"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));

// ../../components/environments/node_modules/projen/lib/component.js
var require_component = __commonJS({
  "../../components/environments/node_modules/projen/lib/component.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Component = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var Component = class {
      constructor(project) {
        this.project = project;
        project._addComponent(this);
      }
      /**
       * Called before synthesis.
       */
      preSynthesize() {
      }
      /**
       * Synthesizes files to the project output directory.
       */
      synthesize() {
      }
      /**
       * Called after synthesis. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
    };
    exports2.Component = Component;
    _a = JSII_RTTI_SYMBOL_1;
    Component[_a] = { fqn: "projen.Component", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/dev-env.js
var require_dev_env = __commonJS({
  "../../components/environments/node_modules/projen/lib/dev-env.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevEnvironmentDockerImage = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var DevEnvironmentDockerImage = class {
      /**
       * A publicly available Docker image.
       * @example 'ubuntu:latest'
       * @param image a Docker image
       */
      static fromImage(image) {
        return { image };
      }
      /**
       * The relative path of a Dockerfile that defines the container contents.
       * @example '.gitpod.Docker'
       * @param dockerFile a relative path
       */
      static fromFile(dockerFile) {
        return { dockerFile };
      }
      constructor() {
      }
    };
    exports2.DevEnvironmentDockerImage = DevEnvironmentDockerImage;
    _a = JSII_RTTI_SYMBOL_1;
    DevEnvironmentDockerImage[_a] = { fqn: "projen.DevEnvironmentDockerImage", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/package.json
var require_package = __commonJS({
  "../../components/environments/node_modules/projen/package.json"(exports2, module2) {
    module2.exports = {
      name: "projen",
      description: "CDK for software projects",
      repository: {
        type: "git",
        url: "https://github.com/projen/projen.git"
      },
      bin: {
        projen: "bin/projen"
      },
      scripts: {
        build: "/bin/bash ./projen.bash build",
        bump: "/bin/bash ./projen.bash bump",
        "bundle:task-runner": "/bin/bash ./projen.bash bundle:task-runner",
        clobber: "/bin/bash ./projen.bash clobber",
        compat: "/bin/bash ./projen.bash compat",
        compile: "/bin/bash ./projen.bash compile",
        "contributors:update": "/bin/bash ./projen.bash contributors:update",
        default: "/bin/bash ./projen.bash default",
        "devenv:setup": "/bin/bash ./projen.bash devenv:setup",
        docgen: "/bin/bash ./projen.bash docgen",
        eject: "/bin/bash ./projen.bash eject",
        eslint: "/bin/bash ./projen.bash eslint",
        integ: "/bin/bash ./projen.bash integ",
        "integ:python-compat": "/bin/bash ./projen.bash integ:python-compat",
        package: "/bin/bash ./projen.bash package",
        "package-all": "/bin/bash ./projen.bash package-all",
        "package:go": "/bin/bash ./projen.bash package:go",
        "package:java": "/bin/bash ./projen.bash package:java",
        "package:js": "/bin/bash ./projen.bash package:js",
        "package:python": "/bin/bash ./projen.bash package:python",
        "post-compile": "/bin/bash ./projen.bash post-compile",
        "post-upgrade": "/bin/bash ./projen.bash post-upgrade",
        "pre-compile": "/bin/bash ./projen.bash pre-compile",
        "readme-macros": "/bin/bash ./projen.bash readme-macros",
        release: "/bin/bash ./projen.bash release",
        test: "/bin/bash ./projen.bash test",
        "test:watch": "/bin/bash ./projen.bash test:watch",
        unbump: "/bin/bash ./projen.bash unbump",
        upgrade: "/bin/bash ./projen.bash upgrade",
        watch: "/bin/bash ./projen.bash watch",
        projen: "/bin/bash ./projen.bash"
      },
      author: {
        name: "Amazon Web Services",
        url: "https://aws.amazon.com",
        organization: true
      },
      devDependencies: {
        "@types/conventional-changelog-config-spec": "^2.1.2",
        "@types/glob": "^7.2.0",
        "@types/ini": "^1.3.31",
        "@types/jest": "^27",
        "@types/node": "^14",
        "@types/semver": "^7.5.0",
        "@types/yargs": "^16.0.5",
        "@typescript-eslint/eslint-plugin": "^5",
        "@typescript-eslint/parser": "^5",
        "all-contributors-cli": "^6.26.0",
        esbuild: "^0.18.10",
        eslint: "^8",
        "eslint-config-prettier": "^8.8.0",
        "eslint-import-resolver-node": "^0.3.7",
        "eslint-import-resolver-typescript": "^2.7.1",
        "eslint-plugin-import": "^2.27.5",
        "eslint-plugin-prettier": "^4.2.1",
        jest: "^29",
        "jest-junit": "^15",
        jsii: "5.x",
        "jsii-diff": "^1.84.0",
        "jsii-docgen": "^1.8.110",
        "jsii-pacmak": "^1.84.0",
        markmac: "^0.1.146",
        "npm-check-updates": "^16",
        prettier: "^2.8.8",
        "standard-version": "^9",
        "ts-jest": "^29",
        typescript: "5.x"
      },
      dependencies: {
        "@iarna/toml": "^2.2.5",
        case: "^1.6.3",
        chalk: "^4.1.2",
        "comment-json": "4.2.2",
        "conventional-changelog-config-spec": "^2.1.0",
        "fast-json-patch": "^3.1.1",
        glob: "^8",
        ini: "^2.0.0",
        semver: "^7.5.3",
        shx: "^0.3.4",
        xmlbuilder2: "^3.1.1",
        yaml: "^2.2.2",
        yargs: "^17.7.2"
      },
      bundledDependencies: [
        "@iarna/toml",
        "case",
        "chalk",
        "comment-json",
        "conventional-changelog-config-spec",
        "fast-json-patch",
        "glob",
        "ini",
        "semver",
        "shx",
        "xmlbuilder2",
        "yaml",
        "yargs"
      ],
      keywords: [
        "cdk",
        "cicd",
        "generator",
        "management",
        "project",
        "scaffolding"
      ],
      engines: {
        node: ">= 14.0.0"
      },
      main: "lib/index.js",
      license: "Apache-2.0",
      version: "0.71.112",
      jest: {
        maxWorkers: "50%",
        testMatch: [
          "<rootDir>/src/**/__tests__/**/*.ts?(x)",
          "<rootDir>/(test|src)/**/*(*.)@(spec|test).ts?(x)"
        ],
        clearMocks: true,
        collectCoverage: true,
        coverageReporters: [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ],
        coverageDirectory: "coverage",
        coveragePathIgnorePatterns: [
          "/node_modules/"
        ],
        testPathIgnorePatterns: [
          "/node_modules/"
        ],
        watchPathIgnorePatterns: [
          "/node_modules/"
        ],
        reporters: [
          "default",
          [
            "jest-junit",
            {
              outputDirectory: "test-reports"
            }
          ]
        ],
        preset: "ts-jest",
        globals: {
          "ts-jest": {
            tsconfig: "tsconfig.dev.json"
          }
        }
      },
      types: "lib/index.d.ts",
      stability: "experimental",
      jsii: {
        outdir: "dist",
        targets: {
          java: {
            package: "io.github.cdklabs.projen",
            maven: {
              groupId: "io.github.cdklabs",
              artifactId: "projen"
            }
          },
          python: {
            distName: "projen",
            module: "projen"
          },
          go: {
            moduleName: "github.com/projen/projen-go"
          }
        },
        tsc: {
          outDir: "lib",
          rootDir: "src"
        }
      },
      "//": '~~ Generated by projen. To modify, edit .projenrc.js and run "npx projen".'
    };
  }
});

// ../../components/environments/node_modules/projen/lib/common.js
var require_common = __commonJS({
  "../../components/environments/node_modules/projen/lib/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN = exports2.PROJEN_MARKER = exports2.PROJEN_DIR = exports2.PROJEN_RC = void 0;
    exports2.PROJEN_RC = ".projenrc.js";
    exports2.PROJEN_DIR = ".projen";
    exports2.PROJEN_MARKER = "~~ Generated by projen";
    exports2.IS_TEST_RUN = process.env.NODE_ENV === "test";
    var packageVersion = require_package().version;
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN ? "99.99.99" : packageVersion;
  }
});

// ../../components/environments/node_modules/projen/lib/_resolve.js
var require_resolve = __commonJS({
  "../../components/environments/node_modules/projen/lib/_resolve.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolve = void 0;
    function isResolvable(obj) {
      return obj.toJSON !== void 0;
    }
    function resolve(value, options = {}) {
      const args = options.args ?? [];
      const omitEmpty = options.omitEmpty ?? false;
      if (value == null) {
        return value;
      }
      if (isResolvable(value)) {
        const resolved = value.toJSON();
        return resolve(resolved, options);
      }
      if (typeof value === "function") {
        const resolved = value.apply(void 0, args);
        return resolve(resolved, options);
      }
      if (typeof value !== "object") {
        return value;
      }
      if (Array.isArray(value)) {
        if (omitEmpty && value.length === 0) {
          return void 0;
        }
        return value.map((x) => resolve(x, options)).filter((x) => x != null);
      }
      if (value.constructor && value.constructor?.name !== "Object") {
        throw new Error(`only data types can be resolved. trying to resolve object of type ${value.constructor?.name}`);
      }
      const result = {};
      for (const [k, v] of Object.entries(value)) {
        const resolved = resolve(v, options);
        if (resolved === void 0) {
          continue;
        }
        result[k] = resolved;
      }
      if (omitEmpty && Object.keys(result).length === 0) {
        return void 0;
      }
      return result;
    }
    exports2.resolve = resolve;
  }
});

// ../../components/environments/node_modules/projen/lib/projenrc.js
var require_projenrc = __commonJS({
  "../../components/environments/node_modules/projen/lib/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var ProjenrcFile = class _ProjenrcFile extends component_1.Component {
      /**
       * Returns the `Projenrc` instance associated with a project or `undefined` if
       * there is no Projenrc.
       * @param project The project
       * @returns A Projenrc
       */
      static of(project) {
        const isProjenrc = (o) => o instanceof _ProjenrcFile;
        return project.components.find(isProjenrc);
      }
    };
    exports2.ProjenrcFile = ProjenrcFile;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcFile[_a] = { fqn: "projen.ProjenrcFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/case/dist/Case.js
var require_Case = __commonJS({
  "../../components/environments/node_modules/case/dist/Case.js"(exports2, module2) {
    (function() {
      "use strict";
      var unicodes = function(s, prefix) {
        prefix = prefix || "";
        return s.replace(/(^|-)/g, "$1\\u" + prefix).replace(/,/g, "\\u" + prefix);
      }, basicSymbols = unicodes("20-26,28-2F,3A-40,5B-60,7B-7E,A0-BF,D7,F7", "00"), baseLowerCase = "a-z" + unicodes("DF-F6,F8-FF", "00"), baseUpperCase = "A-Z" + unicodes("C0-D6,D8-DE", "00"), improperInTitle = "A|An|And|As|At|But|By|En|For|If|In|Of|On|Or|The|To|Vs?\\.?|Via", regexps = function(symbols, lowers, uppers, impropers) {
        symbols = symbols || basicSymbols;
        lowers = lowers || baseLowerCase;
        uppers = uppers || baseUpperCase;
        impropers = impropers || improperInTitle;
        return {
          capitalize: new RegExp("(^|[" + symbols + "])([" + lowers + "])", "g"),
          pascal: new RegExp("(^|[" + symbols + "])+([" + lowers + uppers + "])", "g"),
          fill: new RegExp("[" + symbols + "]+(.|$)", "g"),
          sentence: new RegExp('(^\\s*|[\\?\\!\\.]+"?\\s+"?|,\\s+")([' + lowers + "])", "g"),
          improper: new RegExp("\\b(" + impropers + ")\\b", "g"),
          relax: new RegExp("([^" + uppers + "])([" + uppers + "]*)([" + uppers + "])(?=[^" + uppers + "]|$)", "g"),
          upper: new RegExp("^[^" + lowers + "]+$"),
          hole: /[^\s]\s[^\s]/,
          apostrophe: /'/g,
          room: new RegExp("[" + symbols + "]")
        };
      }, re = regexps(), _ = {
        re,
        unicodes,
        regexps,
        types: [],
        up: String.prototype.toUpperCase,
        low: String.prototype.toLowerCase,
        cap: function(s) {
          return _.up.call(s.charAt(0)) + s.slice(1);
        },
        decap: function(s) {
          return _.low.call(s.charAt(0)) + s.slice(1);
        },
        deapostrophe: function(s) {
          return s.replace(re.apostrophe, "");
        },
        fill: function(s, fill, deapostrophe) {
          if (fill != null) {
            s = s.replace(re.fill, function(m, next) {
              return next ? fill + next : "";
            });
          }
          if (deapostrophe) {
            s = _.deapostrophe(s);
          }
          return s;
        },
        prep: function(s, fill, pascal, upper) {
          s = s == null ? "" : s + "";
          if (!upper && re.upper.test(s)) {
            s = _.low.call(s);
          }
          if (!fill && !re.hole.test(s)) {
            var holey = _.fill(s, " ");
            if (re.hole.test(holey)) {
              s = holey;
            }
          }
          if (!pascal && !re.room.test(s)) {
            s = s.replace(re.relax, _.relax);
          }
          return s;
        },
        relax: function(m, before, acronym, caps) {
          return before + " " + (acronym ? acronym + " " : "") + caps;
        }
      }, Case = {
        _,
        of: function(s) {
          for (var i = 0, m = _.types.length; i < m; i++) {
            if (Case[_.types[i]].apply(Case, arguments) === s) {
              return _.types[i];
            }
          }
        },
        flip: function(s) {
          return s.replace(/\w/g, function(l) {
            return (l == _.up.call(l) ? _.low : _.up).call(l);
          });
        },
        random: function(s) {
          return s.replace(/\w/g, function(l) {
            return (Math.round(Math.random()) ? _.up : _.low).call(l);
          });
        },
        type: function(type2, fn) {
          Case[type2] = fn;
          _.types.push(type2);
        }
      }, types = {
        lower: function(s, fill, deapostrophe) {
          return _.fill(_.low.call(_.prep(s, fill)), fill, deapostrophe);
        },
        snake: function(s) {
          return Case.lower(s, "_", true);
        },
        constant: function(s) {
          return Case.upper(s, "_", true);
        },
        camel: function(s) {
          return _.decap(Case.pascal(s));
        },
        kebab: function(s) {
          return Case.lower(s, "-", true);
        },
        upper: function(s, fill, deapostrophe) {
          return _.fill(_.up.call(_.prep(s, fill, false, true)), fill, deapostrophe);
        },
        capital: function(s, fill, deapostrophe) {
          return _.fill(_.prep(s).replace(re.capitalize, function(m, border, letter) {
            return border + _.up.call(letter);
          }), fill, deapostrophe);
        },
        header: function(s) {
          return Case.capital(s, "-", true);
        },
        pascal: function(s) {
          return _.fill(_.prep(s, false, true).replace(re.pascal, function(m, border, letter) {
            return _.up.call(letter);
          }), "", true);
        },
        title: function(s) {
          return Case.capital(s).replace(re.improper, function(small, p, i, s2) {
            return i > 0 && i < s2.lastIndexOf(" ") ? _.low.call(small) : small;
          });
        },
        sentence: function(s, names, abbreviations) {
          s = Case.lower(s).replace(re.sentence, function(m, prelude, letter) {
            return prelude + _.up.call(letter);
          });
          if (names) {
            names.forEach(function(name) {
              s = s.replace(new RegExp("\\b" + Case.lower(name) + "\\b", "g"), _.cap);
            });
          }
          if (abbreviations) {
            abbreviations.forEach(function(abbr) {
              s = s.replace(new RegExp("(\\b" + Case.lower(abbr) + "\\. +)(\\w)"), function(m, abbrAndSpace, letter) {
                return abbrAndSpace + _.low.call(letter);
              });
            });
          }
          return s;
        }
      };
      types.squish = types.pascal;
      Case.default = Case;
      for (var type in types) {
        Case.type(type, types[type]);
      }
      var define2 = typeof define2 === "function" ? define2 : function() {
      };
      define2(typeof module2 === "object" && module2.exports ? module2.exports = Case : this.Case = Case);
    }).call(exports2);
  }
});

// ../../components/environments/node_modules/color-name/index.js
var require_color_name = __commonJS({
  "../../components/environments/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../../components/environments/node_modules/color-convert/conversions.js
var require_conversions = __commonJS({
  "../../components/environments/node_modules/color-convert/conversions.js"(exports2, module2) {
    var cssKeywords = require_color_name();
    var reverseKeywords = {};
    for (const key of Object.keys(cssKeywords)) {
      reverseKeywords[cssKeywords[key]] = key;
    }
    var convert = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    module2.exports = convert;
    for (const model of Object.keys(convert)) {
      if (!("channels" in convert[model])) {
        throw new Error("missing channels property: " + model);
      }
      if (!("labels" in convert[model])) {
        throw new Error("missing channel labels property: " + model);
      }
      if (convert[model].labels.length !== convert[model].channels) {
        throw new Error("channel and label counts mismatch: " + model);
      }
      const { channels, labels } = convert[model];
      delete convert[model].channels;
      delete convert[model].labels;
      Object.defineProperty(convert[model], "channels", { value: channels });
      Object.defineProperty(convert[model], "labels", { value: labels });
    }
    convert.rgb.hsl = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const min = Math.min(r, g, b);
      const max = Math.max(r, g, b);
      const delta = max - min;
      let h;
      let s;
      if (max === min) {
        h = 0;
      } else if (r === max) {
        h = (g - b) / delta;
      } else if (g === max) {
        h = 2 + (b - r) / delta;
      } else if (b === max) {
        h = 4 + (r - g) / delta;
      }
      h = Math.min(h * 60, 360);
      if (h < 0) {
        h += 360;
      }
      const l = (min + max) / 2;
      if (max === min) {
        s = 0;
      } else if (l <= 0.5) {
        s = delta / (max + min);
      } else {
        s = delta / (2 - max - min);
      }
      return [h, s * 100, l * 100];
    };
    convert.rgb.hsv = function(rgb) {
      let rdif;
      let gdif;
      let bdif;
      let h;
      let s;
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const v = Math.max(r, g, b);
      const diff = v - Math.min(r, g, b);
      const diffc = function(c) {
        return (v - c) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h = 0;
        s = 0;
      } else {
        s = diff / v;
        rdif = diffc(r);
        gdif = diffc(g);
        bdif = diffc(b);
        if (r === v) {
          h = bdif - gdif;
        } else if (g === v) {
          h = 1 / 3 + rdif - bdif;
        } else if (b === v) {
          h = 2 / 3 + gdif - rdif;
        }
        if (h < 0) {
          h += 1;
        } else if (h > 1) {
          h -= 1;
        }
      }
      return [
        h * 360,
        s * 100,
        v * 100
      ];
    };
    convert.rgb.hwb = function(rgb) {
      const r = rgb[0];
      const g = rgb[1];
      let b = rgb[2];
      const h = convert.rgb.hsl(rgb)[0];
      const w = 1 / 255 * Math.min(r, Math.min(g, b));
      b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
      return [h, w * 100, b * 100];
    };
    convert.rgb.cmyk = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const k = Math.min(1 - r, 1 - g, 1 - b);
      const c = (1 - r - k) / (1 - k) || 0;
      const m = (1 - g - k) / (1 - k) || 0;
      const y = (1 - b - k) / (1 - k) || 0;
      return [c * 100, m * 100, y * 100, k * 100];
    };
    function comparativeDistance(x, y) {
      return (x[0] - y[0]) ** 2 + (x[1] - y[1]) ** 2 + (x[2] - y[2]) ** 2;
    }
    convert.rgb.keyword = function(rgb) {
      const reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      let currentClosestDistance = Infinity;
      let currentClosestKeyword;
      for (const keyword of Object.keys(cssKeywords)) {
        const value = cssKeywords[keyword];
        const distance = comparativeDistance(rgb, value);
        if (distance < currentClosestDistance) {
          currentClosestDistance = distance;
          currentClosestKeyword = keyword;
        }
      }
      return currentClosestKeyword;
    };
    convert.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert.rgb.xyz = function(rgb) {
      let r = rgb[0] / 255;
      let g = rgb[1] / 255;
      let b = rgb[2] / 255;
      r = r > 0.04045 ? ((r + 0.055) / 1.055) ** 2.4 : r / 12.92;
      g = g > 0.04045 ? ((g + 0.055) / 1.055) ** 2.4 : g / 12.92;
      b = b > 0.04045 ? ((b + 0.055) / 1.055) ** 2.4 : b / 12.92;
      const x = r * 0.4124 + g * 0.3576 + b * 0.1805;
      const y = r * 0.2126 + g * 0.7152 + b * 0.0722;
      const z = r * 0.0193 + g * 0.1192 + b * 0.9505;
      return [x * 100, y * 100, z * 100];
    };
    convert.rgb.lab = function(rgb) {
      const xyz = convert.rgb.xyz(rgb);
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.hsl.rgb = function(hsl) {
      const h = hsl[0] / 360;
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      let t2;
      let t3;
      let val;
      if (s === 0) {
        val = l * 255;
        return [val, val, val];
      }
      if (l < 0.5) {
        t2 = l * (1 + s);
      } else {
        t2 = l + s - l * s;
      }
      const t1 = 2 * l - t2;
      const rgb = [0, 0, 0];
      for (let i = 0; i < 3; i++) {
        t3 = h + 1 / 3 * -(i - 1);
        if (t3 < 0) {
          t3++;
        }
        if (t3 > 1) {
          t3--;
        }
        if (6 * t3 < 1) {
          val = t1 + (t2 - t1) * 6 * t3;
        } else if (2 * t3 < 1) {
          val = t2;
        } else if (3 * t3 < 2) {
          val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
        } else {
          val = t1;
        }
        rgb[i] = val * 255;
      }
      return rgb;
    };
    convert.hsl.hsv = function(hsl) {
      const h = hsl[0];
      let s = hsl[1] / 100;
      let l = hsl[2] / 100;
      let smin = s;
      const lmin = Math.max(l, 0.01);
      l *= 2;
      s *= l <= 1 ? l : 2 - l;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      const v = (l + s) / 2;
      const sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
      return [h, sv * 100, v * 100];
    };
    convert.hsv.rgb = function(hsv) {
      const h = hsv[0] / 60;
      const s = hsv[1] / 100;
      let v = hsv[2] / 100;
      const hi = Math.floor(h) % 6;
      const f = h - Math.floor(h);
      const p = 255 * v * (1 - s);
      const q = 255 * v * (1 - s * f);
      const t = 255 * v * (1 - s * (1 - f));
      v *= 255;
      switch (hi) {
        case 0:
          return [v, t, p];
        case 1:
          return [q, v, p];
        case 2:
          return [p, v, t];
        case 3:
          return [p, q, v];
        case 4:
          return [t, p, v];
        case 5:
          return [v, p, q];
      }
    };
    convert.hsv.hsl = function(hsv) {
      const h = hsv[0];
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const vmin = Math.max(v, 0.01);
      let sl;
      let l;
      l = (2 - s) * v;
      const lmin = (2 - s) * vmin;
      sl = s * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l /= 2;
      return [h, sl * 100, l * 100];
    };
    convert.hwb.rgb = function(hwb) {
      const h = hwb[0] / 360;
      let wh = hwb[1] / 100;
      let bl = hwb[2] / 100;
      const ratio = wh + bl;
      let f;
      if (ratio > 1) {
        wh /= ratio;
        bl /= ratio;
      }
      const i = Math.floor(6 * h);
      const v = 1 - bl;
      f = 6 * h - i;
      if ((i & 1) !== 0) {
        f = 1 - f;
      }
      const n = wh + f * (v - wh);
      let r;
      let g;
      let b;
      switch (i) {
        default:
        case 6:
        case 0:
          r = v;
          g = n;
          b = wh;
          break;
        case 1:
          r = n;
          g = v;
          b = wh;
          break;
        case 2:
          r = wh;
          g = v;
          b = n;
          break;
        case 3:
          r = wh;
          g = n;
          b = v;
          break;
        case 4:
          r = n;
          g = wh;
          b = v;
          break;
        case 5:
          r = v;
          g = wh;
          b = n;
          break;
      }
      return [r * 255, g * 255, b * 255];
    };
    convert.cmyk.rgb = function(cmyk) {
      const c = cmyk[0] / 100;
      const m = cmyk[1] / 100;
      const y = cmyk[2] / 100;
      const k = cmyk[3] / 100;
      const r = 1 - Math.min(1, c * (1 - k) + k);
      const g = 1 - Math.min(1, m * (1 - k) + k);
      const b = 1 - Math.min(1, y * (1 - k) + k);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.rgb = function(xyz) {
      const x = xyz[0] / 100;
      const y = xyz[1] / 100;
      const z = xyz[2] / 100;
      let r;
      let g;
      let b;
      r = x * 3.2406 + y * -1.5372 + z * -0.4986;
      g = x * -0.9689 + y * 1.8758 + z * 0.0415;
      b = x * 0.0557 + y * -0.204 + z * 1.057;
      r = r > 31308e-7 ? 1.055 * r ** (1 / 2.4) - 0.055 : r * 12.92;
      g = g > 31308e-7 ? 1.055 * g ** (1 / 2.4) - 0.055 : g * 12.92;
      b = b > 31308e-7 ? 1.055 * b ** (1 / 2.4) - 0.055 : b * 12.92;
      r = Math.min(Math.max(0, r), 1);
      g = Math.min(Math.max(0, g), 1);
      b = Math.min(Math.max(0, b), 1);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.lab = function(xyz) {
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.lab.xyz = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let x;
      let y;
      let z;
      y = (l + 16) / 116;
      x = a / 500 + y;
      z = y - b / 200;
      const y2 = y ** 3;
      const x2 = x ** 3;
      const z2 = z ** 3;
      y = y2 > 8856e-6 ? y2 : (y - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z = z2 > 8856e-6 ? z2 : (z - 16 / 116) / 7.787;
      x *= 95.047;
      y *= 100;
      z *= 108.883;
      return [x, y, z];
    };
    convert.lab.lch = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let h;
      const hr = Math.atan2(b, a);
      h = hr * 360 / 2 / Math.PI;
      if (h < 0) {
        h += 360;
      }
      const c = Math.sqrt(a * a + b * b);
      return [l, c, h];
    };
    convert.lch.lab = function(lch) {
      const l = lch[0];
      const c = lch[1];
      const h = lch[2];
      const hr = h / 360 * 2 * Math.PI;
      const a = c * Math.cos(hr);
      const b = c * Math.sin(hr);
      return [l, a, b];
    };
    convert.rgb.ansi16 = function(args, saturation = null) {
      const [r, g, b] = args;
      let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation;
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      let ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert.hsv.ansi16 = function(args) {
      return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
    };
    convert.rgb.ansi256 = function(args) {
      const r = args[0];
      const g = args[1];
      const b = args[2];
      if (r === g && g === b) {
        if (r < 8) {
          return 16;
        }
        if (r > 248) {
          return 231;
        }
        return Math.round((r - 8) / 247 * 24) + 232;
      }
      const ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
      return ansi;
    };
    convert.ansi16.rgb = function(args) {
      let color = args % 10;
      if (color === 0 || color === 7) {
        if (args > 50) {
          color += 3.5;
        }
        color = color / 10.5 * 255;
        return [color, color, color];
      }
      const mult = (~~(args > 50) + 1) * 0.5;
      const r = (color & 1) * mult * 255;
      const g = (color >> 1 & 1) * mult * 255;
      const b = (color >> 2 & 1) * mult * 255;
      return [r, g, b];
    };
    convert.ansi256.rgb = function(args) {
      if (args >= 232) {
        const c = (args - 232) * 10 + 8;
        return [c, c, c];
      }
      args -= 16;
      let rem;
      const r = Math.floor(args / 36) / 5 * 255;
      const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
      const b = rem % 6 / 5 * 255;
      return [r, g, b];
    };
    convert.rgb.hex = function(args) {
      const integer = ((Math.round(args[0]) & 255) << 16) + ((Math.round(args[1]) & 255) << 8) + (Math.round(args[2]) & 255);
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.hex.rgb = function(args) {
      const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match) {
        return [0, 0, 0];
      }
      let colorString = match[0];
      if (match[0].length === 3) {
        colorString = colorString.split("").map((char) => {
          return char + char;
        }).join("");
      }
      const integer = parseInt(colorString, 16);
      const r = integer >> 16 & 255;
      const g = integer >> 8 & 255;
      const b = integer & 255;
      return [r, g, b];
    };
    convert.rgb.hcg = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const max = Math.max(Math.max(r, g), b);
      const min = Math.min(Math.min(r, g), b);
      const chroma = max - min;
      let grayscale;
      let hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r) {
        hue = (g - b) / chroma % 6;
      } else if (max === g) {
        hue = 2 + (b - r) / chroma;
      } else {
        hue = 4 + (r - g) / chroma;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert.hsl.hcg = function(hsl) {
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      const c = l < 0.5 ? 2 * s * l : 2 * s * (1 - l);
      let f = 0;
      if (c < 1) {
        f = (l - 0.5 * c) / (1 - c);
      }
      return [hsl[0], c * 100, f * 100];
    };
    convert.hsv.hcg = function(hsv) {
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const c = s * v;
      let f = 0;
      if (c < 1) {
        f = (v - c) / (1 - c);
      }
      return [hsv[0], c * 100, f * 100];
    };
    convert.hcg.rgb = function(hcg) {
      const h = hcg[0] / 360;
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      if (c === 0) {
        return [g * 255, g * 255, g * 255];
      }
      const pure = [0, 0, 0];
      const hi = h % 1 * 6;
      const v = hi % 1;
      const w = 1 - v;
      let mg = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w;
      }
      mg = (1 - c) * g;
      return [
        (c * pure[0] + mg) * 255,
        (c * pure[1] + mg) * 255,
        (c * pure[2] + mg) * 255
      ];
    };
    convert.hcg.hsv = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      let f = 0;
      if (v > 0) {
        f = c / v;
      }
      return [hcg[0], f * 100, v * 100];
    };
    convert.hcg.hsl = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const l = g * (1 - c) + 0.5 * c;
      let s = 0;
      if (l > 0 && l < 0.5) {
        s = c / (2 * l);
      } else if (l >= 0.5 && l < 1) {
        s = c / (2 * (1 - l));
      }
      return [hcg[0], s * 100, l * 100];
    };
    convert.hcg.hwb = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      return [hcg[0], (v - c) * 100, (1 - v) * 100];
    };
    convert.hwb.hcg = function(hwb) {
      const w = hwb[1] / 100;
      const b = hwb[2] / 100;
      const v = 1 - b;
      const c = v - w;
      let g = 0;
      if (c < 1) {
        g = (v - c) / (1 - c);
      }
      return [hwb[0], c * 100, g * 100];
    };
    convert.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert.gray.rgb = function(args) {
      return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
    };
    convert.gray.hsl = function(args) {
      return [0, 0, args[0]];
    };
    convert.gray.hsv = convert.gray.hsl;
    convert.gray.hwb = function(gray) {
      return [0, 100, gray[0]];
    };
    convert.gray.cmyk = function(gray) {
      return [0, 0, 0, gray[0]];
    };
    convert.gray.lab = function(gray) {
      return [gray[0], 0, 0];
    };
    convert.gray.hex = function(gray) {
      const val = Math.round(gray[0] / 100 * 255) & 255;
      const integer = (val << 16) + (val << 8) + val;
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.rgb.gray = function(rgb) {
      const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../../components/environments/node_modules/color-convert/route.js
var require_route = __commonJS({
  "../../components/environments/node_modules/color-convert/route.js"(exports2, module2) {
    var conversions = require_conversions();
    function buildGraph() {
      const graph = {};
      const models = Object.keys(conversions);
      for (let len = models.length, i = 0; i < len; i++) {
        graph[models[i]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      const graph = buildGraph();
      const queue = [fromModel];
      graph[fromModel].distance = 0;
      while (queue.length) {
        const current = queue.pop();
        const adjacents = Object.keys(conversions[current]);
        for (let len = adjacents.length, i = 0; i < len; i++) {
          const adjacent = adjacents[i];
          const node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link(from, to) {
      return function(args) {
        return to(from(args));
      };
    }
    function wrapConversion(toModel, graph) {
      const path = [graph[toModel].parent, toModel];
      let fn = conversions[graph[toModel].parent][toModel];
      let cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path.unshift(graph[cur].parent);
        fn = link(conversions[graph[cur].parent][cur], fn);
        cur = graph[cur].parent;
      }
      fn.conversion = path;
      return fn;
    }
    module2.exports = function(fromModel) {
      const graph = deriveBFS(fromModel);
      const conversion = {};
      const models = Object.keys(graph);
      for (let len = models.length, i = 0; i < len; i++) {
        const toModel = models[i];
        const node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../../components/environments/node_modules/color-convert/index.js
var require_color_convert = __commonJS({
  "../../components/environments/node_modules/color-convert/index.js"(exports2, module2) {
    var conversions = require_conversions();
    var route = require_route();
    var convert = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        return fn(args);
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        const result = fn(args);
        if (typeof result === "object") {
          for (let len = result.length, i = 0; i < len; i++) {
            result[i] = Math.round(result[i]);
          }
        }
        return result;
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    models.forEach((fromModel) => {
      convert[fromModel] = {};
      Object.defineProperty(convert[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert[fromModel], "labels", { value: conversions[fromModel].labels });
      const routes = route(fromModel);
      const routeModels = Object.keys(routes);
      routeModels.forEach((toModel) => {
        const fn = routes[toModel];
        convert[fromModel][toModel] = wrapRounded(fn);
        convert[fromModel][toModel].raw = wrapRaw(fn);
      });
    });
    module2.exports = convert;
  }
});

// ../../components/environments/node_modules/ansi-styles/index.js
var require_ansi_styles = __commonJS({
  "../../components/environments/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var wrapAnsi16 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn, offset) => (...args) => {
      const rgb = fn(...args);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    var ansi2ansi = (n) => n;
    var rgb2rgb = (r, g, b) => [r, g, b];
    var setLazyProperty = (object, property, get) => {
      Object.defineProperty(object, property, {
        get: () => {
          const value = get();
          Object.defineProperty(object, property, {
            value,
            enumerable: true,
            configurable: true
          });
          return value;
        },
        enumerable: true,
        configurable: true
      });
    };
    var colorConvert;
    var makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
      if (colorConvert === void 0) {
        colorConvert = require_color_convert();
      }
      const offset = isBackground ? 10 : 0;
      const styles = {};
      for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
        const name = sourceSpace === "ansi16" ? "ansi" : sourceSpace;
        if (sourceSpace === targetSpace) {
          styles[name] = wrap(identity, offset);
        } else if (typeof suite === "object") {
          styles[name] = wrap(suite[targetSpace], offset);
        }
      }
      return styles;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          // Bright color
          blackBright: [90, 39],
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles.color.gray = styles.color.blackBright;
      styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
      styles.color.grey = styles.color.blackBright;
      styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;
      for (const [groupName, group] of Object.entries(styles)) {
        for (const [styleName, style] of Object.entries(group)) {
          styles[styleName] = {
            open: `\x1B[${style[0]}m`,
            close: `\x1B[${style[1]}m`
          };
          group[styleName] = styles[styleName];
          codes.set(style[0], style[1]);
        }
        Object.defineProperty(styles, groupName, {
          value: group,
          enumerable: false
        });
      }
      Object.defineProperty(styles, "codes", {
        value: codes,
        enumerable: false
      });
      styles.color.close = "\x1B[39m";
      styles.bgColor.close = "\x1B[49m";
      setLazyProperty(styles.color, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, false));
      setLazyProperty(styles.bgColor, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, true));
      return styles;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../../components/environments/node_modules/has-flag/index.js
var require_has_flag = __commonJS({
  "../../components/environments/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// ../../components/environments/node_modules/supports-color/index.js
var require_supports_color = __commonJS({
  "../../components/environments/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag();
    var { env } = process;
    var forceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      forceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      forceColor = 1;
    }
    if ("FORCE_COLOR" in env) {
      if (env.FORCE_COLOR === "true") {
        forceColor = 1;
      } else if (env.FORCE_COLOR === "false") {
        forceColor = 0;
      } else {
        forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, streamIsTTY) {
      if (forceColor === 0) {
        return 0;
      }
      if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
        return 3;
      }
      if (hasFlag("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env) || env.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env) {
        const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream) {
      const level = supportsColor(stream, stream && stream.isTTY);
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: translateLevel(supportsColor(true, tty.isatty(1))),
      stderr: translateLevel(supportsColor(true, tty.isatty(2)))
    };
  }
});

// ../../components/environments/node_modules/projen/node_modules/chalk/source/util.js
var require_util = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/chalk/source/util.js"(exports2, module2) {
    "use strict";
    var stringReplaceAll = (string, substring, replacer) => {
      let index = string.indexOf(substring);
      if (index === -1) {
        return string;
      }
      const substringLength = substring.length;
      let endIndex = 0;
      let returnValue = "";
      do {
        returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
        endIndex = index + substringLength;
        index = string.indexOf(substring, endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    var stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
      let endIndex = 0;
      let returnValue = "";
      do {
        const gotCR = string[index - 1] === "\r";
        returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? "\r\n" : "\n") + postfix;
        endIndex = index + 1;
        index = string.indexOf("\n", endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    module2.exports = {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    };
  }
});

// ../../components/environments/node_modules/projen/node_modules/chalk/source/templates.js
var require_templates = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/chalk/source/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape(c) {
      const u = c[0] === "u";
      const bracket = c[1] === "{";
      if (u && !bracket && c.length === 5 || c[0] === "x" && c.length === 3) {
        return String.fromCharCode(parseInt(c.slice(1), 16));
      }
      if (u && bracket) {
        return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
      }
      return ESCAPES.get(c) || c;
    }
    function parseArguments(name, arguments_) {
      const results = [];
      const chunks = arguments_.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        const number = Number(chunk);
        if (!Number.isNaN(number)) {
          results.push(number);
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args = parseArguments(name, matches[2]);
          results.push([name].concat(args));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles) {
      const enabled = {};
      for (const layer of styles) {
        for (const style of layer.styles) {
          enabled[style[0]] = layer.inverse ? null : style.slice(1);
        }
      }
      let current = chalk;
      for (const [styleName, styles2] of Object.entries(enabled)) {
        if (!Array.isArray(styles2)) {
          continue;
        }
        if (!(styleName in current)) {
          throw new Error(`Unknown Chalk style: ${styleName}`);
        }
        current = styles2.length > 0 ? current[styleName](...styles2) : current[styleName];
      }
      return current;
    }
    module2.exports = (chalk, temporary) => {
      const styles = [];
      const chunks = [];
      let chunk = [];
      temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
        if (escapeCharacter) {
          chunk.push(unescape(escapeCharacter));
        } else if (style) {
          const string = chunk.join("");
          chunk = [];
          chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
          styles.push({ inverse, styles: parseStyle(style) });
        } else if (close) {
          if (styles.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles)(chunk.join("")));
          chunk = [];
          styles.pop();
        } else {
          chunk.push(character);
        }
      });
      chunks.push(chunk.join(""));
      if (styles.length > 0) {
        const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMessage);
      }
      return chunks.join("");
    };
  }
});

// ../../components/environments/node_modules/projen/node_modules/chalk/source/index.js
var require_source = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/chalk/source/index.js"(exports2, module2) {
    "use strict";
    var ansiStyles = require_ansi_styles();
    var { stdout: stdoutColor, stderr: stderrColor } = require_supports_color();
    var {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    } = require_util();
    var { isArray } = Array;
    var levelMapping = [
      "ansi",
      "ansi",
      "ansi256",
      "ansi16m"
    ];
    var styles = /* @__PURE__ */ Object.create(null);
    var applyOptions = (object, options = {}) => {
      if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
        throw new Error("The `level` option should be an integer from 0 to 3");
      }
      const colorLevel = stdoutColor ? stdoutColor.level : 0;
      object.level = options.level === void 0 ? colorLevel : options.level;
    };
    var ChalkClass = class {
      constructor(options) {
        return chalkFactory(options);
      }
    };
    var chalkFactory = (options) => {
      const chalk2 = {};
      applyOptions(chalk2, options);
      chalk2.template = (...arguments_) => chalkTag(chalk2.template, ...arguments_);
      Object.setPrototypeOf(chalk2, Chalk.prototype);
      Object.setPrototypeOf(chalk2.template, chalk2);
      chalk2.template.constructor = () => {
        throw new Error("`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.");
      };
      chalk2.template.Instance = ChalkClass;
      return chalk2.template;
    };
    function Chalk(options) {
      return chalkFactory(options);
    }
    for (const [styleName, style] of Object.entries(ansiStyles)) {
      styles[styleName] = {
        get() {
          const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
          Object.defineProperty(this, styleName, { value: builder });
          return builder;
        }
      };
    }
    styles.visible = {
      get() {
        const builder = createBuilder(this, this._styler, true);
        Object.defineProperty(this, "visible", { value: builder });
        return builder;
      }
    };
    var usedModels = ["rgb", "hex", "keyword", "hsl", "hsv", "hwb", "ansi", "ansi256"];
    for (const model of usedModels) {
      styles[model] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    for (const model of usedModels) {
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles[bgModel] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, {
      ...styles,
      level: {
        enumerable: true,
        get() {
          return this._generator.level;
        },
        set(level) {
          this._generator.level = level;
        }
      }
    });
    var createStyler = (open, close, parent) => {
      let openAll;
      let closeAll;
      if (parent === void 0) {
        openAll = open;
        closeAll = close;
      } else {
        openAll = parent.openAll + open;
        closeAll = close + parent.closeAll;
      }
      return {
        open,
        close,
        openAll,
        closeAll,
        parent
      };
    };
    var createBuilder = (self2, _styler, _isEmpty) => {
      const builder = (...arguments_) => {
        if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
          return applyStyle(builder, chalkTag(builder, ...arguments_));
        }
        return applyStyle(builder, arguments_.length === 1 ? "" + arguments_[0] : arguments_.join(" "));
      };
      Object.setPrototypeOf(builder, proto);
      builder._generator = self2;
      builder._styler = _styler;
      builder._isEmpty = _isEmpty;
      return builder;
    };
    var applyStyle = (self2, string) => {
      if (self2.level <= 0 || !string) {
        return self2._isEmpty ? "" : string;
      }
      let styler = self2._styler;
      if (styler === void 0) {
        return string;
      }
      const { openAll, closeAll } = styler;
      if (string.indexOf("\x1B") !== -1) {
        while (styler !== void 0) {
          string = stringReplaceAll(string, styler.close, styler.open);
          styler = styler.parent;
        }
      }
      const lfIndex = string.indexOf("\n");
      if (lfIndex !== -1) {
        string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
      }
      return openAll + string + closeAll;
    };
    var template;
    var chalkTag = (chalk2, ...strings) => {
      const [firstString] = strings;
      if (!isArray(firstString) || !isArray(firstString.raw)) {
        return strings.join(" ");
      }
      const arguments_ = strings.slice(1);
      const parts = [firstString.raw[0]];
      for (let i = 1; i < firstString.length; i++) {
        parts.push(
          String(arguments_[i - 1]).replace(/[{}\\]/g, "\\$&"),
          String(firstString.raw[i])
        );
      }
      if (template === void 0) {
        template = require_templates();
      }
      return template(chalk2, parts.join(""));
    };
    Object.defineProperties(Chalk.prototype, styles);
    var chalk = Chalk();
    chalk.supportsColor = stdoutColor;
    chalk.stderr = Chalk({ level: stderrColor ? stderrColor.level : 0 });
    chalk.stderr.supportsColor = stderrColor;
    module2.exports = chalk;
  }
});

// ../../components/environments/node_modules/projen/lib/logging.js
var require_logging = __commonJS({
  "../../components/environments/node_modules/projen/lib/logging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEnabled = exports2.disable = exports2.empty = exports2.warn = exports2.error = exports2.info = exports2.verbose = exports2.debug = exports2.ICON = void 0;
    var chalk = require_source();
    var common_1 = require_common();
    exports2.ICON = "\u{1F47E}";
    var enabled = common_1.IS_TEST_RUN ? false : true;
    function log(isError, color, ...text) {
      if (!enabled && !isError) {
        return;
      }
      console.error(`${exports2.ICON} ${color(...text)}`);
    }
    function debug(...text) {
      if (process.env.DEBUG) {
        log(false, chalk.gray, ...text);
      }
    }
    exports2.debug = debug;
    function verbose(...text) {
      log(false, chalk.white, ...text);
    }
    exports2.verbose = verbose;
    function info(...text) {
      log(false, chalk.cyan, ...text);
    }
    exports2.info = info;
    function error(...text) {
      log(true, chalk.red, ...text);
    }
    exports2.error = error;
    function warn(...text) {
      log(false, chalk.yellow, ...text);
    }
    exports2.warn = warn;
    function empty(count = 1) {
      console.log("\n".repeat(count - 1));
    }
    exports2.empty = empty;
    function disable() {
      enabled = false;
    }
    exports2.disable = disable;
    function isEnabled() {
      return enabled;
    }
    exports2.isEnabled = isEnabled;
  }
});

// ../../components/environments/node_modules/projen/lib/util.js
var require_util2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.findUp = exports2.isRoot = exports2.multipleSelected = exports2.anySelected = exports2.getNodeMajorVersion = exports2.isExecutable = exports2.isWritable = exports2.tryReadFileSync = exports2.tryReadFile = exports2.snakeCaseKeys = exports2.kebabCaseKeys = exports2.getGitVersion = exports2.formatAsPythonModule = exports2.sorted = exports2.dedupArray = exports2.deepMerge = exports2.isObject = exports2.isTruthy = exports2.decamelizeKeysRecursively = exports2.writeFile = exports2.getFilePermissions = exports2.execOrUndefined = exports2.execCapture = exports2.exec = void 0;
    var child_process = require("child_process");
    var fs_1 = require("fs");
    var path = require("path");
    var Case = require_Case();
    var logging = require_logging();
    var MAX_BUFFER = 10 * 1024 * 1024;
    function exec(command, options) {
      logging.debug(command);
      child_process.execSync(command, {
        stdio: ["inherit", 2, "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.exec = exec;
    function execCapture(command, options) {
      logging.debug(command);
      return child_process.execSync(command, {
        stdio: ["inherit", "pipe", "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.execCapture = execCapture;
    function execOrUndefined(command, options) {
      try {
        const value = child_process.execSync(command, {
          stdio: ["inherit", "pipe", "pipe"],
          maxBuffer: MAX_BUFFER,
          cwd: options.cwd
        }).toString("utf-8").trim();
        if (!value) {
          return void 0;
        }
        return value;
      } catch {
        return void 0;
      }
    }
    exports2.execOrUndefined = execOrUndefined;
    function getFilePermissions(options) {
      const readonly = options.readonly ?? false;
      const executable = options.executable ?? false;
      if (readonly && executable) {
        return "544";
      } else if (readonly) {
        return "444";
      } else if (executable) {
        return "755";
      } else {
        return "644";
      }
    }
    exports2.getFilePermissions = getFilePermissions;
    function writeFile(filePath, data, options = {}) {
      if ((0, fs_1.existsSync)(filePath)) {
        (0, fs_1.chmodSync)(filePath, "600");
      }
      (0, fs_1.mkdirSync)(path.dirname(filePath), { recursive: true });
      (0, fs_1.writeFileSync)(filePath, data);
      (0, fs_1.chmodSync)(filePath, getFilePermissions(options));
    }
    exports2.writeFile = writeFile;
    function decamelizeKeysRecursively(input, opt) {
      const shouldAlwaysDecamelize = () => true;
      const shouldDecamelize = opt?.shouldDecamelize ?? shouldAlwaysDecamelize;
      const separator = opt?.separator ?? "_";
      const path_ = opt?.path ?? [];
      const maxDepth = opt?.maxDepth ?? 10;
      if (path_.length > maxDepth) {
        throw new Error("Decamelled too deeply - check that the input has no circular references");
      }
      if (Array.isArray(input)) {
        return input.map((k, i) => decamelizeKeysRecursively(k, {
          ...opt,
          path: [...path_, i.toString()]
        }));
      }
      if (typeof input === "object" && input !== null) {
        const mappedObject = {};
        for (const [key, value] of Object.entries(input)) {
          const transformedKey = shouldDecamelize([...path_, key], value) ? decamelize(key, separator) : key;
          mappedObject[transformedKey] = decamelizeKeysRecursively(value, {
            ...opt,
            path: [...path_, key]
          });
        }
        return mappedObject;
      }
      return input;
    }
    exports2.decamelizeKeysRecursively = decamelizeKeysRecursively;
    function isTruthy(value) {
      return !(value === void 0 || ["null", "undefined", "0", "false", ""].includes(value.toLocaleLowerCase()));
    }
    exports2.isTruthy = isTruthy;
    function isObject(x) {
      return x !== null && typeof x === "object" && !Array.isArray(x) && x.constructor.name === "Object";
    }
    exports2.isObject = isObject;
    function deepMerge(objects, destructive = false) {
      function mergeOne(target, source) {
        for (const key of Object.keys(source)) {
          const value = source[key];
          if (isObject(value)) {
            if (typeof target[key] !== "object") {
              target[key] = value;
            }
            if ("__$APPEND" in value && Array.isArray(value.__$APPEND)) {
              if (Array.isArray(target[key])) {
                target[key].push(...value.__$APPEND);
              } else {
                target[key] = value.__$APPEND;
              }
            }
            mergeOne(target[key], value);
            const output = target[key];
            if (typeof output === "object" && Object.keys(output).length === 0 && destructive) {
              delete target[key];
            }
          } else if (value === void 0 && destructive) {
            delete target[key];
          } else if (typeof value !== "undefined") {
            target[key] = value;
          }
        }
      }
      const others = objects.filter((x) => x != null);
      if (others.length === 0) {
        return {};
      }
      const into = others.splice(0, 1)[0];
      others.forEach((other) => mergeOne(into, other));
      return into;
    }
    exports2.deepMerge = deepMerge;
    function dedupArray(array) {
      return array.filter((val, idx) => array.indexOf(val) === idx);
    }
    exports2.dedupArray = dedupArray;
    function sorted(x) {
      if (x == null) {
        return void 0;
      }
      if (Array.isArray(x)) {
        if (x.length === 0) {
          return void 0;
        }
        return x.sort();
      } else if (typeof x === "object") {
        if (Object.keys(x).length === 0) {
          return void 0;
        }
        const result = {};
        for (const [key, value] of Object.entries(x).sort(([l], [r]) => l.localeCompare(r))) {
          result[key] = value;
        }
        return result;
      } else {
        return x;
      }
    }
    exports2.sorted = sorted;
    function formatAsPythonModule(name) {
      return name.replace(/-/g, "_").replace(/\./g, "_");
    }
    exports2.formatAsPythonModule = formatAsPythonModule;
    function getGitVersion(gitVersionOutput) {
      const match = gitVersionOutput.match(/\d+.\d+.\d+/);
      if (!match) {
        throw new Error("Unable to retrieve git version");
      }
      return match[0];
    }
    exports2.getGitVersion = getGitVersion;
    function kebabCaseKeys(obj, recursive = true) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => kebabCaseKeys(v, recursive));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = kebabCaseKeys(v, recursive);
        }
        result[decamelize(k).replace(/_/gm, "-")] = v;
      }
      return result;
    }
    exports2.kebabCaseKeys = kebabCaseKeys;
    function snakeCaseKeys(obj, recursive = true, exclusiveForRecordKeys = []) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => snakeCaseKeys(v, recursive, exclusiveForRecordKeys));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = snakeCaseKeys(v, recursive, exclusiveForRecordKeys);
        }
        const modifiedKey = exclusiveForRecordKeys.length == 0 || exclusiveForRecordKeys.includes(k) ? Case.snake(k) : k;
        result[modifiedKey] = v;
      }
      return result;
    }
    exports2.snakeCaseKeys = snakeCaseKeys;
    async function tryReadFile(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return "";
      }
      return fs_1.promises.readFile(file, "utf-8");
    }
    exports2.tryReadFile = tryReadFile;
    function tryReadFileSync(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return void 0;
      }
      return (0, fs_1.readFileSync)(file, "utf-8");
    }
    exports2.tryReadFileSync = tryReadFileSync;
    function isWritable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.W_OK);
        return true;
      } catch {
        return false;
      }
    }
    exports2.isWritable = isWritable;
    function isExecutable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.X_OK);
        return true;
      } catch (e) {
        return false;
      }
    }
    exports2.isExecutable = isExecutable;
    function decamelize(s, sep = "_") {
      if (Case.of(s) === "camel") {
        return Case.lower(s, sep);
      } else {
        return s;
      }
    }
    function getNodeMajorVersion() {
      const match = process.version.match(/(\d+)\.(\d+)\.(\d+)/);
      if (match) {
        const [major] = match.slice(1).map((x) => parseInt(x));
        return major;
      }
      return void 0;
    }
    exports2.getNodeMajorVersion = getNodeMajorVersion;
    function anySelected(options) {
      return options.some((opt) => opt);
    }
    exports2.anySelected = anySelected;
    function multipleSelected(options) {
      return options.filter((opt) => opt).length > 1;
    }
    exports2.multipleSelected = multipleSelected;
    function isRoot(dir, osPathLib = path) {
      const parent = osPathLib.dirname(dir);
      return parent === dir;
    }
    exports2.isRoot = isRoot;
    function findUp(lookFor, cwd = process.cwd()) {
      if ((0, fs_1.existsSync)(path.join(cwd, lookFor))) {
        return cwd;
      }
      if (isRoot(cwd)) {
        return void 0;
      }
      return findUp(lookFor, path.dirname(cwd));
    }
    exports2.findUp = findUp;
  }
});

// ../../components/environments/node_modules/projen/lib/file.js
var require_file = __commonJS({
  "../../components/environments/node_modules/projen/lib/file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FileBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path = require("path");
    var _resolve_1 = require_resolve();
    var common_1 = require_common();
    var component_1 = require_component();
    var projenrc_1 = require_projenrc();
    var util_1 = require_util2();
    var FileBase = class extends component_1.Component {
      /**
       * The projen marker, used to identify files as projen-generated.
       *
       * Value is undefined if the project is being ejected.
       */
      get marker() {
        if (this.project.ejected || !this.shouldAddMarker) {
          return void 0;
        }
        const projenrc = projenrc_1.ProjenrcFile.of(this.project)?.filePath ?? common_1.PROJEN_RC;
        return `${common_1.PROJEN_MARKER}. To modify, edit ${projenrc} and run "npx projen".`;
      }
      constructor(project, filePath, options = {}) {
        super(project);
        this.readonly = !project.ejected && (options.readonly ?? true);
        this.executable = options.executable ?? false;
        this.path = filePath;
        this.shouldAddMarker = options.marker ?? true;
        const globPattern = `/${this.path}`;
        const committed = options.committed ?? project.commitGenerated ?? true;
        if (committed && filePath !== ".gitattributes") {
          project.annotateGenerated(`/${filePath}`);
        }
        this.absolutePath = path.resolve(project.outdir, filePath);
        const existing = project.root.tryFindFile(this.absolutePath);
        if (existing && existing !== this) {
          throw new Error(`there is already a file under ${path.relative(project.root.outdir, this.absolutePath)}`);
        }
        const editGitignore = options.editGitignore ?? true;
        if (editGitignore) {
          this.project.addGitIgnore(`${committed ? "!" : ""}${globPattern}`);
        } else {
          if (options.committed != null) {
            throw new Error('"gitignore" is disabled, so it does not make sense to specify "committed"');
          }
        }
      }
      /**
       * Writes the file to the project's output directory
       */
      synthesize() {
        const outdir = this.project.outdir;
        const filePath = path.join(outdir, this.path);
        const resolver = {
          resolve: (obj, options) => (0, _resolve_1.resolve)(obj, options)
        };
        const content = this.synthesizeContent(resolver);
        if (content === void 0) {
          (0, fs_1.rmSync)(filePath, { force: true, recursive: true });
          return;
        }
        const prev = (0, util_1.tryReadFileSync)(filePath);
        const prevReadonly = !(0, util_1.isWritable)(filePath);
        const prevExecutable = (0, util_1.isExecutable)(filePath);
        if (prev !== void 0 && content === prev && prevReadonly === this.readonly && prevExecutable === this.executable) {
          this.project.logger.debug(`no change in ${filePath}`);
          this._changed = false;
          return;
        }
        (0, util_1.writeFile)(filePath, content, {
          readonly: this.readonly,
          executable: this.executable
        });
        this.checkForProjenMarker();
        this._changed = true;
      }
      /**
       * For debugging, check whether a file was incorrectly generated with
       * or without the projen marker. The projen marker does not *need* to be
       * included on projen-generated files, but it's recommended since it signals
       * that it probably should not be edited directly.
       */
      checkForProjenMarker() {
        const filePath = path.join(this.project.outdir, this.path);
        const contents = (0, util_1.tryReadFileSync)(filePath);
        const containsMarker = contents?.includes(common_1.PROJEN_MARKER);
        if (this.marker && !containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to contain marker but found none.`);
        } else if (!this.marker && containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to not contain marker but found one anyway.`);
        }
      }
      /**
       * Indicates if the file has been changed during synthesis. This property is
       * only available in `postSynthesize()` hooks. If this is `undefined`, the
       * file has not been synthesized yet.
       */
      get changed() {
        return this._changed;
      }
    };
    exports2.FileBase = FileBase;
    _a = JSII_RTTI_SYMBOL_1;
    FileBase[_a] = { fqn: "projen.FileBase", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/fast-json-patch/commonjs/helpers.js
var require_helpers = __commonJS({
  "../../components/environments/node_modules/fast-json-patch/commonjs/helpers.js"(exports2) {
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function hasOwnProperty2(obj, key) {
      return _hasOwnProperty.call(obj, key);
    }
    exports2.hasOwnProperty = hasOwnProperty2;
    function _objectKeys(obj) {
      if (Array.isArray(obj)) {
        var keys_1 = new Array(obj.length);
        for (var k = 0; k < keys_1.length; k++) {
          keys_1[k] = "" + k;
        }
        return keys_1;
      }
      if (Object.keys) {
        return Object.keys(obj);
      }
      var keys = [];
      for (var i in obj) {
        if (hasOwnProperty2(obj, i)) {
          keys.push(i);
        }
      }
      return keys;
    }
    exports2._objectKeys = _objectKeys;
    function _deepClone(obj) {
      switch (typeof obj) {
        case "object":
          return JSON.parse(JSON.stringify(obj));
        case "undefined":
          return null;
        default:
          return obj;
      }
    }
    exports2._deepClone = _deepClone;
    function isInteger2(str) {
      var i = 0;
      var len = str.length;
      var charCode;
      while (i < len) {
        charCode = str.charCodeAt(i);
        if (charCode >= 48 && charCode <= 57) {
          i++;
          continue;
        }
        return false;
      }
      return true;
    }
    exports2.isInteger = isInteger2;
    function escapePathComponent(path) {
      if (path.indexOf("/") === -1 && path.indexOf("~") === -1)
        return path;
      return path.replace(/~/g, "~0").replace(/\//g, "~1");
    }
    exports2.escapePathComponent = escapePathComponent;
    function unescapePathComponent(path) {
      return path.replace(/~1/g, "/").replace(/~0/g, "~");
    }
    exports2.unescapePathComponent = unescapePathComponent;
    function _getPathRecursive(root, obj) {
      var found;
      for (var key in root) {
        if (hasOwnProperty2(root, key)) {
          if (root[key] === obj) {
            return escapePathComponent(key) + "/";
          } else if (typeof root[key] === "object") {
            found = _getPathRecursive(root[key], obj);
            if (found != "") {
              return escapePathComponent(key) + "/" + found;
            }
          }
        }
      }
      return "";
    }
    exports2._getPathRecursive = _getPathRecursive;
    function getPath(root, obj) {
      if (root === obj) {
        return "/";
      }
      var path = _getPathRecursive(root, obj);
      if (path === "") {
        throw new Error("Object not found in root");
      }
      return "/" + path;
    }
    exports2.getPath = getPath;
    function hasUndefined(obj) {
      if (obj === void 0) {
        return true;
      }
      if (obj) {
        if (Array.isArray(obj)) {
          for (var i_1 = 0, len = obj.length; i_1 < len; i_1++) {
            if (hasUndefined(obj[i_1])) {
              return true;
            }
          }
        } else if (typeof obj === "object") {
          var objKeys = _objectKeys(obj);
          var objKeysLength = objKeys.length;
          for (var i = 0; i < objKeysLength; i++) {
            if (hasUndefined(obj[objKeys[i]])) {
              return true;
            }
          }
        }
      }
      return false;
    }
    exports2.hasUndefined = hasUndefined;
    function patchErrorMessageFormatter(message, args) {
      var messageParts = [message];
      for (var key in args) {
        var value = typeof args[key] === "object" ? JSON.stringify(args[key], null, 2) : args[key];
        if (typeof value !== "undefined") {
          messageParts.push(key + ": " + value);
        }
      }
      return messageParts.join("\n");
    }
    var PatchError = (
      /** @class */
      function(_super) {
        __extends(PatchError2, _super);
        function PatchError2(message, name, index, operation, tree) {
          var _newTarget = this.constructor;
          var _this = _super.call(this, patchErrorMessageFormatter(message, { name, index, operation, tree })) || this;
          _this.name = name;
          _this.index = index;
          _this.operation = operation;
          _this.tree = tree;
          Object.setPrototypeOf(_this, _newTarget.prototype);
          _this.message = patchErrorMessageFormatter(message, { name, index, operation, tree });
          return _this;
        }
        return PatchError2;
      }(Error)
    );
    exports2.PatchError = PatchError;
  }
});

// ../../components/environments/node_modules/fast-json-patch/commonjs/core.js
var require_core = __commonJS({
  "../../components/environments/node_modules/fast-json-patch/commonjs/core.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers();
    exports2.JsonPatchError = helpers_js_1.PatchError;
    exports2.deepClone = helpers_js_1._deepClone;
    var objOps = {
      add: function(obj, key, document) {
        obj[key] = this.value;
        return { newDocument: document };
      },
      remove: function(obj, key, document) {
        var removed = obj[key];
        delete obj[key];
        return { newDocument: document, removed };
      },
      replace: function(obj, key, document) {
        var removed = obj[key];
        obj[key] = this.value;
        return { newDocument: document, removed };
      },
      move: function(obj, key, document) {
        var removed = getValueByPointer(document, this.path);
        if (removed) {
          removed = helpers_js_1._deepClone(removed);
        }
        var originalValue = applyOperation(document, { op: "remove", path: this.from }).removed;
        applyOperation(document, { op: "add", path: this.path, value: originalValue });
        return { newDocument: document, removed };
      },
      copy: function(obj, key, document) {
        var valueToCopy = getValueByPointer(document, this.from);
        applyOperation(document, { op: "add", path: this.path, value: helpers_js_1._deepClone(valueToCopy) });
        return { newDocument: document };
      },
      test: function(obj, key, document) {
        return { newDocument: document, test: _areEquals(obj[key], this.value) };
      },
      _get: function(obj, key, document) {
        this.value = obj[key];
        return { newDocument: document };
      }
    };
    var arrOps = {
      add: function(arr, i, document) {
        if (helpers_js_1.isInteger(i)) {
          arr.splice(i, 0, this.value);
        } else {
          arr[i] = this.value;
        }
        return { newDocument: document, index: i };
      },
      remove: function(arr, i, document) {
        var removedList = arr.splice(i, 1);
        return { newDocument: document, removed: removedList[0] };
      },
      replace: function(arr, i, document) {
        var removed = arr[i];
        arr[i] = this.value;
        return { newDocument: document, removed };
      },
      move: objOps.move,
      copy: objOps.copy,
      test: objOps.test,
      _get: objOps._get
    };
    function getValueByPointer(document, pointer) {
      if (pointer == "") {
        return document;
      }
      var getOriginalDestination = { op: "_get", path: pointer };
      applyOperation(document, getOriginalDestination);
      return getOriginalDestination.value;
    }
    exports2.getValueByPointer = getValueByPointer;
    function applyOperation(document, operation, validateOperation, mutateDocument, banPrototypeModifications, index) {
      if (validateOperation === void 0) {
        validateOperation = false;
      }
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (index === void 0) {
        index = 0;
      }
      if (validateOperation) {
        if (typeof validateOperation == "function") {
          validateOperation(operation, 0, document, operation.path);
        } else {
          validator(operation, 0);
        }
      }
      if (operation.path === "") {
        var returnValue = { newDocument: document };
        if (operation.op === "add") {
          returnValue.newDocument = operation.value;
          return returnValue;
        } else if (operation.op === "replace") {
          returnValue.newDocument = operation.value;
          returnValue.removed = document;
          return returnValue;
        } else if (operation.op === "move" || operation.op === "copy") {
          returnValue.newDocument = getValueByPointer(document, operation.from);
          if (operation.op === "move") {
            returnValue.removed = document;
          }
          return returnValue;
        } else if (operation.op === "test") {
          returnValue.test = _areEquals(document, operation.value);
          if (returnValue.test === false) {
            throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
          }
          returnValue.newDocument = document;
          return returnValue;
        } else if (operation.op === "remove") {
          returnValue.removed = document;
          returnValue.newDocument = null;
          return returnValue;
        } else if (operation.op === "_get") {
          operation.value = document;
          return returnValue;
        } else {
          if (validateOperation) {
            throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
          } else {
            return returnValue;
          }
        }
      } else {
        if (!mutateDocument) {
          document = helpers_js_1._deepClone(document);
        }
        var path = operation.path || "";
        var keys = path.split("/");
        var obj = document;
        var t = 1;
        var len = keys.length;
        var existingPathFragment = void 0;
        var key = void 0;
        var validateFunction = void 0;
        if (typeof validateOperation == "function") {
          validateFunction = validateOperation;
        } else {
          validateFunction = validator;
        }
        while (true) {
          key = keys[t];
          if (key && key.indexOf("~") != -1) {
            key = helpers_js_1.unescapePathComponent(key);
          }
          if (banPrototypeModifications && (key == "__proto__" || key == "prototype" && t > 0 && keys[t - 1] == "constructor")) {
            throw new TypeError("JSON-Patch: modifying `__proto__` or `constructor/prototype` prop is banned for security reasons, if this was on purpose, please set `banPrototypeModifications` flag false and pass it to this function. More info in fast-json-patch README");
          }
          if (validateOperation) {
            if (existingPathFragment === void 0) {
              if (obj[key] === void 0) {
                existingPathFragment = keys.slice(0, t).join("/");
              } else if (t == len - 1) {
                existingPathFragment = operation.path;
              }
              if (existingPathFragment !== void 0) {
                validateFunction(operation, 0, document, existingPathFragment);
              }
            }
          }
          t++;
          if (Array.isArray(obj)) {
            if (key === "-") {
              key = obj.length;
            } else {
              if (validateOperation && !helpers_js_1.isInteger(key)) {
                throw new exports2.JsonPatchError("Expected an unsigned base-10 integer value, making the new referenced value the array element with the zero-based index", "OPERATION_PATH_ILLEGAL_ARRAY_INDEX", index, operation, document);
              } else if (helpers_js_1.isInteger(key)) {
                key = ~~key;
              }
            }
            if (t >= len) {
              if (validateOperation && operation.op === "add" && key > obj.length) {
                throw new exports2.JsonPatchError("The specified index MUST NOT be greater than the number of elements in the array", "OPERATION_VALUE_OUT_OF_BOUNDS", index, operation, document);
              }
              var returnValue = arrOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          } else {
            if (t >= len) {
              var returnValue = objOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          }
          obj = obj[key];
          if (validateOperation && t < len && (!obj || typeof obj !== "object")) {
            throw new exports2.JsonPatchError("Cannot perform operation at the desired path", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.applyOperation = applyOperation;
    function applyPatch(document, patch, validateOperation, mutateDocument, banPrototypeModifications) {
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (validateOperation) {
        if (!Array.isArray(patch)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
      }
      if (!mutateDocument) {
        document = helpers_js_1._deepClone(document);
      }
      var results = new Array(patch.length);
      for (var i = 0, length_1 = patch.length; i < length_1; i++) {
        results[i] = applyOperation(document, patch[i], validateOperation, true, banPrototypeModifications, i);
        document = results[i].newDocument;
      }
      results.newDocument = document;
      return results;
    }
    exports2.applyPatch = applyPatch;
    function applyReducer(document, operation, index) {
      var operationResult = applyOperation(document, operation);
      if (operationResult.test === false) {
        throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
      }
      return operationResult.newDocument;
    }
    exports2.applyReducer = applyReducer;
    function validator(operation, index, document, existingPathFragment) {
      if (typeof operation !== "object" || operation === null || Array.isArray(operation)) {
        throw new exports2.JsonPatchError("Operation is not an object", "OPERATION_NOT_AN_OBJECT", index, operation, document);
      } else if (!objOps[operation.op]) {
        throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
      } else if (typeof operation.path !== "string") {
        throw new exports2.JsonPatchError("Operation `path` property is not a string", "OPERATION_PATH_INVALID", index, operation, document);
      } else if (operation.path.indexOf("/") !== 0 && operation.path.length > 0) {
        throw new exports2.JsonPatchError('Operation `path` property must start with "/"', "OPERATION_PATH_INVALID", index, operation, document);
      } else if ((operation.op === "move" || operation.op === "copy") && typeof operation.from !== "string") {
        throw new exports2.JsonPatchError("Operation `from` property is not present (applicable in `move` and `copy` operations)", "OPERATION_FROM_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && operation.value === void 0) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && helpers_js_1.hasUndefined(operation.value)) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_CANNOT_CONTAIN_UNDEFINED", index, operation, document);
      } else if (document) {
        if (operation.op == "add") {
          var pathLen = operation.path.split("/").length;
          var existingPathLen = existingPathFragment.split("/").length;
          if (pathLen !== existingPathLen + 1 && pathLen !== existingPathLen) {
            throw new exports2.JsonPatchError("Cannot perform an `add` operation at the desired path", "OPERATION_PATH_CANNOT_ADD", index, operation, document);
          }
        } else if (operation.op === "replace" || operation.op === "remove" || operation.op === "_get") {
          if (operation.path !== existingPathFragment) {
            throw new exports2.JsonPatchError("Cannot perform the operation at a path that does not exist", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        } else if (operation.op === "move" || operation.op === "copy") {
          var existingValue = { op: "_get", path: operation.from, value: void 0 };
          var error = validate([existingValue], document);
          if (error && error.name === "OPERATION_PATH_UNRESOLVABLE") {
            throw new exports2.JsonPatchError("Cannot perform the operation from a path that does not exist", "OPERATION_FROM_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.validator = validator;
    function validate(sequence, document, externalValidator) {
      try {
        if (!Array.isArray(sequence)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
        if (document) {
          applyPatch(helpers_js_1._deepClone(document), helpers_js_1._deepClone(sequence), externalValidator || true);
        } else {
          externalValidator = externalValidator || validator;
          for (var i = 0; i < sequence.length; i++) {
            externalValidator(sequence[i], i, document, void 0);
          }
        }
      } catch (e) {
        if (e instanceof exports2.JsonPatchError) {
          return e;
        } else {
          throw e;
        }
      }
    }
    exports2.validate = validate;
    function _areEquals(a, b) {
      if (a === b)
        return true;
      if (a && b && typeof a == "object" && typeof b == "object") {
        var arrA = Array.isArray(a), arrB = Array.isArray(b), i, length, key;
        if (arrA && arrB) {
          length = a.length;
          if (length != b.length)
            return false;
          for (i = length; i-- !== 0; )
            if (!_areEquals(a[i], b[i]))
              return false;
          return true;
        }
        if (arrA != arrB)
          return false;
        var keys = Object.keys(a);
        length = keys.length;
        if (length !== Object.keys(b).length)
          return false;
        for (i = length; i-- !== 0; )
          if (!b.hasOwnProperty(keys[i]))
            return false;
        for (i = length; i-- !== 0; ) {
          key = keys[i];
          if (!_areEquals(a[key], b[key]))
            return false;
        }
        return true;
      }
      return a !== a && b !== b;
    }
    exports2._areEquals = _areEquals;
  }
});

// ../../components/environments/node_modules/fast-json-patch/commonjs/duplex.js
var require_duplex = __commonJS({
  "../../components/environments/node_modules/fast-json-patch/commonjs/duplex.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers();
    var core_js_1 = require_core();
    var beforeDict = /* @__PURE__ */ new WeakMap();
    var Mirror = (
      /** @class */
      function() {
        function Mirror2(obj) {
          this.observers = /* @__PURE__ */ new Map();
          this.obj = obj;
        }
        return Mirror2;
      }()
    );
    var ObserverInfo = (
      /** @class */
      function() {
        function ObserverInfo2(callback, observer) {
          this.callback = callback;
          this.observer = observer;
        }
        return ObserverInfo2;
      }()
    );
    function getMirror(obj) {
      return beforeDict.get(obj);
    }
    function getObserverFromMirror(mirror, callback) {
      return mirror.observers.get(callback);
    }
    function removeObserverFromMirror(mirror, observer) {
      mirror.observers.delete(observer.callback);
    }
    function unobserve(root, observer) {
      observer.unobserve();
    }
    exports2.unobserve = unobserve;
    function observe(obj, callback) {
      var patches = [];
      var observer;
      var mirror = getMirror(obj);
      if (!mirror) {
        mirror = new Mirror(obj);
        beforeDict.set(obj, mirror);
      } else {
        var observerInfo = getObserverFromMirror(mirror, callback);
        observer = observerInfo && observerInfo.observer;
      }
      if (observer) {
        return observer;
      }
      observer = {};
      mirror.value = helpers_js_1._deepClone(obj);
      if (callback) {
        observer.callback = callback;
        observer.next = null;
        var dirtyCheck = function() {
          generate(observer);
        };
        var fastCheck = function() {
          clearTimeout(observer.next);
          observer.next = setTimeout(dirtyCheck);
        };
        if (typeof window !== "undefined") {
          window.addEventListener("mouseup", fastCheck);
          window.addEventListener("keyup", fastCheck);
          window.addEventListener("mousedown", fastCheck);
          window.addEventListener("keydown", fastCheck);
          window.addEventListener("change", fastCheck);
        }
      }
      observer.patches = patches;
      observer.object = obj;
      observer.unobserve = function() {
        generate(observer);
        clearTimeout(observer.next);
        removeObserverFromMirror(mirror, observer);
        if (typeof window !== "undefined") {
          window.removeEventListener("mouseup", fastCheck);
          window.removeEventListener("keyup", fastCheck);
          window.removeEventListener("mousedown", fastCheck);
          window.removeEventListener("keydown", fastCheck);
          window.removeEventListener("change", fastCheck);
        }
      };
      mirror.observers.set(callback, new ObserverInfo(callback, observer));
      return observer;
    }
    exports2.observe = observe;
    function generate(observer, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var mirror = beforeDict.get(observer.object);
      _generate(mirror.value, observer.object, observer.patches, "", invertible);
      if (observer.patches.length) {
        core_js_1.applyPatch(mirror.value, observer.patches);
      }
      var temp = observer.patches;
      if (temp.length > 0) {
        observer.patches = [];
        if (observer.callback) {
          observer.callback(temp);
        }
      }
      return temp;
    }
    exports2.generate = generate;
    function _generate(mirror, obj, patches, path, invertible) {
      if (obj === mirror) {
        return;
      }
      if (typeof obj.toJSON === "function") {
        obj = obj.toJSON();
      }
      var newKeys = helpers_js_1._objectKeys(obj);
      var oldKeys = helpers_js_1._objectKeys(mirror);
      var changed = false;
      var deleted = false;
      for (var t = oldKeys.length - 1; t >= 0; t--) {
        var key = oldKeys[t];
        var oldVal = mirror[key];
        if (helpers_js_1.hasOwnProperty(obj, key) && !(obj[key] === void 0 && oldVal !== void 0 && Array.isArray(obj) === false)) {
          var newVal = obj[key];
          if (typeof oldVal == "object" && oldVal != null && typeof newVal == "object" && newVal != null && Array.isArray(oldVal) === Array.isArray(newVal)) {
            _generate(oldVal, newVal, patches, path + "/" + helpers_js_1.escapePathComponent(key), invertible);
          } else {
            if (oldVal !== newVal) {
              changed = true;
              if (invertible) {
                patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
              }
              patches.push({ op: "replace", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(newVal) });
            }
          }
        } else if (Array.isArray(mirror) === Array.isArray(obj)) {
          if (invertible) {
            patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
          }
          patches.push({ op: "remove", path: path + "/" + helpers_js_1.escapePathComponent(key) });
          deleted = true;
        } else {
          if (invertible) {
            patches.push({ op: "test", path, value: mirror });
          }
          patches.push({ op: "replace", path, value: obj });
          changed = true;
        }
      }
      if (!deleted && newKeys.length == oldKeys.length) {
        return;
      }
      for (var t = 0; t < newKeys.length; t++) {
        var key = newKeys[t];
        if (!helpers_js_1.hasOwnProperty(mirror, key) && obj[key] !== void 0) {
          patches.push({ op: "add", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(obj[key]) });
        }
      }
    }
    function compare(tree1, tree2, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var patches = [];
      _generate(tree1, tree2, patches, "", invertible);
      return patches;
    }
    exports2.compare = compare;
  }
});

// ../../components/environments/node_modules/fast-json-patch/index.js
var require_fast_json_patch = __commonJS({
  "../../components/environments/node_modules/fast-json-patch/index.js"(exports2) {
    var core = require_core();
    Object.assign(exports2, core);
    var duplex = require_duplex();
    Object.assign(exports2, duplex);
    var helpers = require_helpers();
    exports2.JsonPatchError = helpers.PatchError;
    exports2.deepClone = helpers._deepClone;
    exports2.escapePathComponent = helpers.escapePathComponent;
    exports2.unescapePathComponent = helpers.unescapePathComponent;
  }
});

// ../../components/environments/node_modules/projen/lib/json-patch.js
var require_json_patch = __commonJS({
  "../../components/environments/node_modules/projen/lib/json-patch.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonPatch = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fast_json_patch_1 = require_fast_json_patch();
    var JsonPatch = class _JsonPatch {
      /**
       * Applies a set of JSON-Patch (RFC-6902) operations to `document` and returns the result.
       * @param document The document to patch
       * @param ops The operations to apply
       * @returns The result document
       */
      static apply(document, ...ops) {
        const result = (0, fast_json_patch_1.applyPatch)(document, ops.map((o) => o._toJson()));
        return result.newDocument;
      }
      /**
       * Adds a value to an object or inserts it into an array. In the case of an
       * array, the value is inserted before the given index. The - character can be
       * used instead of an index to insert at the end of an array.
       *
       * @example JsonPatch.add('/biscuits/1', { "name": "Ginger Nut" })
       */
      static add(path, value) {
        return new _JsonPatch({ op: "add", path, value });
      }
      /**
       * Removes a value from an object or array.
       *
       * @example JsonPatch.remove('/biscuits')
       * @example JsonPatch.remove('/biscuits/0')
       */
      static remove(path) {
        return new _JsonPatch({ op: "remove", path });
      }
      /**
       * Replaces a value. Equivalent to a “remove” followed by an “add”.
       *
       * @example JsonPatch.replace('/biscuits/0/name', 'Chocolate Digestive')
       */
      static replace(path, value) {
        return new _JsonPatch({ op: "replace", path, value });
      }
      /**
       * Copies a value from one location to another within the JSON document. Both
       * from and path are JSON Pointers.
       *
       * @example JsonPatch.copy('/biscuits/0', '/best_biscuit')
       */
      static copy(from, path) {
        return new _JsonPatch({ op: "copy", from, path });
      }
      /**
       * Moves a value from one location to the other. Both from and path are JSON Pointers.
       *
       * @example JsonPatch.move('/biscuits', '/cookies')
       */
      static move(from, path) {
        return new _JsonPatch({ op: "move", from, path });
      }
      /**
       * Tests that the specified value is set in the document. If the test fails,
       * then the patch as a whole should not apply.
       *
       * @example JsonPatch.test('/best_biscuit/name', 'Choco Leibniz')
       */
      static test(path, value) {
        return new _JsonPatch({ op: "test", path, value });
      }
      constructor(operation) {
        this.operation = operation;
      }
      /**
       * Returns the JSON representation of this JSON patch operation.
       *
       * @internal
       */
      _toJson() {
        return this.operation;
      }
    };
    exports2.JsonPatch = JsonPatch;
    _a = JSII_RTTI_SYMBOL_1;
    JsonPatch[_a] = { fqn: "projen.JsonPatch", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/object-file.js
var require_object_file = __commonJS({
  "../../components/environments/node_modules/projen/lib/object-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ObjectFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var json_patch_1 = require_json_patch();
    var util_1 = require_util2();
    var ObjectFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.obj = options.obj ?? {};
        this.omitEmpty = options.omitEmpty ?? false;
        this.rawOverrides = {};
        this.patchOperations = [];
      }
      /**
       * Adds an override to the synthesized object file.
       *
       * If the override is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example,
       * ```typescript
       * project.tsconfig.file.addOverride('compilerOptions.alwaysStrict', true);
       * project.tsconfig.file.addOverride('compilerOptions.lib', ['dom', 'dom.iterable', 'esnext']);
       * ```
       * would add the overrides
       * ```json
       * "compilerOptions": {
       *   "alwaysStrict": true,
       *   "lib": [
       *     "dom",
       *     "dom.iterable",
       *     "esnext"
       *   ]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        override values in complex types. Any intermediate keys
       *        will be created as needed.
       * @param value - The value. Could be primitive or complex.
       */
      addOverride(path, value) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        curr[lastKey] = value;
      }
      /**
       * Adds to an array in the synthesized object file.
       *
       * If the array is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.addToArray('compilerOptions.exclude', 'coverage');
       * project.tsconfig.file.addToArray('compilerOptions.lib', 'dom', 'dom.iterable', 'esnext');
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["es2019", "dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        att to arrays in complex types. Any intermediate keys
       *        will be created as needed.
       * @param values - The values to add. Could be primitive or complex.
       */
      addToArray(path, ...values) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        if (Array.isArray(curr[lastKey])) {
          curr[lastKey].push(...values);
        } else {
          curr[lastKey] = { __$APPEND: values };
        }
      }
      /**
       * Applies an RFC 6902 JSON-patch to the synthesized object file.
       * See https://datatracker.ietf.org/doc/html/rfc6902 for more information.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.patch(JsonPatch.add("/compilerOptions/exclude/-", "coverage"));
       * project.tsconfig.file.patch(JsonPatch.replace("/compilerOptions/lib", ["dom", "dom.iterable", "esnext"]));
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param patches - The patch operations to apply
       */
      patch(...patches) {
        this.patchOperations.push(...patches);
      }
      /**
       * Syntactic sugar for `addOverride(path, undefined)`.
       * @param path The path of the value to delete
       */
      addDeletionOverride(path) {
        this.addOverride(path, void 0);
      }
      synthesizeContent(resolver) {
        const obj = this.obj;
        const resolved = resolver.resolve(obj, {
          omitEmpty: this.omitEmpty
        }) ?? void 0;
        if (resolved) {
          (0, util_1.deepMerge)([resolved, this.rawOverrides], true);
        }
        const patched = json_patch_1.JsonPatch.apply(resolved, ...this.patchOperations);
        return patched ? JSON.stringify(patched, void 0, 2) : void 0;
      }
    };
    exports2.ObjectFile = ObjectFile;
    _a = JSII_RTTI_SYMBOL_1;
    ObjectFile[_a] = { fqn: "projen.ObjectFile", version: "0.71.112" };
    function splitOnPeriods(x) {
      const ret = [""];
      for (let i = 0; i < x.length; i++) {
        if (x[i] === "\\" && i + 1 < x.length) {
          ret[0] += x[i + 1];
          i++;
        } else if (x[i] === ".") {
          ret.unshift("");
        } else {
          ret[0] += x[i];
        }
      }
      ret.reverse();
      return ret;
    }
  }
});

// ../../components/environments/node_modules/projen/lib/json.js
var require_json = __commonJS({
  "../../components/environments/node_modules/projen/lib/json.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var object_file_1 = require_object_file();
    var JsonFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.newline = options.newline ?? true;
        this.supportsComments = options.allowComments ?? (filePath.toLowerCase().endsWith("json5") || filePath.toLowerCase().endsWith("jsonc"));
        if (!options.obj) {
          throw new Error('"obj" cannot be undefined');
        }
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        const sanitized = JSON.parse(json);
        if (this.marker && !this.supportsComments) {
          sanitized["//"] = this.marker;
        }
        let content = JSON.stringify(sanitized, void 0, 2);
        if (this.marker && this.supportsComments) {
          content = `// ${this.marker}
${content}`;
        }
        if (this.newline) {
          content += "\n";
        }
        return content;
      }
    };
    exports2.JsonFile = JsonFile;
    _a = JSII_RTTI_SYMBOL_1;
    JsonFile[_a] = { fqn: "projen.JsonFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/dependencies.js
var require_dependencies = __commonJS({
  "../../components/environments/node_modules/projen/lib/dependencies.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DependencyType = exports2.Dependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var common_1 = require_common();
    var component_1 = require_component();
    var json_1 = require_json();
    var Dependencies = class _Dependencies extends component_1.Component {
      /**
       * Returns the coordinates of a dependency spec.
       *
       * Given `foo@^3.4.0` returns `{ name: "foo", version: "^3.4.0" }`.
       * Given `bar@npm:@bar/legacy` returns `{ name: "bar", version: "npm:@bar/legacy" }`.
       */
      static parseDependency(spec) {
        const scope = spec.startsWith("@");
        if (scope) {
          spec = spec.substr(1);
        }
        const [module3, ...version] = spec.split("@");
        const name = scope ? `@${module3}` : module3;
        if (version.length == 0) {
          return { name };
        } else {
          return { name, version: version?.join("@") };
        }
      }
      /**
       * Adds a dependencies component to the project.
       * @param project The parent project
       */
      constructor(project) {
        super(project);
        this._deps = new Array();
        if (!project.ejected) {
          new json_1.JsonFile(project, _Dependencies.MANIFEST_FILE, {
            omitEmpty: true,
            obj: () => this.toJson()
          });
        }
      }
      /**
       * A copy of all dependencies recorded for this project.
       *
       * The list is sorted by type->name->version
       */
      get all() {
        return [...this._deps].sort(compareDeps).map(normalizeDep);
      }
      /**
       * Returns a dependency by name.
       *
       * Fails if there is no dependency defined by that name or if `type` is not
       * provided and there is more then one dependency type for this dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified)
       */
      getDependency(name, type) {
        const dep = this.tryGetDependency(name, type);
        if (!dep) {
          const msg = type ? `there is no ${type} dependency defined on "${name}"` : `there is no dependency defined on "${name}"`;
          throw new Error(msg);
        }
        return dep;
      }
      /**
       * Returns a dependency by name.
       *
       * Returns `undefined` if there is no dependency defined by that name or if
       * `type` is not provided and there is more then one dependency type for this
       * dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified) or undefined if there is no match
       */
      tryGetDependency(name, type) {
        const idx = this.tryGetDependencyIndex(name, type);
        if (idx === -1) {
          return void 0;
        }
        return {
          ...normalizeDep(this._deps[idx])
        };
      }
      /**
       * Adds a dependency to this project.
       * @param spec The dependency spec in the format `MODULE[@VERSION]` where
       * `MODULE` is the package-manager-specific module name and `VERSION` is an
       * optional semantic version requirement (e.g. `^3.4.0`).
       * @param type The type of the dependency.
       */
      addDependency(spec, type, metadata = {}) {
        this.project.logger.debug(`${type}-dep ${spec}`);
        const dep = {
          ..._Dependencies.parseDependency(spec),
          type,
          metadata
        };
        const existingDepIndex = this.tryGetDependencyIndex(dep.name, type);
        if (existingDepIndex !== -1) {
          this.project.logger.debug(`updating existing ${dep.type}-dep ${dep.name} with more specific version/metadata`);
          this._deps[existingDepIndex] = dep;
        } else {
          this._deps.push(dep);
        }
        return dep;
      }
      /**
       * Removes a dependency.
       * @param name The name of the module to remove (without the version)
       * @param type The dependency type. This is only required if there the
       * dependency is defined for multiple types.
       */
      removeDependency(name, type) {
        const removeIndex = this.tryGetDependencyIndex(name, type);
        if (removeIndex === -1) {
          return;
        }
        this._deps.splice(removeIndex, 1);
      }
      tryGetDependencyIndex(name, type) {
        const deps = this._deps.filter((d) => d.name === name);
        if (deps.length === 0) {
          return -1;
        }
        if (!type) {
          if (deps.length > 1) {
            throw new Error(`"${name}" is defined for multiple dependency types: ${deps.map((d) => d.type).join(",")}. Please specify dependency type`);
          }
          type = deps[0].type;
        }
        return this._deps.findIndex((dep) => dep.name === name && dep.type === type);
      }
      toJson() {
        if (this._deps.length === 0) {
          return void 0;
        }
        return {
          dependencies: this._deps.sort(compareDeps).map(normalizeDep)
        };
      }
    };
    exports2.Dependencies = Dependencies;
    _a = JSII_RTTI_SYMBOL_1;
    Dependencies[_a] = { fqn: "projen.Dependencies", version: "0.71.112" };
    Dependencies.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "deps.json");
    function normalizeDep(d) {
      const obj = {};
      for (const [k, v] of Object.entries(d)) {
        if (v == void 0) {
          continue;
        }
        if (typeof v === "object" && Object.keys(v).length === 0) {
          continue;
        }
        if (Array.isArray(v) && v.length === 0) {
          continue;
        }
        obj[k] = v;
      }
      return obj;
    }
    function compareDeps(d1, d2) {
      return specOf(d1).localeCompare(specOf(d2));
      function specOf(dep) {
        let spec = dep.type + ":" + dep.name;
        if (dep.version) {
          spec += "@" + dep.version;
        }
        return spec;
      }
    }
    var DependencyType;
    (function(DependencyType2) {
      DependencyType2["RUNTIME"] = "runtime";
      DependencyType2["PEER"] = "peer";
      DependencyType2["BUNDLED"] = "bundled";
      DependencyType2["BUILD"] = "build";
      DependencyType2["TEST"] = "test";
      DependencyType2["DEVENV"] = "devenv";
      DependencyType2["OVERRIDE"] = "override";
    })(DependencyType || (exports2.DependencyType = DependencyType = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-port.js
var require_docker_compose_port = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-port.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeProtocol = void 0;
    var DockerComposeProtocol;
    (function(DockerComposeProtocol2) {
      DockerComposeProtocol2["TCP"] = "tcp";
      DockerComposeProtocol2["UDP"] = "udp";
    })(DockerComposeProtocol || (exports2.DockerComposeProtocol = DockerComposeProtocol = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-render.js
var require_docker_compose_render = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-render.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderDockerComposeFile = void 0;
    var util_1 = require_util2();
    function renderDockerComposeFile(serviceDescriptions, version) {
      const volumeConfig = {};
      const volumeInfo = {
        addVolumeConfiguration(volumeName, configuration) {
          if (!volumeConfig[volumeName]) {
            volumeConfig[volumeName] = configuration;
          }
        }
      };
      const networkConfig = {};
      const networkInfo = {
        addNetworkConfiguration(networkName, configuration) {
          if (!networkConfig[networkName]) {
            networkConfig[networkName] = configuration;
          }
        }
      };
      const services = {};
      for (const [serviceName, serviceDescription] of Object.entries(serviceDescriptions ?? {})) {
        const dependsOn = Array();
        for (const dependsOnServiceName of serviceDescription.dependsOn ?? []) {
          const resolvedServiceName = dependsOnServiceName.serviceName;
          if (resolvedServiceName === serviceName) {
            throw new Error(`Service ${serviceName} cannot depend on itself`);
          }
          if (!serviceDescriptions[resolvedServiceName]) {
            throw new Error(`Unable to resolve service named ${resolvedServiceName} for ${serviceName}`);
          }
          dependsOn.push(resolvedServiceName);
        }
        const volumes = [];
        for (const volumeBinding of serviceDescription.volumes ?? []) {
          volumes.push(volumeBinding.bind(volumeInfo));
        }
        const networks = [];
        for (const networkBinding of serviceDescription.networks ?? []) {
          networks.push(networkBinding.bind(networkInfo));
        }
        services[serviceName] = {
          ...getObjectWithKeyAndValueIfValueIsDefined("image", serviceDescription.image),
          ...getObjectWithKeyAndValueIfValueIsDefined("build", serviceDescription.imageBuild),
          ...getObjectWithKeyAndValueIfValueIsDefined("entrypoint", serviceDescription.entrypoint),
          ...getObjectWithKeyAndValueIfValueIsDefined("command", serviceDescription.command),
          ...Object.keys(serviceDescription.environment).length > 0 ? { environment: serviceDescription.environment } : {},
          ...serviceDescription.ports.length > 0 ? { ports: serviceDescription.ports } : {},
          ...Object.keys(serviceDescription.labels).length > 0 ? { labels: serviceDescription.labels } : {},
          ...dependsOn.length > 0 ? { dependsOn } : {},
          ...volumes.length > 0 ? { volumes } : {},
          ...networks.length > 0 ? { networks } : {}
        };
      }
      const input = {
        version,
        services,
        ...Object.keys(volumeConfig).length > 0 ? { volumes: volumeConfig } : {},
        ...Object.keys(networkConfig).length > 0 ? { networks: networkConfig } : {}
      };
      return (0, util_1.decamelizeKeysRecursively)(input, {
        shouldDecamelize: shouldDecamelizeDockerComposeKey,
        separator: "_"
      });
    }
    exports2.renderDockerComposeFile = renderDockerComposeFile;
    function getObjectWithKeyAndValueIfValueIsDefined(key, value) {
      return value !== void 0 ? { [key]: value } : {};
    }
    function shouldDecamelizeDockerComposeKey(path) {
      const poundPath = path.join("#");
      if (/^(services|volumes|networks)#[^#]+$/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#(environment|labels)#/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#build#args#/.test(poundPath)) {
        return false;
      }
      return true;
    }
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/identity.js
var require_identity = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/identity.js"(exports2) {
    "use strict";
    var ALIAS = Symbol.for("yaml.alias");
    var DOC = Symbol.for("yaml.document");
    var MAP = Symbol.for("yaml.map");
    var PAIR = Symbol.for("yaml.pair");
    var SCALAR = Symbol.for("yaml.scalar");
    var SEQ = Symbol.for("yaml.seq");
    var NODE_TYPE = Symbol.for("yaml.node.type");
    var isAlias = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === ALIAS;
    var isDocument = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === DOC;
    var isMap = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === MAP;
    var isPair = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === PAIR;
    var isScalar = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SCALAR;
    var isSeq = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SEQ;
    function isCollection(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case MAP:
          case SEQ:
            return true;
        }
      return false;
    }
    function isNode(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case ALIAS:
          case MAP:
          case SCALAR:
          case SEQ:
            return true;
        }
      return false;
    }
    var hasAnchor = (node) => (isScalar(node) || isCollection(node)) && !!node.anchor;
    exports2.ALIAS = ALIAS;
    exports2.DOC = DOC;
    exports2.MAP = MAP;
    exports2.NODE_TYPE = NODE_TYPE;
    exports2.PAIR = PAIR;
    exports2.SCALAR = SCALAR;
    exports2.SEQ = SEQ;
    exports2.hasAnchor = hasAnchor;
    exports2.isAlias = isAlias;
    exports2.isCollection = isCollection;
    exports2.isDocument = isDocument;
    exports2.isMap = isMap;
    exports2.isNode = isNode;
    exports2.isPair = isPair;
    exports2.isScalar = isScalar;
    exports2.isSeq = isSeq;
  }
});

// ../../components/environments/node_modules/yaml/dist/visit.js
var require_visit = __commonJS({
  "../../components/environments/node_modules/yaml/dist/visit.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove node");
    function visit(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = visit_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        visit_(null, node, visitor_, Object.freeze([]));
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    function visit_(key, node, visitor, path) {
      const ctrl = callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visit_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = visit_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = visit_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = visit_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    async function visitAsync(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = await visitAsync_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        await visitAsync_(null, node, visitor_, Object.freeze([]));
    }
    visitAsync.BREAK = BREAK;
    visitAsync.SKIP = SKIP;
    visitAsync.REMOVE = REMOVE;
    async function visitAsync_(key, node, visitor, path) {
      const ctrl = await callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visitAsync_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = await visitAsync_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = await visitAsync_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = await visitAsync_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    function initVisitor(visitor) {
      if (typeof visitor === "object" && (visitor.Collection || visitor.Node || visitor.Value)) {
        return Object.assign({
          Alias: visitor.Node,
          Map: visitor.Node,
          Scalar: visitor.Node,
          Seq: visitor.Node
        }, visitor.Value && {
          Map: visitor.Value,
          Scalar: visitor.Value,
          Seq: visitor.Value
        }, visitor.Collection && {
          Map: visitor.Collection,
          Seq: visitor.Collection
        }, visitor);
      }
      return visitor;
    }
    function callVisitor(key, node, visitor, path) {
      if (typeof visitor === "function")
        return visitor(key, node, path);
      if (identity.isMap(node))
        return visitor.Map?.(key, node, path);
      if (identity.isSeq(node))
        return visitor.Seq?.(key, node, path);
      if (identity.isPair(node))
        return visitor.Pair?.(key, node, path);
      if (identity.isScalar(node))
        return visitor.Scalar?.(key, node, path);
      if (identity.isAlias(node))
        return visitor.Alias?.(key, node, path);
      return void 0;
    }
    function replaceNode(key, path, node) {
      const parent = path[path.length - 1];
      if (identity.isCollection(parent)) {
        parent.items[key] = node;
      } else if (identity.isPair(parent)) {
        if (key === "key")
          parent.key = node;
        else
          parent.value = node;
      } else if (identity.isDocument(parent)) {
        parent.contents = node;
      } else {
        const pt = identity.isAlias(parent) ? "alias" : "scalar";
        throw new Error(`Cannot replace node with ${pt} parent`);
      }
    }
    exports2.visit = visit;
    exports2.visitAsync = visitAsync;
  }
});

// ../../components/environments/node_modules/yaml/dist/doc/directives.js
var require_directives = __commonJS({
  "../../components/environments/node_modules/yaml/dist/doc/directives.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var visit = require_visit();
    var escapeChars = {
      "!": "%21",
      ",": "%2C",
      "[": "%5B",
      "]": "%5D",
      "{": "%7B",
      "}": "%7D"
    };
    var escapeTagName = (tn) => tn.replace(/[!,[\]{}]/g, (ch) => escapeChars[ch]);
    var Directives = class _Directives {
      constructor(yaml, tags) {
        this.docStart = null;
        this.docEnd = false;
        this.yaml = Object.assign({}, _Directives.defaultYaml, yaml);
        this.tags = Object.assign({}, _Directives.defaultTags, tags);
      }
      clone() {
        const copy = new _Directives(this.yaml, this.tags);
        copy.docStart = this.docStart;
        return copy;
      }
      /**
       * During parsing, get a Directives instance for the current document and
       * update the stream state according to the current version's spec.
       */
      atDocument() {
        const res = new _Directives(this.yaml, this.tags);
        switch (this.yaml.version) {
          case "1.1":
            this.atNextDocument = true;
            break;
          case "1.2":
            this.atNextDocument = false;
            this.yaml = {
              explicit: _Directives.defaultYaml.explicit,
              version: "1.2"
            };
            this.tags = Object.assign({}, _Directives.defaultTags);
            break;
        }
        return res;
      }
      /**
       * @param onError - May be called even if the action was successful
       * @returns `true` on success
       */
      add(line, onError) {
        if (this.atNextDocument) {
          this.yaml = { explicit: _Directives.defaultYaml.explicit, version: "1.1" };
          this.tags = Object.assign({}, _Directives.defaultTags);
          this.atNextDocument = false;
        }
        const parts = line.trim().split(/[ \t]+/);
        const name = parts.shift();
        switch (name) {
          case "%TAG": {
            if (parts.length !== 2) {
              onError(0, "%TAG directive should contain exactly two parts");
              if (parts.length < 2)
                return false;
            }
            const [handle, prefix] = parts;
            this.tags[handle] = prefix;
            return true;
          }
          case "%YAML": {
            this.yaml.explicit = true;
            if (parts.length !== 1) {
              onError(0, "%YAML directive should contain exactly one part");
              return false;
            }
            const [version] = parts;
            if (version === "1.1" || version === "1.2") {
              this.yaml.version = version;
              return true;
            } else {
              const isValid = /^\d+\.\d+$/.test(version);
              onError(6, `Unsupported YAML version ${version}`, isValid);
              return false;
            }
          }
          default:
            onError(0, `Unknown directive ${name}`, true);
            return false;
        }
      }
      /**
       * Resolves a tag, matching handles to those defined in %TAG directives.
       *
       * @returns Resolved tag, which may also be the non-specific tag `'!'` or a
       *   `'!local'` tag, or `null` if unresolvable.
       */
      tagName(source, onError) {
        if (source === "!")
          return "!";
        if (source[0] !== "!") {
          onError(`Not a valid tag: ${source}`);
          return null;
        }
        if (source[1] === "<") {
          const verbatim = source.slice(2, -1);
          if (verbatim === "!" || verbatim === "!!") {
            onError(`Verbatim tags aren't resolved, so ${source} is invalid.`);
            return null;
          }
          if (source[source.length - 1] !== ">")
            onError("Verbatim tags must end with a >");
          return verbatim;
        }
        const [, handle, suffix] = source.match(/^(.*!)([^!]*)$/);
        if (!suffix)
          onError(`The ${source} tag has no suffix`);
        const prefix = this.tags[handle];
        if (prefix)
          return prefix + decodeURIComponent(suffix);
        if (handle === "!")
          return source;
        onError(`Could not resolve tag: ${source}`);
        return null;
      }
      /**
       * Given a fully resolved tag, returns its printable string form,
       * taking into account current tag prefixes and defaults.
       */
      tagString(tag) {
        for (const [handle, prefix] of Object.entries(this.tags)) {
          if (tag.startsWith(prefix))
            return handle + escapeTagName(tag.substring(prefix.length));
        }
        return tag[0] === "!" ? tag : `!<${tag}>`;
      }
      toString(doc) {
        const lines = this.yaml.explicit ? [`%YAML ${this.yaml.version || "1.2"}`] : [];
        const tagEntries = Object.entries(this.tags);
        let tagNames;
        if (doc && tagEntries.length > 0 && identity.isNode(doc.contents)) {
          const tags = {};
          visit.visit(doc.contents, (_key, node) => {
            if (identity.isNode(node) && node.tag)
              tags[node.tag] = true;
          });
          tagNames = Object.keys(tags);
        } else
          tagNames = [];
        for (const [handle, prefix] of tagEntries) {
          if (handle === "!!" && prefix === "tag:yaml.org,2002:")
            continue;
          if (!doc || tagNames.some((tn) => tn.startsWith(prefix)))
            lines.push(`%TAG ${handle} ${prefix}`);
        }
        return lines.join("\n");
      }
    };
    Directives.defaultYaml = { explicit: false, version: "1.2" };
    Directives.defaultTags = { "!!": "tag:yaml.org,2002:" };
    exports2.Directives = Directives;
  }
});

// ../../components/environments/node_modules/yaml/dist/doc/anchors.js
var require_anchors = __commonJS({
  "../../components/environments/node_modules/yaml/dist/doc/anchors.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var visit = require_visit();
    function anchorIsValid(anchor) {
      if (/[\x00-\x19\s,[\]{}]/.test(anchor)) {
        const sa = JSON.stringify(anchor);
        const msg = `Anchor must not contain whitespace or control characters: ${sa}`;
        throw new Error(msg);
      }
      return true;
    }
    function anchorNames(root) {
      const anchors = /* @__PURE__ */ new Set();
      visit.visit(root, {
        Value(_key, node) {
          if (node.anchor)
            anchors.add(node.anchor);
        }
      });
      return anchors;
    }
    function findNewAnchor(prefix, exclude) {
      for (let i = 1; true; ++i) {
        const name = `${prefix}${i}`;
        if (!exclude.has(name))
          return name;
      }
    }
    function createNodeAnchors(doc, prefix) {
      const aliasObjects = [];
      const sourceObjects = /* @__PURE__ */ new Map();
      let prevAnchors = null;
      return {
        onAnchor: (source) => {
          aliasObjects.push(source);
          if (!prevAnchors)
            prevAnchors = anchorNames(doc);
          const anchor = findNewAnchor(prefix, prevAnchors);
          prevAnchors.add(anchor);
          return anchor;
        },
        /**
         * With circular references, the source node is only resolved after all
         * of its child nodes are. This is why anchors are set only after all of
         * the nodes have been created.
         */
        setAnchors: () => {
          for (const source of aliasObjects) {
            const ref = sourceObjects.get(source);
            if (typeof ref === "object" && ref.anchor && (identity.isScalar(ref.node) || identity.isCollection(ref.node))) {
              ref.node.anchor = ref.anchor;
            } else {
              const error = new Error("Failed to resolve repeated object (this should not happen)");
              error.source = source;
              throw error;
            }
          }
        },
        sourceObjects
      };
    }
    exports2.anchorIsValid = anchorIsValid;
    exports2.anchorNames = anchorNames;
    exports2.createNodeAnchors = createNodeAnchors;
    exports2.findNewAnchor = findNewAnchor;
  }
});

// ../../components/environments/node_modules/yaml/dist/doc/applyReviver.js
var require_applyReviver = __commonJS({
  "../../components/environments/node_modules/yaml/dist/doc/applyReviver.js"(exports2) {
    "use strict";
    function applyReviver(reviver, obj, key, val) {
      if (val && typeof val === "object") {
        if (Array.isArray(val)) {
          for (let i = 0, len = val.length; i < len; ++i) {
            const v0 = val[i];
            const v1 = applyReviver(reviver, val, String(i), v0);
            if (v1 === void 0)
              delete val[i];
            else if (v1 !== v0)
              val[i] = v1;
          }
        } else if (val instanceof Map) {
          for (const k of Array.from(val.keys())) {
            const v0 = val.get(k);
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              val.delete(k);
            else if (v1 !== v0)
              val.set(k, v1);
          }
        } else if (val instanceof Set) {
          for (const v0 of Array.from(val)) {
            const v1 = applyReviver(reviver, val, v0, v0);
            if (v1 === void 0)
              val.delete(v0);
            else if (v1 !== v0) {
              val.delete(v0);
              val.add(v1);
            }
          }
        } else {
          for (const [k, v0] of Object.entries(val)) {
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              delete val[k];
            else if (v1 !== v0)
              val[k] = v1;
          }
        }
      }
      return reviver.call(obj, key, val);
    }
    exports2.applyReviver = applyReviver;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/toJS.js
var require_toJS = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/toJS.js"(exports2) {
    "use strict";
    var identity = require_identity();
    function toJS(value, arg, ctx) {
      if (Array.isArray(value))
        return value.map((v, i) => toJS(v, String(i), ctx));
      if (value && typeof value.toJSON === "function") {
        if (!ctx || !identity.hasAnchor(value))
          return value.toJSON(arg, ctx);
        const data = { aliasCount: 0, count: 1, res: void 0 };
        ctx.anchors.set(value, data);
        ctx.onCreate = (res2) => {
          data.res = res2;
          delete ctx.onCreate;
        };
        const res = value.toJSON(arg, ctx);
        if (ctx.onCreate)
          ctx.onCreate(res);
        return res;
      }
      if (typeof value === "bigint" && !ctx?.keep)
        return Number(value);
      return value;
    }
    exports2.toJS = toJS;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/Node.js
var require_Node = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/Node.js"(exports2) {
    "use strict";
    var applyReviver = require_applyReviver();
    var identity = require_identity();
    var toJS = require_toJS();
    var NodeBase = class {
      constructor(type) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: type });
      }
      /** Create a copy of this node.  */
      clone() {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** A plain JavaScript representation of this node. */
      toJS(doc, { mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        if (!identity.isDocument(doc))
          throw new TypeError("A document argument is required");
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc,
          keep: true,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this, "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
    };
    exports2.NodeBase = NodeBase;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/Alias.js
var require_Alias = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/Alias.js"(exports2) {
    "use strict";
    var anchors = require_anchors();
    var visit = require_visit();
    var identity = require_identity();
    var Node = require_Node();
    var toJS = require_toJS();
    var Alias = class extends Node.NodeBase {
      constructor(source) {
        super(identity.ALIAS);
        this.source = source;
        Object.defineProperty(this, "tag", {
          set() {
            throw new Error("Alias nodes cannot have tags");
          }
        });
      }
      /**
       * Resolve the value of this alias within `doc`, finding the last
       * instance of the `source` anchor before this node.
       */
      resolve(doc) {
        let found = void 0;
        visit.visit(doc, {
          Node: (_key, node) => {
            if (node === this)
              return visit.visit.BREAK;
            if (node.anchor === this.source)
              found = node;
          }
        });
        return found;
      }
      toJSON(_arg, ctx) {
        if (!ctx)
          return { source: this.source };
        const { anchors: anchors2, doc, maxAliasCount } = ctx;
        const source = this.resolve(doc);
        if (!source) {
          const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
          throw new ReferenceError(msg);
        }
        let data = anchors2.get(source);
        if (!data) {
          toJS.toJS(source, null, ctx);
          data = anchors2.get(source);
        }
        if (!data || data.res === void 0) {
          const msg = "This should not happen: Alias anchor was not resolved?";
          throw new ReferenceError(msg);
        }
        if (maxAliasCount >= 0) {
          data.count += 1;
          if (data.aliasCount === 0)
            data.aliasCount = getAliasCount(doc, source, anchors2);
          if (data.count * data.aliasCount > maxAliasCount) {
            const msg = "Excessive alias count indicates a resource exhaustion attack";
            throw new ReferenceError(msg);
          }
        }
        return data.res;
      }
      toString(ctx, _onComment, _onChompKeep) {
        const src = `*${this.source}`;
        if (ctx) {
          anchors.anchorIsValid(this.source);
          if (ctx.options.verifyAliasOrder && !ctx.anchors.has(this.source)) {
            const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
            throw new Error(msg);
          }
          if (ctx.implicitKey)
            return `${src} `;
        }
        return src;
      }
    };
    function getAliasCount(doc, node, anchors2) {
      if (identity.isAlias(node)) {
        const source = node.resolve(doc);
        const anchor = anchors2 && source && anchors2.get(source);
        return anchor ? anchor.count * anchor.aliasCount : 0;
      } else if (identity.isCollection(node)) {
        let count = 0;
        for (const item of node.items) {
          const c = getAliasCount(doc, item, anchors2);
          if (c > count)
            count = c;
        }
        return count;
      } else if (identity.isPair(node)) {
        const kc = getAliasCount(doc, node.key, anchors2);
        const vc = getAliasCount(doc, node.value, anchors2);
        return Math.max(kc, vc);
      }
      return 1;
    }
    exports2.Alias = Alias;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/Scalar.js
var require_Scalar = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/Scalar.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Node = require_Node();
    var toJS = require_toJS();
    var isScalarValue = (value) => !value || typeof value !== "function" && typeof value !== "object";
    var Scalar = class extends Node.NodeBase {
      constructor(value) {
        super(identity.SCALAR);
        this.value = value;
      }
      toJSON(arg, ctx) {
        return ctx?.keep ? this.value : toJS.toJS(this.value, arg, ctx);
      }
      toString() {
        return String(this.value);
      }
    };
    Scalar.BLOCK_FOLDED = "BLOCK_FOLDED";
    Scalar.BLOCK_LITERAL = "BLOCK_LITERAL";
    Scalar.PLAIN = "PLAIN";
    Scalar.QUOTE_DOUBLE = "QUOTE_DOUBLE";
    Scalar.QUOTE_SINGLE = "QUOTE_SINGLE";
    exports2.Scalar = Scalar;
    exports2.isScalarValue = isScalarValue;
  }
});

// ../../components/environments/node_modules/yaml/dist/doc/createNode.js
var require_createNode = __commonJS({
  "../../components/environments/node_modules/yaml/dist/doc/createNode.js"(exports2) {
    "use strict";
    var Alias = require_Alias();
    var identity = require_identity();
    var Scalar = require_Scalar();
    var defaultTagPrefix = "tag:yaml.org,2002:";
    function findTagObject(value, tagName, tags) {
      if (tagName) {
        const match = tags.filter((t) => t.tag === tagName);
        const tagObj = match.find((t) => !t.format) ?? match[0];
        if (!tagObj)
          throw new Error(`Tag ${tagName} not found`);
        return tagObj;
      }
      return tags.find((t) => t.identify?.(value) && !t.format);
    }
    function createNode(value, tagName, ctx) {
      if (identity.isDocument(value))
        value = value.contents;
      if (identity.isNode(value))
        return value;
      if (identity.isPair(value)) {
        const map = ctx.schema[identity.MAP].createNode?.(ctx.schema, null, ctx);
        map.items.push(value);
        return map;
      }
      if (value instanceof String || value instanceof Number || value instanceof Boolean || typeof BigInt !== "undefined" && value instanceof BigInt) {
        value = value.valueOf();
      }
      const { aliasDuplicateObjects, onAnchor, onTagObj, schema, sourceObjects } = ctx;
      let ref = void 0;
      if (aliasDuplicateObjects && value && typeof value === "object") {
        ref = sourceObjects.get(value);
        if (ref) {
          if (!ref.anchor)
            ref.anchor = onAnchor(value);
          return new Alias.Alias(ref.anchor);
        } else {
          ref = { anchor: null, node: null };
          sourceObjects.set(value, ref);
        }
      }
      if (tagName?.startsWith("!!"))
        tagName = defaultTagPrefix + tagName.slice(2);
      let tagObj = findTagObject(value, tagName, schema.tags);
      if (!tagObj) {
        if (value && typeof value.toJSON === "function") {
          value = value.toJSON();
        }
        if (!value || typeof value !== "object") {
          const node2 = new Scalar.Scalar(value);
          if (ref)
            ref.node = node2;
          return node2;
        }
        tagObj = value instanceof Map ? schema[identity.MAP] : Symbol.iterator in Object(value) ? schema[identity.SEQ] : schema[identity.MAP];
      }
      if (onTagObj) {
        onTagObj(tagObj);
        delete ctx.onTagObj;
      }
      const node = tagObj?.createNode ? tagObj.createNode(ctx.schema, value, ctx) : typeof tagObj?.nodeClass?.from === "function" ? tagObj.nodeClass.from(ctx.schema, value, ctx) : new Scalar.Scalar(value);
      if (tagName)
        node.tag = tagName;
      else if (!tagObj.default)
        node.tag = tagObj.tag;
      if (ref)
        ref.node = node;
      return node;
    }
    exports2.createNode = createNode;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/Collection.js
var require_Collection = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/Collection.js"(exports2) {
    "use strict";
    var createNode = require_createNode();
    var identity = require_identity();
    var Node = require_Node();
    function collectionFromPath(schema, path, value) {
      let v = value;
      for (let i = path.length - 1; i >= 0; --i) {
        const k = path[i];
        if (typeof k === "number" && Number.isInteger(k) && k >= 0) {
          const a = [];
          a[k] = v;
          v = a;
        } else {
          v = /* @__PURE__ */ new Map([[k, v]]);
        }
      }
      return createNode.createNode(v, void 0, {
        aliasDuplicateObjects: false,
        keepUndefined: false,
        onAnchor: () => {
          throw new Error("This should not happen, please report a bug.");
        },
        schema,
        sourceObjects: /* @__PURE__ */ new Map()
      });
    }
    var isEmptyPath = (path) => path == null || typeof path === "object" && !!path[Symbol.iterator]().next().done;
    var Collection = class extends Node.NodeBase {
      constructor(type, schema) {
        super(type);
        Object.defineProperty(this, "schema", {
          value: schema,
          configurable: true,
          enumerable: false,
          writable: true
        });
      }
      /**
       * Create a copy of this collection.
       *
       * @param schema - If defined, overwrites the original's schema
       */
      clone(schema) {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (schema)
          copy.schema = schema;
        copy.items = copy.items.map((it) => identity.isNode(it) || identity.isPair(it) ? it.clone(schema) : it);
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /**
       * Adds a value to the collection. For `!!map` and `!!omap` the value must
       * be a Pair instance or a `{ key, value }` object, which may not have a key
       * that already exists in the map.
       */
      addIn(path, value) {
        if (isEmptyPath(path))
          this.add(value);
        else {
          const [key, ...rest] = path;
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.addIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
      /**
       * Removes a value from the collection.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.delete(key);
        const node = this.get(key, true);
        if (identity.isCollection(node))
          return node.deleteIn(rest);
        else
          throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        const [key, ...rest] = path;
        const node = this.get(key, true);
        if (rest.length === 0)
          return !keepScalar && identity.isScalar(node) ? node.value : node;
        else
          return identity.isCollection(node) ? node.getIn(rest, keepScalar) : void 0;
      }
      hasAllNullValues(allowScalar) {
        return this.items.every((node) => {
          if (!identity.isPair(node))
            return false;
          const n = node.value;
          return n == null || allowScalar && identity.isScalar(n) && n.value == null && !n.commentBefore && !n.comment && !n.tag;
        });
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       */
      hasIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.has(key);
        const node = this.get(key, true);
        return identity.isCollection(node) ? node.hasIn(rest) : false;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        const [key, ...rest] = path;
        if (rest.length === 0) {
          this.set(key, value);
        } else {
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.setIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
    };
    Collection.maxFlowStringSingleLineLength = 60;
    exports2.Collection = Collection;
    exports2.collectionFromPath = collectionFromPath;
    exports2.isEmptyPath = isEmptyPath;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyComment.js
var require_stringifyComment = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyComment.js"(exports2) {
    "use strict";
    var stringifyComment = (str) => str.replace(/^(?!$)(?: $)?/gm, "#");
    function indentComment(comment, indent) {
      if (/^\n+$/.test(comment))
        return comment.substring(1);
      return indent ? comment.replace(/^(?! *$)/gm, indent) : comment;
    }
    var lineComment = (str, indent, comment) => str.endsWith("\n") ? indentComment(comment, indent) : comment.includes("\n") ? "\n" + indentComment(comment, indent) : (str.endsWith(" ") ? "" : " ") + comment;
    exports2.indentComment = indentComment;
    exports2.lineComment = lineComment;
    exports2.stringifyComment = stringifyComment;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/foldFlowLines.js
var require_foldFlowLines = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/foldFlowLines.js"(exports2) {
    "use strict";
    var FOLD_FLOW = "flow";
    var FOLD_BLOCK = "block";
    var FOLD_QUOTED = "quoted";
    function foldFlowLines(text, indent, mode = "flow", { indentAtStart, lineWidth = 80, minContentWidth = 20, onFold, onOverflow } = {}) {
      if (!lineWidth || lineWidth < 0)
        return text;
      const endStep = Math.max(1 + minContentWidth, 1 + lineWidth - indent.length);
      if (text.length <= endStep)
        return text;
      const folds = [];
      const escapedFolds = {};
      let end = lineWidth - indent.length;
      if (typeof indentAtStart === "number") {
        if (indentAtStart > lineWidth - Math.max(2, minContentWidth))
          folds.push(0);
        else
          end = lineWidth - indentAtStart;
      }
      let split = void 0;
      let prev = void 0;
      let overflow = false;
      let i = -1;
      let escStart = -1;
      let escEnd = -1;
      if (mode === FOLD_BLOCK) {
        i = consumeMoreIndentedLines(text, i);
        if (i !== -1)
          end = i + endStep;
      }
      for (let ch; ch = text[i += 1]; ) {
        if (mode === FOLD_QUOTED && ch === "\\") {
          escStart = i;
          switch (text[i + 1]) {
            case "x":
              i += 3;
              break;
            case "u":
              i += 5;
              break;
            case "U":
              i += 9;
              break;
            default:
              i += 1;
          }
          escEnd = i;
        }
        if (ch === "\n") {
          if (mode === FOLD_BLOCK)
            i = consumeMoreIndentedLines(text, i);
          end = i + endStep;
          split = void 0;
        } else {
          if (ch === " " && prev && prev !== " " && prev !== "\n" && prev !== "	") {
            const next = text[i + 1];
            if (next && next !== " " && next !== "\n" && next !== "	")
              split = i;
          }
          if (i >= end) {
            if (split) {
              folds.push(split);
              end = split + endStep;
              split = void 0;
            } else if (mode === FOLD_QUOTED) {
              while (prev === " " || prev === "	") {
                prev = ch;
                ch = text[i += 1];
                overflow = true;
              }
              const j = i > escEnd + 1 ? i - 2 : escStart - 1;
              if (escapedFolds[j])
                return text;
              folds.push(j);
              escapedFolds[j] = true;
              end = j + endStep;
              split = void 0;
            } else {
              overflow = true;
            }
          }
        }
        prev = ch;
      }
      if (overflow && onOverflow)
        onOverflow();
      if (folds.length === 0)
        return text;
      if (onFold)
        onFold();
      let res = text.slice(0, folds[0]);
      for (let i2 = 0; i2 < folds.length; ++i2) {
        const fold = folds[i2];
        const end2 = folds[i2 + 1] || text.length;
        if (fold === 0)
          res = `
${indent}${text.slice(0, end2)}`;
        else {
          if (mode === FOLD_QUOTED && escapedFolds[fold])
            res += `${text[fold]}\\`;
          res += `
${indent}${text.slice(fold + 1, end2)}`;
        }
      }
      return res;
    }
    function consumeMoreIndentedLines(text, i) {
      let ch = text[i + 1];
      while (ch === " " || ch === "	") {
        do {
          ch = text[i += 1];
        } while (ch && ch !== "\n");
        ch = text[i + 1];
      }
      return i;
    }
    exports2.FOLD_BLOCK = FOLD_BLOCK;
    exports2.FOLD_FLOW = FOLD_FLOW;
    exports2.FOLD_QUOTED = FOLD_QUOTED;
    exports2.foldFlowLines = foldFlowLines;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyString.js
var require_stringifyString = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyString.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var foldFlowLines = require_foldFlowLines();
    var getFoldOptions = (ctx, isBlock) => ({
      indentAtStart: isBlock ? ctx.indent.length : ctx.indentAtStart,
      lineWidth: ctx.options.lineWidth,
      minContentWidth: ctx.options.minContentWidth
    });
    var containsDocumentMarker = (str) => /^(%|---|\.\.\.)/m.test(str);
    function lineLengthOverLimit(str, lineWidth, indentLength) {
      if (!lineWidth || lineWidth < 0)
        return false;
      const limit = lineWidth - indentLength;
      const strLen = str.length;
      if (strLen <= limit)
        return false;
      for (let i = 0, start = 0; i < strLen; ++i) {
        if (str[i] === "\n") {
          if (i - start > limit)
            return true;
          start = i + 1;
          if (strLen - start <= limit)
            return false;
        }
      }
      return true;
    }
    function doubleQuotedString(value, ctx) {
      const json = JSON.stringify(value);
      if (ctx.options.doubleQuotedAsJSON)
        return json;
      const { implicitKey } = ctx;
      const minMultiLineLength = ctx.options.doubleQuotedMinMultiLineLength;
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      let str = "";
      let start = 0;
      for (let i = 0, ch = json[i]; ch; ch = json[++i]) {
        if (ch === " " && json[i + 1] === "\\" && json[i + 2] === "n") {
          str += json.slice(start, i) + "\\ ";
          i += 1;
          start = i;
          ch = "\\";
        }
        if (ch === "\\")
          switch (json[i + 1]) {
            case "u":
              {
                str += json.slice(start, i);
                const code = json.substr(i + 2, 4);
                switch (code) {
                  case "0000":
                    str += "\\0";
                    break;
                  case "0007":
                    str += "\\a";
                    break;
                  case "000b":
                    str += "\\v";
                    break;
                  case "001b":
                    str += "\\e";
                    break;
                  case "0085":
                    str += "\\N";
                    break;
                  case "00a0":
                    str += "\\_";
                    break;
                  case "2028":
                    str += "\\L";
                    break;
                  case "2029":
                    str += "\\P";
                    break;
                  default:
                    if (code.substr(0, 2) === "00")
                      str += "\\x" + code.substr(2);
                    else
                      str += json.substr(i, 6);
                }
                i += 5;
                start = i + 1;
              }
              break;
            case "n":
              if (implicitKey || json[i + 2] === '"' || json.length < minMultiLineLength) {
                i += 1;
              } else {
                str += json.slice(start, i) + "\n\n";
                while (json[i + 2] === "\\" && json[i + 3] === "n" && json[i + 4] !== '"') {
                  str += "\n";
                  i += 2;
                }
                str += indent;
                if (json[i + 2] === " ")
                  str += "\\";
                i += 1;
                start = i + 1;
              }
              break;
            default:
              i += 1;
          }
      }
      str = start ? str + json.slice(start) : json;
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_QUOTED, getFoldOptions(ctx, false));
    }
    function singleQuotedString(value, ctx) {
      if (ctx.options.singleQuote === false || ctx.implicitKey && value.includes("\n") || /[ \t]\n|\n[ \t]/.test(value))
        return doubleQuotedString(value, ctx);
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      const res = "'" + value.replace(/'/g, "''").replace(/\n+/g, `$&
${indent}`) + "'";
      return ctx.implicitKey ? res : foldFlowLines.foldFlowLines(res, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function quotedString(value, ctx) {
      const { singleQuote } = ctx.options;
      let qs;
      if (singleQuote === false)
        qs = doubleQuotedString;
      else {
        const hasDouble = value.includes('"');
        const hasSingle = value.includes("'");
        if (hasDouble && !hasSingle)
          qs = singleQuotedString;
        else if (hasSingle && !hasDouble)
          qs = doubleQuotedString;
        else
          qs = singleQuote ? singleQuotedString : doubleQuotedString;
      }
      return qs(value, ctx);
    }
    var blockEndNewlines;
    try {
      blockEndNewlines = new RegExp("(^|(?<!\n))\n+(?!\n|$)", "g");
    } catch {
      blockEndNewlines = /\n+(?!\n|$)/g;
    }
    function blockString({ comment, type, value }, ctx, onComment, onChompKeep) {
      const { blockQuote, commentString, lineWidth } = ctx.options;
      if (!blockQuote || /\n[\t ]+$/.test(value) || /^\s*$/.test(value)) {
        return quotedString(value, ctx);
      }
      const indent = ctx.indent || (ctx.forceBlockIndent || containsDocumentMarker(value) ? "  " : "");
      const literal = blockQuote === "literal" ? true : blockQuote === "folded" || type === Scalar.Scalar.BLOCK_FOLDED ? false : type === Scalar.Scalar.BLOCK_LITERAL ? true : !lineLengthOverLimit(value, lineWidth, indent.length);
      if (!value)
        return literal ? "|\n" : ">\n";
      let chomp;
      let endStart;
      for (endStart = value.length; endStart > 0; --endStart) {
        const ch = value[endStart - 1];
        if (ch !== "\n" && ch !== "	" && ch !== " ")
          break;
      }
      let end = value.substring(endStart);
      const endNlPos = end.indexOf("\n");
      if (endNlPos === -1) {
        chomp = "-";
      } else if (value === end || endNlPos !== end.length - 1) {
        chomp = "+";
        if (onChompKeep)
          onChompKeep();
      } else {
        chomp = "";
      }
      if (end) {
        value = value.slice(0, -end.length);
        if (end[end.length - 1] === "\n")
          end = end.slice(0, -1);
        end = end.replace(blockEndNewlines, `$&${indent}`);
      }
      let startWithSpace = false;
      let startEnd;
      let startNlPos = -1;
      for (startEnd = 0; startEnd < value.length; ++startEnd) {
        const ch = value[startEnd];
        if (ch === " ")
          startWithSpace = true;
        else if (ch === "\n")
          startNlPos = startEnd;
        else
          break;
      }
      let start = value.substring(0, startNlPos < startEnd ? startNlPos + 1 : startEnd);
      if (start) {
        value = value.substring(start.length);
        start = start.replace(/\n+/g, `$&${indent}`);
      }
      const indentSize = indent ? "2" : "1";
      let header = (literal ? "|" : ">") + (startWithSpace ? indentSize : "") + chomp;
      if (comment) {
        header += " " + commentString(comment.replace(/ ?[\r\n]+/g, " "));
        if (onComment)
          onComment();
      }
      if (literal) {
        value = value.replace(/\n+/g, `$&${indent}`);
        return `${header}
${indent}${start}${value}${end}`;
      }
      value = value.replace(/\n+/g, "\n$&").replace(/(?:^|\n)([\t ].*)(?:([\n\t ]*)\n(?![\n\t ]))?/g, "$1$2").replace(/\n+/g, `$&${indent}`);
      const body = foldFlowLines.foldFlowLines(`${start}${value}${end}`, indent, foldFlowLines.FOLD_BLOCK, getFoldOptions(ctx, true));
      return `${header}
${indent}${body}`;
    }
    function plainString(item, ctx, onComment, onChompKeep) {
      const { type, value } = item;
      const { actualString, implicitKey, indent, indentStep, inFlow } = ctx;
      if (implicitKey && /[\n[\]{},]/.test(value) || inFlow && /[[\]{},]/.test(value)) {
        return quotedString(value, ctx);
      }
      if (!value || /^[\n\t ,[\]{}#&*!|>'"%@`]|^[?-]$|^[?-][ \t]|[\n:][ \t]|[ \t]\n|[\n\t ]#|[\n\t :]$/.test(value)) {
        return implicitKey || inFlow || !value.includes("\n") ? quotedString(value, ctx) : blockString(item, ctx, onComment, onChompKeep);
      }
      if (!implicitKey && !inFlow && type !== Scalar.Scalar.PLAIN && value.includes("\n")) {
        return blockString(item, ctx, onComment, onChompKeep);
      }
      if (containsDocumentMarker(value)) {
        if (indent === "") {
          ctx.forceBlockIndent = true;
          return blockString(item, ctx, onComment, onChompKeep);
        } else if (implicitKey && indent === indentStep) {
          return quotedString(value, ctx);
        }
      }
      const str = value.replace(/\n+/g, `$&
${indent}`);
      if (actualString) {
        const test = (tag) => tag.default && tag.tag !== "tag:yaml.org,2002:str" && tag.test?.test(str);
        const { compat, tags } = ctx.doc.schema;
        if (tags.some(test) || compat?.some(test))
          return quotedString(value, ctx);
      }
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function stringifyString(item, ctx, onComment, onChompKeep) {
      const { implicitKey, inFlow } = ctx;
      const ss = typeof item.value === "string" ? item : Object.assign({}, item, { value: String(item.value) });
      let { type } = item;
      if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
        if (/[\x00-\x08\x0b-\x1f\x7f-\x9f\u{D800}-\u{DFFF}]/u.test(ss.value))
          type = Scalar.Scalar.QUOTE_DOUBLE;
      }
      const _stringify = (_type2) => {
        switch (_type2) {
          case Scalar.Scalar.BLOCK_FOLDED:
          case Scalar.Scalar.BLOCK_LITERAL:
            return implicitKey || inFlow ? quotedString(ss.value, ctx) : blockString(ss, ctx, onComment, onChompKeep);
          case Scalar.Scalar.QUOTE_DOUBLE:
            return doubleQuotedString(ss.value, ctx);
          case Scalar.Scalar.QUOTE_SINGLE:
            return singleQuotedString(ss.value, ctx);
          case Scalar.Scalar.PLAIN:
            return plainString(ss, ctx, onComment, onChompKeep);
          default:
            return null;
        }
      };
      let res = _stringify(type);
      if (res === null) {
        const { defaultKeyType, defaultStringType } = ctx.options;
        const t = implicitKey && defaultKeyType || defaultStringType;
        res = _stringify(t);
        if (res === null)
          throw new Error(`Unsupported default string type ${t}`);
      }
      return res;
    }
    exports2.stringifyString = stringifyString;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringify.js
var require_stringify = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringify.js"(exports2) {
    "use strict";
    var anchors = require_anchors();
    var identity = require_identity();
    var stringifyComment = require_stringifyComment();
    var stringifyString = require_stringifyString();
    function createStringifyContext(doc, options) {
      const opt = Object.assign({
        blockQuote: true,
        commentString: stringifyComment.stringifyComment,
        defaultKeyType: null,
        defaultStringType: "PLAIN",
        directives: null,
        doubleQuotedAsJSON: false,
        doubleQuotedMinMultiLineLength: 40,
        falseStr: "false",
        flowCollectionPadding: true,
        indentSeq: true,
        lineWidth: 80,
        minContentWidth: 20,
        nullStr: "null",
        simpleKeys: false,
        singleQuote: null,
        trueStr: "true",
        verifyAliasOrder: true
      }, doc.schema.toStringOptions, options);
      let inFlow;
      switch (opt.collectionStyle) {
        case "block":
          inFlow = false;
          break;
        case "flow":
          inFlow = true;
          break;
        default:
          inFlow = null;
      }
      return {
        anchors: /* @__PURE__ */ new Set(),
        doc,
        flowCollectionPadding: opt.flowCollectionPadding ? " " : "",
        indent: "",
        indentStep: typeof opt.indent === "number" ? " ".repeat(opt.indent) : "  ",
        inFlow,
        options: opt
      };
    }
    function getTagObject(tags, item) {
      if (item.tag) {
        const match = tags.filter((t) => t.tag === item.tag);
        if (match.length > 0)
          return match.find((t) => t.format === item.format) ?? match[0];
      }
      let tagObj = void 0;
      let obj;
      if (identity.isScalar(item)) {
        obj = item.value;
        const match = tags.filter((t) => t.identify?.(obj));
        tagObj = match.find((t) => t.format === item.format) ?? match.find((t) => !t.format);
      } else {
        obj = item;
        tagObj = tags.find((t) => t.nodeClass && obj instanceof t.nodeClass);
      }
      if (!tagObj) {
        const name = obj?.constructor?.name ?? typeof obj;
        throw new Error(`Tag not resolved for ${name} value`);
      }
      return tagObj;
    }
    function stringifyProps(node, tagObj, { anchors: anchors$1, doc }) {
      if (!doc.directives)
        return "";
      const props = [];
      const anchor = (identity.isScalar(node) || identity.isCollection(node)) && node.anchor;
      if (anchor && anchors.anchorIsValid(anchor)) {
        anchors$1.add(anchor);
        props.push(`&${anchor}`);
      }
      const tag = node.tag ? node.tag : tagObj.default ? null : tagObj.tag;
      if (tag)
        props.push(doc.directives.tagString(tag));
      return props.join(" ");
    }
    function stringify(item, ctx, onComment, onChompKeep) {
      if (identity.isPair(item))
        return item.toString(ctx, onComment, onChompKeep);
      if (identity.isAlias(item)) {
        if (ctx.doc.directives)
          return item.toString(ctx);
        if (ctx.resolvedAliases?.has(item)) {
          throw new TypeError(`Cannot stringify circular structure without alias nodes`);
        } else {
          if (ctx.resolvedAliases)
            ctx.resolvedAliases.add(item);
          else
            ctx.resolvedAliases = /* @__PURE__ */ new Set([item]);
          item = item.resolve(ctx.doc);
        }
      }
      let tagObj = void 0;
      const node = identity.isNode(item) ? item : ctx.doc.createNode(item, { onTagObj: (o) => tagObj = o });
      if (!tagObj)
        tagObj = getTagObject(ctx.doc.schema.tags, node);
      const props = stringifyProps(node, tagObj, ctx);
      if (props.length > 0)
        ctx.indentAtStart = (ctx.indentAtStart ?? 0) + props.length + 1;
      const str = typeof tagObj.stringify === "function" ? tagObj.stringify(node, ctx, onComment, onChompKeep) : identity.isScalar(node) ? stringifyString.stringifyString(node, ctx, onComment, onChompKeep) : node.toString(ctx, onComment, onChompKeep);
      if (!props)
        return str;
      return identity.isScalar(node) || str[0] === "{" || str[0] === "[" ? `${props} ${str}` : `${props}
${ctx.indent}${str}`;
    }
    exports2.createStringifyContext = createStringifyContext;
    exports2.stringify = stringify;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyPair.js
var require_stringifyPair = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyPair.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Scalar = require_Scalar();
    var stringify = require_stringify();
    var stringifyComment = require_stringifyComment();
    function stringifyPair({ key, value }, ctx, onComment, onChompKeep) {
      const { allNullValues, doc, indent, indentStep, options: { commentString, indentSeq, simpleKeys } } = ctx;
      let keyComment = identity.isNode(key) && key.comment || null;
      if (simpleKeys) {
        if (keyComment) {
          throw new Error("With simple keys, key nodes cannot have comments");
        }
        if (identity.isCollection(key)) {
          const msg = "With simple keys, collection cannot be used as a key value";
          throw new Error(msg);
        }
      }
      let explicitKey = !simpleKeys && (!key || keyComment && value == null && !ctx.inFlow || identity.isCollection(key) || (identity.isScalar(key) ? key.type === Scalar.Scalar.BLOCK_FOLDED || key.type === Scalar.Scalar.BLOCK_LITERAL : typeof key === "object"));
      ctx = Object.assign({}, ctx, {
        allNullValues: false,
        implicitKey: !explicitKey && (simpleKeys || !allNullValues),
        indent: indent + indentStep
      });
      let keyCommentDone = false;
      let chompKeep = false;
      let str = stringify.stringify(key, ctx, () => keyCommentDone = true, () => chompKeep = true);
      if (!explicitKey && !ctx.inFlow && str.length > 1024) {
        if (simpleKeys)
          throw new Error("With simple keys, single line scalar must not span more than 1024 characters");
        explicitKey = true;
      }
      if (ctx.inFlow) {
        if (allNullValues || value == null) {
          if (keyCommentDone && onComment)
            onComment();
          return str === "" ? "?" : explicitKey ? `? ${str}` : str;
        }
      } else if (allNullValues && !simpleKeys || value == null && explicitKey) {
        str = `? ${str}`;
        if (keyComment && !keyCommentDone) {
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        } else if (chompKeep && onChompKeep)
          onChompKeep();
        return str;
      }
      if (keyCommentDone)
        keyComment = null;
      if (explicitKey) {
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        str = `? ${str}
${indent}:`;
      } else {
        str = `${str}:`;
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
      }
      let vsb, vcb, valueComment;
      if (identity.isNode(value)) {
        vsb = !!value.spaceBefore;
        vcb = value.commentBefore;
        valueComment = value.comment;
      } else {
        vsb = false;
        vcb = null;
        valueComment = null;
        if (value && typeof value === "object")
          value = doc.createNode(value);
      }
      ctx.implicitKey = false;
      if (!explicitKey && !keyComment && identity.isScalar(value))
        ctx.indentAtStart = str.length + 1;
      chompKeep = false;
      if (!indentSeq && indentStep.length >= 2 && !ctx.inFlow && !explicitKey && identity.isSeq(value) && !value.flow && !value.tag && !value.anchor) {
        ctx.indent = ctx.indent.substring(2);
      }
      let valueCommentDone = false;
      const valueStr = stringify.stringify(value, ctx, () => valueCommentDone = true, () => chompKeep = true);
      let ws = " ";
      if (keyComment || vsb || vcb) {
        ws = vsb ? "\n" : "";
        if (vcb) {
          const cs = commentString(vcb);
          ws += `
${stringifyComment.indentComment(cs, ctx.indent)}`;
        }
        if (valueStr === "" && !ctx.inFlow) {
          if (ws === "\n")
            ws = "\n\n";
        } else {
          ws += `
${ctx.indent}`;
        }
      } else if (!explicitKey && identity.isCollection(value)) {
        const vs0 = valueStr[0];
        const nl0 = valueStr.indexOf("\n");
        const hasNewline = nl0 !== -1;
        const flow = ctx.inFlow ?? value.flow ?? value.items.length === 0;
        if (hasNewline || !flow) {
          let hasPropsLine = false;
          if (hasNewline && (vs0 === "&" || vs0 === "!")) {
            let sp0 = valueStr.indexOf(" ");
            if (vs0 === "&" && sp0 !== -1 && sp0 < nl0 && valueStr[sp0 + 1] === "!") {
              sp0 = valueStr.indexOf(" ", sp0 + 1);
            }
            if (sp0 === -1 || nl0 < sp0)
              hasPropsLine = true;
          }
          if (!hasPropsLine)
            ws = `
${ctx.indent}`;
        }
      } else if (valueStr === "" || valueStr[0] === "\n") {
        ws = "";
      }
      str += ws + valueStr;
      if (ctx.inFlow) {
        if (valueCommentDone && onComment)
          onComment();
      } else if (valueComment && !valueCommentDone) {
        str += stringifyComment.lineComment(str, ctx.indent, commentString(valueComment));
      } else if (chompKeep && onChompKeep) {
        onChompKeep();
      }
      return str;
    }
    exports2.stringifyPair = stringifyPair;
  }
});

// ../../components/environments/node_modules/yaml/dist/log.js
var require_log = __commonJS({
  "../../components/environments/node_modules/yaml/dist/log.js"(exports2) {
    "use strict";
    function debug(logLevel, ...messages) {
      if (logLevel === "debug")
        console.log(...messages);
    }
    function warn(logLevel, warning) {
      if (logLevel === "debug" || logLevel === "warn") {
        if (typeof process !== "undefined" && process.emitWarning)
          process.emitWarning(warning);
        else
          console.warn(warning);
      }
    }
    exports2.debug = debug;
    exports2.warn = warn;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/addPairToJSMap.js
var require_addPairToJSMap = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/addPairToJSMap.js"(exports2) {
    "use strict";
    var log = require_log();
    var stringify = require_stringify();
    var identity = require_identity();
    var Scalar = require_Scalar();
    var toJS = require_toJS();
    var MERGE_KEY = "<<";
    function addPairToJSMap(ctx, map, { key, value }) {
      if (ctx?.doc.schema.merge && isMergeKey(key)) {
        value = identity.isAlias(value) ? value.resolve(ctx.doc) : value;
        if (identity.isSeq(value))
          for (const it of value.items)
            mergeToJSMap(ctx, map, it);
        else if (Array.isArray(value))
          for (const it of value)
            mergeToJSMap(ctx, map, it);
        else
          mergeToJSMap(ctx, map, value);
      } else {
        const jsKey = toJS.toJS(key, "", ctx);
        if (map instanceof Map) {
          map.set(jsKey, toJS.toJS(value, jsKey, ctx));
        } else if (map instanceof Set) {
          map.add(jsKey);
        } else {
          const stringKey = stringifyKey(key, jsKey, ctx);
          const jsValue = toJS.toJS(value, stringKey, ctx);
          if (stringKey in map)
            Object.defineProperty(map, stringKey, {
              value: jsValue,
              writable: true,
              enumerable: true,
              configurable: true
            });
          else
            map[stringKey] = jsValue;
        }
      }
      return map;
    }
    var isMergeKey = (key) => key === MERGE_KEY || identity.isScalar(key) && key.value === MERGE_KEY && (!key.type || key.type === Scalar.Scalar.PLAIN);
    function mergeToJSMap(ctx, map, value) {
      const source = ctx && identity.isAlias(value) ? value.resolve(ctx.doc) : value;
      if (!identity.isMap(source))
        throw new Error("Merge sources must be maps or map aliases");
      const srcMap = source.toJSON(null, ctx, Map);
      for (const [key, value2] of srcMap) {
        if (map instanceof Map) {
          if (!map.has(key))
            map.set(key, value2);
        } else if (map instanceof Set) {
          map.add(key);
        } else if (!Object.prototype.hasOwnProperty.call(map, key)) {
          Object.defineProperty(map, key, {
            value: value2,
            writable: true,
            enumerable: true,
            configurable: true
          });
        }
      }
      return map;
    }
    function stringifyKey(key, jsKey, ctx) {
      if (jsKey === null)
        return "";
      if (typeof jsKey !== "object")
        return String(jsKey);
      if (identity.isNode(key) && ctx && ctx.doc) {
        const strCtx = stringify.createStringifyContext(ctx.doc, {});
        strCtx.anchors = /* @__PURE__ */ new Set();
        for (const node of ctx.anchors.keys())
          strCtx.anchors.add(node.anchor);
        strCtx.inFlow = true;
        strCtx.inStringifyKey = true;
        const strKey = key.toString(strCtx);
        if (!ctx.mapKeyWarned) {
          let jsonStr = JSON.stringify(strKey);
          if (jsonStr.length > 40)
            jsonStr = jsonStr.substring(0, 36) + '..."';
          log.warn(ctx.doc.options.logLevel, `Keys with collection values will be stringified due to JS Object restrictions: ${jsonStr}. Set mapAsMap: true to use object keys.`);
          ctx.mapKeyWarned = true;
        }
        return strKey;
      }
      return JSON.stringify(jsKey);
    }
    exports2.addPairToJSMap = addPairToJSMap;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/Pair.js
var require_Pair = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/Pair.js"(exports2) {
    "use strict";
    var createNode = require_createNode();
    var stringifyPair = require_stringifyPair();
    var addPairToJSMap = require_addPairToJSMap();
    var identity = require_identity();
    function createPair(key, value, ctx) {
      const k = createNode.createNode(key, void 0, ctx);
      const v = createNode.createNode(value, void 0, ctx);
      return new Pair(k, v);
    }
    var Pair = class _Pair {
      constructor(key, value = null) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.PAIR });
        this.key = key;
        this.value = value;
      }
      clone(schema) {
        let { key, value } = this;
        if (identity.isNode(key))
          key = key.clone(schema);
        if (identity.isNode(value))
          value = value.clone(schema);
        return new _Pair(key, value);
      }
      toJSON(_, ctx) {
        const pair = ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        return addPairToJSMap.addPairToJSMap(ctx, pair, this);
      }
      toString(ctx, onComment, onChompKeep) {
        return ctx?.doc ? stringifyPair.stringifyPair(this, ctx, onComment, onChompKeep) : JSON.stringify(this);
      }
    };
    exports2.Pair = Pair;
    exports2.createPair = createPair;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyCollection.js
var require_stringifyCollection = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyCollection.js"(exports2) {
    "use strict";
    var Collection = require_Collection();
    var identity = require_identity();
    var stringify = require_stringify();
    var stringifyComment = require_stringifyComment();
    function stringifyCollection(collection, ctx, options) {
      const flow = ctx.inFlow ?? collection.flow;
      const stringify2 = flow ? stringifyFlowCollection : stringifyBlockCollection;
      return stringify2(collection, ctx, options);
    }
    function stringifyBlockCollection({ comment, items }, ctx, { blockItemPrefix, flowChars, itemIndent, onChompKeep, onComment }) {
      const { indent, options: { commentString } } = ctx;
      const itemCtx = Object.assign({}, ctx, { indent: itemIndent, type: null });
      let chompKeep = false;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (!chompKeep && item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, chompKeep);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (!chompKeep && ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, chompKeep);
          }
        }
        chompKeep = false;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null, () => chompKeep = true);
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (chompKeep && comment2)
          chompKeep = false;
        lines.push(blockItemPrefix + str2);
      }
      let str;
      if (lines.length === 0) {
        str = flowChars.start + flowChars.end;
      } else {
        str = lines[0];
        for (let i = 1; i < lines.length; ++i) {
          const line = lines[i];
          str += line ? `
${indent}${line}` : "\n";
        }
      }
      if (comment) {
        str += "\n" + stringifyComment.indentComment(commentString(comment), indent);
        if (onComment)
          onComment();
      } else if (chompKeep && onChompKeep)
        onChompKeep();
      return str;
    }
    function stringifyFlowCollection({ comment, items }, ctx, { flowChars, itemIndent, onComment }) {
      const { indent, indentStep, flowCollectionPadding: fcPadding, options: { commentString } } = ctx;
      itemIndent += indentStep;
      const itemCtx = Object.assign({}, ctx, {
        indent: itemIndent,
        inFlow: true,
        type: null
      });
      let reqNewline = false;
      let linesAtValue = 0;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, false);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, false);
            if (ik.comment)
              reqNewline = true;
          }
          const iv = identity.isNode(item.value) ? item.value : null;
          if (iv) {
            if (iv.comment)
              comment2 = iv.comment;
            if (iv.commentBefore)
              reqNewline = true;
          } else if (item.value == null && ik && ik.comment) {
            comment2 = ik.comment;
          }
        }
        if (comment2)
          reqNewline = true;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null);
        if (i < items.length - 1)
          str2 += ",";
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (!reqNewline && (lines.length > linesAtValue || str2.includes("\n")))
          reqNewline = true;
        lines.push(str2);
        linesAtValue = lines.length;
      }
      let str;
      const { start, end } = flowChars;
      if (lines.length === 0) {
        str = start + end;
      } else {
        if (!reqNewline) {
          const len = lines.reduce((sum, line) => sum + line.length + 2, 2);
          reqNewline = len > Collection.Collection.maxFlowStringSingleLineLength;
        }
        if (reqNewline) {
          str = start;
          for (const line of lines)
            str += line ? `
${indentStep}${indent}${line}` : "\n";
          str += `
${indent}${end}`;
        } else {
          str = `${start}${fcPadding}${lines.join(" ")}${fcPadding}${end}`;
        }
      }
      if (comment) {
        str += stringifyComment.lineComment(str, indent, commentString(comment));
        if (onComment)
          onComment();
      }
      return str;
    }
    function addCommentBefore({ indent, options: { commentString } }, lines, comment, chompKeep) {
      if (comment && chompKeep)
        comment = comment.replace(/^\n+/, "");
      if (comment) {
        const ic = stringifyComment.indentComment(commentString(comment), indent);
        lines.push(ic.trimStart());
      }
    }
    exports2.stringifyCollection = stringifyCollection;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/YAMLMap.js
var require_YAMLMap = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/YAMLMap.js"(exports2) {
    "use strict";
    var stringifyCollection = require_stringifyCollection();
    var addPairToJSMap = require_addPairToJSMap();
    var Collection = require_Collection();
    var identity = require_identity();
    var Pair = require_Pair();
    var Scalar = require_Scalar();
    function findPair(items, key) {
      const k = identity.isScalar(key) ? key.value : key;
      for (const it of items) {
        if (identity.isPair(it)) {
          if (it.key === key || it.key === k)
            return it;
          if (identity.isScalar(it.key) && it.key.value === k)
            return it;
        }
      }
      return void 0;
    }
    var YAMLMap = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:map";
      }
      constructor(schema) {
        super(identity.MAP, schema);
        this.items = [];
      }
      /**
       * A generic collection parsing method that can be extended
       * to other node classes that inherit from YAMLMap
       */
      static from(schema, obj, ctx) {
        const { keepUndefined, replacer } = ctx;
        const map = new this(schema);
        const add = (key, value) => {
          if (typeof replacer === "function")
            value = replacer.call(obj, key, value);
          else if (Array.isArray(replacer) && !replacer.includes(key))
            return;
          if (value !== void 0 || keepUndefined)
            map.items.push(Pair.createPair(key, value, ctx));
        };
        if (obj instanceof Map) {
          for (const [key, value] of obj)
            add(key, value);
        } else if (obj && typeof obj === "object") {
          for (const key of Object.keys(obj))
            add(key, obj[key]);
        }
        if (typeof schema.sortMapEntries === "function") {
          map.items.sort(schema.sortMapEntries);
        }
        return map;
      }
      /**
       * Adds a value to the collection.
       *
       * @param overwrite - If not set `true`, using a key that is already in the
       *   collection will throw. Otherwise, overwrites the previous value.
       */
      add(pair, overwrite) {
        let _pair;
        if (identity.isPair(pair))
          _pair = pair;
        else if (!pair || typeof pair !== "object" || !("key" in pair)) {
          _pair = new Pair.Pair(pair, pair?.value);
        } else
          _pair = new Pair.Pair(pair.key, pair.value);
        const prev = findPair(this.items, _pair.key);
        const sortEntries = this.schema?.sortMapEntries;
        if (prev) {
          if (!overwrite)
            throw new Error(`Key ${_pair.key} already set`);
          if (identity.isScalar(prev.value) && Scalar.isScalarValue(_pair.value))
            prev.value.value = _pair.value;
          else
            prev.value = _pair.value;
        } else if (sortEntries) {
          const i = this.items.findIndex((item) => sortEntries(_pair, item) < 0);
          if (i === -1)
            this.items.push(_pair);
          else
            this.items.splice(i, 0, _pair);
        } else {
          this.items.push(_pair);
        }
      }
      delete(key) {
        const it = findPair(this.items, key);
        if (!it)
          return false;
        const del = this.items.splice(this.items.indexOf(it), 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const it = findPair(this.items, key);
        const node = it?.value;
        return (!keepScalar && identity.isScalar(node) ? node.value : node) ?? void 0;
      }
      has(key) {
        return !!findPair(this.items, key);
      }
      set(key, value) {
        this.add(new Pair.Pair(key, value), true);
      }
      /**
       * @param ctx - Conversion context, originally set in Document#toJS()
       * @param {Class} Type - If set, forces the returned collection type
       * @returns Instance of Type, Map, or Object
       */
      toJSON(_, ctx, Type) {
        const map = Type ? new Type() : ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const item of this.items)
          addPairToJSMap.addPairToJSMap(ctx, map, item);
        return map;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        for (const item of this.items) {
          if (!identity.isPair(item))
            throw new Error(`Map items must all be pairs; found ${JSON.stringify(item)} instead`);
        }
        if (!ctx.allNullValues && this.hasAllNullValues(false))
          ctx = Object.assign({}, ctx, { allNullValues: true });
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "",
          flowChars: { start: "{", end: "}" },
          itemIndent: ctx.indent || "",
          onChompKeep,
          onComment
        });
      }
    };
    exports2.YAMLMap = YAMLMap;
    exports2.findPair = findPair;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/common/map.js
var require_map = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/common/map.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var YAMLMap = require_YAMLMap();
    var map = {
      collection: "map",
      default: true,
      nodeClass: YAMLMap.YAMLMap,
      tag: "tag:yaml.org,2002:map",
      resolve(map2, onError) {
        if (!identity.isMap(map2))
          onError("Expected a mapping for this tag");
        return map2;
      },
      createNode: (schema, obj, ctx) => YAMLMap.YAMLMap.from(schema, obj, ctx)
    };
    exports2.map = map;
  }
});

// ../../components/environments/node_modules/yaml/dist/nodes/YAMLSeq.js
var require_YAMLSeq = __commonJS({
  "../../components/environments/node_modules/yaml/dist/nodes/YAMLSeq.js"(exports2) {
    "use strict";
    var createNode = require_createNode();
    var stringifyCollection = require_stringifyCollection();
    var Collection = require_Collection();
    var identity = require_identity();
    var Scalar = require_Scalar();
    var toJS = require_toJS();
    var YAMLSeq = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:seq";
      }
      constructor(schema) {
        super(identity.SEQ, schema);
        this.items = [];
      }
      add(value) {
        this.items.push(value);
      }
      /**
       * Removes a value from the collection.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       *
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return false;
        const del = this.items.splice(idx, 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return void 0;
        const it = this.items[idx];
        return !keepScalar && identity.isScalar(it) ? it.value : it;
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       */
      has(key) {
        const idx = asItemIndex(key);
        return typeof idx === "number" && idx < this.items.length;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       *
       * If `key` does not contain a representation of an integer, this will throw.
       * It may be wrapped in a `Scalar`.
       */
      set(key, value) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          throw new Error(`Expected a valid index, not ${key}.`);
        const prev = this.items[idx];
        if (identity.isScalar(prev) && Scalar.isScalarValue(value))
          prev.value = value;
        else
          this.items[idx] = value;
      }
      toJSON(_, ctx) {
        const seq = [];
        if (ctx?.onCreate)
          ctx.onCreate(seq);
        let i = 0;
        for (const item of this.items)
          seq.push(toJS.toJS(item, String(i++), ctx));
        return seq;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "- ",
          flowChars: { start: "[", end: "]" },
          itemIndent: (ctx.indent || "") + "  ",
          onChompKeep,
          onComment
        });
      }
      static from(schema, obj, ctx) {
        const { replacer } = ctx;
        const seq = new this(schema);
        if (obj && Symbol.iterator in Object(obj)) {
          let i = 0;
          for (let it of obj) {
            if (typeof replacer === "function") {
              const key = obj instanceof Set ? it : String(i++);
              it = replacer.call(obj, key, it);
            }
            seq.items.push(createNode.createNode(it, void 0, ctx));
          }
        }
        return seq;
      }
    };
    function asItemIndex(key) {
      let idx = identity.isScalar(key) ? key.value : key;
      if (idx && typeof idx === "string")
        idx = Number(idx);
      return typeof idx === "number" && Number.isInteger(idx) && idx >= 0 ? idx : null;
    }
    exports2.YAMLSeq = YAMLSeq;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/common/seq.js
var require_seq = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/common/seq.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var YAMLSeq = require_YAMLSeq();
    var seq = {
      collection: "seq",
      default: true,
      nodeClass: YAMLSeq.YAMLSeq,
      tag: "tag:yaml.org,2002:seq",
      resolve(seq2, onError) {
        if (!identity.isSeq(seq2))
          onError("Expected a sequence for this tag");
        return seq2;
      },
      createNode: (schema, obj, ctx) => YAMLSeq.YAMLSeq.from(schema, obj, ctx)
    };
    exports2.seq = seq;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/common/string.js
var require_string = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/common/string.js"(exports2) {
    "use strict";
    var stringifyString = require_stringifyString();
    var string = {
      identify: (value) => typeof value === "string",
      default: true,
      tag: "tag:yaml.org,2002:str",
      resolve: (str) => str,
      stringify(item, ctx, onComment, onChompKeep) {
        ctx = Object.assign({ actualString: true }, ctx);
        return stringifyString.stringifyString(item, ctx, onComment, onChompKeep);
      }
    };
    exports2.string = string;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/common/null.js
var require_null = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/common/null.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var nullTag = {
      identify: (value) => value == null,
      createNode: () => new Scalar.Scalar(null),
      default: true,
      tag: "tag:yaml.org,2002:null",
      test: /^(?:~|[Nn]ull|NULL)?$/,
      resolve: () => new Scalar.Scalar(null),
      stringify: ({ source }, ctx) => typeof source === "string" && nullTag.test.test(source) ? source : ctx.options.nullStr
    };
    exports2.nullTag = nullTag;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/core/bool.js
var require_bool = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/core/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var boolTag = {
      identify: (value) => typeof value === "boolean",
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:[Tt]rue|TRUE|[Ff]alse|FALSE)$/,
      resolve: (str) => new Scalar.Scalar(str[0] === "t" || str[0] === "T"),
      stringify({ source, value }, ctx) {
        if (source && boolTag.test.test(source)) {
          const sv = source[0] === "t" || source[0] === "T";
          if (value === sv)
            return source;
        }
        return value ? ctx.options.trueStr : ctx.options.falseStr;
      }
    };
    exports2.boolTag = boolTag;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyNumber.js
var require_stringifyNumber = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyNumber.js"(exports2) {
    "use strict";
    function stringifyNumber({ format, minFractionDigits, tag, value }) {
      if (typeof value === "bigint")
        return String(value);
      const num = typeof value === "number" ? value : Number(value);
      if (!isFinite(num))
        return isNaN(num) ? ".nan" : num < 0 ? "-.inf" : ".inf";
      let n = JSON.stringify(value);
      if (!format && minFractionDigits && (!tag || tag === "tag:yaml.org,2002:float") && /^\d/.test(n)) {
        let i = n.indexOf(".");
        if (i < 0) {
          i = n.length;
          n += ".";
        }
        let d = minFractionDigits - (n.length - i - 1);
        while (d-- > 0)
          n += "0";
      }
      return n;
    }
    exports2.stringifyNumber = stringifyNumber;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/core/float.js
var require_float = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/core/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var stringifyNumber = require_stringifyNumber();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^(?:[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN))$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+(?:\.[0-9]*)?)[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+\.[0-9]*)$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str));
        const dot = str.indexOf(".");
        if (dot !== -1 && str[str.length - 1] === "0")
          node.minFractionDigits = str.length - dot - 1;
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/core/int.js
var require_int = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/core/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    var intResolve = (str, offset, radix, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str.substring(offset), radix);
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value) && value >= 0)
        return prefix + value.toString(radix);
      return stringifyNumber.stringifyNumber(node);
    }
    var intOct = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^0o[0-7]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 8, opt),
      stringify: (node) => intStringify(node, 8, "0o")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^0x[0-9a-fA-F]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/core/schema.js
var require_schema = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/core/schema.js"(exports2) {
    "use strict";
    var map = require_map();
    var _null = require_null();
    var seq = require_seq();
    var string = require_string();
    var bool = require_bool();
    var float = require_float();
    var int = require_int();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.boolTag,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float
    ];
    exports2.schema = schema;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/json/schema.js
var require_schema2 = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/json/schema.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var map = require_map();
    var seq = require_seq();
    function intIdentify(value) {
      return typeof value === "bigint" || Number.isInteger(value);
    }
    var stringifyJSON = ({ value }) => JSON.stringify(value);
    var jsonScalars = [
      {
        identify: (value) => typeof value === "string",
        default: true,
        tag: "tag:yaml.org,2002:str",
        resolve: (str) => str,
        stringify: stringifyJSON
      },
      {
        identify: (value) => value == null,
        createNode: () => new Scalar.Scalar(null),
        default: true,
        tag: "tag:yaml.org,2002:null",
        test: /^null$/,
        resolve: () => null,
        stringify: stringifyJSON
      },
      {
        identify: (value) => typeof value === "boolean",
        default: true,
        tag: "tag:yaml.org,2002:bool",
        test: /^true|false$/,
        resolve: (str) => str === "true",
        stringify: stringifyJSON
      },
      {
        identify: intIdentify,
        default: true,
        tag: "tag:yaml.org,2002:int",
        test: /^-?(?:0|[1-9][0-9]*)$/,
        resolve: (str, _onError, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str, 10),
        stringify: ({ value }) => intIdentify(value) ? value.toString() : JSON.stringify(value)
      },
      {
        identify: (value) => typeof value === "number",
        default: true,
        tag: "tag:yaml.org,2002:float",
        test: /^-?(?:0|[1-9][0-9]*)(?:\.[0-9]*)?(?:[eE][-+]?[0-9]+)?$/,
        resolve: (str) => parseFloat(str),
        stringify: stringifyJSON
      }
    ];
    var jsonError = {
      default: true,
      tag: "",
      test: /^/,
      resolve(str, onError) {
        onError(`Unresolved plain scalar ${JSON.stringify(str)}`);
        return str;
      }
    };
    var schema = [map.map, seq.seq].concat(jsonScalars, jsonError);
    exports2.schema = schema;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/binary.js
var require_binary = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/binary.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var stringifyString = require_stringifyString();
    var binary = {
      identify: (value) => value instanceof Uint8Array,
      default: false,
      tag: "tag:yaml.org,2002:binary",
      /**
       * Returns a Buffer in node and an Uint8Array in browsers
       *
       * To use the resulting buffer as an image, you'll want to do something like:
       *
       *   const blob = new Blob([buffer], { type: 'image/jpeg' })
       *   document.querySelector('#photo').src = URL.createObjectURL(blob)
       */
      resolve(src, onError) {
        if (typeof Buffer === "function") {
          return Buffer.from(src, "base64");
        } else if (typeof atob === "function") {
          const str = atob(src.replace(/[\n\r]/g, ""));
          const buffer = new Uint8Array(str.length);
          for (let i = 0; i < str.length; ++i)
            buffer[i] = str.charCodeAt(i);
          return buffer;
        } else {
          onError("This environment does not support reading binary tags; either Buffer or atob is required");
          return src;
        }
      },
      stringify({ comment, type, value }, ctx, onComment, onChompKeep) {
        const buf = value;
        let str;
        if (typeof Buffer === "function") {
          str = buf instanceof Buffer ? buf.toString("base64") : Buffer.from(buf.buffer).toString("base64");
        } else if (typeof btoa === "function") {
          let s = "";
          for (let i = 0; i < buf.length; ++i)
            s += String.fromCharCode(buf[i]);
          str = btoa(s);
        } else {
          throw new Error("This environment does not support writing binary tags; either Buffer or btoa is required");
        }
        if (!type)
          type = Scalar.Scalar.BLOCK_LITERAL;
        if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
          const lineWidth = Math.max(ctx.options.lineWidth - ctx.indent.length, ctx.options.minContentWidth);
          const n = Math.ceil(str.length / lineWidth);
          const lines = new Array(n);
          for (let i = 0, o = 0; i < n; ++i, o += lineWidth) {
            lines[i] = str.substr(o, lineWidth);
          }
          str = lines.join(type === Scalar.Scalar.BLOCK_LITERAL ? "\n" : " ");
        }
        return stringifyString.stringifyString({ comment, type, value: str }, ctx, onComment, onChompKeep);
      }
    };
    exports2.binary = binary;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/pairs.js
var require_pairs = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/pairs.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Pair = require_Pair();
    var Scalar = require_Scalar();
    var YAMLSeq = require_YAMLSeq();
    function resolvePairs(seq, onError) {
      if (identity.isSeq(seq)) {
        for (let i = 0; i < seq.items.length; ++i) {
          let item = seq.items[i];
          if (identity.isPair(item))
            continue;
          else if (identity.isMap(item)) {
            if (item.items.length > 1)
              onError("Each pair must have its own sequence indicator");
            const pair = item.items[0] || new Pair.Pair(new Scalar.Scalar(null));
            if (item.commentBefore)
              pair.key.commentBefore = pair.key.commentBefore ? `${item.commentBefore}
${pair.key.commentBefore}` : item.commentBefore;
            if (item.comment) {
              const cn = pair.value ?? pair.key;
              cn.comment = cn.comment ? `${item.comment}
${cn.comment}` : item.comment;
            }
            item = pair;
          }
          seq.items[i] = identity.isPair(item) ? item : new Pair.Pair(item);
        }
      } else
        onError("Expected a sequence for this tag");
      return seq;
    }
    function createPairs(schema, iterable, ctx) {
      const { replacer } = ctx;
      const pairs2 = new YAMLSeq.YAMLSeq(schema);
      pairs2.tag = "tag:yaml.org,2002:pairs";
      let i = 0;
      if (iterable && Symbol.iterator in Object(iterable))
        for (let it of iterable) {
          if (typeof replacer === "function")
            it = replacer.call(iterable, String(i++), it);
          let key, value;
          if (Array.isArray(it)) {
            if (it.length === 2) {
              key = it[0];
              value = it[1];
            } else
              throw new TypeError(`Expected [key, value] tuple: ${it}`);
          } else if (it && it instanceof Object) {
            const keys = Object.keys(it);
            if (keys.length === 1) {
              key = keys[0];
              value = it[key];
            } else
              throw new TypeError(`Expected { key: value } tuple: ${it}`);
          } else {
            key = it;
          }
          pairs2.items.push(Pair.createPair(key, value, ctx));
        }
      return pairs2;
    }
    var pairs = {
      collection: "seq",
      default: false,
      tag: "tag:yaml.org,2002:pairs",
      resolve: resolvePairs,
      createNode: createPairs
    };
    exports2.createPairs = createPairs;
    exports2.pairs = pairs;
    exports2.resolvePairs = resolvePairs;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/omap.js
var require_omap = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/omap.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var toJS = require_toJS();
    var YAMLMap = require_YAMLMap();
    var YAMLSeq = require_YAMLSeq();
    var pairs = require_pairs();
    var YAMLOMap = class _YAMLOMap extends YAMLSeq.YAMLSeq {
      constructor() {
        super();
        this.add = YAMLMap.YAMLMap.prototype.add.bind(this);
        this.delete = YAMLMap.YAMLMap.prototype.delete.bind(this);
        this.get = YAMLMap.YAMLMap.prototype.get.bind(this);
        this.has = YAMLMap.YAMLMap.prototype.has.bind(this);
        this.set = YAMLMap.YAMLMap.prototype.set.bind(this);
        this.tag = _YAMLOMap.tag;
      }
      /**
       * If `ctx` is given, the return type is actually `Map<unknown, unknown>`,
       * but TypeScript won't allow widening the signature of a child method.
       */
      toJSON(_, ctx) {
        if (!ctx)
          return super.toJSON(_);
        const map = /* @__PURE__ */ new Map();
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const pair of this.items) {
          let key, value;
          if (identity.isPair(pair)) {
            key = toJS.toJS(pair.key, "", ctx);
            value = toJS.toJS(pair.value, key, ctx);
          } else {
            key = toJS.toJS(pair, "", ctx);
          }
          if (map.has(key))
            throw new Error("Ordered maps must not include duplicate keys");
          map.set(key, value);
        }
        return map;
      }
      static from(schema, iterable, ctx) {
        const pairs$1 = pairs.createPairs(schema, iterable, ctx);
        const omap2 = new this();
        omap2.items = pairs$1.items;
        return omap2;
      }
    };
    YAMLOMap.tag = "tag:yaml.org,2002:omap";
    var omap = {
      collection: "seq",
      identify: (value) => value instanceof Map,
      nodeClass: YAMLOMap,
      default: false,
      tag: "tag:yaml.org,2002:omap",
      resolve(seq, onError) {
        const pairs$1 = pairs.resolvePairs(seq, onError);
        const seenKeys = [];
        for (const { key } of pairs$1.items) {
          if (identity.isScalar(key)) {
            if (seenKeys.includes(key.value)) {
              onError(`Ordered maps must not include duplicate keys: ${key.value}`);
            } else {
              seenKeys.push(key.value);
            }
          }
        }
        return Object.assign(new YAMLOMap(), pairs$1);
      },
      createNode: (schema, iterable, ctx) => YAMLOMap.from(schema, iterable, ctx)
    };
    exports2.YAMLOMap = YAMLOMap;
    exports2.omap = omap;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/bool.js
var require_bool2 = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    function boolStringify({ value, source }, ctx) {
      const boolObj = value ? trueTag : falseTag;
      if (source && boolObj.test.test(source))
        return source;
      return value ? ctx.options.trueStr : ctx.options.falseStr;
    }
    var trueTag = {
      identify: (value) => value === true,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:Y|y|[Yy]es|YES|[Tt]rue|TRUE|[Oo]n|ON)$/,
      resolve: () => new Scalar.Scalar(true),
      stringify: boolStringify
    };
    var falseTag = {
      identify: (value) => value === false,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:N|n|[Nn]o|NO|[Ff]alse|FALSE|[Oo]ff|OFF)$/i,
      resolve: () => new Scalar.Scalar(false),
      stringify: boolStringify
    };
    exports2.falseTag = falseTag;
    exports2.trueTag = trueTag;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/float.js
var require_float2 = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var stringifyNumber = require_stringifyNumber();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN)$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:[0-9][0-9_]*)?(?:\.[0-9_]*)?[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str.replace(/_/g, "")),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:[0-9][0-9_]*)?\.[0-9_]*$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str.replace(/_/g, "")));
        const dot = str.indexOf(".");
        if (dot !== -1) {
          const f = str.substring(dot + 1).replace(/_/g, "");
          if (f[f.length - 1] === "0")
            node.minFractionDigits = f.length;
        }
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/int.js
var require_int2 = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    function intResolve(str, offset, radix, { intAsBigInt }) {
      const sign = str[0];
      if (sign === "-" || sign === "+")
        offset += 1;
      str = str.substring(offset).replace(/_/g, "");
      if (intAsBigInt) {
        switch (radix) {
          case 2:
            str = `0b${str}`;
            break;
          case 8:
            str = `0o${str}`;
            break;
          case 16:
            str = `0x${str}`;
            break;
        }
        const n2 = BigInt(str);
        return sign === "-" ? BigInt(-1) * n2 : n2;
      }
      const n = parseInt(str, radix);
      return sign === "-" ? -1 * n : n;
    }
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value)) {
        const str = value.toString(radix);
        return value < 0 ? "-" + prefix + str.substr(1) : prefix + str;
      }
      return stringifyNumber.stringifyNumber(node);
    }
    var intBin = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "BIN",
      test: /^[-+]?0b[0-1_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 2, opt),
      stringify: (node) => intStringify(node, 2, "0b")
    };
    var intOct = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^[-+]?0[0-7_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 1, 8, opt),
      stringify: (node) => intStringify(node, 8, "0")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9][0-9_]*$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^[-+]?0x[0-9a-fA-F_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intBin = intBin;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/set.js
var require_set = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/set.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Pair = require_Pair();
    var YAMLMap = require_YAMLMap();
    var YAMLSet = class _YAMLSet extends YAMLMap.YAMLMap {
      constructor(schema) {
        super(schema);
        this.tag = _YAMLSet.tag;
      }
      add(key) {
        let pair;
        if (identity.isPair(key))
          pair = key;
        else if (key && typeof key === "object" && "key" in key && "value" in key && key.value === null)
          pair = new Pair.Pair(key.key, null);
        else
          pair = new Pair.Pair(key, null);
        const prev = YAMLMap.findPair(this.items, pair.key);
        if (!prev)
          this.items.push(pair);
      }
      /**
       * If `keepPair` is `true`, returns the Pair matching `key`.
       * Otherwise, returns the value of that Pair's key.
       */
      get(key, keepPair) {
        const pair = YAMLMap.findPair(this.items, key);
        return !keepPair && identity.isPair(pair) ? identity.isScalar(pair.key) ? pair.key.value : pair.key : pair;
      }
      set(key, value) {
        if (typeof value !== "boolean")
          throw new Error(`Expected boolean value for set(key, value) in a YAML set, not ${typeof value}`);
        const prev = YAMLMap.findPair(this.items, key);
        if (prev && !value) {
          this.items.splice(this.items.indexOf(prev), 1);
        } else if (!prev && value) {
          this.items.push(new Pair.Pair(key));
        }
      }
      toJSON(_, ctx) {
        return super.toJSON(_, ctx, Set);
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        if (this.hasAllNullValues(true))
          return super.toString(Object.assign({}, ctx, { allNullValues: true }), onComment, onChompKeep);
        else
          throw new Error("Set items must all have null values");
      }
      static from(schema, iterable, ctx) {
        const { replacer } = ctx;
        const set2 = new this(schema);
        if (iterable && Symbol.iterator in Object(iterable))
          for (let value of iterable) {
            if (typeof replacer === "function")
              value = replacer.call(iterable, value, value);
            set2.items.push(Pair.createPair(value, null, ctx));
          }
        return set2;
      }
    };
    YAMLSet.tag = "tag:yaml.org,2002:set";
    var set = {
      collection: "map",
      identify: (value) => value instanceof Set,
      nodeClass: YAMLSet,
      default: false,
      tag: "tag:yaml.org,2002:set",
      createNode: (schema, iterable, ctx) => YAMLSet.from(schema, iterable, ctx),
      resolve(map, onError) {
        if (identity.isMap(map)) {
          if (map.hasAllNullValues(true))
            return Object.assign(new YAMLSet(), map);
          else
            onError("Set items must all have null values");
        } else
          onError("Expected a mapping for this tag");
        return map;
      }
    };
    exports2.YAMLSet = YAMLSet;
    exports2.set = set;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js
var require_timestamp = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber();
    function parseSexagesimal(str, asBigInt) {
      const sign = str[0];
      const parts = sign === "-" || sign === "+" ? str.substring(1) : str;
      const num = (n) => asBigInt ? BigInt(n) : Number(n);
      const res = parts.replace(/_/g, "").split(":").reduce((res2, p) => res2 * num(60) + num(p), num(0));
      return sign === "-" ? num(-1) * res : res;
    }
    function stringifySexagesimal(node) {
      let { value } = node;
      let num = (n) => n;
      if (typeof value === "bigint")
        num = (n) => BigInt(n);
      else if (isNaN(value) || !isFinite(value))
        return stringifyNumber.stringifyNumber(node);
      let sign = "";
      if (value < 0) {
        sign = "-";
        value *= num(-1);
      }
      const _60 = num(60);
      const parts = [value % _60];
      if (value < 60) {
        parts.unshift(0);
      } else {
        value = (value - parts[0]) / _60;
        parts.unshift(value % _60);
        if (value >= 60) {
          value = (value - parts[0]) / _60;
          parts.unshift(value);
        }
      }
      return sign + parts.map((n) => String(n).padStart(2, "0")).join(":").replace(/000000\d*$/, "");
    }
    var intTime = {
      identify: (value) => typeof value === "bigint" || Number.isInteger(value),
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+$/,
      resolve: (str, _onError, { intAsBigInt }) => parseSexagesimal(str, intAsBigInt),
      stringify: stringifySexagesimal
    };
    var floatTime = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\.[0-9_]*$/,
      resolve: (str) => parseSexagesimal(str, false),
      stringify: stringifySexagesimal
    };
    var timestamp = {
      identify: (value) => value instanceof Date,
      default: true,
      tag: "tag:yaml.org,2002:timestamp",
      // If the time zone is omitted, the timestamp is assumed to be specified in UTC. The time part
      // may be omitted altogether, resulting in a date format. In such a case, the time part is
      // assumed to be 00:00:00Z (start of day, UTC).
      test: RegExp("^([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})(?:(?:t|T|[ \\t]+)([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2}(\\.[0-9]+)?)(?:[ \\t]*(Z|[-+][012]?[0-9](?::[0-9]{2})?))?)?$"),
      resolve(str) {
        const match = str.match(timestamp.test);
        if (!match)
          throw new Error("!!timestamp expects a date, starting with yyyy-mm-dd");
        const [, year, month, day, hour, minute, second] = match.map(Number);
        const millisec = match[7] ? Number((match[7] + "00").substr(1, 3)) : 0;
        let date = Date.UTC(year, month - 1, day, hour || 0, minute || 0, second || 0, millisec);
        const tz = match[8];
        if (tz && tz !== "Z") {
          let d = parseSexagesimal(tz, false);
          if (Math.abs(d) < 30)
            d *= 60;
          date -= 6e4 * d;
        }
        return new Date(date);
      },
      stringify: ({ value }) => value.toISOString().replace(/((T00:00)?:00)?\.000Z$/, "")
    };
    exports2.floatTime = floatTime;
    exports2.intTime = intTime;
    exports2.timestamp = timestamp;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/schema.js
var require_schema3 = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/yaml-1.1/schema.js"(exports2) {
    "use strict";
    var map = require_map();
    var _null = require_null();
    var seq = require_seq();
    var string = require_string();
    var binary = require_binary();
    var bool = require_bool2();
    var float = require_float2();
    var int = require_int2();
    var omap = require_omap();
    var pairs = require_pairs();
    var set = require_set();
    var timestamp = require_timestamp();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.trueTag,
      bool.falseTag,
      int.intBin,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float,
      binary.binary,
      omap.omap,
      pairs.pairs,
      set.set,
      timestamp.intTime,
      timestamp.floatTime,
      timestamp.timestamp
    ];
    exports2.schema = schema;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/tags.js
var require_tags = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/tags.js"(exports2) {
    "use strict";
    var map = require_map();
    var _null = require_null();
    var seq = require_seq();
    var string = require_string();
    var bool = require_bool();
    var float = require_float();
    var int = require_int();
    var schema = require_schema();
    var schema$1 = require_schema2();
    var binary = require_binary();
    var omap = require_omap();
    var pairs = require_pairs();
    var schema$2 = require_schema3();
    var set = require_set();
    var timestamp = require_timestamp();
    var schemas = /* @__PURE__ */ new Map([
      ["core", schema.schema],
      ["failsafe", [map.map, seq.seq, string.string]],
      ["json", schema$1.schema],
      ["yaml11", schema$2.schema],
      ["yaml-1.1", schema$2.schema]
    ]);
    var tagsByName = {
      binary: binary.binary,
      bool: bool.boolTag,
      float: float.float,
      floatExp: float.floatExp,
      floatNaN: float.floatNaN,
      floatTime: timestamp.floatTime,
      int: int.int,
      intHex: int.intHex,
      intOct: int.intOct,
      intTime: timestamp.intTime,
      map: map.map,
      null: _null.nullTag,
      omap: omap.omap,
      pairs: pairs.pairs,
      seq: seq.seq,
      set: set.set,
      timestamp: timestamp.timestamp
    };
    var coreKnownTags = {
      "tag:yaml.org,2002:binary": binary.binary,
      "tag:yaml.org,2002:omap": omap.omap,
      "tag:yaml.org,2002:pairs": pairs.pairs,
      "tag:yaml.org,2002:set": set.set,
      "tag:yaml.org,2002:timestamp": timestamp.timestamp
    };
    function getTags(customTags, schemaName) {
      let tags = schemas.get(schemaName);
      if (!tags) {
        if (Array.isArray(customTags))
          tags = [];
        else {
          const keys = Array.from(schemas.keys()).filter((key) => key !== "yaml11").map((key) => JSON.stringify(key)).join(", ");
          throw new Error(`Unknown schema "${schemaName}"; use one of ${keys} or define customTags array`);
        }
      }
      if (Array.isArray(customTags)) {
        for (const tag of customTags)
          tags = tags.concat(tag);
      } else if (typeof customTags === "function") {
        tags = customTags(tags.slice());
      }
      return tags.map((tag) => {
        if (typeof tag !== "string")
          return tag;
        const tagObj = tagsByName[tag];
        if (tagObj)
          return tagObj;
        const keys = Object.keys(tagsByName).map((key) => JSON.stringify(key)).join(", ");
        throw new Error(`Unknown custom tag "${tag}"; use one of ${keys}`);
      });
    }
    exports2.coreKnownTags = coreKnownTags;
    exports2.getTags = getTags;
  }
});

// ../../components/environments/node_modules/yaml/dist/schema/Schema.js
var require_Schema = __commonJS({
  "../../components/environments/node_modules/yaml/dist/schema/Schema.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var map = require_map();
    var seq = require_seq();
    var string = require_string();
    var tags = require_tags();
    var sortMapEntriesByKey = (a, b) => a.key < b.key ? -1 : a.key > b.key ? 1 : 0;
    var Schema = class _Schema {
      constructor({ compat, customTags, merge, resolveKnownTags, schema, sortMapEntries, toStringDefaults }) {
        this.compat = Array.isArray(compat) ? tags.getTags(compat, "compat") : compat ? tags.getTags(null, compat) : null;
        this.merge = !!merge;
        this.name = typeof schema === "string" && schema || "core";
        this.knownTags = resolveKnownTags ? tags.coreKnownTags : {};
        this.tags = tags.getTags(customTags, this.name);
        this.toStringOptions = toStringDefaults ?? null;
        Object.defineProperty(this, identity.MAP, { value: map.map });
        Object.defineProperty(this, identity.SCALAR, { value: string.string });
        Object.defineProperty(this, identity.SEQ, { value: seq.seq });
        this.sortMapEntries = typeof sortMapEntries === "function" ? sortMapEntries : sortMapEntries === true ? sortMapEntriesByKey : null;
      }
      clone() {
        const copy = Object.create(_Schema.prototype, Object.getOwnPropertyDescriptors(this));
        copy.tags = this.tags.slice();
        return copy;
      }
    };
    exports2.Schema = Schema;
  }
});

// ../../components/environments/node_modules/yaml/dist/stringify/stringifyDocument.js
var require_stringifyDocument = __commonJS({
  "../../components/environments/node_modules/yaml/dist/stringify/stringifyDocument.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var stringify = require_stringify();
    var stringifyComment = require_stringifyComment();
    function stringifyDocument(doc, options) {
      const lines = [];
      let hasDirectives = options.directives === true;
      if (options.directives !== false && doc.directives) {
        const dir = doc.directives.toString(doc);
        if (dir) {
          lines.push(dir);
          hasDirectives = true;
        } else if (doc.directives.docStart)
          hasDirectives = true;
      }
      if (hasDirectives)
        lines.push("---");
      const ctx = stringify.createStringifyContext(doc, options);
      const { commentString } = ctx.options;
      if (doc.commentBefore) {
        if (lines.length !== 1)
          lines.unshift("");
        const cs = commentString(doc.commentBefore);
        lines.unshift(stringifyComment.indentComment(cs, ""));
      }
      let chompKeep = false;
      let contentComment = null;
      if (doc.contents) {
        if (identity.isNode(doc.contents)) {
          if (doc.contents.spaceBefore && hasDirectives)
            lines.push("");
          if (doc.contents.commentBefore) {
            const cs = commentString(doc.contents.commentBefore);
            lines.push(stringifyComment.indentComment(cs, ""));
          }
          ctx.forceBlockIndent = !!doc.comment;
          contentComment = doc.contents.comment;
        }
        const onChompKeep = contentComment ? void 0 : () => chompKeep = true;
        let body = stringify.stringify(doc.contents, ctx, () => contentComment = null, onChompKeep);
        if (contentComment)
          body += stringifyComment.lineComment(body, "", commentString(contentComment));
        if ((body[0] === "|" || body[0] === ">") && lines[lines.length - 1] === "---") {
          lines[lines.length - 1] = `--- ${body}`;
        } else
          lines.push(body);
      } else {
        lines.push(stringify.stringify(doc.contents, ctx));
      }
      if (doc.directives?.docEnd) {
        if (doc.comment) {
          const cs = commentString(doc.comment);
          if (cs.includes("\n")) {
            lines.push("...");
            lines.push(stringifyComment.indentComment(cs, ""));
          } else {
            lines.push(`... ${cs}`);
          }
        } else {
          lines.push("...");
        }
      } else {
        let dc = doc.comment;
        if (dc && chompKeep)
          dc = dc.replace(/^\n+/, "");
        if (dc) {
          if ((!chompKeep || contentComment) && lines[lines.length - 1] !== "")
            lines.push("");
          lines.push(stringifyComment.indentComment(commentString(dc), ""));
        }
      }
      return lines.join("\n") + "\n";
    }
    exports2.stringifyDocument = stringifyDocument;
  }
});

// ../../components/environments/node_modules/yaml/dist/doc/Document.js
var require_Document = __commonJS({
  "../../components/environments/node_modules/yaml/dist/doc/Document.js"(exports2) {
    "use strict";
    var Alias = require_Alias();
    var Collection = require_Collection();
    var identity = require_identity();
    var Pair = require_Pair();
    var toJS = require_toJS();
    var Schema = require_Schema();
    var stringifyDocument = require_stringifyDocument();
    var anchors = require_anchors();
    var applyReviver = require_applyReviver();
    var createNode = require_createNode();
    var directives = require_directives();
    var Document = class _Document {
      constructor(value, replacer, options) {
        this.commentBefore = null;
        this.comment = null;
        this.errors = [];
        this.warnings = [];
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.DOC });
        let _replacer = null;
        if (typeof replacer === "function" || Array.isArray(replacer)) {
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const opt = Object.assign({
          intAsBigInt: false,
          keepSourceTokens: false,
          logLevel: "warn",
          prettyErrors: true,
          strict: true,
          uniqueKeys: true,
          version: "1.2"
        }, options);
        this.options = opt;
        let { version } = opt;
        if (options?._directives) {
          this.directives = options._directives.atDocument();
          if (this.directives.yaml.explicit)
            version = this.directives.yaml.version;
        } else
          this.directives = new directives.Directives({ version });
        this.setSchema(version, options);
        this.contents = value === void 0 ? null : this.createNode(value, _replacer, options);
      }
      /**
       * Create a deep copy of this Document and its contents.
       *
       * Custom Node values that inherit from `Object` still refer to their original instances.
       */
      clone() {
        const copy = Object.create(_Document.prototype, {
          [identity.NODE_TYPE]: { value: identity.DOC }
        });
        copy.commentBefore = this.commentBefore;
        copy.comment = this.comment;
        copy.errors = this.errors.slice();
        copy.warnings = this.warnings.slice();
        copy.options = Object.assign({}, this.options);
        if (this.directives)
          copy.directives = this.directives.clone();
        copy.schema = this.schema.clone();
        copy.contents = identity.isNode(this.contents) ? this.contents.clone(copy.schema) : this.contents;
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** Adds a value to the document. */
      add(value) {
        if (assertCollection(this.contents))
          this.contents.add(value);
      }
      /** Adds a value to the document. */
      addIn(path, value) {
        if (assertCollection(this.contents))
          this.contents.addIn(path, value);
      }
      /**
       * Create a new `Alias` node, ensuring that the target `node` has the required anchor.
       *
       * If `node` already has an anchor, `name` is ignored.
       * Otherwise, the `node.anchor` value will be set to `name`,
       * or if an anchor with that name is already present in the document,
       * `name` will be used as a prefix for a new unique anchor.
       * If `name` is undefined, the generated anchor will use 'a' as a prefix.
       */
      createAlias(node, name) {
        if (!node.anchor) {
          const prev = anchors.anchorNames(this);
          node.anchor = // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          !name || prev.has(name) ? anchors.findNewAnchor(name || "a", prev) : name;
        }
        return new Alias.Alias(node.anchor);
      }
      createNode(value, replacer, options) {
        let _replacer = void 0;
        if (typeof replacer === "function") {
          value = replacer.call({ "": value }, "", value);
          _replacer = replacer;
        } else if (Array.isArray(replacer)) {
          const keyToStr = (v) => typeof v === "number" || v instanceof String || v instanceof Number;
          const asStr = replacer.filter(keyToStr).map(String);
          if (asStr.length > 0)
            replacer = replacer.concat(asStr);
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const { aliasDuplicateObjects, anchorPrefix, flow, keepUndefined, onTagObj, tag } = options ?? {};
        const { onAnchor, setAnchors, sourceObjects } = anchors.createNodeAnchors(
          this,
          // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          anchorPrefix || "a"
        );
        const ctx = {
          aliasDuplicateObjects: aliasDuplicateObjects ?? true,
          keepUndefined: keepUndefined ?? false,
          onAnchor,
          onTagObj,
          replacer: _replacer,
          schema: this.schema,
          sourceObjects
        };
        const node = createNode.createNode(value, tag, ctx);
        if (flow && identity.isCollection(node))
          node.flow = true;
        setAnchors();
        return node;
      }
      /**
       * Convert a key and a value into a `Pair` using the current schema,
       * recursively wrapping all values as `Scalar` or `Collection` nodes.
       */
      createPair(key, value, options = {}) {
        const k = this.createNode(key, null, options);
        const v = this.createNode(value, null, options);
        return new Pair.Pair(k, v);
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        return assertCollection(this.contents) ? this.contents.delete(key) : false;
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        if (Collection.isEmptyPath(path)) {
          if (this.contents == null)
            return false;
          this.contents = null;
          return true;
        }
        return assertCollection(this.contents) ? this.contents.deleteIn(path) : false;
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      get(key, keepScalar) {
        return identity.isCollection(this.contents) ? this.contents.get(key, keepScalar) : void 0;
      }
      /**
       * Returns item at `path`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        if (Collection.isEmptyPath(path))
          return !keepScalar && identity.isScalar(this.contents) ? this.contents.value : this.contents;
        return identity.isCollection(this.contents) ? this.contents.getIn(path, keepScalar) : void 0;
      }
      /**
       * Checks if the document includes a value with the key `key`.
       */
      has(key) {
        return identity.isCollection(this.contents) ? this.contents.has(key) : false;
      }
      /**
       * Checks if the document includes a value at `path`.
       */
      hasIn(path) {
        if (Collection.isEmptyPath(path))
          return this.contents !== void 0;
        return identity.isCollection(this.contents) ? this.contents.hasIn(path) : false;
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      set(key, value) {
        if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, [key], value);
        } else if (assertCollection(this.contents)) {
          this.contents.set(key, value);
        }
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        if (Collection.isEmptyPath(path)) {
          this.contents = value;
        } else if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, Array.from(path), value);
        } else if (assertCollection(this.contents)) {
          this.contents.setIn(path, value);
        }
      }
      /**
       * Change the YAML version and schema used by the document.
       * A `null` version disables support for directives, explicit tags, anchors, and aliases.
       * It also requires the `schema` option to be given as a `Schema` instance value.
       *
       * Overrides all previously set schema options.
       */
      setSchema(version, options = {}) {
        if (typeof version === "number")
          version = String(version);
        let opt;
        switch (version) {
          case "1.1":
            if (this.directives)
              this.directives.yaml.version = "1.1";
            else
              this.directives = new directives.Directives({ version: "1.1" });
            opt = { merge: true, resolveKnownTags: false, schema: "yaml-1.1" };
            break;
          case "1.2":
          case "next":
            if (this.directives)
              this.directives.yaml.version = version;
            else
              this.directives = new directives.Directives({ version });
            opt = { merge: false, resolveKnownTags: true, schema: "core" };
            break;
          case null:
            if (this.directives)
              delete this.directives;
            opt = null;
            break;
          default: {
            const sv = JSON.stringify(version);
            throw new Error(`Expected '1.1', '1.2' or null as first argument, but found: ${sv}`);
          }
        }
        if (options.schema instanceof Object)
          this.schema = options.schema;
        else if (opt)
          this.schema = new Schema.Schema(Object.assign(opt, options));
        else
          throw new Error(`With a null YAML version, the { schema: Schema } option is required`);
      }
      // json & jsonArg are only used from toJSON()
      toJS({ json, jsonArg, mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc: this,
          keep: !json,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this.contents, jsonArg ?? "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
      /**
       * A JSON representation of the document `contents`.
       *
       * @param jsonArg Used by `JSON.stringify` to indicate the array index or
       *   property name.
       */
      toJSON(jsonArg, onAnchor) {
        return this.toJS({ json: true, jsonArg, mapAsMap: false, onAnchor });
      }
      /** A YAML representation of the document. */
      toString(options = {}) {
        if (this.errors.length > 0)
          throw new Error("Document with errors cannot be stringified");
        if ("indent" in options && (!Number.isInteger(options.indent) || Number(options.indent) <= 0)) {
          const s = JSON.stringify(options.indent);
          throw new Error(`"indent" option must be a positive integer, not ${s}`);
        }
        return stringifyDocument.stringifyDocument(this, options);
      }
    };
    function assertCollection(contents) {
      if (identity.isCollection(contents))
        return true;
      throw new Error("Expected a YAML collection as document contents");
    }
    exports2.Document = Document;
  }
});

// ../../components/environments/node_modules/yaml/dist/errors.js
var require_errors = __commonJS({
  "../../components/environments/node_modules/yaml/dist/errors.js"(exports2) {
    "use strict";
    var YAMLError = class extends Error {
      constructor(name, pos, code, message) {
        super();
        this.name = name;
        this.code = code;
        this.message = message;
        this.pos = pos;
      }
    };
    var YAMLParseError = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLParseError", pos, code, message);
      }
    };
    var YAMLWarning = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLWarning", pos, code, message);
      }
    };
    var prettifyError = (src, lc) => (error) => {
      if (error.pos[0] === -1)
        return;
      error.linePos = error.pos.map((pos) => lc.linePos(pos));
      const { line, col } = error.linePos[0];
      error.message += ` at line ${line}, column ${col}`;
      let ci = col - 1;
      let lineStr = src.substring(lc.lineStarts[line - 1], lc.lineStarts[line]).replace(/[\n\r]+$/, "");
      if (ci >= 60 && lineStr.length > 80) {
        const trimStart = Math.min(ci - 39, lineStr.length - 79);
        lineStr = "\u2026" + lineStr.substring(trimStart);
        ci -= trimStart - 1;
      }
      if (lineStr.length > 80)
        lineStr = lineStr.substring(0, 79) + "\u2026";
      if (line > 1 && /^ *$/.test(lineStr.substring(0, ci))) {
        let prev = src.substring(lc.lineStarts[line - 2], lc.lineStarts[line - 1]);
        if (prev.length > 80)
          prev = prev.substring(0, 79) + "\u2026\n";
        lineStr = prev + lineStr;
      }
      if (/[^ ]/.test(lineStr)) {
        let count = 1;
        const end = error.linePos[1];
        if (end && end.line === line && end.col > col) {
          count = Math.max(1, Math.min(end.col - col, 80 - ci));
        }
        const pointer = " ".repeat(ci) + "^".repeat(count);
        error.message += `:

${lineStr}
${pointer}
`;
      }
    };
    exports2.YAMLError = YAMLError;
    exports2.YAMLParseError = YAMLParseError;
    exports2.YAMLWarning = YAMLWarning;
    exports2.prettifyError = prettifyError;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-props.js
var require_resolve_props = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-props.js"(exports2) {
    "use strict";
    function resolveProps(tokens, { flow, indicator, next, offset, onError, startOnNewline }) {
      let spaceBefore = false;
      let atNewline = startOnNewline;
      let hasSpace = startOnNewline;
      let comment = "";
      let commentSep = "";
      let hasNewline = false;
      let hasNewlineAfterProp = false;
      let reqSpace = false;
      let anchor = null;
      let tag = null;
      let comma = null;
      let found = null;
      let start = null;
      for (const token of tokens) {
        if (reqSpace) {
          if (token.type !== "space" && token.type !== "newline" && token.type !== "comma")
            onError(token.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
          reqSpace = false;
        }
        switch (token.type) {
          case "space":
            if (!flow && atNewline && indicator !== "doc-start" && token.source[0] === "	")
              onError(token, "TAB_AS_INDENT", "Tabs are not allowed as indentation");
            hasSpace = true;
            break;
          case "comment": {
            if (!hasSpace)
              onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
            const cb = token.source.substring(1) || " ";
            if (!comment)
              comment = cb;
            else
              comment += commentSep + cb;
            commentSep = "";
            atNewline = false;
            break;
          }
          case "newline":
            if (atNewline) {
              if (comment)
                comment += token.source;
              else
                spaceBefore = true;
            } else
              commentSep += token.source;
            atNewline = true;
            hasNewline = true;
            if (anchor || tag)
              hasNewlineAfterProp = true;
            hasSpace = true;
            break;
          case "anchor":
            if (anchor)
              onError(token, "MULTIPLE_ANCHORS", "A node can have at most one anchor");
            if (token.source.endsWith(":"))
              onError(token.offset + token.source.length - 1, "BAD_ALIAS", "Anchor ending in : is ambiguous", true);
            anchor = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          case "tag": {
            if (tag)
              onError(token, "MULTIPLE_TAGS", "A node can have at most one tag");
            tag = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          }
          case indicator:
            if (anchor || tag)
              onError(token, "BAD_PROP_ORDER", `Anchors and tags must be after the ${token.source} indicator`);
            if (found)
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.source} in ${flow ?? "collection"}`);
            found = token;
            atNewline = false;
            hasSpace = false;
            break;
          case "comma":
            if (flow) {
              if (comma)
                onError(token, "UNEXPECTED_TOKEN", `Unexpected , in ${flow}`);
              comma = token;
              atNewline = false;
              hasSpace = false;
              break;
            }
          default:
            onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.type} token`);
            atNewline = false;
            hasSpace = false;
        }
      }
      const last = tokens[tokens.length - 1];
      const end = last ? last.offset + last.source.length : offset;
      if (reqSpace && next && next.type !== "space" && next.type !== "newline" && next.type !== "comma" && (next.type !== "scalar" || next.source !== ""))
        onError(next.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
      return {
        comma,
        found,
        spaceBefore,
        comment,
        hasNewline,
        hasNewlineAfterProp,
        anchor,
        tag,
        end,
        start: start ?? end
      };
    }
    exports2.resolveProps = resolveProps;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/util-contains-newline.js
var require_util_contains_newline = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/util-contains-newline.js"(exports2) {
    "use strict";
    function containsNewline(key) {
      if (!key)
        return null;
      switch (key.type) {
        case "alias":
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          if (key.source.includes("\n"))
            return true;
          if (key.end) {
            for (const st of key.end)
              if (st.type === "newline")
                return true;
          }
          return false;
        case "flow-collection":
          for (const it of key.items) {
            for (const st of it.start)
              if (st.type === "newline")
                return true;
            if (it.sep) {
              for (const st of it.sep)
                if (st.type === "newline")
                  return true;
            }
            if (containsNewline(it.key) || containsNewline(it.value))
              return true;
          }
          return false;
        default:
          return true;
      }
    }
    exports2.containsNewline = containsNewline;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/util-flow-indent-check.js
var require_util_flow_indent_check = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/util-flow-indent-check.js"(exports2) {
    "use strict";
    var utilContainsNewline = require_util_contains_newline();
    function flowIndentCheck(indent, fc, onError) {
      if (fc?.type === "flow-collection") {
        const end = fc.end[0];
        if (end.indent === indent && (end.source === "]" || end.source === "}") && utilContainsNewline.containsNewline(fc)) {
          const msg = "Flow end indicator should be more indented than parent";
          onError(end, "BAD_INDENT", msg, true);
        }
      }
    }
    exports2.flowIndentCheck = flowIndentCheck;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/util-map-includes.js
var require_util_map_includes = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/util-map-includes.js"(exports2) {
    "use strict";
    var identity = require_identity();
    function mapIncludes(ctx, items, search) {
      const { uniqueKeys } = ctx.options;
      if (uniqueKeys === false)
        return false;
      const isEqual = typeof uniqueKeys === "function" ? uniqueKeys : (a, b) => a === b || identity.isScalar(a) && identity.isScalar(b) && a.value === b.value && !(a.value === "<<" && ctx.schema.merge);
      return items.some((pair) => isEqual(pair.key, search));
    }
    exports2.mapIncludes = mapIncludes;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-block-map.js
var require_resolve_block_map = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-block-map.js"(exports2) {
    "use strict";
    var Pair = require_Pair();
    var YAMLMap = require_YAMLMap();
    var resolveProps = require_resolve_props();
    var utilContainsNewline = require_util_contains_newline();
    var utilFlowIndentCheck = require_util_flow_indent_check();
    var utilMapIncludes = require_util_map_includes();
    var startColMsg = "All mapping items must start at the same column";
    function resolveBlockMap({ composeNode, composeEmptyNode }, ctx, bm, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLMap.YAMLMap;
      const map = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bm.offset;
      let commentEnd = null;
      for (const collItem of bm.items) {
        const { start, key, sep, value } = collItem;
        const keyProps = resolveProps.resolveProps(start, {
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: true
        });
        const implicitKey = !keyProps.found;
        if (implicitKey) {
          if (key) {
            if (key.type === "block-seq")
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "A block sequence may not be used as an implicit map key");
            else if ("indent" in key && key.indent !== bm.indent)
              onError(offset, "BAD_INDENT", startColMsg);
          }
          if (!keyProps.anchor && !keyProps.tag && !sep) {
            commentEnd = keyProps.end;
            if (keyProps.comment) {
              if (map.comment)
                map.comment += "\n" + keyProps.comment;
              else
                map.comment = keyProps.comment;
            }
            continue;
          }
          if (keyProps.hasNewlineAfterProp || utilContainsNewline.containsNewline(key)) {
            onError(key ?? start[start.length - 1], "MULTILINE_IMPLICIT_KEY", "Implicit keys need to be on a single line");
          }
        } else if (keyProps.found?.indent !== bm.indent) {
          onError(offset, "BAD_INDENT", startColMsg);
        }
        const keyStart = keyProps.end;
        const keyNode = key ? composeNode(ctx, key, keyProps, onError) : composeEmptyNode(ctx, keyStart, start, null, keyProps, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bm.indent, key, onError);
        if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
          onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
        const valueProps = resolveProps.resolveProps(sep ?? [], {
          indicator: "map-value-ind",
          next: value,
          offset: keyNode.range[2],
          onError,
          startOnNewline: !key || key.type === "block-scalar"
        });
        offset = valueProps.end;
        if (valueProps.found) {
          if (implicitKey) {
            if (value?.type === "block-map" && !valueProps.hasNewline)
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "Nested mappings are not allowed in compact mappings");
            if (ctx.options.strict && keyProps.start < valueProps.found.offset - 1024)
              onError(keyNode.range, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit block mapping key");
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : composeEmptyNode(ctx, offset, sep, null, valueProps, onError);
          if (ctx.schema.compat)
            utilFlowIndentCheck.flowIndentCheck(bm.indent, value, onError);
          offset = valueNode.range[2];
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        } else {
          if (implicitKey)
            onError(keyNode.range, "MISSING_CHAR", "Implicit map keys need to be followed by map values");
          if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        }
      }
      if (commentEnd && commentEnd < offset)
        onError(commentEnd, "IMPOSSIBLE", "Map comment with trailing content");
      map.range = [bm.offset, offset, commentEnd ?? offset];
      return map;
    }
    exports2.resolveBlockMap = resolveBlockMap;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-block-seq.js
var require_resolve_block_seq = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-block-seq.js"(exports2) {
    "use strict";
    var YAMLSeq = require_YAMLSeq();
    var resolveProps = require_resolve_props();
    var utilFlowIndentCheck = require_util_flow_indent_check();
    function resolveBlockSeq({ composeNode, composeEmptyNode }, ctx, bs, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLSeq.YAMLSeq;
      const seq = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bs.offset;
      let commentEnd = null;
      for (const { start, value } of bs.items) {
        const props = resolveProps.resolveProps(start, {
          indicator: "seq-item-ind",
          next: value,
          offset,
          onError,
          startOnNewline: true
        });
        if (!props.found) {
          if (props.anchor || props.tag || value) {
            if (value && value.type === "block-seq")
              onError(props.end, "BAD_INDENT", "All sequence items must start at the same column");
            else
              onError(offset, "MISSING_CHAR", "Sequence item without - indicator");
          } else {
            commentEnd = props.end;
            if (props.comment)
              seq.comment = props.comment;
            continue;
          }
        }
        const node = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, start, null, props, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bs.indent, value, onError);
        offset = node.range[2];
        seq.items.push(node);
      }
      seq.range = [bs.offset, offset, commentEnd ?? offset];
      return seq;
    }
    exports2.resolveBlockSeq = resolveBlockSeq;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-end.js
var require_resolve_end = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-end.js"(exports2) {
    "use strict";
    function resolveEnd(end, offset, reqSpace, onError) {
      let comment = "";
      if (end) {
        let hasSpace = false;
        let sep = "";
        for (const token of end) {
          const { source, type } = token;
          switch (type) {
            case "space":
              hasSpace = true;
              break;
            case "comment": {
              if (reqSpace && !hasSpace)
                onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
              const cb = source.substring(1) || " ";
              if (!comment)
                comment = cb;
              else
                comment += sep + cb;
              sep = "";
              break;
            }
            case "newline":
              if (comment)
                sep += source;
              hasSpace = true;
              break;
            default:
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${type} at node end`);
          }
          offset += source.length;
        }
      }
      return { comment, offset };
    }
    exports2.resolveEnd = resolveEnd;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-flow-collection.js
var require_resolve_flow_collection = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-flow-collection.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Pair = require_Pair();
    var YAMLMap = require_YAMLMap();
    var YAMLSeq = require_YAMLSeq();
    var resolveEnd = require_resolve_end();
    var resolveProps = require_resolve_props();
    var utilContainsNewline = require_util_contains_newline();
    var utilMapIncludes = require_util_map_includes();
    var blockMsg = "Block collections are not allowed within flow collections";
    var isBlock = (token) => token && (token.type === "block-map" || token.type === "block-seq");
    function resolveFlowCollection({ composeNode, composeEmptyNode }, ctx, fc, onError, tag) {
      const isMap = fc.start.source === "{";
      const fcName = isMap ? "flow map" : "flow sequence";
      const NodeClass = tag?.nodeClass ?? (isMap ? YAMLMap.YAMLMap : YAMLSeq.YAMLSeq);
      const coll = new NodeClass(ctx.schema);
      coll.flow = true;
      const atRoot = ctx.atRoot;
      if (atRoot)
        ctx.atRoot = false;
      let offset = fc.offset + fc.start.source.length;
      for (let i = 0; i < fc.items.length; ++i) {
        const collItem = fc.items[i];
        const { start, key, sep, value } = collItem;
        const props = resolveProps.resolveProps(start, {
          flow: fcName,
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: false
        });
        if (!props.found) {
          if (!props.anchor && !props.tag && !sep && !value) {
            if (i === 0 && props.comma)
              onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
            else if (i < fc.items.length - 1)
              onError(props.start, "UNEXPECTED_TOKEN", `Unexpected empty item in ${fcName}`);
            if (props.comment) {
              if (coll.comment)
                coll.comment += "\n" + props.comment;
              else
                coll.comment = props.comment;
            }
            offset = props.end;
            continue;
          }
          if (!isMap && ctx.options.strict && utilContainsNewline.containsNewline(key))
            onError(
              key,
              // checked by containsNewline()
              "MULTILINE_IMPLICIT_KEY",
              "Implicit keys of flow sequence pairs need to be on a single line"
            );
        }
        if (i === 0) {
          if (props.comma)
            onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
        } else {
          if (!props.comma)
            onError(props.start, "MISSING_CHAR", `Missing , between ${fcName} items`);
          if (props.comment) {
            let prevItemComment = "";
            loop:
              for (const st of start) {
                switch (st.type) {
                  case "comma":
                  case "space":
                    break;
                  case "comment":
                    prevItemComment = st.source.substring(1);
                    break loop;
                  default:
                    break loop;
                }
              }
            if (prevItemComment) {
              let prev = coll.items[coll.items.length - 1];
              if (identity.isPair(prev))
                prev = prev.value ?? prev.key;
              if (prev.comment)
                prev.comment += "\n" + prevItemComment;
              else
                prev.comment = prevItemComment;
              props.comment = props.comment.substring(prevItemComment.length + 1);
            }
          }
        }
        if (!isMap && !sep && !props.found) {
          const valueNode = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, sep, null, props, onError);
          coll.items.push(valueNode);
          offset = valueNode.range[2];
          if (isBlock(value))
            onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
        } else {
          const keyStart = props.end;
          const keyNode = key ? composeNode(ctx, key, props, onError) : composeEmptyNode(ctx, keyStart, start, null, props, onError);
          if (isBlock(key))
            onError(keyNode.range, "BLOCK_IN_FLOW", blockMsg);
          const valueProps = resolveProps.resolveProps(sep ?? [], {
            flow: fcName,
            indicator: "map-value-ind",
            next: value,
            offset: keyNode.range[2],
            onError,
            startOnNewline: false
          });
          if (valueProps.found) {
            if (!isMap && !props.found && ctx.options.strict) {
              if (sep)
                for (const st of sep) {
                  if (st === valueProps.found)
                    break;
                  if (st.type === "newline") {
                    onError(st, "MULTILINE_IMPLICIT_KEY", "Implicit keys of flow sequence pairs need to be on a single line");
                    break;
                  }
                }
              if (props.start < valueProps.found.offset - 1024)
                onError(valueProps.found, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit flow sequence key");
            }
          } else if (value) {
            if ("source" in value && value.source && value.source[0] === ":")
              onError(value, "MISSING_CHAR", `Missing space after : in ${fcName}`);
            else
              onError(valueProps.start, "MISSING_CHAR", `Missing , or : between ${fcName} items`);
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : valueProps.found ? composeEmptyNode(ctx, valueProps.end, sep, null, valueProps, onError) : null;
          if (valueNode) {
            if (isBlock(value))
              onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
          } else if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          if (isMap) {
            const map = coll;
            if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
              onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
            map.items.push(pair);
          } else {
            const map = new YAMLMap.YAMLMap(ctx.schema);
            map.flow = true;
            map.items.push(pair);
            coll.items.push(map);
          }
          offset = valueNode ? valueNode.range[2] : valueProps.end;
        }
      }
      const expectedEnd = isMap ? "}" : "]";
      const [ce, ...ee] = fc.end;
      let cePos = offset;
      if (ce && ce.source === expectedEnd)
        cePos = ce.offset + ce.source.length;
      else {
        const name = fcName[0].toUpperCase() + fcName.substring(1);
        const msg = atRoot ? `${name} must end with a ${expectedEnd}` : `${name} in block collection must be sufficiently indented and end with a ${expectedEnd}`;
        onError(offset, atRoot ? "MISSING_CHAR" : "BAD_INDENT", msg);
        if (ce && ce.source.length !== 1)
          ee.unshift(ce);
      }
      if (ee.length > 0) {
        const end = resolveEnd.resolveEnd(ee, cePos, ctx.options.strict, onError);
        if (end.comment) {
          if (coll.comment)
            coll.comment += "\n" + end.comment;
          else
            coll.comment = end.comment;
        }
        coll.range = [fc.offset, cePos, end.offset];
      } else {
        coll.range = [fc.offset, cePos, cePos];
      }
      return coll;
    }
    exports2.resolveFlowCollection = resolveFlowCollection;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/compose-collection.js
var require_compose_collection = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/compose-collection.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Scalar = require_Scalar();
    var YAMLMap = require_YAMLMap();
    var YAMLSeq = require_YAMLSeq();
    var resolveBlockMap = require_resolve_block_map();
    var resolveBlockSeq = require_resolve_block_seq();
    var resolveFlowCollection = require_resolve_flow_collection();
    function resolveCollection(CN, ctx, token, onError, tagName, tag) {
      const coll = token.type === "block-map" ? resolveBlockMap.resolveBlockMap(CN, ctx, token, onError, tag) : token.type === "block-seq" ? resolveBlockSeq.resolveBlockSeq(CN, ctx, token, onError, tag) : resolveFlowCollection.resolveFlowCollection(CN, ctx, token, onError, tag);
      const Coll = coll.constructor;
      if (tagName === "!" || tagName === Coll.tagName) {
        coll.tag = Coll.tagName;
        return coll;
      }
      if (tagName)
        coll.tag = tagName;
      return coll;
    }
    function composeCollection(CN, ctx, token, tagToken, onError) {
      const tagName = !tagToken ? null : ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg));
      const expType = token.type === "block-map" ? "map" : token.type === "block-seq" ? "seq" : token.start.source === "{" ? "map" : "seq";
      if (!tagToken || !tagName || tagName === "!" || tagName === YAMLMap.YAMLMap.tagName && expType === "map" || tagName === YAMLSeq.YAMLSeq.tagName && expType === "seq" || !expType) {
        return resolveCollection(CN, ctx, token, onError, tagName);
      }
      let tag = ctx.schema.tags.find((t) => t.tag === tagName && t.collection === expType);
      if (!tag) {
        const kt = ctx.schema.knownTags[tagName];
        if (kt && kt.collection === expType) {
          ctx.schema.tags.push(Object.assign({}, kt, { default: false }));
          tag = kt;
        } else {
          if (kt?.collection) {
            onError(tagToken, "BAD_COLLECTION_TYPE", `${kt.tag} used for ${expType} collection, but expects ${kt.collection}`, true);
          } else {
            onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, true);
          }
          return resolveCollection(CN, ctx, token, onError, tagName);
        }
      }
      const coll = resolveCollection(CN, ctx, token, onError, tagName, tag);
      const res = tag.resolve?.(coll, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg), ctx.options) ?? coll;
      const node = identity.isNode(res) ? res : new Scalar.Scalar(res);
      node.range = coll.range;
      node.tag = tagName;
      if (tag?.format)
        node.format = tag.format;
      return node;
    }
    exports2.composeCollection = composeCollection;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-block-scalar.js
var require_resolve_block_scalar = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-block-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    function resolveBlockScalar(scalar, strict, onError) {
      const start = scalar.offset;
      const header = parseBlockScalarHeader(scalar, strict, onError);
      if (!header)
        return { value: "", type: null, comment: "", range: [start, start, start] };
      const type = header.mode === ">" ? Scalar.Scalar.BLOCK_FOLDED : Scalar.Scalar.BLOCK_LITERAL;
      const lines = scalar.source ? splitLines(scalar.source) : [];
      let chompStart = lines.length;
      for (let i = lines.length - 1; i >= 0; --i) {
        const content = lines[i][1];
        if (content === "" || content === "\r")
          chompStart = i;
        else
          break;
      }
      if (chompStart === 0) {
        const value2 = header.chomp === "+" && lines.length > 0 ? "\n".repeat(Math.max(1, lines.length - 1)) : "";
        let end2 = start + header.length;
        if (scalar.source)
          end2 += scalar.source.length;
        return { value: value2, type, comment: header.comment, range: [start, end2, end2] };
      }
      let trimIndent = scalar.indent + header.indent;
      let offset = scalar.offset + header.length;
      let contentStart = 0;
      for (let i = 0; i < chompStart; ++i) {
        const [indent, content] = lines[i];
        if (content === "" || content === "\r") {
          if (header.indent === 0 && indent.length > trimIndent)
            trimIndent = indent.length;
        } else {
          if (indent.length < trimIndent) {
            const message = "Block scalars with more-indented leading empty lines must use an explicit indentation indicator";
            onError(offset + indent.length, "MISSING_CHAR", message);
          }
          if (header.indent === 0)
            trimIndent = indent.length;
          contentStart = i;
          break;
        }
        offset += indent.length + content.length + 1;
      }
      for (let i = lines.length - 1; i >= chompStart; --i) {
        if (lines[i][0].length > trimIndent)
          chompStart = i + 1;
      }
      let value = "";
      let sep = "";
      let prevMoreIndented = false;
      for (let i = 0; i < contentStart; ++i)
        value += lines[i][0].slice(trimIndent) + "\n";
      for (let i = contentStart; i < chompStart; ++i) {
        let [indent, content] = lines[i];
        offset += indent.length + content.length + 1;
        const crlf = content[content.length - 1] === "\r";
        if (crlf)
          content = content.slice(0, -1);
        if (content && indent.length < trimIndent) {
          const src = header.indent ? "explicit indentation indicator" : "first line";
          const message = `Block scalar lines must not be less indented than their ${src}`;
          onError(offset - content.length - (crlf ? 2 : 1), "BAD_INDENT", message);
          indent = "";
        }
        if (type === Scalar.Scalar.BLOCK_LITERAL) {
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
        } else if (indent.length > trimIndent || content[0] === "	") {
          if (sep === " ")
            sep = "\n";
          else if (!prevMoreIndented && sep === "\n")
            sep = "\n\n";
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
          prevMoreIndented = true;
        } else if (content === "") {
          if (sep === "\n")
            value += "\n";
          else
            sep = "\n";
        } else {
          value += sep + content;
          sep = " ";
          prevMoreIndented = false;
        }
      }
      switch (header.chomp) {
        case "-":
          break;
        case "+":
          for (let i = chompStart; i < lines.length; ++i)
            value += "\n" + lines[i][0].slice(trimIndent);
          if (value[value.length - 1] !== "\n")
            value += "\n";
          break;
        default:
          value += "\n";
      }
      const end = start + header.length + scalar.source.length;
      return { value, type, comment: header.comment, range: [start, end, end] };
    }
    function parseBlockScalarHeader({ offset, props }, strict, onError) {
      if (props[0].type !== "block-scalar-header") {
        onError(props[0], "IMPOSSIBLE", "Block scalar header not found");
        return null;
      }
      const { source } = props[0];
      const mode = source[0];
      let indent = 0;
      let chomp = "";
      let error = -1;
      for (let i = 1; i < source.length; ++i) {
        const ch = source[i];
        if (!chomp && (ch === "-" || ch === "+"))
          chomp = ch;
        else {
          const n = Number(ch);
          if (!indent && n)
            indent = n;
          else if (error === -1)
            error = offset + i;
        }
      }
      if (error !== -1)
        onError(error, "UNEXPECTED_TOKEN", `Block scalar header includes extra characters: ${source}`);
      let hasSpace = false;
      let comment = "";
      let length = source.length;
      for (let i = 1; i < props.length; ++i) {
        const token = props[i];
        switch (token.type) {
          case "space":
            hasSpace = true;
          case "newline":
            length += token.source.length;
            break;
          case "comment":
            if (strict && !hasSpace) {
              const message = "Comments must be separated from other tokens by white space characters";
              onError(token, "MISSING_CHAR", message);
            }
            length += token.source.length;
            comment = token.source.substring(1);
            break;
          case "error":
            onError(token, "UNEXPECTED_TOKEN", token.message);
            length += token.source.length;
            break;
          default: {
            const message = `Unexpected token in block scalar header: ${token.type}`;
            onError(token, "UNEXPECTED_TOKEN", message);
            const ts = token.source;
            if (ts && typeof ts === "string")
              length += ts.length;
          }
        }
      }
      return { mode, indent, chomp, comment, length };
    }
    function splitLines(source) {
      const split = source.split(/\n( *)/);
      const first = split[0];
      const m = first.match(/^( *)/);
      const line0 = m?.[1] ? [m[1], first.slice(m[1].length)] : ["", first];
      const lines = [line0];
      for (let i = 1; i < split.length; i += 2)
        lines.push([split[i], split[i + 1]]);
      return lines;
    }
    exports2.resolveBlockScalar = resolveBlockScalar;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/resolve-flow-scalar.js
var require_resolve_flow_scalar = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/resolve-flow-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar();
    var resolveEnd = require_resolve_end();
    function resolveFlowScalar(scalar, strict, onError) {
      const { offset, type, source, end } = scalar;
      let _type2;
      let value;
      const _onError = (rel, code, msg) => onError(offset + rel, code, msg);
      switch (type) {
        case "scalar":
          _type2 = Scalar.Scalar.PLAIN;
          value = plainValue(source, _onError);
          break;
        case "single-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_SINGLE;
          value = singleQuotedValue(source, _onError);
          break;
        case "double-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_DOUBLE;
          value = doubleQuotedValue(source, _onError);
          break;
        default:
          onError(scalar, "UNEXPECTED_TOKEN", `Expected a flow scalar value, but found: ${type}`);
          return {
            value: "",
            type: null,
            comment: "",
            range: [offset, offset + source.length, offset + source.length]
          };
      }
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, strict, onError);
      return {
        value,
        type: _type2,
        comment: re.comment,
        range: [offset, valueEnd, re.offset]
      };
    }
    function plainValue(source, onError) {
      let badChar = "";
      switch (source[0]) {
        case "	":
          badChar = "a tab character";
          break;
        case ",":
          badChar = "flow indicator character ,";
          break;
        case "%":
          badChar = "directive indicator character %";
          break;
        case "|":
        case ">": {
          badChar = `block scalar indicator ${source[0]}`;
          break;
        }
        case "@":
        case "`": {
          badChar = `reserved character ${source[0]}`;
          break;
        }
      }
      if (badChar)
        onError(0, "BAD_SCALAR_START", `Plain value cannot start with ${badChar}`);
      return foldLines(source);
    }
    function singleQuotedValue(source, onError) {
      if (source[source.length - 1] !== "'" || source.length === 1)
        onError(source.length, "MISSING_CHAR", "Missing closing 'quote");
      return foldLines(source.slice(1, -1)).replace(/''/g, "'");
    }
    function foldLines(source) {
      let first, line;
      try {
        first = new RegExp("(.*?)(?<![ 	])[ 	]*\r?\n", "sy");
        line = new RegExp("[ 	]*(.*?)(?:(?<![ 	])[ 	]*)?\r?\n", "sy");
      } catch (_) {
        first = /(.*?)[ \t]*\r?\n/sy;
        line = /[ \t]*(.*?)[ \t]*\r?\n/sy;
      }
      let match = first.exec(source);
      if (!match)
        return source;
      let res = match[1];
      let sep = " ";
      let pos = first.lastIndex;
      line.lastIndex = pos;
      while (match = line.exec(source)) {
        if (match[1] === "") {
          if (sep === "\n")
            res += sep;
          else
            sep = "\n";
        } else {
          res += sep + match[1];
          sep = " ";
        }
        pos = line.lastIndex;
      }
      const last = /[ \t]*(.*)/sy;
      last.lastIndex = pos;
      match = last.exec(source);
      return res + sep + (match?.[1] ?? "");
    }
    function doubleQuotedValue(source, onError) {
      let res = "";
      for (let i = 1; i < source.length - 1; ++i) {
        const ch = source[i];
        if (ch === "\r" && source[i + 1] === "\n")
          continue;
        if (ch === "\n") {
          const { fold, offset } = foldNewline(source, i);
          res += fold;
          i = offset;
        } else if (ch === "\\") {
          let next = source[++i];
          const cc = escapeCodes[next];
          if (cc)
            res += cc;
          else if (next === "\n") {
            next = source[i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "\r" && source[i + 1] === "\n") {
            next = source[++i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "x" || next === "u" || next === "U") {
            const length = { x: 2, u: 4, U: 8 }[next];
            res += parseCharCode(source, i + 1, length, onError);
            i += length;
          } else {
            const raw = source.substr(i - 1, 2);
            onError(i - 1, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
            res += raw;
          }
        } else if (ch === " " || ch === "	") {
          const wsStart = i;
          let next = source[i + 1];
          while (next === " " || next === "	")
            next = source[++i + 1];
          if (next !== "\n" && !(next === "\r" && source[i + 2] === "\n"))
            res += i > wsStart ? source.slice(wsStart, i + 1) : ch;
        } else {
          res += ch;
        }
      }
      if (source[source.length - 1] !== '"' || source.length === 1)
        onError(source.length, "MISSING_CHAR", 'Missing closing "quote');
      return res;
    }
    function foldNewline(source, offset) {
      let fold = "";
      let ch = source[offset + 1];
      while (ch === " " || ch === "	" || ch === "\n" || ch === "\r") {
        if (ch === "\r" && source[offset + 2] !== "\n")
          break;
        if (ch === "\n")
          fold += "\n";
        offset += 1;
        ch = source[offset + 1];
      }
      if (!fold)
        fold = " ";
      return { fold, offset };
    }
    var escapeCodes = {
      "0": "\0",
      a: "\x07",
      b: "\b",
      e: "\x1B",
      f: "\f",
      n: "\n",
      r: "\r",
      t: "	",
      v: "\v",
      N: "\x85",
      _: "\xA0",
      L: "\u2028",
      P: "\u2029",
      " ": " ",
      '"': '"',
      "/": "/",
      "\\": "\\",
      "	": "	"
    };
    function parseCharCode(source, offset, length, onError) {
      const cc = source.substr(offset, length);
      const ok = cc.length === length && /^[0-9a-fA-F]+$/.test(cc);
      const code = ok ? parseInt(cc, 16) : NaN;
      if (isNaN(code)) {
        const raw = source.substr(offset - 2, length + 2);
        onError(offset - 2, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
        return raw;
      }
      return String.fromCodePoint(code);
    }
    exports2.resolveFlowScalar = resolveFlowScalar;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/compose-scalar.js
var require_compose_scalar = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/compose-scalar.js"(exports2) {
    "use strict";
    var identity = require_identity();
    var Scalar = require_Scalar();
    var resolveBlockScalar = require_resolve_block_scalar();
    var resolveFlowScalar = require_resolve_flow_scalar();
    function composeScalar(ctx, token, tagToken, onError) {
      const { value, type, comment, range } = token.type === "block-scalar" ? resolveBlockScalar.resolveBlockScalar(token, ctx.options.strict, onError) : resolveFlowScalar.resolveFlowScalar(token, ctx.options.strict, onError);
      const tagName = tagToken ? ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg)) : null;
      const tag = tagToken && tagName ? findScalarTagByName(ctx.schema, value, tagName, tagToken, onError) : token.type === "scalar" ? findScalarTagByTest(ctx, value, token, onError) : ctx.schema[identity.SCALAR];
      let scalar;
      try {
        const res = tag.resolve(value, (msg) => onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg), ctx.options);
        scalar = identity.isScalar(res) ? res : new Scalar.Scalar(res);
      } catch (error) {
        const msg = error instanceof Error ? error.message : String(error);
        onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg);
        scalar = new Scalar.Scalar(value);
      }
      scalar.range = range;
      scalar.source = value;
      if (type)
        scalar.type = type;
      if (tagName)
        scalar.tag = tagName;
      if (tag.format)
        scalar.format = tag.format;
      if (comment)
        scalar.comment = comment;
      return scalar;
    }
    function findScalarTagByName(schema, value, tagName, tagToken, onError) {
      if (tagName === "!")
        return schema[identity.SCALAR];
      const matchWithTest = [];
      for (const tag of schema.tags) {
        if (!tag.collection && tag.tag === tagName) {
          if (tag.default && tag.test)
            matchWithTest.push(tag);
          else
            return tag;
        }
      }
      for (const tag of matchWithTest)
        if (tag.test?.test(value))
          return tag;
      const kt = schema.knownTags[tagName];
      if (kt && !kt.collection) {
        schema.tags.push(Object.assign({}, kt, { default: false, test: void 0 }));
        return kt;
      }
      onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, tagName !== "tag:yaml.org,2002:str");
      return schema[identity.SCALAR];
    }
    function findScalarTagByTest({ directives, schema }, value, token, onError) {
      const tag = schema.tags.find((tag2) => tag2.default && tag2.test?.test(value)) || schema[identity.SCALAR];
      if (schema.compat) {
        const compat = schema.compat.find((tag2) => tag2.default && tag2.test?.test(value)) ?? schema[identity.SCALAR];
        if (tag.tag !== compat.tag) {
          const ts = directives.tagString(tag.tag);
          const cs = directives.tagString(compat.tag);
          const msg = `Value may be parsed as either ${ts} or ${cs}`;
          onError(token, "TAG_RESOLVE_FAILED", msg, true);
        }
      }
      return tag;
    }
    exports2.composeScalar = composeScalar;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/util-empty-scalar-position.js
var require_util_empty_scalar_position = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/util-empty-scalar-position.js"(exports2) {
    "use strict";
    function emptyScalarPosition(offset, before, pos) {
      if (before) {
        if (pos === null)
          pos = before.length;
        for (let i = pos - 1; i >= 0; --i) {
          let st = before[i];
          switch (st.type) {
            case "space":
            case "comment":
            case "newline":
              offset -= st.source.length;
              continue;
          }
          st = before[++i];
          while (st?.type === "space") {
            offset += st.source.length;
            st = before[++i];
          }
          break;
        }
      }
      return offset;
    }
    exports2.emptyScalarPosition = emptyScalarPosition;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/compose-node.js
var require_compose_node = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/compose-node.js"(exports2) {
    "use strict";
    var Alias = require_Alias();
    var composeCollection = require_compose_collection();
    var composeScalar = require_compose_scalar();
    var resolveEnd = require_resolve_end();
    var utilEmptyScalarPosition = require_util_empty_scalar_position();
    var CN = { composeNode, composeEmptyNode };
    function composeNode(ctx, token, props, onError) {
      const { spaceBefore, comment, anchor, tag } = props;
      let node;
      let isSrcToken = true;
      switch (token.type) {
        case "alias":
          node = composeAlias(ctx, token, onError);
          if (anchor || tag)
            onError(token, "ALIAS_PROPS", "An alias node must not specify any properties");
          break;
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "block-scalar":
          node = composeScalar.composeScalar(ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        case "block-map":
        case "block-seq":
        case "flow-collection":
          node = composeCollection.composeCollection(CN, ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        default: {
          const message = token.type === "error" ? token.message : `Unsupported token (type: ${token.type})`;
          onError(token, "UNEXPECTED_TOKEN", message);
          node = composeEmptyNode(ctx, token.offset, void 0, null, props, onError);
          isSrcToken = false;
        }
      }
      if (anchor && node.anchor === "")
        onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        if (token.type === "scalar" && token.source === "")
          node.comment = comment;
        else
          node.commentBefore = comment;
      }
      if (ctx.options.keepSourceTokens && isSrcToken)
        node.srcToken = token;
      return node;
    }
    function composeEmptyNode(ctx, offset, before, pos, { spaceBefore, comment, anchor, tag, end }, onError) {
      const token = {
        type: "scalar",
        offset: utilEmptyScalarPosition.emptyScalarPosition(offset, before, pos),
        indent: -1,
        source: ""
      };
      const node = composeScalar.composeScalar(ctx, token, tag, onError);
      if (anchor) {
        node.anchor = anchor.source.substring(1);
        if (node.anchor === "")
          onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      }
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        node.comment = comment;
        node.range[2] = end;
      }
      return node;
    }
    function composeAlias({ options }, { offset, source, end }, onError) {
      const alias = new Alias.Alias(source.substring(1));
      if (alias.source === "")
        onError(offset, "BAD_ALIAS", "Alias cannot be an empty string");
      if (alias.source.endsWith(":"))
        onError(offset + source.length - 1, "BAD_ALIAS", "Alias ending in : is ambiguous", true);
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, options.strict, onError);
      alias.range = [offset, valueEnd, re.offset];
      if (re.comment)
        alias.comment = re.comment;
      return alias;
    }
    exports2.composeEmptyNode = composeEmptyNode;
    exports2.composeNode = composeNode;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/compose-doc.js
var require_compose_doc = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/compose-doc.js"(exports2) {
    "use strict";
    var Document = require_Document();
    var composeNode = require_compose_node();
    var resolveEnd = require_resolve_end();
    var resolveProps = require_resolve_props();
    function composeDoc(options, directives, { offset, start, value, end }, onError) {
      const opts = Object.assign({ _directives: directives }, options);
      const doc = new Document.Document(void 0, opts);
      const ctx = {
        atRoot: true,
        directives: doc.directives,
        options: doc.options,
        schema: doc.schema
      };
      const props = resolveProps.resolveProps(start, {
        indicator: "doc-start",
        next: value ?? end?.[0],
        offset,
        onError,
        startOnNewline: true
      });
      if (props.found) {
        doc.directives.docStart = true;
        if (value && (value.type === "block-map" || value.type === "block-seq") && !props.hasNewline)
          onError(props.end, "MISSING_CHAR", "Block collection cannot start on same line with directives-end marker");
      }
      doc.contents = value ? composeNode.composeNode(ctx, value, props, onError) : composeNode.composeEmptyNode(ctx, props.end, start, null, props, onError);
      const contentEnd = doc.contents.range[2];
      const re = resolveEnd.resolveEnd(end, contentEnd, false, onError);
      if (re.comment)
        doc.comment = re.comment;
      doc.range = [offset, contentEnd, re.offset];
      return doc;
    }
    exports2.composeDoc = composeDoc;
  }
});

// ../../components/environments/node_modules/yaml/dist/compose/composer.js
var require_composer = __commonJS({
  "../../components/environments/node_modules/yaml/dist/compose/composer.js"(exports2) {
    "use strict";
    var directives = require_directives();
    var Document = require_Document();
    var errors = require_errors();
    var identity = require_identity();
    var composeDoc = require_compose_doc();
    var resolveEnd = require_resolve_end();
    function getErrorPos(src) {
      if (typeof src === "number")
        return [src, src + 1];
      if (Array.isArray(src))
        return src.length === 2 ? src : [src[0], src[1]];
      const { offset, source } = src;
      return [offset, offset + (typeof source === "string" ? source.length : 1)];
    }
    function parsePrelude(prelude) {
      let comment = "";
      let atComment = false;
      let afterEmptyLine = false;
      for (let i = 0; i < prelude.length; ++i) {
        const source = prelude[i];
        switch (source[0]) {
          case "#":
            comment += (comment === "" ? "" : afterEmptyLine ? "\n\n" : "\n") + (source.substring(1) || " ");
            atComment = true;
            afterEmptyLine = false;
            break;
          case "%":
            if (prelude[i + 1]?.[0] !== "#")
              i += 1;
            atComment = false;
            break;
          default:
            if (!atComment)
              afterEmptyLine = true;
            atComment = false;
        }
      }
      return { comment, afterEmptyLine };
    }
    var Composer = class {
      constructor(options = {}) {
        this.doc = null;
        this.atDirectives = false;
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
        this.onError = (source, code, message, warning) => {
          const pos = getErrorPos(source);
          if (warning)
            this.warnings.push(new errors.YAMLWarning(pos, code, message));
          else
            this.errors.push(new errors.YAMLParseError(pos, code, message));
        };
        this.directives = new directives.Directives({ version: options.version || "1.2" });
        this.options = options;
      }
      decorate(doc, afterDoc) {
        const { comment, afterEmptyLine } = parsePrelude(this.prelude);
        if (comment) {
          const dc = doc.contents;
          if (afterDoc) {
            doc.comment = doc.comment ? `${doc.comment}
${comment}` : comment;
          } else if (afterEmptyLine || doc.directives.docStart || !dc) {
            doc.commentBefore = comment;
          } else if (identity.isCollection(dc) && !dc.flow && dc.items.length > 0) {
            let it = dc.items[0];
            if (identity.isPair(it))
              it = it.key;
            const cb = it.commentBefore;
            it.commentBefore = cb ? `${comment}
${cb}` : comment;
          } else {
            const cb = dc.commentBefore;
            dc.commentBefore = cb ? `${comment}
${cb}` : comment;
          }
        }
        if (afterDoc) {
          Array.prototype.push.apply(doc.errors, this.errors);
          Array.prototype.push.apply(doc.warnings, this.warnings);
        } else {
          doc.errors = this.errors;
          doc.warnings = this.warnings;
        }
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
      }
      /**
       * Current stream status information.
       *
       * Mostly useful at the end of input for an empty stream.
       */
      streamInfo() {
        return {
          comment: parsePrelude(this.prelude).comment,
          directives: this.directives,
          errors: this.errors,
          warnings: this.warnings
        };
      }
      /**
       * Compose tokens into documents.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *compose(tokens, forceDoc = false, endOffset = -1) {
        for (const token of tokens)
          yield* this.next(token);
        yield* this.end(forceDoc, endOffset);
      }
      /** Advance the composer by one CST token. */
      *next(token) {
        if (process.env.LOG_STREAM)
          console.dir(token, { depth: null });
        switch (token.type) {
          case "directive":
            this.directives.add(token.source, (offset, message, warning) => {
              const pos = getErrorPos(token);
              pos[0] += offset;
              this.onError(pos, "BAD_DIRECTIVE", message, warning);
            });
            this.prelude.push(token.source);
            this.atDirectives = true;
            break;
          case "document": {
            const doc = composeDoc.composeDoc(this.options, this.directives, token, this.onError);
            if (this.atDirectives && !doc.directives.docStart)
              this.onError(token, "MISSING_CHAR", "Missing directives-end/doc-start indicator line");
            this.decorate(doc, false);
            if (this.doc)
              yield this.doc;
            this.doc = doc;
            this.atDirectives = false;
            break;
          }
          case "byte-order-mark":
          case "space":
            break;
          case "comment":
          case "newline":
            this.prelude.push(token.source);
            break;
          case "error": {
            const msg = token.source ? `${token.message}: ${JSON.stringify(token.source)}` : token.message;
            const error = new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg);
            if (this.atDirectives || !this.doc)
              this.errors.push(error);
            else
              this.doc.errors.push(error);
            break;
          }
          case "doc-end": {
            if (!this.doc) {
              const msg = "Unexpected doc-end without preceding document";
              this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg));
              break;
            }
            this.doc.directives.docEnd = true;
            const end = resolveEnd.resolveEnd(token.end, token.offset + token.source.length, this.doc.options.strict, this.onError);
            this.decorate(this.doc, true);
            if (end.comment) {
              const dc = this.doc.comment;
              this.doc.comment = dc ? `${dc}
${end.comment}` : end.comment;
            }
            this.doc.range[2] = end.offset;
            break;
          }
          default:
            this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", `Unsupported token ${token.type}`));
        }
      }
      /**
       * Call at end of input to yield any remaining document.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *end(forceDoc = false, endOffset = -1) {
        if (this.doc) {
          this.decorate(this.doc, true);
          yield this.doc;
          this.doc = null;
        } else if (forceDoc) {
          const opts = Object.assign({ _directives: this.directives }, this.options);
          const doc = new Document.Document(void 0, opts);
          if (this.atDirectives)
            this.onError(endOffset, "MISSING_CHAR", "Missing directives-end indicator line");
          doc.range = [0, endOffset, endOffset];
          this.decorate(doc, false);
          yield doc;
        }
      }
    };
    exports2.Composer = Composer;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/cst-scalar.js
var require_cst_scalar = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/cst-scalar.js"(exports2) {
    "use strict";
    var resolveBlockScalar = require_resolve_block_scalar();
    var resolveFlowScalar = require_resolve_flow_scalar();
    var errors = require_errors();
    var stringifyString = require_stringifyString();
    function resolveAsScalar(token, strict = true, onError) {
      if (token) {
        const _onError = (pos, code, message) => {
          const offset = typeof pos === "number" ? pos : Array.isArray(pos) ? pos[0] : pos.offset;
          if (onError)
            onError(offset, code, message);
          else
            throw new errors.YAMLParseError([offset, offset + 1], code, message);
        };
        switch (token.type) {
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return resolveFlowScalar.resolveFlowScalar(token, strict, _onError);
          case "block-scalar":
            return resolveBlockScalar.resolveBlockScalar(token, strict, _onError);
        }
      }
      return null;
    }
    function createScalarToken(value, context) {
      const { implicitKey = false, indent, inFlow = false, offset = -1, type = "PLAIN" } = context;
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey,
        indent: indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      const end = context.end ?? [
        { type: "newline", offset: -1, indent, source: "\n" }
      ];
      switch (source[0]) {
        case "|":
        case ">": {
          const he = source.indexOf("\n");
          const head = source.substring(0, he);
          const body = source.substring(he + 1) + "\n";
          const props = [
            { type: "block-scalar-header", offset, indent, source: head }
          ];
          if (!addEndtoBlockProps(props, end))
            props.push({ type: "newline", offset: -1, indent, source: "\n" });
          return { type: "block-scalar", offset, indent, props, source: body };
        }
        case '"':
          return { type: "double-quoted-scalar", offset, indent, source, end };
        case "'":
          return { type: "single-quoted-scalar", offset, indent, source, end };
        default:
          return { type: "scalar", offset, indent, source, end };
      }
    }
    function setScalarValue(token, value, context = {}) {
      let { afterKey = false, implicitKey = false, inFlow = false, type } = context;
      let indent = "indent" in token ? token.indent : null;
      if (afterKey && typeof indent === "number")
        indent += 2;
      if (!type)
        switch (token.type) {
          case "single-quoted-scalar":
            type = "QUOTE_SINGLE";
            break;
          case "double-quoted-scalar":
            type = "QUOTE_DOUBLE";
            break;
          case "block-scalar": {
            const header = token.props[0];
            if (header.type !== "block-scalar-header")
              throw new Error("Invalid block scalar header");
            type = header.source[0] === ">" ? "BLOCK_FOLDED" : "BLOCK_LITERAL";
            break;
          }
          default:
            type = "PLAIN";
        }
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey: implicitKey || indent === null,
        indent: indent !== null && indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      switch (source[0]) {
        case "|":
        case ">":
          setBlockScalarValue(token, source);
          break;
        case '"':
          setFlowScalarValue(token, source, "double-quoted-scalar");
          break;
        case "'":
          setFlowScalarValue(token, source, "single-quoted-scalar");
          break;
        default:
          setFlowScalarValue(token, source, "scalar");
      }
    }
    function setBlockScalarValue(token, source) {
      const he = source.indexOf("\n");
      const head = source.substring(0, he);
      const body = source.substring(he + 1) + "\n";
      if (token.type === "block-scalar") {
        const header = token.props[0];
        if (header.type !== "block-scalar-header")
          throw new Error("Invalid block scalar header");
        header.source = head;
        token.source = body;
      } else {
        const { offset } = token;
        const indent = "indent" in token ? token.indent : -1;
        const props = [
          { type: "block-scalar-header", offset, indent, source: head }
        ];
        if (!addEndtoBlockProps(props, "end" in token ? token.end : void 0))
          props.push({ type: "newline", offset: -1, indent, source: "\n" });
        for (const key of Object.keys(token))
          if (key !== "type" && key !== "offset")
            delete token[key];
        Object.assign(token, { type: "block-scalar", indent, props, source: body });
      }
    }
    function addEndtoBlockProps(props, end) {
      if (end)
        for (const st of end)
          switch (st.type) {
            case "space":
            case "comment":
              props.push(st);
              break;
            case "newline":
              props.push(st);
              return true;
          }
      return false;
    }
    function setFlowScalarValue(token, source, type) {
      switch (token.type) {
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          token.type = type;
          token.source = source;
          break;
        case "block-scalar": {
          const end = token.props.slice(1);
          let oa = source.length;
          if (token.props[0].type === "block-scalar-header")
            oa -= token.props[0].source.length;
          for (const tok of end)
            tok.offset += oa;
          delete token.props;
          Object.assign(token, { type, source, end });
          break;
        }
        case "block-map":
        case "block-seq": {
          const offset = token.offset + source.length;
          const nl = { type: "newline", offset, indent: token.indent, source: "\n" };
          delete token.items;
          Object.assign(token, { type, source, end: [nl] });
          break;
        }
        default: {
          const indent = "indent" in token ? token.indent : -1;
          const end = "end" in token && Array.isArray(token.end) ? token.end.filter((st) => st.type === "space" || st.type === "comment" || st.type === "newline") : [];
          for (const key of Object.keys(token))
            if (key !== "type" && key !== "offset")
              delete token[key];
          Object.assign(token, { type, indent, source, end });
        }
      }
    }
    exports2.createScalarToken = createScalarToken;
    exports2.resolveAsScalar = resolveAsScalar;
    exports2.setScalarValue = setScalarValue;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/cst-stringify.js
var require_cst_stringify = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/cst-stringify.js"(exports2) {
    "use strict";
    var stringify = (cst) => "type" in cst ? stringifyToken(cst) : stringifyItem(cst);
    function stringifyToken(token) {
      switch (token.type) {
        case "block-scalar": {
          let res = "";
          for (const tok of token.props)
            res += stringifyToken(tok);
          return res + token.source;
        }
        case "block-map":
        case "block-seq": {
          let res = "";
          for (const item of token.items)
            res += stringifyItem(item);
          return res;
        }
        case "flow-collection": {
          let res = token.start.source;
          for (const item of token.items)
            res += stringifyItem(item);
          for (const st of token.end)
            res += st.source;
          return res;
        }
        case "document": {
          let res = stringifyItem(token);
          if (token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
        default: {
          let res = token.source;
          if ("end" in token && token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
      }
    }
    function stringifyItem({ start, key, sep, value }) {
      let res = "";
      for (const st of start)
        res += st.source;
      if (key)
        res += stringifyToken(key);
      if (sep)
        for (const st of sep)
          res += st.source;
      if (value)
        res += stringifyToken(value);
      return res;
    }
    exports2.stringify = stringify;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/cst-visit.js
var require_cst_visit = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/cst-visit.js"(exports2) {
    "use strict";
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove item");
    function visit(cst, visitor) {
      if ("type" in cst && cst.type === "document")
        cst = { start: cst.start, value: cst.value };
      _visit(Object.freeze([]), cst, visitor);
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    visit.itemAtPath = (cst, path) => {
      let item = cst;
      for (const [field, index] of path) {
        const tok = item?.[field];
        if (tok && "items" in tok) {
          item = tok.items[index];
        } else
          return void 0;
      }
      return item;
    };
    visit.parentCollection = (cst, path) => {
      const parent = visit.itemAtPath(cst, path.slice(0, -1));
      const field = path[path.length - 1][0];
      const coll = parent?.[field];
      if (coll && "items" in coll)
        return coll;
      throw new Error("Parent collection not found");
    };
    function _visit(path, item, visitor) {
      let ctrl = visitor(item, path);
      if (typeof ctrl === "symbol")
        return ctrl;
      for (const field of ["key", "value"]) {
        const token = item[field];
        if (token && "items" in token) {
          for (let i = 0; i < token.items.length; ++i) {
            const ci = _visit(Object.freeze(path.concat([[field, i]])), token.items[i], visitor);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              token.items.splice(i, 1);
              i -= 1;
            }
          }
          if (typeof ctrl === "function" && field === "key")
            ctrl = ctrl(item, path);
        }
      }
      return typeof ctrl === "function" ? ctrl(item, path) : ctrl;
    }
    exports2.visit = visit;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/cst.js
var require_cst = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/cst.js"(exports2) {
    "use strict";
    var cstScalar = require_cst_scalar();
    var cstStringify = require_cst_stringify();
    var cstVisit = require_cst_visit();
    var BOM = "\uFEFF";
    var DOCUMENT = "";
    var FLOW_END = "";
    var SCALAR = "";
    var isCollection = (token) => !!token && "items" in token;
    var isScalar = (token) => !!token && (token.type === "scalar" || token.type === "single-quoted-scalar" || token.type === "double-quoted-scalar" || token.type === "block-scalar");
    function prettyToken(token) {
      switch (token) {
        case BOM:
          return "<BOM>";
        case DOCUMENT:
          return "<DOC>";
        case FLOW_END:
          return "<FLOW_END>";
        case SCALAR:
          return "<SCALAR>";
        default:
          return JSON.stringify(token);
      }
    }
    function tokenType(source) {
      switch (source) {
        case BOM:
          return "byte-order-mark";
        case DOCUMENT:
          return "doc-mode";
        case FLOW_END:
          return "flow-error-end";
        case SCALAR:
          return "scalar";
        case "---":
          return "doc-start";
        case "...":
          return "doc-end";
        case "":
        case "\n":
        case "\r\n":
          return "newline";
        case "-":
          return "seq-item-ind";
        case "?":
          return "explicit-key-ind";
        case ":":
          return "map-value-ind";
        case "{":
          return "flow-map-start";
        case "}":
          return "flow-map-end";
        case "[":
          return "flow-seq-start";
        case "]":
          return "flow-seq-end";
        case ",":
          return "comma";
      }
      switch (source[0]) {
        case " ":
        case "	":
          return "space";
        case "#":
          return "comment";
        case "%":
          return "directive-line";
        case "*":
          return "alias";
        case "&":
          return "anchor";
        case "!":
          return "tag";
        case "'":
          return "single-quoted-scalar";
        case '"':
          return "double-quoted-scalar";
        case "|":
        case ">":
          return "block-scalar-header";
      }
      return null;
    }
    exports2.createScalarToken = cstScalar.createScalarToken;
    exports2.resolveAsScalar = cstScalar.resolveAsScalar;
    exports2.setScalarValue = cstScalar.setScalarValue;
    exports2.stringify = cstStringify.stringify;
    exports2.visit = cstVisit.visit;
    exports2.BOM = BOM;
    exports2.DOCUMENT = DOCUMENT;
    exports2.FLOW_END = FLOW_END;
    exports2.SCALAR = SCALAR;
    exports2.isCollection = isCollection;
    exports2.isScalar = isScalar;
    exports2.prettyToken = prettyToken;
    exports2.tokenType = tokenType;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/lexer.js
var require_lexer = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/lexer.js"(exports2) {
    "use strict";
    var cst = require_cst();
    function isEmpty(ch) {
      switch (ch) {
        case void 0:
        case " ":
        case "\n":
        case "\r":
        case "	":
          return true;
        default:
          return false;
      }
    }
    var hexDigits = "0123456789ABCDEFabcdef".split("");
    var tagChars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz-#;/?:@&=+$_.!~*'()".split("");
    var invalidFlowScalarChars = ",[]{}".split("");
    var invalidAnchorChars = " ,[]{}\n\r	".split("");
    var isNotAnchorChar = (ch) => !ch || invalidAnchorChars.includes(ch);
    var Lexer = class {
      constructor() {
        this.atEnd = false;
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        this.buffer = "";
        this.flowKey = false;
        this.flowLevel = 0;
        this.indentNext = 0;
        this.indentValue = 0;
        this.lineEndPos = null;
        this.next = null;
        this.pos = 0;
      }
      /**
       * Generate YAML tokens from the `source` string. If `incomplete`,
       * a part of the last line may be left as a buffer for the next call.
       *
       * @returns A generator of lexical tokens
       */
      *lex(source, incomplete = false) {
        if (source) {
          this.buffer = this.buffer ? this.buffer + source : source;
          this.lineEndPos = null;
        }
        this.atEnd = !incomplete;
        let next = this.next ?? "stream";
        while (next && (incomplete || this.hasChars(1)))
          next = yield* this.parseNext(next);
      }
      atLineEnd() {
        let i = this.pos;
        let ch = this.buffer[i];
        while (ch === " " || ch === "	")
          ch = this.buffer[++i];
        if (!ch || ch === "#" || ch === "\n")
          return true;
        if (ch === "\r")
          return this.buffer[i + 1] === "\n";
        return false;
      }
      charAt(n) {
        return this.buffer[this.pos + n];
      }
      continueScalar(offset) {
        let ch = this.buffer[offset];
        if (this.indentNext > 0) {
          let indent = 0;
          while (ch === " ")
            ch = this.buffer[++indent + offset];
          if (ch === "\r") {
            const next = this.buffer[indent + offset + 1];
            if (next === "\n" || !next && !this.atEnd)
              return offset + indent + 1;
          }
          return ch === "\n" || indent >= this.indentNext || !ch && !this.atEnd ? offset + indent : -1;
        }
        if (ch === "-" || ch === ".") {
          const dt = this.buffer.substr(offset, 3);
          if ((dt === "---" || dt === "...") && isEmpty(this.buffer[offset + 3]))
            return -1;
        }
        return offset;
      }
      getLine() {
        let end = this.lineEndPos;
        if (typeof end !== "number" || end !== -1 && end < this.pos) {
          end = this.buffer.indexOf("\n", this.pos);
          this.lineEndPos = end;
        }
        if (end === -1)
          return this.atEnd ? this.buffer.substring(this.pos) : null;
        if (this.buffer[end - 1] === "\r")
          end -= 1;
        return this.buffer.substring(this.pos, end);
      }
      hasChars(n) {
        return this.pos + n <= this.buffer.length;
      }
      setNext(state) {
        this.buffer = this.buffer.substring(this.pos);
        this.pos = 0;
        this.lineEndPos = null;
        this.next = state;
        return null;
      }
      peek(n) {
        return this.buffer.substr(this.pos, n);
      }
      *parseNext(next) {
        switch (next) {
          case "stream":
            return yield* this.parseStream();
          case "line-start":
            return yield* this.parseLineStart();
          case "block-start":
            return yield* this.parseBlockStart();
          case "doc":
            return yield* this.parseDocument();
          case "flow":
            return yield* this.parseFlowCollection();
          case "quoted-scalar":
            return yield* this.parseQuotedScalar();
          case "block-scalar":
            return yield* this.parseBlockScalar();
          case "plain-scalar":
            return yield* this.parsePlainScalar();
        }
      }
      *parseStream() {
        let line = this.getLine();
        if (line === null)
          return this.setNext("stream");
        if (line[0] === cst.BOM) {
          yield* this.pushCount(1);
          line = line.substring(1);
        }
        if (line[0] === "%") {
          let dirEnd = line.length;
          const cs = line.indexOf("#");
          if (cs !== -1) {
            const ch = line[cs - 1];
            if (ch === " " || ch === "	")
              dirEnd = cs - 1;
          }
          while (true) {
            const ch = line[dirEnd - 1];
            if (ch === " " || ch === "	")
              dirEnd -= 1;
            else
              break;
          }
          const n = (yield* this.pushCount(dirEnd)) + (yield* this.pushSpaces(true));
          yield* this.pushCount(line.length - n);
          this.pushNewline();
          return "stream";
        }
        if (this.atLineEnd()) {
          const sp = yield* this.pushSpaces(true);
          yield* this.pushCount(line.length - sp);
          yield* this.pushNewline();
          return "stream";
        }
        yield cst.DOCUMENT;
        return yield* this.parseLineStart();
      }
      *parseLineStart() {
        const ch = this.charAt(0);
        if (!ch && !this.atEnd)
          return this.setNext("line-start");
        if (ch === "-" || ch === ".") {
          if (!this.atEnd && !this.hasChars(4))
            return this.setNext("line-start");
          const s = this.peek(3);
          if (s === "---" && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            this.indentValue = 0;
            this.indentNext = 0;
            return "doc";
          } else if (s === "..." && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            return "stream";
          }
        }
        this.indentValue = yield* this.pushSpaces(false);
        if (this.indentNext > this.indentValue && !isEmpty(this.charAt(1)))
          this.indentNext = this.indentValue;
        return yield* this.parseBlockStart();
      }
      *parseBlockStart() {
        const [ch0, ch1] = this.peek(2);
        if (!ch1 && !this.atEnd)
          return this.setNext("block-start");
        if ((ch0 === "-" || ch0 === "?" || ch0 === ":") && isEmpty(ch1)) {
          const n = (yield* this.pushCount(1)) + (yield* this.pushSpaces(true));
          this.indentNext = this.indentValue + 1;
          this.indentValue += n;
          return yield* this.parseBlockStart();
        }
        return "doc";
      }
      *parseDocument() {
        yield* this.pushSpaces(true);
        const line = this.getLine();
        if (line === null)
          return this.setNext("doc");
        let n = yield* this.pushIndicators();
        switch (line[n]) {
          case "#":
            yield* this.pushCount(line.length - n);
          case void 0:
            yield* this.pushNewline();
            return yield* this.parseLineStart();
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel = 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            return "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "doc";
          case '"':
          case "'":
            return yield* this.parseQuotedScalar();
          case "|":
          case ">":
            n += yield* this.parseBlockScalarHeader();
            n += yield* this.pushSpaces(true);
            yield* this.pushCount(line.length - n);
            yield* this.pushNewline();
            return yield* this.parseBlockScalar();
          default:
            return yield* this.parsePlainScalar();
        }
      }
      *parseFlowCollection() {
        let nl, sp;
        let indent = -1;
        do {
          nl = yield* this.pushNewline();
          if (nl > 0) {
            sp = yield* this.pushSpaces(false);
            this.indentValue = indent = sp;
          } else {
            sp = 0;
          }
          sp += yield* this.pushSpaces(true);
        } while (nl + sp > 0);
        const line = this.getLine();
        if (line === null)
          return this.setNext("flow");
        if (indent !== -1 && indent < this.indentNext && line[0] !== "#" || indent === 0 && (line.startsWith("---") || line.startsWith("...")) && isEmpty(line[3])) {
          const atFlowEndMarker = indent === this.indentNext - 1 && this.flowLevel === 1 && (line[0] === "]" || line[0] === "}");
          if (!atFlowEndMarker) {
            this.flowLevel = 0;
            yield cst.FLOW_END;
            return yield* this.parseLineStart();
          }
        }
        let n = 0;
        while (line[n] === ",") {
          n += yield* this.pushCount(1);
          n += yield* this.pushSpaces(true);
          this.flowKey = false;
        }
        n += yield* this.pushIndicators();
        switch (line[n]) {
          case void 0:
            return "flow";
          case "#":
            yield* this.pushCount(line.length - n);
            return "flow";
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel += 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            this.flowKey = true;
            this.flowLevel -= 1;
            return this.flowLevel ? "flow" : "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "flow";
          case '"':
          case "'":
            this.flowKey = true;
            return yield* this.parseQuotedScalar();
          case ":": {
            const next = this.charAt(1);
            if (this.flowKey || isEmpty(next) || next === ",") {
              this.flowKey = false;
              yield* this.pushCount(1);
              yield* this.pushSpaces(true);
              return "flow";
            }
          }
          default:
            this.flowKey = false;
            return yield* this.parsePlainScalar();
        }
      }
      *parseQuotedScalar() {
        const quote = this.charAt(0);
        let end = this.buffer.indexOf(quote, this.pos + 1);
        if (quote === "'") {
          while (end !== -1 && this.buffer[end + 1] === "'")
            end = this.buffer.indexOf("'", end + 2);
        } else {
          while (end !== -1) {
            let n = 0;
            while (this.buffer[end - 1 - n] === "\\")
              n += 1;
            if (n % 2 === 0)
              break;
            end = this.buffer.indexOf('"', end + 1);
          }
        }
        const qb = this.buffer.substring(0, end);
        let nl = qb.indexOf("\n", this.pos);
        if (nl !== -1) {
          while (nl !== -1) {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = qb.indexOf("\n", cs);
          }
          if (nl !== -1) {
            end = nl - (qb[nl - 1] === "\r" ? 2 : 1);
          }
        }
        if (end === -1) {
          if (!this.atEnd)
            return this.setNext("quoted-scalar");
          end = this.buffer.length;
        }
        yield* this.pushToIndex(end + 1, false);
        return this.flowLevel ? "flow" : "doc";
      }
      *parseBlockScalarHeader() {
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        let i = this.pos;
        while (true) {
          const ch = this.buffer[++i];
          if (ch === "+")
            this.blockScalarKeep = true;
          else if (ch > "0" && ch <= "9")
            this.blockScalarIndent = Number(ch) - 1;
          else if (ch !== "-")
            break;
        }
        return yield* this.pushUntil((ch) => isEmpty(ch) || ch === "#");
      }
      *parseBlockScalar() {
        let nl = this.pos - 1;
        let indent = 0;
        let ch;
        loop:
          for (let i = this.pos; ch = this.buffer[i]; ++i) {
            switch (ch) {
              case " ":
                indent += 1;
                break;
              case "\n":
                nl = i;
                indent = 0;
                break;
              case "\r": {
                const next = this.buffer[i + 1];
                if (!next && !this.atEnd)
                  return this.setNext("block-scalar");
                if (next === "\n")
                  break;
              }
              default:
                break loop;
            }
          }
        if (!ch && !this.atEnd)
          return this.setNext("block-scalar");
        if (indent >= this.indentNext) {
          if (this.blockScalarIndent === -1)
            this.indentNext = indent;
          else
            this.indentNext += this.blockScalarIndent;
          do {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = this.buffer.indexOf("\n", cs);
          } while (nl !== -1);
          if (nl === -1) {
            if (!this.atEnd)
              return this.setNext("block-scalar");
            nl = this.buffer.length;
          }
        }
        if (!this.blockScalarKeep) {
          do {
            let i = nl - 1;
            let ch2 = this.buffer[i];
            if (ch2 === "\r")
              ch2 = this.buffer[--i];
            const lastChar = i;
            while (ch2 === " " || ch2 === "	")
              ch2 = this.buffer[--i];
            if (ch2 === "\n" && i >= this.pos && i + 1 + indent > lastChar)
              nl = i;
            else
              break;
          } while (true);
        }
        yield cst.SCALAR;
        yield* this.pushToIndex(nl + 1, true);
        return yield* this.parseLineStart();
      }
      *parsePlainScalar() {
        const inFlow = this.flowLevel > 0;
        let end = this.pos - 1;
        let i = this.pos - 1;
        let ch;
        while (ch = this.buffer[++i]) {
          if (ch === ":") {
            const next = this.buffer[i + 1];
            if (isEmpty(next) || inFlow && next === ",")
              break;
            end = i;
          } else if (isEmpty(ch)) {
            let next = this.buffer[i + 1];
            if (ch === "\r") {
              if (next === "\n") {
                i += 1;
                ch = "\n";
                next = this.buffer[i + 1];
              } else
                end = i;
            }
            if (next === "#" || inFlow && invalidFlowScalarChars.includes(next))
              break;
            if (ch === "\n") {
              const cs = this.continueScalar(i + 1);
              if (cs === -1)
                break;
              i = Math.max(i, cs - 2);
            }
          } else {
            if (inFlow && invalidFlowScalarChars.includes(ch))
              break;
            end = i;
          }
        }
        if (!ch && !this.atEnd)
          return this.setNext("plain-scalar");
        yield cst.SCALAR;
        yield* this.pushToIndex(end + 1, true);
        return inFlow ? "flow" : "doc";
      }
      *pushCount(n) {
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos += n;
          return n;
        }
        return 0;
      }
      *pushToIndex(i, allowEmpty) {
        const s = this.buffer.slice(this.pos, i);
        if (s) {
          yield s;
          this.pos += s.length;
          return s.length;
        } else if (allowEmpty)
          yield "";
        return 0;
      }
      *pushIndicators() {
        switch (this.charAt(0)) {
          case "!":
            return (yield* this.pushTag()) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "&":
            return (yield* this.pushUntil(isNotAnchorChar)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "-":
          case "?":
          case ":": {
            const inFlow = this.flowLevel > 0;
            const ch1 = this.charAt(1);
            if (isEmpty(ch1) || inFlow && invalidFlowScalarChars.includes(ch1)) {
              if (!inFlow)
                this.indentNext = this.indentValue + 1;
              else if (this.flowKey)
                this.flowKey = false;
              return (yield* this.pushCount(1)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
            }
          }
        }
        return 0;
      }
      *pushTag() {
        if (this.charAt(1) === "<") {
          let i = this.pos + 2;
          let ch = this.buffer[i];
          while (!isEmpty(ch) && ch !== ">")
            ch = this.buffer[++i];
          return yield* this.pushToIndex(ch === ">" ? i + 1 : i, false);
        } else {
          let i = this.pos + 1;
          let ch = this.buffer[i];
          while (ch) {
            if (tagChars.includes(ch))
              ch = this.buffer[++i];
            else if (ch === "%" && hexDigits.includes(this.buffer[i + 1]) && hexDigits.includes(this.buffer[i + 2])) {
              ch = this.buffer[i += 3];
            } else
              break;
          }
          return yield* this.pushToIndex(i, false);
        }
      }
      *pushNewline() {
        const ch = this.buffer[this.pos];
        if (ch === "\n")
          return yield* this.pushCount(1);
        else if (ch === "\r" && this.charAt(1) === "\n")
          return yield* this.pushCount(2);
        else
          return 0;
      }
      *pushSpaces(allowTabs) {
        let i = this.pos - 1;
        let ch;
        do {
          ch = this.buffer[++i];
        } while (ch === " " || allowTabs && ch === "	");
        const n = i - this.pos;
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos = i;
        }
        return n;
      }
      *pushUntil(test) {
        let i = this.pos;
        let ch = this.buffer[i];
        while (!test(ch))
          ch = this.buffer[++i];
        return yield* this.pushToIndex(i, false);
      }
    };
    exports2.Lexer = Lexer;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/line-counter.js
var require_line_counter = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/line-counter.js"(exports2) {
    "use strict";
    var LineCounter = class {
      constructor() {
        this.lineStarts = [];
        this.addNewLine = (offset) => this.lineStarts.push(offset);
        this.linePos = (offset) => {
          let low = 0;
          let high = this.lineStarts.length;
          while (low < high) {
            const mid = low + high >> 1;
            if (this.lineStarts[mid] < offset)
              low = mid + 1;
            else
              high = mid;
          }
          if (this.lineStarts[low] === offset)
            return { line: low + 1, col: 1 };
          if (low === 0)
            return { line: 0, col: offset };
          const start = this.lineStarts[low - 1];
          return { line: low, col: offset - start + 1 };
        };
      }
    };
    exports2.LineCounter = LineCounter;
  }
});

// ../../components/environments/node_modules/yaml/dist/parse/parser.js
var require_parser = __commonJS({
  "../../components/environments/node_modules/yaml/dist/parse/parser.js"(exports2) {
    "use strict";
    var cst = require_cst();
    var lexer = require_lexer();
    function includesToken(list, type) {
      for (let i = 0; i < list.length; ++i)
        if (list[i].type === type)
          return true;
      return false;
    }
    function findNonEmptyIndex(list) {
      for (let i = 0; i < list.length; ++i) {
        switch (list[i].type) {
          case "space":
          case "comment":
          case "newline":
            break;
          default:
            return i;
        }
      }
      return -1;
    }
    function isFlowToken(token) {
      switch (token?.type) {
        case "alias":
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "flow-collection":
          return true;
        default:
          return false;
      }
    }
    function getPrevProps(parent) {
      switch (parent.type) {
        case "document":
          return parent.start;
        case "block-map": {
          const it = parent.items[parent.items.length - 1];
          return it.sep ?? it.start;
        }
        case "block-seq":
          return parent.items[parent.items.length - 1].start;
        default:
          return [];
      }
    }
    function getFirstKeyStartProps(prev) {
      if (prev.length === 0)
        return [];
      let i = prev.length;
      loop:
        while (--i >= 0) {
          switch (prev[i].type) {
            case "doc-start":
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
            case "newline":
              break loop;
          }
        }
      while (prev[++i]?.type === "space") {
      }
      return prev.splice(i, prev.length);
    }
    function fixFlowSeqItems(fc) {
      if (fc.start.type === "flow-seq-start") {
        for (const it of fc.items) {
          if (it.sep && !it.value && !includesToken(it.start, "explicit-key-ind") && !includesToken(it.sep, "map-value-ind")) {
            if (it.key)
              it.value = it.key;
            delete it.key;
            if (isFlowToken(it.value)) {
              if (it.value.end)
                Array.prototype.push.apply(it.value.end, it.sep);
              else
                it.value.end = it.sep;
            } else
              Array.prototype.push.apply(it.start, it.sep);
            delete it.sep;
          }
        }
      }
    }
    var Parser = class {
      /**
       * @param onNewLine - If defined, called separately with the start position of
       *   each new line (in `parse()`, including the start of input).
       */
      constructor(onNewLine) {
        this.atNewLine = true;
        this.atScalar = false;
        this.indent = 0;
        this.offset = 0;
        this.onKeyLine = false;
        this.stack = [];
        this.source = "";
        this.type = "";
        this.lexer = new lexer.Lexer();
        this.onNewLine = onNewLine;
      }
      /**
       * Parse `source` as a YAML stream.
       * If `incomplete`, a part of the last line may be left as a buffer for the next call.
       *
       * Errors are not thrown, but yielded as `{ type: 'error', message }` tokens.
       *
       * @returns A generator of tokens representing each directive, document, and other structure.
       */
      *parse(source, incomplete = false) {
        if (this.onNewLine && this.offset === 0)
          this.onNewLine(0);
        for (const lexeme of this.lexer.lex(source, incomplete))
          yield* this.next(lexeme);
        if (!incomplete)
          yield* this.end();
      }
      /**
       * Advance the parser by the `source` of one lexical token.
       */
      *next(source) {
        this.source = source;
        if (process.env.LOG_TOKENS)
          console.log("|", cst.prettyToken(source));
        if (this.atScalar) {
          this.atScalar = false;
          yield* this.step();
          this.offset += source.length;
          return;
        }
        const type = cst.tokenType(source);
        if (!type) {
          const message = `Not a YAML token: ${source}`;
          yield* this.pop({ type: "error", offset: this.offset, message, source });
          this.offset += source.length;
        } else if (type === "scalar") {
          this.atNewLine = false;
          this.atScalar = true;
          this.type = "scalar";
        } else {
          this.type = type;
          yield* this.step();
          switch (type) {
            case "newline":
              this.atNewLine = true;
              this.indent = 0;
              if (this.onNewLine)
                this.onNewLine(this.offset + source.length);
              break;
            case "space":
              if (this.atNewLine && source[0] === " ")
                this.indent += source.length;
              break;
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
              if (this.atNewLine)
                this.indent += source.length;
              break;
            case "doc-mode":
            case "flow-error-end":
              return;
            default:
              this.atNewLine = false;
          }
          this.offset += source.length;
        }
      }
      /** Call at end of input to push out any remaining constructions */
      *end() {
        while (this.stack.length > 0)
          yield* this.pop();
      }
      get sourceToken() {
        const st = {
          type: this.type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
        return st;
      }
      *step() {
        const top = this.peek(1);
        if (this.type === "doc-end" && (!top || top.type !== "doc-end")) {
          while (this.stack.length > 0)
            yield* this.pop();
          this.stack.push({
            type: "doc-end",
            offset: this.offset,
            source: this.source
          });
          return;
        }
        if (!top)
          return yield* this.stream();
        switch (top.type) {
          case "document":
            return yield* this.document(top);
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return yield* this.scalar(top);
          case "block-scalar":
            return yield* this.blockScalar(top);
          case "block-map":
            return yield* this.blockMap(top);
          case "block-seq":
            return yield* this.blockSequence(top);
          case "flow-collection":
            return yield* this.flowCollection(top);
          case "doc-end":
            return yield* this.documentEnd(top);
        }
        yield* this.pop();
      }
      peek(n) {
        return this.stack[this.stack.length - n];
      }
      *pop(error) {
        const token = error ?? this.stack.pop();
        if (!token) {
          const message = "Tried to pop an empty stack";
          yield { type: "error", offset: this.offset, source: "", message };
        } else if (this.stack.length === 0) {
          yield token;
        } else {
          const top = this.peek(1);
          if (token.type === "block-scalar") {
            token.indent = "indent" in top ? top.indent : 0;
          } else if (token.type === "flow-collection" && top.type === "document") {
            token.indent = 0;
          }
          if (token.type === "flow-collection")
            fixFlowSeqItems(token);
          switch (top.type) {
            case "document":
              top.value = token;
              break;
            case "block-scalar":
              top.props.push(token);
              break;
            case "block-map": {
              const it = top.items[top.items.length - 1];
              if (it.value) {
                top.items.push({ start: [], key: token, sep: [] });
                this.onKeyLine = true;
                return;
              } else if (it.sep) {
                it.value = token;
              } else {
                Object.assign(it, { key: token, sep: [] });
                this.onKeyLine = !includesToken(it.start, "explicit-key-ind");
                return;
              }
              break;
            }
            case "block-seq": {
              const it = top.items[top.items.length - 1];
              if (it.value)
                top.items.push({ start: [], value: token });
              else
                it.value = token;
              break;
            }
            case "flow-collection": {
              const it = top.items[top.items.length - 1];
              if (!it || it.value)
                top.items.push({ start: [], key: token, sep: [] });
              else if (it.sep)
                it.value = token;
              else
                Object.assign(it, { key: token, sep: [] });
              return;
            }
            default:
              yield* this.pop();
              yield* this.pop(token);
          }
          if ((top.type === "document" || top.type === "block-map" || top.type === "block-seq") && (token.type === "block-map" || token.type === "block-seq")) {
            const last = token.items[token.items.length - 1];
            if (last && !last.sep && !last.value && last.start.length > 0 && findNonEmptyIndex(last.start) === -1 && (token.indent === 0 || last.start.every((st) => st.type !== "comment" || st.indent < token.indent))) {
              if (top.type === "document")
                top.end = last.start;
              else
                top.items.push({ start: last.start });
              token.items.splice(-1, 1);
            }
          }
        }
      }
      *stream() {
        switch (this.type) {
          case "directive-line":
            yield { type: "directive", offset: this.offset, source: this.source };
            return;
          case "byte-order-mark":
          case "space":
          case "comment":
          case "newline":
            yield this.sourceToken;
            return;
          case "doc-mode":
          case "doc-start": {
            const doc = {
              type: "document",
              offset: this.offset,
              start: []
            };
            if (this.type === "doc-start")
              doc.start.push(this.sourceToken);
            this.stack.push(doc);
            return;
          }
        }
        yield {
          type: "error",
          offset: this.offset,
          message: `Unexpected ${this.type} token in YAML stream`,
          source: this.source
        };
      }
      *document(doc) {
        if (doc.value)
          return yield* this.lineEnd(doc);
        switch (this.type) {
          case "doc-start": {
            if (findNonEmptyIndex(doc.start) !== -1) {
              yield* this.pop();
              yield* this.step();
            } else
              doc.start.push(this.sourceToken);
            return;
          }
          case "anchor":
          case "tag":
          case "space":
          case "comment":
          case "newline":
            doc.start.push(this.sourceToken);
            return;
        }
        const bv = this.startBlockValue(doc);
        if (bv)
          this.stack.push(bv);
        else {
          yield {
            type: "error",
            offset: this.offset,
            message: `Unexpected ${this.type} token in YAML document`,
            source: this.source
          };
        }
      }
      *scalar(scalar) {
        if (this.type === "map-value-ind") {
          const prev = getPrevProps(this.peek(2));
          const start = getFirstKeyStartProps(prev);
          let sep;
          if (scalar.end) {
            sep = scalar.end;
            sep.push(this.sourceToken);
            delete scalar.end;
          } else
            sep = [this.sourceToken];
          const map = {
            type: "block-map",
            offset: scalar.offset,
            indent: scalar.indent,
            items: [{ start, key: scalar, sep }]
          };
          this.onKeyLine = true;
          this.stack[this.stack.length - 1] = map;
        } else
          yield* this.lineEnd(scalar);
      }
      *blockScalar(scalar) {
        switch (this.type) {
          case "space":
          case "comment":
          case "newline":
            scalar.props.push(this.sourceToken);
            return;
          case "scalar":
            scalar.source = this.source;
            this.atNewLine = true;
            this.indent = 0;
            if (this.onNewLine) {
              let nl = this.source.indexOf("\n") + 1;
              while (nl !== 0) {
                this.onNewLine(this.offset + nl);
                nl = this.source.indexOf("\n", nl) + 1;
              }
            }
            yield* this.pop();
            break;
          default:
            yield* this.pop();
            yield* this.step();
        }
      }
      *blockMap(map) {
        const it = map.items[map.items.length - 1];
        switch (this.type) {
          case "newline":
            this.onKeyLine = false;
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              it.start.push(this.sourceToken);
            }
            return;
          case "space":
          case "comment":
            if (it.value) {
              map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              if (this.atIndentedComment(it.start, map.indent)) {
                const prev = map.items[map.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  map.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
        }
        if (this.indent >= map.indent) {
          const atNextItem = !this.onKeyLine && this.indent === map.indent && it.sep;
          let start = [];
          if (atNextItem && it.sep && !it.value) {
            const nl = [];
            for (let i = 0; i < it.sep.length; ++i) {
              const st = it.sep[i];
              switch (st.type) {
                case "newline":
                  nl.push(i);
                  break;
                case "space":
                  break;
                case "comment":
                  if (st.indent > map.indent)
                    nl.length = 0;
                  break;
                default:
                  nl.length = 0;
              }
            }
            if (nl.length >= 2)
              start = it.sep.splice(nl[1]);
          }
          switch (this.type) {
            case "anchor":
            case "tag":
              if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
                this.onKeyLine = true;
              } else if (it.sep) {
                it.sep.push(this.sourceToken);
              } else {
                it.start.push(this.sourceToken);
              }
              return;
            case "explicit-key-ind":
              if (!it.sep && !includesToken(it.start, "explicit-key-ind")) {
                it.start.push(this.sourceToken);
              } else if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
              } else {
                this.stack.push({
                  type: "block-map",
                  offset: this.offset,
                  indent: this.indent,
                  items: [{ start: [this.sourceToken] }]
                });
              }
              this.onKeyLine = true;
              return;
            case "map-value-ind":
              if (includesToken(it.start, "explicit-key-ind")) {
                if (!it.sep) {
                  if (includesToken(it.start, "newline")) {
                    Object.assign(it, { key: null, sep: [this.sourceToken] });
                  } else {
                    const start2 = getFirstKeyStartProps(it.start);
                    this.stack.push({
                      type: "block-map",
                      offset: this.offset,
                      indent: this.indent,
                      items: [{ start: start2, key: null, sep: [this.sourceToken] }]
                    });
                  }
                } else if (it.value) {
                  map.items.push({ start: [], key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start, key: null, sep: [this.sourceToken] }]
                  });
                } else if (isFlowToken(it.key) && !includesToken(it.sep, "newline")) {
                  const start2 = getFirstKeyStartProps(it.start);
                  const key = it.key;
                  const sep = it.sep;
                  sep.push(this.sourceToken);
                  delete it.key, delete it.sep;
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: start2, key, sep }]
                  });
                } else if (start.length > 0) {
                  it.sep = it.sep.concat(start, this.sourceToken);
                } else {
                  it.sep.push(this.sourceToken);
                }
              } else {
                if (!it.sep) {
                  Object.assign(it, { key: null, sep: [this.sourceToken] });
                } else if (it.value || atNextItem) {
                  map.items.push({ start, key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: [], key: null, sep: [this.sourceToken] }]
                  });
                } else {
                  it.sep.push(this.sourceToken);
                }
              }
              this.onKeyLine = true;
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (atNextItem || it.value) {
                map.items.push({ start, key: fs, sep: [] });
                this.onKeyLine = true;
              } else if (it.sep) {
                this.stack.push(fs);
              } else {
                Object.assign(it, { key: fs, sep: [] });
                this.onKeyLine = true;
              }
              return;
            }
            default: {
              const bv = this.startBlockValue(map);
              if (bv) {
                if (atNextItem && bv.type !== "block-seq" && includesToken(it.start, "explicit-key-ind")) {
                  map.items.push({ start });
                }
                this.stack.push(bv);
                return;
              }
            }
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *blockSequence(seq) {
        const it = seq.items[seq.items.length - 1];
        switch (this.type) {
          case "newline":
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                seq.items.push({ start: [this.sourceToken] });
            } else
              it.start.push(this.sourceToken);
            return;
          case "space":
          case "comment":
            if (it.value)
              seq.items.push({ start: [this.sourceToken] });
            else {
              if (this.atIndentedComment(it.start, seq.indent)) {
                const prev = seq.items[seq.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  seq.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
          case "anchor":
          case "tag":
            if (it.value || this.indent <= seq.indent)
              break;
            it.start.push(this.sourceToken);
            return;
          case "seq-item-ind":
            if (this.indent !== seq.indent)
              break;
            if (it.value || includesToken(it.start, "seq-item-ind"))
              seq.items.push({ start: [this.sourceToken] });
            else
              it.start.push(this.sourceToken);
            return;
        }
        if (this.indent > seq.indent) {
          const bv = this.startBlockValue(seq);
          if (bv) {
            this.stack.push(bv);
            return;
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *flowCollection(fc) {
        const it = fc.items[fc.items.length - 1];
        if (this.type === "flow-error-end") {
          let top;
          do {
            yield* this.pop();
            top = this.peek(1);
          } while (top && top.type === "flow-collection");
        } else if (fc.end.length === 0) {
          switch (this.type) {
            case "comma":
            case "explicit-key-ind":
              if (!it || it.sep)
                fc.items.push({ start: [this.sourceToken] });
              else
                it.start.push(this.sourceToken);
              return;
            case "map-value-ind":
              if (!it || it.value)
                fc.items.push({ start: [], key: null, sep: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                Object.assign(it, { key: null, sep: [this.sourceToken] });
              return;
            case "space":
            case "comment":
            case "newline":
            case "anchor":
            case "tag":
              if (!it || it.value)
                fc.items.push({ start: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                it.start.push(this.sourceToken);
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (!it || it.value)
                fc.items.push({ start: [], key: fs, sep: [] });
              else if (it.sep)
                this.stack.push(fs);
              else
                Object.assign(it, { key: fs, sep: [] });
              return;
            }
            case "flow-map-end":
            case "flow-seq-end":
              fc.end.push(this.sourceToken);
              return;
          }
          const bv = this.startBlockValue(fc);
          if (bv)
            this.stack.push(bv);
          else {
            yield* this.pop();
            yield* this.step();
          }
        } else {
          const parent = this.peek(2);
          if (parent.type === "block-map" && (this.type === "map-value-ind" && parent.indent === fc.indent || this.type === "newline" && !parent.items[parent.items.length - 1].sep)) {
            yield* this.pop();
            yield* this.step();
          } else if (this.type === "map-value-ind" && parent.type !== "flow-collection") {
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            fixFlowSeqItems(fc);
            const sep = fc.end.splice(1, fc.end.length);
            sep.push(this.sourceToken);
            const map = {
              type: "block-map",
              offset: fc.offset,
              indent: fc.indent,
              items: [{ start, key: fc, sep }]
            };
            this.onKeyLine = true;
            this.stack[this.stack.length - 1] = map;
          } else {
            yield* this.lineEnd(fc);
          }
        }
      }
      flowScalar(type) {
        if (this.onNewLine) {
          let nl = this.source.indexOf("\n") + 1;
          while (nl !== 0) {
            this.onNewLine(this.offset + nl);
            nl = this.source.indexOf("\n", nl) + 1;
          }
        }
        return {
          type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
      }
      startBlockValue(parent) {
        switch (this.type) {
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return this.flowScalar(this.type);
          case "block-scalar-header":
            return {
              type: "block-scalar",
              offset: this.offset,
              indent: this.indent,
              props: [this.sourceToken],
              source: ""
            };
          case "flow-map-start":
          case "flow-seq-start":
            return {
              type: "flow-collection",
              offset: this.offset,
              indent: this.indent,
              start: this.sourceToken,
              items: [],
              end: []
            };
          case "seq-item-ind":
            return {
              type: "block-seq",
              offset: this.offset,
              indent: this.indent,
              items: [{ start: [this.sourceToken] }]
            };
          case "explicit-key-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            start.push(this.sourceToken);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start }]
            };
          }
          case "map-value-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start, key: null, sep: [this.sourceToken] }]
            };
          }
        }
        return null;
      }
      atIndentedComment(start, indent) {
        if (this.type !== "comment")
          return false;
        if (this.indent <= indent)
          return false;
        return start.every((st) => st.type === "newline" || st.type === "space");
      }
      *documentEnd(docEnd) {
        if (this.type !== "doc-mode") {
          if (docEnd.end)
            docEnd.end.push(this.sourceToken);
          else
            docEnd.end = [this.sourceToken];
          if (this.type === "newline")
            yield* this.pop();
        }
      }
      *lineEnd(token) {
        switch (this.type) {
          case "comma":
          case "doc-start":
          case "doc-end":
          case "flow-seq-end":
          case "flow-map-end":
          case "map-value-ind":
            yield* this.pop();
            yield* this.step();
            break;
          case "newline":
            this.onKeyLine = false;
          case "space":
          case "comment":
          default:
            if (token.end)
              token.end.push(this.sourceToken);
            else
              token.end = [this.sourceToken];
            if (this.type === "newline")
              yield* this.pop();
        }
      }
    };
    exports2.Parser = Parser;
  }
});

// ../../components/environments/node_modules/yaml/dist/public-api.js
var require_public_api = __commonJS({
  "../../components/environments/node_modules/yaml/dist/public-api.js"(exports2) {
    "use strict";
    var composer = require_composer();
    var Document = require_Document();
    var errors = require_errors();
    var log = require_log();
    var lineCounter = require_line_counter();
    var parser = require_parser();
    function parseOptions(options) {
      const prettyErrors = options.prettyErrors !== false;
      const lineCounter$1 = options.lineCounter || prettyErrors && new lineCounter.LineCounter() || null;
      return { lineCounter: lineCounter$1, prettyErrors };
    }
    function parseAllDocuments(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      const docs = Array.from(composer$1.compose(parser$1.parse(source)));
      if (prettyErrors && lineCounter2)
        for (const doc of docs) {
          doc.errors.forEach(errors.prettifyError(source, lineCounter2));
          doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
        }
      if (docs.length > 0)
        return docs;
      return Object.assign([], { empty: true }, composer$1.streamInfo());
    }
    function parseDocument(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      let doc = null;
      for (const _doc of composer$1.compose(parser$1.parse(source), true, source.length)) {
        if (!doc)
          doc = _doc;
        else if (doc.options.logLevel !== "silent") {
          doc.errors.push(new errors.YAMLParseError(_doc.range.slice(0, 2), "MULTIPLE_DOCS", "Source contains multiple documents; please use YAML.parseAllDocuments()"));
          break;
        }
      }
      if (prettyErrors && lineCounter2) {
        doc.errors.forEach(errors.prettifyError(source, lineCounter2));
        doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
      }
      return doc;
    }
    function parse(src, reviver, options) {
      let _reviver = void 0;
      if (typeof reviver === "function") {
        _reviver = reviver;
      } else if (options === void 0 && reviver && typeof reviver === "object") {
        options = reviver;
      }
      const doc = parseDocument(src, options);
      if (!doc)
        return null;
      doc.warnings.forEach((warning) => log.warn(doc.options.logLevel, warning));
      if (doc.errors.length > 0) {
        if (doc.options.logLevel !== "silent")
          throw doc.errors[0];
        else
          doc.errors = [];
      }
      return doc.toJS(Object.assign({ reviver: _reviver }, options));
    }
    function stringify(value, replacer, options) {
      let _replacer = null;
      if (typeof replacer === "function" || Array.isArray(replacer)) {
        _replacer = replacer;
      } else if (options === void 0 && replacer) {
        options = replacer;
      }
      if (typeof options === "string")
        options = options.length;
      if (typeof options === "number") {
        const indent = Math.round(options);
        options = indent < 1 ? void 0 : indent > 8 ? { indent: 8 } : { indent };
      }
      if (value === void 0) {
        const { keepUndefined } = options ?? replacer ?? {};
        if (!keepUndefined)
          return void 0;
      }
      return new Document.Document(value, _replacer, options).toString(options);
    }
    exports2.parse = parse;
    exports2.parseAllDocuments = parseAllDocuments;
    exports2.parseDocument = parseDocument;
    exports2.stringify = stringify;
  }
});

// ../../components/environments/node_modules/yaml/dist/index.js
var require_dist = __commonJS({
  "../../components/environments/node_modules/yaml/dist/index.js"(exports2) {
    "use strict";
    var composer = require_composer();
    var Document = require_Document();
    var Schema = require_Schema();
    var errors = require_errors();
    var Alias = require_Alias();
    var identity = require_identity();
    var Pair = require_Pair();
    var Scalar = require_Scalar();
    var YAMLMap = require_YAMLMap();
    var YAMLSeq = require_YAMLSeq();
    var cst = require_cst();
    var lexer = require_lexer();
    var lineCounter = require_line_counter();
    var parser = require_parser();
    var publicApi = require_public_api();
    var visit = require_visit();
    exports2.Composer = composer.Composer;
    exports2.Document = Document.Document;
    exports2.Schema = Schema.Schema;
    exports2.YAMLError = errors.YAMLError;
    exports2.YAMLParseError = errors.YAMLParseError;
    exports2.YAMLWarning = errors.YAMLWarning;
    exports2.Alias = Alias.Alias;
    exports2.isAlias = identity.isAlias;
    exports2.isCollection = identity.isCollection;
    exports2.isDocument = identity.isDocument;
    exports2.isMap = identity.isMap;
    exports2.isNode = identity.isNode;
    exports2.isPair = identity.isPair;
    exports2.isScalar = identity.isScalar;
    exports2.isSeq = identity.isSeq;
    exports2.Pair = Pair.Pair;
    exports2.Scalar = Scalar.Scalar;
    exports2.YAMLMap = YAMLMap.YAMLMap;
    exports2.YAMLSeq = YAMLSeq.YAMLSeq;
    exports2.CST = cst;
    exports2.Lexer = lexer.Lexer;
    exports2.LineCounter = lineCounter.LineCounter;
    exports2.Parser = parser.Parser;
    exports2.parse = publicApi.parse;
    exports2.parseAllDocuments = publicApi.parseAllDocuments;
    exports2.parseDocument = publicApi.parseDocument;
    exports2.stringify = publicApi.stringify;
    exports2.visit = visit.visit;
    exports2.visitAsync = visit.visitAsync;
  }
});

// ../../components/environments/node_modules/projen/lib/yaml.js
var require_yaml = __commonJS({
  "../../components/environments/node_modules/projen/lib/yaml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.YamlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var YAML = require_dist();
    var object_file_1 = require_object_file();
    var YamlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.lineWidth = options.lineWidth ?? 0;
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          YAML.stringify(JSON.parse(json), {
            indent: 2,
            lineWidth: this.lineWidth
          })
        ].join("\n");
      }
    };
    exports2.YamlFile = YamlFile;
    _a = JSII_RTTI_SYMBOL_1;
    YamlFile[_a] = { fqn: "projen.YamlFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose.js
var require_docker_compose = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerCompose = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_port_1 = require_docker_compose_port();
    var docker_compose_render_1 = require_docker_compose_render();
    var docker_compose_service_1 = require_docker_compose_service();
    var component_1 = require_component();
    var yaml_1 = require_yaml();
    var DockerCompose = class extends component_1.Component {
      /**
       * Depends on a service name.
       */
      static serviceName(serviceName) {
        return {
          serviceName
        };
      }
      /**
       * Create a port mapping.
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      static portMapping(publishedPort, targetPort, options) {
        const protocol = options?.protocol ?? docker_compose_port_1.DockerComposeProtocol.TCP;
        return {
          target: targetPort,
          published: publishedPort,
          protocol,
          mode: "host"
        };
      }
      /**
       * Create a bind volume that binds a host path to the target path in the container.
       * @param sourcePath Host path name
       * @param targetPath Target path name
       */
      static bindVolume(sourcePath, targetPath) {
        return {
          bind(_volumeInfo) {
            return {
              type: "bind",
              source: sourcePath,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named volume and mount it to the target path. If you use this
       * named volume in several services, the volume will be shared. In this
       * case, the volume configuration of the first-provided options are used.
       *
       * @param volumeName Name of the volume
       * @param targetPath Target path
       * @param options volume configuration (default: docker compose defaults)
       */
      static namedVolume(volumeName, targetPath, options = {}) {
        return {
          bind(volumeInfo) {
            volumeInfo.addVolumeConfiguration(volumeName, options);
            return {
              type: "volume",
              source: volumeName,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named network and mount it to the target path. If you use this
       * named network in several services, the network will be shared. In this
       * case, the network configuration of the first-provided options are used.
       *
       * @param networkName Name of the network
       * @param options network configuration
       */
      static network(networkName, options = {}) {
        return {
          bind(networkInfo) {
            networkInfo.addNetworkConfiguration(networkName, options);
            return networkName;
          }
        };
      }
      constructor(project, props) {
        super(project);
        const nameSuffix = props?.nameSuffix ? `${props.nameSuffix}.yml` : "yml";
        new yaml_1.YamlFile(project, `docker-compose.${nameSuffix}`, {
          committed: true,
          readonly: true,
          obj: () => this._synthesizeDockerCompose()
        });
        if (props?.schemaVersion && !parseFloat(props.schemaVersion)) {
          throw Error("Version tag needs to be a number");
        }
        this.version = props?.schemaVersion ? props.schemaVersion : "3.3";
        this.services = {};
        const initialServices = props?.services ?? {};
        for (const [name, serviceDescription] of Object.entries(initialServices)) {
          this.addService(name, serviceDescription);
        }
      }
      /**
       * Add a service to the docker-compose file.
       * @param serviceName name of the service
       * @param description a service description
       */
      addService(serviceName, description) {
        const service = new docker_compose_service_1.DockerComposeService(serviceName, description);
        this.services[serviceName] = service;
        return service;
      }
      /**
       * @internal
       */
      _synthesizeDockerCompose() {
        if (Object.keys(this.services).length === 0) {
          throw new Error("DockerCompose requires at least one service");
        }
        return (0, docker_compose_render_1.renderDockerComposeFile)(this.services, this.version);
      }
    };
    exports2.DockerCompose = DockerCompose;
    _a = JSII_RTTI_SYMBOL_1;
    DockerCompose[_a] = { fqn: "projen.DockerCompose", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-service.js
var require_docker_compose_service = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-service.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeService = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_1 = require_docker_compose();
    var DockerComposeService = class {
      constructor(serviceName, serviceDescription) {
        if (!serviceDescription.imageBuild && !serviceDescription.image || serviceDescription.imageBuild && serviceDescription.image) {
          throw new Error(`A service ${serviceName} requires exactly one of a \`imageBuild\` or \`image\` key`);
        }
        this.serviceName = serviceName;
        this.command = serviceDescription.command;
        this.image = serviceDescription.image;
        this.imageBuild = serviceDescription.imageBuild;
        this.dependsOn = serviceDescription.dependsOn ?? [];
        this.volumes = serviceDescription.volumes ?? [];
        this.networks = serviceDescription.networks ?? [];
        this.ports = serviceDescription.ports ?? [];
        this.environment = serviceDescription.environment ?? {};
        this.labels = serviceDescription.labels ?? {};
        this.entrypoint = serviceDescription.entrypoint;
      }
      /**
       * Add a port mapping
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      addPort(publishedPort, targetPort, options) {
        this.ports?.push(docker_compose_1.DockerCompose.portMapping(publishedPort, targetPort, options));
      }
      /**
       * Add an environment variable
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addEnvironment(name, value) {
        this.environment[name] = value;
      }
      /**
       * Make the service depend on another service.
       * @param serviceName
       */
      addDependsOn(serviceName) {
        this.dependsOn.push(serviceName);
      }
      /**
       * Add a volume to the service.
       * @param volume
       */
      addVolume(volume) {
        this.volumes.push(volume);
      }
      /**
       * Add a network to the service.
       * @param network
       */
      addNetwork(network) {
        this.networks.push(network);
      }
      /**
       * Add a label
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addLabel(name, value) {
        this.labels[name] = value;
      }
    };
    exports2.DockerComposeService = DockerComposeService;
    _a = JSII_RTTI_SYMBOL_1;
    DockerComposeService[_a] = { fqn: "projen.DockerComposeService", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-volume.js
var require_docker_compose_volume = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-volume.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-network.js
var require_docker_compose_network = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/docker-compose-network.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/projen/lib/docker-compose/index.js
var require_docker_compose2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/docker-compose/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_docker_compose_port(), exports2);
    __exportStar(require_docker_compose_service(), exports2);
    __exportStar(require_docker_compose_volume(), exports2);
    __exportStar(require_docker_compose_network(), exports2);
    __exportStar(require_docker_compose(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/gitattributes.js
var require_gitattributes = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitattributes.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitAttributesFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var GitAttributesFile = class extends file_1.FileBase {
      constructor(project) {
        super(project, ".gitattributes", {
          editGitignore: false
        });
        this.attributes = /* @__PURE__ */ new Map();
      }
      /**
       * Maps a set of attributes to a set of files.
       * @param glob Glob pattern to match files in the repo
       * @param attributes Attributes to assign to these files.
       */
      addAttributes(glob, ...attributes) {
        if (!this.attributes.has(glob)) {
          this.attributes.set(glob, /* @__PURE__ */ new Set());
        }
        const set = this.attributes.get(glob);
        for (const attribute of attributes) {
          set.add(attribute);
        }
      }
      /**
       * Add attributes necessary to mark these files as stored in LFS
       */
      addLfsPattern(glob) {
        this.addAttributes(glob, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
      }
      /**
       * Whether the current gitattributes file has any LFS patterns
       */
      get hasLfsPatterns() {
        return Array.from(this.attributes.values()).some((attrs) => attrs.has("filter=lfs"));
      }
      synthesizeContent(_) {
        const entries = Array.from(this.attributes.entries()).sort(([l], [r]) => l.localeCompare(r));
        if (entries.length === 0) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          ...entries.map(([name, attributes]) => `${name} ${Array.from(attributes).join(" ")}`)
        ].join("\n");
      }
    };
    exports2.GitAttributesFile = GitAttributesFile;
    _a = JSII_RTTI_SYMBOL_1;
    GitAttributesFile[_a] = { fqn: "projen.GitAttributesFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/gitpod.js
var require_gitpod = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitpod.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Gitpod = exports2.GitpodPortVisibility = exports2.GitpodOnOpen = exports2.GitpodOpenIn = exports2.GitpodOpenMode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var yaml_1 = require_yaml();
    var GITPOD_FILE = ".gitpod.yml";
    var GitpodOpenMode;
    (function(GitpodOpenMode2) {
      GitpodOpenMode2["TAB_AFTER"] = "tab-after";
      GitpodOpenMode2["TAB_BEFORE"] = "tab-before";
      GitpodOpenMode2["SPLIT_RIGHT"] = "split-right";
      GitpodOpenMode2["SPLIT_LEFT"] = "split-left";
      GitpodOpenMode2["SPLIT_TOP"] = "split-top";
      GitpodOpenMode2["SPLIT_BOTTOM"] = "split-bottom";
    })(GitpodOpenMode || (exports2.GitpodOpenMode = GitpodOpenMode = {}));
    var GitpodOpenIn;
    (function(GitpodOpenIn2) {
      GitpodOpenIn2["BOTTOM"] = "bottom";
      GitpodOpenIn2["LEFT"] = "left";
      GitpodOpenIn2["RIGHT"] = "right";
      GitpodOpenIn2["MAIN"] = "main";
    })(GitpodOpenIn || (exports2.GitpodOpenIn = GitpodOpenIn = {}));
    var GitpodOnOpen;
    (function(GitpodOnOpen2) {
      GitpodOnOpen2["OPEN_BROWSER"] = "open-browser";
      GitpodOnOpen2["OPEN_PREVIEW"] = "open-preview";
      GitpodOnOpen2["NOTIFY"] = "notify";
      GitpodOnOpen2["IGNORE"] = "ignore";
    })(GitpodOnOpen || (exports2.GitpodOnOpen = GitpodOnOpen = {}));
    var GitpodPortVisibility;
    (function(GitpodPortVisibility2) {
      GitpodPortVisibility2["PUBLIC"] = "public";
      GitpodPortVisibility2["PRIVATE"] = "private";
    })(GitpodPortVisibility || (exports2.GitpodPortVisibility = GitpodPortVisibility = {}));
    var Gitpod = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.tasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.prebuilds) {
          this.addPrebuilds(options.prebuilds);
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        this.config = {
          image: () => this.renderDockerImage(),
          tasks: this.tasks,
          github: () => this.renderPrebuilds(),
          ports: this.ports,
          vscode: {
            extensions: this.vscodeExtensions
          }
        };
        new yaml_1.YamlFile(this.project, GITPOD_FILE, {
          obj: this.config,
          omitEmpty: true,
          // GitPod needs to read the file from the repository in order to work.
          committed: true
        });
      }
      /**
       * Add a custom Docker image or Dockerfile for the container.
       *
       * @param image The Docker image
       */
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Add tasks to run when gitpod starts.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and specify the other tasks as subtasks.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.tasks.push(...tasks.map((task) => ({
          name: task.name,
          command: `npx projen ${task.name}`
        })));
      }
      /**
       * Add a prebuilds configuration for the Gitpod App
       * @param config The configuration
       */
      addPrebuilds(config) {
        this.prebuilds = config;
      }
      /**
       * Add a task with more granular options.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and set the other tasks as subtasks.
       *
       * @param options The task parameters
       */
      addCustomTask(options) {
        this.tasks.push({
          name: options.name,
          command: options.command,
          openMode: options.openMode,
          openIn: options.openIn,
          before: options.before,
          init: options.init,
          prebuild: options.prebuild
        });
      }
      /**
       * Add ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports.map((port) => ({ port })));
      }
      /**
       * Add a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * These must be in the format defined in the Open VSX registry.
       * @example 'scala-lang.scala@0.3.9:O5XmjwY5Gz+0oDZAmqneJw=='
       * @see https://www.gitpod.io/docs/vscode-extensions/
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      renderDockerImage() {
        if (this.dockerImage?.image) {
          return this.dockerImage.image;
        } else if (this.dockerImage?.dockerFile) {
          return {
            file: this.dockerImage.dockerFile
          };
        } else {
          return void 0;
        }
      }
      renderPrebuilds() {
        if (this.prebuilds) {
          return {
            prebuilds: this.prebuilds
          };
        } else {
          return void 0;
        }
      }
    };
    exports2.Gitpod = Gitpod;
    _a = JSII_RTTI_SYMBOL_1;
    Gitpod[_a] = { fqn: "projen.Gitpod", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/ignore-file.js
var require_ignore_file = __commonJS({
  "../../components/environments/node_modules/projen/lib/ignore-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IgnoreFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var IgnoreFile = class extends file_1.FileBase {
      /**
       *
       * @param project The project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param minify - whether comments/blank lines should be filtered
       */
      constructor(project, filePath, options) {
        super(project, filePath, { editGitignore: filePath !== ".gitignore" });
        this._patterns = new Array();
        this.filterCommentLines = options?.filterCommentLines ?? true;
        this.filterEmptyLines = options?.filterEmptyLines ?? true;
      }
      /**
       * Add ignore patterns. Files that match this pattern will be ignored. If the
       * pattern starts with a negation mark `!`, files that match will _not_ be
       * ignored.
       *
       * Comment lines (start with `#`) and blank lines ("") are filtered by default
       * but can be included using options specified when instantiating the component.
       *
       * @param patterns Ignore patterns.
       */
      addPatterns(...patterns) {
        for (const pattern of patterns) {
          const isComment = pattern.startsWith("#");
          const isEmptyLine = Boolean(pattern.trim().length === 0);
          if (isComment && this.filterCommentLines) {
            continue;
          }
          if (isEmptyLine && this.filterEmptyLines) {
            continue;
          }
          if (!isComment && !isEmptyLine) {
            this.normalizePatterns(pattern);
          }
          this._patterns.push(pattern);
        }
      }
      normalizePatterns(pattern) {
        const opposite = pattern.startsWith("!") ? pattern.slice(1) : "!" + pattern;
        remove(this._patterns, pattern);
        remove(this._patterns, opposite);
        if (pattern.endsWith("/")) {
          const prefix = opposite;
          for (const p of [...this._patterns]) {
            if (p.startsWith(prefix)) {
              remove(this._patterns, p);
            }
          }
        }
      }
      /**
       * Removes patterns previously added from the ignore file.
       *
       * If `addPattern()` is called after this, the pattern will be added again.
       *
       * @param patterns patters to remove.
       */
      removePatterns(...patterns) {
        for (const p of patterns) {
          remove(this._patterns, p);
        }
      }
      /**
       * Ignore the files that match these patterns.
       * @param patterns The patterns to match.
       */
      exclude(...patterns) {
        return this.addPatterns(...patterns);
      }
      /**
       * Always include the specified file patterns.
       * @param patterns Patterns to include in git commits.
       */
      include(...patterns) {
        for (let pattern of patterns) {
          if (!pattern.startsWith("!")) {
            pattern = "!" + pattern;
          }
          this.addPatterns(pattern);
        }
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          ...this._patterns
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
    };
    exports2.IgnoreFile = IgnoreFile;
    _a = JSII_RTTI_SYMBOL_1;
    IgnoreFile[_a] = { fqn: "projen.IgnoreFile", version: "0.71.112" };
    function remove(arr, value) {
      const idx = arr.indexOf(value);
      if (idx >= 0) {
        arr.splice(idx, 1);
      }
    }
  }
});

// ../../components/environments/node_modules/projen/node_modules/ini/ini.js
var require_ini = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/ini/ini.js"(exports2, module2) {
    var { hasOwnProperty: hasOwnProperty2 } = Object.prototype;
    var eol = typeof process !== "undefined" && process.platform === "win32" ? "\r\n" : "\n";
    var encode = (obj, opt) => {
      const children = [];
      let out = "";
      if (typeof opt === "string") {
        opt = {
          section: opt,
          whitespace: false
        };
      } else {
        opt = opt || /* @__PURE__ */ Object.create(null);
        opt.whitespace = opt.whitespace === true;
      }
      const separator = opt.whitespace ? " = " : "=";
      for (const k of Object.keys(obj)) {
        const val = obj[k];
        if (val && Array.isArray(val)) {
          for (const item of val)
            out += safe(k + "[]") + separator + safe(item) + "\n";
        } else if (val && typeof val === "object")
          children.push(k);
        else
          out += safe(k) + separator + safe(val) + eol;
      }
      if (opt.section && out.length)
        out = "[" + safe(opt.section) + "]" + eol + out;
      for (const k of children) {
        const nk = dotSplit(k).join("\\.");
        const section = (opt.section ? opt.section + "." : "") + nk;
        const { whitespace } = opt;
        const child = encode(obj[k], {
          section,
          whitespace
        });
        if (out.length && child.length)
          out += eol;
        out += child;
      }
      return out;
    };
    var dotSplit = (str) => str.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((part) => part.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, ""));
    var decode = (str) => {
      const out = /* @__PURE__ */ Object.create(null);
      let p = out;
      let section = null;
      const re = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
      const lines = str.split(/[\r\n]+/g);
      for (const line of lines) {
        if (!line || line.match(/^\s*[;#]/))
          continue;
        const match = line.match(re);
        if (!match)
          continue;
        if (match[1] !== void 0) {
          section = unsafe(match[1]);
          if (section === "__proto__") {
            p = /* @__PURE__ */ Object.create(null);
            continue;
          }
          p = out[section] = out[section] || /* @__PURE__ */ Object.create(null);
          continue;
        }
        const keyRaw = unsafe(match[2]);
        const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === "[]";
        const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
        if (key === "__proto__")
          continue;
        const valueRaw = match[3] ? unsafe(match[4]) : true;
        const value = valueRaw === "true" || valueRaw === "false" || valueRaw === "null" ? JSON.parse(valueRaw) : valueRaw;
        if (isArray) {
          if (!hasOwnProperty2.call(p, key))
            p[key] = [];
          else if (!Array.isArray(p[key]))
            p[key] = [p[key]];
        }
        if (Array.isArray(p[key]))
          p[key].push(value);
        else
          p[key] = value;
      }
      const remove = [];
      for (const k of Object.keys(out)) {
        if (!hasOwnProperty2.call(out, k) || typeof out[k] !== "object" || Array.isArray(out[k]))
          continue;
        const parts = dotSplit(k);
        let p2 = out;
        const l = parts.pop();
        const nl = l.replace(/\\\./g, ".");
        for (const part of parts) {
          if (part === "__proto__")
            continue;
          if (!hasOwnProperty2.call(p2, part) || typeof p2[part] !== "object")
            p2[part] = /* @__PURE__ */ Object.create(null);
          p2 = p2[part];
        }
        if (p2 === out && nl === l)
          continue;
        p2[nl] = out[k];
        remove.push(k);
      }
      for (const del of remove)
        delete out[del];
      return out;
    };
    var isQuoted = (val) => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";
    var safe = (val) => typeof val !== "string" || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, "\\;").replace(/#/g, "\\#");
    var unsafe = (val, doUnesc) => {
      val = (val || "").trim();
      if (isQuoted(val)) {
        if (val.charAt(0) === "'")
          val = val.substr(1, val.length - 2);
        try {
          val = JSON.parse(val);
        } catch (_) {
        }
      } else {
        let esc = false;
        let unesc = "";
        for (let i = 0, l = val.length; i < l; i++) {
          const c = val.charAt(i);
          if (esc) {
            if ("\\;#".indexOf(c) !== -1)
              unesc += c;
            else
              unesc += "\\" + c;
            esc = false;
          } else if (";#".indexOf(c) !== -1)
            break;
          else if (c === "\\")
            esc = true;
          else
            unesc += c;
        }
        if (esc)
          unesc += "\\";
        return unesc.trim();
      }
      return val;
    };
    module2.exports = {
      parse: decode,
      decode,
      stringify: encode,
      encode,
      safe,
      unsafe
    };
  }
});

// ../../components/environments/node_modules/projen/lib/ini.js
var require_ini2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/ini.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IniFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var INI = require_ini();
    var object_file_1 = require_object_file();
    var IniFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          INI.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.IniFile = IniFile;
    _a = JSII_RTTI_SYMBOL_1;
    IniFile[_a] = { fqn: "projen.IniFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/logger.js
var require_logger = __commonJS({
  "../../components/environments/node_modules/projen/lib/logger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LogLevel = exports2.Logger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var chalk = require_source();
    var common_1 = require_common();
    var component_1 = require_component();
    var logging_1 = require_logging();
    var util_1 = require_util2();
    var Logger = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const defaultLevel = common_1.IS_TEST_RUN ? LogLevel.OFF : LogLevel.INFO;
        this.level = options.level ?? defaultLevel;
        this.usePrefix = options.usePrefix ?? false;
      }
      /**
       * Log a message to stderr with a given logging level. The message will be
       * printed as long as `logger.level` is set to the message's severity or higher.
       *
       * @param level Logging verbosity
       * @param text strings or objects to print
       */
      log(level, ...text) {
        if (level === LogLevel.OFF) {
          throw new Error("Cannot log a message with level LogLevel.OFF");
        }
        let maxLevel = this.level;
        if ((0, util_1.isTruthy)(process.env.DEBUG) && maxLevel < LogLevel.DEBUG) {
          maxLevel = LogLevel.DEBUG;
        }
        if (level <= maxLevel) {
          const color = this.colorForLogLevel(level) ?? ((...values) => values.join(" "));
          const prefix = this.usePrefix ? `[${this.project.name}] ` : "";
          console.error(`${logging_1.ICON} ${prefix}${color(...text)}`);
        }
      }
      /**
       * Log a message to stderr with VERBOSE severity
       * @param text strings or objects to print
       */
      verbose(...text) {
        this.log(LogLevel.VERBOSE, ...text);
      }
      /**
       * Log a message to stderr with DEBUG severity
       * @param text strings or objects to print
       */
      debug(...text) {
        this.log(LogLevel.DEBUG, ...text);
      }
      /**
       * Log a message to stderr with INFO severity
       * @param text strings or objects to print
       */
      info(...text) {
        this.log(LogLevel.INFO, ...text);
      }
      /**
       * Log a message to stderr with WARN severity
       * @param text strings or objects to print
       */
      warn(...text) {
        this.log(LogLevel.WARN, ...text);
      }
      /**
       * Log a message to stderr with ERROR severity
       * @param text strings or objects to print
       */
      error(...text) {
        this.log(LogLevel.ERROR, ...text);
      }
      colorForLogLevel(level) {
        switch (level) {
          case LogLevel.ERROR:
            return chalk.red;
          case LogLevel.WARN:
            return chalk.yellow;
          case LogLevel.INFO:
            return chalk.cyan;
          case LogLevel.DEBUG:
            return chalk.gray;
          case LogLevel.VERBOSE:
            return chalk.white;
          default:
            return chalk.white;
        }
      }
    };
    exports2.Logger = Logger;
    _a = JSII_RTTI_SYMBOL_1;
    Logger[_a] = { fqn: "projen.Logger", version: "0.71.112" };
    var LogLevel;
    (function(LogLevel2) {
      LogLevel2["OFF"] = "00.off";
      LogLevel2["ERROR"] = "10.error";
      LogLevel2["WARN"] = "20.warn";
      LogLevel2["INFO"] = "30.info";
      LogLevel2["DEBUG"] = "40.debug";
      LogLevel2["VERBOSE"] = "50.verbose";
    })(LogLevel || (exports2.LogLevel = LogLevel = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/license.js
var require_license = __commonJS({
  "../../components/environments/node_modules/projen/lib/license.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.License = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var file_1 = require_file();
    var License = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "LICENSE", {
          marker: false,
          // Allow the license to be displayed in the repositories.
          committed: true
        });
        const spdx = options.spdx;
        const textFile = `${__dirname + "/externals/projen/lib"}/../license-text/${spdx}.txt`;
        if (!fs.existsSync(textFile)) {
          throw new Error(`unsupported license ${spdx}`);
        }
        const years = options.copyrightPeriod ?? (/* @__PURE__ */ new Date()).getFullYear().toString();
        const owner = options.copyrightOwner;
        let text = fs.readFileSync(textFile, "utf-8");
        text = text.replace("$copyright_period", years);
        if (text.indexOf("$copyright_owner") !== -1) {
          if (!owner) {
            throw new Error(`The ${spdx} license requires "copyrightOwner" to be specified`);
          }
          text = text.replace("$copyright_owner", owner);
        }
        this.text = text;
      }
      synthesizeContent(_) {
        return this.text;
      }
    };
    exports2.License = License;
    _a = JSII_RTTI_SYMBOL_1;
    License[_a] = { fqn: "projen.License", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/makefile.js
var require_makefile = __commonJS({
  "../../components/environments/node_modules/projen/lib/makefile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Makefile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var Makefile = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        const all = options.all ? options.all : [];
        const rules = options.rules ? options.rules : [];
        rules.forEach((e) => this.validateRule(e));
        this.all = {
          targets: ["all"],
          prerequisites: all,
          phony: true
        };
        this.rules = [this.all, ...rules];
      }
      /**
       * Add a target to all
       */
      addAll(target) {
        this.all.prerequisites.push(target);
        return this;
      }
      /**
       * Add multiple targets to all
       */
      addAlls(...targets) {
        targets.forEach((e) => this.addAll(e));
        return this;
      }
      /**
       * Add a rule to the Makefile.
       */
      addRule(rule) {
        this.validateRule(rule);
        this.rules.push(rule);
        return this;
      }
      /**
       * Add multiple rules to the Makefile.
       */
      addRules(...rules) {
        rules.forEach((e) => this.addRule(e));
        return this;
      }
      validateRule(rule) {
        if (!rule.targets || !rule.targets.length) {
          throw new Error('"targets" cannot be undefined or empty for items in "rules"');
        }
      }
      synthesizeContent(resolver) {
        const rules = resolver.resolve(this.rules);
        const lines = [
          ...rules.map((rule) => {
            const targets = rule.targets.join(" ");
            const prerequisites = (rule.prerequisites ? rule.prerequisites : []).join(" ");
            const recipe = rule.recipe ? rule.recipe : [];
            const phony = rule.phony ? [`.PHONY: ${targets}`] : [];
            return [
              ...phony,
              `${targets}: ${prerequisites}`.trim(),
              ...recipe.map((step) => `	${step}`)
            ].join("\n");
          })
        ];
        return `${lines.join("\n\n")}
`;
      }
    };
    exports2.Makefile = Makefile;
    _a = JSII_RTTI_SYMBOL_1;
    Makefile[_a] = { fqn: "projen.Makefile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/option-hints.js
var require_option_hints = __commonJS({
  "../../components/environments/node_modules/projen/lib/option-hints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.InitProjectOptionHints = void 0;
    var InitProjectOptionHints;
    (function(InitProjectOptionHints2) {
      InitProjectOptionHints2["ALL"] = "all";
      InitProjectOptionHints2["FEATURED"] = "featured";
      InitProjectOptionHints2["NONE"] = "none";
    })(InitProjectOptionHints || (exports2.InitProjectOptionHints = InitProjectOptionHints = {}));
  }
});

// ../../components/environments/node_modules/fs.realpath/old.js
var require_old = __commonJS({
  "../../components/environments/node_modules/fs.realpath/old.js"(exports2) {
    var pathModule = require("path");
    var isWindows = process.platform === "win32";
    var fs = require("fs");
    var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
    function rethrow() {
      var callback;
      if (DEBUG) {
        var backtrace = new Error();
        callback = debugCallback;
      } else
        callback = missingCallback;
      return callback;
      function debugCallback(err) {
        if (err) {
          backtrace.message = err.message;
          err = backtrace;
          missingCallback(err);
        }
      }
      function missingCallback(err) {
        if (err) {
          if (process.throwDeprecation)
            throw err;
          else if (!process.noDeprecation) {
            var msg = "fs: missing callback " + (err.stack || err.message);
            if (process.traceDeprecation)
              console.trace(msg);
            else
              console.error(msg);
          }
        }
      }
    }
    function maybeCallback(cb) {
      return typeof cb === "function" ? cb : rethrow();
    }
    var normalize = pathModule.normalize;
    if (isWindows) {
      nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
    } else {
      nextPartRe = /(.*?)(?:[\/]+|$)/g;
    }
    var nextPartRe;
    if (isWindows) {
      splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
    } else {
      splitRootRe = /^[\/]*/;
    }
    var splitRootRe;
    exports2.realpathSync = function realpathSync(p, cache) {
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return cache[p];
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstatSync(base);
          knownHard[base] = true;
        }
      }
      while (pos < p.length) {
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          continue;
        }
        var resolvedLink;
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          resolvedLink = cache[base];
        } else {
          var stat = fs.lstatSync(base);
          if (!stat.isSymbolicLink()) {
            knownHard[base] = true;
            if (cache)
              cache[base] = base;
            continue;
          }
          var linkTarget = null;
          if (!isWindows) {
            var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
            if (seenLinks.hasOwnProperty(id)) {
              linkTarget = seenLinks[id];
            }
          }
          if (linkTarget === null) {
            fs.statSync(base);
            linkTarget = fs.readlinkSync(base);
          }
          resolvedLink = pathModule.resolve(previous, linkTarget);
          if (cache)
            cache[base] = resolvedLink;
          if (!isWindows)
            seenLinks[id] = linkTarget;
        }
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
      if (cache)
        cache[original] = p;
      return p;
    };
    exports2.realpath = function realpath(p, cache, cb) {
      if (typeof cb !== "function") {
        cb = maybeCallback(cache);
        cache = null;
      }
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return process.nextTick(cb.bind(null, null, cache[p]));
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstat(base, function(err) {
            if (err)
              return cb(err);
            knownHard[base] = true;
            LOOP();
          });
        } else {
          process.nextTick(LOOP);
        }
      }
      function LOOP() {
        if (pos >= p.length) {
          if (cache)
            cache[original] = p;
          return cb(null, p);
        }
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          return process.nextTick(LOOP);
        }
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          return gotResolvedLink(cache[base]);
        }
        return fs.lstat(base, gotStat);
      }
      function gotStat(err, stat) {
        if (err)
          return cb(err);
        if (!stat.isSymbolicLink()) {
          knownHard[base] = true;
          if (cache)
            cache[base] = base;
          return process.nextTick(LOOP);
        }
        if (!isWindows) {
          var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
          if (seenLinks.hasOwnProperty(id)) {
            return gotTarget(null, seenLinks[id], base);
          }
        }
        fs.stat(base, function(err2) {
          if (err2)
            return cb(err2);
          fs.readlink(base, function(err3, target) {
            if (!isWindows)
              seenLinks[id] = target;
            gotTarget(err3, target);
          });
        });
      }
      function gotTarget(err, target, base2) {
        if (err)
          return cb(err);
        var resolvedLink = pathModule.resolve(previous, target);
        if (cache)
          cache[base2] = resolvedLink;
        gotResolvedLink(resolvedLink);
      }
      function gotResolvedLink(resolvedLink) {
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
    };
  }
});

// ../../components/environments/node_modules/fs.realpath/index.js
var require_fs = __commonJS({
  "../../components/environments/node_modules/fs.realpath/index.js"(exports2, module2) {
    module2.exports = realpath;
    realpath.realpath = realpath;
    realpath.sync = realpathSync;
    realpath.realpathSync = realpathSync;
    realpath.monkeypatch = monkeypatch;
    realpath.unmonkeypatch = unmonkeypatch;
    var fs = require("fs");
    var origRealpath = fs.realpath;
    var origRealpathSync = fs.realpathSync;
    var version = process.version;
    var ok = /^v[0-5]\./.test(version);
    var old = require_old();
    function newError(er) {
      return er && er.syscall === "realpath" && (er.code === "ELOOP" || er.code === "ENOMEM" || er.code === "ENAMETOOLONG");
    }
    function realpath(p, cache, cb) {
      if (ok) {
        return origRealpath(p, cache, cb);
      }
      if (typeof cache === "function") {
        cb = cache;
        cache = null;
      }
      origRealpath(p, cache, function(er, result) {
        if (newError(er)) {
          old.realpath(p, cache, cb);
        } else {
          cb(er, result);
        }
      });
    }
    function realpathSync(p, cache) {
      if (ok) {
        return origRealpathSync(p, cache);
      }
      try {
        return origRealpathSync(p, cache);
      } catch (er) {
        if (newError(er)) {
          return old.realpathSync(p, cache);
        } else {
          throw er;
        }
      }
    }
    function monkeypatch() {
      fs.realpath = realpath;
      fs.realpathSync = realpathSync;
    }
    function unmonkeypatch() {
      fs.realpath = origRealpath;
      fs.realpathSync = origRealpathSync;
    }
  }
});

// ../../components/environments/node_modules/projen/node_modules/minimatch/lib/path.js
var require_path = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/minimatch/lib/path.js"(exports2, module2) {
    var isWindows = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows ? { sep: "\\" } : { sep: "/" };
  }
});

// ../../components/environments/node_modules/balanced-match/index.js
var require_balanced_match = __commonJS({
  "../../components/environments/node_modules/balanced-match/index.js"(exports2, module2) {
    "use strict";
    module2.exports = balanced;
    function balanced(a, b, str) {
      if (a instanceof RegExp)
        a = maybeMatch(a, str);
      if (b instanceof RegExp)
        b = maybeMatch(b, str);
      var r = range(a, b, str);
      return r && {
        start: r[0],
        end: r[1],
        pre: str.slice(0, r[0]),
        body: str.slice(r[0] + a.length, r[1]),
        post: str.slice(r[1] + b.length)
      };
    }
    function maybeMatch(reg, str) {
      var m = str.match(reg);
      return m ? m[0] : null;
    }
    balanced.range = range;
    function range(a, b, str) {
      var begs, beg, left, right, result;
      var ai = str.indexOf(a);
      var bi = str.indexOf(b, ai + 1);
      var i = ai;
      if (ai >= 0 && bi > 0) {
        if (a === b) {
          return [ai, bi];
        }
        begs = [];
        left = str.length;
        while (i >= 0 && !result) {
          if (i == ai) {
            begs.push(i);
            ai = str.indexOf(a, i + 1);
          } else if (begs.length == 1) {
            result = [begs.pop(), bi];
          } else {
            beg = begs.pop();
            if (beg < left) {
              left = beg;
              right = bi;
            }
            bi = str.indexOf(b, i + 1);
          }
          i = ai < bi && ai >= 0 ? ai : bi;
        }
        if (begs.length) {
          result = [left, right];
        }
      }
      return result;
    }
  }
});

// ../../components/environments/node_modules/brace-expansion/index.js
var require_brace_expansion = __commonJS({
  "../../components/environments/node_modules/brace-expansion/index.js"(exports2, module2) {
    var balanced = require_balanced_match();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m = balanced("{", "}", str);
      if (!m)
        return str.split(",");
      var pre = m.pre;
      var body = m.body;
      var post = m.post;
      var p = pre.split(",");
      p[p.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p[p.length - 1] += postParts.shift();
        p.push.apply(p, postParts);
      }
      parts.push.apply(parts, p);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i, y) {
      return i <= y;
    }
    function gte(i, y) {
      return i >= y;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m = balanced("{", "}", str);
      if (!m)
        return [str];
      var pre = m.pre;
      var post = m.post.length ? expand(m.post, false) : [""];
      if (/\$$/.test(m.pre)) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + "{" + m.body + "}" + post[k];
          expansions.push(expansion);
        }
      } else {
        var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
        var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
        var isSequence = isNumericSequence || isAlphaSequence;
        var isOptions = m.body.indexOf(",") >= 0;
        if (!isSequence && !isOptions) {
          if (m.post.match(/,.*\}/)) {
            str = m.pre + "{" + m.body + escClose + m.post;
            return expand(str);
          }
          return [str];
        }
        var n;
        if (isSequence) {
          n = m.body.split(/\.\./);
        } else {
          n = parseCommaParts(m.body);
          if (n.length === 1) {
            n = expand(n[0], false).map(embrace);
            if (n.length === 1) {
              return post.map(function(p) {
                return m.pre + n[0] + p;
              });
            }
          }
        }
        var N;
        if (isSequence) {
          var x = numeric(n[0]);
          var y = numeric(n[1]);
          var width = Math.max(n[0].length, n[1].length);
          var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
          var test = lte;
          var reverse = y < x;
          if (reverse) {
            incr *= -1;
            test = gte;
          }
          var pad = n.some(isPadded);
          N = [];
          for (var i = x; test(i, y); i += incr) {
            var c;
            if (isAlphaSequence) {
              c = String.fromCharCode(i);
              if (c === "\\")
                c = "";
            } else {
              c = String(i);
              if (pad) {
                var need = width - c.length;
                if (need > 0) {
                  var z = new Array(need + 1).join("0");
                  if (i < 0)
                    c = "-" + z + c.slice(1);
                  else
                    c = z + c;
                }
              }
            }
            N.push(c);
          }
        } else {
          N = [];
          for (var j = 0; j < n.length; j++) {
            N.push.apply(N, expand(n[j], false));
          }
        }
        for (var j = 0; j < N.length; j++) {
          for (var k = 0; k < post.length; k++) {
            var expansion = pre + N[j] + post[k];
            if (!isTop || isSequence || expansion)
              expansions.push(expansion);
          }
        }
      }
      return expansions;
    }
  }
});

// ../../components/environments/node_modules/projen/node_modules/minimatch/minimatch.js
var require_minimatch = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/minimatch/minimatch.js"(exports2, module2) {
    var minimatch = module2.exports = (p, pattern, options = {}) => {
      assertValidPattern(pattern);
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    };
    module2.exports = minimatch;
    var path = require_path();
    minimatch.sep = path.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s) => s.split("").reduce((set, c) => {
      set[c] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options = {}) => (p, i, list) => minimatch(p, pattern, options);
    var ext = (a, b = {}) => {
      const t = {};
      Object.keys(a).forEach((k) => t[k] = a[k]);
      Object.keys(b).forEach((k) => t[k] = b[k]);
      return t;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m = (p, pattern, options) => orig(p, pattern, ext(def, options));
      m.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options) {
          super(pattern, ext(def, options));
        }
      };
      m.Minimatch.defaults = (options) => orig.defaults(ext(def, options)).Minimatch;
      m.filter = (pattern, options) => orig.filter(pattern, ext(def, options));
      m.defaults = (options) => orig.defaults(ext(def, options));
      m.makeRe = (pattern, options) => orig.makeRe(pattern, ext(def, options));
      m.braceExpand = (pattern, options) => orig.braceExpand(pattern, ext(def, options));
      m.match = (list, pattern, options) => orig.match(list, pattern, ext(def, options));
      return m;
    };
    minimatch.braceExpand = (pattern, options) => braceExpand(pattern, options);
    var braceExpand = (pattern, options = {}) => {
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options) => new Minimatch(pattern, options || {}).makeRe();
    minimatch.match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options);
      list = list.filter((f) => mm.match(f));
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s) => s.replace(/\\(.)/g, "$1");
    var charUnescape = (s) => s.replace(/\\([^-\]])/g, "$1");
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var braExpEscape = (s) => s.replace(/[[\]\\]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options) {
        assertValidPattern(pattern);
        if (!options)
          options = {};
        this.options = options;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options = this.options;
        if (!options.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options.debug)
          this.debug = (...args) => console.error(...args);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s) => s.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s, si, set2) => s.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s) => s.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i = 0; i < pattern.length && pattern.charAt(i) === "!"; i++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial) {
        var options = this.options;
        this.debug(
          "matchOne",
          { "this": this, file, pattern }
        );
        this.debug("matchOne", file.length, pattern.length);
        for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
          this.debug("matchOne loop");
          var p = pattern[pi];
          var f = file[fi];
          this.debug(pattern, p, f);
          if (p === false)
            return false;
          if (p === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p, f]);
            var fr = fi;
            var pr = pi + 1;
            if (pr === pl) {
              this.debug("** at the end");
              for (; fi < fl; fi++) {
                if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr < fl) {
              var swallowee = file[fr];
              this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug("globstar found match!", fr, fl, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file, fr, pattern, pr);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
              if (fr === fl)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p === "string") {
            hit = f === p;
            this.debug("string match", p, f, hit);
          } else {
            hit = f.match(p);
            this.debug("pattern match", p, f, hit);
          }
          if (!hit)
            return false;
        }
        if (fi === fl && pi === pl) {
          return true;
        } else if (fi === fl) {
          return partial;
        } else if (pi === pl) {
          return fi === fl - 1 && file[fi] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options = this.options;
        if (pattern === "**") {
          if (!options.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re = "";
        let hasMagic = false;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs;
        let pl;
        let sp;
        let dotTravAllowed = pattern.charAt(0) === ".";
        let dotFileAllowed = options.dot || dotTravAllowed;
        const patternStart = () => dotTravAllowed ? "" : dotFileAllowed ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const subPatternStart = (p) => p.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re += star;
                hasMagic = true;
                break;
              case "?":
                re += qmark;
                hasMagic = true;
                break;
              default:
                re += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re);
            stateChar = false;
          }
        };
        for (let i = 0, c; i < pattern.length && (c = pattern.charAt(i)); i++) {
          this.debug("%s	%s %s %j", pattern, i, re, c);
          if (escaping) {
            if (c === "/") {
              return false;
            }
            if (reSpecials[c]) {
              re += "\\";
            }
            re += c;
            escaping = false;
            continue;
          }
          switch (c) {
            case "/": {
              return false;
            }
            case "\\":
              if (inClass && pattern.charAt(i + 1) === "-") {
                re += c;
                continue;
              }
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
              if (inClass) {
                this.debug("  in class");
                if (c === "!" && i === classStart + 1)
                  c = "^";
                re += c;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c;
              if (options.noext)
                clearStateChar();
              continue;
            case "(": {
              if (inClass) {
                re += "(";
                continue;
              }
              if (!stateChar) {
                re += "\\(";
                continue;
              }
              const plEntry = {
                type: stateChar,
                start: i - 1,
                reStart: re.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              };
              this.debug(this.pattern, "	", plEntry);
              patternListStack.push(plEntry);
              re += plEntry.open;
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              this.debug("plType %j %j", stateChar, re);
              stateChar = false;
              continue;
            }
            case ")": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\)";
                continue;
              }
              patternListStack.pop();
              clearStateChar();
              hasMagic = true;
              pl = plEntry;
              re += pl.close;
              if (pl.type === "!") {
                negativeLists.push(Object.assign(pl, { reEnd: re.length }));
              }
              continue;
            }
            case "|": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\|";
                continue;
              }
              clearStateChar();
              re += "|";
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              continue;
            }
            case "[":
              clearStateChar();
              if (inClass) {
                re += "\\" + c;
                continue;
              }
              inClass = true;
              classStart = i;
              reClassStart = re.length;
              re += c;
              continue;
            case "]":
              if (i === classStart + 1 || !inClass) {
                re += "\\" + c;
                continue;
              }
              cs = pattern.substring(classStart + 1, i);
              try {
                RegExp("[" + braExpEscape(charUnescape(cs)) + "]");
                re += c;
              } catch (er) {
                re = re.substring(0, reClassStart) + "(?:$.)";
              }
              hasMagic = true;
              inClass = false;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c] && !(c === "^" && inClass)) {
                re += "\\";
              }
              re += c;
              break;
          }
        }
        if (inClass) {
          cs = pattern.slice(classStart + 1);
          sp = this.parse(cs, SUBPARSE);
          re = re.substring(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
          let tail;
          tail = re.slice(pl.reStart + pl.open.length);
          this.debug("setting tail", re, pl);
          tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_, $1, $2) => {
            if (!$2) {
              $2 = "\\";
            }
            return $1 + $1 + $2 + "|";
          });
          this.debug("tail=%j\n   %s", tail, tail, pl, re);
          const t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
          hasMagic = true;
          re = re.slice(0, pl.reStart) + t + "\\(" + tail;
        }
        clearStateChar();
        if (escaping) {
          re += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re.charAt(0)];
        for (let n = negativeLists.length - 1; n > -1; n--) {
          const nl = negativeLists[n];
          const nlBefore = re.slice(0, nl.reStart);
          const nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re.slice(nl.reEnd);
          const nlLast = re.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const closeParensBefore = nlBefore.split(")").length;
          const openParensBefore = nlBefore.split("(").length - closeParensBefore;
          let cleanAfter = nlAfter;
          for (let i = 0; i < openParensBefore; i++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "(?:$|\\/)" : "";
          re = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re !== "" && hasMagic) {
          re = "(?=.)" + re;
        }
        if (addPatternStart) {
          re = patternStart() + re;
        }
        if (isSub === SUBPARSE) {
          return [re, hasMagic];
        }
        if (options.nocase && !hasMagic) {
          hasMagic = pattern.toUpperCase() !== pattern.toLowerCase();
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re + "$", flags), {
            _glob: pattern,
            _src: re
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options = this.options;
        const twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
        const flags = options.nocase ? "i" : "";
        let re = set.map((pattern) => {
          pattern = pattern.map(
            (p) => typeof p === "string" ? regExpEscape(p) : p === GLOBSTAR ? GLOBSTAR : p._src
          ).reduce((set2, p) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p === GLOBSTAR)) {
              set2.push(p);
            }
            return set2;
          }, []);
          pattern.forEach((p, i) => {
            if (p !== GLOBSTAR || pattern[i - 1] === GLOBSTAR) {
              return;
            }
            if (i === 0) {
              if (pattern.length > 1) {
                pattern[i + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i + 1];
              } else {
                pattern[i] = twoStar;
              }
            } else if (i === pattern.length - 1) {
              pattern[i - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i + 1];
              pattern[i + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p) => p !== GLOBSTAR).join("/");
        }).join("|");
        re = "^(?:" + re + ")$";
        if (this.negate)
          re = "^(?!" + re + ").*$";
        try {
          this.regexp = new RegExp(re, flags);
        } catch (ex) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f, partial = this.partial) {
        this.debug("match", f, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f === "";
        if (f === "/" && partial)
          return true;
        const options = this.options;
        if (path.sep !== "/") {
          f = f.split(path.sep).join("/");
        }
        f = f.split(slashSplit);
        this.debug(this.pattern, "split", f);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i = f.length - 1; i >= 0; i--) {
          filename = f[i];
          if (filename)
            break;
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i];
          let file = f;
          if (options.matchBase && pattern.length === 1) {
            file = [filename];
          }
          const hit = this.matchOne(file, pattern, partial);
          if (hit) {
            if (options.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../../components/environments/node_modules/inherits/inherits_browser.js
var require_inherits_browser = __commonJS({
  "../../components/environments/node_modules/inherits/inherits_browser.js"(exports2, module2) {
    if (typeof Object.create === "function") {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          ctor.prototype = Object.create(superCtor.prototype, {
            constructor: {
              value: ctor,
              enumerable: false,
              writable: true,
              configurable: true
            }
          });
        }
      };
    } else {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          var TempCtor = function() {
          };
          TempCtor.prototype = superCtor.prototype;
          ctor.prototype = new TempCtor();
          ctor.prototype.constructor = ctor;
        }
      };
    }
  }
});

// ../../components/environments/node_modules/inherits/inherits.js
var require_inherits = __commonJS({
  "../../components/environments/node_modules/inherits/inherits.js"(exports2, module2) {
    try {
      util = require("util");
      if (typeof util.inherits !== "function")
        throw "";
      module2.exports = util.inherits;
    } catch (e) {
      module2.exports = require_inherits_browser();
    }
    var util;
  }
});

// ../../components/environments/node_modules/projen/node_modules/glob/common.js
var require_common2 = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/glob/common.js"(exports2) {
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var fs = require("fs");
    var path = require("path");
    var minimatch = require_minimatch();
    var isAbsolute = require("path").isAbsolute;
    var Minimatch = minimatch.Minimatch;
    function alphasort(a, b) {
      return a.localeCompare(b, "en");
    }
    function setupIgnores(self2, options) {
      self2.ignore = options.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options) {
      if (!options)
        options = {};
      if (options.matchBase && -1 === pattern.indexOf("/")) {
        if (options.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
      if (self2.windowsPathsNoEscape) {
        pattern = pattern.replace(/\\/g, "/");
      }
      self2.silent = !!options.silent;
      self2.pattern = pattern;
      self2.strict = options.strict !== false;
      self2.realpath = !!options.realpath;
      self2.realpathCache = options.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options.follow;
      self2.dot = !!options.dot;
      self2.mark = !!options.mark;
      self2.nodir = !!options.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options.sync;
      self2.nounique = !!options.nounique;
      self2.nonull = !!options.nonull;
      self2.nosort = !!options.nosort;
      self2.nocase = !!options.nocase;
      self2.stat = !!options.stat;
      self2.noprocess = !!options.noprocess;
      self2.absolute = !!options.absolute;
      self2.fs = options.fs || fs;
      self2.maxLength = options.maxLength || Infinity;
      self2.cache = options.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options, "cwd"))
        self2.cwd = path.resolve(cwd);
      else {
        self2.cwd = path.resolve(options.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options.root || path.resolve(self2.cwd, "/");
      self2.root = path.resolve(self2.root);
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      self2.nomount = !!options.nomount;
      if (process.platform === "win32") {
        self2.root = self2.root.replace(/\\/g, "/");
        self2.cwd = self2.cwd.replace(/\\/g, "/");
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      }
      options.nonegate = true;
      options.nocomment = true;
      self2.minimatch = new Minimatch(pattern, options);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i = 0, l = self2.matches.length; i < l; i++) {
        var matches = self2.matches[i];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m = Object.keys(matches);
          if (nou)
            all.push.apply(all, m);
          else
            m.forEach(function(m2) {
              all[m2] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i = 0; i < all.length; i++) {
          all[i] = self2._mark(all[i]);
        }
        if (self2.nodir) {
          all = all.filter(function(e) {
            var notDir = !/\/$/.test(e);
            var c = self2.cache[e] || self2.cache[makeAbs(self2, e)];
            if (notDir && c)
              notDir = c !== "DIR" && !Array.isArray(c);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m2) {
          return !isIgnored(self2, m2);
        });
      self2.found = all;
    }
    function mark(self2, p) {
      var abs = makeAbs(self2, p);
      var c = self2.cache[abs];
      var m = p;
      if (c) {
        var isDir = c === "DIR" || Array.isArray(c);
        var slash = p.slice(-1) === "/";
        if (isDir && !slash)
          m += "/";
        else if (!isDir && slash)
          m = m.slice(0, -1);
        if (m !== p) {
          var mabs = makeAbs(self2, m);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m;
    }
    function makeAbs(self2, f) {
      var abs = f;
      if (f.charAt(0) === "/") {
        abs = path.join(self2.root, f);
      } else if (isAbsolute(f) || f === "") {
        abs = f;
      } else if (self2.changedCwd) {
        abs = path.resolve(self2.cwd, f);
      } else {
        abs = path.resolve(f);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return item.matcher.match(path2) || !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
    function childrenIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
  }
});

// ../../components/environments/node_modules/projen/node_modules/glob/sync.js
var require_sync = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/glob/sync.js"(exports2, module2) {
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var rp = require_fs();
    var minimatch = require_minimatch();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob().Glob;
    var util = require("util");
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var common = require_common2();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options) {
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options).found;
    }
    function GlobSync(pattern, options) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options);
      setopts(this, pattern, options);
      if (this.noprocess)
        return this;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert.ok(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index) {
          var set = self2.matches[index] = /* @__PURE__ */ Object.create(null);
          for (var p in matchset) {
            try {
              p = self2._makeAbs(p);
              var real = rp.realpathSync(p, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index, inGlobStar) {
      assert.ok(this instanceof GlobSync);
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return;
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e];
        else
          newPattern = [e];
        this._process(newPattern.concat(remain), index, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index, e) {
      if (isIgnored(this, e))
        return;
      var abs = this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute) {
        e = abs;
      }
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      if (this.stat)
        this._stat(e);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = this.fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return null;
        if (Array.isArray(c))
          return c;
      }
      try {
        return this._readdirEntries(abs, this.fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            throw error;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index) {
      var exists = this._stat(prefix);
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
    };
    GlobSync.prototype._stat = function(f) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return c;
        if (needDir && c === "FILE")
          return false;
      }
      var exists;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = this.fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = this.fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return false;
      return c;
    };
    GlobSync.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    GlobSync.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
  }
});

// ../../components/environments/node_modules/wrappy/wrappy.js
var require_wrappy = __commonJS({
  "../../components/environments/node_modules/wrappy/wrappy.js"(exports2, module2) {
    module2.exports = wrappy;
    function wrappy(fn, cb) {
      if (fn && cb)
        return wrappy(fn)(cb);
      if (typeof fn !== "function")
        throw new TypeError("need wrapper function");
      Object.keys(fn).forEach(function(k) {
        wrapper[k] = fn[k];
      });
      return wrapper;
      function wrapper() {
        var args = new Array(arguments.length);
        for (var i = 0; i < args.length; i++) {
          args[i] = arguments[i];
        }
        var ret = fn.apply(this, args);
        var cb2 = args[args.length - 1];
        if (typeof ret === "function" && ret !== cb2) {
          Object.keys(cb2).forEach(function(k) {
            ret[k] = cb2[k];
          });
        }
        return ret;
      }
    }
  }
});

// ../../components/environments/node_modules/once/once.js
var require_once = __commonJS({
  "../../components/environments/node_modules/once/once.js"(exports2, module2) {
    var wrappy = require_wrappy();
    module2.exports = wrappy(once);
    module2.exports.strict = wrappy(onceStrict);
    once.proto = once(function() {
      Object.defineProperty(Function.prototype, "once", {
        value: function() {
          return once(this);
        },
        configurable: true
      });
      Object.defineProperty(Function.prototype, "onceStrict", {
        value: function() {
          return onceStrict(this);
        },
        configurable: true
      });
    });
    function once(fn) {
      var f = function() {
        if (f.called)
          return f.value;
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      f.called = false;
      return f;
    }
    function onceStrict(fn) {
      var f = function() {
        if (f.called)
          throw new Error(f.onceError);
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      var name = fn.name || "Function wrapped with `once`";
      f.onceError = name + " shouldn't be called more than once";
      f.called = false;
      return f;
    }
  }
});

// ../../components/environments/node_modules/inflight/inflight.js
var require_inflight = __commonJS({
  "../../components/environments/node_modules/inflight/inflight.js"(exports2, module2) {
    var wrappy = require_wrappy();
    var reqs = /* @__PURE__ */ Object.create(null);
    var once = require_once();
    module2.exports = wrappy(inflight);
    function inflight(key, cb) {
      if (reqs[key]) {
        reqs[key].push(cb);
        return null;
      } else {
        reqs[key] = [cb];
        return makeres(key);
      }
    }
    function makeres(key) {
      return once(function RES() {
        var cbs = reqs[key];
        var len = cbs.length;
        var args = slice(arguments);
        try {
          for (var i = 0; i < len; i++) {
            cbs[i].apply(null, args);
          }
        } finally {
          if (cbs.length > len) {
            cbs.splice(0, len);
            process.nextTick(function() {
              RES.apply(null, args);
            });
          } else {
            delete reqs[key];
          }
        }
      });
    }
    function slice(args) {
      var length = args.length;
      var array = [];
      for (var i = 0; i < length; i++)
        array[i] = args[i];
      return array;
    }
  }
});

// ../../components/environments/node_modules/projen/node_modules/glob/glob.js
var require_glob = __commonJS({
  "../../components/environments/node_modules/projen/node_modules/glob/glob.js"(exports2, module2) {
    module2.exports = glob;
    var rp = require_fs();
    var minimatch = require_minimatch();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits();
    var EE = require("events").EventEmitter;
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var globSync = require_sync();
    var common = require_common2();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight();
    var util = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once = require_once();
    function glob(pattern, options, cb) {
      if (typeof options === "function")
        cb = options, options = {};
      if (!options)
        options = {};
      if (options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options);
      }
      return new Glob(pattern, options, cb);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i = keys.length;
      while (i--) {
        origin[keys[i]] = add[keys[i]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options = extend({}, options_);
      options.noprocess = true;
      var g = new Glob(pattern, options);
      var set = g.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j = 0; j < set[0].length; j++) {
        if (typeof set[0][j] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options, cb) {
      if (typeof options === "function") {
        cb = options;
        options = null;
      }
      if (options && options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options, cb);
      setopts(this, pattern, options);
      this._didRealPath = false;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      if (typeof cb === "function") {
        cb = once(cb);
        this.on("error", cb);
        this.on("end", function(matches) {
          cb(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n === 0)
        return done();
      var sync = true;
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false, done);
      }
      sync = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n = this.matches.length;
      if (n === 0)
        return this._finish();
      var self2 = this;
      for (var i = 0; i < this.matches.length; i++)
        this._realpathSet(i, next);
      function next() {
        if (--n === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index, cb) {
      var matchset = this.matches[index];
      if (!matchset)
        return cb();
      var found = Object.keys(matchset);
      var self2 = this;
      var n = found.length;
      if (n === 0)
        return cb();
      var set = this.matches[index] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p, i) {
        p = self2._makeAbs(p);
        rp.realpath(p, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p] = true;
          else
            self2.emit("error", er);
          if (--n === 0) {
            self2.matches[index] = set;
            cb();
          }
        });
      });
    };
    Glob.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    Glob.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i = 0; i < eq.length; i++) {
            var e = eq[i];
            this._emitMatch(e[0], e[1]);
          }
        }
        if (this._processQueue.length) {
          var pq = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i = 0; i < pq.length; i++) {
            var p = pq[i];
            this._processing--;
            this._process(p[0], p[1], p[2], p[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index, inGlobStar, cb) {
      assert(this instanceof Glob);
      assert(typeof cb === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index, inGlobStar, cb]);
        return;
      }
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index, cb);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return cb();
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e = prefix + "/" + e;
          else
            e = prefix + e;
        }
        this._process([e].concat(remain), index, inGlobStar, cb);
      }
      cb();
    };
    Glob.prototype._emitMatch = function(index, e) {
      if (this.aborted)
        return;
      if (isIgnored(this, e))
        return;
      if (this.paused) {
        this._emitQueue.push([index, e]);
        return;
      }
      var abs = isAbsolute(e) ? e : this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute)
        e = abs;
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e, st);
      this.emit("match", e);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        self2.fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb();
        } else
          self2._readdir(abs, false, cb);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb) {
      if (this.aborted)
        return;
      cb = inflight("readdir\0" + abs + "\0" + inGlobStar, cb);
      if (!cb)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return cb();
        if (Array.isArray(c))
          return cb(null, c);
      }
      var self2 = this;
      self2.fs.readdir(abs, readdirCb(this, abs, cb));
    };
    function readdirCb(self2, abs, cb) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb);
        else
          self2._readdirEntries(abs, entries, cb);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return cb(null, entries);
    };
    Glob.prototype._readdirError = function(f, er, cb) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            this.emit("error", error);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false, cb);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb();
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true, cb);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true, cb);
      }
      cb();
    };
    Glob.prototype._processSimple = function(prefix, index, cb) {
      var self2 = this;
      this._stat(prefix, function(er, exists) {
        self2._processSimple2(prefix, index, er, exists, cb);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index, er, exists, cb) {
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return cb();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
      cb();
    };
    Glob.prototype._stat = function(f, cb) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return cb();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return cb(null, c);
        if (needDir && c === "FILE")
          return cb();
      }
      var exists;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb();
          else
            return cb(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        self2.fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return self2.fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f, abs, null, lstat, cb);
            else
              self2._stat2(f, abs, er2, stat2, cb);
          });
        } else {
          self2._stat2(f, abs, er, lstat, cb);
        }
      }
    };
    Glob.prototype._stat2 = function(f, abs, er, stat, cb) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb();
      }
      var needDir = f.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb(null, false, stat);
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return cb();
      return cb(null, c, stat);
    };
  }
});

// ../../components/environments/node_modules/projen/lib/cleanup.js
var require_cleanup = __commonJS({
  "../../components/environments/node_modules/projen/lib/cleanup.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.cleanup = exports2.FILE_MANIFEST = void 0;
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob();
    var common_1 = require_common();
    var logging = require_logging();
    exports2.FILE_MANIFEST = `${common_1.PROJEN_DIR}/files.json`;
    function cleanup(dir, newFiles, exclude) {
      try {
        const manifestFiles = getFilesFromManifest(dir);
        if (manifestFiles.length > 0) {
          removeFiles(findOrphanedFiles(dir, manifestFiles, newFiles));
        } else {
          removeFiles(findGeneratedFiles(dir, exclude));
        }
      } catch (e) {
        logging.warn(`warning: failed to clean up generated files: ${e.stack}`);
      }
    }
    exports2.cleanup = cleanup;
    function removeFiles(files) {
      for (const file of files) {
        fs.rmSync(file, { force: true, recursive: true });
      }
    }
    function findGeneratedFiles(dir, exclude) {
      const ignore = [
        ...readGitIgnore(dir),
        "node_modules/**",
        ...exclude,
        ".git/**"
      ];
      const files = glob.sync("**", {
        ignore,
        cwd: dir,
        dot: true,
        nodir: true,
        absolute: true
      });
      const generated = new Array();
      for (const file of files) {
        const contents = fs.readFileSync(file, "utf-8");
        if (contents.includes(common_1.PROJEN_MARKER)) {
          generated.push(file);
        }
      }
      return generated;
    }
    function findOrphanedFiles(dir, oldFiles, newFiles) {
      return oldFiles.filter((old) => !newFiles.includes(old)).map((f) => path.resolve(dir, f));
    }
    function getFilesFromManifest(dir) {
      try {
        const fileManifestPath = path.resolve(dir, exports2.FILE_MANIFEST);
        if (fs.existsSync(fileManifestPath)) {
          const fileManifest = JSON.parse(fs.readFileSync(fileManifestPath, "utf-8"));
          if (fileManifest.files) {
            return fileManifest.files;
          }
        }
      } catch (e) {
        logging.warn(`warning: unable to get files to clean from file manifest: ${e.stack}`);
      }
      return [];
    }
    function readGitIgnore(dir) {
      const filepath = path.join(dir, ".gitignore");
      if (!fs.existsSync(filepath)) {
        return [];
      }
      return fs.readFileSync(filepath, "utf-8").split("\n").filter((x) => x?.trim() !== "").filter((x) => !x.startsWith("#") && !x.startsWith("!")).map((x) => x.replace(/^\//, "")).map((x) => `${x}
${x}/**`).join("\n").split("\n");
    }
  }
});

// ../../components/environments/node_modules/projen/lib/inventory.js
var require_inventory = __commonJS({
  "../../components/environments/node_modules/projen/lib/inventory.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readJsiiManifest = exports2.toProjectType = exports2.resolveProjectType = exports2.readManifest = exports2.discover = void 0;
    var fs = require("fs");
    var path = require("path");
    var zlib_1 = require("zlib");
    var case_1 = require_Case();
    var PROJEN_MODULE_ROOT = path.join(__dirname + "/externals/projen/lib", "..");
    var PROJECT_BASE_FQN = "projen.Project";
    function discover(...moduleDirs) {
      const jsii = discoverJsiiTypes(...moduleDirs);
      const result = new Array();
      for (const fqn of Object.keys(jsii)) {
        if (isProjectType(jsii, fqn)) {
          const p = toProjectType(jsii, fqn);
          result.push(p);
        }
      }
      return result.sort((r1, r2) => r1.pjid.localeCompare(r2.pjid));
    }
    exports2.discover = discover;
    function readManifest(dir) {
      const jsiiFile = path.join(dir, ".jsii");
      if (!fs.existsSync(jsiiFile)) {
        return void 0;
      }
      let manifest = JSON.parse(fs.readFileSync(jsiiFile, "utf-8"));
      if (manifest.schema === "jsii/file-redirect") {
        const compressedFile = path.join(dir, manifest.filename);
        if (!fs.existsSync(compressedFile)) {
          throw new Error(`${compressedFile} does not exist.`);
        }
        switch (manifest.compression) {
          case "gzip":
            manifest = JSON.parse((0, zlib_1.unzipSync)(fs.readFileSync(compressedFile)).toString());
            break;
          default:
            throw new Error(`Unsupported compression format: ${manifest.compression}`);
        }
      }
      return manifest;
    }
    exports2.readManifest = readManifest;
    function discoverJsiiTypes(...moduleDirs) {
      const jsii = {};
      const discoveredManifests = [];
      const discoverJsii = (dir) => {
        const manifest = readManifest(dir);
        if (!manifest) {
          return;
        }
        if (discoveredManifests.includes(manifest.fingerprint)) {
          return;
        }
        discoveredManifests.push(manifest.fingerprint);
        for (const [fqn, type] of Object.entries(manifest.types)) {
          jsii[fqn] = {
            ...type
          };
        }
        if (manifest.dependencies) {
          for (const dependency of Object.keys(manifest.dependencies)) {
            const nestedDependencyFolder = path.dirname(require.resolve(`${dependency}/package.json`, {
              paths: [dir]
            }));
            if (fs.existsSync(nestedDependencyFolder)) {
              discoverJsii(nestedDependencyFolder);
            }
          }
        }
      };
      for (const dir of [...moduleDirs, PROJEN_MODULE_ROOT]) {
        discoverJsii(dir);
        if (dir.includes("@") && fs.lstatSync(dir).isDirectory()) {
          const childDirs = fs.readdirSync(dir).map((file) => path.join(dir, file));
          for (const child of childDirs) {
            discoverJsii(child);
          }
        }
      }
      return jsii;
    }
    function resolveProjectType(projectFqn) {
      let [moduleName] = projectFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`, {
        paths: [process.cwd()]
      });
      const moduleFolder = path.dirname(jsiiManifestFile);
      const jsii = discoverJsiiTypes(moduleFolder);
      return toProjectType(jsii, projectFqn);
    }
    exports2.resolveProjectType = resolveProjectType;
    function toProjectType(jsii, fqn) {
      if (!isProjectType(jsii, fqn)) {
        throw new Error(`Fully qualified name "${fqn}" is not a valid project type.`);
      }
      const typeinfo = jsii[fqn];
      const typename = fqn.substring(fqn.indexOf(".") + 1);
      const docsurl = `https://projen.io/api/API.html#projen-${typename.toLocaleLowerCase().replace(/\./g, "-")}`;
      let pjid = typeinfo.docs?.custom?.pjid ?? (0, case_1.snake)(typename).replace(/_project$/, "");
      return {
        moduleName: typeinfo.assembly,
        typename,
        pjid,
        fqn,
        options: discoverOptions(jsii, fqn),
        docs: typeinfo.docs?.summary,
        docsurl
      };
    }
    exports2.toProjectType = toProjectType;
    function readJsiiManifest(jsiiFqn) {
      let [moduleName] = jsiiFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`);
      return JSON.parse(fs.readFileSync(jsiiManifestFile, "utf-8"));
    }
    exports2.readJsiiManifest = readJsiiManifest;
    function discoverOptions(jsii, fqn) {
      const options = {};
      const params = jsii[fqn]?.initializer?.parameters ?? [];
      const optionsParam = params[0];
      const optionsTypeFqn = optionsParam?.type?.fqn;
      if (params.length > 1 || params.length === 1 && optionsParam?.name !== "options") {
        throw new Error(`constructor for project ${fqn} must have a single "options" argument of a struct type. got ${JSON.stringify(params)}`);
      }
      addOptions(optionsTypeFqn);
      const opts = Object.values(options);
      return opts.sort((a, b) => a.name.localeCompare(b.name));
      function addOptions(ofqn, basePath = [], optional = false) {
        if (!ofqn) {
          return;
        }
        const struct = jsii[ofqn];
        if (!struct) {
          throw new Error(`unable to find options type ${ofqn} for project ${fqn}`);
        }
        for (const prop of struct.properties ?? []) {
          const propPath = [...basePath, prop.name];
          if (prop.name in options) {
            throw new Error(`duplicate option "${prop.name}" in ${fqn} (already declared in ${options[prop.name].parent})`);
          }
          let jsiiKind;
          if (prop.type?.fqn) {
            jsiiKind = jsii[prop.type?.fqn].kind;
          }
          const isOptional = optional || prop.optional;
          const defaultValue = sanitizeValue(prop.docs?.default);
          const pjnew = sanitizeValue(prop.docs?.custom?.pjnew);
          const initialValue = getInitialValue(defaultValue, pjnew, isOptional);
          if (initialValue) {
            checkDefaultIsParsable(prop.name, initialValue, prop.type);
          }
          options[prop.name] = filterUndefined({
            path: propPath,
            parent: struct.name,
            name: prop.name,
            fqn: prop.type?.fqn,
            docs: prop.docs.summary,
            simpleType: prop.type ? getSimpleTypeName(prop.type) : "unknown",
            fullType: prop.type,
            kind: jsiiKind,
            jsonLike: prop.type ? isJsonLike(jsii, prop.type) : void 0,
            switch: propPath.map((p) => (0, case_1.snake)(p).replace(/_/g, "-")).join("-"),
            default: defaultValue,
            initialValue,
            optional: isOptional,
            featured: prop.docs?.custom?.featured === "true",
            deprecated: prop.docs.stability === "deprecated" ? true : void 0
          });
        }
        for (const ifc of struct.interfaces ?? []) {
          addOptions(ifc);
        }
      }
    }
    function getInitialValue(defaultValue, pjnew, isOptional = false) {
      if (pjnew) {
        return pjnew;
      }
      if (!isOptional) {
        return defaultValue;
      }
      return void 0;
    }
    function sanitizeValue(val) {
      if (val === "undefined") {
        return void 0;
      }
      return val;
    }
    function getSimpleTypeName(type) {
      if (type?.primitive) {
        return type.primitive;
      } else if (type?.fqn) {
        return type.fqn.split(".").pop();
      } else {
        return "unknown";
      }
    }
    function isJsonLike(jsii, type) {
      if (type.primitive) {
        return true;
      } else if (type.fqn) {
        const kind = jsii[type.fqn].kind;
        if (["interface", "enum"].includes(kind)) {
          return true;
        }
      } else if (type.collection) {
        return isJsonLike(jsii, type.collection.elementtype);
      }
      return false;
    }
    function filterUndefined(obj) {
      const ret = {};
      for (const [k, v] of Object.entries(obj)) {
        if (v !== void 0) {
          ret[k] = v;
        }
      }
      return ret;
    }
    function isProjectType(jsii, fqn) {
      const type = jsii[fqn];
      if (!type) {
        throw new Error(`Could not find project type with fqn "${fqn}" in  .jsii file.`);
      }
      if (type.kind !== "class") {
        return false;
      }
      if (type.abstract) {
        return false;
      }
      if (type.docs?.deprecated) {
        return false;
      }
      let curr = type;
      while (true) {
        if (curr.fqn === PROJECT_BASE_FQN) {
          return true;
        }
        if (!curr.base) {
          return false;
        }
        curr = jsii[curr.base];
        if (!curr) {
          return false;
        }
      }
    }
    function isPrimitiveArray({ collection }) {
      return Boolean(collection?.kind === "array" && collection?.elementtype.primitive);
    }
    function isPrimitiveOrPrimitiveArray(type) {
      return Boolean(type?.primitive || isPrimitiveArray(type));
    }
    function checkDefaultIsParsable(prop, value, type) {
      if (!(type && isPrimitiveOrPrimitiveArray(type))) {
        throw new Error(`required option "${prop}" with a @default must use primitive types (string, number and boolean) or a primitive array. type found is: ${JSON.stringify(type)}`);
      }
      if (value.startsWith("$")) {
        return;
      }
      try {
        const parsed = JSON.parse(value);
        if (typeof parsed === type.primitive) {
          return;
        }
        if (Array.isArray(parsed) && isPrimitiveArray(type)) {
          if (parsed.length === 0) {
            return;
          }
          if (typeof parsed[0] === type?.collection?.elementtype.primitive) {
            return;
          }
        }
        throw new Error(`cannot parse @default value for mandatory option ${prop} as a ${type}: ${parsed}`);
      } catch (e) {
        throw new Error(`unable to JSON.parse() value "${value}" specified as @default for mandatory option "${prop}": ${e.message}`);
      }
    }
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/render-options.js
var require_render_options = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/render-options.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderJavaScriptOptions = exports2.ModuleImports = exports2.resolveInitProject = exports2.renderProjenInitOptions = void 0;
    var inventory = require_inventory();
    var option_hints_1 = require_option_hints();
    var PROJEN_NEW = "__new__";
    var TAB = makePadding(2);
    function renderProjenInitOptions(fqn, args, comments = option_hints_1.InitProjectOptionHints.NONE) {
      return {
        ...args,
        [PROJEN_NEW]: { fqn, args, comments }
      };
    }
    exports2.renderProjenInitOptions = renderProjenInitOptions;
    function resolveInitProject(opts) {
      const f = opts[PROJEN_NEW];
      if (!f) {
        return void 0;
      }
      const type = inventory.resolveProjectType(f.fqn);
      if (!type) {
        throw new Error(`unable to resolve project type for ${f.fqn}`);
      }
      return {
        args: f.args,
        fqn: f.fqn,
        type,
        comments: f.comments
      };
    }
    exports2.resolveInitProject = resolveInitProject;
    var ModuleImports = class {
      constructor() {
        this.imports = /* @__PURE__ */ new Map();
      }
      /**
       * Add a named import from a module
       */
      add(moduleName, importName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        moduleImports.add(importName);
        this.imports.set(moduleName, moduleImports);
      }
      /**
       * Get all named imports for a module
       */
      get(moduleName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        return Array.from(moduleImports);
      }
      /**
       * Get a list of all used modules
       */
      get modules() {
        return Array.from(this.imports.keys());
      }
      /**
       * Return all imports as ESM import statements
       */
      asEsmImports() {
        return this.all().map(([moduleName, namedImports]) => `import { ${[...namedImports].join(", ")} } from "${moduleName}";`);
      }
      /**
       * Return all imports as CJS require statements
       */
      asCjsRequire() {
        return this.all().map(([moduleName, namedImports]) => `const { ${[...namedImports].join(", ")} } = require("${moduleName}");`);
      }
      all() {
        const allImports = Object.fromEntries(this.imports);
        return Object.entries(allImports).map(([key, value]) => [
          key,
          Array.from(value).sort()
        ]);
      }
    };
    exports2.ModuleImports = ModuleImports;
    function renderJavaScriptOptions(opts) {
      const renders = {};
      const optionsWithDefaults = [];
      const allImports = new ModuleImports();
      for (const option of opts.type.options) {
        if (option.deprecated) {
          continue;
        }
        const optionName = option.name;
        if (opts.args[optionName] !== void 0) {
          const arg = opts.args[optionName];
          const { js, moduleName, importName } = renderArgAsJavaScript(arg, option);
          renders[optionName] = `${optionName}: ${js},`;
          optionsWithDefaults.push(optionName);
          if (moduleName && importName) {
            allImports.add(moduleName, importName);
            if (opts.prefixImports) {
              const prefix = `${opts.prefixImports}["${moduleName}"].`;
              renders[optionName] = `${optionName}: ${prefix}${js},`;
            }
          }
        } else {
          const defaultValue = option.default?.startsWith("-") ? void 0 : option.default ?? void 0;
          renders[optionName] = `// ${optionName}: ${defaultValue},`;
        }
      }
      const bootstrap = opts.bootstrap ?? false;
      if (bootstrap) {
        for (const arg of opts.omitFromBootstrap ?? []) {
          delete opts.args[arg];
        }
        renders[PROJEN_NEW] = `${PROJEN_NEW}: ${JSON.stringify({
          args: opts.args,
          fqn: opts.type.fqn,
          comments: opts.comments
        })},`;
        optionsWithDefaults.push(PROJEN_NEW);
      }
      const result = [];
      result.push("{");
      optionsWithDefaults.sort();
      for (const optionName of optionsWithDefaults) {
        result.push(`${TAB}${renders[optionName]}`);
      }
      if (result.length > 1) {
        result.push("");
      }
      if (opts.comments === option_hints_1.InitProjectOptionHints.ALL) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0);
        result.push(...renderCommentedOptionsByModule(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.FEATURED) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0 && opt.featured);
        result.push(...renderCommentedOptionsInOrder(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.NONE) {
      }
      if (result[result.length - 1] === "") {
        result.pop();
      }
      result.push("}");
      return { renderedOptions: result.join("\n"), imports: allImports };
    }
    exports2.renderJavaScriptOptions = renderJavaScriptOptions;
    function renderCommentedOptionsByModule(renders, options) {
      const optionsByModule = {};
      for (const option of options) {
        const parentModule = option.parent;
        optionsByModule[parentModule] = optionsByModule[parentModule] ?? [];
        optionsByModule[parentModule].push(option);
      }
      for (const parentModule in optionsByModule) {
        optionsByModule[parentModule].sort((o1, o2) => o1.name.localeCompare(o2.name));
      }
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const [moduleName, optionGroup] of Object.entries(optionsByModule).sort()) {
        result.push(`${TAB}/* ${moduleName} */`);
        for (const option of optionGroup) {
          const paramRender = renders[option.name];
          const docstring = option.docs || "No documentation found.";
          result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
        }
        result.push("");
      }
      return result;
    }
    function renderCommentedOptionsInOrder(renders, options) {
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const option of options) {
        const paramRender = renders[option.name];
        const docstring = option.docs || "No documentation found.";
        result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
      }
      return result;
    }
    function renderArgAsJavaScript(arg, option) {
      if (option.kind === "enum") {
        if (!option.fqn) {
          throw new Error(`fqn field is missing from enum option ${option.name}`);
        }
        const parts = option.fqn.split(".");
        const enumChoice = String(arg).toUpperCase().replace(/-/g, "_");
        const js = `${parts.slice(1).join(".")}.${enumChoice}`;
        const moduleName = parts[0];
        const importName = parts[1];
        return { js, moduleName, importName };
      } else if (option.jsonLike) {
        return { js: JSON.stringify(arg) };
      } else {
        throw new Error(`Unexpected option ${option.name} - cannot render a value for this option because it does not have a JSON-like type.`);
      }
    }
    function makePadding(paddingLength) {
      return " ".repeat(paddingLength);
    }
  }
});

// ../../components/environments/node_modules/projen/lib/project-build.js
var require_project_build = __commonJS({
  "../../components/environments/node_modules/projen/lib/project-build.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectBuild = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var ProjectBuild = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.preCompileTask = project.tasks.addTask("pre-compile", {
          description: "Prepare the project for compilation"
        });
        this.compileTask = project.tasks.addTask("compile", {
          description: "Only compile"
        });
        this.postCompileTask = project.tasks.addTask("post-compile", {
          description: "Runs after successful compilation"
        });
        this.testTask = project.tasks.addTask("test", {
          description: "Run tests"
        });
        this.packageTask = project.tasks.addTask("package", {
          description: "Creates the distribution package"
        });
        this.buildTask = project.tasks.addTask("build", {
          description: "Full release build"
        });
        if (!this.project.parent && this.project.defaultTask) {
          this.buildTask.spawn(this.project.defaultTask);
        }
        this.buildTask.spawn(this.preCompileTask);
        this.buildTask.spawn(this.compileTask);
        this.buildTask.spawn(this.postCompileTask);
        this.buildTask.spawn(this.testTask);
        this.buildTask.spawn(this.packageTask);
        this.buildTask.lock();
      }
    };
    exports2.ProjectBuild = ProjectBuild;
    _a = JSII_RTTI_SYMBOL_1;
    ProjectBuild[_a] = { fqn: "projen.ProjectBuild", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/projenrc-json.js
var require_projenrc_json = __commonJS({
  "../../components/environments/node_modules/projen/lib/projenrc-json.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = exports2.ProjenrcJson = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var projenrc_1 = require_projenrc();
    var ProjenrcJson = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.json";
        project.defaultTask?.env("FILENAME", this.filePath);
        project.defaultTask?.builtin("run-projenrc-json");
        this.generateProjenrc();
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const json = {
          type: bootstrap.fqn,
          ...bootstrap.args
        };
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, JSON.stringify(json, null, 2));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcJson = ProjenrcJson;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcJson[_a] = { fqn: "projen.ProjenrcJson", version: "0.71.112" };
    var Projenrc = class extends ProjenrcJson {
    };
    exports2.Projenrc = Projenrc;
    _b = JSII_RTTI_SYMBOL_1;
    Projenrc[_b] = { fqn: "projen.Projenrc", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/renovatebot.js
var require_renovatebot = __commonJS({
  "../../components/environments/node_modules/projen/lib/renovatebot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Renovatebot = exports2.RenovatebotScheduleInterval = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var json_1 = require_json();
    var RenovatebotScheduleInterval;
    (function(RenovatebotScheduleInterval2) {
      RenovatebotScheduleInterval2["ANY_TIME"] = "at any time";
      RenovatebotScheduleInterval2["EARLY_MONDAYS"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["DAILY"] = "before 2am";
      RenovatebotScheduleInterval2["WEEKLY"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["MONTHLY"] = "before 3am on the first day of the month";
      RenovatebotScheduleInterval2["QUARTERLY"] = "every 3 months on the first day of the month";
      RenovatebotScheduleInterval2["WEEKENDS"] = "every weekend";
      RenovatebotScheduleInterval2["WEEKDAYS"] = "every weekday";
    })(RenovatebotScheduleInterval || (exports2.RenovatebotScheduleInterval = RenovatebotScheduleInterval = {}));
    var Renovatebot = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this._project = project;
        this.explicitIgnores = options.ignore ?? [];
        this.labels = options.labels;
        this.scheduleInterval = options.scheduleInterval ?? [
          RenovatebotScheduleInterval.ANY_TIME
        ];
        (options.ignoreProjen ?? true) && this.explicitIgnores.push("projen");
        this.overrideConfig = options.overrideConfig ?? {};
        this.marker = options.marker ?? true;
      }
      // create actual file only here, so we know that all dependencies are added to the project
      preSynthesize() {
        this.createRenovateConfiguration();
      }
      createRenovateConfiguration() {
        const renovateIgnore = [
          ...new Set(this._project.deps.all.filter((dep) => dep.version || dep.type === dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(this.explicitIgnores))
        ];
        const config = {
          labels: this.labels,
          schedule: this.scheduleInterval,
          extends: [
            ":preserveSemverRanges",
            "config:base",
            "group:allNonMajor",
            "group:recommended",
            "group:monorepos"
          ],
          packageRules: [
            {
              matchDepTypes: ["devDependencies"],
              matchUpdateTypes: ["patch", "minor"],
              groupName: "devDependencies (non-major)"
            }
          ],
          ignoreDeps: renovateIgnore,
          ...this.overrideConfig
        };
        new json_1.JsonFile(this._project, "renovate.json5", {
          obj: config,
          committed: true,
          marker: this.marker
        });
      }
    };
    exports2.Renovatebot = Renovatebot;
    _a = JSII_RTTI_SYMBOL_1;
    Renovatebot[_a] = { fqn: "projen.Renovatebot", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/task.js
var require_task = __commonJS({
  "../../components/environments/node_modules/projen/lib/task.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Task = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var logging_1 = require_logging();
    var Task = class {
      constructor(name, props = {}) {
        this.name = name;
        this._description = props.description;
        this._conditions = props.condition ? [props.condition] : [];
        this.cwd = props.cwd;
        this._locked = false;
        this._env = props.env ?? {};
        this._steps = props.steps ?? [];
        this.requiredEnv = props.requiredEnv;
        if (props.exec && props.steps) {
          throw new Error("cannot specify both exec and steps");
        }
        if (props.exec) {
          this.exec(props.exec, { receiveArgs: props.receiveArgs });
        }
      }
      /**
       * Forbid additional changes to this task.
       */
      lock() {
        this._locked = true;
      }
      /**
       * Returns the description of this task.
       */
      get description() {
        return this._description;
      }
      /**
       * Sets the description of this task.
       */
      set description(desc) {
        this._description = desc;
      }
      /**
       * A command to execute which determines if the task should be skipped. If it
       * returns a zero exit code, the task will not be executed.
       */
      get condition() {
        if (this._conditions?.length) {
          return this._conditions.join(" && ");
        }
        return void 0;
      }
      /**
       * Add a command to execute which determines if the task should be skipped.
       *
       * If a condition already exists, the new condition will be appended with ` && ` delimiter.
       * @param condition The command to execute.
       * @see {@link Task.condition}
       */
      addCondition(...condition) {
        this._conditions.push(...condition);
      }
      /**
       * Reset the task so it no longer has any commands.
       * @param command the first command to add to the task after it was cleared.
       */
      reset(command, options = {}) {
        this.assertUnlocked();
        while (this._steps.length) {
          this._steps.shift();
        }
        if (command) {
          this.exec(command, options);
        }
      }
      /**
       * Executes a shell command
       * @param command Shell command
       * @param options Options
       */
      exec(command, options = {}) {
        this.assertUnlocked();
        this._steps.push({ exec: command, ...options });
      }
      /**
       * Execute a builtin task.
       *
       * Builtin tasks are programs bundled as part of projen itself and used as
       * helpers for various components.
       *
       * In the future we should support built-in tasks from external modules.
       *
       * @param name The name of the builtin task to execute (e.g.
       * `release/resolve-version`).
       */
      builtin(name) {
        this.assertUnlocked();
        this._steps.push({ builtin: name });
      }
      /**
       * Say something.
       * @param message Your message
       * @param options Options
       */
      say(message, options = {}) {
        this.assertUnlocked();
        this._steps.push({ say: message, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       *
       * @deprecated use `prependExec()`
       */
      prepend(shell, options = {}) {
        this.assertUnlocked();
        this.prependExec(shell, options);
      }
      /**
       * Spawns a sub-task.
       * @param subtask The subtask to execute.
       */
      spawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.push({ spawn: subtask.name, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       */
      prependExec(shell, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          exec: shell,
          ...options
        });
      }
      /**
       * Adds a spawn instruction at the beginning of the task.
       * @param subtask The subtask to execute.
       */
      prependSpawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          spawn: subtask.name,
          ...options
        });
      }
      /**
       * Says something at the beginning of the task.
       * @param message Your message
       */
      prependSay(message, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          say: message,
          ...options
        });
      }
      /**
       * Adds an environment variable to this task.
       * @param name The name of the variable
       * @param value The value. If the value is surrounded by `$()`, we will
       * evaluate it within a subshell and use the result as the value of the
       * environment variable.
       */
      env(name, value) {
        this.assertUnlocked();
        this._env[name] = value;
      }
      /**
       * Returns an immutable copy of all the step specifications of the task.
       */
      get steps() {
        if (!Array.isArray(this._steps)) {
          return [];
        }
        return [...this._steps];
      }
      /**
       * Renders a task spec into the manifest.
       *
       * @internal
       */
      _renderSpec() {
        const env = Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
        const steps = Array.isArray(this._steps) ? [...this._steps].map((s) => {
          return s.env ? {
            ...s,
            env: Object.keys(s.env).reduce((prev, curr) => ({
              ...prev,
              [curr]: this.getEnvString(curr, s.env[curr])
            }), {})
          } : s;
        }) : this._steps;
        return {
          name: this.name,
          description: this.description,
          env,
          requiredEnv: this.requiredEnv,
          steps,
          condition: this.condition,
          cwd: this.cwd
        };
      }
      assertUnlocked() {
        if (this._locked) {
          throw new Error(`Task "${this.name}" is locked for changes`);
        }
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Task = Task;
    _a = JSII_RTTI_SYMBOL_1;
    Task[_a] = { fqn: "projen.Task", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/task-runtime.js
var require_task_runtime = __commonJS({
  "../../components/environments/node_modules/projen/lib/task-runtime.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskRuntime = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var child_process_1 = require("child_process");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path_1 = require("path");
    var path = require("path");
    var util_1 = require("util");
    var chalk_1 = require_source();
    var common_1 = require_common();
    var logging = require_logging();
    var ENV_TRIM_LEN = 20;
    var ARGS_MARKER = "$@";
    var TaskRuntime = class _TaskRuntime {
      constructor(workdir) {
        this.workdir = (0, path_1.resolve)(workdir);
        const manifestPath = (0, path_1.join)(this.workdir, _TaskRuntime.MANIFEST_FILE);
        this.manifest = (0, fs_1.existsSync)(manifestPath) ? JSON.parse((0, fs_1.readFileSync)(manifestPath, "utf-8")) : { tasks: {} };
      }
      /**
       * The tasks in this project.
       */
      get tasks() {
        return Object.values(this.manifest.tasks ?? {});
      }
      /**
       * Find a task by name, or `undefined` if not found.
       */
      tryFindTask(name) {
        if (!this.manifest.tasks) {
          return void 0;
        }
        return this.manifest.tasks[name];
      }
      /**
       * Runs the task.
       * @param name The task name.
       */
      runTask(name, parents = [], args = []) {
        const task = this.tryFindTask(name);
        if (!task) {
          throw new Error(`cannot find command ${task}`);
        }
        new RunTask(this, task, parents, args);
      }
    };
    exports2.TaskRuntime = TaskRuntime;
    _a = JSII_RTTI_SYMBOL_1;
    TaskRuntime[_a] = { fqn: "projen.TaskRuntime", version: "0.71.112" };
    TaskRuntime.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "tasks.json");
    var RunTask = class {
      constructor(runtime, task, parents = [], args = []) {
        this.runtime = runtime;
        this.task = task;
        this.env = {};
        this.workdir = task.cwd ?? this.runtime.workdir;
        this.parents = parents;
        if (!task.steps || task.steps.length === 0) {
          this.logDebug((0, chalk_1.gray)("No actions have been specified for this task."));
          return;
        }
        this.env = this.resolveEnvironment(parents);
        const envlogs = [];
        for (const [k, v] of Object.entries(this.env)) {
          const vv = v ?? "";
          const trimmed = vv.length > ENV_TRIM_LEN ? vv.substr(0, ENV_TRIM_LEN) + "..." : vv;
          envlogs.push(`${k}=${trimmed}`);
        }
        if (envlogs.length) {
          this.logDebug((0, chalk_1.gray)(`${(0, chalk_1.underline)("env")}: ${envlogs.join(" ")}`));
        }
        if (!this.evalCondition(task)) {
          this.log("condition exited with non-zero - skipping");
          return;
        }
        const merged = { ...process.env, ...this.env };
        const missing = new Array();
        for (const name of task.requiredEnv ?? []) {
          if (!(name in merged)) {
            missing.push(name);
          }
        }
        if (missing.length > 0) {
          throw new Error(`missing required environment variables: ${missing.join(",")}`);
        }
        for (const step of task.steps) {
          if (!this.evalCondition(step)) {
            this.log("condition exited with non-zero - skipping");
            continue;
          }
          const argsList = [
            ...step.args || [],
            ...step.receiveArgs ? args : []
          ].map((a) => a.toString());
          if (step.say) {
            logging.info(this.fmtLog(step.say));
          }
          if (step.spawn) {
            this.runtime.runTask(step.spawn, [...this.parents, this.task.name], argsList);
          }
          const execs = step.exec ? [step.exec] : [];
          const env = this.evalEnvironment(step.env ?? {});
          if (step.builtin) {
            execs.push(this.renderBuiltin(step.builtin));
          }
          for (const exec of execs) {
            let command = "";
            let hasError = false;
            const cmd = exec.split(" ")[0];
            if ((0, os_1.platform)() == "win32" && ["mkdir", "mv", "rm", "cp"].includes(cmd)) {
              command = `shx ${exec}`;
            } else {
              command = exec;
            }
            if (command.includes(ARGS_MARKER)) {
              command = command.replace(ARGS_MARKER, argsList.join(" "));
            } else {
              command = [command, ...argsList].join(" ");
            }
            const cwd = step.cwd;
            try {
              const result = this.shell({
                command,
                cwd,
                extraEnv: env
              });
              hasError = result.status !== 0;
            } catch (e) {
              if (e?.message?.startsWith("non-zero exit code:")) {
                hasError = true;
              }
              throw e;
            }
            if (hasError) {
              throw new Error(`Task "${this.fullname}" failed when executing "${command}" (cwd: ${(0, path_1.resolve)(cwd ?? this.workdir)})`);
            }
          }
        }
      }
      /**
       * Determines if a task should be executed based on "condition".
       *
       * @returns true if the task should be executed or false if the condition
       * evaluates to false (exits with non-zero), indicating that the task should
       * be skipped.
       */
      evalCondition(taskOrStep) {
        if (!taskOrStep.condition) {
          return true;
        }
        this.log((0, chalk_1.gray)(`${(0, chalk_1.underline)("condition")}: ${taskOrStep.condition}`));
        const result = this.shell({
          command: taskOrStep.condition,
          logprefix: "condition: ",
          quiet: true
        });
        if (result.status === 0) {
          return true;
        } else {
          return false;
        }
      }
      /**
       * Evaluates environment variables from shell commands (e.g. `$(xx)`)
       */
      evalEnvironment(env) {
        const output = {};
        for (const [key, value] of Object.entries(env ?? {})) {
          if (String(value).startsWith("$(") && String(value).endsWith(")")) {
            const query = value.substring(2, value.length - 1);
            const result = this.shellEval({ command: query });
            if (result.status !== 0) {
              const error = result.error ? result.error.stack : result.stderr?.toString() ?? "unknown error";
              throw new Error(`unable to evaluate environment variable ${key}=${value}: ${error}`);
            }
            output[key] = result.stdout.toString("utf-8").trim();
          } else {
            output[key] = value;
          }
        }
        return output;
      }
      /**
       * Renders the runtime environment for a task. Namely, it supports this syntax
       * `$(xx)` for allowing environment to be evaluated by executing a shell
       * command and obtaining its result.
       */
      resolveEnvironment(parents) {
        let env = this.runtime.manifest.env ?? {};
        for (const parent of parents) {
          env = {
            ...env,
            ...this.runtime.tryFindTask(parent)?.env ?? {}
          };
        }
        env = {
          ...env,
          ...this.task.env ?? {}
        };
        return this.evalEnvironment(env ?? {});
      }
      /**
       * Returns the "full name" of the task which includes all it's parent task names concatenated by chevrons.
       */
      get fullname() {
        return [...this.parents, this.task.name].join(" \xBB ");
      }
      log(...args) {
        logging.verbose(this.fmtLog(...args));
      }
      logDebug(...args) {
        logging.debug(this.fmtLog(...args));
      }
      fmtLog(...args) {
        return (0, util_1.format)(`${(0, chalk_1.underline)(this.fullname)} |`, ...args);
      }
      shell(options) {
        const quiet = options.quiet ?? false;
        if (!quiet) {
          const log = new Array();
          if (options.logprefix) {
            log.push(options.logprefix);
          }
          log.push(options.command);
          if (options.cwd) {
            log.push(`(cwd: ${options.cwd})`);
          }
          this.log(log.join(" "));
        }
        const cwd = options.cwd ?? this.workdir;
        if (!(0, fs_1.existsSync)(cwd) || !(0, fs_1.statSync)(cwd).isDirectory()) {
          throw new Error(`invalid workdir (cwd): ${cwd} must be an existing directory`);
        }
        return (0, child_process_1.spawnSync)(options.command, {
          ...options,
          cwd,
          shell: true,
          stdio: "inherit",
          env: {
            ...process.env,
            ...this.env,
            ...options.extraEnv
          },
          ...options.spawnOptions
        });
      }
      shellEval(options) {
        return this.shell({
          quiet: true,
          ...options,
          spawnOptions: {
            stdio: ["inherit", "pipe", "inherit"]
          }
        });
      }
      renderBuiltin(builtin) {
        const moduleRoot = (0, path_1.dirname)(require.resolve("../package.json"));
        const program = require.resolve((0, path_1.join)(moduleRoot, "lib", `${builtin}.task.js`));
        return `${process.execPath} ${program}`;
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/tasks.js
var require_tasks = __commonJS({
  "../../components/environments/node_modules/projen/lib/tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Tasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component();
    var json_1 = require_json();
    var logging_1 = require_logging();
    var task_1 = require_task();
    var task_runtime_1 = require_task_runtime();
    var Tasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this._tasks = {};
        this._env = {};
        new json_1.JsonFile(project, task_runtime_1.TaskRuntime.MANIFEST_FILE, {
          omitEmpty: true,
          obj: {
            tasks: () => this.renderTasks(),
            env: () => this.renderEnv()
          }
        });
      }
      /**
       * All tasks.
       */
      get all() {
        return Object.values(this._tasks);
      }
      /**
       * Adds a task to a project.
       * @param name The name of the task
       * @param options Task options.
       */
      addTask(name, options = {}) {
        const task = new task_1.Task(name, options);
        if (this._tasks[name]) {
          throw new Error(`A task with the name ${name} already exists. To override it, call removeTask first and then create the new task.`);
        }
        this._tasks[name] = task;
        return task;
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        const dependentTasks = this.all.filter((task2) => task2.steps.find((step) => step.spawn == name));
        if (dependentTasks.length > 0) {
          const errList = dependentTasks.map((depTask) => depTask.name).join(", ");
          throw new Error(`Unable to remove task "${name}" because the following tasks depend on it: ${errList}`);
        }
        const task = this._tasks[name];
        if (task) {
          delete this._tasks[name];
          return task;
        } else {
          return void 0;
        }
      }
      /**
       * Adds global environment.
       * @param name Environment variable name
       * @param value Value
       */
      addEnvironment(name, value) {
        this._env[name] = value;
      }
      /**
       * Returns a copy of the currently global environment for this project.
       */
      get env() {
        return {
          ...this._env
        };
      }
      /**
       * Finds a task by name. Returns `undefined` if the task cannot be found.
       * @param name The name of the task
       */
      tryFind(name) {
        return this._tasks[name];
      }
      synthesize() {
        if (this.project.ejected) {
          fs.mkdirSync(path.join(this.project.outdir, "scripts"), {
            recursive: true
          });
          fs.copyFileSync(path.join(__dirname + "/externals/projen/lib", "..", "lib", "run-task.js"), path.join(this.project.outdir, "scripts", "run-task"));
          fs.chmodSync(path.join(this.project.outdir, "scripts", "run-task"), "755");
        }
      }
      renderTasks() {
        const tasks = {};
        for (const task of Object.values(this._tasks).sort((x, y) => x.name.localeCompare(y.name))) {
          tasks[task.name] = task._renderSpec();
        }
        return tasks;
      }
      renderEnv() {
        return Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Tasks = Tasks;
    _a = JSII_RTTI_SYMBOL_1;
    Tasks[_a] = { fqn: "projen.Tasks", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/project.js
var require_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectType = exports2.Project = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path = require("path");
    var glob = require_glob();
    var cleanup_1 = require_cleanup();
    var common_1 = require_common();
    var dependencies_1 = require_dependencies();
    var file_1 = require_file();
    var gitattributes_1 = require_gitattributes();
    var ignore_file_1 = require_ignore_file();
    var render_options_1 = require_render_options();
    var json_1 = require_json();
    var logger_1 = require_logger();
    var object_file_1 = require_object_file();
    var project_build_1 = require_project_build();
    var projenrc_json_1 = require_projenrc_json();
    var renovatebot_1 = require_renovatebot();
    var tasks_1 = require_tasks();
    var util_1 = require_util2();
    var Project = class _Project {
      constructor(options) {
        this._components = new Array();
        this._subprojects = new Array();
        this.tips = new Array();
        this.initProject = (0, render_options_1.resolveInitProject)(options);
        this.name = options.name;
        this.parent = options.parent;
        this.excludeFromCleanup = [];
        this._ejected = (0, util_1.isTruthy)(process.env.PROJEN_EJECTING);
        if (this.ejected) {
          this.projenCommand = "scripts/run-task";
        } else {
          this.projenCommand = options.projenCommand ?? "npx projen";
        }
        this.outdir = this.determineOutdir(options.outdir);
        this.root = this.parent ? this.parent.root : this;
        this.parent?._addSubProject(this);
        this.gitattributes = new gitattributes_1.GitAttributesFile(this);
        this.annotateGenerated("/.projen/**");
        this.annotateGenerated(`/${this.gitattributes.path}`);
        if (options.gitOptions?.lfsPatterns) {
          for (const pattern of options.gitOptions.lfsPatterns) {
            this.gitattributes.addAttributes(pattern, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
          }
        }
        this.gitignore = new ignore_file_1.IgnoreFile(this, ".gitignore", options.gitIgnoreOptions);
        this.gitignore.exclude("node_modules/");
        this.gitignore.include(`/${this.gitattributes.path}`);
        this.tasks = new tasks_1.Tasks(this);
        if (!this.ejected) {
          this.defaultTask = this.tasks.addTask(_Project.DEFAULT_TASK, {
            description: "Synthesize project files"
          });
          if (this.parent) {
            this.defaultTask.exec(`${this.projenCommand} ${_Project.DEFAULT_TASK}`, {
              cwd: path.relative(this.outdir, this.root.outdir)
            });
          }
          if (!this.parent) {
            this.ejectTask = this.tasks.addTask("eject", {
              description: "Remove projen from the project",
              env: {
                PROJEN_EJECTING: "true"
              }
            });
            this.ejectTask.spawn(this.defaultTask);
          }
        }
        this.projectBuild = new project_build_1.ProjectBuild(this);
        this.deps = new dependencies_1.Dependencies(this);
        this.logger = new logger_1.Logger(this, options.logging);
        const projenrcJson = options.projenrcJson ?? false;
        if (!this.parent && projenrcJson) {
          new projenrc_json_1.ProjenrcJson(this, options.projenrcJsonOptions);
        }
        if (options.renovatebot) {
          new renovatebot_1.Renovatebot(this, options.renovatebotOptions);
        }
        this.commitGenerated = options.commitGenerated ?? true;
        if (!this.ejected) {
          new json_1.JsonFile(this, cleanup_1.FILE_MANIFEST, {
            omitEmpty: true,
            obj: () => ({
              // replace `\` with `/` to ensure paths match across platforms
              files: this.files.filter((f) => f.readonly).map((f) => f.path.replace(/\\/g, "/"))
            }),
            // This file is used by projen to track the generated files, so must be committed.
            committed: true
          });
        }
      }
      /**
       * Returns all the components within this project.
       */
      get components() {
        return [...this._components];
      }
      /**
       * Returns all the subprojects within this project.
       */
      get subprojects() {
        return [...this._subprojects];
      }
      /**
       * All files in this project.
       */
      get files() {
        const isFile = (c) => c instanceof file_1.FileBase;
        return this._components.filter(isFile).sort((f1, f2) => f1.path.localeCompare(f2.path));
      }
      /**
       * Adds a new task to this project. This will fail if the project already has
       * a task with this name.
       *
       * @param name The task name to add
       * @param props Task properties
       */
      addTask(name, props = {}) {
        return this.tasks.addTask(name, props);
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        return this.tasks.removeTask(name);
      }
      get buildTask() {
        return this.projectBuild.buildTask;
      }
      get compileTask() {
        return this.projectBuild.compileTask;
      }
      get testTask() {
        return this.projectBuild.testTask;
      }
      get preCompileTask() {
        return this.projectBuild.preCompileTask;
      }
      get postCompileTask() {
        return this.projectBuild.postCompileTask;
      }
      get packageTask() {
        return this.projectBuild.packageTask;
      }
      /**
       * Finds a file at the specified relative path within this project and all
       * its subprojects.
       *
       * @param filePath The file path. If this path is relative, it will be resolved
       * from the root of _this_ project.
       * @returns a `FileBase` or undefined if there is no file in that path
       */
      tryFindFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        for (const file of this.files) {
          if (absolute === file.absolutePath) {
            return file;
          }
        }
        for (const child of this._subprojects) {
          const file = child.tryFindFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Finds a json file by name.
       * @param filePath The file path.
       * @deprecated use `tryFindObjectFile`
       */
      tryFindJsonFile(filePath) {
        const file = this.tryFindObjectFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof json_1.JsonFile)) {
          throw new Error(`found file ${filePath} but it is not a JsonFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds an object file (like JsonFile, YamlFile, etc.) by name.
       * @param filePath The file path.
       */
      tryFindObjectFile(filePath) {
        const file = this.tryFindFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof object_file_1.ObjectFile)) {
          throw new Error(`found file ${filePath} but it is not a ObjectFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds a file at the specified relative path within this project and removes
       * it.
       *
       * @param filePath The file path. If this path is relative, it will be
       * resolved from the root of _this_ project.
       * @returns a `FileBase` if the file was found and removed, or undefined if
       * the file was not found.
       */
      tryRemoveFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        const isFile = (c) => c instanceof file_1.FileBase;
        const index = this._components.findIndex((c) => isFile(c) && c.absolutePath === absolute);
        if (index !== -1) {
          return this._components.splice(index, 1)[0];
        }
        for (const child of this._subprojects) {
          const file = child.tryRemoveFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Prints a "tip" message during synthesis.
       * @param message The message
       * @deprecated - use `project.logger.info(message)` to show messages during synthesis
       */
      addTip(message) {
        this.tips.push(message);
      }
      /**
       * Exclude the matching files from pre-synth cleanup. Can be used when, for example, some
       * source files include the projen marker and we don't want them to be erased during synth.
       *
       * @param globs The glob patterns to match
       */
      addExcludeFromCleanup(...globs) {
        this.excludeFromCleanup.push(...globs);
      }
      /**
       * Returns the shell command to execute in order to run a task.
       *
       * By default, this is `npx projen@<version> <task>`
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `npx projen@${common_1.PROJEN_VERSION} ${task.name}`;
      }
      /**
       * Exclude these files from the bundled package. Implemented by project types based on the
       * packaging mechanism. For example, `NodeProject` delegates this to `.npmignore`.
       *
       * @param _pattern The glob pattern to exclude
       */
      addPackageIgnore(_pattern) {
      }
      /**
       * Adds a .gitignore pattern.
       * @param pattern The glob pattern to ignore.
       */
      addGitIgnore(pattern) {
        this.gitignore.addPatterns(pattern);
      }
      /**
       * Consider a set of files as "generated". This method is implemented by
       * derived classes and used for example, to add git attributes to tell GitHub
       * that certain files are generated.
       *
       * @param _glob the glob pattern to match (could be a file path).
       */
      annotateGenerated(_glob) {
      }
      /**
       * Synthesize all project files into `outdir`.
       *
       * 1. Call "this.preSynthesize()"
       * 2. Delete all generated files
       * 3. Synthesize all sub-projects
       * 4. Synthesize all components of this project
       * 5. Call "postSynthesize()" for all components of this project
       * 6. Call "this.postSynthesize()"
       */
      synth() {
        const outdir = this.outdir;
        this.logger.debug("Synthesizing project...");
        this.preSynthesize();
        for (const comp of this._components) {
          comp.preSynthesize();
        }
        for (const subproject of this._subprojects) {
          this.addExcludeFromCleanup(subproject.outdir + "/**");
        }
        (0, cleanup_1.cleanup)(outdir, this.files.map((f) => f.path.replace(/\\/g, "/")), this.excludeFromCleanup);
        for (const subproject of this._subprojects) {
          subproject.synth();
        }
        for (const comp of this._components) {
          comp.synthesize();
        }
        if (!(0, util_1.isTruthy)(process.env.PROJEN_DISABLE_POST)) {
          for (const comp of this._components) {
            comp.postSynthesize();
          }
          this.postSynthesize();
        }
        if (this.ejected) {
          this.logger.debug("Ejecting project...");
          const files = glob.sync(".projenrc.*", {
            cwd: this.outdir,
            dot: true,
            nodir: true,
            absolute: true
          });
          for (const file of files) {
            (0, fs_1.renameSync)(file, `${file}.bak`);
          }
        }
        this.logger.debug("Synthesis complete");
      }
      /**
       * Whether or not the project is being ejected.
       */
      get ejected() {
        return this._ejected;
      }
      /**
       * Called before all components are synthesized.
       */
      preSynthesize() {
      }
      /**
       * Called after all components are synthesized. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
      /**
       * Adds a component to the project.
       * @internal
       */
      _addComponent(component) {
        this._components.push(component);
      }
      /**
       * Adds a sub-project to this project.
       *
       * This is automatically called when a new project is created with `parent`
       * pointing to this project, so there is no real need to call this manually.
       *
       * @param sub-project The child project to add.
       * @internal
       */
      _addSubProject(subproject) {
        if (subproject.parent !== this) {
          throw new Error('"parent" of child project must be this project');
        }
        for (const p of this._subprojects) {
          if (path.resolve(p.outdir) === path.resolve(subproject.outdir)) {
            throw new Error(`there is already a sub-project with "outdir": ${subproject.outdir}`);
          }
        }
        this._subprojects.push(subproject);
      }
      /**
       * Resolves the project's output directory.
       */
      determineOutdir(outdirOption) {
        if (this.parent && outdirOption && path.isAbsolute(outdirOption)) {
          throw new Error('"outdir" must be a relative path');
        }
        if (this.parent) {
          if (!outdirOption) {
            throw new Error('"outdir" must be specified for subprojects');
          }
          return path.resolve(this.parent.outdir, outdirOption);
        }
        if (common_1.IS_TEST_RUN && !outdirOption) {
          const realCwd = (0, fs_1.realpathSync)(process.cwd());
          const realTmp = (0, fs_1.realpathSync)((0, os_1.tmpdir)());
          if (realCwd.startsWith(realTmp)) {
            return path.resolve(realCwd, outdirOption ?? ".");
          }
          return (0, fs_1.mkdtempSync)(path.join((0, os_1.tmpdir)(), "projen."));
        }
        return path.resolve(outdirOption ?? ".");
      }
    };
    exports2.Project = Project;
    _a = JSII_RTTI_SYMBOL_1;
    Project[_a] = { fqn: "projen.Project", version: "0.71.112" };
    Project.DEFAULT_TASK = "default";
    var ProjectType;
    (function(ProjectType2) {
      ProjectType2["UNKNOWN"] = "unknown";
      ProjectType2["LIB"] = "lib";
      ProjectType2["APP"] = "app";
    })(ProjectType || (exports2.ProjectType = ProjectType = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/projects.js
var require_projects = __commonJS({
  "../../components/environments/node_modules/projen/lib/projects.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projects = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var vm = require("vm");
    var inventory_1 = require_inventory();
    var render_options_1 = require_render_options();
    var option_hints_1 = require_option_hints();
    var Projects = class {
      /**
       * Creates a new project with defaults.
       *
       * This function creates the project type in-process (with in VM) and calls
       * `.synth()` on it (if `options.synth` is not `false`).
       *
       * At the moment, it also generates a `.projenrc.js` file with the same code
       * that was just executed. In the future, this will also be done by the project
       * type, so we can easily support multiple languages of projenrc.
       *
       * An environment variable (PROJEN_CREATE_PROJECT=true) is set within the VM
       * so that custom project types can detect whether the current synthesis is the
       * result of a new project creation (and take additional steps accordingly)
       */
      static createProject(options) {
        createProject(options);
      }
      constructor() {
      }
    };
    exports2.Projects = Projects;
    _a = JSII_RTTI_SYMBOL_1;
    Projects[_a] = { fqn: "projen.Projects", version: "0.71.112" };
    function resolveModulePath(moduleName) {
      if (moduleName === "projen") {
        return "./index";
      }
      try {
        return path.dirname(require.resolve(path.join(moduleName, "package.json"), {
          paths: [process.cwd()]
        }));
      } catch (err) {
        throw new Error(`External project module '${moduleName}' could not be resolved.`);
      }
    }
    function createProject(opts) {
      const projectType = (0, inventory_1.resolveProjectType)(opts.projectFqn);
      const mod = resolveModulePath(projectType.moduleName);
      opts.projectOptions.outdir = opts.dir;
      const optionsImports = "_options" + Math.random().toString(36).slice(2);
      const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
        bootstrap: true,
        comments: opts.optionHints ?? option_hints_1.InitProjectOptionHints.FEATURED,
        type: projectType,
        args: opts.projectOptions,
        omitFromBootstrap: ["outdir"],
        prefixImports: optionsImports
      });
      const initProjectCode = new Array();
      const varName = "project" + Math.random().toString(36).slice(2);
      initProjectCode.push(`const ${varName} = new ${projectType.typename}(${renderedOptions});`);
      if (opts.synth ?? true) {
        initProjectCode.push(`${varName}.synth();`);
      }
      const mainModule = require(mod);
      const ctx = vm.createContext({
        ...mainModule,
        [optionsImports]: {
          ...imports.modules.reduce((optionsContext, currentModule) => ({
            ...optionsContext,
            // eslint-disable-next-line @typescript-eslint/no-require-imports
            [currentModule]: require(resolveModulePath(currentModule))
          }), {})
        }
      });
      const postSynth = opts.post ?? true;
      process.env.PROJEN_DISABLE_POST = (!postSynth).toString();
      process.env.PROJEN_CREATE_PROJECT = "true";
      vm.runInContext(initProjectCode.join("\n"), ctx);
    }
  }
});

// ../../components/environments/node_modules/projen/lib/sample-file.js
var require_sample_file = __commonJS({
  "../../components/environments/node_modules/projen/lib/sample-file.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleDir = exports2.SampleFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob();
    var component_1 = require_component();
    var util_1 = require_util2();
    var SampleFile = class extends component_1.Component {
      /**
       * Creates a new SampleFile object
       * @param project - the project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param options - the options for the file.
       */
      constructor(project, filePath, options) {
        super(project);
        if (options.contents && options.sourcePath) {
          throw new Error("Cannot specify both 'contents' and 'source' fields.");
        }
        if (!options.contents && !options.sourcePath) {
          throw new Error("Must specify at least one of 'contents' or 'source'.");
        }
        this.filePath = filePath;
        this.options = options;
      }
      synthesize() {
        let contents;
        if (this.options.contents) {
          contents = this.options.contents;
        } else if (this.options.sourcePath) {
          contents = fs.readFileSync(this.options.sourcePath);
        }
        this.writeOnceFileContents(this.project.outdir, this.filePath, contents ?? "");
      }
      /**
       * A helper function that will write the file once and return if it was written or not.
       * @param dir - the directory for the new file
       * @param filename - the filename for the new file
       * @param contents - the contents of the file to write
       * @return boolean - whether a new file was written or not.
       * @private
       */
      writeOnceFileContents(dir, filename, contents) {
        const fullFilename = path.join(dir, filename);
        if (fs.existsSync(fullFilename)) {
          return;
        }
        (0, util_1.writeFile)(fullFilename, contents, { readonly: false });
      }
    };
    exports2.SampleFile = SampleFile;
    _a = JSII_RTTI_SYMBOL_1;
    SampleFile[_a] = { fqn: "projen.SampleFile", version: "0.71.112" };
    var SampleDir = class extends component_1.Component {
      /**
       * Create sample files in the given directory if the given directory does not exist
       * @param project Parent project to add files to.
       * @param dir directory to add files to. If directory already exists, nothing is added.
       * @param options options for which files to create.
       */
      constructor(project, dir, options) {
        super(project);
        if (!options.files && !options.sourceDir) {
          throw new Error("Must specify at least one of 'files' or 'source'.");
        }
        this.dir = dir;
        this.options = options;
      }
      synthesize() {
        const fullOutdir = path.join(this.project.outdir, this.dir);
        if (fs.existsSync(fullOutdir)) {
          return;
        }
        fs.mkdirSync(fullOutdir, { recursive: true });
        if (this.options.sourceDir) {
          const basedir = this.options.sourceDir;
          const files = glob.sync("**", {
            cwd: basedir,
            nodir: true,
            dot: true
          });
          for (const file of files) {
            const sourcePath = path.join(basedir, file);
            const targetPath = path.join(fullOutdir, file);
            fs.mkdirSync(path.dirname(targetPath), { recursive: true });
            fs.copyFileSync(sourcePath, targetPath);
            fs.chmodSync(targetPath, (0, util_1.getFilePermissions)({ readonly: false, executable: false }));
          }
        }
        for (const filename in this.options.files) {
          (0, util_1.writeFile)(path.join(fullOutdir, filename), this.options.files[filename]);
        }
      }
    };
    exports2.SampleDir = SampleDir;
    _b = JSII_RTTI_SYMBOL_1;
    SampleDir[_b] = { fqn: "projen.SampleDir", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/readme.js
var require_readme = __commonJS({
  "../../components/environments/node_modules/projen/lib/readme.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleReadme = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var sample_file_1 = require_sample_file();
    var SampleReadme = class extends sample_file_1.SampleFile {
      constructor(project, props) {
        super(project, props?.filename ?? "README.md", {
          contents: props?.contents ?? "# replace this"
        });
      }
    };
    exports2.SampleReadme = SampleReadme;
    _a = JSII_RTTI_SYMBOL_1;
    SampleReadme[_a] = { fqn: "projen.SampleReadme", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/semver/internal/constants.js
var require_constants = __commonJS({
  "../../components/environments/node_modules/semver/internal/constants.js"(exports2, module2) {
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH = 256;
    var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    module2.exports = {
      MAX_LENGTH,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
  }
});

// ../../components/environments/node_modules/semver/internal/debug.js
var require_debug = __commonJS({
  "../../components/environments/node_modules/semver/internal/debug.js"(exports2, module2) {
    var debug = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args) => console.error("SEMVER", ...args) : () => {
    };
    module2.exports = debug;
  }
});

// ../../components/environments/node_modules/semver/internal/re.js
var require_re = __commonJS({
  "../../components/environments/node_modules/semver/internal/re.js"(exports2, module2) {
    var { MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH } = require_constants();
    var debug = require_debug();
    exports2 = module2.exports = {};
    var re = exports2.re = [];
    var safeRe = exports2.safeRe = [];
    var src = exports2.src = [];
    var t = exports2.t = {};
    var R = 0;
    var LETTERDASHNUMBER = "[a-zA-Z0-9-]";
    var safeRegexReplacements = [
      ["\\s", 1],
      ["\\d", MAX_SAFE_COMPONENT_LENGTH],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH]
    ];
    var makeSafeRegex = (value) => {
      for (const [token, max] of safeRegexReplacements) {
        value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
      }
      return value;
    };
    var createToken = (name, value, isGlobal) => {
      const safe = makeSafeRegex(value);
      const index = R++;
      debug(name, index, value);
      t[name] = index;
      src[index] = value;
      re[index] = new RegExp(value, isGlobal ? "g" : void 0);
      safeRe[index] = new RegExp(safe, isGlobal ? "g" : void 0);
    };
    createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
    createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
    createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
    createToken("MAINVERSION", `(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})`);
    createToken("MAINVERSIONLOOSE", `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})`);
    createToken("PRERELEASEIDENTIFIER", `(?:${src[t.NUMERICIDENTIFIER]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src[t.NUMERICIDENTIFIERLOOSE]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASE", `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`);
    createToken("PRERELEASELOOSE", `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`);
    createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
    createToken("BUILD", `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`);
    createToken("FULLPLAIN", `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`);
    createToken("FULL", `^${src[t.FULLPLAIN]}$`);
    createToken("LOOSEPLAIN", `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`);
    createToken("LOOSE", `^${src[t.LOOSEPLAIN]}$`);
    createToken("GTLT", "((?:<|>)?=?)");
    createToken("XRANGEIDENTIFIERLOOSE", `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
    createToken("XRANGEIDENTIFIER", `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`);
    createToken("XRANGEPLAIN", `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`);
    createToken("XRANGELOOSE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:$|[^\\d])`);
    createToken("COERCERTL", src[t.COERCE], true);
    createToken("LONETILDE", "(?:~>?)");
    createToken("TILDETRIM", `(\\s*)${src[t.LONETILDE]}\\s+`, true);
    exports2.tildeTrimReplace = "$1~";
    createToken("TILDE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`);
    createToken("TILDELOOSE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("LONECARET", "(?:\\^)");
    createToken("CARETTRIM", `(\\s*)${src[t.LONECARET]}\\s+`, true);
    exports2.caretTrimReplace = "$1^";
    createToken("CARET", `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`);
    createToken("CARETLOOSE", `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COMPARATORLOOSE", `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`);
    createToken("COMPARATOR", `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`);
    createToken("COMPARATORTRIM", `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true);
    exports2.comparatorTrimReplace = "$1$2$3";
    createToken("HYPHENRANGE", `^\\s*(${src[t.XRANGEPLAIN]})\\s+-\\s+(${src[t.XRANGEPLAIN]})\\s*$`);
    createToken("HYPHENRANGELOOSE", `^\\s*(${src[t.XRANGEPLAINLOOSE]})\\s+-\\s+(${src[t.XRANGEPLAINLOOSE]})\\s*$`);
    createToken("STAR", "(<|>)?=?\\s*\\*");
    createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
    createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
  }
});

// ../../components/environments/node_modules/semver/internal/parse-options.js
var require_parse_options = __commonJS({
  "../../components/environments/node_modules/semver/internal/parse-options.js"(exports2, module2) {
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions = (options) => {
      if (!options) {
        return emptyOpts;
      }
      if (typeof options !== "object") {
        return looseOption;
      }
      return options;
    };
    module2.exports = parseOptions;
  }
});

// ../../components/environments/node_modules/semver/internal/identifiers.js
var require_identifiers = __commonJS({
  "../../components/environments/node_modules/semver/internal/identifiers.js"(exports2, module2) {
    var numeric = /^[0-9]+$/;
    var compareIdentifiers = (a, b) => {
      const anum = numeric.test(a);
      const bnum = numeric.test(b);
      if (anum && bnum) {
        a = +a;
        b = +b;
      }
      return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
    };
    var rcompareIdentifiers = (a, b) => compareIdentifiers(b, a);
    module2.exports = {
      compareIdentifiers,
      rcompareIdentifiers
    };
  }
});

// ../../components/environments/node_modules/semver/classes/semver.js
var require_semver = __commonJS({
  "../../components/environments/node_modules/semver/classes/semver.js"(exports2, module2) {
    var debug = require_debug();
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = require_constants();
    var { safeRe: re, t } = require_re();
    var parseOptions = require_parse_options();
    var { compareIdentifiers } = require_identifiers();
    var SemVer = class _SemVer {
      constructor(version, options) {
        options = parseOptions(options);
        if (version instanceof _SemVer) {
          if (version.loose === !!options.loose && version.includePrerelease === !!options.includePrerelease) {
            return version;
          } else {
            version = version.version;
          }
        } else if (typeof version !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version}".`);
        }
        if (version.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version, options);
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m) {
          throw new TypeError(`Invalid Version: ${version}`);
        }
        this.raw = version;
        this.major = +m[1];
        this.minor = +m[2];
        this.patch = +m[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m[4].split(".").map((id) => {
            if (/^[0-9]+$/.test(id)) {
              const num = +id;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id;
          });
        }
        this.build = m[5] ? m[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i = 0;
        do {
          const a = this.prerelease[i];
          const b = other.prerelease[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        let i = 0;
        do {
          const a = this.build[i];
          const b = other.build[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i = this.prerelease.length;
              while (--i >= 0) {
                if (typeof this.prerelease[i] === "number") {
                  this.prerelease[i]++;
                  i = -2;
                }
              }
              if (i === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    module2.exports = SemVer;
  }
});

// ../../components/environments/node_modules/semver/functions/parse.js
var require_parse = __commonJS({
  "../../components/environments/node_modules/semver/functions/parse.js"(exports2, module2) {
    var SemVer = require_semver();
    var parse = (version, options, throwErrors = false) => {
      if (version instanceof SemVer) {
        return version;
      }
      try {
        return new SemVer(version, options);
      } catch (er) {
        if (!throwErrors) {
          return null;
        }
        throw er;
      }
    };
    module2.exports = parse;
  }
});

// ../../components/environments/node_modules/semver/functions/valid.js
var require_valid = __commonJS({
  "../../components/environments/node_modules/semver/functions/valid.js"(exports2, module2) {
    var parse = require_parse();
    var valid = (version, options) => {
      const v = parse(version, options);
      return v ? v.version : null;
    };
    module2.exports = valid;
  }
});

// ../../components/environments/node_modules/semver/functions/clean.js
var require_clean = __commonJS({
  "../../components/environments/node_modules/semver/functions/clean.js"(exports2, module2) {
    var parse = require_parse();
    var clean = (version, options) => {
      const s = parse(version.trim().replace(/^[=v]+/, ""), options);
      return s ? s.version : null;
    };
    module2.exports = clean;
  }
});

// ../../components/environments/node_modules/semver/functions/inc.js
var require_inc = __commonJS({
  "../../components/environments/node_modules/semver/functions/inc.js"(exports2, module2) {
    var SemVer = require_semver();
    var inc = (version, release, options, identifier, identifierBase) => {
      if (typeof options === "string") {
        identifierBase = identifier;
        identifier = options;
        options = void 0;
      }
      try {
        return new SemVer(
          version instanceof SemVer ? version.version : version,
          options
        ).inc(release, identifier, identifierBase).version;
      } catch (er) {
        return null;
      }
    };
    module2.exports = inc;
  }
});

// ../../components/environments/node_modules/semver/functions/diff.js
var require_diff = __commonJS({
  "../../components/environments/node_modules/semver/functions/diff.js"(exports2, module2) {
    var parse = require_parse();
    var diff = (version1, version2) => {
      const v1 = parse(version1, null, true);
      const v2 = parse(version2, null, true);
      const comparison = v1.compare(v2);
      if (comparison === 0) {
        return null;
      }
      const v1Higher = comparison > 0;
      const highVersion = v1Higher ? v1 : v2;
      const lowVersion = v1Higher ? v2 : v1;
      const highHasPre = !!highVersion.prerelease.length;
      const lowHasPre = !!lowVersion.prerelease.length;
      if (lowHasPre && !highHasPre) {
        if (!lowVersion.patch && !lowVersion.minor) {
          return "major";
        }
        if (highVersion.patch) {
          return "patch";
        }
        if (highVersion.minor) {
          return "minor";
        }
        return "major";
      }
      const prefix = highHasPre ? "pre" : "";
      if (v1.major !== v2.major) {
        return prefix + "major";
      }
      if (v1.minor !== v2.minor) {
        return prefix + "minor";
      }
      if (v1.patch !== v2.patch) {
        return prefix + "patch";
      }
      return "prerelease";
    };
    module2.exports = diff;
  }
});

// ../../components/environments/node_modules/semver/functions/major.js
var require_major = __commonJS({
  "../../components/environments/node_modules/semver/functions/major.js"(exports2, module2) {
    var SemVer = require_semver();
    var major = (a, loose) => new SemVer(a, loose).major;
    module2.exports = major;
  }
});

// ../../components/environments/node_modules/semver/functions/minor.js
var require_minor = __commonJS({
  "../../components/environments/node_modules/semver/functions/minor.js"(exports2, module2) {
    var SemVer = require_semver();
    var minor = (a, loose) => new SemVer(a, loose).minor;
    module2.exports = minor;
  }
});

// ../../components/environments/node_modules/semver/functions/patch.js
var require_patch = __commonJS({
  "../../components/environments/node_modules/semver/functions/patch.js"(exports2, module2) {
    var SemVer = require_semver();
    var patch = (a, loose) => new SemVer(a, loose).patch;
    module2.exports = patch;
  }
});

// ../../components/environments/node_modules/semver/functions/prerelease.js
var require_prerelease = __commonJS({
  "../../components/environments/node_modules/semver/functions/prerelease.js"(exports2, module2) {
    var parse = require_parse();
    var prerelease = (version, options) => {
      const parsed = parse(version, options);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    };
    module2.exports = prerelease;
  }
});

// ../../components/environments/node_modules/semver/functions/compare.js
var require_compare = __commonJS({
  "../../components/environments/node_modules/semver/functions/compare.js"(exports2, module2) {
    var SemVer = require_semver();
    var compare = (a, b, loose) => new SemVer(a, loose).compare(new SemVer(b, loose));
    module2.exports = compare;
  }
});

// ../../components/environments/node_modules/semver/functions/rcompare.js
var require_rcompare = __commonJS({
  "../../components/environments/node_modules/semver/functions/rcompare.js"(exports2, module2) {
    var compare = require_compare();
    var rcompare = (a, b, loose) => compare(b, a, loose);
    module2.exports = rcompare;
  }
});

// ../../components/environments/node_modules/semver/functions/compare-loose.js
var require_compare_loose = __commonJS({
  "../../components/environments/node_modules/semver/functions/compare-loose.js"(exports2, module2) {
    var compare = require_compare();
    var compareLoose = (a, b) => compare(a, b, true);
    module2.exports = compareLoose;
  }
});

// ../../components/environments/node_modules/semver/functions/compare-build.js
var require_compare_build = __commonJS({
  "../../components/environments/node_modules/semver/functions/compare-build.js"(exports2, module2) {
    var SemVer = require_semver();
    var compareBuild = (a, b, loose) => {
      const versionA = new SemVer(a, loose);
      const versionB = new SemVer(b, loose);
      return versionA.compare(versionB) || versionA.compareBuild(versionB);
    };
    module2.exports = compareBuild;
  }
});

// ../../components/environments/node_modules/semver/functions/sort.js
var require_sort = __commonJS({
  "../../components/environments/node_modules/semver/functions/sort.js"(exports2, module2) {
    var compareBuild = require_compare_build();
    var sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose));
    module2.exports = sort;
  }
});

// ../../components/environments/node_modules/semver/functions/rsort.js
var require_rsort = __commonJS({
  "../../components/environments/node_modules/semver/functions/rsort.js"(exports2, module2) {
    var compareBuild = require_compare_build();
    var rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose));
    module2.exports = rsort;
  }
});

// ../../components/environments/node_modules/semver/functions/gt.js
var require_gt = __commonJS({
  "../../components/environments/node_modules/semver/functions/gt.js"(exports2, module2) {
    var compare = require_compare();
    var gt = (a, b, loose) => compare(a, b, loose) > 0;
    module2.exports = gt;
  }
});

// ../../components/environments/node_modules/semver/functions/lt.js
var require_lt = __commonJS({
  "../../components/environments/node_modules/semver/functions/lt.js"(exports2, module2) {
    var compare = require_compare();
    var lt = (a, b, loose) => compare(a, b, loose) < 0;
    module2.exports = lt;
  }
});

// ../../components/environments/node_modules/semver/functions/eq.js
var require_eq = __commonJS({
  "../../components/environments/node_modules/semver/functions/eq.js"(exports2, module2) {
    var compare = require_compare();
    var eq = (a, b, loose) => compare(a, b, loose) === 0;
    module2.exports = eq;
  }
});

// ../../components/environments/node_modules/semver/functions/neq.js
var require_neq = __commonJS({
  "../../components/environments/node_modules/semver/functions/neq.js"(exports2, module2) {
    var compare = require_compare();
    var neq = (a, b, loose) => compare(a, b, loose) !== 0;
    module2.exports = neq;
  }
});

// ../../components/environments/node_modules/semver/functions/gte.js
var require_gte = __commonJS({
  "../../components/environments/node_modules/semver/functions/gte.js"(exports2, module2) {
    var compare = require_compare();
    var gte = (a, b, loose) => compare(a, b, loose) >= 0;
    module2.exports = gte;
  }
});

// ../../components/environments/node_modules/semver/functions/lte.js
var require_lte = __commonJS({
  "../../components/environments/node_modules/semver/functions/lte.js"(exports2, module2) {
    var compare = require_compare();
    var lte = (a, b, loose) => compare(a, b, loose) <= 0;
    module2.exports = lte;
  }
});

// ../../components/environments/node_modules/semver/functions/cmp.js
var require_cmp = __commonJS({
  "../../components/environments/node_modules/semver/functions/cmp.js"(exports2, module2) {
    var eq = require_eq();
    var neq = require_neq();
    var gt = require_gt();
    var gte = require_gte();
    var lt = require_lt();
    var lte = require_lte();
    var cmp = (a, op, b, loose) => {
      switch (op) {
        case "===":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a === b;
        case "!==":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a !== b;
        case "":
        case "=":
        case "==":
          return eq(a, b, loose);
        case "!=":
          return neq(a, b, loose);
        case ">":
          return gt(a, b, loose);
        case ">=":
          return gte(a, b, loose);
        case "<":
          return lt(a, b, loose);
        case "<=":
          return lte(a, b, loose);
        default:
          throw new TypeError(`Invalid operator: ${op}`);
      }
    };
    module2.exports = cmp;
  }
});

// ../../components/environments/node_modules/semver/functions/coerce.js
var require_coerce = __commonJS({
  "../../components/environments/node_modules/semver/functions/coerce.js"(exports2, module2) {
    var SemVer = require_semver();
    var parse = require_parse();
    var { safeRe: re, t } = require_re();
    var coerce = (version, options) => {
      if (version instanceof SemVer) {
        return version;
      }
      if (typeof version === "number") {
        version = String(version);
      }
      if (typeof version !== "string") {
        return null;
      }
      options = options || {};
      let match = null;
      if (!options.rtl) {
        match = version.match(re[t.COERCE]);
      } else {
        let next;
        while ((next = re[t.COERCERTL].exec(version)) && (!match || match.index + match[0].length !== version.length)) {
          if (!match || next.index + next[0].length !== match.index + match[0].length) {
            match = next;
          }
          re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
        }
        re[t.COERCERTL].lastIndex = -1;
      }
      if (match === null) {
        return null;
      }
      return parse(`${match[2]}.${match[3] || "0"}.${match[4] || "0"}`, options);
    };
    module2.exports = coerce;
  }
});

// ../../components/environments/node_modules/yallist/iterator.js
var require_iterator = __commonJS({
  "../../components/environments/node_modules/yallist/iterator.js"(exports2, module2) {
    "use strict";
    module2.exports = function(Yallist) {
      Yallist.prototype[Symbol.iterator] = function* () {
        for (let walker = this.head; walker; walker = walker.next) {
          yield walker.value;
        }
      };
    };
  }
});

// ../../components/environments/node_modules/yallist/yallist.js
var require_yallist = __commonJS({
  "../../components/environments/node_modules/yallist/yallist.js"(exports2, module2) {
    "use strict";
    module2.exports = Yallist;
    Yallist.Node = Node;
    Yallist.create = Yallist;
    function Yallist(list) {
      var self2 = this;
      if (!(self2 instanceof Yallist)) {
        self2 = new Yallist();
      }
      self2.tail = null;
      self2.head = null;
      self2.length = 0;
      if (list && typeof list.forEach === "function") {
        list.forEach(function(item) {
          self2.push(item);
        });
      } else if (arguments.length > 0) {
        for (var i = 0, l = arguments.length; i < l; i++) {
          self2.push(arguments[i]);
        }
      }
      return self2;
    }
    Yallist.prototype.removeNode = function(node) {
      if (node.list !== this) {
        throw new Error("removing node which does not belong to this list");
      }
      var next = node.next;
      var prev = node.prev;
      if (next) {
        next.prev = prev;
      }
      if (prev) {
        prev.next = next;
      }
      if (node === this.head) {
        this.head = next;
      }
      if (node === this.tail) {
        this.tail = prev;
      }
      node.list.length--;
      node.next = null;
      node.prev = null;
      node.list = null;
      return next;
    };
    Yallist.prototype.unshiftNode = function(node) {
      if (node === this.head) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var head = this.head;
      node.list = this;
      node.next = head;
      if (head) {
        head.prev = node;
      }
      this.head = node;
      if (!this.tail) {
        this.tail = node;
      }
      this.length++;
    };
    Yallist.prototype.pushNode = function(node) {
      if (node === this.tail) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var tail = this.tail;
      node.list = this;
      node.prev = tail;
      if (tail) {
        tail.next = node;
      }
      this.tail = node;
      if (!this.head) {
        this.head = node;
      }
      this.length++;
    };
    Yallist.prototype.push = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        push(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.unshift = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        unshift(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.pop = function() {
      if (!this.tail) {
        return void 0;
      }
      var res = this.tail.value;
      this.tail = this.tail.prev;
      if (this.tail) {
        this.tail.next = null;
      } else {
        this.head = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.shift = function() {
      if (!this.head) {
        return void 0;
      }
      var res = this.head.value;
      this.head = this.head.next;
      if (this.head) {
        this.head.prev = null;
      } else {
        this.tail = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.forEach = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.head, i = 0; walker !== null; i++) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.next;
      }
    };
    Yallist.prototype.forEachReverse = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.prev;
      }
    };
    Yallist.prototype.get = function(n) {
      for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
        walker = walker.next;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.getReverse = function(n) {
      for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
        walker = walker.prev;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.map = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.head; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.next;
      }
      return res;
    };
    Yallist.prototype.mapReverse = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.tail; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.prev;
      }
      return res;
    };
    Yallist.prototype.reduce = function(fn, initial) {
      var acc;
      var walker = this.head;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.head) {
        walker = this.head.next;
        acc = this.head.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = 0; walker !== null; i++) {
        acc = fn(acc, walker.value, i);
        walker = walker.next;
      }
      return acc;
    };
    Yallist.prototype.reduceReverse = function(fn, initial) {
      var acc;
      var walker = this.tail;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.tail) {
        walker = this.tail.prev;
        acc = this.tail.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = this.length - 1; walker !== null; i--) {
        acc = fn(acc, walker.value, i);
        walker = walker.prev;
      }
      return acc;
    };
    Yallist.prototype.toArray = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.head; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.next;
      }
      return arr;
    };
    Yallist.prototype.toArrayReverse = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.tail; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.prev;
      }
      return arr;
    };
    Yallist.prototype.slice = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
        walker = walker.next;
      }
      for (; walker !== null && i < to; i++, walker = walker.next) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.sliceReverse = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
        walker = walker.prev;
      }
      for (; walker !== null && i > from; i--, walker = walker.prev) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.splice = function(start, deleteCount, ...nodes) {
      if (start > this.length) {
        start = this.length - 1;
      }
      if (start < 0) {
        start = this.length + start;
      }
      for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
        walker = walker.next;
      }
      var ret = [];
      for (var i = 0; walker && i < deleteCount; i++) {
        ret.push(walker.value);
        walker = this.removeNode(walker);
      }
      if (walker === null) {
        walker = this.tail;
      }
      if (walker !== this.head && walker !== this.tail) {
        walker = walker.prev;
      }
      for (var i = 0; i < nodes.length; i++) {
        walker = insert(this, walker, nodes[i]);
      }
      return ret;
    };
    Yallist.prototype.reverse = function() {
      var head = this.head;
      var tail = this.tail;
      for (var walker = head; walker !== null; walker = walker.prev) {
        var p = walker.prev;
        walker.prev = walker.next;
        walker.next = p;
      }
      this.head = tail;
      this.tail = head;
      return this;
    };
    function insert(self2, node, value) {
      var inserted = node === self2.head ? new Node(value, null, node, self2) : new Node(value, node, node.next, self2);
      if (inserted.next === null) {
        self2.tail = inserted;
      }
      if (inserted.prev === null) {
        self2.head = inserted;
      }
      self2.length++;
      return inserted;
    }
    function push(self2, item) {
      self2.tail = new Node(item, self2.tail, null, self2);
      if (!self2.head) {
        self2.head = self2.tail;
      }
      self2.length++;
    }
    function unshift(self2, item) {
      self2.head = new Node(item, null, self2.head, self2);
      if (!self2.tail) {
        self2.tail = self2.head;
      }
      self2.length++;
    }
    function Node(value, prev, next, list) {
      if (!(this instanceof Node)) {
        return new Node(value, prev, next, list);
      }
      this.list = list;
      this.value = value;
      if (prev) {
        prev.next = this;
        this.prev = prev;
      } else {
        this.prev = null;
      }
      if (next) {
        next.prev = this;
        this.next = next;
      } else {
        this.next = null;
      }
    }
    try {
      require_iterator()(Yallist);
    } catch (er) {
    }
  }
});

// ../../components/environments/node_modules/semver/node_modules/lru-cache/index.js
var require_lru_cache = __commonJS({
  "../../components/environments/node_modules/semver/node_modules/lru-cache/index.js"(exports2, module2) {
    "use strict";
    var Yallist = require_yallist();
    var MAX = Symbol("max");
    var LENGTH = Symbol("length");
    var LENGTH_CALCULATOR = Symbol("lengthCalculator");
    var ALLOW_STALE = Symbol("allowStale");
    var MAX_AGE = Symbol("maxAge");
    var DISPOSE = Symbol("dispose");
    var NO_DISPOSE_ON_SET = Symbol("noDisposeOnSet");
    var LRU_LIST = Symbol("lruList");
    var CACHE = Symbol("cache");
    var UPDATE_AGE_ON_GET = Symbol("updateAgeOnGet");
    var naiveLength = () => 1;
    var LRUCache = class {
      constructor(options) {
        if (typeof options === "number")
          options = { max: options };
        if (!options)
          options = {};
        if (options.max && (typeof options.max !== "number" || options.max < 0))
          throw new TypeError("max must be a non-negative number");
        const max = this[MAX] = options.max || Infinity;
        const lc = options.length || naiveLength;
        this[LENGTH_CALCULATOR] = typeof lc !== "function" ? naiveLength : lc;
        this[ALLOW_STALE] = options.stale || false;
        if (options.maxAge && typeof options.maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        this[MAX_AGE] = options.maxAge || 0;
        this[DISPOSE] = options.dispose;
        this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
        this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
        this.reset();
      }
      // resize the cache when the max changes.
      set max(mL) {
        if (typeof mL !== "number" || mL < 0)
          throw new TypeError("max must be a non-negative number");
        this[MAX] = mL || Infinity;
        trim(this);
      }
      get max() {
        return this[MAX];
      }
      set allowStale(allowStale) {
        this[ALLOW_STALE] = !!allowStale;
      }
      get allowStale() {
        return this[ALLOW_STALE];
      }
      set maxAge(mA) {
        if (typeof mA !== "number")
          throw new TypeError("maxAge must be a non-negative number");
        this[MAX_AGE] = mA;
        trim(this);
      }
      get maxAge() {
        return this[MAX_AGE];
      }
      // resize the cache when the lengthCalculator changes.
      set lengthCalculator(lC) {
        if (typeof lC !== "function")
          lC = naiveLength;
        if (lC !== this[LENGTH_CALCULATOR]) {
          this[LENGTH_CALCULATOR] = lC;
          this[LENGTH] = 0;
          this[LRU_LIST].forEach((hit) => {
            hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
            this[LENGTH] += hit.length;
          });
        }
        trim(this);
      }
      get lengthCalculator() {
        return this[LENGTH_CALCULATOR];
      }
      get length() {
        return this[LENGTH];
      }
      get itemCount() {
        return this[LRU_LIST].length;
      }
      rforEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].tail; walker !== null; ) {
          const prev = walker.prev;
          forEachStep(this, fn, walker, thisp);
          walker = prev;
        }
      }
      forEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].head; walker !== null; ) {
          const next = walker.next;
          forEachStep(this, fn, walker, thisp);
          walker = next;
        }
      }
      keys() {
        return this[LRU_LIST].toArray().map((k) => k.key);
      }
      values() {
        return this[LRU_LIST].toArray().map((k) => k.value);
      }
      reset() {
        if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
          this[LRU_LIST].forEach((hit) => this[DISPOSE](hit.key, hit.value));
        }
        this[CACHE] = /* @__PURE__ */ new Map();
        this[LRU_LIST] = new Yallist();
        this[LENGTH] = 0;
      }
      dump() {
        return this[LRU_LIST].map((hit) => isStale(this, hit) ? false : {
          k: hit.key,
          v: hit.value,
          e: hit.now + (hit.maxAge || 0)
        }).toArray().filter((h) => h);
      }
      dumpLru() {
        return this[LRU_LIST];
      }
      set(key, value, maxAge) {
        maxAge = maxAge || this[MAX_AGE];
        if (maxAge && typeof maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        const now = maxAge ? Date.now() : 0;
        const len = this[LENGTH_CALCULATOR](value, key);
        if (this[CACHE].has(key)) {
          if (len > this[MAX]) {
            del(this, this[CACHE].get(key));
            return false;
          }
          const node = this[CACHE].get(key);
          const item = node.value;
          if (this[DISPOSE]) {
            if (!this[NO_DISPOSE_ON_SET])
              this[DISPOSE](key, item.value);
          }
          item.now = now;
          item.maxAge = maxAge;
          item.value = value;
          this[LENGTH] += len - item.length;
          item.length = len;
          this.get(key);
          trim(this);
          return true;
        }
        const hit = new Entry(key, value, len, now, maxAge);
        if (hit.length > this[MAX]) {
          if (this[DISPOSE])
            this[DISPOSE](key, value);
          return false;
        }
        this[LENGTH] += hit.length;
        this[LRU_LIST].unshift(hit);
        this[CACHE].set(key, this[LRU_LIST].head);
        trim(this);
        return true;
      }
      has(key) {
        if (!this[CACHE].has(key))
          return false;
        const hit = this[CACHE].get(key).value;
        return !isStale(this, hit);
      }
      get(key) {
        return get(this, key, true);
      }
      peek(key) {
        return get(this, key, false);
      }
      pop() {
        const node = this[LRU_LIST].tail;
        if (!node)
          return null;
        del(this, node);
        return node.value;
      }
      del(key) {
        del(this, this[CACHE].get(key));
      }
      load(arr) {
        this.reset();
        const now = Date.now();
        for (let l = arr.length - 1; l >= 0; l--) {
          const hit = arr[l];
          const expiresAt = hit.e || 0;
          if (expiresAt === 0)
            this.set(hit.k, hit.v);
          else {
            const maxAge = expiresAt - now;
            if (maxAge > 0) {
              this.set(hit.k, hit.v, maxAge);
            }
          }
        }
      }
      prune() {
        this[CACHE].forEach((value, key) => get(this, key, false));
      }
    };
    var get = (self2, key, doUse) => {
      const node = self2[CACHE].get(key);
      if (node) {
        const hit = node.value;
        if (isStale(self2, hit)) {
          del(self2, node);
          if (!self2[ALLOW_STALE])
            return void 0;
        } else {
          if (doUse) {
            if (self2[UPDATE_AGE_ON_GET])
              node.value.now = Date.now();
            self2[LRU_LIST].unshiftNode(node);
          }
        }
        return hit.value;
      }
    };
    var isStale = (self2, hit) => {
      if (!hit || !hit.maxAge && !self2[MAX_AGE])
        return false;
      const diff = Date.now() - hit.now;
      return hit.maxAge ? diff > hit.maxAge : self2[MAX_AGE] && diff > self2[MAX_AGE];
    };
    var trim = (self2) => {
      if (self2[LENGTH] > self2[MAX]) {
        for (let walker = self2[LRU_LIST].tail; self2[LENGTH] > self2[MAX] && walker !== null; ) {
          const prev = walker.prev;
          del(self2, walker);
          walker = prev;
        }
      }
    };
    var del = (self2, node) => {
      if (node) {
        const hit = node.value;
        if (self2[DISPOSE])
          self2[DISPOSE](hit.key, hit.value);
        self2[LENGTH] -= hit.length;
        self2[CACHE].delete(hit.key);
        self2[LRU_LIST].removeNode(node);
      }
    };
    var Entry = class {
      constructor(key, value, length, now, maxAge) {
        this.key = key;
        this.value = value;
        this.length = length;
        this.now = now;
        this.maxAge = maxAge || 0;
      }
    };
    var forEachStep = (self2, fn, node, thisp) => {
      let hit = node.value;
      if (isStale(self2, hit)) {
        del(self2, node);
        if (!self2[ALLOW_STALE])
          hit = void 0;
      }
      if (hit)
        fn.call(thisp, hit.value, hit.key, self2);
    };
    module2.exports = LRUCache;
  }
});

// ../../components/environments/node_modules/semver/classes/range.js
var require_range = __commonJS({
  "../../components/environments/node_modules/semver/classes/range.js"(exports2, module2) {
    var Range = class _Range {
      constructor(range, options) {
        options = parseOptions(options);
        if (range instanceof _Range) {
          if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
            return range;
          } else {
            return new _Range(range.raw, options);
          }
        }
        if (range instanceof Comparator) {
          this.raw = range.value;
          this.set = [[range]];
          this.format();
          return this;
        }
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        this.raw = range.trim().split(/\s+/).join(" ");
        this.set = this.raw.split("||").map((r) => this.parseRange(r)).filter((c) => c.length);
        if (!this.set.length) {
          throw new TypeError(`Invalid SemVer Range: ${this.raw}`);
        }
        if (this.set.length > 1) {
          const first = this.set[0];
          this.set = this.set.filter((c) => !isNullSet(c[0]));
          if (this.set.length === 0) {
            this.set = [first];
          } else if (this.set.length > 1) {
            for (const c of this.set) {
              if (c.length === 1 && isAny(c[0])) {
                this.set = [c];
                break;
              }
            }
          }
        }
        this.format();
      }
      format() {
        this.range = this.set.map((comps) => comps.join(" ").trim()).join("||").trim();
        return this.range;
      }
      toString() {
        return this.range;
      }
      parseRange(range) {
        const memoOpts = (this.options.includePrerelease && FLAG_INCLUDE_PRERELEASE) | (this.options.loose && FLAG_LOOSE);
        const memoKey = memoOpts + ":" + range;
        const cached = cache.get(memoKey);
        if (cached) {
          return cached;
        }
        const loose = this.options.loose;
        const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE];
        range = range.replace(hr, hyphenReplace(this.options.includePrerelease));
        debug("hyphen replace", range);
        range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace);
        debug("comparator trim", range);
        range = range.replace(re[t.TILDETRIM], tildeTrimReplace);
        debug("tilde trim", range);
        range = range.replace(re[t.CARETTRIM], caretTrimReplace);
        debug("caret trim", range);
        let rangeList = range.split(" ").map((comp) => parseComparator(comp, this.options)).join(" ").split(/\s+/).map((comp) => replaceGTE0(comp, this.options));
        if (loose) {
          rangeList = rangeList.filter((comp) => {
            debug("loose invalid filter", comp, this.options);
            return !!comp.match(re[t.COMPARATORLOOSE]);
          });
        }
        debug("range list", rangeList);
        const rangeMap = /* @__PURE__ */ new Map();
        const comparators = rangeList.map((comp) => new Comparator(comp, this.options));
        for (const comp of comparators) {
          if (isNullSet(comp)) {
            return [comp];
          }
          rangeMap.set(comp.value, comp);
        }
        if (rangeMap.size > 1 && rangeMap.has("")) {
          rangeMap.delete("");
        }
        const result = [...rangeMap.values()];
        cache.set(memoKey, result);
        return result;
      }
      intersects(range, options) {
        if (!(range instanceof _Range)) {
          throw new TypeError("a Range is required");
        }
        return this.set.some((thisComparators) => {
          return isSatisfiable(thisComparators, options) && range.set.some((rangeComparators) => {
            return isSatisfiable(rangeComparators, options) && thisComparators.every((thisComparator) => {
              return rangeComparators.every((rangeComparator) => {
                return thisComparator.intersects(rangeComparator, options);
              });
            });
          });
        });
      }
      // if ANY of the sets match ALL of its comparators, then pass
      test(version) {
        if (!version) {
          return false;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        for (let i = 0; i < this.set.length; i++) {
          if (testSet(this.set[i], version, this.options)) {
            return true;
          }
        }
        return false;
      }
    };
    module2.exports = Range;
    var LRU = require_lru_cache();
    var cache = new LRU({ max: 1e3 });
    var parseOptions = require_parse_options();
    var Comparator = require_comparator();
    var debug = require_debug();
    var SemVer = require_semver();
    var {
      safeRe: re,
      t,
      comparatorTrimReplace,
      tildeTrimReplace,
      caretTrimReplace
    } = require_re();
    var { FLAG_INCLUDE_PRERELEASE, FLAG_LOOSE } = require_constants();
    var isNullSet = (c) => c.value === "<0.0.0-0";
    var isAny = (c) => c.value === "";
    var isSatisfiable = (comparators, options) => {
      let result = true;
      const remainingComparators = comparators.slice();
      let testComparator = remainingComparators.pop();
      while (result && remainingComparators.length) {
        result = remainingComparators.every((otherComparator) => {
          return testComparator.intersects(otherComparator, options);
        });
        testComparator = remainingComparators.pop();
      }
      return result;
    };
    var parseComparator = (comp, options) => {
      debug("comp", comp, options);
      comp = replaceCarets(comp, options);
      debug("caret", comp);
      comp = replaceTildes(comp, options);
      debug("tildes", comp);
      comp = replaceXRanges(comp, options);
      debug("xrange", comp);
      comp = replaceStars(comp, options);
      debug("stars", comp);
      return comp;
    };
    var isX = (id) => !id || id.toLowerCase() === "x" || id === "*";
    var replaceTildes = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceTilde(c, options)).join(" ");
    };
    var replaceTilde = (comp, options) => {
      const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE];
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("tilde", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0 <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`;
        } else if (pr) {
          debug("replaceTilde pr", pr);
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
        } else {
          ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`;
        }
        debug("tilde return", ret);
        return ret;
      });
    };
    var replaceCarets = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceCaret(c, options)).join(" ");
    };
    var replaceCaret = (comp, options) => {
      debug("caret", comp, options);
      const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET];
      const z = options.includePrerelease ? "-0" : "";
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("caret", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          if (M === "0") {
            ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`;
          } else {
            ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`;
          }
        } else if (pr) {
          debug("replaceCaret pr", pr);
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`;
          }
        } else {
          debug("no pr");
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`;
          }
        }
        debug("caret return", ret);
        return ret;
      });
    };
    var replaceXRanges = (comp, options) => {
      debug("replaceXRanges", comp, options);
      return comp.split(/\s+/).map((c) => replaceXRange(c, options)).join(" ");
    };
    var replaceXRange = (comp, options) => {
      comp = comp.trim();
      const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE];
      return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
        debug("xRange", comp, ret, gtlt, M, m, p, pr);
        const xM = isX(M);
        const xm = xM || isX(m);
        const xp = xm || isX(p);
        const anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        pr = options.includePrerelease ? "-0" : "";
        if (xM) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0-0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm) {
            m = 0;
          }
          p = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm) {
              M = +M + 1;
              m = 0;
              p = 0;
            } else {
              m = +m + 1;
              p = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm) {
              M = +M + 1;
            } else {
              m = +m + 1;
            }
          }
          if (gtlt === "<") {
            pr = "-0";
          }
          ret = `${gtlt + M}.${m}.${p}${pr}`;
        } else if (xm) {
          ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`;
        } else if (xp) {
          ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`;
        }
        debug("xRange return", ret);
        return ret;
      });
    };
    var replaceStars = (comp, options) => {
      debug("replaceStars", comp, options);
      return comp.trim().replace(re[t.STAR], "");
    };
    var replaceGTE0 = (comp, options) => {
      debug("replaceGTE0", comp, options);
      return comp.trim().replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], "");
    };
    var hyphenReplace = (incPr) => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) => {
      if (isX(fM)) {
        from = "";
      } else if (isX(fm)) {
        from = `>=${fM}.0.0${incPr ? "-0" : ""}`;
      } else if (isX(fp)) {
        from = `>=${fM}.${fm}.0${incPr ? "-0" : ""}`;
      } else if (fpr) {
        from = `>=${from}`;
      } else {
        from = `>=${from}${incPr ? "-0" : ""}`;
      }
      if (isX(tM)) {
        to = "";
      } else if (isX(tm)) {
        to = `<${+tM + 1}.0.0-0`;
      } else if (isX(tp)) {
        to = `<${tM}.${+tm + 1}.0-0`;
      } else if (tpr) {
        to = `<=${tM}.${tm}.${tp}-${tpr}`;
      } else if (incPr) {
        to = `<${tM}.${tm}.${+tp + 1}-0`;
      } else {
        to = `<=${to}`;
      }
      return `${from} ${to}`.trim();
    };
    var testSet = (set, version, options) => {
      for (let i = 0; i < set.length; i++) {
        if (!set[i].test(version)) {
          return false;
        }
      }
      if (version.prerelease.length && !options.includePrerelease) {
        for (let i = 0; i < set.length; i++) {
          debug(set[i].semver);
          if (set[i].semver === Comparator.ANY) {
            continue;
          }
          if (set[i].semver.prerelease.length > 0) {
            const allowed = set[i].semver;
            if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    };
  }
});

// ../../components/environments/node_modules/semver/classes/comparator.js
var require_comparator = __commonJS({
  "../../components/environments/node_modules/semver/classes/comparator.js"(exports2, module2) {
    var ANY = Symbol("SemVer ANY");
    var Comparator = class _Comparator {
      static get ANY() {
        return ANY;
      }
      constructor(comp, options) {
        options = parseOptions(options);
        if (comp instanceof _Comparator) {
          if (comp.loose === !!options.loose) {
            return comp;
          } else {
            comp = comp.value;
          }
        }
        comp = comp.trim().split(/\s+/).join(" ");
        debug("comparator", comp, options);
        this.options = options;
        this.loose = !!options.loose;
        this.parse(comp);
        if (this.semver === ANY) {
          this.value = "";
        } else {
          this.value = this.operator + this.semver.version;
        }
        debug("comp", this);
      }
      parse(comp) {
        const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
        const m = comp.match(r);
        if (!m) {
          throw new TypeError(`Invalid comparator: ${comp}`);
        }
        this.operator = m[1] !== void 0 ? m[1] : "";
        if (this.operator === "=") {
          this.operator = "";
        }
        if (!m[2]) {
          this.semver = ANY;
        } else {
          this.semver = new SemVer(m[2], this.options.loose);
        }
      }
      toString() {
        return this.value;
      }
      test(version) {
        debug("Comparator.test", version, this.options.loose);
        if (this.semver === ANY || version === ANY) {
          return true;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        return cmp(version, this.operator, this.semver, this.options);
      }
      intersects(comp, options) {
        if (!(comp instanceof _Comparator)) {
          throw new TypeError("a Comparator is required");
        }
        if (this.operator === "") {
          if (this.value === "") {
            return true;
          }
          return new Range(comp.value, options).test(this.value);
        } else if (comp.operator === "") {
          if (comp.value === "") {
            return true;
          }
          return new Range(this.value, options).test(comp.semver);
        }
        options = parseOptions(options);
        if (options.includePrerelease && (this.value === "<0.0.0-0" || comp.value === "<0.0.0-0")) {
          return false;
        }
        if (!options.includePrerelease && (this.value.startsWith("<0.0.0") || comp.value.startsWith("<0.0.0"))) {
          return false;
        }
        if (this.operator.startsWith(">") && comp.operator.startsWith(">")) {
          return true;
        }
        if (this.operator.startsWith("<") && comp.operator.startsWith("<")) {
          return true;
        }
        if (this.semver.version === comp.semver.version && this.operator.includes("=") && comp.operator.includes("=")) {
          return true;
        }
        if (cmp(this.semver, "<", comp.semver, options) && this.operator.startsWith(">") && comp.operator.startsWith("<")) {
          return true;
        }
        if (cmp(this.semver, ">", comp.semver, options) && this.operator.startsWith("<") && comp.operator.startsWith(">")) {
          return true;
        }
        return false;
      }
    };
    module2.exports = Comparator;
    var parseOptions = require_parse_options();
    var { safeRe: re, t } = require_re();
    var cmp = require_cmp();
    var debug = require_debug();
    var SemVer = require_semver();
    var Range = require_range();
  }
});

// ../../components/environments/node_modules/semver/functions/satisfies.js
var require_satisfies = __commonJS({
  "../../components/environments/node_modules/semver/functions/satisfies.js"(exports2, module2) {
    var Range = require_range();
    var satisfies = (version, range, options) => {
      try {
        range = new Range(range, options);
      } catch (er) {
        return false;
      }
      return range.test(version);
    };
    module2.exports = satisfies;
  }
});

// ../../components/environments/node_modules/semver/ranges/to-comparators.js
var require_to_comparators = __commonJS({
  "../../components/environments/node_modules/semver/ranges/to-comparators.js"(exports2, module2) {
    var Range = require_range();
    var toComparators = (range, options) => new Range(range, options).set.map((comp) => comp.map((c) => c.value).join(" ").trim().split(" "));
    module2.exports = toComparators;
  }
});

// ../../components/environments/node_modules/semver/ranges/max-satisfying.js
var require_max_satisfying = __commonJS({
  "../../components/environments/node_modules/semver/ranges/max-satisfying.js"(exports2, module2) {
    var SemVer = require_semver();
    var Range = require_range();
    var maxSatisfying = (versions, range, options) => {
      let max = null;
      let maxSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!max || maxSV.compare(v) === -1) {
            max = v;
            maxSV = new SemVer(max, options);
          }
        }
      });
      return max;
    };
    module2.exports = maxSatisfying;
  }
});

// ../../components/environments/node_modules/semver/ranges/min-satisfying.js
var require_min_satisfying = __commonJS({
  "../../components/environments/node_modules/semver/ranges/min-satisfying.js"(exports2, module2) {
    var SemVer = require_semver();
    var Range = require_range();
    var minSatisfying = (versions, range, options) => {
      let min = null;
      let minSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!min || minSV.compare(v) === 1) {
            min = v;
            minSV = new SemVer(min, options);
          }
        }
      });
      return min;
    };
    module2.exports = minSatisfying;
  }
});

// ../../components/environments/node_modules/semver/ranges/min-version.js
var require_min_version = __commonJS({
  "../../components/environments/node_modules/semver/ranges/min-version.js"(exports2, module2) {
    var SemVer = require_semver();
    var Range = require_range();
    var gt = require_gt();
    var minVersion = (range, loose) => {
      range = new Range(range, loose);
      let minver = new SemVer("0.0.0");
      if (range.test(minver)) {
        return minver;
      }
      minver = new SemVer("0.0.0-0");
      if (range.test(minver)) {
        return minver;
      }
      minver = null;
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let setMin = null;
        comparators.forEach((comparator) => {
          const compver = new SemVer(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!setMin || gt(compver, setMin)) {
                setMin = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error(`Unexpected operation: ${comparator.operator}`);
          }
        });
        if (setMin && (!minver || gt(minver, setMin))) {
          minver = setMin;
        }
      }
      if (minver && range.test(minver)) {
        return minver;
      }
      return null;
    };
    module2.exports = minVersion;
  }
});

// ../../components/environments/node_modules/semver/ranges/valid.js
var require_valid2 = __commonJS({
  "../../components/environments/node_modules/semver/ranges/valid.js"(exports2, module2) {
    var Range = require_range();
    var validRange = (range, options) => {
      try {
        return new Range(range, options).range || "*";
      } catch (er) {
        return null;
      }
    };
    module2.exports = validRange;
  }
});

// ../../components/environments/node_modules/semver/ranges/outside.js
var require_outside = __commonJS({
  "../../components/environments/node_modules/semver/ranges/outside.js"(exports2, module2) {
    var SemVer = require_semver();
    var Comparator = require_comparator();
    var { ANY } = Comparator;
    var Range = require_range();
    var satisfies = require_satisfies();
    var gt = require_gt();
    var lt = require_lt();
    var lte = require_lte();
    var gte = require_gte();
    var outside = (version, range, hilo, options) => {
      version = new SemVer(version, options);
      range = new Range(range, options);
      let gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt;
          ltefn = gte;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version, range, options)) {
        return false;
      }
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let high = null;
        let low = null;
        comparators.forEach((comparator) => {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version, low.semver)) {
          return false;
        }
      }
      return true;
    };
    module2.exports = outside;
  }
});

// ../../components/environments/node_modules/semver/ranges/gtr.js
var require_gtr = __commonJS({
  "../../components/environments/node_modules/semver/ranges/gtr.js"(exports2, module2) {
    var outside = require_outside();
    var gtr = (version, range, options) => outside(version, range, ">", options);
    module2.exports = gtr;
  }
});

// ../../components/environments/node_modules/semver/ranges/ltr.js
var require_ltr = __commonJS({
  "../../components/environments/node_modules/semver/ranges/ltr.js"(exports2, module2) {
    var outside = require_outside();
    var ltr = (version, range, options) => outside(version, range, "<", options);
    module2.exports = ltr;
  }
});

// ../../components/environments/node_modules/semver/ranges/intersects.js
var require_intersects = __commonJS({
  "../../components/environments/node_modules/semver/ranges/intersects.js"(exports2, module2) {
    var Range = require_range();
    var intersects = (r1, r2, options) => {
      r1 = new Range(r1, options);
      r2 = new Range(r2, options);
      return r1.intersects(r2, options);
    };
    module2.exports = intersects;
  }
});

// ../../components/environments/node_modules/semver/ranges/simplify.js
var require_simplify = __commonJS({
  "../../components/environments/node_modules/semver/ranges/simplify.js"(exports2, module2) {
    var satisfies = require_satisfies();
    var compare = require_compare();
    module2.exports = (versions, range, options) => {
      const set = [];
      let first = null;
      let prev = null;
      const v = versions.sort((a, b) => compare(a, b, options));
      for (const version of v) {
        const included = satisfies(version, range, options);
        if (included) {
          prev = version;
          if (!first) {
            first = version;
          }
        } else {
          if (prev) {
            set.push([first, prev]);
          }
          prev = null;
          first = null;
        }
      }
      if (first) {
        set.push([first, null]);
      }
      const ranges = [];
      for (const [min, max] of set) {
        if (min === max) {
          ranges.push(min);
        } else if (!max && min === v[0]) {
          ranges.push("*");
        } else if (!max) {
          ranges.push(`>=${min}`);
        } else if (min === v[0]) {
          ranges.push(`<=${max}`);
        } else {
          ranges.push(`${min} - ${max}`);
        }
      }
      const simplified = ranges.join(" || ");
      const original = typeof range.raw === "string" ? range.raw : String(range);
      return simplified.length < original.length ? simplified : range;
    };
  }
});

// ../../components/environments/node_modules/semver/ranges/subset.js
var require_subset = __commonJS({
  "../../components/environments/node_modules/semver/ranges/subset.js"(exports2, module2) {
    var Range = require_range();
    var Comparator = require_comparator();
    var { ANY } = Comparator;
    var satisfies = require_satisfies();
    var compare = require_compare();
    var subset = (sub, dom, options = {}) => {
      if (sub === dom) {
        return true;
      }
      sub = new Range(sub, options);
      dom = new Range(dom, options);
      let sawNonNull = false;
      OUTER:
        for (const simpleSub of sub.set) {
          for (const simpleDom of dom.set) {
            const isSub = simpleSubset(simpleSub, simpleDom, options);
            sawNonNull = sawNonNull || isSub !== null;
            if (isSub) {
              continue OUTER;
            }
          }
          if (sawNonNull) {
            return false;
          }
        }
      return true;
    };
    var minimumVersionWithPreRelease = [new Comparator(">=0.0.0-0")];
    var minimumVersion = [new Comparator(">=0.0.0")];
    var simpleSubset = (sub, dom, options) => {
      if (sub === dom) {
        return true;
      }
      if (sub.length === 1 && sub[0].semver === ANY) {
        if (dom.length === 1 && dom[0].semver === ANY) {
          return true;
        } else if (options.includePrerelease) {
          sub = minimumVersionWithPreRelease;
        } else {
          sub = minimumVersion;
        }
      }
      if (dom.length === 1 && dom[0].semver === ANY) {
        if (options.includePrerelease) {
          return true;
        } else {
          dom = minimumVersion;
        }
      }
      const eqSet = /* @__PURE__ */ new Set();
      let gt, lt;
      for (const c of sub) {
        if (c.operator === ">" || c.operator === ">=") {
          gt = higherGT(gt, c, options);
        } else if (c.operator === "<" || c.operator === "<=") {
          lt = lowerLT(lt, c, options);
        } else {
          eqSet.add(c.semver);
        }
      }
      if (eqSet.size > 1) {
        return null;
      }
      let gtltComp;
      if (gt && lt) {
        gtltComp = compare(gt.semver, lt.semver, options);
        if (gtltComp > 0) {
          return null;
        } else if (gtltComp === 0 && (gt.operator !== ">=" || lt.operator !== "<=")) {
          return null;
        }
      }
      for (const eq of eqSet) {
        if (gt && !satisfies(eq, String(gt), options)) {
          return null;
        }
        if (lt && !satisfies(eq, String(lt), options)) {
          return null;
        }
        for (const c of dom) {
          if (!satisfies(eq, String(c), options)) {
            return false;
          }
        }
        return true;
      }
      let higher, lower;
      let hasDomLT, hasDomGT;
      let needDomLTPre = lt && !options.includePrerelease && lt.semver.prerelease.length ? lt.semver : false;
      let needDomGTPre = gt && !options.includePrerelease && gt.semver.prerelease.length ? gt.semver : false;
      if (needDomLTPre && needDomLTPre.prerelease.length === 1 && lt.operator === "<" && needDomLTPre.prerelease[0] === 0) {
        needDomLTPre = false;
      }
      for (const c of dom) {
        hasDomGT = hasDomGT || c.operator === ">" || c.operator === ">=";
        hasDomLT = hasDomLT || c.operator === "<" || c.operator === "<=";
        if (gt) {
          if (needDomGTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomGTPre.major && c.semver.minor === needDomGTPre.minor && c.semver.patch === needDomGTPre.patch) {
              needDomGTPre = false;
            }
          }
          if (c.operator === ">" || c.operator === ">=") {
            higher = higherGT(gt, c, options);
            if (higher === c && higher !== gt) {
              return false;
            }
          } else if (gt.operator === ">=" && !satisfies(gt.semver, String(c), options)) {
            return false;
          }
        }
        if (lt) {
          if (needDomLTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomLTPre.major && c.semver.minor === needDomLTPre.minor && c.semver.patch === needDomLTPre.patch) {
              needDomLTPre = false;
            }
          }
          if (c.operator === "<" || c.operator === "<=") {
            lower = lowerLT(lt, c, options);
            if (lower === c && lower !== lt) {
              return false;
            }
          } else if (lt.operator === "<=" && !satisfies(lt.semver, String(c), options)) {
            return false;
          }
        }
        if (!c.operator && (lt || gt) && gtltComp !== 0) {
          return false;
        }
      }
      if (gt && hasDomLT && !lt && gtltComp !== 0) {
        return false;
      }
      if (lt && hasDomGT && !gt && gtltComp !== 0) {
        return false;
      }
      if (needDomGTPre || needDomLTPre) {
        return false;
      }
      return true;
    };
    var higherGT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp > 0 ? a : comp < 0 ? b : b.operator === ">" && a.operator === ">=" ? b : a;
    };
    var lowerLT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp < 0 ? a : comp > 0 ? b : b.operator === "<" && a.operator === "<=" ? b : a;
    };
    module2.exports = subset;
  }
});

// ../../components/environments/node_modules/semver/index.js
var require_semver2 = __commonJS({
  "../../components/environments/node_modules/semver/index.js"(exports2, module2) {
    var internalRe = require_re();
    var constants = require_constants();
    var SemVer = require_semver();
    var identifiers = require_identifiers();
    var parse = require_parse();
    var valid = require_valid();
    var clean = require_clean();
    var inc = require_inc();
    var diff = require_diff();
    var major = require_major();
    var minor = require_minor();
    var patch = require_patch();
    var prerelease = require_prerelease();
    var compare = require_compare();
    var rcompare = require_rcompare();
    var compareLoose = require_compare_loose();
    var compareBuild = require_compare_build();
    var sort = require_sort();
    var rsort = require_rsort();
    var gt = require_gt();
    var lt = require_lt();
    var eq = require_eq();
    var neq = require_neq();
    var gte = require_gte();
    var lte = require_lte();
    var cmp = require_cmp();
    var coerce = require_coerce();
    var Comparator = require_comparator();
    var Range = require_range();
    var satisfies = require_satisfies();
    var toComparators = require_to_comparators();
    var maxSatisfying = require_max_satisfying();
    var minSatisfying = require_min_satisfying();
    var minVersion = require_min_version();
    var validRange = require_valid2();
    var outside = require_outside();
    var gtr = require_gtr();
    var ltr = require_ltr();
    var intersects = require_intersects();
    var simplifyRange = require_simplify();
    var subset = require_subset();
    module2.exports = {
      parse,
      valid,
      clean,
      inc,
      diff,
      major,
      minor,
      patch,
      prerelease,
      compare,
      rcompare,
      compareLoose,
      compareBuild,
      sort,
      rsort,
      gt,
      lt,
      eq,
      neq,
      gte,
      lte,
      cmp,
      coerce,
      Comparator,
      Range,
      satisfies,
      toComparators,
      maxSatisfying,
      minSatisfying,
      minVersion,
      validRange,
      outside,
      gtr,
      ltr,
      intersects,
      simplifyRange,
      subset,
      SemVer,
      re: internalRe.re,
      src: internalRe.src,
      tokens: internalRe.t,
      SEMVER_SPEC_VERSION: constants.SEMVER_SPEC_VERSION,
      RELEASE_TYPES: constants.RELEASE_TYPES,
      compareIdentifiers: identifiers.compareIdentifiers,
      rcompareIdentifiers: identifiers.rcompareIdentifiers
    };
  }
});

// ../../components/environments/node_modules/projen/lib/semver.js
var require_semver3 = __commonJS({
  "../../components/environments/node_modules/projen/lib/semver.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Semver = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var Semver = class _Semver {
      static of(spec) {
        return new _Semver(spec);
      }
      /**
       * Latest version.
       */
      static latest() {
        return new _Semver("*");
      }
      /**
       * Accept only an exact version
       */
      static pinned(version) {
        return new _Semver(version);
      }
      /**
       * Accept any minor version.
       *
       * >= version
       * < next major version
       */
      static caret(version) {
        return new _Semver(`^${version}`);
      }
      /**
       * Accept patches.
       *
       * >= version
       * < next minor version
       */
      static tilde(version) {
        return new _Semver(`~${version}`);
      }
      constructor(spec) {
        this.spec = spec;
      }
      get version() {
        return semver.minVersion(this.spec)?.version;
      }
    };
    exports2.Semver = Semver;
    _a = JSII_RTTI_SYMBOL_1;
    Semver[_a] = { fqn: "projen.Semver", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/textfile.js
var require_textfile = __commonJS({
  "../../components/environments/node_modules/projen/lib/textfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TextFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var TextFile = class extends file_1.FileBase {
      /**
       * Defines a text file.
       *
       * @param project The project
       * @param filePath File path
       * @param options Options
       */
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        this.lines = options.lines ?? [];
      }
      /**
       * Adds a line to the text file.
       * @param line the line to add (can use tokens)
       */
      addLine(line) {
        this.lines.push(line);
      }
      synthesizeContent(_) {
        return this.lines.join("\n");
      }
    };
    exports2.TextFile = TextFile;
    _a = JSII_RTTI_SYMBOL_1;
    TextFile[_a] = { fqn: "projen.TextFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/source-code.js
var require_source_code = __commonJS({
  "../../components/environments/node_modules/projen/lib/source-code.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var textfile_1 = require_textfile();
    var SourceCode = class extends component_1.Component {
      constructor(project, filePath, options = {}) {
        super(project);
        this.filePath = filePath;
        this.indentLevel = 0;
        this.indent = options.indent ?? 2;
        this.file = new textfile_1.TextFile(project, filePath, {
          readonly: options.readonly ?? true
        });
      }
      get marker() {
        return this.file.marker;
      }
      /**
       * Emit a line of code.
       * @param code The contents, if not specified, just adds a newline
       */
      line(code) {
        const spaces = this.indent * this.indentLevel;
        const prefix = " ".repeat(spaces);
        this.file.addLine((prefix + (code ?? "")).trimEnd());
      }
      /**
       * Opens a code block and increases the indentation level.
       *
       * @param code The code before the block starts (e.g. `export class {`).
       */
      open(code) {
        if (code) {
          this.line(code);
        }
        this.indentLevel++;
      }
      /**
       * Decreases the indentation level and closes a code block.
       *
       * @param code The code after the block is closed (e.g. `}`).
       */
      close(code) {
        if (this.indentLevel === 0) {
          throw new Error("Cannot decrease indent level below zero");
        }
        this.indentLevel--;
        if (code) {
          this.line(code);
        }
      }
    };
    exports2.SourceCode = SourceCode;
    _a = JSII_RTTI_SYMBOL_1;
    SourceCode[_a] = { fqn: "projen.SourceCode", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/task-model.js
var require_task_model = __commonJS({
  "../../components/environments/node_modules/projen/lib/task-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/esprima/dist/esprima.js
var require_esprima = __commonJS({
  "../../components/environments/node_modules/esprima/dist/esprima.js"(exports2, module2) {
    (function webpackUniversalModuleDefinition(root, factory) {
      if (typeof exports2 === "object" && typeof module2 === "object")
        module2.exports = factory();
      else if (typeof define === "function" && define.amd)
        define([], factory);
      else if (typeof exports2 === "object")
        exports2["esprima"] = factory();
      else
        root["esprima"] = factory();
    })(exports2, function() {
      return (
        /******/
        function(modules) {
          var installedModules = {};
          function __webpack_require__(moduleId) {
            if (installedModules[moduleId])
              return installedModules[moduleId].exports;
            var module3 = installedModules[moduleId] = {
              /******/
              exports: {},
              /******/
              id: moduleId,
              /******/
              loaded: false
              /******/
            };
            modules[moduleId].call(module3.exports, module3, module3.exports, __webpack_require__);
            module3.loaded = true;
            return module3.exports;
          }
          __webpack_require__.m = modules;
          __webpack_require__.c = installedModules;
          __webpack_require__.p = "";
          return __webpack_require__(0);
        }([
          /* 0 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var comment_handler_1 = __webpack_require__(1);
            var jsx_parser_1 = __webpack_require__(3);
            var parser_1 = __webpack_require__(8);
            var tokenizer_1 = __webpack_require__(15);
            function parse(code, options, delegate) {
              var commentHandler = null;
              var proxyDelegate = function(node, metadata) {
                if (delegate) {
                  delegate(node, metadata);
                }
                if (commentHandler) {
                  commentHandler.visit(node, metadata);
                }
              };
              var parserDelegate = typeof delegate === "function" ? proxyDelegate : null;
              var collectComment = false;
              if (options) {
                collectComment = typeof options.comment === "boolean" && options.comment;
                var attachComment = typeof options.attachComment === "boolean" && options.attachComment;
                if (collectComment || attachComment) {
                  commentHandler = new comment_handler_1.CommentHandler();
                  commentHandler.attach = attachComment;
                  options.comment = true;
                  parserDelegate = proxyDelegate;
                }
              }
              var isModule = false;
              if (options && typeof options.sourceType === "string") {
                isModule = options.sourceType === "module";
              }
              var parser;
              if (options && typeof options.jsx === "boolean" && options.jsx) {
                parser = new jsx_parser_1.JSXParser(code, options, parserDelegate);
              } else {
                parser = new parser_1.Parser(code, options, parserDelegate);
              }
              var program = isModule ? parser.parseModule() : parser.parseScript();
              var ast = program;
              if (collectComment && commentHandler) {
                ast.comments = commentHandler.comments;
              }
              if (parser.config.tokens) {
                ast.tokens = parser.tokens;
              }
              if (parser.config.tolerant) {
                ast.errors = parser.errorHandler.errors;
              }
              return ast;
            }
            exports3.parse = parse;
            function parseModule(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "module";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseModule = parseModule;
            function parseScript(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "script";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseScript = parseScript;
            function tokenize(code, options, delegate) {
              var tokenizer = new tokenizer_1.Tokenizer(code, options);
              var tokens;
              tokens = [];
              try {
                while (true) {
                  var token = tokenizer.getNextToken();
                  if (!token) {
                    break;
                  }
                  if (delegate) {
                    token = delegate(token);
                  }
                  tokens.push(token);
                }
              } catch (e) {
                tokenizer.errorHandler.tolerate(e);
              }
              if (tokenizer.errorHandler.tolerant) {
                tokens.errors = tokenizer.errors();
              }
              return tokens;
            }
            exports3.tokenize = tokenize;
            var syntax_1 = __webpack_require__(2);
            exports3.Syntax = syntax_1.Syntax;
            exports3.version = "4.0.1";
          },
          /* 1 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var CommentHandler = function() {
              function CommentHandler2() {
                this.attach = false;
                this.comments = [];
                this.stack = [];
                this.leading = [];
                this.trailing = [];
              }
              CommentHandler2.prototype.insertInnerComments = function(node, metadata) {
                if (node.type === syntax_1.Syntax.BlockStatement && node.body.length === 0) {
                  var innerComments = [];
                  for (var i = this.leading.length - 1; i >= 0; --i) {
                    var entry = this.leading[i];
                    if (metadata.end.offset >= entry.start) {
                      innerComments.unshift(entry.comment);
                      this.leading.splice(i, 1);
                      this.trailing.splice(i, 1);
                    }
                  }
                  if (innerComments.length) {
                    node.innerComments = innerComments;
                  }
                }
              };
              CommentHandler2.prototype.findTrailingComments = function(metadata) {
                var trailingComments = [];
                if (this.trailing.length > 0) {
                  for (var i = this.trailing.length - 1; i >= 0; --i) {
                    var entry_1 = this.trailing[i];
                    if (entry_1.start >= metadata.end.offset) {
                      trailingComments.unshift(entry_1.comment);
                    }
                  }
                  this.trailing.length = 0;
                  return trailingComments;
                }
                var entry = this.stack[this.stack.length - 1];
                if (entry && entry.node.trailingComments) {
                  var firstComment = entry.node.trailingComments[0];
                  if (firstComment && firstComment.range[0] >= metadata.end.offset) {
                    trailingComments = entry.node.trailingComments;
                    delete entry.node.trailingComments;
                  }
                }
                return trailingComments;
              };
              CommentHandler2.prototype.findLeadingComments = function(metadata) {
                var leadingComments = [];
                var target;
                while (this.stack.length > 0) {
                  var entry = this.stack[this.stack.length - 1];
                  if (entry && entry.start >= metadata.start.offset) {
                    target = entry.node;
                    this.stack.pop();
                  } else {
                    break;
                  }
                }
                if (target) {
                  var count = target.leadingComments ? target.leadingComments.length : 0;
                  for (var i = count - 1; i >= 0; --i) {
                    var comment = target.leadingComments[i];
                    if (comment.range[1] <= metadata.start.offset) {
                      leadingComments.unshift(comment);
                      target.leadingComments.splice(i, 1);
                    }
                  }
                  if (target.leadingComments && target.leadingComments.length === 0) {
                    delete target.leadingComments;
                  }
                  return leadingComments;
                }
                for (var i = this.leading.length - 1; i >= 0; --i) {
                  var entry = this.leading[i];
                  if (entry.start <= metadata.start.offset) {
                    leadingComments.unshift(entry.comment);
                    this.leading.splice(i, 1);
                  }
                }
                return leadingComments;
              };
              CommentHandler2.prototype.visitNode = function(node, metadata) {
                if (node.type === syntax_1.Syntax.Program && node.body.length > 0) {
                  return;
                }
                this.insertInnerComments(node, metadata);
                var trailingComments = this.findTrailingComments(metadata);
                var leadingComments = this.findLeadingComments(metadata);
                if (leadingComments.length > 0) {
                  node.leadingComments = leadingComments;
                }
                if (trailingComments.length > 0) {
                  node.trailingComments = trailingComments;
                }
                this.stack.push({
                  node,
                  start: metadata.start.offset
                });
              };
              CommentHandler2.prototype.visitComment = function(node, metadata) {
                var type = node.type[0] === "L" ? "Line" : "Block";
                var comment = {
                  type,
                  value: node.value
                };
                if (node.range) {
                  comment.range = node.range;
                }
                if (node.loc) {
                  comment.loc = node.loc;
                }
                this.comments.push(comment);
                if (this.attach) {
                  var entry = {
                    comment: {
                      type,
                      value: node.value,
                      range: [metadata.start.offset, metadata.end.offset]
                    },
                    start: metadata.start.offset
                  };
                  if (node.loc) {
                    entry.comment.loc = node.loc;
                  }
                  node.type = type;
                  this.leading.push(entry);
                  this.trailing.push(entry);
                }
              };
              CommentHandler2.prototype.visit = function(node, metadata) {
                if (node.type === "LineComment") {
                  this.visitComment(node, metadata);
                } else if (node.type === "BlockComment") {
                  this.visitComment(node, metadata);
                } else if (this.attach) {
                  this.visitNode(node, metadata);
                }
              };
              return CommentHandler2;
            }();
            exports3.CommentHandler = CommentHandler;
          },
          /* 2 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Syntax = {
              AssignmentExpression: "AssignmentExpression",
              AssignmentPattern: "AssignmentPattern",
              ArrayExpression: "ArrayExpression",
              ArrayPattern: "ArrayPattern",
              ArrowFunctionExpression: "ArrowFunctionExpression",
              AwaitExpression: "AwaitExpression",
              BlockStatement: "BlockStatement",
              BinaryExpression: "BinaryExpression",
              BreakStatement: "BreakStatement",
              CallExpression: "CallExpression",
              CatchClause: "CatchClause",
              ClassBody: "ClassBody",
              ClassDeclaration: "ClassDeclaration",
              ClassExpression: "ClassExpression",
              ConditionalExpression: "ConditionalExpression",
              ContinueStatement: "ContinueStatement",
              DoWhileStatement: "DoWhileStatement",
              DebuggerStatement: "DebuggerStatement",
              EmptyStatement: "EmptyStatement",
              ExportAllDeclaration: "ExportAllDeclaration",
              ExportDefaultDeclaration: "ExportDefaultDeclaration",
              ExportNamedDeclaration: "ExportNamedDeclaration",
              ExportSpecifier: "ExportSpecifier",
              ExpressionStatement: "ExpressionStatement",
              ForStatement: "ForStatement",
              ForOfStatement: "ForOfStatement",
              ForInStatement: "ForInStatement",
              FunctionDeclaration: "FunctionDeclaration",
              FunctionExpression: "FunctionExpression",
              Identifier: "Identifier",
              IfStatement: "IfStatement",
              ImportDeclaration: "ImportDeclaration",
              ImportDefaultSpecifier: "ImportDefaultSpecifier",
              ImportNamespaceSpecifier: "ImportNamespaceSpecifier",
              ImportSpecifier: "ImportSpecifier",
              Literal: "Literal",
              LabeledStatement: "LabeledStatement",
              LogicalExpression: "LogicalExpression",
              MemberExpression: "MemberExpression",
              MetaProperty: "MetaProperty",
              MethodDefinition: "MethodDefinition",
              NewExpression: "NewExpression",
              ObjectExpression: "ObjectExpression",
              ObjectPattern: "ObjectPattern",
              Program: "Program",
              Property: "Property",
              RestElement: "RestElement",
              ReturnStatement: "ReturnStatement",
              SequenceExpression: "SequenceExpression",
              SpreadElement: "SpreadElement",
              Super: "Super",
              SwitchCase: "SwitchCase",
              SwitchStatement: "SwitchStatement",
              TaggedTemplateExpression: "TaggedTemplateExpression",
              TemplateElement: "TemplateElement",
              TemplateLiteral: "TemplateLiteral",
              ThisExpression: "ThisExpression",
              ThrowStatement: "ThrowStatement",
              TryStatement: "TryStatement",
              UnaryExpression: "UnaryExpression",
              UpdateExpression: "UpdateExpression",
              VariableDeclaration: "VariableDeclaration",
              VariableDeclarator: "VariableDeclarator",
              WhileStatement: "WhileStatement",
              WithStatement: "WithStatement",
              YieldExpression: "YieldExpression"
            };
          },
          /* 3 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            var __extends = this && this.__extends || function() {
              var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d, b) {
                d.__proto__ = b;
              } || function(d, b) {
                for (var p in b)
                  if (b.hasOwnProperty(p))
                    d[p] = b[p];
              };
              return function(d, b) {
                extendStatics(d, b);
                function __() {
                  this.constructor = d;
                }
                d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
              };
            }();
            Object.defineProperty(exports3, "__esModule", { value: true });
            var character_1 = __webpack_require__(4);
            var JSXNode = __webpack_require__(5);
            var jsx_syntax_1 = __webpack_require__(6);
            var Node = __webpack_require__(7);
            var parser_1 = __webpack_require__(8);
            var token_1 = __webpack_require__(13);
            var xhtml_entities_1 = __webpack_require__(14);
            token_1.TokenName[
              100
              /* Identifier */
            ] = "JSXIdentifier";
            token_1.TokenName[
              101
              /* Text */
            ] = "JSXText";
            function getQualifiedElementName(elementName) {
              var qualifiedName;
              switch (elementName.type) {
                case jsx_syntax_1.JSXSyntax.JSXIdentifier:
                  var id = elementName;
                  qualifiedName = id.name;
                  break;
                case jsx_syntax_1.JSXSyntax.JSXNamespacedName:
                  var ns = elementName;
                  qualifiedName = getQualifiedElementName(ns.namespace) + ":" + getQualifiedElementName(ns.name);
                  break;
                case jsx_syntax_1.JSXSyntax.JSXMemberExpression:
                  var expr = elementName;
                  qualifiedName = getQualifiedElementName(expr.object) + "." + getQualifiedElementName(expr.property);
                  break;
                default:
                  break;
              }
              return qualifiedName;
            }
            var JSXParser = function(_super) {
              __extends(JSXParser2, _super);
              function JSXParser2(code, options, delegate) {
                return _super.call(this, code, options, delegate) || this;
              }
              JSXParser2.prototype.parsePrimaryExpression = function() {
                return this.match("<") ? this.parseJSXRoot() : _super.prototype.parsePrimaryExpression.call(this);
              };
              JSXParser2.prototype.startJSX = function() {
                this.scanner.index = this.startMarker.index;
                this.scanner.lineNumber = this.startMarker.line;
                this.scanner.lineStart = this.startMarker.index - this.startMarker.column;
              };
              JSXParser2.prototype.finishJSX = function() {
                this.nextToken();
              };
              JSXParser2.prototype.reenterJSX = function() {
                this.startJSX();
                this.expectJSX("}");
                if (this.config.tokens) {
                  this.tokens.pop();
                }
              };
              JSXParser2.prototype.createJSXNode = function() {
                this.collectComments();
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.createJSXChildNode = function() {
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.scanXHTMLEntity = function(quote) {
                var result = "&";
                var valid = true;
                var terminated = false;
                var numeric = false;
                var hex = false;
                while (!this.scanner.eof() && valid && !terminated) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === quote) {
                    break;
                  }
                  terminated = ch === ";";
                  result += ch;
                  ++this.scanner.index;
                  if (!terminated) {
                    switch (result.length) {
                      case 2:
                        numeric = ch === "#";
                        break;
                      case 3:
                        if (numeric) {
                          hex = ch === "x";
                          valid = hex || character_1.Character.isDecimalDigit(ch.charCodeAt(0));
                          numeric = numeric && !hex;
                        }
                        break;
                      default:
                        valid = valid && !(numeric && !character_1.Character.isDecimalDigit(ch.charCodeAt(0)));
                        valid = valid && !(hex && !character_1.Character.isHexDigit(ch.charCodeAt(0)));
                        break;
                    }
                  }
                }
                if (valid && terminated && result.length > 2) {
                  var str = result.substr(1, result.length - 2);
                  if (numeric && str.length > 1) {
                    result = String.fromCharCode(parseInt(str.substr(1), 10));
                  } else if (hex && str.length > 2) {
                    result = String.fromCharCode(parseInt("0" + str.substr(1), 16));
                  } else if (!numeric && !hex && xhtml_entities_1.XHTMLEntities[str]) {
                    result = xhtml_entities_1.XHTMLEntities[str];
                  }
                }
                return result;
              };
              JSXParser2.prototype.lexJSX = function() {
                var cp = this.scanner.source.charCodeAt(this.scanner.index);
                if (cp === 60 || cp === 62 || cp === 47 || cp === 58 || cp === 61 || cp === 123 || cp === 125) {
                  var value = this.scanner.source[this.scanner.index++];
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index - 1,
                    end: this.scanner.index
                  };
                }
                if (cp === 34 || cp === 39) {
                  var start = this.scanner.index;
                  var quote = this.scanner.source[this.scanner.index++];
                  var str = "";
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source[this.scanner.index++];
                    if (ch === quote) {
                      break;
                    } else if (ch === "&") {
                      str += this.scanXHTMLEntity(quote);
                    } else {
                      str += ch;
                    }
                  }
                  return {
                    type: 8,
                    value: str,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 46) {
                  var n1 = this.scanner.source.charCodeAt(this.scanner.index + 1);
                  var n2 = this.scanner.source.charCodeAt(this.scanner.index + 2);
                  var value = n1 === 46 && n2 === 46 ? "..." : ".";
                  var start = this.scanner.index;
                  this.scanner.index += value.length;
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 96) {
                  return {
                    type: 10,
                    value: "",
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index,
                    end: this.scanner.index
                  };
                }
                if (character_1.Character.isIdentifierStart(cp) && cp !== 92) {
                  var start = this.scanner.index;
                  ++this.scanner.index;
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source.charCodeAt(this.scanner.index);
                    if (character_1.Character.isIdentifierPart(ch) && ch !== 92) {
                      ++this.scanner.index;
                    } else if (ch === 45) {
                      ++this.scanner.index;
                    } else {
                      break;
                    }
                  }
                  var id = this.scanner.source.slice(start, this.scanner.index);
                  return {
                    type: 100,
                    value: id,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                return this.scanner.lex();
              };
              JSXParser2.prototype.nextJSXToken = function() {
                this.collectComments();
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = this.lexJSX();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                if (this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.nextJSXText = function() {
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var start = this.scanner.index;
                var text = "";
                while (!this.scanner.eof()) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === "{" || ch === "<") {
                    break;
                  }
                  ++this.scanner.index;
                  text += ch;
                  if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.scanner.lineNumber;
                    if (ch === "\r" && this.scanner.source[this.scanner.index] === "\n") {
                      ++this.scanner.index;
                    }
                    this.scanner.lineStart = this.scanner.index;
                  }
                }
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = {
                  type: 101,
                  value: text,
                  lineNumber: this.scanner.lineNumber,
                  lineStart: this.scanner.lineStart,
                  start,
                  end: this.scanner.index
                };
                if (text.length > 0 && this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.peekJSXToken = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.lexJSX();
                this.scanner.restoreState(state);
                return next;
              };
              JSXParser2.prototype.expectJSX = function(value) {
                var token = this.nextJSXToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              JSXParser2.prototype.matchJSX = function(value) {
                var next = this.peekJSXToken();
                return next.type === 7 && next.value === value;
              };
              JSXParser2.prototype.parseJSXIdentifier = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 100) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new JSXNode.JSXIdentifier(token.value));
              };
              JSXParser2.prototype.parseJSXElementName = function() {
                var node = this.createJSXNode();
                var elementName = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = elementName;
                  this.expectJSX(":");
                  var name_1 = this.parseJSXIdentifier();
                  elementName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_1));
                } else if (this.matchJSX(".")) {
                  while (this.matchJSX(".")) {
                    var object = elementName;
                    this.expectJSX(".");
                    var property = this.parseJSXIdentifier();
                    elementName = this.finalize(node, new JSXNode.JSXMemberExpression(object, property));
                  }
                }
                return elementName;
              };
              JSXParser2.prototype.parseJSXAttributeName = function() {
                var node = this.createJSXNode();
                var attributeName;
                var identifier = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = identifier;
                  this.expectJSX(":");
                  var name_2 = this.parseJSXIdentifier();
                  attributeName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_2));
                } else {
                  attributeName = identifier;
                }
                return attributeName;
              };
              JSXParser2.prototype.parseJSXStringLiteralAttribute = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 8) {
                  this.throwUnexpectedToken(token);
                }
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              JSXParser2.prototype.parseJSXExpressionAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.finishJSX();
                if (this.match("}")) {
                  this.tolerateError("JSX attributes must only be assigned a non-empty expression");
                }
                var expression = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXAttributeValue = function() {
                return this.matchJSX("{") ? this.parseJSXExpressionAttribute() : this.matchJSX("<") ? this.parseJSXElement() : this.parseJSXStringLiteralAttribute();
              };
              JSXParser2.prototype.parseJSXNameValueAttribute = function() {
                var node = this.createJSXNode();
                var name = this.parseJSXAttributeName();
                var value = null;
                if (this.matchJSX("=")) {
                  this.expectJSX("=");
                  value = this.parseJSXAttributeValue();
                }
                return this.finalize(node, new JSXNode.JSXAttribute(name, value));
              };
              JSXParser2.prototype.parseJSXSpreadAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.expectJSX("...");
                this.finishJSX();
                var argument = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXSpreadAttribute(argument));
              };
              JSXParser2.prototype.parseJSXAttributes = function() {
                var attributes = [];
                while (!this.matchJSX("/") && !this.matchJSX(">")) {
                  var attribute = this.matchJSX("{") ? this.parseJSXSpreadAttribute() : this.parseJSXNameValueAttribute();
                  attributes.push(attribute);
                }
                return attributes;
              };
              JSXParser2.prototype.parseJSXOpeningElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXBoundaryElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                if (this.matchJSX("/")) {
                  this.expectJSX("/");
                  var name_3 = this.parseJSXElementName();
                  this.expectJSX(">");
                  return this.finalize(node, new JSXNode.JSXClosingElement(name_3));
                }
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXEmptyExpression = function() {
                var node = this.createJSXChildNode();
                this.collectComments();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                return this.finalize(node, new JSXNode.JSXEmptyExpression());
              };
              JSXParser2.prototype.parseJSXExpressionContainer = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                var expression;
                if (this.matchJSX("}")) {
                  expression = this.parseJSXEmptyExpression();
                  this.expectJSX("}");
                } else {
                  this.finishJSX();
                  expression = this.parseAssignmentExpression();
                  this.reenterJSX();
                }
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXChildren = function() {
                var children = [];
                while (!this.scanner.eof()) {
                  var node = this.createJSXChildNode();
                  var token = this.nextJSXText();
                  if (token.start < token.end) {
                    var raw = this.getTokenRaw(token);
                    var child = this.finalize(node, new JSXNode.JSXText(token.value, raw));
                    children.push(child);
                  }
                  if (this.scanner.source[this.scanner.index] === "{") {
                    var container = this.parseJSXExpressionContainer();
                    children.push(container);
                  } else {
                    break;
                  }
                }
                return children;
              };
              JSXParser2.prototype.parseComplexJSXElement = function(el) {
                var stack = [];
                while (!this.scanner.eof()) {
                  el.children = el.children.concat(this.parseJSXChildren());
                  var node = this.createJSXChildNode();
                  var element = this.parseJSXBoundaryElement();
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXOpeningElement) {
                    var opening = element;
                    if (opening.selfClosing) {
                      var child = this.finalize(node, new JSXNode.JSXElement(opening, [], null));
                      el.children.push(child);
                    } else {
                      stack.push(el);
                      el = { node, opening, closing: null, children: [] };
                    }
                  }
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXClosingElement) {
                    el.closing = element;
                    var open_1 = getQualifiedElementName(el.opening.name);
                    var close_1 = getQualifiedElementName(el.closing.name);
                    if (open_1 !== close_1) {
                      this.tolerateError("Expected corresponding JSX closing tag for %0", open_1);
                    }
                    if (stack.length > 0) {
                      var child = this.finalize(el.node, new JSXNode.JSXElement(el.opening, el.children, el.closing));
                      el = stack[stack.length - 1];
                      el.children.push(child);
                      stack.pop();
                    } else {
                      break;
                    }
                  }
                }
                return el;
              };
              JSXParser2.prototype.parseJSXElement = function() {
                var node = this.createJSXNode();
                var opening = this.parseJSXOpeningElement();
                var children = [];
                var closing = null;
                if (!opening.selfClosing) {
                  var el = this.parseComplexJSXElement({ node, opening, closing, children });
                  children = el.children;
                  closing = el.closing;
                }
                return this.finalize(node, new JSXNode.JSXElement(opening, children, closing));
              };
              JSXParser2.prototype.parseJSXRoot = function() {
                if (this.config.tokens) {
                  this.tokens.pop();
                }
                this.startJSX();
                var element = this.parseJSXElement();
                this.finishJSX();
                return element;
              };
              JSXParser2.prototype.isStartOfExpression = function() {
                return _super.prototype.isStartOfExpression.call(this) || this.match("<");
              };
              return JSXParser2;
            }(parser_1.Parser);
            exports3.JSXParser = JSXParser;
          },
          /* 4 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var Regex = {
              // Unicode v8.0.0 NonAsciiIdentifierStart:
              NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE80-\uDEAA\uDF00-\uDF19]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]/,
              // Unicode v8.0.0 NonAsciiIdentifierPart:
              NonAsciiIdentifierPart: /[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B4\u08E3-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0AF9\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58-\u0C5A\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D5F-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA8FD\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDCA-\uDDCC\uDDD0-\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE37\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF00-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF50\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDDD8-\uDDDD\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9\uDF00-\uDF19\uDF1D-\uDF2B\uDF30-\uDF39]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD836[\uDE00-\uDE36\uDE3B-\uDE6C\uDE75\uDE84\uDE9B-\uDE9F\uDEA1-\uDEAF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/
            };
            exports3.Character = {
              /* tslint:disable:no-bitwise */
              fromCodePoint: function(cp) {
                return cp < 65536 ? String.fromCharCode(cp) : String.fromCharCode(55296 + (cp - 65536 >> 10)) + String.fromCharCode(56320 + (cp - 65536 & 1023));
              },
              // https://tc39.github.io/ecma262/#sec-white-space
              isWhiteSpace: function(cp) {
                return cp === 32 || cp === 9 || cp === 11 || cp === 12 || cp === 160 || cp >= 5760 && [5760, 8192, 8193, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8239, 8287, 12288, 65279].indexOf(cp) >= 0;
              },
              // https://tc39.github.io/ecma262/#sec-line-terminators
              isLineTerminator: function(cp) {
                return cp === 10 || cp === 13 || cp === 8232 || cp === 8233;
              },
              // https://tc39.github.io/ecma262/#sec-names-and-keywords
              isIdentifierStart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierStart.test(exports3.Character.fromCodePoint(cp));
              },
              isIdentifierPart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp >= 48 && cp <= 57 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierPart.test(exports3.Character.fromCodePoint(cp));
              },
              // https://tc39.github.io/ecma262/#sec-literals-numeric-literals
              isDecimalDigit: function(cp) {
                return cp >= 48 && cp <= 57;
              },
              isHexDigit: function(cp) {
                return cp >= 48 && cp <= 57 || cp >= 65 && cp <= 70 || cp >= 97 && cp <= 102;
              },
              isOctalDigit: function(cp) {
                return cp >= 48 && cp <= 55;
              }
            };
          },
          /* 5 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var jsx_syntax_1 = __webpack_require__(6);
            var JSXClosingElement = function() {
              function JSXClosingElement2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXClosingElement;
                this.name = name;
              }
              return JSXClosingElement2;
            }();
            exports3.JSXClosingElement = JSXClosingElement;
            var JSXElement = function() {
              function JSXElement2(openingElement, children, closingElement) {
                this.type = jsx_syntax_1.JSXSyntax.JSXElement;
                this.openingElement = openingElement;
                this.children = children;
                this.closingElement = closingElement;
              }
              return JSXElement2;
            }();
            exports3.JSXElement = JSXElement;
            var JSXEmptyExpression = function() {
              function JSXEmptyExpression2() {
                this.type = jsx_syntax_1.JSXSyntax.JSXEmptyExpression;
              }
              return JSXEmptyExpression2;
            }();
            exports3.JSXEmptyExpression = JSXEmptyExpression;
            var JSXExpressionContainer = function() {
              function JSXExpressionContainer2(expression) {
                this.type = jsx_syntax_1.JSXSyntax.JSXExpressionContainer;
                this.expression = expression;
              }
              return JSXExpressionContainer2;
            }();
            exports3.JSXExpressionContainer = JSXExpressionContainer;
            var JSXIdentifier = function() {
              function JSXIdentifier2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXIdentifier;
                this.name = name;
              }
              return JSXIdentifier2;
            }();
            exports3.JSXIdentifier = JSXIdentifier;
            var JSXMemberExpression = function() {
              function JSXMemberExpression2(object, property) {
                this.type = jsx_syntax_1.JSXSyntax.JSXMemberExpression;
                this.object = object;
                this.property = property;
              }
              return JSXMemberExpression2;
            }();
            exports3.JSXMemberExpression = JSXMemberExpression;
            var JSXAttribute = function() {
              function JSXAttribute2(name, value) {
                this.type = jsx_syntax_1.JSXSyntax.JSXAttribute;
                this.name = name;
                this.value = value;
              }
              return JSXAttribute2;
            }();
            exports3.JSXAttribute = JSXAttribute;
            var JSXNamespacedName = function() {
              function JSXNamespacedName2(namespace, name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXNamespacedName;
                this.namespace = namespace;
                this.name = name;
              }
              return JSXNamespacedName2;
            }();
            exports3.JSXNamespacedName = JSXNamespacedName;
            var JSXOpeningElement = function() {
              function JSXOpeningElement2(name, selfClosing, attributes) {
                this.type = jsx_syntax_1.JSXSyntax.JSXOpeningElement;
                this.name = name;
                this.selfClosing = selfClosing;
                this.attributes = attributes;
              }
              return JSXOpeningElement2;
            }();
            exports3.JSXOpeningElement = JSXOpeningElement;
            var JSXSpreadAttribute = function() {
              function JSXSpreadAttribute2(argument) {
                this.type = jsx_syntax_1.JSXSyntax.JSXSpreadAttribute;
                this.argument = argument;
              }
              return JSXSpreadAttribute2;
            }();
            exports3.JSXSpreadAttribute = JSXSpreadAttribute;
            var JSXText = function() {
              function JSXText2(value, raw) {
                this.type = jsx_syntax_1.JSXSyntax.JSXText;
                this.value = value;
                this.raw = raw;
              }
              return JSXText2;
            }();
            exports3.JSXText = JSXText;
          },
          /* 6 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.JSXSyntax = {
              JSXAttribute: "JSXAttribute",
              JSXClosingElement: "JSXClosingElement",
              JSXElement: "JSXElement",
              JSXEmptyExpression: "JSXEmptyExpression",
              JSXExpressionContainer: "JSXExpressionContainer",
              JSXIdentifier: "JSXIdentifier",
              JSXMemberExpression: "JSXMemberExpression",
              JSXNamespacedName: "JSXNamespacedName",
              JSXOpeningElement: "JSXOpeningElement",
              JSXSpreadAttribute: "JSXSpreadAttribute",
              JSXText: "JSXText"
            };
          },
          /* 7 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var ArrayExpression = function() {
              function ArrayExpression2(elements) {
                this.type = syntax_1.Syntax.ArrayExpression;
                this.elements = elements;
              }
              return ArrayExpression2;
            }();
            exports3.ArrayExpression = ArrayExpression;
            var ArrayPattern = function() {
              function ArrayPattern2(elements) {
                this.type = syntax_1.Syntax.ArrayPattern;
                this.elements = elements;
              }
              return ArrayPattern2;
            }();
            exports3.ArrayPattern = ArrayPattern;
            var ArrowFunctionExpression = function() {
              function ArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = false;
              }
              return ArrowFunctionExpression2;
            }();
            exports3.ArrowFunctionExpression = ArrowFunctionExpression;
            var AssignmentExpression = function() {
              function AssignmentExpression2(operator, left, right) {
                this.type = syntax_1.Syntax.AssignmentExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return AssignmentExpression2;
            }();
            exports3.AssignmentExpression = AssignmentExpression;
            var AssignmentPattern = function() {
              function AssignmentPattern2(left, right) {
                this.type = syntax_1.Syntax.AssignmentPattern;
                this.left = left;
                this.right = right;
              }
              return AssignmentPattern2;
            }();
            exports3.AssignmentPattern = AssignmentPattern;
            var AsyncArrowFunctionExpression = function() {
              function AsyncArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = true;
              }
              return AsyncArrowFunctionExpression2;
            }();
            exports3.AsyncArrowFunctionExpression = AsyncArrowFunctionExpression;
            var AsyncFunctionDeclaration = function() {
              function AsyncFunctionDeclaration2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionDeclaration2;
            }();
            exports3.AsyncFunctionDeclaration = AsyncFunctionDeclaration;
            var AsyncFunctionExpression = function() {
              function AsyncFunctionExpression2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionExpression2;
            }();
            exports3.AsyncFunctionExpression = AsyncFunctionExpression;
            var AwaitExpression = function() {
              function AwaitExpression2(argument) {
                this.type = syntax_1.Syntax.AwaitExpression;
                this.argument = argument;
              }
              return AwaitExpression2;
            }();
            exports3.AwaitExpression = AwaitExpression;
            var BinaryExpression = function() {
              function BinaryExpression2(operator, left, right) {
                var logical = operator === "||" || operator === "&&";
                this.type = logical ? syntax_1.Syntax.LogicalExpression : syntax_1.Syntax.BinaryExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return BinaryExpression2;
            }();
            exports3.BinaryExpression = BinaryExpression;
            var BlockStatement = function() {
              function BlockStatement2(body) {
                this.type = syntax_1.Syntax.BlockStatement;
                this.body = body;
              }
              return BlockStatement2;
            }();
            exports3.BlockStatement = BlockStatement;
            var BreakStatement = function() {
              function BreakStatement2(label) {
                this.type = syntax_1.Syntax.BreakStatement;
                this.label = label;
              }
              return BreakStatement2;
            }();
            exports3.BreakStatement = BreakStatement;
            var CallExpression = function() {
              function CallExpression2(callee, args) {
                this.type = syntax_1.Syntax.CallExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return CallExpression2;
            }();
            exports3.CallExpression = CallExpression;
            var CatchClause = function() {
              function CatchClause2(param, body) {
                this.type = syntax_1.Syntax.CatchClause;
                this.param = param;
                this.body = body;
              }
              return CatchClause2;
            }();
            exports3.CatchClause = CatchClause;
            var ClassBody = function() {
              function ClassBody2(body) {
                this.type = syntax_1.Syntax.ClassBody;
                this.body = body;
              }
              return ClassBody2;
            }();
            exports3.ClassBody = ClassBody;
            var ClassDeclaration = function() {
              function ClassDeclaration2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassDeclaration;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassDeclaration2;
            }();
            exports3.ClassDeclaration = ClassDeclaration;
            var ClassExpression = function() {
              function ClassExpression2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassExpression;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassExpression2;
            }();
            exports3.ClassExpression = ClassExpression;
            var ComputedMemberExpression = function() {
              function ComputedMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = true;
                this.object = object;
                this.property = property;
              }
              return ComputedMemberExpression2;
            }();
            exports3.ComputedMemberExpression = ComputedMemberExpression;
            var ConditionalExpression = function() {
              function ConditionalExpression2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.ConditionalExpression;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return ConditionalExpression2;
            }();
            exports3.ConditionalExpression = ConditionalExpression;
            var ContinueStatement = function() {
              function ContinueStatement2(label) {
                this.type = syntax_1.Syntax.ContinueStatement;
                this.label = label;
              }
              return ContinueStatement2;
            }();
            exports3.ContinueStatement = ContinueStatement;
            var DebuggerStatement = function() {
              function DebuggerStatement2() {
                this.type = syntax_1.Syntax.DebuggerStatement;
              }
              return DebuggerStatement2;
            }();
            exports3.DebuggerStatement = DebuggerStatement;
            var Directive = function() {
              function Directive2(expression, directive) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
                this.directive = directive;
              }
              return Directive2;
            }();
            exports3.Directive = Directive;
            var DoWhileStatement = function() {
              function DoWhileStatement2(body, test) {
                this.type = syntax_1.Syntax.DoWhileStatement;
                this.body = body;
                this.test = test;
              }
              return DoWhileStatement2;
            }();
            exports3.DoWhileStatement = DoWhileStatement;
            var EmptyStatement = function() {
              function EmptyStatement2() {
                this.type = syntax_1.Syntax.EmptyStatement;
              }
              return EmptyStatement2;
            }();
            exports3.EmptyStatement = EmptyStatement;
            var ExportAllDeclaration = function() {
              function ExportAllDeclaration2(source) {
                this.type = syntax_1.Syntax.ExportAllDeclaration;
                this.source = source;
              }
              return ExportAllDeclaration2;
            }();
            exports3.ExportAllDeclaration = ExportAllDeclaration;
            var ExportDefaultDeclaration = function() {
              function ExportDefaultDeclaration2(declaration) {
                this.type = syntax_1.Syntax.ExportDefaultDeclaration;
                this.declaration = declaration;
              }
              return ExportDefaultDeclaration2;
            }();
            exports3.ExportDefaultDeclaration = ExportDefaultDeclaration;
            var ExportNamedDeclaration = function() {
              function ExportNamedDeclaration2(declaration, specifiers, source) {
                this.type = syntax_1.Syntax.ExportNamedDeclaration;
                this.declaration = declaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ExportNamedDeclaration2;
            }();
            exports3.ExportNamedDeclaration = ExportNamedDeclaration;
            var ExportSpecifier = function() {
              function ExportSpecifier2(local, exported) {
                this.type = syntax_1.Syntax.ExportSpecifier;
                this.exported = exported;
                this.local = local;
              }
              return ExportSpecifier2;
            }();
            exports3.ExportSpecifier = ExportSpecifier;
            var ExpressionStatement = function() {
              function ExpressionStatement2(expression) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
              }
              return ExpressionStatement2;
            }();
            exports3.ExpressionStatement = ExpressionStatement;
            var ForInStatement = function() {
              function ForInStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForInStatement;
                this.left = left;
                this.right = right;
                this.body = body;
                this.each = false;
              }
              return ForInStatement2;
            }();
            exports3.ForInStatement = ForInStatement;
            var ForOfStatement = function() {
              function ForOfStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForOfStatement;
                this.left = left;
                this.right = right;
                this.body = body;
              }
              return ForOfStatement2;
            }();
            exports3.ForOfStatement = ForOfStatement;
            var ForStatement = function() {
              function ForStatement2(init, test, update, body) {
                this.type = syntax_1.Syntax.ForStatement;
                this.init = init;
                this.test = test;
                this.update = update;
                this.body = body;
              }
              return ForStatement2;
            }();
            exports3.ForStatement = ForStatement;
            var FunctionDeclaration = function() {
              function FunctionDeclaration2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionDeclaration2;
            }();
            exports3.FunctionDeclaration = FunctionDeclaration;
            var FunctionExpression = function() {
              function FunctionExpression2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionExpression2;
            }();
            exports3.FunctionExpression = FunctionExpression;
            var Identifier = function() {
              function Identifier2(name) {
                this.type = syntax_1.Syntax.Identifier;
                this.name = name;
              }
              return Identifier2;
            }();
            exports3.Identifier = Identifier;
            var IfStatement = function() {
              function IfStatement2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.IfStatement;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return IfStatement2;
            }();
            exports3.IfStatement = IfStatement;
            var ImportDeclaration = function() {
              function ImportDeclaration2(specifiers, source) {
                this.type = syntax_1.Syntax.ImportDeclaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ImportDeclaration2;
            }();
            exports3.ImportDeclaration = ImportDeclaration;
            var ImportDefaultSpecifier = function() {
              function ImportDefaultSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportDefaultSpecifier;
                this.local = local;
              }
              return ImportDefaultSpecifier2;
            }();
            exports3.ImportDefaultSpecifier = ImportDefaultSpecifier;
            var ImportNamespaceSpecifier = function() {
              function ImportNamespaceSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportNamespaceSpecifier;
                this.local = local;
              }
              return ImportNamespaceSpecifier2;
            }();
            exports3.ImportNamespaceSpecifier = ImportNamespaceSpecifier;
            var ImportSpecifier = function() {
              function ImportSpecifier2(local, imported) {
                this.type = syntax_1.Syntax.ImportSpecifier;
                this.local = local;
                this.imported = imported;
              }
              return ImportSpecifier2;
            }();
            exports3.ImportSpecifier = ImportSpecifier;
            var LabeledStatement = function() {
              function LabeledStatement2(label, body) {
                this.type = syntax_1.Syntax.LabeledStatement;
                this.label = label;
                this.body = body;
              }
              return LabeledStatement2;
            }();
            exports3.LabeledStatement = LabeledStatement;
            var Literal = function() {
              function Literal2(value, raw) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
              }
              return Literal2;
            }();
            exports3.Literal = Literal;
            var MetaProperty = function() {
              function MetaProperty2(meta, property) {
                this.type = syntax_1.Syntax.MetaProperty;
                this.meta = meta;
                this.property = property;
              }
              return MetaProperty2;
            }();
            exports3.MetaProperty = MetaProperty;
            var MethodDefinition = function() {
              function MethodDefinition2(key, computed, value, kind, isStatic) {
                this.type = syntax_1.Syntax.MethodDefinition;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.static = isStatic;
              }
              return MethodDefinition2;
            }();
            exports3.MethodDefinition = MethodDefinition;
            var Module = function() {
              function Module2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "module";
              }
              return Module2;
            }();
            exports3.Module = Module;
            var NewExpression = function() {
              function NewExpression2(callee, args) {
                this.type = syntax_1.Syntax.NewExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return NewExpression2;
            }();
            exports3.NewExpression = NewExpression;
            var ObjectExpression = function() {
              function ObjectExpression2(properties) {
                this.type = syntax_1.Syntax.ObjectExpression;
                this.properties = properties;
              }
              return ObjectExpression2;
            }();
            exports3.ObjectExpression = ObjectExpression;
            var ObjectPattern = function() {
              function ObjectPattern2(properties) {
                this.type = syntax_1.Syntax.ObjectPattern;
                this.properties = properties;
              }
              return ObjectPattern2;
            }();
            exports3.ObjectPattern = ObjectPattern;
            var Property = function() {
              function Property2(kind, key, computed, value, method, shorthand) {
                this.type = syntax_1.Syntax.Property;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.method = method;
                this.shorthand = shorthand;
              }
              return Property2;
            }();
            exports3.Property = Property;
            var RegexLiteral = function() {
              function RegexLiteral2(value, raw, pattern, flags) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
                this.regex = { pattern, flags };
              }
              return RegexLiteral2;
            }();
            exports3.RegexLiteral = RegexLiteral;
            var RestElement = function() {
              function RestElement2(argument) {
                this.type = syntax_1.Syntax.RestElement;
                this.argument = argument;
              }
              return RestElement2;
            }();
            exports3.RestElement = RestElement;
            var ReturnStatement = function() {
              function ReturnStatement2(argument) {
                this.type = syntax_1.Syntax.ReturnStatement;
                this.argument = argument;
              }
              return ReturnStatement2;
            }();
            exports3.ReturnStatement = ReturnStatement;
            var Script = function() {
              function Script2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "script";
              }
              return Script2;
            }();
            exports3.Script = Script;
            var SequenceExpression = function() {
              function SequenceExpression2(expressions) {
                this.type = syntax_1.Syntax.SequenceExpression;
                this.expressions = expressions;
              }
              return SequenceExpression2;
            }();
            exports3.SequenceExpression = SequenceExpression;
            var SpreadElement = function() {
              function SpreadElement2(argument) {
                this.type = syntax_1.Syntax.SpreadElement;
                this.argument = argument;
              }
              return SpreadElement2;
            }();
            exports3.SpreadElement = SpreadElement;
            var StaticMemberExpression = function() {
              function StaticMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = false;
                this.object = object;
                this.property = property;
              }
              return StaticMemberExpression2;
            }();
            exports3.StaticMemberExpression = StaticMemberExpression;
            var Super = function() {
              function Super2() {
                this.type = syntax_1.Syntax.Super;
              }
              return Super2;
            }();
            exports3.Super = Super;
            var SwitchCase = function() {
              function SwitchCase2(test, consequent) {
                this.type = syntax_1.Syntax.SwitchCase;
                this.test = test;
                this.consequent = consequent;
              }
              return SwitchCase2;
            }();
            exports3.SwitchCase = SwitchCase;
            var SwitchStatement = function() {
              function SwitchStatement2(discriminant, cases) {
                this.type = syntax_1.Syntax.SwitchStatement;
                this.discriminant = discriminant;
                this.cases = cases;
              }
              return SwitchStatement2;
            }();
            exports3.SwitchStatement = SwitchStatement;
            var TaggedTemplateExpression = function() {
              function TaggedTemplateExpression2(tag, quasi) {
                this.type = syntax_1.Syntax.TaggedTemplateExpression;
                this.tag = tag;
                this.quasi = quasi;
              }
              return TaggedTemplateExpression2;
            }();
            exports3.TaggedTemplateExpression = TaggedTemplateExpression;
            var TemplateElement = function() {
              function TemplateElement2(value, tail) {
                this.type = syntax_1.Syntax.TemplateElement;
                this.value = value;
                this.tail = tail;
              }
              return TemplateElement2;
            }();
            exports3.TemplateElement = TemplateElement;
            var TemplateLiteral = function() {
              function TemplateLiteral2(quasis, expressions) {
                this.type = syntax_1.Syntax.TemplateLiteral;
                this.quasis = quasis;
                this.expressions = expressions;
              }
              return TemplateLiteral2;
            }();
            exports3.TemplateLiteral = TemplateLiteral;
            var ThisExpression = function() {
              function ThisExpression2() {
                this.type = syntax_1.Syntax.ThisExpression;
              }
              return ThisExpression2;
            }();
            exports3.ThisExpression = ThisExpression;
            var ThrowStatement = function() {
              function ThrowStatement2(argument) {
                this.type = syntax_1.Syntax.ThrowStatement;
                this.argument = argument;
              }
              return ThrowStatement2;
            }();
            exports3.ThrowStatement = ThrowStatement;
            var TryStatement = function() {
              function TryStatement2(block, handler, finalizer) {
                this.type = syntax_1.Syntax.TryStatement;
                this.block = block;
                this.handler = handler;
                this.finalizer = finalizer;
              }
              return TryStatement2;
            }();
            exports3.TryStatement = TryStatement;
            var UnaryExpression = function() {
              function UnaryExpression2(operator, argument) {
                this.type = syntax_1.Syntax.UnaryExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = true;
              }
              return UnaryExpression2;
            }();
            exports3.UnaryExpression = UnaryExpression;
            var UpdateExpression = function() {
              function UpdateExpression2(operator, argument, prefix) {
                this.type = syntax_1.Syntax.UpdateExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = prefix;
              }
              return UpdateExpression2;
            }();
            exports3.UpdateExpression = UpdateExpression;
            var VariableDeclaration = function() {
              function VariableDeclaration2(declarations, kind) {
                this.type = syntax_1.Syntax.VariableDeclaration;
                this.declarations = declarations;
                this.kind = kind;
              }
              return VariableDeclaration2;
            }();
            exports3.VariableDeclaration = VariableDeclaration;
            var VariableDeclarator = function() {
              function VariableDeclarator2(id, init) {
                this.type = syntax_1.Syntax.VariableDeclarator;
                this.id = id;
                this.init = init;
              }
              return VariableDeclarator2;
            }();
            exports3.VariableDeclarator = VariableDeclarator;
            var WhileStatement = function() {
              function WhileStatement2(test, body) {
                this.type = syntax_1.Syntax.WhileStatement;
                this.test = test;
                this.body = body;
              }
              return WhileStatement2;
            }();
            exports3.WhileStatement = WhileStatement;
            var WithStatement = function() {
              function WithStatement2(object, body) {
                this.type = syntax_1.Syntax.WithStatement;
                this.object = object;
                this.body = body;
              }
              return WithStatement2;
            }();
            exports3.WithStatement = WithStatement;
            var YieldExpression = function() {
              function YieldExpression2(argument, delegate) {
                this.type = syntax_1.Syntax.YieldExpression;
                this.argument = argument;
                this.delegate = delegate;
              }
              return YieldExpression2;
            }();
            exports3.YieldExpression = YieldExpression;
          },
          /* 8 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var error_handler_1 = __webpack_require__(10);
            var messages_1 = __webpack_require__(11);
            var Node = __webpack_require__(7);
            var scanner_1 = __webpack_require__(12);
            var syntax_1 = __webpack_require__(2);
            var token_1 = __webpack_require__(13);
            var ArrowParameterPlaceHolder = "ArrowParameterPlaceHolder";
            var Parser = function() {
              function Parser2(code, options, delegate) {
                if (options === void 0) {
                  options = {};
                }
                this.config = {
                  range: typeof options.range === "boolean" && options.range,
                  loc: typeof options.loc === "boolean" && options.loc,
                  source: null,
                  tokens: typeof options.tokens === "boolean" && options.tokens,
                  comment: typeof options.comment === "boolean" && options.comment,
                  tolerant: typeof options.tolerant === "boolean" && options.tolerant
                };
                if (this.config.loc && options.source && options.source !== null) {
                  this.config.source = String(options.source);
                }
                this.delegate = delegate;
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = this.config.tolerant;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = this.config.comment;
                this.operatorPrecedence = {
                  ")": 0,
                  ";": 0,
                  ",": 0,
                  "=": 0,
                  "]": 0,
                  "||": 1,
                  "&&": 2,
                  "|": 3,
                  "^": 4,
                  "&": 5,
                  "==": 6,
                  "!=": 6,
                  "===": 6,
                  "!==": 6,
                  "<": 7,
                  ">": 7,
                  "<=": 7,
                  ">=": 7,
                  "<<": 8,
                  ">>": 8,
                  ">>>": 8,
                  "+": 9,
                  "-": 9,
                  "*": 11,
                  "/": 11,
                  "%": 11
                };
                this.lookahead = {
                  type: 2,
                  value: "",
                  lineNumber: this.scanner.lineNumber,
                  lineStart: 0,
                  start: 0,
                  end: 0
                };
                this.hasLineTerminator = false;
                this.context = {
                  isModule: false,
                  await: false,
                  allowIn: true,
                  allowStrictDirective: true,
                  allowYield: true,
                  firstCoverInitializedNameError: null,
                  isAssignmentTarget: false,
                  isBindingElement: false,
                  inFunctionBody: false,
                  inIteration: false,
                  inSwitch: false,
                  labelSet: {},
                  strict: false
                };
                this.tokens = [];
                this.startMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.lastMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.nextToken();
                this.lastMarker = {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              }
              Parser2.prototype.throwError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.lastMarker.line;
                var column = this.lastMarker.column + 1;
                throw this.errorHandler.createError(index, line, column, msg);
              };
              Parser2.prototype.tolerateError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.scanner.lineNumber;
                var column = this.lastMarker.column + 1;
                this.errorHandler.tolerateError(index, line, column, msg);
              };
              Parser2.prototype.unexpectedTokenError = function(token, message) {
                var msg = message || messages_1.Messages.UnexpectedToken;
                var value;
                if (token) {
                  if (!message) {
                    msg = token.type === 2 ? messages_1.Messages.UnexpectedEOS : token.type === 3 ? messages_1.Messages.UnexpectedIdentifier : token.type === 6 ? messages_1.Messages.UnexpectedNumber : token.type === 8 ? messages_1.Messages.UnexpectedString : token.type === 10 ? messages_1.Messages.UnexpectedTemplate : messages_1.Messages.UnexpectedToken;
                    if (token.type === 4) {
                      if (this.scanner.isFutureReservedWord(token.value)) {
                        msg = messages_1.Messages.UnexpectedReserved;
                      } else if (this.context.strict && this.scanner.isStrictModeReservedWord(token.value)) {
                        msg = messages_1.Messages.StrictReservedWord;
                      }
                    }
                  }
                  value = token.value;
                } else {
                  value = "ILLEGAL";
                }
                msg = msg.replace("%0", value);
                if (token && typeof token.lineNumber === "number") {
                  var index = token.start;
                  var line = token.lineNumber;
                  var lastMarkerLineStart = this.lastMarker.index - this.lastMarker.column;
                  var column = token.start - lastMarkerLineStart + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                } else {
                  var index = this.lastMarker.index;
                  var line = this.lastMarker.line;
                  var column = this.lastMarker.column + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                }
              };
              Parser2.prototype.throwUnexpectedToken = function(token, message) {
                throw this.unexpectedTokenError(token, message);
              };
              Parser2.prototype.tolerateUnexpectedToken = function(token, message) {
                this.errorHandler.tolerate(this.unexpectedTokenError(token, message));
              };
              Parser2.prototype.collectComments = function() {
                if (!this.config.comment) {
                  this.scanner.scanComments();
                } else {
                  var comments = this.scanner.scanComments();
                  if (comments.length > 0 && this.delegate) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var node = void 0;
                      node = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value: this.scanner.source.slice(e.slice[0], e.slice[1])
                      };
                      if (this.config.range) {
                        node.range = e.range;
                      }
                      if (this.config.loc) {
                        node.loc = e.loc;
                      }
                      var metadata = {
                        start: {
                          line: e.loc.start.line,
                          column: e.loc.start.column,
                          offset: e.range[0]
                        },
                        end: {
                          line: e.loc.end.line,
                          column: e.loc.end.column,
                          offset: e.range[1]
                        }
                      };
                      this.delegate(node, metadata);
                    }
                  }
                }
              };
              Parser2.prototype.getTokenRaw = function(token) {
                return this.scanner.source.slice(token.start, token.end);
              };
              Parser2.prototype.convertToken = function(token) {
                var t = {
                  type: token_1.TokenName[token.type],
                  value: this.getTokenRaw(token)
                };
                if (this.config.range) {
                  t.range = [token.start, token.end];
                }
                if (this.config.loc) {
                  t.loc = {
                    start: {
                      line: this.startMarker.line,
                      column: this.startMarker.column
                    },
                    end: {
                      line: this.scanner.lineNumber,
                      column: this.scanner.index - this.scanner.lineStart
                    }
                  };
                }
                if (token.type === 9) {
                  var pattern = token.pattern;
                  var flags = token.flags;
                  t.regex = { pattern, flags };
                }
                return t;
              };
              Parser2.prototype.nextToken = function() {
                var token = this.lookahead;
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                this.collectComments();
                if (this.scanner.index !== this.startMarker.index) {
                  this.startMarker.index = this.scanner.index;
                  this.startMarker.line = this.scanner.lineNumber;
                  this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                }
                var next = this.scanner.lex();
                this.hasLineTerminator = token.lineNumber !== next.lineNumber;
                if (next && this.context.strict && next.type === 3) {
                  if (this.scanner.isStrictModeReservedWord(next.value)) {
                    next.type = 4;
                  }
                }
                this.lookahead = next;
                if (this.config.tokens && next.type !== 2) {
                  this.tokens.push(this.convertToken(next));
                }
                return token;
              };
              Parser2.prototype.nextRegexToken = function() {
                this.collectComments();
                var token = this.scanner.scanRegExp();
                if (this.config.tokens) {
                  this.tokens.pop();
                  this.tokens.push(this.convertToken(token));
                }
                this.lookahead = token;
                this.nextToken();
                return token;
              };
              Parser2.prototype.createNode = function() {
                return {
                  index: this.startMarker.index,
                  line: this.startMarker.line,
                  column: this.startMarker.column
                };
              };
              Parser2.prototype.startNode = function(token, lastLineStart) {
                if (lastLineStart === void 0) {
                  lastLineStart = 0;
                }
                var column = token.start - token.lineStart;
                var line = token.lineNumber;
                if (column < 0) {
                  column += lastLineStart;
                  line--;
                }
                return {
                  index: token.start,
                  line,
                  column
                };
              };
              Parser2.prototype.finalize = function(marker, node) {
                if (this.config.range) {
                  node.range = [marker.index, this.lastMarker.index];
                }
                if (this.config.loc) {
                  node.loc = {
                    start: {
                      line: marker.line,
                      column: marker.column
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column
                    }
                  };
                  if (this.config.source) {
                    node.loc.source = this.config.source;
                  }
                }
                if (this.delegate) {
                  var metadata = {
                    start: {
                      line: marker.line,
                      column: marker.column,
                      offset: marker.index
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column,
                      offset: this.lastMarker.index
                    }
                  };
                  this.delegate(node, metadata);
                }
                return node;
              };
              Parser2.prototype.expect = function(value) {
                var token = this.nextToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.expectCommaSeparator = function() {
                if (this.config.tolerant) {
                  var token = this.lookahead;
                  if (token.type === 7 && token.value === ",") {
                    this.nextToken();
                  } else if (token.type === 7 && token.value === ";") {
                    this.nextToken();
                    this.tolerateUnexpectedToken(token);
                  } else {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.UnexpectedToken);
                  }
                } else {
                  this.expect(",");
                }
              };
              Parser2.prototype.expectKeyword = function(keyword) {
                var token = this.nextToken();
                if (token.type !== 4 || token.value !== keyword) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.match = function(value) {
                return this.lookahead.type === 7 && this.lookahead.value === value;
              };
              Parser2.prototype.matchKeyword = function(keyword) {
                return this.lookahead.type === 4 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchContextualKeyword = function(keyword) {
                return this.lookahead.type === 3 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchAssign = function() {
                if (this.lookahead.type !== 7) {
                  return false;
                }
                var op = this.lookahead.value;
                return op === "=" || op === "*=" || op === "**=" || op === "/=" || op === "%=" || op === "+=" || op === "-=" || op === "<<=" || op === ">>=" || op === ">>>=" || op === "&=" || op === "^=" || op === "|=";
              };
              Parser2.prototype.isolateCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                if (this.context.firstCoverInitializedNameError !== null) {
                  this.throwUnexpectedToken(this.context.firstCoverInitializedNameError);
                }
                this.context.isBindingElement = previousIsBindingElement;
                this.context.isAssignmentTarget = previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.inheritCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                this.context.isBindingElement = this.context.isBindingElement && previousIsBindingElement;
                this.context.isAssignmentTarget = this.context.isAssignmentTarget && previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError || this.context.firstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.consumeSemicolon = function() {
                if (this.match(";")) {
                  this.nextToken();
                } else if (!this.hasLineTerminator) {
                  if (this.lookahead.type !== 2 && !this.match("}")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.lastMarker.index = this.startMarker.index;
                  this.lastMarker.line = this.startMarker.line;
                  this.lastMarker.column = this.startMarker.column;
                }
              };
              Parser2.prototype.parsePrimaryExpression = function() {
                var node = this.createNode();
                var expr;
                var token, raw;
                switch (this.lookahead.type) {
                  case 3:
                    if ((this.context.isModule || this.context.await) && this.lookahead.value === "await") {
                      this.tolerateUnexpectedToken(this.lookahead);
                    }
                    expr = this.matchAsyncFunction() ? this.parseFunctionExpression() : this.finalize(node, new Node.Identifier(this.nextToken().value));
                    break;
                  case 6:
                  case 8:
                    if (this.context.strict && this.lookahead.octal) {
                      this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.StrictOctalLiteral);
                    }
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 1:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value === "true", raw));
                    break;
                  case 5:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(null, raw));
                    break;
                  case 10:
                    expr = this.parseTemplateLiteral();
                    break;
                  case 7:
                    switch (this.lookahead.value) {
                      case "(":
                        this.context.isBindingElement = false;
                        expr = this.inheritCoverGrammar(this.parseGroupExpression);
                        break;
                      case "[":
                        expr = this.inheritCoverGrammar(this.parseArrayInitializer);
                        break;
                      case "{":
                        expr = this.inheritCoverGrammar(this.parseObjectInitializer);
                        break;
                      case "/":
                      case "/=":
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                        this.scanner.index = this.startMarker.index;
                        token = this.nextRegexToken();
                        raw = this.getTokenRaw(token);
                        expr = this.finalize(node, new Node.RegexLiteral(token.regex, raw, token.pattern, token.flags));
                        break;
                      default:
                        expr = this.throwUnexpectedToken(this.nextToken());
                    }
                    break;
                  case 4:
                    if (!this.context.strict && this.context.allowYield && this.matchKeyword("yield")) {
                      expr = this.parseIdentifierName();
                    } else if (!this.context.strict && this.matchKeyword("let")) {
                      expr = this.finalize(node, new Node.Identifier(this.nextToken().value));
                    } else {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      if (this.matchKeyword("function")) {
                        expr = this.parseFunctionExpression();
                      } else if (this.matchKeyword("this")) {
                        this.nextToken();
                        expr = this.finalize(node, new Node.ThisExpression());
                      } else if (this.matchKeyword("class")) {
                        expr = this.parseClassExpression();
                      } else {
                        expr = this.throwUnexpectedToken(this.nextToken());
                      }
                    }
                    break;
                  default:
                    expr = this.throwUnexpectedToken(this.nextToken());
                }
                return expr;
              };
              Parser2.prototype.parseSpreadElement = function() {
                var node = this.createNode();
                this.expect("...");
                var arg = this.inheritCoverGrammar(this.parseAssignmentExpression);
                return this.finalize(node, new Node.SpreadElement(arg));
              };
              Parser2.prototype.parseArrayInitializer = function() {
                var node = this.createNode();
                var elements = [];
                this.expect("[");
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else if (this.match("...")) {
                    var element = this.parseSpreadElement();
                    if (!this.match("]")) {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      this.expect(",");
                    }
                    elements.push(element);
                  } else {
                    elements.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayExpression(elements));
              };
              Parser2.prototype.parsePropertyMethod = function(params) {
                this.context.isAssignmentTarget = false;
                this.context.isBindingElement = false;
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = params.simple;
                var body = this.isolateCoverGrammar(this.parseFunctionSourceElements);
                if (this.context.strict && params.firstRestricted) {
                  this.tolerateUnexpectedToken(params.firstRestricted, params.message);
                }
                if (this.context.strict && params.stricted) {
                  this.tolerateUnexpectedToken(params.stricted, params.message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                return body;
              };
              Parser2.prototype.parsePropertyMethodFunction = function() {
                var isGenerator = false;
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.parsePropertyMethodAsyncFunction = function() {
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                var previousAwait = this.context.await;
                this.context.allowYield = false;
                this.context.await = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                this.context.await = previousAwait;
                return this.finalize(node, new Node.AsyncFunctionExpression(null, params.params, method));
              };
              Parser2.prototype.parseObjectPropertyKey = function() {
                var node = this.createNode();
                var token = this.nextToken();
                var key;
                switch (token.type) {
                  case 8:
                  case 6:
                    if (this.context.strict && token.octal) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictOctalLiteral);
                    }
                    var raw = this.getTokenRaw(token);
                    key = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 3:
                  case 1:
                  case 5:
                  case 4:
                    key = this.finalize(node, new Node.Identifier(token.value));
                    break;
                  case 7:
                    if (token.value === "[") {
                      key = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      this.expect("]");
                    } else {
                      key = this.throwUnexpectedToken(token);
                    }
                    break;
                  default:
                    key = this.throwUnexpectedToken(token);
                }
                return key;
              };
              Parser2.prototype.isPropertyKey = function(key, value) {
                return key.type === syntax_1.Syntax.Identifier && key.name === value || key.type === syntax_1.Syntax.Literal && key.value === value;
              };
              Parser2.prototype.parseObjectProperty = function(hasProto) {
                var node = this.createNode();
                var token = this.lookahead;
                var kind;
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var shorthand = false;
                var isAsync = false;
                if (token.type === 3) {
                  var id = token.value;
                  this.nextToken();
                  computed = this.match("[");
                  isAsync = !this.hasLineTerminator && id === "async" && !this.match(":") && !this.match("(") && !this.match("*") && !this.match(",");
                  key = isAsync ? this.parseObjectPropertyKey() : this.finalize(node, new Node.Identifier(id));
                } else if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3 && !isAsync && token.value === "get" && lookaheadPropertyKey) {
                  kind = "get";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.context.allowYield = false;
                  value = this.parseGetterMethod();
                } else if (token.type === 3 && !isAsync && token.value === "set" && lookaheadPropertyKey) {
                  kind = "set";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseSetterMethod();
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                } else {
                  if (!key) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  kind = "init";
                  if (this.match(":") && !isAsync) {
                    if (!computed && this.isPropertyKey(key, "__proto__")) {
                      if (hasProto.value) {
                        this.tolerateError(messages_1.Messages.DuplicateProtoProperty);
                      }
                      hasProto.value = true;
                    }
                    this.nextToken();
                    value = this.inheritCoverGrammar(this.parseAssignmentExpression);
                  } else if (this.match("(")) {
                    value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                    method = true;
                  } else if (token.type === 3) {
                    var id = this.finalize(node, new Node.Identifier(token.value));
                    if (this.match("=")) {
                      this.context.firstCoverInitializedNameError = this.lookahead;
                      this.nextToken();
                      shorthand = true;
                      var init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      value = this.finalize(node, new Node.AssignmentPattern(id, init));
                    } else {
                      shorthand = true;
                      value = id;
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.Property(kind, key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectInitializer = function() {
                var node = this.createNode();
                this.expect("{");
                var properties = [];
                var hasProto = { value: false };
                while (!this.match("}")) {
                  properties.push(this.parseObjectProperty(hasProto));
                  if (!this.match("}")) {
                    this.expectCommaSeparator();
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectExpression(properties));
              };
              Parser2.prototype.parseTemplateHead = function() {
                assert_1.assert(this.lookahead.head, "Template literal must start with a template head");
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateElement = function() {
                if (this.lookahead.type !== 10) {
                  this.throwUnexpectedToken();
                }
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateLiteral = function() {
                var node = this.createNode();
                var expressions = [];
                var quasis = [];
                var quasi = this.parseTemplateHead();
                quasis.push(quasi);
                while (!quasi.tail) {
                  expressions.push(this.parseExpression());
                  quasi = this.parseTemplateElement();
                  quasis.push(quasi);
                }
                return this.finalize(node, new Node.TemplateLiteral(quasis, expressions));
              };
              Parser2.prototype.reinterpretExpressionAsPattern = function(expr) {
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                  case syntax_1.Syntax.MemberExpression:
                  case syntax_1.Syntax.RestElement:
                  case syntax_1.Syntax.AssignmentPattern:
                    break;
                  case syntax_1.Syntax.SpreadElement:
                    expr.type = syntax_1.Syntax.RestElement;
                    this.reinterpretExpressionAsPattern(expr.argument);
                    break;
                  case syntax_1.Syntax.ArrayExpression:
                    expr.type = syntax_1.Syntax.ArrayPattern;
                    for (var i = 0; i < expr.elements.length; i++) {
                      if (expr.elements[i] !== null) {
                        this.reinterpretExpressionAsPattern(expr.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectExpression:
                    expr.type = syntax_1.Syntax.ObjectPattern;
                    for (var i = 0; i < expr.properties.length; i++) {
                      this.reinterpretExpressionAsPattern(expr.properties[i].value);
                    }
                    break;
                  case syntax_1.Syntax.AssignmentExpression:
                    expr.type = syntax_1.Syntax.AssignmentPattern;
                    delete expr.operator;
                    this.reinterpretExpressionAsPattern(expr.left);
                    break;
                  default:
                    break;
                }
              };
              Parser2.prototype.parseGroupExpression = function() {
                var expr;
                this.expect("(");
                if (this.match(")")) {
                  this.nextToken();
                  if (!this.match("=>")) {
                    this.expect("=>");
                  }
                  expr = {
                    type: ArrowParameterPlaceHolder,
                    params: [],
                    async: false
                  };
                } else {
                  var startToken = this.lookahead;
                  var params = [];
                  if (this.match("...")) {
                    expr = this.parseRestElement(params);
                    this.expect(")");
                    if (!this.match("=>")) {
                      this.expect("=>");
                    }
                    expr = {
                      type: ArrowParameterPlaceHolder,
                      params: [expr],
                      async: false
                    };
                  } else {
                    var arrow = false;
                    this.context.isBindingElement = true;
                    expr = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    if (this.match(",")) {
                      var expressions = [];
                      this.context.isAssignmentTarget = false;
                      expressions.push(expr);
                      while (this.lookahead.type !== 2) {
                        if (!this.match(",")) {
                          break;
                        }
                        this.nextToken();
                        if (this.match(")")) {
                          this.nextToken();
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else if (this.match("...")) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          expressions.push(this.parseRestElement(params));
                          this.expect(")");
                          if (!this.match("=>")) {
                            this.expect("=>");
                          }
                          this.context.isBindingElement = false;
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else {
                          expressions.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                        }
                        if (arrow) {
                          break;
                        }
                      }
                      if (!arrow) {
                        expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                      }
                    }
                    if (!arrow) {
                      this.expect(")");
                      if (this.match("=>")) {
                        if (expr.type === syntax_1.Syntax.Identifier && expr.name === "yield") {
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: [expr],
                            async: false
                          };
                        }
                        if (!arrow) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          if (expr.type === syntax_1.Syntax.SequenceExpression) {
                            for (var i = 0; i < expr.expressions.length; i++) {
                              this.reinterpretExpressionAsPattern(expr.expressions[i]);
                            }
                          } else {
                            this.reinterpretExpressionAsPattern(expr);
                          }
                          var parameters = expr.type === syntax_1.Syntax.SequenceExpression ? expr.expressions : [expr];
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: parameters,
                            async: false
                          };
                        }
                      }
                      this.context.isBindingElement = false;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAssignmentExpression);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.isIdentifierName = function(token) {
                return token.type === 3 || token.type === 4 || token.type === 1 || token.type === 5;
              };
              Parser2.prototype.parseIdentifierName = function() {
                var node = this.createNode();
                var token = this.nextToken();
                if (!this.isIdentifierName(token)) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseNewExpression = function() {
                var node = this.createNode();
                var id = this.parseIdentifierName();
                assert_1.assert(id.name === "new", "New expression must start with `new`");
                var expr;
                if (this.match(".")) {
                  this.nextToken();
                  if (this.lookahead.type === 3 && this.context.inFunctionBody && this.lookahead.value === "target") {
                    var property = this.parseIdentifierName();
                    expr = new Node.MetaProperty(id, property);
                  } else {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  var callee = this.isolateCoverGrammar(this.parseLeftHandSideExpression);
                  var args = this.match("(") ? this.parseArguments() : [];
                  expr = new Node.NewExpression(callee, args);
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return this.finalize(node, expr);
              };
              Parser2.prototype.parseAsyncArgument = function() {
                var arg = this.parseAssignmentExpression();
                this.context.firstCoverInitializedNameError = null;
                return arg;
              };
              Parser2.prototype.parseAsyncArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAsyncArgument);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.parseLeftHandSideExpressionAllowCall = function() {
                var startToken = this.lookahead;
                var maybeAsync = this.matchContextualKeyword("async");
                var previousAllowIn = this.context.allowIn;
                this.context.allowIn = true;
                var expr;
                if (this.matchKeyword("super") && this.context.inFunctionBody) {
                  expr = this.createNode();
                  this.nextToken();
                  expr = this.finalize(expr, new Node.Super());
                  if (!this.match("(") && !this.match(".") && !this.match("[")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  expr = this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                }
                while (true) {
                  if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(this.startNode(startToken), new Node.StaticMemberExpression(expr, property));
                  } else if (this.match("(")) {
                    var asyncArrow = maybeAsync && startToken.lineNumber === this.lookahead.lineNumber;
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = false;
                    var args = asyncArrow ? this.parseAsyncArguments() : this.parseArguments();
                    expr = this.finalize(this.startNode(startToken), new Node.CallExpression(expr, args));
                    if (asyncArrow && this.match("=>")) {
                      for (var i = 0; i < args.length; ++i) {
                        this.reinterpretExpressionAsPattern(args[i]);
                      }
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: args,
                        async: true
                      };
                    }
                  } else if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(this.startNode(startToken), new Node.ComputedMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(this.startNode(startToken), new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                this.context.allowIn = previousAllowIn;
                return expr;
              };
              Parser2.prototype.parseSuper = function() {
                var node = this.createNode();
                this.expectKeyword("super");
                if (!this.match("[") && !this.match(".")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                return this.finalize(node, new Node.Super());
              };
              Parser2.prototype.parseLeftHandSideExpression = function() {
                assert_1.assert(this.context.allowIn, "callee of new expression always allow in keyword.");
                var node = this.startNode(this.lookahead);
                var expr = this.matchKeyword("super") && this.context.inFunctionBody ? this.parseSuper() : this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                while (true) {
                  if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(node, new Node.ComputedMemberExpression(expr, property));
                  } else if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(node, new Node.StaticMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(node, new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseUpdateExpression = function() {
                var expr;
                var startToken = this.lookahead;
                if (this.match("++") || this.match("--")) {
                  var node = this.startNode(startToken);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                    this.tolerateError(messages_1.Messages.StrictLHSPrefix);
                  }
                  if (!this.context.isAssignmentTarget) {
                    this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                  }
                  var prefix = true;
                  expr = this.finalize(node, new Node.UpdateExpression(token.value, expr, prefix));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else {
                  expr = this.inheritCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                  if (!this.hasLineTerminator && this.lookahead.type === 7) {
                    if (this.match("++") || this.match("--")) {
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                        this.tolerateError(messages_1.Messages.StrictLHSPostfix);
                      }
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      var operator = this.nextToken().value;
                      var prefix = false;
                      expr = this.finalize(this.startNode(startToken), new Node.UpdateExpression(operator, expr, prefix));
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseAwaitExpression = function() {
                var node = this.createNode();
                this.nextToken();
                var argument = this.parseUnaryExpression();
                return this.finalize(node, new Node.AwaitExpression(argument));
              };
              Parser2.prototype.parseUnaryExpression = function() {
                var expr;
                if (this.match("+") || this.match("-") || this.match("~") || this.match("!") || this.matchKeyword("delete") || this.matchKeyword("void") || this.matchKeyword("typeof")) {
                  var node = this.startNode(this.lookahead);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  expr = this.finalize(node, new Node.UnaryExpression(token.value, expr));
                  if (this.context.strict && expr.operator === "delete" && expr.argument.type === syntax_1.Syntax.Identifier) {
                    this.tolerateError(messages_1.Messages.StrictDelete);
                  }
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else if (this.context.await && this.matchContextualKeyword("await")) {
                  expr = this.parseAwaitExpression();
                } else {
                  expr = this.parseUpdateExpression();
                }
                return expr;
              };
              Parser2.prototype.parseExponentiationExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                if (expr.type !== syntax_1.Syntax.UnaryExpression && this.match("**")) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.BinaryExpression("**", left, right));
                }
                return expr;
              };
              Parser2.prototype.binaryPrecedence = function(token) {
                var op = token.value;
                var precedence;
                if (token.type === 7) {
                  precedence = this.operatorPrecedence[op] || 0;
                } else if (token.type === 4) {
                  precedence = op === "instanceof" || this.context.allowIn && op === "in" ? 7 : 0;
                } else {
                  precedence = 0;
                }
                return precedence;
              };
              Parser2.prototype.parseBinaryExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseExponentiationExpression);
                var token = this.lookahead;
                var prec = this.binaryPrecedence(token);
                if (prec > 0) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var markers = [startToken, this.lookahead];
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  var stack = [left, token.value, right];
                  var precedences = [prec];
                  while (true) {
                    prec = this.binaryPrecedence(this.lookahead);
                    if (prec <= 0) {
                      break;
                    }
                    while (stack.length > 2 && prec <= precedences[precedences.length - 1]) {
                      right = stack.pop();
                      var operator = stack.pop();
                      precedences.pop();
                      left = stack.pop();
                      markers.pop();
                      var node = this.startNode(markers[markers.length - 1]);
                      stack.push(this.finalize(node, new Node.BinaryExpression(operator, left, right)));
                    }
                    stack.push(this.nextToken().value);
                    precedences.push(prec);
                    markers.push(this.lookahead);
                    stack.push(this.isolateCoverGrammar(this.parseExponentiationExpression));
                  }
                  var i = stack.length - 1;
                  expr = stack[i];
                  var lastMarker = markers.pop();
                  while (i > 1) {
                    var marker = markers.pop();
                    var lastLineStart = lastMarker && lastMarker.lineStart;
                    var node = this.startNode(marker, lastLineStart);
                    var operator = stack[i - 1];
                    expr = this.finalize(node, new Node.BinaryExpression(operator, stack[i - 2], expr));
                    i -= 2;
                    lastMarker = marker;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseConditionalExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseBinaryExpression);
                if (this.match("?")) {
                  this.nextToken();
                  var previousAllowIn = this.context.allowIn;
                  this.context.allowIn = true;
                  var consequent = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowIn = previousAllowIn;
                  this.expect(":");
                  var alternate = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.ConditionalExpression(expr, consequent, alternate));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return expr;
              };
              Parser2.prototype.checkPatternParam = function(options, param) {
                switch (param.type) {
                  case syntax_1.Syntax.Identifier:
                    this.validateParam(options, param, param.name);
                    break;
                  case syntax_1.Syntax.RestElement:
                    this.checkPatternParam(options, param.argument);
                    break;
                  case syntax_1.Syntax.AssignmentPattern:
                    this.checkPatternParam(options, param.left);
                    break;
                  case syntax_1.Syntax.ArrayPattern:
                    for (var i = 0; i < param.elements.length; i++) {
                      if (param.elements[i] !== null) {
                        this.checkPatternParam(options, param.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectPattern:
                    for (var i = 0; i < param.properties.length; i++) {
                      this.checkPatternParam(options, param.properties[i].value);
                    }
                    break;
                  default:
                    break;
                }
                options.simple = options.simple && param instanceof Node.Identifier;
              };
              Parser2.prototype.reinterpretAsCoverFormalsList = function(expr) {
                var params = [expr];
                var options;
                var asyncArrow = false;
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                    break;
                  case ArrowParameterPlaceHolder:
                    params = expr.params;
                    asyncArrow = expr.async;
                    break;
                  default:
                    return null;
                }
                options = {
                  simple: true,
                  paramSet: {}
                };
                for (var i = 0; i < params.length; ++i) {
                  var param = params[i];
                  if (param.type === syntax_1.Syntax.AssignmentPattern) {
                    if (param.right.type === syntax_1.Syntax.YieldExpression) {
                      if (param.right.argument) {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                      param.right.type = syntax_1.Syntax.Identifier;
                      param.right.name = "yield";
                      delete param.right.argument;
                      delete param.right.delegate;
                    }
                  } else if (asyncArrow && param.type === syntax_1.Syntax.Identifier && param.name === "await") {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.checkPatternParam(options, param);
                  params[i] = param;
                }
                if (this.context.strict || !this.context.allowYield) {
                  for (var i = 0; i < params.length; ++i) {
                    var param = params[i];
                    if (param.type === syntax_1.Syntax.YieldExpression) {
                      this.throwUnexpectedToken(this.lookahead);
                    }
                  }
                }
                if (options.message === messages_1.Messages.StrictParamDupe) {
                  var token = this.context.strict ? options.stricted : options.firstRestricted;
                  this.throwUnexpectedToken(token, options.message);
                }
                return {
                  simple: options.simple,
                  params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.parseAssignmentExpression = function() {
                var expr;
                if (!this.context.allowYield && this.matchKeyword("yield")) {
                  expr = this.parseYieldExpression();
                } else {
                  var startToken = this.lookahead;
                  var token = startToken;
                  expr = this.parseConditionalExpression();
                  if (token.type === 3 && token.lineNumber === this.lookahead.lineNumber && token.value === "async") {
                    if (this.lookahead.type === 3 || this.matchKeyword("yield")) {
                      var arg = this.parsePrimaryExpression();
                      this.reinterpretExpressionAsPattern(arg);
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: [arg],
                        async: true
                      };
                    }
                  }
                  if (expr.type === ArrowParameterPlaceHolder || this.match("=>")) {
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    var isAsync = expr.async;
                    var list = this.reinterpretAsCoverFormalsList(expr);
                    if (list) {
                      if (this.hasLineTerminator) {
                        this.tolerateUnexpectedToken(this.lookahead);
                      }
                      this.context.firstCoverInitializedNameError = null;
                      var previousStrict = this.context.strict;
                      var previousAllowStrictDirective = this.context.allowStrictDirective;
                      this.context.allowStrictDirective = list.simple;
                      var previousAllowYield = this.context.allowYield;
                      var previousAwait = this.context.await;
                      this.context.allowYield = true;
                      this.context.await = isAsync;
                      var node = this.startNode(startToken);
                      this.expect("=>");
                      var body = void 0;
                      if (this.match("{")) {
                        var previousAllowIn = this.context.allowIn;
                        this.context.allowIn = true;
                        body = this.parseFunctionSourceElements();
                        this.context.allowIn = previousAllowIn;
                      } else {
                        body = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      }
                      var expression = body.type !== syntax_1.Syntax.BlockStatement;
                      if (this.context.strict && list.firstRestricted) {
                        this.throwUnexpectedToken(list.firstRestricted, list.message);
                      }
                      if (this.context.strict && list.stricted) {
                        this.tolerateUnexpectedToken(list.stricted, list.message);
                      }
                      expr = isAsync ? this.finalize(node, new Node.AsyncArrowFunctionExpression(list.params, body, expression)) : this.finalize(node, new Node.ArrowFunctionExpression(list.params, body, expression));
                      this.context.strict = previousStrict;
                      this.context.allowStrictDirective = previousAllowStrictDirective;
                      this.context.allowYield = previousAllowYield;
                      this.context.await = previousAwait;
                    }
                  } else {
                    if (this.matchAssign()) {
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier) {
                        var id = expr;
                        if (this.scanner.isRestrictedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictLHSAssignment);
                        }
                        if (this.scanner.isStrictModeReservedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                        }
                      }
                      if (!this.match("=")) {
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                      } else {
                        this.reinterpretExpressionAsPattern(expr);
                      }
                      token = this.nextToken();
                      var operator = token.value;
                      var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      expr = this.finalize(this.startNode(startToken), new Node.AssignmentExpression(operator, expr, right));
                      this.context.firstCoverInitializedNameError = null;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseExpression = function() {
                var startToken = this.lookahead;
                var expr = this.isolateCoverGrammar(this.parseAssignmentExpression);
                if (this.match(",")) {
                  var expressions = [];
                  expressions.push(expr);
                  while (this.lookahead.type !== 2) {
                    if (!this.match(",")) {
                      break;
                    }
                    this.nextToken();
                    expressions.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                  }
                  expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                }
                return expr;
              };
              Parser2.prototype.parseStatementListItem = function() {
                var statement;
                this.context.isAssignmentTarget = true;
                this.context.isBindingElement = true;
                if (this.lookahead.type === 4) {
                  switch (this.lookahead.value) {
                    case "export":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalExportDeclaration);
                      }
                      statement = this.parseExportDeclaration();
                      break;
                    case "import":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalImportDeclaration);
                      }
                      statement = this.parseImportDeclaration();
                      break;
                    case "const":
                      statement = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "function":
                      statement = this.parseFunctionDeclaration();
                      break;
                    case "class":
                      statement = this.parseClassDeclaration();
                      break;
                    case "let":
                      statement = this.isLexicalDeclaration() ? this.parseLexicalDeclaration({ inFor: false }) : this.parseStatement();
                      break;
                    default:
                      statement = this.parseStatement();
                      break;
                  }
                } else {
                  statement = this.parseStatement();
                }
                return statement;
              };
              Parser2.prototype.parseBlock = function() {
                var node = this.createNode();
                this.expect("{");
                var block = [];
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  block.push(this.parseStatementListItem());
                }
                this.expect("}");
                return this.finalize(node, new Node.BlockStatement(block));
              };
              Parser2.prototype.parseLexicalBinding = function(kind, options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, kind);
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (kind === "const") {
                  if (!this.matchKeyword("in") && !this.matchContextualKeyword("of")) {
                    if (this.match("=")) {
                      this.nextToken();
                      init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                    } else {
                      this.throwError(messages_1.Messages.DeclarationMissingInitializer, "const");
                    }
                  }
                } else if (!options.inFor && id.type !== syntax_1.Syntax.Identifier || this.match("=")) {
                  this.expect("=");
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseBindingList = function(kind, options) {
                var list = [this.parseLexicalBinding(kind, options)];
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseLexicalBinding(kind, options));
                }
                return list;
              };
              Parser2.prototype.isLexicalDeclaration = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.scanner.lex();
                this.scanner.restoreState(state);
                return next.type === 3 || next.type === 7 && next.value === "[" || next.type === 7 && next.value === "{" || next.type === 4 && next.value === "let" || next.type === 4 && next.value === "yield";
              };
              Parser2.prototype.parseLexicalDeclaration = function(options) {
                var node = this.createNode();
                var kind = this.nextToken().value;
                assert_1.assert(kind === "let" || kind === "const", "Lexical declaration must be either let or const");
                var declarations = this.parseBindingList(kind, options);
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, kind));
              };
              Parser2.prototype.parseBindingRestElement = function(params, kind) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params, kind);
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseArrayPattern = function(params, kind) {
                var node = this.createNode();
                this.expect("[");
                var elements = [];
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else {
                    if (this.match("...")) {
                      elements.push(this.parseBindingRestElement(params, kind));
                      break;
                    } else {
                      elements.push(this.parsePatternWithDefault(params, kind));
                    }
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayPattern(elements));
              };
              Parser2.prototype.parsePropertyPattern = function(params, kind) {
                var node = this.createNode();
                var computed = false;
                var shorthand = false;
                var method = false;
                var key;
                var value;
                if (this.lookahead.type === 3) {
                  var keyToken = this.lookahead;
                  key = this.parseVariableIdentifier();
                  var init = this.finalize(node, new Node.Identifier(keyToken.value));
                  if (this.match("=")) {
                    params.push(keyToken);
                    shorthand = true;
                    this.nextToken();
                    var expr = this.parseAssignmentExpression();
                    value = this.finalize(this.startNode(keyToken), new Node.AssignmentPattern(init, expr));
                  } else if (!this.match(":")) {
                    params.push(keyToken);
                    shorthand = true;
                    value = init;
                  } else {
                    this.expect(":");
                    value = this.parsePatternWithDefault(params, kind);
                  }
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.expect(":");
                  value = this.parsePatternWithDefault(params, kind);
                }
                return this.finalize(node, new Node.Property("init", key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectPattern = function(params, kind) {
                var node = this.createNode();
                var properties = [];
                this.expect("{");
                while (!this.match("}")) {
                  properties.push(this.parsePropertyPattern(params, kind));
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectPattern(properties));
              };
              Parser2.prototype.parsePattern = function(params, kind) {
                var pattern;
                if (this.match("[")) {
                  pattern = this.parseArrayPattern(params, kind);
                } else if (this.match("{")) {
                  pattern = this.parseObjectPattern(params, kind);
                } else {
                  if (this.matchKeyword("let") && (kind === "const" || kind === "let")) {
                    this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.LetInLexicalBinding);
                  }
                  params.push(this.lookahead);
                  pattern = this.parseVariableIdentifier(kind);
                }
                return pattern;
              };
              Parser2.prototype.parsePatternWithDefault = function(params, kind) {
                var startToken = this.lookahead;
                var pattern = this.parsePattern(params, kind);
                if (this.match("=")) {
                  this.nextToken();
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = true;
                  var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowYield = previousAllowYield;
                  pattern = this.finalize(this.startNode(startToken), new Node.AssignmentPattern(pattern, right));
                }
                return pattern;
              };
              Parser2.prototype.parseVariableIdentifier = function(kind) {
                var node = this.createNode();
                var token = this.nextToken();
                if (token.type === 4 && token.value === "yield") {
                  if (this.context.strict) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else if (!this.context.allowYield) {
                    this.throwUnexpectedToken(token);
                  }
                } else if (token.type !== 3) {
                  if (this.context.strict && token.type === 4 && this.scanner.isStrictModeReservedWord(token.value)) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else {
                    if (this.context.strict || token.value !== "let" || kind !== "var") {
                      this.throwUnexpectedToken(token);
                    }
                  }
                } else if ((this.context.isModule || this.context.await) && token.type === 3 && token.value === "await") {
                  this.tolerateUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseVariableDeclaration = function(options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, "var");
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (this.match("=")) {
                  this.nextToken();
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                } else if (id.type !== syntax_1.Syntax.Identifier && !options.inFor) {
                  this.expect("=");
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseVariableDeclarationList = function(options) {
                var opt = { inFor: options.inFor };
                var list = [];
                list.push(this.parseVariableDeclaration(opt));
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseVariableDeclaration(opt));
                }
                return list;
              };
              Parser2.prototype.parseVariableStatement = function() {
                var node = this.createNode();
                this.expectKeyword("var");
                var declarations = this.parseVariableDeclarationList({ inFor: false });
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, "var"));
              };
              Parser2.prototype.parseEmptyStatement = function() {
                var node = this.createNode();
                this.expect(";");
                return this.finalize(node, new Node.EmptyStatement());
              };
              Parser2.prototype.parseExpressionStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseIfClause = function() {
                if (this.context.strict && this.matchKeyword("function")) {
                  this.tolerateError(messages_1.Messages.StrictFunction);
                }
                return this.parseStatement();
              };
              Parser2.prototype.parseIfStatement = function() {
                var node = this.createNode();
                var consequent;
                var alternate = null;
                this.expectKeyword("if");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  consequent = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  consequent = this.parseIfClause();
                  if (this.matchKeyword("else")) {
                    this.nextToken();
                    alternate = this.parseIfClause();
                  }
                }
                return this.finalize(node, new Node.IfStatement(test, consequent, alternate));
              };
              Parser2.prototype.parseDoWhileStatement = function() {
                var node = this.createNode();
                this.expectKeyword("do");
                var previousInIteration = this.context.inIteration;
                this.context.inIteration = true;
                var body = this.parseStatement();
                this.context.inIteration = previousInIteration;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                } else {
                  this.expect(")");
                  if (this.match(";")) {
                    this.nextToken();
                  }
                }
                return this.finalize(node, new Node.DoWhileStatement(body, test));
              };
              Parser2.prototype.parseWhileStatement = function() {
                var node = this.createNode();
                var body;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.parseStatement();
                  this.context.inIteration = previousInIteration;
                }
                return this.finalize(node, new Node.WhileStatement(test, body));
              };
              Parser2.prototype.parseForStatement = function() {
                var init = null;
                var test = null;
                var update = null;
                var forIn = true;
                var left, right;
                var node = this.createNode();
                this.expectKeyword("for");
                this.expect("(");
                if (this.match(";")) {
                  this.nextToken();
                } else {
                  if (this.matchKeyword("var")) {
                    init = this.createNode();
                    this.nextToken();
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    var declarations = this.parseVariableDeclarationList({ inFor: true });
                    this.context.allowIn = previousAllowIn;
                    if (declarations.length === 1 && this.matchKeyword("in")) {
                      var decl = declarations[0];
                      if (decl.init && (decl.id.type === syntax_1.Syntax.ArrayPattern || decl.id.type === syntax_1.Syntax.ObjectPattern || this.context.strict)) {
                        this.tolerateError(messages_1.Messages.ForInOfLoopInitializer, "for-in");
                      }
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.expect(";");
                    }
                  } else if (this.matchKeyword("const") || this.matchKeyword("let")) {
                    init = this.createNode();
                    var kind = this.nextToken().value;
                    if (!this.context.strict && this.lookahead.value === "in") {
                      init = this.finalize(init, new Node.Identifier(kind));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else {
                      var previousAllowIn = this.context.allowIn;
                      this.context.allowIn = false;
                      var declarations = this.parseBindingList(kind, { inFor: true });
                      this.context.allowIn = previousAllowIn;
                      if (declarations.length === 1 && declarations[0].init === null && this.matchKeyword("in")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseExpression();
                        init = null;
                      } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseAssignmentExpression();
                        init = null;
                        forIn = false;
                      } else {
                        this.consumeSemicolon();
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                      }
                    }
                  } else {
                    var initStartToken = this.lookahead;
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    init = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    this.context.allowIn = previousAllowIn;
                    if (this.matchKeyword("in")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForIn);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (this.matchContextualKeyword("of")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForLoop);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      if (this.match(",")) {
                        var initSeq = [init];
                        while (this.match(",")) {
                          this.nextToken();
                          initSeq.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                        }
                        init = this.finalize(this.startNode(initStartToken), new Node.SequenceExpression(initSeq));
                      }
                      this.expect(";");
                    }
                  }
                }
                if (typeof left === "undefined") {
                  if (!this.match(";")) {
                    test = this.parseExpression();
                  }
                  this.expect(";");
                  if (!this.match(")")) {
                    update = this.parseExpression();
                  }
                }
                var body;
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.isolateCoverGrammar(this.parseStatement);
                  this.context.inIteration = previousInIteration;
                }
                return typeof left === "undefined" ? this.finalize(node, new Node.ForStatement(init, test, update, body)) : forIn ? this.finalize(node, new Node.ForInStatement(left, right, body)) : this.finalize(node, new Node.ForOfStatement(left, right, body));
              };
              Parser2.prototype.parseContinueStatement = function() {
                var node = this.createNode();
                this.expectKeyword("continue");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  label = id;
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration) {
                  this.throwError(messages_1.Messages.IllegalContinue);
                }
                return this.finalize(node, new Node.ContinueStatement(label));
              };
              Parser2.prototype.parseBreakStatement = function() {
                var node = this.createNode();
                this.expectKeyword("break");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                  label = id;
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration && !this.context.inSwitch) {
                  this.throwError(messages_1.Messages.IllegalBreak);
                }
                return this.finalize(node, new Node.BreakStatement(label));
              };
              Parser2.prototype.parseReturnStatement = function() {
                if (!this.context.inFunctionBody) {
                  this.tolerateError(messages_1.Messages.IllegalReturn);
                }
                var node = this.createNode();
                this.expectKeyword("return");
                var hasArgument = !this.match(";") && !this.match("}") && !this.hasLineTerminator && this.lookahead.type !== 2 || this.lookahead.type === 8 || this.lookahead.type === 10;
                var argument = hasArgument ? this.parseExpression() : null;
                this.consumeSemicolon();
                return this.finalize(node, new Node.ReturnStatement(argument));
              };
              Parser2.prototype.parseWithStatement = function() {
                if (this.context.strict) {
                  this.tolerateError(messages_1.Messages.StrictModeWith);
                }
                var node = this.createNode();
                var body;
                this.expectKeyword("with");
                this.expect("(");
                var object = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  body = this.parseStatement();
                }
                return this.finalize(node, new Node.WithStatement(object, body));
              };
              Parser2.prototype.parseSwitchCase = function() {
                var node = this.createNode();
                var test;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  test = null;
                } else {
                  this.expectKeyword("case");
                  test = this.parseExpression();
                }
                this.expect(":");
                var consequent = [];
                while (true) {
                  if (this.match("}") || this.matchKeyword("default") || this.matchKeyword("case")) {
                    break;
                  }
                  consequent.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.SwitchCase(test, consequent));
              };
              Parser2.prototype.parseSwitchStatement = function() {
                var node = this.createNode();
                this.expectKeyword("switch");
                this.expect("(");
                var discriminant = this.parseExpression();
                this.expect(")");
                var previousInSwitch = this.context.inSwitch;
                this.context.inSwitch = true;
                var cases = [];
                var defaultFound = false;
                this.expect("{");
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  var clause = this.parseSwitchCase();
                  if (clause.test === null) {
                    if (defaultFound) {
                      this.throwError(messages_1.Messages.MultipleDefaultsInSwitch);
                    }
                    defaultFound = true;
                  }
                  cases.push(clause);
                }
                this.expect("}");
                this.context.inSwitch = previousInSwitch;
                return this.finalize(node, new Node.SwitchStatement(discriminant, cases));
              };
              Parser2.prototype.parseLabelledStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                var statement;
                if (expr.type === syntax_1.Syntax.Identifier && this.match(":")) {
                  this.nextToken();
                  var id = expr;
                  var key = "$" + id.name;
                  if (Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.Redeclaration, "Label", id.name);
                  }
                  this.context.labelSet[key] = true;
                  var body = void 0;
                  if (this.matchKeyword("class")) {
                    this.tolerateUnexpectedToken(this.lookahead);
                    body = this.parseClassDeclaration();
                  } else if (this.matchKeyword("function")) {
                    var token = this.lookahead;
                    var declaration = this.parseFunctionDeclaration();
                    if (this.context.strict) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunction);
                    } else if (declaration.generator) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.GeneratorInLegacyContext);
                    }
                    body = declaration;
                  } else {
                    body = this.parseStatement();
                  }
                  delete this.context.labelSet[key];
                  statement = new Node.LabeledStatement(id, body);
                } else {
                  this.consumeSemicolon();
                  statement = new Node.ExpressionStatement(expr);
                }
                return this.finalize(node, statement);
              };
              Parser2.prototype.parseThrowStatement = function() {
                var node = this.createNode();
                this.expectKeyword("throw");
                if (this.hasLineTerminator) {
                  this.throwError(messages_1.Messages.NewlineAfterThrow);
                }
                var argument = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ThrowStatement(argument));
              };
              Parser2.prototype.parseCatchClause = function() {
                var node = this.createNode();
                this.expectKeyword("catch");
                this.expect("(");
                if (this.match(")")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                var params = [];
                var param = this.parsePattern(params);
                var paramMap = {};
                for (var i = 0; i < params.length; i++) {
                  var key = "$" + params[i].value;
                  if (Object.prototype.hasOwnProperty.call(paramMap, key)) {
                    this.tolerateError(messages_1.Messages.DuplicateBinding, params[i].value);
                  }
                  paramMap[key] = true;
                }
                if (this.context.strict && param.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(param.name)) {
                    this.tolerateError(messages_1.Messages.StrictCatchVariable);
                  }
                }
                this.expect(")");
                var body = this.parseBlock();
                return this.finalize(node, new Node.CatchClause(param, body));
              };
              Parser2.prototype.parseFinallyClause = function() {
                this.expectKeyword("finally");
                return this.parseBlock();
              };
              Parser2.prototype.parseTryStatement = function() {
                var node = this.createNode();
                this.expectKeyword("try");
                var block = this.parseBlock();
                var handler = this.matchKeyword("catch") ? this.parseCatchClause() : null;
                var finalizer = this.matchKeyword("finally") ? this.parseFinallyClause() : null;
                if (!handler && !finalizer) {
                  this.throwError(messages_1.Messages.NoCatchOrFinally);
                }
                return this.finalize(node, new Node.TryStatement(block, handler, finalizer));
              };
              Parser2.prototype.parseDebuggerStatement = function() {
                var node = this.createNode();
                this.expectKeyword("debugger");
                this.consumeSemicolon();
                return this.finalize(node, new Node.DebuggerStatement());
              };
              Parser2.prototype.parseStatement = function() {
                var statement;
                switch (this.lookahead.type) {
                  case 1:
                  case 5:
                  case 6:
                  case 8:
                  case 10:
                  case 9:
                    statement = this.parseExpressionStatement();
                    break;
                  case 7:
                    var value = this.lookahead.value;
                    if (value === "{") {
                      statement = this.parseBlock();
                    } else if (value === "(") {
                      statement = this.parseExpressionStatement();
                    } else if (value === ";") {
                      statement = this.parseEmptyStatement();
                    } else {
                      statement = this.parseExpressionStatement();
                    }
                    break;
                  case 3:
                    statement = this.matchAsyncFunction() ? this.parseFunctionDeclaration() : this.parseLabelledStatement();
                    break;
                  case 4:
                    switch (this.lookahead.value) {
                      case "break":
                        statement = this.parseBreakStatement();
                        break;
                      case "continue":
                        statement = this.parseContinueStatement();
                        break;
                      case "debugger":
                        statement = this.parseDebuggerStatement();
                        break;
                      case "do":
                        statement = this.parseDoWhileStatement();
                        break;
                      case "for":
                        statement = this.parseForStatement();
                        break;
                      case "function":
                        statement = this.parseFunctionDeclaration();
                        break;
                      case "if":
                        statement = this.parseIfStatement();
                        break;
                      case "return":
                        statement = this.parseReturnStatement();
                        break;
                      case "switch":
                        statement = this.parseSwitchStatement();
                        break;
                      case "throw":
                        statement = this.parseThrowStatement();
                        break;
                      case "try":
                        statement = this.parseTryStatement();
                        break;
                      case "var":
                        statement = this.parseVariableStatement();
                        break;
                      case "while":
                        statement = this.parseWhileStatement();
                        break;
                      case "with":
                        statement = this.parseWithStatement();
                        break;
                      default:
                        statement = this.parseExpressionStatement();
                        break;
                    }
                    break;
                  default:
                    statement = this.throwUnexpectedToken(this.lookahead);
                }
                return statement;
              };
              Parser2.prototype.parseFunctionSourceElements = function() {
                var node = this.createNode();
                this.expect("{");
                var body = this.parseDirectivePrologues();
                var previousLabelSet = this.context.labelSet;
                var previousInIteration = this.context.inIteration;
                var previousInSwitch = this.context.inSwitch;
                var previousInFunctionBody = this.context.inFunctionBody;
                this.context.labelSet = {};
                this.context.inIteration = false;
                this.context.inSwitch = false;
                this.context.inFunctionBody = true;
                while (this.lookahead.type !== 2) {
                  if (this.match("}")) {
                    break;
                  }
                  body.push(this.parseStatementListItem());
                }
                this.expect("}");
                this.context.labelSet = previousLabelSet;
                this.context.inIteration = previousInIteration;
                this.context.inSwitch = previousInSwitch;
                this.context.inFunctionBody = previousInFunctionBody;
                return this.finalize(node, new Node.BlockStatement(body));
              };
              Parser2.prototype.validateParam = function(options, param, name) {
                var key = "$" + name;
                if (this.context.strict) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  }
                  if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                } else if (!options.firstRestricted) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  } else if (this.scanner.isStrictModeReservedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictReservedWord;
                  } else if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                }
                if (typeof Object.defineProperty === "function") {
                  Object.defineProperty(options.paramSet, key, { value: true, enumerable: true, writable: true, configurable: true });
                } else {
                  options.paramSet[key] = true;
                }
              };
              Parser2.prototype.parseRestElement = function(params) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params);
                if (this.match("=")) {
                  this.throwError(messages_1.Messages.DefaultRestParameter);
                }
                if (!this.match(")")) {
                  this.throwError(messages_1.Messages.ParameterAfterRestParameter);
                }
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseFormalParameter = function(options) {
                var params = [];
                var param = this.match("...") ? this.parseRestElement(params) : this.parsePatternWithDefault(params);
                for (var i = 0; i < params.length; i++) {
                  this.validateParam(options, params[i], params[i].value);
                }
                options.simple = options.simple && param instanceof Node.Identifier;
                options.params.push(param);
              };
              Parser2.prototype.parseFormalParameters = function(firstRestricted) {
                var options;
                options = {
                  simple: true,
                  params: [],
                  firstRestricted
                };
                this.expect("(");
                if (!this.match(")")) {
                  options.paramSet = {};
                  while (this.lookahead.type !== 2) {
                    this.parseFormalParameter(options);
                    if (this.match(")")) {
                      break;
                    }
                    this.expect(",");
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return {
                  simple: options.simple,
                  params: options.params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.matchAsyncFunction = function() {
                var match = this.matchContextualKeyword("async");
                if (match) {
                  var state = this.scanner.saveState();
                  this.scanner.scanComments();
                  var next = this.scanner.lex();
                  this.scanner.restoreState(state);
                  match = state.lineNumber === next.lineNumber && next.type === 4 && next.value === "function";
                }
                return match;
              };
              Parser2.prototype.parseFunctionDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted = null;
                if (!identifierIsOptional || !this.match("(")) {
                  var token = this.lookahead;
                  id = this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionDeclaration(id, params, body)) : this.finalize(node, new Node.FunctionDeclaration(id, params, body, isGenerator));
              };
              Parser2.prototype.parseFunctionExpression = function() {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted;
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                if (!this.match("(")) {
                  var token = this.lookahead;
                  id = !this.context.strict && !isGenerator && this.matchKeyword("yield") ? this.parseIdentifierName() : this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionExpression(id, params, body)) : this.finalize(node, new Node.FunctionExpression(id, params, body, isGenerator));
              };
              Parser2.prototype.parseDirective = function() {
                var token = this.lookahead;
                var node = this.createNode();
                var expr = this.parseExpression();
                var directive = expr.type === syntax_1.Syntax.Literal ? this.getTokenRaw(token).slice(1, -1) : null;
                this.consumeSemicolon();
                return this.finalize(node, directive ? new Node.Directive(expr, directive) : new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseDirectivePrologues = function() {
                var firstRestricted = null;
                var body = [];
                while (true) {
                  var token = this.lookahead;
                  if (token.type !== 8) {
                    break;
                  }
                  var statement = this.parseDirective();
                  body.push(statement);
                  var directive = statement.directive;
                  if (typeof directive !== "string") {
                    break;
                  }
                  if (directive === "use strict") {
                    this.context.strict = true;
                    if (firstRestricted) {
                      this.tolerateUnexpectedToken(firstRestricted, messages_1.Messages.StrictOctalLiteral);
                    }
                    if (!this.context.allowStrictDirective) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.IllegalLanguageModeDirective);
                    }
                  } else {
                    if (!firstRestricted && token.octal) {
                      firstRestricted = token;
                    }
                  }
                }
                return body;
              };
              Parser2.prototype.qualifiedPropertyName = function(token) {
                switch (token.type) {
                  case 3:
                  case 8:
                  case 1:
                  case 5:
                  case 6:
                  case 4:
                    return true;
                  case 7:
                    return token.value === "[";
                  default:
                    break;
                }
                return false;
              };
              Parser2.prototype.parseGetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length > 0) {
                  this.tolerateError(messages_1.Messages.BadGetterArity);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseSetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length !== 1) {
                  this.tolerateError(messages_1.Messages.BadSetterArity);
                } else if (formalParameters.params[0] instanceof Node.RestElement) {
                  this.tolerateError(messages_1.Messages.BadSetterRestParameter);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseGeneratorMethod = function() {
                var node = this.createNode();
                var isGenerator = true;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                this.context.allowYield = false;
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.isStartOfExpression = function() {
                var start = true;
                var value = this.lookahead.value;
                switch (this.lookahead.type) {
                  case 7:
                    start = value === "[" || value === "(" || value === "{" || value === "+" || value === "-" || value === "!" || value === "~" || value === "++" || value === "--" || value === "/" || value === "/=";
                    break;
                  case 4:
                    start = value === "class" || value === "delete" || value === "function" || value === "let" || value === "new" || value === "super" || value === "this" || value === "typeof" || value === "void" || value === "yield";
                    break;
                  default:
                    break;
                }
                return start;
              };
              Parser2.prototype.parseYieldExpression = function() {
                var node = this.createNode();
                this.expectKeyword("yield");
                var argument = null;
                var delegate = false;
                if (!this.hasLineTerminator) {
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = false;
                  delegate = this.match("*");
                  if (delegate) {
                    this.nextToken();
                    argument = this.parseAssignmentExpression();
                  } else if (this.isStartOfExpression()) {
                    argument = this.parseAssignmentExpression();
                  }
                  this.context.allowYield = previousAllowYield;
                }
                return this.finalize(node, new Node.YieldExpression(argument, delegate));
              };
              Parser2.prototype.parseClassElement = function(hasConstructor) {
                var token = this.lookahead;
                var node = this.createNode();
                var kind = "";
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var isStatic = false;
                var isAsync = false;
                if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  var id = key;
                  if (id.name === "static" && (this.qualifiedPropertyName(this.lookahead) || this.match("*"))) {
                    token = this.lookahead;
                    isStatic = true;
                    computed = this.match("[");
                    if (this.match("*")) {
                      this.nextToken();
                    } else {
                      key = this.parseObjectPropertyKey();
                    }
                  }
                  if (token.type === 3 && !this.hasLineTerminator && token.value === "async") {
                    var punctuator = this.lookahead.value;
                    if (punctuator !== ":" && punctuator !== "(" && punctuator !== "*") {
                      isAsync = true;
                      token = this.lookahead;
                      key = this.parseObjectPropertyKey();
                      if (token.type === 3 && token.value === "constructor") {
                        this.tolerateUnexpectedToken(token, messages_1.Messages.ConstructorIsAsync);
                      }
                    }
                  }
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3) {
                  if (token.value === "get" && lookaheadPropertyKey) {
                    kind = "get";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    this.context.allowYield = false;
                    value = this.parseGetterMethod();
                  } else if (token.value === "set" && lookaheadPropertyKey) {
                    kind = "set";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    value = this.parseSetterMethod();
                  }
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                }
                if (!kind && key && this.match("(")) {
                  kind = "init";
                  value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                  method = true;
                }
                if (!kind) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                if (kind === "init") {
                  kind = "method";
                }
                if (!computed) {
                  if (isStatic && this.isPropertyKey(key, "prototype")) {
                    this.throwUnexpectedToken(token, messages_1.Messages.StaticPrototype);
                  }
                  if (!isStatic && this.isPropertyKey(key, "constructor")) {
                    if (kind !== "method" || !method || value && value.generator) {
                      this.throwUnexpectedToken(token, messages_1.Messages.ConstructorSpecialMethod);
                    }
                    if (hasConstructor.value) {
                      this.throwUnexpectedToken(token, messages_1.Messages.DuplicateConstructor);
                    } else {
                      hasConstructor.value = true;
                    }
                    kind = "constructor";
                  }
                }
                return this.finalize(node, new Node.MethodDefinition(key, computed, value, kind, isStatic));
              };
              Parser2.prototype.parseClassElementList = function() {
                var body = [];
                var hasConstructor = { value: false };
                this.expect("{");
                while (!this.match("}")) {
                  if (this.match(";")) {
                    this.nextToken();
                  } else {
                    body.push(this.parseClassElement(hasConstructor));
                  }
                }
                this.expect("}");
                return body;
              };
              Parser2.prototype.parseClassBody = function() {
                var node = this.createNode();
                var elementList = this.parseClassElementList();
                return this.finalize(node, new Node.ClassBody(elementList));
              };
              Parser2.prototype.parseClassDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = identifierIsOptional && this.lookahead.type !== 3 ? null : this.parseVariableIdentifier();
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassDeclaration(id, superClass, classBody));
              };
              Parser2.prototype.parseClassExpression = function() {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = this.lookahead.type === 3 ? this.parseVariableIdentifier() : null;
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassExpression(id, superClass, classBody));
              };
              Parser2.prototype.parseModule = function() {
                this.context.strict = true;
                this.context.isModule = true;
                this.scanner.isModule = true;
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Module(body));
              };
              Parser2.prototype.parseScript = function() {
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Script(body));
              };
              Parser2.prototype.parseModuleSpecifier = function() {
                var node = this.createNode();
                if (this.lookahead.type !== 8) {
                  this.throwError(messages_1.Messages.InvalidModuleSpecifier);
                }
                var token = this.nextToken();
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              Parser2.prototype.parseImportSpecifier = function() {
                var node = this.createNode();
                var imported;
                var local;
                if (this.lookahead.type === 3) {
                  imported = this.parseVariableIdentifier();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  }
                } else {
                  imported = this.parseIdentifierName();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.ImportSpecifier(local, imported));
              };
              Parser2.prototype.parseNamedImports = function() {
                this.expect("{");
                var specifiers = [];
                while (!this.match("}")) {
                  specifiers.push(this.parseImportSpecifier());
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return specifiers;
              };
              Parser2.prototype.parseImportDefaultSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportDefaultSpecifier(local));
              };
              Parser2.prototype.parseImportNamespaceSpecifier = function() {
                var node = this.createNode();
                this.expect("*");
                if (!this.matchContextualKeyword("as")) {
                  this.throwError(messages_1.Messages.NoAsAfterImportNamespace);
                }
                this.nextToken();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportNamespaceSpecifier(local));
              };
              Parser2.prototype.parseImportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalImportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("import");
                var src;
                var specifiers = [];
                if (this.lookahead.type === 8) {
                  src = this.parseModuleSpecifier();
                } else {
                  if (this.match("{")) {
                    specifiers = specifiers.concat(this.parseNamedImports());
                  } else if (this.match("*")) {
                    specifiers.push(this.parseImportNamespaceSpecifier());
                  } else if (this.isIdentifierName(this.lookahead) && !this.matchKeyword("default")) {
                    specifiers.push(this.parseImportDefaultSpecifier());
                    if (this.match(",")) {
                      this.nextToken();
                      if (this.match("*")) {
                        specifiers.push(this.parseImportNamespaceSpecifier());
                      } else if (this.match("{")) {
                        specifiers = specifiers.concat(this.parseNamedImports());
                      } else {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  src = this.parseModuleSpecifier();
                }
                this.consumeSemicolon();
                return this.finalize(node, new Node.ImportDeclaration(specifiers, src));
              };
              Parser2.prototype.parseExportSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                var exported = local;
                if (this.matchContextualKeyword("as")) {
                  this.nextToken();
                  exported = this.parseIdentifierName();
                }
                return this.finalize(node, new Node.ExportSpecifier(local, exported));
              };
              Parser2.prototype.parseExportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalExportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("export");
                var exportDeclaration;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  if (this.matchKeyword("function")) {
                    var declaration = this.parseFunctionDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchKeyword("class")) {
                    var declaration = this.parseClassDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchContextualKeyword("async")) {
                    var declaration = this.matchAsyncFunction() ? this.parseFunctionDeclaration(true) : this.parseAssignmentExpression();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else {
                    if (this.matchContextualKeyword("from")) {
                      this.throwError(messages_1.Messages.UnexpectedToken, this.lookahead.value);
                    }
                    var declaration = this.match("{") ? this.parseObjectInitializer() : this.match("[") ? this.parseArrayInitializer() : this.parseAssignmentExpression();
                    this.consumeSemicolon();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  }
                } else if (this.match("*")) {
                  this.nextToken();
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  var src = this.parseModuleSpecifier();
                  this.consumeSemicolon();
                  exportDeclaration = this.finalize(node, new Node.ExportAllDeclaration(src));
                } else if (this.lookahead.type === 4) {
                  var declaration = void 0;
                  switch (this.lookahead.value) {
                    case "let":
                    case "const":
                      declaration = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "var":
                    case "class":
                    case "function":
                      declaration = this.parseStatementListItem();
                      break;
                    default:
                      this.throwUnexpectedToken(this.lookahead);
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else if (this.matchAsyncFunction()) {
                  var declaration = this.parseFunctionDeclaration();
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else {
                  var specifiers = [];
                  var source = null;
                  var isExportFromIdentifier = false;
                  this.expect("{");
                  while (!this.match("}")) {
                    isExportFromIdentifier = isExportFromIdentifier || this.matchKeyword("default");
                    specifiers.push(this.parseExportSpecifier());
                    if (!this.match("}")) {
                      this.expect(",");
                    }
                  }
                  this.expect("}");
                  if (this.matchContextualKeyword("from")) {
                    this.nextToken();
                    source = this.parseModuleSpecifier();
                    this.consumeSemicolon();
                  } else if (isExportFromIdentifier) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  } else {
                    this.consumeSemicolon();
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(null, specifiers, source));
                }
                return exportDeclaration;
              };
              return Parser2;
            }();
            exports3.Parser = Parser;
          },
          /* 9 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            function assert(condition, message) {
              if (!condition) {
                throw new Error("ASSERT: " + message);
              }
            }
            exports3.assert = assert;
          },
          /* 10 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var ErrorHandler = function() {
              function ErrorHandler2() {
                this.errors = [];
                this.tolerant = false;
              }
              ErrorHandler2.prototype.recordError = function(error) {
                this.errors.push(error);
              };
              ErrorHandler2.prototype.tolerate = function(error) {
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              ErrorHandler2.prototype.constructError = function(msg, column) {
                var error = new Error(msg);
                try {
                  throw error;
                } catch (base) {
                  if (Object.create && Object.defineProperty) {
                    error = Object.create(base);
                    Object.defineProperty(error, "column", { value: column });
                  }
                }
                return error;
              };
              ErrorHandler2.prototype.createError = function(index, line, col, description) {
                var msg = "Line " + line + ": " + description;
                var error = this.constructError(msg, col);
                error.index = index;
                error.lineNumber = line;
                error.description = description;
                return error;
              };
              ErrorHandler2.prototype.throwError = function(index, line, col, description) {
                throw this.createError(index, line, col, description);
              };
              ErrorHandler2.prototype.tolerateError = function(index, line, col, description) {
                var error = this.createError(index, line, col, description);
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              return ErrorHandler2;
            }();
            exports3.ErrorHandler = ErrorHandler;
          },
          /* 11 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Messages = {
              BadGetterArity: "Getter must not have any formal parameters",
              BadSetterArity: "Setter must have exactly one formal parameter",
              BadSetterRestParameter: "Setter function argument must not be a rest parameter",
              ConstructorIsAsync: "Class constructor may not be an async method",
              ConstructorSpecialMethod: "Class constructor may not be an accessor",
              DeclarationMissingInitializer: "Missing initializer in %0 declaration",
              DefaultRestParameter: "Unexpected token =",
              DuplicateBinding: "Duplicate binding %0",
              DuplicateConstructor: "A class may only have one constructor",
              DuplicateProtoProperty: "Duplicate __proto__ fields are not allowed in object literals",
              ForInOfLoopInitializer: "%0 loop variable declaration may not have an initializer",
              GeneratorInLegacyContext: "Generator declarations are not allowed in legacy contexts",
              IllegalBreak: "Illegal break statement",
              IllegalContinue: "Illegal continue statement",
              IllegalExportDeclaration: "Unexpected token",
              IllegalImportDeclaration: "Unexpected token",
              IllegalLanguageModeDirective: "Illegal 'use strict' directive in function with non-simple parameter list",
              IllegalReturn: "Illegal return statement",
              InvalidEscapedReservedWord: "Keyword must not contain escaped characters",
              InvalidHexEscapeSequence: "Invalid hexadecimal escape sequence",
              InvalidLHSInAssignment: "Invalid left-hand side in assignment",
              InvalidLHSInForIn: "Invalid left-hand side in for-in",
              InvalidLHSInForLoop: "Invalid left-hand side in for-loop",
              InvalidModuleSpecifier: "Unexpected token",
              InvalidRegExp: "Invalid regular expression",
              LetInLexicalBinding: "let is disallowed as a lexically bound name",
              MissingFromClause: "Unexpected token",
              MultipleDefaultsInSwitch: "More than one default clause in switch statement",
              NewlineAfterThrow: "Illegal newline after throw",
              NoAsAfterImportNamespace: "Unexpected token",
              NoCatchOrFinally: "Missing catch or finally after try",
              ParameterAfterRestParameter: "Rest parameter must be last formal parameter",
              Redeclaration: "%0 '%1' has already been declared",
              StaticPrototype: "Classes may not have static property named prototype",
              StrictCatchVariable: "Catch variable may not be eval or arguments in strict mode",
              StrictDelete: "Delete of an unqualified identifier in strict mode.",
              StrictFunction: "In strict mode code, functions can only be declared at top level or inside a block",
              StrictFunctionName: "Function name may not be eval or arguments in strict mode",
              StrictLHSAssignment: "Assignment to eval or arguments is not allowed in strict mode",
              StrictLHSPostfix: "Postfix increment/decrement may not have eval or arguments operand in strict mode",
              StrictLHSPrefix: "Prefix increment/decrement may not have eval or arguments operand in strict mode",
              StrictModeWith: "Strict mode code may not include a with statement",
              StrictOctalLiteral: "Octal literals are not allowed in strict mode.",
              StrictParamDupe: "Strict mode function may not have duplicate parameter names",
              StrictParamName: "Parameter name eval or arguments is not allowed in strict mode",
              StrictReservedWord: "Use of future reserved word in strict mode",
              StrictVarName: "Variable name may not be eval or arguments in strict mode",
              TemplateOctalLiteral: "Octal literals are not allowed in template strings.",
              UnexpectedEOS: "Unexpected end of input",
              UnexpectedIdentifier: "Unexpected identifier",
              UnexpectedNumber: "Unexpected number",
              UnexpectedReserved: "Unexpected reserved word",
              UnexpectedString: "Unexpected string",
              UnexpectedTemplate: "Unexpected quasi %0",
              UnexpectedToken: "Unexpected token %0",
              UnexpectedTokenIllegal: "Unexpected token ILLEGAL",
              UnknownLabel: "Undefined label '%0'",
              UnterminatedRegExp: "Invalid regular expression: missing /"
            };
          },
          /* 12 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var character_1 = __webpack_require__(4);
            var messages_1 = __webpack_require__(11);
            function hexValue(ch) {
              return "0123456789abcdef".indexOf(ch.toLowerCase());
            }
            function octalValue(ch) {
              return "01234567".indexOf(ch);
            }
            var Scanner = function() {
              function Scanner2(code, handler) {
                this.source = code;
                this.errorHandler = handler;
                this.trackComment = false;
                this.isModule = false;
                this.length = code.length;
                this.index = 0;
                this.lineNumber = code.length > 0 ? 1 : 0;
                this.lineStart = 0;
                this.curlyStack = [];
              }
              Scanner2.prototype.saveState = function() {
                return {
                  index: this.index,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart
                };
              };
              Scanner2.prototype.restoreState = function(state) {
                this.index = state.index;
                this.lineNumber = state.lineNumber;
                this.lineStart = state.lineStart;
              };
              Scanner2.prototype.eof = function() {
                return this.index >= this.length;
              };
              Scanner2.prototype.throwUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                return this.errorHandler.throwError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.tolerateUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                this.errorHandler.tolerateError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.skipSingleLineComment = function(offset) {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - offset;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - offset
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  ++this.index;
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (this.trackComment) {
                      loc.end = {
                        line: this.lineNumber,
                        column: this.index - this.lineStart - 1
                      };
                      var entry = {
                        multiLine: false,
                        slice: [start + offset, this.index - 1],
                        range: [start, this.index - 1],
                        loc
                      };
                      comments.push(entry);
                    }
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    return comments;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: false,
                    slice: [start + offset, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                return comments;
              };
              Scanner2.prototype.skipMultiLineComment = function() {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - 2;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - 2
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (ch === 13 && this.source.charCodeAt(this.index + 1) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    ++this.index;
                    this.lineStart = this.index;
                  } else if (ch === 42) {
                    if (this.source.charCodeAt(this.index + 1) === 47) {
                      this.index += 2;
                      if (this.trackComment) {
                        loc.end = {
                          line: this.lineNumber,
                          column: this.index - this.lineStart
                        };
                        var entry = {
                          multiLine: true,
                          slice: [start + 2, this.index - 2],
                          range: [start, this.index],
                          loc
                        };
                        comments.push(entry);
                      }
                      return comments;
                    }
                    ++this.index;
                  } else {
                    ++this.index;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: true,
                    slice: [start + 2, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                this.tolerateUnexpectedToken();
                return comments;
              };
              Scanner2.prototype.scanComments = function() {
                var comments;
                if (this.trackComment) {
                  comments = [];
                }
                var start = this.index === 0;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isWhiteSpace(ch)) {
                    ++this.index;
                  } else if (character_1.Character.isLineTerminator(ch)) {
                    ++this.index;
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    start = true;
                  } else if (ch === 47) {
                    ch = this.source.charCodeAt(this.index + 1);
                    if (ch === 47) {
                      this.index += 2;
                      var comment = this.skipSingleLineComment(2);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                      start = true;
                    } else if (ch === 42) {
                      this.index += 2;
                      var comment = this.skipMultiLineComment();
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (start && ch === 45) {
                    if (this.source.charCodeAt(this.index + 1) === 45 && this.source.charCodeAt(this.index + 2) === 62) {
                      this.index += 3;
                      var comment = this.skipSingleLineComment(3);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (ch === 60 && !this.isModule) {
                    if (this.source.slice(this.index + 1, this.index + 4) === "!--") {
                      this.index += 4;
                      var comment = this.skipSingleLineComment(4);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else {
                    break;
                  }
                }
                return comments;
              };
              Scanner2.prototype.isFutureReservedWord = function(id) {
                switch (id) {
                  case "enum":
                  case "export":
                  case "import":
                  case "super":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isStrictModeReservedWord = function(id) {
                switch (id) {
                  case "implements":
                  case "interface":
                  case "package":
                  case "private":
                  case "protected":
                  case "public":
                  case "static":
                  case "yield":
                  case "let":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isRestrictedWord = function(id) {
                return id === "eval" || id === "arguments";
              };
              Scanner2.prototype.isKeyword = function(id) {
                switch (id.length) {
                  case 2:
                    return id === "if" || id === "in" || id === "do";
                  case 3:
                    return id === "var" || id === "for" || id === "new" || id === "try" || id === "let";
                  case 4:
                    return id === "this" || id === "else" || id === "case" || id === "void" || id === "with" || id === "enum";
                  case 5:
                    return id === "while" || id === "break" || id === "catch" || id === "throw" || id === "const" || id === "yield" || id === "class" || id === "super";
                  case 6:
                    return id === "return" || id === "typeof" || id === "delete" || id === "switch" || id === "export" || id === "import";
                  case 7:
                    return id === "default" || id === "finally" || id === "extends";
                  case 8:
                    return id === "function" || id === "continue" || id === "debugger";
                  case 10:
                    return id === "instanceof";
                  default:
                    return false;
                }
              };
              Scanner2.prototype.codePointAt = function(i) {
                var cp = this.source.charCodeAt(i);
                if (cp >= 55296 && cp <= 56319) {
                  var second = this.source.charCodeAt(i + 1);
                  if (second >= 56320 && second <= 57343) {
                    var first = cp;
                    cp = (first - 55296) * 1024 + second - 56320 + 65536;
                  }
                }
                return cp;
              };
              Scanner2.prototype.scanHexEscape = function(prefix) {
                var len = prefix === "u" ? 4 : 2;
                var code = 0;
                for (var i = 0; i < len; ++i) {
                  if (!this.eof() && character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    code = code * 16 + hexValue(this.source[this.index++]);
                  } else {
                    return null;
                  }
                }
                return String.fromCharCode(code);
              };
              Scanner2.prototype.scanUnicodeCodePointEscape = function() {
                var ch = this.source[this.index];
                var code = 0;
                if (ch === "}") {
                  this.throwUnexpectedToken();
                }
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  if (!character_1.Character.isHexDigit(ch.charCodeAt(0))) {
                    break;
                  }
                  code = code * 16 + hexValue(ch);
                }
                if (code > 1114111 || ch !== "}") {
                  this.throwUnexpectedToken();
                }
                return character_1.Character.fromCodePoint(code);
              };
              Scanner2.prototype.getIdentifier = function() {
                var start = this.index++;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (ch === 92) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  } else if (ch >= 55296 && ch < 57343) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  }
                  if (character_1.Character.isIdentifierPart(ch)) {
                    ++this.index;
                  } else {
                    break;
                  }
                }
                return this.source.slice(start, this.index);
              };
              Scanner2.prototype.getComplexIdentifier = function() {
                var cp = this.codePointAt(this.index);
                var id = character_1.Character.fromCodePoint(cp);
                this.index += id.length;
                var ch;
                if (cp === 92) {
                  if (this.source.charCodeAt(this.index) !== 117) {
                    this.throwUnexpectedToken();
                  }
                  ++this.index;
                  if (this.source[this.index] === "{") {
                    ++this.index;
                    ch = this.scanUnicodeCodePointEscape();
                  } else {
                    ch = this.scanHexEscape("u");
                    if (ch === null || ch === "\\" || !character_1.Character.isIdentifierStart(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken();
                    }
                  }
                  id = ch;
                }
                while (!this.eof()) {
                  cp = this.codePointAt(this.index);
                  if (!character_1.Character.isIdentifierPart(cp)) {
                    break;
                  }
                  ch = character_1.Character.fromCodePoint(cp);
                  id += ch;
                  this.index += ch.length;
                  if (cp === 92) {
                    id = id.substr(0, id.length - 1);
                    if (this.source.charCodeAt(this.index) !== 117) {
                      this.throwUnexpectedToken();
                    }
                    ++this.index;
                    if (this.source[this.index] === "{") {
                      ++this.index;
                      ch = this.scanUnicodeCodePointEscape();
                    } else {
                      ch = this.scanHexEscape("u");
                      if (ch === null || ch === "\\" || !character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                        this.throwUnexpectedToken();
                      }
                    }
                    id += ch;
                  }
                }
                return id;
              };
              Scanner2.prototype.octalToDecimal = function(ch) {
                var octal = ch !== "0";
                var code = octalValue(ch);
                if (!this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                  octal = true;
                  code = code * 8 + octalValue(this.source[this.index++]);
                  if ("0123".indexOf(ch) >= 0 && !this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    code = code * 8 + octalValue(this.source[this.index++]);
                  }
                }
                return {
                  code,
                  octal
                };
              };
              Scanner2.prototype.scanIdentifier = function() {
                var type;
                var start = this.index;
                var id = this.source.charCodeAt(start) === 92 ? this.getComplexIdentifier() : this.getIdentifier();
                if (id.length === 1) {
                  type = 3;
                } else if (this.isKeyword(id)) {
                  type = 4;
                } else if (id === "null") {
                  type = 5;
                } else if (id === "true" || id === "false") {
                  type = 1;
                } else {
                  type = 3;
                }
                if (type !== 3 && start + id.length !== this.index) {
                  var restore = this.index;
                  this.index = start;
                  this.tolerateUnexpectedToken(messages_1.Messages.InvalidEscapedReservedWord);
                  this.index = restore;
                }
                return {
                  type,
                  value: id,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanPunctuator = function() {
                var start = this.index;
                var str = this.source[this.index];
                switch (str) {
                  case "(":
                  case "{":
                    if (str === "{") {
                      this.curlyStack.push("{");
                    }
                    ++this.index;
                    break;
                  case ".":
                    ++this.index;
                    if (this.source[this.index] === "." && this.source[this.index + 1] === ".") {
                      this.index += 2;
                      str = "...";
                    }
                    break;
                  case "}":
                    ++this.index;
                    this.curlyStack.pop();
                    break;
                  case ")":
                  case ";":
                  case ",":
                  case "[":
                  case "]":
                  case ":":
                  case "?":
                  case "~":
                    ++this.index;
                    break;
                  default:
                    str = this.source.substr(this.index, 4);
                    if (str === ">>>=") {
                      this.index += 4;
                    } else {
                      str = str.substr(0, 3);
                      if (str === "===" || str === "!==" || str === ">>>" || str === "<<=" || str === ">>=" || str === "**=") {
                        this.index += 3;
                      } else {
                        str = str.substr(0, 2);
                        if (str === "&&" || str === "||" || str === "==" || str === "!=" || str === "+=" || str === "-=" || str === "*=" || str === "/=" || str === "++" || str === "--" || str === "<<" || str === ">>" || str === "&=" || str === "|=" || str === "^=" || str === "%=" || str === "<=" || str === ">=" || str === "=>" || str === "**") {
                          this.index += 2;
                        } else {
                          str = this.source[this.index];
                          if ("<>=!+-*%&|^/".indexOf(str) >= 0) {
                            ++this.index;
                          }
                        }
                      }
                    }
                }
                if (this.index === start) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 7,
                  value: str,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanHexLiteral = function(start) {
                var num = "";
                while (!this.eof()) {
                  if (!character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt("0x" + num, 16),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanBinaryLiteral = function(start) {
                var num = "";
                var ch;
                while (!this.eof()) {
                  ch = this.source[this.index];
                  if (ch !== "0" && ch !== "1") {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (!this.eof()) {
                  ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isIdentifierStart(ch) || character_1.Character.isDecimalDigit(ch)) {
                    this.throwUnexpectedToken();
                  }
                }
                return {
                  type: 6,
                  value: parseInt(num, 2),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanOctalLiteral = function(prefix, start) {
                var num = "";
                var octal = false;
                if (character_1.Character.isOctalDigit(prefix.charCodeAt(0))) {
                  octal = true;
                  num = "0" + this.source[this.index++];
                } else {
                  ++this.index;
                }
                while (!this.eof()) {
                  if (!character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (!octal && num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index)) || character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt(num, 8),
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.isImplicitOctalLiteral = function() {
                for (var i = this.index + 1; i < this.length; ++i) {
                  var ch = this.source[i];
                  if (ch === "8" || ch === "9") {
                    return false;
                  }
                  if (!character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                    return true;
                  }
                }
                return true;
              };
              Scanner2.prototype.scanNumericLiteral = function() {
                var start = this.index;
                var ch = this.source[start];
                assert_1.assert(character_1.Character.isDecimalDigit(ch.charCodeAt(0)) || ch === ".", "Numeric literal must start with a decimal digit or a decimal point");
                var num = "";
                if (ch !== ".") {
                  num = this.source[this.index++];
                  ch = this.source[this.index];
                  if (num === "0") {
                    if (ch === "x" || ch === "X") {
                      ++this.index;
                      return this.scanHexLiteral(start);
                    }
                    if (ch === "b" || ch === "B") {
                      ++this.index;
                      return this.scanBinaryLiteral(start);
                    }
                    if (ch === "o" || ch === "O") {
                      return this.scanOctalLiteral(ch, start);
                    }
                    if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                      if (this.isImplicitOctalLiteral()) {
                        return this.scanOctalLiteral(ch, start);
                      }
                    }
                  }
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === ".") {
                  num += this.source[this.index++];
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === "e" || ch === "E") {
                  num += this.source[this.index++];
                  ch = this.source[this.index];
                  if (ch === "+" || ch === "-") {
                    num += this.source[this.index++];
                  }
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                      num += this.source[this.index++];
                    }
                  } else {
                    this.throwUnexpectedToken();
                  }
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseFloat(num),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanStringLiteral = function() {
                var start = this.index;
                var quote = this.source[start];
                assert_1.assert(quote === "'" || quote === '"', "String literal must starts with a quote");
                ++this.index;
                var octal = false;
                var str = "";
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === quote) {
                    quote = "";
                    break;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!ch || !character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            str += this.scanUnicodeCodePointEscape();
                          } else {
                            var unescaped_1 = this.scanHexEscape(ch);
                            if (unescaped_1 === null) {
                              this.throwUnexpectedToken();
                            }
                            str += unescaped_1;
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          str += unescaped;
                          break;
                        case "n":
                          str += "\n";
                          break;
                        case "r":
                          str += "\r";
                          break;
                        case "t":
                          str += "	";
                          break;
                        case "b":
                          str += "\b";
                          break;
                        case "f":
                          str += "\f";
                          break;
                        case "v":
                          str += "\v";
                          break;
                        case "8":
                        case "9":
                          str += ch;
                          this.tolerateUnexpectedToken();
                          break;
                        default:
                          if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            var octToDec = this.octalToDecimal(ch);
                            octal = octToDec.octal || octal;
                            str += String.fromCharCode(octToDec.code);
                          } else {
                            str += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    break;
                  } else {
                    str += ch;
                  }
                }
                if (quote !== "") {
                  this.index = start;
                  this.throwUnexpectedToken();
                }
                return {
                  type: 8,
                  value: str,
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanTemplate = function() {
                var cooked = "";
                var terminated = false;
                var start = this.index;
                var head = this.source[start] === "`";
                var tail = false;
                var rawOffset = 2;
                ++this.index;
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === "`") {
                    rawOffset = 1;
                    tail = true;
                    terminated = true;
                    break;
                  } else if (ch === "$") {
                    if (this.source[this.index] === "{") {
                      this.curlyStack.push("${");
                      ++this.index;
                      terminated = true;
                      break;
                    }
                    cooked += ch;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "n":
                          cooked += "\n";
                          break;
                        case "r":
                          cooked += "\r";
                          break;
                        case "t":
                          cooked += "	";
                          break;
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            cooked += this.scanUnicodeCodePointEscape();
                          } else {
                            var restore = this.index;
                            var unescaped_2 = this.scanHexEscape(ch);
                            if (unescaped_2 !== null) {
                              cooked += unescaped_2;
                            } else {
                              this.index = restore;
                              cooked += ch;
                            }
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          cooked += unescaped;
                          break;
                        case "b":
                          cooked += "\b";
                          break;
                        case "f":
                          cooked += "\f";
                          break;
                        case "v":
                          cooked += "\v";
                          break;
                        default:
                          if (ch === "0") {
                            if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                              this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                            }
                            cooked += "\0";
                          } else if (character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                          } else {
                            cooked += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.lineNumber;
                    if (ch === "\r" && this.source[this.index] === "\n") {
                      ++this.index;
                    }
                    this.lineStart = this.index;
                    cooked += "\n";
                  } else {
                    cooked += ch;
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken();
                }
                if (!head) {
                  this.curlyStack.pop();
                }
                return {
                  type: 10,
                  value: this.source.slice(start + 1, this.index - rawOffset),
                  cooked,
                  head,
                  tail,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.testRegExp = function(pattern, flags) {
                var astralSubstitute = "\uFFFF";
                var tmp = pattern;
                var self2 = this;
                if (flags.indexOf("u") >= 0) {
                  tmp = tmp.replace(/\\u\{([0-9a-fA-F]+)\}|\\u([a-fA-F0-9]{4})/g, function($0, $1, $2) {
                    var codePoint = parseInt($1 || $2, 16);
                    if (codePoint > 1114111) {
                      self2.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                    }
                    if (codePoint <= 65535) {
                      return String.fromCharCode(codePoint);
                    }
                    return astralSubstitute;
                  }).replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, astralSubstitute);
                }
                try {
                  RegExp(tmp);
                } catch (e) {
                  this.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                }
                try {
                  return new RegExp(pattern, flags);
                } catch (exception) {
                  return null;
                }
              };
              Scanner2.prototype.scanRegExpBody = function() {
                var ch = this.source[this.index];
                assert_1.assert(ch === "/", "Regular expression literal must start with a slash");
                var str = this.source[this.index++];
                var classMarker = false;
                var terminated = false;
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  str += ch;
                  if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                    }
                    str += ch;
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                  } else if (classMarker) {
                    if (ch === "]") {
                      classMarker = false;
                    }
                  } else {
                    if (ch === "/") {
                      terminated = true;
                      break;
                    } else if (ch === "[") {
                      classMarker = true;
                    }
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                }
                return str.substr(1, str.length - 2);
              };
              Scanner2.prototype.scanRegExpFlags = function() {
                var str = "";
                var flags = "";
                while (!this.eof()) {
                  var ch = this.source[this.index];
                  if (!character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                    break;
                  }
                  ++this.index;
                  if (ch === "\\" && !this.eof()) {
                    ch = this.source[this.index];
                    if (ch === "u") {
                      ++this.index;
                      var restore = this.index;
                      var char = this.scanHexEscape("u");
                      if (char !== null) {
                        flags += char;
                        for (str += "\\u"; restore < this.index; ++restore) {
                          str += this.source[restore];
                        }
                      } else {
                        this.index = restore;
                        flags += "u";
                        str += "\\u";
                      }
                      this.tolerateUnexpectedToken();
                    } else {
                      str += "\\";
                      this.tolerateUnexpectedToken();
                    }
                  } else {
                    flags += ch;
                    str += ch;
                  }
                }
                return flags;
              };
              Scanner2.prototype.scanRegExp = function() {
                var start = this.index;
                var pattern = this.scanRegExpBody();
                var flags = this.scanRegExpFlags();
                var value = this.testRegExp(pattern, flags);
                return {
                  type: 9,
                  value: "",
                  pattern,
                  flags,
                  regex: value,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.lex = function() {
                if (this.eof()) {
                  return {
                    type: 2,
                    value: "",
                    lineNumber: this.lineNumber,
                    lineStart: this.lineStart,
                    start: this.index,
                    end: this.index
                  };
                }
                var cp = this.source.charCodeAt(this.index);
                if (character_1.Character.isIdentifierStart(cp)) {
                  return this.scanIdentifier();
                }
                if (cp === 40 || cp === 41 || cp === 59) {
                  return this.scanPunctuator();
                }
                if (cp === 39 || cp === 34) {
                  return this.scanStringLiteral();
                }
                if (cp === 46) {
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index + 1))) {
                    return this.scanNumericLiteral();
                  }
                  return this.scanPunctuator();
                }
                if (character_1.Character.isDecimalDigit(cp)) {
                  return this.scanNumericLiteral();
                }
                if (cp === 96 || cp === 125 && this.curlyStack[this.curlyStack.length - 1] === "${") {
                  return this.scanTemplate();
                }
                if (cp >= 55296 && cp < 57343) {
                  if (character_1.Character.isIdentifierStart(this.codePointAt(this.index))) {
                    return this.scanIdentifier();
                  }
                }
                return this.scanPunctuator();
              };
              return Scanner2;
            }();
            exports3.Scanner = Scanner;
          },
          /* 13 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.TokenName = {};
            exports3.TokenName[
              1
              /* BooleanLiteral */
            ] = "Boolean";
            exports3.TokenName[
              2
              /* EOF */
            ] = "<end>";
            exports3.TokenName[
              3
              /* Identifier */
            ] = "Identifier";
            exports3.TokenName[
              4
              /* Keyword */
            ] = "Keyword";
            exports3.TokenName[
              5
              /* NullLiteral */
            ] = "Null";
            exports3.TokenName[
              6
              /* NumericLiteral */
            ] = "Numeric";
            exports3.TokenName[
              7
              /* Punctuator */
            ] = "Punctuator";
            exports3.TokenName[
              8
              /* StringLiteral */
            ] = "String";
            exports3.TokenName[
              9
              /* RegularExpression */
            ] = "RegularExpression";
            exports3.TokenName[
              10
              /* Template */
            ] = "Template";
          },
          /* 14 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.XHTMLEntities = {
              quot: '"',
              amp: "&",
              apos: "'",
              gt: ">",
              nbsp: "\xA0",
              iexcl: "\xA1",
              cent: "\xA2",
              pound: "\xA3",
              curren: "\xA4",
              yen: "\xA5",
              brvbar: "\xA6",
              sect: "\xA7",
              uml: "\xA8",
              copy: "\xA9",
              ordf: "\xAA",
              laquo: "\xAB",
              not: "\xAC",
              shy: "\xAD",
              reg: "\xAE",
              macr: "\xAF",
              deg: "\xB0",
              plusmn: "\xB1",
              sup2: "\xB2",
              sup3: "\xB3",
              acute: "\xB4",
              micro: "\xB5",
              para: "\xB6",
              middot: "\xB7",
              cedil: "\xB8",
              sup1: "\xB9",
              ordm: "\xBA",
              raquo: "\xBB",
              frac14: "\xBC",
              frac12: "\xBD",
              frac34: "\xBE",
              iquest: "\xBF",
              Agrave: "\xC0",
              Aacute: "\xC1",
              Acirc: "\xC2",
              Atilde: "\xC3",
              Auml: "\xC4",
              Aring: "\xC5",
              AElig: "\xC6",
              Ccedil: "\xC7",
              Egrave: "\xC8",
              Eacute: "\xC9",
              Ecirc: "\xCA",
              Euml: "\xCB",
              Igrave: "\xCC",
              Iacute: "\xCD",
              Icirc: "\xCE",
              Iuml: "\xCF",
              ETH: "\xD0",
              Ntilde: "\xD1",
              Ograve: "\xD2",
              Oacute: "\xD3",
              Ocirc: "\xD4",
              Otilde: "\xD5",
              Ouml: "\xD6",
              times: "\xD7",
              Oslash: "\xD8",
              Ugrave: "\xD9",
              Uacute: "\xDA",
              Ucirc: "\xDB",
              Uuml: "\xDC",
              Yacute: "\xDD",
              THORN: "\xDE",
              szlig: "\xDF",
              agrave: "\xE0",
              aacute: "\xE1",
              acirc: "\xE2",
              atilde: "\xE3",
              auml: "\xE4",
              aring: "\xE5",
              aelig: "\xE6",
              ccedil: "\xE7",
              egrave: "\xE8",
              eacute: "\xE9",
              ecirc: "\xEA",
              euml: "\xEB",
              igrave: "\xEC",
              iacute: "\xED",
              icirc: "\xEE",
              iuml: "\xEF",
              eth: "\xF0",
              ntilde: "\xF1",
              ograve: "\xF2",
              oacute: "\xF3",
              ocirc: "\xF4",
              otilde: "\xF5",
              ouml: "\xF6",
              divide: "\xF7",
              oslash: "\xF8",
              ugrave: "\xF9",
              uacute: "\xFA",
              ucirc: "\xFB",
              uuml: "\xFC",
              yacute: "\xFD",
              thorn: "\xFE",
              yuml: "\xFF",
              OElig: "\u0152",
              oelig: "\u0153",
              Scaron: "\u0160",
              scaron: "\u0161",
              Yuml: "\u0178",
              fnof: "\u0192",
              circ: "\u02C6",
              tilde: "\u02DC",
              Alpha: "\u0391",
              Beta: "\u0392",
              Gamma: "\u0393",
              Delta: "\u0394",
              Epsilon: "\u0395",
              Zeta: "\u0396",
              Eta: "\u0397",
              Theta: "\u0398",
              Iota: "\u0399",
              Kappa: "\u039A",
              Lambda: "\u039B",
              Mu: "\u039C",
              Nu: "\u039D",
              Xi: "\u039E",
              Omicron: "\u039F",
              Pi: "\u03A0",
              Rho: "\u03A1",
              Sigma: "\u03A3",
              Tau: "\u03A4",
              Upsilon: "\u03A5",
              Phi: "\u03A6",
              Chi: "\u03A7",
              Psi: "\u03A8",
              Omega: "\u03A9",
              alpha: "\u03B1",
              beta: "\u03B2",
              gamma: "\u03B3",
              delta: "\u03B4",
              epsilon: "\u03B5",
              zeta: "\u03B6",
              eta: "\u03B7",
              theta: "\u03B8",
              iota: "\u03B9",
              kappa: "\u03BA",
              lambda: "\u03BB",
              mu: "\u03BC",
              nu: "\u03BD",
              xi: "\u03BE",
              omicron: "\u03BF",
              pi: "\u03C0",
              rho: "\u03C1",
              sigmaf: "\u03C2",
              sigma: "\u03C3",
              tau: "\u03C4",
              upsilon: "\u03C5",
              phi: "\u03C6",
              chi: "\u03C7",
              psi: "\u03C8",
              omega: "\u03C9",
              thetasym: "\u03D1",
              upsih: "\u03D2",
              piv: "\u03D6",
              ensp: "\u2002",
              emsp: "\u2003",
              thinsp: "\u2009",
              zwnj: "\u200C",
              zwj: "\u200D",
              lrm: "\u200E",
              rlm: "\u200F",
              ndash: "\u2013",
              mdash: "\u2014",
              lsquo: "\u2018",
              rsquo: "\u2019",
              sbquo: "\u201A",
              ldquo: "\u201C",
              rdquo: "\u201D",
              bdquo: "\u201E",
              dagger: "\u2020",
              Dagger: "\u2021",
              bull: "\u2022",
              hellip: "\u2026",
              permil: "\u2030",
              prime: "\u2032",
              Prime: "\u2033",
              lsaquo: "\u2039",
              rsaquo: "\u203A",
              oline: "\u203E",
              frasl: "\u2044",
              euro: "\u20AC",
              image: "\u2111",
              weierp: "\u2118",
              real: "\u211C",
              trade: "\u2122",
              alefsym: "\u2135",
              larr: "\u2190",
              uarr: "\u2191",
              rarr: "\u2192",
              darr: "\u2193",
              harr: "\u2194",
              crarr: "\u21B5",
              lArr: "\u21D0",
              uArr: "\u21D1",
              rArr: "\u21D2",
              dArr: "\u21D3",
              hArr: "\u21D4",
              forall: "\u2200",
              part: "\u2202",
              exist: "\u2203",
              empty: "\u2205",
              nabla: "\u2207",
              isin: "\u2208",
              notin: "\u2209",
              ni: "\u220B",
              prod: "\u220F",
              sum: "\u2211",
              minus: "\u2212",
              lowast: "\u2217",
              radic: "\u221A",
              prop: "\u221D",
              infin: "\u221E",
              ang: "\u2220",
              and: "\u2227",
              or: "\u2228",
              cap: "\u2229",
              cup: "\u222A",
              int: "\u222B",
              there4: "\u2234",
              sim: "\u223C",
              cong: "\u2245",
              asymp: "\u2248",
              ne: "\u2260",
              equiv: "\u2261",
              le: "\u2264",
              ge: "\u2265",
              sub: "\u2282",
              sup: "\u2283",
              nsub: "\u2284",
              sube: "\u2286",
              supe: "\u2287",
              oplus: "\u2295",
              otimes: "\u2297",
              perp: "\u22A5",
              sdot: "\u22C5",
              lceil: "\u2308",
              rceil: "\u2309",
              lfloor: "\u230A",
              rfloor: "\u230B",
              loz: "\u25CA",
              spades: "\u2660",
              clubs: "\u2663",
              hearts: "\u2665",
              diams: "\u2666",
              lang: "\u27E8",
              rang: "\u27E9"
            };
          },
          /* 15 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var error_handler_1 = __webpack_require__(10);
            var scanner_1 = __webpack_require__(12);
            var token_1 = __webpack_require__(13);
            var Reader = function() {
              function Reader2() {
                this.values = [];
                this.curly = this.paren = -1;
              }
              Reader2.prototype.beforeFunctionExpression = function(t) {
                return [
                  "(",
                  "{",
                  "[",
                  "in",
                  "typeof",
                  "instanceof",
                  "new",
                  "return",
                  "case",
                  "delete",
                  "throw",
                  "void",
                  // assignment operators
                  "=",
                  "+=",
                  "-=",
                  "*=",
                  "**=",
                  "/=",
                  "%=",
                  "<<=",
                  ">>=",
                  ">>>=",
                  "&=",
                  "|=",
                  "^=",
                  ",",
                  // binary/unary operators
                  "+",
                  "-",
                  "*",
                  "**",
                  "/",
                  "%",
                  "++",
                  "--",
                  "<<",
                  ">>",
                  ">>>",
                  "&",
                  "|",
                  "^",
                  "!",
                  "~",
                  "&&",
                  "||",
                  "?",
                  ":",
                  "===",
                  "==",
                  ">=",
                  "<=",
                  "<",
                  ">",
                  "!=",
                  "!=="
                ].indexOf(t) >= 0;
              };
              Reader2.prototype.isRegexStart = function() {
                var previous = this.values[this.values.length - 1];
                var regex = previous !== null;
                switch (previous) {
                  case "this":
                  case "]":
                    regex = false;
                    break;
                  case ")":
                    var keyword = this.values[this.paren - 1];
                    regex = keyword === "if" || keyword === "while" || keyword === "for" || keyword === "with";
                    break;
                  case "}":
                    regex = false;
                    if (this.values[this.curly - 3] === "function") {
                      var check = this.values[this.curly - 4];
                      regex = check ? !this.beforeFunctionExpression(check) : false;
                    } else if (this.values[this.curly - 4] === "function") {
                      var check = this.values[this.curly - 5];
                      regex = check ? !this.beforeFunctionExpression(check) : true;
                    }
                    break;
                  default:
                    break;
                }
                return regex;
              };
              Reader2.prototype.push = function(token) {
                if (token.type === 7 || token.type === 4) {
                  if (token.value === "{") {
                    this.curly = this.values.length;
                  } else if (token.value === "(") {
                    this.paren = this.values.length;
                  }
                  this.values.push(token.value);
                } else {
                  this.values.push(null);
                }
              };
              return Reader2;
            }();
            var Tokenizer = function() {
              function Tokenizer2(code, config) {
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = config ? typeof config.tolerant === "boolean" && config.tolerant : false;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = config ? typeof config.comment === "boolean" && config.comment : false;
                this.trackRange = config ? typeof config.range === "boolean" && config.range : false;
                this.trackLoc = config ? typeof config.loc === "boolean" && config.loc : false;
                this.buffer = [];
                this.reader = new Reader();
              }
              Tokenizer2.prototype.errors = function() {
                return this.errorHandler.errors;
              };
              Tokenizer2.prototype.getNextToken = function() {
                if (this.buffer.length === 0) {
                  var comments = this.scanner.scanComments();
                  if (this.scanner.trackComment) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var value = this.scanner.source.slice(e.slice[0], e.slice[1]);
                      var comment = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value
                      };
                      if (this.trackRange) {
                        comment.range = e.range;
                      }
                      if (this.trackLoc) {
                        comment.loc = e.loc;
                      }
                      this.buffer.push(comment);
                    }
                  }
                  if (!this.scanner.eof()) {
                    var loc = void 0;
                    if (this.trackLoc) {
                      loc = {
                        start: {
                          line: this.scanner.lineNumber,
                          column: this.scanner.index - this.scanner.lineStart
                        },
                        end: {}
                      };
                    }
                    var startRegex = this.scanner.source[this.scanner.index] === "/" && this.reader.isRegexStart();
                    var token = startRegex ? this.scanner.scanRegExp() : this.scanner.lex();
                    this.reader.push(token);
                    var entry = {
                      type: token_1.TokenName[token.type],
                      value: this.scanner.source.slice(token.start, token.end)
                    };
                    if (this.trackRange) {
                      entry.range = [token.start, token.end];
                    }
                    if (this.trackLoc) {
                      loc.end = {
                        line: this.scanner.lineNumber,
                        column: this.scanner.index - this.scanner.lineStart
                      };
                      entry.loc = loc;
                    }
                    if (token.type === 9) {
                      var pattern = token.pattern;
                      var flags = token.flags;
                      entry.regex = { pattern, flags };
                    }
                    this.buffer.push(entry);
                  }
                }
                return this.buffer.shift();
              };
              return Tokenizer2;
            }();
            exports3.Tokenizer = Tokenizer;
          }
          /******/
        ])
      );
    });
  }
});

// ../../components/environments/node_modules/core-util-is/lib/util.js
var require_util3 = __commonJS({
  "../../components/environments/node_modules/core-util-is/lib/util.js"(exports2) {
    function isArray(arg) {
      if (Array.isArray) {
        return Array.isArray(arg);
      }
      return objectToString(arg) === "[object Array]";
    }
    exports2.isArray = isArray;
    function isBoolean(arg) {
      return typeof arg === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNull(arg) {
      return arg === null;
    }
    exports2.isNull = isNull;
    function isNullOrUndefined(arg) {
      return arg == null;
    }
    exports2.isNullOrUndefined = isNullOrUndefined;
    function isNumber(arg) {
      return typeof arg === "number";
    }
    exports2.isNumber = isNumber;
    function isString(arg) {
      return typeof arg === "string";
    }
    exports2.isString = isString;
    function isSymbol(arg) {
      return typeof arg === "symbol";
    }
    exports2.isSymbol = isSymbol;
    function isUndefined(arg) {
      return arg === void 0;
    }
    exports2.isUndefined = isUndefined;
    function isRegExp(re) {
      return objectToString(re) === "[object RegExp]";
    }
    exports2.isRegExp = isRegExp;
    function isObject(arg) {
      return typeof arg === "object" && arg !== null;
    }
    exports2.isObject = isObject;
    function isDate(d) {
      return objectToString(d) === "[object Date]";
    }
    exports2.isDate = isDate;
    function isError(e) {
      return objectToString(e) === "[object Error]" || e instanceof Error;
    }
    exports2.isError = isError;
    function isFunction(arg) {
      return typeof arg === "function";
    }
    exports2.isFunction = isFunction;
    function isPrimitive(arg) {
      return arg === null || typeof arg === "boolean" || typeof arg === "number" || typeof arg === "string" || typeof arg === "symbol" || // ES6 symbol
      typeof arg === "undefined";
    }
    exports2.isPrimitive = isPrimitive;
    exports2.isBuffer = require("buffer").Buffer.isBuffer;
    function objectToString(o) {
      return Object.prototype.toString.call(o);
    }
  }
});

// ../../components/environments/node_modules/array-timsort/src/index.js
var require_src = __commonJS({
  "../../components/environments/node_modules/array-timsort/src/index.js"(exports2, module2) {
    var DEFAULT_MIN_MERGE = 32;
    var DEFAULT_MIN_GALLOPING = 7;
    var DEFAULT_TMP_STORAGE_LENGTH = 256;
    var POWERS_OF_TEN = [1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8, 1e9];
    var results;
    var log10 = (x) => x < 1e5 ? x < 100 ? x < 10 ? 0 : 1 : x < 1e4 ? x < 1e3 ? 2 : 3 : 4 : x < 1e7 ? x < 1e6 ? 5 : 6 : x < 1e9 ? x < 1e8 ? 7 : 8 : 9;
    function alphabeticalCompare(a, b) {
      if (a === b) {
        return 0;
      }
      if (~~a === a && ~~b === b) {
        if (a === 0 || b === 0) {
          return a < b ? -1 : 1;
        }
        if (a < 0 || b < 0) {
          if (b >= 0) {
            return -1;
          }
          if (a >= 0) {
            return 1;
          }
          a = -a;
          b = -b;
        }
        const al = log10(a);
        const bl = log10(b);
        let t = 0;
        if (al < bl) {
          a *= POWERS_OF_TEN[bl - al - 1];
          b /= 10;
          t = -1;
        } else if (al > bl) {
          b *= POWERS_OF_TEN[al - bl - 1];
          a /= 10;
          t = 1;
        }
        if (a === b) {
          return t;
        }
        return a < b ? -1 : 1;
      }
      const aStr = String(a);
      const bStr = String(b);
      if (aStr === bStr) {
        return 0;
      }
      return aStr < bStr ? -1 : 1;
    }
    function minRunLength(n) {
      let r = 0;
      while (n >= DEFAULT_MIN_MERGE) {
        r |= n & 1;
        n >>= 1;
      }
      return n + r;
    }
    function makeAscendingRun(array, lo, hi, compare) {
      let runHi = lo + 1;
      if (runHi === hi) {
        return 1;
      }
      if (compare(array[runHi++], array[lo]) < 0) {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) < 0) {
          runHi++;
        }
        reverseRun(array, lo, runHi);
        reverseRun(results, lo, runHi);
      } else {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) >= 0) {
          runHi++;
        }
      }
      return runHi - lo;
    }
    function reverseRun(array, lo, hi) {
      hi--;
      while (lo < hi) {
        const t = array[lo];
        array[lo++] = array[hi];
        array[hi--] = t;
      }
    }
    function binaryInsertionSort(array, lo, hi, start, compare) {
      if (start === lo) {
        start++;
      }
      for (; start < hi; start++) {
        const pivot = array[start];
        const pivotIndex = results[start];
        let left = lo;
        let right = start;
        while (left < right) {
          const mid = left + right >>> 1;
          if (compare(pivot, array[mid]) < 0) {
            right = mid;
          } else {
            left = mid + 1;
          }
        }
        let n = start - left;
        switch (n) {
          case 3:
            array[left + 3] = array[left + 2];
            results[left + 3] = results[left + 2];
          case 2:
            array[left + 2] = array[left + 1];
            results[left + 2] = results[left + 1];
          case 1:
            array[left + 1] = array[left];
            results[left + 1] = results[left];
            break;
          default:
            while (n > 0) {
              array[left + n] = array[left + n - 1];
              results[left + n] = results[left + n - 1];
              n--;
            }
        }
        array[left] = pivot;
        results[left] = pivotIndex;
      }
    }
    function gallopLeft(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) > 0) {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) > 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      } else {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) <= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) > 0) {
          lastOffset = m + 1;
        } else {
          offset = m;
        }
      }
      return offset;
    }
    function gallopRight(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) < 0) {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) < 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      } else {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) >= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) < 0) {
          offset = m;
        } else {
          lastOffset = m + 1;
        }
      }
      return offset;
    }
    var TimSort = class {
      constructor(array, compare) {
        this.array = array;
        this.compare = compare;
        const { length } = array;
        this.length = length;
        this.minGallop = DEFAULT_MIN_GALLOPING;
        this.tmpStorageLength = length < 2 * DEFAULT_TMP_STORAGE_LENGTH ? length >>> 1 : DEFAULT_TMP_STORAGE_LENGTH;
        this.tmp = new Array(this.tmpStorageLength);
        this.tmpIndex = new Array(this.tmpStorageLength);
        this.stackLength = length < 120 ? 5 : length < 1542 ? 10 : length < 119151 ? 19 : 40;
        this.runStart = new Array(this.stackLength);
        this.runLength = new Array(this.stackLength);
        this.stackSize = 0;
      }
      /**
       * Push a new run on TimSort's stack.
       *
       * @param {number} runStart - Start index of the run in the original array.
       * @param {number} runLength - Length of the run;
       */
      pushRun(runStart, runLength) {
        this.runStart[this.stackSize] = runStart;
        this.runLength[this.stackSize] = runLength;
        this.stackSize += 1;
      }
      /**
       * Merge runs on TimSort's stack so that the following holds for all i:
       * 1) runLength[i - 3] > runLength[i - 2] + runLength[i - 1]
       * 2) runLength[i - 2] > runLength[i - 1]
       */
      mergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n >= 1 && this.runLength[n - 1] <= this.runLength[n] + this.runLength[n + 1] || n >= 2 && this.runLength[n - 2] <= this.runLength[n] + this.runLength[n - 1]) {
            if (this.runLength[n - 1] < this.runLength[n + 1]) {
              n--;
            }
          } else if (this.runLength[n] > this.runLength[n + 1]) {
            break;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge all runs on TimSort's stack until only one remains.
       */
      forceMergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n > 0 && this.runLength[n - 1] < this.runLength[n + 1]) {
            n--;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge the runs on the stack at positions i and i+1. Must be always be called
       * with i=stackSize-2 or i=stackSize-3 (that is, we merge on top of the stack).
       *
       * @param {number} i - Index of the run to merge in TimSort's stack.
       */
      mergeAt(i) {
        const { compare } = this;
        const { array } = this;
        let start1 = this.runStart[i];
        let length1 = this.runLength[i];
        const start2 = this.runStart[i + 1];
        let length2 = this.runLength[i + 1];
        this.runLength[i] = length1 + length2;
        if (i === this.stackSize - 3) {
          this.runStart[i + 1] = this.runStart[i + 2];
          this.runLength[i + 1] = this.runLength[i + 2];
        }
        this.stackSize--;
        const k = gallopRight(array[start2], array, start1, length1, 0, compare);
        start1 += k;
        length1 -= k;
        if (length1 === 0) {
          return;
        }
        length2 = gallopLeft(
          array[start1 + length1 - 1],
          array,
          start2,
          length2,
          length2 - 1,
          compare
        );
        if (length2 === 0) {
          return;
        }
        if (length1 <= length2) {
          this.mergeLow(start1, length1, start2, length2);
        } else {
          this.mergeHigh(start1, length1, start2, length2);
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length <= run2.length as it uses
       * TimSort temporary array to store run1. Use mergeHigh if run1.length >
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeLow(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length1; i++) {
          tmp[i] = array[start1 + i];
          tmpIndex[i] = results[start1 + i];
        }
        let cursor1 = 0;
        let cursor2 = start2;
        let dest = start1;
        array[dest] = array[cursor2];
        results[dest] = results[cursor2];
        dest++;
        cursor2++;
        if (--length2 === 0) {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
          return;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(array[cursor2], tmp[cursor1]) < 0) {
              array[dest] = array[cursor2];
              results[dest] = results[cursor2];
              dest++;
              cursor2++;
              count2++;
              count1 = 0;
              if (--length2 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor1];
              results[dest] = tmpIndex[cursor1];
              dest++;
              cursor1++;
              count1++;
              count2 = 0;
              if (--length1 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = gallopRight(array[cursor2], tmp, cursor1, length1, 0, compare);
            if (count1 !== 0) {
              for (i = 0; i < count1; i++) {
                array[dest + i] = tmp[cursor1 + i];
                results[dest + i] = tmpIndex[cursor1 + i];
              }
              dest += count1;
              cursor1 += count1;
              length1 -= count1;
              if (length1 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor2];
            results[dest] = results[cursor2];
            dest++;
            cursor2++;
            if (--length2 === 0) {
              exit = true;
              break;
            }
            count2 = gallopLeft(tmp[cursor1], array, cursor2, length2, 0, compare);
            if (count2 !== 0) {
              for (i = 0; i < count2; i++) {
                array[dest + i] = array[cursor2 + i];
                results[dest + i] = results[cursor2 + i];
              }
              dest += count2;
              cursor2 += count2;
              length2 -= count2;
              if (length2 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor1];
            results[dest] = tmpIndex[cursor1];
            dest++;
            cursor1++;
            if (--length1 === 1) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
        } else if (length1 === 0) {
          throw new Error("mergeLow preconditions were not respected");
        } else {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length > run2.length as it uses
       * TimSort temporary array to store run2. Use mergeLow if run1.length <=
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeHigh(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length2; i++) {
          tmp[i] = array[start2 + i];
          tmpIndex[i] = results[start2 + i];
        }
        let cursor1 = start1 + length1 - 1;
        let cursor2 = length2 - 1;
        let dest = start2 + length2 - 1;
        let customCursor = 0;
        let customDest = 0;
        array[dest] = array[cursor1];
        results[dest] = results[cursor1];
        dest--;
        cursor1--;
        if (--length1 === 0) {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
          return;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(tmp[cursor2], array[cursor1]) < 0) {
              array[dest] = array[cursor1];
              results[dest] = results[cursor1];
              dest--;
              cursor1--;
              count1++;
              count2 = 0;
              if (--length1 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor2];
              results[dest] = tmpIndex[cursor2];
              dest--;
              cursor2--;
              count2++;
              count1 = 0;
              if (--length2 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = length1 - gallopRight(
              tmp[cursor2],
              array,
              start1,
              length1,
              length1 - 1,
              compare
            );
            if (count1 !== 0) {
              dest -= count1;
              cursor1 -= count1;
              length1 -= count1;
              customDest = dest + 1;
              customCursor = cursor1 + 1;
              for (i = count1 - 1; i >= 0; i--) {
                array[customDest + i] = array[customCursor + i];
                results[customDest + i] = results[customCursor + i];
              }
              if (length1 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor2];
            results[dest] = tmpIndex[cursor2];
            dest--;
            cursor2--;
            if (--length2 === 1) {
              exit = true;
              break;
            }
            count2 = length2 - gallopLeft(
              array[cursor1],
              tmp,
              0,
              length2,
              length2 - 1,
              compare
            );
            if (count2 !== 0) {
              dest -= count2;
              cursor2 -= count2;
              length2 -= count2;
              customDest = dest + 1;
              customCursor = cursor2 + 1;
              for (i = 0; i < count2; i++) {
                array[customDest + i] = tmp[customCursor + i];
                results[customDest + i] = tmpIndex[customCursor + i];
              }
              if (length2 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor1];
            results[dest] = results[cursor1];
            dest--;
            cursor1--;
            if (--length1 === 0) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
        } else if (length2 === 0) {
          throw new Error("mergeHigh preconditions were not respected");
        } else {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
        }
      }
    };
    function sort(array, compare, lo, hi) {
      if (!Array.isArray(array)) {
        throw new TypeError(
          `The "array" argument must be an array. Received ${array}`
        );
      }
      results = [];
      const { length } = array;
      let i = 0;
      while (i < length) {
        results[i] = i++;
      }
      if (!compare) {
        compare = alphabeticalCompare;
      } else if (typeof compare !== "function") {
        hi = lo;
        lo = compare;
        compare = alphabeticalCompare;
      }
      if (!lo) {
        lo = 0;
      }
      if (!hi) {
        hi = length;
      }
      let remaining = hi - lo;
      if (remaining < 2) {
        return results;
      }
      let runLength = 0;
      if (remaining < DEFAULT_MIN_MERGE) {
        runLength = makeAscendingRun(array, lo, hi, compare);
        binaryInsertionSort(array, lo, hi, lo + runLength, compare);
        return results;
      }
      const ts = new TimSort(array, compare);
      const minRun = minRunLength(remaining);
      do {
        runLength = makeAscendingRun(array, lo, hi, compare);
        if (runLength < minRun) {
          let force = remaining;
          if (force > minRun) {
            force = minRun;
          }
          binaryInsertionSort(array, lo, lo + force, lo + runLength, compare);
          runLength = force;
        }
        ts.pushRun(lo, runLength);
        ts.mergeRuns();
        remaining -= runLength;
        lo += runLength;
      } while (remaining !== 0);
      ts.forceMergeRuns();
      return results;
    }
    module2.exports = {
      sort
    };
  }
});

// ../../components/environments/node_modules/has-own-prop/index.js
var require_has_own_prop = __commonJS({
  "../../components/environments/node_modules/has-own-prop/index.js"(exports2, module2) {
    "use strict";
    var hasOwnProp = Object.prototype.hasOwnProperty;
    module2.exports = (object, property) => hasOwnProp.call(object, property);
  }
});

// ../../components/environments/node_modules/comment-json/src/common.js
var require_common3 = __commonJS({
  "../../components/environments/node_modules/comment-json/src/common.js"(exports2, module2) {
    var hasOwnProperty2 = require_has_own_prop();
    var {
      isObject,
      isArray,
      isString,
      isNumber
    } = require_util3();
    var PREFIX_BEFORE = "before";
    var PREFIX_AFTER_PROP = "after-prop";
    var PREFIX_AFTER_COLON = "after-colon";
    var PREFIX_AFTER_VALUE = "after-value";
    var PREFIX_AFTER = "after";
    var PREFIX_BEFORE_ALL = "before-all";
    var PREFIX_AFTER_ALL = "after-all";
    var BRACKET_OPEN = "[";
    var BRACKET_CLOSE = "]";
    var CURLY_BRACKET_OPEN = "{";
    var CURLY_BRACKET_CLOSE = "}";
    var COMMA = ",";
    var EMPTY = "";
    var MINUS = "-";
    var SYMBOL_PREFIXES = [
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER
    ];
    var NON_PROP_SYMBOL_KEYS = [
      PREFIX_BEFORE,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL
    ].map(Symbol.for);
    var COLON = ":";
    var UNDEFINED = void 0;
    var symbol = (prefix, key) => Symbol.for(prefix + COLON + key);
    var define2 = (target, key, value) => Object.defineProperty(target, key, {
      value,
      writable: true,
      configurable: true
    });
    var copy_comments_by_kind = (target, source, target_key, source_key, prefix, remove_source) => {
      const source_prop = symbol(prefix, source_key);
      if (!hasOwnProperty2(source, source_prop)) {
        return;
      }
      const target_prop = target_key === source_key ? source_prop : symbol(prefix, target_key);
      define2(target, target_prop, source[source_prop]);
      if (remove_source) {
        delete source[source_prop];
      }
    };
    var copy_comments = (target, source, target_key, source_key, remove_source) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        copy_comments_by_kind(
          target,
          source,
          target_key,
          source_key,
          prefix,
          remove_source
        );
      });
    };
    var swap_comments = (array, from, to) => {
      if (from === to) {
        return;
      }
      SYMBOL_PREFIXES.forEach((prefix) => {
        const target_prop = symbol(prefix, to);
        if (!hasOwnProperty2(array, target_prop)) {
          copy_comments_by_kind(array, array, to, from, prefix, true);
          return;
        }
        const comments = array[target_prop];
        delete array[target_prop];
        copy_comments_by_kind(array, array, to, from, prefix, true);
        define2(array, symbol(prefix, from), comments);
      });
    };
    var assign_non_prop_comments = (target, source) => {
      NON_PROP_SYMBOL_KEYS.forEach((key) => {
        const comments = source[key];
        if (comments) {
          define2(target, key, comments);
        }
      });
    };
    var assign = (target, source, keys) => {
      keys.forEach((key) => {
        if (!isString(key) && !isNumber(key)) {
          return;
        }
        if (!hasOwnProperty2(source, key)) {
          return;
        }
        target[key] = source[key];
        copy_comments(target, source, key, key);
      });
      return target;
    };
    module2.exports = {
      SYMBOL_PREFIXES,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      symbol,
      define: define2,
      copy_comments,
      swap_comments,
      assign_non_prop_comments,
      assign(target, source, keys) {
        if (!isObject(target)) {
          throw new TypeError("Cannot convert undefined or null to object");
        }
        if (!isObject(source)) {
          return target;
        }
        if (keys === UNDEFINED) {
          keys = Object.keys(source);
          assign_non_prop_comments(target, source);
        } else if (!isArray(keys)) {
          throw new TypeError("keys must be array or undefined");
        } else if (keys.length === 0) {
          assign_non_prop_comments(target, source);
        }
        return assign(target, source, keys);
      }
    };
  }
});

// ../../components/environments/node_modules/comment-json/src/array.js
var require_array = __commonJS({
  "../../components/environments/node_modules/comment-json/src/array.js"(exports2, module2) {
    var { isArray } = require_util3();
    var { sort } = require_src();
    var {
      SYMBOL_PREFIXES,
      UNDEFINED,
      symbol,
      copy_comments,
      swap_comments
    } = require_common3();
    var reverse_comments = (array) => {
      const { length } = array;
      let i = 0;
      const max = length / 2;
      for (; i < max; i++) {
        swap_comments(array, i, length - i - 1);
      }
    };
    var move_comment = (target, source, i, offset, remove) => {
      copy_comments(target, source, i + offset, i, remove);
    };
    var move_comments = (target, source, start, count, offset, remove) => {
      if (offset > 0) {
        let i2 = count;
        while (i2-- > 0) {
          move_comment(target, source, start + i2, offset, remove);
        }
        return;
      }
      let i = 0;
      while (i < count) {
        const ii = i++;
        move_comment(target, source, start + ii, offset, remove);
      }
    };
    var remove_comments = (array, key) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        const prop = symbol(prefix, key);
        delete array[prop];
      });
    };
    var get_mapped = (map, key) => {
      let mapped = key;
      while (mapped in map) {
        mapped = map[mapped];
      }
      return mapped;
    };
    var CommentArray = class _CommentArray extends Array {
      // - deleteCount + items.length
      // We should avoid `splice(begin, deleteCount, ...items)`,
      // because `splice(0, undefined)` is not equivalent to `splice(0)`,
      // as well as:
      // - slice
      splice(...args) {
        const { length } = this;
        const ret = super.splice(...args);
        let [begin, deleteCount, ...items] = args;
        if (begin < 0) {
          begin += length;
        }
        if (arguments.length === 1) {
          deleteCount = length - begin;
        } else {
          deleteCount = Math.min(length - begin, deleteCount);
        }
        const {
          length: item_length
        } = items;
        const offset = item_length - deleteCount;
        const start = begin + deleteCount;
        const count = length - start;
        move_comments(this, this, start, count, offset, true);
        return ret;
      }
      slice(...args) {
        const { length } = this;
        const array = super.slice(...args);
        if (!array.length) {
          return new _CommentArray();
        }
        let [begin, before] = args;
        if (before === UNDEFINED) {
          before = length;
        } else if (before < 0) {
          before += length;
        }
        if (begin < 0) {
          begin += length;
        } else if (begin === UNDEFINED) {
          begin = 0;
        }
        move_comments(array, this, begin, before - begin, -begin);
        return array;
      }
      unshift(...items) {
        const { length } = this;
        const ret = super.unshift(...items);
        const {
          length: items_length
        } = items;
        if (items_length > 0) {
          move_comments(this, this, 0, length, items_length, true);
        }
        return ret;
      }
      shift() {
        const ret = super.shift();
        const { length } = this;
        remove_comments(this, 0);
        move_comments(this, this, 1, length, -1, true);
        return ret;
      }
      reverse() {
        super.reverse();
        reverse_comments(this);
        return this;
      }
      pop() {
        const ret = super.pop();
        remove_comments(this, this.length);
        return ret;
      }
      concat(...items) {
        let { length } = this;
        const ret = super.concat(...items);
        if (!items.length) {
          return ret;
        }
        move_comments(ret, this, 0, this.length, 0);
        items.forEach((item) => {
          const prev = length;
          length += isArray(item) ? item.length : 1;
          if (!(item instanceof _CommentArray)) {
            return;
          }
          move_comments(ret, item, 0, item.length, prev);
        });
        return ret;
      }
      sort(...args) {
        const result = sort(
          this,
          ...args.slice(0, 1)
        );
        const map = /* @__PURE__ */ Object.create(null);
        result.forEach((source_index, index) => {
          if (source_index === index) {
            return;
          }
          const real_source_index = get_mapped(map, source_index);
          if (real_source_index === index) {
            return;
          }
          map[index] = real_source_index;
          swap_comments(this, index, real_source_index);
        });
        return this;
      }
    };
    module2.exports = {
      CommentArray
    };
  }
});

// ../../components/environments/node_modules/comment-json/src/parse.js
var require_parse2 = __commonJS({
  "../../components/environments/node_modules/comment-json/src/parse.js"(exports2, module2) {
    var esprima = require_esprima();
    var {
      CommentArray
    } = require_array();
    var {
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      define: define2,
      assign_non_prop_comments
    } = require_common3();
    var tokenize = (code) => esprima.tokenize(code, {
      comment: true,
      loc: true
    });
    var previous_hosts = [];
    var comments_host = null;
    var unassigned_comments = null;
    var previous_props = [];
    var last_prop;
    var remove_comments = false;
    var inline = false;
    var tokens = null;
    var last = null;
    var current = null;
    var index;
    var reviver = null;
    var clean = () => {
      previous_props.length = previous_hosts.length = 0;
      last = null;
      last_prop = UNDEFINED;
    };
    var free = () => {
      clean();
      tokens.length = 0;
      unassigned_comments = comments_host = tokens = last = current = reviver = null;
    };
    var symbolFor = (prefix) => Symbol.for(
      last_prop !== UNDEFINED ? prefix + COLON + last_prop : prefix
    );
    var transform = (k, v) => reviver ? reviver(k, v) : v;
    var unexpected = () => {
      const error = new SyntaxError(`Unexpected token ${current.value.slice(0, 1)}`);
      Object.assign(error, current.loc.start);
      throw error;
    };
    var unexpected_end = () => {
      const error = new SyntaxError("Unexpected end of JSON input");
      Object.assign(error, last ? last.loc.end : {
        line: 1,
        column: 0
      });
      throw error;
    };
    var next = () => {
      const new_token = tokens[++index];
      inline = current && new_token && current.loc.end.line === new_token.loc.start.line || false;
      last = current;
      current = new_token;
    };
    var type = () => {
      if (!current) {
        unexpected_end();
      }
      return current.type === "Punctuator" ? current.value : current.type;
    };
    var is = (t) => type() === t;
    var expect = (a) => {
      if (!is(a)) {
        unexpected();
      }
    };
    var set_comments_host = (new_host) => {
      previous_hosts.push(comments_host);
      comments_host = new_host;
    };
    var restore_comments_host = () => {
      comments_host = previous_hosts.pop();
    };
    var assign_after_comments = () => {
      if (!unassigned_comments) {
        return;
      }
      const after_comments = [];
      for (const comment of unassigned_comments) {
        if (comment.inline) {
          after_comments.push(comment);
        } else {
          break;
        }
      }
      const { length } = after_comments;
      if (!length) {
        return;
      }
      if (length === unassigned_comments.length) {
        unassigned_comments = null;
      } else {
        unassigned_comments.splice(0, length);
      }
      define2(comments_host, symbolFor(PREFIX_AFTER), after_comments);
    };
    var assign_comments = (prefix) => {
      if (!unassigned_comments) {
        return;
      }
      define2(comments_host, symbolFor(prefix), unassigned_comments);
      unassigned_comments = null;
    };
    var parse_comments = (prefix) => {
      const comments = [];
      while (current && (is("LineComment") || is("BlockComment"))) {
        const comment = {
          ...current,
          inline
        };
        comments.push(comment);
        next();
      }
      if (remove_comments) {
        return;
      }
      if (!comments.length) {
        return;
      }
      if (prefix) {
        define2(comments_host, symbolFor(prefix), comments);
        return;
      }
      unassigned_comments = comments;
    };
    var set_prop = (prop, push) => {
      if (push) {
        previous_props.push(last_prop);
      }
      last_prop = prop;
    };
    var restore_prop = () => {
      last_prop = previous_props.pop();
    };
    var parse_object = () => {
      const obj = {};
      set_comments_host(obj);
      set_prop(UNDEFINED, true);
      let started = false;
      let name;
      parse_comments();
      while (!is(CURLY_BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(CURLY_BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        expect("String");
        name = JSON.parse(current.value);
        set_prop(name);
        assign_comments(PREFIX_BEFORE);
        next();
        parse_comments(PREFIX_AFTER_PROP);
        expect(COLON);
        next();
        parse_comments(PREFIX_AFTER_COLON);
        obj[name] = transform(name, walk());
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return obj;
    };
    var parse_array = () => {
      const array = new CommentArray();
      set_comments_host(array);
      set_prop(UNDEFINED, true);
      let started = false;
      let i = 0;
      parse_comments();
      while (!is(BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        set_prop(i);
        assign_comments(PREFIX_BEFORE);
        array[i] = transform(i, walk());
        i++;
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return array;
    };
    function walk() {
      let tt = type();
      if (tt === CURLY_BRACKET_OPEN) {
        next();
        return parse_object();
      }
      if (tt === BRACKET_OPEN) {
        next();
        return parse_array();
      }
      let negative = EMPTY;
      if (tt === MINUS) {
        next();
        tt = type();
        negative = MINUS;
      }
      let v;
      switch (tt) {
        case "String":
        case "Boolean":
        case "Null":
        case "Numeric":
          v = current.value;
          next();
          return JSON.parse(negative + v);
        default:
      }
    }
    var isObject = (subject) => Object(subject) === subject;
    var parse = (code, rev, no_comments) => {
      clean();
      tokens = tokenize(code);
      reviver = rev;
      remove_comments = no_comments;
      if (!tokens.length) {
        unexpected_end();
      }
      index = -1;
      next();
      set_comments_host({});
      parse_comments(PREFIX_BEFORE_ALL);
      let result = walk();
      parse_comments(PREFIX_AFTER_ALL);
      if (current) {
        unexpected();
      }
      if (!no_comments && result !== null) {
        if (!isObject(result)) {
          result = new Object(result);
        }
        assign_non_prop_comments(result, comments_host);
      }
      restore_comments_host();
      result = transform("", result);
      free();
      return result;
    };
    module2.exports = {
      parse,
      tokenize
    };
  }
});

// ../../components/environments/node_modules/repeat-string/index.js
var require_repeat_string = __commonJS({
  "../../components/environments/node_modules/repeat-string/index.js"(exports2, module2) {
    "use strict";
    var res = "";
    var cache;
    module2.exports = repeat;
    function repeat(str, num) {
      if (typeof str !== "string") {
        throw new TypeError("expected a string");
      }
      if (num === 1)
        return str;
      if (num === 2)
        return str + str;
      var max = str.length * num;
      if (cache !== str || typeof cache === "undefined") {
        cache = str;
        res = "";
      } else if (res.length >= max) {
        return res.substr(0, max);
      }
      while (max > res.length && num > 1) {
        if (num & 1) {
          res += str;
        }
        num >>= 1;
        str += str;
      }
      res += str;
      res = res.substr(0, max);
      return res;
    }
  }
});

// ../../components/environments/node_modules/comment-json/src/stringify.js
var require_stringify2 = __commonJS({
  "../../components/environments/node_modules/comment-json/src/stringify.js"(exports2, module2) {
    var {
      isArray,
      isObject,
      isFunction,
      isNumber,
      isString
    } = require_util3();
    var repeat = require_repeat_string();
    var {
      PREFIX_BEFORE_ALL,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      EMPTY,
      UNDEFINED
    } = require_common3();
    var ESCAPABLE = /[\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var SPACE = " ";
    var LF = "\n";
    var STR_NULL = "null";
    var BEFORE = (prop) => `${PREFIX_BEFORE}:${prop}`;
    var AFTER_PROP = (prop) => `${PREFIX_AFTER_PROP}:${prop}`;
    var AFTER_COLON = (prop) => `${PREFIX_AFTER_COLON}:${prop}`;
    var AFTER_VALUE = (prop) => `${PREFIX_AFTER_VALUE}:${prop}`;
    var AFTER = (prop) => `${PREFIX_AFTER}:${prop}`;
    var meta = {
      "\b": "\\b",
      "	": "\\t",
      "\n": "\\n",
      "\f": "\\f",
      "\r": "\\r",
      '"': '\\"',
      "\\": "\\\\"
    };
    var escape = (string) => {
      ESCAPABLE.lastIndex = 0;
      if (!ESCAPABLE.test(string)) {
        return string;
      }
      return string.replace(ESCAPABLE, (a) => {
        const c = meta[a];
        return typeof c === "string" ? c : a;
      });
    };
    var quote = (string) => `"${escape(string)}"`;
    var comment_stringify = (value, line) => line ? `//${value}` : `/*${value}*/`;
    var process_comments = (host, symbol_tag, deeper_gap, display_block) => {
      const comments = host[Symbol.for(symbol_tag)];
      if (!comments || !comments.length) {
        return EMPTY;
      }
      let is_line_comment = false;
      const str = comments.reduce((prev, {
        inline,
        type,
        value
      }) => {
        const delimiter = inline ? SPACE : LF + deeper_gap;
        is_line_comment = type === "LineComment";
        return prev + delimiter + comment_stringify(value, is_line_comment);
      }, EMPTY);
      return display_block || is_line_comment ? str + LF + deeper_gap : str;
    };
    var replacer = null;
    var indent = EMPTY;
    var clean = () => {
      replacer = null;
      indent = EMPTY;
    };
    var join = (one, two, gap) => one ? two ? one + two.trim() + LF + gap : one.trimRight() + LF + gap : two ? two.trimRight() + LF + gap : EMPTY;
    var join_content = (inside, value, gap) => {
      const comment = process_comments(value, PREFIX_BEFORE, gap + indent, true);
      return join(comment, inside, gap);
    };
    var array_stringify = (value, gap) => {
      const deeper_gap = gap + indent;
      const { length } = value;
      let inside = EMPTY;
      let after_comma = EMPTY;
      for (let i = 0; i < length; i++) {
        if (i !== 0) {
          inside += COMMA;
        }
        const before = join(
          after_comma,
          process_comments(value, BEFORE(i), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += stringify(i, value, deeper_gap) || STR_NULL;
        inside += process_comments(value, AFTER_VALUE(i), deeper_gap);
        after_comma = process_comments(value, AFTER(i), deeper_gap);
      }
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return BRACKET_OPEN + join_content(inside, value, gap) + BRACKET_CLOSE;
    };
    var object_stringify = (value, gap) => {
      if (!value) {
        return "null";
      }
      const deeper_gap = gap + indent;
      let inside = EMPTY;
      let after_comma = EMPTY;
      let first = true;
      const keys = isArray(replacer) ? replacer : Object.keys(value);
      const iteratee = (key) => {
        const sv = stringify(key, value, deeper_gap);
        if (sv === UNDEFINED) {
          return;
        }
        if (!first) {
          inside += COMMA;
        }
        first = false;
        const before = join(
          after_comma,
          process_comments(value, BEFORE(key), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += quote(key) + process_comments(value, AFTER_PROP(key), deeper_gap) + COLON + process_comments(value, AFTER_COLON(key), deeper_gap) + SPACE + sv + process_comments(value, AFTER_VALUE(key), deeper_gap);
        after_comma = process_comments(value, AFTER(key), deeper_gap);
      };
      keys.forEach(iteratee);
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return CURLY_BRACKET_OPEN + join_content(inside, value, gap) + CURLY_BRACKET_CLOSE;
    };
    function stringify(key, holder, gap) {
      let value = holder[key];
      if (isObject(value) && isFunction(value.toJSON)) {
        value = value.toJSON(key);
      }
      if (isFunction(replacer)) {
        value = replacer.call(holder, key, value);
      }
      switch (typeof value) {
        case "string":
          return quote(value);
        case "number":
          return Number.isFinite(value) ? String(value) : STR_NULL;
        case "boolean":
        case "null":
          return String(value);
        case "object":
          return isArray(value) ? array_stringify(value, gap) : object_stringify(value, gap);
        default:
      }
    }
    var get_indent = (space) => isString(space) ? space : isNumber(space) ? repeat(SPACE, space) : EMPTY;
    var { toString } = Object.prototype;
    var PRIMITIVE_OBJECT_TYPES = [
      "[object Number]",
      "[object String]",
      "[object Boolean]"
    ];
    var is_primitive_object = (subject) => {
      if (typeof subject !== "object") {
        return false;
      }
      const str = toString.call(subject);
      return PRIMITIVE_OBJECT_TYPES.includes(str);
    };
    module2.exports = (value, replacer_, space) => {
      const indent_ = get_indent(space);
      if (!indent_) {
        return JSON.stringify(value, replacer_);
      }
      if (!isFunction(replacer_) && !isArray(replacer_)) {
        replacer_ = null;
      }
      replacer = replacer_;
      indent = indent_;
      const str = is_primitive_object(value) ? JSON.stringify(value) : stringify("", { "": value }, EMPTY);
      clean();
      return isObject(value) ? process_comments(value, PREFIX_BEFORE_ALL, EMPTY).trimLeft() + str + process_comments(value, PREFIX_AFTER_ALL, EMPTY).trimRight() : str;
    };
  }
});

// ../../components/environments/node_modules/comment-json/src/index.js
var require_src2 = __commonJS({
  "../../components/environments/node_modules/comment-json/src/index.js"(exports2, module2) {
    var { parse, tokenize } = require_parse2();
    var stringify = require_stringify2();
    var { CommentArray } = require_array();
    var { assign } = require_common3();
    module2.exports = {
      parse,
      stringify,
      tokenize,
      CommentArray,
      assign
    };
  }
});

// ../../components/environments/node_modules/projen/lib/util/synth.js
var require_synth = __commonJS({
  "../../components/environments/node_modules/projen/lib/util/synth.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.directorySnapshot = exports2.synthSnapshot = void 0;
    var fs = require("fs");
    var os = require("os");
    var path = require("path");
    var JSONC = require_src2();
    var comment_json_1 = require_src2();
    var glob_1 = require_glob();
    var json_1 = require_json();
    function synthSnapshot(project, options = {}) {
      if (!path.resolve(project.outdir).startsWith(os.tmpdir()) && !project.outdir.includes("project-temp-dir")) {
        throw new Error("Trying to capture a snapshot of a project outside of tmpdir, which implies this test might corrupt an existing project");
      }
      const synthed = Symbol.for("synthed");
      if (synthed in project) {
        throw new Error("duplicate synth()");
      }
      project[synthed] = true;
      const ENV_PROJEN_DISABLE_POST = process.env.PROJEN_DISABLE_POST;
      try {
        process.env.PROJEN_DISABLE_POST = "true";
        project.synth();
        const ignoreExts = ["png", "ico"];
        return directorySnapshot(project.outdir, {
          ...options,
          excludeGlobs: ignoreExts.map((ext) => `**/*.${ext}`),
          supportJsonComments: project.files.some(
            // At least one json file in project supports comments
            (file) => file instanceof json_1.JsonFile && file.supportsComments
          )
        });
      } finally {
        fs.rmSync(project.outdir, { force: true, recursive: true });
        if (ENV_PROJEN_DISABLE_POST === void 0) {
          delete process.env.PROJEN_DISABLE_POST;
        } else {
          process.env.PROJEN_DISABLE_POST = ENV_PROJEN_DISABLE_POST;
        }
      }
    }
    exports2.synthSnapshot = synthSnapshot;
    function isJsonLikeFile(filePath) {
      const file = filePath.toLowerCase();
      return file.endsWith(".json") || file.endsWith(".json5") || file.endsWith(".jsonc");
    }
    function directorySnapshot(root, options = {}) {
      const output = {};
      const files = glob_1.glob.sync("**", {
        ignore: [".git/**", ...options.excludeGlobs ?? []],
        cwd: root,
        nodir: true,
        dot: true
      });
      const parseJson = options.parseJson ?? true;
      for (const file of files) {
        const filePath = path.join(root, file);
        let content;
        if (!options.onlyFileNames) {
          content = fs.readFileSync(filePath, "utf-8");
          if (parseJson && isJsonLikeFile(filePath)) {
            content = cleanCommentArrays(JSONC.parse(content, void 0, !options.supportJsonComments));
          }
        } else {
          content = true;
        }
        output[file] = content;
      }
      return output;
    }
    exports2.directorySnapshot = directorySnapshot;
    function cleanCommentArrays(obj) {
      if (Array.isArray(obj) || isCommentArrayWithoutComments(obj)) {
        return Array.from(obj).map(cleanCommentArrays);
      }
      if (obj instanceof Object) {
        for (const p of Object.keys(obj)) {
          if (isCommentArrayWithoutComments(obj[p])) {
            obj[p] = Array.from(obj[p]).map(cleanCommentArrays);
          } else if (obj[p] instanceof Object) {
            obj[p] = cleanCommentArrays(obj[p]);
          }
        }
      }
      return obj;
    }
    function isCommentArrayWithoutComments(obj) {
      return obj instanceof comment_json_1.CommentArray && Object.getOwnPropertySymbols(obj).length === 0;
    }
  }
});

// ../../components/environments/node_modules/projen/lib/testing.js
var require_testing = __commonJS({
  "../../components/environments/node_modules/projen/lib/testing.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Testing = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var synth_1 = require_synth();
    var Testing = class {
      /**
       * Produces a simple JS object that represents the contents of the projects with field names being file paths.
       * @param project the project to produce a snapshot for
       * @return { [filename:string]: any }
       */
      static synth(project, options = {}) {
        return (0, synth_1.synthSnapshot)(project, options);
      }
      constructor() {
      }
      // utility
    };
    exports2.Testing = Testing;
    _a = JSII_RTTI_SYMBOL_1;
    Testing[_a] = { fqn: "projen.Testing", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/parser.js
var require_parser2 = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/parser.js"(exports2, module2) {
    "use strict";
    var ParserEND = 1114112;
    var ParserError = class _ParserError extends Error {
      /* istanbul ignore next */
      constructor(msg, filename, linenumber) {
        super("[ParserError] " + msg, filename, linenumber);
        this.name = "ParserError";
        this.code = "ParserError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _ParserError);
      }
    };
    var State = class {
      constructor(parser) {
        this.parser = parser;
        this.buf = "";
        this.returned = null;
        this.result = null;
        this.resultTable = null;
        this.resultArr = null;
      }
    };
    var Parser = class {
      constructor() {
        this.pos = 0;
        this.col = 0;
        this.line = 0;
        this.obj = {};
        this.ctx = this.obj;
        this.stack = [];
        this._buf = "";
        this.char = null;
        this.ii = 0;
        this.state = new State(this.parseStart);
      }
      parse(str) {
        if (str.length === 0 || str.length == null)
          return;
        this._buf = String(str);
        this.ii = -1;
        this.char = -1;
        let getNext;
        while (getNext === false || this.nextChar()) {
          getNext = this.runOne();
        }
        this._buf = null;
      }
      nextChar() {
        if (this.char === 10) {
          ++this.line;
          this.col = -1;
        }
        ++this.ii;
        this.char = this._buf.codePointAt(this.ii);
        ++this.pos;
        ++this.col;
        return this.haveBuffer();
      }
      haveBuffer() {
        return this.ii < this._buf.length;
      }
      runOne() {
        return this.state.parser.call(this, this.state.returned);
      }
      finish() {
        this.char = ParserEND;
        let last;
        do {
          last = this.state.parser;
          this.runOne();
        } while (this.state.parser !== last);
        this.ctx = null;
        this.state = null;
        this._buf = null;
        return this.obj;
      }
      next(fn) {
        if (typeof fn !== "function")
          throw new ParserError("Tried to set state to non-existent state: " + JSON.stringify(fn));
        this.state.parser = fn;
      }
      goto(fn) {
        this.next(fn);
        return this.runOne();
      }
      call(fn, returnWith) {
        if (returnWith)
          this.next(returnWith);
        this.stack.push(this.state);
        this.state = new State(fn);
      }
      callNow(fn, returnWith) {
        this.call(fn, returnWith);
        return this.runOne();
      }
      return(value) {
        if (this.stack.length === 0)
          throw this.error(new ParserError("Stack underflow"));
        if (value === void 0)
          value = this.state.buf;
        this.state = this.stack.pop();
        this.state.returned = value;
      }
      returnNow(value) {
        this.return(value);
        return this.runOne();
      }
      consume() {
        if (this.char === ParserEND)
          throw this.error(new ParserError("Unexpected end-of-buffer"));
        this.state.buf += this._buf[this.ii];
      }
      error(err) {
        err.line = this.line;
        err.col = this.col;
        err.pos = this.pos;
        return err;
      }
      /* istanbul ignore next */
      parseStart() {
        throw new ParserError("Must declare a parseStart method");
      }
    };
    Parser.END = ParserEND;
    Parser.Error = ParserError;
    module2.exports = Parser;
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/create-datetime.js
var require_create_datetime = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/create-datetime.js"(exports2, module2) {
    "use strict";
    module2.exports = (value) => {
      const date = new Date(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/format-num.js
var require_format_num = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/format-num.js"(exports2, module2) {
    "use strict";
    module2.exports = (d, num) => {
      num = String(num);
      while (num.length < d)
        num = "0" + num;
      return num;
    };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/create-datetime-float.js
var require_create_datetime_float = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/create-datetime-float.js"(exports2, module2) {
    "use strict";
    var f = require_format_num();
    var FloatingDateTime = class extends Date {
      constructor(value) {
        super(value + "Z");
        this.isFloating = true;
      }
      toISOString() {
        const date = `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
        const time = `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
        return `${date}T${time}`;
      }
    };
    module2.exports = (value) => {
      const date = new FloatingDateTime(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/create-date.js
var require_create_date = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/create-date.js"(exports2, module2) {
    "use strict";
    var f = require_format_num();
    var DateTime = global.Date;
    var Date2 = class extends DateTime {
      constructor(value) {
        super(value);
        this.isDate = true;
      }
      toISOString() {
        return `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Date2(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/create-time.js
var require_create_time = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/create-time.js"(exports2, module2) {
    "use strict";
    var f = require_format_num();
    var Time = class extends Date {
      constructor(value) {
        super(`0000-01-01T${value}Z`);
        this.isTime = true;
      }
      toISOString() {
        return `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Time(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/environments/node_modules/@iarna/toml/lib/toml-parser.js
var require_toml_parser = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/lib/toml-parser.js"(exports, module) {
    "use strict";
    module.exports = makeParserClass(require_parser2());
    module.exports.makeParserClass = makeParserClass;
    var TomlError = class _TomlError extends Error {
      constructor(msg) {
        super(msg);
        this.name = "TomlError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _TomlError);
        this.fromTOML = true;
        this.wrapped = null;
      }
    };
    TomlError.wrap = (err) => {
      const terr = new TomlError(err.message);
      terr.code = err.code;
      terr.wrapped = err;
      return terr;
    };
    module.exports.TomlError = TomlError;
    var createDateTime = require_create_datetime();
    var createDateTimeFloat = require_create_datetime_float();
    var createDate = require_create_date();
    var createTime = require_create_time();
    var CTRL_I = 9;
    var CTRL_J = 10;
    var CTRL_M = 13;
    var CTRL_CHAR_BOUNDARY = 31;
    var CHAR_SP = 32;
    var CHAR_QUOT = 34;
    var CHAR_NUM = 35;
    var CHAR_APOS = 39;
    var CHAR_PLUS = 43;
    var CHAR_COMMA = 44;
    var CHAR_HYPHEN = 45;
    var CHAR_PERIOD = 46;
    var CHAR_0 = 48;
    var CHAR_1 = 49;
    var CHAR_7 = 55;
    var CHAR_9 = 57;
    var CHAR_COLON = 58;
    var CHAR_EQUALS = 61;
    var CHAR_A = 65;
    var CHAR_E = 69;
    var CHAR_F = 70;
    var CHAR_T = 84;
    var CHAR_U = 85;
    var CHAR_Z = 90;
    var CHAR_LOWBAR = 95;
    var CHAR_a = 97;
    var CHAR_b = 98;
    var CHAR_e = 101;
    var CHAR_f = 102;
    var CHAR_i = 105;
    var CHAR_l = 108;
    var CHAR_n = 110;
    var CHAR_o = 111;
    var CHAR_r = 114;
    var CHAR_s = 115;
    var CHAR_t = 116;
    var CHAR_u = 117;
    var CHAR_x = 120;
    var CHAR_z = 122;
    var CHAR_LCUB = 123;
    var CHAR_RCUB = 125;
    var CHAR_LSQB = 91;
    var CHAR_BSOL = 92;
    var CHAR_RSQB = 93;
    var CHAR_DEL = 127;
    var SURROGATE_FIRST = 55296;
    var SURROGATE_LAST = 57343;
    var escapes = {
      [CHAR_b]: "\b",
      [CHAR_t]: "	",
      [CHAR_n]: "\n",
      [CHAR_f]: "\f",
      [CHAR_r]: "\r",
      [CHAR_QUOT]: '"',
      [CHAR_BSOL]: "\\"
    };
    function isDigit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isHexit(cp) {
      return cp >= CHAR_A && cp <= CHAR_F || cp >= CHAR_a && cp <= CHAR_f || cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isBit(cp) {
      return cp === CHAR_1 || cp === CHAR_0;
    }
    function isOctit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_7;
    }
    function isAlphaNumQuoteHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_APOS || cp === CHAR_QUOT || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    function isAlphaNumHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    var _type = Symbol("type");
    var _declared = Symbol("declared");
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var defineProperty = Object.defineProperty;
    var descriptor = { configurable: true, enumerable: true, writable: true, value: void 0 };
    function hasKey(obj, key) {
      if (hasOwnProperty.call(obj, key))
        return true;
      if (key === "__proto__")
        defineProperty(obj, "__proto__", descriptor);
      return false;
    }
    var INLINE_TABLE = Symbol("inline-table");
    function InlineTable() {
      return Object.defineProperties({}, {
        [_type]: { value: INLINE_TABLE }
      });
    }
    function isInlineTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_TABLE;
    }
    var TABLE = Symbol("table");
    function Table() {
      return Object.defineProperties({}, {
        [_type]: { value: TABLE },
        [_declared]: { value: false, writable: true }
      });
    }
    function isTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === TABLE;
    }
    var _contentType = Symbol("content-type");
    var INLINE_LIST = Symbol("inline-list");
    function InlineList(type) {
      return Object.defineProperties([], {
        [_type]: { value: INLINE_LIST },
        [_contentType]: { value: type }
      });
    }
    function isInlineList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_LIST;
    }
    var LIST = Symbol("list");
    function List() {
      return Object.defineProperties([], {
        [_type]: { value: LIST }
      });
    }
    function isList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === LIST;
    }
    var _custom;
    try {
      const utilInspect = eval("require('util').inspect");
      _custom = utilInspect.custom;
    } catch (_) {
    }
    var _inspect = _custom || "inspect";
    var BoxedBigInt = class {
      constructor(value) {
        try {
          this.value = global.BigInt.asIntN(64, value);
        } catch (_) {
          this.value = null;
        }
        Object.defineProperty(this, _type, { value: INTEGER });
      }
      isNaN() {
        return this.value === null;
      }
      /* istanbul ignore next */
      toString() {
        return String(this.value);
      }
      /* istanbul ignore next */
      [_inspect]() {
        return `[BigInt: ${this.toString()}]}`;
      }
      valueOf() {
        return this.value;
      }
    };
    var INTEGER = Symbol("integer");
    function Integer(value) {
      let num = Number(value);
      if (Object.is(num, -0))
        num = 0;
      if (global.BigInt && !Number.isSafeInteger(num)) {
        return new BoxedBigInt(value);
      } else {
        return Object.defineProperties(new Number(num), {
          isNaN: { value: function() {
            return isNaN(this);
          } },
          [_type]: { value: INTEGER },
          [_inspect]: { value: () => `[Integer: ${value}]` }
        });
      }
    }
    function isInteger(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INTEGER;
    }
    var FLOAT = Symbol("float");
    function Float(value) {
      return Object.defineProperties(new Number(value), {
        [_type]: { value: FLOAT },
        [_inspect]: { value: () => `[Float: ${value}]` }
      });
    }
    function isFloat(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === FLOAT;
    }
    function tomlType(value) {
      const type = typeof value;
      if (type === "object") {
        if (value === null)
          return "null";
        if (value instanceof Date)
          return "datetime";
        if (_type in value) {
          switch (value[_type]) {
            case INLINE_TABLE:
              return "inline-table";
            case INLINE_LIST:
              return "inline-list";
            case TABLE:
              return "table";
            case LIST:
              return "list";
            case FLOAT:
              return "float";
            case INTEGER:
              return "integer";
          }
        }
      }
      return type;
    }
    function makeParserClass(Parser) {
      class TOMLParser extends Parser {
        constructor() {
          super();
          this.ctx = this.obj = Table();
        }
        /* MATCH HELPER */
        atEndOfWord() {
          return this.char === CHAR_NUM || this.char === CTRL_I || this.char === CHAR_SP || this.atEndOfLine();
        }
        atEndOfLine() {
          return this.char === Parser.END || this.char === CTRL_J || this.char === CTRL_M;
        }
        parseStart() {
          if (this.char === Parser.END) {
            return null;
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseTableOrList);
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (isAlphaNumQuoteHyphen(this.char)) {
            return this.callNow(this.parseAssignStatement);
          } else {
            throw this.error(new TomlError(`Unknown character "${this.char}"`));
          }
        }
        // HELPER, this strips any whitespace and comments to the end of the line
        // then RETURNS. Last state in a production.
        parseWhitespaceToEOL() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.goto(this.parseComment);
          } else if (this.char === Parser.END || this.char === CTRL_J) {
            return this.return();
          } else {
            throw this.error(new TomlError("Unexpected character, expected only whitespace or comments till end of line"));
          }
        }
        /* ASSIGNMENT: key = value */
        parseAssignStatement() {
          return this.callNow(this.parseAssign, this.recordAssignStatement);
        }
        recordAssignStatement(kv) {
          let target = this.ctx;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseWhitespaceToEOL);
        }
        /* ASSSIGNMENT expression, key = value possibly inside an inline table */
        parseAssign() {
          return this.callNow(this.parseKeyword, this.recordAssignKeyword);
        }
        recordAssignKeyword(key) {
          if (this.state.resultTable) {
            this.state.resultTable.push(key);
          } else {
            this.state.resultTable = [key];
          }
          return this.goto(this.parseAssignKeywordPreDot);
        }
        parseAssignKeywordPreDot() {
          if (this.char === CHAR_PERIOD) {
            return this.next(this.parseAssignKeywordPostDot);
          } else if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.goto(this.parseAssignEqual);
          }
        }
        parseAssignKeywordPostDot() {
          if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.callNow(this.parseKeyword, this.recordAssignKeyword);
          }
        }
        parseAssignEqual() {
          if (this.char === CHAR_EQUALS) {
            return this.next(this.parseAssignPreValue);
          } else {
            throw this.error(new TomlError('Invalid character, expected "="'));
          }
        }
        parseAssignPreValue() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseValue, this.recordAssignValue);
          }
        }
        recordAssignValue(value) {
          return this.returnNow({ key: this.state.resultTable, value });
        }
        /* COMMENTS: #...eol */
        parseComment() {
          do {
            if (this.char === Parser.END || this.char === CTRL_J) {
              return this.return();
            }
          } while (this.nextChar());
        }
        /* TABLES AND LISTS, [foo] and [[foo]] */
        parseTableOrList() {
          if (this.char === CHAR_LSQB) {
            this.next(this.parseList);
          } else {
            return this.goto(this.parseTable);
          }
        }
        /* TABLE [foo.bar.baz] */
        parseTable() {
          this.ctx = this.obj;
          return this.goto(this.parseTableNext);
        }
        parseTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseTableMore);
          }
        }
        parseTableMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (hasKey(this.ctx, keyword) && (!isTable(this.ctx[keyword]) || this.ctx[keyword][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            } else {
              this.ctx = this.ctx[keyword] = this.ctx[keyword] || Table();
              this.ctx[_declared] = true;
            }
            return this.next(this.parseWhitespaceToEOL);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            return this.next(this.parseTableNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* LIST [[a.b.c]] */
        parseList() {
          this.ctx = this.obj;
          return this.goto(this.parseListNext);
        }
        parseListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseListMore);
          }
        }
        parseListMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx[keyword] = List();
            }
            if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isList(this.ctx[keyword])) {
              const next = Table();
              this.ctx[keyword].push(next);
              this.ctx = next;
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListEnd);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isInlineTable(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline table"));
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        parseListEnd(keyword) {
          if (this.char === CHAR_RSQB) {
            return this.next(this.parseWhitespaceToEOL);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* VALUE string, number, boolean, inline list, inline object */
        parseValue() {
          if (this.char === Parser.END) {
            throw this.error(new TomlError("Key without value"));
          } else if (this.char === CHAR_QUOT) {
            return this.next(this.parseDoubleString);
          }
          if (this.char === CHAR_APOS) {
            return this.next(this.parseSingleString);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            return this.goto(this.parseNumberSign);
          } else if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseNumberOrDateTime);
          } else if (this.char === CHAR_t || this.char === CHAR_f) {
            return this.goto(this.parseBoolean);
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseInlineList, this.recordValue);
          } else if (this.char === CHAR_LCUB) {
            return this.call(this.parseInlineTable, this.recordValue);
          } else {
            throw this.error(new TomlError("Unexpected character, expecting string, number, datetime, boolean, inline array or inline table"));
          }
        }
        recordValue(value) {
          return this.returnNow(value);
        }
        parseInf() {
          if (this.char === CHAR_n) {
            return this.next(this.parseInf2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseInf2() {
          if (this.char === CHAR_f) {
            if (this.state.buf === "-") {
              return this.return(-Infinity);
            } else {
              return this.return(Infinity);
            }
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseNan() {
          if (this.char === CHAR_a) {
            return this.next(this.parseNan2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        parseNan2() {
          if (this.char === CHAR_n) {
            return this.return(NaN);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        /* KEYS, barewords or basic, literal, or dotted */
        parseKeyword() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseBasicString);
          } else if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralString);
          } else {
            return this.goto(this.parseBareKey);
          }
        }
        /* KEYS: barewords */
        parseBareKey() {
          do {
            if (this.char === Parser.END) {
              throw this.error(new TomlError("Key ended without value"));
            } else if (isAlphaNumHyphen(this.char)) {
              this.consume();
            } else if (this.state.buf.length === 0) {
              throw this.error(new TomlError("Empty bare keys are not allowed"));
            } else {
              return this.returnNow();
            }
          } while (this.nextChar());
        }
        /* STRINGS, single quoted (literal) */
        parseSingleString() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiStringMaybe);
          } else {
            return this.goto(this.parseLiteralString);
          }
        }
        parseLiteralString() {
          do {
            if (this.char === CHAR_APOS) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiStringMaybe() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseLiteralMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseLiteralMultiStringContent);
          } else {
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiStringContent() {
          do {
            if (this.char === CHAR_APOS) {
              return this.next(this.parseLiteralMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiEnd() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiEnd2);
          } else {
            this.state.buf += "'";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiEnd2() {
          if (this.char === CHAR_APOS) {
            return this.return();
          } else {
            this.state.buf += "''";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        /* STRINGS double quoted */
        parseDoubleString() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiStringMaybe);
          } else {
            return this.goto(this.parseBasicString);
          }
        }
        parseBasicString() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseEscape, this.recordEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        recordEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseBasicString);
        }
        parseMultiStringMaybe() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseMultiStringContent);
          } else {
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiStringContent() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseMultiEscape, this.recordMultiEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.next(this.parseMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        errorControlCharInString() {
          let displayCode = "\\u00";
          if (this.char < 16) {
            displayCode += "0";
          }
          displayCode += this.char.toString(16);
          return this.error(new TomlError(`Control characters (codes < 0x1f and 0x7f) are not allowed in strings, use ${displayCode} instead`));
        }
        recordMultiEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseMultiStringContent);
        }
        parseMultiEnd() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiEnd2);
          } else {
            this.state.buf += '"';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEnd2() {
          if (this.char === CHAR_QUOT) {
            return this.return();
          } else {
            this.state.buf += '""';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEscape() {
          if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else if (this.char === CHAR_SP || this.char === CTRL_I) {
            return this.next(this.parsePreMultiTrim);
          } else {
            return this.goto(this.parseEscape);
          }
        }
        parsePreMultiTrim() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else {
            throw this.error(new TomlError("Can't escape whitespace"));
          }
        }
        parseMultiTrim() {
          if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else {
            return this.returnNow();
          }
        }
        parseEscape() {
          if (this.char in escapes) {
            return this.return(escapes[this.char]);
          } else if (this.char === CHAR_u) {
            return this.call(this.parseSmallUnicode, this.parseUnicodeReturn);
          } else if (this.char === CHAR_U) {
            return this.call(this.parseLargeUnicode, this.parseUnicodeReturn);
          } else {
            throw this.error(new TomlError("Unknown escape character: " + this.char));
          }
        }
        parseUnicodeReturn(char) {
          try {
            const codePoint = parseInt(char, 16);
            if (codePoint >= SURROGATE_FIRST && codePoint <= SURROGATE_LAST) {
              throw this.error(new TomlError("Invalid unicode, character in range 0xD800 - 0xDFFF is reserved"));
            }
            return this.returnNow(String.fromCodePoint(codePoint));
          } catch (err) {
            throw this.error(TomlError.wrap(err));
          }
        }
        parseSmallUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 4)
              return this.return();
          }
        }
        parseLargeUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 8)
              return this.return();
          }
        }
        /* NUMBERS */
        parseNumberSign() {
          this.consume();
          return this.next(this.parseMaybeSignedInfOrNan);
        }
        parseMaybeSignedInfOrNan() {
          if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else {
            return this.callNow(this.parseNoUnder, this.parseNumberIntegerStart);
          }
        }
        parseNumberIntegerStart() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberIntegerExponentOrDecimal);
          } else {
            return this.goto(this.parseNumberInteger);
          }
        }
        parseNumberIntegerExponentOrDecimal() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseNumberInteger() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseNoUnder() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD || this.char === CHAR_E || this.char === CHAR_e) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNoUnderHexOctBinLiteral() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNumberFloat() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        parseNumberExponentSign() {
          if (isDigit(this.char)) {
            return this.goto(this.parseNumberExponent);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.call(this.parseNoUnder, this.parseNumberExponent);
          } else {
            throw this.error(new TomlError("Unexpected character, expected -, + or digit"));
          }
        }
        parseNumberExponent() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        /* NUMBERS or DATETIMES  */
        parseNumberOrDateTime() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberBaseOrDateTime);
          } else {
            return this.goto(this.parseNumberOrDateTimeOnly);
          }
        }
        parseNumberOrDateTimeOnly() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length > 4)
              this.next(this.parseNumberInteger);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_HYPHEN) {
            return this.goto(this.parseDateTime);
          } else if (this.char === CHAR_COLON) {
            return this.goto(this.parseOnlyTimeHour);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseDateTimeOnly() {
          if (this.state.buf.length < 4) {
            if (isDigit(this.char)) {
              return this.consume();
            } else if (this.char === CHAR_COLON) {
              return this.goto(this.parseOnlyTimeHour);
            } else {
              throw this.error(new TomlError("Expected digit while parsing year part of a date"));
            }
          } else {
            if (this.char === CHAR_HYPHEN) {
              return this.goto(this.parseDateTime);
            } else {
              throw this.error(new TomlError("Expected hyphen (-) while parsing year part of date"));
            }
          }
        }
        parseNumberBaseOrDateTime() {
          if (this.char === CHAR_b) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerBin);
          } else if (this.char === CHAR_o) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerOct);
          } else if (this.char === CHAR_x) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerHex);
          } else if (this.char === CHAR_PERIOD) {
            return this.goto(this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseDateTimeOnly);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseIntegerHex() {
          if (isHexit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerOct() {
          if (isOctit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerBin() {
          if (isBit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        /* DATETIME */
        parseDateTime() {
          if (this.state.buf.length < 4) {
            throw this.error(new TomlError("Years less than 1000 must be zero padded to four characters"));
          }
          this.state.result = this.state.buf;
          this.state.buf = "";
          return this.next(this.parseDateMonth);
        }
        parseDateMonth() {
          if (this.char === CHAR_HYPHEN) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Months less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseDateDay);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseDateDay() {
          if (this.char === CHAR_T || this.char === CHAR_SP) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Days less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseStartTimeHour);
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result + "-" + this.state.buf));
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseStartTimeHour() {
          if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result));
          } else {
            return this.goto(this.parseTimeHour);
          }
        }
        parseTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result += "T" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeMin);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              this.state.result += ":" + this.state.buf;
              this.state.buf = "";
              return this.next(this.parseTimeZoneOrFraction);
            }
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseOnlyTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result = this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeMin);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              return this.next(this.parseOnlyTimeFractionMaybe);
            }
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeFractionMaybe() {
          this.state.result += ":" + this.state.buf;
          if (this.char === CHAR_PERIOD) {
            this.state.buf = "";
            this.next(this.parseOnlyTimeFraction);
          } else {
            return this.return(createTime(this.state.result));
          }
        }
        parseOnlyTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.atEndOfWord()) {
            if (this.state.buf.length === 0)
              throw this.error(new TomlError("Expected digit in milliseconds"));
            return this.returnNow(createTime(this.state.result + "." + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneOrFraction() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            this.next(this.parseDateTimeFraction);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseDateTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 1) {
            throw this.error(new TomlError("Expected digit in milliseconds"));
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneHour() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.next(this.parseTimeZoneSep);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        parseTimeZoneSep() {
          if (this.char === CHAR_COLON) {
            this.consume();
            this.next(this.parseTimeZoneMin);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected colon"));
          }
        }
        parseTimeZoneMin() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.return(createDateTime(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        /* BOOLEAN */
        parseBoolean() {
          if (this.char === CHAR_t) {
            this.consume();
            return this.next(this.parseTrue_r);
          } else if (this.char === CHAR_f) {
            this.consume();
            return this.next(this.parseFalse_a);
          }
        }
        parseTrue_r() {
          if (this.char === CHAR_r) {
            this.consume();
            return this.next(this.parseTrue_u);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_u() {
          if (this.char === CHAR_u) {
            this.consume();
            return this.next(this.parseTrue_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_e() {
          if (this.char === CHAR_e) {
            return this.return(true);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_a() {
          if (this.char === CHAR_a) {
            this.consume();
            return this.next(this.parseFalse_l);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_l() {
          if (this.char === CHAR_l) {
            this.consume();
            return this.next(this.parseFalse_s);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_s() {
          if (this.char === CHAR_s) {
            this.consume();
            return this.next(this.parseFalse_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_e() {
          if (this.char === CHAR_e) {
            return this.return(false);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        /* INLINE LISTS */
        parseInlineList() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === Parser.END) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_RSQB) {
            return this.return(this.state.resultArr || InlineList());
          } else {
            return this.callNow(this.parseValue, this.recordInlineListValue);
          }
        }
        recordInlineListValue(value) {
          if (this.state.resultArr) {
            const listType = this.state.resultArr[_contentType];
            const valueType = tomlType(value);
            if (listType !== valueType) {
              throw this.error(new TomlError(`Inline lists must be a single type, not a mix of ${listType} and ${valueType}`));
            }
          } else {
            this.state.resultArr = InlineList(tomlType(value));
          }
          if (isFloat(value) || isInteger(value)) {
            this.state.resultArr.push(value.valueOf());
          } else {
            this.state.resultArr.push(value);
          }
          return this.goto(this.parseInlineListNext);
        }
        parseInlineListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineList);
          } else if (this.char === CHAR_RSQB) {
            return this.goto(this.parseInlineList);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
        /* INLINE TABLE */
        parseInlineTable() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_RCUB) {
            return this.return(this.state.resultTable || InlineTable());
          } else {
            if (!this.state.resultTable)
              this.state.resultTable = InlineTable();
            return this.callNow(this.parseAssign, this.recordInlineTableValue);
          }
        }
        recordInlineTableValue(kv) {
          let target = this.state.resultTable;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseInlineTableNext);
        }
        parseInlineTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineTable);
          } else if (this.char === CHAR_RCUB) {
            return this.goto(this.parseInlineTable);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
      }
      return TOMLParser;
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/parse-pretty-error.js
var require_parse_pretty_error = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/parse-pretty-error.js"(exports2, module2) {
    "use strict";
    module2.exports = prettyError;
    function prettyError(err, buf) {
      if (err.pos == null || err.line == null)
        return err;
      let msg = err.message;
      msg += ` at row ${err.line + 1}, col ${err.col + 1}, pos ${err.pos}:
`;
      if (buf && buf.split) {
        const lines = buf.split(/\n/);
        const lineNumWidth = String(Math.min(lines.length, err.line + 3)).length;
        let linePadding = " ";
        while (linePadding.length < lineNumWidth)
          linePadding += " ";
        for (let ii = Math.max(0, err.line - 1); ii < Math.min(lines.length, err.line + 2); ++ii) {
          let lineNum = String(ii + 1);
          if (lineNum.length < lineNumWidth)
            lineNum = " " + lineNum;
          if (err.line === ii) {
            msg += lineNum + "> " + lines[ii] + "\n";
            msg += linePadding + "  ";
            for (let hh = 0; hh < err.col; ++hh) {
              msg += " ";
            }
            msg += "^\n";
          } else {
            msg += lineNum + ": " + lines[ii] + "\n";
          }
        }
      }
      err.message = msg + "\n";
      return err;
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/parse-string.js
var require_parse_string = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/parse-string.js"(exports2, module2) {
    "use strict";
    module2.exports = parseString;
    var TOMLParser = require_toml_parser();
    var prettyError = require_parse_pretty_error();
    function parseString(str) {
      if (global.Buffer && global.Buffer.isBuffer(str)) {
        str = str.toString("utf8");
      }
      const parser = new TOMLParser();
      try {
        parser.parse(str);
        return parser.finish();
      } catch (err) {
        throw prettyError(err, str);
      }
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/parse-async.js
var require_parse_async = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/parse-async.js"(exports2, module2) {
    "use strict";
    module2.exports = parseAsync;
    var TOMLParser = require_toml_parser();
    var prettyError = require_parse_pretty_error();
    function parseAsync(str, opts) {
      if (!opts)
        opts = {};
      const index = 0;
      const blocksize = opts.blocksize || 40960;
      const parser = new TOMLParser();
      return new Promise((resolve, reject) => {
        setImmediate(parseAsyncNext, index, blocksize, resolve, reject);
      });
      function parseAsyncNext(index2, blocksize2, resolve, reject) {
        if (index2 >= str.length) {
          try {
            return resolve(parser.finish());
          } catch (err) {
            return reject(prettyError(err, str));
          }
        }
        try {
          parser.parse(str.slice(index2, index2 + blocksize2));
          setImmediate(parseAsyncNext, index2 + blocksize2, blocksize2, resolve, reject);
        } catch (err) {
          reject(prettyError(err, str));
        }
      }
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/parse-stream.js
var require_parse_stream = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/parse-stream.js"(exports2, module2) {
    "use strict";
    module2.exports = parseStream;
    var stream = require("stream");
    var TOMLParser = require_toml_parser();
    function parseStream(stm) {
      if (stm) {
        return parseReadable(stm);
      } else {
        return parseTransform(stm);
      }
    }
    function parseReadable(stm) {
      const parser = new TOMLParser();
      stm.setEncoding("utf8");
      return new Promise((resolve, reject) => {
        let readable;
        let ended = false;
        let errored = false;
        function finish() {
          ended = true;
          if (readable)
            return;
          try {
            resolve(parser.finish());
          } catch (err) {
            reject(err);
          }
        }
        function error(err) {
          errored = true;
          reject(err);
        }
        stm.once("end", finish);
        stm.once("error", error);
        readNext();
        function readNext() {
          readable = true;
          let data;
          while ((data = stm.read()) !== null) {
            try {
              parser.parse(data);
            } catch (err) {
              return error(err);
            }
          }
          readable = false;
          if (ended)
            return finish();
          if (errored)
            return;
          stm.once("readable", readNext);
        }
      });
    }
    function parseTransform() {
      const parser = new TOMLParser();
      return new stream.Transform({
        objectMode: true,
        transform(chunk, encoding, cb) {
          try {
            parser.parse(chunk.toString(encoding));
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        },
        flush(cb) {
          try {
            this.push(parser.finish());
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        }
      });
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/parse.js
var require_parse3 = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/parse.js"(exports2, module2) {
    "use strict";
    module2.exports = require_parse_string();
    module2.exports.async = require_parse_async();
    module2.exports.stream = require_parse_stream();
    module2.exports.prettyError = require_parse_pretty_error();
  }
});

// ../../components/environments/node_modules/@iarna/toml/stringify.js
var require_stringify3 = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/stringify.js"(exports2, module2) {
    "use strict";
    module2.exports = stringify;
    module2.exports.value = stringifyInline;
    function stringify(obj) {
      if (obj === null)
        throw typeError("null");
      if (obj === void 0)
        throw typeError("undefined");
      if (typeof obj !== "object")
        throw typeError(typeof obj);
      if (typeof obj.toJSON === "function")
        obj = obj.toJSON();
      if (obj == null)
        return null;
      const type = tomlType2(obj);
      if (type !== "table")
        throw typeError(type);
      return stringifyObject("", "", obj);
    }
    function typeError(type) {
      return new Error("Can only stringify objects, not " + type);
    }
    function arrayOneTypeError() {
      return new Error("Array values can't have mixed types");
    }
    function getInlineKeys(obj) {
      return Object.keys(obj).filter((key) => isInline(obj[key]));
    }
    function getComplexKeys(obj) {
      return Object.keys(obj).filter((key) => !isInline(obj[key]));
    }
    function toJSON(obj) {
      let nobj = Array.isArray(obj) ? [] : Object.prototype.hasOwnProperty.call(obj, "__proto__") ? { ["__proto__"]: void 0 } : {};
      for (let prop of Object.keys(obj)) {
        if (obj[prop] && typeof obj[prop].toJSON === "function" && !("toISOString" in obj[prop])) {
          nobj[prop] = obj[prop].toJSON();
        } else {
          nobj[prop] = obj[prop];
        }
      }
      return nobj;
    }
    function stringifyObject(prefix, indent, obj) {
      obj = toJSON(obj);
      var inlineKeys;
      var complexKeys;
      inlineKeys = getInlineKeys(obj);
      complexKeys = getComplexKeys(obj);
      var result = [];
      var inlineIndent = indent || "";
      inlineKeys.forEach((key) => {
        var type = tomlType2(obj[key]);
        if (type !== "undefined" && type !== "null") {
          result.push(inlineIndent + stringifyKey(key) + " = " + stringifyAnyInline(obj[key], true));
        }
      });
      if (result.length > 0)
        result.push("");
      var complexIndent = prefix && inlineKeys.length > 0 ? indent + "  " : "";
      complexKeys.forEach((key) => {
        result.push(stringifyComplex(prefix, complexIndent, key, obj[key]));
      });
      return result.join("\n");
    }
    function isInline(value) {
      switch (tomlType2(value)) {
        case "undefined":
        case "null":
        case "integer":
        case "nan":
        case "float":
        case "boolean":
        case "string":
        case "datetime":
          return true;
        case "array":
          return value.length === 0 || tomlType2(value[0]) !== "table";
        case "table":
          return Object.keys(value).length === 0;
        default:
          return false;
      }
    }
    function tomlType2(value) {
      if (value === void 0) {
        return "undefined";
      } else if (value === null) {
        return "null";
      } else if (typeof value === "bigint" || Number.isInteger(value) && !Object.is(value, -0)) {
        return "integer";
      } else if (typeof value === "number") {
        return "float";
      } else if (typeof value === "boolean") {
        return "boolean";
      } else if (typeof value === "string") {
        return "string";
      } else if ("toISOString" in value) {
        return isNaN(value) ? "undefined" : "datetime";
      } else if (Array.isArray(value)) {
        return "array";
      } else {
        return "table";
      }
    }
    function stringifyKey(key) {
      var keyStr = String(key);
      if (/^[-A-Za-z0-9_]+$/.test(keyStr)) {
        return keyStr;
      } else {
        return stringifyBasicString(keyStr);
      }
    }
    function stringifyBasicString(str) {
      return '"' + escapeString(str).replace(/"/g, '\\"') + '"';
    }
    function stringifyLiteralString(str) {
      return "'" + str + "'";
    }
    function numpad(num, str) {
      while (str.length < num)
        str = "0" + str;
      return str;
    }
    function escapeString(str) {
      return str.replace(/\\/g, "\\\\").replace(/[\b]/g, "\\b").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\f/g, "\\f").replace(/\r/g, "\\r").replace(/([\u0000-\u001f\u007f])/, (c) => "\\u" + numpad(4, c.codePointAt(0).toString(16)));
    }
    function stringifyMultilineString(str) {
      let escaped = str.split(/\n/).map((str2) => {
        return escapeString(str2).replace(/"(?="")/g, '\\"');
      }).join("\n");
      if (escaped.slice(-1) === '"')
        escaped += "\\\n";
      return '"""\n' + escaped + '"""';
    }
    function stringifyAnyInline(value, multilineOk) {
      let type = tomlType2(value);
      if (type === "string") {
        if (multilineOk && /\n/.test(value)) {
          type = "string-multiline";
        } else if (!/[\b\t\n\f\r']/.test(value) && /"/.test(value)) {
          type = "string-literal";
        }
      }
      return stringifyInline(value, type);
    }
    function stringifyInline(value, type) {
      if (!type)
        type = tomlType2(value);
      switch (type) {
        case "string-multiline":
          return stringifyMultilineString(value);
        case "string":
          return stringifyBasicString(value);
        case "string-literal":
          return stringifyLiteralString(value);
        case "integer":
          return stringifyInteger(value);
        case "float":
          return stringifyFloat(value);
        case "boolean":
          return stringifyBoolean(value);
        case "datetime":
          return stringifyDatetime(value);
        case "array":
          return stringifyInlineArray(value.filter((_) => tomlType2(_) !== "null" && tomlType2(_) !== "undefined" && tomlType2(_) !== "nan"));
        case "table":
          return stringifyInlineTable(value);
        default:
          throw typeError(type);
      }
    }
    function stringifyInteger(value) {
      return String(value).replace(/\B(?=(\d{3})+(?!\d))/g, "_");
    }
    function stringifyFloat(value) {
      if (value === Infinity) {
        return "inf";
      } else if (value === -Infinity) {
        return "-inf";
      } else if (Object.is(value, NaN)) {
        return "nan";
      } else if (Object.is(value, -0)) {
        return "-0.0";
      }
      var chunks = String(value).split(".");
      var int = chunks[0];
      var dec = chunks[1] || 0;
      return stringifyInteger(int) + "." + dec;
    }
    function stringifyBoolean(value) {
      return String(value);
    }
    function stringifyDatetime(value) {
      return value.toISOString();
    }
    function isNumber(type) {
      return type === "float" || type === "integer";
    }
    function arrayType(values) {
      var contentType = tomlType2(values[0]);
      if (values.every((_) => tomlType2(_) === contentType))
        return contentType;
      if (values.every((_) => isNumber(tomlType2(_))))
        return "float";
      return "mixed";
    }
    function validateArray(values) {
      const type = arrayType(values);
      if (type === "mixed") {
        throw arrayOneTypeError();
      }
      return type;
    }
    function stringifyInlineArray(values) {
      values = toJSON(values);
      const type = validateArray(values);
      var result = "[";
      var stringified = values.map((_) => stringifyInline(_, type));
      if (stringified.join(", ").length > 60 || /\n/.test(stringified)) {
        result += "\n  " + stringified.join(",\n  ") + "\n";
      } else {
        result += " " + stringified.join(", ") + (stringified.length > 0 ? " " : "");
      }
      return result + "]";
    }
    function stringifyInlineTable(value) {
      value = toJSON(value);
      var result = [];
      Object.keys(value).forEach((key) => {
        result.push(stringifyKey(key) + " = " + stringifyAnyInline(value[key], false));
      });
      return "{ " + result.join(", ") + (result.length > 0 ? " " : "") + "}";
    }
    function stringifyComplex(prefix, indent, key, value) {
      var valueType = tomlType2(value);
      if (valueType === "array") {
        return stringifyArrayOfTables(prefix, indent, key, value);
      } else if (valueType === "table") {
        return stringifyComplexTable(prefix, indent, key, value);
      } else {
        throw typeError(valueType);
      }
    }
    function stringifyArrayOfTables(prefix, indent, key, values) {
      values = toJSON(values);
      validateArray(values);
      var firstValueType = tomlType2(values[0]);
      if (firstValueType !== "table")
        throw typeError(firstValueType);
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      values.forEach((table) => {
        if (result.length > 0)
          result += "\n";
        result += indent + "[[" + fullKey + "]]\n";
        result += stringifyObject(fullKey + ".", indent, table);
      });
      return result;
    }
    function stringifyComplexTable(prefix, indent, key, value) {
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      if (getInlineKeys(value).length > 0) {
        result += indent + "[" + fullKey + "]\n";
      }
      return result + stringifyObject(fullKey + ".", indent, value);
    }
  }
});

// ../../components/environments/node_modules/@iarna/toml/toml.js
var require_toml = __commonJS({
  "../../components/environments/node_modules/@iarna/toml/toml.js"(exports2) {
    "use strict";
    exports2.parse = require_parse3();
    exports2.stringify = require_stringify3();
  }
});

// ../../components/environments/node_modules/projen/lib/toml.js
var require_toml2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/toml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TomlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml();
    var object_file_1 = require_object_file();
    var TomlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          TOML.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.TomlFile = TomlFile;
    _a = JSII_RTTI_SYMBOL_1;
    TomlFile[_a] = { fqn: "projen.TomlFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/version.js
var require_version = __commonJS({
  "../../components/environments/node_modules/projen/lib/version.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Version = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component();
    var Version = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.changelogFileName = "changelog.md";
        this.versionFileName = "version.txt";
        this.releaseTagFileName = "releasetag.txt";
        const versionInputFile = options.versionInputFile;
        const changesSinceLastRelease = '! git log --oneline -1 | grep -q "chore(release):"';
        const changelogFile = path_1.posix.join(options.artifactsDirectory, this.changelogFileName);
        const bumpFile = path_1.posix.join(options.artifactsDirectory, this.versionFileName);
        const releaseTagFile = path_1.posix.join(options.artifactsDirectory, this.releaseTagFileName);
        const env = {
          OUTFILE: versionInputFile,
          CHANGELOG: changelogFile,
          BUMPFILE: bumpFile,
          RELEASETAG: releaseTagFile,
          RELEASE_TAG_PREFIX: options.tagPrefix ?? "",
          // doesn't work if custom configuration is long
          VERSIONRCOPTIONS: JSON.stringify(options.versionrcOptions)
        };
        this.bumpTask = project.addTask("bump", {
          description: "Bumps version based on latest git tag and generates a changelog entry",
          condition: changesSinceLastRelease,
          env
        });
        this.bumpTask.builtin("release/bump-version");
        this.unbumpTask = project.addTask("unbump", {
          description: "Restores version to 0.0.0",
          env
        });
        this.unbumpTask.builtin("release/reset-version");
        project.addGitIgnore(`/${changelogFile}`);
        project.addGitIgnore(`/${bumpFile}`);
        project.addPackageIgnore(`/${changelogFile}`);
        project.addPackageIgnore(`/${bumpFile}`);
      }
    };
    exports2.Version = Version;
    _a = JSII_RTTI_SYMBOL_1;
    Version[_a] = { fqn: "projen.Version", version: "0.71.112" };
    Version.STANDARD_VERSION = "standard-version@^9";
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/interfaces.js
var require_interfaces = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DefaultBuilderOptions = {
      version: "1.0",
      encoding: void 0,
      standalone: void 0,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      skipWhitespaceOnlyText: true,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      },
      invalidCharReplacement: void 0,
      parser: void 0
    };
    exports2.XMLBuilderOptionKeys = new Set(Object.keys(exports2.DefaultBuilderOptions));
    exports2.DefaultXMLBuilderCBOptions = {
      format: "xml",
      wellFormed: false,
      prettyPrint: false,
      indent: "  ",
      newline: "\n",
      offset: 0,
      width: 0,
      allowEmptyTags: false,
      spaceBeforeSlash: false,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      }
    };
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/FixedSizeSet.js
var require_FixedSizeSet = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/FixedSizeSet.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet = (
      /** @class */
      function() {
        function FixedSizeSet2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Set();
          this._limit = limit;
        }
        FixedSizeSet2.prototype.add = function(item) {
          this._items.add(item);
          if (this._items.size > this._limit) {
            var it_1 = this._items.values().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return this;
        };
        FixedSizeSet2.prototype.delete = function(item) {
          return this._items.delete(item);
        };
        FixedSizeSet2.prototype.has = function(item) {
          return this._items.has(item);
        };
        FixedSizeSet2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(FixedSizeSet2.prototype, "size", {
          /**
           * Gets the number of items in the set.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        FixedSizeSet2.prototype.forEach = function(callback, thisArg) {
          var _this = this;
          this._items.forEach(function(e) {
            return callback.call(thisArg, e, e, _this);
          });
        };
        FixedSizeSet2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(FixedSizeSet2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the set.
           */
          get: function() {
            return "FixedSizeSet";
          },
          enumerable: true,
          configurable: true
        });
        return FixedSizeSet2;
      }()
    );
    exports2.FixedSizeSet = FixedSizeSet;
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/ObjectCache.js
var require_ObjectCache = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/ObjectCache.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectCache = (
      /** @class */
      function() {
        function ObjectCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        ObjectCache2.prototype.get = function(key) {
          return this._items.get(key);
        };
        ObjectCache2.prototype.set = function(key, value) {
          this._items.set(key, value);
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
        };
        ObjectCache2.prototype.delete = function(key) {
          return this._items.delete(key);
        };
        ObjectCache2.prototype.has = function(key) {
          return this._items.has(key);
        };
        ObjectCache2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(ObjectCache2.prototype, "size", {
          /**
           * Gets the number of items in the cache.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        ObjectCache2.prototype.forEach = function(callback, thisArg) {
          this._items.forEach(function(v, k) {
            return callback.call(thisArg, k, v);
          });
        };
        ObjectCache2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(ObjectCache2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the cache.
           */
          get: function() {
            return "ObjectCache";
          },
          enumerable: true,
          configurable: true
        });
        return ObjectCache2;
      }()
    );
    exports2.ObjectCache = ObjectCache;
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/CompareCache.js
var require_CompareCache = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/CompareCache.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CompareCache = (
      /** @class */
      function() {
        function CompareCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        CompareCache2.prototype.check = function(objA, objB) {
          if (this._items.get(objA) === objB)
            return true;
          else if (this._items.get(objB) === objA)
            return false;
          var result = Math.random() < 0.5;
          if (result) {
            this._items.set(objA, objB);
          } else {
            this._items.set(objB, objA);
          }
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return result;
        };
        return CompareCache2;
      }()
    );
    exports2.CompareCache = CompareCache;
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/Lazy.js
var require_Lazy = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/Lazy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Lazy = (
      /** @class */
      function() {
        function Lazy2(initFunc) {
          this._initialized = false;
          this._value = void 0;
          this._initFunc = initFunc;
        }
        Object.defineProperty(Lazy2.prototype, "value", {
          /**
           * Gets the value of the object.
           */
          get: function() {
            if (!this._initialized) {
              this._value = this._initFunc();
              this._initialized = true;
            }
            return this._value;
          },
          enumerable: true,
          configurable: true
        });
        return Lazy2;
      }()
    );
    exports2.Lazy = Lazy;
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/StringWalker.js
var require_StringWalker = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/StringWalker.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var StringWalker = (
      /** @class */
      function() {
        function StringWalker2(input) {
          this._pointer = 0;
          this._chars = Array.from(input);
          this._length = this._chars.length;
        }
        Object.defineProperty(StringWalker2.prototype, "eof", {
          /**
           * Determines if the current position is beyond the end of string.
           */
          get: function() {
            return this._pointer >= this._length;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(StringWalker2.prototype, "length", {
          /**
           * Returns the number of code points in the input string.
           */
          get: function() {
            return this._length;
          },
          enumerable: true,
          configurable: true
        });
        StringWalker2.prototype.codePoint = function() {
          if (this._codePoint === void 0) {
            if (this.eof) {
              this._codePoint = -1;
            } else {
              var cp = this._chars[this._pointer].codePointAt(0);
              if (cp !== void 0) {
                this._codePoint = cp;
              } else {
                this._codePoint = -1;
              }
            }
          }
          return this._codePoint;
        };
        StringWalker2.prototype.c = function() {
          if (this._c === void 0) {
            this._c = this.eof ? "" : this._chars[this._pointer];
          }
          return this._c;
        };
        StringWalker2.prototype.remaining = function() {
          if (this._remaining === void 0) {
            this._remaining = this.eof ? "" : this._chars.slice(this._pointer + 1).join("");
          }
          return this._remaining;
        };
        StringWalker2.prototype.substring = function() {
          if (this._substring === void 0) {
            this._substring = this.eof ? "" : this._chars.slice(this._pointer).join("");
          }
          return this._substring;
        };
        Object.defineProperty(StringWalker2.prototype, "pointer", {
          /**
           * Gets or sets the current position.
           */
          get: function() {
            return this._pointer;
          },
          set: function(val) {
            if (val === this._pointer)
              return;
            this._pointer = val;
            this._codePoint = void 0;
            this._c = void 0;
            this._remaining = void 0;
            this._substring = void 0;
          },
          enumerable: true,
          configurable: true
        });
        return StringWalker2;
      }()
    );
    exports2.StringWalker = StringWalker;
  }
});

// ../../components/environments/node_modules/@oozcitak/util/lib/index.js
var require_lib = __commonJS({
  "../../components/environments/node_modules/@oozcitak/util/lib/index.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet_1 = require_FixedSizeSet();
    exports2.FixedSizeSet = FixedSizeSet_1.FixedSizeSet;
    var ObjectCache_1 = require_ObjectCache();
    exports2.ObjectCache = ObjectCache_1.ObjectCache;
    var CompareCache_1 = require_CompareCache();
    exports2.CompareCache = CompareCache_1.CompareCache;
    var Lazy_1 = require_Lazy();
    exports2.Lazy = Lazy_1.Lazy;
    var StringWalker_1 = require_StringWalker();
    exports2.StringWalker = StringWalker_1.StringWalker;
    function applyMixin(baseClass, mixinClass) {
      var overrides = [];
      for (var _i = 2; _i < arguments.length; _i++) {
        overrides[_i - 2] = arguments[_i];
      }
      Object.getOwnPropertyNames(mixinClass.prototype).forEach(function(name) {
        if (name !== "constructor") {
          if (overrides.indexOf(name) !== -1) {
            var orgPropDesc = Object.getOwnPropertyDescriptor(baseClass.prototype, name);
            if (orgPropDesc) {
              Object.defineProperty(baseClass.prototype, "_" + name, orgPropDesc);
            }
          }
          var propDesc = Object.getOwnPropertyDescriptor(mixinClass.prototype, name);
          if (propDesc) {
            Object.defineProperty(baseClass.prototype, name, propDesc);
          }
        }
      });
    }
    exports2.applyMixin = applyMixin;
    function applyDefaults(obj, defaults, overwrite) {
      if (overwrite === void 0) {
        overwrite = false;
      }
      var result = clone(obj || {});
      forEachObject(defaults, function(key, val) {
        if (isPlainObject(val)) {
          result[key] = applyDefaults(result[key], val, overwrite);
        } else if (overwrite || result[key] === void 0) {
          result[key] = val;
        }
      });
      return result;
    }
    exports2.applyDefaults = applyDefaults;
    function forEachArray(arr, callback, thisArg) {
      arr.forEach(callback, thisArg);
    }
    exports2.forEachArray = forEachArray;
    function forEachObject(obj, callback, thisArg) {
      if (isMap(obj)) {
        obj.forEach(function(value, key2) {
          return callback.call(thisArg, key2, value);
        });
      } else {
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            callback.call(thisArg, key, obj[key]);
          }
        }
      }
    }
    exports2.forEachObject = forEachObject;
    function arrayLength(obj) {
      if (isSet(obj)) {
        return obj.size;
      } else {
        return obj.length;
      }
    }
    exports2.arrayLength = arrayLength;
    function objectLength(obj) {
      if (isMap(obj)) {
        return obj.size;
      } else {
        return Object.keys(obj).length;
      }
    }
    exports2.objectLength = objectLength;
    function getObjectValue(obj, key) {
      if (isMap(obj)) {
        return obj.get(key);
      } else {
        return obj[key];
      }
    }
    exports2.getObjectValue = getObjectValue;
    function removeObjectValue(obj, key) {
      if (isMap(obj)) {
        obj.delete(key);
      } else {
        delete obj[key];
      }
    }
    exports2.removeObjectValue = removeObjectValue;
    function clone(obj) {
      var e_1, _a;
      if (isFunction(obj)) {
        return obj;
      } else if (isArray(obj)) {
        var result = [];
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
            var item = obj_1_1.value;
            result.push(clone(item));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (isObject(obj)) {
        var result = {};
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            var val = obj[key];
            result[key] = clone(val);
          }
        }
        return result;
      } else {
        return obj;
      }
    }
    exports2.clone = clone;
    function isBoolean(x) {
      return typeof x === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNumber(x) {
      return typeof x === "number";
    }
    exports2.isNumber = isNumber;
    function isString(x) {
      return typeof x === "string";
    }
    exports2.isString = isString;
    function isFunction(x) {
      return !!x && Object.prototype.toString.call(x) === "[object Function]";
    }
    exports2.isFunction = isFunction;
    function isObject(x) {
      var type = typeof x;
      return !!x && (type === "function" || type === "object");
    }
    exports2.isObject = isObject;
    function isArray(x) {
      return Array.isArray(x);
    }
    exports2.isArray = isArray;
    function isSet(x) {
      return x instanceof Set;
    }
    exports2.isSet = isSet;
    function isMap(x) {
      return x instanceof Map;
    }
    exports2.isMap = isMap;
    function isEmpty(x) {
      if (isArray(x)) {
        return !x.length;
      } else if (isSet(x)) {
        return !x.size;
      } else if (isMap(x)) {
        return !x.size;
      } else if (isObject(x)) {
        for (var key in x) {
          if (x.hasOwnProperty(key)) {
            return false;
          }
        }
        return true;
      }
      return false;
    }
    exports2.isEmpty = isEmpty;
    function isPlainObject(x) {
      if (isObject(x)) {
        var proto = Object.getPrototypeOf(x);
        var ctor = proto.constructor;
        return proto && ctor && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
      }
      return false;
    }
    exports2.isPlainObject = isPlainObject;
    function isIterable(x) {
      return x && typeof x[Symbol.iterator] === "function";
    }
    exports2.isIterable = isIterable;
    function getValue(obj) {
      if (isFunction(obj.valueOf)) {
        return obj.valueOf();
      } else {
        return obj;
      }
    }
    exports2.getValue = getValue;
    function utf8Encode(input) {
      var bytes = new Uint8Array(input.length * 4);
      var byteIndex = 0;
      for (var i = 0; i < input.length; i++) {
        var char = input.charCodeAt(i);
        if (char < 128) {
          bytes[byteIndex++] = char;
          continue;
        } else if (char < 2048) {
          bytes[byteIndex++] = char >> 6 | 192;
        } else {
          if (char > 55295 && char < 56320) {
            if (++i >= input.length) {
              throw new Error("Incomplete surrogate pair.");
            }
            var c2 = input.charCodeAt(i);
            if (c2 < 56320 || c2 > 57343) {
              throw new Error("Invalid surrogate character.");
            }
            char = 65536 + ((char & 1023) << 10) + (c2 & 1023);
            bytes[byteIndex++] = char >> 18 | 240;
            bytes[byteIndex++] = char >> 12 & 63 | 128;
          } else {
            bytes[byteIndex++] = char >> 12 | 224;
          }
          bytes[byteIndex++] = char >> 6 & 63 | 128;
        }
        bytes[byteIndex++] = char & 63 | 128;
      }
      return bytes.subarray(0, byteIndex);
    }
    exports2.utf8Encode = utf8Encode;
    function utf8Decode(bytes) {
      var result = "";
      var i = 0;
      while (i < bytes.length) {
        var c = bytes[i++];
        if (c > 127) {
          if (c > 191 && c < 224) {
            if (i >= bytes.length) {
              throw new Error("Incomplete 2-byte sequence.");
            }
            c = (c & 31) << 6 | bytes[i++] & 63;
          } else if (c > 223 && c < 240) {
            if (i + 1 >= bytes.length) {
              throw new Error("Incomplete 3-byte sequence.");
            }
            c = (c & 15) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else if (c > 239 && c < 248) {
            if (i + 2 >= bytes.length) {
              throw new Error("Incomplete 4-byte sequence.");
            }
            c = (c & 7) << 18 | (bytes[i++] & 63) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else {
            throw new Error("Unknown multi-byte start.");
          }
        }
        if (c <= 65535) {
          result += String.fromCharCode(c);
        } else if (c <= 1114111) {
          c -= 65536;
          result += String.fromCharCode(c >> 10 | 55296);
          result += String.fromCharCode(c & 1023 | 56320);
        } else {
          throw new Error("Code point exceeds UTF-16 limit.");
        }
      }
      return result;
    }
    exports2.utf8Decode = utf8Decode;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/interfaces.js
var require_interfaces2 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BoundaryPosition;
    (function(BoundaryPosition2) {
      BoundaryPosition2[BoundaryPosition2["Before"] = 0] = "Before";
      BoundaryPosition2[BoundaryPosition2["Equal"] = 1] = "Equal";
      BoundaryPosition2[BoundaryPosition2["After"] = 2] = "After";
    })(BoundaryPosition = exports2.BoundaryPosition || (exports2.BoundaryPosition = {}));
    var EventPhase;
    (function(EventPhase2) {
      EventPhase2[EventPhase2["None"] = 0] = "None";
      EventPhase2[EventPhase2["Capturing"] = 1] = "Capturing";
      EventPhase2[EventPhase2["AtTarget"] = 2] = "AtTarget";
      EventPhase2[EventPhase2["Bubbling"] = 3] = "Bubbling";
    })(EventPhase = exports2.EventPhase || (exports2.EventPhase = {}));
    var NodeType;
    (function(NodeType2) {
      NodeType2[NodeType2["Element"] = 1] = "Element";
      NodeType2[NodeType2["Attribute"] = 2] = "Attribute";
      NodeType2[NodeType2["Text"] = 3] = "Text";
      NodeType2[NodeType2["CData"] = 4] = "CData";
      NodeType2[NodeType2["EntityReference"] = 5] = "EntityReference";
      NodeType2[NodeType2["Entity"] = 6] = "Entity";
      NodeType2[NodeType2["ProcessingInstruction"] = 7] = "ProcessingInstruction";
      NodeType2[NodeType2["Comment"] = 8] = "Comment";
      NodeType2[NodeType2["Document"] = 9] = "Document";
      NodeType2[NodeType2["DocumentType"] = 10] = "DocumentType";
      NodeType2[NodeType2["DocumentFragment"] = 11] = "DocumentFragment";
      NodeType2[NodeType2["Notation"] = 12] = "Notation";
    })(NodeType = exports2.NodeType || (exports2.NodeType = {}));
    var Position;
    (function(Position2) {
      Position2[Position2["Disconnected"] = 1] = "Disconnected";
      Position2[Position2["Preceding"] = 2] = "Preceding";
      Position2[Position2["Following"] = 4] = "Following";
      Position2[Position2["Contains"] = 8] = "Contains";
      Position2[Position2["ContainedBy"] = 16] = "ContainedBy";
      Position2[Position2["ImplementationSpecific"] = 32] = "ImplementationSpecific";
    })(Position = exports2.Position || (exports2.Position = {}));
    var FilterResult;
    (function(FilterResult2) {
      FilterResult2[FilterResult2["Accept"] = 1] = "Accept";
      FilterResult2[FilterResult2["Reject"] = 2] = "Reject";
      FilterResult2[FilterResult2["Skip"] = 3] = "Skip";
    })(FilterResult = exports2.FilterResult || (exports2.FilterResult = {}));
    var WhatToShow;
    (function(WhatToShow2) {
      WhatToShow2[WhatToShow2["All"] = 4294967295] = "All";
      WhatToShow2[WhatToShow2["Element"] = 1] = "Element";
      WhatToShow2[WhatToShow2["Attribute"] = 2] = "Attribute";
      WhatToShow2[WhatToShow2["Text"] = 4] = "Text";
      WhatToShow2[WhatToShow2["CDataSection"] = 8] = "CDataSection";
      WhatToShow2[WhatToShow2["EntityReference"] = 16] = "EntityReference";
      WhatToShow2[WhatToShow2["Entity"] = 32] = "Entity";
      WhatToShow2[WhatToShow2["ProcessingInstruction"] = 64] = "ProcessingInstruction";
      WhatToShow2[WhatToShow2["Comment"] = 128] = "Comment";
      WhatToShow2[WhatToShow2["Document"] = 256] = "Document";
      WhatToShow2[WhatToShow2["DocumentType"] = 512] = "DocumentType";
      WhatToShow2[WhatToShow2["DocumentFragment"] = 1024] = "DocumentFragment";
      WhatToShow2[WhatToShow2["Notation"] = 2048] = "Notation";
    })(WhatToShow = exports2.WhatToShow || (exports2.WhatToShow = {}));
    var HowToCompare;
    (function(HowToCompare2) {
      HowToCompare2[HowToCompare2["StartToStart"] = 0] = "StartToStart";
      HowToCompare2[HowToCompare2["StartToEnd"] = 1] = "StartToEnd";
      HowToCompare2[HowToCompare2["EndToEnd"] = 2] = "EndToEnd";
      HowToCompare2[HowToCompare2["EndToStart"] = 3] = "EndToStart";
    })(HowToCompare = exports2.HowToCompare || (exports2.HowToCompare = {}));
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js
var require_LocalNameSet = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var LocalNameSet = (
      /** @class */
      function() {
        function LocalNameSet2() {
          this._items = {};
          this._nullItems = {};
        }
        LocalNameSet2.prototype.set = function(ns, localName) {
          if (ns === null) {
            this._nullItems[localName] = true;
          } else if (this._items[ns]) {
            this._items[ns][localName] = true;
          } else {
            this._items[ns] = {};
            this._items[ns][localName] = true;
          }
        };
        LocalNameSet2.prototype.has = function(ns, localName) {
          if (ns === null) {
            return this._nullItems[localName] === true;
          } else if (this._items[ns]) {
            return this._items[ns][localName] === true;
          } else {
            return false;
          }
        };
        return LocalNameSet2;
      }()
    );
    exports2.LocalNameSet = LocalNameSet;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js
var require_NamespacePrefixMap = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NamespacePrefixMap = (
      /** @class */
      function() {
        function NamespacePrefixMap2() {
          this._items = {};
          this._nullItems = [];
        }
        NamespacePrefixMap2.prototype.copy = function() {
          var mapCopy = new NamespacePrefixMap2();
          for (var key in this._items) {
            mapCopy._items[key] = this._items[key].slice(0);
          }
          mapCopy._nullItems = this._nullItems.slice(0);
          return mapCopy;
        };
        NamespacePrefixMap2.prototype.get = function(preferredPrefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return null;
          }
          var prefix = null;
          for (var i = 0; i < candidatesList.length; i++) {
            prefix = candidatesList[i];
            if (prefix === preferredPrefix) {
              return prefix;
            }
          }
          return prefix;
        };
        NamespacePrefixMap2.prototype.has = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return false;
          }
          return candidatesList.indexOf(prefix) !== -1;
        };
        NamespacePrefixMap2.prototype.hasPrefix = function(prefix) {
          if (this._nullItems.indexOf(prefix) !== -1)
            return true;
          for (var key in this._items) {
            if (this._items[key].indexOf(prefix) !== -1)
              return true;
          }
          return false;
        };
        NamespacePrefixMap2.prototype.set = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (ns !== null && candidatesList === null) {
            this._items[ns] = [prefix];
          } else {
            candidatesList.push(prefix);
          }
        };
        return NamespacePrefixMap2;
      }()
    );
    exports2.NamespacePrefixMap = NamespacePrefixMap;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/CodePoints.js
var require_CodePoints = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/CodePoints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Surrogate = /[\uD800-\uDFFF]/;
    exports2.ScalarValue = /[\uD800-\uDFFF]/;
    exports2.NonCharacter = /[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/;
    exports2.ASCIICodePoint = /[\u0000-\u007F]/;
    exports2.ASCIITabOrNewLine = /[\t\n\r]/;
    exports2.ASCIIWhiteSpace = /[\t\n\f\r ]/;
    exports2.C0Control = /[\u0000-\u001F]/;
    exports2.C0ControlOrSpace = /[\u0000-\u001F ]/;
    exports2.Control = /[\u0000-\u001F\u007F-\u009F]/;
    exports2.ASCIIDigit = /[0-9]/;
    exports2.ASCIIUpperHexDigit = /[0-9A-F]/;
    exports2.ASCIILowerHexDigit = /[0-9a-f]/;
    exports2.ASCIIHexDigit = /[0-9A-Fa-f]/;
    exports2.ASCIIUpperAlpha = /[A-Z]/;
    exports2.ASCIILowerAlpha = /[a-z]/;
    exports2.ASCIIAlpha = /[A-Za-z]/;
    exports2.ASCIIAlphanumeric = /[0-9A-Za-z]/;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Base64.js
var require_Base64 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Base64.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints();
    function forgivingBase64Encode(input) {
      return Buffer.from(input).toString("base64");
    }
    exports2.forgivingBase64Encode = forgivingBase64Encode;
    function forgivingBase64Decode(input) {
      if (input === "")
        return "";
      input = input.replace(CodePoints_1.ASCIIWhiteSpace, "");
      if (input.length % 4 === 0) {
        if (input.endsWith("==")) {
          input = input.substr(0, input.length - 2);
        } else if (input.endsWith("=")) {
          input = input.substr(0, input.length - 1);
        }
      }
      if (input.length % 4 === 1)
        return null;
      if (!/[0-9A-Za-z+/]/.test(input))
        return null;
      return Buffer.from(input, "base64").toString("utf8");
    }
    exports2.forgivingBase64Decode = forgivingBase64Decode;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Byte.js
var require_Byte = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Byte.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function isASCIIByte(byte) {
      return byte >= 0 && byte <= 127;
    }
    exports2.isASCIIByte = isASCIIByte;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/ByteSequence.js
var require_ByteSequence = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/ByteSequence.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    function length(list) {
      return list.length;
    }
    exports2.length = length;
    function byteLowercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 65 && c <= 90) {
          list[i] = c + 32;
        }
      }
    }
    exports2.byteLowercase = byteLowercase;
    function byteUppercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 97 && c <= 122) {
          list[i] = c - 32;
        }
      }
    }
    exports2.byteUppercase = byteUppercase;
    function byteCaseInsensitiveMatch(listA, listB) {
      if (listA.length !== listB.length)
        return false;
      for (var i = 0; i < listA.length; i++) {
        var a = listA[i];
        var b = listB[i];
        if (a >= 65 && a <= 90)
          a += 32;
        if (b >= 65 && b <= 90)
          b += 32;
        if (a !== b)
          return false;
      }
      return true;
    }
    exports2.byteCaseInsensitiveMatch = byteCaseInsensitiveMatch;
    function startsWith(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        if (listA[i] !== listB[i])
          return false;
        i++;
      }
    }
    exports2.startsWith = startsWith;
    function byteLessThan(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        var a = listA[i];
        var b = listB[i];
        if (a < b)
          return true;
        else if (a > b)
          return false;
        i++;
      }
    }
    exports2.byteLessThan = byteLessThan;
    function isomorphicDecode(list) {
      return String.fromCodePoint.apply(String, __spread(list));
    }
    exports2.isomorphicDecode = isomorphicDecode;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/JSON.js
var require_JSON = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/JSON.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    function parseJSONFromBytes(bytes) {
      var jsonText = util_1.utf8Decode(bytes);
      return JSON.parse.call(void 0, jsonText);
    }
    exports2.parseJSONFromBytes = parseJSONFromBytes;
    function serializeJSONToBytes(value) {
      var jsonString = JSON.stringify.call(void 0, value);
      return util_1.utf8Encode(jsonString);
    }
    exports2.serializeJSONToBytes = serializeJSONToBytes;
    function parseJSONIntoInfraValues(jsonText) {
      var jsValue = JSON.parse.call(void 0, jsonText);
      return convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue);
    }
    exports2.parseJSONIntoInfraValues = parseJSONIntoInfraValues;
    function convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue) {
      var e_1, _a;
      if (jsValue === null || util_1.isString(jsValue) || util_1.isNumber(jsValue))
        return jsValue;
      if (util_1.isArray(jsValue)) {
        var result = new Array();
        try {
          for (var jsValue_1 = __values(jsValue), jsValue_1_1 = jsValue_1.next(); !jsValue_1_1.done; jsValue_1_1 = jsValue_1.next()) {
            var jsValueAtIndex = jsValue_1_1.value;
            result.push(convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtIndex));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (jsValue_1_1 && !jsValue_1_1.done && (_a = jsValue_1.return))
              _a.call(jsValue_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (util_1.isObject(jsValue)) {
        var result = /* @__PURE__ */ new Map();
        for (var key in jsValue) {
          if (jsValue.hasOwnProperty(key)) {
            var jsValueAtKey = jsValue[key];
            result.set(key, convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtKey));
          }
        }
        return result;
      }
      return jsValue;
    }
    exports2.convertAJSONDerivedJavaScriptValueToAnInfraValue = convertAJSONDerivedJavaScriptValueToAnInfraValue;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/List.js
var require_List = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/List.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    function append(list, item) {
      list.push(item);
    }
    exports2.append = append;
    function extend(listA, listB) {
      listA.push.apply(listA, __spread(listB));
    }
    exports2.extend = extend;
    function prepend(list, item) {
      list.unshift(item);
    }
    exports2.prepend = prepend;
    function replace(list, conditionOrItem, newItem) {
      var e_1, _a;
      var i = 0;
      try {
        for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
          var oldItem = list_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              list[i] = newItem;
            }
          } else if (oldItem === conditionOrItem) {
            list[i] = newItem;
            return;
          }
          i++;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (list_1_1 && !list_1_1.done && (_a = list_1.return))
            _a.call(list_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.replace = replace;
    function insert(list, item, index) {
      list.splice(index, 0, item);
    }
    exports2.insert = insert;
    function remove(list, conditionOrItem) {
      var i = list.length;
      while (i--) {
        var oldItem = list[i];
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            list.splice(i, 1);
          }
        } else if (oldItem === conditionOrItem) {
          list.splice(i, 1);
          return;
        }
      }
    }
    exports2.remove = remove;
    function empty(list) {
      list.length = 0;
    }
    exports2.empty = empty;
    function contains(list, conditionOrItem) {
      var e_2, _a;
      try {
        for (var list_2 = __values(list), list_2_1 = list_2.next(); !list_2_1.done; list_2_1 = list_2.next()) {
          var oldItem = list_2_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          } else if (oldItem === conditionOrItem) {
            return true;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (list_2_1 && !list_2_1.done && (_a = list_2.return))
            _a.call(list_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(list, condition) {
      var e_3, _a;
      if (condition === void 0) {
        return list.length;
      } else {
        var count = 0;
        try {
          for (var list_3 = __values(list), list_3_1 = list_3.next(); !list_3_1.done; list_3_1 = list_3.next()) {
            var item = list_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (list_3_1 && !list_3_1.done && (_a = list_3.return))
              _a.call(list_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(list) {
      return list.length === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(list, condition) {
      var list_4, list_4_1, item, e_4_1;
      var e_4, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(list)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            list_4 = __values(list), list_4_1 = list_4.next();
            _b.label = 3;
          case 3:
            if (!!list_4_1.done)
              return [3, 6];
            item = list_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            list_4_1 = list_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_4_1 = _b.sent();
            e_4 = { error: e_4_1 };
            return [3, 9];
          case 8:
            try {
              if (list_4_1 && !list_4_1.done && (_a = list_4.return))
                _a.call(list_4);
            } finally {
              if (e_4)
                throw e_4.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(list) {
      return new (Array.bind.apply(Array, __spread([void 0], list)))();
    }
    exports2.clone = clone;
    function sortInAscendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Map.js
var require_Map = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Map.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    function get(map, key) {
      return map.get(key);
    }
    exports2.get = get;
    function set(map, key, val) {
      map.set(key, val);
    }
    exports2.set = set;
    function remove(map, conditionOrItem) {
      var e_1, _a, e_2, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        map.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var map_1 = __values(map), map_1_1 = map_1.next(); !map_1_1.done; map_1_1 = map_1.next()) {
            var item = map_1_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item[0]);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (map_1_1 && !map_1_1.done && (_a = map_1.return))
              _a.call(map_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var key = toRemove_1_1.value;
            map.delete(key);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function contains(map, conditionOrItem) {
      var e_3, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return map.has(conditionOrItem);
      } else {
        try {
          for (var map_2 = __values(map), map_2_1 = map_2.next(); !map_2_1.done; map_2_1 = map_2.next()) {
            var item = map_2_1.value;
            if (!!conditionOrItem.call(null, item)) {
              return true;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (map_2_1 && !map_2_1.done && (_a = map_2.return))
              _a.call(map_2);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return false;
      }
    }
    exports2.contains = contains;
    function keys(map) {
      return new Set(map.keys());
    }
    exports2.keys = keys;
    function values(map) {
      return __spread(map.values());
    }
    exports2.values = values;
    function size(map, condition) {
      var e_4, _a;
      if (condition === void 0) {
        return map.size;
      } else {
        var count = 0;
        try {
          for (var map_3 = __values(map), map_3_1 = map_3.next(); !map_3_1.done; map_3_1 = map_3.next()) {
            var item = map_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (map_3_1 && !map_3_1.done && (_a = map_3.return))
              _a.call(map_3);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(map) {
      return map.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(map, condition) {
      var map_4, map_4_1, item, e_5_1;
      var e_5, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(map)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            map_4 = __values(map), map_4_1 = map_4.next();
            _b.label = 3;
          case 3:
            if (!!map_4_1.done)
              return [3, 6];
            item = map_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            map_4_1 = map_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_5_1 = _b.sent();
            e_5 = { error: e_5_1 };
            return [3, 9];
          case 8:
            try {
              if (map_4_1 && !map_4_1.done && (_a = map_4.return))
                _a.call(map_4);
            } finally {
              if (e_5)
                throw e_5.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(map) {
      return new Map(map);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Map(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Map(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Namespace.js
var require_Namespace = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Namespace.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HTML = "http://www.w3.org/1999/xhtml";
    exports2.XML = "http://www.w3.org/XML/1998/namespace";
    exports2.XMLNS = "http://www.w3.org/2000/xmlns/";
    exports2.MathML = "http://www.w3.org/1998/Math/MathML";
    exports2.SVG = "http://www.w3.org/2000/svg";
    exports2.XLink = "http://www.w3.org/1999/xlink";
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Queue.js
var require_Queue = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Queue.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function enqueue(list, item) {
      list.push(item);
    }
    exports2.enqueue = enqueue;
    function dequeue(list) {
      return list.shift() || null;
    }
    exports2.dequeue = dequeue;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Set.js
var require_Set = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Set.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    function append(set, item) {
      set.add(item);
    }
    exports2.append = append;
    function extend(setA, setB) {
      setB.forEach(setA.add, setA);
    }
    exports2.extend = extend;
    function prepend(set, item) {
      var cloned = new Set(set);
      set.clear();
      set.add(item);
      cloned.forEach(set.add, set);
    }
    exports2.prepend = prepend;
    function replace(set, conditionOrItem, newItem) {
      var e_1, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var set_1 = __values(set), set_1_1 = set_1.next(); !set_1_1.done; set_1_1 = set_1.next()) {
          var oldItem = set_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              newSet.add(newItem);
            } else {
              newSet.add(oldItem);
            }
          } else if (oldItem === conditionOrItem) {
            newSet.add(newItem);
          } else {
            newSet.add(oldItem);
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set_1_1 && !set_1_1.done && (_a = set_1.return))
            _a.call(set_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.replace = replace;
    function insert(set, item, index) {
      var e_2, _a;
      var newSet = /* @__PURE__ */ new Set();
      var i = 0;
      try {
        for (var set_2 = __values(set), set_2_1 = set_2.next(); !set_2_1.done; set_2_1 = set_2.next()) {
          var oldItem = set_2_1.value;
          if (i === index)
            newSet.add(item);
          newSet.add(oldItem);
          i++;
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (set_2_1 && !set_2_1.done && (_a = set_2.return))
            _a.call(set_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.insert = insert;
    function remove(set, conditionOrItem) {
      var e_3, _a, e_4, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        set.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var set_3 = __values(set), set_3_1 = set_3.next(); !set_3_1.done; set_3_1 = set_3.next()) {
            var item = set_3_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (set_3_1 && !set_3_1.done && (_a = set_3.return))
              _a.call(set_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var oldItem = toRemove_1_1.value;
            set.delete(oldItem);
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function empty(set) {
      set.clear();
    }
    exports2.empty = empty;
    function contains(set, conditionOrItem) {
      var e_5, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return set.has(conditionOrItem);
      } else {
        try {
          for (var set_4 = __values(set), set_4_1 = set_4.next(); !set_4_1.done; set_4_1 = set_4.next()) {
            var oldItem = set_4_1.value;
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          }
        } catch (e_5_1) {
          e_5 = { error: e_5_1 };
        } finally {
          try {
            if (set_4_1 && !set_4_1.done && (_a = set_4.return))
              _a.call(set_4);
          } finally {
            if (e_5)
              throw e_5.error;
          }
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(set, condition) {
      var e_6, _a;
      if (condition === void 0) {
        return set.size;
      } else {
        var count = 0;
        try {
          for (var set_5 = __values(set), set_5_1 = set_5.next(); !set_5_1.done; set_5_1 = set_5.next()) {
            var item = set_5_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_6_1) {
          e_6 = { error: e_6_1 };
        } finally {
          try {
            if (set_5_1 && !set_5_1.done && (_a = set_5.return))
              _a.call(set_5);
          } finally {
            if (e_6)
              throw e_6.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(set) {
      return set.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(set, condition) {
      var set_6, set_6_1, item, e_7_1;
      var e_7, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(set)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            set_6 = __values(set), set_6_1 = set_6.next();
            _b.label = 3;
          case 3:
            if (!!set_6_1.done)
              return [3, 6];
            item = set_6_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            set_6_1 = set_6.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_7_1 = _b.sent();
            e_7 = { error: e_7_1 };
            return [3, 9];
          case 8:
            try {
              if (set_6_1 && !set_6_1.done && (_a = set_6.return))
                _a.call(set_6);
            } finally {
              if (e_7)
                throw e_7.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(set) {
      return new Set(set);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Set(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Set(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
    function isSubsetOf(subset, superset) {
      var e_8, _a;
      try {
        for (var subset_1 = __values(subset), subset_1_1 = subset_1.next(); !subset_1_1.done; subset_1_1 = subset_1.next()) {
          var item = subset_1_1.value;
          if (!superset.has(item))
            return false;
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (subset_1_1 && !subset_1_1.done && (_a = subset_1.return))
            _a.call(subset_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return true;
    }
    exports2.isSubsetOf = isSubsetOf;
    function isSupersetOf(superset, subset) {
      return isSubsetOf(subset, superset);
    }
    exports2.isSupersetOf = isSupersetOf;
    function intersection(setA, setB) {
      var e_9, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var setA_1 = __values(setA), setA_1_1 = setA_1.next(); !setA_1_1.done; setA_1_1 = setA_1.next()) {
          var item = setA_1_1.value;
          if (setB.has(item))
            newSet.add(item);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (setA_1_1 && !setA_1_1.done && (_a = setA_1.return))
            _a.call(setA_1);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return newSet;
    }
    exports2.intersection = intersection;
    function union(setA, setB) {
      var newSet = new Set(setA);
      setB.forEach(newSet.add, newSet);
      return newSet;
    }
    exports2.union = union;
    function range(n, m) {
      var newSet = /* @__PURE__ */ new Set();
      for (var i = n; i <= m; i++) {
        newSet.add(i);
      }
      return newSet;
    }
    exports2.range = range;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/Stack.js
var require_Stack = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/Stack.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function push(list, item) {
      list.push(item);
    }
    exports2.push = push;
    function pop(list) {
      return list.pop() || null;
    }
    exports2.pop = pop;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/String.js
var require_String = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/String.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints();
    var ByteSequence_1 = require_ByteSequence();
    var Byte_1 = require_Byte();
    var util_1 = require_lib();
    function isCodeUnitPrefix(a, b) {
      var i = 0;
      while (true) {
        var aCodeUnit = i < a.length ? a.charCodeAt(i) : null;
        var bCodeUnit = i < b.length ? b.charCodeAt(i) : null;
        if (aCodeUnit === null)
          return true;
        if (aCodeUnit !== bCodeUnit)
          return false;
        i++;
      }
    }
    exports2.isCodeUnitPrefix = isCodeUnitPrefix;
    function isCodeUnitLessThan(a, b) {
      if (isCodeUnitPrefix(b, a))
        return false;
      if (isCodeUnitPrefix(a, b))
        return true;
      for (var i = 0; i < Math.min(a.length, b.length); i++) {
        var aCodeUnit = a.charCodeAt(i);
        var bCodeUnit = b.charCodeAt(i);
        if (aCodeUnit === bCodeUnit)
          continue;
        return aCodeUnit < bCodeUnit;
      }
      return false;
    }
    exports2.isCodeUnitLessThan = isCodeUnitLessThan;
    function isomorphicEncode(str) {
      var e_1, _a;
      var codePoints = Array.from(str);
      var bytes = new Uint8Array(codePoints.length);
      var i = 0;
      try {
        for (var str_1 = __values(str), str_1_1 = str_1.next(); !str_1_1.done; str_1_1 = str_1.next()) {
          var codePoint = str_1_1.value;
          var byte = codePoint.codePointAt(0);
          console.assert(byte !== void 0 && byte <= 255, "isomorphicEncode requires string bytes to be less than or equal to 0x00FF.");
          if (byte !== void 0 && byte <= 255) {
            bytes[i++] = byte;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (str_1_1 && !str_1_1.done && (_a = str_1.return))
            _a.call(str_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return bytes;
    }
    exports2.isomorphicEncode = isomorphicEncode;
    function isASCIIString(str) {
      return /^[\u0000-\u007F]*$/.test(str);
    }
    exports2.isASCIIString = isASCIIString;
    function asciiLowercase(str) {
      var e_2, _a;
      var result = "";
      try {
        for (var str_2 = __values(str), str_2_1 = str_2.next(); !str_2_1.done; str_2_1 = str_2.next()) {
          var c = str_2_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 65 && code <= 90) {
            result += String.fromCodePoint(code + 32);
          } else {
            result += c;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (str_2_1 && !str_2_1.done && (_a = str_2.return))
            _a.call(str_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return result;
    }
    exports2.asciiLowercase = asciiLowercase;
    function asciiUppercase(str) {
      var e_3, _a;
      var result = "";
      try {
        for (var str_3 = __values(str), str_3_1 = str_3.next(); !str_3_1.done; str_3_1 = str_3.next()) {
          var c = str_3_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 97 && code <= 122) {
            result += String.fromCodePoint(code - 32);
          } else {
            result += c;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (str_3_1 && !str_3_1.done && (_a = str_3.return))
            _a.call(str_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.asciiUppercase = asciiUppercase;
    function asciiCaseInsensitiveMatch(a, b) {
      return asciiLowercase(a) === asciiLowercase(b);
    }
    exports2.asciiCaseInsensitiveMatch = asciiCaseInsensitiveMatch;
    function asciiEncode(str) {
      console.assert(isASCIIString(str), "asciiEncode requires an ASCII string.");
      return isomorphicEncode(str);
    }
    exports2.asciiEncode = asciiEncode;
    function asciiDecode(bytes) {
      var e_4, _a;
      try {
        for (var bytes_1 = __values(bytes), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
          var byte = bytes_1_1.value;
          console.assert(Byte_1.isASCIIByte(byte), "asciiDecode requires an ASCII byte sequence.");
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (bytes_1_1 && !bytes_1_1.done && (_a = bytes_1.return))
            _a.call(bytes_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return ByteSequence_1.isomorphicDecode(bytes);
    }
    exports2.asciiDecode = asciiDecode;
    function stripNewlines(str) {
      return str.replace(/[\n\r]/g, "");
    }
    exports2.stripNewlines = stripNewlines;
    function normalizeNewlines(str) {
      return str.replace(/\r\n/g, "\n").replace(/\r/g, "\n");
    }
    exports2.normalizeNewlines = normalizeNewlines;
    function stripLeadingAndTrailingASCIIWhitespace(str) {
      return str.replace(/^[\t\n\f\r ]+/, "").replace(/[\t\n\f\r ]+$/, "");
    }
    exports2.stripLeadingAndTrailingASCIIWhitespace = stripLeadingAndTrailingASCIIWhitespace;
    function stripAndCollapseASCIIWhitespace(str) {
      return stripLeadingAndTrailingASCIIWhitespace(str.replace(/[\t\n\f\r ]{2,}/g, " "));
    }
    exports2.stripAndCollapseASCIIWhitespace = stripAndCollapseASCIIWhitespace;
    function collectASequenceOfCodePoints(condition, input, options) {
      if (!util_1.isArray(input))
        return collectASequenceOfCodePoints(condition, Array.from(input), options);
      var result = "";
      while (options.position < input.length && !!condition.call(null, input[options.position])) {
        result += input[options.position];
        options.position++;
      }
      return result;
    }
    exports2.collectASequenceOfCodePoints = collectASequenceOfCodePoints;
    function skipASCIIWhitespace(input, options) {
      collectASequenceOfCodePoints(function(str) {
        return CodePoints_1.ASCIIWhiteSpace.test(str);
      }, input, options);
    }
    exports2.skipASCIIWhitespace = skipASCIIWhitespace;
    function strictlySplit(input, delimiter) {
      if (!util_1.isArray(input))
        return strictlySplit(Array.from(input), delimiter);
      var options = { position: 0 };
      var tokens = [];
      var token = collectASequenceOfCodePoints(function(str) {
        return delimiter !== str;
      }, input, options);
      tokens.push(token);
      while (options.position < input.length) {
        console.assert(input[options.position] === delimiter, "strictlySplit found no delimiter in input string.");
        options.position++;
        token = collectASequenceOfCodePoints(function(str) {
          return delimiter !== str;
        }, input, options);
        tokens.push(token);
      }
      return tokens;
    }
    exports2.strictlySplit = strictlySplit;
    function splitAStringOnASCIIWhitespace(input) {
      if (!util_1.isArray(input))
        return splitAStringOnASCIIWhitespace(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      skipASCIIWhitespace(input, options);
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return !CodePoints_1.ASCIIWhiteSpace.test(str);
        }, input, options);
        tokens.push(token);
        skipASCIIWhitespace(input, options);
      }
      return tokens;
    }
    exports2.splitAStringOnASCIIWhitespace = splitAStringOnASCIIWhitespace;
    function splitAStringOnCommas(input) {
      if (!util_1.isArray(input))
        return splitAStringOnCommas(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return str !== ",";
        }, input, options);
        tokens.push(stripLeadingAndTrailingASCIIWhitespace(token));
        if (options.position < input.length) {
          console.assert(input[options.position] === ",", "splitAStringOnCommas found no delimiter in input string.");
          options.position++;
        }
      }
      return tokens;
    }
    exports2.splitAStringOnCommas = splitAStringOnCommas;
    function concatenate(list, separator) {
      if (separator === void 0) {
        separator = "";
      }
      if (list.length === 0)
        return "";
      return list.join(separator);
    }
    exports2.concatenate = concatenate;
  }
});

// ../../components/environments/node_modules/@oozcitak/infra/lib/index.js
var require_lib2 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/infra/lib/index.js"(exports2) {
    "use strict";
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (Object.hasOwnProperty.call(mod, k))
            result[k] = mod[k];
      }
      result["default"] = mod;
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var base64 = __importStar(require_Base64());
    exports2.base64 = base64;
    var byte = __importStar(require_Byte());
    exports2.byte = byte;
    var byteSequence = __importStar(require_ByteSequence());
    exports2.byteSequence = byteSequence;
    var codePoint = __importStar(require_CodePoints());
    exports2.codePoint = codePoint;
    var json = __importStar(require_JSON());
    exports2.json = json;
    var list = __importStar(require_List());
    exports2.list = list;
    var map = __importStar(require_Map());
    exports2.map = map;
    var namespace = __importStar(require_Namespace());
    exports2.namespace = namespace;
    var queue = __importStar(require_Queue());
    exports2.queue = queue;
    var set = __importStar(require_Set());
    exports2.set = set;
    var stack = __importStar(require_Stack());
    exports2.stack = stack;
    var string = __importStar(require_String());
    exports2.string = string;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js
var require_WebIDLAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function idl_defineConst(o, name, value) {
      Object.defineProperty(o, name, { writable: false, enumerable: true, configurable: false, value });
    }
    exports2.idl_defineConst = idl_defineConst;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js
var require_DOMImplementationImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var DOMImplementationImpl = (
      /** @class */
      function() {
        function DOMImplementationImpl2(document) {
          this._associatedDocument = document || DOMImpl_1.dom.window.document;
        }
        DOMImplementationImpl2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
          algorithm_1.namespace_validate(qualifiedName);
          return algorithm_1.create_documentType(this._associatedDocument, qualifiedName, publicId, systemId);
        };
        DOMImplementationImpl2.prototype.createDocument = function(namespace, qualifiedName, doctype) {
          if (doctype === void 0) {
            doctype = null;
          }
          var document = algorithm_1.create_xmlDocument();
          var element = null;
          if (qualifiedName) {
            element = algorithm_1.document_internalCreateElementNS(document, namespace, qualifiedName);
          }
          if (doctype)
            document.appendChild(doctype);
          if (element)
            document.appendChild(element);
          document._origin = this._associatedDocument._origin;
          if (namespace === infra_1.namespace.HTML)
            document._contentType = "application/xhtml+xml";
          else if (namespace === infra_1.namespace.SVG)
            document._contentType = "image/svg+xml";
          else
            document._contentType = "application/xml";
          return document;
        };
        DOMImplementationImpl2.prototype.createHTMLDocument = function(title) {
          var doc = algorithm_1.create_document();
          doc._type = "html";
          doc._contentType = "text/html";
          doc.appendChild(algorithm_1.create_documentType(doc, "html", "", ""));
          var htmlElement = algorithm_1.element_createAnElement(doc, "html", infra_1.namespace.HTML);
          doc.appendChild(htmlElement);
          var headElement = algorithm_1.element_createAnElement(doc, "head", infra_1.namespace.HTML);
          htmlElement.appendChild(headElement);
          if (title !== void 0) {
            var titleElement = algorithm_1.element_createAnElement(doc, "title", infra_1.namespace.HTML);
            headElement.appendChild(titleElement);
            var textElement = algorithm_1.create_text(doc, title);
            titleElement.appendChild(textElement);
          }
          var bodyElement = algorithm_1.element_createAnElement(doc, "body", infra_1.namespace.HTML);
          htmlElement.appendChild(bodyElement);
          doc._origin = this._associatedDocument._origin;
          return doc;
        };
        DOMImplementationImpl2.prototype.hasFeature = function() {
          return true;
        };
        DOMImplementationImpl2._create = function(document) {
          return new DOMImplementationImpl2(document);
        };
        return DOMImplementationImpl2;
      }()
    );
    exports2.DOMImplementationImpl = DOMImplementationImpl;
    WebIDLAlgorithm_1.idl_defineConst(DOMImplementationImpl.prototype, "_ID", "@oozcitak/dom");
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMException.js
var require_DOMException = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMException.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException = (
      /** @class */
      function(_super) {
        __extends(DOMException2, _super);
        function DOMException2(name, message) {
          if (message === void 0) {
            message = "";
          }
          var _this = _super.call(this, message) || this;
          _this.name = name;
          return _this;
        }
        return DOMException2;
      }(Error)
    );
    exports2.DOMException = DOMException;
    var DOMStringSizeError = (
      /** @class */
      function(_super) {
        __extends(DOMStringSizeError2, _super);
        function DOMStringSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DOMStringSizeError", message) || this;
        }
        return DOMStringSizeError2;
      }(DOMException)
    );
    exports2.DOMStringSizeError = DOMStringSizeError;
    var WrongDocumentError = (
      /** @class */
      function(_super) {
        __extends(WrongDocumentError2, _super);
        function WrongDocumentError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "WrongDocumentError", "The object is in the wrong document. " + message) || this;
        }
        return WrongDocumentError2;
      }(DOMException)
    );
    exports2.WrongDocumentError = WrongDocumentError;
    var NoDataAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoDataAllowedError2, _super);
        function NoDataAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoDataAllowedError", message) || this;
        }
        return NoDataAllowedError2;
      }(DOMException)
    );
    exports2.NoDataAllowedError = NoDataAllowedError;
    var NoModificationAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoModificationAllowedError2, _super);
        function NoModificationAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoModificationAllowedError", "The object can not be modified. " + message) || this;
        }
        return NoModificationAllowedError2;
      }(DOMException)
    );
    exports2.NoModificationAllowedError = NoModificationAllowedError;
    var NotSupportedError = (
      /** @class */
      function(_super) {
        __extends(NotSupportedError2, _super);
        function NotSupportedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotSupportedError", "The operation is not supported. " + message) || this;
        }
        return NotSupportedError2;
      }(DOMException)
    );
    exports2.NotSupportedError = NotSupportedError;
    var InUseAttributeError = (
      /** @class */
      function(_super) {
        __extends(InUseAttributeError2, _super);
        function InUseAttributeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InUseAttributeError", message) || this;
        }
        return InUseAttributeError2;
      }(DOMException)
    );
    exports2.InUseAttributeError = InUseAttributeError;
    var InvalidStateError = (
      /** @class */
      function(_super) {
        __extends(InvalidStateError2, _super);
        function InvalidStateError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidStateError", "The object is in an invalid state. " + message) || this;
        }
        return InvalidStateError2;
      }(DOMException)
    );
    exports2.InvalidStateError = InvalidStateError;
    var InvalidModificationError = (
      /** @class */
      function(_super) {
        __extends(InvalidModificationError2, _super);
        function InvalidModificationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidModificationError", "The object can not be modified in this way. " + message) || this;
        }
        return InvalidModificationError2;
      }(DOMException)
    );
    exports2.InvalidModificationError = InvalidModificationError;
    var NamespaceError = (
      /** @class */
      function(_super) {
        __extends(NamespaceError2, _super);
        function NamespaceError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NamespaceError", "The operation is not allowed by Namespaces in XML. [XMLNS] " + message) || this;
        }
        return NamespaceError2;
      }(DOMException)
    );
    exports2.NamespaceError = NamespaceError;
    var InvalidAccessError = (
      /** @class */
      function(_super) {
        __extends(InvalidAccessError2, _super);
        function InvalidAccessError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidAccessError", "The object does not support the operation or argument. " + message) || this;
        }
        return InvalidAccessError2;
      }(DOMException)
    );
    exports2.InvalidAccessError = InvalidAccessError;
    var ValidationError = (
      /** @class */
      function(_super) {
        __extends(ValidationError2, _super);
        function ValidationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "ValidationError", message) || this;
        }
        return ValidationError2;
      }(DOMException)
    );
    exports2.ValidationError = ValidationError;
    var TypeMismatchError = (
      /** @class */
      function(_super) {
        __extends(TypeMismatchError2, _super);
        function TypeMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TypeMismatchError", message) || this;
        }
        return TypeMismatchError2;
      }(DOMException)
    );
    exports2.TypeMismatchError = TypeMismatchError;
    var SecurityError = (
      /** @class */
      function(_super) {
        __extends(SecurityError2, _super);
        function SecurityError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SecurityError", "The operation is insecure. " + message) || this;
        }
        return SecurityError2;
      }(DOMException)
    );
    exports2.SecurityError = SecurityError;
    var NetworkError = (
      /** @class */
      function(_super) {
        __extends(NetworkError2, _super);
        function NetworkError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NetworkError", "A network error occurred. " + message) || this;
        }
        return NetworkError2;
      }(DOMException)
    );
    exports2.NetworkError = NetworkError;
    var AbortError = (
      /** @class */
      function(_super) {
        __extends(AbortError2, _super);
        function AbortError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "AbortError", "The operation was aborted. " + message) || this;
        }
        return AbortError2;
      }(DOMException)
    );
    exports2.AbortError = AbortError;
    var URLMismatchError = (
      /** @class */
      function(_super) {
        __extends(URLMismatchError2, _super);
        function URLMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "URLMismatchError", "The given URL does not match another URL. " + message) || this;
        }
        return URLMismatchError2;
      }(DOMException)
    );
    exports2.URLMismatchError = URLMismatchError;
    var QuotaExceededError = (
      /** @class */
      function(_super) {
        __extends(QuotaExceededError2, _super);
        function QuotaExceededError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "QuotaExceededError", "The quota has been exceeded. " + message) || this;
        }
        return QuotaExceededError2;
      }(DOMException)
    );
    exports2.QuotaExceededError = QuotaExceededError;
    var TimeoutError = (
      /** @class */
      function(_super) {
        __extends(TimeoutError2, _super);
        function TimeoutError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TimeoutError", "The operation timed out. " + message) || this;
        }
        return TimeoutError2;
      }(DOMException)
    );
    exports2.TimeoutError = TimeoutError;
    var InvalidNodeTypeError = (
      /** @class */
      function(_super) {
        __extends(InvalidNodeTypeError2, _super);
        function InvalidNodeTypeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidNodeTypeError", "The supplied node is incorrect or has an incorrect ancestor for this operation. " + message) || this;
        }
        return InvalidNodeTypeError2;
      }(DOMException)
    );
    exports2.InvalidNodeTypeError = InvalidNodeTypeError;
    var DataCloneError = (
      /** @class */
      function(_super) {
        __extends(DataCloneError2, _super);
        function DataCloneError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DataCloneError", "The object can not be cloned. " + message) || this;
        }
        return DataCloneError2;
      }(DOMException)
    );
    exports2.DataCloneError = DataCloneError;
    var NotImplementedError = (
      /** @class */
      function(_super) {
        __extends(NotImplementedError2, _super);
        function NotImplementedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotImplementedError", "The DOM method is not implemented by this module. " + message) || this;
        }
        return NotImplementedError2;
      }(DOMException)
    );
    exports2.NotImplementedError = NotImplementedError;
    var HierarchyRequestError = (
      /** @class */
      function(_super) {
        __extends(HierarchyRequestError2, _super);
        function HierarchyRequestError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "HierarchyRequestError", "The operation would yield an incorrect node tree. " + message) || this;
        }
        return HierarchyRequestError2;
      }(DOMException)
    );
    exports2.HierarchyRequestError = HierarchyRequestError;
    var NotFoundError = (
      /** @class */
      function(_super) {
        __extends(NotFoundError2, _super);
        function NotFoundError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotFoundError", "The object can not be found here. " + message) || this;
        }
        return NotFoundError2;
      }(DOMException)
    );
    exports2.NotFoundError = NotFoundError;
    var IndexSizeError = (
      /** @class */
      function(_super) {
        __extends(IndexSizeError2, _super);
        function IndexSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "IndexSizeError", "The index is not in the allowed range. " + message) || this;
        }
        return IndexSizeError2;
      }(DOMException)
    );
    exports2.IndexSizeError = IndexSizeError;
    var SyntaxError2 = (
      /** @class */
      function(_super) {
        __extends(SyntaxError3, _super);
        function SyntaxError3(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SyntaxError", "The string did not match the expected pattern. " + message) || this;
        }
        return SyntaxError3;
      }(DOMException)
    );
    exports2.SyntaxError = SyntaxError2;
    var InvalidCharacterError = (
      /** @class */
      function(_super) {
        __extends(InvalidCharacterError2, _super);
        function InvalidCharacterError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidCharacterError", "The string contains invalid characters. " + message) || this;
        }
        return InvalidCharacterError2;
      }(DOMException)
    );
    exports2.InvalidCharacterError = InvalidCharacterError;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/util/Guard.js
var require_Guard = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/util/Guard.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var Guard = (
      /** @class */
      function() {
        function Guard2() {
        }
        Guard2.isNode = function(a) {
          return !!a && a._nodeType !== void 0;
        };
        Guard2.isDocumentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Document;
        };
        Guard2.isDocumentTypeNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentType;
        };
        Guard2.isDocumentFragmentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentFragment;
        };
        Guard2.isAttrNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Attribute;
        };
        Guard2.isCharacterDataNode = function(a) {
          if (!Guard2.isNode(a))
            return false;
          var type = a._nodeType;
          return type === interfaces_1.NodeType.Text || type === interfaces_1.NodeType.ProcessingInstruction || type === interfaces_1.NodeType.Comment || type === interfaces_1.NodeType.CData;
        };
        Guard2.isTextNode = function(a) {
          return Guard2.isNode(a) && (a._nodeType === interfaces_1.NodeType.Text || a._nodeType === interfaces_1.NodeType.CData);
        };
        Guard2.isExclusiveTextNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Text;
        };
        Guard2.isCDATASectionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.CData;
        };
        Guard2.isCommentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Comment;
        };
        Guard2.isProcessingInstructionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.ProcessingInstruction;
        };
        Guard2.isElementNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Element;
        };
        Guard2.isCustomElementNode = function(a) {
          return Guard2.isElementNode(a) && a._customElementState === "custom";
        };
        Guard2.isShadowRoot = function(a) {
          return !!a && a.host !== void 0;
        };
        Guard2.isMouseEvent = function(a) {
          return !!a && a.screenX !== void 0 && a.screenY != void 0;
        };
        Guard2.isSlotable = function(a) {
          return !!a && a._name !== void 0 && a._assignedSlot !== void 0 && (Guard2.isTextNode(a) || Guard2.isElementNode(a));
        };
        Guard2.isSlot = function(a) {
          return !!a && a._name !== void 0 && a._assignedNodes !== void 0 && Guard2.isElementNode(a);
        };
        Guard2.isWindow = function(a) {
          return !!a && a.navigator !== void 0;
        };
        Guard2.isEventListener = function(a) {
          return !!a && a.handleEvent !== void 0;
        };
        Guard2.isRegisteredObserver = function(a) {
          return !!a && a.observer !== void 0 && a.options !== void 0;
        };
        Guard2.isTransientRegisteredObserver = function(a) {
          return !!a && a.source !== void 0 && Guard2.isRegisteredObserver(a);
        };
        return Guard2;
      }()
    );
    exports2.Guard = Guard;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/util/Cast.js
var require_Cast = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/util/Cast.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Guard_1 = require_Guard();
    var Cast = (
      /** @class */
      function() {
        function Cast2() {
        }
        Cast2.asNode = function(a) {
          if (Guard_1.Guard.isNode(a)) {
            return a;
          } else {
            throw new Error("Invalid object. Node expected.");
          }
        };
        return Cast2;
      }()
    );
    exports2.Cast = Cast;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/util/EmptySet.js
var require_EmptySet = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/util/EmptySet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EmptySet = (
      /** @class */
      function() {
        function EmptySet2() {
        }
        Object.defineProperty(EmptySet2.prototype, "size", {
          get: function() {
            return 0;
          },
          enumerable: true,
          configurable: true
        });
        EmptySet2.prototype.add = function(value) {
          throw new Error("Cannot add to an empty set.");
        };
        EmptySet2.prototype.clear = function() {
        };
        EmptySet2.prototype.delete = function(value) {
          return false;
        };
        EmptySet2.prototype.forEach = function(callbackfn, thisArg) {
        };
        EmptySet2.prototype.has = function(value) {
          return false;
        };
        EmptySet2.prototype[Symbol.iterator] = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.entries = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.keys = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.values = function() {
          return new EmptySetIterator();
        };
        Object.defineProperty(EmptySet2.prototype, Symbol.toStringTag, {
          get: function() {
            return "EmptySet";
          },
          enumerable: true,
          configurable: true
        });
        return EmptySet2;
      }()
    );
    exports2.EmptySet = EmptySet;
    var EmptySetIterator = (
      /** @class */
      function() {
        function EmptySetIterator2() {
        }
        EmptySetIterator2.prototype[Symbol.iterator] = function() {
          return this;
        };
        EmptySetIterator2.prototype.next = function() {
          return { done: true, value: null };
        };
        return EmptySetIterator2;
      }()
    );
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/util/index.js
var require_util4 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/util/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Cast_1 = require_Cast();
    exports2.Cast = Cast_1.Cast;
    var Guard_1 = require_Guard();
    exports2.Guard = Guard_1.Guard;
    var EmptySet_1 = require_EmptySet();
    exports2.EmptySet = EmptySet_1.EmptySet;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js
var require_EventTargetImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException();
    var util_1 = require_util4();
    var algorithm_1 = require_algorithm();
    var EventTargetImpl = (
      /** @class */
      function() {
        function EventTargetImpl2() {
        }
        Object.defineProperty(EventTargetImpl2.prototype, "_eventListenerList", {
          get: function() {
            return this.__eventListenerList || (this.__eventListenerList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventTargetImpl2.prototype, "_eventHandlerMap", {
          get: function() {
            return this.__eventHandlerMap || (this.__eventHandlerMap = {});
          },
          enumerable: true,
          configurable: true
        });
        EventTargetImpl2.prototype.addEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { passive: false, once: false, capture: false };
          }
          var _a = __read(algorithm_1.eventTarget_flattenMore(options), 3), capture = _a[0], passive = _a[1], once = _a[2];
          var listenerCallback;
          if (!callback) {
            return;
          } else if (util_1.Guard.isEventListener(callback)) {
            listenerCallback = callback;
          } else {
            listenerCallback = { handleEvent: callback };
          }
          algorithm_1.eventTarget_addEventListener(this, {
            type,
            callback: listenerCallback,
            capture,
            passive,
            once,
            removed: false
          });
        };
        EventTargetImpl2.prototype.removeEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { capture: false };
          }
          var capture = algorithm_1.eventTarget_flatten(options);
          if (!callback)
            return;
          for (var i = 0; i < this._eventListenerList.length; i++) {
            var entry = this._eventListenerList[i];
            if (entry.type !== type || entry.capture !== capture)
              continue;
            if (util_1.Guard.isEventListener(callback) && entry.callback === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            } else if (callback && entry.callback.handleEvent === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            }
          }
        };
        EventTargetImpl2.prototype.dispatchEvent = function(event) {
          if (event._dispatchFlag || !event._initializedFlag) {
            throw new DOMException_1.InvalidStateError();
          }
          event._isTrusted = false;
          return algorithm_1.event_dispatch(event, this);
        };
        EventTargetImpl2.prototype._getTheParent = function(event) {
          return null;
        };
        return EventTargetImpl2;
      }()
    );
    exports2.EventTargetImpl = EventTargetImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js
var require_WindowImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl();
    var util_1 = require_lib();
    var algorithm_1 = require_algorithm();
    var WindowImpl = (
      /** @class */
      function(_super) {
        __extends(WindowImpl2, _super);
        function WindowImpl2() {
          var _this = _super.call(this) || this;
          _this._signalSlots = /* @__PURE__ */ new Set();
          _this._mutationObserverMicrotaskQueued = false;
          _this._mutationObservers = /* @__PURE__ */ new Set();
          _this._iteratorList = new util_1.FixedSizeSet();
          _this._associatedDocument = algorithm_1.create_document();
          return _this;
        }
        Object.defineProperty(WindowImpl2.prototype, "document", {
          /** @inheritdoc */
          get: function() {
            return this._associatedDocument;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(WindowImpl2.prototype, "event", {
          /** @inheritdoc */
          get: function() {
            return this._currentEvent;
          },
          enumerable: true,
          configurable: true
        });
        WindowImpl2._create = function() {
          return new WindowImpl2();
        };
        return WindowImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.WindowImpl = WindowImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/url/lib/interfaces.js
var require_interfaces3 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/url/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ParserState;
    (function(ParserState2) {
      ParserState2[ParserState2["SchemeStart"] = 0] = "SchemeStart";
      ParserState2[ParserState2["Scheme"] = 1] = "Scheme";
      ParserState2[ParserState2["NoScheme"] = 2] = "NoScheme";
      ParserState2[ParserState2["SpecialRelativeOrAuthority"] = 3] = "SpecialRelativeOrAuthority";
      ParserState2[ParserState2["PathOrAuthority"] = 4] = "PathOrAuthority";
      ParserState2[ParserState2["Relative"] = 5] = "Relative";
      ParserState2[ParserState2["RelativeSlash"] = 6] = "RelativeSlash";
      ParserState2[ParserState2["SpecialAuthoritySlashes"] = 7] = "SpecialAuthoritySlashes";
      ParserState2[ParserState2["SpecialAuthorityIgnoreSlashes"] = 8] = "SpecialAuthorityIgnoreSlashes";
      ParserState2[ParserState2["Authority"] = 9] = "Authority";
      ParserState2[ParserState2["Host"] = 10] = "Host";
      ParserState2[ParserState2["Hostname"] = 11] = "Hostname";
      ParserState2[ParserState2["Port"] = 12] = "Port";
      ParserState2[ParserState2["File"] = 13] = "File";
      ParserState2[ParserState2["FileSlash"] = 14] = "FileSlash";
      ParserState2[ParserState2["FileHost"] = 15] = "FileHost";
      ParserState2[ParserState2["PathStart"] = 16] = "PathStart";
      ParserState2[ParserState2["Path"] = 17] = "Path";
      ParserState2[ParserState2["CannotBeABaseURLPath"] = 18] = "CannotBeABaseURLPath";
      ParserState2[ParserState2["Query"] = 19] = "Query";
      ParserState2[ParserState2["Fragment"] = 20] = "Fragment";
    })(ParserState = exports2.ParserState || (exports2.ParserState = {}));
    exports2.OpaqueOrigin = ["", "", null, null];
  }
});

// ../../components/environments/node_modules/@oozcitak/url/lib/URLAlgorithm.js
var require_URLAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/url/lib/URLAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var interfaces_1 = require_interfaces3();
    var infra_1 = require_lib2();
    var url_1 = require("url");
    var _validationErrorCallback;
    var _defaultPorts = {
      "ftp": 21,
      "file": null,
      "http": 80,
      "https": 443,
      "ws": 80,
      "wss": 443
    };
    var _c0ControlPercentEncodeSet = /[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _fragmentPercentEncodeSet = /[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _pathPercentEncodeSet = /[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _userInfoPercentEncodeSet = /[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _urlCodePoints = /[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/;
    var _forbiddenHostCodePoint = /[\0\t\f\r #%/:?@\[\\\]]/;
    function setValidationErrorCallback(validationErrorCallback) {
      _validationErrorCallback = validationErrorCallback;
    }
    exports2.setValidationErrorCallback = setValidationErrorCallback;
    function validationError(message) {
      if (_validationErrorCallback !== void 0) {
        _validationErrorCallback.call(null, "Validation Error: " + message);
      }
    }
    function newURL() {
      return {
        scheme: "",
        username: "",
        password: "",
        host: null,
        port: null,
        path: [],
        query: null,
        fragment: null,
        _cannotBeABaseURLFlag: false,
        _blobURLEntry: null
      };
    }
    exports2.newURL = newURL;
    function isSpecialScheme(scheme) {
      return scheme in _defaultPorts;
    }
    exports2.isSpecialScheme = isSpecialScheme;
    function isSpecial(url) {
      return isSpecialScheme(url.scheme);
    }
    exports2.isSpecial = isSpecial;
    function defaultPort(scheme) {
      return _defaultPorts[scheme] || null;
    }
    exports2.defaultPort = defaultPort;
    function includesCredentials(url) {
      return url.username !== "" || url.password !== "";
    }
    exports2.includesCredentials = includesCredentials;
    function cannotHaveAUsernamePasswordPort(url) {
      return url.host === null || url.host === "" || url._cannotBeABaseURLFlag || url.scheme === "file";
    }
    exports2.cannotHaveAUsernamePasswordPort = cannotHaveAUsernamePasswordPort;
    function urlSerializer(url, excludeFragmentFlag) {
      var e_1, _a;
      if (excludeFragmentFlag === void 0) {
        excludeFragmentFlag = false;
      }
      var output = url.scheme + ":";
      if (url.host !== null) {
        output += "//";
        if (includesCredentials(url)) {
          output += url.username;
          if (url.password !== "") {
            output += ":" + url.password;
          }
          output += "@";
        }
        output += hostSerializer(url.host);
        if (url.port !== null) {
          output += ":" + url.port;
        }
      } else if (url.host === null && url.scheme === "file") {
        output += "//";
      }
      if (url._cannotBeABaseURLFlag) {
        output += url.path[0];
      } else {
        try {
          for (var _b = __values(url.path), _c = _b.next(); !_c.done; _c = _b.next()) {
            var str = _c.value;
            output += "/" + str;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      if (url.query !== null) {
        output += "?" + url.query;
      }
      if (!excludeFragmentFlag && url.fragment !== null) {
        output += "#" + url.fragment;
      }
      return output;
    }
    exports2.urlSerializer = urlSerializer;
    function hostSerializer(host) {
      if (util_1.isNumber(host)) {
        return iPv4Serializer(host);
      } else if (util_1.isArray(host)) {
        return "[" + iPv6Serializer(host) + "]";
      } else {
        return host;
      }
    }
    exports2.hostSerializer = hostSerializer;
    function iPv4Serializer(address) {
      var output = "";
      var n = address;
      for (var i = 1; i <= 4; i++) {
        output = (n % 256).toString() + output;
        if (i !== 4) {
          output = "." + output;
        }
        n = Math.floor(n / 256);
      }
      return output;
    }
    exports2.iPv4Serializer = iPv4Serializer;
    function iPv6Serializer(address) {
      var output = "";
      var compress = null;
      var lastIndex = -1;
      var count = 0;
      var lastCount = 0;
      for (var i = 0; i < 8; i++) {
        if (address[i] !== 0)
          continue;
        count = 1;
        for (var j = i + 1; j < 8; j++) {
          if (address[j] !== 0)
            break;
          count++;
          continue;
        }
        if (count > lastCount) {
          lastCount = count;
          lastIndex = i;
        }
      }
      if (lastCount > 1)
        compress = lastIndex;
      var ignore0 = false;
      for (var pieceIndex = 0; pieceIndex < 8; pieceIndex++) {
        if (ignore0 && address[pieceIndex] === 0)
          continue;
        if (ignore0)
          ignore0 = false;
        if (compress === pieceIndex) {
          output += pieceIndex === 0 ? "::" : ":";
          ignore0 = true;
          continue;
        }
        output += address[pieceIndex].toString(16);
        if (pieceIndex !== 7)
          output += ":";
      }
      return output;
    }
    exports2.iPv6Serializer = iPv6Serializer;
    function urlParser(input, baseURL, encodingOverride) {
      var url = basicURLParser(input, baseURL, encodingOverride);
      if (url === null)
        return null;
      if (url.scheme !== "blob")
        return url;
      var entry = resolveABlobURL(url);
      if (entry !== null) {
        url._blobURLEntry = entry;
      } else {
        url._blobURLEntry = null;
      }
      return url;
    }
    exports2.urlParser = urlParser;
    function basicURLParser(input, baseURL, encodingOverride, url, stateOverride) {
      var e_2, _a, e_3, _b;
      if (url === void 0) {
        url = newURL();
        var leadingControlOrSpace = /^[\u0000-\u001F\u0020]+/;
        var trailingControlOrSpace = /[\u0000-\u001F\u0020]+$/;
        if (leadingControlOrSpace.test(input) || trailingControlOrSpace.test(input)) {
          validationError("Input string contains leading or trailing control characters or space.");
        }
        input = input.replace(leadingControlOrSpace, "");
        input = input.replace(trailingControlOrSpace, "");
      }
      var tabOrNewline = /[\u0009\u000A\u000D]/g;
      if (tabOrNewline.test(input)) {
        validationError("Input string contains tab or newline characters.");
      }
      input = input.replace(tabOrNewline, "");
      var state = stateOverride === void 0 ? interfaces_1.ParserState.SchemeStart : stateOverride;
      if (baseURL === void 0)
        baseURL = null;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      var buffer = "";
      var atFlag = false;
      var arrayFlag = false;
      var passwordTokenSeenFlag = false;
      var EOF = "";
      var walker = new util_1.StringWalker(input);
      while (true) {
        switch (state) {
          case interfaces_1.ParserState.SchemeStart:
            if (infra_1.codePoint.ASCIIAlpha.test(walker.c())) {
              buffer += walker.c().toLowerCase();
              state = interfaces_1.ParserState.Scheme;
            } else if (stateOverride === void 0) {
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer--;
            } else {
              validationError("Invalid scheme start character.");
              return null;
            }
            break;
          case interfaces_1.ParserState.Scheme:
            if (infra_1.codePoint.ASCIIAlphanumeric.test(walker.c()) || walker.c() === "+" || walker.c() === "-" || walker.c() === ".") {
              buffer += walker.c().toLowerCase();
            } else if (walker.c() === ":") {
              if (stateOverride !== void 0) {
                if (isSpecialScheme(url.scheme) && !isSpecialScheme(buffer))
                  return url;
                if (!isSpecialScheme(url.scheme) && isSpecialScheme(buffer))
                  return url;
                if ((includesCredentials(url) || url.port !== null) && buffer === "file")
                  return url;
                if (url.scheme === "file" && (url.host === "" || url.host === null))
                  return url;
              }
              url.scheme = buffer;
              if (stateOverride !== void 0) {
                if (url.port === defaultPort(url.scheme)) {
                  url.port = null;
                }
                return url;
              }
              buffer = "";
              if (url.scheme === "file") {
                if (!walker.remaining().startsWith("//")) {
                  validationError("Invalid file URL scheme, '//' expected.");
                }
                state = interfaces_1.ParserState.File;
              } else if (isSpecial(url) && baseURL !== null && baseURL.scheme === url.scheme) {
                state = interfaces_1.ParserState.SpecialRelativeOrAuthority;
              } else if (isSpecial(url)) {
                state = interfaces_1.ParserState.SpecialAuthoritySlashes;
              } else if (walker.remaining().startsWith("/")) {
                state = interfaces_1.ParserState.PathOrAuthority;
                walker.pointer++;
              } else {
                url._cannotBeABaseURLFlag = true;
                url.path.push("");
                state = interfaces_1.ParserState.CannotBeABaseURLPath;
              }
            } else if (stateOverride === void 0) {
              buffer = "";
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer = 0;
              continue;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.NoScheme:
            if (baseURL === null || baseURL._cannotBeABaseURLFlag && walker.c() !== "#") {
              validationError("Invalid input string.");
              return null;
            } else if (baseURL._cannotBeABaseURLFlag && walker.c() === "#") {
              url.scheme = baseURL.scheme;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              url.fragment = "";
              url._cannotBeABaseURLFlag = true;
              state = interfaces_1.ParserState.Fragment;
            } else if (baseURL.scheme !== "file") {
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            } else {
              state = interfaces_1.ParserState.File;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialRelativeOrAuthority:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Invalid input string.");
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.PathOrAuthority:
            if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Relative:
            if (baseURL === null) {
              throw new Error("Invalid parser state. Base URL is null.");
            }
            url.scheme = baseURL.scheme;
            switch (walker.c()) {
              case EOF:
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                break;
              case "/":
                state = interfaces_1.ParserState.RelativeSlash;
                break;
              case "?":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = "";
                state = interfaces_1.ParserState.Query;
                break;
              case "#":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
                break;
              default:
                if (isSpecial(url) && walker.c() === "\\") {
                  validationError("Invalid input string.");
                  state = interfaces_1.ParserState.RelativeSlash;
                } else {
                  url.username = baseURL.username;
                  url.password = baseURL.password;
                  url.host = baseURL.host;
                  url.port = baseURL.port;
                  url.path = infra_1.list.clone(baseURL.path);
                  if (url.path.length !== 0)
                    url.path.splice(url.path.length - 1, 1);
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                }
                break;
            }
            break;
          case interfaces_1.ParserState.RelativeSlash:
            if (isSpecial(url) && (walker.c() === "/" || walker.c() === "\\")) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            } else if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              if (baseURL === null) {
                throw new Error("Invalid parser state. Base URL is null.");
              }
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthoritySlashes:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Expected '//'.");
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes:
            if (walker.c() !== "/" && walker.c() !== "\\") {
              state = interfaces_1.ParserState.Authority;
              walker.pointer--;
            } else {
              validationError("Unexpected '/' or '\\'.");
            }
            break;
          case interfaces_1.ParserState.Authority:
            if (walker.c() === "@") {
              validationError("Unexpected '@'.");
              if (atFlag)
                buffer = "%40" + buffer;
              atFlag = true;
              try {
                for (var buffer_1 = (e_2 = void 0, __values(buffer)), buffer_1_1 = buffer_1.next(); !buffer_1_1.done; buffer_1_1 = buffer_1.next()) {
                  var codePoint = buffer_1_1.value;
                  if (codePoint === ":" && !passwordTokenSeenFlag) {
                    passwordTokenSeenFlag = true;
                    continue;
                  }
                  var encodedCodePoints = utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
                  if (passwordTokenSeenFlag) {
                    url.password += encodedCodePoints;
                  } else {
                    url.username += encodedCodePoints;
                  }
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (buffer_1_1 && !buffer_1_1.done && (_a = buffer_1.return))
                    _a.call(buffer_1);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              buffer = "";
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              if (atFlag && buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              walker.pointer -= buffer.length + 1;
              buffer = "";
              state = interfaces_1.ParserState.Host;
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Host:
          case interfaces_1.ParserState.Hostname:
            if (stateOverride !== void 0 && url.scheme === "file") {
              walker.pointer--;
              state = interfaces_1.ParserState.FileHost;
            } else if (walker.c() === ":" && !arrayFlag) {
              if (buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.Port;
              if (stateOverride === interfaces_1.ParserState.Hostname)
                return url;
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              walker.pointer--;
              if (isSpecial(url) && buffer === "") {
                validationError("Invalid input string.");
                return null;
              } else if (stateOverride !== void 0 && buffer === "" && (includesCredentials(url) || url.port !== null)) {
                validationError("Invalid input string.");
                return url;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.PathStart;
              if (stateOverride !== void 0)
                return url;
            } else {
              if (walker.c() === "[")
                arrayFlag = true;
              if (walker.c() === "]")
                arrayFlag = false;
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Port:
            if (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              buffer += walker.c();
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\" || stateOverride) {
              if (buffer !== "") {
                if (buffer !== "") {
                  var port = parseInt(buffer, 10);
                  if (port > Math.pow(2, 16) - 1) {
                    validationError("Invalid port number.");
                    return null;
                  }
                  url.port = port === defaultPort(url.scheme) ? null : port;
                  buffer = "";
                }
              }
              if (stateOverride !== void 0) {
                return url;
              }
              state = interfaces_1.ParserState.PathStart;
              walker.pointer--;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.File:
            url.scheme = "file";
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileSlash;
            } else if (baseURL !== null && baseURL.scheme === "file") {
              switch (walker.c()) {
                case EOF:
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  break;
                case "?":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = "";
                  state = interfaces_1.ParserState.Query;
                  break;
                case "#":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  url.fragment = "";
                  state = interfaces_1.ParserState.Fragment;
                  break;
                default:
                  if (!startsWithAWindowsDriveLetter(walker.substring())) {
                    url.host = baseURL.host;
                    url.path = infra_1.list.clone(baseURL.path);
                    shorten(url);
                  } else {
                    validationError("Unexpected windows drive letter in input string.");
                  }
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                  break;
              }
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileSlash:
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileHost;
            } else {
              if (baseURL !== null && baseURL.scheme === "file" && !startsWithAWindowsDriveLetter(walker.substring())) {
                if (isNormalizedWindowsDriveLetter(baseURL.path[0])) {
                  url.path.push(baseURL.path[0]);
                } else {
                  url.host = baseURL.host;
                }
              }
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileHost:
            if (walker.c() === EOF || walker.c() === "/" || walker.c() === "\\" || walker.c() === "?" || walker.c() === "#") {
              walker.pointer--;
              if (stateOverride === void 0 && isWindowsDriveLetter(buffer)) {
                validationError("Unexpected windows drive letter in input string.");
                state = interfaces_1.ParserState.Path;
              } else if (buffer === "") {
                url.host = "";
                if (stateOverride !== void 0)
                  return url;
                state = interfaces_1.ParserState.PathStart;
              } else {
                var host = hostParser(buffer, !isSpecial(url));
                if (host === null)
                  return null;
                if (host === "localhost")
                  host = "";
                url.host = host;
                if (stateOverride !== void 0)
                  return url;
                buffer = "";
                state = interfaces_1.ParserState.PathStart;
              }
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.PathStart:
            if (isSpecial(url)) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/" && walker.c() !== "\\")
                walker.pointer--;
            } else if (stateOverride === void 0 && walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/")
                walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Path:
            if (walker.c() === EOF || walker.c() === "/" || isSpecial(url) && walker.c() === "\\" || stateOverride === void 0 && (walker.c() === "?" || walker.c() === "#")) {
              if (isSpecial(url) && walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              if (isDoubleDotPathSegment(buffer)) {
                shorten(url);
                if (walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                  url.path.push("");
                }
              } else if (isSingleDotPathSegment(buffer) && walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                url.path.push("");
              } else if (!isSingleDotPathSegment(buffer)) {
                if (url.scheme === "file" && url.path.length === 0 && isWindowsDriveLetter(buffer)) {
                  if (url.host !== null && url.host !== "") {
                    validationError("Invalid input string.");
                    url.host = "";
                  }
                  var bufferCodePoints = Array.from(buffer);
                  buffer = bufferCodePoints.slice(0, 1) + ":" + bufferCodePoints.slice(2);
                }
                url.path.push(buffer);
              }
              buffer = "";
              if (url.scheme === "file" && (walker.c() === EOF || walker.c() === "?" || walker.c() === "#")) {
                while (url.path.length > 1 && url.path[0] === "") {
                  validationError("Invalid input string.");
                  url.path.splice(0, 1);
                }
              }
              if (walker.c() === "?") {
                url.query = "";
                state = interfaces_1.ParserState.Query;
              }
              if (walker.c() === "#") {
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
              }
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              buffer += utf8PercentEncode(walker.c(), _pathPercentEncodeSet);
            }
            break;
          case interfaces_1.ParserState.CannotBeABaseURLPath:
            if (walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else {
              if (walker.c() !== EOF && !_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (walker.c() !== EOF) {
                url.path[0] += utf8PercentEncode(walker.c(), _c0ControlPercentEncodeSet);
              }
            }
            break;
          case interfaces_1.ParserState.Query:
            if (encoding !== "UTF-8" && (!isSpecial(url) || url.scheme === "ws" || url.scheme === "wss")) {
              encoding = "UTF-8";
            }
            if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (encoding.toUpperCase() !== "UTF-8") {
                throw new Error("Only UTF-8 encoding is supported.");
              }
              var bytes = util_1.utf8Encode(walker.c());
              if (bytes.length >= 3 && bytes[0] === 38 && bytes[1] === 35 && bytes[bytes.length - 1] === 59) {
                bytes = bytes.subarray(2, bytes.length - 1);
                url.query += "%26%23" + infra_1.byteSequence.isomorphicDecode(bytes) + "%3B";
              } else {
                try {
                  for (var bytes_1 = (e_3 = void 0, __values(bytes)), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
                    var byte = bytes_1_1.value;
                    if (byte < 33 || byte > 126 || byte === 34 || byte === 35 || byte === 60 || byte === 62 || byte === 39 && isSpecial(url)) {
                      url.query += percentEncode(byte);
                    } else {
                      url.query += String.fromCharCode(byte);
                    }
                  }
                } catch (e_3_1) {
                  e_3 = { error: e_3_1 };
                } finally {
                  try {
                    if (bytes_1_1 && !bytes_1_1.done && (_b = bytes_1.return))
                      _b.call(bytes_1);
                  } finally {
                    if (e_3)
                      throw e_3.error;
                  }
                }
              }
            }
            break;
          case interfaces_1.ParserState.Fragment:
            if (walker.c() === EOF) {
            } else if (walker.c() === "\0") {
              validationError("NULL character in input string.");
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Unexpected character in fragment string.");
              }
              if (walker.c() === "%" && !/^[A-Za-z0-9][A-Za-z0-9]/.test(walker.remaining())) {
                validationError("Unexpected character in fragment string.");
              }
              url.fragment += utf8PercentEncode(walker.c(), _fragmentPercentEncodeSet);
            }
            break;
        }
        if (walker.eof)
          break;
        else
          walker.pointer++;
      }
      return url;
    }
    exports2.basicURLParser = basicURLParser;
    function setTheUsername(url, username) {
      var e_4, _a;
      var result = "";
      try {
        for (var username_1 = __values(username), username_1_1 = username_1.next(); !username_1_1.done; username_1_1 = username_1.next()) {
          var codePoint = username_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (username_1_1 && !username_1_1.done && (_a = username_1.return))
            _a.call(username_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      url.username = result;
    }
    exports2.setTheUsername = setTheUsername;
    function setThePassword(url, password) {
      var e_5, _a;
      var result = "";
      try {
        for (var password_1 = __values(password), password_1_1 = password_1.next(); !password_1_1.done; password_1_1 = password_1.next()) {
          var codePoint = password_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (password_1_1 && !password_1_1.done && (_a = password_1.return))
            _a.call(password_1);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      url.password = result;
    }
    exports2.setThePassword = setThePassword;
    function isSingleDotPathSegment(str) {
      return str === "." || str.toLowerCase() === "%2e";
    }
    exports2.isSingleDotPathSegment = isSingleDotPathSegment;
    function isDoubleDotPathSegment(str) {
      var lowerStr = str.toLowerCase();
      return lowerStr === ".." || lowerStr === ".%2e" || lowerStr === "%2e." || lowerStr === "%2e%2e";
    }
    exports2.isDoubleDotPathSegment = isDoubleDotPathSegment;
    function shorten(url) {
      var path = url.path;
      if (path.length === 0)
        return;
      if (url.scheme === "file" && path.length === 1 && isNormalizedWindowsDriveLetter(path[0]))
        return;
      url.path.splice(url.path.length - 1, 1);
    }
    exports2.shorten = shorten;
    function isNormalizedWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && str[1] === ":";
    }
    exports2.isNormalizedWindowsDriveLetter = isNormalizedWindowsDriveLetter;
    function isWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && (str[1] === ":" || str[1] === "|");
    }
    exports2.isWindowsDriveLetter = isWindowsDriveLetter;
    function startsWithAWindowsDriveLetter(str) {
      return str.length >= 2 && isWindowsDriveLetter(str) && (str.length === 2 || (str[2] === "/" || str[2] === "\\" || str[2] === "?" || str[2] === "#"));
    }
    exports2.startsWithAWindowsDriveLetter = startsWithAWindowsDriveLetter;
    function hostParser(input, isNotSpecial) {
      if (isNotSpecial === void 0) {
        isNotSpecial = false;
      }
      if (input.startsWith("[")) {
        if (!input.endsWith("]")) {
          validationError("Expected ']' after '['.");
          return null;
        }
        return iPv6Parser(input.substring(1, input.length - 1));
      }
      if (isNotSpecial) {
        return opaqueHostParser(input);
      }
      var domain = util_1.utf8Decode(stringPercentDecode(input));
      var asciiDomain = domainToASCII(domain);
      if (asciiDomain === null) {
        validationError("Invalid domain.");
        return null;
      }
      if (_forbiddenHostCodePoint.test(asciiDomain)) {
        validationError("Invalid domain.");
        return null;
      }
      var ipv4Host = iPv4Parser(asciiDomain);
      if (ipv4Host === null || util_1.isNumber(ipv4Host))
        return ipv4Host;
      return asciiDomain;
    }
    exports2.hostParser = hostParser;
    function iPv4NumberParser(input, validationErrorFlag) {
      if (validationErrorFlag === void 0) {
        validationErrorFlag = { value: false };
      }
      var R = 10;
      if (input.startsWith("0x") || input.startsWith("0X")) {
        validationErrorFlag.value = true;
        input = input.substr(2);
        R = 16;
      } else if (input.length >= 2 && input[0] === "0") {
        validationErrorFlag.value = true;
        input = input.substr(1);
        R = 8;
      }
      if (input === "")
        return 0;
      var radixRDigits = R === 10 ? /^[0-9]+$/ : R === 16 ? /^[0-9A-Fa-f]+$/ : /^[0-7]+$/;
      if (!radixRDigits.test(input))
        return null;
      return parseInt(input, R);
    }
    exports2.iPv4NumberParser = iPv4NumberParser;
    function iPv4Parser(input) {
      var e_6, _a, e_7, _b;
      var validationErrorFlag = { value: false };
      var parts = input.split(".");
      if (parts[parts.length - 1] === "") {
        validationErrorFlag.value = true;
        if (parts.length > 1)
          parts.pop();
      }
      if (parts.length > 4)
        return input;
      var numbers = [];
      try {
        for (var parts_1 = __values(parts), parts_1_1 = parts_1.next(); !parts_1_1.done; parts_1_1 = parts_1.next()) {
          var part = parts_1_1.value;
          if (part === "")
            return input;
          var n = iPv4NumberParser(part, validationErrorFlag);
          if (n === null)
            return input;
          numbers.push(n);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return))
            _a.call(parts_1);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (validationErrorFlag.value)
        validationError("Invalid IP v4 address.");
      for (var i = 0; i < numbers.length; i++) {
        var item = numbers[i];
        if (item > 255) {
          validationError("Invalid IP v4 address.");
          if (i < numbers.length - 1)
            return null;
        }
      }
      if (numbers[numbers.length - 1] >= Math.pow(256, 5 - numbers.length)) {
        validationError("Invalid IP v4 address.");
        return null;
      }
      var ipv4 = numbers[numbers.length - 1];
      numbers.pop();
      var counter = 0;
      try {
        for (var numbers_1 = __values(numbers), numbers_1_1 = numbers_1.next(); !numbers_1_1.done; numbers_1_1 = numbers_1.next()) {
          var n = numbers_1_1.value;
          ipv4 += n * Math.pow(256, 3 - counter);
          counter++;
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (numbers_1_1 && !numbers_1_1.done && (_b = numbers_1.return))
            _b.call(numbers_1);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
      return ipv4;
    }
    exports2.iPv4Parser = iPv4Parser;
    function iPv6Parser(input) {
      var _a;
      var EOF = "";
      var address = [0, 0, 0, 0, 0, 0, 0, 0];
      var pieceIndex = 0;
      var compress = null;
      var walker = new util_1.StringWalker(input);
      if (walker.c() === ":") {
        if (!walker.remaining().startsWith(":")) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer += 2;
        pieceIndex += 1;
        compress = pieceIndex;
      }
      while (walker.c() !== EOF) {
        if (pieceIndex === 8) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        if (walker.c() === ":") {
          if (compress !== null) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer++;
          pieceIndex++;
          compress = pieceIndex;
          continue;
        }
        var value = 0;
        var length = 0;
        while (length < 4 && infra_1.codePoint.ASCIIHexDigit.test(walker.c())) {
          value = value * 16 + parseInt(walker.c(), 16);
          walker.pointer++;
          length++;
        }
        if (walker.c() === ".") {
          if (length === 0) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer -= length;
          if (pieceIndex > 6) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          var numbersSeen = 0;
          while (walker.c() !== EOF) {
            var ipv4Piece = null;
            if (numbersSeen > 0) {
              if (walker.c() === "." && numbersSeen < 4) {
                walker.pointer++;
              } else {
                validationError("Invalid IP v6 address.");
                return null;
              }
            }
            if (!infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            while (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              var number = parseInt(walker.c(), 10);
              if (ipv4Piece === null) {
                ipv4Piece = number;
              } else if (ipv4Piece === 0) {
                validationError("Invalid IP v6 address.");
                return null;
              } else {
                ipv4Piece = ipv4Piece * 10 + number;
              }
              if (ipv4Piece > 255) {
                validationError("Invalid IP v6 address.");
                return null;
              }
              walker.pointer++;
            }
            if (ipv4Piece === null) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
            numbersSeen++;
            if (numbersSeen === 2 || numbersSeen === 4)
              pieceIndex++;
          }
          if (numbersSeen !== 4) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          break;
        } else if (walker.c() === ":") {
          walker.pointer++;
          if (walker.c() === EOF) {
            validationError("Invalid IP v6 address.");
            return null;
          }
        } else if (walker.c() !== EOF) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        address[pieceIndex] = value;
        pieceIndex++;
      }
      if (compress !== null) {
        var swaps = pieceIndex - compress;
        pieceIndex = 7;
        while (pieceIndex !== 0 && swaps > 0) {
          _a = __read([address[compress + swaps - 1], address[pieceIndex]], 2), address[pieceIndex] = _a[0], address[compress + swaps - 1] = _a[1];
          pieceIndex--;
          swaps--;
        }
      } else if (compress === null && pieceIndex !== 8) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      return address;
    }
    exports2.iPv6Parser = iPv6Parser;
    function opaqueHostParser(input) {
      var e_8, _a;
      var forbiddenChars = /[\x00\t\f\r #/:?@\[\\\]]/;
      if (forbiddenChars.test(input)) {
        validationError("Invalid host string.");
        return null;
      }
      var output = "";
      try {
        for (var input_1 = __values(input), input_1_1 = input_1.next(); !input_1_1.done; input_1_1 = input_1.next()) {
          var codePoint = input_1_1.value;
          output += utf8PercentEncode(codePoint, _c0ControlPercentEncodeSet);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (input_1_1 && !input_1_1.done && (_a = input_1.return))
            _a.call(input_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return output;
    }
    exports2.opaqueHostParser = opaqueHostParser;
    function resolveABlobURL(url) {
      return null;
    }
    exports2.resolveABlobURL = resolveABlobURL;
    function percentEncode(value) {
      return "%" + ("00" + value.toString(16).toUpperCase()).slice(-2);
    }
    exports2.percentEncode = percentEncode;
    function percentDecode(input) {
      var isHexDigit = function(byte2) {
        return byte2 >= 48 && byte2 <= 57 || byte2 >= 65 && byte2 <= 70 || byte2 >= 97 && byte2 <= 102;
      };
      var output = new Uint8Array(input.length);
      var n = 0;
      for (var i = 0; i < input.length; i++) {
        var byte = input[i];
        if (byte !== 37) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && i >= input.length - 2) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && (!isHexDigit(input[i + 1]) || !isHexDigit(input[i + 2]))) {
          output[n] = byte;
          n++;
        } else {
          var bytePoint = parseInt(util_1.utf8Decode(Uint8Array.of(input[i + 1], input[i + 2])), 16);
          output[n] = bytePoint;
          n++;
          i += 2;
        }
      }
      return output.subarray(0, n);
    }
    exports2.percentDecode = percentDecode;
    function stringPercentDecode(input) {
      return percentDecode(util_1.utf8Encode(input));
    }
    exports2.stringPercentDecode = stringPercentDecode;
    function utf8PercentEncode(codePoint, percentEncodeSet) {
      var e_9, _a;
      if (!percentEncodeSet.test(codePoint))
        return codePoint;
      var bytes = util_1.utf8Encode(codePoint);
      var result = "";
      try {
        for (var bytes_2 = __values(bytes), bytes_2_1 = bytes_2.next(); !bytes_2_1.done; bytes_2_1 = bytes_2.next()) {
          var byte = bytes_2_1.value;
          result += percentEncode(byte);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (bytes_2_1 && !bytes_2_1.done && (_a = bytes_2.return))
            _a.call(bytes_2);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    }
    exports2.utf8PercentEncode = utf8PercentEncode;
    function hostEquals(hostA, hostB) {
      return hostA === hostB;
    }
    exports2.hostEquals = hostEquals;
    function urlEquals(urlA, urlB, excludeFragmentsFlag) {
      if (excludeFragmentsFlag === void 0) {
        excludeFragmentsFlag = false;
      }
      return urlSerializer(urlA, excludeFragmentsFlag) === urlSerializer(urlB, excludeFragmentsFlag);
    }
    exports2.urlEquals = urlEquals;
    function urlEncodedStringParser(input) {
      return urlEncodedParser(util_1.utf8Encode(input));
    }
    exports2.urlEncodedStringParser = urlEncodedStringParser;
    function urlEncodedParser(input) {
      var e_10, _a, e_11, _b;
      var sequences = [];
      var currentSequence = [];
      try {
        for (var input_2 = __values(input), input_2_1 = input_2.next(); !input_2_1.done; input_2_1 = input_2.next()) {
          var byte = input_2_1.value;
          if (byte === 38) {
            sequences.push(Uint8Array.from(currentSequence));
            currentSequence = [];
          } else {
            currentSequence.push(byte);
          }
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (input_2_1 && !input_2_1.done && (_a = input_2.return))
            _a.call(input_2);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (currentSequence.length !== 0) {
        sequences.push(Uint8Array.from(currentSequence));
      }
      var output = [];
      try {
        for (var sequences_1 = __values(sequences), sequences_1_1 = sequences_1.next(); !sequences_1_1.done; sequences_1_1 = sequences_1.next()) {
          var bytes = sequences_1_1.value;
          if (bytes.length === 0)
            continue;
          var index = bytes.indexOf(61);
          var name = index !== -1 ? bytes.slice(0, index) : bytes;
          var value = index !== -1 ? bytes.slice(index + 1) : new Uint8Array();
          for (var i = 0; i < name.length; i++)
            if (name[i] === 43)
              name[i] = 32;
          for (var i = 0; i < value.length; i++)
            if (value[i] === 43)
              value[i] = 32;
          var nameString = util_1.utf8Decode(name);
          var valueString = util_1.utf8Decode(value);
          output.push([nameString, valueString]);
        }
      } catch (e_11_1) {
        e_11 = { error: e_11_1 };
      } finally {
        try {
          if (sequences_1_1 && !sequences_1_1.done && (_b = sequences_1.return))
            _b.call(sequences_1);
        } finally {
          if (e_11)
            throw e_11.error;
        }
      }
      return output;
    }
    exports2.urlEncodedParser = urlEncodedParser;
    function urlEncodedByteSerializer(input) {
      var e_12, _a;
      var output = "";
      try {
        for (var input_3 = __values(input), input_3_1 = input_3.next(); !input_3_1.done; input_3_1 = input_3.next()) {
          var byte = input_3_1.value;
          if (byte === 32) {
            output += "+";
          } else if (byte === 42 || byte === 45 || byte === 46 || byte >= 48 && byte <= 57 || byte >= 65 && byte <= 90 || byte === 95 || byte >= 97 && byte <= 122) {
            output += String.fromCodePoint(byte);
          } else {
            output += percentEncode(byte);
          }
        }
      } catch (e_12_1) {
        e_12 = { error: e_12_1 };
      } finally {
        try {
          if (input_3_1 && !input_3_1.done && (_a = input_3.return))
            _a.call(input_3);
        } finally {
          if (e_12)
            throw e_12.error;
        }
      }
      return output;
    }
    exports2.urlEncodedByteSerializer = urlEncodedByteSerializer;
    function urlEncodedSerializer(tuples, encodingOverride) {
      var e_13, _a;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      if (encoding.toUpperCase() !== "UTF-8") {
        throw new Error("Only UTF-8 encoding is supported.");
      }
      var output = "";
      try {
        for (var tuples_1 = __values(tuples), tuples_1_1 = tuples_1.next(); !tuples_1_1.done; tuples_1_1 = tuples_1.next()) {
          var tuple = tuples_1_1.value;
          var name = urlEncodedByteSerializer(util_1.utf8Encode(tuple[0]));
          var value = tuple[1];
          value = urlEncodedByteSerializer(util_1.utf8Encode(value));
          if (output !== "")
            output += "&";
          output += name + "=" + value;
        }
      } catch (e_13_1) {
        e_13 = { error: e_13_1 };
      } finally {
        try {
          if (tuples_1_1 && !tuples_1_1.done && (_a = tuples_1.return))
            _a.call(tuples_1);
        } finally {
          if (e_13)
            throw e_13.error;
        }
      }
      return output;
    }
    exports2.urlEncodedSerializer = urlEncodedSerializer;
    function origin(url) {
      switch (url.scheme) {
        case "blob":
          if (url._blobURLEntry !== null) {
          }
          var parsedURL = basicURLParser(url.path[0]);
          if (parsedURL === null)
            return interfaces_1.OpaqueOrigin;
          else
            return origin(parsedURL);
        case "ftp":
        case "http":
        case "https":
        case "ws":
        case "wss":
          return [url.scheme, url.host === null ? "" : url.host, url.port, null];
        case "file":
          return interfaces_1.OpaqueOrigin;
        default:
          return interfaces_1.OpaqueOrigin;
      }
    }
    exports2.origin = origin;
    function domainToASCII(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToASCII(domain);
      if (result === "") {
        validationError("Invalid domain name.");
        return null;
      }
      return result;
    }
    exports2.domainToASCII = domainToASCII;
    function domainToUnicode(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToUnicode(domain);
      if (result === "") {
        validationError("Invalid domain name.");
      }
      return result;
    }
    exports2.domainToUnicode = domainToUnicode;
    function asciiSerializationOfAnOrigin(origin2) {
      if (origin2[0] === "" && origin2[1] === "" && origin2[2] === null && origin2[3] === null) {
        return "null";
      }
      var result = origin2[0] + "://" + hostSerializer(origin2[1]);
      if (origin2[2] !== null)
        result += ":" + origin2[2].toString();
      return result;
    }
    exports2.asciiSerializationOfAnOrigin = asciiSerializationOfAnOrigin;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js
var require_NodeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var interfaces_1 = require_interfaces2();
    var EventTargetImpl_1 = require_EventTargetImpl();
    var util_1 = require_util4();
    var DOMException_1 = require_DOMException();
    var algorithm_1 = require_algorithm();
    var URLAlgorithm_1 = require_URLAlgorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var NodeImpl = (
      /** @class */
      function(_super) {
        __extends(NodeImpl2, _super);
        function NodeImpl2() {
          var _this = _super.call(this) || this;
          _this._parent = null;
          _this._firstChild = null;
          _this._lastChild = null;
          _this._previousSibling = null;
          _this._nextSibling = null;
          return _this;
        }
        Object.defineProperty(NodeImpl2.prototype, "_childNodes", {
          get: function() {
            return this.__childNodes || (this.__childNodes = algorithm_1.create_nodeList(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverride || DOMImpl_1.dom.window._associatedDocument;
          },
          set: function(val) {
            this._nodeDocumentOverride = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_registeredObserverList", {
          get: function() {
            return this.__registeredObserverList || (this.__registeredObserverList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeType", {
          /** @inheritdoc */
          get: function() {
            return this._nodeType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeName", {
          /**
           * Returns a string appropriate for the type of node.
           */
          get: function() {
            if (util_1.Guard.isElementNode(this)) {
              return this._htmlUppercasedQualifiedName;
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._qualifiedName;
            } else if (util_1.Guard.isExclusiveTextNode(this)) {
              return "#text";
            } else if (util_1.Guard.isCDATASectionNode(this)) {
              return "#cdata-section";
            } else if (util_1.Guard.isProcessingInstructionNode(this)) {
              return this._target;
            } else if (util_1.Guard.isCommentNode(this)) {
              return "#comment";
            } else if (util_1.Guard.isDocumentNode(this)) {
              return "#document";
            } else if (util_1.Guard.isDocumentTypeNode(this)) {
              return this._name;
            } else if (util_1.Guard.isDocumentFragmentNode(this)) {
              return "#document-fragment";
            } else {
              return "";
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "baseURI", {
          /**
           * Gets the absolute base URL of the node.
           */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._nodeDocument._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "isConnected", {
          /**
           * Returns whether the node is rooted to a document node.
           */
          get: function() {
            return util_1.Guard.isElementNode(this) && algorithm_1.shadowTree_isConnected(this);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "ownerDocument", {
          /**
           * Returns the parent document.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Document)
              return null;
            else
              return this._nodeDocument;
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.getRootNode = function(options) {
          return algorithm_1.tree_rootNode(this, !!options && options.composed);
        };
        Object.defineProperty(NodeImpl2.prototype, "parentNode", {
          /**
           * Returns the parent node.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Attribute) {
              return null;
            } else {
              return this._parent;
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "parentElement", {
          /**
           * Returns the parent element.
           */
          get: function() {
            if (this._parent && util_1.Guard.isElementNode(this._parent)) {
              return this._parent;
            } else {
              return null;
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.hasChildNodes = function() {
          return this._firstChild !== null;
        };
        Object.defineProperty(NodeImpl2.prototype, "childNodes", {
          /**
           * Returns a {@link NodeList} of child nodes.
           */
          get: function() {
            return this._childNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "firstChild", {
          /**
           * Returns the first child node.
           */
          get: function() {
            return this._firstChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "lastChild", {
          /**
           * Returns the last child node.
           */
          get: function() {
            return this._lastChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "previousSibling", {
          /**
           * Returns the previous sibling node.
           */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nextSibling", {
          /**
           * Returns the next sibling node.
           */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeValue", {
          /**
           * Gets or sets the data associated with a {@link CharacterData} node or the
           * value of an {@link @Attr} node. For other node types returns `null`.
           */
          get: function() {
            if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "textContent", {
          /**
           * Returns the concatenation of data of all the {@link Text}
           * node descendants in tree order. When set, replaces the text
           * contents of the node with the given value.
           */
          get: function() {
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              return algorithm_1.text_descendantTextContent(this);
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              algorithm_1.node_stringReplaceAll(value, this);
            } else if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, algorithm_1.tree_nodeLength(this), value);
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.normalize = function() {
          var e_1, _a, e_2, _b;
          var descendantNodes = [];
          var node = algorithm_1.tree_getFirstDescendantNode(this, false, false, function(e) {
            return util_1.Guard.isExclusiveTextNode(e);
          });
          while (node !== null) {
            descendantNodes.push(node);
            node = algorithm_1.tree_getNextDescendantNode(this, node, false, false, function(e) {
              return util_1.Guard.isExclusiveTextNode(e);
            });
          }
          for (var i = 0; i < descendantNodes.length; i++) {
            var node_1 = descendantNodes[i];
            if (node_1._parent === null)
              continue;
            var length = algorithm_1.tree_nodeLength(node_1);
            if (length === 0) {
              algorithm_1.mutation_remove(node_1, node_1._parent);
              continue;
            }
            var textSiblings = [];
            var data = "";
            try {
              for (var _c = (e_1 = void 0, __values(algorithm_1.text_contiguousExclusiveTextNodes(node_1))), _d = _c.next(); !_d.done; _d = _c.next()) {
                var sibling = _d.value;
                textSiblings.push(sibling);
                data += sibling._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            algorithm_1.characterData_replaceData(node_1, length, 0, data);
            if (DOMImpl_1.dom.rangeList.size !== 0) {
              var currentNode = node_1._nextSibling;
              while (currentNode !== null && util_1.Guard.isExclusiveTextNode(currentNode)) {
                var cn = currentNode;
                var index = algorithm_1.tree_index(cn);
                try {
                  for (var _e = (e_2 = void 0, __values(DOMImpl_1.dom.rangeList)), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var range = _f.value;
                    if (range._start[0] === cn) {
                      range._start[0] = node_1;
                      range._start[1] += length;
                    }
                    if (range._end[0] === cn) {
                      range._end[0] = node_1;
                      range._end[1] += length;
                    }
                    if (range._start[0] === cn._parent && range._start[1] === index) {
                      range._start[0] = node_1;
                      range._start[1] = length;
                    }
                    if (range._end[0] === cn._parent && range._end[1] === index) {
                      range._end[0] = node_1;
                      range._end[1] = length;
                    }
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_f && !_f.done && (_b = _e.return))
                      _b.call(_e);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                length += algorithm_1.tree_nodeLength(currentNode);
                currentNode = currentNode._nextSibling;
              }
            }
            for (var i_1 = 0; i_1 < textSiblings.length; i_1++) {
              var sibling = textSiblings[i_1];
              if (sibling._parent === null)
                continue;
              algorithm_1.mutation_remove(sibling, sibling._parent);
            }
          }
        };
        NodeImpl2.prototype.cloneNode = function(deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isShadowRoot(this))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(this, null, deep);
        };
        NodeImpl2.prototype.isEqualNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return node !== null && algorithm_1.node_equals(this, node);
        };
        NodeImpl2.prototype.isSameNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return this === node;
        };
        NodeImpl2.prototype.compareDocumentPosition = function(other) {
          if (other === this)
            return 0;
          var node1 = other;
          var node2 = this;
          var attr1 = null;
          var attr2 = null;
          if (util_1.Guard.isAttrNode(node1)) {
            attr1 = node1;
            node1 = attr1._element;
          }
          if (util_1.Guard.isAttrNode(node2)) {
            attr2 = node2;
            node2 = attr2._element;
            if (attr1 && node1 && node1 === node2) {
              for (var i = 0; i < node2._attributeList.length; i++) {
                var attr = node2._attributeList[i];
                if (algorithm_1.node_equals(attr, attr1)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Preceding;
                } else if (algorithm_1.node_equals(attr, attr2)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Following;
                }
              }
            }
          }
          if (node1 === null || node2 === null || algorithm_1.tree_rootNode(node1) !== algorithm_1.tree_rootNode(node2)) {
            return interfaces_1.Position.Disconnected | interfaces_1.Position.ImplementationSpecific | (DOMImpl_1.dom.compareCache.check(this, other) ? interfaces_1.Position.Preceding : interfaces_1.Position.Following);
          }
          if (!attr1 && algorithm_1.tree_isAncestorOf(node2, node1) || attr2 && node1 === node2) {
            return interfaces_1.Position.Contains | interfaces_1.Position.Preceding;
          }
          if (!attr2 && algorithm_1.tree_isDescendantOf(node2, node1) || attr1 && node1 === node2) {
            return interfaces_1.Position.ContainedBy | interfaces_1.Position.Following;
          }
          if (algorithm_1.tree_isPreceding(node2, node1))
            return interfaces_1.Position.Preceding;
          return interfaces_1.Position.Following;
        };
        NodeImpl2.prototype.contains = function(other) {
          if (other === null)
            return false;
          return algorithm_1.tree_isDescendantOf(this, other, true);
        };
        NodeImpl2.prototype.lookupPrefix = function(namespace) {
          if (!namespace)
            return null;
          if (util_1.Guard.isElementNode(this)) {
            return algorithm_1.node_locateANamespacePrefix(this, namespace);
          } else if (util_1.Guard.isDocumentNode(this)) {
            if (this.documentElement === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this.documentElement, namespace);
            }
          } else if (util_1.Guard.isDocumentTypeNode(this) || util_1.Guard.isDocumentFragmentNode(this)) {
            return null;
          } else if (util_1.Guard.isAttrNode(this)) {
            if (this._element === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this._element, namespace);
            }
          } else {
            if (this._parent !== null && util_1.Guard.isElementNode(this._parent)) {
              return algorithm_1.node_locateANamespacePrefix(this._parent, namespace);
            } else {
              return null;
            }
          }
        };
        NodeImpl2.prototype.lookupNamespaceURI = function(prefix) {
          return algorithm_1.node_locateANamespace(this, prefix || null);
        };
        NodeImpl2.prototype.isDefaultNamespace = function(namespace) {
          if (!namespace)
            namespace = null;
          var defaultNamespace = algorithm_1.node_locateANamespace(this, null);
          return defaultNamespace === namespace;
        };
        NodeImpl2.prototype.insertBefore = function(newChild, refChild) {
          return algorithm_1.mutation_preInsert(newChild, this, refChild);
        };
        NodeImpl2.prototype.appendChild = function(newChild) {
          return algorithm_1.mutation_append(newChild, this);
        };
        NodeImpl2.prototype.replaceChild = function(newChild, oldChild) {
          return algorithm_1.mutation_replace(oldChild, newChild, this);
        };
        NodeImpl2.prototype.removeChild = function(oldChild) {
          return algorithm_1.mutation_preRemove(oldChild, this);
        };
        NodeImpl2.prototype._getTheParent = function(event) {
          if (util_1.Guard.isSlotable(this) && algorithm_1.shadowTree_isAssigned(this)) {
            return this._assignedSlot;
          } else {
            return this._parent;
          }
        };
        NodeImpl2.ELEMENT_NODE = 1;
        NodeImpl2.ATTRIBUTE_NODE = 2;
        NodeImpl2.TEXT_NODE = 3;
        NodeImpl2.CDATA_SECTION_NODE = 4;
        NodeImpl2.ENTITY_REFERENCE_NODE = 5;
        NodeImpl2.ENTITY_NODE = 6;
        NodeImpl2.PROCESSING_INSTRUCTION_NODE = 7;
        NodeImpl2.COMMENT_NODE = 8;
        NodeImpl2.DOCUMENT_NODE = 9;
        NodeImpl2.DOCUMENT_TYPE_NODE = 10;
        NodeImpl2.DOCUMENT_FRAGMENT_NODE = 11;
        NodeImpl2.NOTATION_NODE = 12;
        NodeImpl2.DOCUMENT_POSITION_DISCONNECTED = 1;
        NodeImpl2.DOCUMENT_POSITION_PRECEDING = 2;
        NodeImpl2.DOCUMENT_POSITION_FOLLOWING = 4;
        NodeImpl2.DOCUMENT_POSITION_CONTAINS = 8;
        NodeImpl2.DOCUMENT_POSITION_CONTAINED_BY = 16;
        NodeImpl2.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 32;
        return NodeImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.NodeImpl = NodeImpl;
    NodeImpl.prototype._children = new util_1.EmptySet();
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ELEMENT_NODE", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ATTRIBUTE_NODE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "TEXT_NODE", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "CDATA_SECTION_NODE", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_REFERENCE_NODE", 5);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_NODE", 6);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "PROCESSING_INSTRUCTION_NODE", 7);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "COMMENT_NODE", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_NODE", 9);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_TYPE_NODE", 10);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_FRAGMENT_NODE", 11);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "NOTATION_NODE", 12);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_DISCONNECTED", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_PRECEDING", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_FOLLOWING", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINS", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINED_BY", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC", 32);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js
var require_DocumentImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var interfaces_1 = require_interfaces2();
    var DOMException_1 = require_DOMException();
    var NodeImpl_1 = require_NodeImpl();
    var util_1 = require_util4();
    var util_2 = require_lib();
    var infra_1 = require_lib2();
    var URLAlgorithm_1 = require_URLAlgorithm();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var DocumentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentImpl2, _super);
        function DocumentImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._encoding = {
            name: "UTF-8",
            labels: ["unicode-1-1-utf-8", "utf-8", "utf8"]
          };
          _this._contentType = "application/xml";
          _this._URL = {
            scheme: "about",
            username: "",
            password: "",
            host: null,
            port: null,
            path: ["blank"],
            query: null,
            fragment: null,
            _cannotBeABaseURLFlag: true,
            _blobURLEntry: null
          };
          _this._origin = null;
          _this._type = "xml";
          _this._mode = "no-quirks";
          _this._documentElement = null;
          _this._hasNamespaces = false;
          _this._nodeDocumentOverwrite = null;
          return _this;
        }
        Object.defineProperty(DocumentImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverwrite || this;
          },
          set: function(val) {
            this._nodeDocumentOverwrite = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "implementation", {
          /** @inheritdoc */
          get: function() {
            return this._implementation || (this._implementation = algorithm_1.create_domImplementation(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "URL", {
          /** @inheritdoc */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentURI", {
          /** @inheritdoc */
          get: function() {
            return this.URL;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "origin", {
          /** @inheritdoc */
          get: function() {
            return "null";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "compatMode", {
          /** @inheritdoc */
          get: function() {
            return this._mode === "quirks" ? "BackCompat" : "CSS1Compat";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "characterSet", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "charset", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "inputEncoding", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "contentType", {
          /** @inheritdoc */
          get: function() {
            return this._contentType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "doctype", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            try {
              for (var _b = __values(this._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var child = _c.value;
                if (util_1.Guard.isDocumentTypeNode(child))
                  return child;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentElement", {
          /** @inheritdoc */
          get: function() {
            return this._documentElement;
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        DocumentImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        DocumentImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        DocumentImpl2.prototype.createElement = function(localName, options) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html")
            localName = localName.toLowerCase();
          var is = null;
          if (options !== void 0) {
            if (util_2.isString(options)) {
              is = options;
            } else {
              is = options.is;
            }
          }
          var namespace = this._type === "html" || this._contentType === "application/xhtml+xml" ? infra_1.namespace.HTML : null;
          return algorithm_1.element_createAnElement(this, localName, namespace, null, is, true);
        };
        DocumentImpl2.prototype.createElementNS = function(namespace, qualifiedName, options) {
          return algorithm_1.document_internalCreateElementNS(this, namespace, qualifiedName, options);
        };
        DocumentImpl2.prototype.createDocumentFragment = function() {
          return algorithm_1.create_documentFragment(this);
        };
        DocumentImpl2.prototype.createTextNode = function(data) {
          return algorithm_1.create_text(this, data);
        };
        DocumentImpl2.prototype.createCDATASection = function(data) {
          if (this._type === "html")
            throw new DOMException_1.NotSupportedError();
          if (data.indexOf("]]>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_cdataSection(this, data);
        };
        DocumentImpl2.prototype.createComment = function(data) {
          return algorithm_1.create_comment(this, data);
        };
        DocumentImpl2.prototype.createProcessingInstruction = function(target, data) {
          if (!algorithm_1.xml_isName(target))
            throw new DOMException_1.InvalidCharacterError();
          if (data.indexOf("?>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_processingInstruction(this, target, data);
        };
        DocumentImpl2.prototype.importNode = function(node, deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isDocumentNode(node) || util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(node, this, deep);
        };
        DocumentImpl2.prototype.adoptNode = function(node) {
          if (util_1.Guard.isDocumentNode(node))
            throw new DOMException_1.NotSupportedError();
          if (util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.HierarchyRequestError();
          algorithm_1.document_adopt(node, this);
          return node;
        };
        DocumentImpl2.prototype.createAttribute = function(localName) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html") {
            localName = localName.toLowerCase();
          }
          var attr = algorithm_1.create_attr(this, localName);
          return attr;
        };
        DocumentImpl2.prototype.createAttributeNS = function(namespace, qualifiedName) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          var attr = algorithm_1.create_attr(this, localName);
          attr._namespace = ns;
          attr._namespacePrefix = prefix;
          return attr;
        };
        DocumentImpl2.prototype.createEvent = function(eventInterface) {
          return algorithm_1.event_createLegacyEvent(eventInterface);
        };
        DocumentImpl2.prototype.createRange = function() {
          var range = algorithm_1.create_range();
          range._start = [this, 0];
          range._end = [this, 0];
          return range;
        };
        DocumentImpl2.prototype.createNodeIterator = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var iterator = algorithm_1.create_nodeIterator(root, root, true);
          iterator._whatToShow = whatToShow;
          iterator._iteratorCollection = algorithm_1.create_nodeList(root);
          if (util_2.isFunction(filter)) {
            iterator._filter = algorithm_1.create_nodeFilter();
            iterator._filter.acceptNode = filter;
          } else {
            iterator._filter = filter;
          }
          return iterator;
        };
        DocumentImpl2.prototype.createTreeWalker = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var walker = algorithm_1.create_treeWalker(root, root);
          walker._whatToShow = whatToShow;
          if (util_2.isFunction(filter)) {
            walker._filter = algorithm_1.create_nodeFilter();
            walker._filter.acceptNode = filter;
          } else {
            walker._filter = filter;
          }
          return walker;
        };
        DocumentImpl2.prototype._getTheParent = function(event) {
          if (event._type === "load") {
            return null;
          } else {
            return DOMImpl_1.dom.window;
          }
        };
        DocumentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentImpl2.prototype, "children", {
          // MIXIN: DocumentOrShadowRoot
          // No elements
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        return DocumentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentImpl = DocumentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentImpl.prototype, "_nodeType", interfaces_1.NodeType.Document);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js
var require_XMLDocumentImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentImpl_1 = require_DocumentImpl();
    var XMLDocumentImpl = (
      /** @class */
      function(_super) {
        __extends(XMLDocumentImpl2, _super);
        function XMLDocumentImpl2() {
          return _super.call(this) || this;
        }
        return XMLDocumentImpl2;
      }(DocumentImpl_1.DocumentImpl)
    );
    exports2.XMLDocumentImpl = XMLDocumentImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js
var require_AbortControllerImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm();
    var AbortControllerImpl = (
      /** @class */
      function() {
        function AbortControllerImpl2() {
          this._signal = algorithm_1.create_abortSignal();
        }
        Object.defineProperty(AbortControllerImpl2.prototype, "signal", {
          /** @inheritdoc */
          get: function() {
            return this._signal;
          },
          enumerable: true,
          configurable: true
        });
        AbortControllerImpl2.prototype.abort = function() {
          algorithm_1.abort_signalAbort(this._signal);
        };
        return AbortControllerImpl2;
      }()
    );
    exports2.AbortControllerImpl = AbortControllerImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js
var require_AbortSignalImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl();
    var algorithm_1 = require_algorithm();
    var AbortSignalImpl = (
      /** @class */
      function(_super) {
        __extends(AbortSignalImpl2, _super);
        function AbortSignalImpl2() {
          var _this = _super.call(this) || this;
          _this._abortedFlag = false;
          _this._abortAlgorithms = /* @__PURE__ */ new Set();
          return _this;
        }
        Object.defineProperty(AbortSignalImpl2.prototype, "aborted", {
          /** @inheritdoc */
          get: function() {
            return this._abortedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbortSignalImpl2.prototype, "onabort", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.event_getterEventHandlerIDLAttribute(this, "onabort");
          },
          set: function(val) {
            algorithm_1.event_setterEventHandlerIDLAttribute(this, "onabort", val);
          },
          enumerable: true,
          configurable: true
        });
        AbortSignalImpl2._create = function() {
          return new AbortSignalImpl2();
        };
        return AbortSignalImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.AbortSignalImpl = AbortSignalImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js
var require_DocumentTypeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var NodeImpl_1 = require_NodeImpl();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var DocumentTypeImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentTypeImpl2, _super);
        function DocumentTypeImpl2(name, publicId, systemId) {
          var _this = _super.call(this) || this;
          _this._name = "";
          _this._publicId = "";
          _this._systemId = "";
          _this._name = name;
          _this._publicId = publicId;
          _this._systemId = systemId;
          return _this;
        }
        Object.defineProperty(DocumentTypeImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "publicId", {
          /** @inheritdoc */
          get: function() {
            return this._publicId;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "systemId", {
          /** @inheritdoc */
          get: function() {
            return this._systemId;
          },
          enumerable: true,
          configurable: true
        });
        DocumentTypeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2._create = function(document, name, publicId, systemId) {
          if (publicId === void 0) {
            publicId = "";
          }
          if (systemId === void 0) {
            systemId = "";
          }
          var node = new DocumentTypeImpl2(name, publicId, systemId);
          node._nodeDocument = document;
          return node;
        };
        return DocumentTypeImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentTypeImpl = DocumentTypeImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentTypeImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentType);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js
var require_ElementImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var NodeImpl_1 = require_NodeImpl();
    var DOMException_1 = require_DOMException();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var ElementImpl = (
      /** @class */
      function(_super) {
        __extends(ElementImpl2, _super);
        function ElementImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._localName = "";
          _this._customElementState = "undefined";
          _this._customElementDefinition = null;
          _this._is = null;
          _this._shadowRoot = null;
          _this._attributeList = algorithm_1.create_namedNodeMap(_this);
          _this._attributeChangeSteps = [];
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(ElementImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "tagName", {
          /** @inheritdoc */
          get: function() {
            return this._htmlUppercasedQualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "id", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "id");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "id", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "className", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "class");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "class", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "classList", {
          /** @inheritdoc */
          get: function() {
            var attr = algorithm_1.element_getAnAttributeByName("class", this);
            if (attr === null) {
              attr = algorithm_1.create_attr(this._nodeDocument, "class");
            }
            return algorithm_1.create_domTokenList(this, attr);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "slot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "slot");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "slot", value);
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.hasAttributes = function() {
          return this._attributeList.length !== 0;
        };
        Object.defineProperty(ElementImpl2.prototype, "attributes", {
          /** @inheritdoc */
          get: function() {
            return this._attributeList;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.getAttributeNames = function() {
          var e_1, _a;
          var names = [];
          try {
            for (var _b = __values(this._attributeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              names.push(attr._qualifiedName);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return names;
        };
        ElementImpl2.prototype.getAttribute = function(qualifiedName) {
          var attr = algorithm_1.element_getAnAttributeByName(qualifiedName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.getAttributeNS = function(namespace, localName) {
          var attr = algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.setAttribute = function(qualifiedName, value) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
            attribute._value = value;
            algorithm_1.element_append(attribute, this);
            return;
          }
          algorithm_1.element_change(attribute, this, value);
        };
        ElementImpl2.prototype.setAttributeNS = function(namespace, qualifiedName, value) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          algorithm_1.element_setAnAttributeValue(this, localName, value, prefix, ns);
        };
        ElementImpl2.prototype.removeAttribute = function(qualifiedName) {
          algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.removeAttributeNS = function(namespace, localName) {
          algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.hasAttribute = function(qualifiedName) {
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.toggleAttribute = function(qualifiedName, force) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            if (force === void 0 || force === true) {
              attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
              attribute._value = "";
              algorithm_1.element_append(attribute, this);
              return true;
            }
            return false;
          } else if (force === void 0 || force === false) {
            algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
            return false;
          }
          return true;
        };
        ElementImpl2.prototype.hasAttributeNS = function(namespace, localName) {
          var ns = namespace || null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._namespace === ns && attr._localName === localName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.getAttributeNode = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.getAttributeNodeNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.setAttributeNode = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.setAttributeNodeNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.removeAttributeNode = function(attr) {
          var found = false;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attribute = this._attributeList[i];
            if (attribute === attr) {
              found = true;
              break;
            }
          }
          if (!found)
            throw new DOMException_1.NotFoundError();
          algorithm_1.element_remove(attr, this);
          return attr;
        };
        ElementImpl2.prototype.attachShadow = function(init) {
          if (this._namespace !== infra_1.namespace.HTML)
            throw new DOMException_1.NotSupportedError();
          if (!algorithm_1.customElement_isValidCustomElementName(this._localName) && !algorithm_1.customElement_isValidShadowHostName(this._localName))
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.customElement_isValidCustomElementName(this._localName) || this._is !== null) {
            var definition = algorithm_1.customElement_lookUpACustomElementDefinition(this._nodeDocument, this._namespace, this._localName, this._is);
            if (definition !== null && definition.disableShadow === true) {
              throw new DOMException_1.NotSupportedError();
            }
          }
          if (this._shadowRoot !== null)
            throw new DOMException_1.NotSupportedError();
          var shadow = algorithm_1.create_shadowRoot(this._nodeDocument, this);
          shadow._mode = init.mode;
          this._shadowRoot = shadow;
          return shadow;
        };
        Object.defineProperty(ElementImpl2.prototype, "shadowRoot", {
          /** @inheritdoc */
          get: function() {
            var shadow = this._shadowRoot;
            if (shadow === null || shadow.mode === "closed")
              return null;
            else
              return shadow;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.closest = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.matches = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.webkitMatchesSelector = function(selectors) {
          return this.matches(selectors);
        };
        ElementImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        ElementImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        ElementImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        ElementImpl2.prototype.insertAdjacentElement = function(where, element) {
          return algorithm_1.element_insertAdjacent(this, where, element);
        };
        ElementImpl2.prototype.insertAdjacentText = function(where, data) {
          var text = algorithm_1.create_text(this._nodeDocument, data);
          algorithm_1.element_insertAdjacent(this, where, text);
        };
        Object.defineProperty(ElementImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "_htmlUppercasedQualifiedName", {
          /**
           * Returns the upper-cased qualified name for a html element.
           */
          get: function() {
            var qualifiedName = this._qualifiedName;
            if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
              qualifiedName = qualifiedName.toUpperCase();
            }
            return qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2._create = function(document, localName, namespace, namespacePrefix) {
          if (namespace === void 0) {
            namespace = null;
          }
          if (namespacePrefix === void 0) {
            namespacePrefix = null;
          }
          var node = new ElementImpl2();
          node._localName = localName;
          node._namespace = namespace;
          node._namespacePrefix = namespacePrefix;
          node._nodeDocument = document;
          return node;
        };
        return ElementImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.ElementImpl = ElementImpl;
    WebIDLAlgorithm_1.idl_defineConst(ElementImpl.prototype, "_nodeType", interfaces_1.NodeType.Element);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js
var require_DocumentFragmentImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var NodeImpl_1 = require_NodeImpl();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var DocumentFragmentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentFragmentImpl2, _super);
        function DocumentFragmentImpl2(host) {
          if (host === void 0) {
            host = null;
          }
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._host = host;
          return _this;
        }
        DocumentFragmentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentFragmentImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentFragmentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2._create = function(document, host) {
          if (host === void 0) {
            host = null;
          }
          var node = new DocumentFragmentImpl2(host);
          node._nodeDocument = document;
          return node;
        };
        return DocumentFragmentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentFragmentImpl = DocumentFragmentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentFragmentImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentFragment);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js
var require_ShadowRootImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
    var util_1 = require_lib();
    var algorithm_1 = require_algorithm();
    var ShadowRootImpl = (
      /** @class */
      function(_super) {
        __extends(ShadowRootImpl2, _super);
        function ShadowRootImpl2(host, mode) {
          var _this = _super.call(this) || this;
          _this._host = host;
          _this._mode = mode;
          return _this;
        }
        Object.defineProperty(ShadowRootImpl2.prototype, "mode", {
          /** @inheritdoc */
          get: function() {
            return this._mode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ShadowRootImpl2.prototype, "host", {
          /** @inheritdoc */
          get: function() {
            return this._host;
          },
          enumerable: true,
          configurable: true
        });
        ShadowRootImpl2.prototype._getTheParent = function(event) {
          if (!event._composedFlag && !util_1.isEmpty(event._path) && algorithm_1.tree_rootNode(event._path[0].invocationTarget) === this) {
            return null;
          } else {
            return this._host;
          }
        };
        ShadowRootImpl2._create = function(document, host) {
          return new ShadowRootImpl2(host, "closed");
        };
        return ShadowRootImpl2;
      }(DocumentFragmentImpl_1.DocumentFragmentImpl)
    );
    exports2.ShadowRootImpl = ShadowRootImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js
var require_AttrImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var NodeImpl_1 = require_NodeImpl();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var AttrImpl = (
      /** @class */
      function(_super) {
        __extends(AttrImpl2, _super);
        function AttrImpl2(localName) {
          var _this = _super.call(this) || this;
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._element = null;
          _this._value = "";
          _this._localName = localName;
          return _this;
        }
        Object.defineProperty(AttrImpl2.prototype, "ownerElement", {
          /** @inheritdoc */
          get: function() {
            return this._element;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return this._value;
          },
          set: function(value) {
            algorithm_1.attr_setAnExistingAttributeValue(this, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix !== null ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        AttrImpl2._create = function(document, localName) {
          var node = new AttrImpl2(localName);
          node._nodeDocument = document;
          return node;
        };
        return AttrImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.AttrImpl = AttrImpl;
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "_nodeType", interfaces_1.NodeType.Attribute);
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "specified", true);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js
var require_CharacterDataImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NodeImpl_1 = require_NodeImpl();
    var algorithm_1 = require_algorithm();
    var CharacterDataImpl = (
      /** @class */
      function(_super) {
        __extends(CharacterDataImpl2, _super);
        function CharacterDataImpl2(data) {
          var _this = _super.call(this) || this;
          _this._data = data;
          return _this;
        }
        Object.defineProperty(CharacterDataImpl2.prototype, "data", {
          /** @inheritdoc */
          get: function() {
            return this._data;
          },
          set: function(value) {
            algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._data.length;
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.substringData = function(offset, count) {
          return algorithm_1.characterData_substringData(this, offset, count);
        };
        CharacterDataImpl2.prototype.appendData = function(data) {
          return algorithm_1.characterData_replaceData(this, this._data.length, 0, data);
        };
        CharacterDataImpl2.prototype.insertData = function(offset, data) {
          algorithm_1.characterData_replaceData(this, offset, 0, data);
        };
        CharacterDataImpl2.prototype.deleteData = function(offset, count) {
          algorithm_1.characterData_replaceData(this, offset, count, "");
        };
        CharacterDataImpl2.prototype.replaceData = function(offset, count, data) {
          algorithm_1.characterData_replaceData(this, offset, count, data);
        };
        Object.defineProperty(CharacterDataImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        return CharacterDataImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.CharacterDataImpl = CharacterDataImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/TextImpl.js
var require_TextImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/TextImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var CharacterDataImpl_1 = require_CharacterDataImpl();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var TextImpl = (
      /** @class */
      function(_super) {
        __extends(TextImpl2, _super);
        function TextImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          var _this = _super.call(this, data) || this;
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(TextImpl2.prototype, "wholeText", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var text = "";
            try {
              for (var _b = __values(algorithm_1.text_contiguousTextNodes(this, true)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                text = text + node._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return text;
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2.prototype.splitText = function(offset) {
          return algorithm_1.text_split(this, offset);
        };
        Object.defineProperty(TextImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new TextImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return TextImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.TextImpl = TextImpl;
    WebIDLAlgorithm_1.idl_defineConst(TextImpl.prototype, "_nodeType", interfaces_1.NodeType.Text);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js
var require_CDATASectionImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TextImpl_1 = require_TextImpl();
    var interfaces_1 = require_interfaces2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var CDATASectionImpl = (
      /** @class */
      function(_super) {
        __extends(CDATASectionImpl2, _super);
        function CDATASectionImpl2(data) {
          return _super.call(this, data) || this;
        }
        CDATASectionImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CDATASectionImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CDATASectionImpl2;
      }(TextImpl_1.TextImpl)
    );
    exports2.CDATASectionImpl = CDATASectionImpl;
    WebIDLAlgorithm_1.idl_defineConst(CDATASectionImpl.prototype, "_nodeType", interfaces_1.NodeType.CData);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js
var require_CommentImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var CharacterDataImpl_1 = require_CharacterDataImpl();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var CommentImpl = (
      /** @class */
      function(_super) {
        __extends(CommentImpl2, _super);
        function CommentImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          return _super.call(this, data) || this;
        }
        CommentImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CommentImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CommentImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.CommentImpl = CommentImpl;
    WebIDLAlgorithm_1.idl_defineConst(CommentImpl.prototype, "_nodeType", interfaces_1.NodeType.Comment);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js
var require_ProcessingInstructionImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var CharacterDataImpl_1 = require_CharacterDataImpl();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var ProcessingInstructionImpl = (
      /** @class */
      function(_super) {
        __extends(ProcessingInstructionImpl2, _super);
        function ProcessingInstructionImpl2(target, data) {
          var _this = _super.call(this, data) || this;
          _this._target = target;
          return _this;
        }
        Object.defineProperty(ProcessingInstructionImpl2.prototype, "target", {
          /**
           * Gets the target of the {@link ProcessingInstruction} node.
           */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        ProcessingInstructionImpl2._create = function(document, target, data) {
          var node = new ProcessingInstructionImpl2(target, data);
          node._nodeDocument = document;
          return node;
        };
        return ProcessingInstructionImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.ProcessingInstructionImpl = ProcessingInstructionImpl;
    WebIDLAlgorithm_1.idl_defineConst(ProcessingInstructionImpl.prototype, "_nodeType", interfaces_1.NodeType.ProcessingInstruction);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js
var require_HTMLCollectionImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var util_1 = require_util4();
    var util_2 = require_lib();
    var HTMLCollectionImpl = (
      /** @class */
      function() {
        function HTMLCollectionImpl2(root, filter) {
          this._live = true;
          this._root = root;
          this._filter = filter;
          return new Proxy(this, this);
        }
        Object.defineProperty(HTMLCollectionImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            var _this = this;
            var count = 0;
            var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
            while (node !== null) {
              count++;
              node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
                return util_1.Guard.isElementNode(e) && _this._filter(e);
              });
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        HTMLCollectionImpl2.prototype.item = function(index) {
          var _this = this;
          var i = 0;
          var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (node !== null) {
            if (i === index)
              return node;
            else
              i++;
            node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype.namedItem = function(key) {
          var _this = this;
          if (key === "")
            return null;
          var ele = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (ele != null) {
            if (ele._uniqueIdentifier === key) {
              return ele;
            } else if (ele._namespace === infra_1.namespace.HTML) {
              for (var i = 0; i < ele._attributeList.length; i++) {
                var attr = ele._attributeList[i];
                if (attr._localName === "name" && attr._namespace === null && attr._namespacePrefix === null && attr._value === key)
                  return ele;
              }
            }
            ele = algorithm_1.tree_getNextDescendantNode(this._root, ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype[Symbol.iterator] = function() {
          var root = this._root;
          var filter = this._filter;
          var currentNode = algorithm_1.tree_getFirstDescendantNode(root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && filter(e);
          });
          return {
            next: function() {
              if (currentNode === null) {
                return { done: true, value: null };
              } else {
                var result = { done: false, value: currentNode };
                currentNode = algorithm_1.tree_getNextDescendantNode(root, currentNode, false, false, function(e) {
                  return util_1.Guard.isElementNode(e) && filter(e);
                });
                return result;
              }
            }
          };
        };
        HTMLCollectionImpl2.prototype.get = function(target, key, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return target.namedItem(key) || void 0;
          } else {
            return target.item(index) || void 0;
          }
        };
        HTMLCollectionImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          var node = isNaN(index) ? target.namedItem(key) || void 0 : target.item(index) || void 0;
          if (node && node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        HTMLCollectionImpl2._create = function(root, filter) {
          if (filter === void 0) {
            filter = function() {
              return true;
            };
          }
          return new HTMLCollectionImpl2(root, filter);
        };
        HTMLCollectionImpl2.reservedNames = [
          "_root",
          "_live",
          "_filter",
          "length",
          "item",
          "namedItem",
          "get",
          "set"
        ];
        return HTMLCollectionImpl2;
      }()
    );
    exports2.HTMLCollectionImpl = HTMLCollectionImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js
var require_NodeListImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_lib();
    var algorithm_1 = require_algorithm();
    var NodeListImpl = (
      /** @class */
      function() {
        function NodeListImpl2(root) {
          this._live = true;
          this._filter = null;
          this._length = 0;
          this._root = root;
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._root._children.size;
          },
          enumerable: true,
          configurable: true
        });
        NodeListImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          if (index < this.length / 2) {
            var i = 0;
            var node = this._root._firstChild;
            while (node !== null && i !== index) {
              node = node._nextSibling;
              i++;
            }
            return node;
          } else {
            var i = this.length - 1;
            var node = this._root._lastChild;
            while (node !== null && i !== index) {
              node = node._previousSibling;
              i--;
            }
            return node;
          }
        };
        NodeListImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype[Symbol.iterator] = function() {
          return this._root._children[Symbol.iterator]();
        };
        NodeListImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._root._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target.item(index) || void 0;
        };
        NodeListImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          var node = target.item(index) || void 0;
          if (!node)
            return false;
          if (node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        NodeListImpl2._create = function(root) {
          return new NodeListImpl2(root);
        };
        return NodeListImpl2;
      }()
    );
    exports2.NodeListImpl = NodeListImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js
var require_NodeListStaticImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_lib();
    var NodeListStaticImpl = (
      /** @class */
      function() {
        function NodeListStaticImpl2(root) {
          this._live = false;
          this._items = [];
          this._length = 0;
          this._root = root;
          this._items = [];
          this._filter = function(node) {
            return true;
          };
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListStaticImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._items.length;
          },
          enumerable: true,
          configurable: true
        });
        NodeListStaticImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          return this._items[index];
        };
        NodeListStaticImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype[Symbol.iterator] = function() {
          var it = this._items[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        NodeListStaticImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._items), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListStaticImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target._items[index] || void 0;
        };
        NodeListStaticImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          if (index >= 0 && index < target._items.length) {
            target._items[index] = value;
            return true;
          } else {
            return false;
          }
        };
        NodeListStaticImpl2._create = function(root, items) {
          var list = new NodeListStaticImpl2(root);
          list._items = items;
          return list;
        };
        return NodeListStaticImpl2;
      }()
    );
    exports2.NodeListStaticImpl = NodeListStaticImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js
var require_NamedNodeMapImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException();
    var algorithm_1 = require_algorithm();
    var NamedNodeMapImpl = (
      /** @class */
      function(_super) {
        __extends(NamedNodeMapImpl2, _super);
        function NamedNodeMapImpl2(element) {
          var _this = _super.call(this) || this;
          _this._element = element;
          Object.setPrototypeOf(_this, NamedNodeMapImpl2.prototype);
          return _this;
        }
        NamedNodeMapImpl2.prototype._asArray = function() {
          return this;
        };
        NamedNodeMapImpl2.prototype.item = function(index) {
          return this[index] || null;
        };
        NamedNodeMapImpl2.prototype.getNamedItem = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this._element);
        };
        NamedNodeMapImpl2.prototype.getNamedItemNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItem = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItemNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.removeNamedItem = function(qualifiedName) {
          var attr = algorithm_1.element_removeAnAttributeByName(qualifiedName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2.prototype.removeNamedItemNS = function(namespace, localName) {
          var attr = algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2._create = function(element) {
          return new NamedNodeMapImpl2(element);
        };
        return NamedNodeMapImpl2;
      }(Array)
    );
    exports2.NamedNodeMapImpl = NamedNodeMapImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js
var require_AbstractRangeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl = (
      /** @class */
      function() {
        function AbstractRangeImpl2() {
        }
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startNode", {
          get: function() {
            return this._start[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startOffset", {
          get: function() {
            return this._start[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endNode", {
          get: function() {
            return this._end[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endOffset", {
          get: function() {
            return this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_collapsed", {
          get: function() {
            return this._start[0] === this._end[0] && this._start[1] === this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startContainer", {
          /** @inheritdoc */
          get: function() {
            return this._startNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startOffset", {
          /** @inheritdoc */
          get: function() {
            return this._startOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endContainer", {
          /** @inheritdoc */
          get: function() {
            return this._endNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endOffset", {
          /** @inheritdoc */
          get: function() {
            return this._endOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "collapsed", {
          /** @inheritdoc */
          get: function() {
            return this._collapsed;
          },
          enumerable: true,
          configurable: true
        });
        return AbstractRangeImpl2;
      }()
    );
    exports2.AbstractRangeImpl = AbstractRangeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js
var require_RangeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var interfaces_1 = require_interfaces2();
    var AbstractRangeImpl_1 = require_AbstractRangeImpl();
    var DOMException_1 = require_DOMException();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var util_1 = require_util4();
    var RangeImpl = (
      /** @class */
      function(_super) {
        __extends(RangeImpl2, _super);
        function RangeImpl2() {
          var _this = _super.call(this) || this;
          var doc = DOMImpl_1.dom.window._associatedDocument;
          _this._start = [doc, 0];
          _this._end = [doc, 0];
          DOMImpl_1.dom.rangeList.add(_this);
          return _this;
        }
        Object.defineProperty(RangeImpl2.prototype, "commonAncestorContainer", {
          /** @inheritdoc */
          get: function() {
            var container = this._start[0];
            while (!algorithm_1.tree_isAncestorOf(this._end[0], container, true)) {
              if (container._parent === null) {
                throw new Error("Parent node  is null.");
              }
              container = container._parent;
            }
            return container;
          },
          enumerable: true,
          configurable: true
        });
        RangeImpl2.prototype.setStart = function(node, offset) {
          algorithm_1.range_setTheStart(this, node, offset);
        };
        RangeImpl2.prototype.setEnd = function(node, offset) {
          algorithm_1.range_setTheEnd(this, node, offset);
        };
        RangeImpl2.prototype.setStartBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setStartAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.setEndBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setEndAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.collapse = function(toStart) {
          if (toStart) {
            this._end = this._start;
          } else {
            this._start = this._end;
          }
        };
        RangeImpl2.prototype.selectNode = function(node) {
          algorithm_1.range_select(node, this);
        };
        RangeImpl2.prototype.selectNodeContents = function(node) {
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          var length = algorithm_1.tree_nodeLength(node);
          this._start = [node, 0];
          this._end = [node, length];
        };
        RangeImpl2.prototype.compareBoundaryPoints = function(how, sourceRange) {
          if (how !== interfaces_1.HowToCompare.StartToStart && how !== interfaces_1.HowToCompare.StartToEnd && how !== interfaces_1.HowToCompare.EndToEnd && how !== interfaces_1.HowToCompare.EndToStart)
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.range_root(this) !== algorithm_1.range_root(sourceRange))
            throw new DOMException_1.WrongDocumentError();
          var thisPoint;
          var otherPoint;
          switch (how) {
            case interfaces_1.HowToCompare.StartToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.StartToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.EndToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._end;
              break;
            case interfaces_1.HowToCompare.EndToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._end;
              break;
            default:
              throw new DOMException_1.NotSupportedError();
          }
          var position = algorithm_1.boundaryPoint_position(thisPoint, otherPoint);
          if (position === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (position === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.deleteContents = function() {
          var e_1, _a, e_2, _b;
          if (algorithm_1.range_collapsed(this))
            return;
          var originalStartNode = this._startNode;
          var originalStartOffset = this._startOffset;
          var originalEndNode = this._endNode;
          var originalEndOffset = this._endOffset;
          if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
            return;
          }
          var nodesToRemove = [];
          try {
            for (var _c = __values(algorithm_1.range_getContainedNodes(this)), _d = _c.next(); !_d.done; _d = _c.next()) {
              var node = _d.value;
              var parent = node._parent;
              if (parent !== null && algorithm_1.range_isContained(parent, this)) {
                continue;
              }
              nodesToRemove.push(node);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_d && !_d.done && (_a = _c.return))
                _a.call(_c);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          var newNode;
          var newOffset;
          if (algorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
            newNode = originalStartNode;
            newOffset = originalStartOffset;
          } else {
            var referenceNode = originalStartNode;
            while (referenceNode._parent !== null && !algorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent, true)) {
              referenceNode = referenceNode._parent;
            }
            if (referenceNode._parent === null) {
              throw new Error("Parent node is null.");
            }
            newNode = referenceNode._parent;
            newOffset = algorithm_1.tree_index(referenceNode) + 1;
          }
          if (util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, algorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
          }
          try {
            for (var nodesToRemove_1 = __values(nodesToRemove), nodesToRemove_1_1 = nodesToRemove_1.next(); !nodesToRemove_1_1.done; nodesToRemove_1_1 = nodesToRemove_1.next()) {
              var node = nodesToRemove_1_1.value;
              if (node._parent) {
                algorithm_1.mutation_remove(node, node._parent);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (nodesToRemove_1_1 && !nodesToRemove_1_1.done && (_b = nodesToRemove_1.return))
                _b.call(nodesToRemove_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isCharacterDataNode(originalEndNode)) {
            algorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
          }
          this._start = [newNode, newOffset];
          this._end = [newNode, newOffset];
        };
        RangeImpl2.prototype.extractContents = function() {
          return algorithm_1.range_extract(this);
        };
        RangeImpl2.prototype.cloneContents = function() {
          return algorithm_1.range_cloneTheContents(this);
        };
        RangeImpl2.prototype.insertNode = function(node) {
          return algorithm_1.range_insert(node, this);
        };
        RangeImpl2.prototype.surroundContents = function(newParent) {
          var e_3, _a;
          try {
            for (var _b = __values(algorithm_1.range_getPartiallyContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              if (!util_1.Guard.isTextNode(node)) {
                throw new DOMException_1.InvalidStateError();
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (util_1.Guard.isDocumentNode(newParent) || util_1.Guard.isDocumentTypeNode(newParent) || util_1.Guard.isDocumentFragmentNode(newParent)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          var fragment = algorithm_1.range_extract(this);
          if (newParent._children.size !== 0) {
            algorithm_1.mutation_replaceAll(null, newParent);
          }
          algorithm_1.range_insert(newParent, this);
          algorithm_1.mutation_append(fragment, newParent);
          algorithm_1.range_select(newParent, this);
        };
        RangeImpl2.prototype.cloneRange = function() {
          return algorithm_1.create_range(this._start, this._end);
        };
        RangeImpl2.prototype.detach = function() {
          DOMImpl_1.dom.rangeList.delete(this);
        };
        RangeImpl2.prototype.isPointInRange = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before || algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return false;
          }
          return true;
        };
        RangeImpl2.prototype.comparePoint = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this))
            throw new DOMException_1.WrongDocumentError();
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.intersectsNode = function(node) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          var parent = node._parent;
          if (parent === null)
            return true;
          var offset = algorithm_1.tree_index(node);
          if (algorithm_1.boundaryPoint_position([parent, offset], this._end) === interfaces_1.BoundaryPosition.Before && algorithm_1.boundaryPoint_position([parent, offset + 1], this._start) === interfaces_1.BoundaryPosition.After) {
            return true;
          }
          return false;
        };
        RangeImpl2.prototype.toString = function() {
          var e_4, _a;
          var s = "";
          if (this._startNode === this._endNode && util_1.Guard.isTextNode(this._startNode)) {
            return this._startNode._data.substring(this._startOffset, this._endOffset);
          }
          if (util_1.Guard.isTextNode(this._startNode)) {
            s += this._startNode._data.substring(this._startOffset);
          }
          try {
            for (var _b = __values(algorithm_1.range_getContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var child = _c.value;
              if (util_1.Guard.isTextNode(child)) {
                s += child._data;
              }
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (util_1.Guard.isTextNode(this._endNode)) {
            s += this._endNode._data.substring(0, this._endOffset);
          }
          return s;
        };
        RangeImpl2._create = function(start, end) {
          var range = new RangeImpl2();
          if (start)
            range._start = start;
          if (end)
            range._end = end;
          return range;
        };
        RangeImpl2.START_TO_START = 0;
        RangeImpl2.START_TO_END = 1;
        RangeImpl2.END_TO_END = 2;
        RangeImpl2.END_TO_START = 3;
        return RangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.RangeImpl = RangeImpl;
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_START", 0);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_END", 1);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_END", 2);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_START", 3);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js
var require_TraverserImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var TraverserImpl = (
      /** @class */
      function() {
        function TraverserImpl2(root) {
          this._activeFlag = false;
          this._root = root;
          this._whatToShow = interfaces_1.WhatToShow.All;
          this._filter = null;
        }
        Object.defineProperty(TraverserImpl2.prototype, "root", {
          /** @inheritdoc */
          get: function() {
            return this._root;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "whatToShow", {
          /** @inheritdoc */
          get: function() {
            return this._whatToShow;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "filter", {
          /** @inheritdoc */
          get: function() {
            return this._filter;
          },
          enumerable: true,
          configurable: true
        });
        return TraverserImpl2;
      }()
    );
    exports2.TraverserImpl = TraverserImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js
var require_NodeIteratorImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TraverserImpl_1 = require_TraverserImpl();
    var algorithm_1 = require_algorithm();
    var NodeIteratorImpl = (
      /** @class */
      function(_super) {
        __extends(NodeIteratorImpl2, _super);
        function NodeIteratorImpl2(root, reference, pointerBeforeReference) {
          var _this = _super.call(this, root) || this;
          _this._iteratorCollection = void 0;
          _this._reference = reference;
          _this._pointerBeforeReference = pointerBeforeReference;
          algorithm_1.nodeIterator_iteratorList().add(_this);
          return _this;
        }
        Object.defineProperty(NodeIteratorImpl2.prototype, "referenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._reference;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeIteratorImpl2.prototype, "pointerBeforeReferenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._pointerBeforeReference;
          },
          enumerable: true,
          configurable: true
        });
        NodeIteratorImpl2.prototype.nextNode = function() {
          return algorithm_1.nodeIterator_traverse(this, true);
        };
        NodeIteratorImpl2.prototype.previousNode = function() {
          return algorithm_1.nodeIterator_traverse(this, false);
        };
        NodeIteratorImpl2.prototype.detach = function() {
          algorithm_1.nodeIterator_iteratorList().delete(this);
        };
        NodeIteratorImpl2._create = function(root, reference, pointerBeforeReference) {
          return new NodeIteratorImpl2(root, reference, pointerBeforeReference);
        };
        return NodeIteratorImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.NodeIteratorImpl = NodeIteratorImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js
var require_TreeWalkerImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var TraverserImpl_1 = require_TraverserImpl();
    var algorithm_1 = require_algorithm();
    var TreeWalkerImpl = (
      /** @class */
      function(_super) {
        __extends(TreeWalkerImpl2, _super);
        function TreeWalkerImpl2(root, current) {
          var _this = _super.call(this, root) || this;
          _this._current = current;
          return _this;
        }
        Object.defineProperty(TreeWalkerImpl2.prototype, "currentNode", {
          /** @inheritdoc */
          get: function() {
            return this._current;
          },
          set: function(value) {
            this._current = value;
          },
          enumerable: true,
          configurable: true
        });
        TreeWalkerImpl2.prototype.parentNode = function() {
          var node = this._current;
          while (node !== null && node !== this._root) {
            node = node._parent;
            if (node !== null && algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.firstChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, true);
        };
        TreeWalkerImpl2.prototype.lastChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, false);
        };
        TreeWalkerImpl2.prototype.nextSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, true);
        };
        TreeWalkerImpl2.prototype.previousNode = function() {
          var node = this._current;
          while (node !== this._root) {
            var sibling = node._previousSibling;
            while (sibling) {
              node = sibling;
              var result = algorithm_1.traversal_filter(this, node);
              while (result !== interfaces_1.FilterResult.Reject && node._lastChild) {
                node = node._lastChild;
                result = algorithm_1.traversal_filter(this, node);
              }
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
              sibling = node._previousSibling;
            }
            if (node === this._root || node._parent === null) {
              return null;
            }
            node = node._parent;
            if (algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.previousSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, false);
        };
        TreeWalkerImpl2.prototype.nextNode = function() {
          var node = this._current;
          var result = interfaces_1.FilterResult.Accept;
          while (true) {
            while (result !== interfaces_1.FilterResult.Reject && node._firstChild) {
              node = node._firstChild;
              result = algorithm_1.traversal_filter(this, node);
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
            }
            var sibling = null;
            var temporary = node;
            while (temporary !== null) {
              if (temporary === this._root) {
                return null;
              }
              sibling = temporary._nextSibling;
              if (sibling !== null) {
                node = sibling;
                break;
              }
              temporary = temporary._parent;
            }
            result = algorithm_1.traversal_filter(this, node);
            if (result === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
        };
        TreeWalkerImpl2._create = function(root, current) {
          return new TreeWalkerImpl2(root, current);
        };
        return TreeWalkerImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.TreeWalkerImpl = TreeWalkerImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js
var require_NodeFilterImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var NodeFilterImpl = (
      /** @class */
      function() {
        function NodeFilterImpl2() {
        }
        NodeFilterImpl2.prototype.acceptNode = function(node) {
          return interfaces_1.FilterResult.Accept;
        };
        NodeFilterImpl2._create = function() {
          return new NodeFilterImpl2();
        };
        NodeFilterImpl2.FILTER_ACCEPT = 1;
        NodeFilterImpl2.FILTER_REJECT = 2;
        NodeFilterImpl2.FILTER_SKIP = 3;
        NodeFilterImpl2.SHOW_ALL = 4294967295;
        NodeFilterImpl2.SHOW_ELEMENT = 1;
        NodeFilterImpl2.SHOW_ATTRIBUTE = 2;
        NodeFilterImpl2.SHOW_TEXT = 4;
        NodeFilterImpl2.SHOW_CDATA_SECTION = 8;
        NodeFilterImpl2.SHOW_ENTITY_REFERENCE = 16;
        NodeFilterImpl2.SHOW_ENTITY = 32;
        NodeFilterImpl2.SHOW_PROCESSING_INSTRUCTION = 64;
        NodeFilterImpl2.SHOW_COMMENT = 128;
        NodeFilterImpl2.SHOW_DOCUMENT = 256;
        NodeFilterImpl2.SHOW_DOCUMENT_TYPE = 512;
        NodeFilterImpl2.SHOW_DOCUMENT_FRAGMENT = 1024;
        NodeFilterImpl2.SHOW_NOTATION = 2048;
        return NodeFilterImpl2;
      }()
    );
    exports2.NodeFilterImpl = NodeFilterImpl;
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_ACCEPT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_REJECT", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_SKIP", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ALL", 4294967295);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ELEMENT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ATTRIBUTE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_TEXT", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_CDATA_SECTION", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY_REFERENCE", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY", 32);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_PROCESSING_INSTRUCTION", 64);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_COMMENT", 128);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT", 256);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_TYPE", 512);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_FRAGMENT", 1024);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_NOTATION", 2048);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js
var require_MutationRecordImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MutationRecordImpl = (
      /** @class */
      function() {
        function MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          this._type = type;
          this._target = target;
          this._addedNodes = addedNodes;
          this._removedNodes = removedNodes;
          this._previousSibling = previousSibling;
          this._nextSibling = nextSibling;
          this._attributeName = attributeName;
          this._attributeNamespace = attributeNamespace;
          this._oldValue = oldValue;
        }
        Object.defineProperty(MutationRecordImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "addedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._addedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "removedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._removedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "previousSibling", {
          /** @inheritdoc */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "nextSibling", {
          /** @inheritdoc */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeName", {
          /** @inheritdoc */
          get: function() {
            return this._attributeName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeNamespace", {
          /** @inheritdoc */
          get: function() {
            return this._attributeNamespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "oldValue", {
          /** @inheritdoc */
          get: function() {
            return this._oldValue;
          },
          enumerable: true,
          configurable: true
        });
        MutationRecordImpl2._create = function(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          return new MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
        };
        return MutationRecordImpl2;
      }()
    );
    exports2.MutationRecordImpl = MutationRecordImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js
var require_DOMTokenListImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var DOMException_1 = require_DOMException();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var DOMTokenListImpl = (
      /** @class */
      function() {
        function DOMTokenListImpl2(element, attribute) {
          this._element = element;
          this._attribute = attribute;
          this._tokenSet = /* @__PURE__ */ new Set();
          var localName = attribute._localName;
          var value = algorithm_1.element_getAnAttributeValue(element, localName);
          var thisObj = this;
          function updateTokenSet(element2, localName2, oldValue, value2, namespace) {
            if (localName2 === thisObj._attribute._localName && namespace === null) {
              if (!value2)
                thisObj._tokenSet.clear();
              else
                thisObj._tokenSet = algorithm_1.orderedSet_parse(value2);
            }
          }
          this._element._attributeChangeSteps.push(updateTokenSet);
          if (DOMImpl_1.dom.features.steps) {
            algorithm_1.dom_runAttributeChangeSteps(element, localName, value, value, null);
          }
        }
        Object.defineProperty(DOMTokenListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._tokenSet.size;
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype.item = function(index) {
          var e_1, _a;
          var i = 0;
          try {
            for (var _b = __values(this._tokenSet), _c = _b.next(); !_c.done; _c = _b.next()) {
              var token = _c.value;
              if (i === index)
                return token;
              i++;
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return null;
        };
        DOMTokenListImpl2.prototype.contains = function(token) {
          return this._tokenSet.has(token);
        };
        DOMTokenListImpl2.prototype.add = function() {
          var e_2, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_1 = __values(tokens), tokens_1_1 = tokens_1.next(); !tokens_1_1.done; tokens_1_1 = tokens_1.next()) {
              var token = tokens_1_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot add an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.add(token);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (tokens_1_1 && !tokens_1_1.done && (_a = tokens_1.return))
                _a.call(tokens_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.remove = function() {
          var e_3, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_2 = __values(tokens), tokens_2_1 = tokens_2.next(); !tokens_2_1.done; tokens_2_1 = tokens_2.next()) {
              var token = tokens_2_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot remove an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.delete(token);
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (tokens_2_1 && !tokens_2_1.done && (_a = tokens_2.return))
                _a.call(tokens_2);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.toggle = function(token, force) {
          if (force === void 0) {
            force = void 0;
          }
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot toggle an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (this._tokenSet.has(token)) {
            if (force === void 0 || force === false) {
              this._tokenSet.delete(token);
              algorithm_1.tokenList_updateSteps(this);
              return false;
            }
            return true;
          }
          if (force === void 0 || force === true) {
            this._tokenSet.add(token);
            algorithm_1.tokenList_updateSteps(this);
            return true;
          }
          return false;
        };
        DOMTokenListImpl2.prototype.replace = function(token, newToken) {
          if (token === "" || newToken === "") {
            throw new DOMException_1.SyntaxError("Cannot replace an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token) || infra_1.codePoint.ASCIIWhiteSpace.test(newToken)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (!this._tokenSet.has(token))
            return false;
          infra_1.set.replace(this._tokenSet, token, newToken);
          algorithm_1.tokenList_updateSteps(this);
          return true;
        };
        DOMTokenListImpl2.prototype.supports = function(token) {
          return algorithm_1.tokenList_validationSteps(this, token);
        };
        Object.defineProperty(DOMTokenListImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.tokenList_serializeSteps(this);
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this._element, this._attribute._localName, value);
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype[Symbol.iterator] = function() {
          var it = this._tokenSet[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        DOMTokenListImpl2._create = function(element, attribute) {
          return new DOMTokenListImpl2(element, attribute);
        };
        return DOMTokenListImpl2;
      }()
    );
    exports2.DOMTokenListImpl = DOMTokenListImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js
var require_CreateAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImplementationImpl_1 = require_DOMImplementationImpl();
    var WindowImpl_1 = require_WindowImpl();
    var XMLDocumentImpl_1 = require_XMLDocumentImpl();
    var DocumentImpl_1 = require_DocumentImpl();
    var AbortControllerImpl_1 = require_AbortControllerImpl();
    var AbortSignalImpl_1 = require_AbortSignalImpl();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl();
    var ElementImpl_1 = require_ElementImpl();
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
    var ShadowRootImpl_1 = require_ShadowRootImpl();
    var AttrImpl_1 = require_AttrImpl();
    var TextImpl_1 = require_TextImpl();
    var CDATASectionImpl_1 = require_CDATASectionImpl();
    var CommentImpl_1 = require_CommentImpl();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl();
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl();
    var NodeListImpl_1 = require_NodeListImpl();
    var NodeListStaticImpl_1 = require_NodeListStaticImpl();
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl();
    var RangeImpl_1 = require_RangeImpl();
    var NodeIteratorImpl_1 = require_NodeIteratorImpl();
    var TreeWalkerImpl_1 = require_TreeWalkerImpl();
    var NodeFilterImpl_1 = require_NodeFilterImpl();
    var MutationRecordImpl_1 = require_MutationRecordImpl();
    var DOMTokenListImpl_1 = require_DOMTokenListImpl();
    function create_domImplementation(document) {
      return DOMImplementationImpl_1.DOMImplementationImpl._create(document);
    }
    exports2.create_domImplementation = create_domImplementation;
    function create_window() {
      return WindowImpl_1.WindowImpl._create();
    }
    exports2.create_window = create_window;
    function create_xmlDocument() {
      return new XMLDocumentImpl_1.XMLDocumentImpl();
    }
    exports2.create_xmlDocument = create_xmlDocument;
    function create_document() {
      return new DocumentImpl_1.DocumentImpl();
    }
    exports2.create_document = create_document;
    function create_abortController() {
      return new AbortControllerImpl_1.AbortControllerImpl();
    }
    exports2.create_abortController = create_abortController;
    function create_abortSignal() {
      return AbortSignalImpl_1.AbortSignalImpl._create();
    }
    exports2.create_abortSignal = create_abortSignal;
    function create_documentType(document, name, publicId, systemId) {
      return DocumentTypeImpl_1.DocumentTypeImpl._create(document, name, publicId, systemId);
    }
    exports2.create_documentType = create_documentType;
    function create_element(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_element = create_element;
    function create_htmlElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlElement = create_htmlElement;
    function create_htmlUnknownElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlUnknownElement = create_htmlUnknownElement;
    function create_documentFragment(document) {
      return DocumentFragmentImpl_1.DocumentFragmentImpl._create(document);
    }
    exports2.create_documentFragment = create_documentFragment;
    function create_shadowRoot(document, host) {
      return ShadowRootImpl_1.ShadowRootImpl._create(document, host);
    }
    exports2.create_shadowRoot = create_shadowRoot;
    function create_attr(document, localName) {
      return AttrImpl_1.AttrImpl._create(document, localName);
    }
    exports2.create_attr = create_attr;
    function create_text(document, data) {
      return TextImpl_1.TextImpl._create(document, data);
    }
    exports2.create_text = create_text;
    function create_cdataSection(document, data) {
      return CDATASectionImpl_1.CDATASectionImpl._create(document, data);
    }
    exports2.create_cdataSection = create_cdataSection;
    function create_comment(document, data) {
      return CommentImpl_1.CommentImpl._create(document, data);
    }
    exports2.create_comment = create_comment;
    function create_processingInstruction(document, target, data) {
      return ProcessingInstructionImpl_1.ProcessingInstructionImpl._create(document, target, data);
    }
    exports2.create_processingInstruction = create_processingInstruction;
    function create_htmlCollection(root, filter) {
      if (filter === void 0) {
        filter = function() {
          return true;
        };
      }
      return HTMLCollectionImpl_1.HTMLCollectionImpl._create(root, filter);
    }
    exports2.create_htmlCollection = create_htmlCollection;
    function create_nodeList(root) {
      return NodeListImpl_1.NodeListImpl._create(root);
    }
    exports2.create_nodeList = create_nodeList;
    function create_nodeListStatic(root, items) {
      return NodeListStaticImpl_1.NodeListStaticImpl._create(root, items);
    }
    exports2.create_nodeListStatic = create_nodeListStatic;
    function create_namedNodeMap(element) {
      return NamedNodeMapImpl_1.NamedNodeMapImpl._create(element);
    }
    exports2.create_namedNodeMap = create_namedNodeMap;
    function create_range(start, end) {
      return RangeImpl_1.RangeImpl._create(start, end);
    }
    exports2.create_range = create_range;
    function create_nodeIterator(root, reference, pointerBeforeReference) {
      return NodeIteratorImpl_1.NodeIteratorImpl._create(root, reference, pointerBeforeReference);
    }
    exports2.create_nodeIterator = create_nodeIterator;
    function create_treeWalker(root, current) {
      return TreeWalkerImpl_1.TreeWalkerImpl._create(root, current);
    }
    exports2.create_treeWalker = create_treeWalker;
    function create_nodeFilter() {
      return NodeFilterImpl_1.NodeFilterImpl._create();
    }
    exports2.create_nodeFilter = create_nodeFilter;
    function create_mutationRecord(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      return MutationRecordImpl_1.MutationRecordImpl._create(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
    }
    exports2.create_mutationRecord = create_mutationRecord;
    function create_domTokenList(element, attribute) {
      return DOMTokenListImpl_1.DOMTokenListImpl._create(element, attribute);
    }
    exports2.create_domTokenList = create_domTokenList;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js
var require_DOMImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var DOMImpl = (
      /** @class */
      function() {
        function DOMImpl2() {
          this._features = {
            mutationObservers: true,
            customElements: true,
            slots: true,
            steps: true
          };
          this._window = null;
          this._compareCache = new util_1.CompareCache();
          this._rangeList = new util_1.FixedSizeSet();
        }
        DOMImpl2.prototype.setFeatures = function(features) {
          if (features === void 0)
            features = true;
          if (util_1.isObject(features)) {
            for (var key in features) {
              this._features[key] = features[key] || false;
            }
          } else {
            for (var key in this._features) {
              this._features[key] = features;
            }
          }
        };
        Object.defineProperty(DOMImpl2.prototype, "features", {
          /**
           * Gets DOM algorithm features.
           */
          get: function() {
            return this._features;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "window", {
          /**
           * Gets the DOM window.
           */
          get: function() {
            if (this._window === null) {
              this._window = CreateAlgorithm_1.create_window();
            }
            return this._window;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "compareCache", {
          /**
           * Gets the global node compare cache.
           */
          get: function() {
            return this._compareCache;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "rangeList", {
          /**
           * Gets the global range list.
           */
          get: function() {
            return this._rangeList;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2, "instance", {
          /**
           * Returns the instance of `DOM`.
           */
          get: function() {
            if (!DOMImpl2._instance) {
              DOMImpl2._instance = new DOMImpl2();
            }
            return DOMImpl2._instance;
          },
          enumerable: true,
          configurable: true
        });
        return DOMImpl2;
      }()
    );
    exports2.dom = DOMImpl.instance;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/EventImpl.js
var require_EventImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/EventImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var algorithm_1 = require_algorithm();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
    var EventImpl = (
      /** @class */
      function() {
        function EventImpl2(type, eventInit) {
          this._target = null;
          this._relatedTarget = null;
          this._touchTargetList = [];
          this._path = [];
          this._currentTarget = null;
          this._eventPhase = interfaces_1.EventPhase.None;
          this._stopPropagationFlag = false;
          this._stopImmediatePropagationFlag = false;
          this._canceledFlag = false;
          this._inPassiveListenerFlag = false;
          this._composedFlag = false;
          this._initializedFlag = false;
          this._dispatchFlag = false;
          this._isTrusted = false;
          this._bubbles = false;
          this._cancelable = false;
          this._type = type;
          if (eventInit) {
            this._bubbles = eventInit.bubbles || false;
            this._cancelable = eventInit.cancelable || false;
            this._composedFlag = eventInit.composed || false;
          }
          this._initializedFlag = true;
          this._timeStamp = (/* @__PURE__ */ new Date()).getTime();
        }
        Object.defineProperty(EventImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "srcElement", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "currentTarget", {
          /** @inheritdoc */
          get: function() {
            return this._currentTarget;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.composedPath = function() {
          var composedPath = [];
          var path = this._path;
          if (path.length === 0)
            return composedPath;
          var currentTarget = this._currentTarget;
          if (currentTarget === null) {
            throw new Error("Event currentTarget is null.");
          }
          composedPath.push(currentTarget);
          var currentTargetIndex = 0;
          var currentTargetHiddenSubtreeLevel = 0;
          var index = path.length - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentTargetHiddenSubtreeLevel++;
            }
            if (path[index].invocationTarget === currentTarget) {
              currentTargetIndex = index;
              break;
            }
            if (path[index].slotInClosedTree) {
              currentTargetHiddenSubtreeLevel--;
            }
            index--;
          }
          var currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          var maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.unshift(path[index].invocationTarget);
            }
            if (path[index].slotInClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index--;
          }
          currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex + 1;
          while (index < path.length) {
            if (path[index].slotInClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.push(path[index].invocationTarget);
            }
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index++;
          }
          return composedPath;
        };
        Object.defineProperty(EventImpl2.prototype, "eventPhase", {
          /** @inheritdoc */
          get: function() {
            return this._eventPhase;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopPropagation = function() {
          this._stopPropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "cancelBubble", {
          /** @inheritdoc */
          get: function() {
            return this._stopPropagationFlag;
          },
          set: function(value) {
            if (value)
              this.stopPropagation();
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopImmediatePropagation = function() {
          this._stopPropagationFlag = true;
          this._stopImmediatePropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "bubbles", {
          /** @inheritdoc */
          get: function() {
            return this._bubbles;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "cancelable", {
          /** @inheritdoc */
          get: function() {
            return this._cancelable;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "returnValue", {
          /** @inheritdoc */
          get: function() {
            return !this._canceledFlag;
          },
          set: function(value) {
            if (!value) {
              algorithm_1.event_setTheCanceledFlag(this);
            }
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.preventDefault = function() {
          algorithm_1.event_setTheCanceledFlag(this);
        };
        Object.defineProperty(EventImpl2.prototype, "defaultPrevented", {
          /** @inheritdoc */
          get: function() {
            return this._canceledFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "composed", {
          /** @inheritdoc */
          get: function() {
            return this._composedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "isTrusted", {
          /** @inheritdoc */
          get: function() {
            return this._isTrusted;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "timeStamp", {
          /** @inheritdoc */
          get: function() {
            return this._timeStamp;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.initEvent = function(type, bubbles, cancelable) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
        };
        EventImpl2.NONE = 0;
        EventImpl2.CAPTURING_PHASE = 1;
        EventImpl2.AT_TARGET = 2;
        EventImpl2.BUBBLING_PHASE = 3;
        return EventImpl2;
      }()
    );
    exports2.EventImpl = EventImpl;
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "NONE", 0);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "CAPTURING_PHASE", 1);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "AT_TARGET", 2);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "BUBBLING_PHASE", 3);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js
var require_CustomEventImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventImpl_1 = require_EventImpl();
    var algorithm_1 = require_algorithm();
    var CustomEventImpl = (
      /** @class */
      function(_super) {
        __extends(CustomEventImpl2, _super);
        function CustomEventImpl2(type, eventInit) {
          var _this = _super.call(this, type, eventInit) || this;
          _this._detail = null;
          _this._detail = eventInit && eventInit.detail || null;
          return _this;
        }
        Object.defineProperty(CustomEventImpl2.prototype, "detail", {
          /** @inheritdoc */
          get: function() {
            return this._detail;
          },
          enumerable: true,
          configurable: true
        });
        CustomEventImpl2.prototype.initCustomEvent = function(type, bubbles, cancelable, detail) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (detail === void 0) {
            detail = null;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
          this._detail = detail;
        };
        return CustomEventImpl2;
      }(EventImpl_1.EventImpl)
    );
    exports2.CustomEventImpl = CustomEventImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js
var require_TreeAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util4();
    var interfaces_1 = require_interfaces2();
    function _getNextDescendantNode(root, node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow && util_1.Guard.isElementNode(node) && util_1.Guard.isShadowRoot(node.shadowRoot)) {
        if (node.shadowRoot._firstChild)
          return node.shadowRoot._firstChild;
      }
      if (node._firstChild)
        return node._firstChild;
      if (node === root)
        return null;
      if (node._nextSibling)
        return node._nextSibling;
      var parent = node._parent;
      while (parent && parent !== root) {
        if (parent._nextSibling)
          return parent._nextSibling;
        parent = parent._parent;
      }
      return null;
    }
    function _emptyIterator() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        return {
          next: function() {
            return { done: true, value: null };
          }
        };
      }, _a;
    }
    function tree_getFirstDescendantNode(node, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var firstNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = _getNextDescendantNode(node, firstNode, shadow);
      }
      return firstNode;
    }
    exports2.tree_getFirstDescendantNode = tree_getFirstDescendantNode;
    function tree_getNextDescendantNode(node, currentNode, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var nextNode = _getNextDescendantNode(node, currentNode, shadow);
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = _getNextDescendantNode(node, nextNode, shadow);
      }
      return nextNode;
    }
    exports2.tree_getNextDescendantNode = tree_getNextDescendantNode;
    function tree_getDescendantNodes(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantNodes = tree_getDescendantNodes;
    function tree_getDescendantElements(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = tree_getDescendantNodes(node, self2, shadow, function(e) {
          return util_1.Guard.isElementNode(e);
        })[Symbol.iterator]();
        var currentNode = it.next().value;
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = it.next().value;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = it.next().value;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantElements = tree_getDescendantElements;
    function tree_getSiblingNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!node._parent || node._parent._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node._parent ? node._parent._firstChild : null;
        return {
          next: function() {
            while (currentNode && (filter && !filter(currentNode) || !self2 && currentNode === node)) {
              currentNode = currentNode._nextSibling;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = currentNode._nextSibling;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getSiblingNodes = tree_getSiblingNodes;
    function tree_getFirstAncestorNode(node, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var firstNode = self2 ? node : node._parent;
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = firstNode._parent;
      }
      return firstNode;
    }
    exports2.tree_getFirstAncestorNode = tree_getFirstAncestorNode;
    function tree_getNextAncestorNode(node, currentNode, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var nextNode = currentNode._parent;
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = nextNode._parent;
      }
      return nextNode;
    }
    exports2.tree_getNextAncestorNode = tree_getNextAncestorNode;
    function tree_getAncestorNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!self2 && !node._parent) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = tree_getFirstAncestorNode(node, self2, filter);
        return {
          next: function() {
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = tree_getNextAncestorNode(node, currentNode, self2, filter);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getAncestorNodes = tree_getAncestorNodes;
    function tree_getCommonAncestor(nodeA, nodeB) {
      if (nodeA === nodeB) {
        return nodeA._parent;
      }
      var parentsA = [];
      var parentsB = [];
      var pA = tree_getFirstAncestorNode(nodeA, true);
      while (pA !== null) {
        parentsA.push(pA);
        pA = tree_getNextAncestorNode(nodeA, pA, true);
      }
      var pB = tree_getFirstAncestorNode(nodeB, true);
      while (pB !== null) {
        parentsB.push(pB);
        pB = tree_getNextAncestorNode(nodeB, pB, true);
      }
      var pos1 = parentsA.length;
      var pos2 = parentsB.length;
      var parent = null;
      for (var i = Math.min(pos1, pos2); i > 0; i--) {
        var parent1 = parentsA[--pos1];
        var parent2 = parentsB[--pos2];
        if (parent1 !== parent2) {
          break;
        }
        parent = parent1;
      }
      return parent;
    }
    exports2.tree_getCommonAncestor = tree_getCommonAncestor;
    function tree_getFollowingNode(root, node) {
      if (node._firstChild) {
        return node._firstChild;
      } else if (node._nextSibling) {
        return node._nextSibling;
      } else {
        while (true) {
          var parent = node._parent;
          if (parent === null || parent === root) {
            return null;
          } else if (parent._nextSibling) {
            return parent._nextSibling;
          } else {
            node = parent;
          }
        }
      }
    }
    exports2.tree_getFollowingNode = tree_getFollowingNode;
    function tree_getPrecedingNode(root, node) {
      if (node === root) {
        return null;
      }
      if (node._previousSibling) {
        node = node._previousSibling;
        if (node._lastChild) {
          return node._lastChild;
        } else {
          return node;
        }
      } else {
        return node._parent;
      }
    }
    exports2.tree_getPrecedingNode = tree_getPrecedingNode;
    function tree_isConstrained(node) {
      var e_1, _a, e_2, _b, e_3, _c;
      switch (node._nodeType) {
        case interfaces_1.NodeType.Document:
          var hasDocType = false;
          var hasElement = false;
          try {
            for (var _d = __values(node._children), _e = _d.next(); !_e.done; _e = _d.next()) {
              var childNode = _e.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.Comment:
                  break;
                case interfaces_1.NodeType.DocumentType:
                  if (hasDocType || hasElement)
                    return false;
                  hasDocType = true;
                  break;
                case interfaces_1.NodeType.Element:
                  if (hasElement)
                    return false;
                  hasElement = true;
                  break;
                default:
                  return false;
              }
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_e && !_e.done && (_a = _d.return))
                _a.call(_d);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentFragment:
        case interfaces_1.NodeType.Element:
          try {
            for (var _f = __values(node._children), _g = _f.next(); !_g.done; _g = _f.next()) {
              var childNode = _g.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.Element:
                case interfaces_1.NodeType.Text:
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.CData:
                case interfaces_1.NodeType.Comment:
                  break;
                default:
                  return false;
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_g && !_g.done && (_b = _f.return))
                _b.call(_f);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentType:
        case interfaces_1.NodeType.Text:
        case interfaces_1.NodeType.ProcessingInstruction:
        case interfaces_1.NodeType.CData:
        case interfaces_1.NodeType.Comment:
          return !node.hasChildNodes();
      }
      try {
        for (var _h = __values(node._children), _j = _h.next(); !_j.done; _j = _h.next()) {
          var childNode = _j.value;
          if (!tree_isConstrained(childNode))
            return false;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_j && !_j.done && (_c = _h.return))
            _c.call(_h);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return true;
    }
    exports2.tree_isConstrained = tree_isConstrained;
    function tree_nodeLength(node) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        return 0;
      } else if (util_1.Guard.isCharacterDataNode(node)) {
        return node._data.length;
      } else {
        return node._children.size;
      }
    }
    exports2.tree_nodeLength = tree_nodeLength;
    function tree_isEmpty(node) {
      return tree_nodeLength(node) === 0;
    }
    exports2.tree_isEmpty = tree_isEmpty;
    function tree_rootNode(node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow) {
        var root = tree_rootNode(node, false);
        if (util_1.Guard.isShadowRoot(root))
          return tree_rootNode(root._host, true);
        else
          return root;
      } else {
        if (!node._parent)
          return node;
        else
          return tree_rootNode(node._parent);
      }
    }
    exports2.tree_rootNode = tree_rootNode;
    function tree_isDescendantOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var child = tree_getFirstDescendantNode(node, self2, shadow);
      while (child !== null) {
        if (child === other) {
          return true;
        }
        child = tree_getNextDescendantNode(node, child, self2, shadow);
      }
      return false;
    }
    exports2.tree_isDescendantOf = tree_isDescendantOf;
    function tree_isAncestorOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var ancestor = self2 ? node : shadow && util_1.Guard.isShadowRoot(node) ? node._host : node._parent;
      while (ancestor !== null) {
        if (ancestor === other)
          return true;
        ancestor = shadow && util_1.Guard.isShadowRoot(ancestor) ? ancestor._host : ancestor._parent;
      }
      return false;
    }
    exports2.tree_isAncestorOf = tree_isAncestorOf;
    function tree_isHostIncludingAncestorOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (tree_isAncestorOf(node, other, self2))
        return true;
      var root = tree_rootNode(node);
      if (util_1.Guard.isDocumentFragmentNode(root) && root._host !== null && tree_isHostIncludingAncestorOf(root._host, other, self2))
        return true;
      return false;
    }
    exports2.tree_isHostIncludingAncestorOf = tree_isHostIncludingAncestorOf;
    function tree_isSiblingOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (node === other) {
        if (self2)
          return true;
      } else {
        return node._parent !== null && node._parent === other._parent;
      }
      return false;
    }
    exports2.tree_isSiblingOf = tree_isSiblingOf;
    function tree_isPreceding(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos < nodePos;
    }
    exports2.tree_isPreceding = tree_isPreceding;
    function tree_isFollowing(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos > nodePos;
    }
    exports2.tree_isFollowing = tree_isFollowing;
    function tree_isParentOf(node, other) {
      return node._parent === other;
    }
    exports2.tree_isParentOf = tree_isParentOf;
    function tree_isChildOf(node, other) {
      return other._parent === node;
    }
    exports2.tree_isChildOf = tree_isChildOf;
    function tree_previousSibling(node) {
      return node._previousSibling;
    }
    exports2.tree_previousSibling = tree_previousSibling;
    function tree_nextSibling(node) {
      return node._nextSibling;
    }
    exports2.tree_nextSibling = tree_nextSibling;
    function tree_firstChild(node) {
      return node._firstChild;
    }
    exports2.tree_firstChild = tree_firstChild;
    function tree_lastChild(node) {
      return node._lastChild;
    }
    exports2.tree_lastChild = tree_lastChild;
    function tree_treePosition(node) {
      var root = tree_rootNode(node);
      var pos = 0;
      var childNode = tree_getFirstDescendantNode(root);
      while (childNode !== null) {
        pos++;
        if (childNode === node)
          return pos;
        childNode = tree_getNextDescendantNode(root, childNode);
      }
      return -1;
    }
    exports2.tree_treePosition = tree_treePosition;
    function tree_index(node) {
      var n = 0;
      while (node._previousSibling !== null) {
        n++;
        node = node._previousSibling;
      }
      return n;
    }
    exports2.tree_index = tree_index;
    function tree_retarget(a, b) {
      while (true) {
        if (!a || !util_1.Guard.isNode(a)) {
          return a;
        }
        var rootOfA = tree_rootNode(a);
        if (!util_1.Guard.isShadowRoot(rootOfA)) {
          return a;
        }
        if (b && util_1.Guard.isNode(b) && tree_isAncestorOf(rootOfA, b, true, true)) {
          return a;
        }
        a = rootOfA.host;
      }
    }
    exports2.tree_retarget = tree_retarget;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js
var require_MutationObserverAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var infra_1 = require_lib2();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var EventAlgorithm_1 = require_EventAlgorithm();
    function observer_queueAMutationObserverMicrotask() {
      var window2 = DOMImpl_1.dom.window;
      if (window2._mutationObserverMicrotaskQueued)
        return;
      window2._mutationObserverMicrotaskQueued = true;
      Promise.resolve().then(function() {
        observer_notifyMutationObservers();
      });
    }
    exports2.observer_queueAMutationObserverMicrotask = observer_queueAMutationObserverMicrotask;
    function observer_notifyMutationObservers() {
      var e_1, _a, e_2, _b;
      var window2 = DOMImpl_1.dom.window;
      window2._mutationObserverMicrotaskQueued = false;
      var notifySet = infra_1.set.clone(window2._mutationObservers);
      var signalSet = infra_1.set.clone(window2._signalSlots);
      infra_1.set.empty(window2._signalSlots);
      var _loop_1 = function(mo2) {
        var records = infra_1.list.clone(mo2._recordQueue);
        infra_1.list.empty(mo2._recordQueue);
        for (var i = 0; i < mo2._nodeList.length; i++) {
          var node = mo2._nodeList[i];
          infra_1.list.remove(node._registeredObserverList, function(observer) {
            return util_1.Guard.isTransientRegisteredObserver(observer) && observer.observer === mo2;
          });
        }
        if (!infra_1.list.isEmpty(records)) {
          try {
            mo2._callback.call(mo2, records, mo2);
          } catch (err) {
          }
        }
      };
      try {
        for (var notifySet_1 = __values(notifySet), notifySet_1_1 = notifySet_1.next(); !notifySet_1_1.done; notifySet_1_1 = notifySet_1.next()) {
          var mo = notifySet_1_1.value;
          _loop_1(mo);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (notifySet_1_1 && !notifySet_1_1.done && (_a = notifySet_1.return))
            _a.call(notifySet_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        try {
          for (var signalSet_1 = __values(signalSet), signalSet_1_1 = signalSet_1.next(); !signalSet_1_1.done; signalSet_1_1 = signalSet_1.next()) {
            var slot = signalSet_1_1.value;
            EventAlgorithm_1.event_fireAnEvent("slotchange", slot, void 0, { bubbles: true });
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (signalSet_1_1 && !signalSet_1_1.done && (_b = signalSet_1.return))
              _b.call(signalSet_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.observer_notifyMutationObservers = observer_notifyMutationObservers;
    function observer_queueMutationRecord(type, target, name, namespace, oldValue, addedNodes, removedNodes, previousSibling, nextSibling) {
      var e_3, _a;
      var interestedObservers = /* @__PURE__ */ new Map();
      var node = TreeAlgorithm_1.tree_getFirstAncestorNode(target, true);
      while (node !== null) {
        for (var i = 0; i < node._registeredObserverList.length; i++) {
          var registered = node._registeredObserverList[i];
          var options = registered.options;
          if (node !== target && !options.subtree)
            continue;
          if (type === "attributes" && !options.attributes)
            continue;
          if (type === "attributes" && options.attributeFilter && (!options.attributeFilter.indexOf(name || "") || namespace !== null))
            continue;
          if (type === "characterData" && !options.characterData)
            continue;
          if (type === "childList" && !options.childList)
            continue;
          var mo = registered.observer;
          if (!interestedObservers.has(mo)) {
            interestedObservers.set(mo, null);
          }
          if (type === "attributes" && options.attributeOldValue || type === "characterData" && options.characterDataOldValue) {
            interestedObservers.set(mo, oldValue);
          }
        }
        node = TreeAlgorithm_1.tree_getNextAncestorNode(target, node, true);
      }
      try {
        for (var interestedObservers_1 = __values(interestedObservers), interestedObservers_1_1 = interestedObservers_1.next(); !interestedObservers_1_1.done; interestedObservers_1_1 = interestedObservers_1.next()) {
          var _b = __read(interestedObservers_1_1.value, 2), observer = _b[0], mappedOldValue = _b[1];
          var record = CreateAlgorithm_1.create_mutationRecord(type, target, CreateAlgorithm_1.create_nodeListStatic(target, addedNodes), CreateAlgorithm_1.create_nodeListStatic(target, removedNodes), previousSibling, nextSibling, name, namespace, mappedOldValue);
          var queue = observer._recordQueue;
          queue.push(record);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (interestedObservers_1_1 && !interestedObservers_1_1.done && (_a = interestedObservers_1.return))
            _a.call(interestedObservers_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      observer_queueAMutationObserverMicrotask();
    }
    exports2.observer_queueMutationRecord = observer_queueMutationRecord;
    function observer_queueTreeMutationRecord(target, addedNodes, removedNodes, previousSibling, nextSibling) {
      observer_queueMutationRecord("childList", target, null, null, null, addedNodes, removedNodes, previousSibling, nextSibling);
    }
    exports2.observer_queueTreeMutationRecord = observer_queueTreeMutationRecord;
    function observer_queueAttributeMutationRecord(target, name, namespace, oldValue) {
      observer_queueMutationRecord("attributes", target, name, namespace, oldValue, [], [], null, null);
    }
    exports2.observer_queueAttributeMutationRecord = observer_queueAttributeMutationRecord;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js
var require_ShadowTreeAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var util_2 = require_lib();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
    function shadowTree_signalASlotChange(slot) {
      var window2 = DOMImpl_1.dom.window;
      window2._signalSlots.add(slot);
      MutationObserverAlgorithm_1.observer_queueAMutationObserverMicrotask();
    }
    exports2.shadowTree_signalASlotChange = shadowTree_signalASlotChange;
    function shadowTree_isConnected(element) {
      return util_1.Guard.isDocumentNode(TreeAlgorithm_1.tree_rootNode(element, true));
    }
    exports2.shadowTree_isConnected = shadowTree_isConnected;
    function shadowTree_isAssigned(slotable) {
      return slotable._assignedSlot !== null;
    }
    exports2.shadowTree_isAssigned = shadowTree_isAssigned;
    function shadowTree_findASlot(slotable, openFlag) {
      if (openFlag === void 0) {
        openFlag = false;
      }
      var node = util_1.Cast.asNode(slotable);
      var parent = node._parent;
      if (parent === null)
        return null;
      var shadow = parent._shadowRoot || null;
      if (shadow === null)
        return null;
      if (openFlag && shadow._mode !== "open")
        return null;
      var child = TreeAlgorithm_1.tree_getFirstDescendantNode(shadow, false, true, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (child !== null) {
        if (child._name === slotable._name)
          return child;
        child = TreeAlgorithm_1.tree_getNextDescendantNode(shadow, child, false, true, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
      return null;
    }
    exports2.shadowTree_findASlot = shadowTree_findASlot;
    function shadowTree_findSlotables(slot) {
      var e_1, _a;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var host = root._host;
      try {
        for (var _b = __values(host._children), _c = _b.next(); !_c.done; _c = _b.next()) {
          var slotable = _c.value;
          if (util_1.Guard.isSlotable(slotable)) {
            var foundSlot = shadowTree_findASlot(slotable);
            if (foundSlot === slot) {
              result.push(slotable);
            }
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findSlotables = shadowTree_findSlotables;
    function shadowTree_findFlattenedSlotables(slot) {
      var e_2, _a, e_3, _b;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var slotables = shadowTree_findSlotables(slot);
      if (util_2.isEmpty(slotables)) {
        try {
          for (var _c = __values(slot._children), _d = _c.next(); !_d.done; _d = _c.next()) {
            var slotable = _d.value;
            if (util_1.Guard.isSlotable(slotable)) {
              slotables.push(slotable);
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      try {
        for (var slotables_1 = __values(slotables), slotables_1_1 = slotables_1.next(); !slotables_1_1.done; slotables_1_1 = slotables_1.next()) {
          var node = slotables_1_1.value;
          if (util_1.Guard.isSlot(node) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(node))) {
            var temporaryResult = shadowTree_findFlattenedSlotables(node);
            result.push.apply(result, __spread(temporaryResult));
          } else {
            result.push(node);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (slotables_1_1 && !slotables_1_1.done && (_b = slotables_1.return))
            _b.call(slotables_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findFlattenedSlotables = shadowTree_findFlattenedSlotables;
    function shadowTree_assignSlotables(slot) {
      var e_4, _a;
      var slotables = shadowTree_findSlotables(slot);
      if (slotables.length === slot._assignedNodes.length) {
        var nodesIdentical = true;
        for (var i = 0; i < slotables.length; i++) {
          if (slotables[i] !== slot._assignedNodes[i]) {
            nodesIdentical = false;
            break;
          }
        }
        if (!nodesIdentical) {
          shadowTree_signalASlotChange(slot);
        }
      }
      slot._assignedNodes = slotables;
      try {
        for (var slotables_2 = __values(slotables), slotables_2_1 = slotables_2.next(); !slotables_2_1.done; slotables_2_1 = slotables_2.next()) {
          var slotable = slotables_2_1.value;
          slotable._assignedSlot = slot;
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (slotables_2_1 && !slotables_2_1.done && (_a = slotables_2.return))
            _a.call(slotables_2);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    exports2.shadowTree_assignSlotables = shadowTree_assignSlotables;
    function shadowTree_assignSlotablesForATree(root) {
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(root, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (descendant !== null) {
        shadowTree_assignSlotables(descendant);
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(root, descendant, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
    }
    exports2.shadowTree_assignSlotablesForATree = shadowTree_assignSlotablesForATree;
    function shadowTree_assignASlot(slotable) {
      var slot = shadowTree_findASlot(slotable);
      if (slot !== null) {
        shadowTree_assignSlotables(slot);
      }
    }
    exports2.shadowTree_assignASlot = shadowTree_assignASlot;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js
var require_DOMAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var util_1 = require_util4();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
    var supportedTokens = /* @__PURE__ */ new Map();
    function dom_runRemovingSteps(removedNode, oldParent) {
    }
    exports2.dom_runRemovingSteps = dom_runRemovingSteps;
    function dom_runCloningSteps(copy, node, document, cloneChildrenFlag) {
    }
    exports2.dom_runCloningSteps = dom_runCloningSteps;
    function dom_runAdoptingSteps(node, oldDocument) {
    }
    exports2.dom_runAdoptingSteps = dom_runAdoptingSteps;
    function dom_runAttributeChangeSteps(element, localName, oldValue, value, namespace) {
      var e_1, _a;
      if (DOMImpl_1.dom.features.slots) {
        updateASlotablesName.call(element, element, localName, oldValue, value, namespace);
        updateASlotsName.call(element, element, localName, oldValue, value, namespace);
      }
      updateAnElementID.call(element, element, localName, value, namespace);
      try {
        for (var _b = __values(element._attributeChangeSteps), _c = _b.next(); !_c.done; _c = _b.next()) {
          var step = _c.value;
          step.call(element, element, localName, oldValue, value, namespace);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.dom_runAttributeChangeSteps = dom_runAttributeChangeSteps;
    function dom_runInsertionSteps(insertedNode) {
    }
    exports2.dom_runInsertionSteps = dom_runInsertionSteps;
    function dom_runNodeIteratorPreRemovingSteps(nodeIterator, toBeRemoved) {
      removeNodeIterator.call(nodeIterator, nodeIterator, toBeRemoved);
    }
    exports2.dom_runNodeIteratorPreRemovingSteps = dom_runNodeIteratorPreRemovingSteps;
    function dom_hasSupportedTokens(attributeName) {
      return supportedTokens.has(attributeName);
    }
    exports2.dom_hasSupportedTokens = dom_hasSupportedTokens;
    function dom_getSupportedTokens(attributeName) {
      return supportedTokens.get(attributeName) || /* @__PURE__ */ new Set();
    }
    exports2.dom_getSupportedTokens = dom_getSupportedTokens;
    function dom_runEventConstructingSteps(event) {
    }
    exports2.dom_runEventConstructingSteps = dom_runEventConstructingSteps;
    function dom_runChildTextContentChangeSteps(parent) {
    }
    exports2.dom_runChildTextContentChangeSteps = dom_runChildTextContentChangeSteps;
    function removeNodeIterator(nodeIterator, toBeRemovedNode) {
      if (toBeRemovedNode === nodeIterator._root || !TreeAlgorithm_1.tree_isAncestorOf(nodeIterator._reference, toBeRemovedNode, true)) {
        return;
      }
      if (nodeIterator._pointerBeforeReference) {
        while (true) {
          var nextNode = TreeAlgorithm_1.tree_getFollowingNode(nodeIterator._root, toBeRemovedNode);
          if (nextNode !== null && TreeAlgorithm_1.tree_isDescendantOf(nodeIterator._root, nextNode, true) && !TreeAlgorithm_1.tree_isDescendantOf(toBeRemovedNode, nextNode, true)) {
            nodeIterator._reference = nextNode;
            return;
          } else if (nextNode === null) {
            nodeIterator._pointerBeforeReference = false;
            return;
          }
        }
      }
      if (toBeRemovedNode._previousSibling === null) {
        if (toBeRemovedNode._parent !== null) {
          nodeIterator._reference = toBeRemovedNode._parent;
        }
      } else {
        var referenceNode = toBeRemovedNode._previousSibling;
        var childNode = TreeAlgorithm_1.tree_getFirstDescendantNode(toBeRemovedNode._previousSibling, true, false);
        while (childNode !== null) {
          if (childNode !== null) {
            referenceNode = childNode;
          }
          childNode = TreeAlgorithm_1.tree_getNextDescendantNode(toBeRemovedNode._previousSibling, childNode, true, false);
        }
        nodeIterator._reference = referenceNode;
      }
    }
    function updateASlotsName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlot(element) && localName === "name" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(element));
      }
    }
    function updateASlotablesName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlotable(element) && localName === "slot" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        if (ShadowTreeAlgorithm_1.shadowTree_isAssigned(element)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(element._assignedSlot);
        }
        ShadowTreeAlgorithm_1.shadowTree_assignASlot(element);
      }
    }
    function updateAnElementID(element, localName, value, namespace) {
      if (localName === "id" && namespace === null) {
        if (!value)
          element._uniqueIdentifier = void 0;
        else
          element._uniqueIdentifier = value;
      }
    }
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js
var require_EventAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var interfaces_1 = require_interfaces2();
    var util_1 = require_util4();
    var CustomEventImpl_1 = require_CustomEventImpl();
    var EventImpl_1 = require_EventImpl();
    var DOMException_1 = require_DOMException();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    function event_setTheCanceledFlag(event) {
      if (event._cancelable && !event._inPassiveListenerFlag) {
        event._canceledFlag = true;
      }
    }
    exports2.event_setTheCanceledFlag = event_setTheCanceledFlag;
    function event_initialize(event, type, bubbles, cancelable) {
      event._initializedFlag = true;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      event._canceledFlag = false;
      event._isTrusted = false;
      event._target = null;
      event._type = type;
      event._bubbles = bubbles;
      event._cancelable = cancelable;
    }
    exports2.event_initialize = event_initialize;
    function event_createAnEvent(eventInterface, realm) {
      if (realm === void 0) {
        realm = void 0;
      }
      if (realm === void 0)
        realm = null;
      var dictionary = {};
      var event = event_innerEventCreationSteps(eventInterface, realm, /* @__PURE__ */ new Date(), dictionary);
      event._isTrusted = true;
      return event;
    }
    exports2.event_createAnEvent = event_createAnEvent;
    function event_innerEventCreationSteps(eventInterface, realm, time, dictionary) {
      var event = new eventInterface("");
      event._initializedFlag = true;
      event._timeStamp = time.getTime();
      Object.assign(event, dictionary);
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runEventConstructingSteps(event);
      }
      return event;
    }
    exports2.event_innerEventCreationSteps = event_innerEventCreationSteps;
    function event_dispatch(event, target, legacyTargetOverrideFlag, legacyOutputDidListenersThrowFlag) {
      var e_1, _a, e_2, _b;
      if (legacyTargetOverrideFlag === void 0) {
        legacyTargetOverrideFlag = false;
      }
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var clearTargets = false;
      event._dispatchFlag = true;
      var targetOverride = target;
      if (legacyTargetOverrideFlag) {
        var doc = target._associatedDocument;
        if (util_1.Guard.isDocumentNode(doc)) {
          targetOverride = doc;
        }
      }
      var activationTarget = null;
      var relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, target);
      if (target !== relatedTarget || target === event._relatedTarget) {
        var touchTargets = [];
        try {
          for (var _c = __values(event._touchTargetList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var touchTarget = _d.value;
            touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, target));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        event_appendToAnEventPath(event, target, targetOverride, relatedTarget, touchTargets, false);
        var isActivationEvent = util_1.Guard.isMouseEvent(event) && event._type === "click";
        if (isActivationEvent && target._activationBehavior !== void 0) {
          activationTarget = target;
        }
        var slotable = util_1.Guard.isSlotable(target) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(target) ? target : null;
        var slotInClosedTree = false;
        var parent = target._getTheParent(event);
        while (parent !== null && util_1.Guard.isNode(parent)) {
          if (slotable !== null) {
            if (!util_1.Guard.isSlot(parent)) {
              throw new Error("Parent node of a slotable should be a slot.");
            }
            slotable = null;
            var root = TreeAlgorithm_1.tree_rootNode(parent, true);
            if (util_1.Guard.isShadowRoot(root) && root._mode === "closed") {
              slotInClosedTree = true;
            }
          }
          if (util_1.Guard.isSlotable(parent) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(parent)) {
            slotable = parent;
          }
          relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, parent);
          touchTargets = [];
          try {
            for (var _e = (e_2 = void 0, __values(event._touchTargetList)), _f = _e.next(); !_f.done; _f = _e.next()) {
              var touchTarget = _f.value;
              touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, parent));
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_f && !_f.done && (_b = _e.return))
                _b.call(_e);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isWindow(parent) || util_1.Guard.isNode(parent) && util_1.Guard.isNode(target) && TreeAlgorithm_1.tree_isAncestorOf(TreeAlgorithm_1.tree_rootNode(target, true), parent, true, true)) {
            if (isActivationEvent && event._bubbles && activationTarget === null && parent._activationBehavior) {
              activationTarget = parent;
            }
            event_appendToAnEventPath(event, parent, null, relatedTarget, touchTargets, slotInClosedTree);
          } else if (parent === relatedTarget) {
            parent = null;
          } else {
            target = parent;
            if (isActivationEvent && activationTarget === null && target._activationBehavior) {
              activationTarget = target;
            }
            event_appendToAnEventPath(event, parent, target, relatedTarget, touchTargets, slotInClosedTree);
          }
          if (parent !== null) {
            parent = parent._getTheParent(event);
          }
          slotInClosedTree = false;
        }
        var clearTargetsStruct = null;
        var path = event._path;
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            clearTargetsStruct = struct;
            break;
          }
        }
        if (clearTargetsStruct !== null) {
          if (util_1.Guard.isNode(clearTargetsStruct.shadowAdjustedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.shadowAdjustedTarget, true))) {
            clearTargets = true;
          } else if (util_1.Guard.isNode(clearTargetsStruct.relatedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.relatedTarget, true))) {
            clearTargets = true;
          } else {
            for (var j = 0; j < clearTargetsStruct.touchTargetList.length; j++) {
              var struct = clearTargetsStruct.touchTargetList[j];
              if (util_1.Guard.isNode(struct) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(struct, true))) {
                clearTargets = true;
                break;
              }
            }
          }
        }
        if (activationTarget !== null && activationTarget._legacyPreActivationBehavior !== void 0) {
          activationTarget._legacyPreActivationBehavior(event);
        }
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            event._eventPhase = interfaces_1.EventPhase.Capturing;
          }
          event_invoke(struct, event, "capturing", legacyOutputDidListenersThrowFlag);
        }
        for (var i = 0; i < path.length; i++) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            if (!event._bubbles)
              continue;
            event._eventPhase = interfaces_1.EventPhase.Bubbling;
          }
          event_invoke(struct, event, "bubbling", legacyOutputDidListenersThrowFlag);
        }
      }
      event._eventPhase = interfaces_1.EventPhase.None;
      event._currentTarget = null;
      event._path = [];
      event._dispatchFlag = false;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      if (clearTargets) {
        event._target = null;
        event._relatedTarget = null;
        event._touchTargetList = [];
      }
      if (activationTarget !== null) {
        if (!event._canceledFlag && activationTarget._activationBehavior !== void 0) {
          activationTarget._activationBehavior(event);
        } else if (activationTarget._legacyCanceledActivationBehavior !== void 0) {
          activationTarget._legacyCanceledActivationBehavior(event);
        }
      }
      return !event._canceledFlag;
    }
    exports2.event_dispatch = event_dispatch;
    function event_appendToAnEventPath(event, invocationTarget, shadowAdjustedTarget, relatedTarget, touchTargets, slotInClosedTree) {
      var invocationTargetInShadowTree = false;
      if (util_1.Guard.isNode(invocationTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(invocationTarget))) {
        invocationTargetInShadowTree = true;
      }
      var rootOfClosedTree = false;
      if (util_1.Guard.isShadowRoot(invocationTarget) && invocationTarget._mode === "closed") {
        rootOfClosedTree = true;
      }
      event._path.push({
        invocationTarget,
        invocationTargetInShadowTree,
        shadowAdjustedTarget,
        relatedTarget,
        touchTargetList: touchTargets,
        rootOfClosedTree,
        slotInClosedTree
      });
    }
    exports2.event_appendToAnEventPath = event_appendToAnEventPath;
    function event_invoke(struct, event, phase, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var path = event._path;
      var index = -1;
      for (var i = 0; i < path.length; i++) {
        if (path[i] === struct) {
          index = i;
          break;
        }
      }
      if (index !== -1) {
        var item = path[index];
        if (item.shadowAdjustedTarget !== null) {
          event._target = item.shadowAdjustedTarget;
        } else if (index > 0) {
          item = path[index - 1];
          if (item.shadowAdjustedTarget !== null) {
            event._target = item.shadowAdjustedTarget;
          }
        }
      }
      event._relatedTarget = struct.relatedTarget;
      event._touchTargetList = struct.touchTargetList;
      if (event._stopPropagationFlag)
        return;
      event._currentTarget = struct.invocationTarget;
      var currentTarget = event._currentTarget;
      var targetListeners = currentTarget._eventListenerList;
      var listeners = new (Array.bind.apply(Array, __spread([void 0], targetListeners)))();
      var found = event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
      if (!found && event._isTrusted) {
        var originalEventType = event._type;
        if (originalEventType === "animationend") {
          event._type = "webkitAnimationEnd";
        } else if (originalEventType === "animationiteration") {
          event._type = "webkitAnimationIteration";
        } else if (originalEventType === "animationstart") {
          event._type = "webkitAnimationStart";
        } else if (originalEventType === "transitionend") {
          event._type = "webkitTransitionEnd";
        }
        event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
        event._type = originalEventType;
      }
    }
    exports2.event_invoke = event_invoke;
    function event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var found = false;
      for (var i = 0; i < listeners.length; i++) {
        var listener = listeners[i];
        if (!listener.removed) {
          if (event._type !== listener.type)
            continue;
          found = true;
          if (phase === "capturing" && !listener.capture)
            continue;
          if (phase === "bubbling" && listener.capture)
            continue;
          if (listener.once && event._currentTarget !== null) {
            var impl = event._currentTarget;
            var index = -1;
            for (var i_1 = 0; i_1 < impl._eventListenerList.length; i_1++) {
              if (impl._eventListenerList[i_1] === listener) {
                index = i_1;
                break;
              }
            }
            if (index !== -1) {
              impl._eventListenerList.splice(index, 1);
            }
          }
          var globalObject = void 0;
          var currentEvent = void 0;
          if (util_1.Guard.isWindow(globalObject)) {
            currentEvent = globalObject._currentEvent;
            if (struct.invocationTargetInShadowTree === false) {
              globalObject._currentEvent = event;
            }
          }
          if (listener.passive)
            event._inPassiveListenerFlag = true;
          try {
            listener.callback.handleEvent.call(event._currentTarget, event);
          } catch (err) {
            legacyOutputDidListenersThrowFlag.value = true;
          }
          if (listener.passive)
            event._inPassiveListenerFlag = false;
          if (util_1.Guard.isWindow(globalObject)) {
            globalObject._currentEvent = currentEvent;
          }
          if (event._stopImmediatePropagationFlag)
            return found;
        }
      }
      return found;
    }
    exports2.event_innerInvoke = event_innerInvoke;
    function event_fireAnEvent(e, target, eventConstructor, idlAttributes, legacyTargetOverrideFlag) {
      if (eventConstructor === void 0) {
        eventConstructor = EventImpl_1.EventImpl;
      }
      var event = event_createAnEvent(eventConstructor);
      event._type = e;
      if (idlAttributes) {
        for (var key in idlAttributes) {
          var idlObj = event;
          idlObj[key] = idlAttributes[key];
        }
      }
      return event_dispatch(event, target, legacyTargetOverrideFlag);
    }
    exports2.event_fireAnEvent = event_fireAnEvent;
    function event_createLegacyEvent(eventInterface) {
      var constructor = null;
      switch (eventInterface.toLowerCase()) {
        case "beforeunloadevent":
          break;
        case "compositionevent":
          break;
        case "customevent":
          constructor = CustomEventImpl_1.CustomEventImpl;
          break;
        case "devicemotionevent":
          break;
        case "deviceorientationevent":
          break;
        case "dragevent":
          break;
        case "event":
        case "events":
          constructor = EventImpl_1.EventImpl;
          break;
        case "focusevent":
          break;
        case "hashchangeevent":
          break;
        case "htmlevents":
          break;
        case "keyboardevent":
          break;
        case "messageevent":
          break;
        case "mouseevent":
          break;
        case "mouseevents":
          break;
        case "storageevent":
          break;
        case "svgevents":
          break;
        case "textevent":
          break;
        case "touchevent":
          break;
        case "uievent":
          break;
        case "uievents":
          break;
      }
      if (constructor === null) {
        throw new DOMException_1.NotSupportedError("Event constructor not found for interface " + eventInterface + ".");
      }
      var event = new constructor("");
      event._type = "";
      event._timeStamp = (/* @__PURE__ */ new Date()).getTime();
      event._isTrusted = false;
      event._initializedFlag = false;
      return event;
    }
    exports2.event_createLegacyEvent = event_createLegacyEvent;
    function event_getterEventHandlerIDLAttribute(thisObj, name) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return null;
      return event_getTheCurrentValueOfAnEventHandler(eventTarget, name);
    }
    exports2.event_getterEventHandlerIDLAttribute = event_getterEventHandlerIDLAttribute;
    function event_setterEventHandlerIDLAttribute(thisObj, name, value) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return;
      if (value === null) {
        event_deactivateAnEventHandler(eventTarget, name);
      } else {
        var handlerMap = eventTarget._eventHandlerMap;
        var eventHandler = handlerMap["onabort"];
        if (eventHandler !== void 0) {
          eventHandler.value = value;
        }
        event_activateAnEventHandler(eventTarget, name);
      }
    }
    exports2.event_setterEventHandlerIDLAttribute = event_setterEventHandlerIDLAttribute;
    function event_determineTheTargetOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_determineTheTargetOfAnEventHandler = event_determineTheTargetOfAnEventHandler;
    function event_getTheCurrentValueOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_getTheCurrentValueOfAnEventHandler = event_getTheCurrentValueOfAnEventHandler;
    function event_activateAnEventHandler(eventTarget, name) {
    }
    exports2.event_activateAnEventHandler = event_activateAnEventHandler;
    function event_deactivateAnEventHandler(eventTarget, name) {
    }
    exports2.event_deactivateAnEventHandler = event_deactivateAnEventHandler;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js
var require_AbortAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventAlgorithm_1 = require_EventAlgorithm();
    function abort_add(algorithm, signal) {
      if (signal._abortedFlag)
        return;
      signal._abortAlgorithms.add(algorithm);
    }
    exports2.abort_add = abort_add;
    function abort_remove(algorithm, signal) {
      signal._abortAlgorithms.delete(algorithm);
    }
    exports2.abort_remove = abort_remove;
    function abort_signalAbort(signal) {
      var e_1, _a;
      if (signal._abortedFlag)
        return;
      signal._abortedFlag = true;
      try {
        for (var _b = __values(signal._abortAlgorithms), _c = _b.next(); !_c.done; _c = _b.next()) {
          var algorithm = _c.value;
          algorithm.call(signal);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      signal._abortAlgorithms.clear();
      EventAlgorithm_1.event_fireAnEvent("abort", signal);
    }
    exports2.abort_signalAbort = abort_signalAbort;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js
var require_CustomElementAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var PotentialCustomElementName = /[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/;
    var NamesWithHyphen = /* @__PURE__ */ new Set([
      "annotation-xml",
      "color-profile",
      "font-face",
      "font-face-src",
      "font-face-uri",
      "font-face-format",
      "font-face-name",
      "missing-glyph"
    ]);
    var ElementNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    var VoidElementNames = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    var ShadowHostNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    function customElement_isValidCustomElementName(name) {
      if (!PotentialCustomElementName.test(name))
        return false;
      if (NamesWithHyphen.has(name))
        return false;
      return true;
    }
    exports2.customElement_isValidCustomElementName = customElement_isValidCustomElementName;
    function customElement_isValidElementName(name) {
      return ElementNames.has(name);
    }
    exports2.customElement_isValidElementName = customElement_isValidElementName;
    function customElement_isVoidElementName(name) {
      return VoidElementNames.has(name);
    }
    exports2.customElement_isVoidElementName = customElement_isVoidElementName;
    function customElement_isValidShadowHostName(name) {
      return ShadowHostNames.has(name);
    }
    exports2.customElement_isValidShadowHostName = customElement_isValidShadowHostName;
    function customElement_enqueueACustomElementUpgradeReaction(element, definition) {
    }
    exports2.customElement_enqueueACustomElementUpgradeReaction = customElement_enqueueACustomElementUpgradeReaction;
    function customElement_enqueueACustomElementCallbackReaction(element, callbackName, args) {
    }
    exports2.customElement_enqueueACustomElementCallbackReaction = customElement_enqueueACustomElementCallbackReaction;
    function customElement_upgrade(definition, element) {
    }
    exports2.customElement_upgrade = customElement_upgrade;
    function customElement_tryToUpgrade(element) {
    }
    exports2.customElement_tryToUpgrade = customElement_tryToUpgrade;
    function customElement_lookUpACustomElementDefinition(document, namespace, localName, is) {
      return null;
    }
    exports2.customElement_lookUpACustomElementDefinition = customElement_lookUpACustomElementDefinition;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js
var require_TraversalAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var DOMException_1 = require_DOMException();
    function traversal_filter(traverser, node) {
      if (traverser._activeFlag) {
        throw new DOMException_1.InvalidStateError();
      }
      var n = node._nodeType - 1;
      var mask = 1 << n;
      if ((traverser.whatToShow & mask) === 0) {
        return interfaces_1.FilterResult.Skip;
      }
      if (!traverser.filter) {
        return interfaces_1.FilterResult.Accept;
      }
      traverser._activeFlag = true;
      var result = interfaces_1.FilterResult.Reject;
      try {
        result = traverser.filter.acceptNode(node);
      } catch (err) {
        traverser._activeFlag = false;
        throw err;
      }
      traverser._activeFlag = false;
      return result;
    }
    exports2.traversal_filter = traversal_filter;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js
var require_NodeIteratorAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var interfaces_1 = require_interfaces2();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    function nodeIterator_traverse(iterator, forward) {
      var node = iterator._reference;
      var beforeNode = iterator._pointerBeforeReference;
      while (true) {
        if (forward) {
          if (!beforeNode) {
            var nextNode = TreeAlgorithm_1.tree_getFollowingNode(iterator._root, node);
            if (nextNode) {
              node = nextNode;
            } else {
              return null;
            }
          } else {
            beforeNode = false;
          }
        } else {
          if (beforeNode) {
            var prevNode = TreeAlgorithm_1.tree_getPrecedingNode(iterator.root, node);
            if (prevNode) {
              node = prevNode;
            } else {
              return null;
            }
          } else {
            beforeNode = true;
          }
        }
        var result = TraversalAlgorithm_1.traversal_filter(iterator, node);
        if (result === interfaces_1.FilterResult.Accept) {
          break;
        }
      }
      iterator._reference = node;
      iterator._pointerBeforeReference = beforeNode;
      return node;
    }
    exports2.nodeIterator_traverse = nodeIterator_traverse;
    function nodeIterator_iteratorList() {
      return DOMImpl_1.dom.window._iteratorList;
    }
    exports2.nodeIterator_iteratorList = nodeIterator_iteratorList;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js
var require_XMLAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function xml_isName(name) {
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 58 || n === 95 || // ':' or '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isName = xml_isName;
    function xml_isQName(name) {
      var colonFound = false;
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 95 || // '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        } else if (i !== 0 && n === 58) {
          if (colonFound)
            return false;
          if (i === name.length - 1)
            return false;
          colonFound = true;
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isQName = xml_isQName;
    function xml_isLegalChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < chars.length - 1) {
          var n2 = chars.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 1114111) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isLegalChar = xml_isLegalChar;
    function xml_isPubidChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n >= 39 && n <= 59 || // ['()*+,-./] | [0-9] | [:;]
        n === 32 || n === 13 || n === 10 || // #x20 | #xD | #xA
        n >= 35 && n <= 37 || // [#$%]
        n === 33 || // !
        n === 61 || n === 63 || n === 64 || n === 95) {
          continue;
        } else {
          return false;
        }
      }
      return true;
    }
    exports2.xml_isPubidChar = xml_isPubidChar;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js
var require_NamespaceAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException();
    var infra_1 = require_lib2();
    var XMLAlgorithm_1 = require_XMLAlgorithm();
    function namespace_validate(qualifiedName) {
      if (!XMLAlgorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML name: " + qualifiedName);
      if (!XMLAlgorithm_1.xml_isQName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML qualified name: " + qualifiedName + ".");
    }
    exports2.namespace_validate = namespace_validate;
    function namespace_validateAndExtract(namespace, qualifiedName) {
      if (!namespace)
        namespace = null;
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      if (prefix && namespace === null)
        throw new DOMException_1.NamespaceError("Qualified name includes a prefix but the namespace is null.");
      if (prefix === "xml" && namespace !== infra_1.namespace.XML)
        throw new DOMException_1.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');
      if (namespace !== infra_1.namespace.XMLNS && (prefix === "xmlns" || qualifiedName === "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');
      if (namespace === infra_1.namespace.XMLNS && (prefix !== "xmlns" && qualifiedName !== "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');
      return [namespace, prefix, localName];
    }
    exports2.namespace_validateAndExtract = namespace_validateAndExtract;
    function namespace_extractQName(qualifiedName) {
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      return [prefix, localName];
    }
    exports2.namespace_extractQName = namespace_extractQName;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js
var require_DocumentAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var util_2 = require_lib();
    var ElementImpl_1 = require_ElementImpl();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var NamespaceAlgorithm_1 = require_NamespaceAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    var ElementAlgorithm_1 = require_ElementAlgorithm();
    var MutationAlgorithm_1 = require_MutationAlgorithm();
    function document_elementInterface(name, namespace) {
      return ElementImpl_1.ElementImpl;
    }
    exports2.document_elementInterface = document_elementInterface;
    function document_internalCreateElementNS(document, namespace, qualifiedName, options) {
      var _a = __read(NamespaceAlgorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      var is = null;
      if (options !== void 0) {
        if (util_2.isString(options)) {
          is = options;
        } else {
          is = options.is;
        }
      }
      return ElementAlgorithm_1.element_createAnElement(document, localName, ns, prefix, is, true);
    }
    exports2.document_internalCreateElementNS = document_internalCreateElementNS;
    function document_adopt(node, document) {
      var e_1, _a;
      if (node._nodeDocument === document && node._parent === null) {
        return;
      }
      var oldDocument = node._nodeDocument;
      if (node._parent)
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      if (document !== oldDocument) {
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, true);
        while (inclusiveDescendant !== null) {
          inclusiveDescendant._nodeDocument = document;
          if (util_1.Guard.isElementNode(inclusiveDescendant)) {
            try {
              for (var _b = (e_1 = void 0, __values(inclusiveDescendant._attributeList._asArray())), _c = _b.next(); !_c.done; _c = _b.next()) {
                var attr = _c.value;
                attr._nodeDocument = document;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && inclusiveDescendant._customElementState === "custom") {
              CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "adoptedCallback", [oldDocument, document]);
            }
          }
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runAdoptingSteps(inclusiveDescendant, oldDocument);
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, inclusiveDescendant, true, true);
        }
      }
    }
    exports2.document_adopt = document_adopt;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js
var require_MutationAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var DOMException_1 = require_DOMException();
    var interfaces_1 = require_interfaces2();
    var util_1 = require_util4();
    var util_2 = require_lib();
    var infra_1 = require_lib2();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var NodeIteratorAlgorithm_1 = require_NodeIteratorAlgorithm();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm();
    function mutation_ensurePreInsertionValidity(node, parent, child) {
      var e_1, _a, e_2, _b, e_3, _c, e_4, _d;
      var parentNodeType = parent._nodeType;
      var nodeNodeType = node._nodeType;
      var childNodeType = child ? child._nodeType : null;
      if (parentNodeType !== interfaces_1.NodeType.Document && parentNodeType !== interfaces_1.NodeType.DocumentFragment && parentNodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child !== null && child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (nodeNodeType !== interfaces_1.NodeType.DocumentFragment && nodeNodeType !== interfaces_1.NodeType.DocumentType && nodeNodeType !== interfaces_1.NodeType.Element && nodeNodeType !== interfaces_1.NodeType.Text && nodeNodeType !== interfaces_1.NodeType.ProcessingInstruction && nodeNodeType !== interfaces_1.NodeType.CData && nodeNodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.Text && parentNodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.DocumentType && parentNodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parentNodeType === interfaces_1.NodeType.Document) {
        if (nodeNodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (child) {
              if (childNodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              var doctypeChild = child._nextSibling;
              while (doctypeChild) {
                if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                  throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
                doctypeChild = doctypeChild._nextSibling;
              }
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (child) {
            if (childNodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (child) {
            var elementChild = child._previousSibling;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._previousSibling;
            }
          } else {
            var elementChild = parent._firstChild;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._nextSibling;
            }
          }
        }
      }
    }
    exports2.mutation_ensurePreInsertionValidity = mutation_ensurePreInsertionValidity;
    function mutation_preInsert(node, parent, child) {
      mutation_ensurePreInsertionValidity(node, parent, child);
      var referenceChild = child;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      mutation_insert(node, parent, referenceChild);
      return node;
    }
    exports2.mutation_preInsert = mutation_preInsert;
    function mutation_insert(node, parent, child, suppressObservers) {
      var e_5, _a;
      if (child === null && node._nodeType !== interfaces_1.NodeType.DocumentFragment) {
        mutation_insert_single(node, parent, suppressObservers);
        return;
      }
      var count = node._nodeType === interfaces_1.NodeType.DocumentFragment ? node._children.size : 1;
      if (child !== null) {
        if (DOMImpl_1.dom.rangeList.size !== 0) {
          var index_1 = TreeAlgorithm_1.tree_index(child);
          try {
            for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var range = _c.value;
              if (range._start[0] === parent && range._start[1] > index_1) {
                range._start[1] += count;
              }
              if (range._end[0] === parent && range._end[1] > index_1) {
                range._end[1] += count;
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        }
      }
      var nodes = node._nodeType === interfaces_1.NodeType.DocumentFragment ? new (Array.bind.apply(Array, __spread([void 0], node._children)))() : [node];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        while (node._firstChild) {
          mutation_remove(node._firstChild, node, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(node, [], nodes, null, null);
        }
      }
      var previousSibling = child ? child._previousSibling : parent._lastChild;
      var index = child === null ? -1 : TreeAlgorithm_1.tree_index(child);
      for (var i = 0; i < nodes.length; i++) {
        var node_1 = nodes[i];
        if (util_1.Guard.isElementNode(node_1)) {
          if (util_1.Guard.isDocumentNode(parent)) {
            parent._documentElement = node_1;
          }
          if (!node_1._nodeDocument._hasNamespaces && (node_1._namespace !== null || node_1._namespacePrefix !== null)) {
            node_1._nodeDocument._hasNamespaces = true;
          }
        }
        node_1._parent = parent;
        if (child === null) {
          infra_1.set.append(parent._children, node_1);
        } else {
          infra_1.set.insert(parent._children, node_1, index);
          index++;
        }
        if (parent._firstChild === null) {
          node_1._previousSibling = null;
          node_1._nextSibling = null;
          parent._firstChild = node_1;
          parent._lastChild = node_1;
        } else {
          var prev = child ? child._previousSibling : parent._lastChild;
          var next = child ? child : null;
          node_1._previousSibling = prev;
          node_1._nextSibling = next;
          if (prev)
            prev._nextSibling = node_1;
          if (next)
            next._previousSibling = node_1;
          if (!prev)
            parent._firstChild = node_1;
          if (!next)
            parent._lastChild = node_1;
        }
        if (DOMImpl_1.dom.features.slots) {
          if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node_1)) {
            ShadowTreeAlgorithm_1.shadowTree_assignASlot(node_1);
          }
        }
        if (DOMImpl_1.dom.features.steps) {
          if (util_1.Guard.isTextNode(node_1)) {
            DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
            ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node_1));
        }
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node_1, true, true);
        while (inclusiveDescendant !== null) {
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runInsertionSteps(inclusiveDescendant);
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && ShadowTreeAlgorithm_1.shadowTree_isConnected(inclusiveDescendant)) {
              if (util_1.Guard.isCustomElementNode(inclusiveDescendant)) {
                CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "connectedCallback", []);
              } else {
                CustomElementAlgorithm_1.customElement_tryToUpgrade(inclusiveDescendant);
              }
            }
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node_1, inclusiveDescendant, true, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, [], previousSibling, child);
        }
      }
    }
    exports2.mutation_insert = mutation_insert;
    function mutation_insert_single(node, parent, suppressObservers) {
      var previousSibling = parent._lastChild;
      if (util_1.Guard.isElementNode(node)) {
        if (util_1.Guard.isDocumentNode(parent)) {
          parent._documentElement = node;
        }
        if (!node._nodeDocument._hasNamespaces && (node._namespace !== null || node._namespacePrefix !== null)) {
          node._nodeDocument._hasNamespaces = true;
        }
      }
      node._parent = parent;
      parent._children.add(node);
      if (parent._firstChild === null) {
        node._previousSibling = null;
        node._nextSibling = null;
        parent._firstChild = node;
        parent._lastChild = node;
      } else {
        var prev = parent._lastChild;
        node._previousSibling = prev;
        node._nextSibling = null;
        if (prev)
          prev._nextSibling = node;
        if (!prev)
          parent._firstChild = node;
        parent._lastChild = node;
      }
      if (DOMImpl_1.dom.features.slots) {
        if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignASlot(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node));
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runInsertionSteps(node);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isElementNode(node) && ShadowTreeAlgorithm_1.shadowTree_isConnected(node)) {
          if (util_1.Guard.isCustomElementNode(node)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "connectedCallback", []);
          } else {
            CustomElementAlgorithm_1.customElement_tryToUpgrade(node);
          }
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [node], [], previousSibling, null);
        }
      }
    }
    function mutation_append(node, parent) {
      return mutation_preInsert(node, parent, null);
    }
    exports2.mutation_append = mutation_append;
    function mutation_replace(child, node, parent) {
      var e_6, _a, e_7, _b, e_8, _c, e_9, _d;
      if (parent._nodeType !== interfaces_1.NodeType.Document && parent._nodeType !== interfaces_1.NodeType.DocumentFragment && parent._nodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (node._nodeType !== interfaces_1.NodeType.DocumentFragment && node._nodeType !== interfaces_1.NodeType.DocumentType && node._nodeType !== interfaces_1.NodeType.Element && node._nodeType !== interfaces_1.NodeType.Text && node._nodeType !== interfaces_1.NodeType.ProcessingInstruction && node._nodeType !== interfaces_1.NodeType.CData && node._nodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.Text && parent._nodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.DocumentType && parent._nodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parent._nodeType === interfaces_1.NodeType.Document) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_7_1) {
              e_7 = { error: e_7_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_7)
                  throw e_7.error;
              }
            }
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (node._nodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          var doctypeChild = child._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            doctypeChild = doctypeChild._nextSibling;
          }
        } else if (node._nodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          var elementChild = child._previousSibling;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._previousSibling;
          }
        }
      }
      var referenceChild = child._nextSibling;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      var previousSibling = child._previousSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      var removedNodes = [];
      if (child._parent !== null) {
        removedNodes.push(child);
        mutation_remove(child, child._parent, true);
      }
      var nodes = [];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        nodes = Array.from(node._children);
      } else {
        nodes.push(node);
      }
      mutation_insert(node, parent, referenceChild, true);
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, removedNodes, previousSibling, referenceChild);
      }
      return child;
    }
    exports2.mutation_replace = mutation_replace;
    function mutation_replaceAll(node, parent) {
      var e_10, _a;
      if (node !== null) {
        DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      }
      var removedNodes = Array.from(parent._children);
      var addedNodes = [];
      if (node && node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        addedNodes = Array.from(node._children);
      } else if (node !== null) {
        addedNodes.push(node);
      }
      try {
        for (var removedNodes_1 = __values(removedNodes), removedNodes_1_1 = removedNodes_1.next(); !removedNodes_1_1.done; removedNodes_1_1 = removedNodes_1.next()) {
          var childNode = removedNodes_1_1.value;
          mutation_remove(childNode, parent, true);
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (removedNodes_1_1 && !removedNodes_1_1.done && (_a = removedNodes_1.return))
            _a.call(removedNodes_1);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (node !== null) {
        mutation_insert(node, parent, null, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, addedNodes, removedNodes, null, null);
      }
    }
    exports2.mutation_replaceAll = mutation_replaceAll;
    function mutation_preRemove(child, parent) {
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      mutation_remove(child, parent);
      return child;
    }
    exports2.mutation_preRemove = mutation_preRemove;
    function mutation_remove(node, parent, suppressObservers) {
      var e_11, _a, e_12, _b, e_13, _c, e_14, _d;
      if (DOMImpl_1.dom.rangeList.size !== 0) {
        var index = TreeAlgorithm_1.tree_index(node);
        try {
          for (var _e = __values(DOMImpl_1.dom.rangeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var range = _f.value;
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._start[0], true)) {
              range._start = [parent, index];
            }
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._end[0], true)) {
              range._end = [parent, index];
            }
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1]--;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1]--;
            }
          }
        } catch (e_11_1) {
          e_11 = { error: e_11_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_11)
              throw e_11.error;
          }
        }
        try {
          for (var _g = __values(DOMImpl_1.dom.rangeList), _h = _g.next(); !_h.done; _h = _g.next()) {
            var range = _h.value;
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1] -= 1;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1] -= 1;
            }
          }
        } catch (e_12_1) {
          e_12 = { error: e_12_1 };
        } finally {
          try {
            if (_h && !_h.done && (_b = _g.return))
              _b.call(_g);
          } finally {
            if (e_12)
              throw e_12.error;
          }
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        try {
          for (var _j = __values(NodeIteratorAlgorithm_1.nodeIterator_iteratorList()), _k = _j.next(); !_k.done; _k = _j.next()) {
            var iterator = _k.value;
            if (iterator._root._nodeDocument === node._nodeDocument) {
              DOMAlgorithm_1.dom_runNodeIteratorPreRemovingSteps(iterator, node);
            }
          }
        } catch (e_13_1) {
          e_13 = { error: e_13_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_13)
              throw e_13.error;
          }
        }
      }
      var oldPreviousSibling = node._previousSibling;
      var oldNextSibling = node._nextSibling;
      if (util_1.Guard.isDocumentNode(parent) && util_1.Guard.isElementNode(node)) {
        parent._documentElement = null;
      }
      node._parent = null;
      parent._children.delete(node);
      var prev = node._previousSibling;
      var next = node._nextSibling;
      node._previousSibling = null;
      node._nextSibling = null;
      if (prev)
        prev._nextSibling = next;
      if (next)
        next._previousSibling = prev;
      if (!prev)
        parent._firstChild = next;
      if (!next)
        parent._lastChild = prev;
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isSlotable(node) && node._assignedSlot !== null && ShadowTreeAlgorithm_1.shadowTree_isAssigned(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(node._assignedSlot);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        var descendant_1 = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
        if (descendant_1 !== null) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(parent));
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runRemovingSteps(node, parent);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(node)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "disconnectedCallback", []);
        }
      }
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, true);
      while (descendant !== null) {
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runRemovingSteps(descendant, node);
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isCustomElementNode(descendant)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(descendant, "disconnectedCallback", []);
          }
        }
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, descendant, false, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        var inclusiveAncestor = TreeAlgorithm_1.tree_getFirstAncestorNode(parent, true);
        while (inclusiveAncestor !== null) {
          try {
            for (var _l = (e_14 = void 0, __values(inclusiveAncestor._registeredObserverList)), _m = _l.next(); !_m.done; _m = _l.next()) {
              var registered = _m.value;
              if (registered.options.subtree) {
                node._registeredObserverList.push({
                  observer: registered.observer,
                  options: registered.options,
                  source: registered
                });
              }
            }
          } catch (e_14_1) {
            e_14 = { error: e_14_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_14)
                throw e_14.error;
            }
          }
          inclusiveAncestor = TreeAlgorithm_1.tree_getNextAncestorNode(parent, inclusiveAncestor, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [], [node], oldPreviousSibling, oldNextSibling);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
    }
    exports2.mutation_remove = mutation_remove;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js
var require_ElementAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var infra_1 = require_lib2();
    var util_1 = require_util4();
    var DOMException_1 = require_DOMException();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    var MutationAlgorithm_1 = require_MutationAlgorithm();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm();
    function element_has(attribute, element) {
      return element._attributeList._asArray().indexOf(attribute) !== -1;
    }
    exports2.element_has = element_has;
    function element_change(attribute, element, value) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, value, attribute._namespace);
      }
      attribute._value = value;
    }
    exports2.element_change = element_change;
    function element_append(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, null);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, null, attribute._value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, null, attribute._value, attribute._namespace);
      }
      element._attributeList._asArray().push(attribute);
      attribute._element = element;
      if (!element._nodeDocument._hasNamespaces && (attribute._namespace !== null || attribute._namespacePrefix !== null || attribute._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_append = element_append;
    function element_remove(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, null, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, null, attribute._namespace);
      }
      var index = element._attributeList._asArray().indexOf(attribute);
      element._attributeList._asArray().splice(index, 1);
      attribute._element = null;
    }
    exports2.element_remove = element_remove;
    function element_replace(oldAttr, newAttr, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, oldAttr._localName, oldAttr._namespace, oldAttr._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace);
      }
      var index = element._attributeList._asArray().indexOf(oldAttr);
      if (index !== -1) {
        element._attributeList._asArray()[index] = newAttr;
      }
      oldAttr._element = null;
      newAttr._element = element;
      if (!element._nodeDocument._hasNamespaces && (newAttr._namespace !== null || newAttr._namespacePrefix !== null || newAttr._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_replace = element_replace;
    function element_getAnAttributeByName(qualifiedName, element) {
      if (element._namespace === infra_1.namespace.HTML && element._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      return element._attributeList._asArray().find(function(attr) {
        return attr._qualifiedName === qualifiedName;
      }) || null;
    }
    exports2.element_getAnAttributeByName = element_getAnAttributeByName;
    function element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var ns = namespace || null;
      return element._attributeList._asArray().find(function(attr) {
        return attr._namespace === ns && attr._localName === localName;
      }) || null;
    }
    exports2.element_getAnAttributeByNamespaceAndLocalName = element_getAnAttributeByNamespaceAndLocalName;
    function element_getAnAttributeValue(element, localName, namespace) {
      if (namespace === void 0) {
        namespace = "";
      }
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr === null)
        return "";
      else
        return attr._value;
    }
    exports2.element_getAnAttributeValue = element_getAnAttributeValue;
    function element_setAnAttribute(attr, element) {
      if (attr._element !== null && attr._element !== element)
        throw new DOMException_1.InUseAttributeError("This attribute already exists in the document: " + attr._qualifiedName + " as a child of " + attr._element._qualifiedName + ".");
      var oldAttr = element_getAnAttributeByNamespaceAndLocalName(attr._namespace || "", attr._localName, element);
      if (oldAttr === attr)
        return attr;
      if (oldAttr !== null) {
        element_replace(oldAttr, attr, element);
      } else {
        element_append(attr, element);
      }
      return oldAttr;
    }
    exports2.element_setAnAttribute = element_setAnAttribute;
    function element_setAnAttributeValue(element, localName, value, prefix, namespace) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (namespace === void 0) {
        namespace = null;
      }
      var attribute = element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, element);
      if (attribute === null) {
        var newAttr = CreateAlgorithm_1.create_attr(element._nodeDocument, localName);
        newAttr._namespace = namespace;
        newAttr._namespacePrefix = prefix;
        newAttr._value = value;
        element_append(newAttr, element);
        return;
      }
      element_change(attribute, element, value);
    }
    exports2.element_setAnAttributeValue = element_setAnAttributeValue;
    function element_removeAnAttributeByName(qualifiedName, element) {
      var attr = element_getAnAttributeByName(qualifiedName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByName = element_removeAnAttributeByName;
    function element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByNamespaceAndLocalName = element_removeAnAttributeByNamespaceAndLocalName;
    function element_createAnElement(document, localName, namespace, prefix, is, synchronousCustomElementsFlag) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (is === void 0) {
        is = null;
      }
      if (synchronousCustomElementsFlag === void 0) {
        synchronousCustomElementsFlag = false;
      }
      var result = null;
      if (!DOMImpl_1.dom.features.customElements) {
        result = CreateAlgorithm_1.create_element(document, localName, namespace, prefix);
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        return result;
      }
      var definition = CustomElementAlgorithm_1.customElement_lookUpACustomElementDefinition(document, namespace, localName, is);
      if (definition !== null && definition.name !== definition.localName) {
        var elemenInterface = DocumentAlgorithm_1.document_elementInterface(localName, infra_1.namespace.HTML);
        result = new elemenInterface();
        result._localName = localName;
        result._namespace = infra_1.namespace.HTML;
        result._namespacePrefix = prefix;
        result._customElementState = "undefined";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (synchronousCustomElementsFlag) {
          CustomElementAlgorithm_1.customElement_upgrade(definition, result);
        } else {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else if (definition !== null) {
        if (synchronousCustomElementsFlag) {
          try {
            var C = definition.constructor;
            var result_1 = new C();
            console.assert(result_1._customElementState !== void 0);
            console.assert(result_1._customElementDefinition !== void 0);
            console.assert(result_1._namespace === infra_1.namespace.HTML);
            if (result_1._attributeList.length !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has attributes.");
            if (result_1._children.size !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has child nodes.");
            if (result_1._parent !== null)
              throw new DOMException_1.NotSupportedError("Custom element already has a parent node.");
            if (result_1._nodeDocument !== document)
              throw new DOMException_1.NotSupportedError("Custom element is already in a document.");
            if (result_1._localName !== localName)
              throw new DOMException_1.NotSupportedError("Custom element has a different local name.");
            result_1._namespacePrefix = prefix;
            result_1._is = null;
          } catch (e) {
            result = CreateAlgorithm_1.create_htmlUnknownElement(document, localName, infra_1.namespace.HTML, prefix);
            result._customElementState = "failed";
            result._customElementDefinition = null;
            result._is = null;
          }
        } else {
          result = CreateAlgorithm_1.create_htmlElement(document, localName, infra_1.namespace.HTML, prefix);
          result._customElementState = "undefined";
          result._customElementDefinition = null;
          result._is = null;
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else {
        var elementInterface = DocumentAlgorithm_1.document_elementInterface(localName, namespace);
        result = new elementInterface();
        result._localName = localName;
        result._namespace = namespace;
        result._namespacePrefix = prefix;
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (namespace === infra_1.namespace.HTML && (is !== null || CustomElementAlgorithm_1.customElement_isValidCustomElementName(localName))) {
          result._customElementState = "undefined";
        }
      }
      if (result === null) {
        throw new Error("Unable to create element.");
      }
      return result;
    }
    exports2.element_createAnElement = element_createAnElement;
    function element_insertAdjacent(element, where, node) {
      switch (where.toLowerCase()) {
        case "beforebegin":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element);
        case "afterbegin":
          return MutationAlgorithm_1.mutation_preInsert(node, element, element._firstChild);
        case "beforeend":
          return MutationAlgorithm_1.mutation_preInsert(node, element, null);
        case "afterend":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element._nextSibling);
        default:
          throw new DOMException_1.SyntaxError(`Invalid 'where' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected`);
      }
    }
    exports2.element_insertAdjacent = element_insertAdjacent;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js
var require_AttrAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ElementAlgorithm_1 = require_ElementAlgorithm();
    function attr_setAnExistingAttributeValue(attribute, value) {
      if (attribute._element === null) {
        attribute._value = value;
      } else {
        ElementAlgorithm_1.element_change(attribute, attribute._element, value);
      }
    }
    exports2.attr_setAnExistingAttributeValue = attr_setAnExistingAttributeValue;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js
var require_BoundaryPointAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    function boundaryPoint_position(bp, relativeTo) {
      var nodeA = bp[0];
      var offsetA = bp[1];
      var nodeB = relativeTo[0];
      var offsetB = relativeTo[1];
      console.assert(TreeAlgorithm_1.tree_rootNode(nodeA) === TreeAlgorithm_1.tree_rootNode(nodeB), "Boundary points must share the same root node.");
      if (nodeA === nodeB) {
        if (offsetA === offsetB) {
          return interfaces_1.BoundaryPosition.Equal;
        } else if (offsetA < offsetB) {
          return interfaces_1.BoundaryPosition.Before;
        } else {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      if (TreeAlgorithm_1.tree_isFollowing(nodeB, nodeA)) {
        var pos = boundaryPoint_position([nodeB, offsetB], [nodeA, offsetA]);
        if (pos === interfaces_1.BoundaryPosition.Before) {
          return interfaces_1.BoundaryPosition.After;
        } else if (pos === interfaces_1.BoundaryPosition.After) {
          return interfaces_1.BoundaryPosition.Before;
        }
      }
      if (TreeAlgorithm_1.tree_isAncestorOf(nodeB, nodeA)) {
        var child = nodeB;
        while (!TreeAlgorithm_1.tree_isChildOf(nodeA, child)) {
          if (child._parent !== null) {
            child = child._parent;
          }
        }
        if (TreeAlgorithm_1.tree_index(child) < offsetA) {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      return interfaces_1.BoundaryPosition.Before;
    }
    exports2.boundaryPoint_position = boundaryPoint_position;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js
var require_CharacterDataAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var DOMException_1 = require_DOMException();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    function characterData_replaceData(node, offset, count, data) {
      var e_1, _a;
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        count = length - offset;
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueMutationRecord("characterData", node, null, null, node._data, [], [], null, null);
      }
      var newData = node._data.substring(0, offset) + data + node._data.substring(offset + count);
      node._data = newData;
      try {
        for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var range = _c.value;
          if (range._start[0] === node && range._start[1] > offset && range._start[1] <= offset + count) {
            range._start[1] = offset;
          }
          if (range._end[0] === node && range._end[1] > offset && range._end[1] <= offset + count) {
            range._end[1] = offset;
          }
          if (range._start[0] === node && range._start[1] > offset + count) {
            range._start[1] += data.length - count;
          }
          if (range._end[0] === node && range._end[1] > offset + count) {
            range._end[1] += data.length - count;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node) && node._parent !== null) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(node._parent);
        }
      }
    }
    exports2.characterData_replaceData = characterData_replaceData;
    function characterData_substringData(node, offset, count) {
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        return node._data.substr(offset);
      } else {
        return node._data.substr(offset, count);
      }
    }
    exports2.characterData_substringData = characterData_substringData;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js
var require_OrderedSetAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib2();
    function orderedSet_parse(value) {
      var inputTokens = infra_1.string.splitAStringOnASCIIWhitespace(value);
      return new Set(inputTokens);
    }
    exports2.orderedSet_parse = orderedSet_parse;
    function orderedSet_serialize(tokens) {
      return __spread(tokens).join(" ");
    }
    exports2.orderedSet_serialize = orderedSet_serialize;
    function orderedSet_sanitize(value) {
      return orderedSet_serialize(orderedSet_parse(value));
    }
    exports2.orderedSet_sanitize = orderedSet_sanitize;
    function orderedSet_contains(set1, set2, caseSensitive) {
      var e_1, _a, e_2, _b;
      try {
        for (var set2_1 = __values(set2), set2_1_1 = set2_1.next(); !set2_1_1.done; set2_1_1 = set2_1.next()) {
          var val2 = set2_1_1.value;
          var found = false;
          try {
            for (var set1_1 = (e_2 = void 0, __values(set1)), set1_1_1 = set1_1.next(); !set1_1_1.done; set1_1_1 = set1_1.next()) {
              var val1 = set1_1_1.value;
              if (caseSensitive) {
                if (val1 === val2) {
                  found = true;
                  break;
                }
              } else {
                if (val1.toUpperCase() === val2.toUpperCase()) {
                  found = true;
                  break;
                }
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (set1_1_1 && !set1_1_1.done && (_b = set1_1.return))
                _b.call(set1_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (!found)
            return false;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set2_1_1 && !set2_1_1.done && (_a = set2_1.return))
            _a.call(set2_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return true;
    }
    exports2.orderedSet_contains = orderedSet_contains;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js
var require_DOMTokenListAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    var ElementAlgorithm_1 = require_ElementAlgorithm();
    function tokenList_validationSteps(tokenList, token) {
      if (!DOMAlgorithm_1.dom_hasSupportedTokens(tokenList._attribute._localName)) {
        throw new TypeError("There are no supported tokens defined for attribute name: '" + tokenList._attribute._localName + "'.");
      }
      return DOMAlgorithm_1.dom_getSupportedTokens(tokenList._attribute._localName).has(token.toLowerCase());
    }
    exports2.tokenList_validationSteps = tokenList_validationSteps;
    function tokenList_updateSteps(tokenList) {
      if (!tokenList._element.hasAttribute(tokenList._attribute._localName) && tokenList._tokenSet.size === 0) {
        return;
      }
      ElementAlgorithm_1.element_setAnAttributeValue(tokenList._element, tokenList._attribute._localName, OrderedSetAlgorithm_1.orderedSet_serialize(tokenList._tokenSet));
    }
    exports2.tokenList_updateSteps = tokenList_updateSteps;
    function tokenList_serializeSteps(tokenList) {
      return ElementAlgorithm_1.element_getAnAttributeValue(tokenList._element, tokenList._attribute._localName);
    }
    exports2.tokenList_serializeSteps = tokenList_serializeSteps;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js
var require_EventTargetAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    function eventTarget_flatten(options) {
      if (util_1.isBoolean(options)) {
        return options;
      } else {
        return options.capture || false;
      }
    }
    exports2.eventTarget_flatten = eventTarget_flatten;
    function eventTarget_flattenMore(options) {
      var capture = eventTarget_flatten(options);
      var once = false;
      var passive = false;
      if (!util_1.isBoolean(options)) {
        once = options.once || false;
        passive = options.passive || false;
      }
      return [capture, passive, once];
    }
    exports2.eventTarget_flattenMore = eventTarget_flattenMore;
    function eventTarget_addEventListener(eventTarget, listener) {
      if (listener.callback === null)
        return;
      for (var i = 0; i < eventTarget._eventListenerList.length; i++) {
        var entry = eventTarget._eventListenerList[i];
        if (entry.type === listener.type && entry.callback.handleEvent === listener.callback.handleEvent && entry.capture === listener.capture) {
          return;
        }
      }
      eventTarget._eventListenerList.push(listener);
    }
    exports2.eventTarget_addEventListener = eventTarget_addEventListener;
    function eventTarget_removeEventListener(eventTarget, listener, index) {
      listener.removed = true;
      eventTarget._eventListenerList.splice(index, 1);
    }
    exports2.eventTarget_removeEventListener = eventTarget_removeEventListener;
    function eventTarget_removeAllEventListeners(eventTarget) {
      var e_1, _a;
      try {
        for (var _b = __values(eventTarget._eventListenerList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var e = _c.value;
          e.removed = true;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      eventTarget._eventListenerList.length = 0;
    }
    exports2.eventTarget_removeAllEventListeners = eventTarget_removeAllEventListeners;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js
var require_NodeAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var infra_1 = require_lib2();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm();
    var DOMAlgorithm_1 = require_DOMAlgorithm();
    var MutationAlgorithm_1 = require_MutationAlgorithm();
    var ElementAlgorithm_1 = require_ElementAlgorithm();
    function node_stringReplaceAll(str, parent) {
      var node = null;
      if (str !== "") {
        node = CreateAlgorithm_1.create_text(parent._nodeDocument, str);
      }
      MutationAlgorithm_1.mutation_replaceAll(node, parent);
    }
    exports2.node_stringReplaceAll = node_stringReplaceAll;
    function node_clone(node, document, cloneChildrenFlag) {
      var e_1, _a, e_2, _b;
      if (document === void 0) {
        document = null;
      }
      if (cloneChildrenFlag === void 0) {
        cloneChildrenFlag = false;
      }
      if (document === null)
        document = node._nodeDocument;
      var copy;
      if (util_1.Guard.isElementNode(node)) {
        copy = ElementAlgorithm_1.element_createAnElement(document, node._localName, node._namespace, node._namespacePrefix, node._is, false);
        try {
          for (var _c = __values(node._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attribute = _d.value;
            var copyAttribute = node_clone(attribute, document);
            ElementAlgorithm_1.element_append(copyAttribute, copy);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        if (util_1.Guard.isDocumentNode(node)) {
          var doc = CreateAlgorithm_1.create_document();
          doc._encoding = node._encoding;
          doc._contentType = node._contentType;
          doc._URL = node._URL;
          doc._origin = node._origin;
          doc._type = node._type;
          doc._mode = node._mode;
          copy = doc;
        } else if (util_1.Guard.isDocumentTypeNode(node)) {
          var doctype = CreateAlgorithm_1.create_documentType(document, node._name, node._publicId, node._systemId);
          copy = doctype;
        } else if (util_1.Guard.isAttrNode(node)) {
          var attr = CreateAlgorithm_1.create_attr(document, node.localName);
          attr._namespace = node._namespace;
          attr._namespacePrefix = node._namespacePrefix;
          attr._value = node._value;
          copy = attr;
        } else if (util_1.Guard.isExclusiveTextNode(node)) {
          copy = CreateAlgorithm_1.create_text(document, node._data);
        } else if (util_1.Guard.isCDATASectionNode(node)) {
          copy = CreateAlgorithm_1.create_cdataSection(document, node._data);
        } else if (util_1.Guard.isCommentNode(node)) {
          copy = CreateAlgorithm_1.create_comment(document, node._data);
        } else if (util_1.Guard.isProcessingInstructionNode(node)) {
          copy = CreateAlgorithm_1.create_processingInstruction(document, node._target, node._data);
        } else if (util_1.Guard.isDocumentFragmentNode(node)) {
          copy = CreateAlgorithm_1.create_documentFragment(document);
        } else {
          copy = Object.create(node);
        }
      }
      if (util_1.Guard.isDocumentNode(copy)) {
        copy._nodeDocument = copy;
        document = copy;
      } else {
        copy._nodeDocument = document;
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runCloningSteps(copy, node, document, cloneChildrenFlag);
      }
      if (cloneChildrenFlag) {
        try {
          for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
            var child = _f.value;
            var childCopy = node_clone(child, document, true);
            MutationAlgorithm_1.mutation_append(childCopy, copy);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      return copy;
    }
    exports2.node_clone = node_clone;
    function node_equals(a, b) {
      var e_3, _a, e_4, _b;
      if (a._nodeType !== b._nodeType)
        return false;
      if (util_1.Guard.isDocumentTypeNode(a) && util_1.Guard.isDocumentTypeNode(b)) {
        if (a._name !== b._name || a._publicId !== b._publicId || a._systemId !== b._systemId)
          return false;
      } else if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        if (a._namespace !== b._namespace || a._namespacePrefix !== b._namespacePrefix || a._localName !== b._localName || a._attributeList.length !== b._attributeList.length)
          return false;
      } else if (util_1.Guard.isAttrNode(a) && util_1.Guard.isAttrNode(b)) {
        if (a._namespace !== b._namespace || a._localName !== b._localName || a._value !== b._value)
          return false;
      } else if (util_1.Guard.isProcessingInstructionNode(a) && util_1.Guard.isProcessingInstructionNode(b)) {
        if (a._target !== b._target || a._data !== b._data)
          return false;
      } else if (util_1.Guard.isCharacterDataNode(a) && util_1.Guard.isCharacterDataNode(b)) {
        if (a._data !== b._data)
          return false;
      }
      if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        var attrMap = {};
        try {
          for (var _c = __values(a._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attrA = _d.value;
            attrMap[attrA._localName] = attrA;
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var _e = __values(b._attributeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var attrB = _f.value;
            var attrA = attrMap[attrB._localName];
            if (!attrA)
              return false;
            if (!node_equals(attrA, attrB))
              return false;
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      if (a._children.size !== b._children.size)
        return false;
      var itA = a._children[Symbol.iterator]();
      var itB = b._children[Symbol.iterator]();
      var resultA = itA.next();
      var resultB = itB.next();
      while (!resultA.done && !resultB.done) {
        var child1 = resultA.value;
        var child2 = resultB.value;
        if (!node_equals(child1, child2))
          return false;
        resultA = itA.next();
        resultB = itB.next();
      }
      return true;
    }
    exports2.node_equals = node_equals;
    function node_listOfElementsWithQualifiedName(qualifiedName, root) {
      if (qualifiedName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (root._nodeDocument._type === "html") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          if (ele._namespace === infra_1.namespace.HTML && ele._qualifiedName === qualifiedName.toLowerCase()) {
            return true;
          } else if (ele._namespace !== infra_1.namespace.HTML && ele._qualifiedName === qualifiedName) {
            return true;
          } else {
            return false;
          }
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._qualifiedName === qualifiedName;
        });
      }
    }
    exports2.node_listOfElementsWithQualifiedName = node_listOfElementsWithQualifiedName;
    function node_listOfElementsWithNamespace(namespace, localName, root) {
      if (namespace === "")
        namespace = null;
      if (namespace === "*" && localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (namespace === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName;
        });
      } else if (localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._namespace === namespace;
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName && ele._namespace === namespace;
        });
      }
    }
    exports2.node_listOfElementsWithNamespace = node_listOfElementsWithNamespace;
    function node_listOfElementsWithClassNames(classNames, root) {
      var classes = OrderedSetAlgorithm_1.orderedSet_parse(classNames);
      if (classes.size === 0) {
        return CreateAlgorithm_1.create_htmlCollection(root, function() {
          return false;
        });
      }
      var caseSensitive = root._nodeDocument._mode !== "quirks";
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        var eleClasses = ele.classList;
        return OrderedSetAlgorithm_1.orderedSet_contains(eleClasses._tokenSet, classes, caseSensitive);
      });
    }
    exports2.node_listOfElementsWithClassNames = node_listOfElementsWithClassNames;
    function node_locateANamespacePrefix(element, namespace) {
      if (element._namespace === namespace && element._namespacePrefix !== null) {
        return element._namespacePrefix;
      }
      for (var i = 0; i < element._attributeList.length; i++) {
        var attr = element._attributeList[i];
        if (attr._namespacePrefix === "xmlns" && attr._value === namespace) {
          return attr._localName;
        }
      }
      if (element._parent && util_1.Guard.isElementNode(element._parent)) {
        return node_locateANamespacePrefix(element._parent, namespace);
      }
      return null;
    }
    exports2.node_locateANamespacePrefix = node_locateANamespacePrefix;
    function node_locateANamespace(node, prefix) {
      if (util_1.Guard.isElementNode(node)) {
        if (node._namespace !== null && node._namespacePrefix === prefix) {
          return node._namespace;
        }
        for (var i = 0; i < node._attributeList.length; i++) {
          var attr = node._attributeList[i];
          if (attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === "xmlns" && attr._localName === prefix) {
            return attr._value || null;
          }
          if (prefix === null && attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === null && attr._localName === "xmlns") {
            return attr._value || null;
          }
        }
        if (node.parentElement === null)
          return null;
        return node_locateANamespace(node.parentElement, prefix);
      } else if (util_1.Guard.isDocumentNode(node)) {
        if (node.documentElement === null)
          return null;
        return node_locateANamespace(node.documentElement, prefix);
      } else if (util_1.Guard.isDocumentTypeNode(node) || util_1.Guard.isDocumentFragmentNode(node)) {
        return null;
      } else if (util_1.Guard.isAttrNode(node)) {
        if (node._element === null)
          return null;
        return node_locateANamespace(node._element, prefix);
      } else {
        if (!node._parent || !util_1.Guard.isElementNode(node._parent))
          return null;
        return node_locateANamespace(node._parent, prefix);
      }
    }
    exports2.node_locateANamespace = node_locateANamespace;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js
var require_ParentNodeAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    function parentNode_convertNodesIntoANode(nodes, document) {
      var e_1, _a;
      var node = null;
      for (var i = 0; i < nodes.length; i++) {
        var item = nodes[i];
        if (util_1.isString(item)) {
          var text = CreateAlgorithm_1.create_text(document, item);
          nodes[i] = text;
        }
      }
      if (nodes.length === 1) {
        node = nodes[0];
      } else {
        node = CreateAlgorithm_1.create_documentFragment(document);
        var ns = node;
        try {
          for (var nodes_1 = __values(nodes), nodes_1_1 = nodes_1.next(); !nodes_1_1.done; nodes_1_1 = nodes_1.next()) {
            var item = nodes_1_1.value;
            ns.appendChild(item);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (nodes_1_1 && !nodes_1_1.done && (_a = nodes_1.return))
              _a.call(nodes_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      return node;
    }
    exports2.parentNode_convertNodesIntoANode = parentNode_convertNodesIntoANode;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js
var require_TextAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var DOMException_1 = require_DOMException();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm();
    var MutationAlgorithm_1 = require_MutationAlgorithm();
    function text_contiguousTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousTextNodes = text_contiguousTextNodes;
    function text_contiguousExclusiveTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isExclusiveTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousExclusiveTextNodes = text_contiguousExclusiveTextNodes;
    function text_descendantTextContent(node) {
      var contents = "";
      var text = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, false, function(e) {
        return util_1.Guard.isTextNode(e);
      });
      while (text !== null) {
        contents += text._data;
        text = TreeAlgorithm_1.tree_getNextDescendantNode(node, text, false, false, function(e) {
          return util_1.Guard.isTextNode(e);
        });
      }
      return contents;
    }
    exports2.text_descendantTextContent = text_descendantTextContent;
    function text_split(node, offset) {
      var e_1, _a;
      var length = node._data.length;
      if (offset > length) {
        throw new DOMException_1.IndexSizeError();
      }
      var count = length - offset;
      var newData = CharacterDataAlgorithm_1.characterData_substringData(node, offset, count);
      var newNode = CreateAlgorithm_1.create_text(node._nodeDocument, newData);
      var parent = node._parent;
      if (parent !== null) {
        MutationAlgorithm_1.mutation_insert(newNode, parent, node._nextSibling);
        try {
          for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
            var range = _c.value;
            if (range._start[0] === node && range._start[1] > offset) {
              range._start[0] = newNode;
              range._start[1] -= offset;
            }
            if (range._end[0] === node && range._end[1] > offset) {
              range._end[0] = newNode;
              range._end[1] -= offset;
            }
            var index = TreeAlgorithm_1.tree_index(node);
            if (range._start[0] === parent && range._start[1] === index + 1) {
              range._start[1]++;
            }
            if (range._end[0] === parent && range._end[1] === index + 1) {
              range._end[1]++;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      CharacterDataAlgorithm_1.characterData_replaceData(node, offset, count, "");
      return newNode;
    }
    exports2.text_split = text_split;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js
var require_RangeAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var DOMException_1 = require_DOMException();
    var util_1 = require_util4();
    var CreateAlgorithm_1 = require_CreateAlgorithm();
    var TreeAlgorithm_1 = require_TreeAlgorithm();
    var BoundaryPointAlgorithm_1 = require_BoundaryPointAlgorithm();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm();
    var NodeAlgorithm_1 = require_NodeAlgorithm();
    var MutationAlgorithm_1 = require_MutationAlgorithm();
    var TextAlgorithm_1 = require_TextAlgorithm();
    function range_collapsed(range) {
      return range._startNode === range._endNode && range._startOffset === range._endOffset;
    }
    exports2.range_collapsed = range_collapsed;
    function range_root(range) {
      return TreeAlgorithm_1.tree_rootNode(range._startNode);
    }
    exports2.range_root = range_root;
    function range_isContained(node, range) {
      return TreeAlgorithm_1.tree_rootNode(node) === range_root(range) && BoundaryPointAlgorithm_1.boundaryPoint_position([node, 0], range._start) === interfaces_1.BoundaryPosition.After && BoundaryPointAlgorithm_1.boundaryPoint_position([node, TreeAlgorithm_1.tree_nodeLength(node)], range._end) === interfaces_1.BoundaryPosition.Before;
    }
    exports2.range_isContained = range_isContained;
    function range_isPartiallyContained(node, range) {
      var startCheck = TreeAlgorithm_1.tree_isAncestorOf(range._startNode, node, true);
      var endCheck = TreeAlgorithm_1.tree_isAncestorOf(range._endNode, node, true);
      return startCheck && !endCheck || !startCheck && endCheck;
    }
    exports2.range_isPartiallyContained = range_isPartiallyContained;
    function range_setTheStart(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._end) === interfaces_1.BoundaryPosition.After) {
        range._end = bp;
      }
      range._start = bp;
    }
    exports2.range_setTheStart = range_setTheStart;
    function range_setTheEnd(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._start) === interfaces_1.BoundaryPosition.Before) {
        range._start = bp;
      }
      range._end = bp;
    }
    exports2.range_setTheEnd = range_setTheEnd;
    function range_select(node, range) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError();
      var index = TreeAlgorithm_1.tree_index(node);
      range._start = [parent, index];
      range._end = [parent, index + 1];
    }
    exports2.range_select = range_select;
    function range_extract(range) {
      var e_1, _a, e_2, _b, e_3, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
        return fragment;
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      var newNode;
      var newOffset;
      if (TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        newNode = originalStartNode;
        newOffset = originalStartOffset;
      } else {
        var referenceNode = originalStartNode;
        while (referenceNode._parent !== null && !TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent)) {
          referenceNode = referenceNode._parent;
        }
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        newNode = referenceNode._parent;
        newOffset = 1 + TreeAlgorithm_1.tree_index(referenceNode);
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_1 = __values(containedChildren), containedChildren_1_1 = containedChildren_1.next(); !containedChildren_1_1.done; containedChildren_1_1 = containedChildren_1.next()) {
          var child = containedChildren_1_1.value;
          MutationAlgorithm_1.mutation_append(child, fragment);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (containedChildren_1_1 && !containedChildren_1_1.done && (_c = containedChildren_1.return))
            _c.call(containedChildren_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      range._start = [newNode, newOffset];
      range._end = [newNode, newOffset];
      return fragment;
    }
    exports2.range_extract = range_extract;
    function range_cloneTheContents(range) {
      var e_4, _a, e_5, _b, e_6, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_cloneTheContents(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_2 = __values(containedChildren), containedChildren_2_1 = containedChildren_2.next(); !containedChildren_2_1.done; containedChildren_2_1 = containedChildren_2.next()) {
          var child = containedChildren_2_1.value;
          var clone = NodeAlgorithm_1.node_clone(child);
          MutationAlgorithm_1.mutation_append(clone, fragment);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (containedChildren_2_1 && !containedChildren_2_1.done && (_c = containedChildren_2.return))
            _c.call(containedChildren_2);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        fragment.append(clone);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      return fragment;
    }
    exports2.range_cloneTheContents = range_cloneTheContents;
    function range_insert(node, range) {
      var e_7, _a;
      if (util_1.Guard.isProcessingInstructionNode(range._startNode) || util_1.Guard.isCommentNode(range._startNode) || util_1.Guard.isTextNode(range._startNode) && range._startNode._parent === null || range._startNode === node) {
        throw new DOMException_1.HierarchyRequestError();
      }
      var referenceNode = null;
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = range._startNode;
      } else {
        var index = 0;
        try {
          for (var _b = __values(range._startNode._children), _c = _b.next(); !_c.done; _c = _b.next()) {
            var child = _c.value;
            if (index === range._startOffset) {
              referenceNode = child;
              break;
            }
            index++;
          }
        } catch (e_7_1) {
          e_7 = { error: e_7_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_7)
              throw e_7.error;
          }
        }
      }
      var parent;
      if (referenceNode === null) {
        parent = range._startNode;
      } else {
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        parent = referenceNode._parent;
      }
      MutationAlgorithm_1.mutation_ensurePreInsertionValidity(node, parent, referenceNode);
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = TextAlgorithm_1.text_split(range._startNode, range._startOffset);
      }
      if (node === referenceNode) {
        referenceNode = node._nextSibling;
      }
      if (node._parent !== null) {
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      }
      var newOffset = referenceNode === null ? TreeAlgorithm_1.tree_nodeLength(parent) : TreeAlgorithm_1.tree_index(referenceNode);
      if (util_1.Guard.isDocumentFragmentNode(node)) {
        newOffset += TreeAlgorithm_1.tree_nodeLength(node);
      } else {
        newOffset++;
      }
      MutationAlgorithm_1.mutation_preInsert(node, parent, referenceNode);
      if (range_collapsed(range)) {
        range._end = [parent, newOffset];
      }
    }
    exports2.range_insert = range_insert;
    function range_getContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getContainedNodes = range_getContainedNodes;
    function range_getPartiallyContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isPartiallyContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getPartiallyContainedNodes = range_getPartiallyContainedNodes;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js
var require_SelectorsAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException();
    function selectors_scopeMatchASelectorsString(selectors, node) {
      throw new DOMException_1.NotSupportedError();
    }
    exports2.selectors_scopeMatchASelectorsString = selectors_scopeMatchASelectorsString;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js
var require_TreeWalkerAlgorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm();
    function treeWalker_traverseChildren(walker, first) {
      var node = first ? walker._current._firstChild : walker._current._lastChild;
      while (node !== null) {
        var result = TraversalAlgorithm_1.traversal_filter(walker, node);
        if (result === interfaces_1.FilterResult.Accept) {
          walker._current = node;
          return node;
        } else if (result === interfaces_1.FilterResult.Skip) {
          var child = first ? node._firstChild : node._lastChild;
          if (child !== null) {
            node = child;
            continue;
          }
        }
        while (node !== null) {
          var sibling = first ? node._nextSibling : node._previousSibling;
          if (sibling !== null) {
            node = sibling;
            break;
          }
          var parent = node._parent;
          if (parent === null || parent === walker._root || parent === walker._current) {
            return null;
          }
          node = parent;
        }
      }
      return null;
    }
    exports2.treeWalker_traverseChildren = treeWalker_traverseChildren;
    function treeWalker_traverseSiblings(walker, next) {
      var node = walker._current;
      if (node === walker._root)
        return null;
      while (true) {
        var sibling = next ? node._nextSibling : node._previousSibling;
        while (sibling !== null) {
          node = sibling;
          var result = TraversalAlgorithm_1.traversal_filter(walker, node);
          if (result === interfaces_1.FilterResult.Accept) {
            walker._current = node;
            return node;
          }
          sibling = next ? node._firstChild : node._lastChild;
          if (result === interfaces_1.FilterResult.Reject || sibling === null) {
            sibling = next ? node._nextSibling : node._previousSibling;
          }
        }
        node = node._parent;
        if (node === null || node === walker._root) {
          return null;
        }
        if (TraversalAlgorithm_1.traversal_filter(walker, node) === interfaces_1.FilterResult.Accept) {
          return null;
        }
      }
    }
    exports2.treeWalker_traverseSiblings = treeWalker_traverseSiblings;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/index.js
var require_algorithm = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/algorithm/index.js"(exports2) {
    "use strict";
    function __export(m) {
      for (var p in m)
        if (!exports2.hasOwnProperty(p))
          exports2[p] = m[p];
    }
    Object.defineProperty(exports2, "__esModule", { value: true });
    __export(require_AbortAlgorithm());
    __export(require_AttrAlgorithm());
    __export(require_BoundaryPointAlgorithm());
    __export(require_CharacterDataAlgorithm());
    __export(require_CreateAlgorithm());
    __export(require_CustomElementAlgorithm());
    __export(require_DocumentAlgorithm());
    __export(require_DOMAlgorithm());
    __export(require_DOMTokenListAlgorithm());
    __export(require_ElementAlgorithm());
    __export(require_EventAlgorithm());
    __export(require_EventTargetAlgorithm());
    __export(require_MutationAlgorithm());
    __export(require_MutationObserverAlgorithm());
    __export(require_NamespaceAlgorithm());
    __export(require_NodeAlgorithm());
    __export(require_NodeIteratorAlgorithm());
    __export(require_OrderedSetAlgorithm());
    __export(require_ParentNodeAlgorithm());
    __export(require_RangeAlgorithm());
    __export(require_SelectorsAlgorithm());
    __export(require_ShadowTreeAlgorithm());
    __export(require_TextAlgorithm());
    __export(require_TraversalAlgorithm());
    __export(require_TreeAlgorithm());
    __export(require_TreeWalkerAlgorithm());
    __export(require_WebIDLAlgorithm());
    __export(require_XMLAlgorithm());
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/constants.js
var require_constants2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.nonEntityAmpersandRegex = /&(?![A-Za-z]+;|#\d+;)/g;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/BaseWriter.js
var require_BaseWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/BaseWriter.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var LocalNameSet_1 = require_LocalNameSet();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var constants_1 = require_constants2();
    var BaseWriter = (
      /** @class */
      function() {
        function BaseWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
        }
        BaseWriter2.prototype.declaration = function(version, encoding, standalone) {
        };
        BaseWriter2.prototype.docType = function(name, publicId, systemId) {
        };
        BaseWriter2.prototype.comment = function(data) {
        };
        BaseWriter2.prototype.text = function(data) {
        };
        BaseWriter2.prototype.instruction = function(target, data) {
        };
        BaseWriter2.prototype.cdata = function(data) {
        };
        BaseWriter2.prototype.openTagBegin = function(name) {
        };
        BaseWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
        };
        BaseWriter2.prototype.closeTag = function(name) {
        };
        BaseWriter2.prototype.attributes = function(attributes) {
          var e_1, _a;
          try {
            for (var attributes_1 = __values(attributes), attributes_1_1 = attributes_1.next(); !attributes_1_1.done; attributes_1_1 = attributes_1.next()) {
              var attr = attributes_1_1.value;
              this.attribute(attr[1] === null ? attr[2] : attr[1] + ":" + attr[2], attr[3]);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (attributes_1_1 && !attributes_1_1.done && (_a = attributes_1.return))
                _a.call(attributes_1);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        BaseWriter2.prototype.attribute = function(name, value) {
        };
        BaseWriter2.prototype.beginElement = function(name) {
        };
        BaseWriter2.prototype.endElement = function(name) {
        };
        BaseWriter2.prototype.serializeNode = function(node, requireWellFormed) {
          var hasNamespaces = node._nodeDocument !== void 0 && node._nodeDocument._hasNamespaces;
          this.level = 0;
          this.currentNode = node;
          if (hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          } else {
            this._serializeNode(node, requireWellFormed);
          }
        };
        BaseWriter2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeNode = function(node, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElement(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocument(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          var attributes = [];
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this.beginElement(qualifiedName);
            this.openTagBegin(qualifiedName);
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                "xmlns",
                prefix,
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                null,
                "xmlns",
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            }
          }
          attributes.push.apply(attributes, __spread(this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed)));
          this.attributes(attributes);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && BaseWriter2._VoidElementNames.has(node.localName)) {
            this.openTagEnd(qualifiedName, true, true);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                this.level++;
                this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
                this.level--;
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_3, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          var attributes = this._serializeAttributes(node, requireWellFormed);
          this.attributes(attributes);
          if (!node.hasChildNodes()) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this.level++;
              this._serializeNode(childNode, requireWellFormed);
              this.level--;
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_4, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_5, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        BaseWriter2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          this.comment(node.data);
        };
        BaseWriter2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var markup = node.data.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this.text(markup);
        };
        BaseWriter2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_6, _a;
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_7, _a;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          this.docType(node.name, node.publicId, node.systemId);
        };
        BaseWriter2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          this.instruction(node.target, node.data);
        };
        BaseWriter2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          this.cdata(node.data);
        };
        BaseWriter2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_8, _a;
          var result = [];
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result.push([
                    null,
                    "xmlns",
                    candidatePrefix,
                    this._serializeAttributeValue(attributeNamespace, requireWellFormed)
                  ]);
                }
              }
              var attrName = "";
              if (candidatePrefix !== null) {
                attrName = candidatePrefix;
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                attributeNamespace,
                candidatePrefix,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = [];
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                null,
                null,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_10, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_10_1) {
            e_10 = { error: e_10_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_10)
                throw e_10.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        BaseWriter2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value.toString();
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        BaseWriter2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          return value.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        BaseWriter2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return BaseWriter2;
      }()
    );
    exports2.BaseWriter = BaseWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js
var require_ObjectWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var interfaces_1 = require_interfaces2();
    var BaseWriter_1 = require_BaseWriter();
    var ObjectWriter = (
      /** @class */
      function(_super) {
        __extends(ObjectWriter2, _super);
        function ObjectWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "object",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        ObjectWriter2.prototype.serialize = function(node) {
          this._currentList = [];
          this._currentIndex = 0;
          this._listRegister = [this._currentList];
          this.serializeNode(node, this._writerOptions.wellFormed);
          return this._process(this._currentList, this._writerOptions);
        };
        ObjectWriter2.prototype._process = function(items, options) {
          var _a, _b, _c, _d, _e, _f, _g;
          if (items.length === 0)
            return {};
          var namesSeen = {};
          var hasNonUniqueNames = false;
          var textCount = 0;
          var commentCount = 0;
          var instructionCount = 0;
          var cdataCount = 0;
          for (var i = 0; i < items.length; i++) {
            var item = items[i];
            var key = Object.keys(item)[0];
            switch (key) {
              case "@":
                continue;
              case "#":
                textCount++;
                break;
              case "!":
                commentCount++;
                break;
              case "?":
                instructionCount++;
                break;
              case "$":
                cdataCount++;
                break;
              default:
                if (namesSeen[key]) {
                  hasNonUniqueNames = true;
                } else {
                  namesSeen[key] = true;
                }
                break;
            }
          }
          var defAttrKey = this._getAttrKey();
          var defTextKey = this._getNodeKey(interfaces_1.NodeType.Text);
          var defCommentKey = this._getNodeKey(interfaces_1.NodeType.Comment);
          var defInstructionKey = this._getNodeKey(interfaces_1.NodeType.ProcessingInstruction);
          var defCdataKey = this._getNodeKey(interfaces_1.NodeType.CData);
          if (textCount === 1 && items.length === 1 && util_1.isString(items[0]["#"])) {
            return items[0]["#"];
          } else if (hasNonUniqueNames) {
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              if (key === "@") {
                var attrs = item["@"];
                var attrKeys = Object.keys(attrs);
                if (attrKeys.length === 1) {
                  obj[defAttrKey + attrKeys[0]] = attrs[attrKeys[0]];
                } else {
                  obj[defAttrKey] = item["@"];
                }
              }
            }
            var result = [];
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  break;
                case "#":
                  result.push((_a = {}, _a[defTextKey] = item["#"], _a));
                  break;
                case "!":
                  result.push((_b = {}, _b[defCommentKey] = item["!"], _b));
                  break;
                case "?":
                  result.push((_c = {}, _c[defInstructionKey] = item["?"], _c));
                  break;
                case "$":
                  result.push((_d = {}, _d[defCdataKey] = item["$"], _d));
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_1 = 0; i_1 < listOfLists.length; i_1++) {
                      eleGroup.push(this._process(listOfLists[i_1], options));
                    }
                    result.push((_e = {}, _e[key] = eleGroup, _e));
                  } else {
                    if (options.verbose) {
                      result.push((_f = {}, _f[key] = [this._process(ele[key], options)], _f));
                    } else {
                      result.push((_g = {}, _g[key] = this._process(ele[key], options), _g));
                    }
                  }
                  break;
              }
            }
            obj[defTextKey] = result;
            return obj;
          } else {
            var textId = 1;
            var commentId = 1;
            var instructionId = 1;
            var cdataId = 1;
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  var attrs = item["@"];
                  var attrKeys = Object.keys(attrs);
                  if (!options.group || attrKeys.length === 1) {
                    for (var attrName in attrs) {
                      obj[defAttrKey + attrName] = attrs[attrName];
                    }
                  } else {
                    obj[defAttrKey] = attrs;
                  }
                  break;
                case "#":
                  textId = this._processSpecItem(item["#"], obj, options.group, defTextKey, textCount, textId);
                  break;
                case "!":
                  commentId = this._processSpecItem(item["!"], obj, options.group, defCommentKey, commentCount, commentId);
                  break;
                case "?":
                  instructionId = this._processSpecItem(item["?"], obj, options.group, defInstructionKey, instructionCount, instructionId);
                  break;
                case "$":
                  cdataId = this._processSpecItem(item["$"], obj, options.group, defCdataKey, cdataCount, cdataId);
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_2 = 0; i_2 < listOfLists.length; i_2++) {
                      eleGroup.push(this._process(listOfLists[i_2], options));
                    }
                    obj[key] = eleGroup;
                  } else {
                    if (options.verbose) {
                      obj[key] = [this._process(ele[key], options)];
                    } else {
                      obj[key] = this._process(ele[key], options);
                    }
                  }
                  break;
              }
            }
            return obj;
          }
        };
        ObjectWriter2.prototype._processSpecItem = function(item, obj, group, defKey, count, id) {
          var e_1, _a;
          if (!group && util_1.isArray(item) && count + item.length > 2) {
            try {
              for (var item_1 = __values(item), item_1_1 = item_1.next(); !item_1_1.done; item_1_1 = item_1.next()) {
                var subItem = item_1_1.value;
                var key = defKey + (id++).toString();
                obj[key] = subItem;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (item_1_1 && !item_1_1.done && (_a = item_1.return))
                  _a.call(item_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var key = count > 1 ? defKey + (id++).toString() : defKey;
            obj[key] = item;
          }
          return id;
        };
        ObjectWriter2.prototype.beginElement = function(name) {
          var _a, _b;
          var childItems = [];
          if (this._currentList.length === 0) {
            this._currentList.push((_a = {}, _a[name] = childItems, _a));
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isElementNode(lastItem, name)) {
              if (lastItem[name].length !== 0 && util_1.isArray(lastItem[name][0])) {
                var listOfLists = lastItem[name];
                listOfLists.push(childItems);
              } else {
                lastItem[name] = [lastItem[name], childItems];
              }
            } else {
              this._currentList.push((_b = {}, _b[name] = childItems, _b));
            }
          }
          this._currentIndex++;
          if (this._listRegister.length > this._currentIndex) {
            this._listRegister[this._currentIndex] = childItems;
          } else {
            this._listRegister.push(childItems);
          }
          this._currentList = childItems;
        };
        ObjectWriter2.prototype.endElement = function() {
          this._currentList = this._listRegister[--this._currentIndex];
        };
        ObjectWriter2.prototype.attribute = function(name, value) {
          var _a, _b;
          if (this._currentList.length === 0) {
            this._currentList.push({ "@": (_a = {}, _a[name] = value, _a) });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isAttrNode(lastItem)) {
              lastItem["@"][name] = value;
            } else {
              this._currentList.push({ "@": (_b = {}, _b[name] = value, _b) });
            }
          }
        };
        ObjectWriter2.prototype.comment = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "!": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCommentNode(lastItem)) {
              if (util_1.isArray(lastItem["!"])) {
                lastItem["!"].push(data);
              } else {
                lastItem["!"] = [lastItem["!"], data];
              }
            } else {
              this._currentList.push({ "!": data });
            }
          }
        };
        ObjectWriter2.prototype.text = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "#": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isTextNode(lastItem)) {
              if (util_1.isArray(lastItem["#"])) {
                lastItem["#"].push(data);
              } else {
                lastItem["#"] = [lastItem["#"], data];
              }
            } else {
              this._currentList.push({ "#": data });
            }
          }
        };
        ObjectWriter2.prototype.instruction = function(target, data) {
          var value = data === "" ? target : target + " " + data;
          if (this._currentList.length === 0) {
            this._currentList.push({ "?": value });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isInstructionNode(lastItem)) {
              if (util_1.isArray(lastItem["?"])) {
                lastItem["?"].push(value);
              } else {
                lastItem["?"] = [lastItem["?"], value];
              }
            } else {
              this._currentList.push({ "?": value });
            }
          }
        };
        ObjectWriter2.prototype.cdata = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "$": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCDATANode(lastItem)) {
              if (util_1.isArray(lastItem["$"])) {
                lastItem["$"].push(data);
              } else {
                lastItem["$"] = [lastItem["$"], data];
              }
            } else {
              this._currentList.push({ "$": data });
            }
          }
        };
        ObjectWriter2.prototype._isAttrNode = function(x) {
          return "@" in x;
        };
        ObjectWriter2.prototype._isTextNode = function(x) {
          return "#" in x;
        };
        ObjectWriter2.prototype._isCommentNode = function(x) {
          return "!" in x;
        };
        ObjectWriter2.prototype._isInstructionNode = function(x) {
          return "?" in x;
        };
        ObjectWriter2.prototype._isCDATANode = function(x) {
          return "$" in x;
        };
        ObjectWriter2.prototype._isElementNode = function(x, name) {
          return name in x;
        };
        ObjectWriter2.prototype._getAttrKey = function() {
          return this._builderOptions.convert.att;
        };
        ObjectWriter2.prototype._getNodeKey = function(nodeType) {
          switch (nodeType) {
            case interfaces_1.NodeType.Comment:
              return this._builderOptions.convert.comment;
            case interfaces_1.NodeType.Text:
              return this._builderOptions.convert.text;
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._builderOptions.convert.ins;
            case interfaces_1.NodeType.CData:
              return this._builderOptions.convert.cdata;
            default:
              throw new Error("Invalid node type.");
          }
        };
        return ObjectWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.ObjectWriter = ObjectWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/MapWriter.js
var require_MapWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/MapWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var ObjectWriter_1 = require_ObjectWriter();
    var BaseWriter_1 = require_BaseWriter();
    var MapWriter = (
      /** @class */
      function(_super) {
        __extends(MapWriter2, _super);
        function MapWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "map",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        MapWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false,
            verbose: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._convertObject(val);
        };
        MapWriter2.prototype._convertObject = function(obj) {
          if (util_1.isArray(obj)) {
            for (var i = 0; i < obj.length; i++) {
              obj[i] = this._convertObject(obj[i]);
            }
            return obj;
          } else if (util_1.isObject(obj)) {
            var map = /* @__PURE__ */ new Map();
            for (var key in obj) {
              map.set(key, this._convertObject(obj[key]));
            }
            return map;
          } else {
            return obj;
          }
        };
        return MapWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.MapWriter = MapWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/XMLWriter.js
var require_XMLWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/XMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var interfaces_1 = require_interfaces2();
    var BaseWriter_1 = require_BaseWriter();
    var util_2 = require_util4();
    var XMLWriter = (
      /** @class */
      function(_super) {
        __extends(XMLWriter2, _super);
        function XMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._indentation = {};
          _this._lengthToLastNewline = 0;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            headless: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            width: 0,
            allowEmptyTags: false,
            indentTextOnlyNodes: false,
            spaceBeforeSlash: false
          });
          return _this;
        }
        XMLWriter2.prototype.serialize = function(node) {
          this._refs = { suppressPretty: false, emptyNode: false, markup: "" };
          if (node.nodeType === interfaces_1.NodeType.Document && !this._writerOptions.headless) {
            this.declaration(this._builderOptions.version, this._builderOptions.encoding, this._builderOptions.standalone);
          }
          this.serializeNode(node, this._writerOptions.wellFormed);
          if (this._writerOptions.prettyPrint && this._refs.markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            this._refs.markup = this._refs.markup.slice(0, -this._writerOptions.newline.length);
          }
          return this._refs.markup;
        };
        XMLWriter2.prototype.declaration = function(version, encoding, standalone) {
          this._beginLine();
          this._refs.markup += '<?xml version="' + version + '"';
          if (encoding !== void 0) {
            this._refs.markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            this._refs.markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          this._refs.markup += "?>";
          this._endLine();
        };
        XMLWriter2.prototype.docType = function(name, publicId, systemId) {
          this._beginLine();
          if (publicId && systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            this._refs.markup += "<!DOCTYPE " + name + ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.openTagBegin = function(name) {
          this._beginLine();
          this._refs.markup += "<" + name;
        };
        XMLWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          if (this._writerOptions.prettyPrint && !selfClosing && !voidElement) {
            var textOnlyNode = true;
            var emptyNode = true;
            var childNode = this.currentNode.firstChild;
            var cdataCount = 0;
            var textCount = 0;
            while (childNode) {
              if (util_2.Guard.isExclusiveTextNode(childNode)) {
                textCount++;
              } else if (util_2.Guard.isCDATASectionNode(childNode)) {
                cdataCount++;
              } else {
                textOnlyNode = false;
                emptyNode = false;
                break;
              }
              if (childNode.data !== "") {
                emptyNode = false;
              }
              childNode = childNode.nextSibling;
            }
            this._refs.suppressPretty = !this._writerOptions.indentTextOnlyNodes && textOnlyNode && (cdataCount <= 1 && textCount === 0 || cdataCount === 0);
            this._refs.emptyNode = emptyNode;
          }
          if ((voidElement || selfClosing || this._refs.emptyNode) && this._writerOptions.allowEmptyTags) {
            this._refs.markup += "></" + name + ">";
          } else {
            this._refs.markup += voidElement ? " />" : selfClosing || this._refs.emptyNode ? this._writerOptions.spaceBeforeSlash ? " />" : "/>" : ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.closeTag = function(name) {
          if (!this._refs.emptyNode) {
            this._beginLine();
            this._refs.markup += "</" + name + ">";
          }
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          this._endLine();
        };
        XMLWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._refs.markup.length - this._lengthToLastNewline + 1 + str.length > this._writerOptions.width) {
            this._endLine();
            this._beginLine();
            this._refs.markup += this._indent(1) + str;
          } else {
            this._refs.markup += " " + str;
          }
        };
        XMLWriter2.prototype.text = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += data;
            this._endLine();
          }
        };
        XMLWriter2.prototype.cdata = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += "<![CDATA[" + data + "]]>";
            this._endLine();
          }
        };
        XMLWriter2.prototype.comment = function(data) {
          this._beginLine();
          this._refs.markup += "<!--" + data + "-->";
          this._endLine();
        };
        XMLWriter2.prototype.instruction = function(target, data) {
          this._beginLine();
          this._refs.markup += "<?" + (data === "" ? target : target + " " + data) + "?>";
          this._endLine();
        };
        XMLWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._indent(this._writerOptions.offset + this.level);
          }
        };
        XMLWriter2.prototype._endLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._writerOptions.newline;
            this._lengthToLastNewline = this._refs.markup.length;
          }
        };
        XMLWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else if (this._indentation[level] !== void 0) {
            return this._indentation[level];
          } else {
            var str = this._writerOptions.indent.repeat(level);
            this._indentation[level] = str;
            return str;
          }
        };
        return XMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.XMLWriter = XMLWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/JSONWriter.js
var require_JSONWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/JSONWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter();
    var util_1 = require_lib();
    var BaseWriter_1 = require_BaseWriter();
    var JSONWriter = (
      /** @class */
      function(_super) {
        __extends(JSONWriter2, _super);
        function JSONWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          return _this;
        }
        JSONWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._beginLine(this._writerOptions, 0) + this._convertObject(val, this._writerOptions);
        };
        JSONWriter2.prototype._convertObject = function(obj, options, level) {
          var e_1, _a;
          var _this = this;
          if (level === void 0) {
            level = 0;
          }
          var markup = "";
          var isLeaf = this._isLeafNode(obj);
          if (util_1.isArray(obj)) {
            markup += "[";
            var len = obj.length;
            var i = 0;
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._endLine(options, level + 1) + this._beginLine(options, level + 1) + this._convertObject(val, options, level + 1);
                if (i < len - 1) {
                  markup += ",";
                }
                i++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            markup += this._endLine(options, level) + this._beginLine(options, level);
            markup += "]";
          } else if (util_1.isObject(obj)) {
            markup += "{";
            var len_1 = util_1.objectLength(obj);
            var i_1 = 0;
            util_1.forEachObject(obj, function(key, val2) {
              if (isLeaf && options.prettyPrint) {
                markup += " ";
              } else {
                markup += _this._endLine(options, level + 1) + _this._beginLine(options, level + 1);
              }
              markup += _this._key(key);
              if (options.prettyPrint) {
                markup += " ";
              }
              markup += _this._convertObject(val2, options, level + 1);
              if (i_1 < len_1 - 1) {
                markup += ",";
              }
              i_1++;
            }, this);
            if (isLeaf && options.prettyPrint) {
              markup += " ";
            } else {
              markup += this._endLine(options, level) + this._beginLine(options, level);
            }
            markup += "}";
          } else {
            markup += this._val(obj);
          }
          return markup;
        };
        JSONWriter2.prototype._beginLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            var indentLevel = options.offset + level + 1;
            if (indentLevel > 0) {
              return new Array(indentLevel).join(options.indent);
            }
          }
          return "";
        };
        JSONWriter2.prototype._endLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            return options.newline;
          }
        };
        JSONWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        JSONWriter2.prototype._isLeafNode = function(obj) {
          return this._descendantCount(obj) <= 1;
        };
        JSONWriter2.prototype._descendantCount = function(obj, count) {
          var _this = this;
          if (count === void 0) {
            count = 0;
          }
          if (util_1.isArray(obj)) {
            util_1.forEachArray(obj, function(val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else if (util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else {
            count++;
          }
          return count;
        };
        return JSONWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.JSONWriter = JSONWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js
var require_YAMLWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter();
    var util_1 = require_lib();
    var BaseWriter_1 = require_BaseWriter();
    var YAMLWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLWriter2, _super);
        function YAMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          if (_this._writerOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (_this._writerOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          var markup = this._beginLine(this._writerOptions, 0) + "---" + this._endLine(this._writerOptions) + this._convertObject(val, this._writerOptions, 0);
          if (markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            markup = markup.slice(0, -this._writerOptions.newline.length);
          }
          return markup;
        };
        YAMLWriter2.prototype._convertObject = function(obj, options, level, suppressIndent) {
          var e_1, _a;
          var _this = this;
          if (suppressIndent === void 0) {
            suppressIndent = false;
          }
          var markup = "";
          if (util_1.isArray(obj)) {
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._beginLine(options, level, true);
                if (!util_1.isObject(val)) {
                  markup += this._val(val) + this._endLine(options);
                } else if (util_1.isEmpty(val)) {
                  markup += '""' + this._endLine(options);
                } else {
                  markup += this._convertObject(val, options, level, true);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            util_1.forEachObject(obj, function(key, val2) {
              if (suppressIndent) {
                markup += _this._key(key);
                suppressIndent = false;
              } else {
                markup += _this._beginLine(options, level) + _this._key(key);
              }
              if (!util_1.isObject(val2)) {
                markup += " " + _this._val(val2) + _this._endLine(options);
              } else if (util_1.isEmpty(val2)) {
                markup += ' ""' + _this._endLine(options);
              } else {
                markup += _this._endLine(options) + _this._convertObject(val2, options, level + 1);
              }
            }, this);
          }
          return markup;
        };
        YAMLWriter2.prototype._beginLine = function(options, level, isArray) {
          if (isArray === void 0) {
            isArray = false;
          }
          var indentLevel = options.offset + level + 1;
          var chars = new Array(indentLevel).join(options.indent);
          if (isArray) {
            return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
          } else {
            return chars;
          }
        };
        YAMLWriter2.prototype._endLine = function(options) {
          return options.newline;
        };
        YAMLWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.YAMLWriter = YAMLWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/index.js
var require_writers = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MapWriter_1 = require_MapWriter();
    exports2.MapWriter = MapWriter_1.MapWriter;
    var XMLWriter_1 = require_XMLWriter();
    exports2.XMLWriter = XMLWriter_1.XMLWriter;
    var ObjectWriter_1 = require_ObjectWriter();
    exports2.ObjectWriter = ObjectWriter_1.ObjectWriter;
    var JSONWriter_1 = require_JSONWriter();
    exports2.JSONWriter = JSONWriter_1.JSONWriter;
    var YAMLWriter_1 = require_YAMLWriter();
    exports2.YAMLWriter = YAMLWriter_1.YAMLWriter;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js
var require_ChildNodeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util4();
    var algorithm_1 = require_algorithm();
    var ChildNodeImpl = (
      /** @class */
      function() {
        function ChildNodeImpl2() {
        }
        ChildNodeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (parent === null)
            return;
          var viablePreviousSibling = context._previousSibling;
          var flag = true;
          while (flag && viablePreviousSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viablePreviousSibling) {
                viablePreviousSibling = viablePreviousSibling._previousSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (viablePreviousSibling === null)
            viablePreviousSibling = parent._firstChild;
          else
            viablePreviousSibling = viablePreviousSibling._nextSibling;
          algorithm_1.mutation_preInsert(node, parent, viablePreviousSibling);
        };
        ChildNodeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (context._parent === parent)
            algorithm_1.mutation_replace(context, node, parent);
          else
            algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.remove = function() {
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          algorithm_1.mutation_remove(context, parent);
        };
        return ChildNodeImpl2;
      }()
    );
    exports2.ChildNodeImpl = ChildNodeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js
var require_DocumentOrShadowRootImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentOrShadowRootImpl = (
      /** @class */
      function() {
        function DocumentOrShadowRootImpl2() {
        }
        return DocumentOrShadowRootImpl2;
      }()
    );
    exports2.DocumentOrShadowRootImpl = DocumentOrShadowRootImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js
var require_MutationObserverImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl();
    var util_1 = require_util4();
    var infra_1 = require_lib2();
    var MutationObserverImpl = (
      /** @class */
      function() {
        function MutationObserverImpl2(callback) {
          this._nodeList = [];
          this._recordQueue = [];
          this._callback = callback;
          var window2 = DOMImpl_1.dom.window;
          infra_1.set.append(window2._mutationObservers, this);
        }
        MutationObserverImpl2.prototype.observe = function(target, options) {
          var e_1, _a;
          options = options || {
            childList: false,
            subtree: false
          };
          if ((options.attributeOldValue !== void 0 || options.attributeFilter !== void 0) && options.attributes === void 0) {
            options.attributes = true;
          }
          if (options.characterDataOldValue !== void 0 && options.characterData === void 0) {
            options.characterData = true;
          }
          if (!options.childList && !options.attributes && !options.characterData) {
            throw new TypeError();
          }
          if (options.attributeOldValue && !options.attributes) {
            throw new TypeError();
          }
          if (options.attributeFilter !== void 0 && !options.attributes) {
            throw new TypeError();
          }
          if (options.characterDataOldValue && !options.characterData) {
            throw new TypeError();
          }
          var isRegistered = false;
          var coptions = options;
          var _loop_1 = function(registered2) {
            var e_2, _a2;
            if (registered2.observer === this_1) {
              isRegistered = true;
              try {
                for (var _b2 = (e_2 = void 0, __values(this_1._nodeList)), _c2 = _b2.next(); !_c2.done; _c2 = _b2.next()) {
                  var node = _c2.value;
                  infra_1.list.remove(node._registeredObserverList, function(ob) {
                    return util_1.Guard.isTransientRegisteredObserver(ob) && ob.source === registered2;
                  });
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (_c2 && !_c2.done && (_a2 = _b2.return))
                    _a2.call(_b2);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              registered2.options = coptions;
            }
          };
          var this_1 = this;
          try {
            for (var _b = __values(target._registeredObserverList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var registered = _c.value;
              _loop_1(registered);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (!isRegistered) {
            target._registeredObserverList.push({ observer: this, options });
            this._nodeList.push(target);
          }
        };
        MutationObserverImpl2.prototype.disconnect = function() {
          var e_3, _a;
          var _this = this;
          try {
            for (var _b = __values(this._nodeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              infra_1.list.remove(node._registeredObserverList, function(ob) {
                return ob.observer === _this;
              });
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this._recordQueue = [];
        };
        MutationObserverImpl2.prototype.takeRecords = function() {
          var records = this._recordQueue;
          this._recordQueue = [];
          return records;
        };
        return MutationObserverImpl2;
      }()
    );
    exports2.MutationObserverImpl = MutationObserverImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js
var require_NonDocumentTypeChildNodeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util4();
    var NonDocumentTypeChildNodeImpl = (
      /** @class */
      function() {
        function NonDocumentTypeChildNodeImpl2() {
        }
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "previousElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._previousSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "nextElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._nextSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        return NonDocumentTypeChildNodeImpl2;
      }()
    );
    exports2.NonDocumentTypeChildNodeImpl = NonDocumentTypeChildNodeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js
var require_NonElementParentNodeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util4();
    var algorithm_1 = require_algorithm();
    var NonElementParentNodeImpl = (
      /** @class */
      function() {
        function NonElementParentNodeImpl2() {
        }
        NonElementParentNodeImpl2.prototype.getElementById = function(id) {
          var ele = algorithm_1.tree_getFirstDescendantNode(util_1.Cast.asNode(this), false, false, function(e) {
            return util_1.Guard.isElementNode(e);
          });
          while (ele !== null) {
            if (ele._uniqueIdentifier === id) {
              return ele;
            }
            ele = algorithm_1.tree_getNextDescendantNode(util_1.Cast.asNode(this), ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e);
            });
          }
          return null;
        };
        return NonElementParentNodeImpl2;
      }()
    );
    exports2.NonElementParentNodeImpl = NonElementParentNodeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js
var require_ParentNodeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util4();
    var algorithm_1 = require_algorithm();
    var ParentNodeImpl = (
      /** @class */
      function() {
        function ParentNodeImpl2() {
        }
        Object.defineProperty(ParentNodeImpl2.prototype, "children", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.create_htmlCollection(util_1.Cast.asNode(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "firstElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._firstChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "lastElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._lastChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "childElementCount", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var count = 0;
            try {
              for (var _b = __values(util_1.Cast.asNode(this)._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                if (util_1.Guard.isElementNode(childNode))
                  count++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        ParentNodeImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_preInsert(childNode, node, node._firstChild);
        };
        ParentNodeImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_append(childNode, node);
        };
        ParentNodeImpl2.prototype.querySelector = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return result.length === 0 ? null : result[0];
        };
        ParentNodeImpl2.prototype.querySelectorAll = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return algorithm_1.create_nodeListStatic(node, result);
        };
        return ParentNodeImpl2;
      }()
    );
    exports2.ParentNodeImpl = ParentNodeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js
var require_SlotableImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm();
    var SlotableImpl = (
      /** @class */
      function() {
        function SlotableImpl2() {
        }
        Object.defineProperty(SlotableImpl2.prototype, "_name", {
          get: function() {
            return this.__name || "";
          },
          set: function(val) {
            this.__name = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "_assignedSlot", {
          get: function() {
            return this.__assignedSlot || null;
          },
          set: function(val) {
            this.__assignedSlot = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "assignedSlot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.shadowTree_findASlot(this, true);
          },
          enumerable: true,
          configurable: true
        });
        return SlotableImpl2;
      }()
    );
    exports2.SlotableImpl = SlotableImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js
var require_StaticRangeImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl_1 = require_AbstractRangeImpl();
    var DOMException_1 = require_DOMException();
    var util_1 = require_util4();
    var StaticRangeImpl = (
      /** @class */
      function(_super) {
        __extends(StaticRangeImpl2, _super);
        function StaticRangeImpl2(init) {
          var _this = _super.call(this) || this;
          if (util_1.Guard.isDocumentTypeNode(init.startContainer) || util_1.Guard.isAttrNode(init.startContainer) || util_1.Guard.isDocumentTypeNode(init.endContainer) || util_1.Guard.isAttrNode(init.endContainer)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          _this._start = [init.startContainer, init.startOffset];
          _this._end = [init.endContainer, init.endOffset];
          return _this;
        }
        return StaticRangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.StaticRangeImpl = StaticRangeImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/dom/index.js
var require_dom = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/dom/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var AbortControllerImpl_1 = require_AbortControllerImpl();
    exports2.AbortController = AbortControllerImpl_1.AbortControllerImpl;
    var AbortSignalImpl_1 = require_AbortSignalImpl();
    exports2.AbortSignal = AbortSignalImpl_1.AbortSignalImpl;
    var AbstractRangeImpl_1 = require_AbstractRangeImpl();
    exports2.AbstractRange = AbstractRangeImpl_1.AbstractRangeImpl;
    var AttrImpl_1 = require_AttrImpl();
    exports2.Attr = AttrImpl_1.AttrImpl;
    var CDATASectionImpl_1 = require_CDATASectionImpl();
    exports2.CDATASection = CDATASectionImpl_1.CDATASectionImpl;
    var CharacterDataImpl_1 = require_CharacterDataImpl();
    exports2.CharacterData = CharacterDataImpl_1.CharacterDataImpl;
    var ChildNodeImpl_1 = require_ChildNodeImpl();
    var CommentImpl_1 = require_CommentImpl();
    exports2.Comment = CommentImpl_1.CommentImpl;
    var CustomEventImpl_1 = require_CustomEventImpl();
    exports2.CustomEvent = CustomEventImpl_1.CustomEventImpl;
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
    exports2.DocumentFragment = DocumentFragmentImpl_1.DocumentFragmentImpl;
    var DocumentImpl_1 = require_DocumentImpl();
    exports2.Document = DocumentImpl_1.DocumentImpl;
    var DocumentOrShadowRootImpl_1 = require_DocumentOrShadowRootImpl();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl();
    exports2.DocumentType = DocumentTypeImpl_1.DocumentTypeImpl;
    var DOMImpl_1 = require_DOMImpl();
    exports2.dom = DOMImpl_1.dom;
    var DOMImplementationImpl_1 = require_DOMImplementationImpl();
    exports2.DOMImplementation = DOMImplementationImpl_1.DOMImplementationImpl;
    var DOMTokenListImpl_1 = require_DOMTokenListImpl();
    exports2.DOMTokenList = DOMTokenListImpl_1.DOMTokenListImpl;
    var ElementImpl_1 = require_ElementImpl();
    exports2.Element = ElementImpl_1.ElementImpl;
    var EventImpl_1 = require_EventImpl();
    exports2.Event = EventImpl_1.EventImpl;
    var EventTargetImpl_1 = require_EventTargetImpl();
    exports2.EventTarget = EventTargetImpl_1.EventTargetImpl;
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl();
    exports2.HTMLCollection = HTMLCollectionImpl_1.HTMLCollectionImpl;
    var MutationObserverImpl_1 = require_MutationObserverImpl();
    exports2.MutationObserver = MutationObserverImpl_1.MutationObserverImpl;
    var MutationRecordImpl_1 = require_MutationRecordImpl();
    exports2.MutationRecord = MutationRecordImpl_1.MutationRecordImpl;
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl();
    exports2.NamedNodeMap = NamedNodeMapImpl_1.NamedNodeMapImpl;
    var NodeFilterImpl_1 = require_NodeFilterImpl();
    exports2.NodeFilter = NodeFilterImpl_1.NodeFilterImpl;
    var NodeImpl_1 = require_NodeImpl();
    exports2.Node = NodeImpl_1.NodeImpl;
    var NodeIteratorImpl_1 = require_NodeIteratorImpl();
    exports2.NodeIterator = NodeIteratorImpl_1.NodeIteratorImpl;
    var NodeListImpl_1 = require_NodeListImpl();
    exports2.NodeList = NodeListImpl_1.NodeListImpl;
    var NodeListStaticImpl_1 = require_NodeListStaticImpl();
    exports2.NodeListStatic = NodeListStaticImpl_1.NodeListStaticImpl;
    var NonDocumentTypeChildNodeImpl_1 = require_NonDocumentTypeChildNodeImpl();
    var NonElementParentNodeImpl_1 = require_NonElementParentNodeImpl();
    var ParentNodeImpl_1 = require_ParentNodeImpl();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl();
    exports2.ProcessingInstruction = ProcessingInstructionImpl_1.ProcessingInstructionImpl;
    var RangeImpl_1 = require_RangeImpl();
    exports2.Range = RangeImpl_1.RangeImpl;
    var ShadowRootImpl_1 = require_ShadowRootImpl();
    exports2.ShadowRoot = ShadowRootImpl_1.ShadowRootImpl;
    var SlotableImpl_1 = require_SlotableImpl();
    var StaticRangeImpl_1 = require_StaticRangeImpl();
    exports2.StaticRange = StaticRangeImpl_1.StaticRangeImpl;
    var TextImpl_1 = require_TextImpl();
    exports2.Text = TextImpl_1.TextImpl;
    var TraverserImpl_1 = require_TraverserImpl();
    exports2.Traverser = TraverserImpl_1.TraverserImpl;
    var TreeWalkerImpl_1 = require_TreeWalkerImpl();
    exports2.TreeWalker = TreeWalkerImpl_1.TreeWalkerImpl;
    var WindowImpl_1 = require_WindowImpl();
    exports2.Window = WindowImpl_1.WindowImpl;
    var XMLDocumentImpl_1 = require_XMLDocumentImpl();
    exports2.XMLDocument = XMLDocumentImpl_1.XMLDocumentImpl;
    util_1.applyMixin(ElementImpl_1.ElementImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentTypeImpl_1.DocumentTypeImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ShadowRootImpl_1.ShadowRootImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(TextImpl_1.TextImpl, SlotableImpl_1.SlotableImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, SlotableImpl_1.SlotableImpl);
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/parser/interfaces.js
var require_interfaces4 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/parser/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TokenType;
    (function(TokenType2) {
      TokenType2[TokenType2["EOF"] = 0] = "EOF";
      TokenType2[TokenType2["Declaration"] = 1] = "Declaration";
      TokenType2[TokenType2["DocType"] = 2] = "DocType";
      TokenType2[TokenType2["Element"] = 3] = "Element";
      TokenType2[TokenType2["Text"] = 4] = "Text";
      TokenType2[TokenType2["CDATA"] = 5] = "CDATA";
      TokenType2[TokenType2["PI"] = 6] = "PI";
      TokenType2[TokenType2["Comment"] = 7] = "Comment";
      TokenType2[TokenType2["ClosingTag"] = 8] = "ClosingTag";
    })(TokenType = exports2.TokenType || (exports2.TokenType = {}));
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js
var require_XMLStringLexer = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces4();
    var XMLStringLexer = (
      /** @class */
      function() {
        function XMLStringLexer2(str, options) {
          this._options = {
            skipWhitespaceOnlyText: false
          };
          this.err = { line: -1, col: -1, index: -1, str: "" };
          this._str = str;
          this._index = 0;
          this._length = str.length;
          if (options) {
            this._options.skipWhitespaceOnlyText = options.skipWhitespaceOnlyText || false;
          }
        }
        XMLStringLexer2.prototype.nextToken = function() {
          if (this.eof()) {
            return { type: interfaces_1.TokenType.EOF };
          }
          var token = this.skipIfStartsWith("<") ? this.openBracket() : this.text();
          if (this._options.skipWhitespaceOnlyText) {
            if (token.type === interfaces_1.TokenType.Text && XMLStringLexer2.isWhiteSpaceToken(token)) {
              token = this.nextToken();
            }
          }
          return token;
        };
        XMLStringLexer2.prototype.openBracket = function() {
          if (this.skipIfStartsWith("?")) {
            if (this.skipIfStartsWith("xml")) {
              if (XMLStringLexer2.isSpace(this._str[this._index])) {
                return this.declaration();
              } else {
                this.seek(-3);
                return this.pi();
              }
            } else {
              return this.pi();
            }
          } else if (this.skipIfStartsWith("!")) {
            if (this.skipIfStartsWith("--")) {
              return this.comment();
            } else if (this.skipIfStartsWith("[CDATA[")) {
              return this.cdata();
            } else if (this.skipIfStartsWith("DOCTYPE")) {
              return this.doctype();
            } else {
              this.throwError("Invalid '!' in opening tag.");
            }
          } else if (this.skipIfStartsWith("/")) {
            return this.closeTag();
          } else {
            return this.openTag();
          }
        };
        XMLStringLexer2.prototype.declaration = function() {
          var version = "";
          var encoding = "";
          var standalone = "";
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith("?>")) {
              return { type: interfaces_1.TokenType.Declaration, version, encoding, standalone };
            } else {
              var _a = __read(this.attribute(), 2), attName = _a[0], attValue = _a[1];
              if (attName === "version")
                version = attValue;
              else if (attName === "encoding")
                encoding = attValue;
              else if (attName === "standalone")
                standalone = attValue;
              else
                this.throwError("Invalid attribute name: " + attName);
            }
          }
          this.throwError("Missing declaration end symbol `?>`");
        };
        XMLStringLexer2.prototype.doctype = function() {
          var pubId = "";
          var sysId = "";
          this.skipSpace();
          var name = this.takeUntil2("[", ">", true);
          this.skipSpace();
          if (this.skipIfStartsWith("PUBLIC")) {
            pubId = this.quotedString();
            sysId = this.quotedString();
          } else if (this.skipIfStartsWith("SYSTEM")) {
            sysId = this.quotedString();
          }
          this.skipSpace();
          if (this.skipIfStartsWith("[")) {
            this.skipUntil("]");
            if (!this.skipIfStartsWith("]")) {
              this.throwError("Missing end bracket of DTD internal subset");
            }
          }
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing doctype end symbol `>`");
          }
          return { type: interfaces_1.TokenType.DocType, name, pubId, sysId };
        };
        XMLStringLexer2.prototype.pi = function() {
          var target = this.takeUntilStartsWith("?>", true);
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.skipSpace();
          if (this.skipIfStartsWith("?>")) {
            return { type: interfaces_1.TokenType.PI, target, data: "" };
          }
          var data = this.takeUntilStartsWith("?>");
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.seek(2);
          return { type: interfaces_1.TokenType.PI, target, data };
        };
        XMLStringLexer2.prototype.text = function() {
          var data = this.takeUntil("<");
          return { type: interfaces_1.TokenType.Text, data };
        };
        XMLStringLexer2.prototype.comment = function() {
          var data = this.takeUntilStartsWith("-->");
          if (this.eof()) {
            this.throwError("Missing comment end symbol `-->`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.Comment, data };
        };
        XMLStringLexer2.prototype.cdata = function() {
          var data = this.takeUntilStartsWith("]]>");
          if (this.eof()) {
            this.throwError("Missing CDATA end symbol `]>`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.CDATA, data };
        };
        XMLStringLexer2.prototype.openTag = function() {
          this.skipSpace();
          var name = this.takeUntil2(">", "/", true);
          this.skipSpace();
          if (this.skipIfStartsWith(">")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: false };
          } else if (this.skipIfStartsWith("/>")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: true };
          }
          var attributes = [];
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith(">")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: false };
            } else if (this.skipIfStartsWith("/>")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: true };
            }
            var attr = this.attribute();
            attributes.push(attr);
          }
          this.throwError("Missing opening element tag end symbol `>`");
        };
        XMLStringLexer2.prototype.closeTag = function() {
          this.skipSpace();
          var name = this.takeUntil(">", true);
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing closing element tag end symbol `>`");
          }
          return { type: interfaces_1.TokenType.ClosingTag, name };
        };
        XMLStringLexer2.prototype.attribute = function() {
          this.skipSpace();
          var name = this.takeUntil("=", true);
          this.skipSpace();
          if (!this.skipIfStartsWith("=")) {
            this.throwError("Missing equals sign before attribute value");
          }
          var value = this.quotedString();
          return [name, value];
        };
        XMLStringLexer2.prototype.quotedString = function() {
          this.skipSpace();
          var startQuote = this.take(1);
          if (!XMLStringLexer2.isQuote(startQuote)) {
            this.throwError("Missing start quote character before quoted value");
          }
          var value = this.takeUntil(startQuote);
          if (!this.skipIfStartsWith(startQuote)) {
            this.throwError("Missing end quote character after quoted value");
          }
          return value;
        };
        XMLStringLexer2.prototype.eof = function() {
          return this._index >= this._length;
        };
        XMLStringLexer2.prototype.skipIfStartsWith = function(str) {
          var strLength = str.length;
          if (strLength === 1) {
            if (this._str[this._index] === str) {
              this._index++;
              return true;
            } else {
              return false;
            }
          }
          for (var i = 0; i < strLength; i++) {
            if (this._str[this._index + i] !== str[i])
              return false;
          }
          this._index += strLength;
          return true;
        };
        XMLStringLexer2.prototype.seek = function(count) {
          this._index += count;
          if (this._index < 0)
            this._index = 0;
          if (this._index > this._length)
            this._index = this._length;
        };
        XMLStringLexer2.prototype.skipSpace = function() {
          while (!this.eof() && XMLStringLexer2.isSpace(this._str[this._index])) {
            this._index++;
          }
        };
        XMLStringLexer2.prototype.take = function(count) {
          if (count === 1) {
            return this._str[this._index++];
          }
          var startIndex = this._index;
          this.seek(count);
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil = function(char, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil2 = function(char1, char2, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char1 && c !== char2 && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntilStartsWith = function(str, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          var strLength = str.length;
          while (this._index < this._length) {
            var match = true;
            for (var i = 0; i < strLength; i++) {
              var c = this._str[this._index + i];
              var char = str[i];
              if (space && XMLStringLexer2.isSpace(c)) {
                return this._str.slice(startIndex, this._index);
              } else if (c !== char) {
                this._index++;
                match = false;
                break;
              }
            }
            if (match)
              return this._str.slice(startIndex, this._index);
          }
          this._index = this._length;
          return this._str.slice(startIndex);
        };
        XMLStringLexer2.prototype.skipUntil = function(char) {
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char) {
              this._index++;
            } else {
              break;
            }
          }
        };
        XMLStringLexer2.isWhiteSpaceToken = function(token) {
          var str = token.data;
          for (var i = 0; i < str.length; i++) {
            var c = str[i];
            if (c !== " " && c !== "\n" && c !== "\r" && c !== "	" && c !== "\f")
              return false;
          }
          return true;
        };
        XMLStringLexer2.isSpace = function(char) {
          return char === " " || char === "\n" || char === "\r" || char === "	";
        };
        XMLStringLexer2.isQuote = function(char) {
          return char === '"' || char === "'";
        };
        XMLStringLexer2.prototype.throwError = function(msg) {
          var regexp = /\r\n|\r|\n/g;
          var match = null;
          var line = 0;
          var firstNewLineIndex = 0;
          var lastNewlineIndex = this._str.length;
          while ((match = regexp.exec(this._str)) !== null) {
            if (match === null)
              break;
            line++;
            if (match.index < this._index)
              firstNewLineIndex = regexp.lastIndex;
            if (match.index > this._index) {
              lastNewlineIndex = match.index;
              break;
            }
          }
          this.err = {
            line,
            col: this._index - firstNewLineIndex,
            index: this._index,
            str: this._str.substring(firstNewLineIndex, lastNewlineIndex)
          };
          throw new Error(msg + "\nIndex: " + this.err.index + "\nLn: " + this.err.line + ", Col: " + this.err.col + "\nInput: " + this.err.str);
        };
        XMLStringLexer2.prototype[Symbol.iterator] = function() {
          this._index = 0;
          return {
            next: function() {
              var token = this.nextToken();
              if (token.type === interfaces_1.TokenType.EOF) {
                return { done: true, value: null };
              } else {
                return { done: false, value: token };
              }
            }.bind(this)
          };
        };
        return XMLStringLexer2;
      }()
    );
    exports2.XMLStringLexer = XMLStringLexer;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js
var require_XMLParserImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer();
    var interfaces_1 = require_interfaces4();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var LocalNameSet_1 = require_LocalNameSet();
    var XMLParserImpl = (
      /** @class */
      function() {
        function XMLParserImpl2() {
        }
        XMLParserImpl2.prototype.parse = function(source) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(source, { skipWhitespaceOnlyText: true });
          var doc = algorithm_1.create_document();
          var context = doc;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                if (declaration.version !== "1.0") {
                  throw new Error("Invalid xml version: " + declaration.version);
                }
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                if (!algorithm_1.xml_isPubidChar(doctype.pubId)) {
                  throw new Error("DocType public identifier does not match PubidChar construct.");
                }
                if (!algorithm_1.xml_isLegalChar(doctype.sysId) || doctype.sysId.indexOf('"') !== -1 && doctype.sysId.indexOf("'") !== -1) {
                  throw new Error("DocType system identifier contains invalid characters.");
                }
                context.appendChild(doc.implementation.createDocumentType(doctype.name, doctype.pubId, doctype.sysId));
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                if (!algorithm_1.xml_isLegalChar(cdata.data) || cdata.data.indexOf("]]>") !== -1) {
                  throw new Error("CDATA contains invalid characters.");
                }
                context.appendChild(doc.createCDATASection(cdata.data));
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                if (!algorithm_1.xml_isLegalChar(comment.data) || comment.data.indexOf("--") !== -1 || comment.data.endsWith("-")) {
                  throw new Error("Comment data contains invalid characters.");
                }
                context.appendChild(doc.createComment(comment.data));
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                if (pi.target.indexOf(":") !== -1 || /^xml$/i.test(pi.target)) {
                  throw new Error("Processing instruction target contains invalid characters.");
                }
                if (!algorithm_1.xml_isLegalChar(pi.data) || pi.data.indexOf("?>") !== -1) {
                  throw new Error("Processing instruction data contains invalid characters.");
                }
                context.appendChild(doc.createProcessingInstruction(pi.target, pi.data));
                break;
              case interfaces_1.TokenType.Text:
                var text = token;
                if (!algorithm_1.xml_isLegalChar(text.data)) {
                  throw new Error("Text data contains invalid characters.");
                }
                context.appendChild(doc.createTextNode(this._decodeText(text.data)));
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var _c = __read(algorithm_1.namespace_extractQName(element.name), 2), prefix = _c[0], localName = _c[1];
                if (localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(localName)) {
                  throw new Error("Node local name contains invalid characters.");
                }
                if (prefix === "xmlns") {
                  throw new Error("An element cannot have the 'xmlns' prefix.");
                }
                var namespace = context.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? doc.createElementNS(namespace, element.name) : doc.createElement(element.name);
                context.appendChild(elementNode);
                var localNameSet = new LocalNameSet_1.LocalNameSet();
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (localNameSet.has(attNamespace, attLocalName)) {
                      throw new Error("Element contains duplicate attributes.");
                    }
                    localNameSet.set(attNamespace, attLocalName);
                    if (attNamespace === infra_1.namespace.XMLNS) {
                      if (attValue === infra_1.namespace.XMLNS) {
                        throw new Error("XMLNS namespace is reserved.");
                      }
                    }
                    if (attLocalName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attLocalName)) {
                      throw new Error("Attribute local name contains invalid characters.");
                    }
                    if (attPrefix === "xmlns" && attValue === "") {
                      throw new Error("Empty XML namespace is not allowed.");
                    }
                    if (attNamespace !== null)
                      elementNode.setAttributeNS(attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      elementNode.setAttribute(attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                var closingTag = token;
                if (closingTag.name !== context.nodeName) {
                  throw new Error("Closing tag name does not match opening tag name.");
                }
                if (context._parent) {
                  context = context._parent;
                }
                break;
            }
            token = lexer.nextToken();
          }
          return doc;
        };
        XMLParserImpl2.prototype._decodeText = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        XMLParserImpl2.prototype._decodeAttributeValue = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        return XMLParserImpl2;
      }()
    );
    exports2.XMLParserImpl = XMLParserImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js
var require_DOMParserImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm();
    var XMLParserImpl_1 = require_XMLParserImpl();
    var DOMParserImpl = (
      /** @class */
      function() {
        function DOMParserImpl2() {
        }
        DOMParserImpl2.prototype.parseFromString = function(source, mimeType) {
          if (mimeType === "text/html")
            throw new Error("HTML parser not implemented.");
          try {
            var parser = new XMLParserImpl_1.XMLParserImpl();
            var doc = parser.parse(source);
            doc._contentType = mimeType;
            return doc;
          } catch (e) {
            var errorNS = "http://www.mozilla.org/newlayout/xml/parsererror.xml";
            var doc = algorithm_1.create_xmlDocument();
            var root = doc.createElementNS(errorNS, "parsererror");
            var ele = doc.createElementNS(errorNS, "error");
            ele.setAttribute("message", e.message);
            root.appendChild(ele);
            doc.appendChild(root);
            return doc;
          }
        };
        return DOMParserImpl2;
      }()
    );
    exports2.DOMParserImpl = DOMParserImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/parser/index.js
var require_parser3 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/parser/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMParserImpl_1 = require_DOMParserImpl();
    exports2.DOMParser = DOMParserImpl_1.DOMParserImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js
var require_XMLSerializerImpl = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces2();
    var LocalNameSet_1 = require_LocalNameSet();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap();
    var DOMException_1 = require_DOMException();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var XMLSerializerImpl = (
      /** @class */
      function() {
        function XMLSerializerImpl2() {
        }
        XMLSerializerImpl2.prototype.serializeToString = function(root) {
          return this._xmlSerialization(root, false);
        };
        XMLSerializerImpl2.prototype._xmlSerialization = function(node, requireWellFormed) {
          if (node._nodeDocument === void 0 || node._nodeDocument._hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            try {
              return this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            } catch (_a) {
              throw new DOMException_1.InvalidStateError();
            }
          } else {
            try {
              return this._serializeNode(node, requireWellFormed);
            } catch (_b) {
              throw new DOMException_1.InvalidStateError();
            }
          }
        };
        XMLSerializerImpl2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeNode = function(node, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElement(node, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocument(node, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragment(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_1, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var markup = "<";
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            markup += qualifiedName;
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              markup += qualifiedName;
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              markup += qualifiedName;
              markup += " xmlns:" + prefix + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
              markup += ' xmlns="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
            }
          }
          markup += this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && XMLSerializerImpl2._VoidElementNames.has(node.localName)) {
            markup += " /";
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                markup += this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          return "<!--" + node.data + "-->";
        };
        XMLSerializerImpl2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var result = "";
          for (var i = 0; i < node.data.length; i++) {
            var c = node.data[i];
            if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_3, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          return node.publicId && node.systemId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '" "' + node.systemId + '">' : node.publicId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '">' : node.systemId ? "<!DOCTYPE " + node.name + ' SYSTEM "' + node.systemId + '">' : "<!DOCTYPE " + node.name + ">";
        };
        XMLSerializerImpl2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          return "<?" + (node.data === "" ? node.target : node.target + " " + node.data) + "?>";
        };
        XMLSerializerImpl2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          return "<![CDATA[" + node.data + "]]>";
        };
        XMLSerializerImpl2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_4, _a;
          var result = "";
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!ignoreNamespaceDefinitionAttribute && !requireWellFormed && attr.namespaceURI === null) {
                result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result += " xmlns:" + candidatePrefix + '="' + this._serializeAttributeValue(attributeNamespace, requireWellFormed) + '"';
                }
              }
              result += " ";
              if (candidatePrefix !== null) {
                result += candidatePrefix + ":";
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_5, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLSerializerImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLSerializerImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          var result = "";
          for (var i = 0; i < value.length; i++) {
            var c = value[i];
            if (c === '"')
              result += "&quot;";
            else if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_6, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          var markup = "<" + qualifiedName;
          markup += this._serializeAttributes(node, requireWellFormed);
          if (node._children.size === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_7, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_8, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = "";
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLSerializerImpl2;
      }()
    );
    exports2.XMLSerializerImpl = XMLSerializerImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/serializer/index.js
var require_serializer = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/serializer/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLSerializerImpl_1 = require_XMLSerializerImpl();
    exports2.XMLSerializer = XMLSerializerImpl_1.XMLSerializerImpl;
  }
});

// ../../components/environments/node_modules/@oozcitak/dom/lib/index.js
var require_lib3 = __commonJS({
  "../../components/environments/node_modules/@oozcitak/dom/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom();
    dom_1.dom.setFeatures(true);
    var dom_2 = require_dom();
    exports2.DOMImplementation = dom_2.DOMImplementation;
    var parser_1 = require_parser3();
    exports2.DOMParser = parser_1.DOMParser;
    var serializer_1 = require_serializer();
    exports2.XMLSerializer = serializer_1.XMLSerializer;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/dom.js
var require_dom2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/dom.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_lib3();
    var dom_2 = require_dom();
    var util_1 = require_lib();
    dom_2.dom.setFeatures(false);
    function createDocument() {
      var impl = new dom_1.DOMImplementation();
      var doc = impl.createDocument(null, "root", null);
      if (doc.documentElement) {
        doc.removeChild(doc.documentElement);
      }
      return doc;
    }
    exports2.createDocument = createDocument;
    function sanitizeInput(str, replacement) {
      if (str == null) {
        return str;
      } else if (replacement === void 0) {
        return str + "";
      } else {
        var result = "";
        str = str + "";
        for (var i = 0; i < str.length; i++) {
          var n = str.charCodeAt(i);
          if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
            result += str.charAt(i);
          } else if (n >= 55296 && n <= 56319 && i < str.length - 1) {
            var n2 = str.charCodeAt(i + 1);
            if (n2 >= 56320 && n2 <= 57343) {
              n = (n - 55296) * 1024 + n2 - 56320 + 65536;
              result += String.fromCodePoint(n);
              i++;
            } else {
              result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
            }
          } else {
            result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
          }
        }
        return result;
      }
    }
    exports2.sanitizeInput = sanitizeInput;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/BaseReader.js
var require_BaseReader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/BaseReader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom2();
    var BaseReader = (
      /** @class */
      function() {
        function BaseReader2(builderOptions) {
          this._builderOptions = builderOptions;
          if (builderOptions.parser) {
            Object.assign(this, builderOptions.parser);
          }
        }
        BaseReader2.prototype._docType = function(parent, name, publicId, systemId) {
          return parent.dtd({ name, pubID: publicId, sysID: systemId });
        };
        BaseReader2.prototype._comment = function(parent, data) {
          return parent.com(data);
        };
        BaseReader2.prototype._text = function(parent, data) {
          return parent.txt(data);
        };
        BaseReader2.prototype._instruction = function(parent, target, data) {
          return parent.ins(target, data);
        };
        BaseReader2.prototype._cdata = function(parent, data) {
          return parent.dat(data);
        };
        BaseReader2.prototype._element = function(parent, namespace, name) {
          return namespace === void 0 ? parent.ele(name) : parent.ele(namespace, name);
        };
        BaseReader2.prototype._attribute = function(parent, namespace, name, value) {
          return namespace === void 0 ? parent.att(name, value) : parent.att(namespace, name, value);
        };
        BaseReader2.prototype._sanitize = function(str) {
          return dom_1.sanitizeInput(str, this._builderOptions.invalidCharReplacement);
        };
        BaseReader2.prototype._decodeText = function(text) {
          if (text == null)
            return text;
          return text.replace(/&(quot|amp|apos|lt|gt);/g, function(_match, tag) {
            return BaseReader2._entityTable[tag];
          }).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g, function(_match, hexStr, numStr) {
            return String.fromCodePoint(parseInt(hexStr || numStr, hexStr ? 16 : 10));
          });
        };
        BaseReader2.prototype._decodeAttributeValue = function(text) {
          return this._decodeText(text);
        };
        BaseReader2.prototype.parse = function(node, obj) {
          return this._parse(node, obj);
        };
        BaseReader2.prototype.docType = function(parent, name, publicId, systemId) {
          return this._docType(parent, name, publicId, systemId);
        };
        BaseReader2.prototype.comment = function(parent, data) {
          return this._comment(parent, data);
        };
        BaseReader2.prototype.text = function(parent, data) {
          return this._text(parent, data);
        };
        BaseReader2.prototype.instruction = function(parent, target, data) {
          return this._instruction(parent, target, data);
        };
        BaseReader2.prototype.cdata = function(parent, data) {
          return this._cdata(parent, data);
        };
        BaseReader2.prototype.element = function(parent, namespace, name) {
          return this._element(parent, namespace, name);
        };
        BaseReader2.prototype.attribute = function(parent, namespace, name, value) {
          return this._attribute(parent, namespace, name, value);
        };
        BaseReader2.prototype.sanitize = function(str) {
          return this._sanitize(str);
        };
        BaseReader2._entityTable = {
          "lt": "<",
          "gt": ">",
          "amp": "&",
          "quot": '"',
          "apos": "'"
        };
        return BaseReader2;
      }()
    );
    exports2.BaseReader = BaseReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/XMLReader.js
var require_XMLReader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/XMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer();
    var interfaces_1 = require_interfaces4();
    var interfaces_2 = require_interfaces2();
    var infra_1 = require_lib2();
    var algorithm_1 = require_algorithm();
    var BaseReader_1 = require_BaseReader();
    var XMLReader = (
      /** @class */
      function(_super) {
        __extends(XMLReader2, _super);
        function XMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        XMLReader2.prototype._parse = function(node, str) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(str, { skipWhitespaceOnlyText: this._builderOptions.skipWhitespaceOnlyText });
          var lastChild = node;
          var context = node;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                var version = this.sanitize(declaration.version);
                if (version !== "1.0") {
                  throw new Error("Invalid xml version: " + version);
                }
                var builderOptions = {
                  version
                };
                if (declaration.encoding) {
                  builderOptions.encoding = this.sanitize(declaration.encoding);
                }
                if (declaration.standalone) {
                  builderOptions.standalone = this.sanitize(declaration.standalone) === "yes";
                }
                context.set(builderOptions);
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                context = this.docType(context, this.sanitize(doctype.name), this.sanitize(doctype.pubId), this.sanitize(doctype.sysId)) || context;
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                context = this.cdata(context, this.sanitize(cdata.data)) || context;
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                context = this.comment(context, this.sanitize(comment.data)) || context;
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                context = this.instruction(context, this.sanitize(pi.target), this.sanitize(pi.data)) || context;
                break;
              case interfaces_1.TokenType.Text:
                if (context.node.nodeType === interfaces_2.NodeType.Document)
                  break;
                var text = token;
                context = this.text(context, this._decodeText(this.sanitize(text.data))) || context;
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var elementName = this.sanitize(element.name);
                var _c = __read(algorithm_1.namespace_extractQName(elementName), 1), prefix = _c[0];
                var namespace = context.node.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? this.element(context, namespace, elementName) : this.element(context, void 0, elementName);
                if (elementNode === void 0)
                  break;
                if (context.node === node.node)
                  lastChild = elementNode;
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.node.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.node.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (attNamespace !== null)
                      this.attribute(elementNode, attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      this.attribute(elementNode, void 0, attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                if (context.node.parentNode) {
                  context = context.up();
                }
                break;
            }
            token = lexer.nextToken();
          }
          return lastChild;
        };
        return XMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.XMLReader = XMLReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/ObjectReader.js
var require_ObjectReader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/ObjectReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib();
    var BaseReader_1 = require_BaseReader();
    var ObjectReader = (
      /** @class */
      function(_super) {
        __extends(ObjectReader2, _super);
        function ObjectReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        ObjectReader2.prototype._parse = function(node, obj) {
          var _this = this;
          var options = this._builderOptions;
          var lastChild = null;
          if (util_1.isFunction(obj)) {
            lastChild = this.parse(node, obj.apply(this));
          } else if (util_1.isArray(obj) || util_1.isSet(obj)) {
            util_1.forEachArray(obj, function(item) {
              return lastChild = _this.parse(node, item);
            }, this);
          } else if (util_1.isMap(obj) || util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              if (util_1.isFunction(val)) {
                val = val.apply(_this);
              }
              if (!options.ignoreConverters && key.indexOf(options.convert.att) === 0) {
                if (key === options.convert.att) {
                  if (util_1.isArray(val) || util_1.isSet(val)) {
                    throw new Error("Invalid attribute: " + val.toString() + ". " + node._debugInfo());
                  } else {
                    util_1.forEachObject(val, function(attrKey, attrVal) {
                      lastChild = _this.attribute(node, void 0, _this.sanitize(attrKey), _this._decodeAttributeValue(_this.sanitize(attrVal))) || lastChild;
                    });
                  }
                } else {
                  lastChild = _this.attribute(node, void 0, _this.sanitize(key.substr(options.convert.att.length)), _this._decodeAttributeValue(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.text) === 0) {
                if (util_1.isMap(val) || util_1.isObject(val)) {
                  lastChild = _this.parse(node, val);
                } else {
                  lastChild = _this.text(node, _this._decodeText(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.cdata) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.cdata(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.cdata(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.comment) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.comment(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.comment(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.ins) === 0) {
                if (util_1.isString(val)) {
                  var insIndex = val.indexOf(" ");
                  var insTarget = insIndex === -1 ? val : val.substr(0, insIndex);
                  var insValue = insIndex === -1 ? "" : val.substr(insIndex + 1);
                  lastChild = _this.instruction(node, _this.sanitize(insTarget), _this.sanitize(insValue)) || lastChild;
                } else if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    var insIndex2 = item.indexOf(" ");
                    var insTarget2 = insIndex2 === -1 ? item : item.substr(0, insIndex2);
                    var insValue2 = insIndex2 === -1 ? "" : item.substr(insIndex2 + 1);
                    lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                } else {
                  util_1.forEachObject(val, function(insTarget2, insValue2) {
                    return lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                }
              } else if ((util_1.isArray(val) || util_1.isSet(val)) && util_1.isEmpty(val)) {
              } else if ((util_1.isMap(val) || util_1.isObject(val)) && util_1.isEmpty(val)) {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              } else if (!options.keepNullNodes && val == null) {
              } else if (util_1.isArray(val) || util_1.isSet(val)) {
                util_1.forEachArray(val, function(item) {
                  var childNode = {};
                  childNode[key] = item;
                  lastChild = _this.parse(node, childNode);
                }, _this);
              } else if (util_1.isMap(val) || util_1.isObject(val)) {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.parse(parent, val);
                }
              } else if (val != null && val !== "") {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.text(parent, _this._decodeText(_this.sanitize(val)));
                }
              } else {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              }
            }, this);
          } else if (!options.keepNullNodes && obj == null) {
          } else {
            lastChild = this.text(node, this._decodeText(this.sanitize(obj))) || lastChild;
          }
          return lastChild || node;
        };
        return ObjectReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.ObjectReader = ObjectReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/JSONReader.js
var require_JSONReader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/JSONReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader();
    var BaseReader_1 = require_BaseReader();
    var JSONReader = (
      /** @class */
      function(_super) {
        __extends(JSONReader2, _super);
        function JSONReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        JSONReader2.prototype._parse = function(node, str) {
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, JSON.parse(str));
        };
        return JSONReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.JSONReader = JSONReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js
var require_common4 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js"(exports2, module2) {
    "use strict";
    function isNothing(subject) {
      return typeof subject === "undefined" || subject === null;
    }
    function isObject(subject) {
      return typeof subject === "object" && subject !== null;
    }
    function toArray(sequence) {
      if (Array.isArray(sequence))
        return sequence;
      else if (isNothing(sequence))
        return [];
      return [sequence];
    }
    function extend(target, source) {
      var index, length, key, sourceKeys;
      if (source) {
        sourceKeys = Object.keys(source);
        for (index = 0, length = sourceKeys.length; index < length; index += 1) {
          key = sourceKeys[index];
          target[key] = source[key];
        }
      }
      return target;
    }
    function repeat(string, count) {
      var result = "", cycle;
      for (cycle = 0; cycle < count; cycle += 1) {
        result += string;
      }
      return result;
    }
    function isNegativeZero(number) {
      return number === 0 && Number.NEGATIVE_INFINITY === 1 / number;
    }
    module2.exports.isNothing = isNothing;
    module2.exports.isObject = isObject;
    module2.exports.toArray = toArray;
    module2.exports.repeat = repeat;
    module2.exports.isNegativeZero = isNegativeZero;
    module2.exports.extend = extend;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js
var require_exception = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js"(exports2, module2) {
    "use strict";
    function YAMLException(reason, mark) {
      Error.call(this);
      this.name = "YAMLException";
      this.reason = reason;
      this.mark = mark;
      this.message = (this.reason || "(unknown reason)") + (this.mark ? " " + this.mark.toString() : "");
      if (Error.captureStackTrace) {
        Error.captureStackTrace(this, this.constructor);
      } else {
        this.stack = new Error().stack || "";
      }
    }
    YAMLException.prototype = Object.create(Error.prototype);
    YAMLException.prototype.constructor = YAMLException;
    YAMLException.prototype.toString = function toString(compact) {
      var result = this.name + ": ";
      result += this.reason || "(unknown reason)";
      if (!compact && this.mark) {
        result += " " + this.mark.toString();
      }
      return result;
    };
    module2.exports = YAMLException;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js
var require_mark = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    function Mark(name, buffer, position, line, column) {
      this.name = name;
      this.buffer = buffer;
      this.position = position;
      this.line = line;
      this.column = column;
    }
    Mark.prototype.getSnippet = function getSnippet(indent, maxLength) {
      var head, start, tail, end, snippet;
      if (!this.buffer)
        return null;
      indent = indent || 4;
      maxLength = maxLength || 75;
      head = "";
      start = this.position;
      while (start > 0 && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(start - 1)) === -1) {
        start -= 1;
        if (this.position - start > maxLength / 2 - 1) {
          head = " ... ";
          start += 5;
          break;
        }
      }
      tail = "";
      end = this.position;
      while (end < this.buffer.length && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(end)) === -1) {
        end += 1;
        if (end - this.position > maxLength / 2 - 1) {
          tail = " ... ";
          end -= 5;
          break;
        }
      }
      snippet = this.buffer.slice(start, end);
      return common.repeat(" ", indent) + head + snippet + tail + "\n" + common.repeat(" ", indent + this.position - start + head.length) + "^";
    };
    Mark.prototype.toString = function toString(compact) {
      var snippet, where = "";
      if (this.name) {
        where += 'in "' + this.name + '" ';
      }
      where += "at line " + (this.line + 1) + ", column " + (this.column + 1);
      if (!compact) {
        snippet = this.getSnippet();
        if (snippet) {
          where += ":\n" + snippet;
        }
      }
      return where;
    };
    module2.exports = Mark;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js
var require_type = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js"(exports2, module2) {
    "use strict";
    var YAMLException = require_exception();
    var TYPE_CONSTRUCTOR_OPTIONS = [
      "kind",
      "resolve",
      "construct",
      "instanceOf",
      "predicate",
      "represent",
      "defaultStyle",
      "styleAliases"
    ];
    var YAML_NODE_KINDS = [
      "scalar",
      "sequence",
      "mapping"
    ];
    function compileStyleAliases(map) {
      var result = {};
      if (map !== null) {
        Object.keys(map).forEach(function(style) {
          map[style].forEach(function(alias) {
            result[String(alias)] = style;
          });
        });
      }
      return result;
    }
    function Type(tag, options) {
      options = options || {};
      Object.keys(options).forEach(function(name) {
        if (TYPE_CONSTRUCTOR_OPTIONS.indexOf(name) === -1) {
          throw new YAMLException('Unknown option "' + name + '" is met in definition of "' + tag + '" YAML type.');
        }
      });
      this.tag = tag;
      this.kind = options["kind"] || null;
      this.resolve = options["resolve"] || function() {
        return true;
      };
      this.construct = options["construct"] || function(data) {
        return data;
      };
      this.instanceOf = options["instanceOf"] || null;
      this.predicate = options["predicate"] || null;
      this.represent = options["represent"] || null;
      this.defaultStyle = options["defaultStyle"] || null;
      this.styleAliases = compileStyleAliases(options["styleAliases"] || null);
      if (YAML_NODE_KINDS.indexOf(this.kind) === -1) {
        throw new YAMLException('Unknown kind "' + this.kind + '" is specified for "' + tag + '" YAML type.');
      }
    }
    module2.exports = Type;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js
var require_schema4 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    var YAMLException = require_exception();
    var Type = require_type();
    function compileList(schema, name, result) {
      var exclude = [];
      schema.include.forEach(function(includedSchema) {
        result = compileList(includedSchema, name, result);
      });
      schema[name].forEach(function(currentType) {
        result.forEach(function(previousType, previousIndex) {
          if (previousType.tag === currentType.tag && previousType.kind === currentType.kind) {
            exclude.push(previousIndex);
          }
        });
        result.push(currentType);
      });
      return result.filter(function(type, index) {
        return exclude.indexOf(index) === -1;
      });
    }
    function compileMap() {
      var result = {
        scalar: {},
        sequence: {},
        mapping: {},
        fallback: {}
      }, index, length;
      function collectType(type) {
        result[type.kind][type.tag] = result["fallback"][type.tag] = type;
      }
      for (index = 0, length = arguments.length; index < length; index += 1) {
        arguments[index].forEach(collectType);
      }
      return result;
    }
    function Schema(definition) {
      this.include = definition.include || [];
      this.implicit = definition.implicit || [];
      this.explicit = definition.explicit || [];
      this.implicit.forEach(function(type) {
        if (type.loadKind && type.loadKind !== "scalar") {
          throw new YAMLException("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.");
        }
      });
      this.compiledImplicit = compileList(this, "implicit", []);
      this.compiledExplicit = compileList(this, "explicit", []);
      this.compiledTypeMap = compileMap(this.compiledImplicit, this.compiledExplicit);
    }
    Schema.DEFAULT = null;
    Schema.create = function createSchema() {
      var schemas, types;
      switch (arguments.length) {
        case 1:
          schemas = Schema.DEFAULT;
          types = arguments[0];
          break;
        case 2:
          schemas = arguments[0];
          types = arguments[1];
          break;
        default:
          throw new YAMLException("Wrong number of arguments for Schema.create function");
      }
      schemas = common.toArray(schemas);
      types = common.toArray(types);
      if (!schemas.every(function(schema) {
        return schema instanceof Schema;
      })) {
        throw new YAMLException("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");
      }
      if (!types.every(function(type) {
        return type instanceof Type;
      })) {
        throw new YAMLException("Specified list of YAML types (or a single Type object) contains a non-Type object.");
      }
      return new Schema({
        include: schemas,
        explicit: types
      });
    };
    module2.exports = Schema;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js
var require_str = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    module2.exports = new Type("tag:yaml.org,2002:str", {
      kind: "scalar",
      construct: function(data) {
        return data !== null ? data : "";
      }
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js
var require_seq2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    module2.exports = new Type("tag:yaml.org,2002:seq", {
      kind: "sequence",
      construct: function(data) {
        return data !== null ? data : [];
      }
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js
var require_map2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    module2.exports = new Type("tag:yaml.org,2002:map", {
      kind: "mapping",
      construct: function(data) {
        return data !== null ? data : {};
      }
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js
var require_failsafe = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema4();
    module2.exports = new Schema({
      explicit: [
        require_str(),
        require_seq2(),
        require_map2()
      ]
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js
var require_null2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    function resolveYamlNull(data) {
      if (data === null)
        return true;
      var max = data.length;
      return max === 1 && data === "~" || max === 4 && (data === "null" || data === "Null" || data === "NULL");
    }
    function constructYamlNull() {
      return null;
    }
    function isNull(object) {
      return object === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:null", {
      kind: "scalar",
      resolve: resolveYamlNull,
      construct: constructYamlNull,
      predicate: isNull,
      represent: {
        canonical: function() {
          return "~";
        },
        lowercase: function() {
          return "null";
        },
        uppercase: function() {
          return "NULL";
        },
        camelcase: function() {
          return "Null";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js
var require_bool3 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    function resolveYamlBoolean(data) {
      if (data === null)
        return false;
      var max = data.length;
      return max === 4 && (data === "true" || data === "True" || data === "TRUE") || max === 5 && (data === "false" || data === "False" || data === "FALSE");
    }
    function constructYamlBoolean(data) {
      return data === "true" || data === "True" || data === "TRUE";
    }
    function isBoolean(object) {
      return Object.prototype.toString.call(object) === "[object Boolean]";
    }
    module2.exports = new Type("tag:yaml.org,2002:bool", {
      kind: "scalar",
      resolve: resolveYamlBoolean,
      construct: constructYamlBoolean,
      predicate: isBoolean,
      represent: {
        lowercase: function(object) {
          return object ? "true" : "false";
        },
        uppercase: function(object) {
          return object ? "TRUE" : "FALSE";
        },
        camelcase: function(object) {
          return object ? "True" : "False";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js
var require_int3 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    var Type = require_type();
    function isHexCode(c) {
      return 48 <= c && c <= 57 || 65 <= c && c <= 70 || 97 <= c && c <= 102;
    }
    function isOctCode(c) {
      return 48 <= c && c <= 55;
    }
    function isDecCode(c) {
      return 48 <= c && c <= 57;
    }
    function resolveYamlInteger(data) {
      if (data === null)
        return false;
      var max = data.length, index = 0, hasDigits = false, ch;
      if (!max)
        return false;
      ch = data[index];
      if (ch === "-" || ch === "+") {
        ch = data[++index];
      }
      if (ch === "0") {
        if (index + 1 === max)
          return true;
        ch = data[++index];
        if (ch === "b") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (ch !== "0" && ch !== "1")
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        if (ch === "x") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (!isHexCode(data.charCodeAt(index)))
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        for (; index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (!isOctCode(data.charCodeAt(index)))
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      if (ch === "_")
        return false;
      for (; index < max; index++) {
        ch = data[index];
        if (ch === "_")
          continue;
        if (ch === ":")
          break;
        if (!isDecCode(data.charCodeAt(index))) {
          return false;
        }
        hasDigits = true;
      }
      if (!hasDigits || ch === "_")
        return false;
      if (ch !== ":")
        return true;
      return /^(:[0-5]?[0-9])+$/.test(data.slice(index));
    }
    function constructYamlInteger(data) {
      var value = data, sign = 1, ch, base, digits = [];
      if (value.indexOf("_") !== -1) {
        value = value.replace(/_/g, "");
      }
      ch = value[0];
      if (ch === "-" || ch === "+") {
        if (ch === "-")
          sign = -1;
        value = value.slice(1);
        ch = value[0];
      }
      if (value === "0")
        return 0;
      if (ch === "0") {
        if (value[1] === "b")
          return sign * parseInt(value.slice(2), 2);
        if (value[1] === "x")
          return sign * parseInt(value, 16);
        return sign * parseInt(value, 8);
      }
      if (value.indexOf(":") !== -1) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseInt(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseInt(value, 10);
    }
    function isInteger2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 === 0 && !common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:int", {
      kind: "scalar",
      resolve: resolveYamlInteger,
      construct: constructYamlInteger,
      predicate: isInteger2,
      represent: {
        binary: function(obj) {
          return obj >= 0 ? "0b" + obj.toString(2) : "-0b" + obj.toString(2).slice(1);
        },
        octal: function(obj) {
          return obj >= 0 ? "0" + obj.toString(8) : "-0" + obj.toString(8).slice(1);
        },
        decimal: function(obj) {
          return obj.toString(10);
        },
        /* eslint-disable max-len */
        hexadecimal: function(obj) {
          return obj >= 0 ? "0x" + obj.toString(16).toUpperCase() : "-0x" + obj.toString(16).toUpperCase().slice(1);
        }
      },
      defaultStyle: "decimal",
      styleAliases: {
        binary: [2, "bin"],
        octal: [8, "oct"],
        decimal: [10, "dec"],
        hexadecimal: [16, "hex"]
      }
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js
var require_float3 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    var Type = require_type();
    var YAML_FLOAT_PATTERN = new RegExp(
      // 2.5e4, 2.5 and integers
      "^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*|[-+]?\\.(?:inf|Inf|INF)|\\.(?:nan|NaN|NAN))$"
    );
    function resolveYamlFloat(data) {
      if (data === null)
        return false;
      if (!YAML_FLOAT_PATTERN.test(data) || // Quick hack to not allow integers end with `_`
      // Probably should update regexp & check speed
      data[data.length - 1] === "_") {
        return false;
      }
      return true;
    }
    function constructYamlFloat(data) {
      var value, sign, base, digits;
      value = data.replace(/_/g, "").toLowerCase();
      sign = value[0] === "-" ? -1 : 1;
      digits = [];
      if ("+-".indexOf(value[0]) >= 0) {
        value = value.slice(1);
      }
      if (value === ".inf") {
        return sign === 1 ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
      } else if (value === ".nan") {
        return NaN;
      } else if (value.indexOf(":") >= 0) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseFloat(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseFloat(value, 10);
    }
    var SCIENTIFIC_WITHOUT_DOT = /^[-+]?[0-9]+e/;
    function representYamlFloat(object, style) {
      var res;
      if (isNaN(object)) {
        switch (style) {
          case "lowercase":
            return ".nan";
          case "uppercase":
            return ".NAN";
          case "camelcase":
            return ".NaN";
        }
      } else if (Number.POSITIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return ".inf";
          case "uppercase":
            return ".INF";
          case "camelcase":
            return ".Inf";
        }
      } else if (Number.NEGATIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return "-.inf";
          case "uppercase":
            return "-.INF";
          case "camelcase":
            return "-.Inf";
        }
      } else if (common.isNegativeZero(object)) {
        return "-0.0";
      }
      res = object.toString(10);
      return SCIENTIFIC_WITHOUT_DOT.test(res) ? res.replace("e", ".e") : res;
    }
    function isFloat2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 !== 0 || common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:float", {
      kind: "scalar",
      resolve: resolveYamlFloat,
      construct: constructYamlFloat,
      predicate: isFloat2,
      represent: representYamlFloat,
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js
var require_json2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema4();
    module2.exports = new Schema({
      include: [
        require_failsafe()
      ],
      implicit: [
        require_null2(),
        require_bool3(),
        require_int3(),
        require_float3()
      ]
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js
var require_core2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema4();
    module2.exports = new Schema({
      include: [
        require_json2()
      ]
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js
var require_timestamp2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    var YAML_DATE_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])$"
    );
    var YAML_TIMESTAMP_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9]?)-([0-9][0-9]?)(?:[Tt]|[ \\t]+)([0-9][0-9]?):([0-9][0-9]):([0-9][0-9])(?:\\.([0-9]*))?(?:[ \\t]*(Z|([-+])([0-9][0-9]?)(?::([0-9][0-9]))?))?$"
    );
    function resolveYamlTimestamp(data) {
      if (data === null)
        return false;
      if (YAML_DATE_REGEXP.exec(data) !== null)
        return true;
      if (YAML_TIMESTAMP_REGEXP.exec(data) !== null)
        return true;
      return false;
    }
    function constructYamlTimestamp(data) {
      var match, year, month, day, hour, minute, second, fraction = 0, delta = null, tz_hour, tz_minute, date;
      match = YAML_DATE_REGEXP.exec(data);
      if (match === null)
        match = YAML_TIMESTAMP_REGEXP.exec(data);
      if (match === null)
        throw new Error("Date resolve error");
      year = +match[1];
      month = +match[2] - 1;
      day = +match[3];
      if (!match[4]) {
        return new Date(Date.UTC(year, month, day));
      }
      hour = +match[4];
      minute = +match[5];
      second = +match[6];
      if (match[7]) {
        fraction = match[7].slice(0, 3);
        while (fraction.length < 3) {
          fraction += "0";
        }
        fraction = +fraction;
      }
      if (match[9]) {
        tz_hour = +match[10];
        tz_minute = +(match[11] || 0);
        delta = (tz_hour * 60 + tz_minute) * 6e4;
        if (match[9] === "-")
          delta = -delta;
      }
      date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));
      if (delta)
        date.setTime(date.getTime() - delta);
      return date;
    }
    function representYamlTimestamp(object) {
      return object.toISOString();
    }
    module2.exports = new Type("tag:yaml.org,2002:timestamp", {
      kind: "scalar",
      resolve: resolveYamlTimestamp,
      construct: constructYamlTimestamp,
      instanceOf: Date,
      represent: representYamlTimestamp
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js
var require_merge = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    function resolveYamlMerge(data) {
      return data === "<<" || data === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:merge", {
      kind: "scalar",
      resolve: resolveYamlMerge
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js
var require_binary2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js"(exports2, module2) {
    "use strict";
    var NodeBuffer;
    try {
      _require = require;
      NodeBuffer = _require("buffer").Buffer;
    } catch (__) {
    }
    var _require;
    var Type = require_type();
    var BASE64_MAP = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\n\r";
    function resolveYamlBinary(data) {
      if (data === null)
        return false;
      var code, idx, bitlen = 0, max = data.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        code = map.indexOf(data.charAt(idx));
        if (code > 64)
          continue;
        if (code < 0)
          return false;
        bitlen += 6;
      }
      return bitlen % 8 === 0;
    }
    function constructYamlBinary(data) {
      var idx, tailbits, input = data.replace(/[\r\n=]/g, ""), max = input.length, map = BASE64_MAP, bits = 0, result = [];
      for (idx = 0; idx < max; idx++) {
        if (idx % 4 === 0 && idx) {
          result.push(bits >> 16 & 255);
          result.push(bits >> 8 & 255);
          result.push(bits & 255);
        }
        bits = bits << 6 | map.indexOf(input.charAt(idx));
      }
      tailbits = max % 4 * 6;
      if (tailbits === 0) {
        result.push(bits >> 16 & 255);
        result.push(bits >> 8 & 255);
        result.push(bits & 255);
      } else if (tailbits === 18) {
        result.push(bits >> 10 & 255);
        result.push(bits >> 2 & 255);
      } else if (tailbits === 12) {
        result.push(bits >> 4 & 255);
      }
      if (NodeBuffer) {
        return NodeBuffer.from ? NodeBuffer.from(result) : new NodeBuffer(result);
      }
      return result;
    }
    function representYamlBinary(object) {
      var result = "", bits = 0, idx, tail, max = object.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        if (idx % 3 === 0 && idx) {
          result += map[bits >> 18 & 63];
          result += map[bits >> 12 & 63];
          result += map[bits >> 6 & 63];
          result += map[bits & 63];
        }
        bits = (bits << 8) + object[idx];
      }
      tail = max % 3;
      if (tail === 0) {
        result += map[bits >> 18 & 63];
        result += map[bits >> 12 & 63];
        result += map[bits >> 6 & 63];
        result += map[bits & 63];
      } else if (tail === 2) {
        result += map[bits >> 10 & 63];
        result += map[bits >> 4 & 63];
        result += map[bits << 2 & 63];
        result += map[64];
      } else if (tail === 1) {
        result += map[bits >> 2 & 63];
        result += map[bits << 4 & 63];
        result += map[64];
        result += map[64];
      }
      return result;
    }
    function isBinary(object) {
      return NodeBuffer && NodeBuffer.isBuffer(object);
    }
    module2.exports = new Type("tag:yaml.org,2002:binary", {
      kind: "scalar",
      resolve: resolveYamlBinary,
      construct: constructYamlBinary,
      predicate: isBinary,
      represent: representYamlBinary
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js
var require_omap2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var _toString = Object.prototype.toString;
    function resolveYamlOmap(data) {
      if (data === null)
        return true;
      var objectKeys = [], index, length, pair, pairKey, pairHasKey, object = data;
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        pairHasKey = false;
        if (_toString.call(pair) !== "[object Object]")
          return false;
        for (pairKey in pair) {
          if (_hasOwnProperty.call(pair, pairKey)) {
            if (!pairHasKey)
              pairHasKey = true;
            else
              return false;
          }
        }
        if (!pairHasKey)
          return false;
        if (objectKeys.indexOf(pairKey) === -1)
          objectKeys.push(pairKey);
        else
          return false;
      }
      return true;
    }
    function constructYamlOmap(data) {
      return data !== null ? data : [];
    }
    module2.exports = new Type("tag:yaml.org,2002:omap", {
      kind: "sequence",
      resolve: resolveYamlOmap,
      construct: constructYamlOmap
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js
var require_pairs2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    var _toString = Object.prototype.toString;
    function resolveYamlPairs(data) {
      if (data === null)
        return true;
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        if (_toString.call(pair) !== "[object Object]")
          return false;
        keys = Object.keys(pair);
        if (keys.length !== 1)
          return false;
        result[index] = [keys[0], pair[keys[0]]];
      }
      return true;
    }
    function constructYamlPairs(data) {
      if (data === null)
        return [];
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        keys = Object.keys(pair);
        result[index] = [keys[0], pair[keys[0]]];
      }
      return result;
    }
    module2.exports = new Type("tag:yaml.org,2002:pairs", {
      kind: "sequence",
      resolve: resolveYamlPairs,
      construct: constructYamlPairs
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js
var require_set2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function resolveYamlSet(data) {
      if (data === null)
        return true;
      var key, object = data;
      for (key in object) {
        if (_hasOwnProperty.call(object, key)) {
          if (object[key] !== null)
            return false;
        }
      }
      return true;
    }
    function constructYamlSet(data) {
      return data !== null ? data : {};
    }
    module2.exports = new Type("tag:yaml.org,2002:set", {
      kind: "mapping",
      resolve: resolveYamlSet,
      construct: constructYamlSet
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js
var require_default_safe = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema4();
    module2.exports = new Schema({
      include: [
        require_core2()
      ],
      implicit: [
        require_timestamp2(),
        require_merge()
      ],
      explicit: [
        require_binary2(),
        require_omap2(),
        require_pairs2(),
        require_set2()
      ]
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js
var require_undefined = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    function resolveJavascriptUndefined() {
      return true;
    }
    function constructJavascriptUndefined() {
      return void 0;
    }
    function representJavascriptUndefined() {
      return "";
    }
    function isUndefined(object) {
      return typeof object === "undefined";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/undefined", {
      kind: "scalar",
      resolve: resolveJavascriptUndefined,
      construct: constructJavascriptUndefined,
      predicate: isUndefined,
      represent: representJavascriptUndefined
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js
var require_regexp = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js"(exports2, module2) {
    "use strict";
    var Type = require_type();
    function resolveJavascriptRegExp(data) {
      if (data === null)
        return false;
      if (data.length === 0)
        return false;
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        if (modifiers.length > 3)
          return false;
        if (regexp[regexp.length - modifiers.length - 1] !== "/")
          return false;
      }
      return true;
    }
    function constructJavascriptRegExp(data) {
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        regexp = regexp.slice(1, regexp.length - modifiers.length - 1);
      }
      return new RegExp(regexp, modifiers);
    }
    function representJavascriptRegExp(object) {
      var result = "/" + object.source + "/";
      if (object.global)
        result += "g";
      if (object.multiline)
        result += "m";
      if (object.ignoreCase)
        result += "i";
      return result;
    }
    function isRegExp(object) {
      return Object.prototype.toString.call(object) === "[object RegExp]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/regexp", {
      kind: "scalar",
      resolve: resolveJavascriptRegExp,
      construct: constructJavascriptRegExp,
      predicate: isRegExp,
      represent: representJavascriptRegExp
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js
var require_function = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js"(exports2, module2) {
    "use strict";
    var esprima;
    try {
      _require = require;
      esprima = _require("esprima");
    } catch (_) {
      if (typeof window !== "undefined")
        esprima = window.esprima;
    }
    var _require;
    var Type = require_type();
    function resolveJavascriptFunction(data) {
      if (data === null)
        return false;
      try {
        var source = "(" + data + ")", ast = esprima.parse(source, { range: true });
        if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
          return false;
        }
        return true;
      } catch (err) {
        return false;
      }
    }
    function constructJavascriptFunction(data) {
      var source = "(" + data + ")", ast = esprima.parse(source, { range: true }), params = [], body;
      if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
        throw new Error("Failed to resolve function");
      }
      ast.body[0].expression.params.forEach(function(param) {
        params.push(param.name);
      });
      body = ast.body[0].expression.body.range;
      if (ast.body[0].expression.body.type === "BlockStatement") {
        return new Function(params, source.slice(body[0] + 1, body[1] - 1));
      }
      return new Function(params, "return " + source.slice(body[0], body[1]));
    }
    function representJavascriptFunction(object) {
      return object.toString();
    }
    function isFunction(object) {
      return Object.prototype.toString.call(object) === "[object Function]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/function", {
      kind: "scalar",
      resolve: resolveJavascriptFunction,
      construct: constructJavascriptFunction,
      predicate: isFunction,
      represent: representJavascriptFunction
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js
var require_default_full = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema4();
    module2.exports = Schema.DEFAULT = new Schema({
      include: [
        require_default_safe()
      ],
      explicit: [
        require_undefined(),
        require_regexp(),
        require_function()
      ]
    });
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js
var require_loader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    var YAMLException = require_exception();
    var Mark = require_mark();
    var DEFAULT_SAFE_SCHEMA = require_default_safe();
    var DEFAULT_FULL_SCHEMA = require_default_full();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CONTEXT_FLOW_IN = 1;
    var CONTEXT_FLOW_OUT = 2;
    var CONTEXT_BLOCK_IN = 3;
    var CONTEXT_BLOCK_OUT = 4;
    var CHOMPING_CLIP = 1;
    var CHOMPING_STRIP = 2;
    var CHOMPING_KEEP = 3;
    var PATTERN_NON_PRINTABLE = /[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var PATTERN_NON_ASCII_LINE_BREAKS = /[\x85\u2028\u2029]/;
    var PATTERN_FLOW_INDICATORS = /[,\[\]\{\}]/;
    var PATTERN_TAG_HANDLE = /^(?:!|!!|![a-z\-]+!)$/i;
    var PATTERN_TAG_URI = /^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;
    function _class(obj) {
      return Object.prototype.toString.call(obj);
    }
    function is_EOL(c) {
      return c === 10 || c === 13;
    }
    function is_WHITE_SPACE(c) {
      return c === 9 || c === 32;
    }
    function is_WS_OR_EOL(c) {
      return c === 9 || c === 32 || c === 10 || c === 13;
    }
    function is_FLOW_INDICATOR(c) {
      return c === 44 || c === 91 || c === 93 || c === 123 || c === 125;
    }
    function fromHexCode(c) {
      var lc;
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      lc = c | 32;
      if (97 <= lc && lc <= 102) {
        return lc - 97 + 10;
      }
      return -1;
    }
    function escapedHexLen(c) {
      if (c === 120) {
        return 2;
      }
      if (c === 117) {
        return 4;
      }
      if (c === 85) {
        return 8;
      }
      return 0;
    }
    function fromDecimalCode(c) {
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      return -1;
    }
    function simpleEscapeSequence(c) {
      return c === 48 ? "\0" : c === 97 ? "\x07" : c === 98 ? "\b" : c === 116 ? "	" : c === 9 ? "	" : c === 110 ? "\n" : c === 118 ? "\v" : c === 102 ? "\f" : c === 114 ? "\r" : c === 101 ? "\x1B" : c === 32 ? " " : c === 34 ? '"' : c === 47 ? "/" : c === 92 ? "\\" : c === 78 ? "\x85" : c === 95 ? "\xA0" : c === 76 ? "\u2028" : c === 80 ? "\u2029" : "";
    }
    function charFromCodepoint(c) {
      if (c <= 65535) {
        return String.fromCharCode(c);
      }
      return String.fromCharCode(
        (c - 65536 >> 10) + 55296,
        (c - 65536 & 1023) + 56320
      );
    }
    var simpleEscapeCheck = new Array(256);
    var simpleEscapeMap = new Array(256);
    for (i = 0; i < 256; i++) {
      simpleEscapeCheck[i] = simpleEscapeSequence(i) ? 1 : 0;
      simpleEscapeMap[i] = simpleEscapeSequence(i);
    }
    var i;
    function State(input, options) {
      this.input = input;
      this.filename = options["filename"] || null;
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.onWarning = options["onWarning"] || null;
      this.legacy = options["legacy"] || false;
      this.json = options["json"] || false;
      this.listener = options["listener"] || null;
      this.implicitTypes = this.schema.compiledImplicit;
      this.typeMap = this.schema.compiledTypeMap;
      this.length = input.length;
      this.position = 0;
      this.line = 0;
      this.lineStart = 0;
      this.lineIndent = 0;
      this.documents = [];
    }
    function generateError(state, message) {
      return new YAMLException(
        message,
        new Mark(state.filename, state.input, state.position, state.line, state.position - state.lineStart)
      );
    }
    function throwError(state, message) {
      throw generateError(state, message);
    }
    function throwWarning(state, message) {
      if (state.onWarning) {
        state.onWarning.call(null, generateError(state, message));
      }
    }
    var directiveHandlers = {
      YAML: function handleYamlDirective(state, name, args) {
        var match, major, minor;
        if (state.version !== null) {
          throwError(state, "duplication of %YAML directive");
        }
        if (args.length !== 1) {
          throwError(state, "YAML directive accepts exactly one argument");
        }
        match = /^([0-9]+)\.([0-9]+)$/.exec(args[0]);
        if (match === null) {
          throwError(state, "ill-formed argument of the YAML directive");
        }
        major = parseInt(match[1], 10);
        minor = parseInt(match[2], 10);
        if (major !== 1) {
          throwError(state, "unacceptable YAML version of the document");
        }
        state.version = args[0];
        state.checkLineBreaks = minor < 2;
        if (minor !== 1 && minor !== 2) {
          throwWarning(state, "unsupported YAML version of the document");
        }
      },
      TAG: function handleTagDirective(state, name, args) {
        var handle, prefix;
        if (args.length !== 2) {
          throwError(state, "TAG directive accepts exactly two arguments");
        }
        handle = args[0];
        prefix = args[1];
        if (!PATTERN_TAG_HANDLE.test(handle)) {
          throwError(state, "ill-formed tag handle (first argument) of the TAG directive");
        }
        if (_hasOwnProperty.call(state.tagMap, handle)) {
          throwError(state, 'there is a previously declared suffix for "' + handle + '" tag handle');
        }
        if (!PATTERN_TAG_URI.test(prefix)) {
          throwError(state, "ill-formed tag prefix (second argument) of the TAG directive");
        }
        state.tagMap[handle] = prefix;
      }
    };
    function captureSegment(state, start, end, checkJson) {
      var _position, _length, _character, _result;
      if (start < end) {
        _result = state.input.slice(start, end);
        if (checkJson) {
          for (_position = 0, _length = _result.length; _position < _length; _position += 1) {
            _character = _result.charCodeAt(_position);
            if (!(_character === 9 || 32 <= _character && _character <= 1114111)) {
              throwError(state, "expected valid JSON character");
            }
          }
        } else if (PATTERN_NON_PRINTABLE.test(_result)) {
          throwError(state, "the stream contains non-printable characters");
        }
        state.result += _result;
      }
    }
    function mergeMappings(state, destination, source, overridableKeys) {
      var sourceKeys, key, index, quantity;
      if (!common.isObject(source)) {
        throwError(state, "cannot merge mappings; the provided source object is unacceptable");
      }
      sourceKeys = Object.keys(source);
      for (index = 0, quantity = sourceKeys.length; index < quantity; index += 1) {
        key = sourceKeys[index];
        if (!_hasOwnProperty.call(destination, key)) {
          destination[key] = source[key];
          overridableKeys[key] = true;
        }
      }
    }
    function storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, startLine, startPos) {
      var index, quantity;
      if (Array.isArray(keyNode)) {
        keyNode = Array.prototype.slice.call(keyNode);
        for (index = 0, quantity = keyNode.length; index < quantity; index += 1) {
          if (Array.isArray(keyNode[index])) {
            throwError(state, "nested arrays are not supported inside keys");
          }
          if (typeof keyNode === "object" && _class(keyNode[index]) === "[object Object]") {
            keyNode[index] = "[object Object]";
          }
        }
      }
      if (typeof keyNode === "object" && _class(keyNode) === "[object Object]") {
        keyNode = "[object Object]";
      }
      keyNode = String(keyNode);
      if (_result === null) {
        _result = {};
      }
      if (keyTag === "tag:yaml.org,2002:merge") {
        if (Array.isArray(valueNode)) {
          for (index = 0, quantity = valueNode.length; index < quantity; index += 1) {
            mergeMappings(state, _result, valueNode[index], overridableKeys);
          }
        } else {
          mergeMappings(state, _result, valueNode, overridableKeys);
        }
      } else {
        if (!state.json && !_hasOwnProperty.call(overridableKeys, keyNode) && _hasOwnProperty.call(_result, keyNode)) {
          state.line = startLine || state.line;
          state.position = startPos || state.position;
          throwError(state, "duplicated mapping key");
        }
        _result[keyNode] = valueNode;
        delete overridableKeys[keyNode];
      }
      return _result;
    }
    function readLineBreak(state) {
      var ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 10) {
        state.position++;
      } else if (ch === 13) {
        state.position++;
        if (state.input.charCodeAt(state.position) === 10) {
          state.position++;
        }
      } else {
        throwError(state, "a line break is expected");
      }
      state.line += 1;
      state.lineStart = state.position;
    }
    function skipSeparationSpace(state, allowComments, checkIndent) {
      var lineBreaks = 0, ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        while (is_WHITE_SPACE(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        if (allowComments && ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (ch !== 10 && ch !== 13 && ch !== 0);
        }
        if (is_EOL(ch)) {
          readLineBreak(state);
          ch = state.input.charCodeAt(state.position);
          lineBreaks++;
          state.lineIndent = 0;
          while (ch === 32) {
            state.lineIndent++;
            ch = state.input.charCodeAt(++state.position);
          }
        } else {
          break;
        }
      }
      if (checkIndent !== -1 && lineBreaks !== 0 && state.lineIndent < checkIndent) {
        throwWarning(state, "deficient indentation");
      }
      return lineBreaks;
    }
    function testDocumentSeparator(state) {
      var _position = state.position, ch;
      ch = state.input.charCodeAt(_position);
      if ((ch === 45 || ch === 46) && ch === state.input.charCodeAt(_position + 1) && ch === state.input.charCodeAt(_position + 2)) {
        _position += 3;
        ch = state.input.charCodeAt(_position);
        if (ch === 0 || is_WS_OR_EOL(ch)) {
          return true;
        }
      }
      return false;
    }
    function writeFoldedLines(state, count) {
      if (count === 1) {
        state.result += " ";
      } else if (count > 1) {
        state.result += common.repeat("\n", count - 1);
      }
    }
    function readPlainScalar(state, nodeIndent, withinFlowCollection) {
      var preceding, following, captureStart, captureEnd, hasPendingContent, _line, _lineStart, _lineIndent, _kind = state.kind, _result = state.result, ch;
      ch = state.input.charCodeAt(state.position);
      if (is_WS_OR_EOL(ch) || is_FLOW_INDICATOR(ch) || ch === 35 || ch === 38 || ch === 42 || ch === 33 || ch === 124 || ch === 62 || ch === 39 || ch === 34 || ch === 37 || ch === 64 || ch === 96) {
        return false;
      }
      if (ch === 63 || ch === 45) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
          return false;
        }
      }
      state.kind = "scalar";
      state.result = "";
      captureStart = captureEnd = state.position;
      hasPendingContent = false;
      while (ch !== 0) {
        if (ch === 58) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
            break;
          }
        } else if (ch === 35) {
          preceding = state.input.charCodeAt(state.position - 1);
          if (is_WS_OR_EOL(preceding)) {
            break;
          }
        } else if (state.position === state.lineStart && testDocumentSeparator(state) || withinFlowCollection && is_FLOW_INDICATOR(ch)) {
          break;
        } else if (is_EOL(ch)) {
          _line = state.line;
          _lineStart = state.lineStart;
          _lineIndent = state.lineIndent;
          skipSeparationSpace(state, false, -1);
          if (state.lineIndent >= nodeIndent) {
            hasPendingContent = true;
            ch = state.input.charCodeAt(state.position);
            continue;
          } else {
            state.position = captureEnd;
            state.line = _line;
            state.lineStart = _lineStart;
            state.lineIndent = _lineIndent;
            break;
          }
        }
        if (hasPendingContent) {
          captureSegment(state, captureStart, captureEnd, false);
          writeFoldedLines(state, state.line - _line);
          captureStart = captureEnd = state.position;
          hasPendingContent = false;
        }
        if (!is_WHITE_SPACE(ch)) {
          captureEnd = state.position + 1;
        }
        ch = state.input.charCodeAt(++state.position);
      }
      captureSegment(state, captureStart, captureEnd, false);
      if (state.result) {
        return true;
      }
      state.kind = _kind;
      state.result = _result;
      return false;
    }
    function readSingleQuotedScalar(state, nodeIndent) {
      var ch, captureStart, captureEnd;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 39) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 39) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (ch === 39) {
            captureStart = state.position;
            state.position++;
            captureEnd = state.position;
          } else {
            return true;
          }
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a single quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a single quoted scalar");
    }
    function readDoubleQuotedScalar(state, nodeIndent) {
      var captureStart, captureEnd, hexLength, hexResult, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 34) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 34) {
          captureSegment(state, captureStart, state.position, true);
          state.position++;
          return true;
        } else if (ch === 92) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (is_EOL(ch)) {
            skipSeparationSpace(state, false, nodeIndent);
          } else if (ch < 256 && simpleEscapeCheck[ch]) {
            state.result += simpleEscapeMap[ch];
            state.position++;
          } else if ((tmp = escapedHexLen(ch)) > 0) {
            hexLength = tmp;
            hexResult = 0;
            for (; hexLength > 0; hexLength--) {
              ch = state.input.charCodeAt(++state.position);
              if ((tmp = fromHexCode(ch)) >= 0) {
                hexResult = (hexResult << 4) + tmp;
              } else {
                throwError(state, "expected hexadecimal character");
              }
            }
            state.result += charFromCodepoint(hexResult);
            state.position++;
          } else {
            throwError(state, "unknown escape sequence");
          }
          captureStart = captureEnd = state.position;
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a double quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a double quoted scalar");
    }
    function readFlowCollection(state, nodeIndent) {
      var readNext = true, _line, _tag = state.tag, _result, _anchor = state.anchor, following, terminator, isPair, isExplicitPair, isMapping, overridableKeys = {}, keyNode, keyTag, valueNode, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 91) {
        terminator = 93;
        isMapping = false;
        _result = [];
      } else if (ch === 123) {
        terminator = 125;
        isMapping = true;
        _result = {};
      } else {
        return false;
      }
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(++state.position);
      while (ch !== 0) {
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === terminator) {
          state.position++;
          state.tag = _tag;
          state.anchor = _anchor;
          state.kind = isMapping ? "mapping" : "sequence";
          state.result = _result;
          return true;
        } else if (!readNext) {
          throwError(state, "missed comma between flow collection entries");
        }
        keyTag = keyNode = valueNode = null;
        isPair = isExplicitPair = false;
        if (ch === 63) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following)) {
            isPair = isExplicitPair = true;
            state.position++;
            skipSeparationSpace(state, true, nodeIndent);
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
        keyTag = state.tag;
        keyNode = state.result;
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if ((isExplicitPair || state.line === _line) && ch === 58) {
          isPair = true;
          ch = state.input.charCodeAt(++state.position);
          skipSeparationSpace(state, true, nodeIndent);
          composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
          valueNode = state.result;
        }
        if (isMapping) {
          storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode);
        } else if (isPair) {
          _result.push(storeMappingPair(state, null, overridableKeys, keyTag, keyNode, valueNode));
        } else {
          _result.push(keyNode);
        }
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === 44) {
          readNext = true;
          ch = state.input.charCodeAt(++state.position);
        } else {
          readNext = false;
        }
      }
      throwError(state, "unexpected end of the stream within a flow collection");
    }
    function readBlockScalar(state, nodeIndent) {
      var captureStart, folding, chomping = CHOMPING_CLIP, didReadContent = false, detectedIndent = false, textIndent = nodeIndent, emptyLines = 0, atMoreIndented = false, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 124) {
        folding = false;
      } else if (ch === 62) {
        folding = true;
      } else {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      while (ch !== 0) {
        ch = state.input.charCodeAt(++state.position);
        if (ch === 43 || ch === 45) {
          if (CHOMPING_CLIP === chomping) {
            chomping = ch === 43 ? CHOMPING_KEEP : CHOMPING_STRIP;
          } else {
            throwError(state, "repeat of a chomping mode identifier");
          }
        } else if ((tmp = fromDecimalCode(ch)) >= 0) {
          if (tmp === 0) {
            throwError(state, "bad explicit indentation width of a block scalar; it cannot be less than one");
          } else if (!detectedIndent) {
            textIndent = nodeIndent + tmp - 1;
            detectedIndent = true;
          } else {
            throwError(state, "repeat of an indentation width identifier");
          }
        } else {
          break;
        }
      }
      if (is_WHITE_SPACE(ch)) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (is_WHITE_SPACE(ch));
        if (ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (!is_EOL(ch) && ch !== 0);
        }
      }
      while (ch !== 0) {
        readLineBreak(state);
        state.lineIndent = 0;
        ch = state.input.charCodeAt(state.position);
        while ((!detectedIndent || state.lineIndent < textIndent) && ch === 32) {
          state.lineIndent++;
          ch = state.input.charCodeAt(++state.position);
        }
        if (!detectedIndent && state.lineIndent > textIndent) {
          textIndent = state.lineIndent;
        }
        if (is_EOL(ch)) {
          emptyLines++;
          continue;
        }
        if (state.lineIndent < textIndent) {
          if (chomping === CHOMPING_KEEP) {
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (chomping === CHOMPING_CLIP) {
            if (didReadContent) {
              state.result += "\n";
            }
          }
          break;
        }
        if (folding) {
          if (is_WHITE_SPACE(ch)) {
            atMoreIndented = true;
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (atMoreIndented) {
            atMoreIndented = false;
            state.result += common.repeat("\n", emptyLines + 1);
          } else if (emptyLines === 0) {
            if (didReadContent) {
              state.result += " ";
            }
          } else {
            state.result += common.repeat("\n", emptyLines);
          }
        } else {
          state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
        }
        didReadContent = true;
        detectedIndent = true;
        emptyLines = 0;
        captureStart = state.position;
        while (!is_EOL(ch) && ch !== 0) {
          ch = state.input.charCodeAt(++state.position);
        }
        captureSegment(state, captureStart, state.position, false);
      }
      return true;
    }
    function readBlockSequence(state, nodeIndent) {
      var _line, _tag = state.tag, _anchor = state.anchor, _result = [], following, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        if (ch !== 45) {
          break;
        }
        following = state.input.charCodeAt(state.position + 1);
        if (!is_WS_OR_EOL(following)) {
          break;
        }
        detected = true;
        state.position++;
        if (skipSeparationSpace(state, true, -1)) {
          if (state.lineIndent <= nodeIndent) {
            _result.push(null);
            ch = state.input.charCodeAt(state.position);
            continue;
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_BLOCK_IN, false, true);
        _result.push(state.result);
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if ((state.line === _line || state.lineIndent > nodeIndent) && ch !== 0) {
          throwError(state, "bad indentation of a sequence entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "sequence";
        state.result = _result;
        return true;
      }
      return false;
    }
    function readBlockMapping(state, nodeIndent, flowIndent) {
      var following, allowCompact, _line, _pos, _tag = state.tag, _anchor = state.anchor, _result = {}, overridableKeys = {}, keyTag = null, keyNode = null, valueNode = null, atExplicitKey = false, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        following = state.input.charCodeAt(state.position + 1);
        _line = state.line;
        _pos = state.position;
        if ((ch === 63 || ch === 58) && is_WS_OR_EOL(following)) {
          if (ch === 63) {
            if (atExplicitKey) {
              storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
              keyTag = keyNode = valueNode = null;
            }
            detected = true;
            atExplicitKey = true;
            allowCompact = true;
          } else if (atExplicitKey) {
            atExplicitKey = false;
            allowCompact = true;
          } else {
            throwError(state, "incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line");
          }
          state.position += 1;
          ch = following;
        } else if (composeNode(state, flowIndent, CONTEXT_FLOW_OUT, false, true)) {
          if (state.line === _line) {
            ch = state.input.charCodeAt(state.position);
            while (is_WHITE_SPACE(ch)) {
              ch = state.input.charCodeAt(++state.position);
            }
            if (ch === 58) {
              ch = state.input.charCodeAt(++state.position);
              if (!is_WS_OR_EOL(ch)) {
                throwError(state, "a whitespace character is expected after the key-value separator within a block mapping");
              }
              if (atExplicitKey) {
                storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
                keyTag = keyNode = valueNode = null;
              }
              detected = true;
              atExplicitKey = false;
              allowCompact = false;
              keyTag = state.tag;
              keyNode = state.result;
            } else if (detected) {
              throwError(state, "can not read an implicit mapping pair; a colon is missed");
            } else {
              state.tag = _tag;
              state.anchor = _anchor;
              return true;
            }
          } else if (detected) {
            throwError(state, "can not read a block mapping entry; a multiline key may not be an implicit key");
          } else {
            state.tag = _tag;
            state.anchor = _anchor;
            return true;
          }
        } else {
          break;
        }
        if (state.line === _line || state.lineIndent > nodeIndent) {
          if (composeNode(state, nodeIndent, CONTEXT_BLOCK_OUT, true, allowCompact)) {
            if (atExplicitKey) {
              keyNode = state.result;
            } else {
              valueNode = state.result;
            }
          }
          if (!atExplicitKey) {
            storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, _line, _pos);
            keyTag = keyNode = valueNode = null;
          }
          skipSeparationSpace(state, true, -1);
          ch = state.input.charCodeAt(state.position);
        }
        if (state.lineIndent > nodeIndent && ch !== 0) {
          throwError(state, "bad indentation of a mapping entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (atExplicitKey) {
        storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "mapping";
        state.result = _result;
      }
      return detected;
    }
    function readTagProperty(state) {
      var _position, isVerbatim = false, isNamed = false, tagHandle, tagName, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 33)
        return false;
      if (state.tag !== null) {
        throwError(state, "duplication of a tag property");
      }
      ch = state.input.charCodeAt(++state.position);
      if (ch === 60) {
        isVerbatim = true;
        ch = state.input.charCodeAt(++state.position);
      } else if (ch === 33) {
        isNamed = true;
        tagHandle = "!!";
        ch = state.input.charCodeAt(++state.position);
      } else {
        tagHandle = "!";
      }
      _position = state.position;
      if (isVerbatim) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (ch !== 0 && ch !== 62);
        if (state.position < state.length) {
          tagName = state.input.slice(_position, state.position);
          ch = state.input.charCodeAt(++state.position);
        } else {
          throwError(state, "unexpected end of the stream within a verbatim tag");
        }
      } else {
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          if (ch === 33) {
            if (!isNamed) {
              tagHandle = state.input.slice(_position - 1, state.position + 1);
              if (!PATTERN_TAG_HANDLE.test(tagHandle)) {
                throwError(state, "named tag handle cannot contain such characters");
              }
              isNamed = true;
              _position = state.position + 1;
            } else {
              throwError(state, "tag suffix cannot contain exclamation marks");
            }
          }
          ch = state.input.charCodeAt(++state.position);
        }
        tagName = state.input.slice(_position, state.position);
        if (PATTERN_FLOW_INDICATORS.test(tagName)) {
          throwError(state, "tag suffix cannot contain flow indicator characters");
        }
      }
      if (tagName && !PATTERN_TAG_URI.test(tagName)) {
        throwError(state, "tag name cannot contain such characters: " + tagName);
      }
      if (isVerbatim) {
        state.tag = tagName;
      } else if (_hasOwnProperty.call(state.tagMap, tagHandle)) {
        state.tag = state.tagMap[tagHandle] + tagName;
      } else if (tagHandle === "!") {
        state.tag = "!" + tagName;
      } else if (tagHandle === "!!") {
        state.tag = "tag:yaml.org,2002:" + tagName;
      } else {
        throwError(state, 'undeclared tag handle "' + tagHandle + '"');
      }
      return true;
    }
    function readAnchorProperty(state) {
      var _position, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 38)
        return false;
      if (state.anchor !== null) {
        throwError(state, "duplication of an anchor property");
      }
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an anchor node must contain at least one character");
      }
      state.anchor = state.input.slice(_position, state.position);
      return true;
    }
    function readAlias(state) {
      var _position, alias, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 42)
        return false;
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an alias node must contain at least one character");
      }
      alias = state.input.slice(_position, state.position);
      if (!_hasOwnProperty.call(state.anchorMap, alias)) {
        throwError(state, 'unidentified alias "' + alias + '"');
      }
      state.result = state.anchorMap[alias];
      skipSeparationSpace(state, true, -1);
      return true;
    }
    function composeNode(state, parentIndent, nodeContext, allowToSeek, allowCompact) {
      var allowBlockStyles, allowBlockScalars, allowBlockCollections, indentStatus = 1, atNewLine = false, hasContent = false, typeIndex, typeQuantity, type, flowIndent, blockIndent;
      if (state.listener !== null) {
        state.listener("open", state);
      }
      state.tag = null;
      state.anchor = null;
      state.kind = null;
      state.result = null;
      allowBlockStyles = allowBlockScalars = allowBlockCollections = CONTEXT_BLOCK_OUT === nodeContext || CONTEXT_BLOCK_IN === nodeContext;
      if (allowToSeek) {
        if (skipSeparationSpace(state, true, -1)) {
          atNewLine = true;
          if (state.lineIndent > parentIndent) {
            indentStatus = 1;
          } else if (state.lineIndent === parentIndent) {
            indentStatus = 0;
          } else if (state.lineIndent < parentIndent) {
            indentStatus = -1;
          }
        }
      }
      if (indentStatus === 1) {
        while (readTagProperty(state) || readAnchorProperty(state)) {
          if (skipSeparationSpace(state, true, -1)) {
            atNewLine = true;
            allowBlockCollections = allowBlockStyles;
            if (state.lineIndent > parentIndent) {
              indentStatus = 1;
            } else if (state.lineIndent === parentIndent) {
              indentStatus = 0;
            } else if (state.lineIndent < parentIndent) {
              indentStatus = -1;
            }
          } else {
            allowBlockCollections = false;
          }
        }
      }
      if (allowBlockCollections) {
        allowBlockCollections = atNewLine || allowCompact;
      }
      if (indentStatus === 1 || CONTEXT_BLOCK_OUT === nodeContext) {
        if (CONTEXT_FLOW_IN === nodeContext || CONTEXT_FLOW_OUT === nodeContext) {
          flowIndent = parentIndent;
        } else {
          flowIndent = parentIndent + 1;
        }
        blockIndent = state.position - state.lineStart;
        if (indentStatus === 1) {
          if (allowBlockCollections && (readBlockSequence(state, blockIndent) || readBlockMapping(state, blockIndent, flowIndent)) || readFlowCollection(state, flowIndent)) {
            hasContent = true;
          } else {
            if (allowBlockScalars && readBlockScalar(state, flowIndent) || readSingleQuotedScalar(state, flowIndent) || readDoubleQuotedScalar(state, flowIndent)) {
              hasContent = true;
            } else if (readAlias(state)) {
              hasContent = true;
              if (state.tag !== null || state.anchor !== null) {
                throwError(state, "alias node should not have any properties");
              }
            } else if (readPlainScalar(state, flowIndent, CONTEXT_FLOW_IN === nodeContext)) {
              hasContent = true;
              if (state.tag === null) {
                state.tag = "?";
              }
            }
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else if (indentStatus === 0) {
          hasContent = allowBlockCollections && readBlockSequence(state, blockIndent);
        }
      }
      if (state.tag !== null && state.tag !== "!") {
        if (state.tag === "?") {
          if (state.result !== null && state.kind !== "scalar") {
            throwError(state, 'unacceptable node kind for !<?> tag; it should be "scalar", not "' + state.kind + '"');
          }
          for (typeIndex = 0, typeQuantity = state.implicitTypes.length; typeIndex < typeQuantity; typeIndex += 1) {
            type = state.implicitTypes[typeIndex];
            if (type.resolve(state.result)) {
              state.result = type.construct(state.result);
              state.tag = type.tag;
              if (state.anchor !== null) {
                state.anchorMap[state.anchor] = state.result;
              }
              break;
            }
          }
        } else if (_hasOwnProperty.call(state.typeMap[state.kind || "fallback"], state.tag)) {
          type = state.typeMap[state.kind || "fallback"][state.tag];
          if (state.result !== null && type.kind !== state.kind) {
            throwError(state, "unacceptable node kind for !<" + state.tag + '> tag; it should be "' + type.kind + '", not "' + state.kind + '"');
          }
          if (!type.resolve(state.result)) {
            throwError(state, "cannot resolve a node with !<" + state.tag + "> explicit tag");
          } else {
            state.result = type.construct(state.result);
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else {
          throwError(state, "unknown tag !<" + state.tag + ">");
        }
      }
      if (state.listener !== null) {
        state.listener("close", state);
      }
      return state.tag !== null || state.anchor !== null || hasContent;
    }
    function readDocument(state) {
      var documentStart = state.position, _position, directiveName, directiveArgs, hasDirectives = false, ch;
      state.version = null;
      state.checkLineBreaks = state.legacy;
      state.tagMap = {};
      state.anchorMap = {};
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if (state.lineIndent > 0 || ch !== 37) {
          break;
        }
        hasDirectives = true;
        ch = state.input.charCodeAt(++state.position);
        _position = state.position;
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        directiveName = state.input.slice(_position, state.position);
        directiveArgs = [];
        if (directiveName.length < 1) {
          throwError(state, "directive name must not be less than one character in length");
        }
        while (ch !== 0) {
          while (is_WHITE_SPACE(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          if (ch === 35) {
            do {
              ch = state.input.charCodeAt(++state.position);
            } while (ch !== 0 && !is_EOL(ch));
            break;
          }
          if (is_EOL(ch))
            break;
          _position = state.position;
          while (ch !== 0 && !is_WS_OR_EOL(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          directiveArgs.push(state.input.slice(_position, state.position));
        }
        if (ch !== 0)
          readLineBreak(state);
        if (_hasOwnProperty.call(directiveHandlers, directiveName)) {
          directiveHandlers[directiveName](state, directiveName, directiveArgs);
        } else {
          throwWarning(state, 'unknown document directive "' + directiveName + '"');
        }
      }
      skipSeparationSpace(state, true, -1);
      if (state.lineIndent === 0 && state.input.charCodeAt(state.position) === 45 && state.input.charCodeAt(state.position + 1) === 45 && state.input.charCodeAt(state.position + 2) === 45) {
        state.position += 3;
        skipSeparationSpace(state, true, -1);
      } else if (hasDirectives) {
        throwError(state, "directives end mark is expected");
      }
      composeNode(state, state.lineIndent - 1, CONTEXT_BLOCK_OUT, false, true);
      skipSeparationSpace(state, true, -1);
      if (state.checkLineBreaks && PATTERN_NON_ASCII_LINE_BREAKS.test(state.input.slice(documentStart, state.position))) {
        throwWarning(state, "non-ASCII line breaks are interpreted as content");
      }
      state.documents.push(state.result);
      if (state.position === state.lineStart && testDocumentSeparator(state)) {
        if (state.input.charCodeAt(state.position) === 46) {
          state.position += 3;
          skipSeparationSpace(state, true, -1);
        }
        return;
      }
      if (state.position < state.length - 1) {
        throwError(state, "end of the stream or a document separator is expected");
      } else {
        return;
      }
    }
    function loadDocuments(input, options) {
      input = String(input);
      options = options || {};
      if (input.length !== 0) {
        if (input.charCodeAt(input.length - 1) !== 10 && input.charCodeAt(input.length - 1) !== 13) {
          input += "\n";
        }
        if (input.charCodeAt(0) === 65279) {
          input = input.slice(1);
        }
      }
      var state = new State(input, options);
      var nullpos = input.indexOf("\0");
      if (nullpos !== -1) {
        state.position = nullpos;
        throwError(state, "null byte is not allowed in input");
      }
      state.input += "\0";
      while (state.input.charCodeAt(state.position) === 32) {
        state.lineIndent += 1;
        state.position += 1;
      }
      while (state.position < state.length - 1) {
        readDocument(state);
      }
      return state.documents;
    }
    function loadAll(input, iterator, options) {
      if (iterator !== null && typeof iterator === "object" && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      var documents = loadDocuments(input, options);
      if (typeof iterator !== "function") {
        return documents;
      }
      for (var index = 0, length = documents.length; index < length; index += 1) {
        iterator(documents[index]);
      }
    }
    function load(input, options) {
      var documents = loadDocuments(input, options);
      if (documents.length === 0) {
        return void 0;
      } else if (documents.length === 1) {
        return documents[0];
      }
      throw new YAMLException("expected a single document in the stream, but found more");
    }
    function safeLoadAll(input, iterator, options) {
      if (typeof iterator === "object" && iterator !== null && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      return loadAll(input, iterator, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    function safeLoad(input, options) {
      return load(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.loadAll = loadAll;
    module2.exports.load = load;
    module2.exports.safeLoadAll = safeLoadAll;
    module2.exports.safeLoad = safeLoad;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js
var require_dumper = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js"(exports2, module2) {
    "use strict";
    var common = require_common4();
    var YAMLException = require_exception();
    var DEFAULT_FULL_SCHEMA = require_default_full();
    var DEFAULT_SAFE_SCHEMA = require_default_safe();
    var _toString = Object.prototype.toString;
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CHAR_TAB = 9;
    var CHAR_LINE_FEED = 10;
    var CHAR_CARRIAGE_RETURN = 13;
    var CHAR_SPACE = 32;
    var CHAR_EXCLAMATION = 33;
    var CHAR_DOUBLE_QUOTE = 34;
    var CHAR_SHARP = 35;
    var CHAR_PERCENT = 37;
    var CHAR_AMPERSAND = 38;
    var CHAR_SINGLE_QUOTE = 39;
    var CHAR_ASTERISK = 42;
    var CHAR_COMMA2 = 44;
    var CHAR_MINUS = 45;
    var CHAR_COLON2 = 58;
    var CHAR_EQUALS2 = 61;
    var CHAR_GREATER_THAN = 62;
    var CHAR_QUESTION = 63;
    var CHAR_COMMERCIAL_AT = 64;
    var CHAR_LEFT_SQUARE_BRACKET = 91;
    var CHAR_RIGHT_SQUARE_BRACKET = 93;
    var CHAR_GRAVE_ACCENT = 96;
    var CHAR_LEFT_CURLY_BRACKET = 123;
    var CHAR_VERTICAL_LINE = 124;
    var CHAR_RIGHT_CURLY_BRACKET = 125;
    var ESCAPE_SEQUENCES = {};
    ESCAPE_SEQUENCES[0] = "\\0";
    ESCAPE_SEQUENCES[7] = "\\a";
    ESCAPE_SEQUENCES[8] = "\\b";
    ESCAPE_SEQUENCES[9] = "\\t";
    ESCAPE_SEQUENCES[10] = "\\n";
    ESCAPE_SEQUENCES[11] = "\\v";
    ESCAPE_SEQUENCES[12] = "\\f";
    ESCAPE_SEQUENCES[13] = "\\r";
    ESCAPE_SEQUENCES[27] = "\\e";
    ESCAPE_SEQUENCES[34] = '\\"';
    ESCAPE_SEQUENCES[92] = "\\\\";
    ESCAPE_SEQUENCES[133] = "\\N";
    ESCAPE_SEQUENCES[160] = "\\_";
    ESCAPE_SEQUENCES[8232] = "\\L";
    ESCAPE_SEQUENCES[8233] = "\\P";
    var DEPRECATED_BOOLEANS_SYNTAX = [
      "y",
      "Y",
      "yes",
      "Yes",
      "YES",
      "on",
      "On",
      "ON",
      "n",
      "N",
      "no",
      "No",
      "NO",
      "off",
      "Off",
      "OFF"
    ];
    function compileStyleMap(schema, map) {
      var result, keys, index, length, tag, style, type;
      if (map === null)
        return {};
      result = {};
      keys = Object.keys(map);
      for (index = 0, length = keys.length; index < length; index += 1) {
        tag = keys[index];
        style = String(map[tag]);
        if (tag.slice(0, 2) === "!!") {
          tag = "tag:yaml.org,2002:" + tag.slice(2);
        }
        type = schema.compiledTypeMap["fallback"][tag];
        if (type && _hasOwnProperty.call(type.styleAliases, style)) {
          style = type.styleAliases[style];
        }
        result[tag] = style;
      }
      return result;
    }
    function encodeHex(character) {
      var string, handle, length;
      string = character.toString(16).toUpperCase();
      if (character <= 255) {
        handle = "x";
        length = 2;
      } else if (character <= 65535) {
        handle = "u";
        length = 4;
      } else if (character <= 4294967295) {
        handle = "U";
        length = 8;
      } else {
        throw new YAMLException("code point within a string may not be greater than 0xFFFFFFFF");
      }
      return "\\" + handle + common.repeat("0", length - string.length) + string;
    }
    function State(options) {
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.indent = Math.max(1, options["indent"] || 2);
      this.noArrayIndent = options["noArrayIndent"] || false;
      this.skipInvalid = options["skipInvalid"] || false;
      this.flowLevel = common.isNothing(options["flowLevel"]) ? -1 : options["flowLevel"];
      this.styleMap = compileStyleMap(this.schema, options["styles"] || null);
      this.sortKeys = options["sortKeys"] || false;
      this.lineWidth = options["lineWidth"] || 80;
      this.noRefs = options["noRefs"] || false;
      this.noCompatMode = options["noCompatMode"] || false;
      this.condenseFlow = options["condenseFlow"] || false;
      this.implicitTypes = this.schema.compiledImplicit;
      this.explicitTypes = this.schema.compiledExplicit;
      this.tag = null;
      this.result = "";
      this.duplicates = [];
      this.usedDuplicates = null;
    }
    function indentString(string, spaces) {
      var ind = common.repeat(" ", spaces), position = 0, next = -1, result = "", line, length = string.length;
      while (position < length) {
        next = string.indexOf("\n", position);
        if (next === -1) {
          line = string.slice(position);
          position = length;
        } else {
          line = string.slice(position, next + 1);
          position = next + 1;
        }
        if (line.length && line !== "\n")
          result += ind;
        result += line;
      }
      return result;
    }
    function generateNextLine(state, level) {
      return "\n" + common.repeat(" ", state.indent * level);
    }
    function testImplicitResolving(state, str) {
      var index, length, type;
      for (index = 0, length = state.implicitTypes.length; index < length; index += 1) {
        type = state.implicitTypes[index];
        if (type.resolve(str)) {
          return true;
        }
      }
      return false;
    }
    function isWhitespace(c) {
      return c === CHAR_SPACE || c === CHAR_TAB;
    }
    function isPrintable(c) {
      return 32 <= c && c <= 126 || 161 <= c && c <= 55295 && c !== 8232 && c !== 8233 || 57344 <= c && c <= 65533 && c !== 65279 || 65536 <= c && c <= 1114111;
    }
    function isNsChar(c) {
      return isPrintable(c) && !isWhitespace(c) && c !== 65279 && c !== CHAR_CARRIAGE_RETURN && c !== CHAR_LINE_FEED;
    }
    function isPlainSafe(c, prev) {
      return isPrintable(c) && c !== 65279 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_COLON2 && (c !== CHAR_SHARP || prev && isNsChar(prev));
    }
    function isPlainSafeFirst(c) {
      return isPrintable(c) && c !== 65279 && !isWhitespace(c) && c !== CHAR_MINUS && c !== CHAR_QUESTION && c !== CHAR_COLON2 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_SHARP && c !== CHAR_AMPERSAND && c !== CHAR_ASTERISK && c !== CHAR_EXCLAMATION && c !== CHAR_VERTICAL_LINE && c !== CHAR_EQUALS2 && c !== CHAR_GREATER_THAN && c !== CHAR_SINGLE_QUOTE && c !== CHAR_DOUBLE_QUOTE && c !== CHAR_PERCENT && c !== CHAR_COMMERCIAL_AT && c !== CHAR_GRAVE_ACCENT;
    }
    function needIndentIndicator(string) {
      var leadingSpaceRe = /^\n* /;
      return leadingSpaceRe.test(string);
    }
    var STYLE_PLAIN = 1;
    var STYLE_SINGLE = 2;
    var STYLE_LITERAL = 3;
    var STYLE_FOLDED = 4;
    var STYLE_DOUBLE = 5;
    function chooseScalarStyle(string, singleLineOnly, indentPerLevel, lineWidth, testAmbiguousType) {
      var i;
      var char, prev_char;
      var hasLineBreak = false;
      var hasFoldableLine = false;
      var shouldTrackWidth = lineWidth !== -1;
      var previousLineBreak = -1;
      var plain = isPlainSafeFirst(string.charCodeAt(0)) && !isWhitespace(string.charCodeAt(string.length - 1));
      if (singleLineOnly) {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
      } else {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (char === CHAR_LINE_FEED) {
            hasLineBreak = true;
            if (shouldTrackWidth) {
              hasFoldableLine = hasFoldableLine || // Foldable line = too long, and not more-indented.
              i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ";
              previousLineBreak = i;
            }
          } else if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
        hasFoldableLine = hasFoldableLine || shouldTrackWidth && (i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ");
      }
      if (!hasLineBreak && !hasFoldableLine) {
        return plain && !testAmbiguousType(string) ? STYLE_PLAIN : STYLE_SINGLE;
      }
      if (indentPerLevel > 9 && needIndentIndicator(string)) {
        return STYLE_DOUBLE;
      }
      return hasFoldableLine ? STYLE_FOLDED : STYLE_LITERAL;
    }
    function writeScalar(state, string, level, iskey) {
      state.dump = function() {
        if (string.length === 0) {
          return "''";
        }
        if (!state.noCompatMode && DEPRECATED_BOOLEANS_SYNTAX.indexOf(string) !== -1) {
          return "'" + string + "'";
        }
        var indent = state.indent * Math.max(1, level);
        var lineWidth = state.lineWidth === -1 ? -1 : Math.max(Math.min(state.lineWidth, 40), state.lineWidth - indent);
        var singleLineOnly = iskey || state.flowLevel > -1 && level >= state.flowLevel;
        function testAmbiguity(string2) {
          return testImplicitResolving(state, string2);
        }
        switch (chooseScalarStyle(string, singleLineOnly, state.indent, lineWidth, testAmbiguity)) {
          case STYLE_PLAIN:
            return string;
          case STYLE_SINGLE:
            return "'" + string.replace(/'/g, "''") + "'";
          case STYLE_LITERAL:
            return "|" + blockHeader(string, state.indent) + dropEndingNewline(indentString(string, indent));
          case STYLE_FOLDED:
            return ">" + blockHeader(string, state.indent) + dropEndingNewline(indentString(foldString(string, lineWidth), indent));
          case STYLE_DOUBLE:
            return '"' + escapeString(string, lineWidth) + '"';
          default:
            throw new YAMLException("impossible error: invalid scalar style");
        }
      }();
    }
    function blockHeader(string, indentPerLevel) {
      var indentIndicator = needIndentIndicator(string) ? String(indentPerLevel) : "";
      var clip = string[string.length - 1] === "\n";
      var keep = clip && (string[string.length - 2] === "\n" || string === "\n");
      var chomp = keep ? "+" : clip ? "" : "-";
      return indentIndicator + chomp + "\n";
    }
    function dropEndingNewline(string) {
      return string[string.length - 1] === "\n" ? string.slice(0, -1) : string;
    }
    function foldString(string, width) {
      var lineRe = /(\n+)([^\n]*)/g;
      var result = function() {
        var nextLF = string.indexOf("\n");
        nextLF = nextLF !== -1 ? nextLF : string.length;
        lineRe.lastIndex = nextLF;
        return foldLine(string.slice(0, nextLF), width);
      }();
      var prevMoreIndented = string[0] === "\n" || string[0] === " ";
      var moreIndented;
      var match;
      while (match = lineRe.exec(string)) {
        var prefix = match[1], line = match[2];
        moreIndented = line[0] === " ";
        result += prefix + (!prevMoreIndented && !moreIndented && line !== "" ? "\n" : "") + foldLine(line, width);
        prevMoreIndented = moreIndented;
      }
      return result;
    }
    function foldLine(line, width) {
      if (line === "" || line[0] === " ")
        return line;
      var breakRe = / [^ ]/g;
      var match;
      var start = 0, end, curr = 0, next = 0;
      var result = "";
      while (match = breakRe.exec(line)) {
        next = match.index;
        if (next - start > width) {
          end = curr > start ? curr : next;
          result += "\n" + line.slice(start, end);
          start = end + 1;
        }
        curr = next;
      }
      result += "\n";
      if (line.length - start > width && curr > start) {
        result += line.slice(start, curr) + "\n" + line.slice(curr + 1);
      } else {
        result += line.slice(start);
      }
      return result.slice(1);
    }
    function escapeString(string) {
      var result = "";
      var char, nextChar;
      var escapeSeq;
      for (var i = 0; i < string.length; i++) {
        char = string.charCodeAt(i);
        if (char >= 55296 && char <= 56319) {
          nextChar = string.charCodeAt(i + 1);
          if (nextChar >= 56320 && nextChar <= 57343) {
            result += encodeHex((char - 55296) * 1024 + nextChar - 56320 + 65536);
            i++;
            continue;
          }
        }
        escapeSeq = ESCAPE_SEQUENCES[char];
        result += !escapeSeq && isPrintable(char) ? string[i] : escapeSeq || encodeHex(char);
      }
      return result;
    }
    function writeFlowSequence(state, level, object) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level, object[index], false, false)) {
          if (index !== 0)
            _result += "," + (!state.condenseFlow ? " " : "");
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = "[" + _result + "]";
    }
    function writeBlockSequence(state, level, object, compact) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level + 1, object[index], true, true)) {
          if (!compact || index !== 0) {
            _result += generateNextLine(state, level);
          }
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            _result += "-";
          } else {
            _result += "- ";
          }
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = _result || "[]";
    }
    function writeFlowMapping(state, level, object) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, pairBuffer;
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (index !== 0)
          pairBuffer += ", ";
        if (state.condenseFlow)
          pairBuffer += '"';
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level, objectKey, false, false)) {
          continue;
        }
        if (state.dump.length > 1024)
          pairBuffer += "? ";
        pairBuffer += state.dump + (state.condenseFlow ? '"' : "") + ":" + (state.condenseFlow ? "" : " ");
        if (!writeNode(state, level, objectValue, false, false)) {
          continue;
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = "{" + _result + "}";
    }
    function writeBlockMapping(state, level, object, compact) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, explicitPair, pairBuffer;
      if (state.sortKeys === true) {
        objectKeyList.sort();
      } else if (typeof state.sortKeys === "function") {
        objectKeyList.sort(state.sortKeys);
      } else if (state.sortKeys) {
        throw new YAMLException("sortKeys must be a boolean or a function");
      }
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (!compact || index !== 0) {
          pairBuffer += generateNextLine(state, level);
        }
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level + 1, objectKey, true, true, true)) {
          continue;
        }
        explicitPair = state.tag !== null && state.tag !== "?" || state.dump && state.dump.length > 1024;
        if (explicitPair) {
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            pairBuffer += "?";
          } else {
            pairBuffer += "? ";
          }
        }
        pairBuffer += state.dump;
        if (explicitPair) {
          pairBuffer += generateNextLine(state, level);
        }
        if (!writeNode(state, level + 1, objectValue, true, explicitPair)) {
          continue;
        }
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          pairBuffer += ":";
        } else {
          pairBuffer += ": ";
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = _result || "{}";
    }
    function detectType(state, object, explicit) {
      var _result, typeList, index, length, type, style;
      typeList = explicit ? state.explicitTypes : state.implicitTypes;
      for (index = 0, length = typeList.length; index < length; index += 1) {
        type = typeList[index];
        if ((type.instanceOf || type.predicate) && (!type.instanceOf || typeof object === "object" && object instanceof type.instanceOf) && (!type.predicate || type.predicate(object))) {
          state.tag = explicit ? type.tag : "?";
          if (type.represent) {
            style = state.styleMap[type.tag] || type.defaultStyle;
            if (_toString.call(type.represent) === "[object Function]") {
              _result = type.represent(object, style);
            } else if (_hasOwnProperty.call(type.represent, style)) {
              _result = type.represent[style](object, style);
            } else {
              throw new YAMLException("!<" + type.tag + '> tag resolver accepts not "' + style + '" style');
            }
            state.dump = _result;
          }
          return true;
        }
      }
      return false;
    }
    function writeNode(state, level, object, block, compact, iskey) {
      state.tag = null;
      state.dump = object;
      if (!detectType(state, object, false)) {
        detectType(state, object, true);
      }
      var type = _toString.call(state.dump);
      if (block) {
        block = state.flowLevel < 0 || state.flowLevel > level;
      }
      var objectOrArray = type === "[object Object]" || type === "[object Array]", duplicateIndex, duplicate;
      if (objectOrArray) {
        duplicateIndex = state.duplicates.indexOf(object);
        duplicate = duplicateIndex !== -1;
      }
      if (state.tag !== null && state.tag !== "?" || duplicate || state.indent !== 2 && level > 0) {
        compact = false;
      }
      if (duplicate && state.usedDuplicates[duplicateIndex]) {
        state.dump = "*ref_" + duplicateIndex;
      } else {
        if (objectOrArray && duplicate && !state.usedDuplicates[duplicateIndex]) {
          state.usedDuplicates[duplicateIndex] = true;
        }
        if (type === "[object Object]") {
          if (block && Object.keys(state.dump).length !== 0) {
            writeBlockMapping(state, level, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowMapping(state, level, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object Array]") {
          var arrayLevel = state.noArrayIndent && level > 0 ? level - 1 : level;
          if (block && state.dump.length !== 0) {
            writeBlockSequence(state, arrayLevel, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowSequence(state, arrayLevel, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object String]") {
          if (state.tag !== "?") {
            writeScalar(state, state.dump, level, iskey);
          }
        } else {
          if (state.skipInvalid)
            return false;
          throw new YAMLException("unacceptable kind of an object to dump " + type);
        }
        if (state.tag !== null && state.tag !== "?") {
          state.dump = "!<" + state.tag + "> " + state.dump;
        }
      }
      return true;
    }
    function getDuplicateReferences(object, state) {
      var objects = [], duplicatesIndexes = [], index, length;
      inspectNode(object, objects, duplicatesIndexes);
      for (index = 0, length = duplicatesIndexes.length; index < length; index += 1) {
        state.duplicates.push(objects[duplicatesIndexes[index]]);
      }
      state.usedDuplicates = new Array(length);
    }
    function inspectNode(object, objects, duplicatesIndexes) {
      var objectKeyList, index, length;
      if (object !== null && typeof object === "object") {
        index = objects.indexOf(object);
        if (index !== -1) {
          if (duplicatesIndexes.indexOf(index) === -1) {
            duplicatesIndexes.push(index);
          }
        } else {
          objects.push(object);
          if (Array.isArray(object)) {
            for (index = 0, length = object.length; index < length; index += 1) {
              inspectNode(object[index], objects, duplicatesIndexes);
            }
          } else {
            objectKeyList = Object.keys(object);
            for (index = 0, length = objectKeyList.length; index < length; index += 1) {
              inspectNode(object[objectKeyList[index]], objects, duplicatesIndexes);
            }
          }
        }
      }
    }
    function dump(input, options) {
      options = options || {};
      var state = new State(options);
      if (!state.noRefs)
        getDuplicateReferences(input, state);
      if (writeNode(state, 0, input, true, true))
        return state.dump + "\n";
      return "";
    }
    function safeDump(input, options) {
      return dump(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.dump = dump;
    module2.exports.safeDump = safeDump;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js
var require_js_yaml = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js"(exports2, module2) {
    "use strict";
    var loader = require_loader();
    var dumper = require_dumper();
    function deprecated(name) {
      return function() {
        throw new Error("Function " + name + " is deprecated and cannot be used.");
      };
    }
    module2.exports.Type = require_type();
    module2.exports.Schema = require_schema4();
    module2.exports.FAILSAFE_SCHEMA = require_failsafe();
    module2.exports.JSON_SCHEMA = require_json2();
    module2.exports.CORE_SCHEMA = require_core2();
    module2.exports.DEFAULT_SAFE_SCHEMA = require_default_safe();
    module2.exports.DEFAULT_FULL_SCHEMA = require_default_full();
    module2.exports.load = loader.load;
    module2.exports.loadAll = loader.loadAll;
    module2.exports.safeLoad = loader.safeLoad;
    module2.exports.safeLoadAll = loader.safeLoadAll;
    module2.exports.dump = dumper.dump;
    module2.exports.safeDump = dumper.safeDump;
    module2.exports.YAMLException = require_exception();
    module2.exports.MINIMAL_SCHEMA = require_failsafe();
    module2.exports.SAFE_SCHEMA = require_default_safe();
    module2.exports.DEFAULT_SCHEMA = require_default_full();
    module2.exports.scan = deprecated("scan");
    module2.exports.parse = deprecated("parse");
    module2.exports.compose = deprecated("compose");
    module2.exports.addConstructor = deprecated("addConstructor");
  }
});

// ../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/index.js
var require_js_yaml2 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/node_modules/js-yaml/index.js"(exports2, module2) {
    "use strict";
    var yaml = require_js_yaml();
    module2.exports = yaml;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/YAMLReader.js
var require_YAMLReader = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/YAMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader();
    var BaseReader_1 = require_BaseReader();
    var js_yaml_1 = require_js_yaml2();
    var YAMLReader = (
      /** @class */
      function(_super) {
        __extends(YAMLReader2, _super);
        function YAMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        YAMLReader2.prototype._parse = function(node, str) {
          var result = js_yaml_1.safeLoad(str);
          if (result === void 0) {
            throw new Error("Unable to parse YAML document.");
          }
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, result);
        };
        return YAMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.YAMLReader = YAMLReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/readers/index.js
var require_readers = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/readers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLReader_1 = require_XMLReader();
    exports2.XMLReader = XMLReader_1.XMLReader;
    var ObjectReader_1 = require_ObjectReader();
    exports2.ObjectReader = ObjectReader_1.ObjectReader;
    var JSONReader_1 = require_JSONReader();
    exports2.JSONReader = JSONReader_1.JSONReader;
    var YAMLReader_1 = require_YAMLReader();
    exports2.YAMLReader = YAMLReader_1.YAMLReader;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js
var require_XMLBuilderImpl = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces();
    var util_1 = require_lib();
    var writers_1 = require_writers();
    var interfaces_2 = require_interfaces2();
    var util_2 = require_util4();
    var algorithm_1 = require_algorithm();
    var dom_1 = require_dom2();
    var infra_1 = require_lib2();
    var readers_1 = require_readers();
    var XMLBuilderImpl = (
      /** @class */
      function() {
        function XMLBuilderImpl2(domNode) {
          this._domNode = domNode;
        }
        Object.defineProperty(XMLBuilderImpl2.prototype, "node", {
          /** @inheritdoc */
          get: function() {
            return this._domNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(XMLBuilderImpl2.prototype, "options", {
          /** @inheritdoc */
          get: function() {
            return this._options;
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype.set = function(options) {
          this._options = util_1.applyDefaults(
            util_1.applyDefaults(this._options, options, true),
            // apply user settings
            interfaces_1.DefaultBuilderOptions
          );
          return this;
        };
        XMLBuilderImpl2.prototype.ele = function(p1, p2, p3) {
          var _a, _b, _c;
          var namespace;
          var name;
          var attributes;
          if (util_1.isObject(p1)) {
            return new readers_1.ObjectReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*</.test(p1)) {
            return new readers_1.XMLReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*[\{\[]/.test(p1)) {
            return new readers_1.JSONReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^(\s*|(#.*)|(%.*))*---/.test(p1)) {
            return new readers_1.YAMLReader(this._options).parse(this, p1);
          }
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2)) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], attributes = _a[2];
          } else if (p1 !== null) {
            _b = __read([void 0, p1, util_1.isObject(p2) ? p2 : void 0], 3), namespace = _b[0], name = _b[1], attributes = _b[2];
          } else {
            throw new Error("Element name cannot be null. " + this._debugInfo());
          }
          if (attributes) {
            attributes = util_1.getValue(attributes);
          }
          _c = __read(this._extractNamespace(dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement), dom_1.sanitizeInput(name, this._options.invalidCharReplacement), true), 2), namespace = _c[0], name = _c[1];
          if (namespace === void 0) {
            var _d = __read(algorithm_1.namespace_extractQName(name), 1), prefix = _d[0];
            namespace = this.node.lookupNamespaceURI(prefix);
          }
          var childNode = namespace !== void 0 && namespace !== null ? this._doc.createElementNS(namespace, name) : this._doc.createElement(name);
          this.node.appendChild(childNode);
          var builder = new XMLBuilderImpl2(childNode);
          var oldDocType = this._doc.doctype;
          if (childNode === this._doc.documentElement && oldDocType !== null) {
            var docType = this._doc.implementation.createDocumentType(this._doc.documentElement.tagName, oldDocType.publicId, oldDocType.systemId);
            this._doc.replaceChild(docType, oldDocType);
          }
          if (attributes && !util_1.isEmpty(attributes)) {
            builder.att(attributes);
          }
          return builder;
        };
        XMLBuilderImpl2.prototype.remove = function() {
          var parent = this.up();
          parent.node.removeChild(this.node);
          return parent;
        };
        XMLBuilderImpl2.prototype.att = function(p1, p2, p3) {
          var _a, _b, _c;
          var _this = this;
          if (util_1.isMap(p1) || util_1.isObject(p1)) {
            util_1.forEachObject(p1, function(attName, attValue) {
              return _this.att(attName, attValue);
            }, this);
            return this;
          }
          if (p1 !== void 0 && p1 !== null)
            p1 = util_1.getValue(p1 + "");
          if (p2 !== void 0 && p2 !== null)
            p2 = util_1.getValue(p2 + "");
          if (p3 !== void 0 && p3 !== null)
            p3 = util_1.getValue(p3 + "");
          var namespace;
          var name;
          var value;
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2) && (p3 === null || util_1.isString(p3))) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], value = _a[2];
          } else if (util_1.isString(p1) && (p2 == null || util_1.isString(p2))) {
            _b = __read([void 0, p1, p2], 3), namespace = _b[0], name = _b[1], value = _b[2];
          } else {
            throw new Error("Attribute name and value not specified. " + this._debugInfo());
          }
          if (this._options.keepNullAttributes && value == null) {
            value = "";
          } else if (value == null) {
            return this;
          }
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be assigned to an element node.");
          }
          var ele = this.node;
          _c = __read(this._extractNamespace(namespace, name, false), 2), namespace = _c[0], name = _c[1];
          name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
          namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
          value = dom_1.sanitizeInput(value, this._options.invalidCharReplacement);
          var _d = __read(algorithm_1.namespace_extractQName(name), 2), prefix = _d[0], localName = _d[1];
          var _e = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 1), elePrefix = _e[0];
          var eleNamespace = null;
          if (prefix === "xmlns") {
            namespace = infra_1.namespace.XMLNS;
            if (ele.namespaceURI === null && elePrefix === localName) {
              eleNamespace = value;
            }
          } else if (prefix === null && localName === "xmlns" && elePrefix === null) {
            namespace = infra_1.namespace.XMLNS;
            eleNamespace = value;
          }
          if (eleNamespace !== null) {
            this._updateNamespace(eleNamespace);
            ele = this.node;
          }
          if (namespace !== void 0) {
            ele.setAttributeNS(namespace, name, value);
          } else {
            ele.setAttribute(name, value);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.removeAtt = function(p1, p2) {
          var _this = this;
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be removed from an element node.");
          }
          p1 = util_1.getValue(p1);
          if (p2 !== void 0) {
            p2 = util_1.getValue(p2);
          }
          var namespace;
          var name;
          if (p1 !== null && p2 === void 0) {
            name = p1;
          } else if ((p1 === null || util_1.isString(p1)) && p2 !== void 0) {
            namespace = p1;
            name = p2;
          } else {
            throw new Error("Attribute namespace must be a string. " + this._debugInfo());
          }
          if (util_1.isArray(name) || util_1.isSet(name)) {
            util_1.forEachArray(name, function(attName) {
              return namespace === void 0 ? _this.removeAtt(attName) : _this.removeAtt(namespace, attName);
            }, this);
          } else if (namespace !== void 0) {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
            this.node.removeAttributeNS(namespace, name);
          } else {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            this.node.removeAttribute(name);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.txt = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createTextNode(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.com = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createComment(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.dat = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createCDATASection(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.ins = function(target, content) {
          var _this = this;
          if (content === void 0) {
            content = "";
          }
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          if (util_1.isArray(target) || util_1.isSet(target)) {
            util_1.forEachArray(target, function(item) {
              item += "";
              var insIndex = item.indexOf(" ");
              var insTarget = insIndex === -1 ? item : item.substr(0, insIndex);
              var insValue = insIndex === -1 ? "" : item.substr(insIndex + 1);
              _this.ins(insTarget, insValue);
            }, this);
          } else if (util_1.isMap(target) || util_1.isObject(target)) {
            util_1.forEachObject(target, function(insTarget, insValue) {
              return _this.ins(insTarget, insValue);
            }, this);
          } else {
            var child = this._doc.createProcessingInstruction(dom_1.sanitizeInput(target, this._options.invalidCharReplacement), dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
            this.node.appendChild(child);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.dec = function(options) {
          this._options.version = options.version || "1.0";
          this._options.encoding = options.encoding;
          this._options.standalone = options.standalone;
          return this;
        };
        XMLBuilderImpl2.prototype.dtd = function(options) {
          var name = dom_1.sanitizeInput(options && options.name || (this._doc.documentElement ? this._doc.documentElement.tagName : "ROOT"), this._options.invalidCharReplacement);
          var pubID = dom_1.sanitizeInput(options && options.pubID || "", this._options.invalidCharReplacement);
          var sysID = dom_1.sanitizeInput(options && options.sysID || "", this._options.invalidCharReplacement);
          if (this._doc.documentElement !== null && name !== this._doc.documentElement.tagName) {
            throw new Error("DocType name does not match document element name.");
          }
          var docType = this._doc.implementation.createDocumentType(name, pubID, sysID);
          if (this._doc.doctype !== null) {
            this._doc.replaceChild(docType, this._doc.doctype);
          } else {
            this._doc.insertBefore(docType, this._doc.documentElement);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.import = function(node) {
          var e_1, _a;
          var hostNode = this._domNode;
          var hostDoc = this._doc;
          var importedNode = node.node;
          if (util_2.Guard.isDocumentNode(importedNode)) {
            var elementNode = importedNode.documentElement;
            if (elementNode === null) {
              throw new Error("Imported document has no document element node. " + this._debugInfo());
            }
            var clone = hostDoc.importNode(elementNode, true);
            hostNode.appendChild(clone);
            var _b = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _b[0];
            var namespace = hostNode.lookupNamespaceURI(prefix);
            new XMLBuilderImpl2(clone)._updateNamespace(namespace);
          } else if (util_2.Guard.isDocumentFragmentNode(importedNode)) {
            try {
              for (var _c = __values(importedNode.childNodes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var childNode = _d.value;
                var clone = hostDoc.importNode(childNode, true);
                hostNode.appendChild(clone);
                if (util_2.Guard.isElementNode(clone)) {
                  var _e = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _e[0];
                  var namespace = hostNode.lookupNamespaceURI(prefix);
                  new XMLBuilderImpl2(clone)._updateNamespace(namespace);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var clone = hostDoc.importNode(importedNode, true);
            hostNode.appendChild(clone);
            if (util_2.Guard.isElementNode(clone)) {
              var _f = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _f[0];
              var namespace = hostNode.lookupNamespaceURI(prefix);
              new XMLBuilderImpl2(clone)._updateNamespace(namespace);
            }
          }
          return this;
        };
        XMLBuilderImpl2.prototype.doc = function() {
          if (this._doc._isFragment) {
            var node = this.node;
            while (node && node.nodeType !== interfaces_2.NodeType.DocumentFragment) {
              node = node.parentNode;
            }
            if (node === null) {
              throw new Error("Node has no parent node while searching for document fragment ancestor. " + this._debugInfo());
            }
            return new XMLBuilderImpl2(node);
          } else {
            return new XMLBuilderImpl2(this._doc);
          }
        };
        XMLBuilderImpl2.prototype.root = function() {
          var ele = this._doc.documentElement;
          if (!ele) {
            throw new Error("Document root element is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(ele);
        };
        XMLBuilderImpl2.prototype.up = function() {
          var parent = this._domNode.parentNode;
          if (!parent) {
            throw new Error("Parent node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(parent);
        };
        XMLBuilderImpl2.prototype.prev = function() {
          var node = this._domNode.previousSibling;
          if (!node) {
            throw new Error("Previous sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.next = function() {
          var node = this._domNode.nextSibling;
          if (!node) {
            throw new Error("Next sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.first = function() {
          var node = this._domNode.firstChild;
          if (!node) {
            throw new Error("First child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.last = function() {
          var node = this._domNode.lastChild;
          if (!node) {
            throw new Error("Last child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.each = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var nextResult = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
            callback.call(thisArg, new XMLBuilderImpl2(result[0]), result[1], result[2]);
            result = nextResult;
          }
          return this;
        };
        XMLBuilderImpl2.prototype.map = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            return result.push(callback.call(thisArg, node, index, level));
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.reduce = function(callback, initialValue, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var value = initialValue;
          this.each(function(node, index, level) {
            return value = callback.call(thisArg, value, node, index, level);
          }, self2, recursive);
          return value;
        };
        XMLBuilderImpl2.prototype.find = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return builder;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return void 0;
        };
        XMLBuilderImpl2.prototype.filter = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            if (predicate.call(thisArg, node, index, level)) {
              result.push(node);
            }
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.every = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (!predicate.call(thisArg, builder, result[1], result[2])) {
              return false;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return true;
        };
        XMLBuilderImpl2.prototype.some = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return true;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return false;
        };
        XMLBuilderImpl2.prototype.toArray = function(self2, recursive) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node) {
            return result.push(node);
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.toString = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.toObject = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "object";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.end = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this.doc()._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype._getFirstDescendantNode = function(root, self2, recursive) {
          if (self2)
            return [this._domNode, 0, 0];
          else if (recursive)
            return this._getNextDescendantNode(root, root, recursive, 0, 0);
          else
            return [this._domNode.firstChild, 0, 1];
        };
        XMLBuilderImpl2.prototype._getNextDescendantNode = function(root, node, recursive, index, level) {
          if (recursive) {
            if (node.firstChild)
              return [node.firstChild, 0, level + 1];
            if (node === root)
              return [null, -1, -1];
            if (node.nextSibling)
              return [node.nextSibling, index + 1, level];
            var parent = node.parentNode;
            while (parent && parent !== root) {
              if (parent.nextSibling)
                return [parent.nextSibling, algorithm_1.tree_index(parent.nextSibling), level - 1];
              parent = parent.parentNode;
              level--;
            }
          } else {
            if (root === node)
              return [node.firstChild, 0, level + 1];
            else
              return [node.nextSibling, index + 1, level];
          }
          return [null, -1, -1];
        };
        XMLBuilderImpl2.prototype._serialize = function(writerOptions) {
          if (writerOptions.format === "xml") {
            var writer = new writers_1.XMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "map") {
            var writer = new writers_1.MapWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "object") {
            var writer = new writers_1.ObjectWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "json") {
            var writer = new writers_1.JSONWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "yaml") {
            var writer = new writers_1.YAMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else {
            throw new Error("Invalid writer format: " + writerOptions.format + ". " + this._debugInfo());
          }
        };
        XMLBuilderImpl2.prototype._extractNamespace = function(namespace, name, ele) {
          var atIndex = name.indexOf("@");
          if (atIndex > 0) {
            if (namespace === void 0)
              namespace = name.slice(atIndex + 1);
            name = name.slice(0, atIndex);
          }
          if (namespace === void 0) {
            namespace = ele ? this._options.defaultNamespace.ele : this._options.defaultNamespace.att;
          } else if (namespace !== null && namespace[0] === "@") {
            var alias = namespace.slice(1);
            namespace = this._options.namespaceAlias[alias];
            if (namespace === void 0) {
              throw new Error("Namespace alias `" + alias + "` is not defined. " + this._debugInfo());
            }
          }
          return [namespace, name];
        };
        XMLBuilderImpl2.prototype._updateNamespace = function(ns) {
          var e_2, _a, e_3, _b;
          var ele = this._domNode;
          if (util_2.Guard.isElementNode(ele) && ns !== null && ele.namespaceURI !== ns) {
            var _c = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 2), elePrefix = _c[0], eleLocalName = _c[1];
            var newEle = algorithm_1.create_element(this._doc, eleLocalName, ns, elePrefix);
            try {
              for (var _d = __values(ele.attributes), _e = _d.next(); !_e.done; _e = _d.next()) {
                var attr = _e.value;
                var attrQName = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                var _f = __read(algorithm_1.namespace_extractQName(attrQName), 1), attrPrefix = _f[0];
                var newAttrNS = attr.namespaceURI;
                if (newAttrNS === null && attrPrefix !== null) {
                  newAttrNS = ele.lookupNamespaceURI(attrPrefix);
                }
                if (newAttrNS === null) {
                  newEle.setAttribute(attrQName, attr.value);
                } else {
                  newEle.setAttributeNS(newAttrNS, attrQName, attr.value);
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            var parent = ele.parentNode;
            if (parent === null) {
              throw new Error("Parent node is null." + this._debugInfo());
            }
            parent.replaceChild(newEle, ele);
            this._domNode = newEle;
            try {
              for (var _g = __values(ele.childNodes), _h = _g.next(); !_h.done; _h = _g.next()) {
                var childNode = _h.value;
                var newChildNode = childNode.cloneNode(true);
                newEle.appendChild(newChildNode);
                if (util_2.Guard.isElementNode(newChildNode)) {
                  var _j = __read(algorithm_1.namespace_extractQName(newChildNode.prefix ? newChildNode.prefix + ":" + newChildNode.localName : newChildNode.localName), 1), newChildNodePrefix = _j[0];
                  var newChildNodeNS = newEle.lookupNamespaceURI(newChildNodePrefix);
                  new XMLBuilderImpl2(newChildNode)._updateNamespace(newChildNodeNS);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_doc", {
          /**
           * Returns the document owning this node.
           */
          get: function() {
            var node = this.node;
            if (util_2.Guard.isDocumentNode(node)) {
              return node;
            } else {
              var docNode = node.ownerDocument;
              if (!docNode)
                throw new Error("Owner document is null. " + this._debugInfo());
              return docNode;
            }
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype._debugInfo = function(name) {
          var node = this.node;
          var parentNode = node.parentNode;
          name = name || node.nodeName;
          var parentName = parentNode ? parentNode.nodeName : "";
          if (!parentName) {
            return "node: <" + name + ">";
          } else {
            return "node: <" + name + ">, parent: <" + parentName + ">";
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_options", {
          /**
           * Gets or sets builder options.
           */
          get: function() {
            var doc = this._doc;
            if (doc._xmlBuilderOptions === void 0) {
              throw new Error("Builder options is not set.");
            }
            return doc._xmlBuilderOptions;
          },
          set: function(value) {
            var doc = this._doc;
            doc._xmlBuilderOptions = value;
          },
          enumerable: true,
          configurable: true
        });
        return XMLBuilderImpl2;
      }()
    );
    exports2.XMLBuilderImpl = XMLBuilderImpl;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js
var require_BuilderFunctions = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces();
    var util_1 = require_lib();
    var util_2 = require_util4();
    var _1 = require_builder();
    var dom_1 = require_dom2();
    function builder(p1, p2) {
      var options = formatBuilderOptions(isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var nodes = util_2.Guard.isNode(p1) || util_1.isArray(p1) ? p1 : p2;
      if (nodes === void 0) {
        throw new Error("Invalid arguments.");
      }
      if (util_1.isArray(nodes)) {
        var builders = [];
        for (var i = 0; i < nodes.length; i++) {
          var builder_1 = new _1.XMLBuilderImpl(nodes[i]);
          builder_1.set(options);
          builders.push(builder_1);
        }
        return builders;
      } else {
        var builder_2 = new _1.XMLBuilderImpl(nodes);
        builder_2.set(options);
        return builder_2;
      }
    }
    exports2.builder = builder;
    function create(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options);
      var builder2 = new _1.XMLBuilderImpl(doc);
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.create = create;
    function fragment(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options, true);
      var builder2 = new _1.XMLBuilderImpl(doc.createDocumentFragment());
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.fragment = fragment;
    function convert(p1, p2, p3) {
      var builderOptions;
      var contents;
      var convertOptions;
      if (isXMLBuilderCreateOptions(p1) && p2 !== void 0) {
        builderOptions = p1;
        contents = p2;
        convertOptions = p3;
      } else {
        builderOptions = interfaces_1.DefaultBuilderOptions;
        contents = p1;
        convertOptions = p2 || void 0;
      }
      return create(builderOptions, contents).end(convertOptions);
    }
    exports2.convert = convert;
    function isXMLBuilderCreateOptions(obj) {
      if (!util_1.isPlainObject(obj))
        return false;
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          if (!interfaces_1.XMLBuilderOptionKeys.has(key))
            return false;
        }
      }
      return true;
    }
    function formatBuilderOptions(createOptions) {
      if (createOptions === void 0) {
        createOptions = {};
      }
      var options = util_1.applyDefaults(createOptions, interfaces_1.DefaultBuilderOptions);
      if (options.convert.att.length === 0 || options.convert.ins.length === 0 || options.convert.text.length === 0 || options.convert.cdata.length === 0 || options.convert.comment.length === 0) {
        throw new Error("JS object converter strings cannot be zero length.");
      }
      return options;
    }
    function setOptions(doc, options, isFragment) {
      var docWithSettings = doc;
      docWithSettings._xmlBuilderOptions = options;
      docWithSettings._isFragment = isFragment;
    }
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js
var require_BaseCBWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter = (
      /** @class */
      function() {
        function BaseCBWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
          this._writerOptions = builderOptions;
        }
        return BaseCBWriter2;
      }()
    );
    exports2.BaseCBWriter = BaseCBWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js
var require_XMLCBWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter();
    var XMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(XMLCBWriter2, _super);
        function XMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._lineLength = 0;
          return _this;
        }
        XMLCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        XMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          var markup = this._beginLine() + "<?xml";
          markup += ' version="' + version + '"';
          if (encoding !== void 0) {
            markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          markup += "?>";
          return markup;
        };
        XMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          var markup = this._beginLine();
          if (publicId && systemId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            markup += "<!DOCTYPE " + name + ">";
          }
          return markup;
        };
        XMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + "<!--" + data + "-->";
        };
        XMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + data;
        };
        XMLCBWriter2.prototype.instruction = function(target, data) {
          if (data) {
            return this._beginLine() + "<?" + target + " " + data + "?>";
          } else {
            return this._beginLine() + "<?" + target + "?>";
          }
        };
        XMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + "<![CDATA[" + data + "]]>";
        };
        XMLCBWriter2.prototype.openTagBegin = function(name) {
          this._lineLength += 1 + name.length;
          return this._beginLine() + "<" + name;
        };
        XMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (voidElement) {
            return " />";
          } else if (selfClosing) {
            if (this._writerOptions.allowEmptyTags) {
              return "></" + name + ">";
            } else if (this._writerOptions.spaceBeforeSlash) {
              return " />";
            } else {
              return "/>";
            }
          } else {
            return ">";
          }
        };
        XMLCBWriter2.prototype.closeTag = function(name) {
          return this._beginLine() + "</" + name + ">";
        };
        XMLCBWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._lineLength + 1 + str.length > this._writerOptions.width) {
            str = this._beginLine() + this._indent(1) + str;
            this._lineLength = str.length;
            return str;
          } else {
            this._lineLength += 1 + str.length;
            return " " + str;
          }
        };
        XMLCBWriter2.prototype.beginElement = function(name) {
        };
        XMLCBWriter2.prototype.endElement = function(name) {
        };
        XMLCBWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint) {
            var str = (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level);
            this._lineLength = str.length;
            return str;
          } else {
            return "";
          }
        };
        XMLCBWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level);
          }
        };
        return XMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.XMLCBWriter = XMLCBWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js
var require_JSONCBWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter();
    var JSONCBWriter = (
      /** @class */
      function(_super) {
        __extends(JSONCBWriter2, _super);
        function JSONCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._hasChildren = [];
          _this._additionalLevel = 0;
          return _this;
        }
        JSONCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        JSONCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        JSONCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        JSONCBWriter2.prototype.comment = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.comment) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.text = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.text) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.instruction = function(target, data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.ins) + this._sep() + this._val(data ? target + " " + data : target) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.cdata = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.cdata) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.attribute = function(name, value) {
          return this._comma() + this._beginLine(1) + "{" + this._sep() + this._key(this._builderOptions.convert.att + name) + this._sep() + this._val(value) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._comma() + this._beginLine() + "{" + this._sep() + this._key(name) + this._sep() + "{";
          this._additionalLevel++;
          this.hasData = true;
          str += this._beginLine() + this._key(this._builderOptions.convert.text) + this._sep() + "[";
          this._hasChildren.push(false);
          return str;
        };
        JSONCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            var str = this._sep() + "]";
            this._additionalLevel--;
            str += this._beginLine() + "}" + this._sep() + "}";
            return str;
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype.closeTag = function(name) {
          var str = this._beginLine() + "]";
          this._additionalLevel--;
          str += this._beginLine() + "}" + this._sep() + "}";
          return str;
        };
        JSONCBWriter2.prototype.beginElement = function(name) {
        };
        JSONCBWriter2.prototype.endElement = function(name) {
          this._hasChildren.pop();
        };
        JSONCBWriter2.prototype._beginLine = function(additionalOffset) {
          if (additionalOffset === void 0) {
            additionalOffset = 0;
          }
          if (this._writerOptions.prettyPrint) {
            return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level + additionalOffset);
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype._indent = function(level) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level + this._additionalLevel);
          }
        };
        JSONCBWriter2.prototype._comma = function() {
          var str = this._hasChildren[this._hasChildren.length - 1] ? "," : "";
          if (this._hasChildren.length > 0) {
            this._hasChildren[this._hasChildren.length - 1] = true;
          }
          return str;
        };
        JSONCBWriter2.prototype._sep = function() {
          return this._writerOptions.prettyPrint ? " " : "";
        };
        JSONCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return JSONCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.JSONCBWriter = JSONCBWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js
var require_YAMLCBWriter = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter();
    var YAMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLCBWriter2, _super);
        function YAMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._rootWritten = false;
          _this._additionalLevel = 0;
          if (builderOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (builderOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLCBWriter2.prototype.frontMatter = function() {
          return this._beginLine() + "---";
        };
        YAMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        YAMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        YAMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.comment) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.text) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.instruction = function(target, data) {
          return this._beginLine() + this._key(this._builderOptions.convert.ins) + " " + this._val(data ? target + " " + data : target);
        };
        YAMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.cdata) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.attribute = function(name, value) {
          this._additionalLevel++;
          var str = this._beginLine() + this._key(this._builderOptions.convert.att + name) + " " + this._val(value);
          this._additionalLevel--;
          return str;
        };
        YAMLCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._beginLine() + this._key(name);
          if (!this._rootWritten) {
            this._rootWritten = true;
          }
          this.hasData = true;
          this._additionalLevel++;
          str += this._beginLine(true) + this._key(this._builderOptions.convert.text);
          return str;
        };
        YAMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            return " " + this._val("");
          }
          return "";
        };
        YAMLCBWriter2.prototype.closeTag = function(name) {
          this._additionalLevel--;
          return "";
        };
        YAMLCBWriter2.prototype.beginElement = function(name) {
        };
        YAMLCBWriter2.prototype.endElement = function(name) {
        };
        YAMLCBWriter2.prototype._beginLine = function(suppressArray) {
          if (suppressArray === void 0) {
            suppressArray = false;
          }
          return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level, suppressArray);
        };
        YAMLCBWriter2.prototype._indent = function(level, suppressArray) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            var chars = this._writerOptions.indent.repeat(level + this._additionalLevel);
            if (!suppressArray && this._rootWritten) {
              return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
            }
            return chars;
          }
        };
        YAMLCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.YAMLCBWriter = YAMLCBWriter;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js
var require_XMLBuilderCBImpl = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces();
    var util_1 = require_lib();
    var BuilderFunctions_1 = require_BuilderFunctions();
    var algorithm_1 = require_algorithm();
    var infra_1 = require_lib2();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap();
    var LocalNameSet_1 = require_LocalNameSet();
    var util_2 = require_util4();
    var XMLCBWriter_1 = require_XMLCBWriter();
    var JSONCBWriter_1 = require_JSONCBWriter();
    var YAMLCBWriter_1 = require_YAMLCBWriter();
    var events_1 = require("events");
    var XMLBuilderCBImpl = (
      /** @class */
      function(_super) {
        __extends(XMLBuilderCBImpl2, _super);
        function XMLBuilderCBImpl2(options, fragment) {
          if (fragment === void 0) {
            fragment = false;
          }
          var _this = _super.call(this) || this;
          _this._hasDeclaration = false;
          _this._docTypeName = "";
          _this._hasDocumentElement = false;
          _this._currentElementSerialized = false;
          _this._openTags = [];
          _this._ended = false;
          _this._fragment = fragment;
          _this._options = util_1.applyDefaults(options || {}, interfaces_1.DefaultXMLBuilderCBOptions);
          _this._builderOptions = {
            defaultNamespace: _this._options.defaultNamespace,
            namespaceAlias: _this._options.namespaceAlias
          };
          if (_this._options.format === "json") {
            _this._writer = new JSONCBWriter_1.JSONCBWriter(_this._options);
          } else if (_this._options.format === "yaml") {
            _this._writer = new YAMLCBWriter_1.YAMLCBWriter(_this._options);
          } else {
            _this._writer = new XMLCBWriter_1.XMLCBWriter(_this._options);
          }
          if (_this._options.data !== void 0) {
            _this.on("data", _this._options.data);
          }
          if (_this._options.end !== void 0) {
            _this.on("end", _this._options.end);
          }
          if (_this._options.error !== void 0) {
            _this.on("error", _this._options.error);
          }
          _this._prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
          _this._prefixMap.set("xml", infra_1.namespace.XML);
          _this._prefixIndex = { value: 1 };
          _this._push(_this._writer.frontMatter());
          return _this;
        }
        XMLBuilderCBImpl2.prototype.ele = function(p1, p2, p3) {
          var e_1, _a;
          if (util_1.isObject(p1) || util_1.isString(p1) && (/^\s*</.test(p1) || /^\s*[\{\[]/.test(p1) || /^(\s*|(#.*)|(%.*))*---/.test(p1))) {
            var frag = BuilderFunctions_1.fragment().set(this._options);
            try {
              frag.ele(p1);
            } catch (err) {
              this.emit("error", err);
              return this;
            }
            try {
              for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                this._fromNode(node);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return this;
          }
          this._serializeOpenTag(true);
          if (!this._fragment && this._hasDocumentElement && this._writer.level === 0) {
            this.emit("error", new Error("Document cannot have multiple document element nodes."));
            return this;
          }
          try {
            this._currentElement = BuilderFunctions_1.fragment(this._builderOptions).ele(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (!this._fragment && !this._hasDocumentElement && this._docTypeName !== "" && this._currentElement.node._qualifiedName !== this._docTypeName) {
            this.emit("error", new Error("Document element name does not match DocType declaration name."));
            return this;
          }
          this._currentElementSerialized = false;
          if (!this._fragment) {
            this._hasDocumentElement = true;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.att = function(p1, p2, p3) {
          if (this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert an attribute node as child of a document node."));
            return this;
          }
          try {
            this._currentElement.att(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.com = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).com(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            this.emit("error", new Error("Comment data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.comment(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.txt = function(content) {
          if (!this._fragment && this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert a text node as child of a document node."));
            return this;
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).txt(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", new Error("Text data contains invalid characters (well-formed required)."));
            return this;
          }
          var markup = node.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this._push(this._writer.text(markup));
          return this;
        };
        XMLBuilderCBImpl2.prototype.ins = function(target, content) {
          if (content === void 0) {
            content = "";
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).ins(target, content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            this.emit("error", new Error("Processing instruction target contains invalid characters (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", Error("Processing instruction data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.instruction(node.target, node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dat = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).dat(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          this._push(this._writer.cdata(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dec = function(options) {
          if (options === void 0) {
            options = { version: "1.0" };
          }
          if (this._fragment) {
            this.emit("error", Error("Cannot insert an XML declaration into a document fragment."));
            return this;
          }
          if (this._hasDeclaration) {
            this.emit("error", Error("XML declaration is already inserted."));
            return this;
          }
          this._push(this._writer.declaration(options.version || "1.0", options.encoding, options.standalone));
          this._hasDeclaration = true;
          return this;
        };
        XMLBuilderCBImpl2.prototype.dtd = function(options) {
          if (this._fragment) {
            this.emit("error", Error("Cannot insert a DocType declaration into a document fragment."));
            return this;
          }
          if (this._docTypeName !== "") {
            this.emit("error", new Error("DocType declaration is already inserted."));
            return this;
          }
          if (this._hasDocumentElement) {
            this.emit("error", new Error("Cannot insert DocType declaration after document element."));
            return this;
          }
          var node;
          try {
            node = BuilderFunctions_1.create().dtd(options).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            this.emit("error", new Error("DocType public identifier does not match PubidChar construct (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            this.emit("error", new Error("DocType system identifier contains invalid characters (well-formed required)."));
            return this;
          }
          this._docTypeName = options.name;
          this._push(this._writer.docType(options.name, node.publicId, node.systemId));
          return this;
        };
        XMLBuilderCBImpl2.prototype.import = function(node) {
          var e_2, _a;
          var frag = BuilderFunctions_1.fragment().set(this._options);
          try {
            frag.import(node);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          try {
            for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node_1 = _c.value;
              this._fromNode(node_1);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.up = function() {
          this._serializeOpenTag(false);
          this._serializeCloseTag();
          return this;
        };
        XMLBuilderCBImpl2.prototype.end = function() {
          this._serializeOpenTag(false);
          while (this._openTags.length > 0) {
            this._serializeCloseTag();
          }
          this._push(null);
          return this;
        };
        XMLBuilderCBImpl2.prototype._serializeOpenTag = function(hasChildren) {
          if (this._currentElementSerialized)
            return;
          if (this._currentElement === void 0)
            return;
          var node = this._currentElement.node;
          if (this._options.wellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            this.emit("error", new Error("Node local name contains invalid characters (well-formed required)."));
            return;
          }
          var qualifiedName = "";
          var ignoreNamespaceDefinitionAttribute = false;
          var map = this._prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = this._openTags.length === 0 ? null : this._openTags[this._openTags.length - 1][1];
          var ns = node.namespaceURI;
          if (ns === null)
            ns = inheritedNS;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this._writer.beginElement(qualifiedName);
            this._push(this._writer.openTagBegin(qualifiedName));
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (this._options.wellFormed) {
                this.emit("error", new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));
                return;
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, this._prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns:" + prefix, this._serializeAttributeValue(ns, this._options.wellFormed)));
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns", this._serializeAttributeValue(ns, this._options.wellFormed)));
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            }
          }
          this._serializeAttributes(node, map, this._prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, this._options.wellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && !hasChildren && XMLBuilderCBImpl2._VoidElementNames.has(node.localName)) {
            this._push(this._writer.openTagEnd(qualifiedName, true, true));
            this._writer.endElement(qualifiedName);
          } else if (!isHTML && !hasChildren) {
            this._push(this._writer.openTagEnd(qualifiedName, true, false));
            this._writer.endElement(qualifiedName);
          } else {
            this._push(this._writer.openTagEnd(qualifiedName, false, false));
          }
          this._currentElementSerialized = true;
          this._openTags.push([qualifiedName, inheritedNS, this._prefixMap, hasChildren]);
          if (this._isPrefixMapModified(this._prefixMap, map)) {
            this._prefixMap = map;
          }
          this._writer.level++;
        };
        XMLBuilderCBImpl2.prototype._serializeCloseTag = function() {
          this._writer.level--;
          var lastEle = this._openTags.pop();
          if (lastEle === void 0) {
            this.emit("error", new Error("Last element is undefined."));
            return;
          }
          var _a = __read(lastEle, 4), qualifiedName = _a[0], ns = _a[1], map = _a[2], hasChildren = _a[3];
          this._prefixMap = map;
          if (!hasChildren)
            return;
          this._push(this._writer.closeTag(qualifiedName));
          this._writer.endElement(qualifiedName);
        };
        XMLBuilderCBImpl2.prototype._push = function(data) {
          if (data === null) {
            this._ended = true;
            this.emit("end");
          } else if (this._ended) {
            this.emit("error", new Error("Cannot push to ended stream."));
          } else if (data.length !== 0) {
            this._writer.hasData = true;
            this.emit("data", data, this._writer.level);
          }
        };
        XMLBuilderCBImpl2.prototype._fromNode = function(node) {
          var e_3, _a, e_4, _b;
          if (util_2.Guard.isElementNode(node)) {
            var name = node.prefix ? node.prefix + ":" + node.localName : node.localName;
            if (node.namespaceURI !== null) {
              this.ele(node.namespaceURI, name);
            } else {
              this.ele(name);
            }
            try {
              for (var _c = __values(node.attributes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var attr = _d.value;
                var name_1 = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                if (attr.namespaceURI !== null) {
                  this.att(attr.namespaceURI, name_1, attr.value);
                } else {
                  this.att(name_1, attr.value);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
            try {
              for (var _e = __values(node.childNodes), _f = _e.next(); !_f.done; _f = _e.next()) {
                var child = _f.value;
                this._fromNode(child);
              }
            } catch (e_4_1) {
              e_4 = { error: e_4_1 };
            } finally {
              try {
                if (_f && !_f.done && (_b = _e.return))
                  _b.call(_e);
              } finally {
                if (e_4)
                  throw e_4.error;
              }
            }
            this.up();
          } else if (util_2.Guard.isExclusiveTextNode(node) && node.data) {
            this.txt(node.data);
          } else if (util_2.Guard.isCommentNode(node)) {
            this.com(node.data);
          } else if (util_2.Guard.isCDATASectionNode(node)) {
            this.dat(node.data);
          } else if (util_2.Guard.isProcessingInstructionNode(node)) {
            this.ins(node.target, node.data);
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributes = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_5, _a;
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                this._push(this._writer.attribute(attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                this.emit("error", new Error("Element contains duplicate attributes (well-formed required)."));
                return;
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    this.emit("error", new Error("XMLNS namespace is reserved (well-formed required)."));
                    return;
                  }
                  if (requireWellFormed && attr.value === "") {
                    this.emit("error", new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));
                    return;
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  this._push(this._writer.attribute("xmlns:" + candidatePrefix, this._serializeAttributeValue(attributeNamespace, this._options.wellFormed)));
                }
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                this.emit("error", new Error("Attribute local name contains invalid characters (well-formed required)."));
                return;
              }
              this._push(this._writer.attribute((candidatePrefix !== null ? candidatePrefix + ":" : "") + attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            this.emit("error", new Error("Invalid characters in attribute value."));
            return "";
          }
          if (value === null)
            return "";
          return value.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        XMLBuilderCBImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_6, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLBuilderCBImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLBuilderCBImpl2.prototype._isPrefixMapModified = function(originalMap, newMap) {
          var items1 = originalMap._items;
          var items2 = newMap._items;
          var nullItems1 = originalMap._nullItems;
          var nullItems2 = newMap._nullItems;
          for (var key in items2) {
            var arr1 = items1[key];
            if (arr1 === void 0)
              return true;
            var arr2 = items2[key];
            if (arr1.length !== arr2.length)
              return true;
            for (var i = 0; i < arr1.length; i++) {
              if (arr1[i] !== arr2[i])
                return true;
            }
          }
          if (nullItems1.length !== nullItems2.length)
            return true;
          for (var i = 0; i < nullItems1.length; i++) {
            if (nullItems1[i] !== nullItems2[i])
              return true;
          }
          return false;
        };
        XMLBuilderCBImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLBuilderCBImpl2;
      }(events_1.EventEmitter)
    );
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js
var require_BuilderFunctionsCB = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _1 = require_builder();
    function createCB(options) {
      return new _1.XMLBuilderCBImpl(options);
    }
    exports2.createCB = createCB;
    function fragmentCB(options) {
      return new _1.XMLBuilderCBImpl(options, true);
    }
    exports2.fragmentCB = fragmentCB;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/builder/index.js
var require_builder = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/builder/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLBuilderImpl_1 = require_XMLBuilderImpl();
    exports2.XMLBuilderImpl = XMLBuilderImpl_1.XMLBuilderImpl;
    var XMLBuilderCBImpl_1 = require_XMLBuilderCBImpl();
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl_1.XMLBuilderCBImpl;
    var BuilderFunctions_1 = require_BuilderFunctions();
    exports2.builder = BuilderFunctions_1.builder;
    exports2.create = BuilderFunctions_1.create;
    exports2.fragment = BuilderFunctions_1.fragment;
    exports2.convert = BuilderFunctions_1.convert;
    var BuilderFunctionsCB_1 = require_BuilderFunctionsCB();
    exports2.createCB = BuilderFunctionsCB_1.createCB;
    exports2.fragmentCB = BuilderFunctionsCB_1.fragmentCB;
  }
});

// ../../components/environments/node_modules/xmlbuilder2/lib/index.js
var require_lib4 = __commonJS({
  "../../components/environments/node_modules/xmlbuilder2/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var builder_1 = require_builder();
    exports2.builder = builder_1.builder;
    exports2.create = builder_1.create;
    exports2.fragment = builder_1.fragment;
    exports2.convert = builder_1.convert;
    exports2.createCB = builder_1.createCB;
    exports2.fragmentCB = builder_1.fragmentCB;
  }
});

// ../../components/environments/node_modules/projen/lib/xmlfile.js
var require_xmlfile = __commonJS({
  "../../components/environments/node_modules/projen/lib/xmlfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.XmlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var xmlbuilder2_1 = require_lib4();
    var object_file_1 = require_object_file();
    var XmlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const obj = super.synthesizeContent(resolver);
        if (!obj) {
          return void 0;
        }
        const xmlString = (0, xmlbuilder2_1.create)({ encoding: "UTF-8" }, obj).end({
          prettyPrint: true,
          indent: " ".repeat(4)
        });
        return [
          xmlString,
          ...this.marker ? [`<!-- ${this.marker} -->`] : []
        ].join("\n");
      }
    };
    exports2.XmlFile = XmlFile;
    _a = JSII_RTTI_SYMBOL_1;
    XmlFile[_a] = { fqn: "projen.XmlFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/web/tailwind.js
var require_tailwind = __commonJS({
  "../../components/environments/node_modules/projen/lib/web/tailwind.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TailwindConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var json_1 = require_json();
    var TailwindConfig = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "tailwind.config.json";
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: {
            purge: [],
            darkMode: false,
            theme: {
              extend: {}
            },
            variants: {
              extend: {}
            },
            plugins: []
          }
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.TailwindConfig = TailwindConfig;
    _a = JSII_RTTI_SYMBOL_1;
    TailwindConfig[_a] = { fqn: "projen.web.TailwindConfig", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/web/postcss.js
var require_postcss = __commonJS({
  "../../components/environments/node_modules/projen/lib/web/postcss.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PostCss = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var tailwind_1 = require_tailwind();
    var json_1 = require_json();
    var PostCss = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "postcss.config.json";
        project.addDeps("postcss");
        const config = { plugins: {} };
        if (options?.tailwind ?? true) {
          config.plugins.tailwindcss = {};
          config.plugins.autoprefixer = {};
          this.tailwind = new tailwind_1.TailwindConfig(project, options?.tailwindOptions);
          config.plugins.tailwindcss.config = this.tailwind.fileName;
          project.addDeps("tailwindcss", "autoprefixer");
        }
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: config,
          marker: false
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.PostCss = PostCss;
    _a = JSII_RTTI_SYMBOL_1;
    PostCss[_a] = { fqn: "projen.web.PostCss", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/util.js
var require_util5 = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tryResolveDependencyVersion = exports2.tryResolveModuleManifest = exports2.tryResolveManifestPathFromSearch = exports2.tryResolveManifestPathFromPath = exports2.tryResolveManifestPathFromDefaultExport = exports2.tryResolveModuleManifestPath = exports2.tryResolveModule = exports2.minVersion = exports2.extractCodeArtifactDetails = exports2.codeArtifactRegex = exports2.renderBundleName = void 0;
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver2();
    var util_1 = require_util2();
    function renderBundleName(entrypoint) {
      const parts = (0, path_1.join)(entrypoint).split(path_1.sep);
      if (parts[0] === "src") {
        parts.shift();
      }
      const p = parts.join(path_1.sep);
      const dir = (0, path_1.dirname)(p);
      const base = (0, path_1.basename)(p, (0, path_1.extname)(p));
      return (0, path_1.join)(dir, base);
    }
    exports2.renderBundleName = renderBundleName;
    exports2.codeArtifactRegex = /^https:\/\/(?<registry>(?<domain>[^\.]+)-(?<accountId>\d{12})\.d\.codeartifact\.(?<region>[^\.]+).*\.amazonaws\.com\/.*\/(?<repository>[^\/.]+)\/)/;
    function extractCodeArtifactDetails(registryUrl) {
      const match = registryUrl.match(exports2.codeArtifactRegex);
      if (match?.groups) {
        const { domain, accountId, region, repository, registry } = match.groups;
        return { domain, accountId, region, repository, registry };
      }
      throw new Error("Could not get CodeArtifact details from npm Registry");
    }
    exports2.extractCodeArtifactDetails = extractCodeArtifactDetails;
    function minVersion(version) {
      if (semver.validRange(version)) {
        return semver.minVersion(version)?.version;
      } else {
        return version;
      }
    }
    exports2.minVersion = minVersion;
    function tryResolveModule(moduleId, options) {
      try {
        return require.resolve(moduleId, options);
      } catch {
        return void 0;
      }
    }
    exports2.tryResolveModule = tryResolveModule;
    function tryResolveModuleManifestPath(moduleId, options) {
      const manifestId = `${moduleId}/package.json`;
      return tryResolveModule(manifestId, options);
    }
    exports2.tryResolveModuleManifestPath = tryResolveModuleManifestPath;
    function tryResolveManifestPathFromDefaultExport(moduleId, options) {
      const defaultExportPath = tryResolveModule(moduleId, options);
      if (!defaultExportPath) {
        return void 0;
      }
      const moduleDir = (0, util_1.findUp)("package.json", defaultExportPath);
      if (!moduleDir) {
        return void 0;
      }
      return (0, path_1.join)(moduleDir, "package.json");
    }
    exports2.tryResolveManifestPathFromDefaultExport = tryResolveManifestPathFromDefaultExport;
    function tryResolveManifestPathFromPath(moduleId, basePath) {
      const base = basePath.includes("node_modules") ? basePath : (0, path_1.join)(basePath, "node_modules");
      const filePath = (0, path_1.resolve)(base, ...moduleId.split("/"), "package.json");
      if ((0, fs_1.existsSync)(filePath)) {
        return filePath;
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromPath = tryResolveManifestPathFromPath;
    function tryResolveManifestPathFromSearch(moduleId, options) {
      const searchPaths = [
        ...options?.paths ?? [],
        ...require.resolve.paths(moduleId) ?? []
      ];
      for (const path of searchPaths) {
        const result = tryResolveManifestPathFromPath(moduleId, path);
        if (result) {
          return result;
        }
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromSearch = tryResolveManifestPathFromSearch;
    function tryResolveModuleManifest(moduleId, options) {
      const strategies = [
        tryResolveModuleManifestPath,
        tryResolveManifestPathFromDefaultExport,
        tryResolveManifestPathFromSearch
      ];
      for (const strategy of strategies) {
        const result = strategy(moduleId, options);
        if (result) {
          try {
            const manifest = JSON.parse((0, fs_1.readFileSync)(result, "utf8"));
            if (manifest.name === moduleId) {
              return manifest;
            }
          } catch {
          }
        }
      }
      return void 0;
    }
    exports2.tryResolveModuleManifest = tryResolveModuleManifest;
    function tryResolveDependencyVersion(dependencyName, options) {
      const manifest = tryResolveModuleManifest(dependencyName, options);
      if (!manifest) {
        return void 0;
      }
      return manifest?.version;
    }
    exports2.tryResolveDependencyVersion = tryResolveDependencyVersion;
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/bundler.js
var require_bundler = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/bundler.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Bundler = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var util_1 = require_util5();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var Bundler = class _Bundler extends component_1.Component {
      /**
       * Returns the `Bundler` instance associated with a project or `undefined` if
       * there is no Bundler.
       * @param project The project
       * @returns A bundler
       */
      static of(project) {
        const isBundler = (o) => o instanceof _Bundler;
        return project.components.find(isBundler);
      }
      /**
       * Creates a `Bundler`.
       */
      constructor(project, options = {}) {
        super(project);
        this.esbuildVersion = options.esbuildVersion;
        this.bundledir = options.assetsDir ?? "assets";
        this.addToPreCompile = options.addToPreCompile ?? true;
        this.loaders = options.loaders;
      }
      /**
       * Gets or creates the singleton "bundle" task of the project.
       *
       * If the project doesn't have a "bundle" task, it will be created and spawned
       * during the pre-compile phase.
       */
      get bundleTask() {
        if (!this._task) {
          this.addBundlingSupport();
          this._task = this.project.tasks.addTask("bundle", {
            description: "Prepare assets"
          });
          if (this.addToPreCompile) {
            this.project.preCompileTask.spawn(this._task);
          }
        }
        return this._task;
      }
      /**
       * Adds a task to the project which bundles a specific entrypoint and all of
       * its dependencies into a single javascript output file.
       *
       * @param entrypoint The relative path of the artifact within the project
       * @param options Bundling options
       */
      addBundle(entrypoint, options) {
        const name = (0, util_1.renderBundleName)(entrypoint);
        const outdir = path.posix.join(this.bundledir, name);
        const outfile = path.posix.join(outdir, options.outfile ?? "index.js");
        const args = [
          "esbuild",
          "--bundle",
          entrypoint,
          `--target="${options.target}"`,
          `--platform="${options.platform}"`,
          `--outfile="${outfile}"`
        ];
        const tsconfig = options.tsconfigPath ?? false;
        if (tsconfig) {
          args.push(`--tsconfig="${tsconfig}"`);
        }
        for (const x of options.externals ?? []) {
          args.push(`--external:${x}`);
        }
        const sourcemap = options.sourcemap ?? false;
        if (sourcemap) {
          args.push("--sourcemap");
        }
        const loaders = options.loaders ?? false ? options.loaders : this.loaders ?? false;
        if (loaders) {
          for (let [extension, loader] of Object.entries(loaders)) {
            args.push(`--loader:.${extension}=${loader}`);
          }
        }
        const bundleTask = this.project.addTask(`bundle:${name}`, {
          description: `Create a JavaScript bundle from ${entrypoint}`,
          exec: args.join(" ")
        });
        this.bundleTask.spawn(bundleTask);
        if (options.executable ?? false) {
          bundleTask.exec(`chmod +x ${outfile}`);
        }
        let watchTask;
        const watch = options.watchTask ?? true;
        if (watch) {
          watchTask = this.project.addTask(`bundle:${name}:watch`, {
            description: `Continuously update the JavaScript bundle from ${entrypoint}`,
            exec: `${args.join(" ")} --watch`
          });
        }
        return {
          bundleTask,
          watchTask,
          outdir,
          outfile
        };
      }
      /**
       * Add bundling support to a project. This is called implicitly when
       * `bundleTask` is referenced first. It adds the dependency on `esbuild`,
       * gitignore/npmignore, etc.
       */
      addBundlingSupport() {
        const ignoreEntry = `/${this.bundledir}/`;
        this.project.addGitIgnore(ignoreEntry);
        this.project.addPackageIgnore(`!${ignoreEntry}`);
        const dep = this.esbuildVersion ? `esbuild@${this.esbuildVersion}` : "esbuild";
        this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
      }
    };
    exports2.Bundler = Bundler;
    _a = JSII_RTTI_SYMBOL_1;
    Bundler[_a] = { fqn: "projen.javascript.Bundler", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/prettier.js
var require_prettier = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/prettier.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Prettier = exports2.TrailingComma = exports2.QuoteProps = exports2.ProseWrap = exports2.HTMLWhitespaceSensitivity = exports2.EndOfLine = exports2.EmbeddedLanguageFormatting = exports2.ArrowParens = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var ignore_file_1 = require_ignore_file();
    var json_1 = require_json();
    var source_code_1 = require_source_code();
    var yaml_1 = require_yaml();
    var ArrowParens;
    (function(ArrowParens2) {
      ArrowParens2["ALWAYS"] = "always";
      ArrowParens2["AVOID"] = "avoid";
    })(ArrowParens || (exports2.ArrowParens = ArrowParens = {}));
    var EmbeddedLanguageFormatting;
    (function(EmbeddedLanguageFormatting2) {
      EmbeddedLanguageFormatting2["AUTO"] = "auto";
      EmbeddedLanguageFormatting2["OFF"] = "off";
    })(EmbeddedLanguageFormatting || (exports2.EmbeddedLanguageFormatting = EmbeddedLanguageFormatting = {}));
    var EndOfLine;
    (function(EndOfLine2) {
      EndOfLine2["AUTO"] = "auto";
      EndOfLine2["CR"] = "cr";
      EndOfLine2["CRLF"] = "crlf";
      EndOfLine2["LF"] = "lf";
    })(EndOfLine || (exports2.EndOfLine = EndOfLine = {}));
    var HTMLWhitespaceSensitivity;
    (function(HTMLWhitespaceSensitivity2) {
      HTMLWhitespaceSensitivity2["CSS"] = "css";
      HTMLWhitespaceSensitivity2["IGNORE"] = "ignore";
      HTMLWhitespaceSensitivity2["STRICT"] = "strict";
    })(HTMLWhitespaceSensitivity || (exports2.HTMLWhitespaceSensitivity = HTMLWhitespaceSensitivity = {}));
    var ProseWrap;
    (function(ProseWrap2) {
      ProseWrap2["ALWAYS"] = "always";
      ProseWrap2["NEVER"] = "never";
      ProseWrap2["PRESERVE"] = "preserve";
    })(ProseWrap || (exports2.ProseWrap = ProseWrap = {}));
    var QuoteProps;
    (function(QuoteProps2) {
      QuoteProps2["ASNEEDED"] = "as-needed";
      QuoteProps2["CONSISTENT"] = "consistent";
      QuoteProps2["PRESERVE"] = "preserve";
    })(QuoteProps || (exports2.QuoteProps = QuoteProps = {}));
    var TrailingComma;
    (function(TrailingComma2) {
      TrailingComma2["ALL"] = "all";
      TrailingComma2["ES5"] = "es5";
      TrailingComma2["NONE"] = "none";
    })(TrailingComma || (exports2.TrailingComma = TrailingComma = {}));
    var Prettier = class _Prettier extends component_1.Component {
      static of(project) {
        const isPrettier = (c) => c instanceof _Prettier;
        return project.components.find(isPrettier);
      }
      constructor(project, options) {
        super(project);
        this._overrides = options.overrides ?? [];
        if (options.ignoreFile ?? true) {
          this.ignoreFile = new ignore_file_1.IgnoreFile(project, ".prettierignore", options.ignoreFileOptions);
        }
        project.addDevDeps("prettier");
        this.settings = {
          ...options.settings
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".prettierrc.yml", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".prettierrc.json", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: false
          });
        }
      }
      /**
       * Add a prettier override
       * @see https://prettier.io/docs/en/configuration.html#configuration-overrides
       * @param {PrettierOverride} override
       */
      addOverride(override) {
        this._overrides.push(override);
      }
      /**
       * Defines Prettier ignore Patterns
       * these patterns will be added to the file .prettierignore
       *
       * @param pattern filepatterns so exclude from prettier formatting
       */
      addIgnorePattern(pattern) {
        this.ignoreFile?.addPatterns(pattern);
      }
      /**
       *  Returns all Prettier overrides
       */
      get overrides() {
        return [...this._overrides];
      }
      preSynthesize() {
        const isSourceCode = (c) => c instanceof source_code_1.SourceCode;
        this.project.components.filter(isSourceCode).forEach((c) => {
          this.addIgnorePattern(c.filePath);
        });
      }
    };
    exports2.Prettier = Prettier;
    _a = JSII_RTTI_SYMBOL_1;
    Prettier[_a] = { fqn: "projen.javascript.Prettier", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/eslint.js
var require_eslint = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/eslint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Eslint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var prettier_1 = require_prettier();
    var common_1 = require_common();
    var component_1 = require_component();
    var json_1 = require_json();
    var yaml_1 = require_yaml();
    var Eslint = class _Eslint extends component_1.Component {
      /**
       * Returns the singletone Eslint component of a project or undefined if there is none.
       */
      static of(project) {
        const isEslint = (c) => c instanceof _Eslint;
        return project.components.find(isEslint);
      }
      constructor(project, options) {
        super(project);
        this.overrides = [];
        this._plugins = new Array();
        this._extends = new Array();
        this.nodeProject = project;
        project.addDevDeps("eslint@^8", "@typescript-eslint/eslint-plugin@^5", "@typescript-eslint/parser@^5", "eslint-import-resolver-node", "eslint-import-resolver-typescript", "eslint-plugin-import");
        if (options.aliasMap) {
          project.addDevDeps("eslint-import-resolver-alias");
        }
        const lintProjenRc = options.lintProjenRc ?? true;
        const lintProjenRcFile = options.lintProjenRcFile ?? common_1.PROJEN_RC;
        const devdirs = options.devdirs ?? [];
        this._lintPatterns = [
          ...options.dirs,
          ...devdirs,
          ...lintProjenRc && lintProjenRcFile ? [lintProjenRcFile] : []
        ];
        this._fileExtensions = options.fileExtensions ?? [".ts"];
        this._allowDevDeps = new Set((devdirs ?? []).map((dir) => `**/${dir}/**`));
        this.eslintTask = project.addTask("eslint", {
          description: "Runs eslint against the codebase"
        });
        this.updateTask();
        project.testTask.spawn(this.eslintTask);
        project.npmignore?.exclude("/.eslintrc.json");
        this._formattingRules = {
          // see https://github.com/typescript-eslint/typescript-eslint/blob/master/packages/eslint-plugin/docs/rules/indent.md
          indent: ["off"],
          "@typescript-eslint/indent": ["error", 2],
          // Style
          quotes: ["error", "single", { avoidEscape: true }],
          "comma-dangle": ["error", "always-multiline"],
          "comma-spacing": ["error", { before: false, after: true }],
          "no-multi-spaces": ["error", { ignoreEOLComments: false }],
          "array-bracket-spacing": ["error", "never"],
          "array-bracket-newline": ["error", "consistent"],
          "object-curly-spacing": ["error", "always"],
          "object-curly-newline": ["error", { multiline: true, consistent: true }],
          "object-property-newline": [
            "error",
            { allowAllPropertiesOnSameLine: true }
          ],
          "keyword-spacing": ["error"],
          "brace-style": ["error", "1tbs", { allowSingleLine: true }],
          "space-before-blocks": ["error"],
          curly: ["error", "multi-line", "consistent"],
          "@typescript-eslint/member-delimiter-style": ["error"],
          // Require semicolons
          semi: ["error", "always"],
          // Max line lengths
          "max-len": [
            "error",
            {
              code: 150,
              ignoreUrls: true,
              ignoreStrings: true,
              ignoreTemplateLiterals: true,
              ignoreComments: true,
              ignoreRegExpLiterals: true
            }
          ],
          // Don't unnecessarily quote properties
          "quote-props": ["error", "consistent-as-needed"]
        };
        this.rules = {
          // Require use of the `import { foo } from 'bar';` form instead of `import foo = require('bar');`
          "@typescript-eslint/no-require-imports": ["error"],
          // Require all imported dependencies are actually declared in package.json
          "import/no-extraneous-dependencies": [
            "error",
            {
              // Only allow importing devDependencies from "devdirs".
              devDependencies: () => this.renderDevDepsAllowList(),
              optionalDependencies: false,
              peerDependencies: true
              // Allow importing peer dependencies (that aren't also direct dependencies)
            }
          ],
          // Require all imported libraries actually resolve (!!required for import/no-extraneous-dependencies to work!!)
          "import/no-unresolved": ["error"],
          // Require an ordering on all imports
          "import/order": [
            "warn",
            {
              groups: ["builtin", "external"],
              alphabetize: { order: "asc", caseInsensitive: true }
            }
          ],
          // Cannot import from the same module twice
          "no-duplicate-imports": ["error"],
          // Cannot shadow names
          "no-shadow": ["off"],
          "@typescript-eslint/no-shadow": ["error"],
          // Required spacing in property declarations (copied from TSLint, defaults are good)
          "key-spacing": ["error"],
          // No multiple empty lines
          "no-multiple-empty-lines": ["error"],
          // One of the easiest mistakes to make
          "@typescript-eslint/no-floating-promises": ["error"],
          // Make sure that inside try/catch blocks, promises are 'return await'ed
          // (must disable the base rule as it can report incorrect errors)
          "no-return-await": ["off"],
          "@typescript-eslint/return-await": ["error"],
          // Useless diff results
          "no-trailing-spaces": ["error"],
          // Must use foo.bar instead of foo['bar'] if possible
          "dot-notation": ["error"],
          // Are you sure | is not a typo for || ?
          "no-bitwise": ["error"],
          // Member ordering
          "@typescript-eslint/member-ordering": [
            "error",
            {
              default: [
                "public-static-field",
                "public-static-method",
                "protected-static-field",
                "protected-static-method",
                "private-static-field",
                "private-static-method",
                "field",
                // Constructors
                "constructor",
                // Methods
                "method"
              ]
            }
          ]
        };
        if (lintProjenRc) {
          this.overrides = [
            {
              files: [lintProjenRcFile || common_1.PROJEN_RC],
              rules: {
                "@typescript-eslint/no-require-imports": "off",
                "import/no-extraneous-dependencies": "off"
              }
            }
          ];
        }
        this.ignorePatterns = options.ignorePatterns ?? [
          "*.js",
          // @deprecated
          ...lintProjenRc ? [`!${lintProjenRcFile || common_1.PROJEN_RC}`] : [],
          "*.d.ts",
          "node_modules/",
          "*.generated.ts",
          "coverage"
        ];
        const tsconfig = options.tsconfigPath ?? "./tsconfig.json";
        this.addPlugins("@typescript-eslint");
        this.addPlugins("import");
        this.addExtends("plugin:import/typescript");
        this.config = {
          env: {
            jest: true,
            node: true
          },
          root: true,
          plugins: () => this._plugins,
          parser: "@typescript-eslint/parser",
          parserOptions: {
            ecmaVersion: 2018,
            sourceType: "module",
            project: tsconfig
          },
          extends: () => this._extends,
          settings: {
            "import/parsers": {
              "@typescript-eslint/parser": [".ts", ".tsx"]
            },
            "import/resolver": {
              ...options.aliasMap && {
                alias: {
                  map: Object.entries(options.aliasMap).map(([k, v]) => [k, v]),
                  extensions: options.aliasExtensions
                }
              },
              node: {},
              typescript: {
                project: tsconfig,
                ...options.tsAlwaysTryTypes !== false && { alwaysTryTypes: true }
              }
            }
          },
          ignorePatterns: this.ignorePatterns,
          rules: () => ({ ...this._formattingRules, ...this.rules }),
          overrides: this.overrides
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".eslintrc.yml", {
            obj: this.config,
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".eslintrc.json", {
            obj: this.config,
            // https://eslint.org/docs/latest/user-guide/configuring/configuration-files#comments-in-configuration-files
            marker: true,
            allowComments: true
          });
        }
        if (options.prettier || prettier_1.Prettier.of(project)) {
          this.enablePrettier();
        }
      }
      /**
       * Add a file, glob pattern or directory with source files to lint (e.g. [ "src" ])
       */
      addLintPattern(pattern) {
        this._lintPatterns.push(pattern);
        this.updateTask();
      }
      /**
       * Add an eslint rule.
       */
      addRules(rules) {
        for (const [k, v] of Object.entries(rules)) {
          this.rules[k] = v;
        }
      }
      /**
       * Adds an eslint plugin
       * @param plugins The names of plugins to add
       */
      addPlugins(...plugins) {
        this._plugins.push(...plugins);
      }
      /**
       * Add an eslint override.
       */
      addOverride(override) {
        this.overrides.push(override);
      }
      /**
       * Do not lint these files.
       */
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      /**
       * Adds an `extends` item to the eslint configuration.
       * @param extendList The list of "extends" to add.
       */
      addExtends(...extendList) {
        this._extends.push(...extendList);
      }
      /**
       * Add a glob file pattern which allows importing dev dependencies.
       * @param pattern glob pattern.
       */
      allowDevDeps(pattern) {
        this._allowDevDeps.add(pattern);
      }
      /**
       * Enables prettier for code formatting.
       */
      enablePrettier() {
        this.nodeProject.addDevDeps("prettier", "eslint-plugin-prettier", "eslint-config-prettier");
        this.addPlugins("prettier");
        this._formattingRules = {
          "prettier/prettier": ["error"]
        };
        this.addExtends("prettier", "plugin:prettier/recommended");
      }
      renderDevDepsAllowList() {
        return Array.from(this._allowDevDeps);
      }
      /**
       * Update the task with the current list of lint patterns and file extensions
       */
      updateTask() {
        this.eslintTask.reset([
          "eslint",
          `--ext ${this._fileExtensions.join(",")}`,
          "--fix",
          "--no-error-on-unmatched-pattern",
          ...this._lintPatterns
        ].join(" "));
      }
    };
    exports2.Eslint = Eslint;
    _a = JSII_RTTI_SYMBOL_1;
    Eslint[_a] = { fqn: "projen.javascript.Eslint", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/jest.js
var require_jest = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/jest.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Jest = exports2.JestReporter = exports2.UpdateSnapshot = exports2.WatchPlugin = exports2.Transform = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver2();
    var component_1 = require_component();
    var javascript_1 = require_javascript();
    var json_1 = require_json();
    var DEFAULT_TEST_REPORTS_DIR = "test-reports";
    var Transform = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.Transform = Transform;
    _a = JSII_RTTI_SYMBOL_1;
    Transform[_a] = { fqn: "projen.javascript.Transform", version: "0.71.112" };
    var WatchPlugin = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.WatchPlugin = WatchPlugin;
    _b = JSII_RTTI_SYMBOL_1;
    WatchPlugin[_b] = { fqn: "projen.javascript.WatchPlugin", version: "0.71.112" };
    var UpdateSnapshot;
    (function(UpdateSnapshot2) {
      UpdateSnapshot2["ALWAYS"] = "always";
      UpdateSnapshot2["NEVER"] = "never";
    })(UpdateSnapshot || (exports2.UpdateSnapshot = UpdateSnapshot = {}));
    var JestReporter = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options == null) {
          return this.name;
        }
        return [this.name, this.options];
      }
    };
    exports2.JestReporter = JestReporter;
    _c = JSII_RTTI_SYMBOL_1;
    JestReporter[_c] = { fqn: "projen.javascript.JestReporter", version: "0.71.112" };
    var Jest = class _Jest extends component_1.Component {
      /**
       * Returns the singletone Jest component of a project or undefined if there is none.
       */
      static of(project) {
        const isJest = (c) => c instanceof _Jest;
        return project.components.find(isJest);
      }
      constructor(project, options = {}) {
        super(project);
        if (options.typescriptConfig) {
          throw new Error('"jestOptions.typescriptConfig" is deprecated. Use "typescriptProject.tsconfigDev" instead');
        }
        project.root.annotateGenerated("*.snap");
        this.jestVersion = options.jestVersion ? `@${options.jestVersion}` : "";
        project.addDevDeps(`jest${this.jestVersion}`);
        this.jestConfig = {
          ...options.jestConfig,
          additionalOptions: void 0,
          ...options.jestConfig?.additionalOptions
        };
        this.extraCliOptions = options.extraCliOptions ?? [];
        this.ignorePatterns = this.jestConfig?.testPathIgnorePatterns ?? options.ignorePatterns ?? ["/node_modules/"];
        this.watchIgnorePatterns = this.jestConfig?.watchPathIgnorePatterns ?? [
          "/node_modules/"
        ];
        this.coverageReporters = this.jestConfig?.coverageReporters ?? [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ];
        this.testMatch = this.jestConfig?.testMatch ?? [
          "**/__tests__/**/*.[jt]s?(x)",
          "**/?(*.)+(spec|test).[tj]s?(x)"
        ];
        const coverageDirectory = this.jestConfig?.coverageDirectory ?? "coverage";
        this.reporters = [];
        if (options.preserveDefaultReporters ?? true) {
          this.reporters.unshift(new JestReporter("default"));
        }
        this.config = {
          ...this.jestConfig,
          clearMocks: this.jestConfig?.clearMocks ?? true,
          collectCoverage: options.coverage ?? this.jestConfig?.collectCoverage ?? true,
          coverageReporters: this.coverageReporters,
          coverageDirectory,
          coveragePathIgnorePatterns: this.jestConfig?.coveragePathIgnorePatterns ?? this.ignorePatterns,
          testPathIgnorePatterns: this.ignorePatterns,
          watchPathIgnorePatterns: this.watchIgnorePatterns,
          testMatch: this.testMatch,
          reporters: this.reporters,
          snapshotResolver: () => this._snapshotResolver
        };
        if (options.junitReporting ?? true) {
          const reportsDir = DEFAULT_TEST_REPORTS_DIR;
          this.addReporter(new JestReporter("jest-junit", { outputDirectory: reportsDir }));
          project.addDevDeps("jest-junit@^15");
          project.gitignore.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
          project.npmignore?.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
        }
        if (this.jestConfig?.reporters) {
          for (const reporter of this.jestConfig.reporters) {
            this.addReporter(reporter);
          }
        }
        if (this.jestConfig?.coverageThreshold) {
          this.config.coverageThreshold = {
            global: this.jestConfig?.coverageThreshold
          };
        }
        this.configureTestCommand(options.updateSnapshot ?? UpdateSnapshot.ALWAYS);
        if (options.configFilePath) {
          this.file = new json_1.JsonFile(project, options.configFilePath, {
            obj: this.config
          });
          project.npmignore?.addPatterns(`/${this.file.path}`);
        } else {
          project.addFields({ jest: this.config });
        }
        const coverageDirectoryPath = path.posix.join("/", coverageDirectory, "/");
        project.npmignore?.exclude(coverageDirectoryPath);
        project.gitignore.exclude(coverageDirectoryPath);
        if (options.coverageText ?? true) {
          this.coverageReporters.push("text");
        }
      }
      /**
       * Adds a test match pattern.
       * @param pattern glob pattern to match for tests
       */
      addTestMatch(pattern) {
        this.testMatch.push(pattern);
      }
      /**
       * Adds a watch ignore pattern.
       * @param pattern The pattern (regular expression).
       */
      addWatchIgnorePattern(pattern) {
        this.watchIgnorePatterns.push(pattern);
      }
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      addReporter(reporter) {
        this.reporters.push(reporter);
      }
      /**
       * Adds a a setup file to Jest's setupFiles configuration.
       * @param file File path to setup file
       */
      addSetupFile(file) {
        if (!this.config.setupFiles) {
          this.config.setupFiles = [];
        }
        this.config.setupFiles.push(file);
      }
      /**
       * Adds a a setup file to Jest's setupFilesAfterEnv configuration.
       * @param file File path to setup file
       */
      addSetupFileAfterEnv(file) {
        if (!this.config.setupFilesAfterEnv) {
          this.config.setupFilesAfterEnv = [];
        }
        this.config.setupFilesAfterEnv.push(file);
      }
      addSnapshotResolver(file) {
        this._snapshotResolver = file;
      }
      configureTestCommand(updateSnapshot) {
        const jestOpts = ["--passWithNoTests", ...this.extraCliOptions];
        const jestConfigOpts = this.file && this.file.path != "jest.config.json" ? ` -c ${this.file.path}` : "";
        if (this.project instanceof javascript_1.NodeProject && this.project.package.minNodeVersion && semver.gte(this.project.package.minNodeVersion, "14.0.0")) {
          jestOpts.push("--coverageProvider=v8");
        }
        if (updateSnapshot === UpdateSnapshot.ALWAYS) {
          jestOpts.push("--updateSnapshot");
        } else {
          jestOpts.push("--ci");
          const testUpdate = this.project.tasks.tryFind("test:update");
          if (!testUpdate) {
            this.project.addTask("test:update", {
              description: "Update jest snapshots",
              exec: `jest --updateSnapshot ${jestOpts.join(" ")}${jestConfigOpts}`,
              receiveArgs: true
            });
          }
        }
        this.project.testTask.exec(`jest ${jestOpts.join(" ")}${jestConfigOpts}`, {
          receiveArgs: true
        });
        const testWatch = this.project.tasks.tryFind("test:watch");
        if (!testWatch) {
          this.project.addTask("test:watch", {
            description: "Run jest in watch mode",
            exec: `jest --watch${jestConfigOpts}`
          });
        }
      }
    };
    exports2.Jest = Jest;
    _d = JSII_RTTI_SYMBOL_1;
    Jest[_d] = { fqn: "projen.javascript.Jest", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/constants.js
var require_constants3 = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PERMISSION_BACKUP_FILE = exports2.DEFAULT_GITHUB_ACTIONS_USER = exports2.BUILD_ARTIFACT_NAME = void 0;
    exports2.BUILD_ARTIFACT_NAME = "build-artifact";
    exports2.DEFAULT_GITHUB_ACTIONS_USER = {
      name: "github-actions",
      email: "github-actions@github.com"
    };
    exports2.PERMISSION_BACKUP_FILE = "permissions-backup.acl";
  }
});

// ../../components/environments/node_modules/projen/lib/github/workflows-model.js
var require_workflows_model = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/workflows-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AppPermission = exports2.JobPermission = void 0;
    var JobPermission;
    (function(JobPermission2) {
      JobPermission2["READ"] = "read";
      JobPermission2["WRITE"] = "write";
      JobPermission2["NONE"] = "none";
    })(JobPermission || (exports2.JobPermission = JobPermission = {}));
    var AppPermission;
    (function(AppPermission2) {
      AppPermission2["READ"] = "read";
      AppPermission2["WRITE"] = "write";
      AppPermission2["ADMIN"] = "admin";
    })(AppPermission || (exports2.AppPermission = AppPermission = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/release/publisher.js
var require_publisher = __commonJS({
  "../../components/environments/node_modules/projen/lib/release/publisher.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isAwsCodeArtifactRegistry = exports2.CodeArtifactAuthProvider = exports2.Publisher = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var constants_1 = require_constants3();
    var workflows_model_1 = require_workflows_model();
    var node_package_1 = require_node_package();
    var PUBLIB_VERSION = "latest";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var ARTIFACTS_DOWNLOAD_DIR = "dist";
    var GITHUB_PACKAGES_MAVEN_REPOSITORY = "https://maven.pkg.github.com";
    var GITHUB_PACKAGES_NUGET_REPOSITORY = "https://nuget.pkg.github.com";
    var AWS_CODEARTIFACT_REGISTRY_REGEX = /.codeartifact.*.amazonaws.com/;
    var PUBLIB_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
    var Publisher = class _Publisher extends component_1.Component {
      constructor(project, options) {
        super(project);
        this._jobFactories = [];
        this._gitHubPrePublishing = [];
        this.buildJobId = options.buildJobId;
        this.artifactName = options.artifactName;
        this.publibVersion = options.publibVersion ?? options.jsiiReleaseVersion ?? PUBLIB_VERSION;
        this.jsiiReleaseVersion = this.publibVersion;
        this.condition = options.condition;
        this.dryRun = options.dryRun ?? false;
        this.workflowNodeVersion = options.workflowNodeVersion ?? "16.x";
        this.workflowContainerImage = options.workflowContainerImage;
        this.failureIssue = options.failureIssue ?? false;
        this.failureIssueLabel = options.failureIssueLabel ?? "failed-release";
        this.runsOn = options.workflowRunsOn ?? ["ubuntu-latest"];
        this.publishTasks = options.publishTasks ?? false;
      }
      /**
       * Called by `Release` to add the publishing jobs to a release workflow
       * associated with a specific branch.
       * @param branch The branch name
       * @param options Branch options
       *
       * @internal
       */
      _renderJobsForBranch(branch, options) {
        let jobs = {};
        for (const factory of this._jobFactories) {
          jobs = {
            ...jobs,
            ...factory(branch, options)
          };
        }
        return jobs;
      }
      /**
       * Adds pre publishing steps for the GitHub release job.
       *
       * @param steps The steps.
       */
      addGitHubPrePublishingSteps(...steps) {
        this._gitHubPrePublishing.push(...steps);
      }
      /**
       * Publish to git.
       *
       * This includes generating a project-level changelog and release tags.
       *
       * @param options Options
       */
      publishToGit(options) {
        const releaseTagFile = options.releaseTagFile;
        const versionFile = options.versionFile;
        const changelog = options.changelogFile;
        const projectChangelogFile = options.projectChangelogFile;
        const gitBranch = options.gitBranch ?? "main";
        const taskName = gitBranch === "main" || gitBranch === "master" ? _Publisher.PUBLISH_GIT_TASK_NAME : `${_Publisher.PUBLISH_GIT_TASK_NAME}:${gitBranch}`;
        const publishTask = this.project.addTask(taskName, {
          description: "Prepends the release changelog onto the project changelog, creates a release commit, and tags the release",
          env: {
            CHANGELOG: changelog,
            RELEASE_TAG_FILE: releaseTagFile,
            PROJECT_CHANGELOG_FILE: projectChangelogFile ?? "",
            VERSION_FILE: versionFile
          },
          condition: '! git log --oneline -1 | grep -q "chore(release):"'
        });
        if (projectChangelogFile) {
          publishTask.builtin("release/update-changelog");
        }
        publishTask.builtin("release/tag-version");
        if (options.gitPushCommand !== "") {
          const gitPushCommand = options.gitPushCommand || `git push --follow-tags origin ${gitBranch}`;
          publishTask.exec(gitPushCommand);
        }
        return publishTask;
      }
      /**
       * Creates a GitHub Release.
       * @param options Options
       */
      publishToGitHubReleases(options) {
        this.addPublishJob((_branch, branchOptions) => {
          return {
            name: "github",
            registryName: "GitHub Releases",
            prePublishSteps: options.prePublishSteps ?? this._gitHubPrePublishing,
            publishTools: options.publishTools,
            permissions: {
              contents: workflows_model_1.JobPermission.WRITE
            },
            workflowEnv: {
              GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}",
              GITHUB_REPOSITORY: "${{ github.repository }}",
              GITHUB_REF: "${{ github.ref }}"
            },
            run: this.githubReleaseCommand(options, branchOptions)
          };
        });
      }
      /**
       * Publishes artifacts from `js/**` to npm.
       * @param options Options
       */
      publishToNpm(options = {}) {
        const isGitHubPackages = options.registry?.startsWith(GITHUB_PACKAGES_REGISTRY);
        const isAwsCodeArtifact = isAwsCodeArtifactRegistry(options.registry);
        const isAwsCodeArtifactWithOidc = isAwsCodeArtifact && options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC;
        const npmToken = (0, node_package_1.defaultNpmToken)(options.npmTokenSecret, options.registry);
        if (options.distTag) {
          this.project.logger.warn("The `distTag` option is deprecated. Use the npmDistTag option instead.");
        }
        const prePublishSteps = options.prePublishSteps ?? [];
        if (isAwsCodeArtifactWithOidc) {
          if (options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret) {
            throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
          } else if (!options.codeArtifactOptions?.roleToAssume) {
            throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
          }
          const regionCaptureRegex = /codeartifact\.(.+)\.amazonaws\.com/;
          const region = options.registry?.match(regionCaptureRegex)?.[1];
          prePublishSteps.push({
            name: "Configure AWS Credentials via GitHub OIDC Provider",
            uses: "aws-actions/configure-aws-credentials@v2",
            with: {
              "role-to-assume": options.codeArtifactOptions.roleToAssume,
              "aws-region": region
            }
          });
        }
        this.addPublishJob((_branch, branchOptions) => {
          if (branchOptions.npmDistTag && options.distTag) {
            throw new Error("cannot set branch-level npmDistTag and npmDistTag in publishToNpm()");
          }
          return {
            name: "npm",
            publishTools: PUBLIB_TOOLCHAIN.js,
            prePublishSteps,
            run: this.publibCommand("publib-npm"),
            registryName: "npm",
            env: {
              NPM_DIST_TAG: branchOptions.npmDistTag ?? options.distTag ?? "latest",
              NPM_REGISTRY: options.registry
            },
            permissions: {
              idToken: isAwsCodeArtifactWithOidc ? workflows_model_1.JobPermission.WRITE : void 0,
              contents: workflows_model_1.JobPermission.READ,
              packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
            },
            workflowEnv: {
              NPM_TOKEN: npmToken ? secret(npmToken) : void 0,
              // if we are publishing to AWS CodeArtifact, pass AWS access keys that will be used to generate NPM_TOKEN using AWS CLI.
              AWS_ACCESS_KEY_ID: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID") : void 0,
              AWS_SECRET_ACCESS_KEY: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY") : void 0,
              AWS_ROLE_TO_ASSUME: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? options.codeArtifactOptions?.roleToAssume : void 0
            }
          };
        });
      }
      /**
       * Publishes artifacts from `dotnet/**` to NuGet Gallery.
       * @param options Options
       */
      publishToNuget(options = {}) {
        const isGitHubPackages = options.nugetServer?.startsWith(GITHUB_PACKAGES_NUGET_REPOSITORY);
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "nuget",
          publishTools: PUBLIB_TOOLCHAIN.dotnet,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-nuget"),
          registryName: "NuGet Gallery",
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          },
          workflowEnv: {
            NUGET_API_KEY: secret(isGitHubPackages ? "GITHUB_TOKEN" : options.nugetApiKeySecret ?? "NUGET_API_KEY"),
            NUGET_SERVER: options.nugetServer ?? void 0
          }
        }));
      }
      /**
       * Publishes artifacts from `java/**` to Maven.
       * @param options Options
       */
      publishToMaven(options = {}) {
        const isGitHubPackages = options.mavenRepositoryUrl?.startsWith(GITHUB_PACKAGES_MAVEN_REPOSITORY);
        const isGitHubActor = isGitHubPackages && options.mavenUsername == void 0;
        const mavenServerId = options.mavenServerId ?? (isGitHubPackages ? "github" : void 0);
        if (isGitHubPackages && mavenServerId != "github") {
          throw new Error('publishing to GitHub Packages requires the "mavenServerId" to be "github"');
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "maven",
          registryName: "Maven Central",
          publishTools: PUBLIB_TOOLCHAIN.java,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-maven"),
          env: {
            MAVEN_ENDPOINT: options.mavenEndpoint,
            MAVEN_SERVER_ID: mavenServerId,
            MAVEN_REPOSITORY_URL: options.mavenRepositoryUrl
          },
          workflowEnv: {
            MAVEN_GPG_PRIVATE_KEY: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeySecret ?? "MAVEN_GPG_PRIVATE_KEY"),
            MAVEN_GPG_PRIVATE_KEY_PASSPHRASE: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeyPassphrase ?? "MAVEN_GPG_PRIVATE_KEY_PASSPHRASE"),
            MAVEN_PASSWORD: secret(options.mavenPassword ?? (isGitHubPackages ? "GITHUB_TOKEN" : "MAVEN_PASSWORD")),
            MAVEN_USERNAME: isGitHubActor ? "${{ github.actor }}" : secret(options.mavenUsername ?? "MAVEN_USERNAME"),
            MAVEN_STAGING_PROFILE_ID: isGitHubPackages ? void 0 : secret(options.mavenStagingProfileId ?? "MAVEN_STAGING_PROFILE_ID")
          },
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          }
        }));
      }
      /**
       * Publishes wheel artifacts from `python` to PyPI.
       * @param options Options
       */
      publishToPyPi(options = {}) {
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "pypi",
          registryName: "PyPI",
          publishTools: PUBLIB_TOOLCHAIN.python,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-pypi"),
          env: {
            TWINE_REPOSITORY_URL: options.twineRegistryUrl
          },
          workflowEnv: {
            TWINE_USERNAME: secret(options.twineUsernameSecret ?? "TWINE_USERNAME"),
            TWINE_PASSWORD: secret(options.twinePasswordSecret ?? "TWINE_PASSWORD")
          }
        }));
      }
      /**
       * Adds a go publishing job.
       * @param options Options
       */
      publishToGo(options = {}) {
        const prePublishSteps = options.prePublishSteps ?? [];
        const workflowEnv = {};
        if (options.githubUseSsh) {
          workflowEnv.GITHUB_USE_SSH = "true";
          workflowEnv.SSH_AUTH_SOCK = "/tmp/ssh_agent.sock";
          prePublishSteps.push({
            name: "Setup GitHub deploy key",
            run: 'ssh-agent -a ${SSH_AUTH_SOCK} && ssh-add - <<< "${GITHUB_DEPLOY_KEY}"',
            env: {
              GITHUB_DEPLOY_KEY: secret(options.githubDeployKeySecret ?? "GO_GITHUB_DEPLOY_KEY"),
              SSH_AUTH_SOCK: workflowEnv.SSH_AUTH_SOCK
            }
          });
        } else {
          workflowEnv.GITHUB_TOKEN = secret(options.githubTokenSecret ?? "GO_GITHUB_TOKEN");
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "golang",
          publishTools: PUBLIB_TOOLCHAIN.go,
          prePublishSteps,
          run: this.publibCommand("publib-golang"),
          registryName: "GitHub Go Module Repository",
          env: {
            GITHUB_REPO: options.githubRepo,
            GIT_BRANCH: options.gitBranch,
            GIT_USER_NAME: options.gitUserName ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.name,
            GIT_USER_EMAIL: options.gitUserEmail ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.email,
            GIT_COMMIT_MESSAGE: options.gitCommitMessage
          },
          workflowEnv
        }));
      }
      addPublishJob(factory) {
        this._jobFactories.push((branch, branchOptions) => {
          const opts = factory(branch, branchOptions);
          const jobname = `release_${opts.name}`;
          if (jobname in this._jobFactories) {
            throw new Error(`Duplicate job with name "${jobname}"`);
          }
          const commandToRun = this.dryRun ? `echo "DRY RUN: ${opts.run}"` : opts.run;
          const requiredEnv = new Array();
          const jobEnv = { ...opts.env };
          const workflowEnvEntries = Object.entries(opts.workflowEnv ?? {}).filter(([_, value]) => value != void 0);
          for (const [name, expression] of workflowEnvEntries) {
            requiredEnv.push(name);
            jobEnv[name] = expression;
          }
          if (this.publishTasks) {
            const branchSuffix = branch === "main" || branch === "master" ? "" : `:${branch}`;
            const task = this.project.addTask(`publish:${opts.name.toLocaleLowerCase()}${branchSuffix}`, {
              description: `Publish this package to ${opts.registryName}`,
              env: opts.env,
              requiredEnv
            });
            task.exec(`test "$(git branch --show-current)" = "${branch}"`);
            task.exec(commandToRun);
          }
          const steps = [
            {
              name: "Download build artifacts",
              uses: "actions/download-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: ARTIFACTS_DOWNLOAD_DIR
                // this must be "dist" for publib
              }
            },
            {
              name: "Restore build artifact permissions",
              continueOnError: true,
              run: [
                `cd ${ARTIFACTS_DOWNLOAD_DIR} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
              ].join("\n")
            },
            ...opts.prePublishSteps,
            {
              name: "Release",
              // it would have been nice if we could just run "projen publish:xxx" here but that is not possible because this job does not checkout sources
              run: commandToRun,
              env: jobEnv
            }
          ];
          const perms = opts.permissions ?? { contents: workflows_model_1.JobPermission.READ };
          const container = this.workflowContainerImage ? {
            image: this.workflowContainerImage
          } : void 0;
          if (this.failureIssue) {
            steps.push(...[
              {
                name: "Extract Version",
                if: "${{ failure() }}",
                id: "extract-version",
                run: 'echo "VERSION=$(cat dist/version.txt)" >> $GITHUB_OUTPUT'
              },
              {
                name: "Create Issue",
                if: "${{ failure() }}",
                uses: "imjohnbo/issue-bot@v3",
                with: {
                  labels: this.failureIssueLabel,
                  title: `Publishing v\${{ steps.extract-version.outputs.VERSION }} to ${opts.registryName} failed`,
                  body: "See https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}"
                },
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                }
              }
            ]);
            Object.assign(perms, { issues: workflows_model_1.JobPermission.WRITE });
          }
          return {
            [jobname]: {
              tools: {
                node: { version: this.workflowNodeVersion },
                ...opts.publishTools
              },
              name: `Publish to ${opts.registryName}`,
              permissions: perms,
              if: this.condition,
              needs: [this.buildJobId],
              runsOn: this.runsOn,
              container,
              steps
            }
          };
        });
      }
      publibCommand(command) {
        return `npx -p publib@${this.publibVersion} ${command}`;
      }
      githubReleaseCommand(options, branchOptions) {
        const changelogFile = options.changelogFile;
        const releaseTagFile = options.releaseTagFile;
        const releaseTag = `$(cat ${releaseTagFile})`;
        const ghReleaseCommand = [
          `gh release create ${releaseTag}`,
          "-R $GITHUB_REPOSITORY",
          `-F ${changelogFile}`,
          `-t ${releaseTag}`,
          "--target $GITHUB_REF"
        ];
        if (branchOptions.prerelease) {
          ghReleaseCommand.push("-p");
        }
        const ghRelease = ghReleaseCommand.join(" ");
        const idempotentRelease = [
          "errout=$(mktemp);",
          `${ghRelease} 2> $errout && true;`,
          "exitcode=$?;",
          'if [ $exitcode -ne 0 ] && ! grep -q "Release.tag_name already exists" $errout; then',
          "cat $errout;",
          "exit $exitcode;",
          "fi"
        ].join(" ");
        return idempotentRelease;
      }
    };
    exports2.Publisher = Publisher;
    _a = JSII_RTTI_SYMBOL_1;
    Publisher[_a] = { fqn: "projen.release.Publisher", version: "0.71.112" };
    Publisher.PUBLISH_GIT_TASK_NAME = "publish:git";
    function secret(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    function isAwsCodeArtifactRegistry(registryUrl) {
      return registryUrl && AWS_CODEARTIFACT_REGISTRY_REGEX.test(registryUrl);
    }
    exports2.isAwsCodeArtifactRegistry = isAwsCodeArtifactRegistry;
  }
});

// ../../components/environments/node_modules/projen/lib/release/release-trigger.js
var require_release_trigger = __commonJS({
  "../../components/environments/node_modules/projen/lib/release/release-trigger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReleaseTrigger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var ReleaseTrigger = class _ReleaseTrigger {
      /**
       * Creates a manual release trigger.
       *
       * Use this option if you want totally manual releases.
       *
       * This will give you a release task that, in addition to the normal
       * release activities will trigger a `publish:git` task. This task will
       * handle project-level changelog management, release tagging, and pushing
       * these artifacts to origin.
       *
       * The command used for pushing can be customised by specifying
       * `gitPushCommand`. Set to an empty string to disable pushing entirely.
       *
       * Simply run `yarn release` to trigger a manual release.
       *
       * @param options release options
       */
      static manual(options = {}) {
        let changelogPath;
        if (options.changelog ?? true) {
          changelogPath = options.changelogPath ?? "CHANGELOG.md";
        }
        return new _ReleaseTrigger({
          changelogPath,
          gitPushCommand: options.gitPushCommand
        });
      }
      /**
       * Creates a scheduled release trigger.
       *
       * Automated releases will occur based on the provided cron schedule.
       *
       * @param options release options.
       */
      static scheduled(options) {
        return new _ReleaseTrigger({
          schedule: options.schedule
        });
      }
      /**
       * Creates a continuous release trigger.
       *
       * Automated releases will occur on every commit.
       */
      static continuous() {
        return new _ReleaseTrigger({
          continuous: true
        });
      }
      constructor(options = {}) {
        this.isContinuous = options.continuous ?? false;
        this.schedule = options.schedule;
        this.changelogPath = options.changelogPath;
        this.gitPushCommand = options.gitPushCommand;
      }
      /**
       * Whether or not this is a manual release trigger.
       */
      get isManual() {
        return !(this.isContinuous || this.schedule);
      }
    };
    exports2.ReleaseTrigger = ReleaseTrigger;
    _a = JSII_RTTI_SYMBOL_1;
    ReleaseTrigger[_a] = { fqn: "projen.release.ReleaseTrigger", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/actions-provider.js
var require_actions_provider = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/actions-provider.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubActionsProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var GitHubActionsProvider = class {
      constructor() {
        this.actions = /* @__PURE__ */ new Map();
      }
      /**
       * Define an override for a given action.
       *
       * Specify the action name without a version to override all usages of the action.
       * You can also override a specific action version, by providing the version string.
       * Specific overrides take precedence over overrides without a version.
       *
       * If an override for the same action name is set multiple times, the last override is used.
       *
       * @example
       * // Force any use of `actions/checkout` to use a pin a specific commit
       * project.github.actions.set("actions/checkout", "actions/checkout@aaaaaa");
       *
       * // But pin usage of `v3` to a different commit
       * project.github.actions.set("actions/checkout@v3", "actions/checkout@ffffff");
       */
      set(action, override) {
        this.actions.set(action, override);
      }
      /**
       * Resolve an action name to the version that should be used,
       * taking into account any overrides.
       */
      get(action) {
        const parts = action.split("@", 1);
        return this.actions.get(action) ?? this.actions.get(parts[0]) ?? action;
      }
    };
    exports2.GitHubActionsProvider = GitHubActionsProvider;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubActionsProvider[_a] = { fqn: "projen.github.GitHubActionsProvider", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/dependabot.js
var require_dependabot = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/dependabot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Dependabot = exports2.VersioningStrategy = exports2.DependabotScheduleInterval = exports2.DependabotRegistryType = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var util_1 = require_util2();
    var yaml_1 = require_yaml();
    var DependabotRegistryType;
    (function(DependabotRegistryType2) {
      DependabotRegistryType2["COMPOSER_REGISTRY"] = "composer-registry";
      DependabotRegistryType2["DOCKER_REGISTRY"] = "docker-registry";
      DependabotRegistryType2["GIT"] = "git";
      DependabotRegistryType2["HEX_ORGANIZATION"] = "hex-organization";
      DependabotRegistryType2["MAVEN_REPOSITORY"] = "maven-repository";
      DependabotRegistryType2["NPM_REGISTRY"] = "npm-registry";
      DependabotRegistryType2["NUGET_FEED"] = "nuget-feed";
      DependabotRegistryType2["PYTHON_INDEX"] = "python-index";
      DependabotRegistryType2["RUBYGEMS_SERVER"] = "rubygems-server";
      DependabotRegistryType2["TERRAFORM_REGISTRY"] = "terraform-registry";
    })(DependabotRegistryType || (exports2.DependabotRegistryType = DependabotRegistryType = {}));
    var DependabotScheduleInterval;
    (function(DependabotScheduleInterval2) {
      DependabotScheduleInterval2["DAILY"] = "daily";
      DependabotScheduleInterval2["WEEKLY"] = "weekly";
      DependabotScheduleInterval2["MONTHLY"] = "monthly";
    })(DependabotScheduleInterval || (exports2.DependabotScheduleInterval = DependabotScheduleInterval = {}));
    var VersioningStrategy;
    (function(VersioningStrategy2) {
      VersioningStrategy2["LOCKFILE_ONLY"] = "lockfile-only";
      VersioningStrategy2["AUTO"] = "auto";
      VersioningStrategy2["WIDEN"] = "widen";
      VersioningStrategy2["INCREASE"] = "increase";
      VersioningStrategy2["INCREASE_IF_NECESSARY"] = "increase-if-necessary";
    })(VersioningStrategy || (exports2.VersioningStrategy = VersioningStrategy = {}));
    var Dependabot = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const project = github.project;
        this.ignore = [];
        this.ignoresProjen = options.ignoreProjen ?? true;
        const registries = options.registries ? (0, util_1.kebabCaseKeys)(options.registries) : void 0;
        this.config = {
          version: 2,
          registries,
          updates: [
            {
              "package-ecosystem": "npm",
              "versioning-strategy": "lockfile-only",
              directory: "/",
              schedule: {
                interval: options.scheduleInterval ?? DependabotScheduleInterval.DAILY
              },
              ignore: () => this.ignore.length > 0 ? this.ignore : void 0,
              labels: options.labels ? options.labels : void 0,
              registries: registries ? Object.keys(registries) : void 0
            }
          ]
        };
        new yaml_1.YamlFile(project, ".github/dependabot.yml", {
          obj: this.config,
          committed: true
        });
        for (const i of options.ignore ?? []) {
          this.addIgnore(i.dependencyName, ...i.versions ?? []);
        }
        if (this.ignoresProjen) {
          this.addIgnore("projen");
        }
      }
      /**
       * Ignores a dependency from automatic updates.
       *
       * @param dependencyName Use to ignore updates for dependencies with matching
       * names, optionally using `*` to match zero or more characters.
       * @param versions Use to ignore specific versions or ranges of versions. If
       * you want to define a range, use the standard pattern for the package
       * manager (for example: `^1.0.0` for npm, or `~> 2.0` for Bundler).
       */
      addIgnore(dependencyName, ...versions) {
        this.ignore.push({
          "dependency-name": dependencyName,
          versions: () => versions.length > 0 ? versions : void 0
        });
      }
    };
    exports2.Dependabot = Dependabot;
    _a = JSII_RTTI_SYMBOL_1;
    Dependabot[_a] = { fqn: "projen.github.Dependabot", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/github-credentials.js
var require_github_credentials = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/github-credentials.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubCredentials = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var util_1 = require_util2();
    var GithubCredentials = class _GithubCredentials {
      /**
       * Provide API access through a GitHub personal access token.
       *
       * The token must be added as a secret to the GitHub repo, and the name of the
       * secret can be specified here.
       *
       * @see https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/creating-a-personal-access-token
       * @default - a secret named "PROJEN_GITHUB_TOKEN"
       */
      static fromPersonalAccessToken(options = {}) {
        return new _GithubCredentials({
          setupSteps: [],
          tokenRef: `\${{ secrets.${options.secret ?? "PROJEN_GITHUB_TOKEN"} }}`
        });
      }
      /**
       * Provide API access through a GitHub App.
       *
       * The GitHub App must be installed on the GitHub repo, its App ID and a
       * private key must be added as secrets to the repo. The name of the secrets
       * can be specified here.
       *
       * @see https://docs.github.com/en/developers/apps/building-github-apps/creating-a-github-app
       * @see https://projen.io/github.html#github-app
       * @default - app id stored in "PROJEN_APP_ID" and private key stored in "PROJEN_APP_PRIVATE_KEY" with all permissions attached to the app
       */
      static fromApp(options = {}) {
        const appIdSecret = options.appIdSecret ?? "PROJEN_APP_ID";
        const privateKeySecret = options.privateKeySecret ?? "PROJEN_APP_PRIVATE_KEY";
        return new _GithubCredentials({
          setupSteps: [
            {
              name: "Generate token",
              id: "generate_token",
              uses: "tibdex/github-app-token@021a2405c7f990db57f5eae5397423dcc554159c",
              with: {
                app_id: `\${{ secrets.${appIdSecret} }}`,
                private_key: `\${{ secrets.${privateKeySecret} }}`,
                permissions: options.permissions ? JSON.stringify((0, util_1.snakeCaseKeys)(options.permissions)) : void 0
              }
            }
          ],
          tokenRef: "${{ steps.generate_token.outputs.token }}"
        });
      }
      constructor(options) {
        this.options = options;
      }
      /**
       * Setup steps to obtain GitHub credentials.
       */
      get setupSteps() {
        return [...this.options.setupSteps];
      }
      /**
       * The value to use in a workflow when a GitHub token is expected. This
       * typically looks like "${{ some.path.to.a.value }}".
       */
      get tokenRef() {
        return this.options.tokenRef;
      }
    };
    exports2.GithubCredentials = GithubCredentials;
    _a = JSII_RTTI_SYMBOL_1;
    GithubCredentials[_a] = { fqn: "projen.github.GithubCredentials", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/mergify.js
var require_mergify = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/mergify.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Mergify = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var util_1 = require_util2();
    var yaml_1 = require_yaml();
    var Mergify = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.rules = new Array();
        this.queues = new Array();
        for (const rule of options.rules ?? []) {
          this.addRule(rule);
        }
        for (const queue of options.queues ?? []) {
          this.addQueue(queue);
        }
      }
      createYamlFile() {
        if (this.yamlFile == null) {
          this.yamlFile = new yaml_1.YamlFile(this.project, ".mergify.yml", {
            obj: {
              queue_rules: () => this.queues.map((q) => (0, util_1.snakeCaseKeys)(q, false)),
              pull_request_rules: this.rules
            },
            // Mergify needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      addRule(rule) {
        this.rules.push(rule);
        this.createYamlFile();
      }
      addQueue(queue) {
        this.queues.push(queue);
        this.createYamlFile();
      }
    };
    exports2.Mergify = Mergify;
    _a = JSII_RTTI_SYMBOL_1;
    Mergify[_a] = { fqn: "projen.github.Mergify", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/pr-template.js
var require_pr_template = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/pr-template.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestTemplate = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var textfile_1 = require_textfile();
    var PullRequestTemplate = class extends textfile_1.TextFile {
      constructor(github, options = {}) {
        super(github.project, ".github/pull_request_template.md", {
          lines: options.lines && options.lines?.length > 0 ? options.lines : ["Fixes #"],
          marker: false,
          // GitHub needs to read the file from the repository in order to work.
          committed: true
        });
      }
    };
    exports2.PullRequestTemplate = PullRequestTemplate;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestTemplate[_a] = { fqn: "projen.github.PullRequestTemplate", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/pull-request-lint.js
var require_pull_request_lint = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/pull-request-lint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestLint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model();
    var component_1 = require_component();
    var PullRequestLint = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        if (options.semanticTitle ?? true) {
          const opts = options.semanticTitleOptions ?? {};
          const types = opts.types ?? ["feat", "fix", "chore"];
          const validateJob = {
            name: "Validate PR title",
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "amannn/action-semantic-pull-request@v5.0.2",
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                },
                with: {
                  types: types.join("\n"),
                  requireScope: opts.requireScope ?? false
                }
              }
            ]
          };
          const workflow = github.addWorkflow("pull-request-lint");
          workflow.on({
            pullRequestTarget: {
              types: [
                "labeled",
                "opened",
                "synchronize",
                "reopened",
                "ready_for_review",
                "edited"
              ]
            }
          });
          workflow.addJobs({ validate: validateJob });
        }
      }
    };
    exports2.PullRequestLint = PullRequestLint;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestLint[_a] = { fqn: "projen.github.PullRequestLint", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/workflows.js
var require_workflows = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/workflows.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var case_1 = require_Case();
    var _resolve_1 = require_resolve();
    var component_1 = require_component();
    var util_1 = require_util2();
    var yaml_1 = require_yaml();
    var GithubWorkflow = class extends component_1.Component {
      constructor(github, name, options = {}) {
        super(github.project);
        this.events = {};
        this.jobs = {};
        this.name = name;
        this.concurrency = options.concurrency;
        this.projenCredentials = github.projenCredentials;
        this.actions = github.actions;
        const workflowsEnabled = github.workflowsEnabled || options.force;
        if (workflowsEnabled) {
          this.file = new yaml_1.YamlFile(this.project, `.github/workflows/${name.toLocaleLowerCase()}.yml`, {
            obj: () => this.renderWorkflow(),
            // GitHub needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      /**
       * Add events to triggers the workflow.
       *
       * @param events The event(s) to trigger the workflow.
       */
      on(events) {
        this.events = {
          ...this.events,
          ...events
        };
      }
      /**
       * Adds a single job to the workflow.
       * @param id The job name (unique within the workflow)
       * @param job The job specification
       */
      addJob(id, job) {
        this.addJobs({ [id]: job });
      }
      /**
       * Add jobs to the workflow.
       *
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        verifyJobConstraints(jobs);
        this.jobs = {
          ...this.jobs,
          ...jobs
        };
      }
      /**
       * Get a single job from the workflow.
       * @param id The job name (unique within the workflow)
       */
      getJob(id) {
        return this.jobs[id];
      }
      /**
       * Updates a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      updateJob(id, job) {
        this.updateJobs({ [id]: job });
      }
      /**
       * Updates jobs for this worklow
       * Does a complete replace, it does not try to merge the jobs
       *
       * @param jobs Jobs to update.
       */
      updateJobs(jobs) {
        verifyJobConstraints(jobs);
        const newJobIds = Object.keys(jobs);
        const updatedJobs = Object.entries(this.jobs).map(([jobId, job]) => {
          if (newJobIds.includes(jobId)) {
            return [jobId, jobs[jobId]];
          }
          return [jobId, job];
        });
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      /**
       * Removes a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      removeJob(id) {
        const updatedJobs = Object.entries(this.jobs).filter(([jobId]) => jobId !== id);
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      renderWorkflow() {
        return {
          name: this.name,
          "run-name": this.runName,
          on: snakeCaseKeys(this.events),
          concurrency: this.concurrency,
          jobs: renderJobs(this.jobs, this.actions)
        };
      }
    };
    exports2.GithubWorkflow = GithubWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    GithubWorkflow[_a] = { fqn: "projen.github.GithubWorkflow", version: "0.71.112" };
    function snakeCaseKeys(obj) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map(snakeCaseKeys);
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null) {
          v = snakeCaseKeys(v);
        }
        result[(0, case_1.snake)(k)] = v;
      }
      return result;
    }
    function renderJobs(jobs, actions) {
      const result = {};
      for (const [name, job] of Object.entries(jobs)) {
        result[name] = renderJob(job);
      }
      return result;
      function renderJob(job) {
        const steps = new Array();
        if ("uses" in job) {
          return {
            name: job.name,
            needs: arrayOrScalar(job.needs),
            if: job.if,
            permissions: (0, util_1.kebabCaseKeys)(job.permissions),
            concurrency: job.concurrency,
            uses: job.uses,
            with: job.with,
            secrets: job.secrets,
            strategy: renderJobStrategy(job.strategy)
          };
        }
        if (job.tools) {
          steps.push(...setupTools(job.tools));
        }
        const userDefinedSteps = (0, util_1.kebabCaseKeys)((0, _resolve_1.resolve)(job.steps), false);
        steps.push(...userDefinedSteps);
        return {
          name: job.name,
          needs: arrayOrScalar(job.needs),
          "runs-on": arrayOrScalar(job.runsOn),
          permissions: (0, util_1.kebabCaseKeys)(job.permissions),
          environment: job.environment,
          concurrency: job.concurrency,
          outputs: renderJobOutputs(job.outputs),
          env: job.env,
          defaults: (0, util_1.kebabCaseKeys)(job.defaults),
          if: job.if,
          steps: steps.map(renderStep),
          "timeout-minutes": job.timeoutMinutes,
          strategy: renderJobStrategy(job.strategy),
          "continue-on-error": job.continueOnError,
          container: job.container,
          services: job.services
        };
      }
      function renderJobOutputs(output) {
        if (output == null) {
          return void 0;
        }
        const rendered = {};
        for (const [name, { stepId, outputName }] of Object.entries(output)) {
          rendered[name] = `\${{ steps.${stepId}.outputs.${outputName} }}`;
        }
        return rendered;
      }
      function renderJobStrategy(strategy) {
        if (strategy == null) {
          return void 0;
        }
        const rendered = {
          "max-parallel": strategy.maxParallel,
          "fail-fast": strategy.failFast
        };
        if (strategy.matrix) {
          const matrix = {
            include: strategy.matrix.include,
            exclude: strategy.matrix.exclude
          };
          for (const [key, values] of Object.entries(strategy.matrix.domain ?? {})) {
            if (key in matrix) {
              throw new Error(`Illegal job strategy matrix key: ${key}`);
            }
            matrix[key] = values;
          }
          rendered.matrix = matrix;
        }
        return rendered;
      }
      function renderStep(step) {
        return {
          name: step.name,
          id: step.id,
          if: step.if,
          uses: step.uses && actions.get(step.uses),
          env: step.env,
          run: step.run,
          with: step.with,
          "continue-on-error": step.continueOnError,
          "timeout-minutes": step.timeoutMinutes,
          "working-directory": step.workingDirectory
        };
      }
    }
    function arrayOrScalar(arr) {
      if (arr == null || arr.length === 0) {
        return arr;
      }
      if (arr.length === 1) {
        return arr[0];
      }
      return arr;
    }
    function setupTools(tools) {
      const steps = [];
      if (tools.java) {
        steps.push({
          uses: "actions/setup-java@v3",
          with: { distribution: "temurin", "java-version": tools.java.version }
        });
      }
      if (tools.node) {
        steps.push({
          uses: "actions/setup-node@v3",
          with: { "node-version": tools.node.version }
        });
      }
      if (tools.python) {
        steps.push({
          uses: "actions/setup-python@v4",
          with: { "python-version": tools.python.version }
        });
      }
      if (tools.go) {
        steps.push({
          uses: "actions/setup-go@v3",
          with: { "go-version": tools.go.version }
        });
      }
      if (tools.dotnet) {
        steps.push({
          uses: "actions/setup-dotnet@v3",
          with: { "dotnet-version": tools.dotnet.version }
        });
      }
      return steps;
    }
    function verifyJobConstraints(jobs) {
      for (const [id, job] of Object.entries(jobs)) {
        if (!job.permissions) {
          throw new Error(`${id}: all workflow jobs must have a "permissions" clause to ensure workflow can operate in restricted repositories`);
        }
      }
      for (const [id, job] of Object.entries(jobs)) {
        if (!("uses" in job)) {
          if ("runsOn" in job && job.runsOn.length === 0) {
            throw new Error(`${id}: at least one runner selector labels must be provided in "runsOn" to ensure a runner instance can be selected`);
          }
        }
      }
    }
  }
});

// ../../components/environments/node_modules/projen/lib/github/github.js
var require_github = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/github.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHub = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var actions_provider_1 = require_actions_provider();
    var dependabot_1 = require_dependabot();
    var github_credentials_1 = require_github_credentials();
    var mergify_1 = require_mergify();
    var pr_template_1 = require_pr_template();
    var pull_request_lint_1 = require_pull_request_lint();
    var workflows_1 = require_workflows();
    var component_1 = require_component();
    var GitHub = class _GitHub extends component_1.Component {
      /**
       * Returns the `GitHub` component of a project or `undefined` if the project
       * does not have a GitHub component.
       */
      static of(project) {
        const isGitHub = (c) => c instanceof _GitHub;
        return project.components.find(isGitHub);
      }
      constructor(project, options = {}) {
        super(project);
        this.actions = new actions_provider_1.GitHubActionsProvider();
        this.workflowsEnabled = options.workflows ?? true;
        this._downloadLfs = options.downloadLfs;
        if (options.projenCredentials && options.projenTokenSecret) {
          throw new Error("projenTokenSecret is deprecated, please use projenCredentials instead");
        }
        if (options.projenTokenSecret) {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: options.projenTokenSecret
          });
        } else if (options.projenCredentials) {
          this.projenCredentials = options.projenCredentials;
        } else {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: "PROJEN_GITHUB_TOKEN"
          });
        }
        if (options.mergify ?? true) {
          this.mergify = new mergify_1.Mergify(this, options.mergifyOptions);
        }
        if (options.pullRequestLint ?? true) {
          new pull_request_lint_1.PullRequestLint(this, options.pullRequestLintOptions);
        }
      }
      /**
       * All workflows.
       */
      get workflows() {
        const isWorkflow = (c) => c instanceof workflows_1.GithubWorkflow;
        return this.project.components.filter(isWorkflow).sort((w1, w2) => w1.name.localeCompare(w2.name));
      }
      /**
       * Adds a workflow to the project.
       * @param name Name of the workflow
       * @returns a GithubWorkflow instance
       */
      addWorkflow(name) {
        const workflow = new workflows_1.GithubWorkflow(this, name);
        return workflow;
      }
      addPullRequestTemplate(...content) {
        return new pr_template_1.PullRequestTemplate(this, { lines: content });
      }
      addDependabot(options) {
        return new dependabot_1.Dependabot(this, options);
      }
      /**
       * Finds a GitHub workflow by name. Returns `undefined` if the workflow cannot be found.
       * @param name The name of the GitHub workflow
       */
      tryFindWorkflow(name) {
        return this.workflows.find((w) => w.name === name);
      }
      /**
       * Whether downloading from LFS is enabled for this GitHub project
       */
      get downloadLfs() {
        return this._downloadLfs ?? this.project.gitattributes.hasLfsPatterns;
      }
    };
    exports2.GitHub = GitHub;
    _a = JSII_RTTI_SYMBOL_1;
    GitHub[_a] = { fqn: "projen.github.GitHub", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/auto-merge.js
var require_auto_merge = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/auto-merge.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoMerge = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var AutoMerge = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.lazyConditions = new Array();
        const mergify = github.mergify;
        if (!mergify) {
          throw new Error("auto merging requires mergify to be enabled");
        }
        const blockingLabels = options.blockingLabels ?? ["do-not-merge"];
        const blockingCondition = blockingLabels?.length ? [`-label~=(${blockingLabels.join("|")})`] : [];
        const mergeAction = {
          delete_head_branch: {},
          queue: {
            // squash all commits into a single commit when merging
            // method: "squash",
            method: "squash",
            name: "default",
            // use PR title+body as the commit message
            commit_message_template: [
              "{{ title }} (#{{ number }})",
              "",
              "{{ body }}"
            ].join("\n")
          }
        };
        const approvedReviews = options.approvedReviews ?? 1;
        this.addConditions(`#approved-reviews-by>=${approvedReviews}`);
        this.addConditions(...blockingCondition);
        mergify.addRule({
          name: "Automatic merge on approval and successful build",
          actions: mergeAction,
          conditions: () => this.renderConditions()
        });
        mergify.addQueue({
          name: "default",
          updateMethod: "merge",
          conditions: () => this.renderConditions()
        });
        this.project.addPackageIgnore("/.mergify.yml");
      }
      /**
       * Adds conditions to the auto merge rule.
       * @param conditions The conditions to add (mergify syntax)
       */
      addConditions(...conditions) {
        this.addConditionsLater({ render: () => conditions });
      }
      /**
       * Adds conditions that will be rendered only during synthesis.
       * @param later The later
       */
      addConditionsLater(later) {
        this.lazyConditions.push(later);
      }
      renderConditions() {
        const output = new Array();
        for (const later of this.lazyConditions) {
          output.push(...later.render());
        }
        return output;
      }
    };
    exports2.AutoMerge = AutoMerge;
    _a = JSII_RTTI_SYMBOL_1;
    AutoMerge[_a] = { fqn: "projen.github.AutoMerge", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/auto-approve.js
var require_auto_approve = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/auto-approve.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoApprove = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model();
    var component_1 = require_component();
    var AutoApprove = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.label = options.label ?? "auto-approve";
        const usernames = options.allowedUsernames ?? ["github-actions[bot]"];
        let condition = `contains(github.event.pull_request.labels.*.name, '${this.label}')`;
        if (usernames.length > 0) {
          condition += " && (";
          condition += usernames.map((u) => `github.event.pull_request.user.login == '${u}'`).join(" || ");
          condition += ")";
        }
        const secret = options.secret ?? "GITHUB_TOKEN";
        const approveJob = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          permissions: {
            pullRequests: workflows_model_1.JobPermission.WRITE
          },
          if: condition,
          steps: [
            {
              uses: "hmarr/auto-approve-action@v2.2.1",
              with: {
                "github-token": `\${{ secrets.${secret} }}`
              }
            }
          ]
        };
        const workflow = github.addWorkflow("auto-approve");
        workflow.on({
          // The 'pull request' event gives the workflow 'read-only' permissions on some
          // pull requests (such as the ones from dependabot) when using the `GITHUB_TOKEN`
          // security token. This prevents the workflow from approving these pull requests.
          // Github has placed this guard so as to prevent security attacks by simply opening
          // a pull request and triggering a workflow on a commit that was not vetted to make
          // unintended changes to the repository.
          //
          // Instead use the 'pull request target' event here that gives the Github workflow
          // 'read-write' permissions. This is safe because, this event, unlike the 'pull request'
          // event references the BASE commit of the pull request and not the HEAD commit.
          pullRequestTarget: {
            types: [
              "labeled",
              "opened",
              "synchronize",
              "reopened",
              "ready_for_review"
            ]
          }
        });
        workflow.addJobs({ approve: approveJob });
      }
    };
    exports2.AutoApprove = AutoApprove;
    _a = JSII_RTTI_SYMBOL_1;
    AutoApprove[_a] = { fqn: "projen.github.AutoApprove", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/stale-util.js
var require_stale_util = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/stale-util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderBehavior = void 0;
    function renderBehavior(behavior, opts) {
      const enabled = behavior?.enabled ?? true;
      if (!enabled) {
        return { daysBeforeStale: -1, daysBeforeClose: -1 };
      }
      const exemptLabels = behavior?.exemptLabels ?? ["backlog"];
      const messageSuffix = exemptLabels.length > 0 ? ` If you wish to exclude this issue from being marked as stale, add the "${exemptLabels[0]}" label.` : "";
      return {
        daysBeforeStale: behavior?.daysBeforeStale ?? opts.stale,
        daysBeforeClose: behavior?.daysBeforeClose ?? opts.close,
        staleMessage: behavior?.staleMessage ?? `This ${opts.type} is now marked as stale because it hasn't seen activity for a while. Add a comment or it will be closed soon.${messageSuffix}`,
        closeMessage: behavior?.closeMessage ?? `Closing this ${opts.type} as it hasn't seen activity for a while. Please add a comment @mentioning a maintainer to reopen.${messageSuffix}`,
        staleLabel: behavior?.staleLabel ?? "stale",
        exemptLabels
      };
    }
    exports2.renderBehavior = renderBehavior;
  }
});

// ../../components/environments/node_modules/projen/lib/github/stale.js
var require_stale = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/stale.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Stale = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var stale_util_1 = require_stale_util();
    var workflows_model_1 = require_workflows_model();
    var component_1 = require_component();
    var Stale = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const stale = github.addWorkflow("stale");
        stale.on({
          schedule: [{ cron: "0 1 * * *" }],
          workflowDispatch: {}
        });
        const pullRequests = (0, stale_util_1.renderBehavior)(options.pullRequest, {
          stale: 14,
          close: 2,
          type: "pull request"
        });
        const issues = (0, stale_util_1.renderBehavior)(options.issues, {
          stale: 60,
          close: 7,
          type: "issue"
        });
        const renderExemptLabels = (exemptLabels) => {
          if (!exemptLabels || exemptLabels.length === 0) {
            return void 0;
          }
          return exemptLabels.join(",");
        };
        stale.addJobs({
          stale: {
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              issues: workflows_model_1.JobPermission.WRITE,
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "actions/stale@v4",
                with: {
                  // disable global
                  "days-before-stale": -1,
                  "days-before-close": -1,
                  // pull requests
                  "days-before-pr-stale": pullRequests.daysBeforeStale,
                  "days-before-pr-close": pullRequests.daysBeforeClose,
                  "stale-pr-message": pullRequests.staleMessage,
                  "close-pr-message": pullRequests.closeMessage,
                  "stale-pr-label": pullRequests.staleLabel,
                  "exempt-pr-labels": renderExemptLabels(pullRequests.exemptLabels),
                  // issues
                  "days-before-issue-stale": issues.daysBeforeStale,
                  "days-before-issue-close": issues.daysBeforeClose,
                  "stale-issue-message": issues.staleMessage,
                  "close-issue-message": issues.closeMessage,
                  "stale-issue-label": issues.staleLabel,
                  "exempt-issue-labels": renderExemptLabels(issues.exemptLabels)
                }
              }
            ]
          }
        });
      }
    };
    exports2.Stale = Stale;
    _a = JSII_RTTI_SYMBOL_1;
    Stale[_a] = { fqn: "projen.github.Stale", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/workflow-actions.js
var require_workflow_actions = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/workflow-actions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowActions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants3();
    function context(value) {
      return `\${{ ${value} }}`;
    }
    var REPO = context("github.repository");
    var RUN_ID = context("github.run_id");
    var RUN_URL = `https://github.com/${REPO}/actions/runs/${RUN_ID}`;
    var GIT_PATCH_FILE_DEFAULT = ".repo.patch";
    var RUNNER_TEMP = "${{ runner.temp }}";
    var WorkflowActions = class {
      /**
       * Creates a .patch file from the current git diff and uploads it as an
       * artifact. Use `checkoutWithPatch` to download and apply in another job.
       *
       * If a patch was uploaded, the action can optionally fail the job.
       *
       * @param options Options
       * @returns Job steps
       */
      static uploadGitPatch(options) {
        const MUTATIONS_FOUND = `steps.${options.stepId}.outputs.${options.outputName}`;
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        const steps = [
          {
            id: options.stepId,
            name: options.stepName ?? "Find mutations",
            run: [
              "git add .",
              `git diff --staged --patch --exit-code > ${GIT_PATCH_FILE} || echo "${options.outputName}=true" >> $GITHUB_OUTPUT`
            ].join("\n")
          },
          {
            if: MUTATIONS_FOUND,
            name: "Upload patch",
            uses: "actions/upload-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: GIT_PATCH_FILE }
          }
        ];
        if (options.mutationError) {
          steps.push({
            name: "Fail build on mutation",
            if: MUTATIONS_FOUND,
            run: [
              `echo "::error::${options.mutationError}"`,
              `cat ${GIT_PATCH_FILE}`,
              "exit 1"
            ].join("\n")
          });
        }
        return steps;
      }
      /**
       * Checks out a repository and applies a git patch that was created using
       * `uploadGitPatch`.
       *
       * @param options Options
       * @returns Job steps
       */
      static checkoutWithPatch(options = {}) {
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              token: options.token,
              ref: options.ref,
              repository: options.repository,
              ...options.lfs ? { lfs: true } : {}
            }
          },
          {
            name: "Download patch",
            uses: "actions/download-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: RUNNER_TEMP }
          },
          {
            name: "Apply patch",
            run: `[ -s ${RUNNER_TEMP}/${GIT_PATCH_FILE} ] && git apply ${RUNNER_TEMP}/${GIT_PATCH_FILE} || echo "Empty patch. Skipping."`
          }
        ];
      }
      /**
       * Configures the git identity (user name and email).
       * @param id The identity to use
       * @returns Job steps
       */
      static setupGitIdentity(id) {
        return [
          {
            name: "Set git identity",
            run: [
              `git config user.name "${id.name}"`,
              `git config user.email "${id.email}"`
            ].join("\n")
          }
        ];
      }
      /**
       * A step that creates a pull request based on the current repo state.
       *
       * @param options Options
       * @returns Job steps
       */
      static createPullRequest(options) {
        const workflowName = options.workflowName;
        const branchName = options.branchName ?? `github-actions/${workflowName}`;
        const stepId = options.stepId ?? "create-pr";
        const stepName = options.stepName ?? "Create Pull Request";
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const committer = `${gitIdentity.name} <${gitIdentity.email}>`;
        const pullRequestDescription = options.pullRequestDescription.trimEnd().endsWith(".") ? options.pullRequestDescription.trimEnd() : `${options.pullRequestDescription.trimEnd()}.`;
        const title = options.pullRequestTitle;
        const description = [
          `${pullRequestDescription} See details in [workflow run].`,
          "",
          `[Workflow Run]: ${RUN_URL}`,
          "",
          "------",
          "",
          `*Automatically created by projen via the "${workflowName}" workflow*`
        ].join("\n");
        return [
          {
            name: stepName,
            id: stepId,
            uses: "peter-evans/create-pull-request@v4",
            with: {
              token: options.credentials?.tokenRef,
              "commit-message": `${title}

${description}`,
              branch: branchName,
              base: options.baseBranch,
              title,
              labels: options.labels?.join(",") || void 0,
              assignees: options.assignees?.join(",") || void 0,
              body: description,
              author: committer,
              committer,
              signoff: options.signoff ?? true
            }
          }
        ];
      }
    };
    exports2.WorkflowActions = WorkflowActions;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowActions[_a] = { fqn: "projen.github.WorkflowActions", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/workflow-jobs.js
var require_workflow_jobs = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/workflow-jobs.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowJobs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_github2();
    var constants_1 = require_constants3();
    var WorkflowJobs = class {
      /**
       * Creates a pull request with the changes of a patch file.
       *
       * @returns Job
       */
      static pullRequestFromPatch(options) {
        const jobName = options.jobName ?? "Create Pull Request";
        const runsOn = options.runsOn ?? ["ubuntu-latest"];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const steps = [
          ...options.credentials?.setupSteps || [],
          ..._1.WorkflowActions.checkoutWithPatch(options.patch),
          ..._1.WorkflowActions.setupGitIdentity(gitIdentity),
          ..._1.WorkflowActions.createPullRequest({
            ...options,
            gitIdentity
          })
        ];
        return {
          name: jobName,
          if: `\${{ needs.${options.patch.jobId}.outputs.${options.patch.outputName} }}`,
          needs: [options.patch.jobId],
          permissions: {
            contents: _1.workflows.JobPermission.READ
          },
          runsOn,
          steps
        };
      }
    };
    exports2.WorkflowJobs = WorkflowJobs;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowJobs[_a] = { fqn: "projen.github.WorkflowJobs", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/task-workflow.js
var require_task_workflow = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/task-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants3();
    var workflow_actions_1 = require_workflow_actions();
    var workflows_1 = require_workflows();
    var DEFAULT_JOB_ID = "build";
    var TaskWorkflow = class extends workflows_1.GithubWorkflow {
      constructor(github, options) {
        super(github, options.name);
        this.jobId = options.jobId ?? DEFAULT_JOB_ID;
        this.github = github;
        this.artifactsDirectory = options.artifactsDirectory;
        if (options.triggers) {
          if (options.triggers.issueComment) {
            throw new Error('Trigger "issueComment" should not be used due to a security concern');
          }
          this.on(options.triggers);
        }
        this.on({
          workflowDispatch: {}
          // allow manual triggering
        });
        const preCheckoutSteps = options.preCheckoutSteps ?? [];
        const checkoutWith = {};
        if (options.downloadLfs ?? github.downloadLfs) {
          checkoutWith.lfs = true;
        }
        Object.assign(checkoutWith, options.checkoutWith ?? {});
        const preBuildSteps = options.preBuildSteps ?? [];
        const postBuildSteps = options.postBuildSteps ?? [];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        if (this.artifactsDirectory) {
          postBuildSteps.push({
            name: "Upload artifact",
            uses: "actions/upload-artifact@v3",
            // Setting to always will ensure that this step will run even if
            // the previous ones have failed (e.g. coverage report, internal logs, etc)
            if: "always()",
            with: {
              name: this.artifactsDirectory,
              path: this.artifactsDirectory
            }
          });
        }
        const job = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          container: options.container,
          env: options.env,
          permissions: options.permissions,
          if: options.condition,
          outputs: options.outputs,
          steps: [
            ...preCheckoutSteps,
            // check out sources.
            {
              name: "Checkout",
              uses: "actions/checkout@v3",
              ...Object.keys(checkoutWith).length > 0 ? { with: checkoutWith } : {}
            },
            // sets git identity so we can push later
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(gitIdentity),
            ...preBuildSteps,
            // run the main build task
            {
              name: options.task.name,
              run: this.github.project.runTaskCommand(options.task)
            },
            ...postBuildSteps
          ]
        };
        this.addJobs({ [this.jobId]: job });
      }
    };
    exports2.TaskWorkflow = TaskWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    TaskWorkflow[_a] = { fqn: "projen.github.TaskWorkflow", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/clobber.js
var require_clobber = __commonJS({
  "../../components/environments/node_modules/projen/lib/clobber.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Clobber = void 0;
    var component_1 = require_component();
    var Clobber = class extends component_1.Component {
      constructor(project) {
        super(project);
        const task = this.project.addTask("clobber", {
          description: "hard resets to HEAD of origin and cleans the local repo",
          condition: "git diff --exit-code > /dev/null",
          env: {
            BRANCH: "$(git branch --show-current)"
          }
        });
        task.exec("git checkout -b scratch", {
          name: 'save current HEAD in "scratch" branch'
        });
        task.exec("git checkout $BRANCH");
        task.exec("git fetch origin", { name: "fetch latest changes from origin" });
        task.exec("git reset --hard origin/$BRANCH", {
          name: "hard reset to origin commit"
        });
        task.exec("git clean -fdx", { name: "clean all untracked files" });
        task.say('ready to rock! (unpushed commits are under the "scratch" branch)');
      }
    };
    exports2.Clobber = Clobber;
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/devcontainer.js
var require_devcontainer = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/devcontainer.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevContainer = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var json_1 = require_json();
    var DEVCONTAINER_FILE = ".devcontainer.json";
    var DevContainer = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.postCreateTasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.features = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        if (options.features) {
          this.addFeatures(...options.features);
        }
        this.config = {
          image: () => this.dockerImage?.image,
          build: {
            dockerfile: () => this.dockerImage?.dockerFile
          },
          postCreateCommand: () => this.renderTasks(),
          forwardPorts: this.ports,
          extensions: this.vscodeExtensions,
          features: () => this.renderFeatures()
        };
        new json_1.JsonFile(this.project, DEVCONTAINER_FILE, {
          obj: this.config,
          omitEmpty: true
        });
      }
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Adds tasks to run when the container starts. Tasks will be run in sequence.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.postCreateTasks.push(...tasks);
      }
      /**
       * Adds ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports);
      }
      /**
       * Adds a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      /**
       * Adds a list of VSCode features that should be automatically installed
       * in the container.
       *
       * @param features featureName and version(optional default: latest)
       */
      addFeatures(...features) {
        this.features.push(...features);
      }
      renderTasks() {
        if (this.postCreateTasks.length !== 0) {
          return this.postCreateTasks.map((task) => `( npx projen ${task.name} )`).join(" && ");
        } else {
          return void 0;
        }
      }
      renderFeatures() {
        if (this.features.length === 0) {
          return void 0;
        }
        return this.features.reduce((pv, feature) => {
          pv[feature.name] = {
            version: feature.version ?? "latest"
          };
          return pv;
        }, {});
      }
    };
    exports2.DevContainer = DevContainer;
    _a = JSII_RTTI_SYMBOL_1;
    DevContainer[_a] = { fqn: "projen.vscode.DevContainer", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/extensions.js
var require_extensions = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/extensions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeRecommendedExtensions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var json_1 = require_json();
    var VsCodeRecommendedExtensions = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.recommendations = [];
        this.unwantedRecommendations = [];
        new json_1.JsonFile(vscode.project, ".vscode/extensions.json", {
          omitEmpty: true,
          allowComments: true,
          obj: {
            recommendations: this.recommendations,
            unwantedRecommendations: this.unwantedRecommendations
          }
        });
      }
      /**
       * Adds a list of VS Code extensions as recommendations for this workspace.
       *
       * @param extensions The extension IDs
       */
      addRecommendations(...extensions) {
        this.recommendations.push(...extensions);
      }
      /**
       * Marks a list of VS Code extensions as unwanted recommendations for this workspace.
       * VS Code should not be recommend these extensions for users of this workspace.
       *
       * @param extensions The extension IDs
       */
      addUnwantedRecommendations(...extensions) {
        this.unwantedRecommendations.push(...extensions);
      }
    };
    exports2.VsCodeRecommendedExtensions = VsCodeRecommendedExtensions;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeRecommendedExtensions[_a] = { fqn: "projen.vscode.VsCodeRecommendedExtensions", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/launch-config.js
var require_launch_config = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/launch-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeLaunchConfig = exports2.InternalConsoleOptions = exports2.Console = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var json_1 = require_json();
    var Console;
    (function(Console2) {
      Console2["INTERNAL_CONSOLE"] = "internalConsole";
      Console2["INTEGRATED_TERMINAL"] = "integratedTerminal";
      Console2["EXTERNAL_TERMINAL"] = "externalTerminal";
    })(Console || (exports2.Console = Console = {}));
    var InternalConsoleOptions;
    (function(InternalConsoleOptions2) {
      InternalConsoleOptions2["NEVER_OPEN"] = "neverOpen";
      InternalConsoleOptions2["OPEN_ON_FIRST_SESSION_START"] = "openOnFirstSessionStart";
      InternalConsoleOptions2["OPEN_ON_SESSION_START"] = "openOnSessionStart";
    })(InternalConsoleOptions || (exports2.InternalConsoleOptions = InternalConsoleOptions = {}));
    var VsCodeLaunchConfig = class _VsCodeLaunchConfig extends component_1.Component {
      static renderLaunchConfig(cfg) {
        if (!cfg.env) {
          return cfg;
        }
        return {
          ...cfg,
          env: Object.fromEntries(Object.entries(cfg.env).map(([key, value]) => [
            key,
            value === false ? null : value
          ]))
        };
      }
      constructor(vscode) {
        super(vscode.project);
        this.content = {
          version: "0.2.0",
          configurations: []
        };
        new json_1.JsonFile(vscode.project, ".vscode/launch.json", {
          obj: () => ({
            ...this.content,
            configurations: this.content.configurations.map(_VsCodeLaunchConfig.renderLaunchConfig)
          })
        });
      }
      /**
       * Adds a VsCodeLaunchConfigurationEntry (e.g. a node.js debugger) to `.vscode/launch.json.
       * Each configuration entry has following mandatory fields: type, request and name.
       * See https://code.visualstudio.com/docs/editor/debugging#_launchjson-attributes for details.
       * @param cfg VsCodeLaunchConfigurationEntry
       */
      addConfiguration(cfg) {
        this.content.configurations.push(cfg);
      }
    };
    exports2.VsCodeLaunchConfig = VsCodeLaunchConfig;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeLaunchConfig[_a] = { fqn: "projen.vscode.VsCodeLaunchConfig", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/settings.js
var require_settings = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/settings.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeSettings = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var json_1 = require_json();
    var VsCodeSettings = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.content = {};
        new json_1.JsonFile(vscode.project, ".vscode/settings.json", {
          omitEmpty: false,
          obj: this.content
        });
      }
      /**
       * Adds a workspace setting
       *
       * @param setting The setting ID
       * @param value The value of the setting
       * @param language Scope the setting to a specific language
       */
      addSetting(setting, value, language) {
        if (language) {
          this.content[`[${language}]`] = this.content[`[${language}]`] ?? {};
          this.content[`[${language}]`][setting] = value;
        } else {
          this.content[setting] = value;
        }
      }
      /**
       * Adds a workspace setting
       *
       * @param settings Array structure: [setting: string, value: any, languages?: string[]]
       */
      addSettings(settings, languages) {
        if (Array.isArray(languages)) {
          languages.forEach((language) => {
            Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, language));
          });
        } else {
          Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, languages));
        }
      }
    };
    exports2.VsCodeSettings = VsCodeSettings;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeSettings[_a] = { fqn: "projen.vscode.VsCodeSettings", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/vscode.js
var require_vscode = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/vscode.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var extensions_1 = require_extensions();
    var launch_config_1 = require_launch_config();
    var settings_1 = require_settings();
    var component_1 = require_component();
    var VsCode = class extends component_1.Component {
      constructor(project) {
        super(project);
      }
      get launchConfiguration() {
        if (!this._launchConfig) {
          this._launchConfig = new launch_config_1.VsCodeLaunchConfig(this);
        }
        return this._launchConfig;
      }
      get settings() {
        if (!this._settings) {
          this._settings = new settings_1.VsCodeSettings(this);
        }
        return this._settings;
      }
      get extensions() {
        if (!this._extensions) {
          this._extensions = new extensions_1.VsCodeRecommendedExtensions(this);
        }
        return this._extensions;
      }
    };
    exports2.VsCode = VsCode;
    _a = JSII_RTTI_SYMBOL_1;
    VsCode[_a] = { fqn: "projen.vscode.VsCode", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/vscode/index.js
var require_vscode2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/vscode/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_devcontainer(), exports2);
    __exportStar(require_extensions(), exports2);
    __exportStar(require_launch_config(), exports2);
    __exportStar(require_settings(), exports2);
    __exportStar(require_vscode(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/github/github-project.js
var require_github_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/github-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var auto_approve_1 = require_auto_approve();
    var github_1 = require_github();
    var stale_1 = require_stale();
    var clobber_1 = require_clobber();
    var gitpod_1 = require_gitpod();
    var project_1 = require_project();
    var readme_1 = require_readme();
    var vscode_1 = require_vscode2();
    var GitHubProject = class extends project_1.Project {
      constructor(options) {
        super(options);
        this.projectType = options.projectType ?? project_1.ProjectType.UNKNOWN;
        const github = options.github ?? (this.parent ? false : true);
        this.github = github ? new github_1.GitHub(this, {
          projenTokenSecret: options.projenTokenSecret,
          projenCredentials: options.projenCredentials,
          mergify: options.mergify,
          mergifyOptions: options.mergifyOptions,
          ...options.githubOptions
        }) : void 0;
        const vscode = options.vscode ?? (this.parent ? false : true);
        this.vscode = vscode ? new vscode_1.VsCode(this) : void 0;
        this.gitpod = options.gitpod ? new gitpod_1.Gitpod(this) : void 0;
        this.devContainer = options.devContainer ? new vscode_1.DevContainer(this) : void 0;
        if (options.clobber ?? !this.parent) {
          new clobber_1.Clobber(this);
        }
        new readme_1.SampleReadme(this, options.readme);
        if (options.autoApproveOptions && this.github) {
          this.autoApprove = new auto_approve_1.AutoApprove(this.github, options.autoApproveOptions);
        }
        const stale = options.stale ?? false;
        if (stale && this.github) {
          new stale_1.Stale(this.github, options.staleOptions);
        }
      }
      /**
       * Marks the provided file(s) as being generated. This is achieved using the
       * github-linguist attributes. Generated files do not count against the
       * repository statistics and language breakdown.
       *
       * @param glob the glob pattern to match (could be a file path).
       *
       * @see https://github.com/github/linguist/blob/master/docs/overrides.md
       */
      annotateGenerated(glob) {
        this.gitattributes.addAttributes(glob, "linguist-generated");
      }
    };
    exports2.GitHubProject = GitHubProject;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubProject[_a] = { fqn: "projen.github.GitHubProject", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/github/index.js
var require_github2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.workflows = void 0;
    __exportStar(require_github(), exports2);
    __exportStar(require_dependabot(), exports2);
    __exportStar(require_workflows(), exports2);
    __exportStar(require_actions_provider(), exports2);
    __exportStar(require_mergify(), exports2);
    __exportStar(require_pr_template(), exports2);
    __exportStar(require_mergify(), exports2);
    __exportStar(require_auto_merge(), exports2);
    __exportStar(require_auto_approve(), exports2);
    __exportStar(require_stale(), exports2);
    __exportStar(require_pull_request_lint(), exports2);
    __exportStar(require_github_credentials(), exports2);
    __exportStar(require_workflow_actions(), exports2);
    __exportStar(require_workflow_jobs(), exports2);
    __exportStar(require_task_workflow(), exports2);
    __exportStar(require_github_project(), exports2);
    exports2.workflows = require_workflows_model();
  }
});

// ../../components/environments/node_modules/projen/lib/release/release.js
var require_release = __commonJS({
  "../../components/environments/node_modules/projen/lib/release/release.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Release = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var publisher_1 = require_publisher();
    var release_trigger_1 = require_release_trigger();
    var component_1 = require_component();
    var github_1 = require_github2();
    var constants_1 = require_constants3();
    var workflows_model_1 = require_workflows_model();
    var version_1 = require_version();
    var BUILD_JOBID = "release";
    var GIT_REMOTE_STEPID = "git_remote";
    var LATEST_COMMIT_OUTPUT = "latest_commit";
    var Release = class _Release extends component_1.Component {
      /**
       * Returns the `Release` component of a project or `undefined` if the project
       * does not have a Release component.
       */
      static of(project) {
        const isRelease = (c) => c instanceof _Release;
        return project.components.find(isRelease);
      }
      constructor(project, options) {
        super(project);
        this._branches = new Array();
        this.jobs = {};
        if (Array.isArray(options.releaseBranches)) {
          throw new Error('"releaseBranches" is no longer an array. See type annotations');
        }
        this.github = project.github;
        this.buildTask = options.task;
        this.preBuildSteps = options.releaseWorkflowSetupSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.versionFile = options.versionFile;
        this.releaseTrigger = options.releaseTrigger ?? release_trigger_1.ReleaseTrigger.continuous();
        this.containerImage = options.workflowContainerImage;
        this.workflowRunsOn = options.workflowRunsOn;
        this.workflowPermissions = {
          contents: workflows_model_1.JobPermission.WRITE,
          ...options.workflowPermissions
        };
        this._branchHooks = [];
        if (!((options.releaseEveryCommit ?? true) || options.releaseSchedule || options.releaseTrigger)) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.manual({ changelog: false });
        }
        if (options.releaseSchedule) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.scheduled({
            schedule: options.releaseSchedule
          });
        }
        this.version = new version_1.Version(project, {
          versionInputFile: this.versionFile,
          artifactsDirectory: this.artifactsDirectory,
          versionrcOptions: options.versionrcOptions,
          tagPrefix: options.releaseTagPrefix
        });
        this.publisher = new publisher_1.Publisher(project, {
          artifactName: this.artifactsDirectory,
          condition: `needs.${BUILD_JOBID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha`,
          buildJobId: BUILD_JOBID,
          jsiiReleaseVersion: options.jsiiReleaseVersion,
          failureIssue: options.releaseFailureIssue,
          failureIssueLabel: options.releaseFailureIssueLabel,
          workflowRunsOn: options.workflowRunsOn,
          publishTasks: options.publishTasks,
          dryRun: options.publishDryRun,
          workflowNodeVersion: options.workflowNodeVersion,
          workflowContainerImage: options.workflowContainerImage
        });
        const githubRelease = options.githubRelease ?? true;
        if (githubRelease) {
          this.publisher.publishToGitHubReleases({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName)
          });
        }
        this.defaultBranch = this._addBranch(options.branch, {
          prerelease: options.prerelease,
          majorVersion: options.majorVersion,
          minMajorVersion: options.minMajorVersion,
          workflowName: options.releaseWorkflowName ?? "release",
          tagPrefix: options.releaseTagPrefix,
          npmDistTag: options.npmDistTag
        });
        for (const [name, opts] of Object.entries(options.releaseBranches ?? {})) {
          this.addBranch(name, opts);
        }
      }
      /**
       * Add a hook that should be run for every branch (including those that will
       * be added by future `addBranch` calls).
       * @internal
       */
      _forEachBranch(hook) {
        for (const branch of this._branches) {
          hook(branch.name);
        }
        this._branchHooks.push(hook);
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      addBranch(branch, options) {
        this._addBranch(branch, options);
        for (const hook of this._branchHooks) {
          hook(branch);
        }
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      _addBranch(branch, options) {
        if (this._branches.find((b) => b.name === branch)) {
          throw new Error(`The release branch ${branch} is already defined`);
        }
        if (this.defaultBranch && options.majorVersion && this.defaultBranch.majorVersion === void 0) {
          throw new Error('you must specify "majorVersion" for the default branch when adding multiple release branches');
        }
        const releaseBranch = {
          name: branch,
          ...options,
          workflow: this.createWorkflow(branch, options)
        };
        this._branches.push(releaseBranch);
        return releaseBranch;
      }
      preSynthesize() {
        for (const branch of this._branches) {
          if (!branch.workflow) {
            continue;
          }
          branch.workflow.addJobs(this.publisher._renderJobsForBranch(branch.name, branch));
          branch.workflow.addJobs(this.jobs);
        }
      }
      /**
       * Adds jobs to all release workflows.
       * @param jobs The jobs to add (name => job)
       */
      addJobs(jobs) {
        for (const [name, job] of Object.entries(jobs)) {
          this.jobs[name] = job;
        }
      }
      /**
       * Retrieve all release branch names
       */
      get branches() {
        return this._branches.map((b) => b.name);
      }
      /**
       * @returns a workflow or `undefined` if github integration is disabled.
       */
      createWorkflow(branchName, branch) {
        const workflowName = branch.workflowName ?? `release-${branchName}`;
        const noNewCommits = `\${{ steps.${GIT_REMOTE_STEPID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha }}`;
        const preBuildSteps = [...this.preBuildSteps];
        const env = {
          RELEASE: "true"
        };
        if (branch.majorVersion !== void 0) {
          env.MAJOR = branch.majorVersion.toString();
        }
        if (branch.minMajorVersion !== void 0) {
          if (branch.majorVersion !== void 0) {
            throw new Error(`minMajorVersion and majorVersion cannot be used together.`);
          }
          env.MIN_MAJOR = branch.minMajorVersion.toString();
        }
        if (branch.prerelease) {
          env.PRERELEASE = branch.prerelease;
        }
        if (branch.tagPrefix) {
          env.RELEASE_TAG_PREFIX = branch.tagPrefix;
        }
        const releaseTaskName = branchName === "main" || branchName === "master" ? "release" : `release:${branchName}`;
        const releaseTask = this.project.addTask(releaseTaskName, {
          description: `Prepare a release from "${branchName}" branch`,
          env
        });
        releaseTask.exec(`rm -fr ${this.artifactsDirectory}`);
        releaseTask.spawn(this.version.bumpTask);
        releaseTask.spawn(this.buildTask);
        releaseTask.spawn(this.version.unbumpTask);
        releaseTask.exec(_Release.ANTI_TAMPER_CMD);
        if (this.releaseTrigger.isManual) {
          const publishTask = this.publisher.publishToGit({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName),
            projectChangelogFile: this.releaseTrigger.changelogPath,
            gitBranch: branchName,
            gitPushCommand: this.releaseTrigger.gitPushCommand
          });
          releaseTask.spawn(publishTask);
        }
        const postBuildSteps = [...this.postBuildSteps];
        postBuildSteps.push({
          name: "Check for new commits",
          id: GIT_REMOTE_STEPID,
          run: `echo "${LATEST_COMMIT_OUTPUT}=$(git ls-remote origin -h \${{ github.ref }} | cut -f1)" >> $GITHUB_OUTPUT`
        });
        postBuildSteps.push({
          name: "Backup artifact permissions",
          if: noNewCommits,
          continueOnError: true,
          run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
        }, {
          name: "Upload artifact",
          if: noNewCommits,
          uses: "actions/upload-artifact@v3",
          with: {
            name: constants_1.BUILD_ARTIFACT_NAME,
            path: this.artifactsDirectory
          }
        });
        if (this.github && !this.releaseTrigger.isManual) {
          return new github_1.TaskWorkflow(this.github, {
            name: workflowName,
            jobId: BUILD_JOBID,
            outputs: {
              latest_commit: {
                stepId: GIT_REMOTE_STEPID,
                outputName: LATEST_COMMIT_OUTPUT
              }
            },
            triggers: {
              schedule: this.releaseTrigger.schedule ? [{ cron: this.releaseTrigger.schedule }] : void 0,
              push: this.releaseTrigger.isContinuous ? { branches: [branchName] } : void 0
            },
            container: this.containerImage ? { image: this.containerImage } : void 0,
            env: {
              CI: "true"
            },
            permissions: this.workflowPermissions,
            checkoutWith: {
              // we must use 'fetch-depth=0' in order to fetch all tags
              // otherwise tags are not checked out
              "fetch-depth": 0
            },
            preBuildSteps,
            task: releaseTask,
            postBuildSteps,
            runsOn: this.workflowRunsOn
          });
        } else {
          return void 0;
        }
      }
    };
    exports2.Release = Release;
    _a = JSII_RTTI_SYMBOL_1;
    Release[_a] = { fqn: "projen.release.Release", version: "0.71.112" };
    Release.ANTI_TAMPER_CMD = "git diff --ignore-space-at-eol --exit-code";
  }
});

// ../../components/environments/node_modules/projen/lib/release/index.js
var require_release2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/release/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_release(), exports2);
    __exportStar(require_publisher(), exports2);
    __exportStar(require_release_trigger(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/node-package.js
var require_node_package = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/node-package.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaultNpmToken = exports2.NpmAccess = exports2.NodePackageManager = exports2.NodePackage = exports2.CodeArtifactAuthProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver2();
    var util_1 = require_util5();
    var _resolve_1 = require_resolve();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var json_1 = require_json();
    var release_1 = require_release2();
    var task_runtime_1 = require_task_runtime();
    var util_2 = require_util2();
    var UNLICENSED = "UNLICENSED";
    var DEFAULT_NPM_REGISTRY_URL = "https://registry.npmjs.org/";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var DEFAULT_NPM_TOKEN_SECRET = "NPM_TOKEN";
    var DEFAULT_GITHUB_TOKEN_SECRET = "GITHUB_TOKEN";
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    var NodePackage = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.scripts = {};
        this.scriptsToBeRemoved = /* @__PURE__ */ new Set();
        this.keywords = /* @__PURE__ */ new Set();
        this.bin = {};
        this.engines = {};
        this.packageName = options.packageName ?? project.name;
        this.peerDependencyOptions = {
          pinnedDevDependency: true,
          ...options.peerDependencyOptions
        };
        this.allowLibraryDependencies = options.allowLibraryDependencies ?? true;
        this.packageManager = options.packageManager ?? NodePackageManager.YARN;
        this.entrypoint = options.entrypoint ?? "lib/index.js";
        this.lockFile = determineLockfile(this.packageManager);
        this.project.annotateGenerated(`/${this.lockFile}`);
        const { npmAccess, npmRegistry, npmRegistryUrl, npmTokenSecret, codeArtifactOptions, scopedPackagesOptions } = this.parseNpmOptions(options);
        this.npmAccess = npmAccess;
        this.npmRegistry = npmRegistry;
        this.npmRegistryUrl = npmRegistryUrl;
        this.npmTokenSecret = npmTokenSecret;
        this.codeArtifactOptions = codeArtifactOptions;
        this.scopedPackagesOptions = scopedPackagesOptions;
        this.processDeps(options);
        this.addCodeArtifactLoginScript();
        const prev = this.readPackageJson() ?? {};
        this.manifest = {
          name: this.packageName,
          description: options.description,
          repository: !options.repository ? void 0 : {
            type: "git",
            url: options.repository,
            directory: options.repositoryDirectory
          },
          bin: () => this.renderBin(),
          scripts: () => this.renderScripts(),
          author: this.renderAuthor(options),
          devDependencies: {},
          peerDependencies: {},
          dependencies: {},
          bundledDependencies: [],
          ...this.renderPackageResolutions(),
          keywords: () => this.renderKeywords(),
          engines: () => this.renderEngines(),
          main: this.entrypoint !== "" ? this.entrypoint : void 0,
          license: () => this.license ?? UNLICENSED,
          homepage: options.homepage,
          publishConfig: () => this.renderPublishConfig(),
          typesVersions: prev?.typesVersions,
          // in release CI builds we bump the version before we run "build" so we want
          // to preserve the version number. otherwise, we always set it to 0.0.0
          version: this.determineVersion(prev?.version),
          bugs: options.bugsEmail || options.bugsUrl ? {
            email: options.bugsEmail,
            url: options.bugsUrl
          } : void 0
        };
        for (const [cmdname, shell] of Object.entries(options.scripts ?? {})) {
          project.addTask(cmdname, { exec: shell });
        }
        this.file = new json_1.JsonFile(this.project, "package.json", {
          obj: this.manifest,
          readonly: false,
          newline: true,
          committed: true
          // needs to be committed so users can install the dependencies
        });
        this.addKeywords(...options.keywords ?? []);
        this.addBin(options.bin ?? {});
        if (options.autoDetectBin ?? true) {
          this.autoDiscoverBinaries();
        }
        this.minNodeVersion = options.minNodeVersion;
        this.maxNodeVersion = options.maxNodeVersion;
        this.pnpmVersion = options.pnpmVersion ?? "7";
        this.addNodeEngine();
        if (options.licensed ?? true) {
          this.license = options.license ?? "Apache-2.0";
        }
        this.installTask = project.addTask("install", {
          description: "Install project dependencies and update lockfile (non-frozen)",
          exec: this.installAndUpdateLockfileCommand
        });
        this.installCiTask = project.addTask("install:ci", {
          description: "Install project dependencies using frozen lockfile",
          exec: this.installCommand
        });
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.RUNTIME);
        }
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        if (Object.keys(deps).length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add peer dependencies to an APP project: ${Object.keys(deps).join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.PEER);
        }
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        if (deps.length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add bundled dependencies to an APP project: ${deps.join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUNDLED);
        }
      }
      /**
       * Adds an `engines` requirement to your package.
       * @param engine The engine (e.g. `node`)
       * @param version The semantic version requirement (e.g. `^10`)
       */
      addEngine(engine, version) {
        this.engines[engine] = version;
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        for (const k of keywords) {
          this.keywords.add(k);
        }
      }
      addBin(bins) {
        for (const [k, v] of Object.entries(bins)) {
          this.bin[k] = v;
        }
      }
      /**
       * Add a npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.scripts[name] = command;
      }
      /**
       * Removes an npm script (always successful).
       *
       * @param name The name of the script.
       */
      removeScript(name) {
        this.scriptsToBeRemoved.add(name);
        delete this.scripts[name];
      }
      /**
       * Indicates if a script by the given name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.project.tasks.tryFind(name) !== void 0;
      }
      /**
       * Directly set fields in `package.json`.
       * @escape
       * @param name field name
       * @param value field value
       */
      addField(name, value) {
        this.manifest[name] = value;
      }
      /**
       * Sets the package version.
       * @param version Package version.
       */
      addVersion(version) {
        this.manifest.version = version;
      }
      /**
       * Defines resolutions for dependencies to change the normally resolved
       * version of a dependency to something else.
       *
       * @param resolutions Names resolutions to be added. Specify a version or
       * range with this syntax:
       * `module@^7`
       */
      addPackageResolutions(...resolutions) {
        for (const resolution of resolutions) {
          this.project.deps.addDependency(resolution, dependencies_1.DependencyType.OVERRIDE);
        }
      }
      /**
       * Returns the command to execute in order to install all dependencies (always frozen).
       */
      get installCommand() {
        return this.renderInstallCommand(true);
      }
      /**
       * Renders `yarn install` or `npm install` with lockfile update (not frozen)
       */
      get installAndUpdateLockfileCommand() {
        return this.renderInstallCommand(false);
      }
      /**
       * Render a package manager specific command to upgrade all requested dependencies.
       */
      renderUpgradePackagesCommand(exclude, include) {
        const project = this.project;
        function upgradePackages(command) {
          return () => {
            if (exclude.length === 0 && !include) {
              return command;
            }
            return `${command} ${project.deps.all.filter((d) => d.type !== dependencies_1.DependencyType.OVERRIDE).map((d) => d.name).filter((d) => include ? include.includes(d) : true).filter((d) => !exclude.includes(d)).join(" ")}`;
          };
        }
        let lazy = void 0;
        switch (this.packageManager) {
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
            lazy = upgradePackages("yarn upgrade");
            break;
          case NodePackageManager.NPM:
            lazy = upgradePackages("npm update");
            break;
          case NodePackageManager.PNPM:
            lazy = upgradePackages("pnpm update");
            break;
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
        return lazy;
      }
      /**
       * Attempt to resolve the currently installed version for a given dependency.
       *
       * @remarks
       * This method will first look through the current project's dependencies.
       * If found and semantically valid (not '*'), that will be used.
       * Otherwise, it will fall back to locating a `package.json` manifest for the dependency
       * through node's internal resolution reading the version from there.
       *
       * @param dependencyName Dependency to resolve for.
       */
      tryResolveDependencyVersion(dependencyName) {
        try {
          const fromDeps = this.project.deps.tryGetDependency(dependencyName);
          const version = semver.coerce(fromDeps?.version, { loose: true });
          if (version) {
            return version.format();
          }
        } catch {
        }
        return (0, util_1.tryResolveDependencyVersion)(dependencyName, {
          paths: [this.project.outdir]
        });
      }
      // ---------------------------------------------------------------------------------------
      preSynthesize() {
        super.preSynthesize();
        this._renderedDeps = this.renderDependencies();
      }
      postSynthesize() {
        super.postSynthesize();
        if (this.file.changed || !(0, fs_1.existsSync)((0, path_1.join)(this.project.outdir, "node_modules"))) {
          this.installDependencies();
        }
        if (this.resolveDepsAndWritePackageJson()) {
          this.installDependencies();
        }
      }
      /**
       * The command which executes "projen".
       */
      get projenCommand() {
        return this.project.projenCommand;
      }
      /**
       * Returns `true` if we are running within a CI build.
       */
      get isAutomatedBuild() {
        return (0, util_2.isTruthy)(process.env.CI);
      }
      determineVersion(currVersion) {
        if (!this.isReleaseBuild) {
          return "0.0.0";
        }
        return currVersion ?? "0.0.0";
      }
      /**
       * Returns `true` if this is a CI release build.
       */
      get isReleaseBuild() {
        return (0, util_2.isTruthy)(process.env.RELEASE);
      }
      // -------------------------------------------------------------------------------------------
      parseNpmOptions(options) {
        let npmRegistryUrl = options.npmRegistryUrl;
        if (options.npmRegistry) {
          if (npmRegistryUrl) {
            throw new Error('cannot use the deprecated "npmRegistry" together with "npmRegistryUrl". please use "npmRegistryUrl" instead.');
          }
          npmRegistryUrl = `https://${options.npmRegistry}`;
        }
        const npmr = new URL(npmRegistryUrl ?? DEFAULT_NPM_REGISTRY_URL);
        if (!npmr || !npmr.hostname || !npmr.href) {
          throw new Error(`unable to determine npm registry host from url ${npmRegistryUrl}. Is this really a URL?`);
        }
        const npmAccess = options.npmAccess ?? defaultNpmAccess(this.packageName);
        if (!isScoped(this.packageName) && npmAccess === NpmAccess.RESTRICTED) {
          throw new Error(`"npmAccess" cannot be RESTRICTED for non-scoped npm package "${this.packageName}"`);
        }
        const isAwsCodeArtifact = (0, release_1.isAwsCodeArtifactRegistry)(npmRegistryUrl);
        const hasScopedPackage = options.scopedPackagesOptions && options.scopedPackagesOptions.length !== 0;
        if (isAwsCodeArtifact) {
          if (options.npmTokenSecret) {
            throw new Error('"npmTokenSecret" must not be specified when publishing AWS CodeArtifact.');
          } else if (options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC) {
            if (options.codeArtifactOptions.accessKeyIdSecret || options.codeArtifactOptions.secretAccessKeySecret) {
              throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
            } else if (!options.codeArtifactOptions.roleToAssume) {
              throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
            }
          }
        } else {
          if ((options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret || options.codeArtifactOptions?.roleToAssume) && !hasScopedPackage) {
            throw new Error("codeArtifactOptions must only be specified when publishing AWS CodeArtifact or used in scoped packages.");
          }
        }
        let codeArtifactOptions;
        if (isAwsCodeArtifact || hasScopedPackage) {
          const authProvider = options.codeArtifactOptions?.authProvider ?? CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          const isAccessSecretKeyPairAuth = authProvider === CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          codeArtifactOptions = {
            authProvider,
            accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret ?? (isAccessSecretKeyPairAuth ? "AWS_ACCESS_KEY_ID" : void 0),
            secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret ?? (isAccessSecretKeyPairAuth ? "AWS_SECRET_ACCESS_KEY" : void 0),
            roleToAssume: options.codeArtifactOptions?.roleToAssume
          };
        }
        return {
          npmAccess,
          npmRegistry: npmr.hostname + this.renderNpmRegistryPath(npmr.pathname),
          npmRegistryUrl: npmr.href,
          npmTokenSecret: defaultNpmToken(options.npmTokenSecret, npmr.hostname),
          codeArtifactOptions,
          scopedPackagesOptions: this.parseScopedPackagesOptions(options.scopedPackagesOptions)
        };
      }
      parseScopedPackagesOptions(scopedPackagesOptions) {
        if (!scopedPackagesOptions) {
          return void 0;
        }
        return scopedPackagesOptions.map((option) => {
          if (!isScoped(option.scope)) {
            throw new Error(`Scope must start with "@" in options, found ${option.scope}`);
          }
          if (!(0, release_1.isAwsCodeArtifactRegistry)(option.registryUrl)) {
            throw new Error(`Only AWS Code artifact scoped registry is supported for now, found ${option.registryUrl}`);
          }
          const result = {
            registryUrl: option.registryUrl,
            scope: option.scope
          };
          return result;
        });
      }
      addCodeArtifactLoginScript() {
        if (!this.scopedPackagesOptions || this.scopedPackagesOptions.length === 0) {
          return;
        }
        this.project.addTask("ca:login", {
          requiredEnv: ["AWS_ACCESS_KEY_ID", "AWS_SECRET_ACCESS_KEY"],
          steps: [
            { exec: "which aws" },
            ...this.scopedPackagesOptions.map((scopedPackagesOption) => {
              const { registryUrl, scope } = scopedPackagesOption;
              const { domain, region, accountId, registry } = (0, util_1.extractCodeArtifactDetails)(registryUrl);
              const commands = [
                `npm config set ${scope}:registry ${registryUrl}`,
                `CODEARTIFACT_AUTH_TOKEN=$(aws codeartifact get-authorization-token --domain ${domain} --region ${region} --domain-owner ${accountId} --query authorizationToken --output text)`,
                `npm config set //${registry}:_authToken=$CODEARTIFACT_AUTH_TOKEN`,
                `npm config set //${registry}:always-auth=true`
              ];
              return {
                exec: commands.join("; ")
              };
            })
          ]
        });
      }
      addNodeEngine() {
        if (!this.minNodeVersion && !this.maxNodeVersion) {
          return;
        }
        let nodeVersion = "";
        if (this.minNodeVersion) {
          nodeVersion += `>= ${this.minNodeVersion}`;
        }
        if (this.maxNodeVersion) {
          nodeVersion += ` <= ${this.maxNodeVersion}`;
        }
        this.addEngine("node", nodeVersion);
      }
      renderNpmRegistryPath(path) {
        if (!path || path == "/") {
          return "";
        } else {
          return path;
        }
      }
      renderInstallCommand(frozen) {
        switch (this.packageManager) {
          case NodePackageManager.YARN:
            return [
              "yarn install",
              "--check-files",
              ...frozen ? ["--frozen-lockfile"] : []
            ].join(" ");
          case NodePackageManager.YARN2:
            return ["yarn install", ...frozen ? ["--immutable"] : []].join(" ");
          case NodePackageManager.NPM:
            return frozen ? "npm ci" : "npm install";
          case NodePackageManager.PNPM:
            return frozen ? "pnpm i --frozen-lockfile" : "pnpm i --no-frozen-lockfile";
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
      }
      processDeps(options) {
        this.addDeps(...options.deps ?? []);
        this.addDevDeps(...options.devDeps ?? []);
        this.addPeerDeps(...options.peerDeps ?? []);
        this.addBundledDeps(...options.bundledDeps ?? []);
      }
      renderDependencies() {
        const devDependencies = {};
        const peerDependencies = {};
        const dependencies = {};
        const bundledDependencies = new Array();
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const dep of this.project.deps.all.filter((d) => d.type === dependencies_1.DependencyType.PEER)) {
            let req = dep.name;
            if (this.project.deps.tryGetDependency(dep.name, dependencies_1.DependencyType.RUNTIME)) {
              continue;
            }
            if (dep.version) {
              const ver = (0, util_1.minVersion)(dep.version);
              if (!ver) {
                throw new Error(`unable to determine minimum semver for peer dependency ${dep.name}@${dep.version}`);
              }
              req += "@" + ver;
            }
            this.addDevDeps(req);
          }
        }
        for (const dep of this.project.deps.all) {
          let version = dep.version ?? "*";
          let name = dep.name;
          if (name.startsWith("file:")) {
            const localDependencyPath = name.substring(5);
            const depPackageJson = (0, path_1.resolve)(this.project.outdir, localDependencyPath, "package.json");
            const pkgFile = (0, fs_1.readFileSync)(depPackageJson, "utf8");
            const pkg2 = JSON.parse(pkgFile);
            version = localDependencyPath;
            name = pkg2.name;
          }
          switch (dep.type) {
            case dependencies_1.DependencyType.BUNDLED:
              bundledDependencies.push(name);
              if (this.project.deps.all.find((d) => d.name === name && d.type === dependencies_1.DependencyType.PEER)) {
                throw new Error(`unable to bundle "${name}". it cannot appear as a peer dependency`);
              }
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.PEER:
              peerDependencies[name] = version;
              break;
            case dependencies_1.DependencyType.RUNTIME:
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.TEST:
            case dependencies_1.DependencyType.DEVENV:
            case dependencies_1.DependencyType.BUILD:
              devDependencies[name] = version;
              break;
          }
        }
        const normalize = (obj) => () => (0, util_2.sorted)(obj);
        this.manifest.devDependencies = normalize(devDependencies);
        this.manifest.peerDependencies = normalize(peerDependencies);
        this.manifest.dependencies = normalize(dependencies);
        this.manifest.bundledDependencies = (0, util_2.sorted)(bundledDependencies);
        const pkg = this.readPackageJson();
        if (!pkg) {
          return { devDependencies, peerDependencies, dependencies };
        }
        const readDeps = (user, current = {}) => {
          for (const [name, userVersion] of Object.entries(user)) {
            const currentVersion = current[name];
            if (userVersion !== "*" || !currentVersion || currentVersion === "*") {
              continue;
            }
            user[name] = currentVersion;
          }
          for (const name of Object.keys(current ?? {})) {
            if (!user[name]) {
              this.project.logger.verbose(`${name}: removed`);
            }
          }
        };
        readDeps(devDependencies, pkg.devDependencies);
        readDeps(dependencies, pkg.dependencies);
        readDeps(peerDependencies, pkg.peerDependencies);
        return { devDependencies, dependencies, peerDependencies };
      }
      /**
       * Resolves any deps that do not have a specified version (e.g. `*`) and
       * update `package.json` if needed.
       *
       * @returns `true` if package.json was updated or `false` if not.
       */
      resolveDepsAndWritePackageJson() {
        const outdir = this.project.outdir;
        const rootPackageJson = (0, path_1.join)(outdir, "package.json");
        const original = (0, fs_1.readFileSync)(rootPackageJson, "utf8");
        const pkg = JSON.parse(original);
        const resolveDeps = (current, user) => {
          const result = {};
          current = current ?? {};
          user = user ?? {};
          for (const [name, currentDefinition] of Object.entries(user)) {
            let desiredVersion = currentDefinition;
            if (currentDefinition === "*") {
              const resolvedVersion = (0, util_1.tryResolveDependencyVersion)(name, {
                paths: [this.project.outdir]
              });
              if (!resolvedVersion) {
                this.project.logger.warn(`unable to resolve version for ${name} from installed modules`);
                continue;
              }
              desiredVersion = `^${resolvedVersion}`;
            }
            if (currentDefinition !== desiredVersion) {
              this.project.logger.verbose(`${name}: ${currentDefinition} => ${desiredVersion}`);
            }
            result[name] = desiredVersion;
          }
          for (const name of Object.keys(current)) {
            if (!result[name]) {
              this.project.logger.verbose(`${name} removed`);
            }
          }
          return result;
        };
        const rendered = this._renderedDeps;
        if (!rendered) {
          throw new Error("assertion failed");
        }
        const deps = resolveDeps(pkg.dependencies, rendered.dependencies);
        const devDeps = resolveDeps(pkg.devDependencies, rendered.devDependencies);
        const peerDeps = resolveDeps(pkg.peerDependencies, rendered.peerDependencies);
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const [name, version] of Object.entries(peerDeps)) {
            if (deps[name] || rendered.devDependencies[name] !== "*") {
              continue;
            }
            const ver = (0, util_1.minVersion)(version);
            if (!ver) {
              throw new Error(`unable to determine minimum semver for peer dependency ${name}@${version}`);
            }
            devDeps[name] = ver;
          }
        }
        pkg.dependencies = (0, util_2.sorted)(deps);
        pkg.devDependencies = (0, util_2.sorted)(devDeps);
        pkg.peerDependencies = (0, util_2.sorted)(peerDeps);
        const updated = JSON.stringify(pkg, void 0, 2) + "\n";
        if (original === updated) {
          return false;
        }
        (0, util_2.writeFile)(rootPackageJson, updated);
        return true;
      }
      renderPackageResolutions() {
        const render = () => {
          const overridingDependencies = this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.OVERRIDE);
          if (!overridingDependencies.length) {
            return void 0;
          }
          return Object.fromEntries(overridingDependencies.map(({ name, version = "*" }) => [name, version]));
        };
        switch (this.packageManager) {
          case NodePackageManager.NPM:
            return { overrides: render };
          case NodePackageManager.PNPM:
            return { pnpm: { overrides: render } };
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
          default:
            return { resolutions: render };
        }
      }
      renderPublishConfig() {
        return (0, _resolve_1.resolve)({
          registry: this.npmRegistryUrl !== DEFAULT_NPM_REGISTRY_URL ? this.npmRegistryUrl : void 0,
          access: this.npmAccess !== defaultNpmAccess(this.packageName) ? this.npmAccess : void 0
        }, { omitEmpty: true });
      }
      renderKeywords() {
        const kwds = Array.from(this.keywords);
        return (0, util_2.sorted)(kwds.sort());
      }
      renderEngines() {
        return (0, util_2.sorted)(this.engines);
      }
      autoDiscoverBinaries() {
        const binrel = "bin";
        const bindir = (0, path_1.join)(this.project.outdir, binrel);
        if ((0, fs_1.existsSync)(bindir)) {
          for (const file of (0, fs_1.readdirSync)(bindir)) {
            try {
              (0, fs_1.accessSync)((0, path_1.join)(bindir, file), fs_1.constants.X_OK);
              this.bin[file] = (0, path_1.join)(binrel, file).replace(/\\/g, "/");
            } catch (e) {
            }
          }
        }
      }
      renderAuthor(options) {
        let author;
        if (options.authorName) {
          author = {
            name: options.authorName,
            email: options.authorEmail,
            url: options.authorUrl,
            organization: options.authorOrganization ?? false
          };
        } else {
          if (options.authorEmail || options.authorUrl || options.authorOrganization !== void 0) {
            throw new Error('"authorName" is required if specifying "authorEmail" or "authorUrl"');
          }
        }
        return author;
      }
      renderBin() {
        return (0, util_2.sorted)(this.bin);
      }
      renderScripts() {
        const result = {};
        const tasks = this.project.tasks.all.filter((t) => (
          // Must remove to prevent overriding built-in npm command (which would loop)
          t.name !== this.installTask.name && t.name !== this.installCiTask.name
        )).sort((x, y) => x.name.localeCompare(y.name));
        for (const task of tasks) {
          if (this.scriptsToBeRemoved.has(task.name)) {
            continue;
          }
          result[task.name] = this.npmScriptForTask(task);
        }
        return {
          ...result,
          ...this.scripts
        };
      }
      npmScriptForTask(task) {
        return `${this.projenCommand} ${task.name}`;
      }
      readPackageJson() {
        const file = (0, path_1.join)(this.project.outdir, "package.json");
        if (!(0, fs_1.existsSync)(file)) {
          return void 0;
        }
        return JSON.parse((0, fs_1.readFileSync)(file, "utf-8"));
      }
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        const taskToRun = this.isAutomatedBuild ? this.installCiTask : this.installTask;
        runtime.runTask(taskToRun.name);
      }
    };
    exports2.NodePackage = NodePackage;
    _a = JSII_RTTI_SYMBOL_1;
    NodePackage[_a] = { fqn: "projen.javascript.NodePackage", version: "0.71.112" };
    var NodePackageManager;
    (function(NodePackageManager2) {
      NodePackageManager2["YARN"] = "yarn";
      NodePackageManager2["YARN2"] = "yarn2";
      NodePackageManager2["NPM"] = "npm";
      NodePackageManager2["PNPM"] = "pnpm";
    })(NodePackageManager || (exports2.NodePackageManager = NodePackageManager = {}));
    var NpmAccess;
    (function(NpmAccess2) {
      NpmAccess2["PUBLIC"] = "public";
      NpmAccess2["RESTRICTED"] = "restricted";
    })(NpmAccess || (exports2.NpmAccess = NpmAccess = {}));
    function isScoped(packageName) {
      return packageName.includes("@");
    }
    function defaultNpmAccess(packageName) {
      return isScoped(packageName) ? NpmAccess.RESTRICTED : NpmAccess.PUBLIC;
    }
    function defaultNpmToken(npmToken, registry) {
      if ((0, release_1.isAwsCodeArtifactRegistry)(registry)) {
        return void 0;
      }
      const isGitHubPackages = registry === GITHUB_PACKAGES_REGISTRY;
      return npmToken ?? (isGitHubPackages ? DEFAULT_GITHUB_TOKEN_SECRET : DEFAULT_NPM_TOKEN_SECRET);
    }
    exports2.defaultNpmToken = defaultNpmToken;
    function determineLockfile(packageManager) {
      if (packageManager === NodePackageManager.YARN || packageManager === NodePackageManager.YARN2) {
        return "yarn.lock";
      } else if (packageManager === NodePackageManager.NPM) {
        return "package-lock.json";
      } else if (packageManager === NodePackageManager.PNPM) {
        return "pnpm-lock.yaml";
      }
      throw new Error(`unsupported package manager ${packageManager}`);
    }
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/projenrc.js
var require_projenrc2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var eslint_1 = require_eslint();
    var render_options_1 = require_render_options();
    var projenrc_1 = require_projenrc();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.js";
        project.defaultTask?.exec(`node ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        const eslint = eslint_1.Eslint.of(this.project);
        eslint?.addLintPattern(this.filePath);
        eslint?.addIgnorePattern(`!${this.filePath}`);
        eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          comments: bootstrap.comments,
          args: bootstrap.args,
          type: bootstrap.type
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asCjsRequire());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.javascript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/build/build-workflow.js
var require_build_workflow = __commonJS({
  "../../components/environments/node_modules/projen/lib/build/build-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BuildWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var github_1 = require_github2();
    var constants_1 = require_constants3();
    var workflow_actions_1 = require_workflow_actions();
    var workflows_model_1 = require_workflows_model();
    var javascript_1 = require_javascript();
    var PULL_REQUEST_REF = "${{ github.event.pull_request.head.ref }}";
    var PULL_REQUEST_REPOSITORY = "${{ github.event.pull_request.head.repo.full_name }}";
    var BUILD_JOBID = "build";
    var SELF_MUTATION_STEP = "self_mutation";
    var SELF_MUTATION_HAPPENED_OUTPUT = "self_mutation_happened";
    var IS_FORK = "github.event.pull_request.head.repo.full_name != github.repository";
    var NOT_FORK = `!(${IS_FORK})`;
    var SELF_MUTATION_CONDITION = `needs.${BUILD_JOBID}.outputs.${SELF_MUTATION_HAPPENED_OUTPUT}`;
    var BuildWorkflow = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.defaultRunners = ["ubuntu-latest"];
        this._postBuildJobs = [];
        const github = github_1.GitHub.of(project);
        if (!github) {
          throw new Error("BuildWorkflow is currently only supported for GitHub projects");
        }
        this.github = github;
        this.preBuildSteps = options.preBuildSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.buildTask = options.buildTask;
        this.artifactsDirectory = options.artifactsDirectory;
        this.name = options.name ?? "build";
        const mutableBuilds = options.mutableBuild ?? true;
        this.workflow = new github_1.GithubWorkflow(github, this.name);
        this.workflow.on(options.workflowTriggers ?? {
          pullRequest: {},
          workflowDispatch: {}
          // allow manual triggering
        });
        this.addBuildJob(options);
        if (mutableBuilds) {
          this.addSelfMutationJob(options);
        }
        if (project instanceof javascript_1.NodeProject) {
          project.addPackageIgnore(constants_1.PERMISSION_BACKUP_FILE);
        }
      }
      addBuildJob(options) {
        this.workflow.addJob(BUILD_JOBID, {
          runsOn: options.runsOn ?? this.defaultRunners,
          container: options.containerImage ? { image: options.containerImage } : void 0,
          env: {
            CI: "true",
            ...options.env
          },
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE,
            ...options.permissions
          },
          steps: () => this.renderBuildSteps(),
          outputs: {
            [SELF_MUTATION_HAPPENED_OUTPUT]: {
              stepId: SELF_MUTATION_STEP,
              outputName: SELF_MUTATION_HAPPENED_OUTPUT
            }
          }
        });
      }
      /**
       * Returns a list of job IDs that are part of the build.
       */
      get buildJobIds() {
        return [BUILD_JOBID, ...this._postBuildJobs];
      }
      /**
       * Adds steps that are executed after the build.
       * @param steps The job steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      /**
       * Adds another job to the build workflow which is executed after the build
       * job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param id The id of the new job
       * @param job The job specification
       */
      addPostBuildJob(id, job) {
        const steps = [];
        if (this.artifactsDirectory) {
          steps.push({
            name: "Download build artifacts",
            uses: "actions/download-artifact@v3",
            with: {
              name: constants_1.BUILD_ARTIFACT_NAME,
              path: this.artifactsDirectory
            }
          }, {
            name: "Restore build artifact permissions",
            continueOnError: true,
            run: [
              `cd ${this.artifactsDirectory} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
            ].join("\n")
          });
        }
        steps.push(...job.steps ?? []);
        this.workflow.addJob(id, {
          needs: [BUILD_JOBID],
          // only run if build did not self-mutate
          if: `! ${SELF_MUTATION_CONDITION}`,
          ...job,
          steps
        });
        this._postBuildJobs.push(id);
      }
      /**
       * Run a task as a job within the build workflow which is executed after the
       * build job succeeded.
       *
       * The job will have access to build artifacts and will install project
       * dependencies in order to be able to run any commands used in the tasks.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobTask(task, options = {}) {
        this.addPostBuildJobCommands(`post-build-${task.name}`, [`${this.project.projenCommand} ${task.name}`], {
          checkoutRepo: true,
          installDeps: true,
          tools: options.tools,
          runsOn: options.runsOn
        });
      }
      /**
       * Run a sequence of commands as a job within the build workflow which is
       * executed after the build job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobCommands(id, commands, options) {
        const steps = [];
        if (options?.checkoutRepo) {
          steps.push({
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          });
        }
        if (options?.checkoutRepo && options?.installDeps && this.project instanceof javascript_1.NodeProject) {
          steps.push({
            name: "Install dependencies",
            run: `${this.project.package.installCommand}`
          });
        }
        steps.push({ run: commands.join("\n") });
        this.addPostBuildJob(id, {
          permissions: {
            contents: workflows_model_1.JobPermission.READ
          },
          tools: options?.tools,
          runsOn: options?.runsOn ?? this.defaultRunners,
          steps
        });
      }
      addSelfMutationJob(options) {
        this.workflow.addJob("self-mutation", {
          runsOn: options.runsOn ?? this.defaultRunners,
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE
          },
          needs: [BUILD_JOBID],
          if: `always() && ${SELF_MUTATION_CONDITION} && ${NOT_FORK}`,
          steps: [
            ...this.workflow.projenCredentials.setupSteps,
            ...workflow_actions_1.WorkflowActions.checkoutWithPatch({
              // we need to use a PAT so that our push will trigger the build workflow
              token: this.workflow.projenCredentials.tokenRef,
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              lfs: this.github.downloadLfs
            }),
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(this.gitIdentity),
            {
              name: "Push changes",
              env: {
                PULL_REQUEST_REF
              },
              run: [
                "git add .",
                'git commit -s -m "chore: self mutation"',
                `git push origin HEAD:$PULL_REQUEST_REF`
              ].join("\n")
            }
          ]
        });
      }
      /**
       * Called (lazily) during synth to render the build job steps.
       */
      renderBuildSteps() {
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          },
          ...this.preBuildSteps,
          {
            name: this.buildTask.name,
            run: this.github.project.runTaskCommand(this.buildTask)
          },
          ...this.postBuildSteps,
          // check for mutations and upload a git patch file as an artifact
          ...workflow_actions_1.WorkflowActions.uploadGitPatch({
            stepId: SELF_MUTATION_STEP,
            outputName: SELF_MUTATION_HAPPENED_OUTPUT,
            mutationError: "Files were changed during build (see build log). If this was triggered from a fork, you will need to update your branch."
          }),
          // upload the build artifact only if we have post-build jobs (otherwise, there's no point)
          ...this._postBuildJobs.length == 0 ? [] : [
            {
              name: "Backup artifact permissions",
              continueOnError: true,
              run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
            },
            {
              name: "Upload artifact",
              uses: "actions/upload-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: this.artifactsDirectory
              }
            }
          ]
        ];
      }
    };
    exports2.BuildWorkflow = BuildWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    BuildWorkflow[_a] = { fqn: "projen.build.BuildWorkflow", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/build/index.js
var require_build = __commonJS({
  "../../components/environments/node_modules/projen/lib/build/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_build_workflow(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/github/util.js
var require_util6 = __commonJS({
  "../../components/environments/node_modules/projen/lib/github/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.secretToString = void 0;
    function secretToString(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    exports2.secretToString = secretToString;
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/node-project.js
var require_node_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/node-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NodeProject = exports2.AutoRelease = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var bundler_1 = require_bundler();
    var jest_1 = require_jest();
    var node_package_1 = require_node_package();
    var projenrc_1 = require_projenrc2();
    var build_1 = require_build();
    var common_1 = require_common();
    var github_1 = require_github2();
    var constants_1 = require_constants3();
    var util_1 = require_util6();
    var workflows_model_1 = require_workflows_model();
    var ignore_file_1 = require_ignore_file();
    var javascript_1 = require_javascript();
    var license_1 = require_license();
    var release_1 = require_release2();
    var util_2 = require_util2();
    var version_1 = require_version();
    var PROJEN_SCRIPT = "projen";
    var AutoRelease;
    (function(AutoRelease2) {
      AutoRelease2[AutoRelease2["EVERY_COMMIT"] = 0] = "EVERY_COMMIT";
      AutoRelease2[AutoRelease2["DAILY"] = 1] = "DAILY";
    })(AutoRelease || (exports2.AutoRelease = AutoRelease = {}));
    var NodeProject = class extends github_1.GitHubProject {
      /**
       * @deprecated use `package.allowLibraryDependencies`
       */
      get allowLibraryDependencies() {
        return this.package.allowLibraryDependencies;
      }
      /**
       * @deprecated use `package.entrypoint`
       */
      get entrypoint() {
        return this.package.entrypoint;
      }
      /**
       * Minimum node.js version required by this package.
       */
      get minNodeVersion() {
        return this.package.minNodeVersion;
      }
      /**
       * Maximum node version required by this package.
       */
      get maxNodeVersion() {
        return this.package.maxNodeVersion;
      }
      /**
       * The package manager to use.
       *
       * @deprecated use `package.packageManager`
       */
      get packageManager() {
        return this.package.packageManager;
      }
      /**
       * @deprecated use `package.addField(x, y)`
       */
      get manifest() {
        return this.package.manifest;
      }
      constructor(options) {
        super(options);
        this.package = new node_package_1.NodePackage(this, options);
        this.workflowBootstrapSteps = options.workflowBootstrapSteps ?? [];
        this.workflowGitIdentity = options.workflowGitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.workflowPackageCache = options.workflowPackageCache ?? false;
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.artifactsJavascriptDirectory = (0, path_1.join)(this.artifactsDirectory, "js");
        this.runScriptCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.NPM:
              return "npm run";
            case node_package_1.NodePackageManager.YARN:
            case node_package_1.NodePackageManager.YARN2:
              return "yarn run";
            case node_package_1.NodePackageManager.PNPM:
              return "pnpm run";
            default:
              throw new Error(`unexpected package manager ${this.packageManager}`);
          }
        })();
        const envCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.PNPM:
              return '$(pnpm -c exec "node --print process.env.PATH")';
            default:
              return '$(npx -c "node --print process.env.PATH")';
          }
        })();
        this.nodeVersion = options.workflowNodeVersion ?? this.package.minNodeVersion;
        this.tasks.addEnvironment("PATH", envCommand);
        this.addLicense(options);
        if (options.npmignoreEnabled ?? true) {
          this.npmignore = new ignore_file_1.IgnoreFile(this, ".npmignore", options.npmIgnoreOptions);
        }
        this.addDefaultGitIgnore();
        if (options.gitignore?.length) {
          for (const i of options.gitignore) {
            this.gitignore.exclude(i);
          }
        }
        if (options.npmignore?.length) {
          if (!this.npmignore) {
            throw new Error('.npmignore is not defined for an APP project type. Add "npmIgnore: true" to override this');
          }
          for (const i of options.npmignore) {
            this.npmignore.exclude(i);
          }
        }
        if (!this.ejected) {
          this.setScript(PROJEN_SCRIPT, this.package.projenCommand);
        }
        this.npmignore?.exclude(`/${common_1.PROJEN_RC}`);
        this.npmignore?.exclude(`/${common_1.PROJEN_DIR}/`);
        this.gitignore.include(`/${common_1.PROJEN_RC}`);
        const projen = options.projenDevDependency ?? true;
        if (projen && !this.ejected) {
          const postfix = options.projenVersion ? `@${options.projenVersion}` : "";
          this.addDevDeps(`projen${postfix}`);
        }
        if (!options.defaultReleaseBranch) {
          throw new Error('"defaultReleaseBranch" is temporarily a required option while we migrate its default value from "master" to "main"');
        }
        const buildEnabled = options.buildWorkflow ?? (this.parent ? false : true);
        if (options.jest ?? true) {
          this.jest = new jest_1.Jest(this, options.jestOptions);
        }
        const requiresIdTokenPermission = (options.scopedPackagesOptions ?? []).length > 0 && options.codeArtifactOptions?.authProvider === release_1.CodeArtifactAuthProvider.GITHUB_OIDC;
        const workflowPermissions = {
          idToken: requiresIdTokenPermission ? workflows_model_1.JobPermission.WRITE : void 0
        };
        if (buildEnabled && this.github) {
          this.buildWorkflow = new build_1.BuildWorkflow(this, {
            buildTask: this.buildTask,
            artifactsDirectory: this.artifactsDirectory,
            containerImage: options.workflowContainerImage,
            gitIdentity: this.workflowGitIdentity,
            mutableBuild: options.mutableBuild,
            preBuildSteps: this.renderWorkflowSetup({
              mutable: options.mutableBuild ?? true
            }),
            postBuildSteps: options.postBuildSteps,
            runsOn: options.workflowRunsOn,
            workflowTriggers: options.buildWorkflowTriggers,
            permissions: workflowPermissions
          });
          this.buildWorkflow.addPostBuildSteps(...this.renderUploadCoverageJobStep(options));
        }
        const release = options.release ?? options.releaseWorkflow ?? (this.parent ? false : true);
        if (release) {
          this.addDevDeps(version_1.Version.STANDARD_VERSION);
          this.release = new release_1.Release(this, {
            versionFile: "package.json",
            task: this.buildTask,
            branch: options.defaultReleaseBranch ?? "main",
            artifactsDirectory: this.artifactsDirectory,
            ...options,
            releaseWorkflowSetupSteps: [
              ...this.renderWorkflowSetup({ mutable: false }),
              ...options.releaseWorkflowSetupSteps ?? []
            ],
            postBuildSteps: [
              ...options.postBuildSteps ?? [],
              ...this.renderUploadCoverageJobStep(options)
            ],
            workflowNodeVersion: this.nodeVersion,
            workflowPermissions
          });
          this.publisher = this.release.publisher;
          const nodePackageToReleaseCodeArtifactAuthProviderMapping = {
            [node_package_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR]: release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR,
            [node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC]: release_1.CodeArtifactAuthProvider.GITHUB_OIDC
          };
          if (options.releaseToNpm ?? false) {
            const codeArtifactOptions = (0, release_1.isAwsCodeArtifactRegistry)(this.package.npmRegistry) ? {
              accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret,
              secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret,
              roleToAssume: options.codeArtifactOptions?.roleToAssume,
              authProvider: options.codeArtifactOptions?.authProvider ? nodePackageToReleaseCodeArtifactAuthProviderMapping[options.codeArtifactOptions.authProvider] : release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR
            } : {};
            this.release.publisher.publishToNpm({
              registry: this.package.npmRegistry,
              npmTokenSecret: this.package.npmTokenSecret,
              codeArtifactOptions
            });
          }
        } else {
          if (options.releaseToNpm) {
            throw new Error('"releaseToNpm" is not supported if "release" is not set');
          }
          if (options.releaseEveryCommit) {
            throw new Error('"releaseEveryCommit" is not supported if "release" is not set');
          }
          if (options.releaseSchedule) {
            throw new Error('"releaseSchedule" is not supported if "release" is not set');
          }
        }
        if ((options.autoMerge ?? true) && this.github?.mergify && this.buildWorkflow?.buildJobIds) {
          this.autoMerge = new github_1.AutoMerge(this.github, options.autoMergeOptions);
          this.autoMerge.addConditionsLater({
            render: () => this.buildWorkflow?.buildJobIds.map((id) => `status-success=${id}`) ?? []
          });
        }
        const dependabot = options.dependabot ?? false;
        const depsUpgrade = options.depsUpgrade ?? !dependabot;
        if (dependabot && depsUpgrade) {
          throw new Error("'dependabot' cannot be configured together with 'depsUpgrade'");
        }
        const depsAutoApprove = options.autoApproveUpgrades ?? false;
        if (depsAutoApprove && !this.autoApprove && this.github) {
          throw new Error("Automatic approval of dependencies upgrades requires configuring `autoApproveOptions`");
        }
        const autoApproveLabel = (condition) => condition && this.autoApprove?.label ? [this.autoApprove.label] : void 0;
        if (dependabot) {
          const defaultOptions = {
            labels: autoApproveLabel(depsAutoApprove)
          };
          this.github?.addDependabot((0, util_2.deepMerge)([defaultOptions, options.dependabotOptions ?? {}]));
        }
        if (depsUpgrade) {
          const defaultOptions = {
            workflowOptions: {
              container: options.workflowContainerImage ? {
                image: options.workflowContainerImage
              } : void 0,
              labels: autoApproveLabel(depsAutoApprove),
              gitIdentity: this.workflowGitIdentity,
              permissions: workflowPermissions
            }
          };
          this.upgradeWorkflow = new javascript_1.UpgradeDependencies(this, (0, util_2.deepMerge)([defaultOptions, options.depsUpgradeOptions ?? {}]));
        }
        if (options.pullRequestTemplate ?? true) {
          this.github?.addPullRequestTemplate(...options.pullRequestTemplateContents ?? []);
        }
        const projenrcJs = options.projenrcJs ?? !options.projenrcJson;
        if (!this.parent && projenrcJs) {
          new projenrc_1.Projenrc(this, options.projenrcJsOptions);
        }
        this.bundler = new bundler_1.Bundler(this, options.bundlerOptions);
        if (options.package ?? true) {
          this.packageTask.exec(`mkdir -p ${this.artifactsJavascriptDirectory}`);
          this.packageTask.exec(`mv $(npm pack) ${this.artifactsJavascriptDirectory}/`);
        }
        if (options.prettier ?? false) {
          this.prettier = new javascript_1.Prettier(this, { ...options.prettierOptions });
        }
        this.npmrc = new javascript_1.NpmConfig(this, {
          omitEmpty: true
        });
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          this.npmrc.addConfig("resolution-mode", "highest");
        }
      }
      renderUploadCoverageJobStep(options) {
        if ((options.codeCov || options.codeCovTokenSecret) && this.jest?.config) {
          return [
            {
              name: "Upload coverage to Codecov",
              uses: "codecov/codecov-action@v3",
              with: options.codeCovTokenSecret ? {
                token: `\${{ secrets.${options.codeCovTokenSecret} }}`,
                directory: this.jest.config.coverageDirectory
              } : {
                directory: this.jest.config.coverageDirectory
              }
            }
          ];
        } else {
          return [];
        }
      }
      addBins(bins) {
        this.package.addBin(bins);
      }
      /**
       * Replaces the contents of an npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.package.setScript(name, command);
      }
      /**
       * Replaces the contents of multiple npm package.json scripts.
       * @param scripts The scripts to set
       */
      addScripts(scripts) {
        for (const [name, command] of Object.entries(scripts)) {
          this.package.setScript(name, command);
        }
      }
      /**
       * Removes the npm script (always successful).
       * @param name The name of the script.
       */
      removeScript(name) {
        this.package.removeScript(name);
      }
      /**
       * Indicates if a script by the name name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.package.hasScript(name);
      }
      /**
       * DEPRECATED
       * @deprecated use `project.compileTask.exec()`
       */
      addCompileCommand(...commands) {
        for (const c of commands) {
          this.compileTask.exec(c);
        }
      }
      /**
       * DEPRECATED
       * @deprecated use `project.testTask.exec()`
       */
      addTestCommand(...commands) {
        for (const c of commands) {
          this.testTask.exec(c);
        }
      }
      /**
       * Directly set fields in `package.json`.
       * @param fields The fields to set
       */
      addFields(fields) {
        for (const [name, value] of Object.entries(fields)) {
          this.package.addField(name, value);
        }
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        this.package.addKeywords(...keywords);
      }
      /**
       * Get steps for scoped package access
       *
       * @param codeArtifactOptions Details of logging in to AWS
       * @returns array of job steps required for each private scoped packages
       */
      getScopedPackageSteps(codeArtifactOptions) {
        const parsedCodeArtifactOptions = {
          accessKeyIdSecret: codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID",
          secretAccessKeySecret: codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY",
          roleToAssume: codeArtifactOptions?.roleToAssume,
          authProvider: codeArtifactOptions?.authProvider
        };
        if (parsedCodeArtifactOptions.authProvider === node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        if (parsedCodeArtifactOptions.roleToAssume) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-access-key-id": (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
                "aws-secret-access-key": (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret),
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        return [
          {
            name: "AWS CodeArtifact Login",
            run: `${this.runScriptCommand} ca:login`,
            env: {
              AWS_ACCESS_KEY_ID: (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
              AWS_SECRET_ACCESS_KEY: (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret)
            }
          }
        ];
      }
      /**
       * Returns the set of workflow steps which should be executed to bootstrap a
       * workflow.
       *
       * @param options Options.
       * @returns Job steps
       */
      renderWorkflowSetup(options = {}) {
        const install = new Array();
        install.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          install.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        if (this.nodeVersion || this.workflowPackageCache) {
          const cache = this.package.packageManager === node_package_1.NodePackageManager.YARN ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.YARN2 ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.PNPM ? "pnpm" : "npm";
          install.push({
            name: "Setup Node.js",
            uses: "actions/setup-node@v3",
            with: {
              ...this.nodeVersion && {
                "node-version": this.nodeVersion
              },
              ...this.workflowPackageCache && {
                cache
              }
            }
          });
        }
        const mutable = options.mutable ?? false;
        if (this.package.scopedPackagesOptions) {
          install.push(...this.getScopedPackageSteps(this.package.codeArtifactOptions));
        }
        install.push({
          name: "Install dependencies",
          run: mutable ? this.package.installAndUpdateLockfileCommand : this.package.installCommand
        });
        return install;
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        return this.package.addDeps(...deps);
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        return this.package.addDevDeps(...deps);
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        return this.package.addPeerDeps(...deps);
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        return this.package.addBundledDeps(...deps);
      }
      addPackageIgnore(pattern) {
        this.npmignore?.addPatterns(pattern);
      }
      addLicense(options) {
        if (this.package.license) {
          new license_1.License(this, {
            spdx: this.package.license,
            copyrightOwner: options.copyrightOwner ?? options.authorName,
            copyrightPeriod: options.copyrightPeriod
          });
        }
      }
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Logs", "logs", "*.log", "npm-debug.log*", "yarn-debug.log*", "yarn-error.log*", "lerna-debug.log*", "# Diagnostic reports (https://nodejs.org/api/report.html)", "report.[0-9]*.[0-9]*.[0-9]*.[0-9]*.json", "# Runtime data", "pids", "*.pid", "*.seed", "*.pid.lock", "# Directory for instrumented libs generated by jscoverage/JSCover", "lib-cov", "# Coverage directory used by tools like istanbul", "coverage", "*.lcov", "# nyc test coverage", ".nyc_output", "# Compiled binary addons (https://nodejs.org/api/addons.html)", "build/Release", "# Dependency directories", "node_modules/", "jspm_packages/", "# TypeScript cache", "*.tsbuildinfo", "# Optional eslint cache", ".eslintcache", "# Output of 'npm pack'", "*.tgz", "# Yarn Integrity file", ".yarn-integrity", "# parcel-bundler cache (https://parceljs.org/)", ".cache");
      }
      /**
       * Returns the shell command to execute in order to run a task. This will
       * typically be `npx projen TASK`.
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `${this.package.projenCommand} ${task.name}`;
      }
      /**
       * The job ID of the build workflow.
       */
      get buildWorkflowJobId() {
        return this.buildWorkflow?.buildJobIds[0];
      }
    };
    exports2.NodeProject = NodeProject;
    _a = JSII_RTTI_SYMBOL_1;
    NodeProject[_a] = { fqn: "projen.javascript.NodeProject", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/npm-config.js
var require_npm_config = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/npm-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NpmConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var ini_1 = require_ini2();
    var NpmConfig = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.config = {};
        new ini_1.IniFile(project, ".npmrc", {
          obj: this.config,
          omitEmpty: options.omitEmpty
        });
        if (options.registry) {
          this.addRegistry(options.registry);
        }
      }
      /**
       * configure a scoped registry
       *
       * @param url the URL of the registry to use
       * @param scope the scope the registry is used for; leave empty for the default registry
       */
      addRegistry(url, scope) {
        this.addConfig(scope ? `${scope}:registry` : "registry", url);
      }
      /**
       * configure a generic property
       *
       * @param name the name of the property
       * @param value the value of the property
       */
      addConfig(name, value) {
        this.config[name] = value;
      }
    };
    exports2.NpmConfig = NpmConfig;
    _a = JSII_RTTI_SYMBOL_1;
    NpmConfig[_a] = { fqn: "projen.javascript.NpmConfig", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/typescript-config.js
var require_typescript_config = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/typescript-config.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypescriptConfig = exports2.TypescriptConfigExtends = exports2.TypeScriptJsxMode = exports2.TypeScriptImportsNotUsedAsValues = exports2.TypeScriptModuleResolution = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver2();
    var _1 = require_javascript();
    var component_1 = require_component();
    var json_1 = require_json();
    var TypeScriptModuleResolution;
    (function(TypeScriptModuleResolution2) {
      TypeScriptModuleResolution2["CLASSIC"] = "classic";
      TypeScriptModuleResolution2["NODE"] = "node";
      TypeScriptModuleResolution2["NODE16"] = "node16";
      TypeScriptModuleResolution2["NODE_NEXT"] = "nodenext";
      TypeScriptModuleResolution2["BUNDLER"] = "bundler";
    })(TypeScriptModuleResolution || (exports2.TypeScriptModuleResolution = TypeScriptModuleResolution = {}));
    var TypeScriptImportsNotUsedAsValues;
    (function(TypeScriptImportsNotUsedAsValues2) {
      TypeScriptImportsNotUsedAsValues2["REMOVE"] = "remove";
      TypeScriptImportsNotUsedAsValues2["PRESERVE"] = "preserve";
      TypeScriptImportsNotUsedAsValues2["ERROR"] = "error";
    })(TypeScriptImportsNotUsedAsValues || (exports2.TypeScriptImportsNotUsedAsValues = TypeScriptImportsNotUsedAsValues = {}));
    var TypeScriptJsxMode;
    (function(TypeScriptJsxMode2) {
      TypeScriptJsxMode2["PRESERVE"] = "preserve";
      TypeScriptJsxMode2["REACT"] = "react";
      TypeScriptJsxMode2["REACT_NATIVE"] = "react-native";
      TypeScriptJsxMode2["REACT_JSX"] = "react-jsx";
      TypeScriptJsxMode2["REACT_JSXDEV"] = "react-jsxdev";
    })(TypeScriptJsxMode || (exports2.TypeScriptJsxMode = TypeScriptJsxMode = {}));
    var TypescriptConfigExtends = class _TypescriptConfigExtends {
      /**
       * Factory for creation from array of file paths.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than one value in `paths`.
       *
       * @param paths Absolute or relative paths to base `tsconfig.json` files.
       */
      static fromPaths(paths) {
        return new _TypescriptConfigExtends(paths);
      }
      /**
       * Factory for creation from array of other `TypescriptConfig` instances.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than on value in `configs`.
       *
       * @param configs Base `TypescriptConfig` instances.
       */
      static fromTypescriptConfigs(configs) {
        const paths = configs.map((config) => config.file.absolutePath);
        return _TypescriptConfigExtends.fromPaths(paths);
      }
      constructor(bases) {
        this.bases = bases;
      }
      toJSON() {
        return this.bases;
      }
    };
    exports2.TypescriptConfigExtends = TypescriptConfigExtends;
    _a = JSII_RTTI_SYMBOL_1;
    TypescriptConfigExtends[_a] = { fqn: "projen.javascript.TypescriptConfigExtends", version: "0.71.112" };
    var TypescriptConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const fileName = options.fileName ?? "tsconfig.json";
        this._extends = options.extends ?? TypescriptConfigExtends.fromPaths([]);
        this.include = options.include ?? ["**/*.ts"];
        this.exclude = options.exclude ?? ["node_modules"];
        this.fileName = fileName;
        this.compilerOptions = options.compilerOptions;
        this.file = new json_1.JsonFile(project, fileName, {
          allowComments: true,
          obj: {
            extends: () => this.renderExtends(),
            compilerOptions: this.compilerOptions,
            include: () => this.include,
            exclude: () => this.exclude
          }
        });
        if (project instanceof _1.NodeProject) {
          project.npmignore?.exclude(`/${fileName}`);
        }
      }
      /**
       * Render appropriate value for `extends` field.
       * @private
       */
      renderExtends() {
        if (this.extends.length <= 1) {
          return this.extends[0];
        }
        return this.extends;
      }
      /**
       * Resolve valid TypeScript extends paths relative to this config.
       *
       * @remarks
       * This will only resolve the relative path from this config to another given
       * an absolute path as input. Any non-absolute path or other string will be returned as is.
       * This is to preserve manually specified relative paths as well as npm import paths.
       *
       * @param configPath Path to resolve against.
       */
      resolveExtendsPath(configPath) {
        if (!path.isAbsolute(configPath))
          return configPath;
        const relativeConfig = path.relative(path.dirname(this.file.absolutePath), configPath);
        const { dir, ...pathParts } = path.parse(relativeConfig);
        const configDir = dir ? path.format({ dir: dir.startsWith("..") ? "" : ".", base: dir }) : ".";
        return path.format({ ...pathParts, dir: configDir });
      }
      /**
       * Validate usage of `extends` against current TypeScript version.
       * @private
       */
      validateExtends() {
        const project = this.project;
        const hasOneOrNoneExtends = this.extends.length <= 1;
        const isNodeProject = project instanceof _1.NodeProject;
        if (hasOneOrNoneExtends || !isNodeProject) {
          return;
        }
        const tsVersion = semver.coerce(project.package.tryResolveDependencyVersion("typescript"), { loose: true });
        if (tsVersion && tsVersion.major < 5) {
          this.project.logger.warn("TypeScript < 5.0.0 can only extend from a single base config.", `TypeScript Version: ${tsVersion.format()}`, `File: ${this.file.absolutePath}`, `Extends: ${this.extends}`);
        }
      }
      /**
       * Array of base `tsconfig.json` paths.
       * Any absolute paths are resolved relative to this instance,
       * while any relative paths are used as is.
       */
      get extends() {
        return this._extends.toJSON().map((value) => this.resolveExtendsPath(value));
      }
      /**
       * Extend from base `TypescriptConfig` instance.
       *
       * @remarks
       * TypeScript 5.0+ is required to extend from more than one base `TypescriptConfig`.
       *
       * @param value Base `TypescriptConfig` instance.
       */
      addExtends(value) {
        this._extends = TypescriptConfigExtends.fromPaths([
          ...this._extends.toJSON(),
          value.file.absolutePath
        ]);
      }
      addInclude(pattern) {
        this.include.push(pattern);
      }
      addExclude(pattern) {
        this.exclude.push(pattern);
      }
      preSynthesize() {
        super.preSynthesize();
        this.validateExtends();
      }
    };
    exports2.TypescriptConfig = TypescriptConfig;
    _b = JSII_RTTI_SYMBOL_1;
    TypescriptConfig[_b] = { fqn: "projen.javascript.TypescriptConfig", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/upgrade-dependencies.js
var require_upgrade_dependencies = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/upgrade-dependencies.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.UpgradeDependenciesSchedule = exports2.UpgradeDependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var github_1 = require_github2();
    var constants_1 = require_constants3();
    var workflow_actions_1 = require_workflow_actions();
    var workflows_model_1 = require_workflows_model();
    var release_1 = require_release2();
    var CREATE_PATCH_STEP_ID = "create_patch";
    var PATCH_CREATED_OUTPUT = "patch_created";
    var UpgradeDependencies = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.workflows = [];
        this._project = project;
        this.options = options;
        this.pullRequestTitle = options.pullRequestTitle ?? "upgrade dependencies";
        this.gitIdentity = options.workflowOptions?.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.permissions = {
          contents: workflows_model_1.JobPermission.READ,
          ...options.workflowOptions?.permissions
        };
        this.postBuildSteps = [];
        this.containerOptions = options.workflowOptions?.container;
        project.addDevDeps("npm-check-updates@^16");
        this.postUpgradeTask = project.tasks.tryFind("post-upgrade") ?? project.tasks.addTask("post-upgrade", {
          description: "Runs after upgrading dependencies"
        });
        this.upgradeTask = project.addTask(options.taskName ?? "upgrade", {
          // this task should not run in CI mode because its designed to
          // update package.json and lock files.
          env: { CI: "0" },
          description: this.pullRequestTitle,
          steps: { toJSON: () => this.renderTaskSteps() }
        });
        this.upgradeTask.lock();
        if (this.upgradeTask && project.github && (options.workflow ?? true)) {
          if (options.workflowOptions?.branches) {
            for (const branch of options.workflowOptions.branches) {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            }
          } else if (release_1.Release.of(project)) {
            const release = release_1.Release.of(project);
            release._forEachBranch((branch) => {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            });
          } else {
            const defaultBranch = void 0;
            this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, defaultBranch));
          }
        }
      }
      /**
       * Add steps to execute a successful build.
       * @param steps workflow steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      renderTaskSteps() {
        const exclude = this.options.exclude ?? [];
        const ncuExcludes = [
          ...new Set(this.project.deps.all.filter((dep) => dep.version && dep.version[0] !== "^" && dep.type !== dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(exclude))
        ];
        const ncuIncludes = this.options.include?.filter((item) => !ncuExcludes.includes(item));
        const includeLength = this.options.include?.length ?? 0;
        const ncuIncludesLength = ncuIncludes?.length ?? 0;
        if (includeLength > 0 && ncuIncludesLength === 0) {
          return [{ exec: "echo No dependencies to upgrade." }];
        }
        const steps = new Array();
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand([], ["npm-check-updates"])
        });
        for (const dep of ["dev", "optional", "peer", "prod", "bundle"]) {
          const ncuCommand = [
            "npm-check-updates",
            "--dep",
            dep,
            "--upgrade",
            "--target=minor"
          ];
          if (ncuIncludes) {
            ncuCommand.push(`--filter='${ncuIncludes.join(",")}'`);
          } else if (ncuExcludes.length > 0) {
            ncuCommand.push(`--reject='${ncuExcludes.join(",")}'`);
          }
          steps.push({ exec: ncuCommand.join(" ") });
        }
        steps.push({ exec: this._project.package.installAndUpdateLockfileCommand });
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand(exclude, this.options.include)
        });
        steps.push({ exec: this._project.projenCommand });
        steps.push({ spawn: this.postUpgradeTask.name });
        return steps;
      }
      createWorkflow(task, github, branch) {
        const schedule = this.options.workflowOptions?.schedule ?? UpgradeDependenciesSchedule.DAILY;
        const workflowName = `${task.name}${branch ? `-${branch.replace(/\//g, "-")}` : ""}`;
        const workflow = github.addWorkflow(workflowName);
        const triggers = {
          workflowDispatch: {},
          schedule: schedule.cron.length > 0 ? schedule.cron.map((e) => ({ cron: e })) : void 0
        };
        workflow.on(triggers);
        const upgrade = this.createUpgrade(task, github, branch);
        const pr = this.createPr(workflow, upgrade);
        const jobs = {};
        jobs[upgrade.jobId] = upgrade.job;
        jobs[pr.jobId] = pr.job;
        workflow.addJobs(jobs);
        return workflow;
      }
      createUpgrade(task, github, branch) {
        const runsOn = this.options.workflowOptions?.runsOn ?? ["ubuntu-latest"];
        const with_ = {
          ...branch ? { ref: branch } : {},
          ...github.downloadLfs ? { lfs: true } : {}
        };
        const steps = [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: Object.keys(with_).length > 0 ? with_ : void 0
          },
          ...this._project.renderWorkflowSetup({ mutable: false }),
          {
            name: "Upgrade dependencies",
            run: this._project.runTaskCommand(task)
          }
        ];
        steps.push(...this.postBuildSteps);
        steps.push(...workflow_actions_1.WorkflowActions.uploadGitPatch({
          stepId: CREATE_PATCH_STEP_ID,
          outputName: PATCH_CREATED_OUTPUT
        }));
        return {
          job: {
            name: "Upgrade",
            container: this.containerOptions,
            permissions: this.permissions,
            runsOn: runsOn ?? ["ubuntu-latest"],
            steps,
            outputs: {
              [PATCH_CREATED_OUTPUT]: {
                stepId: CREATE_PATCH_STEP_ID,
                outputName: PATCH_CREATED_OUTPUT
              }
            }
          },
          jobId: "upgrade",
          ref: branch
        };
      }
      createPr(workflow, upgrade) {
        const credentials = this.options.workflowOptions?.projenCredentials ?? workflow.projenCredentials;
        return {
          job: github_1.WorkflowJobs.pullRequestFromPatch({
            patch: {
              jobId: upgrade.jobId,
              outputName: PATCH_CREATED_OUTPUT,
              ref: upgrade.ref
            },
            workflowName: workflow.name,
            credentials,
            runsOn: this.options.workflowOptions?.runsOn,
            pullRequestTitle: `chore(deps): ${this.pullRequestTitle}`,
            pullRequestDescription: "Upgrades project dependencies.",
            gitIdentity: this.gitIdentity,
            assignees: this.options.workflowOptions?.assignees,
            labels: this.options.workflowOptions?.labels,
            signoff: this.options.signoff
          }),
          jobId: "pr"
        };
      }
    };
    exports2.UpgradeDependencies = UpgradeDependencies;
    _a = JSII_RTTI_SYMBOL_1;
    UpgradeDependencies[_a] = { fqn: "projen.javascript.UpgradeDependencies", version: "0.71.112" };
    var UpgradeDependenciesSchedule = class _UpgradeDependenciesSchedule {
      /**
       * Create a schedule from a raw cron expression.
       */
      static expressions(cron) {
        return new _UpgradeDependenciesSchedule(cron);
      }
      constructor(cron) {
        this.cron = cron;
      }
    };
    exports2.UpgradeDependenciesSchedule = UpgradeDependenciesSchedule;
    _b = JSII_RTTI_SYMBOL_1;
    UpgradeDependenciesSchedule[_b] = { fqn: "projen.javascript.UpgradeDependenciesSchedule", version: "0.71.112" };
    UpgradeDependenciesSchedule.NEVER = new UpgradeDependenciesSchedule([]);
    UpgradeDependenciesSchedule.DAILY = new UpgradeDependenciesSchedule(["0 0 * * *"]);
    UpgradeDependenciesSchedule.WEEKDAY = new UpgradeDependenciesSchedule([
      "0 0 * * 1-5"
    ]);
    UpgradeDependenciesSchedule.WEEKLY = new UpgradeDependenciesSchedule([
      "0 0 * * 1"
    ]);
    UpgradeDependenciesSchedule.MONTHLY = new UpgradeDependenciesSchedule([
      "0 0 1 * *"
    ]);
  }
});

// ../../components/environments/node_modules/projen/lib/javascript/index.js
var require_javascript = __commonJS({
  "../../components/environments/node_modules/projen/lib/javascript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_bundler(), exports2);
    __exportStar(require_eslint(), exports2);
    __exportStar(require_jest(), exports2);
    __exportStar(require_node_package(), exports2);
    __exportStar(require_node_project(), exports2);
    __exportStar(require_npm_config(), exports2);
    __exportStar(require_prettier(), exports2);
    __exportStar(require_projenrc2(), exports2);
    __exportStar(require_typescript_config(), exports2);
    __exportStar(require_upgrade_dependencies(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/typescript/projenrc.js
var require_projenrc3 = __commonJS({
  "../../components/environments/node_modules/projen/lib/typescript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var render_options_1 = require_render_options();
    var projenrc_1 = require_projenrc();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this._tsProject = project;
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this._swc = options.swc ?? false;
        this.addDefaultTask();
        this.generateProjenrc();
      }
      addDefaultTask() {
        const deps = ["ts-node"];
        if (this._swc) {
          deps.push("@swc/core");
        }
        this._tsProject.addDevDeps(...deps);
        const tsNode = this._swc ? "ts-node --swc" : "ts-node";
        this._tsProject.defaultTask?.exec(`${tsNode} --project ${this._tsProject.tsconfigDev.fileName} ${this.filePath}`);
      }
      preSynthesize() {
        this._tsProject.tsconfigDev.addInclude(this.filePath);
        this._tsProject.tsconfigDev.addInclude(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addLintPattern(this._projenCodeDir);
        this._tsProject.eslint?.addLintPattern(this.filePath);
        this._tsProject.eslint?.allowDevDeps(this.filePath);
        this._tsProject.eslint?.allowDevDeps(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addIgnorePattern(`!${this.filePath}`);
        this._tsProject.eslint?.addIgnorePattern(`!${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.typescript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/typescript/projenrc-ts.js
var require_projenrc_ts = __commonJS({
  "../../components/environments/node_modules/projen/lib/typescript/projenrc-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcTs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var javascript_1 = require_javascript();
    var render_options_1 = require_render_options();
    var projenrc_1 = require_projenrc();
    var ProjenrcTs = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this.tsconfig = new javascript_1.TypescriptConfig(project, {
          fileName: options.tsconfigFileName ?? "tsconfig.projen.json",
          compilerOptions: {}
        });
        project.defaultTask?.exec(`npx -y ts-node --project ${this.tsconfig.fileName} ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        this.tsconfig.addInclude(this.filePath);
        this.tsconfig.addInclude(`${this._projenCodeDir}/**/*.ts`);
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcTs = ProjenrcTs;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcTs[_a] = { fqn: "projen.typescript.ProjenrcTs", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/typescript/typescript.js
var require_typescript = __commonJS({
  "../../components/environments/node_modules/projen/lib/typescript/typescript.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.mergeTsconfigOptions = exports2.TypeScriptLibraryProject = exports2.TypeScriptAppProject = exports2.TypeScriptProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver2();
    var common_1 = require_common();
    var component_1 = require_component();
    var javascript_1 = require_javascript();
    var sample_file_1 = require_sample_file();
    var textfile_1 = require_textfile();
    var typescript_1 = require_typescript2();
    var util_1 = require_util2();
    var TypeScriptProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          ...options,
          // disable .projenrc.js if typescript is enabled
          projenrcJs: options.projenrcTs ? false : options.projenrcJs,
          jestOptions: {
            ...options.jestOptions,
            jestConfig: {
              ...options.jestOptions?.jestConfig,
              testMatch: options.jestOptions?.jestConfig?.testMatch ?? []
            }
          }
        });
        this.srcdir = options.srcdir ?? "src";
        this.libdir = options.libdir ?? "lib";
        this.docgen = options.docgen;
        this.docsDirectory = options.docsDirectory ?? "docs/";
        this.compileTask.exec("tsc --build");
        this.watchTask = this.addTask("watch", {
          description: "Watch & compile in the background",
          exec: "tsc --build -w"
        });
        this.testdir = options.testdir ?? "test";
        this.gitignore.include(`/${this.testdir}/`);
        this.npmignore?.exclude(`/${this.testdir}/`);
        const compiledTests = this.testdir.startsWith(this.srcdir + path.posix.sep);
        if (options.entrypointTypes || this.entrypoint !== "") {
          const entrypointTypes = options.entrypointTypes ?? `${path.join(path.dirname(this.entrypoint), path.basename(this.entrypoint, ".js")).replace(/\\/g, "/")}.d.ts`;
          this.package.addField("types", entrypointTypes);
        }
        const compilerOptionDefaults = {
          alwaysStrict: true,
          declaration: true,
          esModuleInterop: true,
          experimentalDecorators: true,
          inlineSourceMap: true,
          inlineSources: true,
          lib: ["es2019"],
          module: "CommonJS",
          noEmitOnError: false,
          noFallthroughCasesInSwitch: true,
          noImplicitAny: true,
          noImplicitReturns: true,
          noImplicitThis: true,
          noUnusedLocals: true,
          noUnusedParameters: true,
          resolveJsonModule: true,
          strict: true,
          strictNullChecks: true,
          strictPropertyInitialization: true,
          stripInternal: true,
          target: "ES2019"
        };
        if (options.disableTsconfigDev && options.disableTsconfig) {
          throw new Error("Cannot specify both 'disableTsconfigDev' and 'disableTsconfig' fields.");
        }
        if (!options.disableTsconfig) {
          this.tsconfig = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            include: [`${this.srcdir}/**/*.ts`],
            // exclude: ['node_modules'], // TODO: shouldn't we exclude node_modules?
            compilerOptions: {
              rootDir: this.srcdir,
              outDir: this.libdir,
              ...compilerOptionDefaults
            }
          }, options.tsconfig));
        }
        if (options.disableTsconfigDev) {
          this.tsconfigDev = this.tsconfig;
        } else {
          const tsconfigDevFile = options.tsconfigDevFile ?? "tsconfig.dev.json";
          this.tsconfigDev = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            fileName: tsconfigDevFile,
            include: [
              common_1.PROJEN_RC,
              `${this.srcdir}/**/*.ts`,
              `${this.testdir}/**/*.ts`
            ],
            exclude: ["node_modules"],
            compilerOptions: compilerOptionDefaults
          }, options.tsconfig, options.tsconfigDev));
        }
        this.gitignore.include(`/${this.srcdir}/`);
        this.npmignore?.exclude(`/${this.srcdir}/`);
        if (this.srcdir !== this.libdir) {
          this.gitignore.exclude(`/${this.libdir}`);
        } else {
          this.gitignore.exclude(`/${this.libdir}/**/*.js`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts.map`);
        }
        this.npmignore?.include(`/${this.libdir}/`);
        this.npmignore?.include(`/${this.libdir}/**/*.js`);
        this.npmignore?.include(`/${this.libdir}/**/*.d.ts`);
        this.gitignore.exclude("/dist/");
        this.npmignore?.exclude("dist");
        this.npmignore?.exclude("/tsconfig.json");
        this.npmignore?.exclude("/.github/");
        this.npmignore?.exclude("/.vscode/");
        this.npmignore?.exclude("/.idea/");
        this.npmignore?.exclude("/.projenrc.js");
        this.npmignore?.exclude("tsconfig.tsbuildinfo");
        if (this.jest) {
          if (compiledTests) {
            this.addJestCompiled(this.jest);
          } else {
            this.addJestNoCompile(this.jest);
          }
        }
        if (options.eslint ?? true) {
          this.eslint = new javascript_1.Eslint(this, {
            tsconfigPath: `./${this.tsconfigDev.fileName}`,
            dirs: [this.srcdir],
            devdirs: [this.testdir, "build-tools"],
            fileExtensions: [".ts", ".tsx"],
            lintProjenRc: false,
            ...options.eslintOptions
          });
          this.tsconfigEslint = this.tsconfigDev;
        }
        if (!this.parent && options.projenrcTs) {
          new typescript_1.Projenrc(this, options.projenrcTsOptions);
        }
        const tsver = options.typescriptVersion ? `@${options.typescriptVersion}` : "";
        this.addDevDeps(
          `typescript${tsver}`,
          // @types/node versions numbers match the node runtime versions' major.minor, however, new
          // releases are only created when API changes are included in a node release... We might for
          // example have dependencies that require `node >= 12.22`, but as 12.21 and 12.22 did not
          // include API changes, `@types/node@12.20.x` is the "correct" version to use. As it is not
          // possible to easily determine the correct version to use, we pick up the latest version.
          //
          // Additionally, we default to tracking the 12.x line, as the current earliest LTS release of
          // node is 12.x, so this is what corresponds to the broadest compatibility with supported node
          // runtimes.
          `@types/node@^${semver.major(this.package.minNodeVersion ?? "16.0.0")}`
        );
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        if (this.docgen) {
          new typescript_1.TypedocDocgen(this);
        }
      }
      /**
       * Tests are compiled to `lib/TESTDIR`, so we don't need jest to compile them
       * for us. just run them directly from javascript.
       */
      addJestCompiled(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`);
        const testout = path.posix.relative(this.srcdir, this.testdir);
        const libtest = path.posix.join(this.libdir, testout);
        const srctest = this.testdir;
        this.npmignore?.exclude(`/${libtest}/`);
        jest.addTestMatch(`**/${libtest}/**/?(*.)+(spec|test).js?(x)`);
        jest.addWatchIgnorePattern(`/${this.srcdir}/`);
        const resolveSnapshotPath = (test, ext) => {
          const fullpath = test.replace(libtest, srctest);
          return path.join(path.dirname(fullpath), "__snapshots__", path.basename(fullpath, ".js") + ".ts" + ext);
        };
        const resolveTestPath = (snap, ext) => {
          const filename = path.basename(snap, ".ts" + ext) + ".js";
          const dir = path.dirname(path.dirname(snap)).replace(srctest, libtest);
          return path.join(dir, filename);
        };
        const resolver = new textfile_1.TextFile(this, path.posix.join(common_1.PROJEN_DIR, "jest-snapshot-resolver.js"));
        if (!resolver.marker) {
          resolver.addLine(`// ${resolver.marker}`);
        }
        resolver.addLine('const path = require("path");');
        resolver.addLine(`const libtest = "${libtest}";`);
        resolver.addLine(`const srctest= "${srctest}";`);
        resolver.addLine("module.exports = {");
        resolver.addLine(`  resolveSnapshotPath: ${resolveSnapshotPath.toString()},`);
        resolver.addLine(`  resolveTestPath: ${resolveTestPath.toString()},`);
        resolver.addLine("  testPathForConsistencyCheck: path.join('some', '__tests__', 'example.test.js')");
        resolver.addLine("};");
        jest.addSnapshotResolver(`./${resolver.path}`);
      }
      addJestNoCompile(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`, `ts-jest${jest.jestVersion}`);
        jest.addTestMatch(`<rootDir>/${this.srcdir}/**/__tests__/**/*.ts?(x)`);
        jest.addTestMatch(`<rootDir>/(${this.testdir}|${this.srcdir})/**/*(*.)@(spec|test).ts?(x)`);
        if (!jest.config.preset) {
          jest.config.preset = "ts-jest";
        }
        jest.config.globals = (0, util_1.deepMerge)([
          {
            "ts-jest": {
              tsconfig: this.tsconfigDev.fileName
            }
          },
          jest.config.globals
        ]);
      }
    };
    exports2.TypeScriptProject = TypeScriptProject;
    _a = JSII_RTTI_SYMBOL_1;
    TypeScriptProject[_a] = { fqn: "projen.typescript.TypeScriptProject", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        const srcCode = [
          "export class Hello {",
          "  public sayHello() {",
          "    return 'hello, world!';",
          "  }",
          "}"
        ].join("\n");
        const testCode = [
          "import { Hello } from '../src';",
          "",
          "test('hello', () => {",
          "  expect(new Hello().sayHello()).toBe('hello, world!');",
          "});"
        ].join("\n");
        new sample_file_1.SampleDir(project, project.srcdir, {
          files: {
            "index.ts": srcCode
          }
        });
        if (project.jest) {
          new sample_file_1.SampleDir(project, project.testdir, {
            files: {
              "hello.test.ts": testCode
            }
          });
        }
      }
    };
    var TypeScriptAppProject = class extends TypeScriptProject {
      constructor(options) {
        super({
          allowLibraryDependencies: false,
          releaseWorkflow: false,
          entrypoint: "",
          package: false,
          ...options
        });
      }
    };
    exports2.TypeScriptAppProject = TypeScriptAppProject;
    _b = JSII_RTTI_SYMBOL_1;
    TypeScriptAppProject[_b] = { fqn: "projen.typescript.TypeScriptAppProject", version: "0.71.112" };
    var TypeScriptLibraryProject = class extends TypeScriptProject {
    };
    exports2.TypeScriptLibraryProject = TypeScriptLibraryProject;
    _c = JSII_RTTI_SYMBOL_1;
    TypeScriptLibraryProject[_c] = { fqn: "projen.typescript.TypeScriptLibraryProject", version: "0.71.112" };
    function mergeTsconfigOptions(...options) {
      const definedOptions = options.filter(Boolean);
      return definedOptions.reduce((previous, current) => ({
        ...previous,
        ...current,
        include: [...previous.include ?? [], ...current.include ?? []],
        exclude: [...previous.exclude ?? [], ...current.exclude ?? []],
        compilerOptions: {
          ...previous.compilerOptions,
          ...current.compilerOptions
        }
      }), { compilerOptions: {} });
    }
    exports2.mergeTsconfigOptions = mergeTsconfigOptions;
  }
});

// ../../components/environments/node_modules/projen/lib/typescript/typescript-typedoc.js
var require_typescript_typedoc = __commonJS({
  "../../components/environments/node_modules/projen/lib/typescript/typescript-typedoc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypedocDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TypedocDocgen = class {
      constructor(project) {
        project.addDevDeps("typedoc");
        const docgen = project.addTask("docgen", {
          description: `Generate TypeScript API reference ${project.docsDirectory}`,
          exec: `typedoc ${project.srcdir} --disableSources --out ${project.docsDirectory}`
        });
        project.postCompileTask.spawn(docgen);
      }
    };
    exports2.TypedocDocgen = TypedocDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    TypedocDocgen[_a] = { fqn: "projen.typescript.TypedocDocgen", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/typescript/index.js
var require_typescript2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/typescript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_projenrc3(), exports2);
    __exportStar(require_projenrc_ts(), exports2);
    __exportStar(require_typescript(), exports2);
    __exportStar(require_typescript_typedoc(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/web/next.js
var require_next = __commonJS({
  "../../components/environments/node_modules/projen/lib/web/next.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NextComponent = exports2.NextJsTypeScriptProject = exports2.NextJsProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var postcss_1 = require_postcss();
    var component_1 = require_component();
    var javascript_1 = require_javascript();
    var sample_file_1 = require_sample_file();
    var typescript_1 = require_typescript2();
    var util_1 = require_util2();
    var NextJsProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          minNodeVersion: "12.22.0",
          workflowNodeVersion: "16.x",
          ...options
        });
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: false, tailwind: this.tailwind });
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "js",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsProject = NextJsProject;
    _a = JSII_RTTI_SYMBOL_1;
    NextJsProject[_a] = { fqn: "projen.web.NextJsProject", version: "0.71.112" };
    var NextJsTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "pages",
          eslint: false,
          minNodeVersion: "12.22.0",
          jest: false,
          workflowNodeVersion: "16.x",
          tsconfig: {
            include: ["**/*.ts", "**/*.tsx"],
            compilerOptions: {
              // required by Next.js
              esModuleInterop: true,
              module: "CommonJS",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              isolatedModules: true,
              resolveJsonModule: true,
              jsx: javascript_1.TypeScriptJsxMode.PRESERVE,
              // recommended by Next.js
              allowJs: true,
              skipLibCheck: true,
              forceConsistentCasingInFileNames: true,
              noEmit: true,
              lib: ["dom", "dom.iterable", "esnext"],
              strict: false,
              target: "es5",
              incremental: true
            }
          }
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: true, tailwind: this.tailwind });
        if (this.tsconfig) {
          this.tsconfig.file.readonly = false;
        }
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsTypeScriptProject = NextJsTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    NextJsTypeScriptProject[_b] = { fqn: "projen.web.NextJsTypeScriptProject", version: "0.71.112" };
    var NextComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        this.tailwind = options.tailwind ?? true;
        project.addDeps("next", "react", "react-dom");
        if (this.typescript) {
          project.addDevDeps("@types/react", "@types/react-dom");
        }
        if (this.tailwind) {
          new postcss_1.PostCss(project, { tailwind: true });
        }
        project.addTask("dev", {
          description: "Starts the Next.js application in development mode",
          exec: "next dev"
        });
        project.compileTask.exec("next build");
        project.addTask("export", {
          description: "Exports the application for production deployment",
          exec: "next export"
        });
        project.addTask("server", {
          description: "Starts the Next.js application in production mode",
          exec: "next start"
        });
        project.addTask("telemetry", {
          description: "Checks the status of Next.js telemetry collection",
          exec: "next telemetry"
        });
        project.npmignore?.exclude("# Next.js", "/.next/");
        project.gitignore.exclude("# Next.js", "/.next/");
      }
    };
    exports2.NextComponent = NextComponent;
    _c = JSII_RTTI_SYMBOL_1;
    NextComponent[_c] = { fqn: "projen.web.NextComponent", version: "0.71.112" };
    var NextSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "js";
        this.srcdir = options.srcdir;
        this.assetsdir = options.assetsdir;
        this.tailwind = options.tailwind;
        const indexJs = [
          'import Head from "next/head"',
          "",
          "export default function Home() {",
          "  return (",
          '    <div className="container">',
          "      <Head>",
          "        <title>Create Next App</title>",
          "      </Head>",
          "",
          "      <main>",
          '        <h1 className="title">',
          '          Welcome to <a href="https://nextjs.org">Next.js!</a>',
          "        </h1>",
          "",
          '        <p className="description">',
          "          Get started by editing <code>pages/index.js</code>",
          "        </p>",
          "",
          '        <div className="grid">',
          '          <a href="https://nextjs.org/docs" className="card">',
          "            <h3>Documentation &rarr;</h3>",
          "            <p>Find in-depth information about Next.js features and API.</p>",
          "          </a>",
          "",
          '          <a href="https://nextjs.org/learn" className="card">',
          "            <h3>Learn &rarr;</h3>",
          "            <p>Learn about Next.js in an interactive course with quizzes!</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://github.com/vercel/next.js/tree/master/examples"',
          '            className="card"',
          "          >",
          "            <h3>Examples &rarr;</h3>",
          "            <p>Discover and deploy boilerplate example Next.js projects.</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://vercel.com/import?filter=next.js&utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '            className="card"',
          "          >",
          "            <h3>Deploy &rarr;</h3>",
          "            <p>",
          "              Instantly deploy your Next.js site to a public URL with Vercel.",
          "            </p>",
          "          </a>",
          "        </div>",
          "      </main>",
          "",
          "      <footer>",
          "        <a",
          '          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Powered by Vercel",
          '          <img src="/vercel.svg" alt="Vercel Logo" className="logo" />',
          "        </a>",
          "      </footer>",
          "",
          "      <style jsx>{`",
          "        .container {",
          "          min-height: 100vh;",
          "          padding: 0 0.5rem;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        main {",
          "          padding: 5rem 0;",
          "          flex: 1;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer {",
          "          width: 100%;",
          "          height: 100px;",
          "          border-top: 1px solid #eaeaea;",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer img {",
          "          margin-left: 0.5rem;",
          "        }",
          "",
          "        footer a {",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        a {",
          "          color: inherit;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a {",
          "          color: #0070f3;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a:hover,",
          "        .title a:focus,",
          "        .title a:active {",
          "          text-decoration: underline;",
          "        }",
          "",
          "        .title {",
          "          margin: 0;",
          "          line-height: 1.15;",
          "          font-size: 4rem;",
          "        }",
          "",
          "        .title,",
          "        .description {",
          "          text-align: center;",
          "        }",
          "",
          "        .description {",
          "          line-height: 1.5;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        code {",
          "          background: #fafafa;",
          "          border-radius: 5px;",
          "          padding: 0.75rem;",
          "          font-size: 1.1rem;",
          "          font-family: Menlo, Monaco, Lucida Console, Liberation Mono,",
          "            DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace;",
          "        }",
          "",
          "        .grid {",
          "          display: flex;",
          "          align-items: center;",
          "          justify-content: center;",
          "          flex-wrap: wrap;",
          "",
          "          max-width: 800px;",
          "          margin-top: 3rem;",
          "        }",
          "",
          "        .card {",
          "          margin: 1rem;",
          "          flex-basis: 45%;",
          "          padding: 1.5rem;",
          "          text-align: left;",
          "          color: inherit;",
          "          text-decoration: none;",
          "          border: 1px solid #eaeaea;",
          "          border-radius: 10px;",
          "          transition: color 0.15s ease, border-color 0.15s ease;",
          "        }",
          "",
          "        .card:hover,",
          "        .card:focus,",
          "        .card:active {",
          "          color: #0070f3;",
          "          border-color: #0070f3;",
          "        }",
          "",
          "        .card h3 {",
          "          margin: 0 0 1rem 0;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        .card p {",
          "          margin: 0;",
          "          font-size: 1.25rem;",
          "          line-height: 1.5;",
          "        }",
          "",
          "        .logo {",
          "          height: 1em;",
          "        }",
          "",
          "        @media (max-width: 600px) {",
          "          .grid {",
          "            width: 100%;",
          "            flex-direction: column;",
          "          }",
          "        }",
          "      `}</style>",
          "",
          "      <style jsx global>{`",
          "        html,",
          "        body {",
          "          padding: 0;",
          "          margin: 0;",
          "          font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,",
          "            Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue,",
          "            sans-serif;",
          "        }",
          "",
          "        * {",
          "          box-sizing: border-box;",
          "        }",
          "      `}</style>",
          "    </div>",
          "  )",
          "}",
          ""
        ];
        if (this.tailwind) {
          indexJs.unshift('import "tailwindcss/tailwind.css"');
        }
        const vercelSvg = [
          '<svg width="283" height="64" viewBox="0 0 283 64" fill="none" ',
          '    xmlns="http://www.w3.org/2000/svg">',
          '    <path d="M141.04 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.46 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM248.72 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.45 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM200.24 34c0 6 3.92 10 10 10 4.12 0 7.21-1.87 8.8-4.92l7.68 4.43c-3.18 5.3-9.14 8.49-16.48 8.49-11.05 0-19-7.2-19-18s7.96-18 19-18c7.34 0 13.29 3.19 16.48 8.49l-7.68 4.43c-1.59-3.05-4.68-4.92-8.8-4.92-6.07 0-10 4-10 10zm82.48-29v46h-9V5h9zM36.95 0L73.9 64H0L36.95 0zm92.38 5l-27.71 48L73.91 5H84.3l17.32 30 17.32-30h10.39zm58.91 12v9.69c-1-.29-2.06-.49-3.2-.49-5.81 0-10 4-10 10V51h-9V17h9v9.2c0-5.08 5.91-9.2 13.2-9.2z" fill="#000"/>',
          "</svg>"
        ];
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            ["index." + this.fileExt]: indexJs.join("\n")
          }
        });
        new sample_file_1.SampleDir(project, this.assetsdir, {
          files: {
            "vercel.svg": vercelSvg.join("\n")
          }
        });
        new sample_file_1.SampleFile(project, "next-env.d.ts", {
          contents: [
            '/// <reference types="next" />',
            '/// <reference types="next/types/global" />',
            '/// <reference types="next/image-types/global" />',
            "// NOTE: This file should not be edited",
            "// see https://nextjs.org/docs/basic-features/typescript for more information.",
            ""
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/web/react.js
var require_react = __commonJS({
  "../../components/environments/node_modules/projen/lib/web/react.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReactTypeDef = exports2.ReactComponent = exports2.ReactTypeScriptProject = exports2.ReactProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var component_1 = require_component();
    var file_1 = require_file();
    var javascript_1 = require_javascript();
    var sample_file_1 = require_sample_file();
    var source_code_1 = require_source_code();
    var typescript_1 = require_typescript2();
    var util_1 = require_util2();
    var ReactProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          ...options
        });
        this.srcdir = options.srcdir ?? "src";
        new ReactComponent(this, { typescript: false, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "jsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
      }
    };
    exports2.ReactProject = ReactProject;
    _a = JSII_RTTI_SYMBOL_1;
    ReactProject[_a] = { fqn: "projen.web.ReactProject", version: "0.71.112" };
    var ReactTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "src",
          eslint: true,
          jest: false,
          tsconfig: {
            include: ["src"],
            compilerOptions: {
              target: "es5",
              lib: ["dom", "dom.iterable", "esnext"],
              allowJs: true,
              skipLibCheck: true,
              esModuleInterop: true,
              allowSyntheticDefaultImports: true,
              strict: true,
              forceConsistentCasingInFileNames: true,
              noFallthroughCasesInSwitch: true,
              module: "commonjs",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              resolveJsonModule: true,
              isolatedModules: true,
              noEmit: true,
              jsx: javascript_1.TypeScriptJsxMode.REACT_JSX
            }
          },
          typescriptVersion: options.typescriptVersion ?? "^4.0.3"
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "src";
        this.eslint?.addRules({
          "import/no-extraneous-dependencies": [
            "error",
            {
              devDependencies: ["**/src/**/*.test.tsx", "**/src/setupTests.ts"],
              optionalDependencies: false,
              peerDependencies: true
            }
          ]
        });
        new ReactComponent(this, { typescript: true, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
        this.package.addPackageResolutions(
          // https://github.com/DefinitelyTyped/DefinitelyTyped/issues/62300
          "@types/express@4.17.13",
          "@types/express-serve-static-core@4.17.30"
        );
      }
    };
    exports2.ReactTypeScriptProject = ReactTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    ReactTypeScriptProject[_b] = { fqn: "projen.web.ReactTypeScriptProject", version: "0.71.112" };
    var ReactComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        project.compileTask.reset();
        project.addDeps("react", "react-dom", "react-scripts@^5", "web-vitals");
        project.addDevDeps("@testing-library/jest-dom", "@testing-library/react", "@testing-library/user-event");
        if (this.typescript) {
          project.addDevDeps("@types/jest", "@types/react", "@types/react-dom");
        }
        const rewire = options.rewire ?? false;
        if (rewire) {
          const overridesPath = ".projen/react-config-overrides.js";
          project.addDevDeps("react-app-rewired");
          project.addFields({ "config-overrides-path": overridesPath });
          const configOverrides = new source_code_1.SourceCode(this.project, overridesPath);
          if (!configOverrides.marker) {
            configOverrides.line(`// ${configOverrides.marker}`);
          }
          configOverrides.line("/**");
          configOverrides.line(" * Override CRA configuration without needing to eject.");
          configOverrides.line(" *");
          configOverrides.line(" * @see https://www.npmjs.com/package/react-app-rewired");
          configOverrides.line(" */");
          configOverrides.open("module.exports = function override(config, env) {");
          for (const [key, value] of Object.entries(rewire)) {
            configOverrides.line(`config.${key} = ${JSON.stringify(value)};`);
          }
          configOverrides.line("return config;");
          configOverrides.close("};");
        }
        const reactScripts = rewire ? "react-app-rewired" : "react-scripts";
        project.addTask("dev", {
          description: "Starts the react application",
          exec: `${reactScripts} start`
        });
        project.compileTask.exec(`${reactScripts} build`);
        project.testTask.exec(`${reactScripts} test --watchAll=false`);
        const testWatch = project.tasks.tryFind("test:watch");
        testWatch?.reset(`${reactScripts} test`);
        project.npmignore?.exclude("# Build", "/build/");
        project.gitignore.exclude("# Build", "/build/");
        project.package.addField("eslintConfig", {
          extends: ["react-app", "react-app/jest"]
        });
        project.package.addField("browserslist", {
          production: [">0.2%", "not dead", "not op_mini all"],
          development: [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
          ]
        });
      }
    };
    exports2.ReactComponent = ReactComponent;
    _c = JSII_RTTI_SYMBOL_1;
    ReactComponent[_c] = { fqn: "projen.web.ReactComponent", version: "0.71.112" };
    var ReactSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "jsx";
        this.srcdir = options.srcdir;
        const logoSvg = [
          '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3">',
          '    <g fill="#61DAFB">',
          '        <path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/>',
          '        <circle cx="420.9" cy="296.5" r="45.7"/>',
          '        <path d="M520.5 78.1z"/>',
          "    </g>",
          "</svg>",
          ""
        ];
        const appJsx = [
          "import logo from './logo.svg';",
          "import './App.css'",
          "",
          "function App() {",
          "  return (",
          '   <div className="App">',
          '      <header className="App-header">',
          '        <img src={logo} className="App-logo" alt="logo" />',
          "        <p>",
          `          Edit <code>src/App.${this.fileExt}</code> and save to reload.`,
          "        </p>",
          '        <a className="App-link"',
          '          href="https://reactjs.org"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Learn React",
          "        </a>",
          "      </header>",
          "    </div>",
          "  );",
          "}",
          "",
          "export default App;",
          ""
        ];
        const appCss = [
          ".App {",
          "  text-align: center;",
          "}",
          "",
          ".App-logo {",
          "  height: 40vmin;",
          "  pointer-events: none;",
          "}",
          "",
          "@media (prefers-reduced-motion: no-preference) {",
          "  .App-logo {",
          "    animation: App-logo-spin infinite 20s linear;",
          "  }",
          "}",
          "",
          ".App-header {",
          "  background-color: #282c34;",
          "  min-height: 100vh;",
          "  display: flex;",
          "  flex-direction: column;",
          "  align-items: center;",
          "  justify-content: center;",
          "  font-size: calc(10px + 2vmin);",
          "  color: white;",
          "}",
          "",
          ".App-link {",
          "  color: #61dafb;",
          "}",
          "",
          "@keyframes App-logo-spin {",
          "  from {",
          "    transform: rotate(0deg);",
          "  }",
          "  to {",
          "    transform: rotate(360deg);",
          "  }",
          "}",
          ""
        ];
        const appTestJsx = [
          "import { render, screen } from '@testing-library/react';",
          "import App from './App';",
          "",
          "test('renders learn react link', () => {",
          "  render(<App />);",
          "  const linkElement = screen.getByText(/learn react/i);",
          "  expect(linkElement).toBeInTheDocument();",
          "});",
          ""
        ];
        const indexJsx = [
          "import React from 'react';",
          "import ReactDOM from 'react-dom';",
          "import './index.css';",
          "import App from './App';",
          "import reportWebVitals from './reportWebVitals';",
          "",
          "ReactDOM.render(",
          "  <React.StrictMode>",
          "    <App />",
          "  </React.StrictMode>,",
          "  document.getElementById('root')",
          ");",
          "",
          "// If you want to start measuring performance in your app, pass a function",
          "// to log results (for example: reportWebVitals(console.log))",
          "// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals",
          "reportWebVitals();",
          ""
        ];
        const indexCss = [
          "body {",
          "  margin: 0;",
          "  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',",
          "    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',",
          "    sans-serif;",
          "  -webkit-font-smoothing: antialiased;",
          "  -moz-osx-font-smoothing: grayscale;",
          "}",
          "",
          "code {",
          "  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',",
          "    monospace;",
          "}",
          ""
        ];
        const reportWebVitalsJs = [
          "import { ReportHandler } from 'web-vitals';",
          "",
          "const reportWebVitals = (onPerfEntry?: ReportHandler) => {",
          "  if (onPerfEntry && onPerfEntry instanceof Function) {",
          "    import('web-vitals').then(",
          "      ({ getCLS, getFID, getFCP, getLCP, getTTFB }) => {",
          "        getCLS(onPerfEntry);",
          "        getFID(onPerfEntry);",
          "        getFCP(onPerfEntry);",
          "        getLCP(onPerfEntry);",
          "        getTTFB(onPerfEntry);",
          "      },",
          "      () => {}",
          "    );",
          "  }",
          "};",
          "",
          "export default reportWebVitals;"
        ];
        const setupTestsJs = [
          "// jest-dom adds custom jest matchers for asserting on DOM nodes.",
          "// allows you to do things like:",
          "// expect(element).toHaveTextContent(/react/i)",
          "// learn more: https://github.com/testing-library/jest-dom",
          "import '@testing-library/jest-dom';",
          ""
        ];
        const reactTypeDef = ['/// <reference types="react-scripts" />'];
        const fileExtWithoutX = this.fileExt.replace("x", "");
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            "react-app-env.d.ts": reactTypeDef.join("\n"),
            "logo.svg": logoSvg.join("\n"),
            ["App." + this.fileExt]: appJsx.join("\n"),
            ["App.test." + this.fileExt]: appTestJsx.join("\n"),
            "App.css": appCss.join("\n"),
            ["index." + this.fileExt]: indexJsx.join("\n"),
            "index.css": indexCss.join("\n"),
            ["reportWebVitals." + fileExtWithoutX]: reportWebVitalsJs.join("\n"),
            ["setupTests." + fileExtWithoutX]: setupTestsJs.join("\n")
          }
        });
      }
    };
    var ReactTypeDef = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(_) {
        return ['/// <reference types="react-scripts" />'].join("\n");
      }
    };
    exports2.ReactTypeDef = ReactTypeDef;
    _d = JSII_RTTI_SYMBOL_1;
    ReactTypeDef[_d] = { fqn: "projen.web.ReactTypeDef", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/web/index.js
var require_web = __commonJS({
  "../../components/environments/node_modules/projen/lib/web/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_next(), exports2);
    __exportStar(require_postcss(), exports2);
    __exportStar(require_react(), exports2);
    __exportStar(require_tailwind(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/gitlab/configuration.js
var require_configuration = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitlab/configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CiConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case();
    var component_1 = require_component();
    var yaml_1 = require_yaml();
    var CiConfiguration = class extends component_1.Component {
      constructor(project, name, options) {
        super(project);
        this.defaultAfterScript = [];
        this.defaultBeforeScript = [];
        this.defaultServices = [];
        this.defaultTags = [];
        this.include = [];
        this.stages = [];
        this.variables = {};
        this.jobs = {};
        this.project = project;
        this.name = path.parse(name).name;
        this.path = this.name === "gitlab-ci" ? ".gitlab-ci.yml" : `.gitlab/ci-templates/${name.toLocaleLowerCase()}.yml`;
        this.file = new yaml_1.YamlFile(this.project, this.path, {
          obj: () => this.renderCI(),
          // GitLab needs to read the file from the repository in order to work.
          committed: true
        });
        const defaults = options?.default;
        if (defaults) {
          this.defaultAfterScript.push(...defaults.afterScript ?? []);
          this.defaultArtifacts = defaults.artifacts;
          defaults.beforeScript && this.defaultBeforeScript.push(...defaults.beforeScript);
          this.defaultCache = defaults.cache;
          this.defaultImage = defaults.image;
          this.defaultInterruptible = defaults.interruptible;
          this.defaultRetry = defaults.retry;
          defaults.services && this.addServices(...defaults.services);
          defaults.tags && this.defaultTags.push(...defaults.tags);
          this.defaultTimeout = defaults.timeout;
        }
        this.pages = options?.pages;
        this.workflow = options?.workflow;
        if (options?.stages) {
          this.addStages(...options.stages);
        }
        if (options?.variables) {
          this.addGlobalVariables(options.variables);
        }
        if (options?.jobs) {
          this.addJobs(options.jobs);
        }
      }
      /**
       * Add additional yml/yaml files to the CI includes
       * @param includes The includes to add.
       */
      addIncludes(...includes) {
        for (const additional of includes) {
          this.assertIsValidInclude(additional);
          for (const existing of this.include) {
            if (this.areEqualIncludes(existing, additional)) {
              throw new Error(`${this.name}: GitLab CI ${existing} already contains one or more templates specified in ${additional}.`);
            }
          }
          this.include.push(additional);
        }
      }
      /**
       * Throw an error if the provided Include is invalid.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param include the Include to validate.
       */
      assertIsValidInclude(include) {
        const combos = [
          include.local,
          include.file && include.project,
          include.remote,
          include.template
        ];
        const len = combos.filter((x) => Boolean(x)).length;
        if (len !== 1) {
          throw new Error(`${this.name}: GitLab CI include ${include} contains ${len} property combination(s).
        A valid include configuration specifies *one* of the following property combinations.
        * local
        * file, project
        * remote
        * template  
        `);
        }
      }
      /**
       * Check if the equality of Includes.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param x First include to compare.
       * @param y Second include to compare.
       * @returns Whether the includes are equal.
       */
      areEqualIncludes(x, y) {
        if (x.local === y.local && x.local !== void 0) {
          return true;
        } else if (x.template === y.template && x.template !== void 0) {
          return true;
        } else if (x.remote === y.remote && x.remote !== void 0) {
          return true;
        } else if (x.project === y.project && x.ref === y.ref) {
          const xFiles = x.file ? x.file : [];
          const yFiles = y.file ? y.file : [];
          const allFiles = xFiles.concat(yFiles);
          return new Set(allFiles).size !== allFiles.length;
        }
        return false;
      }
      /**
       * Add additional services.
       * @param services The services to add.
       */
      addServices(...services) {
        for (const additional of services) {
          for (const existing of this.defaultServices) {
            if (additional.name === existing.name && additional.alias === existing.alias) {
              throw new Error(`${this.name}: GitLab CI already contains service ${additional}.`);
            }
          }
          this.defaultServices.push(additional);
        }
      }
      /**
       * Add a globally defined variable to the CI configuration.
       * @param variables The variables to add.
       */
      addGlobalVariables(variables) {
        for (const [key, value] of Object.entries(variables)) {
          if (this.variables[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains variable ${key}.`);
          }
          this.variables[key] = value;
        }
      }
      /**
       * Add stages to the CI configuration if not already present.
       * @param stages stages to add.
       */
      addStages(...stages) {
        for (const stage of stages) {
          if (!this.stages.includes(stage)) {
            this.stages.push(stage);
          }
        }
      }
      /**
       * Add jobs and their stages to the CI configuration.
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        for (const [key, value] of Object.entries(jobs)) {
          if (this.jobs[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains job ${key}.`);
          }
          this.jobs[key] = value;
          if (value.stage) {
            this.addStages(value.stage);
          }
        }
      }
      renderCI() {
        return {
          default: this.renderDefault(),
          include: this.include.length > 0 ? snakeCaseKeys(this.include) : void 0,
          pages: snakeCaseKeys(this.pages),
          services: this.defaultServices.length > 0 ? snakeCaseKeys(this.defaultServices) : void 0,
          variables: Object.entries(this.variables).length > 0 ? this.variables : void 0,
          workflow: snakeCaseKeys(this.workflow),
          stages: this.stages.length > 0 ? this.stages : void 0,
          // we do not want to change job names
          // as they can be hidden (https://docs.gitlab.com/ee/ci/jobs/index.html#hide-jobs)
          // or referenced in extends
          ...snakeCaseKeys(this.jobs, true)
        };
      }
      renderDefault() {
        const defaults = {
          afterScript: this.defaultAfterScript.length > 0 ? this.defaultAfterScript : void 0,
          artifacts: this.defaultArtifacts,
          beforeScript: this.defaultBeforeScript.length > 0 ? this.defaultBeforeScript : void 0,
          cache: this.defaultCache,
          image: this.defaultImage,
          interruptible: this.defaultInterruptible,
          retry: this.defaultRetry,
          services: this.defaultServices.length > 0 ? this.defaultServices : void 0,
          tags: this.defaultTags.length > 0 ? this.defaultTags : void 0,
          timeout: this.defaultTimeout
        };
        return Object.values(defaults).filter((x) => x).length ? snakeCaseKeys(defaults) : void 0;
      }
    };
    exports2.CiConfiguration = CiConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    CiConfiguration[_a] = { fqn: "projen.gitlab.CiConfiguration", version: "0.71.112" };
    function snakeCaseKeys(obj, skipTopLevel = false) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map((o) => snakeCaseKeys(o));
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null && k !== "variables") {
          v = snakeCaseKeys(v);
        }
        result[skipTopLevel ? k : (0, case_1.snake)(k)] = v;
      }
      return result;
    }
  }
});

// ../../components/environments/node_modules/projen/lib/gitlab/configuration-model.js
var require_configuration_model = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitlab/configuration-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowWhen = exports2.Strategy = exports2.LinkType = exports2.DefaultElement = exports2.KubernetesEnum = exports2.DeploymentTier = exports2.Action = exports2.JobWhen = exports2.CacheWhen = exports2.CachePolicy = void 0;
    var CachePolicy;
    (function(CachePolicy2) {
      CachePolicy2["PULL"] = "pull";
      CachePolicy2["PUSH"] = "push";
      CachePolicy2["PULL_PUSH"] = "pull-push";
    })(CachePolicy || (exports2.CachePolicy = CachePolicy = {}));
    var CacheWhen;
    (function(CacheWhen2) {
      CacheWhen2["ALWAYS"] = "always";
      CacheWhen2["ON_FAILURE"] = "on_failure";
      CacheWhen2["ON_SUCCESS"] = "on_success";
    })(CacheWhen || (exports2.CacheWhen = CacheWhen = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["DELAYED"] = "delayed";
      JobWhen2["MANUAL"] = "manual";
      JobWhen2["NEVER"] = "never";
      JobWhen2["ON_FAILURE"] = "on_failure";
      JobWhen2["ON_SUCCESS"] = "on_success";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var Action;
    (function(Action2) {
      Action2["PREPARE"] = "prepare";
      Action2["START"] = "start";
      Action2["STOP"] = "stop";
    })(Action || (exports2.Action = Action = {}));
    var DeploymentTier;
    (function(DeploymentTier2) {
      DeploymentTier2["DEVELOPMENT"] = "development";
      DeploymentTier2["OTHER"] = "other";
      DeploymentTier2["PRODUCTION"] = "production";
      DeploymentTier2["STAGING"] = "staging";
      DeploymentTier2["TESTING"] = "testing";
    })(DeploymentTier || (exports2.DeploymentTier = DeploymentTier = {}));
    var KubernetesEnum;
    (function(KubernetesEnum2) {
      KubernetesEnum2["ACTIVE"] = "active";
    })(KubernetesEnum || (exports2.KubernetesEnum = KubernetesEnum = {}));
    var DefaultElement;
    (function(DefaultElement2) {
      DefaultElement2["AFTER_SCRIPT"] = "after_script";
      DefaultElement2["ARTIFACTS"] = "artifacts";
      DefaultElement2["BEFORE_SCRIPT"] = "before_script";
      DefaultElement2["CACHE"] = "cache";
      DefaultElement2["IMAGE"] = "image";
      DefaultElement2["INTERRUPTIBLE"] = "interruptible";
      DefaultElement2["RETRY"] = "retry";
      DefaultElement2["SERVICES"] = "services";
      DefaultElement2["TAGS"] = "tags";
      DefaultElement2["TIMEOUT"] = "timeout";
    })(DefaultElement || (exports2.DefaultElement = DefaultElement = {}));
    var LinkType;
    (function(LinkType2) {
      LinkType2["IMAGE"] = "image";
      LinkType2["OTHER"] = "other";
      LinkType2["PACKAGE"] = "package";
      LinkType2["RUNBOOK"] = "runbook";
    })(LinkType || (exports2.LinkType = LinkType = {}));
    var Strategy;
    (function(Strategy2) {
      Strategy2["DEPEND"] = "depend";
    })(Strategy || (exports2.Strategy = Strategy = {}));
    var WorkflowWhen;
    (function(WorkflowWhen2) {
      WorkflowWhen2["ALWAYS"] = "always";
      WorkflowWhen2["NEVER"] = "never";
    })(WorkflowWhen || (exports2.WorkflowWhen = WorkflowWhen = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/gitlab/nested-configuration.js
var require_nested_configuration = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitlab/nested-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NestedConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration();
    var NestedConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, parent, name, options) {
        super(project, name, options);
        this.parent = parent;
      }
    };
    exports2.NestedConfiguration = NestedConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    NestedConfiguration[_a] = { fqn: "projen.gitlab.NestedConfiguration", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/gitlab/gitlab-configuration.js
var require_gitlab_configuration = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitlab/gitlab-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitlabConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration();
    var nested_configuration_1 = require_nested_configuration();
    var GitlabConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, options) {
        super(project, "gitlab-ci", options);
        this.nestedTemplates = {};
      }
      /**
       * Creates and adds nested templates to the includes of the main CI.
       * Additionally adds their stages to the main CI if they are not already present.
       * You can futher customize nested templates through the `nestedTemplates` property.
       * E.g. gitlabConfig.nestedTemplates['templateName']?.addStages('stageName')
       * @param config a record the names and configuraitons of the templates.
       */
      createNestedTemplates(config) {
        for (const [name, options] of Object.entries(config)) {
          if (this.nestedTemplates[name] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains template "${name}".`);
          }
          const template = new nested_configuration_1.NestedConfiguration(this.project, this, name, options);
          this.nestedTemplates[template.name] = template;
          this.addIncludes({ local: template.path });
          this.addStages(...template.stages);
        }
      }
    };
    exports2.GitlabConfiguration = GitlabConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    GitlabConfiguration[_a] = { fqn: "projen.gitlab.GitlabConfiguration", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/gitlab/index.js
var require_gitlab = __commonJS({
  "../../components/environments/node_modules/projen/lib/gitlab/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_configuration(), exports2);
    __exportStar(require_configuration_model(), exports2);
    __exportStar(require_gitlab_configuration(), exports2);
    __exportStar(require_nested_configuration(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/circleci/circleci.js
var require_circleci = __commonJS({
  "../../components/environments/node_modules/projen/lib/circleci/circleci.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isObjectContainingFieldExactly = exports2.Circleci = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var util_1 = require_util2();
    var yaml_1 = require_yaml();
    var Circleci = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.renderJobs = (jobs = []) => {
          let result = [];
          for (const job of jobs ?? []) {
            const { identifier, orbParameters, ...reduced } = job;
            if ((0, exports2.isObjectContainingFieldExactly)(job, "identifier")) {
              result = [...result, identifier];
            } else {
              result = [
                ...result,
                { [identifier]: { ...reduced, ...orbParameters } }
              ];
            }
          }
          return result;
        };
        this.snakeCase = (input) => {
          const snakeCaseKeyWords = [
            "awsAuth",
            "workingDirectory",
            "resourceClass",
            "dockerLayerCaching",
            "noOutputTimeout"
          ];
          return (0, util_1.snakeCaseKeys)(input, true, snakeCaseKeyWords);
        };
        this.options = options;
        this.orbs = options.orbs ?? {};
        this.workflows = options.workflows ?? [];
        this.jobs = options.jobs ?? [];
        this.file = new yaml_1.YamlFile(project, ".circleci/config.yml", {
          obj: () => this.renderCircleCi()
        });
      }
      /**
       * function to prepare the rendering of the yaml file.
       * Objects with dynamic keys like workflows and jobs required the field `identifier` to be set.
       * Those object will be reduced by `identifier` field before rendering
       * @private
       */
      renderCircleCi() {
        const workflowRecords = {};
        for (const workflow of this.workflows) {
          const { identifier, ...reduced } = workflow;
          reduced.jobs = this.renderJobs(workflow.jobs);
          workflowRecords[identifier] = this.snakeCase(reduced);
        }
        const jobRecords = {};
        for (const job of this.jobs) {
          const { identifier, ...reduced } = job;
          jobRecords[identifier] = this.snakeCase(reduced);
        }
        return {
          version: this.options.version || 2.1,
          setup: this.options.setup,
          orbs: this.orbs,
          jobs: Object.keys(jobRecords).length > 0 ? jobRecords : void 0,
          workflows: workflowRecords
        };
      }
      /**
       * add new workflow to existing pipeline
       * @param workflow
       */
      addWorkflow(workflow) {
        this.workflows = [...this.workflows, workflow];
      }
      /**
       * Add a Circleci Orb to pipeline. Will throw error if the orb already exists
       * @param name
       * @param orb
       */
      addOrb(name, orb) {
        if (this.orbs[name] !== void 0) {
          throw new Error(`Circleci Config already contains an orb named ${name}.`);
        }
        this.orbs[name] = orb;
      }
    };
    exports2.Circleci = Circleci;
    _a = JSII_RTTI_SYMBOL_1;
    Circleci[_a] = { fqn: "projen.circleci.Circleci", version: "0.71.112" };
    var isObjectContainingFieldExactly = (obj, field) => {
      return Object.keys(obj).length == 1 && Object.keys(obj).includes(field);
    };
    exports2.isObjectContainingFieldExactly = isObjectContainingFieldExactly;
  }
});

// ../../components/environments/node_modules/projen/lib/circleci/constant.js
var require_constant = __commonJS({
  "../../components/environments/node_modules/projen/lib/circleci/constant.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FilterMainBranchOnly = void 0;
    exports2.FilterMainBranchOnly = {
      branches: { only: ["master", "main"] }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/circleci/model.js
var require_model = __commonJS({
  "../../components/environments/node_modules/projen/lib/circleci/model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PipelineParameterType = exports2.JobWhen = exports2.ResourceClass = exports2.JobType = void 0;
    var JobType;
    (function(JobType2) {
      JobType2["APPROVAL"] = "approval";
    })(JobType || (exports2.JobType = JobType = {}));
    var ResourceClass;
    (function(ResourceClass2) {
      ResourceClass2["SMALL"] = "small";
      ResourceClass2["MEDIUM"] = "medium";
      ResourceClass2["MEDIUM_PLUS"] = "medium+";
      ResourceClass2["LARGE_X"] = "xlarge";
      ResourceClass2["LARGE_2X"] = "2xlarge";
      ResourceClass2["LARGE_2X_PLUS"] = "2xlarge+";
    })(ResourceClass || (exports2.ResourceClass = ResourceClass = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["ON_SUCCESS"] = "on_success";
      JobWhen2["ON_FAIL"] = "on_fail";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var PipelineParameterType;
    (function(PipelineParameterType2) {
      PipelineParameterType2["STRING"] = "string";
      PipelineParameterType2["BOOLEAN"] = "boolean";
      PipelineParameterType2["INTEGER"] = "integer";
      PipelineParameterType2["ENUM"] = "enum";
    })(PipelineParameterType || (exports2.PipelineParameterType = PipelineParameterType = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/circleci/index.js
var require_circleci2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/circleci/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_circleci(), exports2);
    __exportStar(require_constant(), exports2);
    __exportStar(require_model(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/util/semver.js
var require_semver4 = __commonJS({
  "../../components/environments/node_modules/projen/lib/util/semver.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.toReleaseVersion = exports2.toPythonVersionRange = exports2.toNuGetVersionRange = exports2.toMavenVersionRange = exports2.TargetName = void 0;
    var util_1 = require("util");
    var semver_1 = require_semver2();
    var TargetName;
    (function(TargetName2) {
      TargetName2[TargetName2["JAVA"] = 0] = "JAVA";
      TargetName2[TargetName2["DOTNET"] = 1] = "DOTNET";
      TargetName2[TargetName2["PYTHON"] = 2] = "PYTHON";
      TargetName2[TargetName2["GO"] = 3] = "GO";
      TargetName2[TargetName2["JAVASCRIPT"] = 4] = "JAVASCRIPT";
    })(TargetName || (exports2.TargetName = TargetName = {}));
    function toMavenVersionRange(semverRange, suffix) {
      return toBracketNotation(semverRange, suffix, {
        semver: false,
        target: TargetName.JAVA
      });
    }
    exports2.toMavenVersionRange = toMavenVersionRange;
    function toNuGetVersionRange(semverRange) {
      return toBracketNotation(semverRange, void 0, {
        semver: false,
        target: TargetName.DOTNET
      });
    }
    exports2.toNuGetVersionRange = toNuGetVersionRange;
    function toPythonVersionRange(semverRange) {
      const range = new semver_1.Range(semverRange);
      return range.set.map((set) => set.map((comp) => {
        const versionId = toReleaseVersion(comp.semver.raw?.replace(/-0$/, "") ?? "0.0.0", TargetName.PYTHON);
        switch (comp.operator) {
          case "":
            return comp.value === "" ? ">=0.0.0" : `==${versionId}`;
          case "=":
            return `==${versionId}`;
          default:
            return `${comp.operator}${versionId}`;
        }
      }).join(", ")).join(", ");
    }
    exports2.toPythonVersionRange = toPythonVersionRange;
    function toReleaseVersion(assemblyVersion, target) {
      const version = (0, semver_1.parse)(assemblyVersion);
      if (version == null) {
        throw new Error(`Unable to parse the provided assembly version: "${assemblyVersion}"`);
      }
      if (version.prerelease.length === 0) {
        return assemblyVersion;
      }
      switch (target) {
        case TargetName.PYTHON:
          const [label, sequence, ...rest] = version.prerelease;
          if (rest.filter((elt) => elt !== 0).length > 0 || sequence == null) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) components to python: ${(0, util_1.inspect)(version.prerelease)}. The format should be 'X.Y.Z-label.sequence', where sequence is a positive integer, and label is "dev", "pre", "alpha", beta", or "rc"`);
          }
          if (!Number.isInteger(sequence)) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as sequence ${(0, util_1.inspect)(sequence)} is not an integer`);
          }
          const baseVersion = `${version.major}.${version.minor}.${version.patch}`;
          switch (label) {
            case "dev":
            case "pre":
              return `${baseVersion}.dev${sequence}`;
            case "alpha":
              return `${baseVersion}a${sequence}`;
            case "beta":
              return `${baseVersion}b${sequence}`;
            case "rc":
              return `${baseVersion}rc${sequence}`;
            default:
              throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as label ${(0, util_1.inspect)(label)} is not mapped (only "dev", "pre", "alpha", "beta" and "rc" are)`);
          }
        case TargetName.DOTNET:
        case TargetName.GO:
        case TargetName.JAVA:
        case TargetName.JAVASCRIPT:
          break;
      }
      return assemblyVersion;
    }
    exports2.toReleaseVersion = toReleaseVersion;
    function toBracketNotation(semverRange, suffix, { semver = true, target = TargetName.JAVASCRIPT } = {}) {
      if (semverRange === "*") {
        semverRange = ">=0.0.0";
      }
      const range = new semver_1.Range(semverRange);
      if (semverRange === range.range) {
        return semverRange;
      }
      return range.set.map((set) => {
        if (set.length === 1) {
          const version = set[0].semver.raw;
          if (!version && range.raw === ">=0.0.0") {
            return "[0.0.0,)";
          }
          switch (set[0].operator || "=") {
            case "=":
              return `[${addSuffix(version)}]`;
            case ">":
              return `(${addSuffix(version)},)`;
            case ">=":
              return `[${addSuffix(version)},)`;
            case "<":
              return `(,${addSuffix(version, !semver)})`;
            case "<=":
              return `(,${addSuffix(version)}]`;
          }
        } else if (set.length === 2) {
          const nugetRange = toBracketRange(set[0], set[1]);
          if (nugetRange) {
            return nugetRange;
          }
        }
        throw new Error(`Unsupported SemVer range set in ${semverRange}: ${set.map((comp) => comp.value).join(", ")}`);
      }).join(", ");
      function toBracketRange(left, right) {
        if (left.operator.startsWith("<") && right.operator.startsWith(">")) {
          [left, right] = [right, left];
        }
        if (left.operator === "" && left.value === "") {
          left = new semver_1.Comparator(">=0.0.0", left.options);
        }
        if (!left.operator.startsWith(">") || !right.operator.startsWith("<")) {
          return void 0;
        }
        const leftBrace = left.operator.endsWith("=") ? "[" : "(";
        const rightBrace = right.operator.endsWith("=") ? "]" : ")";
        return `${leftBrace}${addSuffix(left.semver.raw)},${addSuffix(right.semver.raw, right.operator === "<" && !semver)}${rightBrace}`;
      }
      function addSuffix(str, trimDashZero = false) {
        if (!str) {
          return "";
        }
        if (trimDashZero) {
          str = str.replace(/-0$/, "");
        }
        return suffix ? `${str}${suffix}` : toReleaseVersion(str, target);
      }
    }
  }
});

// ../../components/environments/node_modules/projen/lib/java/pom.js
var require_pom = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/pom.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pom = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _resolve_1 = require_resolve();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var semver_1 = require_semver4();
    var xmlfile_1 = require_xmlfile();
    var POM_XML_ATTRS = {
      "@xsi:schemaLocation": "http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd",
      "@xmlns": "http://maven.apache.org/POM/4.0.0",
      "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
    };
    var Pom = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.properties = {};
        this.repositories = [];
        this.fileName = "pom.xml";
        this.groupId = options.groupId;
        this.artifactId = options.artifactId;
        this.version = options.version;
        this.packaging = options.packaging ?? "jar";
        this.name = project.name;
        this.description = options.description;
        this.url = options.url;
        new xmlfile_1.XmlFile(project, this.fileName, { obj: () => this.synthPom() });
      }
      /**
       * Adds a key/value property to the pom.
       * @param key the key
       * @param value the value
       */
      addProperty(key, value) {
        this.properties[key] = value;
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.TEST);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        for (const dep of options.dependencies ?? []) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
        return this.project.deps.addDependency(spec, dependencies_1.DependencyType.BUILD, options);
      }
      /**
       * Adds a repository to the pom
       * @param repository the repository to add
       */
      addRepository(repository) {
        this.repositories.push(repository);
      }
      synthPom() {
        return (0, _resolve_1.resolve)({
          project: {
            ...POM_XML_ATTRS,
            modelVersion: "4.0.0",
            groupId: this.groupId,
            artifactId: this.artifactId,
            version: this.version,
            packaging: this.packaging,
            name: this.name,
            description: this.description,
            url: this.url,
            properties: this.properties,
            ...this.synthRepositories(),
            ...this.synthDependencies()
          }
        }, { omitEmpty: true });
      }
      synthDependencies() {
        const deps = this.project.deps.all;
        if (deps.length === 0) {
          return;
        }
        const dependencies = [];
        const plugins = [];
        for (const dep of deps) {
          switch (dep.type) {
            case dependencies_1.DependencyType.PEER:
            case dependencies_1.DependencyType.RUNTIME:
              dependencies.push(mavenCoords(dep));
              break;
            case dependencies_1.DependencyType.TEST:
              dependencies.push({
                ...mavenCoords(dep),
                scope: "test"
              });
              break;
            case dependencies_1.DependencyType.BUILD:
              plugins.push({
                ...mavenCoords(dep),
                ...pluginConfig(dep.metadata)
              });
              break;
            default:
              throw new Error(`unsupported dependency type: ${dep.type}`);
          }
        }
        return {
          build: { plugins: { plugin: plugins } },
          dependencies: { dependency: dependencies }
        };
      }
      synthRepositories() {
        if (this.repositories.length === 0) {
          return;
        }
        return {
          repositories: { repository: this.repositories }
        };
      }
    };
    exports2.Pom = Pom;
    _a = JSII_RTTI_SYMBOL_1;
    Pom[_a] = { fqn: "projen.java.Pom", version: "0.71.112" };
    function mavenCoords(dep) {
      const name = dep.name;
      const parts = name.split("/");
      if (parts.length !== 2) {
        throw new Error(`invalid maven coordinates in dependency named "${name}". format is "<groupId>/<artifactId>". For example "org.junit.jupiter/junit-jupiter-engine"`);
      }
      return {
        groupId: parts[0],
        artifactId: parts[1],
        version: dep.version ? (0, semver_1.toMavenVersionRange)(dep.version) : void 0
      };
    }
    function pluginConfig(options = {}) {
      return {
        configuration: options.configuration,
        dependencies: options.dependencies && options.dependencies.length > 0 ? {
          dependency: options.dependencies?.map((d) => mavenCoords(dependencies_1.Dependencies.parseDependency(d)))
        } : void 0,
        executions: options.executions?.map((e) => ({
          execution: {
            id: e.id,
            goals: e.goals.map((goal) => ({ goal })),
            phase: e.phase
          }
        }))
      };
    }
  }
});

// ../../components/environments/node_modules/projen/lib/java/junit.js
var require_junit = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/junit.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Junit = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component();
    var sample_file_1 = require_sample_file();
    var TESTDIR = (0, path_1.join)("src", "test", "java");
    var Junit = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pom = options.pom;
        const version = options.version ?? "5.7.0";
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-api@${version}`);
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-engine@${version}`);
        project.testTask.exec("mvn test");
        const javaPackage = options.sampleJavaPackage ?? "org.acme";
        const javaPackagePath = javaPackage.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)(TESTDIR, ...javaPackagePath), {
          files: {
            "MyTest.java": [
              `package ${javaPackage};`,
              "",
              "import org.junit.jupiter.api.Test;",
              "",
              "public class MyTest {",
              "  @Test",
              "  public void testHello() {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.Junit = Junit;
    _a = JSII_RTTI_SYMBOL_1;
    Junit[_a] = { fqn: "projen.java.Junit", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/java/maven-compile.js
var require_maven_compile = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/maven-compile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenCompile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var MavenCompile = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        project.gitignore.exclude("target");
        pom.addPlugin("org.apache.maven.plugins/maven-compiler-plugin@3.8.1", {
          configuration: {
            source: options.source ?? "1.8",
            target: options.target ?? "1.8"
          }
        });
        project.compileTask.exec("mvn compiler:compile");
      }
    };
    exports2.MavenCompile = MavenCompile;
    _a = JSII_RTTI_SYMBOL_1;
    MavenCompile[_a] = { fqn: "projen.java.MavenCompile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/java/maven-packaging.js
var require_maven_packaging = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/maven-packaging.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenPackaging = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var MavenPackaging = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        pom.addPlugin("org.apache.maven.plugins/maven-jar-plugin@3.2.0", {
          configuration: {
            archive: {
              index: true,
              manifest: {
                addDefaultImplementationEntries: true,
                addDefaultSpecificationEntries: true
              }
            }
          }
        });
        if (options.sources ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-source-plugin@3.2.1", {
            executions: [{ id: "attach-sources", goals: ["jar"] }]
          });
        }
        if (options.javadocs ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-javadoc-plugin@3.2.0", {
            executions: [{ id: "attach-javadocs", goals: ["jar"] }],
            configuration: {
              failOnError: false,
              show: "protected",
              sourceFileExcludes: { exclude: options.javadocsExclude },
              detectJavaApiLink: false,
              additionalJOptions: {
                additionalJOption: [
                  "-J-XX:+TieredCompilation",
                  "-J-XX:TieredStopAtLevel=1"
                ]
              }
            }
          });
        }
        const env = {
          MAVEN_OPTS: "-XX:+TieredCompilation -XX:TieredStopAtLevel=1"
        };
        this.distdir = options.distdir ?? "dist/java";
        for (const [k, v] of Object.entries(env)) {
          this.project.packageTask.env(k, v);
        }
        this.project.packageTask.exec(`mkdir -p ${this.distdir}`);
        this.project.packageTask.exec(`mvn deploy -D=altDeploymentRepository=local::default::file:///$PWD/${this.distdir}`);
        project.gitignore.exclude(this.distdir);
      }
    };
    exports2.MavenPackaging = MavenPackaging;
    _a = JSII_RTTI_SYMBOL_1;
    MavenPackaging[_a] = { fqn: "projen.java.MavenPackaging", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/java/maven-sample.js
var require_maven_sample = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/maven-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component();
    var sample_file_1 = require_sample_file();
    var MavenSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pkg = options.package.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            "Main.java": [
              ...options.package ? [`package ${options.package};`] : [],
              "",
              "public class Main {",
              "  public static void main(final String[] args) {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.MavenSample = MavenSample;
    _a = JSII_RTTI_SYMBOL_1;
    MavenSample[_a] = { fqn: "projen.java.MavenSample", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/java/projenrc.js
var require_projenrc4 = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getJavaImport = exports2.generateJavaOptionNames = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var common_1 = require_common();
    var dependencies_1 = require_dependencies();
    var inventory_1 = require_inventory();
    var projenrc_1 = require_projenrc();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, pom, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.className = options.className ?? "projenrc";
        this.testScope = options.testScope ?? true;
        const depType = this.testScope ? dependencies_1.DependencyType.TEST : dependencies_1.DependencyType.RUNTIME;
        const execOpts = this.testScope ? ' -Dexec.classpathScope="test"' : "";
        const compileGoal = this.testScope ? "compiler:testCompile" : "compiler:compile";
        project.deps.addDependency(`io.github.cdklabs/projen@${projenVersion}`, depType);
        pom.addPlugin("org.codehaus.mojo/exec-maven-plugin@3.0.0");
        project.defaultTask?.exec(`mvn ${compileGoal} --quiet`);
        project.defaultTask?.exec(`mvn exec:java --quiet -Dexec.mainClass=${this.className}${execOpts}`);
        this.generateProjenrc();
      }
      get javaClass() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return split[0];
        }
        return split[split.length - 1];
      }
      get javaPackage() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return [];
        }
        return split.slice(0, split.length - 2);
      }
      /**
       * The path of the projenrc file.
       */
      get filePath() {
        const dir = this.testScope ? "src/test/java" : "src/main/java";
        const javaFile = (0, path_1.join)(this.project.outdir, dir, ...this.javaPackage, this.javaClass + ".java");
        return (0, path_1.relative)(this.project.outdir, javaFile);
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const javaTarget = jsiiManifest.targets.java;
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const jsiiOptionsType = jsiiManifest.types[optionsTypeFqn];
        if (!jsiiOptionsType) {
          this.project.logger.warn(`cannot find jsii type for project options: ${optionsTypeFqn}`);
          return;
        }
        if ((0, fs_1.existsSync)(this.filePath)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const openBlock = (line = "") => {
          emit(line + " {");
          indent++;
        };
        const closeBlock = () => {
          indent--;
          emit("}");
        };
        const optionFqns = generateJavaOptionNames(bootstrap.type.options, jsiiManifest);
        if (this.javaPackage.length > 0) {
          emit(`package ${this.javaPackage.join(".")};`);
          emit();
        }
        const { renderedOptions, imports } = renderJavaOptions(2, jsiiOptionsType.name, optionFqns, bootstrap.args);
        emit(`import ${getJavaImport(jsiiType, jsiiManifest)};`);
        emit(`import ${getJavaImport(jsiiOptionsType, jsiiManifest)};`);
        for (const optionTypeName of imports) {
          emit(`import ${javaTarget.package}.${optionTypeName};`);
        }
        emit();
        openBlock(`public class ${this.javaClass}`);
        openBlock("public static void main(String[] args)");
        emit(`${jsiiType.name} project = new ${jsiiType.name}(${renderedOptions});`);
        emit("project.synth();");
        closeBlock();
        closeBlock();
        const filePath = (0, path_1.join)(this.project.outdir, this.filePath);
        (0, fs_1.mkdirSync)((0, path_1.dirname)(filePath), { recursive: true });
        (0, fs_1.writeFileSync)(filePath, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${this.filePath}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.java.Projenrc", version: "0.71.112" };
    function generateJavaOptionNames(options, jsiiManifest) {
      const optionFqns = {};
      for (const option of options) {
        if (option.fqn && jsiiManifest.types[option.fqn]) {
          optionFqns[option.name] = toJavaFullTypeName(jsiiManifest.types[option.fqn]);
        }
      }
      return optionFqns;
    }
    exports2.generateJavaOptionNames = generateJavaOptionNames;
    function renderJavaOptions(indent, optionsTypeName, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [`${optionsTypeName}.builder()`];
      for (const [name, value] of Object.entries(initOptions)) {
        const { javaValue, importName } = toJavaValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`.${toJavaProperty(name)}(${javaValue})`);
      }
      lines.push(".build()");
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`);
      return { renderedOptions, imports };
    }
    function toJavaProperty(prop) {
      return prop;
    }
    function toJavaValue(value, name, optionFqns) {
      if (typeof value === "string" && optionFqns[name] !== void 0) {
        const parts = optionFqns[name].split(".");
        const base = parts[parts.length - 1];
        const choice = String(value).toUpperCase().replace(/-/g, "_");
        return { javaValue: `${base}.${choice}`, importName: optionFqns[name] };
      } else {
        return { javaValue: JSON.stringify(value) };
      }
    }
    function toJavaFullTypeName(jsiiType) {
      return [jsiiType.namespace, jsiiType.name].filter((x) => x).join(".");
    }
    function getJavaImport(jsiiType, jsiiManifest) {
      const packageName = jsiiManifest?.submodules?.[`${jsiiType.assembly}.${jsiiType?.namespace}`]?.targets?.java?.package || [jsiiManifest.targets.java.package, jsiiType.namespace].filter((x) => x).join(".");
      return `${packageName}.${jsiiType.name}`;
    }
    exports2.getJavaImport = getJavaImport;
  }
});

// ../../components/environments/node_modules/projen/lib/java/java-project.js
var require_java_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/java-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JavaProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var junit_1 = require_junit();
    var maven_compile_1 = require_maven_compile();
    var maven_packaging_1 = require_maven_packaging();
    var maven_sample_1 = require_maven_sample();
    var pom_1 = require_pom();
    var projenrc_1 = require_projenrc4();
    var github_1 = require_github2();
    var util_1 = require_util2();
    var JavaProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        this.distdir = options.distdir ?? "dist/java";
        this.pom = new pom_1.Pom(this, options);
        const rcFileTypeOptions = [options.projenrcJava, options.projenrcJson];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcJava and projenrcJson can be selected.");
        }
        if (!this.parent && (options.projenrcJava ?? !(0, util_1.anySelected)(rcFileTypeOptions))) {
          this.projenrc = new projenrc_1.Projenrc(this, this.pom, options.projenrcJavaOptions);
        }
        const sampleJavaPackage = options.sampleJavaPackage ?? "org.acme";
        if (options.junit ?? true) {
          this.junit = new junit_1.Junit(this, {
            pom: this.pom,
            sampleJavaPackage,
            ...options.junitOptions
          });
        }
        if (options.sample ?? true) {
          new maven_sample_1.MavenSample(this, { package: sampleJavaPackage });
        }
        this.pom.addProperty("project.build.sourceEncoding", "UTF-8");
        this.gitignore.exclude(".classpath");
        this.gitignore.exclude(".project");
        this.gitignore.exclude(".settings");
        this.compile = new maven_compile_1.MavenCompile(this, this.pom, options.compileOptions);
        this.packaging = new maven_packaging_1.MavenPackaging(this, this.pom, options.packagingOptions);
        this.addPlugin("org.apache.maven.plugins/maven-enforcer-plugin@3.0.0-M3", {
          executions: [{ id: "enforce-maven", goals: ["enforce"] }],
          configuration: {
            rules: [{ requireMavenVersion: [{ version: "3.6" }] }]
          }
        });
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.testDeps ?? []) {
          this.addTestDependency(dep);
        }
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        return this.pom.addDependency(spec);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        return this.pom.addTestDependency(spec);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        return this.pom.addPlugin(spec, options);
      }
    };
    exports2.JavaProject = JavaProject;
    _a = JSII_RTTI_SYMBOL_1;
    JavaProject[_a] = { fqn: "projen.java.JavaProject", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/java/index.js
var require_java = __commonJS({
  "../../components/environments/node_modules/projen/lib/java/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pom(), exports2);
    __exportStar(require_java_project(), exports2);
    __exportStar(require_maven_sample(), exports2);
    __exportStar(require_maven_compile(), exports2);
    __exportStar(require_maven_packaging(), exports2);
    __exportStar(require_junit(), exports2);
    __exportStar(require_projenrc4(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/python/requirements-file.js
var require_requirements_file = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/requirements-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.RequirementsFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var dependencies_1 = require_dependencies();
    var file_1 = require_file();
    var semver_1 = require_semver4();
    var RequirementsFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath);
        this.packages = new Array();
        this.packageProvider = options.packageProvider;
      }
      /**
       * Adds the specified packages provided in semver format.
       *
       * Comment lines (start with `#`) are ignored.
       *
       * @param packages Package version in format `<module>@<semver>`
       */
      addPackages(...packages) {
        for (let pkg of packages) {
          if (pkg.startsWith("#")) {
            this.packages.push(pkg);
          } else {
            const { name, version } = dependencies_1.Dependencies.parseDependency(pkg);
            if (version) {
              this.packages.push(`${name}${(0, semver_1.toPythonVersionRange)(version)}`);
            } else {
              this.packages.push(name);
            }
          }
        }
      }
      formatDependency(dep) {
        if (dep.version) {
          return `${dep.name}${(0, semver_1.toPythonVersionRange)(dep.version)}`;
        } else {
          return dep.name;
        }
      }
      synthesizeContent(resolver) {
        const allPackages = [...this.packages];
        if (this.packageProvider) {
          allPackages.push(...this.packageProvider.packages.map((dep) => this.formatDependency(dep)));
        }
        return `${resolver.resolve([...this.marker ? [`# ${this.marker}`] : [], ...allPackages]).join("\n")}
`;
      }
    };
    exports2.RequirementsFile = RequirementsFile;
    _a = JSII_RTTI_SYMBOL_1;
    RequirementsFile[_a] = { fqn: "projen.python.RequirementsFile", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/pip.js
var require_pip = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/pip.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pip = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var requirements_file_1 = require_requirements_file();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var task_runtime_1 = require_task_runtime();
    var Pip = class extends component_1.Component {
      constructor(project, _options = {}) {
        super(project);
        new requirements_file_1.RequirementsFile(project, "requirements.txt", {
          packageProvider: new RuntimeDependencyProvider(project)
        });
        new requirements_file_1.RequirementsFile(project, "requirements-dev.txt", {
          packageProvider: new DevDependencyProvider(project)
        });
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies"
        });
        this.installTask.exec("pip install --upgrade pip");
        this.installTask.exec("pip install -r requirements.txt");
        this.installTask.exec("pip install -r requirements-dev.txt");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Pip = Pip;
    _a = JSII_RTTI_SYMBOL_1;
    Pip[_a] = { fqn: "projen.python.Pip", version: "0.71.112" };
    var RuntimeDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.RUNTIME);
      }
    };
    var DevDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.DEVENV);
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/python/poetry.js
var require_poetry = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/poetry.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PoetryPyproject = exports2.Poetry = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var task_runtime_1 = require_task_runtime();
    var toml_1 = require_toml2();
    var util_1 = require_util2();
    var Poetry = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies",
          exec: "poetry update"
        });
        this.project.tasks.addEnvironment("VIRTUAL_ENV", "$(poetry env info -p)");
        this.project.tasks.addEnvironment("PATH", "$(echo $(poetry env info -p)/bin:$PATH)");
        project.packageTask.exec("poetry build");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "poetry publish -r testpypi"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package to PyPI.",
          exec: "poetry publish"
        });
        new PoetryPyproject(project, {
          name: project.name,
          version: options.version,
          description: options.description ?? "",
          license: options.license,
          authors: [`${options.authorName} <${options.authorEmail}>`],
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.poetryOptions,
          dependencies: () => this.synthDependencies(),
          devDependencies: () => this.synthDevDependencies()
        });
        new toml_1.TomlFile(project, "poetry.toml", {
          committed: false,
          obj: {
            repositories: {
              testpypi: {
                url: "https://test.pypi.org/legacy/"
              }
            }
          }
        });
      }
      synthDependencies() {
        const dependencies = {};
        let pythonDefined = false;
        for (const pkg of this.project.deps.all) {
          if (pkg.name === "python") {
            pythonDefined = true;
          }
          if (pkg.type === dependencies_1.DependencyType.RUNTIME) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        if (!pythonDefined) {
          dependencies.python = "^3.7";
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      synthDevDependencies() {
        const dependencies = {};
        for (const pkg of this.project.deps.all) {
          if ([dependencies_1.DependencyType.DEVENV].includes(pkg.type)) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      /**
       * Allow for poetry dependencies to specify metadata, eg `mypackage@{ version="1.2.3", extras = ["my-package-extra"] }`
       * @param dependencies poetry dependencies object
       * @private
       */
      permitDependenciesWithMetadata(dependencies) {
        const parseVersionMetadata = (version) => {
          try {
            return TOML.parse(`version = ${version}`).version;
          } catch (e) {
            return version;
          }
        };
        return Object.fromEntries(Object.entries(dependencies).map(([key, value]) => [
          key,
          parseVersionMetadata(value)
        ]));
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const result = (0, util_1.execOrUndefined)("which poetry", {
          cwd: this.project.outdir
        });
        if (!result) {
          this.project.logger.info("Unable to setup an environment since poetry is not installed. Please install poetry (https://python-poetry.org/docs/) or use a different component for managing environments such as 'venv'.");
        }
        let envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
          cwd: this.project.outdir
        });
        if (!envPath) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)("poetry env use python", { cwd: this.project.outdir });
          envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ${envPath}}).`);
        }
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Poetry = Poetry;
    _a = JSII_RTTI_SYMBOL_1;
    Poetry[_a] = { fqn: "projen.python.Poetry", version: "0.71.112" };
    var PoetryPyproject = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const decamelisedOptions = (0, util_1.decamelizeKeysRecursively)(options, {
          separator: "-"
        });
        this.file = new toml_1.TomlFile(project, "pyproject.toml", {
          omitEmpty: false,
          obj: {
            "build-system": {
              requires: ["poetry_core>=1.0.0"],
              "build-backend": "poetry.core.masonry.api"
            },
            tool: {
              poetry: {
                ...decamelisedOptions
              }
            }
          }
        });
      }
    };
    exports2.PoetryPyproject = PoetryPyproject;
    _b = JSII_RTTI_SYMBOL_1;
    PoetryPyproject[_b] = { fqn: "projen.python.PoetryPyproject", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/projenrc.js
var require_projenrc5 = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolvePythonImportName = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var case_1 = require_Case();
    var common_1 = require_common();
    var dependencies_1 = require_dependencies();
    var inventory_1 = require_inventory();
    var projenrc_1 = require_projenrc();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.filePath = options.filename ?? ".projenrc.py";
        this.pythonExec = options.pythonExec ?? "python";
        project.deps.addDependency(`projen@${projenVersion}`, dependencies_1.DependencyType.DEVENV);
        project.defaultTask?.exec(`${this.pythonExec} .projenrc.py`);
        this.generateProjenrc();
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const pythonFile = (0, path_1.join)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(pythonFile)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const optionFqns = {};
        for (const option of bootstrap.type.options) {
          if (option.fqn) {
            optionFqns[option.name] = option.fqn;
          }
        }
        const { renderedOptions, imports } = renderPythonOptions(indent, optionFqns, bootstrap.args);
        const importName = resolvePythonImportName(jsiiFqn, jsiiManifest);
        emit(toPythonImport(importName));
        for (const fqn of imports) {
          emit(toPythonImport(fqn));
        }
        emit();
        emit(`project = ${jsiiType.name}(${renderedOptions})`);
        emit();
        emit("project.synth()");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(pythonFile), { recursive: true });
        (0, fs_1.writeFileSync)(pythonFile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${pythonFile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.python.Projenrc", version: "0.71.112" };
    function resolvePythonImportName(jsiiFqn, jsiiManifest) {
      const moduleName = jsiiManifest?.targets?.python?.module;
      return moduleName ? [moduleName, ...jsiiFqn.split(".").slice(1)].join(".") : jsiiFqn;
    }
    exports2.resolvePythonImportName = resolvePythonImportName;
    function renderPythonOptions(indent, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [""];
      for (const [name, value] of Object.entries(initOptions)) {
        const { pythonValue, importName } = toPythonValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`${toPythonProperty(name)}=${pythonValue},`);
      }
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`).concat("\n");
      return { renderedOptions, imports };
    }
    function toPythonProperty(prop) {
      return (0, case_1.snake)(prop);
    }
    function toPythonValue(value, name, optionFqns) {
      if (typeof value === "boolean") {
        return { pythonValue: value ? "True" : "False" };
      } else if (typeof value === "number") {
        return { pythonValue: JSON.stringify(value) };
      } else if (typeof value === "string") {
        if (optionFqns[name] !== void 0) {
          const parts = optionFqns[name].split(".");
          const base = parts[parts.length - 1];
          const choice = String(value).toUpperCase().replace(/-/g, "_");
          return { pythonValue: `${base}.${choice}`, importName: optionFqns[name] };
        } else {
          return { pythonValue: JSON.stringify(value) };
        }
      } else if (value === void 0 || value === null) {
        return { pythonValue: "None" };
      } else {
        return { pythonValue: JSON.stringify(value) };
      }
    }
    function toPythonImport(fqn) {
      const parts = fqn.split(".");
      if (parts.length === 1) {
        return `import ${parts[0]}`;
      } else {
        return `from ${parts.slice(0, -1).join(".")} import ${parts[parts.length - 1]}`;
      }
    }
  }
});

// ../../components/environments/node_modules/projen/lib/python/pytest.js
var require_pytest = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/pytest.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pytest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var Pytest = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const version = options.version ?? "6.2.1";
        this.testdir = options.testdir ?? "tests";
        project.deps.addDependency(`pytest@${version}`, dependencies_1.DependencyType.TEST);
        project.testTask.exec([
          "pytest",
          ...options.maxFailures ? [`--maxfail=${options.maxFailures}`] : []
        ].join(" "));
      }
    };
    exports2.Pytest = Pytest;
    _a = JSII_RTTI_SYMBOL_1;
    Pytest[_a] = { fqn: "projen.python.Pytest", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/pytest-sample.js
var require_pytest_sample = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/pytest-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PytestSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var __1 = require_lib5();
    var PytestSample = class extends __1.Component {
      constructor(project, options) {
        super(project);
        new __1.SampleDir(project, options.testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "",
              `from ${options.moduleName}.example import hello`,
              "",
              "@pytest.mark.parametrize(",
              '    ("name", "expected"),',
              "    [",
              '        ("A. Musing", "Hello A. Musing!"),',
              '        ("traveler", "Hello traveler!"),',
              '        ("projen developer", "Hello projen developer!"),',
              "    ],",
              ")",
              "def test_hello(name, expected):",
              '    """Example test with parametrization."""',
              "    assert hello(name) == expected",
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PytestSample = PytestSample;
    _a = JSII_RTTI_SYMBOL_1;
    PytestSample[_a] = { fqn: "projen.python.PytestSample", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/python-env.js
var require_python_env = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/python-env.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/projen/lib/python/python-deps.js
var require_python_deps = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/python-deps.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/projen/lib/python/python-packaging.js
var require_python_packaging = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/python-packaging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/node_modules/projen/lib/python/python-sample.js
var require_python_sample = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/python-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var sample_file_1 = require_sample_file();
    var PythonSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        new sample_file_1.SampleDir(project, options.dir, {
          files: {
            "__init__.py": '__version__ = "0.1.0"\n',
            "__main__.py": [
              "from .example import hello",
              "",
              'if __name__ == "__main__":',
              '    name = input("What is your name? ")',
              "    print(hello(name))",
              ""
            ].join("\n"),
            "example.py": [
              "def hello(name: str) -> str:",
              '    """A simple greeting.',
              "    Args:",
              "        name (str): Name to greet.",
              "    Returns:",
              "        str: greeting message",
              '    """',
              '    return f"Hello {name}!"',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PythonSample = PythonSample;
    _a = JSII_RTTI_SYMBOL_1;
    PythonSample[_a] = { fqn: "projen.python.PythonSample", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/setuppy.js
var require_setuppy = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/setuppy.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SetupPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file();
    var SetupPy = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "setup.py");
        this.setupConfig = {
          name: project.name,
          packages: options.packages,
          python_requires: ">=3.7",
          classifiers: [
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3 :: Only",
            "Programming Language :: Python :: 3.7",
            "Programming Language :: Python :: 3.8",
            "Programming Language :: Python :: 3.9",
            "Programming Language :: Python :: 3.10"
          ],
          ...options ? this.renameFields(options) : []
        };
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          "import json",
          "from setuptools import setup",
          "",
          "kwargs = json.loads(",
          '    """',
          JSON.stringify(this.setupConfig, null, 4),
          '"""',
          ")",
          "",
          "setup(**kwargs)"
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
      // modify some key names since JSII interfaces require fields to be camelCase
      renameFields(options) {
        const obj = {};
        for (const [key, value] of Object.entries(options)) {
          switch (key) {
            case "authorName":
              obj.author = value;
              break;
            case "authorEmail":
              obj.author_email = value;
              break;
            case "homepage":
              obj.url = value;
              break;
            case "additionalOptions":
              Object.assign(obj, this.renameFields(value));
              break;
            default:
              obj[key] = value;
          }
        }
        return obj;
      }
    };
    exports2.SetupPy = SetupPy;
    _a = JSII_RTTI_SYMBOL_1;
    SetupPy[_a] = { fqn: "projen.python.SetupPy", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/setuptools.js
var require_setuptools = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/setuptools.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Setuptools = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var setuppy_1 = require_setuppy();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var Setuptools = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        project.deps.addDependency("wheel@0.36.2", dependencies_1.DependencyType.DEVENV);
        project.deps.addDependency("twine@3.3.0", dependencies_1.DependencyType.DEVENV);
        project.packageTask.exec("python setup.py sdist bdist_wheel");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload --repository-url https://test.pypi.org/legacy/ dist/*"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload dist/*"
        });
        const packages = options.packageName ? [options.packageName] : void 0;
        new setuppy_1.SetupPy(project, {
          name: project.name,
          packages,
          authorName: options.authorName,
          authorEmail: options.authorEmail,
          version: options.version,
          description: options.description,
          license: options.license,
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.setupConfig
        });
      }
    };
    exports2.Setuptools = Setuptools;
    _a = JSII_RTTI_SYMBOL_1;
    Setuptools[_a] = { fqn: "projen.python.Setuptools", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/venv.js
var require_venv = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/venv.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Venv = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component();
    var util_1 = require_util2();
    var Venv = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.envdir = options.envdir ?? ".env";
        this.pythonExec = options.pythonExec ?? "python";
        this.project.addGitIgnore(`/${this.envdir}`);
        this.project.tasks.addEnvironment("VIRTUAL_ENV", `$(echo $PWD/${this.envdir})`);
        this.project.tasks.addEnvironment("PATH", `$(echo $PWD/${this.envdir}/bin:$PATH)`);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const absoluteEnvdir = path.join(this.project.outdir, this.envdir);
        if (!fs.existsSync(absoluteEnvdir)) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)(`${this.pythonExec} -m venv ${this.envdir}`, {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ./${this.envdir}).`);
        }
      }
    };
    exports2.Venv = Venv;
    _a = JSII_RTTI_SYMBOL_1;
    Venv[_a] = { fqn: "projen.python.Venv", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/python-project.js
var require_python_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/python-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var pip_1 = require_pip();
    var poetry_1 = require_poetry();
    var projenrc_1 = require_projenrc5();
    var pytest_1 = require_pytest();
    var pytest_sample_1 = require_pytest_sample();
    var python_sample_1 = require_python_sample();
    var setuptools_1 = require_setuptools();
    var venv_1 = require_venv();
    var github_1 = require_github2();
    var projenrc_2 = require_projenrc2();
    var project_1 = require_project();
    var typescript_1 = require_typescript2();
    var util_1 = require_util2();
    var PYTHON_PROJECT_NAME_REGEX = /^[A-Za-z0-9-_\.]+$/;
    var PythonProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        if (!PYTHON_PROJECT_NAME_REGEX.test(options.name)) {
          throw new Error("Python projects must only consist of alphanumeric characters, hyphens, and underscores.");
        }
        this.moduleName = options.moduleName;
        this.version = options.version;
        const rcFileTypeOptions = [
          options.projenrcPython,
          options.projenrcJs,
          options.projenrcJson,
          options.projenrcTs
        ];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcPython, projenrcJs, projenrcTs, and projenrcJson can be selected.");
        }
        const poetry = options.poetry ?? false;
        const pip = options.pip ?? !poetry;
        const venv = options.venv ?? !poetry;
        const setuptools = options.setuptools ?? (!poetry && this.projectType === project_1.ProjectType.LIB);
        if (poetry && (pip || venv || setuptools)) {
          throw new Error("poetry is true - pip, venv, and setuptools must be undefined or false");
        }
        if (!this.parent) {
          if (options.projenrcPython ?? !(0, util_1.anySelected)(rcFileTypeOptions)) {
            new projenrc_1.Projenrc(this, {
              pythonExec: options.pythonExec,
              ...options.projenrcPythonOptions
            });
          }
          if (options.projenrcJs ?? false) {
            new projenrc_2.Projenrc(this, options.projenrcJsOptions);
          }
          if (options.projenrcTs ?? false) {
            new typescript_1.ProjenrcTs(this, options.projenrcTsOptions);
          }
        }
        if (venv) {
          this.envManager = new venv_1.Venv(this, {
            pythonExec: options.pythonExec,
            ...options.venvOptions
          });
        }
        if (pip) {
          this.depsManager = new pip_1.Pip(this);
        }
        if (setuptools) {
          this.packagingManager = new setuptools_1.Setuptools(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            setupConfig: options.setupConfig
          });
        }
        if (poetry) {
          const poetryProject = new poetry_1.Poetry(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            poetryOptions: {
              readme: options.readme?.filename ?? "README.md",
              ...options.poetryOptions
            }
          });
          this.depsManager = poetryProject;
          this.envManager = poetryProject;
          this.packagingManager = poetryProject;
        }
        if (!this.envManager) {
          throw new Error("At least one tool must be chosen for managing the environment (venv, conda, pipenv, or poetry).");
        }
        if (!this.depsManager) {
          throw new Error("At least one tool must be chosen for managing dependencies (pip, conda, pipenv, or poetry).");
        }
        if (!this.packagingManager && this.projectType === project_1.ProjectType.LIB) {
          throw new Error("At least one tool must be chosen for managing packaging (setuptools or poetry).");
        }
        if (Number(venv) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing the environment (venv, conda, pipenv, or poetry)");
        }
        if (Number(pip) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing dependencies (pip, conda, pipenv, or poetry)");
        }
        if (Number(setuptools) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing packaging (setuptools or poetry)");
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new pytest_sample_1.PytestSample(this, {
            moduleName: this.moduleName,
            testdir: this.pytest.testdir
          });
        }
        if (options.sample ?? true) {
          new python_sample_1.PythonSample(this, {
            dir: this.moduleName
          });
        }
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.devDeps ?? []) {
          this.addDevDependency(dep);
        }
        this.addDefaultGitIgnore();
      }
      /**
       * Adds default gitignore options for a Python project based on
       * https://github.com/github/gitignore/blob/master/Python.gitignore
       */
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Byte-compiled / optimized / DLL files", "__pycache__/", "*.py[cod]", "*$py.class", "", "# C extensions", "*.so", "", "# Distribution / packaging", ".Python", "build/", "develop-eggs/", "dist/", "downloads/", "eggs/", ".eggs/", "lib/", "lib64/", "parts/", "sdist/", "var/", "wheels/", "share/python-wheels/", "*.egg-info/", ".installed.cfg", "*.egg", "MANIFEST", "", "# PyInstaller", "#  Usually these files are written by a python script from a template", "#  before PyInstaller builds the exe, so as to inject date/other infos into it.", "*.manifest", "*.spec", "", "# Installer logs", "pip-log.txt", "pip-delete-this-directory.txt", "", "# Unit test / coverage reports", "htmlcov/", ".tox/", ".nox/", ".coverage", ".coverage.*", ".cache", "nosetests.xml", "coverage.xml", "*.cover", "*.py,cover", ".hypothesis/", ".pytest_cache/", "cover/", "", "# Translations", "*.mo", "*.pot", "", "# Django stuff:", "*.log", "local_settings.py", "db.sqlite3", "db.sqlite3-journal", "", "# Flask stuff:", "instance/", ".webassets-cache", "", "# Scrapy stuff:", ".scrapy", "", "# Sphinx documentation", "docs/_build/", "", "# PyBuilder", ".pybuilder/", "target/", "", "# Jupyter Notebook", ".ipynb_checkpoints", "", "# IPython", "profile_default/", "ipython_config.py", "", "# PEP 582; used by e.g. github.com/David-OConnor/pyflow", "__pypackages__/", "", "# Celery stuff", "celerybeat-schedule", "celerybeat.pid", "", "# SageMath parsed files", "*.sage.py", "", "# Environments", ".env", ".venv", "env/", "venv/", "ENV/", "env.bak/", "venv.bak/", "", "# Spyder project settings", ".spyderproject", ".spyproject", "", "# Rope project settings", ".ropeproject", "", "# mkdocs documentation", "/site", "", "# mypy", ".mypy_cache/", ".dmypy.json", "dmypy.json", "", "# Pyre type checker", ".pyre/", "", "# pytype static type analyzer", ".pytype/", "", "# Cython debug symbols", "cython_debug/");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        return this.depsManager.addDependency(spec);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        return this.depsManager.addDevDependency(spec);
      }
      postSynthesize() {
        super.postSynthesize();
        this.envManager.setupEnvironment();
        this.depsManager.installDependencies();
      }
    };
    exports2.PythonProject = PythonProject;
    _a = JSII_RTTI_SYMBOL_1;
    PythonProject[_a] = { fqn: "projen.python.PythonProject", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/python/index.js
var require_python = __commonJS({
  "../../components/environments/node_modules/projen/lib/python/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pip(), exports2);
    __exportStar(require_poetry(), exports2);
    __exportStar(require_projenrc5(), exports2);
    __exportStar(require_pytest(), exports2);
    __exportStar(require_pytest_sample(), exports2);
    __exportStar(require_python_env(), exports2);
    __exportStar(require_python_deps(), exports2);
    __exportStar(require_python_packaging(), exports2);
    __exportStar(require_python_project(), exports2);
    __exportStar(require_python_sample(), exports2);
    __exportStar(require_requirements_file(), exports2);
    __exportStar(require_setuppy(), exports2);
    __exportStar(require_setuptools(), exports2);
    __exportStar(require_venv(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/internal.js
var require_internal = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertToPosixPath = exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = exports2.TYPESCRIPT_LAMBDA_EXT = exports2.FEATURE_FLAGS = void 0;
    var path_1 = require("path");
    exports2.FEATURE_FLAGS = [
      "aws-cdk:enableDiffNoFail",
      "@aws-cdk/aws-apigateway:usagePlanKeyOrderInsensitiveId",
      "@aws-cdk/core:enableStackNameDuplicates",
      "@aws-cdk/core:stackRelativeExports",
      "@aws-cdk/aws-ecr-assets:dockerIgnoreSupport",
      "@aws-cdk/aws-secretsmanager:parseOwnedSecretName",
      "@aws-cdk/aws-kms:defaultKeyPolicies",
      "@aws-cdk/aws-s3:grantWriteWithoutAcl",
      "@aws-cdk/aws-ecs-patterns:removeDefaultDesiredCount",
      "@aws-cdk/aws-rds:lowercaseDbIdentifier",
      "@aws-cdk/aws-efs:defaultEncryptionAtRest",
      "@aws-cdk/aws-lambda:recognizeVersionProps",
      "@aws-cdk/aws-cloudfront:defaultSecurityPolicyTLSv1.2_2021"
    ];
    exports2.TYPESCRIPT_LAMBDA_EXT = ".lambda.ts";
    exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = ".edge-lambda.ts";
    exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = ".lambda-extension.ts";
    function convertToPosixPath(p) {
      return p.split(path_1.sep).join(path_1.posix.sep);
    }
    exports2.convertToPosixPath = convertToPosixPath;
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/consts.js
var require_consts = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/consts.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JSII_TOOLCHAIN = void 0;
    exports2.JSII_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/jsii-docgen.js
var require_jsii_docgen = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/jsii-docgen.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var JsiiDocgen = class {
      constructor(project, options = {}) {
        project.addDevDeps("jsii-docgen");
        const filePath = options.filePath ?? "API.md";
        const docgen = project.addTask("docgen", {
          description: "Generate API.md from .jsii manifest",
          exec: `jsii-docgen -o ${filePath}`
        });
        project.postCompileTask.spawn(docgen);
        project.gitignore.include(`/${filePath}`);
        project.annotateGenerated(`/${filePath}`);
      }
    };
    exports2.JsiiDocgen = JsiiDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiDocgen[_a] = { fqn: "projen.cdk.JsiiDocgen", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/jsii-project.js
var require_jsii_project = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/jsii-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiProject = exports2.Stability = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver_1 = require_semver2();
    var consts_1 = require_consts();
    var jsii_docgen_1 = require_jsii_docgen();
    var javascript_1 = require_javascript();
    var typescript_1 = require_typescript2();
    var util_1 = require_util2();
    var EMAIL_REGEX = /(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/;
    var URL_REGEX = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[\-;:&=\+\$,\w]+@)?[A-Za-z0-9\.\-]+|(?:www\.|[\-;:&=\+\$,\w]+@)[A-Za-z0-9\.\-]+)((?:\/[\+~%\/\.\w\-_]*)?\??(?:[\-\+=&;%@\.\w_]*)#?(?:[\.\!\/\\\w]*))?)/;
    var REPO_TEMP_DIRECTORY = ".repo";
    var Stability;
    (function(Stability2) {
      Stability2["EXPERIMENTAL"] = "experimental";
      Stability2["STABLE"] = "stable";
      Stability2["DEPRECATED"] = "deprecated";
    })(Stability || (exports2.Stability = Stability = {}));
    var JsiiProject = class extends typescript_1.TypeScriptProject {
      constructor(options) {
        const { authorEmail, authorUrl } = parseAuthorAddress(options);
        const usesLegacyJsii = options.jsiiVersion == null || options.jsiiVersion !== "*" && new semver_1.Range(options.jsiiVersion).intersects(new semver_1.Range("1.x"));
        const defaultOptions = {
          repository: options.repositoryUrl,
          authorName: options.author,
          authorEmail,
          authorUrl,
          jestOptions: usesLegacyJsii ? { jestVersion: "^27" } : void 0
        };
        const forcedOptions = {
          releaseToNpm: false,
          disableTsconfig: true,
          docgen: false
          // we use jsii-docgen here so disable typescript docgen
        };
        const mergedOptions = (0, util_1.deepMerge)([
          defaultOptions,
          options,
          forcedOptions
        ]);
        super(mergedOptions);
        const srcdir = this.srcdir;
        const libdir = this.libdir;
        this.addFields({ types: `${libdir}/index.d.ts` });
        const compressAssembly = options.compressAssembly ?? false;
        const jsiiFlags = ["--silence-warnings=reserved-word"];
        if (compressAssembly) {
          jsiiFlags.push("--compress-assembly");
        }
        const compatIgnore = options.compatIgnore ?? ".compatignore";
        this.addFields({ stability: options.stability ?? Stability.STABLE });
        if (options.stability === Stability.DEPRECATED) {
          this.addFields({ deprecated: true });
        }
        const compatTask = this.addTask("compat", {
          description: "Perform API compatibility check against latest version",
          exec: `jsii-diff npm:$(node -p "require('./package.json').name") -k --ignore-file ${compatIgnore} || (echo "
UNEXPECTED BREAKING CHANGES: add keys such as 'removed:constructs.Node.of' to ${compatIgnore} to skip.
" && exit 1)`
        });
        const compat = options.compat ?? false;
        if (compat) {
          this.compileTask.spawn(compatTask);
        }
        this.compileTask.reset(["jsii", ...jsiiFlags].join(" "));
        this.watchTask.reset(["jsii", "-w", ...jsiiFlags].join(" "));
        this.packageAllTask = this.addTask("package-all", {
          description: "Packages artifacts for all target languages"
        });
        const prepareRepoForCI = [
          `rsync -a . .repo --exclude .git --exclude node_modules`,
          `rm -rf ${this.artifactsDirectory}`,
          `mv .repo ${this.artifactsDirectory}`
        ].join(" && ");
        this.packageTask.reset(`if [ ! -z \${CI} ]; then ${prepareRepoForCI}; else ${this.runTaskCommand(this.packageAllTask)}; fi`);
        const targets = {};
        const jsii = {
          outdir: this.artifactsDirectory,
          targets,
          tsc: {
            outDir: libdir,
            rootDir: srcdir
          }
        };
        if (options.excludeTypescript) {
          jsii.excludeTypescript = options.excludeTypescript;
        }
        this.addFields({ jsii });
        this.release?.publisher.addGitHubPrePublishingSteps({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Collect GitHub Metadata",
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        const extraJobOptions = {
          ...options.workflowRunsOn ? { runsOn: options.workflowRunsOn } : {},
          ...options.workflowContainerImage ? { container: { image: options.workflowContainerImage } } : {}
        };
        if (options.releaseToNpm != false) {
          const task = this.addPackagingTask("js");
          this.release?.publisher.publishToNpm({
            ...this.pacmakForLanguage("js", task),
            registry: this.package.npmRegistry,
            npmTokenSecret: this.package.npmTokenSecret,
            codeArtifactOptions: options.codeArtifactOptions
          });
          this.addPackagingTarget("js", task, extraJobOptions);
        }
        if ("java" in options) {
          throw new Error('the "java" option is now called "publishToMaven"');
        }
        if (options.publishToMaven) {
          targets.java = {
            package: options.publishToMaven.javaPackage,
            maven: {
              groupId: options.publishToMaven.mavenGroupId,
              artifactId: options.publishToMaven.mavenArtifactId
            }
          };
          const task = this.addPackagingTask("java");
          this.release?.publisher.publishToMaven({
            ...this.pacmakForLanguage("java", task),
            ...options.publishToMaven
          });
          this.addPackagingTarget("java", task, extraJobOptions);
        }
        const pypi = options.publishToPypi ?? options.python;
        if (pypi) {
          targets.python = {
            distName: pypi.distName,
            module: pypi.module
          };
          const task = this.addPackagingTask("python");
          this.release?.publisher.publishToPyPi({
            ...this.pacmakForLanguage("python", task),
            ...pypi
          });
          this.addPackagingTarget("python", task, extraJobOptions);
        }
        const nuget = options.publishToNuget ?? options.dotnet;
        if (nuget) {
          targets.dotnet = {
            namespace: nuget.dotNetNamespace,
            packageId: nuget.packageId,
            iconUrl: nuget.iconUrl
          };
          const task = this.addPackagingTask("dotnet");
          this.release?.publisher.publishToNuget({
            ...this.pacmakForLanguage("dotnet", task),
            ...nuget
          });
          this.addPackagingTarget("dotnet", task, extraJobOptions);
        }
        const golang = options.publishToGo;
        if (golang) {
          targets.go = {
            moduleName: golang.moduleName,
            packageName: golang.packageName
          };
          const task = this.addPackagingTask("go");
          this.release?.publisher.publishToGo({
            ...this.pacmakForLanguage("go", task),
            ...golang
          });
          this.addPackagingTarget("go", task, extraJobOptions);
        }
        const jsiiSuffix = options.jsiiVersion === "*" ? (
          // If jsiiVersion is "*", don't specify anything so the user can manage.
          ""
        ) : (
          // Otherwise, use `jsiiVersion` or fall back to `1.x`.
          `@${options.jsiiVersion ?? "1.x"}`
        );
        this.addDevDeps(`jsii${jsiiSuffix}`, "jsii-diff", "jsii-pacmak");
        this.gitignore.exclude(".jsii", "tsconfig.json");
        this.npmignore?.include(".jsii");
        if (options.docgen ?? true) {
          new jsii_docgen_1.JsiiDocgen(this, { filePath: options.docgenFilePath });
        }
        if (this.npmignore) {
          this.npmignore.readonly = false;
        }
        if (usesLegacyJsii) {
          this.package.addPackageResolutions("@types/prettier@2.6.0");
          this.package.addPackageResolutions("@types/babel__traverse@7.18.2");
        }
      }
      /**
       * Adds a target language to the build workflow and creates a package task.
       * @param language
       * @returns
       */
      addPackagingTarget(language, packTask, extraJobOptions) {
        if (!this.buildWorkflow) {
          return;
        }
        const pacmak = this.pacmakForLanguage(language, packTask);
        this.buildWorkflow.addPostBuildJob(`package-${language}`, {
          runsOn: ["ubuntu-latest"],
          permissions: {},
          tools: {
            node: { version: this.nodeVersion ?? "16.x" },
            ...pacmak.publishTools
          },
          steps: pacmak.prePublishSteps ?? [],
          ...extraJobOptions
        });
      }
      addPackagingTask(language) {
        const packageTask = this.tasks.addTask(`package:${language}`, {
          description: `Create ${language} language bindings`
        });
        packageTask.exec(`jsii-pacmak -v --target ${language}`);
        this.packageAllTask.spawn(packageTask);
        return packageTask;
      }
      pacmakForLanguage(target, packTask) {
        const prePublishSteps = [];
        prePublishSteps.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === javascript_1.NodePackageManager.PNPM) {
          prePublishSteps.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        prePublishSteps.push({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Install Dependencies",
          run: `cd ${REPO_TEMP_DIRECTORY} && ${this.package.installCommand}`
        }, {
          name: `Create ${target} artifact`,
          run: `cd ${REPO_TEMP_DIRECTORY} && npx projen ${packTask.name}`
        }, {
          name: `Collect ${target} Artifact`,
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        return {
          publishTools: consts_1.JSII_TOOLCHAIN[target],
          prePublishSteps
        };
      }
    };
    exports2.JsiiProject = JsiiProject;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiProject[_a] = { fqn: "projen.cdk.JsiiProject", version: "0.71.112" };
    function parseAuthorAddress(options) {
      let authorEmail = options.authorEmail;
      let authorUrl = options.authorUrl;
      if (options.authorAddress) {
        if (options.authorEmail && options.authorEmail !== options.authorAddress) {
          throw new Error("authorEmail is deprecated and cannot be used in conjunction with authorAddress");
        }
        if (options.authorUrl && options.authorUrl !== options.authorAddress) {
          throw new Error("authorUrl is deprecated and cannot be used in conjunction with authorAddress.");
        }
        if (EMAIL_REGEX.test(options.authorAddress)) {
          authorEmail = options.authorAddress;
        } else if (URL_REGEX.test(options.authorAddress)) {
          authorUrl = options.authorAddress;
        } else {
          throw new Error(`authorAddress must be either an email address or a URL: ${options.authorAddress}`);
        }
      }
      return { authorEmail, authorUrl };
    }
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/construct-lib.js
var require_construct_lib = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/construct-lib.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var jsii_project_1 = require_jsii_project();
    var ConstructLibrary = class extends jsii_project_1.JsiiProject {
      constructor(options) {
        super(options);
        this.addKeywords("cdk");
        if (options.catalog) {
          this.package.addField("awscdkio", {
            twitter: options.catalog.twitter,
            announce: options.catalog.announce
          });
        }
      }
    };
    exports2.ConstructLibrary = ConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibrary[_a] = { fqn: "projen.cdk.ConstructLibrary", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/internal.js
var require_internal2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TYPESCRIPT_INTEG_EXT = void 0;
    exports2.TYPESCRIPT_INTEG_EXT = ".integ.ts";
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/integration-test-base.js
var require_integration_test_base = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/integration-test-base.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal2();
    var component_1 = require_component();
    var IntegrationTestBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const entry = options.entrypoint;
        const name = options.name ?? (0, path_1.basename)(entry, internal_1.TYPESCRIPT_INTEG_EXT);
        this.name = name;
        const dir = (0, path_1.dirname)(entry);
        const tmpRoot = (0, path_1.join)(dir, ".tmp");
        project.addGitIgnore(tmpRoot);
        project.addPackageIgnore(tmpRoot);
        this.tmpDir = (0, path_1.join)(tmpRoot, `${name}.integ`);
        this.snapshotDir = (0, path_1.join)(dir, `${name}.integ.snapshot`);
        project.addPackageIgnore(this.snapshotDir);
        this.deployTask = project.addTask(`integ:${name}:deploy`, {
          description: `deploy integration test '${name}' and capture snapshot`
        });
        this.snapshotTask = project.addTask(`integ:${name}:snapshot`, {
          description: `update snapshot for integration test "${name}"`
        });
        this.assertTask = project.addTask(`integ:${name}:assert`, {
          description: `assert the snapshot of integration test '${name}'`,
          exec: `[ -d "${this.snapshotDir}" ] || (echo "No snapshot available for integration test '${name}'. Run 'projen ${this.deployTask.name}' to capture." && exit 1)`
        });
        project.testTask.spawn(this.assertTask);
        let snapshotAllTask = project.tasks.tryFind("integ:snapshot-all");
        if (!snapshotAllTask) {
          snapshotAllTask = project.addTask("integ:snapshot-all", {
            description: "update snapshot for all integration tests"
          });
        }
        snapshotAllTask.spawn(this.snapshotTask);
      }
    };
    exports2.IntegrationTestBase = IntegrationTestBase;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestBase[_a] = { fqn: "projen.cdk.IntegrationTestBase", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/auto-discover-base.js
var require_auto_discover_base = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/auto-discover-base.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscoverBase = exports2.AutoDiscoverBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var glob = require_glob();
    var internal_1 = require_internal2();
    var component_1 = require_component();
    var AutoDiscoverBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const cwd = path.posix.join(this.project.outdir, options.projectdir);
        this.entrypoints = glob.sync(`**/*${options.extension}`, { cwd }).map((p) => path.posix.join(options.projectdir, p));
      }
    };
    exports2.AutoDiscoverBase = AutoDiscoverBase;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscoverBase[_a] = { fqn: "projen.cdk.AutoDiscoverBase", version: "0.71.112" };
    var IntegrationTestAutoDiscoverBase = class extends AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          extension: internal_1.TYPESCRIPT_INTEG_EXT,
          projectdir: options.testdir
        });
      }
    };
    exports2.IntegrationTestAutoDiscoverBase = IntegrationTestAutoDiscoverBase;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscoverBase[_b] = { fqn: "projen.cdk.IntegrationTestAutoDiscoverBase", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk/index.js
var require_cdk = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_construct_lib(), exports2);
    __exportStar(require_jsii_docgen(), exports2);
    __exportStar(require_jsii_project(), exports2);
    __exportStar(require_integration_test_base(), exports2);
    __exportStar(require_auto_discover_base(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/integration-test.js
var require_integration_test = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal();
    var cdk_1 = require_cdk();
    var dependencies_1 = require_dependencies();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("aws-cdk")) {
          project.deps.addDependency(`aws-cdk@^${options.cdkDeps.cdkMajorVersion}`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        const opts = [
          `--app "${app}"`,
          "--no-notices",
          "--no-version-reporting",
          // don't inject cloudformation metadata into template
          "--no-asset-metadata"
        ];
        const pathMetadata = options.pathMetadata ?? false;
        if (!pathMetadata) {
          opts.push("--no-path-metadata");
        }
        if (options.cdkDeps.cdkMajorVersion === 1) {
          const features = [
            ...internal_1.FEATURE_FLAGS,
            "@aws-cdk/core:newStyleStackSynthesis"
            // simplifies asset coordinates in synth output
          ];
          for (const feature of features) {
            opts.push(`--context ${feature}=true`);
          }
        }
        const cdkopts = opts.join(" ");
        const stacks = options.stacks ?? ["**"];
        const stackOpts = stacks.map((stack) => `'${stack}'`).join(" ");
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk deploy ${cdkopts} ${stackOpts} --require-approval=never -o ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.watchTask = project.addTask(`integ:${this.name}:watch`, {
          description: `watch integration test '${this.name}' (without updating snapshots)`,
          exec: `cdk watch ${cdkopts} ${stackOpts} -o ${deployDir}`
        });
        this.destroyTask = project.addTask(`integ:${this.name}:destroy`, {
          description: `destroy integration test '${this.name}'`,
          exec: `cdk destroy --app ${this.snapshotDir} ${stackOpts} --no-version-reporting`
        });
        const destroyAfterDeploy = options.destroyAfterDeploy ?? true;
        if (destroyAfterDeploy) {
          this.deployTask.spawn(this.destroyTask);
        }
        this.snapshotTask.exec(`cdk synth ${cdkopts} -o ${this.snapshotDir} > /dev/null`);
        const exclude = ["asset.*", "cdk.out", "manifest.json", "tree.json"];
        this.assertTask.exec(`cdk synth ${cdkopts} -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff -r ${exclude.map((x) => `-x ${x}`).join(" ")} ${this.snapshotDir}/ ${assertDir}/`);
        for (const x of exclude) {
          project.addGitIgnore(`${this.snapshotDir}/${x}`);
          project.addGitIgnore(`${this.snapshotDir}/**/${x}`);
        }
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.awscdk.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/lambda-function.js
var require_lambda_function = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/lambda-function.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaRuntime = exports2.LambdaFunction = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case();
    var internal_1 = require_internal();
    var component_1 = require_component();
    var javascript_1 = require_javascript();
    var source_code_1 = require_source_code();
    var LambdaFunction = class extends component_1.Component {
      /**
       * Defines a pre-bundled AWS Lambda function construct from handler code.
       *
       * @param project The project to use
       * @param options Options
       */
      constructor(project, options) {
        super(project);
        const cdkDeps = options.cdkDeps;
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const runtime = options.runtime ?? LambdaRuntime.NODEJS_16_X;
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const entrypoint = options.entrypoint;
        if (!entrypoint.endsWith(internal_1.TYPESCRIPT_LAMBDA_EXT) && !entrypoint.endsWith(internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT)) {
          throw new Error(`${entrypoint} must have a ${internal_1.TYPESCRIPT_LAMBDA_EXT} or ${internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT} extension`);
        }
        const basePath = path.posix.join(path.dirname(entrypoint), path.basename(entrypoint, options.edgeLambda ? internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT : internal_1.TYPESCRIPT_LAMBDA_EXT));
        const constructFile = options.constructFile ?? `${basePath}-function.ts`;
        if (path.extname(constructFile) !== ".ts") {
          throw new Error(`Construct file name "${constructFile}" must have a .ts extension`);
        }
        const constructName = options.constructName ?? (0, case_1.pascal)(path.basename(basePath)) + "Function";
        const propsType = `${constructName}Props`;
        const bundle = bundler.addBundle(entrypoint, {
          target: runtime.esbuildTarget,
          platform: runtime.esbuildPlatform,
          externals: runtime.defaultExternals,
          ...options.bundlingOptions,
          tsconfigPath: project?.tsconfigDev?.fileName
        });
        const outfileAbs = path.join(project.outdir, bundle.outfile);
        const constructAbs = path.join(project.outdir, constructFile);
        const relativeOutfile = path.relative(path.dirname(constructAbs), path.dirname(outfileAbs));
        const src = new source_code_1.SourceCode(project, constructFile);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from '@aws-cdk/aws-cloudfront';");
            cdkDeps.addV1Dependencies("@aws-cdk/aws-cloudfront");
          }
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from 'aws-cdk-lib/aws-cloudfront';");
          }
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export interface ${propsType} extends cloudfront.experimental.EdgeFunctionProps {`);
        } else {
          src.open(`export interface ${propsType} extends lambda.FunctionOptions {`);
        }
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * An AWS Lambda function which executes ${(0, internal_1.convertToPosixPath)(basePath)}.`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export class ${constructName} extends cloudfront.experimental.EdgeFunction {`);
        } else {
          src.open(`export class ${constructName} extends lambda.Function {`);
        }
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: '${(0, internal_1.convertToPosixPath)(entrypoint)}',`);
        src.line("...props,");
        src.line(`runtime: new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        src.line("handler: 'index.handler',");
        src.line(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk", '${(0, internal_1.convertToPosixPath)(relativeOutfile)}')),`);
        src.close("});");
        if ((options.awsSdkConnectionReuse ?? true) && !options.edgeLambda) {
          src.line("this.addEnvironment('AWS_NODEJS_CONNECTION_REUSE_ENABLED', '1', { removeInEdge: true });");
        }
        src.close("}");
        src.close("}");
        this.project.logger.verbose(`${basePath}: construct "${constructName}" generated under "${constructFile}"`);
        this.project.logger.verbose(`${basePath}: bundle task "${bundle.bundleTask.name}"`);
        if (bundle.watchTask) {
          this.project.logger.verbose(`${basePath}: bundle watch task "${bundle.watchTask.name}"`);
        }
      }
    };
    exports2.LambdaFunction = LambdaFunction;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaFunction[_a] = { fqn: "projen.awscdk.LambdaFunction", version: "0.71.112" };
    var LambdaRuntime = class {
      constructor(functionRuntime, esbuildTarget, options) {
        this.functionRuntime = functionRuntime;
        this.esbuildTarget = esbuildTarget;
        this.esbuildPlatform = "node";
        this.defaultExternals = options?.defaultExternals ?? ["@aws-sdk/*"];
      }
    };
    exports2.LambdaRuntime = LambdaRuntime;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaRuntime[_b] = { fqn: "projen.awscdk.LambdaRuntime", version: "0.71.112" };
    LambdaRuntime.NODEJS_10_X = new LambdaRuntime("nodejs10.x", "node10", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_12_X = new LambdaRuntime("nodejs12.x", "node12", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_14_X = new LambdaRuntime("nodejs14.x", "node14", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_16_X = new LambdaRuntime("nodejs16.x", "node16", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_18_X = new LambdaRuntime("nodejs18.x", "node18");
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/lambda-extension.js
var require_lambda_extension = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/lambda-extension.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaExtension = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var case_1 = require_Case();
    var internal_1 = require_internal();
    var lambda_function_1 = require_lambda_function();
    var component_1 = require_component();
    var javascript_1 = require_javascript();
    var source_code_1 = require_source_code();
    var LambdaExtension = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const basePath = (0, path_1.join)((0, path_1.dirname)(options.entrypoint), (0, path_1.basename)(options.entrypoint, internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT));
        const name = options.name ?? (0, path_1.basename)(basePath);
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const compatibleRuntimes = options.compatibleRuntimes ?? [
          lambda_function_1.LambdaRuntime.NODEJS_18_X,
          lambda_function_1.LambdaRuntime.NODEJS_16_X,
          lambda_function_1.LambdaRuntime.NODEJS_14_X,
          lambda_function_1.LambdaRuntime.NODEJS_12_X
        ];
        if (compatibleRuntimes.length === 0) {
          throw new Error("Compatible runtimes must include at least one runtime");
        }
        const [bundlerRuntime] = compatibleRuntimes.sort((a, b) => a.functionRuntime.localeCompare(b.functionRuntime));
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const bundle = bundler.addBundle(options.entrypoint, {
          platform: bundlerRuntime.esbuildPlatform,
          target: bundlerRuntime.esbuildTarget,
          externals: bundlerRuntime.defaultExternals,
          outfile: `extensions/${name}`,
          // Make the output executable because Lambda expects to run
          // extensions as stand-alone programs alongside the main lambda
          // process.
          executable: true,
          ...options.bundlingOptions
        });
        const constructFile = options.constructFile ?? `${basePath}-layer-version.ts`;
        new LambdaLayerConstruct(project, {
          constructFile,
          constructName: options.constructName,
          assetDir: bundle.outdir,
          compatibleRuntimes,
          description: `Provides a Lambda Extension \`${name}\` from ${(0, internal_1.convertToPosixPath)(options.entrypoint)}`,
          cdkDeps: options.cdkDeps
        });
      }
    };
    exports2.LambdaExtension = LambdaExtension;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaExtension[_a] = { fqn: "projen.awscdk.LambdaExtension", version: "0.71.112" };
    var LambdaLayerConstruct = class extends source_code_1.SourceCode {
      constructor(project, options) {
        super(project, options.constructFile);
        const src = this;
        const cdkDeps = options.cdkDeps;
        const constructName = options.constructName ?? (0, case_1.pascal)((0, path_1.basename)(options.constructFile, ".ts"));
        const propsType = `${constructName}Props`;
        const assetDir = (0, path_1.relative)((0, path_1.dirname)(options.constructFile), options.assetDir);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        src.open(`export interface ${propsType} extends lambda.LayerVersionOptions {`);
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * ${options.description}`);
        src.line(" */");
        src.open(`export class ${constructName} extends lambda.LayerVersion {`);
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: ${encodeCodeString(options.description)},`);
        src.line("...props,");
        src.open("compatibleRuntimes: [");
        for (const runtime of options.compatibleRuntimes) {
          src.line(`new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        }
        src.close("],");
        src.open(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk",`);
        src.line(`${encodeCodeString((0, internal_1.convertToPosixPath)(assetDir))})),`);
        src.close();
        src.close("});");
        src.close("}");
        src.close("}");
      }
    };
    function encodeCodeString(value) {
      const json = JSON.stringify(value);
      const escapedString = json.substring(1, json.length - 1).replace(/'/g, "\\'");
      return `'${escapedString}'`;
    }
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/auto-discover.js
var require_auto_discover = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    var _e;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoDiscover = exports2.LambdaExtensionAutoDiscover = exports2.EdgeLambdaAutoDiscover = exports2.LambdaAutoDiscover = exports2.IntegrationTestAutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test();
    var internal_1 = require_internal();
    var lambda_extension_1 = require_lambda_extension();
    var lambda_function_1 = require_lambda_function();
    var cdk_1 = require_cdk();
    var component_1 = require_component();
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            ...options.integrationTestOptions
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_a] = { fqn: "projen.awscdk.IntegrationTestAutoDiscover", version: "0.71.112" };
    var LambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions
          });
        }
      }
    };
    exports2.LambdaAutoDiscover = LambdaAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaAutoDiscover[_b] = { fqn: "projen.awscdk.LambdaAutoDiscover", version: "0.71.112" };
    var EdgeLambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions,
            edgeLambda: true
          });
        }
      }
    };
    exports2.EdgeLambdaAutoDiscover = EdgeLambdaAutoDiscover;
    _c = JSII_RTTI_SYMBOL_1;
    EdgeLambdaAutoDiscover[_c] = { fqn: "projen.awscdk.EdgeLambdaAutoDiscover", version: "0.71.112" };
    var LambdaExtensionAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_extension_1.LambdaExtension(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaExtensionOptions
          });
        }
      }
    };
    exports2.LambdaExtensionAutoDiscover = LambdaExtensionAutoDiscover;
    _d = JSII_RTTI_SYMBOL_1;
    LambdaExtensionAutoDiscover[_d] = { fqn: "projen.awscdk.LambdaExtensionAutoDiscover", version: "0.71.112" };
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.lambdaAutoDiscover ?? true) {
          new LambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.edgeLambdaAutoDiscover ?? true) {
          new EdgeLambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.lambdaExtensionAutoDiscover ?? true) {
          new LambdaExtensionAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaExtensionOptions: options.lambdaExtensionOptions
          });
        }
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            testdir: options.testdir,
            tsconfigPath: options.tsconfigPath,
            integrationTestOptions: options.integrationTestOptions
          });
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _e = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_e] = { fqn: "projen.awscdk.AutoDiscover", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps.js
var require_awscdk_deps = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var AwsCdkDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkDependenciesAsDeps = options.cdkDependenciesAsDeps ?? true;
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdkVersion = framework.range;
        this.cdkMajorVersion = framework.major;
        this.cdkMinimumVersion = framework.minimum;
        this.addFrameworkDependency(options);
        this.addV1AssertionLibraryDependency(options);
        this.addConstructsDependency(options.constructsVersion);
        this.addV1Dependencies(...options.cdkDependencies ?? []);
        this.addV1DevDependencies(...options.cdkTestDependencies ?? []);
      }
      preSynthesize() {
        const depNames = Array.from(new Set(this.project.deps.all.map((dep) => dep.name)));
        const v1Deps = depNames.filter((dep) => [PACKAGE_AWS_CDK_VERSION.V1].includes(cdkVersionOfPackage(dep))).sort();
        if (this.cdkMajorVersion === 2 && v1Deps.length > 0) {
          this.project.logger.warn(`WARNING: Found CDK v1 deps in your project, even though your "cdkVersion" is 2.x: [${v1Deps.join(", ")}]. Check out https://docs.aws.amazon.com/cdk/v2/guide/migrating-v2.html for more information about using CDK v2 dependencies.`);
        }
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * The type of dependency is determined by the `dependencyType` option.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1Dependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1Dependencies() is not supported for CDK 2.x and above, use addDeps() or addPeerDeps() instead");
        }
        this.addV1DependenciesByType(this.dependencyType, ...deps);
        if (this.cdkDependenciesAsDeps) {
          this.addV1DependenciesByType(dependencies_1.DependencyType.RUNTIME, ...deps);
        }
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps fully qualified names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1DevDependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1DevDependencies() is not supported for CDK 2.x and above, use addDevDeps()/addTestDeps() instead");
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.BUILD, ...deps);
      }
      addConstructsDependency(requestedVersion) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const defaultVersion = this.cdkMajorVersion === 1 ? "3.2.27" : "10.0.5";
        const versionRequirement = `^${requestedVersion ?? defaultVersion}`;
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdkMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      /**
       * Adds a dependency on the AWS CDK framework (e.g. `@aws-cdk/core` for V1 or `aws-cdk-lib` for V1).
       */
      addFrameworkDependency(options) {
        switch (this.cdkMajorVersion) {
          case 1:
            this.addV1Dependencies(this._packageNames.coreV1);
            break;
          case 2:
            if (options.cdkDependencies !== void 0) {
              throw new Error('cdkDependencies is not used for CDK 2.x. Use "peerDeps" or "deps" instead');
            }
            if (options.cdkDependenciesAsDeps !== void 0) {
              throw new Error("cdkDependenciesAsDeps is not used for CDK 2.x");
            }
            if (options.cdkTestDependencies !== void 0) {
              throw new Error('cdkTestDependencies is not used for CDK 2.x. Use "devDeps" or "testDeps" instead');
            }
            this.project.deps.addDependency(`${this._packageNames.coreV2}@${this.cdkVersion}`, this.dependencyType);
            break;
          default:
            throw new Error(`Unsupported AWS CDK major version ${this.cdkMajorVersion}.x`);
        }
      }
      addV1AssertionLibraryDependency(options) {
        if (this.cdkMajorVersion !== 1) {
          if (options.cdkAssert !== void 0) {
            throw new Error("cdkAssert is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          if (options.cdkAssertions !== void 0) {
            throw new Error("cdkAssertion is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          return;
        }
        const testDeps = new Array();
        if ((options.cdkAssert ?? true) && this._packageNames.assert) {
          testDeps.push(this._packageNames.assert);
        }
        if (semver.gte(this.cdkMinimumVersion, "1.111.0") && (options.cdkAssertions ?? true)) {
          testDeps.push(this._packageNames.assertions);
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.TEST, ...testDeps);
      }
      /**
       * Adds a set of dependencies with the user-specified dependency type.
       * @param deps The set of dependency specifications
       */
      addV1DependenciesByType(type, ...modules) {
        for (const module3 of modules) {
          this.project.deps.addDependency(`${module3}@${this.cdkVersion}`, type);
        }
      }
    };
    exports2.AwsCdkDeps = AwsCdkDeps;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDeps[_a] = { fqn: "projen.awscdk.AwsCdkDeps", version: "0.71.112" };
    var PACKAGE_AWS_CDK_VERSION;
    (function(PACKAGE_AWS_CDK_VERSION2) {
      PACKAGE_AWS_CDK_VERSION2["V1"] = "v1";
      PACKAGE_AWS_CDK_VERSION2["V2"] = "v2";
      PACKAGE_AWS_CDK_VERSION2["EITHER"] = "either";
      PACKAGE_AWS_CDK_VERSION2["UNKNOWN"] = "unknown";
    })(PACKAGE_AWS_CDK_VERSION || (PACKAGE_AWS_CDK_VERSION = {}));
    function cdkVersionOfPackage(packageName) {
      if (packageName === "aws-cdk-lib") {
        return PACKAGE_AWS_CDK_VERSION.V2;
      } else if (packageName.startsWith("@aws-cdk/")) {
        if (packageName.endsWith("-alpha")) {
          return PACKAGE_AWS_CDK_VERSION.V2;
        } else if (AWS_CDK_V1_V2_SCOPED_PACKAGES.includes(packageName)) {
          return PACKAGE_AWS_CDK_VERSION.EITHER;
        } else {
          return PACKAGE_AWS_CDK_VERSION.V1;
        }
      } else {
        return PACKAGE_AWS_CDK_VERSION.UNKNOWN;
      }
    }
    var AWS_CDK_V1_V2_SCOPED_PACKAGES = [
      "@aws-cdk/cfnspec",
      "@aws-cdk/cx-api",
      "@aws-cdk/region-info",
      "@aws-cdk/cloud-assembly-schema",
      "@aws-cdk/assert",
      "@aws-cdk/cloudformation-diff",
      "@aws-cdk/integ-runner"
    ];
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdkVersion);
      if (!ver) {
        throw new Error(`"cdkVersion" cannot be parsed as a semver version: ${options.cdkVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdkVersionPinning ? options.cdkVersion : `^${options.cdkVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-java.js
var require_awscdk_deps_java = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJava = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps();
    var AwsCdkDepsJava = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "software.amazon.awscdk/core",
          coreV2: "software.amazon.awscdk/aws-cdk-lib",
          constructs: "software.constructs/constructs",
          assertions: "software.amazon.awscdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJava = AwsCdkDepsJava;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJava[_a] = { fqn: "projen.awscdk.AwsCdkDepsJava", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/cdk-config.js
var require_cdk_config = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/cdk-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ApprovalLevel = exports2.CdkConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var internal_1 = require_internal();
    var component_1 = require_component();
    var json_1 = require_json();
    var CdkConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkout = options.cdkout ?? "cdk.out";
        this._include = options.watchIncludes ?? [];
        this._exclude = options.watchExcludes ?? [];
        const context = { ...options.context };
        const fflags = options.featureFlags ?? true;
        if (fflags) {
          for (const flag of internal_1.FEATURE_FLAGS) {
            context[flag] = true;
          }
        }
        this.json = new json_1.JsonFile(project, "cdk.json", {
          omitEmpty: true,
          obj: {
            app: options.app,
            context,
            requireApproval: options.requireApproval,
            output: this.cdkout,
            build: options.buildCommand,
            watch: {
              include: () => this._include,
              exclude: () => this._exclude
            }
          }
        });
        project.gitignore.exclude(`/${this.cdkout}/`);
        project.gitignore.exclude(".cdk.staging/");
      }
      /**
       * Add includes to `cdk.json`.
       * @param patterns The includes to add.
       */
      addIncludes(...patterns) {
        this._include.push(...patterns);
      }
      /**
       * Add excludes to `cdk.json`.
       * @param patterns The excludes to add.
       */
      addExcludes(...patterns) {
        this._exclude.push(...patterns);
      }
      /**
       * List of glob patterns to be included by CDK.
       */
      get include() {
        return [...this._include];
      }
      /**
       * List of glob patterns to be excluded by CDK.
       */
      get exclude() {
        return [...this._exclude];
      }
    };
    exports2.CdkConfig = CdkConfig;
    _a = JSII_RTTI_SYMBOL_1;
    CdkConfig[_a] = { fqn: "projen.awscdk.CdkConfig", version: "0.71.112" };
    var ApprovalLevel;
    (function(ApprovalLevel2) {
      ApprovalLevel2["NEVER"] = "never";
      ApprovalLevel2["ANY_CHANGE"] = "any-change";
      ApprovalLevel2["BROADENING"] = "broadening";
    })(ApprovalLevel || (exports2.ApprovalLevel = ApprovalLevel = {}));
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/cdk-tasks.js
var require_cdk_tasks = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/cdk-tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CdkTasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component();
    var CdkTasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.synth = project.addTask("synth", {
          description: "Synthesizes your cdk app into cdk.out",
          exec: "cdk synth"
        });
        this.synthSilent = project.addTask("synth:silent", {
          description: 'Synthesizes your cdk app into cdk.out and suppresses the template in stdout (part of "yarn build")',
          exec: "cdk synth -q"
        });
        this.deploy = project.addTask("deploy", {
          description: "Deploys your CDK app to the AWS cloud",
          exec: "cdk deploy",
          receiveArgs: true
        });
        this.destroy = project.addTask("destroy", {
          description: "Destroys your cdk app in the AWS cloud",
          exec: "cdk destroy",
          receiveArgs: true
        });
        this.diff = project.addTask("diff", {
          description: "Diffs the currently deployed app against your code",
          exec: "cdk diff"
        });
        const watch = project.tasks.tryFind("watch") ?? project.addTask("watch");
        watch.reset();
        watch.description = "Watches changes in your source code and rebuilds and deploys to the current account";
        watch.exec("cdk deploy --hotswap");
        watch.exec("cdk watch");
        this.watch = watch;
      }
    };
    exports2.CdkTasks = CdkTasks;
    _a = JSII_RTTI_SYMBOL_1;
    CdkTasks[_a] = { fqn: "projen.awscdk.CdkTasks", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-java.js
var require_awscdk_app_java = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkJavaApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var awscdk_deps_java_1 = require_awscdk_deps_java();
    var cdk_config_1 = require_cdk_config();
    var cdk_tasks_1 = require_cdk_tasks();
    var __1 = require_lib5();
    var java_1 = require_java();
    var AwsCdkJavaApp = class extends java_1.JavaProject {
      constructor(options) {
        const mainClassComponents = options.mainClass.split(".");
        const mainPackage = mainClassComponents.slice(0, -1);
        const mainClassName = mainClassComponents[mainClassComponents.length - 1];
        super({
          ...options,
          sample: false,
          sampleJavaPackage: mainPackage.join(".")
        });
        this.mainClass = options.mainClass;
        this.mainPackage = mainPackage.join(".");
        this.mainClassName = mainClassName;
        this.cdkDeps = new awscdk_deps_java_1.AwsCdkDepsJava(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synth);
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `mvn exec:java --quiet -Dexec.mainClass=${this.mainClass}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          ...options
        });
        if (options.sample ?? true) {
          this.addSample();
        }
      }
      /**
       * Adds an AWS CDK module dependencies
       *
       * @param modules The list of modules to depend on (e.g. "software.amazon.awscdk/aws-lambda", "software.amazon.awscdk/aws-iam", etc)
       * @deprecated In CDK 2.x all modules are available by default. Alpha modules should be added using the standard 'deps'
       */
      addCdkDependency(...modules) {
        for (const m of modules) {
          this.cdkDeps.addV1Dependencies(m);
        }
      }
      addSample() {
        const pkg = this.mainPackage.split(".");
        const javaFile = `${this.mainClassName}.java`;
        new __1.SampleDir(this, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            [javaFile]: [
              `package ${pkg.join(".")};`,
              "",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.App;" : "import software.amazon.awscdk.App;",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.Stack;" : "import software.amazon.awscdk.Stack;",
              "",
              `public class ${this.mainClassName} {`,
              "  public static void main(final String[] args) {",
              "    App app = new App();",
              `    new Stack(app, "${this.name}");`,
              "    app.synth();",
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkJavaApp = AwsCdkJavaApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkJavaApp[_a] = { fqn: "projen.awscdk.AwsCdkJavaApp", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-py.js
var require_awscdk_deps_py = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps();
    var AwsCdkDepsPy = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "aws_cdk.core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "aws_cdk.assert",
          assertions: "aws_cdk.assertions"
        };
      }
    };
    exports2.AwsCdkDepsPy = AwsCdkDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsPy[_a] = { fqn: "projen.awscdk.AwsCdkDepsPy", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js
var require_awscdk_pytest_sample = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPytestSample = void 0;
    var __1 = require_lib5();
    var AwsCdkPytestSample = class extends __1.Component {
      constructor(project, testdir) {
        super(project);
        new __1.SampleDir(project, testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "from aws_cdk import App",
              "from aws_cdk.assertions import Template",
              "",
              `from ${project.moduleName}.main import MyStack`,
              "",
              "@pytest.fixture(scope='module')",
              "def template():",
              "  app = App()",
              '  stack = MyStack(app, "my-stack-test")',
              "  template = Template.from_stack(stack)",
              "  yield template",
              "",
              `def test_no_buckets_found(template):`,
              '  template.resource_count_is("AWS::S3::Bucket", 0)',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkPytestSample = AwsCdkPytestSample;
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-py.js
var require_awscdk_app_py = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_awscdk();
    var awscdk_deps_py_1 = require_awscdk_deps_py();
    var awscdk_pytest_sample_1 = require_awscdk_pytest_sample();
    var __1 = require_lib5();
    var pytest_1 = require_pytest();
    var python_project_1 = require_python_project();
    var AwsCdkPythonApp = class extends python_project_1.PythonProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdkDeps = new awscdk_deps_py_1.AwsCdkDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        this.testdir = options.testdir ?? "tests";
        this.cdkTasks = new _1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        this.cdkConfig = new _1.CdkConfig(this, {
          app: `python ${this.appEntrypoint}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          watchIncludes: ["**"],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "requirements*.txt",
            "source.bat",
            "**/__init__.py",
            "python/__pycache__",
            "tests"
          ],
          ...options
        });
        if (options.sample ?? true) {
          new AppCode(this, "app.py", this.cdkDeps.cdkMajorVersion);
          new MyStackCode(this, this.moduleName, this.cdkDeps.cdkMajorVersion);
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new awscdk_pytest_sample_1.AwsCdkPytestSample(this, this.pytest.testdir);
        }
      }
    };
    exports2.AwsCdkPythonApp = AwsCdkPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkPythonApp[_a] = { fqn: "projen.awscdk.AwsCdkPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, fileName, cdkVersion) {
        super(project);
        let versionImport;
        if (cdkVersion < 2) {
          versionImport = "from aws_cdk.core import App, Environment";
        } else {
          versionImport = "from aws_cdk import App, Environment";
        }
        new __1.SampleFile(project, fileName, {
          contents: [
            "import os",
            versionImport,
            `from ${project.moduleName}.main import MyStack`,
            "",
            "# for development, use account/region from cdk cli",
            "dev_env = Environment(",
            "  account=os.getenv('CDK_DEFAULT_ACCOUNT'),",
            "  region=os.getenv('CDK_DEFAULT_REGION')",
            ")",
            "",
            "app = App()",
            `MyStack(app, "${this.project.name}-dev", env=dev_env)`,
            `# MyStack(app, "${this.project.name}-prod", env=prod_env)`,
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
    var MyStackCode = class extends __1.Component {
      constructor(project, dir, cdkMajorVersion) {
        super(project);
        let appFile = [];
        appFile.push("import os");
        if (cdkMajorVersion < 2) {
          appFile.push("from aws_cdk.core import Construct, Stack");
        } else {
          appFile.push("from aws_cdk import Stack");
          appFile.push("from constructs import Construct");
        }
        appFile.push("");
        appFile.push("");
        appFile.push("class MyStack(Stack):");
        appFile.push("  def __init__(self, scope: Construct, construct_id: str, **kwargs) -> None:");
        appFile.push("    super().__init__(scope, construct_id, **kwargs)");
        appFile.push("");
        appFile.push("    # The code that defines your stack goes here");
        appFile.push("");
        new __1.SampleDir(project, dir, {
          files: {
            "__init__.py": "",
            "main.py": appFile.join("\n")
          }
        });
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-js.js
var require_awscdk_deps_js = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-deps-js.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps();
    var AwsCdkDepsJs = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "@aws-cdk/core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "@aws-cdk/assert",
          assertions: "@aws-cdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJs = AwsCdkDepsJs;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJs[_a] = { fqn: "projen.awscdk.AwsCdkDepsJs", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-ts.js
var require_awscdk_app_ts = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover();
    var awscdk_deps_js_1 = require_awscdk_deps_js();
    var cdk_config_1 = require_cdk_config();
    var cdk_tasks_1 = require_cdk_tasks();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var typescript_1 = require_typescript2();
    var AwsCdkTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({
          ...options,
          sampleCode: false,
          bundlerOptions: {
            ...options.bundlerOptions,
            // we invoke the "bundle" task as part of the build step in cdk.json so
            // we don't want it to be added to the pre-compile phase.
            addToPreCompile: false
          }
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        this.addDevDeps(`aws-cdk@${this.cdkDeps.cdkVersion}`);
        this.compileTask.reset();
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        const tsConfigFile = this.tsconfig?.fileName;
        if (!tsConfigFile) {
          throw new Error("Expecting tsconfig.json");
        }
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `npx ts-node -P ${tsConfigFile} --prefer-ts-exts ${path.posix.join(this.srcdir, this.appEntrypoint)}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          buildCommand: this.runTaskCommand(this.bundler.bundleTask),
          watchIncludes: [`${this.srcdir}/**/*.ts`, `${this.testdir}/**/*.ts`],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "**/*.d.ts",
            "**/*.js",
            "tsconfig.json",
            "package*.json",
            "yarn.lock",
            "node_modules"
          ],
          ...options
        });
        this.gitignore.exclude(".parcel-cache/");
        this.npmignore?.exclude(`${this.cdkConfig.cdkout}/`);
        this.npmignore?.exclude(".cdk.staging/");
        if (this.tsconfig) {
          this.tsconfig.exclude.push(this.cdkConfig.cdkout);
        }
        this.addDevDeps("ts-node");
        if (options.sampleCode ?? true) {
          new SampleCode(this, this.cdkDeps.cdkMajorVersion);
        }
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * Adds an AWS CDK module dependencies
       * @param modules The list of modules to depend on
       */
      addCdkDependency(...modules) {
        return this.cdkDeps.addV1Dependencies(...modules);
      }
    };
    exports2.AwsCdkTypeScriptApp = AwsCdkTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkTypeScriptApp[_a] = { fqn: "projen.awscdk.AwsCdkTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project, cdkMajorVersion) {
        super(project);
        this.cdkMajorVersion = cdkMajorVersion;
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcImports = new Array();
        if (this.cdkMajorVersion < 2) {
          srcImports.push("import { App, Construct, Stack, StackProps } from '@aws-cdk/core';");
        } else {
          srcImports.push("import { App, Stack, StackProps } from 'aws-cdk-lib';");
          srcImports.push("import { Construct } from 'constructs';");
        }
        const srcCode = `${srcImports.join("\n")}

export class MyStack extends Stack {
  constructor(scope: Construct, id: string, props: StackProps = {}) {
    super(scope, id, props);

    // define resources here...
  }
}

// for development, use account/region from cdk cli
const devEnv = {
  account: process.env.CDK_DEFAULT_ACCOUNT,
  region: process.env.CDK_DEFAULT_REGION,
};

const app = new App();

new MyStack(app, '${this.project.name}-dev', { env: devEnv });
// new MyStack(app, '${this.project.name}-prod', { env: prodEnv });

app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
        const testdir = path.join(outdir, this.appProject.testdir);
        if (fs.existsSync(testdir) && fs.readdirSync(testdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const testImports = new Array();
        if (this.cdkMajorVersion < 2) {
          testImports.push("import { App } from '@aws-cdk/core';");
          testImports.push("import { Template } from '@aws-cdk/assertions';");
        } else {
          testImports.push("import { App } from 'aws-cdk-lib';");
          testImports.push("import { Template } from 'aws-cdk-lib/assertions';");
        }
        const appEntrypointName = path.basename(this.appProject.appEntrypoint, ".ts");
        const testCode = `${testImports.join("\n")}
import { MyStack } from '../${this.appProject.srcdir}/${appEntrypointName}';

test('Snapshot', () => {
  const app = new App();
  const stack = new MyStack(app, 'test');

  const template = Template.fromStack(stack);
  expect(template.toJSON()).toMatchSnapshot();
});`;
        fs.mkdirSync(testdir, { recursive: true });
        fs.writeFileSync(path.join(testdir, `${appEntrypointName}.test.ts`), testCode);
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/awscdk-construct.js
var require_awscdk_construct = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/awscdk-construct.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryAws = exports2.AwsCdkConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var auto_discover_1 = require_auto_discover();
    var awscdk_deps_js_1 = require_awscdk_deps_js();
    var cdk_1 = require_cdk();
    var dependencies_1 = require_dependencies();
    var AwsCdkConstructLibrary = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        const cdkMajorVersion = semver.parse(options.cdkVersion)?.major;
        super({
          peerDependencyOptions: cdkMajorVersion === 1 ? {
            pinnedDevDependency: false
          } : void 0,
          workflowNodeVersion: options.minNodeVersion ?? "16.x",
          ...options
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          // since this we are a library, dependencies should be added a peers
          dependencyType: dependencies_1.DependencyType.PEER,
          ...options
        });
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * The target CDK version for this library.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      /**
       * @deprecated use `cdkVersion`
       */
      get version() {
        return this.cdkVersion;
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * Since this is a library project, dependencies will be added as peer dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1Dependencies()`
       */
      addCdkDependencies(...deps) {
        return this.cdkDeps.addV1Dependencies(...deps);
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1DevDependencies()`
       */
      addCdkTestDependencies(...deps) {
        return this.cdkDeps.addV1DevDependencies(...deps);
      }
    };
    exports2.AwsCdkConstructLibrary = AwsCdkConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkConstructLibrary[_a] = { fqn: "projen.awscdk.AwsCdkConstructLibrary", version: "0.71.112" };
    var ConstructLibraryAws = class extends AwsCdkConstructLibrary {
    };
    exports2.ConstructLibraryAws = ConstructLibraryAws;
    _b = JSII_RTTI_SYMBOL_1;
    ConstructLibraryAws[_b] = { fqn: "projen.awscdk.ConstructLibraryAws", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/awscdk/index.js
var require_awscdk = __commonJS({
  "../../components/environments/node_modules/projen/lib/awscdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover(), exports2);
    __exportStar(require_awscdk_app_java(), exports2);
    __exportStar(require_awscdk_app_py(), exports2);
    __exportStar(require_awscdk_app_ts(), exports2);
    __exportStar(require_awscdk_construct(), exports2);
    __exportStar(require_awscdk_deps(), exports2);
    __exportStar(require_awscdk_deps_java(), exports2);
    __exportStar(require_awscdk_deps_js(), exports2);
    __exportStar(require_awscdk_deps_py(), exports2);
    __exportStar(require_cdk_config(), exports2);
    __exportStar(require_cdk_tasks(), exports2);
    __exportStar(require_integration_test(), exports2);
    __exportStar(require_lambda_function(), exports2);
    __exportStar(require_lambda_extension(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/integration-test.js
var require_integration_test2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var cdk_1 = require_cdk();
    var dependencies_1 = require_dependencies();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("cdk8s-cli")) {
          project.deps.addDependency(`cdk8s-cli`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk8s synth --app "${app}" -o ${deployDir}`);
        this.deployTask.exec(`kubectl apply -f ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.snapshotTask.exec(`rm -fr ${this.snapshotDir}`);
        this.snapshotTask.exec(`cdk8s synth --app "${app}" -o ${this.snapshotDir}`);
        this.assertTask.exec(`cdk8s synth --app "${app}" -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff ${this.snapshotDir}/ ${assertDir}/`);
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.cdk8s.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/auto-discover.js
var require_auto_discover2 = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscover = exports2.AutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test2();
    var cdk_1 = require_cdk();
    var component_1 = require_component();
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, options);
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_a] = { fqn: "projen.cdk8s.AutoDiscover", version: "0.71.112" };
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            tsconfigPath: options.tsconfigPath
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_b] = { fqn: "projen.cdk8s.IntegrationTestAutoDiscover", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps.js
var require_cdk8s_deps = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var Cdk8sDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdk8sVersion = framework.range;
        this.cdk8sMajorVersion = framework.major;
        this.cdk8sMinimumVersion = framework.minimum;
        this.addConstructsDependency(options.constructsVersion, options.constructsVersionPinning);
        this.addFrameworkDependency(options.cdk8sVersion, options.cdk8sVersionPinning);
        if (options.cdk8sCliDependency) {
          this.addClientDependency(options.cdk8sCliVersion, options.cdk8sCliVersionPinning);
        }
        if (options.cdk8sPlus ?? true) {
          const k8MinorVersion = options.k8sMinorVersion ?? 22;
          this.addCdk8sPlusDependency(
            k8MinorVersion,
            options.cdk8sPlusVersion,
            // (project instanceof Cdk8sPythonApp) ? true : false,
            options.cdk8sPlusVersionPinning
          );
        }
      }
      getVersionRequirement(requestedVersion, v1Version, v2Version, pinning) {
        const defaultVersion = this.cdk8sMajorVersion === 1 ? v1Version : v2Version;
        const version = `${requestedVersion ?? defaultVersion}`;
        const versionRequirement = pinning ? `${version}` : `^${version}`;
        return versionRequirement;
      }
      addCdk8sPlusDependency(k8MinorVersion, requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.0.0-beta.222", "2.0.0-rc.26", pinning);
        const cdk8sPlusMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sPlusMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s-plus version '${versionRequirement}'`);
        }
        const cdk8sPlusLib = this._packageNames.cdk8sPlus.concat("-", k8MinorVersion.toString());
        this.project.deps.addDependency(`${cdk8sPlusLib}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addClientDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.1.34", "2.0.28", pinning);
        const cdk8sCliMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sCliMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8sClient}@${versionRequirement}`, dependencies_1.DependencyType.BUILD);
        return versionRequirement;
      }
      addFrameworkDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.6.33", "2.3.33", pinning);
        const cdk8sMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8s}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addConstructsDependency(requestedVersion, pinning) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const versionRequirement = this.getVersionRequirement(requestedVersion, "3.4.39", "10.1.42", pinning);
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdk8sMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
    };
    exports2.Cdk8sDeps = Cdk8sDeps;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDeps[_a] = { fqn: "projen.cdk8s.Cdk8sDeps", version: "0.71.112" };
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdk8sVersion);
      if (!ver) {
        throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js
var require_cdk8s_deps_py = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_1 = require_cdk8s_deps();
    var Cdk8sDepsPy = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsPy = Cdk8sDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDepsPy[_a] = { fqn: "projen.cdk8s.Cdk8sDepsPy", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-app-py.js
var require_cdk8s_app_py = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_py_1 = require_cdk8s_deps_py();
    var __1 = require_lib5();
    var python_project_1 = require_python_project();
    var Cdk8sPythonApp = class extends python_project_1.PythonProject {
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdk8sDeps = new cdk8s_deps_py_1.Cdk8sDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          cdk8sCliDependency: false,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        const synth = this.addTask("synth", {
          description: "Synthesizes your cdk8s app into dist",
          exec: "cdk8s synth"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        new __1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "python",
            app: `python ${this.appEntrypoint}`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sample ?? true) {
          new AppCode(this, this.appEntrypoint);
        }
      }
    };
    exports2.Cdk8sPythonApp = Cdk8sPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sPythonApp[_a] = { fqn: "projen.cdk8s.Cdk8sPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, filename) {
        super(project);
        new __1.SampleFile(project, filename, {
          contents: [
            "from constructs import Construct",
            "from cdk8s import App, Chart",
            "",
            "",
            "class MyChart(Chart):",
            "  def __init__(self, scope: Construct, id:str):",
            "    super().__init__(scope, id)",
            "",
            "",
            "app = App()",
            'MyChart(app, "${project.name}")',
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js
var require_cdk8s_deps_js = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsJs = void 0;
    var cdk8s_deps_1 = require_cdk8s_deps();
    var Cdk8sDepsJs = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          cdk8sClient: "cdk8s-cli",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsJs = Cdk8sDepsJs;
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js
var require_cdk8s_app_ts = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover2();
    var cdk8s_deps_js_1 = require_cdk8s_deps_js();
    var component_1 = require_component();
    var dependencies_1 = require_dependencies();
    var typescript_1 = require_typescript2();
    var yaml_1 = require_yaml();
    var Cdk8sTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        super({
          ...options,
          sampleCode: false
        });
        this.cdk8sDeps = new cdk8s_deps_js_1.Cdk8sDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          cdk8sCliDependency: true,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        if (this.srcdir !== "src") {
          throw new Error('sources are expected under the "src" directory');
        }
        if (this.testdir !== "test") {
          throw new Error('test sources are expected under the "test" directory');
        }
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        const synth = this.addTask("synth", {
          description: 'Synthesizes your cdk8s app into dist (part of "yarn build")',
          exec: "cdk8s synth"
        });
        this.addTask("import", {
          description: "Imports API objects to your app by generating constructs.",
          exec: "cdk8s import -o src/imports"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        const appEntrypointBaseName = path.basename(this.appEntrypoint, ".ts");
        new yaml_1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "typescript",
            app: `node lib/${appEntrypointBaseName}.js`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.Cdk8sTypeScriptApp = Cdk8sTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sTypeScriptApp[_a] = { fqn: "projen.cdk8s.Cdk8sTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcCode = `import { Construct } from 'constructs';
import { App, Chart, ChartProps, ApiObject } from 'cdk8s';

export class MyChart extends Chart {
  constructor(scope: Construct, id: string, props: ChartProps = { }) {
    super(scope, id, props);

    const label = { app: 'hello-k8s' };



    new ApiObject(this, 'deployment', {
      apiVersion: "v1",
      kind: "Pod",
      metadata: {
          namespace: "frontend",
          name: "nginx",
          labels: label,
      },
      spec: {
          containers: [{
              name: "nginx",
              image: "nginx:1.14-alpine",
              resources: {
                  limits: {
                      memory: "20Mi",
                      cpu: 0.2,
                  },
              },
          }],
      },
    });
  }
}

const app = new App();
new MyChart(app, 'hello');
app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
      }
    };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-construct.js
var require_cdk8s_construct = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/cdk8s-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdk8s = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var auto_discover_1 = require_auto_discover2();
    var cdk_1 = require_cdk();
    var ConstructLibraryCdk8s = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        const cdk8sVersion = semver.parse(options.cdk8sVersion);
        if (!cdk8sVersion) {
          throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
        }
        this.cdk8sVersion = options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`;
        const defaultConstructsVersion = cdk8sVersion.major === 1 ? "3.3.196" : "10.0.0";
        const resolvedConstructsVersion = options.constructsVersion ?? defaultConstructsVersion;
        const resolvedMajorConstructVersion = semver.parse(resolvedConstructsVersion)?.major;
        if (!resolvedMajorConstructVersion) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${options.constructsVersion}`);
        }
        switch (cdk8sVersion.major) {
          case 1:
            if (resolvedMajorConstructVersion !== 3) {
              throw new Error("cdk8s 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (resolvedMajorConstructVersion !== 10) {
              throw new Error("cdk8s 2.x requires constructs 10.x");
            }
            break;
        }
        this.constructsVersion = options.constructsVersionPinning ? resolvedConstructsVersion : `^${resolvedConstructsVersion}`;
        this.addPeerDeps(`constructs@${this.constructsVersion}`, `cdk8s@${this.cdk8sVersion}`);
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.ConstructLibraryCdk8s = ConstructLibraryCdk8s;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdk8s[_a] = { fqn: "projen.cdk8s.ConstructLibraryCdk8s", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdk8s/index.js
var require_cdk8s = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdk8s/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover2(), exports2);
    __exportStar(require_cdk8s_app_py(), exports2);
    __exportStar(require_cdk8s_app_ts(), exports2);
    __exportStar(require_cdk8s_construct(), exports2);
    __exportStar(require_integration_test2(), exports2);
    __exportStar(require_cdk8s_deps(), exports2);
    __exportStar(require_cdk8s_deps_py(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/cdktf/cdktf-construct.js
var require_cdktf_construct = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdktf/cdktf-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdktf = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver2();
    var cdk_1 = require_cdk();
    var ConstructLibraryCdktf = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdktfVersion) {
          throw new Error("Required field cdktfVersion is not specified.");
        }
        function getDefaultConstructVersion() {
          const semverCDKTFVersion = semver.coerce(options.cdktfVersion);
          if (semverCDKTFVersion && semver.lte(semverCDKTFVersion, "0.5.0")) {
            return "^3.0.0";
          }
          return "^10.0.12";
        }
        const ver = options.cdktfVersion;
        const constructVersion = options.constructsVersion ?? getDefaultConstructVersion();
        this.addPeerDeps(`constructs@${constructVersion}`, `cdktf@${ver}`);
        this.addKeywords("cdktf");
      }
    };
    exports2.ConstructLibraryCdktf = ConstructLibraryCdktf;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdktf[_a] = { fqn: "projen.cdktf.ConstructLibraryCdktf", version: "0.71.112" };
  }
});

// ../../components/environments/node_modules/projen/lib/cdktf/index.js
var require_cdktf = __commonJS({
  "../../components/environments/node_modules/projen/lib/cdktf/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_cdktf_construct(), exports2);
  }
});

// ../../components/environments/node_modules/projen/lib/index.js
var require_lib5 = __commonJS({
  "../../components/environments/node_modules/projen/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.build = exports2.cdk = exports2.cdktf = exports2.cdk8s = exports2.awscdk = exports2.release = exports2.javascript = exports2.typescript = exports2.python = exports2.java = exports2.vscode = exports2.circleci = exports2.gitlab = exports2.github = exports2.web = void 0;
    __exportStar(require_component(), exports2);
    __exportStar(require_dev_env(), exports2);
    __exportStar(require_dependencies(), exports2);
    __exportStar(require_docker_compose2(), exports2);
    __exportStar(require_file(), exports2);
    __exportStar(require_gitattributes(), exports2);
    __exportStar(require_gitpod(), exports2);
    __exportStar(require_ignore_file(), exports2);
    __exportStar(require_ini2(), exports2);
    __exportStar(require_json(), exports2);
    __exportStar(require_json_patch(), exports2);
    __exportStar(require_logger(), exports2);
    __exportStar(require_license(), exports2);
    __exportStar(require_makefile(), exports2);
    __exportStar(require_object_file(), exports2);
    __exportStar(require_option_hints(), exports2);
    __exportStar(require_project(), exports2);
    __exportStar(require_project_build(), exports2);
    __exportStar(require_projects(), exports2);
    __exportStar(require_projenrc(), exports2);
    __exportStar(require_projenrc_json(), exports2);
    __exportStar(require_readme(), exports2);
    __exportStar(require_renovatebot(), exports2);
    __exportStar(require_sample_file(), exports2);
    __exportStar(require_semver3(), exports2);
    __exportStar(require_source_code(), exports2);
    __exportStar(require_task(), exports2);
    __exportStar(require_tasks(), exports2);
    __exportStar(require_task_model(), exports2);
    __exportStar(require_task_runtime(), exports2);
    __exportStar(require_testing(), exports2);
    __exportStar(require_textfile(), exports2);
    __exportStar(require_toml2(), exports2);
    __exportStar(require_version(), exports2);
    __exportStar(require_yaml(), exports2);
    __exportStar(require_xmlfile(), exports2);
    exports2.web = require_web();
    exports2.github = require_github2();
    exports2.gitlab = require_gitlab();
    exports2.circleci = require_circleci2();
    exports2.vscode = require_vscode2();
    exports2.java = require_java();
    exports2.python = require_python();
    exports2.typescript = require_typescript2();
    exports2.javascript = require_javascript();
    exports2.release = require_release2();
    exports2.awscdk = require_awscdk();
    exports2.cdk8s = require_cdk8s();
    exports2.cdktf = require_cdktf();
    exports2.cdk = require_cdk();
    exports2.build = require_build();
  }
});

// ../../components/environments/lib/environment-component.js
var require_environment_component = __commonJS({
  "../../components/environments/lib/environment-component.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Environment = void 0;
    var crypto = __importStar(require("crypto"));
    var projen_1 = require_lib5();
    var stripSpaces = (str) => (str || "").replace(/\s/g, "");
    function hash(string) {
      return crypto.createHash("sha256").update(string).digest("hex");
    }
    var getHashedEntropy = (length, str) => hash(str).slice(2, 2 + (length || 5));
    var Environment = class extends projen_1.Component {
      constructor(blueprint, environment) {
        super(blueprint);
        this.name = environment.name;
        this.definition = environment;
        this.accountKeys = [];
        const writtenEnvironment = {
          name: environment.name,
          description: environment.description || environment.name,
          environmentType: environment.environmentType
        };
        const connectedAccounts = [];
        const nonAccountKeys = new Set(Object.keys(writtenEnvironment));
        Object.keys(environment).filter((key) => !nonAccountKeys.has(key)).forEach((accountkey) => {
          this.accountKeys.push(accountkey);
          const account = environment[accountkey];
          if (account.name && environment.name) {
            connectedAccounts.push({
              environmentName: environment.name,
              name: account.name
            });
          }
        });
        new projen_1.YamlFile(blueprint, `environments/${stripSpaces(writtenEnvironment.name || "env")}-${getHashedEntropy(5, JSON.stringify(writtenEnvironment))}.yaml`, {
          readonly: false,
          marker: false,
          obj: writtenEnvironment
        });
        connectedAccounts.forEach((account) => {
          new projen_1.YamlFile(blueprint, `aws-account-to-environment/${stripSpaces(account.name || "account")}-${getHashedEntropy(5, JSON.stringify(account))}.yaml`, {
            readonly: false,
            marker: false,
            obj: account
          });
        });
      }
      getRoles(accountKey) {
        const account = this.definition[accountKey];
        const roles = [];
        const nonRoleKeys = /* @__PURE__ */ new Set(["id", "name"]);
        Object.keys(account).filter((key) => !nonRoleKeys.has(key)).forEach((roleKey) => {
          roles.push(account[roleKey]);
        });
        return roles;
      }
    };
    exports2.Environment = Environment;
  }
});

// ../../components/environments/lib/environment-definition.js
var require_environment_definition = __commonJS({
  "../../components/environments/lib/environment-definition.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/environments/lib/index.js
var require_lib6 = __commonJS({
  "../../components/environments/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_environment_component(), exports2);
    __exportStar(require_environment_definition(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/component.js
var require_component2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/component.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Component = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var Component = class {
      constructor(project) {
        this.project = project;
        project._addComponent(this);
      }
      /**
       * Called before synthesis.
       */
      preSynthesize() {
      }
      /**
       * Synthesizes files to the project output directory.
       */
      synthesize() {
      }
      /**
       * Called after synthesis. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
    };
    exports2.Component = Component;
    _a = JSII_RTTI_SYMBOL_1;
    Component[_a] = { fqn: "projen.Component", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/dev-env.js
var require_dev_env2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/dev-env.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevEnvironmentDockerImage = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var DevEnvironmentDockerImage = class {
      /**
       * A publicly available Docker image.
       * @example 'ubuntu:latest'
       * @param image a Docker image
       */
      static fromImage(image) {
        return { image };
      }
      /**
       * The relative path of a Dockerfile that defines the container contents.
       * @example '.gitpod.Docker'
       * @param dockerFile a relative path
       */
      static fromFile(dockerFile) {
        return { dockerFile };
      }
      constructor() {
      }
    };
    exports2.DevEnvironmentDockerImage = DevEnvironmentDockerImage;
    _a = JSII_RTTI_SYMBOL_1;
    DevEnvironmentDockerImage[_a] = { fqn: "projen.DevEnvironmentDockerImage", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/package.json
var require_package2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/package.json"(exports2, module2) {
    module2.exports = {
      name: "projen",
      description: "CDK for software projects",
      repository: {
        type: "git",
        url: "https://github.com/projen/projen.git"
      },
      bin: {
        projen: "bin/projen"
      },
      scripts: {
        build: "/bin/bash ./projen.bash build",
        bump: "/bin/bash ./projen.bash bump",
        "bundle:task-runner": "/bin/bash ./projen.bash bundle:task-runner",
        clobber: "/bin/bash ./projen.bash clobber",
        compat: "/bin/bash ./projen.bash compat",
        compile: "/bin/bash ./projen.bash compile",
        "contributors:update": "/bin/bash ./projen.bash contributors:update",
        default: "/bin/bash ./projen.bash default",
        "devenv:setup": "/bin/bash ./projen.bash devenv:setup",
        docgen: "/bin/bash ./projen.bash docgen",
        eject: "/bin/bash ./projen.bash eject",
        eslint: "/bin/bash ./projen.bash eslint",
        integ: "/bin/bash ./projen.bash integ",
        "integ:python-compat": "/bin/bash ./projen.bash integ:python-compat",
        package: "/bin/bash ./projen.bash package",
        "package-all": "/bin/bash ./projen.bash package-all",
        "package:go": "/bin/bash ./projen.bash package:go",
        "package:java": "/bin/bash ./projen.bash package:java",
        "package:js": "/bin/bash ./projen.bash package:js",
        "package:python": "/bin/bash ./projen.bash package:python",
        "post-compile": "/bin/bash ./projen.bash post-compile",
        "post-upgrade": "/bin/bash ./projen.bash post-upgrade",
        "pre-compile": "/bin/bash ./projen.bash pre-compile",
        "readme-macros": "/bin/bash ./projen.bash readme-macros",
        release: "/bin/bash ./projen.bash release",
        test: "/bin/bash ./projen.bash test",
        "test:watch": "/bin/bash ./projen.bash test:watch",
        unbump: "/bin/bash ./projen.bash unbump",
        upgrade: "/bin/bash ./projen.bash upgrade",
        watch: "/bin/bash ./projen.bash watch",
        projen: "/bin/bash ./projen.bash"
      },
      author: {
        name: "Amazon Web Services",
        url: "https://aws.amazon.com",
        organization: true
      },
      devDependencies: {
        "@types/conventional-changelog-config-spec": "^2.1.2",
        "@types/glob": "^7.2.0",
        "@types/ini": "^1.3.31",
        "@types/jest": "^27",
        "@types/node": "^14",
        "@types/semver": "^7.5.0",
        "@types/yargs": "^16.0.5",
        "@typescript-eslint/eslint-plugin": "^5",
        "@typescript-eslint/parser": "^5",
        "all-contributors-cli": "^6.26.0",
        esbuild: "^0.18.10",
        eslint: "^8",
        "eslint-config-prettier": "^8.8.0",
        "eslint-import-resolver-node": "^0.3.7",
        "eslint-import-resolver-typescript": "^2.7.1",
        "eslint-plugin-import": "^2.27.5",
        "eslint-plugin-prettier": "^4.2.1",
        jest: "^29",
        "jest-junit": "^15",
        jsii: "5.x",
        "jsii-diff": "^1.84.0",
        "jsii-docgen": "^1.8.110",
        "jsii-pacmak": "^1.84.0",
        markmac: "^0.1.146",
        "npm-check-updates": "^16",
        prettier: "^2.8.8",
        "standard-version": "^9",
        "ts-jest": "^29",
        typescript: "5.x"
      },
      dependencies: {
        "@iarna/toml": "^2.2.5",
        case: "^1.6.3",
        chalk: "^4.1.2",
        "comment-json": "4.2.2",
        "conventional-changelog-config-spec": "^2.1.0",
        "fast-json-patch": "^3.1.1",
        glob: "^8",
        ini: "^2.0.0",
        semver: "^7.5.3",
        shx: "^0.3.4",
        xmlbuilder2: "^3.1.1",
        yaml: "^2.2.2",
        yargs: "^17.7.2"
      },
      bundledDependencies: [
        "@iarna/toml",
        "case",
        "chalk",
        "comment-json",
        "conventional-changelog-config-spec",
        "fast-json-patch",
        "glob",
        "ini",
        "semver",
        "shx",
        "xmlbuilder2",
        "yaml",
        "yargs"
      ],
      keywords: [
        "cdk",
        "cicd",
        "generator",
        "management",
        "project",
        "scaffolding"
      ],
      engines: {
        node: ">= 14.0.0"
      },
      main: "lib/index.js",
      license: "Apache-2.0",
      version: "0.71.112",
      jest: {
        maxWorkers: "50%",
        testMatch: [
          "<rootDir>/src/**/__tests__/**/*.ts?(x)",
          "<rootDir>/(test|src)/**/*(*.)@(spec|test).ts?(x)"
        ],
        clearMocks: true,
        collectCoverage: true,
        coverageReporters: [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ],
        coverageDirectory: "coverage",
        coveragePathIgnorePatterns: [
          "/node_modules/"
        ],
        testPathIgnorePatterns: [
          "/node_modules/"
        ],
        watchPathIgnorePatterns: [
          "/node_modules/"
        ],
        reporters: [
          "default",
          [
            "jest-junit",
            {
              outputDirectory: "test-reports"
            }
          ]
        ],
        preset: "ts-jest",
        globals: {
          "ts-jest": {
            tsconfig: "tsconfig.dev.json"
          }
        }
      },
      types: "lib/index.d.ts",
      stability: "experimental",
      jsii: {
        outdir: "dist",
        targets: {
          java: {
            package: "io.github.cdklabs.projen",
            maven: {
              groupId: "io.github.cdklabs",
              artifactId: "projen"
            }
          },
          python: {
            distName: "projen",
            module: "projen"
          },
          go: {
            moduleName: "github.com/projen/projen-go"
          }
        },
        tsc: {
          outDir: "lib",
          rootDir: "src"
        }
      },
      "//": '~~ Generated by projen. To modify, edit .projenrc.js and run "npx projen".'
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/common.js
var require_common5 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN = exports2.PROJEN_MARKER = exports2.PROJEN_DIR = exports2.PROJEN_RC = void 0;
    exports2.PROJEN_RC = ".projenrc.js";
    exports2.PROJEN_DIR = ".projen";
    exports2.PROJEN_MARKER = "~~ Generated by projen";
    exports2.IS_TEST_RUN = process.env.NODE_ENV === "test";
    var packageVersion = require_package2().version;
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN ? "99.99.99" : packageVersion;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/_resolve.js
var require_resolve2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/_resolve.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolve = void 0;
    function isResolvable(obj) {
      return obj.toJSON !== void 0;
    }
    function resolve(value, options = {}) {
      const args = options.args ?? [];
      const omitEmpty = options.omitEmpty ?? false;
      if (value == null) {
        return value;
      }
      if (isResolvable(value)) {
        const resolved = value.toJSON();
        return resolve(resolved, options);
      }
      if (typeof value === "function") {
        const resolved = value.apply(void 0, args);
        return resolve(resolved, options);
      }
      if (typeof value !== "object") {
        return value;
      }
      if (Array.isArray(value)) {
        if (omitEmpty && value.length === 0) {
          return void 0;
        }
        return value.map((x) => resolve(x, options)).filter((x) => x != null);
      }
      if (value.constructor && value.constructor?.name !== "Object") {
        throw new Error(`only data types can be resolved. trying to resolve object of type ${value.constructor?.name}`);
      }
      const result = {};
      for (const [k, v] of Object.entries(value)) {
        const resolved = resolve(v, options);
        if (resolved === void 0) {
          continue;
        }
        result[k] = resolved;
      }
      if (omitEmpty && Object.keys(result).length === 0) {
        return void 0;
      }
      return result;
    }
    exports2.resolve = resolve;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/projenrc.js
var require_projenrc6 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var ProjenrcFile = class _ProjenrcFile extends component_1.Component {
      /**
       * Returns the `Projenrc` instance associated with a project or `undefined` if
       * there is no Projenrc.
       * @param project The project
       * @returns A Projenrc
       */
      static of(project) {
        const isProjenrc = (o) => o instanceof _ProjenrcFile;
        return project.components.find(isProjenrc);
      }
    };
    exports2.ProjenrcFile = ProjenrcFile;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcFile[_a] = { fqn: "projen.ProjenrcFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/case/dist/Case.js
var require_Case2 = __commonJS({
  "../../components/source-repositories/node_modules/case/dist/Case.js"(exports2, module2) {
    (function() {
      "use strict";
      var unicodes = function(s, prefix) {
        prefix = prefix || "";
        return s.replace(/(^|-)/g, "$1\\u" + prefix).replace(/,/g, "\\u" + prefix);
      }, basicSymbols = unicodes("20-26,28-2F,3A-40,5B-60,7B-7E,A0-BF,D7,F7", "00"), baseLowerCase = "a-z" + unicodes("DF-F6,F8-FF", "00"), baseUpperCase = "A-Z" + unicodes("C0-D6,D8-DE", "00"), improperInTitle = "A|An|And|As|At|But|By|En|For|If|In|Of|On|Or|The|To|Vs?\\.?|Via", regexps = function(symbols, lowers, uppers, impropers) {
        symbols = symbols || basicSymbols;
        lowers = lowers || baseLowerCase;
        uppers = uppers || baseUpperCase;
        impropers = impropers || improperInTitle;
        return {
          capitalize: new RegExp("(^|[" + symbols + "])([" + lowers + "])", "g"),
          pascal: new RegExp("(^|[" + symbols + "])+([" + lowers + uppers + "])", "g"),
          fill: new RegExp("[" + symbols + "]+(.|$)", "g"),
          sentence: new RegExp('(^\\s*|[\\?\\!\\.]+"?\\s+"?|,\\s+")([' + lowers + "])", "g"),
          improper: new RegExp("\\b(" + impropers + ")\\b", "g"),
          relax: new RegExp("([^" + uppers + "])([" + uppers + "]*)([" + uppers + "])(?=[^" + uppers + "]|$)", "g"),
          upper: new RegExp("^[^" + lowers + "]+$"),
          hole: /[^\s]\s[^\s]/,
          apostrophe: /'/g,
          room: new RegExp("[" + symbols + "]")
        };
      }, re = regexps(), _ = {
        re,
        unicodes,
        regexps,
        types: [],
        up: String.prototype.toUpperCase,
        low: String.prototype.toLowerCase,
        cap: function(s) {
          return _.up.call(s.charAt(0)) + s.slice(1);
        },
        decap: function(s) {
          return _.low.call(s.charAt(0)) + s.slice(1);
        },
        deapostrophe: function(s) {
          return s.replace(re.apostrophe, "");
        },
        fill: function(s, fill, deapostrophe) {
          if (fill != null) {
            s = s.replace(re.fill, function(m, next) {
              return next ? fill + next : "";
            });
          }
          if (deapostrophe) {
            s = _.deapostrophe(s);
          }
          return s;
        },
        prep: function(s, fill, pascal, upper) {
          s = s == null ? "" : s + "";
          if (!upper && re.upper.test(s)) {
            s = _.low.call(s);
          }
          if (!fill && !re.hole.test(s)) {
            var holey = _.fill(s, " ");
            if (re.hole.test(holey)) {
              s = holey;
            }
          }
          if (!pascal && !re.room.test(s)) {
            s = s.replace(re.relax, _.relax);
          }
          return s;
        },
        relax: function(m, before, acronym, caps) {
          return before + " " + (acronym ? acronym + " " : "") + caps;
        }
      }, Case = {
        _,
        of: function(s) {
          for (var i = 0, m = _.types.length; i < m; i++) {
            if (Case[_.types[i]].apply(Case, arguments) === s) {
              return _.types[i];
            }
          }
        },
        flip: function(s) {
          return s.replace(/\w/g, function(l) {
            return (l == _.up.call(l) ? _.low : _.up).call(l);
          });
        },
        random: function(s) {
          return s.replace(/\w/g, function(l) {
            return (Math.round(Math.random()) ? _.up : _.low).call(l);
          });
        },
        type: function(type2, fn) {
          Case[type2] = fn;
          _.types.push(type2);
        }
      }, types = {
        lower: function(s, fill, deapostrophe) {
          return _.fill(_.low.call(_.prep(s, fill)), fill, deapostrophe);
        },
        snake: function(s) {
          return Case.lower(s, "_", true);
        },
        constant: function(s) {
          return Case.upper(s, "_", true);
        },
        camel: function(s) {
          return _.decap(Case.pascal(s));
        },
        kebab: function(s) {
          return Case.lower(s, "-", true);
        },
        upper: function(s, fill, deapostrophe) {
          return _.fill(_.up.call(_.prep(s, fill, false, true)), fill, deapostrophe);
        },
        capital: function(s, fill, deapostrophe) {
          return _.fill(_.prep(s).replace(re.capitalize, function(m, border, letter) {
            return border + _.up.call(letter);
          }), fill, deapostrophe);
        },
        header: function(s) {
          return Case.capital(s, "-", true);
        },
        pascal: function(s) {
          return _.fill(_.prep(s, false, true).replace(re.pascal, function(m, border, letter) {
            return _.up.call(letter);
          }), "", true);
        },
        title: function(s) {
          return Case.capital(s).replace(re.improper, function(small, p, i, s2) {
            return i > 0 && i < s2.lastIndexOf(" ") ? _.low.call(small) : small;
          });
        },
        sentence: function(s, names, abbreviations) {
          s = Case.lower(s).replace(re.sentence, function(m, prelude, letter) {
            return prelude + _.up.call(letter);
          });
          if (names) {
            names.forEach(function(name) {
              s = s.replace(new RegExp("\\b" + Case.lower(name) + "\\b", "g"), _.cap);
            });
          }
          if (abbreviations) {
            abbreviations.forEach(function(abbr) {
              s = s.replace(new RegExp("(\\b" + Case.lower(abbr) + "\\. +)(\\w)"), function(m, abbrAndSpace, letter) {
                return abbrAndSpace + _.low.call(letter);
              });
            });
          }
          return s;
        }
      };
      types.squish = types.pascal;
      Case.default = Case;
      for (var type in types) {
        Case.type(type, types[type]);
      }
      var define2 = typeof define2 === "function" ? define2 : function() {
      };
      define2(typeof module2 === "object" && module2.exports ? module2.exports = Case : this.Case = Case);
    }).call(exports2);
  }
});

// ../../components/source-repositories/node_modules/color-name/index.js
var require_color_name2 = __commonJS({
  "../../components/source-repositories/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../../components/source-repositories/node_modules/color-convert/conversions.js
var require_conversions2 = __commonJS({
  "../../components/source-repositories/node_modules/color-convert/conversions.js"(exports2, module2) {
    var cssKeywords = require_color_name2();
    var reverseKeywords = {};
    for (const key of Object.keys(cssKeywords)) {
      reverseKeywords[cssKeywords[key]] = key;
    }
    var convert = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    module2.exports = convert;
    for (const model of Object.keys(convert)) {
      if (!("channels" in convert[model])) {
        throw new Error("missing channels property: " + model);
      }
      if (!("labels" in convert[model])) {
        throw new Error("missing channel labels property: " + model);
      }
      if (convert[model].labels.length !== convert[model].channels) {
        throw new Error("channel and label counts mismatch: " + model);
      }
      const { channels, labels } = convert[model];
      delete convert[model].channels;
      delete convert[model].labels;
      Object.defineProperty(convert[model], "channels", { value: channels });
      Object.defineProperty(convert[model], "labels", { value: labels });
    }
    convert.rgb.hsl = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const min = Math.min(r, g, b);
      const max = Math.max(r, g, b);
      const delta = max - min;
      let h;
      let s;
      if (max === min) {
        h = 0;
      } else if (r === max) {
        h = (g - b) / delta;
      } else if (g === max) {
        h = 2 + (b - r) / delta;
      } else if (b === max) {
        h = 4 + (r - g) / delta;
      }
      h = Math.min(h * 60, 360);
      if (h < 0) {
        h += 360;
      }
      const l = (min + max) / 2;
      if (max === min) {
        s = 0;
      } else if (l <= 0.5) {
        s = delta / (max + min);
      } else {
        s = delta / (2 - max - min);
      }
      return [h, s * 100, l * 100];
    };
    convert.rgb.hsv = function(rgb) {
      let rdif;
      let gdif;
      let bdif;
      let h;
      let s;
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const v = Math.max(r, g, b);
      const diff = v - Math.min(r, g, b);
      const diffc = function(c) {
        return (v - c) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h = 0;
        s = 0;
      } else {
        s = diff / v;
        rdif = diffc(r);
        gdif = diffc(g);
        bdif = diffc(b);
        if (r === v) {
          h = bdif - gdif;
        } else if (g === v) {
          h = 1 / 3 + rdif - bdif;
        } else if (b === v) {
          h = 2 / 3 + gdif - rdif;
        }
        if (h < 0) {
          h += 1;
        } else if (h > 1) {
          h -= 1;
        }
      }
      return [
        h * 360,
        s * 100,
        v * 100
      ];
    };
    convert.rgb.hwb = function(rgb) {
      const r = rgb[0];
      const g = rgb[1];
      let b = rgb[2];
      const h = convert.rgb.hsl(rgb)[0];
      const w = 1 / 255 * Math.min(r, Math.min(g, b));
      b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
      return [h, w * 100, b * 100];
    };
    convert.rgb.cmyk = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const k = Math.min(1 - r, 1 - g, 1 - b);
      const c = (1 - r - k) / (1 - k) || 0;
      const m = (1 - g - k) / (1 - k) || 0;
      const y = (1 - b - k) / (1 - k) || 0;
      return [c * 100, m * 100, y * 100, k * 100];
    };
    function comparativeDistance(x, y) {
      return (x[0] - y[0]) ** 2 + (x[1] - y[1]) ** 2 + (x[2] - y[2]) ** 2;
    }
    convert.rgb.keyword = function(rgb) {
      const reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      let currentClosestDistance = Infinity;
      let currentClosestKeyword;
      for (const keyword of Object.keys(cssKeywords)) {
        const value = cssKeywords[keyword];
        const distance = comparativeDistance(rgb, value);
        if (distance < currentClosestDistance) {
          currentClosestDistance = distance;
          currentClosestKeyword = keyword;
        }
      }
      return currentClosestKeyword;
    };
    convert.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert.rgb.xyz = function(rgb) {
      let r = rgb[0] / 255;
      let g = rgb[1] / 255;
      let b = rgb[2] / 255;
      r = r > 0.04045 ? ((r + 0.055) / 1.055) ** 2.4 : r / 12.92;
      g = g > 0.04045 ? ((g + 0.055) / 1.055) ** 2.4 : g / 12.92;
      b = b > 0.04045 ? ((b + 0.055) / 1.055) ** 2.4 : b / 12.92;
      const x = r * 0.4124 + g * 0.3576 + b * 0.1805;
      const y = r * 0.2126 + g * 0.7152 + b * 0.0722;
      const z = r * 0.0193 + g * 0.1192 + b * 0.9505;
      return [x * 100, y * 100, z * 100];
    };
    convert.rgb.lab = function(rgb) {
      const xyz = convert.rgb.xyz(rgb);
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.hsl.rgb = function(hsl) {
      const h = hsl[0] / 360;
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      let t2;
      let t3;
      let val;
      if (s === 0) {
        val = l * 255;
        return [val, val, val];
      }
      if (l < 0.5) {
        t2 = l * (1 + s);
      } else {
        t2 = l + s - l * s;
      }
      const t1 = 2 * l - t2;
      const rgb = [0, 0, 0];
      for (let i = 0; i < 3; i++) {
        t3 = h + 1 / 3 * -(i - 1);
        if (t3 < 0) {
          t3++;
        }
        if (t3 > 1) {
          t3--;
        }
        if (6 * t3 < 1) {
          val = t1 + (t2 - t1) * 6 * t3;
        } else if (2 * t3 < 1) {
          val = t2;
        } else if (3 * t3 < 2) {
          val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
        } else {
          val = t1;
        }
        rgb[i] = val * 255;
      }
      return rgb;
    };
    convert.hsl.hsv = function(hsl) {
      const h = hsl[0];
      let s = hsl[1] / 100;
      let l = hsl[2] / 100;
      let smin = s;
      const lmin = Math.max(l, 0.01);
      l *= 2;
      s *= l <= 1 ? l : 2 - l;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      const v = (l + s) / 2;
      const sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
      return [h, sv * 100, v * 100];
    };
    convert.hsv.rgb = function(hsv) {
      const h = hsv[0] / 60;
      const s = hsv[1] / 100;
      let v = hsv[2] / 100;
      const hi = Math.floor(h) % 6;
      const f = h - Math.floor(h);
      const p = 255 * v * (1 - s);
      const q = 255 * v * (1 - s * f);
      const t = 255 * v * (1 - s * (1 - f));
      v *= 255;
      switch (hi) {
        case 0:
          return [v, t, p];
        case 1:
          return [q, v, p];
        case 2:
          return [p, v, t];
        case 3:
          return [p, q, v];
        case 4:
          return [t, p, v];
        case 5:
          return [v, p, q];
      }
    };
    convert.hsv.hsl = function(hsv) {
      const h = hsv[0];
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const vmin = Math.max(v, 0.01);
      let sl;
      let l;
      l = (2 - s) * v;
      const lmin = (2 - s) * vmin;
      sl = s * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l /= 2;
      return [h, sl * 100, l * 100];
    };
    convert.hwb.rgb = function(hwb) {
      const h = hwb[0] / 360;
      let wh = hwb[1] / 100;
      let bl = hwb[2] / 100;
      const ratio = wh + bl;
      let f;
      if (ratio > 1) {
        wh /= ratio;
        bl /= ratio;
      }
      const i = Math.floor(6 * h);
      const v = 1 - bl;
      f = 6 * h - i;
      if ((i & 1) !== 0) {
        f = 1 - f;
      }
      const n = wh + f * (v - wh);
      let r;
      let g;
      let b;
      switch (i) {
        default:
        case 6:
        case 0:
          r = v;
          g = n;
          b = wh;
          break;
        case 1:
          r = n;
          g = v;
          b = wh;
          break;
        case 2:
          r = wh;
          g = v;
          b = n;
          break;
        case 3:
          r = wh;
          g = n;
          b = v;
          break;
        case 4:
          r = n;
          g = wh;
          b = v;
          break;
        case 5:
          r = v;
          g = wh;
          b = n;
          break;
      }
      return [r * 255, g * 255, b * 255];
    };
    convert.cmyk.rgb = function(cmyk) {
      const c = cmyk[0] / 100;
      const m = cmyk[1] / 100;
      const y = cmyk[2] / 100;
      const k = cmyk[3] / 100;
      const r = 1 - Math.min(1, c * (1 - k) + k);
      const g = 1 - Math.min(1, m * (1 - k) + k);
      const b = 1 - Math.min(1, y * (1 - k) + k);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.rgb = function(xyz) {
      const x = xyz[0] / 100;
      const y = xyz[1] / 100;
      const z = xyz[2] / 100;
      let r;
      let g;
      let b;
      r = x * 3.2406 + y * -1.5372 + z * -0.4986;
      g = x * -0.9689 + y * 1.8758 + z * 0.0415;
      b = x * 0.0557 + y * -0.204 + z * 1.057;
      r = r > 31308e-7 ? 1.055 * r ** (1 / 2.4) - 0.055 : r * 12.92;
      g = g > 31308e-7 ? 1.055 * g ** (1 / 2.4) - 0.055 : g * 12.92;
      b = b > 31308e-7 ? 1.055 * b ** (1 / 2.4) - 0.055 : b * 12.92;
      r = Math.min(Math.max(0, r), 1);
      g = Math.min(Math.max(0, g), 1);
      b = Math.min(Math.max(0, b), 1);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.lab = function(xyz) {
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.lab.xyz = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let x;
      let y;
      let z;
      y = (l + 16) / 116;
      x = a / 500 + y;
      z = y - b / 200;
      const y2 = y ** 3;
      const x2 = x ** 3;
      const z2 = z ** 3;
      y = y2 > 8856e-6 ? y2 : (y - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z = z2 > 8856e-6 ? z2 : (z - 16 / 116) / 7.787;
      x *= 95.047;
      y *= 100;
      z *= 108.883;
      return [x, y, z];
    };
    convert.lab.lch = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let h;
      const hr = Math.atan2(b, a);
      h = hr * 360 / 2 / Math.PI;
      if (h < 0) {
        h += 360;
      }
      const c = Math.sqrt(a * a + b * b);
      return [l, c, h];
    };
    convert.lch.lab = function(lch) {
      const l = lch[0];
      const c = lch[1];
      const h = lch[2];
      const hr = h / 360 * 2 * Math.PI;
      const a = c * Math.cos(hr);
      const b = c * Math.sin(hr);
      return [l, a, b];
    };
    convert.rgb.ansi16 = function(args, saturation = null) {
      const [r, g, b] = args;
      let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation;
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      let ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert.hsv.ansi16 = function(args) {
      return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
    };
    convert.rgb.ansi256 = function(args) {
      const r = args[0];
      const g = args[1];
      const b = args[2];
      if (r === g && g === b) {
        if (r < 8) {
          return 16;
        }
        if (r > 248) {
          return 231;
        }
        return Math.round((r - 8) / 247 * 24) + 232;
      }
      const ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
      return ansi;
    };
    convert.ansi16.rgb = function(args) {
      let color = args % 10;
      if (color === 0 || color === 7) {
        if (args > 50) {
          color += 3.5;
        }
        color = color / 10.5 * 255;
        return [color, color, color];
      }
      const mult = (~~(args > 50) + 1) * 0.5;
      const r = (color & 1) * mult * 255;
      const g = (color >> 1 & 1) * mult * 255;
      const b = (color >> 2 & 1) * mult * 255;
      return [r, g, b];
    };
    convert.ansi256.rgb = function(args) {
      if (args >= 232) {
        const c = (args - 232) * 10 + 8;
        return [c, c, c];
      }
      args -= 16;
      let rem;
      const r = Math.floor(args / 36) / 5 * 255;
      const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
      const b = rem % 6 / 5 * 255;
      return [r, g, b];
    };
    convert.rgb.hex = function(args) {
      const integer = ((Math.round(args[0]) & 255) << 16) + ((Math.round(args[1]) & 255) << 8) + (Math.round(args[2]) & 255);
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.hex.rgb = function(args) {
      const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match) {
        return [0, 0, 0];
      }
      let colorString = match[0];
      if (match[0].length === 3) {
        colorString = colorString.split("").map((char) => {
          return char + char;
        }).join("");
      }
      const integer = parseInt(colorString, 16);
      const r = integer >> 16 & 255;
      const g = integer >> 8 & 255;
      const b = integer & 255;
      return [r, g, b];
    };
    convert.rgb.hcg = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const max = Math.max(Math.max(r, g), b);
      const min = Math.min(Math.min(r, g), b);
      const chroma = max - min;
      let grayscale;
      let hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r) {
        hue = (g - b) / chroma % 6;
      } else if (max === g) {
        hue = 2 + (b - r) / chroma;
      } else {
        hue = 4 + (r - g) / chroma;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert.hsl.hcg = function(hsl) {
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      const c = l < 0.5 ? 2 * s * l : 2 * s * (1 - l);
      let f = 0;
      if (c < 1) {
        f = (l - 0.5 * c) / (1 - c);
      }
      return [hsl[0], c * 100, f * 100];
    };
    convert.hsv.hcg = function(hsv) {
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const c = s * v;
      let f = 0;
      if (c < 1) {
        f = (v - c) / (1 - c);
      }
      return [hsv[0], c * 100, f * 100];
    };
    convert.hcg.rgb = function(hcg) {
      const h = hcg[0] / 360;
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      if (c === 0) {
        return [g * 255, g * 255, g * 255];
      }
      const pure = [0, 0, 0];
      const hi = h % 1 * 6;
      const v = hi % 1;
      const w = 1 - v;
      let mg = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w;
      }
      mg = (1 - c) * g;
      return [
        (c * pure[0] + mg) * 255,
        (c * pure[1] + mg) * 255,
        (c * pure[2] + mg) * 255
      ];
    };
    convert.hcg.hsv = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      let f = 0;
      if (v > 0) {
        f = c / v;
      }
      return [hcg[0], f * 100, v * 100];
    };
    convert.hcg.hsl = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const l = g * (1 - c) + 0.5 * c;
      let s = 0;
      if (l > 0 && l < 0.5) {
        s = c / (2 * l);
      } else if (l >= 0.5 && l < 1) {
        s = c / (2 * (1 - l));
      }
      return [hcg[0], s * 100, l * 100];
    };
    convert.hcg.hwb = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      return [hcg[0], (v - c) * 100, (1 - v) * 100];
    };
    convert.hwb.hcg = function(hwb) {
      const w = hwb[1] / 100;
      const b = hwb[2] / 100;
      const v = 1 - b;
      const c = v - w;
      let g = 0;
      if (c < 1) {
        g = (v - c) / (1 - c);
      }
      return [hwb[0], c * 100, g * 100];
    };
    convert.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert.gray.rgb = function(args) {
      return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
    };
    convert.gray.hsl = function(args) {
      return [0, 0, args[0]];
    };
    convert.gray.hsv = convert.gray.hsl;
    convert.gray.hwb = function(gray) {
      return [0, 100, gray[0]];
    };
    convert.gray.cmyk = function(gray) {
      return [0, 0, 0, gray[0]];
    };
    convert.gray.lab = function(gray) {
      return [gray[0], 0, 0];
    };
    convert.gray.hex = function(gray) {
      const val = Math.round(gray[0] / 100 * 255) & 255;
      const integer = (val << 16) + (val << 8) + val;
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.rgb.gray = function(rgb) {
      const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../../components/source-repositories/node_modules/color-convert/route.js
var require_route2 = __commonJS({
  "../../components/source-repositories/node_modules/color-convert/route.js"(exports2, module2) {
    var conversions = require_conversions2();
    function buildGraph() {
      const graph = {};
      const models = Object.keys(conversions);
      for (let len = models.length, i = 0; i < len; i++) {
        graph[models[i]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      const graph = buildGraph();
      const queue = [fromModel];
      graph[fromModel].distance = 0;
      while (queue.length) {
        const current = queue.pop();
        const adjacents = Object.keys(conversions[current]);
        for (let len = adjacents.length, i = 0; i < len; i++) {
          const adjacent = adjacents[i];
          const node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link(from, to) {
      return function(args) {
        return to(from(args));
      };
    }
    function wrapConversion(toModel, graph) {
      const path = [graph[toModel].parent, toModel];
      let fn = conversions[graph[toModel].parent][toModel];
      let cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path.unshift(graph[cur].parent);
        fn = link(conversions[graph[cur].parent][cur], fn);
        cur = graph[cur].parent;
      }
      fn.conversion = path;
      return fn;
    }
    module2.exports = function(fromModel) {
      const graph = deriveBFS(fromModel);
      const conversion = {};
      const models = Object.keys(graph);
      for (let len = models.length, i = 0; i < len; i++) {
        const toModel = models[i];
        const node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../../components/source-repositories/node_modules/color-convert/index.js
var require_color_convert2 = __commonJS({
  "../../components/source-repositories/node_modules/color-convert/index.js"(exports2, module2) {
    var conversions = require_conversions2();
    var route = require_route2();
    var convert = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        return fn(args);
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        const result = fn(args);
        if (typeof result === "object") {
          for (let len = result.length, i = 0; i < len; i++) {
            result[i] = Math.round(result[i]);
          }
        }
        return result;
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    models.forEach((fromModel) => {
      convert[fromModel] = {};
      Object.defineProperty(convert[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert[fromModel], "labels", { value: conversions[fromModel].labels });
      const routes = route(fromModel);
      const routeModels = Object.keys(routes);
      routeModels.forEach((toModel) => {
        const fn = routes[toModel];
        convert[fromModel][toModel] = wrapRounded(fn);
        convert[fromModel][toModel].raw = wrapRaw(fn);
      });
    });
    module2.exports = convert;
  }
});

// ../../components/source-repositories/node_modules/ansi-styles/index.js
var require_ansi_styles2 = __commonJS({
  "../../components/source-repositories/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var wrapAnsi16 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn, offset) => (...args) => {
      const rgb = fn(...args);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    var ansi2ansi = (n) => n;
    var rgb2rgb = (r, g, b) => [r, g, b];
    var setLazyProperty = (object, property, get) => {
      Object.defineProperty(object, property, {
        get: () => {
          const value = get();
          Object.defineProperty(object, property, {
            value,
            enumerable: true,
            configurable: true
          });
          return value;
        },
        enumerable: true,
        configurable: true
      });
    };
    var colorConvert;
    var makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
      if (colorConvert === void 0) {
        colorConvert = require_color_convert2();
      }
      const offset = isBackground ? 10 : 0;
      const styles = {};
      for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
        const name = sourceSpace === "ansi16" ? "ansi" : sourceSpace;
        if (sourceSpace === targetSpace) {
          styles[name] = wrap(identity, offset);
        } else if (typeof suite === "object") {
          styles[name] = wrap(suite[targetSpace], offset);
        }
      }
      return styles;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          // Bright color
          blackBright: [90, 39],
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles.color.gray = styles.color.blackBright;
      styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
      styles.color.grey = styles.color.blackBright;
      styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;
      for (const [groupName, group] of Object.entries(styles)) {
        for (const [styleName, style] of Object.entries(group)) {
          styles[styleName] = {
            open: `\x1B[${style[0]}m`,
            close: `\x1B[${style[1]}m`
          };
          group[styleName] = styles[styleName];
          codes.set(style[0], style[1]);
        }
        Object.defineProperty(styles, groupName, {
          value: group,
          enumerable: false
        });
      }
      Object.defineProperty(styles, "codes", {
        value: codes,
        enumerable: false
      });
      styles.color.close = "\x1B[39m";
      styles.bgColor.close = "\x1B[49m";
      setLazyProperty(styles.color, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, false));
      setLazyProperty(styles.bgColor, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, true));
      return styles;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../../components/source-repositories/node_modules/has-flag/index.js
var require_has_flag2 = __commonJS({
  "../../components/source-repositories/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// ../../components/source-repositories/node_modules/supports-color/index.js
var require_supports_color2 = __commonJS({
  "../../components/source-repositories/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag2();
    var { env } = process;
    var forceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      forceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      forceColor = 1;
    }
    if ("FORCE_COLOR" in env) {
      if (env.FORCE_COLOR === "true") {
        forceColor = 1;
      } else if (env.FORCE_COLOR === "false") {
        forceColor = 0;
      } else {
        forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, streamIsTTY) {
      if (forceColor === 0) {
        return 0;
      }
      if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
        return 3;
      }
      if (hasFlag("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env) || env.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env) {
        const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream) {
      const level = supportsColor(stream, stream && stream.isTTY);
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: translateLevel(supportsColor(true, tty.isatty(1))),
      stderr: translateLevel(supportsColor(true, tty.isatty(2)))
    };
  }
});

// ../../components/source-repositories/node_modules/chalk/source/util.js
var require_util7 = __commonJS({
  "../../components/source-repositories/node_modules/chalk/source/util.js"(exports2, module2) {
    "use strict";
    var stringReplaceAll = (string, substring, replacer) => {
      let index = string.indexOf(substring);
      if (index === -1) {
        return string;
      }
      const substringLength = substring.length;
      let endIndex = 0;
      let returnValue = "";
      do {
        returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
        endIndex = index + substringLength;
        index = string.indexOf(substring, endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    var stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
      let endIndex = 0;
      let returnValue = "";
      do {
        const gotCR = string[index - 1] === "\r";
        returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? "\r\n" : "\n") + postfix;
        endIndex = index + 1;
        index = string.indexOf("\n", endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    module2.exports = {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    };
  }
});

// ../../components/source-repositories/node_modules/chalk/source/templates.js
var require_templates2 = __commonJS({
  "../../components/source-repositories/node_modules/chalk/source/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape(c) {
      const u = c[0] === "u";
      const bracket = c[1] === "{";
      if (u && !bracket && c.length === 5 || c[0] === "x" && c.length === 3) {
        return String.fromCharCode(parseInt(c.slice(1), 16));
      }
      if (u && bracket) {
        return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
      }
      return ESCAPES.get(c) || c;
    }
    function parseArguments(name, arguments_) {
      const results = [];
      const chunks = arguments_.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        const number = Number(chunk);
        if (!Number.isNaN(number)) {
          results.push(number);
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args = parseArguments(name, matches[2]);
          results.push([name].concat(args));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles) {
      const enabled = {};
      for (const layer of styles) {
        for (const style of layer.styles) {
          enabled[style[0]] = layer.inverse ? null : style.slice(1);
        }
      }
      let current = chalk;
      for (const [styleName, styles2] of Object.entries(enabled)) {
        if (!Array.isArray(styles2)) {
          continue;
        }
        if (!(styleName in current)) {
          throw new Error(`Unknown Chalk style: ${styleName}`);
        }
        current = styles2.length > 0 ? current[styleName](...styles2) : current[styleName];
      }
      return current;
    }
    module2.exports = (chalk, temporary) => {
      const styles = [];
      const chunks = [];
      let chunk = [];
      temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
        if (escapeCharacter) {
          chunk.push(unescape(escapeCharacter));
        } else if (style) {
          const string = chunk.join("");
          chunk = [];
          chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
          styles.push({ inverse, styles: parseStyle(style) });
        } else if (close) {
          if (styles.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles)(chunk.join("")));
          chunk = [];
          styles.pop();
        } else {
          chunk.push(character);
        }
      });
      chunks.push(chunk.join(""));
      if (styles.length > 0) {
        const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMessage);
      }
      return chunks.join("");
    };
  }
});

// ../../components/source-repositories/node_modules/chalk/source/index.js
var require_source2 = __commonJS({
  "../../components/source-repositories/node_modules/chalk/source/index.js"(exports2, module2) {
    "use strict";
    var ansiStyles = require_ansi_styles2();
    var { stdout: stdoutColor, stderr: stderrColor } = require_supports_color2();
    var {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    } = require_util7();
    var { isArray } = Array;
    var levelMapping = [
      "ansi",
      "ansi",
      "ansi256",
      "ansi16m"
    ];
    var styles = /* @__PURE__ */ Object.create(null);
    var applyOptions = (object, options = {}) => {
      if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
        throw new Error("The `level` option should be an integer from 0 to 3");
      }
      const colorLevel = stdoutColor ? stdoutColor.level : 0;
      object.level = options.level === void 0 ? colorLevel : options.level;
    };
    var ChalkClass = class {
      constructor(options) {
        return chalkFactory(options);
      }
    };
    var chalkFactory = (options) => {
      const chalk2 = {};
      applyOptions(chalk2, options);
      chalk2.template = (...arguments_) => chalkTag(chalk2.template, ...arguments_);
      Object.setPrototypeOf(chalk2, Chalk.prototype);
      Object.setPrototypeOf(chalk2.template, chalk2);
      chalk2.template.constructor = () => {
        throw new Error("`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.");
      };
      chalk2.template.Instance = ChalkClass;
      return chalk2.template;
    };
    function Chalk(options) {
      return chalkFactory(options);
    }
    for (const [styleName, style] of Object.entries(ansiStyles)) {
      styles[styleName] = {
        get() {
          const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
          Object.defineProperty(this, styleName, { value: builder });
          return builder;
        }
      };
    }
    styles.visible = {
      get() {
        const builder = createBuilder(this, this._styler, true);
        Object.defineProperty(this, "visible", { value: builder });
        return builder;
      }
    };
    var usedModels = ["rgb", "hex", "keyword", "hsl", "hsv", "hwb", "ansi", "ansi256"];
    for (const model of usedModels) {
      styles[model] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    for (const model of usedModels) {
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles[bgModel] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, {
      ...styles,
      level: {
        enumerable: true,
        get() {
          return this._generator.level;
        },
        set(level) {
          this._generator.level = level;
        }
      }
    });
    var createStyler = (open, close, parent) => {
      let openAll;
      let closeAll;
      if (parent === void 0) {
        openAll = open;
        closeAll = close;
      } else {
        openAll = parent.openAll + open;
        closeAll = close + parent.closeAll;
      }
      return {
        open,
        close,
        openAll,
        closeAll,
        parent
      };
    };
    var createBuilder = (self2, _styler, _isEmpty) => {
      const builder = (...arguments_) => {
        if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
          return applyStyle(builder, chalkTag(builder, ...arguments_));
        }
        return applyStyle(builder, arguments_.length === 1 ? "" + arguments_[0] : arguments_.join(" "));
      };
      Object.setPrototypeOf(builder, proto);
      builder._generator = self2;
      builder._styler = _styler;
      builder._isEmpty = _isEmpty;
      return builder;
    };
    var applyStyle = (self2, string) => {
      if (self2.level <= 0 || !string) {
        return self2._isEmpty ? "" : string;
      }
      let styler = self2._styler;
      if (styler === void 0) {
        return string;
      }
      const { openAll, closeAll } = styler;
      if (string.indexOf("\x1B") !== -1) {
        while (styler !== void 0) {
          string = stringReplaceAll(string, styler.close, styler.open);
          styler = styler.parent;
        }
      }
      const lfIndex = string.indexOf("\n");
      if (lfIndex !== -1) {
        string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
      }
      return openAll + string + closeAll;
    };
    var template;
    var chalkTag = (chalk2, ...strings) => {
      const [firstString] = strings;
      if (!isArray(firstString) || !isArray(firstString.raw)) {
        return strings.join(" ");
      }
      const arguments_ = strings.slice(1);
      const parts = [firstString.raw[0]];
      for (let i = 1; i < firstString.length; i++) {
        parts.push(
          String(arguments_[i - 1]).replace(/[{}\\]/g, "\\$&"),
          String(firstString.raw[i])
        );
      }
      if (template === void 0) {
        template = require_templates2();
      }
      return template(chalk2, parts.join(""));
    };
    Object.defineProperties(Chalk.prototype, styles);
    var chalk = Chalk();
    chalk.supportsColor = stdoutColor;
    chalk.stderr = Chalk({ level: stderrColor ? stderrColor.level : 0 });
    chalk.stderr.supportsColor = stderrColor;
    module2.exports = chalk;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/logging.js
var require_logging2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/logging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEnabled = exports2.disable = exports2.empty = exports2.warn = exports2.error = exports2.info = exports2.verbose = exports2.debug = exports2.ICON = void 0;
    var chalk = require_source2();
    var common_1 = require_common5();
    exports2.ICON = "\u{1F47E}";
    var enabled = common_1.IS_TEST_RUN ? false : true;
    function log(isError, color, ...text) {
      if (!enabled && !isError) {
        return;
      }
      console.error(`${exports2.ICON} ${color(...text)}`);
    }
    function debug(...text) {
      if (process.env.DEBUG) {
        log(false, chalk.gray, ...text);
      }
    }
    exports2.debug = debug;
    function verbose(...text) {
      log(false, chalk.white, ...text);
    }
    exports2.verbose = verbose;
    function info(...text) {
      log(false, chalk.cyan, ...text);
    }
    exports2.info = info;
    function error(...text) {
      log(true, chalk.red, ...text);
    }
    exports2.error = error;
    function warn(...text) {
      log(false, chalk.yellow, ...text);
    }
    exports2.warn = warn;
    function empty(count = 1) {
      console.log("\n".repeat(count - 1));
    }
    exports2.empty = empty;
    function disable() {
      enabled = false;
    }
    exports2.disable = disable;
    function isEnabled() {
      return enabled;
    }
    exports2.isEnabled = isEnabled;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/util.js
var require_util8 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.findUp = exports2.isRoot = exports2.multipleSelected = exports2.anySelected = exports2.getNodeMajorVersion = exports2.isExecutable = exports2.isWritable = exports2.tryReadFileSync = exports2.tryReadFile = exports2.snakeCaseKeys = exports2.kebabCaseKeys = exports2.getGitVersion = exports2.formatAsPythonModule = exports2.sorted = exports2.dedupArray = exports2.deepMerge = exports2.isObject = exports2.isTruthy = exports2.decamelizeKeysRecursively = exports2.writeFile = exports2.getFilePermissions = exports2.execOrUndefined = exports2.execCapture = exports2.exec = void 0;
    var child_process = require("child_process");
    var fs_1 = require("fs");
    var path = require("path");
    var Case = require_Case2();
    var logging = require_logging2();
    var MAX_BUFFER = 10 * 1024 * 1024;
    function exec(command, options) {
      logging.debug(command);
      child_process.execSync(command, {
        stdio: ["inherit", 2, "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.exec = exec;
    function execCapture(command, options) {
      logging.debug(command);
      return child_process.execSync(command, {
        stdio: ["inherit", "pipe", "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.execCapture = execCapture;
    function execOrUndefined(command, options) {
      try {
        const value = child_process.execSync(command, {
          stdio: ["inherit", "pipe", "pipe"],
          maxBuffer: MAX_BUFFER,
          cwd: options.cwd
        }).toString("utf-8").trim();
        if (!value) {
          return void 0;
        }
        return value;
      } catch {
        return void 0;
      }
    }
    exports2.execOrUndefined = execOrUndefined;
    function getFilePermissions(options) {
      const readonly = options.readonly ?? false;
      const executable = options.executable ?? false;
      if (readonly && executable) {
        return "544";
      } else if (readonly) {
        return "444";
      } else if (executable) {
        return "755";
      } else {
        return "644";
      }
    }
    exports2.getFilePermissions = getFilePermissions;
    function writeFile(filePath, data, options = {}) {
      if ((0, fs_1.existsSync)(filePath)) {
        (0, fs_1.chmodSync)(filePath, "600");
      }
      (0, fs_1.mkdirSync)(path.dirname(filePath), { recursive: true });
      (0, fs_1.writeFileSync)(filePath, data);
      (0, fs_1.chmodSync)(filePath, getFilePermissions(options));
    }
    exports2.writeFile = writeFile;
    function decamelizeKeysRecursively(input, opt) {
      const shouldAlwaysDecamelize = () => true;
      const shouldDecamelize = opt?.shouldDecamelize ?? shouldAlwaysDecamelize;
      const separator = opt?.separator ?? "_";
      const path_ = opt?.path ?? [];
      const maxDepth = opt?.maxDepth ?? 10;
      if (path_.length > maxDepth) {
        throw new Error("Decamelled too deeply - check that the input has no circular references");
      }
      if (Array.isArray(input)) {
        return input.map((k, i) => decamelizeKeysRecursively(k, {
          ...opt,
          path: [...path_, i.toString()]
        }));
      }
      if (typeof input === "object" && input !== null) {
        const mappedObject = {};
        for (const [key, value] of Object.entries(input)) {
          const transformedKey = shouldDecamelize([...path_, key], value) ? decamelize(key, separator) : key;
          mappedObject[transformedKey] = decamelizeKeysRecursively(value, {
            ...opt,
            path: [...path_, key]
          });
        }
        return mappedObject;
      }
      return input;
    }
    exports2.decamelizeKeysRecursively = decamelizeKeysRecursively;
    function isTruthy(value) {
      return !(value === void 0 || ["null", "undefined", "0", "false", ""].includes(value.toLocaleLowerCase()));
    }
    exports2.isTruthy = isTruthy;
    function isObject(x) {
      return x !== null && typeof x === "object" && !Array.isArray(x) && x.constructor.name === "Object";
    }
    exports2.isObject = isObject;
    function deepMerge(objects, destructive = false) {
      function mergeOne(target, source) {
        for (const key of Object.keys(source)) {
          const value = source[key];
          if (isObject(value)) {
            if (typeof target[key] !== "object") {
              target[key] = value;
            }
            if ("__$APPEND" in value && Array.isArray(value.__$APPEND)) {
              if (Array.isArray(target[key])) {
                target[key].push(...value.__$APPEND);
              } else {
                target[key] = value.__$APPEND;
              }
            }
            mergeOne(target[key], value);
            const output = target[key];
            if (typeof output === "object" && Object.keys(output).length === 0 && destructive) {
              delete target[key];
            }
          } else if (value === void 0 && destructive) {
            delete target[key];
          } else if (typeof value !== "undefined") {
            target[key] = value;
          }
        }
      }
      const others = objects.filter((x) => x != null);
      if (others.length === 0) {
        return {};
      }
      const into = others.splice(0, 1)[0];
      others.forEach((other) => mergeOne(into, other));
      return into;
    }
    exports2.deepMerge = deepMerge;
    function dedupArray(array) {
      return array.filter((val, idx) => array.indexOf(val) === idx);
    }
    exports2.dedupArray = dedupArray;
    function sorted(x) {
      if (x == null) {
        return void 0;
      }
      if (Array.isArray(x)) {
        if (x.length === 0) {
          return void 0;
        }
        return x.sort();
      } else if (typeof x === "object") {
        if (Object.keys(x).length === 0) {
          return void 0;
        }
        const result = {};
        for (const [key, value] of Object.entries(x).sort(([l], [r]) => l.localeCompare(r))) {
          result[key] = value;
        }
        return result;
      } else {
        return x;
      }
    }
    exports2.sorted = sorted;
    function formatAsPythonModule(name) {
      return name.replace(/-/g, "_").replace(/\./g, "_");
    }
    exports2.formatAsPythonModule = formatAsPythonModule;
    function getGitVersion(gitVersionOutput) {
      const match = gitVersionOutput.match(/\d+.\d+.\d+/);
      if (!match) {
        throw new Error("Unable to retrieve git version");
      }
      return match[0];
    }
    exports2.getGitVersion = getGitVersion;
    function kebabCaseKeys(obj, recursive = true) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => kebabCaseKeys(v, recursive));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = kebabCaseKeys(v, recursive);
        }
        result[decamelize(k).replace(/_/gm, "-")] = v;
      }
      return result;
    }
    exports2.kebabCaseKeys = kebabCaseKeys;
    function snakeCaseKeys(obj, recursive = true, exclusiveForRecordKeys = []) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => snakeCaseKeys(v, recursive, exclusiveForRecordKeys));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = snakeCaseKeys(v, recursive, exclusiveForRecordKeys);
        }
        const modifiedKey = exclusiveForRecordKeys.length == 0 || exclusiveForRecordKeys.includes(k) ? Case.snake(k) : k;
        result[modifiedKey] = v;
      }
      return result;
    }
    exports2.snakeCaseKeys = snakeCaseKeys;
    async function tryReadFile(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return "";
      }
      return fs_1.promises.readFile(file, "utf-8");
    }
    exports2.tryReadFile = tryReadFile;
    function tryReadFileSync(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return void 0;
      }
      return (0, fs_1.readFileSync)(file, "utf-8");
    }
    exports2.tryReadFileSync = tryReadFileSync;
    function isWritable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.W_OK);
        return true;
      } catch {
        return false;
      }
    }
    exports2.isWritable = isWritable;
    function isExecutable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.X_OK);
        return true;
      } catch (e) {
        return false;
      }
    }
    exports2.isExecutable = isExecutable;
    function decamelize(s, sep = "_") {
      if (Case.of(s) === "camel") {
        return Case.lower(s, sep);
      } else {
        return s;
      }
    }
    function getNodeMajorVersion() {
      const match = process.version.match(/(\d+)\.(\d+)\.(\d+)/);
      if (match) {
        const [major] = match.slice(1).map((x) => parseInt(x));
        return major;
      }
      return void 0;
    }
    exports2.getNodeMajorVersion = getNodeMajorVersion;
    function anySelected(options) {
      return options.some((opt) => opt);
    }
    exports2.anySelected = anySelected;
    function multipleSelected(options) {
      return options.filter((opt) => opt).length > 1;
    }
    exports2.multipleSelected = multipleSelected;
    function isRoot(dir, osPathLib = path) {
      const parent = osPathLib.dirname(dir);
      return parent === dir;
    }
    exports2.isRoot = isRoot;
    function findUp(lookFor, cwd = process.cwd()) {
      if ((0, fs_1.existsSync)(path.join(cwd, lookFor))) {
        return cwd;
      }
      if (isRoot(cwd)) {
        return void 0;
      }
      return findUp(lookFor, path.dirname(cwd));
    }
    exports2.findUp = findUp;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/file.js
var require_file2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FileBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path = require("path");
    var _resolve_1 = require_resolve2();
    var common_1 = require_common5();
    var component_1 = require_component2();
    var projenrc_1 = require_projenrc6();
    var util_1 = require_util8();
    var FileBase = class extends component_1.Component {
      /**
       * The projen marker, used to identify files as projen-generated.
       *
       * Value is undefined if the project is being ejected.
       */
      get marker() {
        if (this.project.ejected || !this.shouldAddMarker) {
          return void 0;
        }
        const projenrc = projenrc_1.ProjenrcFile.of(this.project)?.filePath ?? common_1.PROJEN_RC;
        return `${common_1.PROJEN_MARKER}. To modify, edit ${projenrc} and run "npx projen".`;
      }
      constructor(project, filePath, options = {}) {
        super(project);
        this.readonly = !project.ejected && (options.readonly ?? true);
        this.executable = options.executable ?? false;
        this.path = filePath;
        this.shouldAddMarker = options.marker ?? true;
        const globPattern = `/${this.path}`;
        const committed = options.committed ?? project.commitGenerated ?? true;
        if (committed && filePath !== ".gitattributes") {
          project.annotateGenerated(`/${filePath}`);
        }
        this.absolutePath = path.resolve(project.outdir, filePath);
        const existing = project.root.tryFindFile(this.absolutePath);
        if (existing && existing !== this) {
          throw new Error(`there is already a file under ${path.relative(project.root.outdir, this.absolutePath)}`);
        }
        const editGitignore = options.editGitignore ?? true;
        if (editGitignore) {
          this.project.addGitIgnore(`${committed ? "!" : ""}${globPattern}`);
        } else {
          if (options.committed != null) {
            throw new Error('"gitignore" is disabled, so it does not make sense to specify "committed"');
          }
        }
      }
      /**
       * Writes the file to the project's output directory
       */
      synthesize() {
        const outdir = this.project.outdir;
        const filePath = path.join(outdir, this.path);
        const resolver = {
          resolve: (obj, options) => (0, _resolve_1.resolve)(obj, options)
        };
        const content = this.synthesizeContent(resolver);
        if (content === void 0) {
          (0, fs_1.rmSync)(filePath, { force: true, recursive: true });
          return;
        }
        const prev = (0, util_1.tryReadFileSync)(filePath);
        const prevReadonly = !(0, util_1.isWritable)(filePath);
        const prevExecutable = (0, util_1.isExecutable)(filePath);
        if (prev !== void 0 && content === prev && prevReadonly === this.readonly && prevExecutable === this.executable) {
          this.project.logger.debug(`no change in ${filePath}`);
          this._changed = false;
          return;
        }
        (0, util_1.writeFile)(filePath, content, {
          readonly: this.readonly,
          executable: this.executable
        });
        this.checkForProjenMarker();
        this._changed = true;
      }
      /**
       * For debugging, check whether a file was incorrectly generated with
       * or without the projen marker. The projen marker does not *need* to be
       * included on projen-generated files, but it's recommended since it signals
       * that it probably should not be edited directly.
       */
      checkForProjenMarker() {
        const filePath = path.join(this.project.outdir, this.path);
        const contents = (0, util_1.tryReadFileSync)(filePath);
        const containsMarker = contents?.includes(common_1.PROJEN_MARKER);
        if (this.marker && !containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to contain marker but found none.`);
        } else if (!this.marker && containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to not contain marker but found one anyway.`);
        }
      }
      /**
       * Indicates if the file has been changed during synthesis. This property is
       * only available in `postSynthesize()` hooks. If this is `undefined`, the
       * file has not been synthesized yet.
       */
      get changed() {
        return this._changed;
      }
    };
    exports2.FileBase = FileBase;
    _a = JSII_RTTI_SYMBOL_1;
    FileBase[_a] = { fqn: "projen.FileBase", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/fast-json-patch/commonjs/helpers.js
var require_helpers2 = __commonJS({
  "../../components/source-repositories/node_modules/fast-json-patch/commonjs/helpers.js"(exports2) {
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function hasOwnProperty2(obj, key) {
      return _hasOwnProperty.call(obj, key);
    }
    exports2.hasOwnProperty = hasOwnProperty2;
    function _objectKeys(obj) {
      if (Array.isArray(obj)) {
        var keys_1 = new Array(obj.length);
        for (var k = 0; k < keys_1.length; k++) {
          keys_1[k] = "" + k;
        }
        return keys_1;
      }
      if (Object.keys) {
        return Object.keys(obj);
      }
      var keys = [];
      for (var i in obj) {
        if (hasOwnProperty2(obj, i)) {
          keys.push(i);
        }
      }
      return keys;
    }
    exports2._objectKeys = _objectKeys;
    function _deepClone(obj) {
      switch (typeof obj) {
        case "object":
          return JSON.parse(JSON.stringify(obj));
        case "undefined":
          return null;
        default:
          return obj;
      }
    }
    exports2._deepClone = _deepClone;
    function isInteger2(str) {
      var i = 0;
      var len = str.length;
      var charCode;
      while (i < len) {
        charCode = str.charCodeAt(i);
        if (charCode >= 48 && charCode <= 57) {
          i++;
          continue;
        }
        return false;
      }
      return true;
    }
    exports2.isInteger = isInteger2;
    function escapePathComponent(path) {
      if (path.indexOf("/") === -1 && path.indexOf("~") === -1)
        return path;
      return path.replace(/~/g, "~0").replace(/\//g, "~1");
    }
    exports2.escapePathComponent = escapePathComponent;
    function unescapePathComponent(path) {
      return path.replace(/~1/g, "/").replace(/~0/g, "~");
    }
    exports2.unescapePathComponent = unescapePathComponent;
    function _getPathRecursive(root, obj) {
      var found;
      for (var key in root) {
        if (hasOwnProperty2(root, key)) {
          if (root[key] === obj) {
            return escapePathComponent(key) + "/";
          } else if (typeof root[key] === "object") {
            found = _getPathRecursive(root[key], obj);
            if (found != "") {
              return escapePathComponent(key) + "/" + found;
            }
          }
        }
      }
      return "";
    }
    exports2._getPathRecursive = _getPathRecursive;
    function getPath(root, obj) {
      if (root === obj) {
        return "/";
      }
      var path = _getPathRecursive(root, obj);
      if (path === "") {
        throw new Error("Object not found in root");
      }
      return "/" + path;
    }
    exports2.getPath = getPath;
    function hasUndefined(obj) {
      if (obj === void 0) {
        return true;
      }
      if (obj) {
        if (Array.isArray(obj)) {
          for (var i_1 = 0, len = obj.length; i_1 < len; i_1++) {
            if (hasUndefined(obj[i_1])) {
              return true;
            }
          }
        } else if (typeof obj === "object") {
          var objKeys = _objectKeys(obj);
          var objKeysLength = objKeys.length;
          for (var i = 0; i < objKeysLength; i++) {
            if (hasUndefined(obj[objKeys[i]])) {
              return true;
            }
          }
        }
      }
      return false;
    }
    exports2.hasUndefined = hasUndefined;
    function patchErrorMessageFormatter(message, args) {
      var messageParts = [message];
      for (var key in args) {
        var value = typeof args[key] === "object" ? JSON.stringify(args[key], null, 2) : args[key];
        if (typeof value !== "undefined") {
          messageParts.push(key + ": " + value);
        }
      }
      return messageParts.join("\n");
    }
    var PatchError = (
      /** @class */
      function(_super) {
        __extends(PatchError2, _super);
        function PatchError2(message, name, index, operation, tree) {
          var _newTarget = this.constructor;
          var _this = _super.call(this, patchErrorMessageFormatter(message, { name, index, operation, tree })) || this;
          _this.name = name;
          _this.index = index;
          _this.operation = operation;
          _this.tree = tree;
          Object.setPrototypeOf(_this, _newTarget.prototype);
          _this.message = patchErrorMessageFormatter(message, { name, index, operation, tree });
          return _this;
        }
        return PatchError2;
      }(Error)
    );
    exports2.PatchError = PatchError;
  }
});

// ../../components/source-repositories/node_modules/fast-json-patch/commonjs/core.js
var require_core3 = __commonJS({
  "../../components/source-repositories/node_modules/fast-json-patch/commonjs/core.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers2();
    exports2.JsonPatchError = helpers_js_1.PatchError;
    exports2.deepClone = helpers_js_1._deepClone;
    var objOps = {
      add: function(obj, key, document) {
        obj[key] = this.value;
        return { newDocument: document };
      },
      remove: function(obj, key, document) {
        var removed = obj[key];
        delete obj[key];
        return { newDocument: document, removed };
      },
      replace: function(obj, key, document) {
        var removed = obj[key];
        obj[key] = this.value;
        return { newDocument: document, removed };
      },
      move: function(obj, key, document) {
        var removed = getValueByPointer(document, this.path);
        if (removed) {
          removed = helpers_js_1._deepClone(removed);
        }
        var originalValue = applyOperation(document, { op: "remove", path: this.from }).removed;
        applyOperation(document, { op: "add", path: this.path, value: originalValue });
        return { newDocument: document, removed };
      },
      copy: function(obj, key, document) {
        var valueToCopy = getValueByPointer(document, this.from);
        applyOperation(document, { op: "add", path: this.path, value: helpers_js_1._deepClone(valueToCopy) });
        return { newDocument: document };
      },
      test: function(obj, key, document) {
        return { newDocument: document, test: _areEquals(obj[key], this.value) };
      },
      _get: function(obj, key, document) {
        this.value = obj[key];
        return { newDocument: document };
      }
    };
    var arrOps = {
      add: function(arr, i, document) {
        if (helpers_js_1.isInteger(i)) {
          arr.splice(i, 0, this.value);
        } else {
          arr[i] = this.value;
        }
        return { newDocument: document, index: i };
      },
      remove: function(arr, i, document) {
        var removedList = arr.splice(i, 1);
        return { newDocument: document, removed: removedList[0] };
      },
      replace: function(arr, i, document) {
        var removed = arr[i];
        arr[i] = this.value;
        return { newDocument: document, removed };
      },
      move: objOps.move,
      copy: objOps.copy,
      test: objOps.test,
      _get: objOps._get
    };
    function getValueByPointer(document, pointer) {
      if (pointer == "") {
        return document;
      }
      var getOriginalDestination = { op: "_get", path: pointer };
      applyOperation(document, getOriginalDestination);
      return getOriginalDestination.value;
    }
    exports2.getValueByPointer = getValueByPointer;
    function applyOperation(document, operation, validateOperation, mutateDocument, banPrototypeModifications, index) {
      if (validateOperation === void 0) {
        validateOperation = false;
      }
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (index === void 0) {
        index = 0;
      }
      if (validateOperation) {
        if (typeof validateOperation == "function") {
          validateOperation(operation, 0, document, operation.path);
        } else {
          validator(operation, 0);
        }
      }
      if (operation.path === "") {
        var returnValue = { newDocument: document };
        if (operation.op === "add") {
          returnValue.newDocument = operation.value;
          return returnValue;
        } else if (operation.op === "replace") {
          returnValue.newDocument = operation.value;
          returnValue.removed = document;
          return returnValue;
        } else if (operation.op === "move" || operation.op === "copy") {
          returnValue.newDocument = getValueByPointer(document, operation.from);
          if (operation.op === "move") {
            returnValue.removed = document;
          }
          return returnValue;
        } else if (operation.op === "test") {
          returnValue.test = _areEquals(document, operation.value);
          if (returnValue.test === false) {
            throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
          }
          returnValue.newDocument = document;
          return returnValue;
        } else if (operation.op === "remove") {
          returnValue.removed = document;
          returnValue.newDocument = null;
          return returnValue;
        } else if (operation.op === "_get") {
          operation.value = document;
          return returnValue;
        } else {
          if (validateOperation) {
            throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
          } else {
            return returnValue;
          }
        }
      } else {
        if (!mutateDocument) {
          document = helpers_js_1._deepClone(document);
        }
        var path = operation.path || "";
        var keys = path.split("/");
        var obj = document;
        var t = 1;
        var len = keys.length;
        var existingPathFragment = void 0;
        var key = void 0;
        var validateFunction = void 0;
        if (typeof validateOperation == "function") {
          validateFunction = validateOperation;
        } else {
          validateFunction = validator;
        }
        while (true) {
          key = keys[t];
          if (key && key.indexOf("~") != -1) {
            key = helpers_js_1.unescapePathComponent(key);
          }
          if (banPrototypeModifications && (key == "__proto__" || key == "prototype" && t > 0 && keys[t - 1] == "constructor")) {
            throw new TypeError("JSON-Patch: modifying `__proto__` or `constructor/prototype` prop is banned for security reasons, if this was on purpose, please set `banPrototypeModifications` flag false and pass it to this function. More info in fast-json-patch README");
          }
          if (validateOperation) {
            if (existingPathFragment === void 0) {
              if (obj[key] === void 0) {
                existingPathFragment = keys.slice(0, t).join("/");
              } else if (t == len - 1) {
                existingPathFragment = operation.path;
              }
              if (existingPathFragment !== void 0) {
                validateFunction(operation, 0, document, existingPathFragment);
              }
            }
          }
          t++;
          if (Array.isArray(obj)) {
            if (key === "-") {
              key = obj.length;
            } else {
              if (validateOperation && !helpers_js_1.isInteger(key)) {
                throw new exports2.JsonPatchError("Expected an unsigned base-10 integer value, making the new referenced value the array element with the zero-based index", "OPERATION_PATH_ILLEGAL_ARRAY_INDEX", index, operation, document);
              } else if (helpers_js_1.isInteger(key)) {
                key = ~~key;
              }
            }
            if (t >= len) {
              if (validateOperation && operation.op === "add" && key > obj.length) {
                throw new exports2.JsonPatchError("The specified index MUST NOT be greater than the number of elements in the array", "OPERATION_VALUE_OUT_OF_BOUNDS", index, operation, document);
              }
              var returnValue = arrOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          } else {
            if (t >= len) {
              var returnValue = objOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          }
          obj = obj[key];
          if (validateOperation && t < len && (!obj || typeof obj !== "object")) {
            throw new exports2.JsonPatchError("Cannot perform operation at the desired path", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.applyOperation = applyOperation;
    function applyPatch(document, patch, validateOperation, mutateDocument, banPrototypeModifications) {
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (validateOperation) {
        if (!Array.isArray(patch)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
      }
      if (!mutateDocument) {
        document = helpers_js_1._deepClone(document);
      }
      var results = new Array(patch.length);
      for (var i = 0, length_1 = patch.length; i < length_1; i++) {
        results[i] = applyOperation(document, patch[i], validateOperation, true, banPrototypeModifications, i);
        document = results[i].newDocument;
      }
      results.newDocument = document;
      return results;
    }
    exports2.applyPatch = applyPatch;
    function applyReducer(document, operation, index) {
      var operationResult = applyOperation(document, operation);
      if (operationResult.test === false) {
        throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
      }
      return operationResult.newDocument;
    }
    exports2.applyReducer = applyReducer;
    function validator(operation, index, document, existingPathFragment) {
      if (typeof operation !== "object" || operation === null || Array.isArray(operation)) {
        throw new exports2.JsonPatchError("Operation is not an object", "OPERATION_NOT_AN_OBJECT", index, operation, document);
      } else if (!objOps[operation.op]) {
        throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
      } else if (typeof operation.path !== "string") {
        throw new exports2.JsonPatchError("Operation `path` property is not a string", "OPERATION_PATH_INVALID", index, operation, document);
      } else if (operation.path.indexOf("/") !== 0 && operation.path.length > 0) {
        throw new exports2.JsonPatchError('Operation `path` property must start with "/"', "OPERATION_PATH_INVALID", index, operation, document);
      } else if ((operation.op === "move" || operation.op === "copy") && typeof operation.from !== "string") {
        throw new exports2.JsonPatchError("Operation `from` property is not present (applicable in `move` and `copy` operations)", "OPERATION_FROM_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && operation.value === void 0) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && helpers_js_1.hasUndefined(operation.value)) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_CANNOT_CONTAIN_UNDEFINED", index, operation, document);
      } else if (document) {
        if (operation.op == "add") {
          var pathLen = operation.path.split("/").length;
          var existingPathLen = existingPathFragment.split("/").length;
          if (pathLen !== existingPathLen + 1 && pathLen !== existingPathLen) {
            throw new exports2.JsonPatchError("Cannot perform an `add` operation at the desired path", "OPERATION_PATH_CANNOT_ADD", index, operation, document);
          }
        } else if (operation.op === "replace" || operation.op === "remove" || operation.op === "_get") {
          if (operation.path !== existingPathFragment) {
            throw new exports2.JsonPatchError("Cannot perform the operation at a path that does not exist", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        } else if (operation.op === "move" || operation.op === "copy") {
          var existingValue = { op: "_get", path: operation.from, value: void 0 };
          var error = validate([existingValue], document);
          if (error && error.name === "OPERATION_PATH_UNRESOLVABLE") {
            throw new exports2.JsonPatchError("Cannot perform the operation from a path that does not exist", "OPERATION_FROM_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.validator = validator;
    function validate(sequence, document, externalValidator) {
      try {
        if (!Array.isArray(sequence)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
        if (document) {
          applyPatch(helpers_js_1._deepClone(document), helpers_js_1._deepClone(sequence), externalValidator || true);
        } else {
          externalValidator = externalValidator || validator;
          for (var i = 0; i < sequence.length; i++) {
            externalValidator(sequence[i], i, document, void 0);
          }
        }
      } catch (e) {
        if (e instanceof exports2.JsonPatchError) {
          return e;
        } else {
          throw e;
        }
      }
    }
    exports2.validate = validate;
    function _areEquals(a, b) {
      if (a === b)
        return true;
      if (a && b && typeof a == "object" && typeof b == "object") {
        var arrA = Array.isArray(a), arrB = Array.isArray(b), i, length, key;
        if (arrA && arrB) {
          length = a.length;
          if (length != b.length)
            return false;
          for (i = length; i-- !== 0; )
            if (!_areEquals(a[i], b[i]))
              return false;
          return true;
        }
        if (arrA != arrB)
          return false;
        var keys = Object.keys(a);
        length = keys.length;
        if (length !== Object.keys(b).length)
          return false;
        for (i = length; i-- !== 0; )
          if (!b.hasOwnProperty(keys[i]))
            return false;
        for (i = length; i-- !== 0; ) {
          key = keys[i];
          if (!_areEquals(a[key], b[key]))
            return false;
        }
        return true;
      }
      return a !== a && b !== b;
    }
    exports2._areEquals = _areEquals;
  }
});

// ../../components/source-repositories/node_modules/fast-json-patch/commonjs/duplex.js
var require_duplex2 = __commonJS({
  "../../components/source-repositories/node_modules/fast-json-patch/commonjs/duplex.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers2();
    var core_js_1 = require_core3();
    var beforeDict = /* @__PURE__ */ new WeakMap();
    var Mirror = (
      /** @class */
      function() {
        function Mirror2(obj) {
          this.observers = /* @__PURE__ */ new Map();
          this.obj = obj;
        }
        return Mirror2;
      }()
    );
    var ObserverInfo = (
      /** @class */
      function() {
        function ObserverInfo2(callback, observer) {
          this.callback = callback;
          this.observer = observer;
        }
        return ObserverInfo2;
      }()
    );
    function getMirror(obj) {
      return beforeDict.get(obj);
    }
    function getObserverFromMirror(mirror, callback) {
      return mirror.observers.get(callback);
    }
    function removeObserverFromMirror(mirror, observer) {
      mirror.observers.delete(observer.callback);
    }
    function unobserve(root, observer) {
      observer.unobserve();
    }
    exports2.unobserve = unobserve;
    function observe(obj, callback) {
      var patches = [];
      var observer;
      var mirror = getMirror(obj);
      if (!mirror) {
        mirror = new Mirror(obj);
        beforeDict.set(obj, mirror);
      } else {
        var observerInfo = getObserverFromMirror(mirror, callback);
        observer = observerInfo && observerInfo.observer;
      }
      if (observer) {
        return observer;
      }
      observer = {};
      mirror.value = helpers_js_1._deepClone(obj);
      if (callback) {
        observer.callback = callback;
        observer.next = null;
        var dirtyCheck = function() {
          generate(observer);
        };
        var fastCheck = function() {
          clearTimeout(observer.next);
          observer.next = setTimeout(dirtyCheck);
        };
        if (typeof window !== "undefined") {
          window.addEventListener("mouseup", fastCheck);
          window.addEventListener("keyup", fastCheck);
          window.addEventListener("mousedown", fastCheck);
          window.addEventListener("keydown", fastCheck);
          window.addEventListener("change", fastCheck);
        }
      }
      observer.patches = patches;
      observer.object = obj;
      observer.unobserve = function() {
        generate(observer);
        clearTimeout(observer.next);
        removeObserverFromMirror(mirror, observer);
        if (typeof window !== "undefined") {
          window.removeEventListener("mouseup", fastCheck);
          window.removeEventListener("keyup", fastCheck);
          window.removeEventListener("mousedown", fastCheck);
          window.removeEventListener("keydown", fastCheck);
          window.removeEventListener("change", fastCheck);
        }
      };
      mirror.observers.set(callback, new ObserverInfo(callback, observer));
      return observer;
    }
    exports2.observe = observe;
    function generate(observer, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var mirror = beforeDict.get(observer.object);
      _generate(mirror.value, observer.object, observer.patches, "", invertible);
      if (observer.patches.length) {
        core_js_1.applyPatch(mirror.value, observer.patches);
      }
      var temp = observer.patches;
      if (temp.length > 0) {
        observer.patches = [];
        if (observer.callback) {
          observer.callback(temp);
        }
      }
      return temp;
    }
    exports2.generate = generate;
    function _generate(mirror, obj, patches, path, invertible) {
      if (obj === mirror) {
        return;
      }
      if (typeof obj.toJSON === "function") {
        obj = obj.toJSON();
      }
      var newKeys = helpers_js_1._objectKeys(obj);
      var oldKeys = helpers_js_1._objectKeys(mirror);
      var changed = false;
      var deleted = false;
      for (var t = oldKeys.length - 1; t >= 0; t--) {
        var key = oldKeys[t];
        var oldVal = mirror[key];
        if (helpers_js_1.hasOwnProperty(obj, key) && !(obj[key] === void 0 && oldVal !== void 0 && Array.isArray(obj) === false)) {
          var newVal = obj[key];
          if (typeof oldVal == "object" && oldVal != null && typeof newVal == "object" && newVal != null && Array.isArray(oldVal) === Array.isArray(newVal)) {
            _generate(oldVal, newVal, patches, path + "/" + helpers_js_1.escapePathComponent(key), invertible);
          } else {
            if (oldVal !== newVal) {
              changed = true;
              if (invertible) {
                patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
              }
              patches.push({ op: "replace", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(newVal) });
            }
          }
        } else if (Array.isArray(mirror) === Array.isArray(obj)) {
          if (invertible) {
            patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
          }
          patches.push({ op: "remove", path: path + "/" + helpers_js_1.escapePathComponent(key) });
          deleted = true;
        } else {
          if (invertible) {
            patches.push({ op: "test", path, value: mirror });
          }
          patches.push({ op: "replace", path, value: obj });
          changed = true;
        }
      }
      if (!deleted && newKeys.length == oldKeys.length) {
        return;
      }
      for (var t = 0; t < newKeys.length; t++) {
        var key = newKeys[t];
        if (!helpers_js_1.hasOwnProperty(mirror, key) && obj[key] !== void 0) {
          patches.push({ op: "add", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(obj[key]) });
        }
      }
    }
    function compare(tree1, tree2, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var patches = [];
      _generate(tree1, tree2, patches, "", invertible);
      return patches;
    }
    exports2.compare = compare;
  }
});

// ../../components/source-repositories/node_modules/fast-json-patch/index.js
var require_fast_json_patch2 = __commonJS({
  "../../components/source-repositories/node_modules/fast-json-patch/index.js"(exports2) {
    var core = require_core3();
    Object.assign(exports2, core);
    var duplex = require_duplex2();
    Object.assign(exports2, duplex);
    var helpers = require_helpers2();
    exports2.JsonPatchError = helpers.PatchError;
    exports2.deepClone = helpers._deepClone;
    exports2.escapePathComponent = helpers.escapePathComponent;
    exports2.unescapePathComponent = helpers.unescapePathComponent;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/json-patch.js
var require_json_patch2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/json-patch.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonPatch = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fast_json_patch_1 = require_fast_json_patch2();
    var JsonPatch = class _JsonPatch {
      /**
       * Applies a set of JSON-Patch (RFC-6902) operations to `document` and returns the result.
       * @param document The document to patch
       * @param ops The operations to apply
       * @returns The result document
       */
      static apply(document, ...ops) {
        const result = (0, fast_json_patch_1.applyPatch)(document, ops.map((o) => o._toJson()));
        return result.newDocument;
      }
      /**
       * Adds a value to an object or inserts it into an array. In the case of an
       * array, the value is inserted before the given index. The - character can be
       * used instead of an index to insert at the end of an array.
       *
       * @example JsonPatch.add('/biscuits/1', { "name": "Ginger Nut" })
       */
      static add(path, value) {
        return new _JsonPatch({ op: "add", path, value });
      }
      /**
       * Removes a value from an object or array.
       *
       * @example JsonPatch.remove('/biscuits')
       * @example JsonPatch.remove('/biscuits/0')
       */
      static remove(path) {
        return new _JsonPatch({ op: "remove", path });
      }
      /**
       * Replaces a value. Equivalent to a “remove” followed by an “add”.
       *
       * @example JsonPatch.replace('/biscuits/0/name', 'Chocolate Digestive')
       */
      static replace(path, value) {
        return new _JsonPatch({ op: "replace", path, value });
      }
      /**
       * Copies a value from one location to another within the JSON document. Both
       * from and path are JSON Pointers.
       *
       * @example JsonPatch.copy('/biscuits/0', '/best_biscuit')
       */
      static copy(from, path) {
        return new _JsonPatch({ op: "copy", from, path });
      }
      /**
       * Moves a value from one location to the other. Both from and path are JSON Pointers.
       *
       * @example JsonPatch.move('/biscuits', '/cookies')
       */
      static move(from, path) {
        return new _JsonPatch({ op: "move", from, path });
      }
      /**
       * Tests that the specified value is set in the document. If the test fails,
       * then the patch as a whole should not apply.
       *
       * @example JsonPatch.test('/best_biscuit/name', 'Choco Leibniz')
       */
      static test(path, value) {
        return new _JsonPatch({ op: "test", path, value });
      }
      constructor(operation) {
        this.operation = operation;
      }
      /**
       * Returns the JSON representation of this JSON patch operation.
       *
       * @internal
       */
      _toJson() {
        return this.operation;
      }
    };
    exports2.JsonPatch = JsonPatch;
    _a = JSII_RTTI_SYMBOL_1;
    JsonPatch[_a] = { fqn: "projen.JsonPatch", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/object-file.js
var require_object_file2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/object-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ObjectFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var json_patch_1 = require_json_patch2();
    var util_1 = require_util8();
    var ObjectFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.obj = options.obj ?? {};
        this.omitEmpty = options.omitEmpty ?? false;
        this.rawOverrides = {};
        this.patchOperations = [];
      }
      /**
       * Adds an override to the synthesized object file.
       *
       * If the override is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example,
       * ```typescript
       * project.tsconfig.file.addOverride('compilerOptions.alwaysStrict', true);
       * project.tsconfig.file.addOverride('compilerOptions.lib', ['dom', 'dom.iterable', 'esnext']);
       * ```
       * would add the overrides
       * ```json
       * "compilerOptions": {
       *   "alwaysStrict": true,
       *   "lib": [
       *     "dom",
       *     "dom.iterable",
       *     "esnext"
       *   ]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        override values in complex types. Any intermediate keys
       *        will be created as needed.
       * @param value - The value. Could be primitive or complex.
       */
      addOverride(path, value) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        curr[lastKey] = value;
      }
      /**
       * Adds to an array in the synthesized object file.
       *
       * If the array is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.addToArray('compilerOptions.exclude', 'coverage');
       * project.tsconfig.file.addToArray('compilerOptions.lib', 'dom', 'dom.iterable', 'esnext');
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["es2019", "dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        att to arrays in complex types. Any intermediate keys
       *        will be created as needed.
       * @param values - The values to add. Could be primitive or complex.
       */
      addToArray(path, ...values) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        if (Array.isArray(curr[lastKey])) {
          curr[lastKey].push(...values);
        } else {
          curr[lastKey] = { __$APPEND: values };
        }
      }
      /**
       * Applies an RFC 6902 JSON-patch to the synthesized object file.
       * See https://datatracker.ietf.org/doc/html/rfc6902 for more information.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.patch(JsonPatch.add("/compilerOptions/exclude/-", "coverage"));
       * project.tsconfig.file.patch(JsonPatch.replace("/compilerOptions/lib", ["dom", "dom.iterable", "esnext"]));
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param patches - The patch operations to apply
       */
      patch(...patches) {
        this.patchOperations.push(...patches);
      }
      /**
       * Syntactic sugar for `addOverride(path, undefined)`.
       * @param path The path of the value to delete
       */
      addDeletionOverride(path) {
        this.addOverride(path, void 0);
      }
      synthesizeContent(resolver) {
        const obj = this.obj;
        const resolved = resolver.resolve(obj, {
          omitEmpty: this.omitEmpty
        }) ?? void 0;
        if (resolved) {
          (0, util_1.deepMerge)([resolved, this.rawOverrides], true);
        }
        const patched = json_patch_1.JsonPatch.apply(resolved, ...this.patchOperations);
        return patched ? JSON.stringify(patched, void 0, 2) : void 0;
      }
    };
    exports2.ObjectFile = ObjectFile;
    _a = JSII_RTTI_SYMBOL_1;
    ObjectFile[_a] = { fqn: "projen.ObjectFile", version: "0.71.112" };
    function splitOnPeriods(x) {
      const ret = [""];
      for (let i = 0; i < x.length; i++) {
        if (x[i] === "\\" && i + 1 < x.length) {
          ret[0] += x[i + 1];
          i++;
        } else if (x[i] === ".") {
          ret.unshift("");
        } else {
          ret[0] += x[i];
        }
      }
      ret.reverse();
      return ret;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/json.js
var require_json3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/json.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var object_file_1 = require_object_file2();
    var JsonFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.newline = options.newline ?? true;
        this.supportsComments = options.allowComments ?? (filePath.toLowerCase().endsWith("json5") || filePath.toLowerCase().endsWith("jsonc"));
        if (!options.obj) {
          throw new Error('"obj" cannot be undefined');
        }
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        const sanitized = JSON.parse(json);
        if (this.marker && !this.supportsComments) {
          sanitized["//"] = this.marker;
        }
        let content = JSON.stringify(sanitized, void 0, 2);
        if (this.marker && this.supportsComments) {
          content = `// ${this.marker}
${content}`;
        }
        if (this.newline) {
          content += "\n";
        }
        return content;
      }
    };
    exports2.JsonFile = JsonFile;
    _a = JSII_RTTI_SYMBOL_1;
    JsonFile[_a] = { fqn: "projen.JsonFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/dependencies.js
var require_dependencies2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/dependencies.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DependencyType = exports2.Dependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var common_1 = require_common5();
    var component_1 = require_component2();
    var json_1 = require_json3();
    var Dependencies = class _Dependencies extends component_1.Component {
      /**
       * Returns the coordinates of a dependency spec.
       *
       * Given `foo@^3.4.0` returns `{ name: "foo", version: "^3.4.0" }`.
       * Given `bar@npm:@bar/legacy` returns `{ name: "bar", version: "npm:@bar/legacy" }`.
       */
      static parseDependency(spec) {
        const scope = spec.startsWith("@");
        if (scope) {
          spec = spec.substr(1);
        }
        const [module3, ...version] = spec.split("@");
        const name = scope ? `@${module3}` : module3;
        if (version.length == 0) {
          return { name };
        } else {
          return { name, version: version?.join("@") };
        }
      }
      /**
       * Adds a dependencies component to the project.
       * @param project The parent project
       */
      constructor(project) {
        super(project);
        this._deps = new Array();
        if (!project.ejected) {
          new json_1.JsonFile(project, _Dependencies.MANIFEST_FILE, {
            omitEmpty: true,
            obj: () => this.toJson()
          });
        }
      }
      /**
       * A copy of all dependencies recorded for this project.
       *
       * The list is sorted by type->name->version
       */
      get all() {
        return [...this._deps].sort(compareDeps).map(normalizeDep);
      }
      /**
       * Returns a dependency by name.
       *
       * Fails if there is no dependency defined by that name or if `type` is not
       * provided and there is more then one dependency type for this dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified)
       */
      getDependency(name, type) {
        const dep = this.tryGetDependency(name, type);
        if (!dep) {
          const msg = type ? `there is no ${type} dependency defined on "${name}"` : `there is no dependency defined on "${name}"`;
          throw new Error(msg);
        }
        return dep;
      }
      /**
       * Returns a dependency by name.
       *
       * Returns `undefined` if there is no dependency defined by that name or if
       * `type` is not provided and there is more then one dependency type for this
       * dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified) or undefined if there is no match
       */
      tryGetDependency(name, type) {
        const idx = this.tryGetDependencyIndex(name, type);
        if (idx === -1) {
          return void 0;
        }
        return {
          ...normalizeDep(this._deps[idx])
        };
      }
      /**
       * Adds a dependency to this project.
       * @param spec The dependency spec in the format `MODULE[@VERSION]` where
       * `MODULE` is the package-manager-specific module name and `VERSION` is an
       * optional semantic version requirement (e.g. `^3.4.0`).
       * @param type The type of the dependency.
       */
      addDependency(spec, type, metadata = {}) {
        this.project.logger.debug(`${type}-dep ${spec}`);
        const dep = {
          ..._Dependencies.parseDependency(spec),
          type,
          metadata
        };
        const existingDepIndex = this.tryGetDependencyIndex(dep.name, type);
        if (existingDepIndex !== -1) {
          this.project.logger.debug(`updating existing ${dep.type}-dep ${dep.name} with more specific version/metadata`);
          this._deps[existingDepIndex] = dep;
        } else {
          this._deps.push(dep);
        }
        return dep;
      }
      /**
       * Removes a dependency.
       * @param name The name of the module to remove (without the version)
       * @param type The dependency type. This is only required if there the
       * dependency is defined for multiple types.
       */
      removeDependency(name, type) {
        const removeIndex = this.tryGetDependencyIndex(name, type);
        if (removeIndex === -1) {
          return;
        }
        this._deps.splice(removeIndex, 1);
      }
      tryGetDependencyIndex(name, type) {
        const deps = this._deps.filter((d) => d.name === name);
        if (deps.length === 0) {
          return -1;
        }
        if (!type) {
          if (deps.length > 1) {
            throw new Error(`"${name}" is defined for multiple dependency types: ${deps.map((d) => d.type).join(",")}. Please specify dependency type`);
          }
          type = deps[0].type;
        }
        return this._deps.findIndex((dep) => dep.name === name && dep.type === type);
      }
      toJson() {
        if (this._deps.length === 0) {
          return void 0;
        }
        return {
          dependencies: this._deps.sort(compareDeps).map(normalizeDep)
        };
      }
    };
    exports2.Dependencies = Dependencies;
    _a = JSII_RTTI_SYMBOL_1;
    Dependencies[_a] = { fqn: "projen.Dependencies", version: "0.71.112" };
    Dependencies.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "deps.json");
    function normalizeDep(d) {
      const obj = {};
      for (const [k, v] of Object.entries(d)) {
        if (v == void 0) {
          continue;
        }
        if (typeof v === "object" && Object.keys(v).length === 0) {
          continue;
        }
        if (Array.isArray(v) && v.length === 0) {
          continue;
        }
        obj[k] = v;
      }
      return obj;
    }
    function compareDeps(d1, d2) {
      return specOf(d1).localeCompare(specOf(d2));
      function specOf(dep) {
        let spec = dep.type + ":" + dep.name;
        if (dep.version) {
          spec += "@" + dep.version;
        }
        return spec;
      }
    }
    var DependencyType;
    (function(DependencyType2) {
      DependencyType2["RUNTIME"] = "runtime";
      DependencyType2["PEER"] = "peer";
      DependencyType2["BUNDLED"] = "bundled";
      DependencyType2["BUILD"] = "build";
      DependencyType2["TEST"] = "test";
      DependencyType2["DEVENV"] = "devenv";
      DependencyType2["OVERRIDE"] = "override";
    })(DependencyType || (exports2.DependencyType = DependencyType = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-port.js
var require_docker_compose_port2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-port.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeProtocol = void 0;
    var DockerComposeProtocol;
    (function(DockerComposeProtocol2) {
      DockerComposeProtocol2["TCP"] = "tcp";
      DockerComposeProtocol2["UDP"] = "udp";
    })(DockerComposeProtocol || (exports2.DockerComposeProtocol = DockerComposeProtocol = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-render.js
var require_docker_compose_render2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-render.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderDockerComposeFile = void 0;
    var util_1 = require_util8();
    function renderDockerComposeFile(serviceDescriptions, version) {
      const volumeConfig = {};
      const volumeInfo = {
        addVolumeConfiguration(volumeName, configuration) {
          if (!volumeConfig[volumeName]) {
            volumeConfig[volumeName] = configuration;
          }
        }
      };
      const networkConfig = {};
      const networkInfo = {
        addNetworkConfiguration(networkName, configuration) {
          if (!networkConfig[networkName]) {
            networkConfig[networkName] = configuration;
          }
        }
      };
      const services = {};
      for (const [serviceName, serviceDescription] of Object.entries(serviceDescriptions ?? {})) {
        const dependsOn = Array();
        for (const dependsOnServiceName of serviceDescription.dependsOn ?? []) {
          const resolvedServiceName = dependsOnServiceName.serviceName;
          if (resolvedServiceName === serviceName) {
            throw new Error(`Service ${serviceName} cannot depend on itself`);
          }
          if (!serviceDescriptions[resolvedServiceName]) {
            throw new Error(`Unable to resolve service named ${resolvedServiceName} for ${serviceName}`);
          }
          dependsOn.push(resolvedServiceName);
        }
        const volumes = [];
        for (const volumeBinding of serviceDescription.volumes ?? []) {
          volumes.push(volumeBinding.bind(volumeInfo));
        }
        const networks = [];
        for (const networkBinding of serviceDescription.networks ?? []) {
          networks.push(networkBinding.bind(networkInfo));
        }
        services[serviceName] = {
          ...getObjectWithKeyAndValueIfValueIsDefined("image", serviceDescription.image),
          ...getObjectWithKeyAndValueIfValueIsDefined("build", serviceDescription.imageBuild),
          ...getObjectWithKeyAndValueIfValueIsDefined("entrypoint", serviceDescription.entrypoint),
          ...getObjectWithKeyAndValueIfValueIsDefined("command", serviceDescription.command),
          ...Object.keys(serviceDescription.environment).length > 0 ? { environment: serviceDescription.environment } : {},
          ...serviceDescription.ports.length > 0 ? { ports: serviceDescription.ports } : {},
          ...Object.keys(serviceDescription.labels).length > 0 ? { labels: serviceDescription.labels } : {},
          ...dependsOn.length > 0 ? { dependsOn } : {},
          ...volumes.length > 0 ? { volumes } : {},
          ...networks.length > 0 ? { networks } : {}
        };
      }
      const input = {
        version,
        services,
        ...Object.keys(volumeConfig).length > 0 ? { volumes: volumeConfig } : {},
        ...Object.keys(networkConfig).length > 0 ? { networks: networkConfig } : {}
      };
      return (0, util_1.decamelizeKeysRecursively)(input, {
        shouldDecamelize: shouldDecamelizeDockerComposeKey,
        separator: "_"
      });
    }
    exports2.renderDockerComposeFile = renderDockerComposeFile;
    function getObjectWithKeyAndValueIfValueIsDefined(key, value) {
      return value !== void 0 ? { [key]: value } : {};
    }
    function shouldDecamelizeDockerComposeKey(path) {
      const poundPath = path.join("#");
      if (/^(services|volumes|networks)#[^#]+$/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#(environment|labels)#/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#build#args#/.test(poundPath)) {
        return false;
      }
      return true;
    }
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/identity.js
var require_identity2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/identity.js"(exports2) {
    "use strict";
    var ALIAS = Symbol.for("yaml.alias");
    var DOC = Symbol.for("yaml.document");
    var MAP = Symbol.for("yaml.map");
    var PAIR = Symbol.for("yaml.pair");
    var SCALAR = Symbol.for("yaml.scalar");
    var SEQ = Symbol.for("yaml.seq");
    var NODE_TYPE = Symbol.for("yaml.node.type");
    var isAlias = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === ALIAS;
    var isDocument = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === DOC;
    var isMap = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === MAP;
    var isPair = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === PAIR;
    var isScalar = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SCALAR;
    var isSeq = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SEQ;
    function isCollection(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case MAP:
          case SEQ:
            return true;
        }
      return false;
    }
    function isNode(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case ALIAS:
          case MAP:
          case SCALAR:
          case SEQ:
            return true;
        }
      return false;
    }
    var hasAnchor = (node) => (isScalar(node) || isCollection(node)) && !!node.anchor;
    exports2.ALIAS = ALIAS;
    exports2.DOC = DOC;
    exports2.MAP = MAP;
    exports2.NODE_TYPE = NODE_TYPE;
    exports2.PAIR = PAIR;
    exports2.SCALAR = SCALAR;
    exports2.SEQ = SEQ;
    exports2.hasAnchor = hasAnchor;
    exports2.isAlias = isAlias;
    exports2.isCollection = isCollection;
    exports2.isDocument = isDocument;
    exports2.isMap = isMap;
    exports2.isNode = isNode;
    exports2.isPair = isPair;
    exports2.isScalar = isScalar;
    exports2.isSeq = isSeq;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/visit.js
var require_visit2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/visit.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove node");
    function visit(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = visit_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        visit_(null, node, visitor_, Object.freeze([]));
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    function visit_(key, node, visitor, path) {
      const ctrl = callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visit_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = visit_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = visit_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = visit_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    async function visitAsync(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = await visitAsync_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        await visitAsync_(null, node, visitor_, Object.freeze([]));
    }
    visitAsync.BREAK = BREAK;
    visitAsync.SKIP = SKIP;
    visitAsync.REMOVE = REMOVE;
    async function visitAsync_(key, node, visitor, path) {
      const ctrl = await callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visitAsync_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = await visitAsync_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = await visitAsync_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = await visitAsync_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    function initVisitor(visitor) {
      if (typeof visitor === "object" && (visitor.Collection || visitor.Node || visitor.Value)) {
        return Object.assign({
          Alias: visitor.Node,
          Map: visitor.Node,
          Scalar: visitor.Node,
          Seq: visitor.Node
        }, visitor.Value && {
          Map: visitor.Value,
          Scalar: visitor.Value,
          Seq: visitor.Value
        }, visitor.Collection && {
          Map: visitor.Collection,
          Seq: visitor.Collection
        }, visitor);
      }
      return visitor;
    }
    function callVisitor(key, node, visitor, path) {
      if (typeof visitor === "function")
        return visitor(key, node, path);
      if (identity.isMap(node))
        return visitor.Map?.(key, node, path);
      if (identity.isSeq(node))
        return visitor.Seq?.(key, node, path);
      if (identity.isPair(node))
        return visitor.Pair?.(key, node, path);
      if (identity.isScalar(node))
        return visitor.Scalar?.(key, node, path);
      if (identity.isAlias(node))
        return visitor.Alias?.(key, node, path);
      return void 0;
    }
    function replaceNode(key, path, node) {
      const parent = path[path.length - 1];
      if (identity.isCollection(parent)) {
        parent.items[key] = node;
      } else if (identity.isPair(parent)) {
        if (key === "key")
          parent.key = node;
        else
          parent.value = node;
      } else if (identity.isDocument(parent)) {
        parent.contents = node;
      } else {
        const pt = identity.isAlias(parent) ? "alias" : "scalar";
        throw new Error(`Cannot replace node with ${pt} parent`);
      }
    }
    exports2.visit = visit;
    exports2.visitAsync = visitAsync;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/doc/directives.js
var require_directives2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/doc/directives.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var visit = require_visit2();
    var escapeChars = {
      "!": "%21",
      ",": "%2C",
      "[": "%5B",
      "]": "%5D",
      "{": "%7B",
      "}": "%7D"
    };
    var escapeTagName = (tn) => tn.replace(/[!,[\]{}]/g, (ch) => escapeChars[ch]);
    var Directives = class _Directives {
      constructor(yaml, tags) {
        this.docStart = null;
        this.docEnd = false;
        this.yaml = Object.assign({}, _Directives.defaultYaml, yaml);
        this.tags = Object.assign({}, _Directives.defaultTags, tags);
      }
      clone() {
        const copy = new _Directives(this.yaml, this.tags);
        copy.docStart = this.docStart;
        return copy;
      }
      /**
       * During parsing, get a Directives instance for the current document and
       * update the stream state according to the current version's spec.
       */
      atDocument() {
        const res = new _Directives(this.yaml, this.tags);
        switch (this.yaml.version) {
          case "1.1":
            this.atNextDocument = true;
            break;
          case "1.2":
            this.atNextDocument = false;
            this.yaml = {
              explicit: _Directives.defaultYaml.explicit,
              version: "1.2"
            };
            this.tags = Object.assign({}, _Directives.defaultTags);
            break;
        }
        return res;
      }
      /**
       * @param onError - May be called even if the action was successful
       * @returns `true` on success
       */
      add(line, onError) {
        if (this.atNextDocument) {
          this.yaml = { explicit: _Directives.defaultYaml.explicit, version: "1.1" };
          this.tags = Object.assign({}, _Directives.defaultTags);
          this.atNextDocument = false;
        }
        const parts = line.trim().split(/[ \t]+/);
        const name = parts.shift();
        switch (name) {
          case "%TAG": {
            if (parts.length !== 2) {
              onError(0, "%TAG directive should contain exactly two parts");
              if (parts.length < 2)
                return false;
            }
            const [handle, prefix] = parts;
            this.tags[handle] = prefix;
            return true;
          }
          case "%YAML": {
            this.yaml.explicit = true;
            if (parts.length !== 1) {
              onError(0, "%YAML directive should contain exactly one part");
              return false;
            }
            const [version] = parts;
            if (version === "1.1" || version === "1.2") {
              this.yaml.version = version;
              return true;
            } else {
              const isValid = /^\d+\.\d+$/.test(version);
              onError(6, `Unsupported YAML version ${version}`, isValid);
              return false;
            }
          }
          default:
            onError(0, `Unknown directive ${name}`, true);
            return false;
        }
      }
      /**
       * Resolves a tag, matching handles to those defined in %TAG directives.
       *
       * @returns Resolved tag, which may also be the non-specific tag `'!'` or a
       *   `'!local'` tag, or `null` if unresolvable.
       */
      tagName(source, onError) {
        if (source === "!")
          return "!";
        if (source[0] !== "!") {
          onError(`Not a valid tag: ${source}`);
          return null;
        }
        if (source[1] === "<") {
          const verbatim = source.slice(2, -1);
          if (verbatim === "!" || verbatim === "!!") {
            onError(`Verbatim tags aren't resolved, so ${source} is invalid.`);
            return null;
          }
          if (source[source.length - 1] !== ">")
            onError("Verbatim tags must end with a >");
          return verbatim;
        }
        const [, handle, suffix] = source.match(/^(.*!)([^!]*)$/);
        if (!suffix)
          onError(`The ${source} tag has no suffix`);
        const prefix = this.tags[handle];
        if (prefix)
          return prefix + decodeURIComponent(suffix);
        if (handle === "!")
          return source;
        onError(`Could not resolve tag: ${source}`);
        return null;
      }
      /**
       * Given a fully resolved tag, returns its printable string form,
       * taking into account current tag prefixes and defaults.
       */
      tagString(tag) {
        for (const [handle, prefix] of Object.entries(this.tags)) {
          if (tag.startsWith(prefix))
            return handle + escapeTagName(tag.substring(prefix.length));
        }
        return tag[0] === "!" ? tag : `!<${tag}>`;
      }
      toString(doc) {
        const lines = this.yaml.explicit ? [`%YAML ${this.yaml.version || "1.2"}`] : [];
        const tagEntries = Object.entries(this.tags);
        let tagNames;
        if (doc && tagEntries.length > 0 && identity.isNode(doc.contents)) {
          const tags = {};
          visit.visit(doc.contents, (_key, node) => {
            if (identity.isNode(node) && node.tag)
              tags[node.tag] = true;
          });
          tagNames = Object.keys(tags);
        } else
          tagNames = [];
        for (const [handle, prefix] of tagEntries) {
          if (handle === "!!" && prefix === "tag:yaml.org,2002:")
            continue;
          if (!doc || tagNames.some((tn) => tn.startsWith(prefix)))
            lines.push(`%TAG ${handle} ${prefix}`);
        }
        return lines.join("\n");
      }
    };
    Directives.defaultYaml = { explicit: false, version: "1.2" };
    Directives.defaultTags = { "!!": "tag:yaml.org,2002:" };
    exports2.Directives = Directives;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/doc/anchors.js
var require_anchors2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/doc/anchors.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var visit = require_visit2();
    function anchorIsValid(anchor) {
      if (/[\x00-\x19\s,[\]{}]/.test(anchor)) {
        const sa = JSON.stringify(anchor);
        const msg = `Anchor must not contain whitespace or control characters: ${sa}`;
        throw new Error(msg);
      }
      return true;
    }
    function anchorNames(root) {
      const anchors = /* @__PURE__ */ new Set();
      visit.visit(root, {
        Value(_key, node) {
          if (node.anchor)
            anchors.add(node.anchor);
        }
      });
      return anchors;
    }
    function findNewAnchor(prefix, exclude) {
      for (let i = 1; true; ++i) {
        const name = `${prefix}${i}`;
        if (!exclude.has(name))
          return name;
      }
    }
    function createNodeAnchors(doc, prefix) {
      const aliasObjects = [];
      const sourceObjects = /* @__PURE__ */ new Map();
      let prevAnchors = null;
      return {
        onAnchor: (source) => {
          aliasObjects.push(source);
          if (!prevAnchors)
            prevAnchors = anchorNames(doc);
          const anchor = findNewAnchor(prefix, prevAnchors);
          prevAnchors.add(anchor);
          return anchor;
        },
        /**
         * With circular references, the source node is only resolved after all
         * of its child nodes are. This is why anchors are set only after all of
         * the nodes have been created.
         */
        setAnchors: () => {
          for (const source of aliasObjects) {
            const ref = sourceObjects.get(source);
            if (typeof ref === "object" && ref.anchor && (identity.isScalar(ref.node) || identity.isCollection(ref.node))) {
              ref.node.anchor = ref.anchor;
            } else {
              const error = new Error("Failed to resolve repeated object (this should not happen)");
              error.source = source;
              throw error;
            }
          }
        },
        sourceObjects
      };
    }
    exports2.anchorIsValid = anchorIsValid;
    exports2.anchorNames = anchorNames;
    exports2.createNodeAnchors = createNodeAnchors;
    exports2.findNewAnchor = findNewAnchor;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/doc/applyReviver.js
var require_applyReviver2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/doc/applyReviver.js"(exports2) {
    "use strict";
    function applyReviver(reviver, obj, key, val) {
      if (val && typeof val === "object") {
        if (Array.isArray(val)) {
          for (let i = 0, len = val.length; i < len; ++i) {
            const v0 = val[i];
            const v1 = applyReviver(reviver, val, String(i), v0);
            if (v1 === void 0)
              delete val[i];
            else if (v1 !== v0)
              val[i] = v1;
          }
        } else if (val instanceof Map) {
          for (const k of Array.from(val.keys())) {
            const v0 = val.get(k);
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              val.delete(k);
            else if (v1 !== v0)
              val.set(k, v1);
          }
        } else if (val instanceof Set) {
          for (const v0 of Array.from(val)) {
            const v1 = applyReviver(reviver, val, v0, v0);
            if (v1 === void 0)
              val.delete(v0);
            else if (v1 !== v0) {
              val.delete(v0);
              val.add(v1);
            }
          }
        } else {
          for (const [k, v0] of Object.entries(val)) {
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              delete val[k];
            else if (v1 !== v0)
              val[k] = v1;
          }
        }
      }
      return reviver.call(obj, key, val);
    }
    exports2.applyReviver = applyReviver;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/toJS.js
var require_toJS2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/toJS.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    function toJS(value, arg, ctx) {
      if (Array.isArray(value))
        return value.map((v, i) => toJS(v, String(i), ctx));
      if (value && typeof value.toJSON === "function") {
        if (!ctx || !identity.hasAnchor(value))
          return value.toJSON(arg, ctx);
        const data = { aliasCount: 0, count: 1, res: void 0 };
        ctx.anchors.set(value, data);
        ctx.onCreate = (res2) => {
          data.res = res2;
          delete ctx.onCreate;
        };
        const res = value.toJSON(arg, ctx);
        if (ctx.onCreate)
          ctx.onCreate(res);
        return res;
      }
      if (typeof value === "bigint" && !ctx?.keep)
        return Number(value);
      return value;
    }
    exports2.toJS = toJS;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/Node.js
var require_Node2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/Node.js"(exports2) {
    "use strict";
    var applyReviver = require_applyReviver2();
    var identity = require_identity2();
    var toJS = require_toJS2();
    var NodeBase = class {
      constructor(type) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: type });
      }
      /** Create a copy of this node.  */
      clone() {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** A plain JavaScript representation of this node. */
      toJS(doc, { mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        if (!identity.isDocument(doc))
          throw new TypeError("A document argument is required");
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc,
          keep: true,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this, "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
    };
    exports2.NodeBase = NodeBase;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/Alias.js
var require_Alias2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/Alias.js"(exports2) {
    "use strict";
    var anchors = require_anchors2();
    var visit = require_visit2();
    var identity = require_identity2();
    var Node = require_Node2();
    var toJS = require_toJS2();
    var Alias = class extends Node.NodeBase {
      constructor(source) {
        super(identity.ALIAS);
        this.source = source;
        Object.defineProperty(this, "tag", {
          set() {
            throw new Error("Alias nodes cannot have tags");
          }
        });
      }
      /**
       * Resolve the value of this alias within `doc`, finding the last
       * instance of the `source` anchor before this node.
       */
      resolve(doc) {
        let found = void 0;
        visit.visit(doc, {
          Node: (_key, node) => {
            if (node === this)
              return visit.visit.BREAK;
            if (node.anchor === this.source)
              found = node;
          }
        });
        return found;
      }
      toJSON(_arg, ctx) {
        if (!ctx)
          return { source: this.source };
        const { anchors: anchors2, doc, maxAliasCount } = ctx;
        const source = this.resolve(doc);
        if (!source) {
          const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
          throw new ReferenceError(msg);
        }
        let data = anchors2.get(source);
        if (!data) {
          toJS.toJS(source, null, ctx);
          data = anchors2.get(source);
        }
        if (!data || data.res === void 0) {
          const msg = "This should not happen: Alias anchor was not resolved?";
          throw new ReferenceError(msg);
        }
        if (maxAliasCount >= 0) {
          data.count += 1;
          if (data.aliasCount === 0)
            data.aliasCount = getAliasCount(doc, source, anchors2);
          if (data.count * data.aliasCount > maxAliasCount) {
            const msg = "Excessive alias count indicates a resource exhaustion attack";
            throw new ReferenceError(msg);
          }
        }
        return data.res;
      }
      toString(ctx, _onComment, _onChompKeep) {
        const src = `*${this.source}`;
        if (ctx) {
          anchors.anchorIsValid(this.source);
          if (ctx.options.verifyAliasOrder && !ctx.anchors.has(this.source)) {
            const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
            throw new Error(msg);
          }
          if (ctx.implicitKey)
            return `${src} `;
        }
        return src;
      }
    };
    function getAliasCount(doc, node, anchors2) {
      if (identity.isAlias(node)) {
        const source = node.resolve(doc);
        const anchor = anchors2 && source && anchors2.get(source);
        return anchor ? anchor.count * anchor.aliasCount : 0;
      } else if (identity.isCollection(node)) {
        let count = 0;
        for (const item of node.items) {
          const c = getAliasCount(doc, item, anchors2);
          if (c > count)
            count = c;
        }
        return count;
      } else if (identity.isPair(node)) {
        const kc = getAliasCount(doc, node.key, anchors2);
        const vc = getAliasCount(doc, node.value, anchors2);
        return Math.max(kc, vc);
      }
      return 1;
    }
    exports2.Alias = Alias;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/Scalar.js
var require_Scalar2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/Scalar.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Node = require_Node2();
    var toJS = require_toJS2();
    var isScalarValue = (value) => !value || typeof value !== "function" && typeof value !== "object";
    var Scalar = class extends Node.NodeBase {
      constructor(value) {
        super(identity.SCALAR);
        this.value = value;
      }
      toJSON(arg, ctx) {
        return ctx?.keep ? this.value : toJS.toJS(this.value, arg, ctx);
      }
      toString() {
        return String(this.value);
      }
    };
    Scalar.BLOCK_FOLDED = "BLOCK_FOLDED";
    Scalar.BLOCK_LITERAL = "BLOCK_LITERAL";
    Scalar.PLAIN = "PLAIN";
    Scalar.QUOTE_DOUBLE = "QUOTE_DOUBLE";
    Scalar.QUOTE_SINGLE = "QUOTE_SINGLE";
    exports2.Scalar = Scalar;
    exports2.isScalarValue = isScalarValue;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/doc/createNode.js
var require_createNode2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/doc/createNode.js"(exports2) {
    "use strict";
    var Alias = require_Alias2();
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var defaultTagPrefix = "tag:yaml.org,2002:";
    function findTagObject(value, tagName, tags) {
      if (tagName) {
        const match = tags.filter((t) => t.tag === tagName);
        const tagObj = match.find((t) => !t.format) ?? match[0];
        if (!tagObj)
          throw new Error(`Tag ${tagName} not found`);
        return tagObj;
      }
      return tags.find((t) => t.identify?.(value) && !t.format);
    }
    function createNode(value, tagName, ctx) {
      if (identity.isDocument(value))
        value = value.contents;
      if (identity.isNode(value))
        return value;
      if (identity.isPair(value)) {
        const map = ctx.schema[identity.MAP].createNode?.(ctx.schema, null, ctx);
        map.items.push(value);
        return map;
      }
      if (value instanceof String || value instanceof Number || value instanceof Boolean || typeof BigInt !== "undefined" && value instanceof BigInt) {
        value = value.valueOf();
      }
      const { aliasDuplicateObjects, onAnchor, onTagObj, schema, sourceObjects } = ctx;
      let ref = void 0;
      if (aliasDuplicateObjects && value && typeof value === "object") {
        ref = sourceObjects.get(value);
        if (ref) {
          if (!ref.anchor)
            ref.anchor = onAnchor(value);
          return new Alias.Alias(ref.anchor);
        } else {
          ref = { anchor: null, node: null };
          sourceObjects.set(value, ref);
        }
      }
      if (tagName?.startsWith("!!"))
        tagName = defaultTagPrefix + tagName.slice(2);
      let tagObj = findTagObject(value, tagName, schema.tags);
      if (!tagObj) {
        if (value && typeof value.toJSON === "function") {
          value = value.toJSON();
        }
        if (!value || typeof value !== "object") {
          const node2 = new Scalar.Scalar(value);
          if (ref)
            ref.node = node2;
          return node2;
        }
        tagObj = value instanceof Map ? schema[identity.MAP] : Symbol.iterator in Object(value) ? schema[identity.SEQ] : schema[identity.MAP];
      }
      if (onTagObj) {
        onTagObj(tagObj);
        delete ctx.onTagObj;
      }
      const node = tagObj?.createNode ? tagObj.createNode(ctx.schema, value, ctx) : typeof tagObj?.nodeClass?.from === "function" ? tagObj.nodeClass.from(ctx.schema, value, ctx) : new Scalar.Scalar(value);
      if (tagName)
        node.tag = tagName;
      else if (!tagObj.default)
        node.tag = tagObj.tag;
      if (ref)
        ref.node = node;
      return node;
    }
    exports2.createNode = createNode;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/Collection.js
var require_Collection2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/Collection.js"(exports2) {
    "use strict";
    var createNode = require_createNode2();
    var identity = require_identity2();
    var Node = require_Node2();
    function collectionFromPath(schema, path, value) {
      let v = value;
      for (let i = path.length - 1; i >= 0; --i) {
        const k = path[i];
        if (typeof k === "number" && Number.isInteger(k) && k >= 0) {
          const a = [];
          a[k] = v;
          v = a;
        } else {
          v = /* @__PURE__ */ new Map([[k, v]]);
        }
      }
      return createNode.createNode(v, void 0, {
        aliasDuplicateObjects: false,
        keepUndefined: false,
        onAnchor: () => {
          throw new Error("This should not happen, please report a bug.");
        },
        schema,
        sourceObjects: /* @__PURE__ */ new Map()
      });
    }
    var isEmptyPath = (path) => path == null || typeof path === "object" && !!path[Symbol.iterator]().next().done;
    var Collection = class extends Node.NodeBase {
      constructor(type, schema) {
        super(type);
        Object.defineProperty(this, "schema", {
          value: schema,
          configurable: true,
          enumerable: false,
          writable: true
        });
      }
      /**
       * Create a copy of this collection.
       *
       * @param schema - If defined, overwrites the original's schema
       */
      clone(schema) {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (schema)
          copy.schema = schema;
        copy.items = copy.items.map((it) => identity.isNode(it) || identity.isPair(it) ? it.clone(schema) : it);
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /**
       * Adds a value to the collection. For `!!map` and `!!omap` the value must
       * be a Pair instance or a `{ key, value }` object, which may not have a key
       * that already exists in the map.
       */
      addIn(path, value) {
        if (isEmptyPath(path))
          this.add(value);
        else {
          const [key, ...rest] = path;
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.addIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
      /**
       * Removes a value from the collection.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.delete(key);
        const node = this.get(key, true);
        if (identity.isCollection(node))
          return node.deleteIn(rest);
        else
          throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        const [key, ...rest] = path;
        const node = this.get(key, true);
        if (rest.length === 0)
          return !keepScalar && identity.isScalar(node) ? node.value : node;
        else
          return identity.isCollection(node) ? node.getIn(rest, keepScalar) : void 0;
      }
      hasAllNullValues(allowScalar) {
        return this.items.every((node) => {
          if (!identity.isPair(node))
            return false;
          const n = node.value;
          return n == null || allowScalar && identity.isScalar(n) && n.value == null && !n.commentBefore && !n.comment && !n.tag;
        });
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       */
      hasIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.has(key);
        const node = this.get(key, true);
        return identity.isCollection(node) ? node.hasIn(rest) : false;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        const [key, ...rest] = path;
        if (rest.length === 0) {
          this.set(key, value);
        } else {
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.setIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
    };
    Collection.maxFlowStringSingleLineLength = 60;
    exports2.Collection = Collection;
    exports2.collectionFromPath = collectionFromPath;
    exports2.isEmptyPath = isEmptyPath;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyComment.js
var require_stringifyComment2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyComment.js"(exports2) {
    "use strict";
    var stringifyComment = (str) => str.replace(/^(?!$)(?: $)?/gm, "#");
    function indentComment(comment, indent) {
      if (/^\n+$/.test(comment))
        return comment.substring(1);
      return indent ? comment.replace(/^(?! *$)/gm, indent) : comment;
    }
    var lineComment = (str, indent, comment) => str.endsWith("\n") ? indentComment(comment, indent) : comment.includes("\n") ? "\n" + indentComment(comment, indent) : (str.endsWith(" ") ? "" : " ") + comment;
    exports2.indentComment = indentComment;
    exports2.lineComment = lineComment;
    exports2.stringifyComment = stringifyComment;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/foldFlowLines.js
var require_foldFlowLines2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/foldFlowLines.js"(exports2) {
    "use strict";
    var FOLD_FLOW = "flow";
    var FOLD_BLOCK = "block";
    var FOLD_QUOTED = "quoted";
    function foldFlowLines(text, indent, mode = "flow", { indentAtStart, lineWidth = 80, minContentWidth = 20, onFold, onOverflow } = {}) {
      if (!lineWidth || lineWidth < 0)
        return text;
      const endStep = Math.max(1 + minContentWidth, 1 + lineWidth - indent.length);
      if (text.length <= endStep)
        return text;
      const folds = [];
      const escapedFolds = {};
      let end = lineWidth - indent.length;
      if (typeof indentAtStart === "number") {
        if (indentAtStart > lineWidth - Math.max(2, minContentWidth))
          folds.push(0);
        else
          end = lineWidth - indentAtStart;
      }
      let split = void 0;
      let prev = void 0;
      let overflow = false;
      let i = -1;
      let escStart = -1;
      let escEnd = -1;
      if (mode === FOLD_BLOCK) {
        i = consumeMoreIndentedLines(text, i);
        if (i !== -1)
          end = i + endStep;
      }
      for (let ch; ch = text[i += 1]; ) {
        if (mode === FOLD_QUOTED && ch === "\\") {
          escStart = i;
          switch (text[i + 1]) {
            case "x":
              i += 3;
              break;
            case "u":
              i += 5;
              break;
            case "U":
              i += 9;
              break;
            default:
              i += 1;
          }
          escEnd = i;
        }
        if (ch === "\n") {
          if (mode === FOLD_BLOCK)
            i = consumeMoreIndentedLines(text, i);
          end = i + endStep;
          split = void 0;
        } else {
          if (ch === " " && prev && prev !== " " && prev !== "\n" && prev !== "	") {
            const next = text[i + 1];
            if (next && next !== " " && next !== "\n" && next !== "	")
              split = i;
          }
          if (i >= end) {
            if (split) {
              folds.push(split);
              end = split + endStep;
              split = void 0;
            } else if (mode === FOLD_QUOTED) {
              while (prev === " " || prev === "	") {
                prev = ch;
                ch = text[i += 1];
                overflow = true;
              }
              const j = i > escEnd + 1 ? i - 2 : escStart - 1;
              if (escapedFolds[j])
                return text;
              folds.push(j);
              escapedFolds[j] = true;
              end = j + endStep;
              split = void 0;
            } else {
              overflow = true;
            }
          }
        }
        prev = ch;
      }
      if (overflow && onOverflow)
        onOverflow();
      if (folds.length === 0)
        return text;
      if (onFold)
        onFold();
      let res = text.slice(0, folds[0]);
      for (let i2 = 0; i2 < folds.length; ++i2) {
        const fold = folds[i2];
        const end2 = folds[i2 + 1] || text.length;
        if (fold === 0)
          res = `
${indent}${text.slice(0, end2)}`;
        else {
          if (mode === FOLD_QUOTED && escapedFolds[fold])
            res += `${text[fold]}\\`;
          res += `
${indent}${text.slice(fold + 1, end2)}`;
        }
      }
      return res;
    }
    function consumeMoreIndentedLines(text, i) {
      let ch = text[i + 1];
      while (ch === " " || ch === "	") {
        do {
          ch = text[i += 1];
        } while (ch && ch !== "\n");
        ch = text[i + 1];
      }
      return i;
    }
    exports2.FOLD_BLOCK = FOLD_BLOCK;
    exports2.FOLD_FLOW = FOLD_FLOW;
    exports2.FOLD_QUOTED = FOLD_QUOTED;
    exports2.foldFlowLines = foldFlowLines;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyString.js
var require_stringifyString2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyString.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var foldFlowLines = require_foldFlowLines2();
    var getFoldOptions = (ctx, isBlock) => ({
      indentAtStart: isBlock ? ctx.indent.length : ctx.indentAtStart,
      lineWidth: ctx.options.lineWidth,
      minContentWidth: ctx.options.minContentWidth
    });
    var containsDocumentMarker = (str) => /^(%|---|\.\.\.)/m.test(str);
    function lineLengthOverLimit(str, lineWidth, indentLength) {
      if (!lineWidth || lineWidth < 0)
        return false;
      const limit = lineWidth - indentLength;
      const strLen = str.length;
      if (strLen <= limit)
        return false;
      for (let i = 0, start = 0; i < strLen; ++i) {
        if (str[i] === "\n") {
          if (i - start > limit)
            return true;
          start = i + 1;
          if (strLen - start <= limit)
            return false;
        }
      }
      return true;
    }
    function doubleQuotedString(value, ctx) {
      const json = JSON.stringify(value);
      if (ctx.options.doubleQuotedAsJSON)
        return json;
      const { implicitKey } = ctx;
      const minMultiLineLength = ctx.options.doubleQuotedMinMultiLineLength;
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      let str = "";
      let start = 0;
      for (let i = 0, ch = json[i]; ch; ch = json[++i]) {
        if (ch === " " && json[i + 1] === "\\" && json[i + 2] === "n") {
          str += json.slice(start, i) + "\\ ";
          i += 1;
          start = i;
          ch = "\\";
        }
        if (ch === "\\")
          switch (json[i + 1]) {
            case "u":
              {
                str += json.slice(start, i);
                const code = json.substr(i + 2, 4);
                switch (code) {
                  case "0000":
                    str += "\\0";
                    break;
                  case "0007":
                    str += "\\a";
                    break;
                  case "000b":
                    str += "\\v";
                    break;
                  case "001b":
                    str += "\\e";
                    break;
                  case "0085":
                    str += "\\N";
                    break;
                  case "00a0":
                    str += "\\_";
                    break;
                  case "2028":
                    str += "\\L";
                    break;
                  case "2029":
                    str += "\\P";
                    break;
                  default:
                    if (code.substr(0, 2) === "00")
                      str += "\\x" + code.substr(2);
                    else
                      str += json.substr(i, 6);
                }
                i += 5;
                start = i + 1;
              }
              break;
            case "n":
              if (implicitKey || json[i + 2] === '"' || json.length < minMultiLineLength) {
                i += 1;
              } else {
                str += json.slice(start, i) + "\n\n";
                while (json[i + 2] === "\\" && json[i + 3] === "n" && json[i + 4] !== '"') {
                  str += "\n";
                  i += 2;
                }
                str += indent;
                if (json[i + 2] === " ")
                  str += "\\";
                i += 1;
                start = i + 1;
              }
              break;
            default:
              i += 1;
          }
      }
      str = start ? str + json.slice(start) : json;
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_QUOTED, getFoldOptions(ctx, false));
    }
    function singleQuotedString(value, ctx) {
      if (ctx.options.singleQuote === false || ctx.implicitKey && value.includes("\n") || /[ \t]\n|\n[ \t]/.test(value))
        return doubleQuotedString(value, ctx);
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      const res = "'" + value.replace(/'/g, "''").replace(/\n+/g, `$&
${indent}`) + "'";
      return ctx.implicitKey ? res : foldFlowLines.foldFlowLines(res, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function quotedString(value, ctx) {
      const { singleQuote } = ctx.options;
      let qs;
      if (singleQuote === false)
        qs = doubleQuotedString;
      else {
        const hasDouble = value.includes('"');
        const hasSingle = value.includes("'");
        if (hasDouble && !hasSingle)
          qs = singleQuotedString;
        else if (hasSingle && !hasDouble)
          qs = doubleQuotedString;
        else
          qs = singleQuote ? singleQuotedString : doubleQuotedString;
      }
      return qs(value, ctx);
    }
    var blockEndNewlines;
    try {
      blockEndNewlines = new RegExp("(^|(?<!\n))\n+(?!\n|$)", "g");
    } catch {
      blockEndNewlines = /\n+(?!\n|$)/g;
    }
    function blockString({ comment, type, value }, ctx, onComment, onChompKeep) {
      const { blockQuote, commentString, lineWidth } = ctx.options;
      if (!blockQuote || /\n[\t ]+$/.test(value) || /^\s*$/.test(value)) {
        return quotedString(value, ctx);
      }
      const indent = ctx.indent || (ctx.forceBlockIndent || containsDocumentMarker(value) ? "  " : "");
      const literal = blockQuote === "literal" ? true : blockQuote === "folded" || type === Scalar.Scalar.BLOCK_FOLDED ? false : type === Scalar.Scalar.BLOCK_LITERAL ? true : !lineLengthOverLimit(value, lineWidth, indent.length);
      if (!value)
        return literal ? "|\n" : ">\n";
      let chomp;
      let endStart;
      for (endStart = value.length; endStart > 0; --endStart) {
        const ch = value[endStart - 1];
        if (ch !== "\n" && ch !== "	" && ch !== " ")
          break;
      }
      let end = value.substring(endStart);
      const endNlPos = end.indexOf("\n");
      if (endNlPos === -1) {
        chomp = "-";
      } else if (value === end || endNlPos !== end.length - 1) {
        chomp = "+";
        if (onChompKeep)
          onChompKeep();
      } else {
        chomp = "";
      }
      if (end) {
        value = value.slice(0, -end.length);
        if (end[end.length - 1] === "\n")
          end = end.slice(0, -1);
        end = end.replace(blockEndNewlines, `$&${indent}`);
      }
      let startWithSpace = false;
      let startEnd;
      let startNlPos = -1;
      for (startEnd = 0; startEnd < value.length; ++startEnd) {
        const ch = value[startEnd];
        if (ch === " ")
          startWithSpace = true;
        else if (ch === "\n")
          startNlPos = startEnd;
        else
          break;
      }
      let start = value.substring(0, startNlPos < startEnd ? startNlPos + 1 : startEnd);
      if (start) {
        value = value.substring(start.length);
        start = start.replace(/\n+/g, `$&${indent}`);
      }
      const indentSize = indent ? "2" : "1";
      let header = (literal ? "|" : ">") + (startWithSpace ? indentSize : "") + chomp;
      if (comment) {
        header += " " + commentString(comment.replace(/ ?[\r\n]+/g, " "));
        if (onComment)
          onComment();
      }
      if (literal) {
        value = value.replace(/\n+/g, `$&${indent}`);
        return `${header}
${indent}${start}${value}${end}`;
      }
      value = value.replace(/\n+/g, "\n$&").replace(/(?:^|\n)([\t ].*)(?:([\n\t ]*)\n(?![\n\t ]))?/g, "$1$2").replace(/\n+/g, `$&${indent}`);
      const body = foldFlowLines.foldFlowLines(`${start}${value}${end}`, indent, foldFlowLines.FOLD_BLOCK, getFoldOptions(ctx, true));
      return `${header}
${indent}${body}`;
    }
    function plainString(item, ctx, onComment, onChompKeep) {
      const { type, value } = item;
      const { actualString, implicitKey, indent, indentStep, inFlow } = ctx;
      if (implicitKey && /[\n[\]{},]/.test(value) || inFlow && /[[\]{},]/.test(value)) {
        return quotedString(value, ctx);
      }
      if (!value || /^[\n\t ,[\]{}#&*!|>'"%@`]|^[?-]$|^[?-][ \t]|[\n:][ \t]|[ \t]\n|[\n\t ]#|[\n\t :]$/.test(value)) {
        return implicitKey || inFlow || !value.includes("\n") ? quotedString(value, ctx) : blockString(item, ctx, onComment, onChompKeep);
      }
      if (!implicitKey && !inFlow && type !== Scalar.Scalar.PLAIN && value.includes("\n")) {
        return blockString(item, ctx, onComment, onChompKeep);
      }
      if (containsDocumentMarker(value)) {
        if (indent === "") {
          ctx.forceBlockIndent = true;
          return blockString(item, ctx, onComment, onChompKeep);
        } else if (implicitKey && indent === indentStep) {
          return quotedString(value, ctx);
        }
      }
      const str = value.replace(/\n+/g, `$&
${indent}`);
      if (actualString) {
        const test = (tag) => tag.default && tag.tag !== "tag:yaml.org,2002:str" && tag.test?.test(str);
        const { compat, tags } = ctx.doc.schema;
        if (tags.some(test) || compat?.some(test))
          return quotedString(value, ctx);
      }
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function stringifyString(item, ctx, onComment, onChompKeep) {
      const { implicitKey, inFlow } = ctx;
      const ss = typeof item.value === "string" ? item : Object.assign({}, item, { value: String(item.value) });
      let { type } = item;
      if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
        if (/[\x00-\x08\x0b-\x1f\x7f-\x9f\u{D800}-\u{DFFF}]/u.test(ss.value))
          type = Scalar.Scalar.QUOTE_DOUBLE;
      }
      const _stringify = (_type2) => {
        switch (_type2) {
          case Scalar.Scalar.BLOCK_FOLDED:
          case Scalar.Scalar.BLOCK_LITERAL:
            return implicitKey || inFlow ? quotedString(ss.value, ctx) : blockString(ss, ctx, onComment, onChompKeep);
          case Scalar.Scalar.QUOTE_DOUBLE:
            return doubleQuotedString(ss.value, ctx);
          case Scalar.Scalar.QUOTE_SINGLE:
            return singleQuotedString(ss.value, ctx);
          case Scalar.Scalar.PLAIN:
            return plainString(ss, ctx, onComment, onChompKeep);
          default:
            return null;
        }
      };
      let res = _stringify(type);
      if (res === null) {
        const { defaultKeyType, defaultStringType } = ctx.options;
        const t = implicitKey && defaultKeyType || defaultStringType;
        res = _stringify(t);
        if (res === null)
          throw new Error(`Unsupported default string type ${t}`);
      }
      return res;
    }
    exports2.stringifyString = stringifyString;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringify.js
var require_stringify4 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringify.js"(exports2) {
    "use strict";
    var anchors = require_anchors2();
    var identity = require_identity2();
    var stringifyComment = require_stringifyComment2();
    var stringifyString = require_stringifyString2();
    function createStringifyContext(doc, options) {
      const opt = Object.assign({
        blockQuote: true,
        commentString: stringifyComment.stringifyComment,
        defaultKeyType: null,
        defaultStringType: "PLAIN",
        directives: null,
        doubleQuotedAsJSON: false,
        doubleQuotedMinMultiLineLength: 40,
        falseStr: "false",
        flowCollectionPadding: true,
        indentSeq: true,
        lineWidth: 80,
        minContentWidth: 20,
        nullStr: "null",
        simpleKeys: false,
        singleQuote: null,
        trueStr: "true",
        verifyAliasOrder: true
      }, doc.schema.toStringOptions, options);
      let inFlow;
      switch (opt.collectionStyle) {
        case "block":
          inFlow = false;
          break;
        case "flow":
          inFlow = true;
          break;
        default:
          inFlow = null;
      }
      return {
        anchors: /* @__PURE__ */ new Set(),
        doc,
        flowCollectionPadding: opt.flowCollectionPadding ? " " : "",
        indent: "",
        indentStep: typeof opt.indent === "number" ? " ".repeat(opt.indent) : "  ",
        inFlow,
        options: opt
      };
    }
    function getTagObject(tags, item) {
      if (item.tag) {
        const match = tags.filter((t) => t.tag === item.tag);
        if (match.length > 0)
          return match.find((t) => t.format === item.format) ?? match[0];
      }
      let tagObj = void 0;
      let obj;
      if (identity.isScalar(item)) {
        obj = item.value;
        const match = tags.filter((t) => t.identify?.(obj));
        tagObj = match.find((t) => t.format === item.format) ?? match.find((t) => !t.format);
      } else {
        obj = item;
        tagObj = tags.find((t) => t.nodeClass && obj instanceof t.nodeClass);
      }
      if (!tagObj) {
        const name = obj?.constructor?.name ?? typeof obj;
        throw new Error(`Tag not resolved for ${name} value`);
      }
      return tagObj;
    }
    function stringifyProps(node, tagObj, { anchors: anchors$1, doc }) {
      if (!doc.directives)
        return "";
      const props = [];
      const anchor = (identity.isScalar(node) || identity.isCollection(node)) && node.anchor;
      if (anchor && anchors.anchorIsValid(anchor)) {
        anchors$1.add(anchor);
        props.push(`&${anchor}`);
      }
      const tag = node.tag ? node.tag : tagObj.default ? null : tagObj.tag;
      if (tag)
        props.push(doc.directives.tagString(tag));
      return props.join(" ");
    }
    function stringify(item, ctx, onComment, onChompKeep) {
      if (identity.isPair(item))
        return item.toString(ctx, onComment, onChompKeep);
      if (identity.isAlias(item)) {
        if (ctx.doc.directives)
          return item.toString(ctx);
        if (ctx.resolvedAliases?.has(item)) {
          throw new TypeError(`Cannot stringify circular structure without alias nodes`);
        } else {
          if (ctx.resolvedAliases)
            ctx.resolvedAliases.add(item);
          else
            ctx.resolvedAliases = /* @__PURE__ */ new Set([item]);
          item = item.resolve(ctx.doc);
        }
      }
      let tagObj = void 0;
      const node = identity.isNode(item) ? item : ctx.doc.createNode(item, { onTagObj: (o) => tagObj = o });
      if (!tagObj)
        tagObj = getTagObject(ctx.doc.schema.tags, node);
      const props = stringifyProps(node, tagObj, ctx);
      if (props.length > 0)
        ctx.indentAtStart = (ctx.indentAtStart ?? 0) + props.length + 1;
      const str = typeof tagObj.stringify === "function" ? tagObj.stringify(node, ctx, onComment, onChompKeep) : identity.isScalar(node) ? stringifyString.stringifyString(node, ctx, onComment, onChompKeep) : node.toString(ctx, onComment, onChompKeep);
      if (!props)
        return str;
      return identity.isScalar(node) || str[0] === "{" || str[0] === "[" ? `${props} ${str}` : `${props}
${ctx.indent}${str}`;
    }
    exports2.createStringifyContext = createStringifyContext;
    exports2.stringify = stringify;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyPair.js
var require_stringifyPair2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyPair.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var stringify = require_stringify4();
    var stringifyComment = require_stringifyComment2();
    function stringifyPair({ key, value }, ctx, onComment, onChompKeep) {
      const { allNullValues, doc, indent, indentStep, options: { commentString, indentSeq, simpleKeys } } = ctx;
      let keyComment = identity.isNode(key) && key.comment || null;
      if (simpleKeys) {
        if (keyComment) {
          throw new Error("With simple keys, key nodes cannot have comments");
        }
        if (identity.isCollection(key)) {
          const msg = "With simple keys, collection cannot be used as a key value";
          throw new Error(msg);
        }
      }
      let explicitKey = !simpleKeys && (!key || keyComment && value == null && !ctx.inFlow || identity.isCollection(key) || (identity.isScalar(key) ? key.type === Scalar.Scalar.BLOCK_FOLDED || key.type === Scalar.Scalar.BLOCK_LITERAL : typeof key === "object"));
      ctx = Object.assign({}, ctx, {
        allNullValues: false,
        implicitKey: !explicitKey && (simpleKeys || !allNullValues),
        indent: indent + indentStep
      });
      let keyCommentDone = false;
      let chompKeep = false;
      let str = stringify.stringify(key, ctx, () => keyCommentDone = true, () => chompKeep = true);
      if (!explicitKey && !ctx.inFlow && str.length > 1024) {
        if (simpleKeys)
          throw new Error("With simple keys, single line scalar must not span more than 1024 characters");
        explicitKey = true;
      }
      if (ctx.inFlow) {
        if (allNullValues || value == null) {
          if (keyCommentDone && onComment)
            onComment();
          return str === "" ? "?" : explicitKey ? `? ${str}` : str;
        }
      } else if (allNullValues && !simpleKeys || value == null && explicitKey) {
        str = `? ${str}`;
        if (keyComment && !keyCommentDone) {
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        } else if (chompKeep && onChompKeep)
          onChompKeep();
        return str;
      }
      if (keyCommentDone)
        keyComment = null;
      if (explicitKey) {
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        str = `? ${str}
${indent}:`;
      } else {
        str = `${str}:`;
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
      }
      let vsb, vcb, valueComment;
      if (identity.isNode(value)) {
        vsb = !!value.spaceBefore;
        vcb = value.commentBefore;
        valueComment = value.comment;
      } else {
        vsb = false;
        vcb = null;
        valueComment = null;
        if (value && typeof value === "object")
          value = doc.createNode(value);
      }
      ctx.implicitKey = false;
      if (!explicitKey && !keyComment && identity.isScalar(value))
        ctx.indentAtStart = str.length + 1;
      chompKeep = false;
      if (!indentSeq && indentStep.length >= 2 && !ctx.inFlow && !explicitKey && identity.isSeq(value) && !value.flow && !value.tag && !value.anchor) {
        ctx.indent = ctx.indent.substring(2);
      }
      let valueCommentDone = false;
      const valueStr = stringify.stringify(value, ctx, () => valueCommentDone = true, () => chompKeep = true);
      let ws = " ";
      if (keyComment || vsb || vcb) {
        ws = vsb ? "\n" : "";
        if (vcb) {
          const cs = commentString(vcb);
          ws += `
${stringifyComment.indentComment(cs, ctx.indent)}`;
        }
        if (valueStr === "" && !ctx.inFlow) {
          if (ws === "\n")
            ws = "\n\n";
        } else {
          ws += `
${ctx.indent}`;
        }
      } else if (!explicitKey && identity.isCollection(value)) {
        const vs0 = valueStr[0];
        const nl0 = valueStr.indexOf("\n");
        const hasNewline = nl0 !== -1;
        const flow = ctx.inFlow ?? value.flow ?? value.items.length === 0;
        if (hasNewline || !flow) {
          let hasPropsLine = false;
          if (hasNewline && (vs0 === "&" || vs0 === "!")) {
            let sp0 = valueStr.indexOf(" ");
            if (vs0 === "&" && sp0 !== -1 && sp0 < nl0 && valueStr[sp0 + 1] === "!") {
              sp0 = valueStr.indexOf(" ", sp0 + 1);
            }
            if (sp0 === -1 || nl0 < sp0)
              hasPropsLine = true;
          }
          if (!hasPropsLine)
            ws = `
${ctx.indent}`;
        }
      } else if (valueStr === "" || valueStr[0] === "\n") {
        ws = "";
      }
      str += ws + valueStr;
      if (ctx.inFlow) {
        if (valueCommentDone && onComment)
          onComment();
      } else if (valueComment && !valueCommentDone) {
        str += stringifyComment.lineComment(str, ctx.indent, commentString(valueComment));
      } else if (chompKeep && onChompKeep) {
        onChompKeep();
      }
      return str;
    }
    exports2.stringifyPair = stringifyPair;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/log.js
var require_log2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/log.js"(exports2) {
    "use strict";
    function debug(logLevel, ...messages) {
      if (logLevel === "debug")
        console.log(...messages);
    }
    function warn(logLevel, warning) {
      if (logLevel === "debug" || logLevel === "warn") {
        if (typeof process !== "undefined" && process.emitWarning)
          process.emitWarning(warning);
        else
          console.warn(warning);
      }
    }
    exports2.debug = debug;
    exports2.warn = warn;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/addPairToJSMap.js
var require_addPairToJSMap2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/addPairToJSMap.js"(exports2) {
    "use strict";
    var log = require_log2();
    var stringify = require_stringify4();
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var toJS = require_toJS2();
    var MERGE_KEY = "<<";
    function addPairToJSMap(ctx, map, { key, value }) {
      if (ctx?.doc.schema.merge && isMergeKey(key)) {
        value = identity.isAlias(value) ? value.resolve(ctx.doc) : value;
        if (identity.isSeq(value))
          for (const it of value.items)
            mergeToJSMap(ctx, map, it);
        else if (Array.isArray(value))
          for (const it of value)
            mergeToJSMap(ctx, map, it);
        else
          mergeToJSMap(ctx, map, value);
      } else {
        const jsKey = toJS.toJS(key, "", ctx);
        if (map instanceof Map) {
          map.set(jsKey, toJS.toJS(value, jsKey, ctx));
        } else if (map instanceof Set) {
          map.add(jsKey);
        } else {
          const stringKey = stringifyKey(key, jsKey, ctx);
          const jsValue = toJS.toJS(value, stringKey, ctx);
          if (stringKey in map)
            Object.defineProperty(map, stringKey, {
              value: jsValue,
              writable: true,
              enumerable: true,
              configurable: true
            });
          else
            map[stringKey] = jsValue;
        }
      }
      return map;
    }
    var isMergeKey = (key) => key === MERGE_KEY || identity.isScalar(key) && key.value === MERGE_KEY && (!key.type || key.type === Scalar.Scalar.PLAIN);
    function mergeToJSMap(ctx, map, value) {
      const source = ctx && identity.isAlias(value) ? value.resolve(ctx.doc) : value;
      if (!identity.isMap(source))
        throw new Error("Merge sources must be maps or map aliases");
      const srcMap = source.toJSON(null, ctx, Map);
      for (const [key, value2] of srcMap) {
        if (map instanceof Map) {
          if (!map.has(key))
            map.set(key, value2);
        } else if (map instanceof Set) {
          map.add(key);
        } else if (!Object.prototype.hasOwnProperty.call(map, key)) {
          Object.defineProperty(map, key, {
            value: value2,
            writable: true,
            enumerable: true,
            configurable: true
          });
        }
      }
      return map;
    }
    function stringifyKey(key, jsKey, ctx) {
      if (jsKey === null)
        return "";
      if (typeof jsKey !== "object")
        return String(jsKey);
      if (identity.isNode(key) && ctx && ctx.doc) {
        const strCtx = stringify.createStringifyContext(ctx.doc, {});
        strCtx.anchors = /* @__PURE__ */ new Set();
        for (const node of ctx.anchors.keys())
          strCtx.anchors.add(node.anchor);
        strCtx.inFlow = true;
        strCtx.inStringifyKey = true;
        const strKey = key.toString(strCtx);
        if (!ctx.mapKeyWarned) {
          let jsonStr = JSON.stringify(strKey);
          if (jsonStr.length > 40)
            jsonStr = jsonStr.substring(0, 36) + '..."';
          log.warn(ctx.doc.options.logLevel, `Keys with collection values will be stringified due to JS Object restrictions: ${jsonStr}. Set mapAsMap: true to use object keys.`);
          ctx.mapKeyWarned = true;
        }
        return strKey;
      }
      return JSON.stringify(jsKey);
    }
    exports2.addPairToJSMap = addPairToJSMap;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/Pair.js
var require_Pair2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/Pair.js"(exports2) {
    "use strict";
    var createNode = require_createNode2();
    var stringifyPair = require_stringifyPair2();
    var addPairToJSMap = require_addPairToJSMap2();
    var identity = require_identity2();
    function createPair(key, value, ctx) {
      const k = createNode.createNode(key, void 0, ctx);
      const v = createNode.createNode(value, void 0, ctx);
      return new Pair(k, v);
    }
    var Pair = class _Pair {
      constructor(key, value = null) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.PAIR });
        this.key = key;
        this.value = value;
      }
      clone(schema) {
        let { key, value } = this;
        if (identity.isNode(key))
          key = key.clone(schema);
        if (identity.isNode(value))
          value = value.clone(schema);
        return new _Pair(key, value);
      }
      toJSON(_, ctx) {
        const pair = ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        return addPairToJSMap.addPairToJSMap(ctx, pair, this);
      }
      toString(ctx, onComment, onChompKeep) {
        return ctx?.doc ? stringifyPair.stringifyPair(this, ctx, onComment, onChompKeep) : JSON.stringify(this);
      }
    };
    exports2.Pair = Pair;
    exports2.createPair = createPair;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyCollection.js
var require_stringifyCollection2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyCollection.js"(exports2) {
    "use strict";
    var Collection = require_Collection2();
    var identity = require_identity2();
    var stringify = require_stringify4();
    var stringifyComment = require_stringifyComment2();
    function stringifyCollection(collection, ctx, options) {
      const flow = ctx.inFlow ?? collection.flow;
      const stringify2 = flow ? stringifyFlowCollection : stringifyBlockCollection;
      return stringify2(collection, ctx, options);
    }
    function stringifyBlockCollection({ comment, items }, ctx, { blockItemPrefix, flowChars, itemIndent, onChompKeep, onComment }) {
      const { indent, options: { commentString } } = ctx;
      const itemCtx = Object.assign({}, ctx, { indent: itemIndent, type: null });
      let chompKeep = false;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (!chompKeep && item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, chompKeep);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (!chompKeep && ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, chompKeep);
          }
        }
        chompKeep = false;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null, () => chompKeep = true);
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (chompKeep && comment2)
          chompKeep = false;
        lines.push(blockItemPrefix + str2);
      }
      let str;
      if (lines.length === 0) {
        str = flowChars.start + flowChars.end;
      } else {
        str = lines[0];
        for (let i = 1; i < lines.length; ++i) {
          const line = lines[i];
          str += line ? `
${indent}${line}` : "\n";
        }
      }
      if (comment) {
        str += "\n" + stringifyComment.indentComment(commentString(comment), indent);
        if (onComment)
          onComment();
      } else if (chompKeep && onChompKeep)
        onChompKeep();
      return str;
    }
    function stringifyFlowCollection({ comment, items }, ctx, { flowChars, itemIndent, onComment }) {
      const { indent, indentStep, flowCollectionPadding: fcPadding, options: { commentString } } = ctx;
      itemIndent += indentStep;
      const itemCtx = Object.assign({}, ctx, {
        indent: itemIndent,
        inFlow: true,
        type: null
      });
      let reqNewline = false;
      let linesAtValue = 0;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, false);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, false);
            if (ik.comment)
              reqNewline = true;
          }
          const iv = identity.isNode(item.value) ? item.value : null;
          if (iv) {
            if (iv.comment)
              comment2 = iv.comment;
            if (iv.commentBefore)
              reqNewline = true;
          } else if (item.value == null && ik && ik.comment) {
            comment2 = ik.comment;
          }
        }
        if (comment2)
          reqNewline = true;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null);
        if (i < items.length - 1)
          str2 += ",";
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (!reqNewline && (lines.length > linesAtValue || str2.includes("\n")))
          reqNewline = true;
        lines.push(str2);
        linesAtValue = lines.length;
      }
      let str;
      const { start, end } = flowChars;
      if (lines.length === 0) {
        str = start + end;
      } else {
        if (!reqNewline) {
          const len = lines.reduce((sum, line) => sum + line.length + 2, 2);
          reqNewline = len > Collection.Collection.maxFlowStringSingleLineLength;
        }
        if (reqNewline) {
          str = start;
          for (const line of lines)
            str += line ? `
${indentStep}${indent}${line}` : "\n";
          str += `
${indent}${end}`;
        } else {
          str = `${start}${fcPadding}${lines.join(" ")}${fcPadding}${end}`;
        }
      }
      if (comment) {
        str += stringifyComment.lineComment(str, indent, commentString(comment));
        if (onComment)
          onComment();
      }
      return str;
    }
    function addCommentBefore({ indent, options: { commentString } }, lines, comment, chompKeep) {
      if (comment && chompKeep)
        comment = comment.replace(/^\n+/, "");
      if (comment) {
        const ic = stringifyComment.indentComment(commentString(comment), indent);
        lines.push(ic.trimStart());
      }
    }
    exports2.stringifyCollection = stringifyCollection;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/YAMLMap.js
var require_YAMLMap2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/YAMLMap.js"(exports2) {
    "use strict";
    var stringifyCollection = require_stringifyCollection2();
    var addPairToJSMap = require_addPairToJSMap2();
    var Collection = require_Collection2();
    var identity = require_identity2();
    var Pair = require_Pair2();
    var Scalar = require_Scalar2();
    function findPair(items, key) {
      const k = identity.isScalar(key) ? key.value : key;
      for (const it of items) {
        if (identity.isPair(it)) {
          if (it.key === key || it.key === k)
            return it;
          if (identity.isScalar(it.key) && it.key.value === k)
            return it;
        }
      }
      return void 0;
    }
    var YAMLMap = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:map";
      }
      constructor(schema) {
        super(identity.MAP, schema);
        this.items = [];
      }
      /**
       * A generic collection parsing method that can be extended
       * to other node classes that inherit from YAMLMap
       */
      static from(schema, obj, ctx) {
        const { keepUndefined, replacer } = ctx;
        const map = new this(schema);
        const add = (key, value) => {
          if (typeof replacer === "function")
            value = replacer.call(obj, key, value);
          else if (Array.isArray(replacer) && !replacer.includes(key))
            return;
          if (value !== void 0 || keepUndefined)
            map.items.push(Pair.createPair(key, value, ctx));
        };
        if (obj instanceof Map) {
          for (const [key, value] of obj)
            add(key, value);
        } else if (obj && typeof obj === "object") {
          for (const key of Object.keys(obj))
            add(key, obj[key]);
        }
        if (typeof schema.sortMapEntries === "function") {
          map.items.sort(schema.sortMapEntries);
        }
        return map;
      }
      /**
       * Adds a value to the collection.
       *
       * @param overwrite - If not set `true`, using a key that is already in the
       *   collection will throw. Otherwise, overwrites the previous value.
       */
      add(pair, overwrite) {
        let _pair;
        if (identity.isPair(pair))
          _pair = pair;
        else if (!pair || typeof pair !== "object" || !("key" in pair)) {
          _pair = new Pair.Pair(pair, pair?.value);
        } else
          _pair = new Pair.Pair(pair.key, pair.value);
        const prev = findPair(this.items, _pair.key);
        const sortEntries = this.schema?.sortMapEntries;
        if (prev) {
          if (!overwrite)
            throw new Error(`Key ${_pair.key} already set`);
          if (identity.isScalar(prev.value) && Scalar.isScalarValue(_pair.value))
            prev.value.value = _pair.value;
          else
            prev.value = _pair.value;
        } else if (sortEntries) {
          const i = this.items.findIndex((item) => sortEntries(_pair, item) < 0);
          if (i === -1)
            this.items.push(_pair);
          else
            this.items.splice(i, 0, _pair);
        } else {
          this.items.push(_pair);
        }
      }
      delete(key) {
        const it = findPair(this.items, key);
        if (!it)
          return false;
        const del = this.items.splice(this.items.indexOf(it), 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const it = findPair(this.items, key);
        const node = it?.value;
        return (!keepScalar && identity.isScalar(node) ? node.value : node) ?? void 0;
      }
      has(key) {
        return !!findPair(this.items, key);
      }
      set(key, value) {
        this.add(new Pair.Pair(key, value), true);
      }
      /**
       * @param ctx - Conversion context, originally set in Document#toJS()
       * @param {Class} Type - If set, forces the returned collection type
       * @returns Instance of Type, Map, or Object
       */
      toJSON(_, ctx, Type) {
        const map = Type ? new Type() : ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const item of this.items)
          addPairToJSMap.addPairToJSMap(ctx, map, item);
        return map;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        for (const item of this.items) {
          if (!identity.isPair(item))
            throw new Error(`Map items must all be pairs; found ${JSON.stringify(item)} instead`);
        }
        if (!ctx.allNullValues && this.hasAllNullValues(false))
          ctx = Object.assign({}, ctx, { allNullValues: true });
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "",
          flowChars: { start: "{", end: "}" },
          itemIndent: ctx.indent || "",
          onChompKeep,
          onComment
        });
      }
    };
    exports2.YAMLMap = YAMLMap;
    exports2.findPair = findPair;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/common/map.js
var require_map3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/common/map.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var YAMLMap = require_YAMLMap2();
    var map = {
      collection: "map",
      default: true,
      nodeClass: YAMLMap.YAMLMap,
      tag: "tag:yaml.org,2002:map",
      resolve(map2, onError) {
        if (!identity.isMap(map2))
          onError("Expected a mapping for this tag");
        return map2;
      },
      createNode: (schema, obj, ctx) => YAMLMap.YAMLMap.from(schema, obj, ctx)
    };
    exports2.map = map;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/nodes/YAMLSeq.js
var require_YAMLSeq2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/nodes/YAMLSeq.js"(exports2) {
    "use strict";
    var createNode = require_createNode2();
    var stringifyCollection = require_stringifyCollection2();
    var Collection = require_Collection2();
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var toJS = require_toJS2();
    var YAMLSeq = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:seq";
      }
      constructor(schema) {
        super(identity.SEQ, schema);
        this.items = [];
      }
      add(value) {
        this.items.push(value);
      }
      /**
       * Removes a value from the collection.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       *
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return false;
        const del = this.items.splice(idx, 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return void 0;
        const it = this.items[idx];
        return !keepScalar && identity.isScalar(it) ? it.value : it;
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       */
      has(key) {
        const idx = asItemIndex(key);
        return typeof idx === "number" && idx < this.items.length;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       *
       * If `key` does not contain a representation of an integer, this will throw.
       * It may be wrapped in a `Scalar`.
       */
      set(key, value) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          throw new Error(`Expected a valid index, not ${key}.`);
        const prev = this.items[idx];
        if (identity.isScalar(prev) && Scalar.isScalarValue(value))
          prev.value = value;
        else
          this.items[idx] = value;
      }
      toJSON(_, ctx) {
        const seq = [];
        if (ctx?.onCreate)
          ctx.onCreate(seq);
        let i = 0;
        for (const item of this.items)
          seq.push(toJS.toJS(item, String(i++), ctx));
        return seq;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "- ",
          flowChars: { start: "[", end: "]" },
          itemIndent: (ctx.indent || "") + "  ",
          onChompKeep,
          onComment
        });
      }
      static from(schema, obj, ctx) {
        const { replacer } = ctx;
        const seq = new this(schema);
        if (obj && Symbol.iterator in Object(obj)) {
          let i = 0;
          for (let it of obj) {
            if (typeof replacer === "function") {
              const key = obj instanceof Set ? it : String(i++);
              it = replacer.call(obj, key, it);
            }
            seq.items.push(createNode.createNode(it, void 0, ctx));
          }
        }
        return seq;
      }
    };
    function asItemIndex(key) {
      let idx = identity.isScalar(key) ? key.value : key;
      if (idx && typeof idx === "string")
        idx = Number(idx);
      return typeof idx === "number" && Number.isInteger(idx) && idx >= 0 ? idx : null;
    }
    exports2.YAMLSeq = YAMLSeq;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/common/seq.js
var require_seq3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/common/seq.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var YAMLSeq = require_YAMLSeq2();
    var seq = {
      collection: "seq",
      default: true,
      nodeClass: YAMLSeq.YAMLSeq,
      tag: "tag:yaml.org,2002:seq",
      resolve(seq2, onError) {
        if (!identity.isSeq(seq2))
          onError("Expected a sequence for this tag");
        return seq2;
      },
      createNode: (schema, obj, ctx) => YAMLSeq.YAMLSeq.from(schema, obj, ctx)
    };
    exports2.seq = seq;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/common/string.js
var require_string2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/common/string.js"(exports2) {
    "use strict";
    var stringifyString = require_stringifyString2();
    var string = {
      identify: (value) => typeof value === "string",
      default: true,
      tag: "tag:yaml.org,2002:str",
      resolve: (str) => str,
      stringify(item, ctx, onComment, onChompKeep) {
        ctx = Object.assign({ actualString: true }, ctx);
        return stringifyString.stringifyString(item, ctx, onComment, onChompKeep);
      }
    };
    exports2.string = string;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/common/null.js
var require_null3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/common/null.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var nullTag = {
      identify: (value) => value == null,
      createNode: () => new Scalar.Scalar(null),
      default: true,
      tag: "tag:yaml.org,2002:null",
      test: /^(?:~|[Nn]ull|NULL)?$/,
      resolve: () => new Scalar.Scalar(null),
      stringify: ({ source }, ctx) => typeof source === "string" && nullTag.test.test(source) ? source : ctx.options.nullStr
    };
    exports2.nullTag = nullTag;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/core/bool.js
var require_bool4 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/core/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var boolTag = {
      identify: (value) => typeof value === "boolean",
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:[Tt]rue|TRUE|[Ff]alse|FALSE)$/,
      resolve: (str) => new Scalar.Scalar(str[0] === "t" || str[0] === "T"),
      stringify({ source, value }, ctx) {
        if (source && boolTag.test.test(source)) {
          const sv = source[0] === "t" || source[0] === "T";
          if (value === sv)
            return source;
        }
        return value ? ctx.options.trueStr : ctx.options.falseStr;
      }
    };
    exports2.boolTag = boolTag;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyNumber.js
var require_stringifyNumber2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyNumber.js"(exports2) {
    "use strict";
    function stringifyNumber({ format, minFractionDigits, tag, value }) {
      if (typeof value === "bigint")
        return String(value);
      const num = typeof value === "number" ? value : Number(value);
      if (!isFinite(num))
        return isNaN(num) ? ".nan" : num < 0 ? "-.inf" : ".inf";
      let n = JSON.stringify(value);
      if (!format && minFractionDigits && (!tag || tag === "tag:yaml.org,2002:float") && /^\d/.test(n)) {
        let i = n.indexOf(".");
        if (i < 0) {
          i = n.length;
          n += ".";
        }
        let d = minFractionDigits - (n.length - i - 1);
        while (d-- > 0)
          n += "0";
      }
      return n;
    }
    exports2.stringifyNumber = stringifyNumber;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/core/float.js
var require_float4 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/core/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var stringifyNumber = require_stringifyNumber2();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^(?:[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN))$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+(?:\.[0-9]*)?)[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+\.[0-9]*)$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str));
        const dot = str.indexOf(".");
        if (dot !== -1 && str[str.length - 1] === "0")
          node.minFractionDigits = str.length - dot - 1;
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/core/int.js
var require_int4 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/core/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber2();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    var intResolve = (str, offset, radix, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str.substring(offset), radix);
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value) && value >= 0)
        return prefix + value.toString(radix);
      return stringifyNumber.stringifyNumber(node);
    }
    var intOct = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^0o[0-7]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 8, opt),
      stringify: (node) => intStringify(node, 8, "0o")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^0x[0-9a-fA-F]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/core/schema.js
var require_schema5 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/core/schema.js"(exports2) {
    "use strict";
    var map = require_map3();
    var _null = require_null3();
    var seq = require_seq3();
    var string = require_string2();
    var bool = require_bool4();
    var float = require_float4();
    var int = require_int4();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.boolTag,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float
    ];
    exports2.schema = schema;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/json/schema.js
var require_schema6 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/json/schema.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var map = require_map3();
    var seq = require_seq3();
    function intIdentify(value) {
      return typeof value === "bigint" || Number.isInteger(value);
    }
    var stringifyJSON = ({ value }) => JSON.stringify(value);
    var jsonScalars = [
      {
        identify: (value) => typeof value === "string",
        default: true,
        tag: "tag:yaml.org,2002:str",
        resolve: (str) => str,
        stringify: stringifyJSON
      },
      {
        identify: (value) => value == null,
        createNode: () => new Scalar.Scalar(null),
        default: true,
        tag: "tag:yaml.org,2002:null",
        test: /^null$/,
        resolve: () => null,
        stringify: stringifyJSON
      },
      {
        identify: (value) => typeof value === "boolean",
        default: true,
        tag: "tag:yaml.org,2002:bool",
        test: /^true|false$/,
        resolve: (str) => str === "true",
        stringify: stringifyJSON
      },
      {
        identify: intIdentify,
        default: true,
        tag: "tag:yaml.org,2002:int",
        test: /^-?(?:0|[1-9][0-9]*)$/,
        resolve: (str, _onError, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str, 10),
        stringify: ({ value }) => intIdentify(value) ? value.toString() : JSON.stringify(value)
      },
      {
        identify: (value) => typeof value === "number",
        default: true,
        tag: "tag:yaml.org,2002:float",
        test: /^-?(?:0|[1-9][0-9]*)(?:\.[0-9]*)?(?:[eE][-+]?[0-9]+)?$/,
        resolve: (str) => parseFloat(str),
        stringify: stringifyJSON
      }
    ];
    var jsonError = {
      default: true,
      tag: "",
      test: /^/,
      resolve(str, onError) {
        onError(`Unresolved plain scalar ${JSON.stringify(str)}`);
        return str;
      }
    };
    var schema = [map.map, seq.seq].concat(jsonScalars, jsonError);
    exports2.schema = schema;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/binary.js
var require_binary3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/binary.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var stringifyString = require_stringifyString2();
    var binary = {
      identify: (value) => value instanceof Uint8Array,
      default: false,
      tag: "tag:yaml.org,2002:binary",
      /**
       * Returns a Buffer in node and an Uint8Array in browsers
       *
       * To use the resulting buffer as an image, you'll want to do something like:
       *
       *   const blob = new Blob([buffer], { type: 'image/jpeg' })
       *   document.querySelector('#photo').src = URL.createObjectURL(blob)
       */
      resolve(src, onError) {
        if (typeof Buffer === "function") {
          return Buffer.from(src, "base64");
        } else if (typeof atob === "function") {
          const str = atob(src.replace(/[\n\r]/g, ""));
          const buffer = new Uint8Array(str.length);
          for (let i = 0; i < str.length; ++i)
            buffer[i] = str.charCodeAt(i);
          return buffer;
        } else {
          onError("This environment does not support reading binary tags; either Buffer or atob is required");
          return src;
        }
      },
      stringify({ comment, type, value }, ctx, onComment, onChompKeep) {
        const buf = value;
        let str;
        if (typeof Buffer === "function") {
          str = buf instanceof Buffer ? buf.toString("base64") : Buffer.from(buf.buffer).toString("base64");
        } else if (typeof btoa === "function") {
          let s = "";
          for (let i = 0; i < buf.length; ++i)
            s += String.fromCharCode(buf[i]);
          str = btoa(s);
        } else {
          throw new Error("This environment does not support writing binary tags; either Buffer or btoa is required");
        }
        if (!type)
          type = Scalar.Scalar.BLOCK_LITERAL;
        if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
          const lineWidth = Math.max(ctx.options.lineWidth - ctx.indent.length, ctx.options.minContentWidth);
          const n = Math.ceil(str.length / lineWidth);
          const lines = new Array(n);
          for (let i = 0, o = 0; i < n; ++i, o += lineWidth) {
            lines[i] = str.substr(o, lineWidth);
          }
          str = lines.join(type === Scalar.Scalar.BLOCK_LITERAL ? "\n" : " ");
        }
        return stringifyString.stringifyString({ comment, type, value: str }, ctx, onComment, onChompKeep);
      }
    };
    exports2.binary = binary;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/pairs.js
var require_pairs3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/pairs.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Pair = require_Pair2();
    var Scalar = require_Scalar2();
    var YAMLSeq = require_YAMLSeq2();
    function resolvePairs(seq, onError) {
      if (identity.isSeq(seq)) {
        for (let i = 0; i < seq.items.length; ++i) {
          let item = seq.items[i];
          if (identity.isPair(item))
            continue;
          else if (identity.isMap(item)) {
            if (item.items.length > 1)
              onError("Each pair must have its own sequence indicator");
            const pair = item.items[0] || new Pair.Pair(new Scalar.Scalar(null));
            if (item.commentBefore)
              pair.key.commentBefore = pair.key.commentBefore ? `${item.commentBefore}
${pair.key.commentBefore}` : item.commentBefore;
            if (item.comment) {
              const cn = pair.value ?? pair.key;
              cn.comment = cn.comment ? `${item.comment}
${cn.comment}` : item.comment;
            }
            item = pair;
          }
          seq.items[i] = identity.isPair(item) ? item : new Pair.Pair(item);
        }
      } else
        onError("Expected a sequence for this tag");
      return seq;
    }
    function createPairs(schema, iterable, ctx) {
      const { replacer } = ctx;
      const pairs2 = new YAMLSeq.YAMLSeq(schema);
      pairs2.tag = "tag:yaml.org,2002:pairs";
      let i = 0;
      if (iterable && Symbol.iterator in Object(iterable))
        for (let it of iterable) {
          if (typeof replacer === "function")
            it = replacer.call(iterable, String(i++), it);
          let key, value;
          if (Array.isArray(it)) {
            if (it.length === 2) {
              key = it[0];
              value = it[1];
            } else
              throw new TypeError(`Expected [key, value] tuple: ${it}`);
          } else if (it && it instanceof Object) {
            const keys = Object.keys(it);
            if (keys.length === 1) {
              key = keys[0];
              value = it[key];
            } else
              throw new TypeError(`Expected { key: value } tuple: ${it}`);
          } else {
            key = it;
          }
          pairs2.items.push(Pair.createPair(key, value, ctx));
        }
      return pairs2;
    }
    var pairs = {
      collection: "seq",
      default: false,
      tag: "tag:yaml.org,2002:pairs",
      resolve: resolvePairs,
      createNode: createPairs
    };
    exports2.createPairs = createPairs;
    exports2.pairs = pairs;
    exports2.resolvePairs = resolvePairs;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/omap.js
var require_omap3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/omap.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var toJS = require_toJS2();
    var YAMLMap = require_YAMLMap2();
    var YAMLSeq = require_YAMLSeq2();
    var pairs = require_pairs3();
    var YAMLOMap = class _YAMLOMap extends YAMLSeq.YAMLSeq {
      constructor() {
        super();
        this.add = YAMLMap.YAMLMap.prototype.add.bind(this);
        this.delete = YAMLMap.YAMLMap.prototype.delete.bind(this);
        this.get = YAMLMap.YAMLMap.prototype.get.bind(this);
        this.has = YAMLMap.YAMLMap.prototype.has.bind(this);
        this.set = YAMLMap.YAMLMap.prototype.set.bind(this);
        this.tag = _YAMLOMap.tag;
      }
      /**
       * If `ctx` is given, the return type is actually `Map<unknown, unknown>`,
       * but TypeScript won't allow widening the signature of a child method.
       */
      toJSON(_, ctx) {
        if (!ctx)
          return super.toJSON(_);
        const map = /* @__PURE__ */ new Map();
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const pair of this.items) {
          let key, value;
          if (identity.isPair(pair)) {
            key = toJS.toJS(pair.key, "", ctx);
            value = toJS.toJS(pair.value, key, ctx);
          } else {
            key = toJS.toJS(pair, "", ctx);
          }
          if (map.has(key))
            throw new Error("Ordered maps must not include duplicate keys");
          map.set(key, value);
        }
        return map;
      }
      static from(schema, iterable, ctx) {
        const pairs$1 = pairs.createPairs(schema, iterable, ctx);
        const omap2 = new this();
        omap2.items = pairs$1.items;
        return omap2;
      }
    };
    YAMLOMap.tag = "tag:yaml.org,2002:omap";
    var omap = {
      collection: "seq",
      identify: (value) => value instanceof Map,
      nodeClass: YAMLOMap,
      default: false,
      tag: "tag:yaml.org,2002:omap",
      resolve(seq, onError) {
        const pairs$1 = pairs.resolvePairs(seq, onError);
        const seenKeys = [];
        for (const { key } of pairs$1.items) {
          if (identity.isScalar(key)) {
            if (seenKeys.includes(key.value)) {
              onError(`Ordered maps must not include duplicate keys: ${key.value}`);
            } else {
              seenKeys.push(key.value);
            }
          }
        }
        return Object.assign(new YAMLOMap(), pairs$1);
      },
      createNode: (schema, iterable, ctx) => YAMLOMap.from(schema, iterable, ctx)
    };
    exports2.YAMLOMap = YAMLOMap;
    exports2.omap = omap;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/bool.js
var require_bool5 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    function boolStringify({ value, source }, ctx) {
      const boolObj = value ? trueTag : falseTag;
      if (source && boolObj.test.test(source))
        return source;
      return value ? ctx.options.trueStr : ctx.options.falseStr;
    }
    var trueTag = {
      identify: (value) => value === true,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:Y|y|[Yy]es|YES|[Tt]rue|TRUE|[Oo]n|ON)$/,
      resolve: () => new Scalar.Scalar(true),
      stringify: boolStringify
    };
    var falseTag = {
      identify: (value) => value === false,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:N|n|[Nn]o|NO|[Ff]alse|FALSE|[Oo]ff|OFF)$/i,
      resolve: () => new Scalar.Scalar(false),
      stringify: boolStringify
    };
    exports2.falseTag = falseTag;
    exports2.trueTag = trueTag;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/float.js
var require_float5 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var stringifyNumber = require_stringifyNumber2();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN)$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:[0-9][0-9_]*)?(?:\.[0-9_]*)?[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str.replace(/_/g, "")),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:[0-9][0-9_]*)?\.[0-9_]*$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str.replace(/_/g, "")));
        const dot = str.indexOf(".");
        if (dot !== -1) {
          const f = str.substring(dot + 1).replace(/_/g, "");
          if (f[f.length - 1] === "0")
            node.minFractionDigits = f.length;
        }
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/int.js
var require_int5 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber2();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    function intResolve(str, offset, radix, { intAsBigInt }) {
      const sign = str[0];
      if (sign === "-" || sign === "+")
        offset += 1;
      str = str.substring(offset).replace(/_/g, "");
      if (intAsBigInt) {
        switch (radix) {
          case 2:
            str = `0b${str}`;
            break;
          case 8:
            str = `0o${str}`;
            break;
          case 16:
            str = `0x${str}`;
            break;
        }
        const n2 = BigInt(str);
        return sign === "-" ? BigInt(-1) * n2 : n2;
      }
      const n = parseInt(str, radix);
      return sign === "-" ? -1 * n : n;
    }
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value)) {
        const str = value.toString(radix);
        return value < 0 ? "-" + prefix + str.substr(1) : prefix + str;
      }
      return stringifyNumber.stringifyNumber(node);
    }
    var intBin = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "BIN",
      test: /^[-+]?0b[0-1_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 2, opt),
      stringify: (node) => intStringify(node, 2, "0b")
    };
    var intOct = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^[-+]?0[0-7_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 1, 8, opt),
      stringify: (node) => intStringify(node, 8, "0")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9][0-9_]*$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^[-+]?0x[0-9a-fA-F_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intBin = intBin;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/set.js
var require_set3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/set.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Pair = require_Pair2();
    var YAMLMap = require_YAMLMap2();
    var YAMLSet = class _YAMLSet extends YAMLMap.YAMLMap {
      constructor(schema) {
        super(schema);
        this.tag = _YAMLSet.tag;
      }
      add(key) {
        let pair;
        if (identity.isPair(key))
          pair = key;
        else if (key && typeof key === "object" && "key" in key && "value" in key && key.value === null)
          pair = new Pair.Pair(key.key, null);
        else
          pair = new Pair.Pair(key, null);
        const prev = YAMLMap.findPair(this.items, pair.key);
        if (!prev)
          this.items.push(pair);
      }
      /**
       * If `keepPair` is `true`, returns the Pair matching `key`.
       * Otherwise, returns the value of that Pair's key.
       */
      get(key, keepPair) {
        const pair = YAMLMap.findPair(this.items, key);
        return !keepPair && identity.isPair(pair) ? identity.isScalar(pair.key) ? pair.key.value : pair.key : pair;
      }
      set(key, value) {
        if (typeof value !== "boolean")
          throw new Error(`Expected boolean value for set(key, value) in a YAML set, not ${typeof value}`);
        const prev = YAMLMap.findPair(this.items, key);
        if (prev && !value) {
          this.items.splice(this.items.indexOf(prev), 1);
        } else if (!prev && value) {
          this.items.push(new Pair.Pair(key));
        }
      }
      toJSON(_, ctx) {
        return super.toJSON(_, ctx, Set);
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        if (this.hasAllNullValues(true))
          return super.toString(Object.assign({}, ctx, { allNullValues: true }), onComment, onChompKeep);
        else
          throw new Error("Set items must all have null values");
      }
      static from(schema, iterable, ctx) {
        const { replacer } = ctx;
        const set2 = new this(schema);
        if (iterable && Symbol.iterator in Object(iterable))
          for (let value of iterable) {
            if (typeof replacer === "function")
              value = replacer.call(iterable, value, value);
            set2.items.push(Pair.createPair(value, null, ctx));
          }
        return set2;
      }
    };
    YAMLSet.tag = "tag:yaml.org,2002:set";
    var set = {
      collection: "map",
      identify: (value) => value instanceof Set,
      nodeClass: YAMLSet,
      default: false,
      tag: "tag:yaml.org,2002:set",
      createNode: (schema, iterable, ctx) => YAMLSet.from(schema, iterable, ctx),
      resolve(map, onError) {
        if (identity.isMap(map)) {
          if (map.hasAllNullValues(true))
            return Object.assign(new YAMLSet(), map);
          else
            onError("Set items must all have null values");
        } else
          onError("Expected a mapping for this tag");
        return map;
      }
    };
    exports2.YAMLSet = YAMLSet;
    exports2.set = set;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js
var require_timestamp3 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber2();
    function parseSexagesimal(str, asBigInt) {
      const sign = str[0];
      const parts = sign === "-" || sign === "+" ? str.substring(1) : str;
      const num = (n) => asBigInt ? BigInt(n) : Number(n);
      const res = parts.replace(/_/g, "").split(":").reduce((res2, p) => res2 * num(60) + num(p), num(0));
      return sign === "-" ? num(-1) * res : res;
    }
    function stringifySexagesimal(node) {
      let { value } = node;
      let num = (n) => n;
      if (typeof value === "bigint")
        num = (n) => BigInt(n);
      else if (isNaN(value) || !isFinite(value))
        return stringifyNumber.stringifyNumber(node);
      let sign = "";
      if (value < 0) {
        sign = "-";
        value *= num(-1);
      }
      const _60 = num(60);
      const parts = [value % _60];
      if (value < 60) {
        parts.unshift(0);
      } else {
        value = (value - parts[0]) / _60;
        parts.unshift(value % _60);
        if (value >= 60) {
          value = (value - parts[0]) / _60;
          parts.unshift(value);
        }
      }
      return sign + parts.map((n) => String(n).padStart(2, "0")).join(":").replace(/000000\d*$/, "");
    }
    var intTime = {
      identify: (value) => typeof value === "bigint" || Number.isInteger(value),
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+$/,
      resolve: (str, _onError, { intAsBigInt }) => parseSexagesimal(str, intAsBigInt),
      stringify: stringifySexagesimal
    };
    var floatTime = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\.[0-9_]*$/,
      resolve: (str) => parseSexagesimal(str, false),
      stringify: stringifySexagesimal
    };
    var timestamp = {
      identify: (value) => value instanceof Date,
      default: true,
      tag: "tag:yaml.org,2002:timestamp",
      // If the time zone is omitted, the timestamp is assumed to be specified in UTC. The time part
      // may be omitted altogether, resulting in a date format. In such a case, the time part is
      // assumed to be 00:00:00Z (start of day, UTC).
      test: RegExp("^([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})(?:(?:t|T|[ \\t]+)([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2}(\\.[0-9]+)?)(?:[ \\t]*(Z|[-+][012]?[0-9](?::[0-9]{2})?))?)?$"),
      resolve(str) {
        const match = str.match(timestamp.test);
        if (!match)
          throw new Error("!!timestamp expects a date, starting with yyyy-mm-dd");
        const [, year, month, day, hour, minute, second] = match.map(Number);
        const millisec = match[7] ? Number((match[7] + "00").substr(1, 3)) : 0;
        let date = Date.UTC(year, month - 1, day, hour || 0, minute || 0, second || 0, millisec);
        const tz = match[8];
        if (tz && tz !== "Z") {
          let d = parseSexagesimal(tz, false);
          if (Math.abs(d) < 30)
            d *= 60;
          date -= 6e4 * d;
        }
        return new Date(date);
      },
      stringify: ({ value }) => value.toISOString().replace(/((T00:00)?:00)?\.000Z$/, "")
    };
    exports2.floatTime = floatTime;
    exports2.intTime = intTime;
    exports2.timestamp = timestamp;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/schema.js
var require_schema7 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/yaml-1.1/schema.js"(exports2) {
    "use strict";
    var map = require_map3();
    var _null = require_null3();
    var seq = require_seq3();
    var string = require_string2();
    var binary = require_binary3();
    var bool = require_bool5();
    var float = require_float5();
    var int = require_int5();
    var omap = require_omap3();
    var pairs = require_pairs3();
    var set = require_set3();
    var timestamp = require_timestamp3();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.trueTag,
      bool.falseTag,
      int.intBin,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float,
      binary.binary,
      omap.omap,
      pairs.pairs,
      set.set,
      timestamp.intTime,
      timestamp.floatTime,
      timestamp.timestamp
    ];
    exports2.schema = schema;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/tags.js
var require_tags2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/tags.js"(exports2) {
    "use strict";
    var map = require_map3();
    var _null = require_null3();
    var seq = require_seq3();
    var string = require_string2();
    var bool = require_bool4();
    var float = require_float4();
    var int = require_int4();
    var schema = require_schema5();
    var schema$1 = require_schema6();
    var binary = require_binary3();
    var omap = require_omap3();
    var pairs = require_pairs3();
    var schema$2 = require_schema7();
    var set = require_set3();
    var timestamp = require_timestamp3();
    var schemas = /* @__PURE__ */ new Map([
      ["core", schema.schema],
      ["failsafe", [map.map, seq.seq, string.string]],
      ["json", schema$1.schema],
      ["yaml11", schema$2.schema],
      ["yaml-1.1", schema$2.schema]
    ]);
    var tagsByName = {
      binary: binary.binary,
      bool: bool.boolTag,
      float: float.float,
      floatExp: float.floatExp,
      floatNaN: float.floatNaN,
      floatTime: timestamp.floatTime,
      int: int.int,
      intHex: int.intHex,
      intOct: int.intOct,
      intTime: timestamp.intTime,
      map: map.map,
      null: _null.nullTag,
      omap: omap.omap,
      pairs: pairs.pairs,
      seq: seq.seq,
      set: set.set,
      timestamp: timestamp.timestamp
    };
    var coreKnownTags = {
      "tag:yaml.org,2002:binary": binary.binary,
      "tag:yaml.org,2002:omap": omap.omap,
      "tag:yaml.org,2002:pairs": pairs.pairs,
      "tag:yaml.org,2002:set": set.set,
      "tag:yaml.org,2002:timestamp": timestamp.timestamp
    };
    function getTags(customTags, schemaName) {
      let tags = schemas.get(schemaName);
      if (!tags) {
        if (Array.isArray(customTags))
          tags = [];
        else {
          const keys = Array.from(schemas.keys()).filter((key) => key !== "yaml11").map((key) => JSON.stringify(key)).join(", ");
          throw new Error(`Unknown schema "${schemaName}"; use one of ${keys} or define customTags array`);
        }
      }
      if (Array.isArray(customTags)) {
        for (const tag of customTags)
          tags = tags.concat(tag);
      } else if (typeof customTags === "function") {
        tags = customTags(tags.slice());
      }
      return tags.map((tag) => {
        if (typeof tag !== "string")
          return tag;
        const tagObj = tagsByName[tag];
        if (tagObj)
          return tagObj;
        const keys = Object.keys(tagsByName).map((key) => JSON.stringify(key)).join(", ");
        throw new Error(`Unknown custom tag "${tag}"; use one of ${keys}`);
      });
    }
    exports2.coreKnownTags = coreKnownTags;
    exports2.getTags = getTags;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/schema/Schema.js
var require_Schema2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/schema/Schema.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var map = require_map3();
    var seq = require_seq3();
    var string = require_string2();
    var tags = require_tags2();
    var sortMapEntriesByKey = (a, b) => a.key < b.key ? -1 : a.key > b.key ? 1 : 0;
    var Schema = class _Schema {
      constructor({ compat, customTags, merge, resolveKnownTags, schema, sortMapEntries, toStringDefaults }) {
        this.compat = Array.isArray(compat) ? tags.getTags(compat, "compat") : compat ? tags.getTags(null, compat) : null;
        this.merge = !!merge;
        this.name = typeof schema === "string" && schema || "core";
        this.knownTags = resolveKnownTags ? tags.coreKnownTags : {};
        this.tags = tags.getTags(customTags, this.name);
        this.toStringOptions = toStringDefaults ?? null;
        Object.defineProperty(this, identity.MAP, { value: map.map });
        Object.defineProperty(this, identity.SCALAR, { value: string.string });
        Object.defineProperty(this, identity.SEQ, { value: seq.seq });
        this.sortMapEntries = typeof sortMapEntries === "function" ? sortMapEntries : sortMapEntries === true ? sortMapEntriesByKey : null;
      }
      clone() {
        const copy = Object.create(_Schema.prototype, Object.getOwnPropertyDescriptors(this));
        copy.tags = this.tags.slice();
        return copy;
      }
    };
    exports2.Schema = Schema;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyDocument.js
var require_stringifyDocument2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/stringify/stringifyDocument.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var stringify = require_stringify4();
    var stringifyComment = require_stringifyComment2();
    function stringifyDocument(doc, options) {
      const lines = [];
      let hasDirectives = options.directives === true;
      if (options.directives !== false && doc.directives) {
        const dir = doc.directives.toString(doc);
        if (dir) {
          lines.push(dir);
          hasDirectives = true;
        } else if (doc.directives.docStart)
          hasDirectives = true;
      }
      if (hasDirectives)
        lines.push("---");
      const ctx = stringify.createStringifyContext(doc, options);
      const { commentString } = ctx.options;
      if (doc.commentBefore) {
        if (lines.length !== 1)
          lines.unshift("");
        const cs = commentString(doc.commentBefore);
        lines.unshift(stringifyComment.indentComment(cs, ""));
      }
      let chompKeep = false;
      let contentComment = null;
      if (doc.contents) {
        if (identity.isNode(doc.contents)) {
          if (doc.contents.spaceBefore && hasDirectives)
            lines.push("");
          if (doc.contents.commentBefore) {
            const cs = commentString(doc.contents.commentBefore);
            lines.push(stringifyComment.indentComment(cs, ""));
          }
          ctx.forceBlockIndent = !!doc.comment;
          contentComment = doc.contents.comment;
        }
        const onChompKeep = contentComment ? void 0 : () => chompKeep = true;
        let body = stringify.stringify(doc.contents, ctx, () => contentComment = null, onChompKeep);
        if (contentComment)
          body += stringifyComment.lineComment(body, "", commentString(contentComment));
        if ((body[0] === "|" || body[0] === ">") && lines[lines.length - 1] === "---") {
          lines[lines.length - 1] = `--- ${body}`;
        } else
          lines.push(body);
      } else {
        lines.push(stringify.stringify(doc.contents, ctx));
      }
      if (doc.directives?.docEnd) {
        if (doc.comment) {
          const cs = commentString(doc.comment);
          if (cs.includes("\n")) {
            lines.push("...");
            lines.push(stringifyComment.indentComment(cs, ""));
          } else {
            lines.push(`... ${cs}`);
          }
        } else {
          lines.push("...");
        }
      } else {
        let dc = doc.comment;
        if (dc && chompKeep)
          dc = dc.replace(/^\n+/, "");
        if (dc) {
          if ((!chompKeep || contentComment) && lines[lines.length - 1] !== "")
            lines.push("");
          lines.push(stringifyComment.indentComment(commentString(dc), ""));
        }
      }
      return lines.join("\n") + "\n";
    }
    exports2.stringifyDocument = stringifyDocument;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/doc/Document.js
var require_Document2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/doc/Document.js"(exports2) {
    "use strict";
    var Alias = require_Alias2();
    var Collection = require_Collection2();
    var identity = require_identity2();
    var Pair = require_Pair2();
    var toJS = require_toJS2();
    var Schema = require_Schema2();
    var stringifyDocument = require_stringifyDocument2();
    var anchors = require_anchors2();
    var applyReviver = require_applyReviver2();
    var createNode = require_createNode2();
    var directives = require_directives2();
    var Document = class _Document {
      constructor(value, replacer, options) {
        this.commentBefore = null;
        this.comment = null;
        this.errors = [];
        this.warnings = [];
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.DOC });
        let _replacer = null;
        if (typeof replacer === "function" || Array.isArray(replacer)) {
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const opt = Object.assign({
          intAsBigInt: false,
          keepSourceTokens: false,
          logLevel: "warn",
          prettyErrors: true,
          strict: true,
          uniqueKeys: true,
          version: "1.2"
        }, options);
        this.options = opt;
        let { version } = opt;
        if (options?._directives) {
          this.directives = options._directives.atDocument();
          if (this.directives.yaml.explicit)
            version = this.directives.yaml.version;
        } else
          this.directives = new directives.Directives({ version });
        this.setSchema(version, options);
        this.contents = value === void 0 ? null : this.createNode(value, _replacer, options);
      }
      /**
       * Create a deep copy of this Document and its contents.
       *
       * Custom Node values that inherit from `Object` still refer to their original instances.
       */
      clone() {
        const copy = Object.create(_Document.prototype, {
          [identity.NODE_TYPE]: { value: identity.DOC }
        });
        copy.commentBefore = this.commentBefore;
        copy.comment = this.comment;
        copy.errors = this.errors.slice();
        copy.warnings = this.warnings.slice();
        copy.options = Object.assign({}, this.options);
        if (this.directives)
          copy.directives = this.directives.clone();
        copy.schema = this.schema.clone();
        copy.contents = identity.isNode(this.contents) ? this.contents.clone(copy.schema) : this.contents;
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** Adds a value to the document. */
      add(value) {
        if (assertCollection(this.contents))
          this.contents.add(value);
      }
      /** Adds a value to the document. */
      addIn(path, value) {
        if (assertCollection(this.contents))
          this.contents.addIn(path, value);
      }
      /**
       * Create a new `Alias` node, ensuring that the target `node` has the required anchor.
       *
       * If `node` already has an anchor, `name` is ignored.
       * Otherwise, the `node.anchor` value will be set to `name`,
       * or if an anchor with that name is already present in the document,
       * `name` will be used as a prefix for a new unique anchor.
       * If `name` is undefined, the generated anchor will use 'a' as a prefix.
       */
      createAlias(node, name) {
        if (!node.anchor) {
          const prev = anchors.anchorNames(this);
          node.anchor = // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          !name || prev.has(name) ? anchors.findNewAnchor(name || "a", prev) : name;
        }
        return new Alias.Alias(node.anchor);
      }
      createNode(value, replacer, options) {
        let _replacer = void 0;
        if (typeof replacer === "function") {
          value = replacer.call({ "": value }, "", value);
          _replacer = replacer;
        } else if (Array.isArray(replacer)) {
          const keyToStr = (v) => typeof v === "number" || v instanceof String || v instanceof Number;
          const asStr = replacer.filter(keyToStr).map(String);
          if (asStr.length > 0)
            replacer = replacer.concat(asStr);
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const { aliasDuplicateObjects, anchorPrefix, flow, keepUndefined, onTagObj, tag } = options ?? {};
        const { onAnchor, setAnchors, sourceObjects } = anchors.createNodeAnchors(
          this,
          // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          anchorPrefix || "a"
        );
        const ctx = {
          aliasDuplicateObjects: aliasDuplicateObjects ?? true,
          keepUndefined: keepUndefined ?? false,
          onAnchor,
          onTagObj,
          replacer: _replacer,
          schema: this.schema,
          sourceObjects
        };
        const node = createNode.createNode(value, tag, ctx);
        if (flow && identity.isCollection(node))
          node.flow = true;
        setAnchors();
        return node;
      }
      /**
       * Convert a key and a value into a `Pair` using the current schema,
       * recursively wrapping all values as `Scalar` or `Collection` nodes.
       */
      createPair(key, value, options = {}) {
        const k = this.createNode(key, null, options);
        const v = this.createNode(value, null, options);
        return new Pair.Pair(k, v);
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        return assertCollection(this.contents) ? this.contents.delete(key) : false;
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        if (Collection.isEmptyPath(path)) {
          if (this.contents == null)
            return false;
          this.contents = null;
          return true;
        }
        return assertCollection(this.contents) ? this.contents.deleteIn(path) : false;
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      get(key, keepScalar) {
        return identity.isCollection(this.contents) ? this.contents.get(key, keepScalar) : void 0;
      }
      /**
       * Returns item at `path`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        if (Collection.isEmptyPath(path))
          return !keepScalar && identity.isScalar(this.contents) ? this.contents.value : this.contents;
        return identity.isCollection(this.contents) ? this.contents.getIn(path, keepScalar) : void 0;
      }
      /**
       * Checks if the document includes a value with the key `key`.
       */
      has(key) {
        return identity.isCollection(this.contents) ? this.contents.has(key) : false;
      }
      /**
       * Checks if the document includes a value at `path`.
       */
      hasIn(path) {
        if (Collection.isEmptyPath(path))
          return this.contents !== void 0;
        return identity.isCollection(this.contents) ? this.contents.hasIn(path) : false;
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      set(key, value) {
        if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, [key], value);
        } else if (assertCollection(this.contents)) {
          this.contents.set(key, value);
        }
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        if (Collection.isEmptyPath(path)) {
          this.contents = value;
        } else if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, Array.from(path), value);
        } else if (assertCollection(this.contents)) {
          this.contents.setIn(path, value);
        }
      }
      /**
       * Change the YAML version and schema used by the document.
       * A `null` version disables support for directives, explicit tags, anchors, and aliases.
       * It also requires the `schema` option to be given as a `Schema` instance value.
       *
       * Overrides all previously set schema options.
       */
      setSchema(version, options = {}) {
        if (typeof version === "number")
          version = String(version);
        let opt;
        switch (version) {
          case "1.1":
            if (this.directives)
              this.directives.yaml.version = "1.1";
            else
              this.directives = new directives.Directives({ version: "1.1" });
            opt = { merge: true, resolveKnownTags: false, schema: "yaml-1.1" };
            break;
          case "1.2":
          case "next":
            if (this.directives)
              this.directives.yaml.version = version;
            else
              this.directives = new directives.Directives({ version });
            opt = { merge: false, resolveKnownTags: true, schema: "core" };
            break;
          case null:
            if (this.directives)
              delete this.directives;
            opt = null;
            break;
          default: {
            const sv = JSON.stringify(version);
            throw new Error(`Expected '1.1', '1.2' or null as first argument, but found: ${sv}`);
          }
        }
        if (options.schema instanceof Object)
          this.schema = options.schema;
        else if (opt)
          this.schema = new Schema.Schema(Object.assign(opt, options));
        else
          throw new Error(`With a null YAML version, the { schema: Schema } option is required`);
      }
      // json & jsonArg are only used from toJSON()
      toJS({ json, jsonArg, mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc: this,
          keep: !json,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this.contents, jsonArg ?? "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
      /**
       * A JSON representation of the document `contents`.
       *
       * @param jsonArg Used by `JSON.stringify` to indicate the array index or
       *   property name.
       */
      toJSON(jsonArg, onAnchor) {
        return this.toJS({ json: true, jsonArg, mapAsMap: false, onAnchor });
      }
      /** A YAML representation of the document. */
      toString(options = {}) {
        if (this.errors.length > 0)
          throw new Error("Document with errors cannot be stringified");
        if ("indent" in options && (!Number.isInteger(options.indent) || Number(options.indent) <= 0)) {
          const s = JSON.stringify(options.indent);
          throw new Error(`"indent" option must be a positive integer, not ${s}`);
        }
        return stringifyDocument.stringifyDocument(this, options);
      }
    };
    function assertCollection(contents) {
      if (identity.isCollection(contents))
        return true;
      throw new Error("Expected a YAML collection as document contents");
    }
    exports2.Document = Document;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/errors.js
var require_errors2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/errors.js"(exports2) {
    "use strict";
    var YAMLError = class extends Error {
      constructor(name, pos, code, message) {
        super();
        this.name = name;
        this.code = code;
        this.message = message;
        this.pos = pos;
      }
    };
    var YAMLParseError = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLParseError", pos, code, message);
      }
    };
    var YAMLWarning = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLWarning", pos, code, message);
      }
    };
    var prettifyError = (src, lc) => (error) => {
      if (error.pos[0] === -1)
        return;
      error.linePos = error.pos.map((pos) => lc.linePos(pos));
      const { line, col } = error.linePos[0];
      error.message += ` at line ${line}, column ${col}`;
      let ci = col - 1;
      let lineStr = src.substring(lc.lineStarts[line - 1], lc.lineStarts[line]).replace(/[\n\r]+$/, "");
      if (ci >= 60 && lineStr.length > 80) {
        const trimStart = Math.min(ci - 39, lineStr.length - 79);
        lineStr = "\u2026" + lineStr.substring(trimStart);
        ci -= trimStart - 1;
      }
      if (lineStr.length > 80)
        lineStr = lineStr.substring(0, 79) + "\u2026";
      if (line > 1 && /^ *$/.test(lineStr.substring(0, ci))) {
        let prev = src.substring(lc.lineStarts[line - 2], lc.lineStarts[line - 1]);
        if (prev.length > 80)
          prev = prev.substring(0, 79) + "\u2026\n";
        lineStr = prev + lineStr;
      }
      if (/[^ ]/.test(lineStr)) {
        let count = 1;
        const end = error.linePos[1];
        if (end && end.line === line && end.col > col) {
          count = Math.max(1, Math.min(end.col - col, 80 - ci));
        }
        const pointer = " ".repeat(ci) + "^".repeat(count);
        error.message += `:

${lineStr}
${pointer}
`;
      }
    };
    exports2.YAMLError = YAMLError;
    exports2.YAMLParseError = YAMLParseError;
    exports2.YAMLWarning = YAMLWarning;
    exports2.prettifyError = prettifyError;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-props.js
var require_resolve_props2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-props.js"(exports2) {
    "use strict";
    function resolveProps(tokens, { flow, indicator, next, offset, onError, startOnNewline }) {
      let spaceBefore = false;
      let atNewline = startOnNewline;
      let hasSpace = startOnNewline;
      let comment = "";
      let commentSep = "";
      let hasNewline = false;
      let hasNewlineAfterProp = false;
      let reqSpace = false;
      let anchor = null;
      let tag = null;
      let comma = null;
      let found = null;
      let start = null;
      for (const token of tokens) {
        if (reqSpace) {
          if (token.type !== "space" && token.type !== "newline" && token.type !== "comma")
            onError(token.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
          reqSpace = false;
        }
        switch (token.type) {
          case "space":
            if (!flow && atNewline && indicator !== "doc-start" && token.source[0] === "	")
              onError(token, "TAB_AS_INDENT", "Tabs are not allowed as indentation");
            hasSpace = true;
            break;
          case "comment": {
            if (!hasSpace)
              onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
            const cb = token.source.substring(1) || " ";
            if (!comment)
              comment = cb;
            else
              comment += commentSep + cb;
            commentSep = "";
            atNewline = false;
            break;
          }
          case "newline":
            if (atNewline) {
              if (comment)
                comment += token.source;
              else
                spaceBefore = true;
            } else
              commentSep += token.source;
            atNewline = true;
            hasNewline = true;
            if (anchor || tag)
              hasNewlineAfterProp = true;
            hasSpace = true;
            break;
          case "anchor":
            if (anchor)
              onError(token, "MULTIPLE_ANCHORS", "A node can have at most one anchor");
            if (token.source.endsWith(":"))
              onError(token.offset + token.source.length - 1, "BAD_ALIAS", "Anchor ending in : is ambiguous", true);
            anchor = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          case "tag": {
            if (tag)
              onError(token, "MULTIPLE_TAGS", "A node can have at most one tag");
            tag = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          }
          case indicator:
            if (anchor || tag)
              onError(token, "BAD_PROP_ORDER", `Anchors and tags must be after the ${token.source} indicator`);
            if (found)
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.source} in ${flow ?? "collection"}`);
            found = token;
            atNewline = false;
            hasSpace = false;
            break;
          case "comma":
            if (flow) {
              if (comma)
                onError(token, "UNEXPECTED_TOKEN", `Unexpected , in ${flow}`);
              comma = token;
              atNewline = false;
              hasSpace = false;
              break;
            }
          default:
            onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.type} token`);
            atNewline = false;
            hasSpace = false;
        }
      }
      const last = tokens[tokens.length - 1];
      const end = last ? last.offset + last.source.length : offset;
      if (reqSpace && next && next.type !== "space" && next.type !== "newline" && next.type !== "comma" && (next.type !== "scalar" || next.source !== ""))
        onError(next.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
      return {
        comma,
        found,
        spaceBefore,
        comment,
        hasNewline,
        hasNewlineAfterProp,
        anchor,
        tag,
        end,
        start: start ?? end
      };
    }
    exports2.resolveProps = resolveProps;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/util-contains-newline.js
var require_util_contains_newline2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/util-contains-newline.js"(exports2) {
    "use strict";
    function containsNewline(key) {
      if (!key)
        return null;
      switch (key.type) {
        case "alias":
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          if (key.source.includes("\n"))
            return true;
          if (key.end) {
            for (const st of key.end)
              if (st.type === "newline")
                return true;
          }
          return false;
        case "flow-collection":
          for (const it of key.items) {
            for (const st of it.start)
              if (st.type === "newline")
                return true;
            if (it.sep) {
              for (const st of it.sep)
                if (st.type === "newline")
                  return true;
            }
            if (containsNewline(it.key) || containsNewline(it.value))
              return true;
          }
          return false;
        default:
          return true;
      }
    }
    exports2.containsNewline = containsNewline;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/util-flow-indent-check.js
var require_util_flow_indent_check2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/util-flow-indent-check.js"(exports2) {
    "use strict";
    var utilContainsNewline = require_util_contains_newline2();
    function flowIndentCheck(indent, fc, onError) {
      if (fc?.type === "flow-collection") {
        const end = fc.end[0];
        if (end.indent === indent && (end.source === "]" || end.source === "}") && utilContainsNewline.containsNewline(fc)) {
          const msg = "Flow end indicator should be more indented than parent";
          onError(end, "BAD_INDENT", msg, true);
        }
      }
    }
    exports2.flowIndentCheck = flowIndentCheck;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/util-map-includes.js
var require_util_map_includes2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/util-map-includes.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    function mapIncludes(ctx, items, search) {
      const { uniqueKeys } = ctx.options;
      if (uniqueKeys === false)
        return false;
      const isEqual = typeof uniqueKeys === "function" ? uniqueKeys : (a, b) => a === b || identity.isScalar(a) && identity.isScalar(b) && a.value === b.value && !(a.value === "<<" && ctx.schema.merge);
      return items.some((pair) => isEqual(pair.key, search));
    }
    exports2.mapIncludes = mapIncludes;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-map.js
var require_resolve_block_map2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-map.js"(exports2) {
    "use strict";
    var Pair = require_Pair2();
    var YAMLMap = require_YAMLMap2();
    var resolveProps = require_resolve_props2();
    var utilContainsNewline = require_util_contains_newline2();
    var utilFlowIndentCheck = require_util_flow_indent_check2();
    var utilMapIncludes = require_util_map_includes2();
    var startColMsg = "All mapping items must start at the same column";
    function resolveBlockMap({ composeNode, composeEmptyNode }, ctx, bm, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLMap.YAMLMap;
      const map = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bm.offset;
      let commentEnd = null;
      for (const collItem of bm.items) {
        const { start, key, sep, value } = collItem;
        const keyProps = resolveProps.resolveProps(start, {
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: true
        });
        const implicitKey = !keyProps.found;
        if (implicitKey) {
          if (key) {
            if (key.type === "block-seq")
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "A block sequence may not be used as an implicit map key");
            else if ("indent" in key && key.indent !== bm.indent)
              onError(offset, "BAD_INDENT", startColMsg);
          }
          if (!keyProps.anchor && !keyProps.tag && !sep) {
            commentEnd = keyProps.end;
            if (keyProps.comment) {
              if (map.comment)
                map.comment += "\n" + keyProps.comment;
              else
                map.comment = keyProps.comment;
            }
            continue;
          }
          if (keyProps.hasNewlineAfterProp || utilContainsNewline.containsNewline(key)) {
            onError(key ?? start[start.length - 1], "MULTILINE_IMPLICIT_KEY", "Implicit keys need to be on a single line");
          }
        } else if (keyProps.found?.indent !== bm.indent) {
          onError(offset, "BAD_INDENT", startColMsg);
        }
        const keyStart = keyProps.end;
        const keyNode = key ? composeNode(ctx, key, keyProps, onError) : composeEmptyNode(ctx, keyStart, start, null, keyProps, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bm.indent, key, onError);
        if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
          onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
        const valueProps = resolveProps.resolveProps(sep ?? [], {
          indicator: "map-value-ind",
          next: value,
          offset: keyNode.range[2],
          onError,
          startOnNewline: !key || key.type === "block-scalar"
        });
        offset = valueProps.end;
        if (valueProps.found) {
          if (implicitKey) {
            if (value?.type === "block-map" && !valueProps.hasNewline)
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "Nested mappings are not allowed in compact mappings");
            if (ctx.options.strict && keyProps.start < valueProps.found.offset - 1024)
              onError(keyNode.range, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit block mapping key");
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : composeEmptyNode(ctx, offset, sep, null, valueProps, onError);
          if (ctx.schema.compat)
            utilFlowIndentCheck.flowIndentCheck(bm.indent, value, onError);
          offset = valueNode.range[2];
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        } else {
          if (implicitKey)
            onError(keyNode.range, "MISSING_CHAR", "Implicit map keys need to be followed by map values");
          if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        }
      }
      if (commentEnd && commentEnd < offset)
        onError(commentEnd, "IMPOSSIBLE", "Map comment with trailing content");
      map.range = [bm.offset, offset, commentEnd ?? offset];
      return map;
    }
    exports2.resolveBlockMap = resolveBlockMap;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-seq.js
var require_resolve_block_seq2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-seq.js"(exports2) {
    "use strict";
    var YAMLSeq = require_YAMLSeq2();
    var resolveProps = require_resolve_props2();
    var utilFlowIndentCheck = require_util_flow_indent_check2();
    function resolveBlockSeq({ composeNode, composeEmptyNode }, ctx, bs, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLSeq.YAMLSeq;
      const seq = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bs.offset;
      let commentEnd = null;
      for (const { start, value } of bs.items) {
        const props = resolveProps.resolveProps(start, {
          indicator: "seq-item-ind",
          next: value,
          offset,
          onError,
          startOnNewline: true
        });
        if (!props.found) {
          if (props.anchor || props.tag || value) {
            if (value && value.type === "block-seq")
              onError(props.end, "BAD_INDENT", "All sequence items must start at the same column");
            else
              onError(offset, "MISSING_CHAR", "Sequence item without - indicator");
          } else {
            commentEnd = props.end;
            if (props.comment)
              seq.comment = props.comment;
            continue;
          }
        }
        const node = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, start, null, props, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bs.indent, value, onError);
        offset = node.range[2];
        seq.items.push(node);
      }
      seq.range = [bs.offset, offset, commentEnd ?? offset];
      return seq;
    }
    exports2.resolveBlockSeq = resolveBlockSeq;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-end.js
var require_resolve_end2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-end.js"(exports2) {
    "use strict";
    function resolveEnd(end, offset, reqSpace, onError) {
      let comment = "";
      if (end) {
        let hasSpace = false;
        let sep = "";
        for (const token of end) {
          const { source, type } = token;
          switch (type) {
            case "space":
              hasSpace = true;
              break;
            case "comment": {
              if (reqSpace && !hasSpace)
                onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
              const cb = source.substring(1) || " ";
              if (!comment)
                comment = cb;
              else
                comment += sep + cb;
              sep = "";
              break;
            }
            case "newline":
              if (comment)
                sep += source;
              hasSpace = true;
              break;
            default:
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${type} at node end`);
          }
          offset += source.length;
        }
      }
      return { comment, offset };
    }
    exports2.resolveEnd = resolveEnd;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-flow-collection.js
var require_resolve_flow_collection2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-flow-collection.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Pair = require_Pair2();
    var YAMLMap = require_YAMLMap2();
    var YAMLSeq = require_YAMLSeq2();
    var resolveEnd = require_resolve_end2();
    var resolveProps = require_resolve_props2();
    var utilContainsNewline = require_util_contains_newline2();
    var utilMapIncludes = require_util_map_includes2();
    var blockMsg = "Block collections are not allowed within flow collections";
    var isBlock = (token) => token && (token.type === "block-map" || token.type === "block-seq");
    function resolveFlowCollection({ composeNode, composeEmptyNode }, ctx, fc, onError, tag) {
      const isMap = fc.start.source === "{";
      const fcName = isMap ? "flow map" : "flow sequence";
      const NodeClass = tag?.nodeClass ?? (isMap ? YAMLMap.YAMLMap : YAMLSeq.YAMLSeq);
      const coll = new NodeClass(ctx.schema);
      coll.flow = true;
      const atRoot = ctx.atRoot;
      if (atRoot)
        ctx.atRoot = false;
      let offset = fc.offset + fc.start.source.length;
      for (let i = 0; i < fc.items.length; ++i) {
        const collItem = fc.items[i];
        const { start, key, sep, value } = collItem;
        const props = resolveProps.resolveProps(start, {
          flow: fcName,
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: false
        });
        if (!props.found) {
          if (!props.anchor && !props.tag && !sep && !value) {
            if (i === 0 && props.comma)
              onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
            else if (i < fc.items.length - 1)
              onError(props.start, "UNEXPECTED_TOKEN", `Unexpected empty item in ${fcName}`);
            if (props.comment) {
              if (coll.comment)
                coll.comment += "\n" + props.comment;
              else
                coll.comment = props.comment;
            }
            offset = props.end;
            continue;
          }
          if (!isMap && ctx.options.strict && utilContainsNewline.containsNewline(key))
            onError(
              key,
              // checked by containsNewline()
              "MULTILINE_IMPLICIT_KEY",
              "Implicit keys of flow sequence pairs need to be on a single line"
            );
        }
        if (i === 0) {
          if (props.comma)
            onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
        } else {
          if (!props.comma)
            onError(props.start, "MISSING_CHAR", `Missing , between ${fcName} items`);
          if (props.comment) {
            let prevItemComment = "";
            loop:
              for (const st of start) {
                switch (st.type) {
                  case "comma":
                  case "space":
                    break;
                  case "comment":
                    prevItemComment = st.source.substring(1);
                    break loop;
                  default:
                    break loop;
                }
              }
            if (prevItemComment) {
              let prev = coll.items[coll.items.length - 1];
              if (identity.isPair(prev))
                prev = prev.value ?? prev.key;
              if (prev.comment)
                prev.comment += "\n" + prevItemComment;
              else
                prev.comment = prevItemComment;
              props.comment = props.comment.substring(prevItemComment.length + 1);
            }
          }
        }
        if (!isMap && !sep && !props.found) {
          const valueNode = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, sep, null, props, onError);
          coll.items.push(valueNode);
          offset = valueNode.range[2];
          if (isBlock(value))
            onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
        } else {
          const keyStart = props.end;
          const keyNode = key ? composeNode(ctx, key, props, onError) : composeEmptyNode(ctx, keyStart, start, null, props, onError);
          if (isBlock(key))
            onError(keyNode.range, "BLOCK_IN_FLOW", blockMsg);
          const valueProps = resolveProps.resolveProps(sep ?? [], {
            flow: fcName,
            indicator: "map-value-ind",
            next: value,
            offset: keyNode.range[2],
            onError,
            startOnNewline: false
          });
          if (valueProps.found) {
            if (!isMap && !props.found && ctx.options.strict) {
              if (sep)
                for (const st of sep) {
                  if (st === valueProps.found)
                    break;
                  if (st.type === "newline") {
                    onError(st, "MULTILINE_IMPLICIT_KEY", "Implicit keys of flow sequence pairs need to be on a single line");
                    break;
                  }
                }
              if (props.start < valueProps.found.offset - 1024)
                onError(valueProps.found, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit flow sequence key");
            }
          } else if (value) {
            if ("source" in value && value.source && value.source[0] === ":")
              onError(value, "MISSING_CHAR", `Missing space after : in ${fcName}`);
            else
              onError(valueProps.start, "MISSING_CHAR", `Missing , or : between ${fcName} items`);
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : valueProps.found ? composeEmptyNode(ctx, valueProps.end, sep, null, valueProps, onError) : null;
          if (valueNode) {
            if (isBlock(value))
              onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
          } else if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          if (isMap) {
            const map = coll;
            if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
              onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
            map.items.push(pair);
          } else {
            const map = new YAMLMap.YAMLMap(ctx.schema);
            map.flow = true;
            map.items.push(pair);
            coll.items.push(map);
          }
          offset = valueNode ? valueNode.range[2] : valueProps.end;
        }
      }
      const expectedEnd = isMap ? "}" : "]";
      const [ce, ...ee] = fc.end;
      let cePos = offset;
      if (ce && ce.source === expectedEnd)
        cePos = ce.offset + ce.source.length;
      else {
        const name = fcName[0].toUpperCase() + fcName.substring(1);
        const msg = atRoot ? `${name} must end with a ${expectedEnd}` : `${name} in block collection must be sufficiently indented and end with a ${expectedEnd}`;
        onError(offset, atRoot ? "MISSING_CHAR" : "BAD_INDENT", msg);
        if (ce && ce.source.length !== 1)
          ee.unshift(ce);
      }
      if (ee.length > 0) {
        const end = resolveEnd.resolveEnd(ee, cePos, ctx.options.strict, onError);
        if (end.comment) {
          if (coll.comment)
            coll.comment += "\n" + end.comment;
          else
            coll.comment = end.comment;
        }
        coll.range = [fc.offset, cePos, end.offset];
      } else {
        coll.range = [fc.offset, cePos, cePos];
      }
      return coll;
    }
    exports2.resolveFlowCollection = resolveFlowCollection;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/compose-collection.js
var require_compose_collection2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/compose-collection.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var YAMLMap = require_YAMLMap2();
    var YAMLSeq = require_YAMLSeq2();
    var resolveBlockMap = require_resolve_block_map2();
    var resolveBlockSeq = require_resolve_block_seq2();
    var resolveFlowCollection = require_resolve_flow_collection2();
    function resolveCollection(CN, ctx, token, onError, tagName, tag) {
      const coll = token.type === "block-map" ? resolveBlockMap.resolveBlockMap(CN, ctx, token, onError, tag) : token.type === "block-seq" ? resolveBlockSeq.resolveBlockSeq(CN, ctx, token, onError, tag) : resolveFlowCollection.resolveFlowCollection(CN, ctx, token, onError, tag);
      const Coll = coll.constructor;
      if (tagName === "!" || tagName === Coll.tagName) {
        coll.tag = Coll.tagName;
        return coll;
      }
      if (tagName)
        coll.tag = tagName;
      return coll;
    }
    function composeCollection(CN, ctx, token, tagToken, onError) {
      const tagName = !tagToken ? null : ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg));
      const expType = token.type === "block-map" ? "map" : token.type === "block-seq" ? "seq" : token.start.source === "{" ? "map" : "seq";
      if (!tagToken || !tagName || tagName === "!" || tagName === YAMLMap.YAMLMap.tagName && expType === "map" || tagName === YAMLSeq.YAMLSeq.tagName && expType === "seq" || !expType) {
        return resolveCollection(CN, ctx, token, onError, tagName);
      }
      let tag = ctx.schema.tags.find((t) => t.tag === tagName && t.collection === expType);
      if (!tag) {
        const kt = ctx.schema.knownTags[tagName];
        if (kt && kt.collection === expType) {
          ctx.schema.tags.push(Object.assign({}, kt, { default: false }));
          tag = kt;
        } else {
          if (kt?.collection) {
            onError(tagToken, "BAD_COLLECTION_TYPE", `${kt.tag} used for ${expType} collection, but expects ${kt.collection}`, true);
          } else {
            onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, true);
          }
          return resolveCollection(CN, ctx, token, onError, tagName);
        }
      }
      const coll = resolveCollection(CN, ctx, token, onError, tagName, tag);
      const res = tag.resolve?.(coll, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg), ctx.options) ?? coll;
      const node = identity.isNode(res) ? res : new Scalar.Scalar(res);
      node.range = coll.range;
      node.tag = tagName;
      if (tag?.format)
        node.format = tag.format;
      return node;
    }
    exports2.composeCollection = composeCollection;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-scalar.js
var require_resolve_block_scalar2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-block-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    function resolveBlockScalar(scalar, strict, onError) {
      const start = scalar.offset;
      const header = parseBlockScalarHeader(scalar, strict, onError);
      if (!header)
        return { value: "", type: null, comment: "", range: [start, start, start] };
      const type = header.mode === ">" ? Scalar.Scalar.BLOCK_FOLDED : Scalar.Scalar.BLOCK_LITERAL;
      const lines = scalar.source ? splitLines(scalar.source) : [];
      let chompStart = lines.length;
      for (let i = lines.length - 1; i >= 0; --i) {
        const content = lines[i][1];
        if (content === "" || content === "\r")
          chompStart = i;
        else
          break;
      }
      if (chompStart === 0) {
        const value2 = header.chomp === "+" && lines.length > 0 ? "\n".repeat(Math.max(1, lines.length - 1)) : "";
        let end2 = start + header.length;
        if (scalar.source)
          end2 += scalar.source.length;
        return { value: value2, type, comment: header.comment, range: [start, end2, end2] };
      }
      let trimIndent = scalar.indent + header.indent;
      let offset = scalar.offset + header.length;
      let contentStart = 0;
      for (let i = 0; i < chompStart; ++i) {
        const [indent, content] = lines[i];
        if (content === "" || content === "\r") {
          if (header.indent === 0 && indent.length > trimIndent)
            trimIndent = indent.length;
        } else {
          if (indent.length < trimIndent) {
            const message = "Block scalars with more-indented leading empty lines must use an explicit indentation indicator";
            onError(offset + indent.length, "MISSING_CHAR", message);
          }
          if (header.indent === 0)
            trimIndent = indent.length;
          contentStart = i;
          break;
        }
        offset += indent.length + content.length + 1;
      }
      for (let i = lines.length - 1; i >= chompStart; --i) {
        if (lines[i][0].length > trimIndent)
          chompStart = i + 1;
      }
      let value = "";
      let sep = "";
      let prevMoreIndented = false;
      for (let i = 0; i < contentStart; ++i)
        value += lines[i][0].slice(trimIndent) + "\n";
      for (let i = contentStart; i < chompStart; ++i) {
        let [indent, content] = lines[i];
        offset += indent.length + content.length + 1;
        const crlf = content[content.length - 1] === "\r";
        if (crlf)
          content = content.slice(0, -1);
        if (content && indent.length < trimIndent) {
          const src = header.indent ? "explicit indentation indicator" : "first line";
          const message = `Block scalar lines must not be less indented than their ${src}`;
          onError(offset - content.length - (crlf ? 2 : 1), "BAD_INDENT", message);
          indent = "";
        }
        if (type === Scalar.Scalar.BLOCK_LITERAL) {
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
        } else if (indent.length > trimIndent || content[0] === "	") {
          if (sep === " ")
            sep = "\n";
          else if (!prevMoreIndented && sep === "\n")
            sep = "\n\n";
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
          prevMoreIndented = true;
        } else if (content === "") {
          if (sep === "\n")
            value += "\n";
          else
            sep = "\n";
        } else {
          value += sep + content;
          sep = " ";
          prevMoreIndented = false;
        }
      }
      switch (header.chomp) {
        case "-":
          break;
        case "+":
          for (let i = chompStart; i < lines.length; ++i)
            value += "\n" + lines[i][0].slice(trimIndent);
          if (value[value.length - 1] !== "\n")
            value += "\n";
          break;
        default:
          value += "\n";
      }
      const end = start + header.length + scalar.source.length;
      return { value, type, comment: header.comment, range: [start, end, end] };
    }
    function parseBlockScalarHeader({ offset, props }, strict, onError) {
      if (props[0].type !== "block-scalar-header") {
        onError(props[0], "IMPOSSIBLE", "Block scalar header not found");
        return null;
      }
      const { source } = props[0];
      const mode = source[0];
      let indent = 0;
      let chomp = "";
      let error = -1;
      for (let i = 1; i < source.length; ++i) {
        const ch = source[i];
        if (!chomp && (ch === "-" || ch === "+"))
          chomp = ch;
        else {
          const n = Number(ch);
          if (!indent && n)
            indent = n;
          else if (error === -1)
            error = offset + i;
        }
      }
      if (error !== -1)
        onError(error, "UNEXPECTED_TOKEN", `Block scalar header includes extra characters: ${source}`);
      let hasSpace = false;
      let comment = "";
      let length = source.length;
      for (let i = 1; i < props.length; ++i) {
        const token = props[i];
        switch (token.type) {
          case "space":
            hasSpace = true;
          case "newline":
            length += token.source.length;
            break;
          case "comment":
            if (strict && !hasSpace) {
              const message = "Comments must be separated from other tokens by white space characters";
              onError(token, "MISSING_CHAR", message);
            }
            length += token.source.length;
            comment = token.source.substring(1);
            break;
          case "error":
            onError(token, "UNEXPECTED_TOKEN", token.message);
            length += token.source.length;
            break;
          default: {
            const message = `Unexpected token in block scalar header: ${token.type}`;
            onError(token, "UNEXPECTED_TOKEN", message);
            const ts = token.source;
            if (ts && typeof ts === "string")
              length += ts.length;
          }
        }
      }
      return { mode, indent, chomp, comment, length };
    }
    function splitLines(source) {
      const split = source.split(/\n( *)/);
      const first = split[0];
      const m = first.match(/^( *)/);
      const line0 = m?.[1] ? [m[1], first.slice(m[1].length)] : ["", first];
      const lines = [line0];
      for (let i = 1; i < split.length; i += 2)
        lines.push([split[i], split[i + 1]]);
      return lines;
    }
    exports2.resolveBlockScalar = resolveBlockScalar;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/resolve-flow-scalar.js
var require_resolve_flow_scalar2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/resolve-flow-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar2();
    var resolveEnd = require_resolve_end2();
    function resolveFlowScalar(scalar, strict, onError) {
      const { offset, type, source, end } = scalar;
      let _type2;
      let value;
      const _onError = (rel, code, msg) => onError(offset + rel, code, msg);
      switch (type) {
        case "scalar":
          _type2 = Scalar.Scalar.PLAIN;
          value = plainValue(source, _onError);
          break;
        case "single-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_SINGLE;
          value = singleQuotedValue(source, _onError);
          break;
        case "double-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_DOUBLE;
          value = doubleQuotedValue(source, _onError);
          break;
        default:
          onError(scalar, "UNEXPECTED_TOKEN", `Expected a flow scalar value, but found: ${type}`);
          return {
            value: "",
            type: null,
            comment: "",
            range: [offset, offset + source.length, offset + source.length]
          };
      }
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, strict, onError);
      return {
        value,
        type: _type2,
        comment: re.comment,
        range: [offset, valueEnd, re.offset]
      };
    }
    function plainValue(source, onError) {
      let badChar = "";
      switch (source[0]) {
        case "	":
          badChar = "a tab character";
          break;
        case ",":
          badChar = "flow indicator character ,";
          break;
        case "%":
          badChar = "directive indicator character %";
          break;
        case "|":
        case ">": {
          badChar = `block scalar indicator ${source[0]}`;
          break;
        }
        case "@":
        case "`": {
          badChar = `reserved character ${source[0]}`;
          break;
        }
      }
      if (badChar)
        onError(0, "BAD_SCALAR_START", `Plain value cannot start with ${badChar}`);
      return foldLines(source);
    }
    function singleQuotedValue(source, onError) {
      if (source[source.length - 1] !== "'" || source.length === 1)
        onError(source.length, "MISSING_CHAR", "Missing closing 'quote");
      return foldLines(source.slice(1, -1)).replace(/''/g, "'");
    }
    function foldLines(source) {
      let first, line;
      try {
        first = new RegExp("(.*?)(?<![ 	])[ 	]*\r?\n", "sy");
        line = new RegExp("[ 	]*(.*?)(?:(?<![ 	])[ 	]*)?\r?\n", "sy");
      } catch (_) {
        first = /(.*?)[ \t]*\r?\n/sy;
        line = /[ \t]*(.*?)[ \t]*\r?\n/sy;
      }
      let match = first.exec(source);
      if (!match)
        return source;
      let res = match[1];
      let sep = " ";
      let pos = first.lastIndex;
      line.lastIndex = pos;
      while (match = line.exec(source)) {
        if (match[1] === "") {
          if (sep === "\n")
            res += sep;
          else
            sep = "\n";
        } else {
          res += sep + match[1];
          sep = " ";
        }
        pos = line.lastIndex;
      }
      const last = /[ \t]*(.*)/sy;
      last.lastIndex = pos;
      match = last.exec(source);
      return res + sep + (match?.[1] ?? "");
    }
    function doubleQuotedValue(source, onError) {
      let res = "";
      for (let i = 1; i < source.length - 1; ++i) {
        const ch = source[i];
        if (ch === "\r" && source[i + 1] === "\n")
          continue;
        if (ch === "\n") {
          const { fold, offset } = foldNewline(source, i);
          res += fold;
          i = offset;
        } else if (ch === "\\") {
          let next = source[++i];
          const cc = escapeCodes[next];
          if (cc)
            res += cc;
          else if (next === "\n") {
            next = source[i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "\r" && source[i + 1] === "\n") {
            next = source[++i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "x" || next === "u" || next === "U") {
            const length = { x: 2, u: 4, U: 8 }[next];
            res += parseCharCode(source, i + 1, length, onError);
            i += length;
          } else {
            const raw = source.substr(i - 1, 2);
            onError(i - 1, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
            res += raw;
          }
        } else if (ch === " " || ch === "	") {
          const wsStart = i;
          let next = source[i + 1];
          while (next === " " || next === "	")
            next = source[++i + 1];
          if (next !== "\n" && !(next === "\r" && source[i + 2] === "\n"))
            res += i > wsStart ? source.slice(wsStart, i + 1) : ch;
        } else {
          res += ch;
        }
      }
      if (source[source.length - 1] !== '"' || source.length === 1)
        onError(source.length, "MISSING_CHAR", 'Missing closing "quote');
      return res;
    }
    function foldNewline(source, offset) {
      let fold = "";
      let ch = source[offset + 1];
      while (ch === " " || ch === "	" || ch === "\n" || ch === "\r") {
        if (ch === "\r" && source[offset + 2] !== "\n")
          break;
        if (ch === "\n")
          fold += "\n";
        offset += 1;
        ch = source[offset + 1];
      }
      if (!fold)
        fold = " ";
      return { fold, offset };
    }
    var escapeCodes = {
      "0": "\0",
      a: "\x07",
      b: "\b",
      e: "\x1B",
      f: "\f",
      n: "\n",
      r: "\r",
      t: "	",
      v: "\v",
      N: "\x85",
      _: "\xA0",
      L: "\u2028",
      P: "\u2029",
      " ": " ",
      '"': '"',
      "/": "/",
      "\\": "\\",
      "	": "	"
    };
    function parseCharCode(source, offset, length, onError) {
      const cc = source.substr(offset, length);
      const ok = cc.length === length && /^[0-9a-fA-F]+$/.test(cc);
      const code = ok ? parseInt(cc, 16) : NaN;
      if (isNaN(code)) {
        const raw = source.substr(offset - 2, length + 2);
        onError(offset - 2, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
        return raw;
      }
      return String.fromCodePoint(code);
    }
    exports2.resolveFlowScalar = resolveFlowScalar;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/compose-scalar.js
var require_compose_scalar2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/compose-scalar.js"(exports2) {
    "use strict";
    var identity = require_identity2();
    var Scalar = require_Scalar2();
    var resolveBlockScalar = require_resolve_block_scalar2();
    var resolveFlowScalar = require_resolve_flow_scalar2();
    function composeScalar(ctx, token, tagToken, onError) {
      const { value, type, comment, range } = token.type === "block-scalar" ? resolveBlockScalar.resolveBlockScalar(token, ctx.options.strict, onError) : resolveFlowScalar.resolveFlowScalar(token, ctx.options.strict, onError);
      const tagName = tagToken ? ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg)) : null;
      const tag = tagToken && tagName ? findScalarTagByName(ctx.schema, value, tagName, tagToken, onError) : token.type === "scalar" ? findScalarTagByTest(ctx, value, token, onError) : ctx.schema[identity.SCALAR];
      let scalar;
      try {
        const res = tag.resolve(value, (msg) => onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg), ctx.options);
        scalar = identity.isScalar(res) ? res : new Scalar.Scalar(res);
      } catch (error) {
        const msg = error instanceof Error ? error.message : String(error);
        onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg);
        scalar = new Scalar.Scalar(value);
      }
      scalar.range = range;
      scalar.source = value;
      if (type)
        scalar.type = type;
      if (tagName)
        scalar.tag = tagName;
      if (tag.format)
        scalar.format = tag.format;
      if (comment)
        scalar.comment = comment;
      return scalar;
    }
    function findScalarTagByName(schema, value, tagName, tagToken, onError) {
      if (tagName === "!")
        return schema[identity.SCALAR];
      const matchWithTest = [];
      for (const tag of schema.tags) {
        if (!tag.collection && tag.tag === tagName) {
          if (tag.default && tag.test)
            matchWithTest.push(tag);
          else
            return tag;
        }
      }
      for (const tag of matchWithTest)
        if (tag.test?.test(value))
          return tag;
      const kt = schema.knownTags[tagName];
      if (kt && !kt.collection) {
        schema.tags.push(Object.assign({}, kt, { default: false, test: void 0 }));
        return kt;
      }
      onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, tagName !== "tag:yaml.org,2002:str");
      return schema[identity.SCALAR];
    }
    function findScalarTagByTest({ directives, schema }, value, token, onError) {
      const tag = schema.tags.find((tag2) => tag2.default && tag2.test?.test(value)) || schema[identity.SCALAR];
      if (schema.compat) {
        const compat = schema.compat.find((tag2) => tag2.default && tag2.test?.test(value)) ?? schema[identity.SCALAR];
        if (tag.tag !== compat.tag) {
          const ts = directives.tagString(tag.tag);
          const cs = directives.tagString(compat.tag);
          const msg = `Value may be parsed as either ${ts} or ${cs}`;
          onError(token, "TAG_RESOLVE_FAILED", msg, true);
        }
      }
      return tag;
    }
    exports2.composeScalar = composeScalar;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/util-empty-scalar-position.js
var require_util_empty_scalar_position2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/util-empty-scalar-position.js"(exports2) {
    "use strict";
    function emptyScalarPosition(offset, before, pos) {
      if (before) {
        if (pos === null)
          pos = before.length;
        for (let i = pos - 1; i >= 0; --i) {
          let st = before[i];
          switch (st.type) {
            case "space":
            case "comment":
            case "newline":
              offset -= st.source.length;
              continue;
          }
          st = before[++i];
          while (st?.type === "space") {
            offset += st.source.length;
            st = before[++i];
          }
          break;
        }
      }
      return offset;
    }
    exports2.emptyScalarPosition = emptyScalarPosition;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/compose-node.js
var require_compose_node2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/compose-node.js"(exports2) {
    "use strict";
    var Alias = require_Alias2();
    var composeCollection = require_compose_collection2();
    var composeScalar = require_compose_scalar2();
    var resolveEnd = require_resolve_end2();
    var utilEmptyScalarPosition = require_util_empty_scalar_position2();
    var CN = { composeNode, composeEmptyNode };
    function composeNode(ctx, token, props, onError) {
      const { spaceBefore, comment, anchor, tag } = props;
      let node;
      let isSrcToken = true;
      switch (token.type) {
        case "alias":
          node = composeAlias(ctx, token, onError);
          if (anchor || tag)
            onError(token, "ALIAS_PROPS", "An alias node must not specify any properties");
          break;
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "block-scalar":
          node = composeScalar.composeScalar(ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        case "block-map":
        case "block-seq":
        case "flow-collection":
          node = composeCollection.composeCollection(CN, ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        default: {
          const message = token.type === "error" ? token.message : `Unsupported token (type: ${token.type})`;
          onError(token, "UNEXPECTED_TOKEN", message);
          node = composeEmptyNode(ctx, token.offset, void 0, null, props, onError);
          isSrcToken = false;
        }
      }
      if (anchor && node.anchor === "")
        onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        if (token.type === "scalar" && token.source === "")
          node.comment = comment;
        else
          node.commentBefore = comment;
      }
      if (ctx.options.keepSourceTokens && isSrcToken)
        node.srcToken = token;
      return node;
    }
    function composeEmptyNode(ctx, offset, before, pos, { spaceBefore, comment, anchor, tag, end }, onError) {
      const token = {
        type: "scalar",
        offset: utilEmptyScalarPosition.emptyScalarPosition(offset, before, pos),
        indent: -1,
        source: ""
      };
      const node = composeScalar.composeScalar(ctx, token, tag, onError);
      if (anchor) {
        node.anchor = anchor.source.substring(1);
        if (node.anchor === "")
          onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      }
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        node.comment = comment;
        node.range[2] = end;
      }
      return node;
    }
    function composeAlias({ options }, { offset, source, end }, onError) {
      const alias = new Alias.Alias(source.substring(1));
      if (alias.source === "")
        onError(offset, "BAD_ALIAS", "Alias cannot be an empty string");
      if (alias.source.endsWith(":"))
        onError(offset + source.length - 1, "BAD_ALIAS", "Alias ending in : is ambiguous", true);
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, options.strict, onError);
      alias.range = [offset, valueEnd, re.offset];
      if (re.comment)
        alias.comment = re.comment;
      return alias;
    }
    exports2.composeEmptyNode = composeEmptyNode;
    exports2.composeNode = composeNode;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/compose-doc.js
var require_compose_doc2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/compose-doc.js"(exports2) {
    "use strict";
    var Document = require_Document2();
    var composeNode = require_compose_node2();
    var resolveEnd = require_resolve_end2();
    var resolveProps = require_resolve_props2();
    function composeDoc(options, directives, { offset, start, value, end }, onError) {
      const opts = Object.assign({ _directives: directives }, options);
      const doc = new Document.Document(void 0, opts);
      const ctx = {
        atRoot: true,
        directives: doc.directives,
        options: doc.options,
        schema: doc.schema
      };
      const props = resolveProps.resolveProps(start, {
        indicator: "doc-start",
        next: value ?? end?.[0],
        offset,
        onError,
        startOnNewline: true
      });
      if (props.found) {
        doc.directives.docStart = true;
        if (value && (value.type === "block-map" || value.type === "block-seq") && !props.hasNewline)
          onError(props.end, "MISSING_CHAR", "Block collection cannot start on same line with directives-end marker");
      }
      doc.contents = value ? composeNode.composeNode(ctx, value, props, onError) : composeNode.composeEmptyNode(ctx, props.end, start, null, props, onError);
      const contentEnd = doc.contents.range[2];
      const re = resolveEnd.resolveEnd(end, contentEnd, false, onError);
      if (re.comment)
        doc.comment = re.comment;
      doc.range = [offset, contentEnd, re.offset];
      return doc;
    }
    exports2.composeDoc = composeDoc;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/compose/composer.js
var require_composer2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/compose/composer.js"(exports2) {
    "use strict";
    var directives = require_directives2();
    var Document = require_Document2();
    var errors = require_errors2();
    var identity = require_identity2();
    var composeDoc = require_compose_doc2();
    var resolveEnd = require_resolve_end2();
    function getErrorPos(src) {
      if (typeof src === "number")
        return [src, src + 1];
      if (Array.isArray(src))
        return src.length === 2 ? src : [src[0], src[1]];
      const { offset, source } = src;
      return [offset, offset + (typeof source === "string" ? source.length : 1)];
    }
    function parsePrelude(prelude) {
      let comment = "";
      let atComment = false;
      let afterEmptyLine = false;
      for (let i = 0; i < prelude.length; ++i) {
        const source = prelude[i];
        switch (source[0]) {
          case "#":
            comment += (comment === "" ? "" : afterEmptyLine ? "\n\n" : "\n") + (source.substring(1) || " ");
            atComment = true;
            afterEmptyLine = false;
            break;
          case "%":
            if (prelude[i + 1]?.[0] !== "#")
              i += 1;
            atComment = false;
            break;
          default:
            if (!atComment)
              afterEmptyLine = true;
            atComment = false;
        }
      }
      return { comment, afterEmptyLine };
    }
    var Composer = class {
      constructor(options = {}) {
        this.doc = null;
        this.atDirectives = false;
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
        this.onError = (source, code, message, warning) => {
          const pos = getErrorPos(source);
          if (warning)
            this.warnings.push(new errors.YAMLWarning(pos, code, message));
          else
            this.errors.push(new errors.YAMLParseError(pos, code, message));
        };
        this.directives = new directives.Directives({ version: options.version || "1.2" });
        this.options = options;
      }
      decorate(doc, afterDoc) {
        const { comment, afterEmptyLine } = parsePrelude(this.prelude);
        if (comment) {
          const dc = doc.contents;
          if (afterDoc) {
            doc.comment = doc.comment ? `${doc.comment}
${comment}` : comment;
          } else if (afterEmptyLine || doc.directives.docStart || !dc) {
            doc.commentBefore = comment;
          } else if (identity.isCollection(dc) && !dc.flow && dc.items.length > 0) {
            let it = dc.items[0];
            if (identity.isPair(it))
              it = it.key;
            const cb = it.commentBefore;
            it.commentBefore = cb ? `${comment}
${cb}` : comment;
          } else {
            const cb = dc.commentBefore;
            dc.commentBefore = cb ? `${comment}
${cb}` : comment;
          }
        }
        if (afterDoc) {
          Array.prototype.push.apply(doc.errors, this.errors);
          Array.prototype.push.apply(doc.warnings, this.warnings);
        } else {
          doc.errors = this.errors;
          doc.warnings = this.warnings;
        }
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
      }
      /**
       * Current stream status information.
       *
       * Mostly useful at the end of input for an empty stream.
       */
      streamInfo() {
        return {
          comment: parsePrelude(this.prelude).comment,
          directives: this.directives,
          errors: this.errors,
          warnings: this.warnings
        };
      }
      /**
       * Compose tokens into documents.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *compose(tokens, forceDoc = false, endOffset = -1) {
        for (const token of tokens)
          yield* this.next(token);
        yield* this.end(forceDoc, endOffset);
      }
      /** Advance the composer by one CST token. */
      *next(token) {
        if (process.env.LOG_STREAM)
          console.dir(token, { depth: null });
        switch (token.type) {
          case "directive":
            this.directives.add(token.source, (offset, message, warning) => {
              const pos = getErrorPos(token);
              pos[0] += offset;
              this.onError(pos, "BAD_DIRECTIVE", message, warning);
            });
            this.prelude.push(token.source);
            this.atDirectives = true;
            break;
          case "document": {
            const doc = composeDoc.composeDoc(this.options, this.directives, token, this.onError);
            if (this.atDirectives && !doc.directives.docStart)
              this.onError(token, "MISSING_CHAR", "Missing directives-end/doc-start indicator line");
            this.decorate(doc, false);
            if (this.doc)
              yield this.doc;
            this.doc = doc;
            this.atDirectives = false;
            break;
          }
          case "byte-order-mark":
          case "space":
            break;
          case "comment":
          case "newline":
            this.prelude.push(token.source);
            break;
          case "error": {
            const msg = token.source ? `${token.message}: ${JSON.stringify(token.source)}` : token.message;
            const error = new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg);
            if (this.atDirectives || !this.doc)
              this.errors.push(error);
            else
              this.doc.errors.push(error);
            break;
          }
          case "doc-end": {
            if (!this.doc) {
              const msg = "Unexpected doc-end without preceding document";
              this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg));
              break;
            }
            this.doc.directives.docEnd = true;
            const end = resolveEnd.resolveEnd(token.end, token.offset + token.source.length, this.doc.options.strict, this.onError);
            this.decorate(this.doc, true);
            if (end.comment) {
              const dc = this.doc.comment;
              this.doc.comment = dc ? `${dc}
${end.comment}` : end.comment;
            }
            this.doc.range[2] = end.offset;
            break;
          }
          default:
            this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", `Unsupported token ${token.type}`));
        }
      }
      /**
       * Call at end of input to yield any remaining document.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *end(forceDoc = false, endOffset = -1) {
        if (this.doc) {
          this.decorate(this.doc, true);
          yield this.doc;
          this.doc = null;
        } else if (forceDoc) {
          const opts = Object.assign({ _directives: this.directives }, this.options);
          const doc = new Document.Document(void 0, opts);
          if (this.atDirectives)
            this.onError(endOffset, "MISSING_CHAR", "Missing directives-end indicator line");
          doc.range = [0, endOffset, endOffset];
          this.decorate(doc, false);
          yield doc;
        }
      }
    };
    exports2.Composer = Composer;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/cst-scalar.js
var require_cst_scalar2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/cst-scalar.js"(exports2) {
    "use strict";
    var resolveBlockScalar = require_resolve_block_scalar2();
    var resolveFlowScalar = require_resolve_flow_scalar2();
    var errors = require_errors2();
    var stringifyString = require_stringifyString2();
    function resolveAsScalar(token, strict = true, onError) {
      if (token) {
        const _onError = (pos, code, message) => {
          const offset = typeof pos === "number" ? pos : Array.isArray(pos) ? pos[0] : pos.offset;
          if (onError)
            onError(offset, code, message);
          else
            throw new errors.YAMLParseError([offset, offset + 1], code, message);
        };
        switch (token.type) {
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return resolveFlowScalar.resolveFlowScalar(token, strict, _onError);
          case "block-scalar":
            return resolveBlockScalar.resolveBlockScalar(token, strict, _onError);
        }
      }
      return null;
    }
    function createScalarToken(value, context) {
      const { implicitKey = false, indent, inFlow = false, offset = -1, type = "PLAIN" } = context;
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey,
        indent: indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      const end = context.end ?? [
        { type: "newline", offset: -1, indent, source: "\n" }
      ];
      switch (source[0]) {
        case "|":
        case ">": {
          const he = source.indexOf("\n");
          const head = source.substring(0, he);
          const body = source.substring(he + 1) + "\n";
          const props = [
            { type: "block-scalar-header", offset, indent, source: head }
          ];
          if (!addEndtoBlockProps(props, end))
            props.push({ type: "newline", offset: -1, indent, source: "\n" });
          return { type: "block-scalar", offset, indent, props, source: body };
        }
        case '"':
          return { type: "double-quoted-scalar", offset, indent, source, end };
        case "'":
          return { type: "single-quoted-scalar", offset, indent, source, end };
        default:
          return { type: "scalar", offset, indent, source, end };
      }
    }
    function setScalarValue(token, value, context = {}) {
      let { afterKey = false, implicitKey = false, inFlow = false, type } = context;
      let indent = "indent" in token ? token.indent : null;
      if (afterKey && typeof indent === "number")
        indent += 2;
      if (!type)
        switch (token.type) {
          case "single-quoted-scalar":
            type = "QUOTE_SINGLE";
            break;
          case "double-quoted-scalar":
            type = "QUOTE_DOUBLE";
            break;
          case "block-scalar": {
            const header = token.props[0];
            if (header.type !== "block-scalar-header")
              throw new Error("Invalid block scalar header");
            type = header.source[0] === ">" ? "BLOCK_FOLDED" : "BLOCK_LITERAL";
            break;
          }
          default:
            type = "PLAIN";
        }
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey: implicitKey || indent === null,
        indent: indent !== null && indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      switch (source[0]) {
        case "|":
        case ">":
          setBlockScalarValue(token, source);
          break;
        case '"':
          setFlowScalarValue(token, source, "double-quoted-scalar");
          break;
        case "'":
          setFlowScalarValue(token, source, "single-quoted-scalar");
          break;
        default:
          setFlowScalarValue(token, source, "scalar");
      }
    }
    function setBlockScalarValue(token, source) {
      const he = source.indexOf("\n");
      const head = source.substring(0, he);
      const body = source.substring(he + 1) + "\n";
      if (token.type === "block-scalar") {
        const header = token.props[0];
        if (header.type !== "block-scalar-header")
          throw new Error("Invalid block scalar header");
        header.source = head;
        token.source = body;
      } else {
        const { offset } = token;
        const indent = "indent" in token ? token.indent : -1;
        const props = [
          { type: "block-scalar-header", offset, indent, source: head }
        ];
        if (!addEndtoBlockProps(props, "end" in token ? token.end : void 0))
          props.push({ type: "newline", offset: -1, indent, source: "\n" });
        for (const key of Object.keys(token))
          if (key !== "type" && key !== "offset")
            delete token[key];
        Object.assign(token, { type: "block-scalar", indent, props, source: body });
      }
    }
    function addEndtoBlockProps(props, end) {
      if (end)
        for (const st of end)
          switch (st.type) {
            case "space":
            case "comment":
              props.push(st);
              break;
            case "newline":
              props.push(st);
              return true;
          }
      return false;
    }
    function setFlowScalarValue(token, source, type) {
      switch (token.type) {
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          token.type = type;
          token.source = source;
          break;
        case "block-scalar": {
          const end = token.props.slice(1);
          let oa = source.length;
          if (token.props[0].type === "block-scalar-header")
            oa -= token.props[0].source.length;
          for (const tok of end)
            tok.offset += oa;
          delete token.props;
          Object.assign(token, { type, source, end });
          break;
        }
        case "block-map":
        case "block-seq": {
          const offset = token.offset + source.length;
          const nl = { type: "newline", offset, indent: token.indent, source: "\n" };
          delete token.items;
          Object.assign(token, { type, source, end: [nl] });
          break;
        }
        default: {
          const indent = "indent" in token ? token.indent : -1;
          const end = "end" in token && Array.isArray(token.end) ? token.end.filter((st) => st.type === "space" || st.type === "comment" || st.type === "newline") : [];
          for (const key of Object.keys(token))
            if (key !== "type" && key !== "offset")
              delete token[key];
          Object.assign(token, { type, indent, source, end });
        }
      }
    }
    exports2.createScalarToken = createScalarToken;
    exports2.resolveAsScalar = resolveAsScalar;
    exports2.setScalarValue = setScalarValue;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/cst-stringify.js
var require_cst_stringify2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/cst-stringify.js"(exports2) {
    "use strict";
    var stringify = (cst) => "type" in cst ? stringifyToken(cst) : stringifyItem(cst);
    function stringifyToken(token) {
      switch (token.type) {
        case "block-scalar": {
          let res = "";
          for (const tok of token.props)
            res += stringifyToken(tok);
          return res + token.source;
        }
        case "block-map":
        case "block-seq": {
          let res = "";
          for (const item of token.items)
            res += stringifyItem(item);
          return res;
        }
        case "flow-collection": {
          let res = token.start.source;
          for (const item of token.items)
            res += stringifyItem(item);
          for (const st of token.end)
            res += st.source;
          return res;
        }
        case "document": {
          let res = stringifyItem(token);
          if (token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
        default: {
          let res = token.source;
          if ("end" in token && token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
      }
    }
    function stringifyItem({ start, key, sep, value }) {
      let res = "";
      for (const st of start)
        res += st.source;
      if (key)
        res += stringifyToken(key);
      if (sep)
        for (const st of sep)
          res += st.source;
      if (value)
        res += stringifyToken(value);
      return res;
    }
    exports2.stringify = stringify;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/cst-visit.js
var require_cst_visit2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/cst-visit.js"(exports2) {
    "use strict";
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove item");
    function visit(cst, visitor) {
      if ("type" in cst && cst.type === "document")
        cst = { start: cst.start, value: cst.value };
      _visit(Object.freeze([]), cst, visitor);
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    visit.itemAtPath = (cst, path) => {
      let item = cst;
      for (const [field, index] of path) {
        const tok = item?.[field];
        if (tok && "items" in tok) {
          item = tok.items[index];
        } else
          return void 0;
      }
      return item;
    };
    visit.parentCollection = (cst, path) => {
      const parent = visit.itemAtPath(cst, path.slice(0, -1));
      const field = path[path.length - 1][0];
      const coll = parent?.[field];
      if (coll && "items" in coll)
        return coll;
      throw new Error("Parent collection not found");
    };
    function _visit(path, item, visitor) {
      let ctrl = visitor(item, path);
      if (typeof ctrl === "symbol")
        return ctrl;
      for (const field of ["key", "value"]) {
        const token = item[field];
        if (token && "items" in token) {
          for (let i = 0; i < token.items.length; ++i) {
            const ci = _visit(Object.freeze(path.concat([[field, i]])), token.items[i], visitor);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              token.items.splice(i, 1);
              i -= 1;
            }
          }
          if (typeof ctrl === "function" && field === "key")
            ctrl = ctrl(item, path);
        }
      }
      return typeof ctrl === "function" ? ctrl(item, path) : ctrl;
    }
    exports2.visit = visit;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/cst.js
var require_cst2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/cst.js"(exports2) {
    "use strict";
    var cstScalar = require_cst_scalar2();
    var cstStringify = require_cst_stringify2();
    var cstVisit = require_cst_visit2();
    var BOM = "\uFEFF";
    var DOCUMENT = "";
    var FLOW_END = "";
    var SCALAR = "";
    var isCollection = (token) => !!token && "items" in token;
    var isScalar = (token) => !!token && (token.type === "scalar" || token.type === "single-quoted-scalar" || token.type === "double-quoted-scalar" || token.type === "block-scalar");
    function prettyToken(token) {
      switch (token) {
        case BOM:
          return "<BOM>";
        case DOCUMENT:
          return "<DOC>";
        case FLOW_END:
          return "<FLOW_END>";
        case SCALAR:
          return "<SCALAR>";
        default:
          return JSON.stringify(token);
      }
    }
    function tokenType(source) {
      switch (source) {
        case BOM:
          return "byte-order-mark";
        case DOCUMENT:
          return "doc-mode";
        case FLOW_END:
          return "flow-error-end";
        case SCALAR:
          return "scalar";
        case "---":
          return "doc-start";
        case "...":
          return "doc-end";
        case "":
        case "\n":
        case "\r\n":
          return "newline";
        case "-":
          return "seq-item-ind";
        case "?":
          return "explicit-key-ind";
        case ":":
          return "map-value-ind";
        case "{":
          return "flow-map-start";
        case "}":
          return "flow-map-end";
        case "[":
          return "flow-seq-start";
        case "]":
          return "flow-seq-end";
        case ",":
          return "comma";
      }
      switch (source[0]) {
        case " ":
        case "	":
          return "space";
        case "#":
          return "comment";
        case "%":
          return "directive-line";
        case "*":
          return "alias";
        case "&":
          return "anchor";
        case "!":
          return "tag";
        case "'":
          return "single-quoted-scalar";
        case '"':
          return "double-quoted-scalar";
        case "|":
        case ">":
          return "block-scalar-header";
      }
      return null;
    }
    exports2.createScalarToken = cstScalar.createScalarToken;
    exports2.resolveAsScalar = cstScalar.resolveAsScalar;
    exports2.setScalarValue = cstScalar.setScalarValue;
    exports2.stringify = cstStringify.stringify;
    exports2.visit = cstVisit.visit;
    exports2.BOM = BOM;
    exports2.DOCUMENT = DOCUMENT;
    exports2.FLOW_END = FLOW_END;
    exports2.SCALAR = SCALAR;
    exports2.isCollection = isCollection;
    exports2.isScalar = isScalar;
    exports2.prettyToken = prettyToken;
    exports2.tokenType = tokenType;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/lexer.js
var require_lexer2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/lexer.js"(exports2) {
    "use strict";
    var cst = require_cst2();
    function isEmpty(ch) {
      switch (ch) {
        case void 0:
        case " ":
        case "\n":
        case "\r":
        case "	":
          return true;
        default:
          return false;
      }
    }
    var hexDigits = "0123456789ABCDEFabcdef".split("");
    var tagChars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz-#;/?:@&=+$_.!~*'()".split("");
    var invalidFlowScalarChars = ",[]{}".split("");
    var invalidAnchorChars = " ,[]{}\n\r	".split("");
    var isNotAnchorChar = (ch) => !ch || invalidAnchorChars.includes(ch);
    var Lexer = class {
      constructor() {
        this.atEnd = false;
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        this.buffer = "";
        this.flowKey = false;
        this.flowLevel = 0;
        this.indentNext = 0;
        this.indentValue = 0;
        this.lineEndPos = null;
        this.next = null;
        this.pos = 0;
      }
      /**
       * Generate YAML tokens from the `source` string. If `incomplete`,
       * a part of the last line may be left as a buffer for the next call.
       *
       * @returns A generator of lexical tokens
       */
      *lex(source, incomplete = false) {
        if (source) {
          this.buffer = this.buffer ? this.buffer + source : source;
          this.lineEndPos = null;
        }
        this.atEnd = !incomplete;
        let next = this.next ?? "stream";
        while (next && (incomplete || this.hasChars(1)))
          next = yield* this.parseNext(next);
      }
      atLineEnd() {
        let i = this.pos;
        let ch = this.buffer[i];
        while (ch === " " || ch === "	")
          ch = this.buffer[++i];
        if (!ch || ch === "#" || ch === "\n")
          return true;
        if (ch === "\r")
          return this.buffer[i + 1] === "\n";
        return false;
      }
      charAt(n) {
        return this.buffer[this.pos + n];
      }
      continueScalar(offset) {
        let ch = this.buffer[offset];
        if (this.indentNext > 0) {
          let indent = 0;
          while (ch === " ")
            ch = this.buffer[++indent + offset];
          if (ch === "\r") {
            const next = this.buffer[indent + offset + 1];
            if (next === "\n" || !next && !this.atEnd)
              return offset + indent + 1;
          }
          return ch === "\n" || indent >= this.indentNext || !ch && !this.atEnd ? offset + indent : -1;
        }
        if (ch === "-" || ch === ".") {
          const dt = this.buffer.substr(offset, 3);
          if ((dt === "---" || dt === "...") && isEmpty(this.buffer[offset + 3]))
            return -1;
        }
        return offset;
      }
      getLine() {
        let end = this.lineEndPos;
        if (typeof end !== "number" || end !== -1 && end < this.pos) {
          end = this.buffer.indexOf("\n", this.pos);
          this.lineEndPos = end;
        }
        if (end === -1)
          return this.atEnd ? this.buffer.substring(this.pos) : null;
        if (this.buffer[end - 1] === "\r")
          end -= 1;
        return this.buffer.substring(this.pos, end);
      }
      hasChars(n) {
        return this.pos + n <= this.buffer.length;
      }
      setNext(state) {
        this.buffer = this.buffer.substring(this.pos);
        this.pos = 0;
        this.lineEndPos = null;
        this.next = state;
        return null;
      }
      peek(n) {
        return this.buffer.substr(this.pos, n);
      }
      *parseNext(next) {
        switch (next) {
          case "stream":
            return yield* this.parseStream();
          case "line-start":
            return yield* this.parseLineStart();
          case "block-start":
            return yield* this.parseBlockStart();
          case "doc":
            return yield* this.parseDocument();
          case "flow":
            return yield* this.parseFlowCollection();
          case "quoted-scalar":
            return yield* this.parseQuotedScalar();
          case "block-scalar":
            return yield* this.parseBlockScalar();
          case "plain-scalar":
            return yield* this.parsePlainScalar();
        }
      }
      *parseStream() {
        let line = this.getLine();
        if (line === null)
          return this.setNext("stream");
        if (line[0] === cst.BOM) {
          yield* this.pushCount(1);
          line = line.substring(1);
        }
        if (line[0] === "%") {
          let dirEnd = line.length;
          const cs = line.indexOf("#");
          if (cs !== -1) {
            const ch = line[cs - 1];
            if (ch === " " || ch === "	")
              dirEnd = cs - 1;
          }
          while (true) {
            const ch = line[dirEnd - 1];
            if (ch === " " || ch === "	")
              dirEnd -= 1;
            else
              break;
          }
          const n = (yield* this.pushCount(dirEnd)) + (yield* this.pushSpaces(true));
          yield* this.pushCount(line.length - n);
          this.pushNewline();
          return "stream";
        }
        if (this.atLineEnd()) {
          const sp = yield* this.pushSpaces(true);
          yield* this.pushCount(line.length - sp);
          yield* this.pushNewline();
          return "stream";
        }
        yield cst.DOCUMENT;
        return yield* this.parseLineStart();
      }
      *parseLineStart() {
        const ch = this.charAt(0);
        if (!ch && !this.atEnd)
          return this.setNext("line-start");
        if (ch === "-" || ch === ".") {
          if (!this.atEnd && !this.hasChars(4))
            return this.setNext("line-start");
          const s = this.peek(3);
          if (s === "---" && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            this.indentValue = 0;
            this.indentNext = 0;
            return "doc";
          } else if (s === "..." && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            return "stream";
          }
        }
        this.indentValue = yield* this.pushSpaces(false);
        if (this.indentNext > this.indentValue && !isEmpty(this.charAt(1)))
          this.indentNext = this.indentValue;
        return yield* this.parseBlockStart();
      }
      *parseBlockStart() {
        const [ch0, ch1] = this.peek(2);
        if (!ch1 && !this.atEnd)
          return this.setNext("block-start");
        if ((ch0 === "-" || ch0 === "?" || ch0 === ":") && isEmpty(ch1)) {
          const n = (yield* this.pushCount(1)) + (yield* this.pushSpaces(true));
          this.indentNext = this.indentValue + 1;
          this.indentValue += n;
          return yield* this.parseBlockStart();
        }
        return "doc";
      }
      *parseDocument() {
        yield* this.pushSpaces(true);
        const line = this.getLine();
        if (line === null)
          return this.setNext("doc");
        let n = yield* this.pushIndicators();
        switch (line[n]) {
          case "#":
            yield* this.pushCount(line.length - n);
          case void 0:
            yield* this.pushNewline();
            return yield* this.parseLineStart();
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel = 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            return "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "doc";
          case '"':
          case "'":
            return yield* this.parseQuotedScalar();
          case "|":
          case ">":
            n += yield* this.parseBlockScalarHeader();
            n += yield* this.pushSpaces(true);
            yield* this.pushCount(line.length - n);
            yield* this.pushNewline();
            return yield* this.parseBlockScalar();
          default:
            return yield* this.parsePlainScalar();
        }
      }
      *parseFlowCollection() {
        let nl, sp;
        let indent = -1;
        do {
          nl = yield* this.pushNewline();
          if (nl > 0) {
            sp = yield* this.pushSpaces(false);
            this.indentValue = indent = sp;
          } else {
            sp = 0;
          }
          sp += yield* this.pushSpaces(true);
        } while (nl + sp > 0);
        const line = this.getLine();
        if (line === null)
          return this.setNext("flow");
        if (indent !== -1 && indent < this.indentNext && line[0] !== "#" || indent === 0 && (line.startsWith("---") || line.startsWith("...")) && isEmpty(line[3])) {
          const atFlowEndMarker = indent === this.indentNext - 1 && this.flowLevel === 1 && (line[0] === "]" || line[0] === "}");
          if (!atFlowEndMarker) {
            this.flowLevel = 0;
            yield cst.FLOW_END;
            return yield* this.parseLineStart();
          }
        }
        let n = 0;
        while (line[n] === ",") {
          n += yield* this.pushCount(1);
          n += yield* this.pushSpaces(true);
          this.flowKey = false;
        }
        n += yield* this.pushIndicators();
        switch (line[n]) {
          case void 0:
            return "flow";
          case "#":
            yield* this.pushCount(line.length - n);
            return "flow";
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel += 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            this.flowKey = true;
            this.flowLevel -= 1;
            return this.flowLevel ? "flow" : "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "flow";
          case '"':
          case "'":
            this.flowKey = true;
            return yield* this.parseQuotedScalar();
          case ":": {
            const next = this.charAt(1);
            if (this.flowKey || isEmpty(next) || next === ",") {
              this.flowKey = false;
              yield* this.pushCount(1);
              yield* this.pushSpaces(true);
              return "flow";
            }
          }
          default:
            this.flowKey = false;
            return yield* this.parsePlainScalar();
        }
      }
      *parseQuotedScalar() {
        const quote = this.charAt(0);
        let end = this.buffer.indexOf(quote, this.pos + 1);
        if (quote === "'") {
          while (end !== -1 && this.buffer[end + 1] === "'")
            end = this.buffer.indexOf("'", end + 2);
        } else {
          while (end !== -1) {
            let n = 0;
            while (this.buffer[end - 1 - n] === "\\")
              n += 1;
            if (n % 2 === 0)
              break;
            end = this.buffer.indexOf('"', end + 1);
          }
        }
        const qb = this.buffer.substring(0, end);
        let nl = qb.indexOf("\n", this.pos);
        if (nl !== -1) {
          while (nl !== -1) {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = qb.indexOf("\n", cs);
          }
          if (nl !== -1) {
            end = nl - (qb[nl - 1] === "\r" ? 2 : 1);
          }
        }
        if (end === -1) {
          if (!this.atEnd)
            return this.setNext("quoted-scalar");
          end = this.buffer.length;
        }
        yield* this.pushToIndex(end + 1, false);
        return this.flowLevel ? "flow" : "doc";
      }
      *parseBlockScalarHeader() {
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        let i = this.pos;
        while (true) {
          const ch = this.buffer[++i];
          if (ch === "+")
            this.blockScalarKeep = true;
          else if (ch > "0" && ch <= "9")
            this.blockScalarIndent = Number(ch) - 1;
          else if (ch !== "-")
            break;
        }
        return yield* this.pushUntil((ch) => isEmpty(ch) || ch === "#");
      }
      *parseBlockScalar() {
        let nl = this.pos - 1;
        let indent = 0;
        let ch;
        loop:
          for (let i = this.pos; ch = this.buffer[i]; ++i) {
            switch (ch) {
              case " ":
                indent += 1;
                break;
              case "\n":
                nl = i;
                indent = 0;
                break;
              case "\r": {
                const next = this.buffer[i + 1];
                if (!next && !this.atEnd)
                  return this.setNext("block-scalar");
                if (next === "\n")
                  break;
              }
              default:
                break loop;
            }
          }
        if (!ch && !this.atEnd)
          return this.setNext("block-scalar");
        if (indent >= this.indentNext) {
          if (this.blockScalarIndent === -1)
            this.indentNext = indent;
          else
            this.indentNext += this.blockScalarIndent;
          do {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = this.buffer.indexOf("\n", cs);
          } while (nl !== -1);
          if (nl === -1) {
            if (!this.atEnd)
              return this.setNext("block-scalar");
            nl = this.buffer.length;
          }
        }
        if (!this.blockScalarKeep) {
          do {
            let i = nl - 1;
            let ch2 = this.buffer[i];
            if (ch2 === "\r")
              ch2 = this.buffer[--i];
            const lastChar = i;
            while (ch2 === " " || ch2 === "	")
              ch2 = this.buffer[--i];
            if (ch2 === "\n" && i >= this.pos && i + 1 + indent > lastChar)
              nl = i;
            else
              break;
          } while (true);
        }
        yield cst.SCALAR;
        yield* this.pushToIndex(nl + 1, true);
        return yield* this.parseLineStart();
      }
      *parsePlainScalar() {
        const inFlow = this.flowLevel > 0;
        let end = this.pos - 1;
        let i = this.pos - 1;
        let ch;
        while (ch = this.buffer[++i]) {
          if (ch === ":") {
            const next = this.buffer[i + 1];
            if (isEmpty(next) || inFlow && next === ",")
              break;
            end = i;
          } else if (isEmpty(ch)) {
            let next = this.buffer[i + 1];
            if (ch === "\r") {
              if (next === "\n") {
                i += 1;
                ch = "\n";
                next = this.buffer[i + 1];
              } else
                end = i;
            }
            if (next === "#" || inFlow && invalidFlowScalarChars.includes(next))
              break;
            if (ch === "\n") {
              const cs = this.continueScalar(i + 1);
              if (cs === -1)
                break;
              i = Math.max(i, cs - 2);
            }
          } else {
            if (inFlow && invalidFlowScalarChars.includes(ch))
              break;
            end = i;
          }
        }
        if (!ch && !this.atEnd)
          return this.setNext("plain-scalar");
        yield cst.SCALAR;
        yield* this.pushToIndex(end + 1, true);
        return inFlow ? "flow" : "doc";
      }
      *pushCount(n) {
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos += n;
          return n;
        }
        return 0;
      }
      *pushToIndex(i, allowEmpty) {
        const s = this.buffer.slice(this.pos, i);
        if (s) {
          yield s;
          this.pos += s.length;
          return s.length;
        } else if (allowEmpty)
          yield "";
        return 0;
      }
      *pushIndicators() {
        switch (this.charAt(0)) {
          case "!":
            return (yield* this.pushTag()) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "&":
            return (yield* this.pushUntil(isNotAnchorChar)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "-":
          case "?":
          case ":": {
            const inFlow = this.flowLevel > 0;
            const ch1 = this.charAt(1);
            if (isEmpty(ch1) || inFlow && invalidFlowScalarChars.includes(ch1)) {
              if (!inFlow)
                this.indentNext = this.indentValue + 1;
              else if (this.flowKey)
                this.flowKey = false;
              return (yield* this.pushCount(1)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
            }
          }
        }
        return 0;
      }
      *pushTag() {
        if (this.charAt(1) === "<") {
          let i = this.pos + 2;
          let ch = this.buffer[i];
          while (!isEmpty(ch) && ch !== ">")
            ch = this.buffer[++i];
          return yield* this.pushToIndex(ch === ">" ? i + 1 : i, false);
        } else {
          let i = this.pos + 1;
          let ch = this.buffer[i];
          while (ch) {
            if (tagChars.includes(ch))
              ch = this.buffer[++i];
            else if (ch === "%" && hexDigits.includes(this.buffer[i + 1]) && hexDigits.includes(this.buffer[i + 2])) {
              ch = this.buffer[i += 3];
            } else
              break;
          }
          return yield* this.pushToIndex(i, false);
        }
      }
      *pushNewline() {
        const ch = this.buffer[this.pos];
        if (ch === "\n")
          return yield* this.pushCount(1);
        else if (ch === "\r" && this.charAt(1) === "\n")
          return yield* this.pushCount(2);
        else
          return 0;
      }
      *pushSpaces(allowTabs) {
        let i = this.pos - 1;
        let ch;
        do {
          ch = this.buffer[++i];
        } while (ch === " " || allowTabs && ch === "	");
        const n = i - this.pos;
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos = i;
        }
        return n;
      }
      *pushUntil(test) {
        let i = this.pos;
        let ch = this.buffer[i];
        while (!test(ch))
          ch = this.buffer[++i];
        return yield* this.pushToIndex(i, false);
      }
    };
    exports2.Lexer = Lexer;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/line-counter.js
var require_line_counter2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/line-counter.js"(exports2) {
    "use strict";
    var LineCounter = class {
      constructor() {
        this.lineStarts = [];
        this.addNewLine = (offset) => this.lineStarts.push(offset);
        this.linePos = (offset) => {
          let low = 0;
          let high = this.lineStarts.length;
          while (low < high) {
            const mid = low + high >> 1;
            if (this.lineStarts[mid] < offset)
              low = mid + 1;
            else
              high = mid;
          }
          if (this.lineStarts[low] === offset)
            return { line: low + 1, col: 1 };
          if (low === 0)
            return { line: 0, col: offset };
          const start = this.lineStarts[low - 1];
          return { line: low, col: offset - start + 1 };
        };
      }
    };
    exports2.LineCounter = LineCounter;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/parse/parser.js
var require_parser4 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/parse/parser.js"(exports2) {
    "use strict";
    var cst = require_cst2();
    var lexer = require_lexer2();
    function includesToken(list, type) {
      for (let i = 0; i < list.length; ++i)
        if (list[i].type === type)
          return true;
      return false;
    }
    function findNonEmptyIndex(list) {
      for (let i = 0; i < list.length; ++i) {
        switch (list[i].type) {
          case "space":
          case "comment":
          case "newline":
            break;
          default:
            return i;
        }
      }
      return -1;
    }
    function isFlowToken(token) {
      switch (token?.type) {
        case "alias":
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "flow-collection":
          return true;
        default:
          return false;
      }
    }
    function getPrevProps(parent) {
      switch (parent.type) {
        case "document":
          return parent.start;
        case "block-map": {
          const it = parent.items[parent.items.length - 1];
          return it.sep ?? it.start;
        }
        case "block-seq":
          return parent.items[parent.items.length - 1].start;
        default:
          return [];
      }
    }
    function getFirstKeyStartProps(prev) {
      if (prev.length === 0)
        return [];
      let i = prev.length;
      loop:
        while (--i >= 0) {
          switch (prev[i].type) {
            case "doc-start":
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
            case "newline":
              break loop;
          }
        }
      while (prev[++i]?.type === "space") {
      }
      return prev.splice(i, prev.length);
    }
    function fixFlowSeqItems(fc) {
      if (fc.start.type === "flow-seq-start") {
        for (const it of fc.items) {
          if (it.sep && !it.value && !includesToken(it.start, "explicit-key-ind") && !includesToken(it.sep, "map-value-ind")) {
            if (it.key)
              it.value = it.key;
            delete it.key;
            if (isFlowToken(it.value)) {
              if (it.value.end)
                Array.prototype.push.apply(it.value.end, it.sep);
              else
                it.value.end = it.sep;
            } else
              Array.prototype.push.apply(it.start, it.sep);
            delete it.sep;
          }
        }
      }
    }
    var Parser = class {
      /**
       * @param onNewLine - If defined, called separately with the start position of
       *   each new line (in `parse()`, including the start of input).
       */
      constructor(onNewLine) {
        this.atNewLine = true;
        this.atScalar = false;
        this.indent = 0;
        this.offset = 0;
        this.onKeyLine = false;
        this.stack = [];
        this.source = "";
        this.type = "";
        this.lexer = new lexer.Lexer();
        this.onNewLine = onNewLine;
      }
      /**
       * Parse `source` as a YAML stream.
       * If `incomplete`, a part of the last line may be left as a buffer for the next call.
       *
       * Errors are not thrown, but yielded as `{ type: 'error', message }` tokens.
       *
       * @returns A generator of tokens representing each directive, document, and other structure.
       */
      *parse(source, incomplete = false) {
        if (this.onNewLine && this.offset === 0)
          this.onNewLine(0);
        for (const lexeme of this.lexer.lex(source, incomplete))
          yield* this.next(lexeme);
        if (!incomplete)
          yield* this.end();
      }
      /**
       * Advance the parser by the `source` of one lexical token.
       */
      *next(source) {
        this.source = source;
        if (process.env.LOG_TOKENS)
          console.log("|", cst.prettyToken(source));
        if (this.atScalar) {
          this.atScalar = false;
          yield* this.step();
          this.offset += source.length;
          return;
        }
        const type = cst.tokenType(source);
        if (!type) {
          const message = `Not a YAML token: ${source}`;
          yield* this.pop({ type: "error", offset: this.offset, message, source });
          this.offset += source.length;
        } else if (type === "scalar") {
          this.atNewLine = false;
          this.atScalar = true;
          this.type = "scalar";
        } else {
          this.type = type;
          yield* this.step();
          switch (type) {
            case "newline":
              this.atNewLine = true;
              this.indent = 0;
              if (this.onNewLine)
                this.onNewLine(this.offset + source.length);
              break;
            case "space":
              if (this.atNewLine && source[0] === " ")
                this.indent += source.length;
              break;
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
              if (this.atNewLine)
                this.indent += source.length;
              break;
            case "doc-mode":
            case "flow-error-end":
              return;
            default:
              this.atNewLine = false;
          }
          this.offset += source.length;
        }
      }
      /** Call at end of input to push out any remaining constructions */
      *end() {
        while (this.stack.length > 0)
          yield* this.pop();
      }
      get sourceToken() {
        const st = {
          type: this.type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
        return st;
      }
      *step() {
        const top = this.peek(1);
        if (this.type === "doc-end" && (!top || top.type !== "doc-end")) {
          while (this.stack.length > 0)
            yield* this.pop();
          this.stack.push({
            type: "doc-end",
            offset: this.offset,
            source: this.source
          });
          return;
        }
        if (!top)
          return yield* this.stream();
        switch (top.type) {
          case "document":
            return yield* this.document(top);
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return yield* this.scalar(top);
          case "block-scalar":
            return yield* this.blockScalar(top);
          case "block-map":
            return yield* this.blockMap(top);
          case "block-seq":
            return yield* this.blockSequence(top);
          case "flow-collection":
            return yield* this.flowCollection(top);
          case "doc-end":
            return yield* this.documentEnd(top);
        }
        yield* this.pop();
      }
      peek(n) {
        return this.stack[this.stack.length - n];
      }
      *pop(error) {
        const token = error ?? this.stack.pop();
        if (!token) {
          const message = "Tried to pop an empty stack";
          yield { type: "error", offset: this.offset, source: "", message };
        } else if (this.stack.length === 0) {
          yield token;
        } else {
          const top = this.peek(1);
          if (token.type === "block-scalar") {
            token.indent = "indent" in top ? top.indent : 0;
          } else if (token.type === "flow-collection" && top.type === "document") {
            token.indent = 0;
          }
          if (token.type === "flow-collection")
            fixFlowSeqItems(token);
          switch (top.type) {
            case "document":
              top.value = token;
              break;
            case "block-scalar":
              top.props.push(token);
              break;
            case "block-map": {
              const it = top.items[top.items.length - 1];
              if (it.value) {
                top.items.push({ start: [], key: token, sep: [] });
                this.onKeyLine = true;
                return;
              } else if (it.sep) {
                it.value = token;
              } else {
                Object.assign(it, { key: token, sep: [] });
                this.onKeyLine = !includesToken(it.start, "explicit-key-ind");
                return;
              }
              break;
            }
            case "block-seq": {
              const it = top.items[top.items.length - 1];
              if (it.value)
                top.items.push({ start: [], value: token });
              else
                it.value = token;
              break;
            }
            case "flow-collection": {
              const it = top.items[top.items.length - 1];
              if (!it || it.value)
                top.items.push({ start: [], key: token, sep: [] });
              else if (it.sep)
                it.value = token;
              else
                Object.assign(it, { key: token, sep: [] });
              return;
            }
            default:
              yield* this.pop();
              yield* this.pop(token);
          }
          if ((top.type === "document" || top.type === "block-map" || top.type === "block-seq") && (token.type === "block-map" || token.type === "block-seq")) {
            const last = token.items[token.items.length - 1];
            if (last && !last.sep && !last.value && last.start.length > 0 && findNonEmptyIndex(last.start) === -1 && (token.indent === 0 || last.start.every((st) => st.type !== "comment" || st.indent < token.indent))) {
              if (top.type === "document")
                top.end = last.start;
              else
                top.items.push({ start: last.start });
              token.items.splice(-1, 1);
            }
          }
        }
      }
      *stream() {
        switch (this.type) {
          case "directive-line":
            yield { type: "directive", offset: this.offset, source: this.source };
            return;
          case "byte-order-mark":
          case "space":
          case "comment":
          case "newline":
            yield this.sourceToken;
            return;
          case "doc-mode":
          case "doc-start": {
            const doc = {
              type: "document",
              offset: this.offset,
              start: []
            };
            if (this.type === "doc-start")
              doc.start.push(this.sourceToken);
            this.stack.push(doc);
            return;
          }
        }
        yield {
          type: "error",
          offset: this.offset,
          message: `Unexpected ${this.type} token in YAML stream`,
          source: this.source
        };
      }
      *document(doc) {
        if (doc.value)
          return yield* this.lineEnd(doc);
        switch (this.type) {
          case "doc-start": {
            if (findNonEmptyIndex(doc.start) !== -1) {
              yield* this.pop();
              yield* this.step();
            } else
              doc.start.push(this.sourceToken);
            return;
          }
          case "anchor":
          case "tag":
          case "space":
          case "comment":
          case "newline":
            doc.start.push(this.sourceToken);
            return;
        }
        const bv = this.startBlockValue(doc);
        if (bv)
          this.stack.push(bv);
        else {
          yield {
            type: "error",
            offset: this.offset,
            message: `Unexpected ${this.type} token in YAML document`,
            source: this.source
          };
        }
      }
      *scalar(scalar) {
        if (this.type === "map-value-ind") {
          const prev = getPrevProps(this.peek(2));
          const start = getFirstKeyStartProps(prev);
          let sep;
          if (scalar.end) {
            sep = scalar.end;
            sep.push(this.sourceToken);
            delete scalar.end;
          } else
            sep = [this.sourceToken];
          const map = {
            type: "block-map",
            offset: scalar.offset,
            indent: scalar.indent,
            items: [{ start, key: scalar, sep }]
          };
          this.onKeyLine = true;
          this.stack[this.stack.length - 1] = map;
        } else
          yield* this.lineEnd(scalar);
      }
      *blockScalar(scalar) {
        switch (this.type) {
          case "space":
          case "comment":
          case "newline":
            scalar.props.push(this.sourceToken);
            return;
          case "scalar":
            scalar.source = this.source;
            this.atNewLine = true;
            this.indent = 0;
            if (this.onNewLine) {
              let nl = this.source.indexOf("\n") + 1;
              while (nl !== 0) {
                this.onNewLine(this.offset + nl);
                nl = this.source.indexOf("\n", nl) + 1;
              }
            }
            yield* this.pop();
            break;
          default:
            yield* this.pop();
            yield* this.step();
        }
      }
      *blockMap(map) {
        const it = map.items[map.items.length - 1];
        switch (this.type) {
          case "newline":
            this.onKeyLine = false;
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              it.start.push(this.sourceToken);
            }
            return;
          case "space":
          case "comment":
            if (it.value) {
              map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              if (this.atIndentedComment(it.start, map.indent)) {
                const prev = map.items[map.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  map.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
        }
        if (this.indent >= map.indent) {
          const atNextItem = !this.onKeyLine && this.indent === map.indent && it.sep;
          let start = [];
          if (atNextItem && it.sep && !it.value) {
            const nl = [];
            for (let i = 0; i < it.sep.length; ++i) {
              const st = it.sep[i];
              switch (st.type) {
                case "newline":
                  nl.push(i);
                  break;
                case "space":
                  break;
                case "comment":
                  if (st.indent > map.indent)
                    nl.length = 0;
                  break;
                default:
                  nl.length = 0;
              }
            }
            if (nl.length >= 2)
              start = it.sep.splice(nl[1]);
          }
          switch (this.type) {
            case "anchor":
            case "tag":
              if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
                this.onKeyLine = true;
              } else if (it.sep) {
                it.sep.push(this.sourceToken);
              } else {
                it.start.push(this.sourceToken);
              }
              return;
            case "explicit-key-ind":
              if (!it.sep && !includesToken(it.start, "explicit-key-ind")) {
                it.start.push(this.sourceToken);
              } else if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
              } else {
                this.stack.push({
                  type: "block-map",
                  offset: this.offset,
                  indent: this.indent,
                  items: [{ start: [this.sourceToken] }]
                });
              }
              this.onKeyLine = true;
              return;
            case "map-value-ind":
              if (includesToken(it.start, "explicit-key-ind")) {
                if (!it.sep) {
                  if (includesToken(it.start, "newline")) {
                    Object.assign(it, { key: null, sep: [this.sourceToken] });
                  } else {
                    const start2 = getFirstKeyStartProps(it.start);
                    this.stack.push({
                      type: "block-map",
                      offset: this.offset,
                      indent: this.indent,
                      items: [{ start: start2, key: null, sep: [this.sourceToken] }]
                    });
                  }
                } else if (it.value) {
                  map.items.push({ start: [], key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start, key: null, sep: [this.sourceToken] }]
                  });
                } else if (isFlowToken(it.key) && !includesToken(it.sep, "newline")) {
                  const start2 = getFirstKeyStartProps(it.start);
                  const key = it.key;
                  const sep = it.sep;
                  sep.push(this.sourceToken);
                  delete it.key, delete it.sep;
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: start2, key, sep }]
                  });
                } else if (start.length > 0) {
                  it.sep = it.sep.concat(start, this.sourceToken);
                } else {
                  it.sep.push(this.sourceToken);
                }
              } else {
                if (!it.sep) {
                  Object.assign(it, { key: null, sep: [this.sourceToken] });
                } else if (it.value || atNextItem) {
                  map.items.push({ start, key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: [], key: null, sep: [this.sourceToken] }]
                  });
                } else {
                  it.sep.push(this.sourceToken);
                }
              }
              this.onKeyLine = true;
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (atNextItem || it.value) {
                map.items.push({ start, key: fs, sep: [] });
                this.onKeyLine = true;
              } else if (it.sep) {
                this.stack.push(fs);
              } else {
                Object.assign(it, { key: fs, sep: [] });
                this.onKeyLine = true;
              }
              return;
            }
            default: {
              const bv = this.startBlockValue(map);
              if (bv) {
                if (atNextItem && bv.type !== "block-seq" && includesToken(it.start, "explicit-key-ind")) {
                  map.items.push({ start });
                }
                this.stack.push(bv);
                return;
              }
            }
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *blockSequence(seq) {
        const it = seq.items[seq.items.length - 1];
        switch (this.type) {
          case "newline":
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                seq.items.push({ start: [this.sourceToken] });
            } else
              it.start.push(this.sourceToken);
            return;
          case "space":
          case "comment":
            if (it.value)
              seq.items.push({ start: [this.sourceToken] });
            else {
              if (this.atIndentedComment(it.start, seq.indent)) {
                const prev = seq.items[seq.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  seq.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
          case "anchor":
          case "tag":
            if (it.value || this.indent <= seq.indent)
              break;
            it.start.push(this.sourceToken);
            return;
          case "seq-item-ind":
            if (this.indent !== seq.indent)
              break;
            if (it.value || includesToken(it.start, "seq-item-ind"))
              seq.items.push({ start: [this.sourceToken] });
            else
              it.start.push(this.sourceToken);
            return;
        }
        if (this.indent > seq.indent) {
          const bv = this.startBlockValue(seq);
          if (bv) {
            this.stack.push(bv);
            return;
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *flowCollection(fc) {
        const it = fc.items[fc.items.length - 1];
        if (this.type === "flow-error-end") {
          let top;
          do {
            yield* this.pop();
            top = this.peek(1);
          } while (top && top.type === "flow-collection");
        } else if (fc.end.length === 0) {
          switch (this.type) {
            case "comma":
            case "explicit-key-ind":
              if (!it || it.sep)
                fc.items.push({ start: [this.sourceToken] });
              else
                it.start.push(this.sourceToken);
              return;
            case "map-value-ind":
              if (!it || it.value)
                fc.items.push({ start: [], key: null, sep: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                Object.assign(it, { key: null, sep: [this.sourceToken] });
              return;
            case "space":
            case "comment":
            case "newline":
            case "anchor":
            case "tag":
              if (!it || it.value)
                fc.items.push({ start: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                it.start.push(this.sourceToken);
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (!it || it.value)
                fc.items.push({ start: [], key: fs, sep: [] });
              else if (it.sep)
                this.stack.push(fs);
              else
                Object.assign(it, { key: fs, sep: [] });
              return;
            }
            case "flow-map-end":
            case "flow-seq-end":
              fc.end.push(this.sourceToken);
              return;
          }
          const bv = this.startBlockValue(fc);
          if (bv)
            this.stack.push(bv);
          else {
            yield* this.pop();
            yield* this.step();
          }
        } else {
          const parent = this.peek(2);
          if (parent.type === "block-map" && (this.type === "map-value-ind" && parent.indent === fc.indent || this.type === "newline" && !parent.items[parent.items.length - 1].sep)) {
            yield* this.pop();
            yield* this.step();
          } else if (this.type === "map-value-ind" && parent.type !== "flow-collection") {
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            fixFlowSeqItems(fc);
            const sep = fc.end.splice(1, fc.end.length);
            sep.push(this.sourceToken);
            const map = {
              type: "block-map",
              offset: fc.offset,
              indent: fc.indent,
              items: [{ start, key: fc, sep }]
            };
            this.onKeyLine = true;
            this.stack[this.stack.length - 1] = map;
          } else {
            yield* this.lineEnd(fc);
          }
        }
      }
      flowScalar(type) {
        if (this.onNewLine) {
          let nl = this.source.indexOf("\n") + 1;
          while (nl !== 0) {
            this.onNewLine(this.offset + nl);
            nl = this.source.indexOf("\n", nl) + 1;
          }
        }
        return {
          type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
      }
      startBlockValue(parent) {
        switch (this.type) {
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return this.flowScalar(this.type);
          case "block-scalar-header":
            return {
              type: "block-scalar",
              offset: this.offset,
              indent: this.indent,
              props: [this.sourceToken],
              source: ""
            };
          case "flow-map-start":
          case "flow-seq-start":
            return {
              type: "flow-collection",
              offset: this.offset,
              indent: this.indent,
              start: this.sourceToken,
              items: [],
              end: []
            };
          case "seq-item-ind":
            return {
              type: "block-seq",
              offset: this.offset,
              indent: this.indent,
              items: [{ start: [this.sourceToken] }]
            };
          case "explicit-key-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            start.push(this.sourceToken);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start }]
            };
          }
          case "map-value-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start, key: null, sep: [this.sourceToken] }]
            };
          }
        }
        return null;
      }
      atIndentedComment(start, indent) {
        if (this.type !== "comment")
          return false;
        if (this.indent <= indent)
          return false;
        return start.every((st) => st.type === "newline" || st.type === "space");
      }
      *documentEnd(docEnd) {
        if (this.type !== "doc-mode") {
          if (docEnd.end)
            docEnd.end.push(this.sourceToken);
          else
            docEnd.end = [this.sourceToken];
          if (this.type === "newline")
            yield* this.pop();
        }
      }
      *lineEnd(token) {
        switch (this.type) {
          case "comma":
          case "doc-start":
          case "doc-end":
          case "flow-seq-end":
          case "flow-map-end":
          case "map-value-ind":
            yield* this.pop();
            yield* this.step();
            break;
          case "newline":
            this.onKeyLine = false;
          case "space":
          case "comment":
          default:
            if (token.end)
              token.end.push(this.sourceToken);
            else
              token.end = [this.sourceToken];
            if (this.type === "newline")
              yield* this.pop();
        }
      }
    };
    exports2.Parser = Parser;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/public-api.js
var require_public_api2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/public-api.js"(exports2) {
    "use strict";
    var composer = require_composer2();
    var Document = require_Document2();
    var errors = require_errors2();
    var log = require_log2();
    var lineCounter = require_line_counter2();
    var parser = require_parser4();
    function parseOptions(options) {
      const prettyErrors = options.prettyErrors !== false;
      const lineCounter$1 = options.lineCounter || prettyErrors && new lineCounter.LineCounter() || null;
      return { lineCounter: lineCounter$1, prettyErrors };
    }
    function parseAllDocuments(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      const docs = Array.from(composer$1.compose(parser$1.parse(source)));
      if (prettyErrors && lineCounter2)
        for (const doc of docs) {
          doc.errors.forEach(errors.prettifyError(source, lineCounter2));
          doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
        }
      if (docs.length > 0)
        return docs;
      return Object.assign([], { empty: true }, composer$1.streamInfo());
    }
    function parseDocument(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      let doc = null;
      for (const _doc of composer$1.compose(parser$1.parse(source), true, source.length)) {
        if (!doc)
          doc = _doc;
        else if (doc.options.logLevel !== "silent") {
          doc.errors.push(new errors.YAMLParseError(_doc.range.slice(0, 2), "MULTIPLE_DOCS", "Source contains multiple documents; please use YAML.parseAllDocuments()"));
          break;
        }
      }
      if (prettyErrors && lineCounter2) {
        doc.errors.forEach(errors.prettifyError(source, lineCounter2));
        doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
      }
      return doc;
    }
    function parse(src, reviver, options) {
      let _reviver = void 0;
      if (typeof reviver === "function") {
        _reviver = reviver;
      } else if (options === void 0 && reviver && typeof reviver === "object") {
        options = reviver;
      }
      const doc = parseDocument(src, options);
      if (!doc)
        return null;
      doc.warnings.forEach((warning) => log.warn(doc.options.logLevel, warning));
      if (doc.errors.length > 0) {
        if (doc.options.logLevel !== "silent")
          throw doc.errors[0];
        else
          doc.errors = [];
      }
      return doc.toJS(Object.assign({ reviver: _reviver }, options));
    }
    function stringify(value, replacer, options) {
      let _replacer = null;
      if (typeof replacer === "function" || Array.isArray(replacer)) {
        _replacer = replacer;
      } else if (options === void 0 && replacer) {
        options = replacer;
      }
      if (typeof options === "string")
        options = options.length;
      if (typeof options === "number") {
        const indent = Math.round(options);
        options = indent < 1 ? void 0 : indent > 8 ? { indent: 8 } : { indent };
      }
      if (value === void 0) {
        const { keepUndefined } = options ?? replacer ?? {};
        if (!keepUndefined)
          return void 0;
      }
      return new Document.Document(value, _replacer, options).toString(options);
    }
    exports2.parse = parse;
    exports2.parseAllDocuments = parseAllDocuments;
    exports2.parseDocument = parseDocument;
    exports2.stringify = stringify;
  }
});

// ../../components/source-repositories/node_modules/yaml/dist/index.js
var require_dist2 = __commonJS({
  "../../components/source-repositories/node_modules/yaml/dist/index.js"(exports2) {
    "use strict";
    var composer = require_composer2();
    var Document = require_Document2();
    var Schema = require_Schema2();
    var errors = require_errors2();
    var Alias = require_Alias2();
    var identity = require_identity2();
    var Pair = require_Pair2();
    var Scalar = require_Scalar2();
    var YAMLMap = require_YAMLMap2();
    var YAMLSeq = require_YAMLSeq2();
    var cst = require_cst2();
    var lexer = require_lexer2();
    var lineCounter = require_line_counter2();
    var parser = require_parser4();
    var publicApi = require_public_api2();
    var visit = require_visit2();
    exports2.Composer = composer.Composer;
    exports2.Document = Document.Document;
    exports2.Schema = Schema.Schema;
    exports2.YAMLError = errors.YAMLError;
    exports2.YAMLParseError = errors.YAMLParseError;
    exports2.YAMLWarning = errors.YAMLWarning;
    exports2.Alias = Alias.Alias;
    exports2.isAlias = identity.isAlias;
    exports2.isCollection = identity.isCollection;
    exports2.isDocument = identity.isDocument;
    exports2.isMap = identity.isMap;
    exports2.isNode = identity.isNode;
    exports2.isPair = identity.isPair;
    exports2.isScalar = identity.isScalar;
    exports2.isSeq = identity.isSeq;
    exports2.Pair = Pair.Pair;
    exports2.Scalar = Scalar.Scalar;
    exports2.YAMLMap = YAMLMap.YAMLMap;
    exports2.YAMLSeq = YAMLSeq.YAMLSeq;
    exports2.CST = cst;
    exports2.Lexer = lexer.Lexer;
    exports2.LineCounter = lineCounter.LineCounter;
    exports2.Parser = parser.Parser;
    exports2.parse = publicApi.parse;
    exports2.parseAllDocuments = publicApi.parseAllDocuments;
    exports2.parseDocument = publicApi.parseDocument;
    exports2.stringify = publicApi.stringify;
    exports2.visit = visit.visit;
    exports2.visitAsync = visit.visitAsync;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/yaml.js
var require_yaml2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/yaml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.YamlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var YAML = require_dist2();
    var object_file_1 = require_object_file2();
    var YamlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.lineWidth = options.lineWidth ?? 0;
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          YAML.stringify(JSON.parse(json), {
            indent: 2,
            lineWidth: this.lineWidth
          })
        ].join("\n");
      }
    };
    exports2.YamlFile = YamlFile;
    _a = JSII_RTTI_SYMBOL_1;
    YamlFile[_a] = { fqn: "projen.YamlFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose.js
var require_docker_compose3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerCompose = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_port_1 = require_docker_compose_port2();
    var docker_compose_render_1 = require_docker_compose_render2();
    var docker_compose_service_1 = require_docker_compose_service2();
    var component_1 = require_component2();
    var yaml_1 = require_yaml2();
    var DockerCompose = class extends component_1.Component {
      /**
       * Depends on a service name.
       */
      static serviceName(serviceName) {
        return {
          serviceName
        };
      }
      /**
       * Create a port mapping.
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      static portMapping(publishedPort, targetPort, options) {
        const protocol = options?.protocol ?? docker_compose_port_1.DockerComposeProtocol.TCP;
        return {
          target: targetPort,
          published: publishedPort,
          protocol,
          mode: "host"
        };
      }
      /**
       * Create a bind volume that binds a host path to the target path in the container.
       * @param sourcePath Host path name
       * @param targetPath Target path name
       */
      static bindVolume(sourcePath, targetPath) {
        return {
          bind(_volumeInfo) {
            return {
              type: "bind",
              source: sourcePath,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named volume and mount it to the target path. If you use this
       * named volume in several services, the volume will be shared. In this
       * case, the volume configuration of the first-provided options are used.
       *
       * @param volumeName Name of the volume
       * @param targetPath Target path
       * @param options volume configuration (default: docker compose defaults)
       */
      static namedVolume(volumeName, targetPath, options = {}) {
        return {
          bind(volumeInfo) {
            volumeInfo.addVolumeConfiguration(volumeName, options);
            return {
              type: "volume",
              source: volumeName,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named network and mount it to the target path. If you use this
       * named network in several services, the network will be shared. In this
       * case, the network configuration of the first-provided options are used.
       *
       * @param networkName Name of the network
       * @param options network configuration
       */
      static network(networkName, options = {}) {
        return {
          bind(networkInfo) {
            networkInfo.addNetworkConfiguration(networkName, options);
            return networkName;
          }
        };
      }
      constructor(project, props) {
        super(project);
        const nameSuffix = props?.nameSuffix ? `${props.nameSuffix}.yml` : "yml";
        new yaml_1.YamlFile(project, `docker-compose.${nameSuffix}`, {
          committed: true,
          readonly: true,
          obj: () => this._synthesizeDockerCompose()
        });
        if (props?.schemaVersion && !parseFloat(props.schemaVersion)) {
          throw Error("Version tag needs to be a number");
        }
        this.version = props?.schemaVersion ? props.schemaVersion : "3.3";
        this.services = {};
        const initialServices = props?.services ?? {};
        for (const [name, serviceDescription] of Object.entries(initialServices)) {
          this.addService(name, serviceDescription);
        }
      }
      /**
       * Add a service to the docker-compose file.
       * @param serviceName name of the service
       * @param description a service description
       */
      addService(serviceName, description) {
        const service = new docker_compose_service_1.DockerComposeService(serviceName, description);
        this.services[serviceName] = service;
        return service;
      }
      /**
       * @internal
       */
      _synthesizeDockerCompose() {
        if (Object.keys(this.services).length === 0) {
          throw new Error("DockerCompose requires at least one service");
        }
        return (0, docker_compose_render_1.renderDockerComposeFile)(this.services, this.version);
      }
    };
    exports2.DockerCompose = DockerCompose;
    _a = JSII_RTTI_SYMBOL_1;
    DockerCompose[_a] = { fqn: "projen.DockerCompose", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-service.js
var require_docker_compose_service2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-service.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeService = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_1 = require_docker_compose3();
    var DockerComposeService = class {
      constructor(serviceName, serviceDescription) {
        if (!serviceDescription.imageBuild && !serviceDescription.image || serviceDescription.imageBuild && serviceDescription.image) {
          throw new Error(`A service ${serviceName} requires exactly one of a \`imageBuild\` or \`image\` key`);
        }
        this.serviceName = serviceName;
        this.command = serviceDescription.command;
        this.image = serviceDescription.image;
        this.imageBuild = serviceDescription.imageBuild;
        this.dependsOn = serviceDescription.dependsOn ?? [];
        this.volumes = serviceDescription.volumes ?? [];
        this.networks = serviceDescription.networks ?? [];
        this.ports = serviceDescription.ports ?? [];
        this.environment = serviceDescription.environment ?? {};
        this.labels = serviceDescription.labels ?? {};
        this.entrypoint = serviceDescription.entrypoint;
      }
      /**
       * Add a port mapping
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      addPort(publishedPort, targetPort, options) {
        this.ports?.push(docker_compose_1.DockerCompose.portMapping(publishedPort, targetPort, options));
      }
      /**
       * Add an environment variable
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addEnvironment(name, value) {
        this.environment[name] = value;
      }
      /**
       * Make the service depend on another service.
       * @param serviceName
       */
      addDependsOn(serviceName) {
        this.dependsOn.push(serviceName);
      }
      /**
       * Add a volume to the service.
       * @param volume
       */
      addVolume(volume) {
        this.volumes.push(volume);
      }
      /**
       * Add a network to the service.
       * @param network
       */
      addNetwork(network) {
        this.networks.push(network);
      }
      /**
       * Add a label
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addLabel(name, value) {
        this.labels[name] = value;
      }
    };
    exports2.DockerComposeService = DockerComposeService;
    _a = JSII_RTTI_SYMBOL_1;
    DockerComposeService[_a] = { fqn: "projen.DockerComposeService", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-volume.js
var require_docker_compose_volume2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-volume.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-network.js
var require_docker_compose_network2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/docker-compose-network.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/projen/lib/docker-compose/index.js
var require_docker_compose4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/docker-compose/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_docker_compose_port2(), exports2);
    __exportStar(require_docker_compose_service2(), exports2);
    __exportStar(require_docker_compose_volume2(), exports2);
    __exportStar(require_docker_compose_network2(), exports2);
    __exportStar(require_docker_compose3(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitattributes.js
var require_gitattributes2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitattributes.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitAttributesFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var GitAttributesFile = class extends file_1.FileBase {
      constructor(project) {
        super(project, ".gitattributes", {
          editGitignore: false
        });
        this.attributes = /* @__PURE__ */ new Map();
      }
      /**
       * Maps a set of attributes to a set of files.
       * @param glob Glob pattern to match files in the repo
       * @param attributes Attributes to assign to these files.
       */
      addAttributes(glob, ...attributes) {
        if (!this.attributes.has(glob)) {
          this.attributes.set(glob, /* @__PURE__ */ new Set());
        }
        const set = this.attributes.get(glob);
        for (const attribute of attributes) {
          set.add(attribute);
        }
      }
      /**
       * Add attributes necessary to mark these files as stored in LFS
       */
      addLfsPattern(glob) {
        this.addAttributes(glob, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
      }
      /**
       * Whether the current gitattributes file has any LFS patterns
       */
      get hasLfsPatterns() {
        return Array.from(this.attributes.values()).some((attrs) => attrs.has("filter=lfs"));
      }
      synthesizeContent(_) {
        const entries = Array.from(this.attributes.entries()).sort(([l], [r]) => l.localeCompare(r));
        if (entries.length === 0) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          ...entries.map(([name, attributes]) => `${name} ${Array.from(attributes).join(" ")}`)
        ].join("\n");
      }
    };
    exports2.GitAttributesFile = GitAttributesFile;
    _a = JSII_RTTI_SYMBOL_1;
    GitAttributesFile[_a] = { fqn: "projen.GitAttributesFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitpod.js
var require_gitpod2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitpod.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Gitpod = exports2.GitpodPortVisibility = exports2.GitpodOnOpen = exports2.GitpodOpenIn = exports2.GitpodOpenMode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var yaml_1 = require_yaml2();
    var GITPOD_FILE = ".gitpod.yml";
    var GitpodOpenMode;
    (function(GitpodOpenMode2) {
      GitpodOpenMode2["TAB_AFTER"] = "tab-after";
      GitpodOpenMode2["TAB_BEFORE"] = "tab-before";
      GitpodOpenMode2["SPLIT_RIGHT"] = "split-right";
      GitpodOpenMode2["SPLIT_LEFT"] = "split-left";
      GitpodOpenMode2["SPLIT_TOP"] = "split-top";
      GitpodOpenMode2["SPLIT_BOTTOM"] = "split-bottom";
    })(GitpodOpenMode || (exports2.GitpodOpenMode = GitpodOpenMode = {}));
    var GitpodOpenIn;
    (function(GitpodOpenIn2) {
      GitpodOpenIn2["BOTTOM"] = "bottom";
      GitpodOpenIn2["LEFT"] = "left";
      GitpodOpenIn2["RIGHT"] = "right";
      GitpodOpenIn2["MAIN"] = "main";
    })(GitpodOpenIn || (exports2.GitpodOpenIn = GitpodOpenIn = {}));
    var GitpodOnOpen;
    (function(GitpodOnOpen2) {
      GitpodOnOpen2["OPEN_BROWSER"] = "open-browser";
      GitpodOnOpen2["OPEN_PREVIEW"] = "open-preview";
      GitpodOnOpen2["NOTIFY"] = "notify";
      GitpodOnOpen2["IGNORE"] = "ignore";
    })(GitpodOnOpen || (exports2.GitpodOnOpen = GitpodOnOpen = {}));
    var GitpodPortVisibility;
    (function(GitpodPortVisibility2) {
      GitpodPortVisibility2["PUBLIC"] = "public";
      GitpodPortVisibility2["PRIVATE"] = "private";
    })(GitpodPortVisibility || (exports2.GitpodPortVisibility = GitpodPortVisibility = {}));
    var Gitpod = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.tasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.prebuilds) {
          this.addPrebuilds(options.prebuilds);
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        this.config = {
          image: () => this.renderDockerImage(),
          tasks: this.tasks,
          github: () => this.renderPrebuilds(),
          ports: this.ports,
          vscode: {
            extensions: this.vscodeExtensions
          }
        };
        new yaml_1.YamlFile(this.project, GITPOD_FILE, {
          obj: this.config,
          omitEmpty: true,
          // GitPod needs to read the file from the repository in order to work.
          committed: true
        });
      }
      /**
       * Add a custom Docker image or Dockerfile for the container.
       *
       * @param image The Docker image
       */
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Add tasks to run when gitpod starts.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and specify the other tasks as subtasks.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.tasks.push(...tasks.map((task) => ({
          name: task.name,
          command: `npx projen ${task.name}`
        })));
      }
      /**
       * Add a prebuilds configuration for the Gitpod App
       * @param config The configuration
       */
      addPrebuilds(config) {
        this.prebuilds = config;
      }
      /**
       * Add a task with more granular options.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and set the other tasks as subtasks.
       *
       * @param options The task parameters
       */
      addCustomTask(options) {
        this.tasks.push({
          name: options.name,
          command: options.command,
          openMode: options.openMode,
          openIn: options.openIn,
          before: options.before,
          init: options.init,
          prebuild: options.prebuild
        });
      }
      /**
       * Add ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports.map((port) => ({ port })));
      }
      /**
       * Add a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * These must be in the format defined in the Open VSX registry.
       * @example 'scala-lang.scala@0.3.9:O5XmjwY5Gz+0oDZAmqneJw=='
       * @see https://www.gitpod.io/docs/vscode-extensions/
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      renderDockerImage() {
        if (this.dockerImage?.image) {
          return this.dockerImage.image;
        } else if (this.dockerImage?.dockerFile) {
          return {
            file: this.dockerImage.dockerFile
          };
        } else {
          return void 0;
        }
      }
      renderPrebuilds() {
        if (this.prebuilds) {
          return {
            prebuilds: this.prebuilds
          };
        } else {
          return void 0;
        }
      }
    };
    exports2.Gitpod = Gitpod;
    _a = JSII_RTTI_SYMBOL_1;
    Gitpod[_a] = { fqn: "projen.Gitpod", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/ignore-file.js
var require_ignore_file2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/ignore-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IgnoreFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var IgnoreFile = class extends file_1.FileBase {
      /**
       *
       * @param project The project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param minify - whether comments/blank lines should be filtered
       */
      constructor(project, filePath, options) {
        super(project, filePath, { editGitignore: filePath !== ".gitignore" });
        this._patterns = new Array();
        this.filterCommentLines = options?.filterCommentLines ?? true;
        this.filterEmptyLines = options?.filterEmptyLines ?? true;
      }
      /**
       * Add ignore patterns. Files that match this pattern will be ignored. If the
       * pattern starts with a negation mark `!`, files that match will _not_ be
       * ignored.
       *
       * Comment lines (start with `#`) and blank lines ("") are filtered by default
       * but can be included using options specified when instantiating the component.
       *
       * @param patterns Ignore patterns.
       */
      addPatterns(...patterns) {
        for (const pattern of patterns) {
          const isComment = pattern.startsWith("#");
          const isEmptyLine = Boolean(pattern.trim().length === 0);
          if (isComment && this.filterCommentLines) {
            continue;
          }
          if (isEmptyLine && this.filterEmptyLines) {
            continue;
          }
          if (!isComment && !isEmptyLine) {
            this.normalizePatterns(pattern);
          }
          this._patterns.push(pattern);
        }
      }
      normalizePatterns(pattern) {
        const opposite = pattern.startsWith("!") ? pattern.slice(1) : "!" + pattern;
        remove(this._patterns, pattern);
        remove(this._patterns, opposite);
        if (pattern.endsWith("/")) {
          const prefix = opposite;
          for (const p of [...this._patterns]) {
            if (p.startsWith(prefix)) {
              remove(this._patterns, p);
            }
          }
        }
      }
      /**
       * Removes patterns previously added from the ignore file.
       *
       * If `addPattern()` is called after this, the pattern will be added again.
       *
       * @param patterns patters to remove.
       */
      removePatterns(...patterns) {
        for (const p of patterns) {
          remove(this._patterns, p);
        }
      }
      /**
       * Ignore the files that match these patterns.
       * @param patterns The patterns to match.
       */
      exclude(...patterns) {
        return this.addPatterns(...patterns);
      }
      /**
       * Always include the specified file patterns.
       * @param patterns Patterns to include in git commits.
       */
      include(...patterns) {
        for (let pattern of patterns) {
          if (!pattern.startsWith("!")) {
            pattern = "!" + pattern;
          }
          this.addPatterns(pattern);
        }
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          ...this._patterns
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
    };
    exports2.IgnoreFile = IgnoreFile;
    _a = JSII_RTTI_SYMBOL_1;
    IgnoreFile[_a] = { fqn: "projen.IgnoreFile", version: "0.71.112" };
    function remove(arr, value) {
      const idx = arr.indexOf(value);
      if (idx >= 0) {
        arr.splice(idx, 1);
      }
    }
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/ini/ini.js
var require_ini3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/ini/ini.js"(exports2, module2) {
    var { hasOwnProperty: hasOwnProperty2 } = Object.prototype;
    var eol = typeof process !== "undefined" && process.platform === "win32" ? "\r\n" : "\n";
    var encode = (obj, opt) => {
      const children = [];
      let out = "";
      if (typeof opt === "string") {
        opt = {
          section: opt,
          whitespace: false
        };
      } else {
        opt = opt || /* @__PURE__ */ Object.create(null);
        opt.whitespace = opt.whitespace === true;
      }
      const separator = opt.whitespace ? " = " : "=";
      for (const k of Object.keys(obj)) {
        const val = obj[k];
        if (val && Array.isArray(val)) {
          for (const item of val)
            out += safe(k + "[]") + separator + safe(item) + "\n";
        } else if (val && typeof val === "object")
          children.push(k);
        else
          out += safe(k) + separator + safe(val) + eol;
      }
      if (opt.section && out.length)
        out = "[" + safe(opt.section) + "]" + eol + out;
      for (const k of children) {
        const nk = dotSplit(k).join("\\.");
        const section = (opt.section ? opt.section + "." : "") + nk;
        const { whitespace } = opt;
        const child = encode(obj[k], {
          section,
          whitespace
        });
        if (out.length && child.length)
          out += eol;
        out += child;
      }
      return out;
    };
    var dotSplit = (str) => str.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((part) => part.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, ""));
    var decode = (str) => {
      const out = /* @__PURE__ */ Object.create(null);
      let p = out;
      let section = null;
      const re = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
      const lines = str.split(/[\r\n]+/g);
      for (const line of lines) {
        if (!line || line.match(/^\s*[;#]/))
          continue;
        const match = line.match(re);
        if (!match)
          continue;
        if (match[1] !== void 0) {
          section = unsafe(match[1]);
          if (section === "__proto__") {
            p = /* @__PURE__ */ Object.create(null);
            continue;
          }
          p = out[section] = out[section] || /* @__PURE__ */ Object.create(null);
          continue;
        }
        const keyRaw = unsafe(match[2]);
        const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === "[]";
        const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
        if (key === "__proto__")
          continue;
        const valueRaw = match[3] ? unsafe(match[4]) : true;
        const value = valueRaw === "true" || valueRaw === "false" || valueRaw === "null" ? JSON.parse(valueRaw) : valueRaw;
        if (isArray) {
          if (!hasOwnProperty2.call(p, key))
            p[key] = [];
          else if (!Array.isArray(p[key]))
            p[key] = [p[key]];
        }
        if (Array.isArray(p[key]))
          p[key].push(value);
        else
          p[key] = value;
      }
      const remove = [];
      for (const k of Object.keys(out)) {
        if (!hasOwnProperty2.call(out, k) || typeof out[k] !== "object" || Array.isArray(out[k]))
          continue;
        const parts = dotSplit(k);
        let p2 = out;
        const l = parts.pop();
        const nl = l.replace(/\\\./g, ".");
        for (const part of parts) {
          if (part === "__proto__")
            continue;
          if (!hasOwnProperty2.call(p2, part) || typeof p2[part] !== "object")
            p2[part] = /* @__PURE__ */ Object.create(null);
          p2 = p2[part];
        }
        if (p2 === out && nl === l)
          continue;
        p2[nl] = out[k];
        remove.push(k);
      }
      for (const del of remove)
        delete out[del];
      return out;
    };
    var isQuoted = (val) => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";
    var safe = (val) => typeof val !== "string" || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, "\\;").replace(/#/g, "\\#");
    var unsafe = (val, doUnesc) => {
      val = (val || "").trim();
      if (isQuoted(val)) {
        if (val.charAt(0) === "'")
          val = val.substr(1, val.length - 2);
        try {
          val = JSON.parse(val);
        } catch (_) {
        }
      } else {
        let esc = false;
        let unesc = "";
        for (let i = 0, l = val.length; i < l; i++) {
          const c = val.charAt(i);
          if (esc) {
            if ("\\;#".indexOf(c) !== -1)
              unesc += c;
            else
              unesc += "\\" + c;
            esc = false;
          } else if (";#".indexOf(c) !== -1)
            break;
          else if (c === "\\")
            esc = true;
          else
            unesc += c;
        }
        if (esc)
          unesc += "\\";
        return unesc.trim();
      }
      return val;
    };
    module2.exports = {
      parse: decode,
      decode,
      stringify: encode,
      encode,
      safe,
      unsafe
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/ini.js
var require_ini4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/ini.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IniFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var INI = require_ini3();
    var object_file_1 = require_object_file2();
    var IniFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          INI.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.IniFile = IniFile;
    _a = JSII_RTTI_SYMBOL_1;
    IniFile[_a] = { fqn: "projen.IniFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/logger.js
var require_logger2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/logger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LogLevel = exports2.Logger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var chalk = require_source2();
    var common_1 = require_common5();
    var component_1 = require_component2();
    var logging_1 = require_logging2();
    var util_1 = require_util8();
    var Logger = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const defaultLevel = common_1.IS_TEST_RUN ? LogLevel.OFF : LogLevel.INFO;
        this.level = options.level ?? defaultLevel;
        this.usePrefix = options.usePrefix ?? false;
      }
      /**
       * Log a message to stderr with a given logging level. The message will be
       * printed as long as `logger.level` is set to the message's severity or higher.
       *
       * @param level Logging verbosity
       * @param text strings or objects to print
       */
      log(level, ...text) {
        if (level === LogLevel.OFF) {
          throw new Error("Cannot log a message with level LogLevel.OFF");
        }
        let maxLevel = this.level;
        if ((0, util_1.isTruthy)(process.env.DEBUG) && maxLevel < LogLevel.DEBUG) {
          maxLevel = LogLevel.DEBUG;
        }
        if (level <= maxLevel) {
          const color = this.colorForLogLevel(level) ?? ((...values) => values.join(" "));
          const prefix = this.usePrefix ? `[${this.project.name}] ` : "";
          console.error(`${logging_1.ICON} ${prefix}${color(...text)}`);
        }
      }
      /**
       * Log a message to stderr with VERBOSE severity
       * @param text strings or objects to print
       */
      verbose(...text) {
        this.log(LogLevel.VERBOSE, ...text);
      }
      /**
       * Log a message to stderr with DEBUG severity
       * @param text strings or objects to print
       */
      debug(...text) {
        this.log(LogLevel.DEBUG, ...text);
      }
      /**
       * Log a message to stderr with INFO severity
       * @param text strings or objects to print
       */
      info(...text) {
        this.log(LogLevel.INFO, ...text);
      }
      /**
       * Log a message to stderr with WARN severity
       * @param text strings or objects to print
       */
      warn(...text) {
        this.log(LogLevel.WARN, ...text);
      }
      /**
       * Log a message to stderr with ERROR severity
       * @param text strings or objects to print
       */
      error(...text) {
        this.log(LogLevel.ERROR, ...text);
      }
      colorForLogLevel(level) {
        switch (level) {
          case LogLevel.ERROR:
            return chalk.red;
          case LogLevel.WARN:
            return chalk.yellow;
          case LogLevel.INFO:
            return chalk.cyan;
          case LogLevel.DEBUG:
            return chalk.gray;
          case LogLevel.VERBOSE:
            return chalk.white;
          default:
            return chalk.white;
        }
      }
    };
    exports2.Logger = Logger;
    _a = JSII_RTTI_SYMBOL_1;
    Logger[_a] = { fqn: "projen.Logger", version: "0.71.112" };
    var LogLevel;
    (function(LogLevel2) {
      LogLevel2["OFF"] = "00.off";
      LogLevel2["ERROR"] = "10.error";
      LogLevel2["WARN"] = "20.warn";
      LogLevel2["INFO"] = "30.info";
      LogLevel2["DEBUG"] = "40.debug";
      LogLevel2["VERBOSE"] = "50.verbose";
    })(LogLevel || (exports2.LogLevel = LogLevel = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/license.js
var require_license2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/license.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.License = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var file_1 = require_file2();
    var License = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "LICENSE", {
          marker: false,
          // Allow the license to be displayed in the repositories.
          committed: true
        });
        const spdx = options.spdx;
        const textFile = `${__dirname + "/externals/projen/lib"}/../license-text/${spdx}.txt`;
        if (!fs.existsSync(textFile)) {
          throw new Error(`unsupported license ${spdx}`);
        }
        const years = options.copyrightPeriod ?? (/* @__PURE__ */ new Date()).getFullYear().toString();
        const owner = options.copyrightOwner;
        let text = fs.readFileSync(textFile, "utf-8");
        text = text.replace("$copyright_period", years);
        if (text.indexOf("$copyright_owner") !== -1) {
          if (!owner) {
            throw new Error(`The ${spdx} license requires "copyrightOwner" to be specified`);
          }
          text = text.replace("$copyright_owner", owner);
        }
        this.text = text;
      }
      synthesizeContent(_) {
        return this.text;
      }
    };
    exports2.License = License;
    _a = JSII_RTTI_SYMBOL_1;
    License[_a] = { fqn: "projen.License", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/makefile.js
var require_makefile2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/makefile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Makefile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var Makefile = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        const all = options.all ? options.all : [];
        const rules = options.rules ? options.rules : [];
        rules.forEach((e) => this.validateRule(e));
        this.all = {
          targets: ["all"],
          prerequisites: all,
          phony: true
        };
        this.rules = [this.all, ...rules];
      }
      /**
       * Add a target to all
       */
      addAll(target) {
        this.all.prerequisites.push(target);
        return this;
      }
      /**
       * Add multiple targets to all
       */
      addAlls(...targets) {
        targets.forEach((e) => this.addAll(e));
        return this;
      }
      /**
       * Add a rule to the Makefile.
       */
      addRule(rule) {
        this.validateRule(rule);
        this.rules.push(rule);
        return this;
      }
      /**
       * Add multiple rules to the Makefile.
       */
      addRules(...rules) {
        rules.forEach((e) => this.addRule(e));
        return this;
      }
      validateRule(rule) {
        if (!rule.targets || !rule.targets.length) {
          throw new Error('"targets" cannot be undefined or empty for items in "rules"');
        }
      }
      synthesizeContent(resolver) {
        const rules = resolver.resolve(this.rules);
        const lines = [
          ...rules.map((rule) => {
            const targets = rule.targets.join(" ");
            const prerequisites = (rule.prerequisites ? rule.prerequisites : []).join(" ");
            const recipe = rule.recipe ? rule.recipe : [];
            const phony = rule.phony ? [`.PHONY: ${targets}`] : [];
            return [
              ...phony,
              `${targets}: ${prerequisites}`.trim(),
              ...recipe.map((step) => `	${step}`)
            ].join("\n");
          })
        ];
        return `${lines.join("\n\n")}
`;
      }
    };
    exports2.Makefile = Makefile;
    _a = JSII_RTTI_SYMBOL_1;
    Makefile[_a] = { fqn: "projen.Makefile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/option-hints.js
var require_option_hints2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/option-hints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.InitProjectOptionHints = void 0;
    var InitProjectOptionHints;
    (function(InitProjectOptionHints2) {
      InitProjectOptionHints2["ALL"] = "all";
      InitProjectOptionHints2["FEATURED"] = "featured";
      InitProjectOptionHints2["NONE"] = "none";
    })(InitProjectOptionHints || (exports2.InitProjectOptionHints = InitProjectOptionHints = {}));
  }
});

// ../../components/source-repositories/node_modules/fs.realpath/old.js
var require_old2 = __commonJS({
  "../../components/source-repositories/node_modules/fs.realpath/old.js"(exports2) {
    var pathModule = require("path");
    var isWindows = process.platform === "win32";
    var fs = require("fs");
    var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
    function rethrow() {
      var callback;
      if (DEBUG) {
        var backtrace = new Error();
        callback = debugCallback;
      } else
        callback = missingCallback;
      return callback;
      function debugCallback(err) {
        if (err) {
          backtrace.message = err.message;
          err = backtrace;
          missingCallback(err);
        }
      }
      function missingCallback(err) {
        if (err) {
          if (process.throwDeprecation)
            throw err;
          else if (!process.noDeprecation) {
            var msg = "fs: missing callback " + (err.stack || err.message);
            if (process.traceDeprecation)
              console.trace(msg);
            else
              console.error(msg);
          }
        }
      }
    }
    function maybeCallback(cb) {
      return typeof cb === "function" ? cb : rethrow();
    }
    var normalize = pathModule.normalize;
    if (isWindows) {
      nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
    } else {
      nextPartRe = /(.*?)(?:[\/]+|$)/g;
    }
    var nextPartRe;
    if (isWindows) {
      splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
    } else {
      splitRootRe = /^[\/]*/;
    }
    var splitRootRe;
    exports2.realpathSync = function realpathSync(p, cache) {
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return cache[p];
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstatSync(base);
          knownHard[base] = true;
        }
      }
      while (pos < p.length) {
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          continue;
        }
        var resolvedLink;
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          resolvedLink = cache[base];
        } else {
          var stat = fs.lstatSync(base);
          if (!stat.isSymbolicLink()) {
            knownHard[base] = true;
            if (cache)
              cache[base] = base;
            continue;
          }
          var linkTarget = null;
          if (!isWindows) {
            var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
            if (seenLinks.hasOwnProperty(id)) {
              linkTarget = seenLinks[id];
            }
          }
          if (linkTarget === null) {
            fs.statSync(base);
            linkTarget = fs.readlinkSync(base);
          }
          resolvedLink = pathModule.resolve(previous, linkTarget);
          if (cache)
            cache[base] = resolvedLink;
          if (!isWindows)
            seenLinks[id] = linkTarget;
        }
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
      if (cache)
        cache[original] = p;
      return p;
    };
    exports2.realpath = function realpath(p, cache, cb) {
      if (typeof cb !== "function") {
        cb = maybeCallback(cache);
        cache = null;
      }
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return process.nextTick(cb.bind(null, null, cache[p]));
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstat(base, function(err) {
            if (err)
              return cb(err);
            knownHard[base] = true;
            LOOP();
          });
        } else {
          process.nextTick(LOOP);
        }
      }
      function LOOP() {
        if (pos >= p.length) {
          if (cache)
            cache[original] = p;
          return cb(null, p);
        }
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          return process.nextTick(LOOP);
        }
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          return gotResolvedLink(cache[base]);
        }
        return fs.lstat(base, gotStat);
      }
      function gotStat(err, stat) {
        if (err)
          return cb(err);
        if (!stat.isSymbolicLink()) {
          knownHard[base] = true;
          if (cache)
            cache[base] = base;
          return process.nextTick(LOOP);
        }
        if (!isWindows) {
          var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
          if (seenLinks.hasOwnProperty(id)) {
            return gotTarget(null, seenLinks[id], base);
          }
        }
        fs.stat(base, function(err2) {
          if (err2)
            return cb(err2);
          fs.readlink(base, function(err3, target) {
            if (!isWindows)
              seenLinks[id] = target;
            gotTarget(err3, target);
          });
        });
      }
      function gotTarget(err, target, base2) {
        if (err)
          return cb(err);
        var resolvedLink = pathModule.resolve(previous, target);
        if (cache)
          cache[base2] = resolvedLink;
        gotResolvedLink(resolvedLink);
      }
      function gotResolvedLink(resolvedLink) {
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
    };
  }
});

// ../../components/source-repositories/node_modules/fs.realpath/index.js
var require_fs2 = __commonJS({
  "../../components/source-repositories/node_modules/fs.realpath/index.js"(exports2, module2) {
    module2.exports = realpath;
    realpath.realpath = realpath;
    realpath.sync = realpathSync;
    realpath.realpathSync = realpathSync;
    realpath.monkeypatch = monkeypatch;
    realpath.unmonkeypatch = unmonkeypatch;
    var fs = require("fs");
    var origRealpath = fs.realpath;
    var origRealpathSync = fs.realpathSync;
    var version = process.version;
    var ok = /^v[0-5]\./.test(version);
    var old = require_old2();
    function newError(er) {
      return er && er.syscall === "realpath" && (er.code === "ELOOP" || er.code === "ENOMEM" || er.code === "ENAMETOOLONG");
    }
    function realpath(p, cache, cb) {
      if (ok) {
        return origRealpath(p, cache, cb);
      }
      if (typeof cache === "function") {
        cb = cache;
        cache = null;
      }
      origRealpath(p, cache, function(er, result) {
        if (newError(er)) {
          old.realpath(p, cache, cb);
        } else {
          cb(er, result);
        }
      });
    }
    function realpathSync(p, cache) {
      if (ok) {
        return origRealpathSync(p, cache);
      }
      try {
        return origRealpathSync(p, cache);
      } catch (er) {
        if (newError(er)) {
          return old.realpathSync(p, cache);
        } else {
          throw er;
        }
      }
    }
    function monkeypatch() {
      fs.realpath = realpath;
      fs.realpathSync = realpathSync;
    }
    function unmonkeypatch() {
      fs.realpath = origRealpath;
      fs.realpathSync = origRealpathSync;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/minimatch/lib/path.js
var require_path2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/minimatch/lib/path.js"(exports2, module2) {
    var isWindows = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows ? { sep: "\\" } : { sep: "/" };
  }
});

// ../../components/source-repositories/node_modules/balanced-match/index.js
var require_balanced_match2 = __commonJS({
  "../../components/source-repositories/node_modules/balanced-match/index.js"(exports2, module2) {
    "use strict";
    module2.exports = balanced;
    function balanced(a, b, str) {
      if (a instanceof RegExp)
        a = maybeMatch(a, str);
      if (b instanceof RegExp)
        b = maybeMatch(b, str);
      var r = range(a, b, str);
      return r && {
        start: r[0],
        end: r[1],
        pre: str.slice(0, r[0]),
        body: str.slice(r[0] + a.length, r[1]),
        post: str.slice(r[1] + b.length)
      };
    }
    function maybeMatch(reg, str) {
      var m = str.match(reg);
      return m ? m[0] : null;
    }
    balanced.range = range;
    function range(a, b, str) {
      var begs, beg, left, right, result;
      var ai = str.indexOf(a);
      var bi = str.indexOf(b, ai + 1);
      var i = ai;
      if (ai >= 0 && bi > 0) {
        if (a === b) {
          return [ai, bi];
        }
        begs = [];
        left = str.length;
        while (i >= 0 && !result) {
          if (i == ai) {
            begs.push(i);
            ai = str.indexOf(a, i + 1);
          } else if (begs.length == 1) {
            result = [begs.pop(), bi];
          } else {
            beg = begs.pop();
            if (beg < left) {
              left = beg;
              right = bi;
            }
            bi = str.indexOf(b, i + 1);
          }
          i = ai < bi && ai >= 0 ? ai : bi;
        }
        if (begs.length) {
          result = [left, right];
        }
      }
      return result;
    }
  }
});

// ../../components/source-repositories/node_modules/brace-expansion/index.js
var require_brace_expansion2 = __commonJS({
  "../../components/source-repositories/node_modules/brace-expansion/index.js"(exports2, module2) {
    var balanced = require_balanced_match2();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m = balanced("{", "}", str);
      if (!m)
        return str.split(",");
      var pre = m.pre;
      var body = m.body;
      var post = m.post;
      var p = pre.split(",");
      p[p.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p[p.length - 1] += postParts.shift();
        p.push.apply(p, postParts);
      }
      parts.push.apply(parts, p);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i, y) {
      return i <= y;
    }
    function gte(i, y) {
      return i >= y;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m = balanced("{", "}", str);
      if (!m)
        return [str];
      var pre = m.pre;
      var post = m.post.length ? expand(m.post, false) : [""];
      if (/\$$/.test(m.pre)) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + "{" + m.body + "}" + post[k];
          expansions.push(expansion);
        }
      } else {
        var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
        var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
        var isSequence = isNumericSequence || isAlphaSequence;
        var isOptions = m.body.indexOf(",") >= 0;
        if (!isSequence && !isOptions) {
          if (m.post.match(/,.*\}/)) {
            str = m.pre + "{" + m.body + escClose + m.post;
            return expand(str);
          }
          return [str];
        }
        var n;
        if (isSequence) {
          n = m.body.split(/\.\./);
        } else {
          n = parseCommaParts(m.body);
          if (n.length === 1) {
            n = expand(n[0], false).map(embrace);
            if (n.length === 1) {
              return post.map(function(p) {
                return m.pre + n[0] + p;
              });
            }
          }
        }
        var N;
        if (isSequence) {
          var x = numeric(n[0]);
          var y = numeric(n[1]);
          var width = Math.max(n[0].length, n[1].length);
          var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
          var test = lte;
          var reverse = y < x;
          if (reverse) {
            incr *= -1;
            test = gte;
          }
          var pad = n.some(isPadded);
          N = [];
          for (var i = x; test(i, y); i += incr) {
            var c;
            if (isAlphaSequence) {
              c = String.fromCharCode(i);
              if (c === "\\")
                c = "";
            } else {
              c = String(i);
              if (pad) {
                var need = width - c.length;
                if (need > 0) {
                  var z = new Array(need + 1).join("0");
                  if (i < 0)
                    c = "-" + z + c.slice(1);
                  else
                    c = z + c;
                }
              }
            }
            N.push(c);
          }
        } else {
          N = [];
          for (var j = 0; j < n.length; j++) {
            N.push.apply(N, expand(n[j], false));
          }
        }
        for (var j = 0; j < N.length; j++) {
          for (var k = 0; k < post.length; k++) {
            var expansion = pre + N[j] + post[k];
            if (!isTop || isSequence || expansion)
              expansions.push(expansion);
          }
        }
      }
      return expansions;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/minimatch/minimatch.js
var require_minimatch2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/minimatch/minimatch.js"(exports2, module2) {
    var minimatch = module2.exports = (p, pattern, options = {}) => {
      assertValidPattern(pattern);
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    };
    module2.exports = minimatch;
    var path = require_path2();
    minimatch.sep = path.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion2();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s) => s.split("").reduce((set, c) => {
      set[c] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options = {}) => (p, i, list) => minimatch(p, pattern, options);
    var ext = (a, b = {}) => {
      const t = {};
      Object.keys(a).forEach((k) => t[k] = a[k]);
      Object.keys(b).forEach((k) => t[k] = b[k]);
      return t;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m = (p, pattern, options) => orig(p, pattern, ext(def, options));
      m.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options) {
          super(pattern, ext(def, options));
        }
      };
      m.Minimatch.defaults = (options) => orig.defaults(ext(def, options)).Minimatch;
      m.filter = (pattern, options) => orig.filter(pattern, ext(def, options));
      m.defaults = (options) => orig.defaults(ext(def, options));
      m.makeRe = (pattern, options) => orig.makeRe(pattern, ext(def, options));
      m.braceExpand = (pattern, options) => orig.braceExpand(pattern, ext(def, options));
      m.match = (list, pattern, options) => orig.match(list, pattern, ext(def, options));
      return m;
    };
    minimatch.braceExpand = (pattern, options) => braceExpand(pattern, options);
    var braceExpand = (pattern, options = {}) => {
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options) => new Minimatch(pattern, options || {}).makeRe();
    minimatch.match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options);
      list = list.filter((f) => mm.match(f));
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s) => s.replace(/\\(.)/g, "$1");
    var charUnescape = (s) => s.replace(/\\([^-\]])/g, "$1");
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var braExpEscape = (s) => s.replace(/[[\]\\]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options) {
        assertValidPattern(pattern);
        if (!options)
          options = {};
        this.options = options;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options = this.options;
        if (!options.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options.debug)
          this.debug = (...args) => console.error(...args);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s) => s.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s, si, set2) => s.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s) => s.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i = 0; i < pattern.length && pattern.charAt(i) === "!"; i++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial) {
        var options = this.options;
        this.debug(
          "matchOne",
          { "this": this, file, pattern }
        );
        this.debug("matchOne", file.length, pattern.length);
        for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
          this.debug("matchOne loop");
          var p = pattern[pi];
          var f = file[fi];
          this.debug(pattern, p, f);
          if (p === false)
            return false;
          if (p === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p, f]);
            var fr = fi;
            var pr = pi + 1;
            if (pr === pl) {
              this.debug("** at the end");
              for (; fi < fl; fi++) {
                if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr < fl) {
              var swallowee = file[fr];
              this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug("globstar found match!", fr, fl, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file, fr, pattern, pr);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
              if (fr === fl)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p === "string") {
            hit = f === p;
            this.debug("string match", p, f, hit);
          } else {
            hit = f.match(p);
            this.debug("pattern match", p, f, hit);
          }
          if (!hit)
            return false;
        }
        if (fi === fl && pi === pl) {
          return true;
        } else if (fi === fl) {
          return partial;
        } else if (pi === pl) {
          return fi === fl - 1 && file[fi] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options = this.options;
        if (pattern === "**") {
          if (!options.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re = "";
        let hasMagic = false;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs;
        let pl;
        let sp;
        let dotTravAllowed = pattern.charAt(0) === ".";
        let dotFileAllowed = options.dot || dotTravAllowed;
        const patternStart = () => dotTravAllowed ? "" : dotFileAllowed ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const subPatternStart = (p) => p.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re += star;
                hasMagic = true;
                break;
              case "?":
                re += qmark;
                hasMagic = true;
                break;
              default:
                re += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re);
            stateChar = false;
          }
        };
        for (let i = 0, c; i < pattern.length && (c = pattern.charAt(i)); i++) {
          this.debug("%s	%s %s %j", pattern, i, re, c);
          if (escaping) {
            if (c === "/") {
              return false;
            }
            if (reSpecials[c]) {
              re += "\\";
            }
            re += c;
            escaping = false;
            continue;
          }
          switch (c) {
            case "/": {
              return false;
            }
            case "\\":
              if (inClass && pattern.charAt(i + 1) === "-") {
                re += c;
                continue;
              }
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
              if (inClass) {
                this.debug("  in class");
                if (c === "!" && i === classStart + 1)
                  c = "^";
                re += c;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c;
              if (options.noext)
                clearStateChar();
              continue;
            case "(": {
              if (inClass) {
                re += "(";
                continue;
              }
              if (!stateChar) {
                re += "\\(";
                continue;
              }
              const plEntry = {
                type: stateChar,
                start: i - 1,
                reStart: re.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              };
              this.debug(this.pattern, "	", plEntry);
              patternListStack.push(plEntry);
              re += plEntry.open;
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              this.debug("plType %j %j", stateChar, re);
              stateChar = false;
              continue;
            }
            case ")": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\)";
                continue;
              }
              patternListStack.pop();
              clearStateChar();
              hasMagic = true;
              pl = plEntry;
              re += pl.close;
              if (pl.type === "!") {
                negativeLists.push(Object.assign(pl, { reEnd: re.length }));
              }
              continue;
            }
            case "|": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\|";
                continue;
              }
              clearStateChar();
              re += "|";
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              continue;
            }
            case "[":
              clearStateChar();
              if (inClass) {
                re += "\\" + c;
                continue;
              }
              inClass = true;
              classStart = i;
              reClassStart = re.length;
              re += c;
              continue;
            case "]":
              if (i === classStart + 1 || !inClass) {
                re += "\\" + c;
                continue;
              }
              cs = pattern.substring(classStart + 1, i);
              try {
                RegExp("[" + braExpEscape(charUnescape(cs)) + "]");
                re += c;
              } catch (er) {
                re = re.substring(0, reClassStart) + "(?:$.)";
              }
              hasMagic = true;
              inClass = false;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c] && !(c === "^" && inClass)) {
                re += "\\";
              }
              re += c;
              break;
          }
        }
        if (inClass) {
          cs = pattern.slice(classStart + 1);
          sp = this.parse(cs, SUBPARSE);
          re = re.substring(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
          let tail;
          tail = re.slice(pl.reStart + pl.open.length);
          this.debug("setting tail", re, pl);
          tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_, $1, $2) => {
            if (!$2) {
              $2 = "\\";
            }
            return $1 + $1 + $2 + "|";
          });
          this.debug("tail=%j\n   %s", tail, tail, pl, re);
          const t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
          hasMagic = true;
          re = re.slice(0, pl.reStart) + t + "\\(" + tail;
        }
        clearStateChar();
        if (escaping) {
          re += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re.charAt(0)];
        for (let n = negativeLists.length - 1; n > -1; n--) {
          const nl = negativeLists[n];
          const nlBefore = re.slice(0, nl.reStart);
          const nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re.slice(nl.reEnd);
          const nlLast = re.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const closeParensBefore = nlBefore.split(")").length;
          const openParensBefore = nlBefore.split("(").length - closeParensBefore;
          let cleanAfter = nlAfter;
          for (let i = 0; i < openParensBefore; i++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "(?:$|\\/)" : "";
          re = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re !== "" && hasMagic) {
          re = "(?=.)" + re;
        }
        if (addPatternStart) {
          re = patternStart() + re;
        }
        if (isSub === SUBPARSE) {
          return [re, hasMagic];
        }
        if (options.nocase && !hasMagic) {
          hasMagic = pattern.toUpperCase() !== pattern.toLowerCase();
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re + "$", flags), {
            _glob: pattern,
            _src: re
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options = this.options;
        const twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
        const flags = options.nocase ? "i" : "";
        let re = set.map((pattern) => {
          pattern = pattern.map(
            (p) => typeof p === "string" ? regExpEscape(p) : p === GLOBSTAR ? GLOBSTAR : p._src
          ).reduce((set2, p) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p === GLOBSTAR)) {
              set2.push(p);
            }
            return set2;
          }, []);
          pattern.forEach((p, i) => {
            if (p !== GLOBSTAR || pattern[i - 1] === GLOBSTAR) {
              return;
            }
            if (i === 0) {
              if (pattern.length > 1) {
                pattern[i + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i + 1];
              } else {
                pattern[i] = twoStar;
              }
            } else if (i === pattern.length - 1) {
              pattern[i - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i + 1];
              pattern[i + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p) => p !== GLOBSTAR).join("/");
        }).join("|");
        re = "^(?:" + re + ")$";
        if (this.negate)
          re = "^(?!" + re + ").*$";
        try {
          this.regexp = new RegExp(re, flags);
        } catch (ex) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f, partial = this.partial) {
        this.debug("match", f, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f === "";
        if (f === "/" && partial)
          return true;
        const options = this.options;
        if (path.sep !== "/") {
          f = f.split(path.sep).join("/");
        }
        f = f.split(slashSplit);
        this.debug(this.pattern, "split", f);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i = f.length - 1; i >= 0; i--) {
          filename = f[i];
          if (filename)
            break;
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i];
          let file = f;
          if (options.matchBase && pattern.length === 1) {
            file = [filename];
          }
          const hit = this.matchOne(file, pattern, partial);
          if (hit) {
            if (options.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../../components/source-repositories/node_modules/inherits/inherits_browser.js
var require_inherits_browser2 = __commonJS({
  "../../components/source-repositories/node_modules/inherits/inherits_browser.js"(exports2, module2) {
    if (typeof Object.create === "function") {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          ctor.prototype = Object.create(superCtor.prototype, {
            constructor: {
              value: ctor,
              enumerable: false,
              writable: true,
              configurable: true
            }
          });
        }
      };
    } else {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          var TempCtor = function() {
          };
          TempCtor.prototype = superCtor.prototype;
          ctor.prototype = new TempCtor();
          ctor.prototype.constructor = ctor;
        }
      };
    }
  }
});

// ../../components/source-repositories/node_modules/inherits/inherits.js
var require_inherits2 = __commonJS({
  "../../components/source-repositories/node_modules/inherits/inherits.js"(exports2, module2) {
    try {
      util = require("util");
      if (typeof util.inherits !== "function")
        throw "";
      module2.exports = util.inherits;
    } catch (e) {
      module2.exports = require_inherits_browser2();
    }
    var util;
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/glob/common.js
var require_common6 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/glob/common.js"(exports2) {
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var fs = require("fs");
    var path = require("path");
    var minimatch = require_minimatch2();
    var isAbsolute = require("path").isAbsolute;
    var Minimatch = minimatch.Minimatch;
    function alphasort(a, b) {
      return a.localeCompare(b, "en");
    }
    function setupIgnores(self2, options) {
      self2.ignore = options.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options) {
      if (!options)
        options = {};
      if (options.matchBase && -1 === pattern.indexOf("/")) {
        if (options.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
      if (self2.windowsPathsNoEscape) {
        pattern = pattern.replace(/\\/g, "/");
      }
      self2.silent = !!options.silent;
      self2.pattern = pattern;
      self2.strict = options.strict !== false;
      self2.realpath = !!options.realpath;
      self2.realpathCache = options.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options.follow;
      self2.dot = !!options.dot;
      self2.mark = !!options.mark;
      self2.nodir = !!options.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options.sync;
      self2.nounique = !!options.nounique;
      self2.nonull = !!options.nonull;
      self2.nosort = !!options.nosort;
      self2.nocase = !!options.nocase;
      self2.stat = !!options.stat;
      self2.noprocess = !!options.noprocess;
      self2.absolute = !!options.absolute;
      self2.fs = options.fs || fs;
      self2.maxLength = options.maxLength || Infinity;
      self2.cache = options.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options, "cwd"))
        self2.cwd = path.resolve(cwd);
      else {
        self2.cwd = path.resolve(options.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options.root || path.resolve(self2.cwd, "/");
      self2.root = path.resolve(self2.root);
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      self2.nomount = !!options.nomount;
      if (process.platform === "win32") {
        self2.root = self2.root.replace(/\\/g, "/");
        self2.cwd = self2.cwd.replace(/\\/g, "/");
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      }
      options.nonegate = true;
      options.nocomment = true;
      self2.minimatch = new Minimatch(pattern, options);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i = 0, l = self2.matches.length; i < l; i++) {
        var matches = self2.matches[i];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m = Object.keys(matches);
          if (nou)
            all.push.apply(all, m);
          else
            m.forEach(function(m2) {
              all[m2] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i = 0; i < all.length; i++) {
          all[i] = self2._mark(all[i]);
        }
        if (self2.nodir) {
          all = all.filter(function(e) {
            var notDir = !/\/$/.test(e);
            var c = self2.cache[e] || self2.cache[makeAbs(self2, e)];
            if (notDir && c)
              notDir = c !== "DIR" && !Array.isArray(c);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m2) {
          return !isIgnored(self2, m2);
        });
      self2.found = all;
    }
    function mark(self2, p) {
      var abs = makeAbs(self2, p);
      var c = self2.cache[abs];
      var m = p;
      if (c) {
        var isDir = c === "DIR" || Array.isArray(c);
        var slash = p.slice(-1) === "/";
        if (isDir && !slash)
          m += "/";
        else if (!isDir && slash)
          m = m.slice(0, -1);
        if (m !== p) {
          var mabs = makeAbs(self2, m);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m;
    }
    function makeAbs(self2, f) {
      var abs = f;
      if (f.charAt(0) === "/") {
        abs = path.join(self2.root, f);
      } else if (isAbsolute(f) || f === "") {
        abs = f;
      } else if (self2.changedCwd) {
        abs = path.resolve(self2.cwd, f);
      } else {
        abs = path.resolve(f);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return item.matcher.match(path2) || !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
    function childrenIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/glob/sync.js
var require_sync2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/glob/sync.js"(exports2, module2) {
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var rp = require_fs2();
    var minimatch = require_minimatch2();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob2().Glob;
    var util = require("util");
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var common = require_common6();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options) {
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options).found;
    }
    function GlobSync(pattern, options) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options);
      setopts(this, pattern, options);
      if (this.noprocess)
        return this;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert.ok(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index) {
          var set = self2.matches[index] = /* @__PURE__ */ Object.create(null);
          for (var p in matchset) {
            try {
              p = self2._makeAbs(p);
              var real = rp.realpathSync(p, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index, inGlobStar) {
      assert.ok(this instanceof GlobSync);
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return;
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e];
        else
          newPattern = [e];
        this._process(newPattern.concat(remain), index, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index, e) {
      if (isIgnored(this, e))
        return;
      var abs = this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute) {
        e = abs;
      }
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      if (this.stat)
        this._stat(e);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = this.fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return null;
        if (Array.isArray(c))
          return c;
      }
      try {
        return this._readdirEntries(abs, this.fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            throw error;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index) {
      var exists = this._stat(prefix);
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
    };
    GlobSync.prototype._stat = function(f) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return c;
        if (needDir && c === "FILE")
          return false;
      }
      var exists;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = this.fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = this.fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return false;
      return c;
    };
    GlobSync.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    GlobSync.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
  }
});

// ../../components/source-repositories/node_modules/wrappy/wrappy.js
var require_wrappy2 = __commonJS({
  "../../components/source-repositories/node_modules/wrappy/wrappy.js"(exports2, module2) {
    module2.exports = wrappy;
    function wrappy(fn, cb) {
      if (fn && cb)
        return wrappy(fn)(cb);
      if (typeof fn !== "function")
        throw new TypeError("need wrapper function");
      Object.keys(fn).forEach(function(k) {
        wrapper[k] = fn[k];
      });
      return wrapper;
      function wrapper() {
        var args = new Array(arguments.length);
        for (var i = 0; i < args.length; i++) {
          args[i] = arguments[i];
        }
        var ret = fn.apply(this, args);
        var cb2 = args[args.length - 1];
        if (typeof ret === "function" && ret !== cb2) {
          Object.keys(cb2).forEach(function(k) {
            ret[k] = cb2[k];
          });
        }
        return ret;
      }
    }
  }
});

// ../../components/source-repositories/node_modules/once/once.js
var require_once2 = __commonJS({
  "../../components/source-repositories/node_modules/once/once.js"(exports2, module2) {
    var wrappy = require_wrappy2();
    module2.exports = wrappy(once);
    module2.exports.strict = wrappy(onceStrict);
    once.proto = once(function() {
      Object.defineProperty(Function.prototype, "once", {
        value: function() {
          return once(this);
        },
        configurable: true
      });
      Object.defineProperty(Function.prototype, "onceStrict", {
        value: function() {
          return onceStrict(this);
        },
        configurable: true
      });
    });
    function once(fn) {
      var f = function() {
        if (f.called)
          return f.value;
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      f.called = false;
      return f;
    }
    function onceStrict(fn) {
      var f = function() {
        if (f.called)
          throw new Error(f.onceError);
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      var name = fn.name || "Function wrapped with `once`";
      f.onceError = name + " shouldn't be called more than once";
      f.called = false;
      return f;
    }
  }
});

// ../../components/source-repositories/node_modules/inflight/inflight.js
var require_inflight2 = __commonJS({
  "../../components/source-repositories/node_modules/inflight/inflight.js"(exports2, module2) {
    var wrappy = require_wrappy2();
    var reqs = /* @__PURE__ */ Object.create(null);
    var once = require_once2();
    module2.exports = wrappy(inflight);
    function inflight(key, cb) {
      if (reqs[key]) {
        reqs[key].push(cb);
        return null;
      } else {
        reqs[key] = [cb];
        return makeres(key);
      }
    }
    function makeres(key) {
      return once(function RES() {
        var cbs = reqs[key];
        var len = cbs.length;
        var args = slice(arguments);
        try {
          for (var i = 0; i < len; i++) {
            cbs[i].apply(null, args);
          }
        } finally {
          if (cbs.length > len) {
            cbs.splice(0, len);
            process.nextTick(function() {
              RES.apply(null, args);
            });
          } else {
            delete reqs[key];
          }
        }
      });
    }
    function slice(args) {
      var length = args.length;
      var array = [];
      for (var i = 0; i < length; i++)
        array[i] = args[i];
      return array;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/node_modules/glob/glob.js
var require_glob2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/node_modules/glob/glob.js"(exports2, module2) {
    module2.exports = glob;
    var rp = require_fs2();
    var minimatch = require_minimatch2();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits2();
    var EE = require("events").EventEmitter;
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var globSync = require_sync2();
    var common = require_common6();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight2();
    var util = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once = require_once2();
    function glob(pattern, options, cb) {
      if (typeof options === "function")
        cb = options, options = {};
      if (!options)
        options = {};
      if (options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options);
      }
      return new Glob(pattern, options, cb);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i = keys.length;
      while (i--) {
        origin[keys[i]] = add[keys[i]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options = extend({}, options_);
      options.noprocess = true;
      var g = new Glob(pattern, options);
      var set = g.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j = 0; j < set[0].length; j++) {
        if (typeof set[0][j] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options, cb) {
      if (typeof options === "function") {
        cb = options;
        options = null;
      }
      if (options && options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options, cb);
      setopts(this, pattern, options);
      this._didRealPath = false;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      if (typeof cb === "function") {
        cb = once(cb);
        this.on("error", cb);
        this.on("end", function(matches) {
          cb(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n === 0)
        return done();
      var sync = true;
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false, done);
      }
      sync = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n = this.matches.length;
      if (n === 0)
        return this._finish();
      var self2 = this;
      for (var i = 0; i < this.matches.length; i++)
        this._realpathSet(i, next);
      function next() {
        if (--n === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index, cb) {
      var matchset = this.matches[index];
      if (!matchset)
        return cb();
      var found = Object.keys(matchset);
      var self2 = this;
      var n = found.length;
      if (n === 0)
        return cb();
      var set = this.matches[index] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p, i) {
        p = self2._makeAbs(p);
        rp.realpath(p, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p] = true;
          else
            self2.emit("error", er);
          if (--n === 0) {
            self2.matches[index] = set;
            cb();
          }
        });
      });
    };
    Glob.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    Glob.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i = 0; i < eq.length; i++) {
            var e = eq[i];
            this._emitMatch(e[0], e[1]);
          }
        }
        if (this._processQueue.length) {
          var pq = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i = 0; i < pq.length; i++) {
            var p = pq[i];
            this._processing--;
            this._process(p[0], p[1], p[2], p[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index, inGlobStar, cb) {
      assert(this instanceof Glob);
      assert(typeof cb === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index, inGlobStar, cb]);
        return;
      }
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index, cb);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return cb();
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e = prefix + "/" + e;
          else
            e = prefix + e;
        }
        this._process([e].concat(remain), index, inGlobStar, cb);
      }
      cb();
    };
    Glob.prototype._emitMatch = function(index, e) {
      if (this.aborted)
        return;
      if (isIgnored(this, e))
        return;
      if (this.paused) {
        this._emitQueue.push([index, e]);
        return;
      }
      var abs = isAbsolute(e) ? e : this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute)
        e = abs;
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e, st);
      this.emit("match", e);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        self2.fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb();
        } else
          self2._readdir(abs, false, cb);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb) {
      if (this.aborted)
        return;
      cb = inflight("readdir\0" + abs + "\0" + inGlobStar, cb);
      if (!cb)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return cb();
        if (Array.isArray(c))
          return cb(null, c);
      }
      var self2 = this;
      self2.fs.readdir(abs, readdirCb(this, abs, cb));
    };
    function readdirCb(self2, abs, cb) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb);
        else
          self2._readdirEntries(abs, entries, cb);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return cb(null, entries);
    };
    Glob.prototype._readdirError = function(f, er, cb) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            this.emit("error", error);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false, cb);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb();
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true, cb);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true, cb);
      }
      cb();
    };
    Glob.prototype._processSimple = function(prefix, index, cb) {
      var self2 = this;
      this._stat(prefix, function(er, exists) {
        self2._processSimple2(prefix, index, er, exists, cb);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index, er, exists, cb) {
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return cb();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
      cb();
    };
    Glob.prototype._stat = function(f, cb) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return cb();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return cb(null, c);
        if (needDir && c === "FILE")
          return cb();
      }
      var exists;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb();
          else
            return cb(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        self2.fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return self2.fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f, abs, null, lstat, cb);
            else
              self2._stat2(f, abs, er2, stat2, cb);
          });
        } else {
          self2._stat2(f, abs, er, lstat, cb);
        }
      }
    };
    Glob.prototype._stat2 = function(f, abs, er, stat, cb) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb();
      }
      var needDir = f.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb(null, false, stat);
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return cb();
      return cb(null, c, stat);
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cleanup.js
var require_cleanup2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cleanup.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.cleanup = exports2.FILE_MANIFEST = void 0;
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob2();
    var common_1 = require_common5();
    var logging = require_logging2();
    exports2.FILE_MANIFEST = `${common_1.PROJEN_DIR}/files.json`;
    function cleanup(dir, newFiles, exclude) {
      try {
        const manifestFiles = getFilesFromManifest(dir);
        if (manifestFiles.length > 0) {
          removeFiles(findOrphanedFiles(dir, manifestFiles, newFiles));
        } else {
          removeFiles(findGeneratedFiles(dir, exclude));
        }
      } catch (e) {
        logging.warn(`warning: failed to clean up generated files: ${e.stack}`);
      }
    }
    exports2.cleanup = cleanup;
    function removeFiles(files) {
      for (const file of files) {
        fs.rmSync(file, { force: true, recursive: true });
      }
    }
    function findGeneratedFiles(dir, exclude) {
      const ignore = [
        ...readGitIgnore(dir),
        "node_modules/**",
        ...exclude,
        ".git/**"
      ];
      const files = glob.sync("**", {
        ignore,
        cwd: dir,
        dot: true,
        nodir: true,
        absolute: true
      });
      const generated = new Array();
      for (const file of files) {
        const contents = fs.readFileSync(file, "utf-8");
        if (contents.includes(common_1.PROJEN_MARKER)) {
          generated.push(file);
        }
      }
      return generated;
    }
    function findOrphanedFiles(dir, oldFiles, newFiles) {
      return oldFiles.filter((old) => !newFiles.includes(old)).map((f) => path.resolve(dir, f));
    }
    function getFilesFromManifest(dir) {
      try {
        const fileManifestPath = path.resolve(dir, exports2.FILE_MANIFEST);
        if (fs.existsSync(fileManifestPath)) {
          const fileManifest = JSON.parse(fs.readFileSync(fileManifestPath, "utf-8"));
          if (fileManifest.files) {
            return fileManifest.files;
          }
        }
      } catch (e) {
        logging.warn(`warning: unable to get files to clean from file manifest: ${e.stack}`);
      }
      return [];
    }
    function readGitIgnore(dir) {
      const filepath = path.join(dir, ".gitignore");
      if (!fs.existsSync(filepath)) {
        return [];
      }
      return fs.readFileSync(filepath, "utf-8").split("\n").filter((x) => x?.trim() !== "").filter((x) => !x.startsWith("#") && !x.startsWith("!")).map((x) => x.replace(/^\//, "")).map((x) => `${x}
${x}/**`).join("\n").split("\n");
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/inventory.js
var require_inventory2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/inventory.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readJsiiManifest = exports2.toProjectType = exports2.resolveProjectType = exports2.readManifest = exports2.discover = void 0;
    var fs = require("fs");
    var path = require("path");
    var zlib_1 = require("zlib");
    var case_1 = require_Case2();
    var PROJEN_MODULE_ROOT = path.join(__dirname + "/externals/projen/lib", "..");
    var PROJECT_BASE_FQN = "projen.Project";
    function discover(...moduleDirs) {
      const jsii = discoverJsiiTypes(...moduleDirs);
      const result = new Array();
      for (const fqn of Object.keys(jsii)) {
        if (isProjectType(jsii, fqn)) {
          const p = toProjectType(jsii, fqn);
          result.push(p);
        }
      }
      return result.sort((r1, r2) => r1.pjid.localeCompare(r2.pjid));
    }
    exports2.discover = discover;
    function readManifest(dir) {
      const jsiiFile = path.join(dir, ".jsii");
      if (!fs.existsSync(jsiiFile)) {
        return void 0;
      }
      let manifest = JSON.parse(fs.readFileSync(jsiiFile, "utf-8"));
      if (manifest.schema === "jsii/file-redirect") {
        const compressedFile = path.join(dir, manifest.filename);
        if (!fs.existsSync(compressedFile)) {
          throw new Error(`${compressedFile} does not exist.`);
        }
        switch (manifest.compression) {
          case "gzip":
            manifest = JSON.parse((0, zlib_1.unzipSync)(fs.readFileSync(compressedFile)).toString());
            break;
          default:
            throw new Error(`Unsupported compression format: ${manifest.compression}`);
        }
      }
      return manifest;
    }
    exports2.readManifest = readManifest;
    function discoverJsiiTypes(...moduleDirs) {
      const jsii = {};
      const discoveredManifests = [];
      const discoverJsii = (dir) => {
        const manifest = readManifest(dir);
        if (!manifest) {
          return;
        }
        if (discoveredManifests.includes(manifest.fingerprint)) {
          return;
        }
        discoveredManifests.push(manifest.fingerprint);
        for (const [fqn, type] of Object.entries(manifest.types)) {
          jsii[fqn] = {
            ...type
          };
        }
        if (manifest.dependencies) {
          for (const dependency of Object.keys(manifest.dependencies)) {
            const nestedDependencyFolder = path.dirname(require.resolve(`${dependency}/package.json`, {
              paths: [dir]
            }));
            if (fs.existsSync(nestedDependencyFolder)) {
              discoverJsii(nestedDependencyFolder);
            }
          }
        }
      };
      for (const dir of [...moduleDirs, PROJEN_MODULE_ROOT]) {
        discoverJsii(dir);
        if (dir.includes("@") && fs.lstatSync(dir).isDirectory()) {
          const childDirs = fs.readdirSync(dir).map((file) => path.join(dir, file));
          for (const child of childDirs) {
            discoverJsii(child);
          }
        }
      }
      return jsii;
    }
    function resolveProjectType(projectFqn) {
      let [moduleName] = projectFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`, {
        paths: [process.cwd()]
      });
      const moduleFolder = path.dirname(jsiiManifestFile);
      const jsii = discoverJsiiTypes(moduleFolder);
      return toProjectType(jsii, projectFqn);
    }
    exports2.resolveProjectType = resolveProjectType;
    function toProjectType(jsii, fqn) {
      if (!isProjectType(jsii, fqn)) {
        throw new Error(`Fully qualified name "${fqn}" is not a valid project type.`);
      }
      const typeinfo = jsii[fqn];
      const typename = fqn.substring(fqn.indexOf(".") + 1);
      const docsurl = `https://projen.io/api/API.html#projen-${typename.toLocaleLowerCase().replace(/\./g, "-")}`;
      let pjid = typeinfo.docs?.custom?.pjid ?? (0, case_1.snake)(typename).replace(/_project$/, "");
      return {
        moduleName: typeinfo.assembly,
        typename,
        pjid,
        fqn,
        options: discoverOptions(jsii, fqn),
        docs: typeinfo.docs?.summary,
        docsurl
      };
    }
    exports2.toProjectType = toProjectType;
    function readJsiiManifest(jsiiFqn) {
      let [moduleName] = jsiiFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`);
      return JSON.parse(fs.readFileSync(jsiiManifestFile, "utf-8"));
    }
    exports2.readJsiiManifest = readJsiiManifest;
    function discoverOptions(jsii, fqn) {
      const options = {};
      const params = jsii[fqn]?.initializer?.parameters ?? [];
      const optionsParam = params[0];
      const optionsTypeFqn = optionsParam?.type?.fqn;
      if (params.length > 1 || params.length === 1 && optionsParam?.name !== "options") {
        throw new Error(`constructor for project ${fqn} must have a single "options" argument of a struct type. got ${JSON.stringify(params)}`);
      }
      addOptions(optionsTypeFqn);
      const opts = Object.values(options);
      return opts.sort((a, b) => a.name.localeCompare(b.name));
      function addOptions(ofqn, basePath = [], optional = false) {
        if (!ofqn) {
          return;
        }
        const struct = jsii[ofqn];
        if (!struct) {
          throw new Error(`unable to find options type ${ofqn} for project ${fqn}`);
        }
        for (const prop of struct.properties ?? []) {
          const propPath = [...basePath, prop.name];
          if (prop.name in options) {
            throw new Error(`duplicate option "${prop.name}" in ${fqn} (already declared in ${options[prop.name].parent})`);
          }
          let jsiiKind;
          if (prop.type?.fqn) {
            jsiiKind = jsii[prop.type?.fqn].kind;
          }
          const isOptional = optional || prop.optional;
          const defaultValue = sanitizeValue(prop.docs?.default);
          const pjnew = sanitizeValue(prop.docs?.custom?.pjnew);
          const initialValue = getInitialValue(defaultValue, pjnew, isOptional);
          if (initialValue) {
            checkDefaultIsParsable(prop.name, initialValue, prop.type);
          }
          options[prop.name] = filterUndefined({
            path: propPath,
            parent: struct.name,
            name: prop.name,
            fqn: prop.type?.fqn,
            docs: prop.docs.summary,
            simpleType: prop.type ? getSimpleTypeName(prop.type) : "unknown",
            fullType: prop.type,
            kind: jsiiKind,
            jsonLike: prop.type ? isJsonLike(jsii, prop.type) : void 0,
            switch: propPath.map((p) => (0, case_1.snake)(p).replace(/_/g, "-")).join("-"),
            default: defaultValue,
            initialValue,
            optional: isOptional,
            featured: prop.docs?.custom?.featured === "true",
            deprecated: prop.docs.stability === "deprecated" ? true : void 0
          });
        }
        for (const ifc of struct.interfaces ?? []) {
          addOptions(ifc);
        }
      }
    }
    function getInitialValue(defaultValue, pjnew, isOptional = false) {
      if (pjnew) {
        return pjnew;
      }
      if (!isOptional) {
        return defaultValue;
      }
      return void 0;
    }
    function sanitizeValue(val) {
      if (val === "undefined") {
        return void 0;
      }
      return val;
    }
    function getSimpleTypeName(type) {
      if (type?.primitive) {
        return type.primitive;
      } else if (type?.fqn) {
        return type.fqn.split(".").pop();
      } else {
        return "unknown";
      }
    }
    function isJsonLike(jsii, type) {
      if (type.primitive) {
        return true;
      } else if (type.fqn) {
        const kind = jsii[type.fqn].kind;
        if (["interface", "enum"].includes(kind)) {
          return true;
        }
      } else if (type.collection) {
        return isJsonLike(jsii, type.collection.elementtype);
      }
      return false;
    }
    function filterUndefined(obj) {
      const ret = {};
      for (const [k, v] of Object.entries(obj)) {
        if (v !== void 0) {
          ret[k] = v;
        }
      }
      return ret;
    }
    function isProjectType(jsii, fqn) {
      const type = jsii[fqn];
      if (!type) {
        throw new Error(`Could not find project type with fqn "${fqn}" in  .jsii file.`);
      }
      if (type.kind !== "class") {
        return false;
      }
      if (type.abstract) {
        return false;
      }
      if (type.docs?.deprecated) {
        return false;
      }
      let curr = type;
      while (true) {
        if (curr.fqn === PROJECT_BASE_FQN) {
          return true;
        }
        if (!curr.base) {
          return false;
        }
        curr = jsii[curr.base];
        if (!curr) {
          return false;
        }
      }
    }
    function isPrimitiveArray({ collection }) {
      return Boolean(collection?.kind === "array" && collection?.elementtype.primitive);
    }
    function isPrimitiveOrPrimitiveArray(type) {
      return Boolean(type?.primitive || isPrimitiveArray(type));
    }
    function checkDefaultIsParsable(prop, value, type) {
      if (!(type && isPrimitiveOrPrimitiveArray(type))) {
        throw new Error(`required option "${prop}" with a @default must use primitive types (string, number and boolean) or a primitive array. type found is: ${JSON.stringify(type)}`);
      }
      if (value.startsWith("$")) {
        return;
      }
      try {
        const parsed = JSON.parse(value);
        if (typeof parsed === type.primitive) {
          return;
        }
        if (Array.isArray(parsed) && isPrimitiveArray(type)) {
          if (parsed.length === 0) {
            return;
          }
          if (typeof parsed[0] === type?.collection?.elementtype.primitive) {
            return;
          }
        }
        throw new Error(`cannot parse @default value for mandatory option ${prop} as a ${type}: ${parsed}`);
      } catch (e) {
        throw new Error(`unable to JSON.parse() value "${value}" specified as @default for mandatory option "${prop}": ${e.message}`);
      }
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/render-options.js
var require_render_options2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/render-options.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderJavaScriptOptions = exports2.ModuleImports = exports2.resolveInitProject = exports2.renderProjenInitOptions = void 0;
    var inventory = require_inventory2();
    var option_hints_1 = require_option_hints2();
    var PROJEN_NEW = "__new__";
    var TAB = makePadding(2);
    function renderProjenInitOptions(fqn, args, comments = option_hints_1.InitProjectOptionHints.NONE) {
      return {
        ...args,
        [PROJEN_NEW]: { fqn, args, comments }
      };
    }
    exports2.renderProjenInitOptions = renderProjenInitOptions;
    function resolveInitProject(opts) {
      const f = opts[PROJEN_NEW];
      if (!f) {
        return void 0;
      }
      const type = inventory.resolveProjectType(f.fqn);
      if (!type) {
        throw new Error(`unable to resolve project type for ${f.fqn}`);
      }
      return {
        args: f.args,
        fqn: f.fqn,
        type,
        comments: f.comments
      };
    }
    exports2.resolveInitProject = resolveInitProject;
    var ModuleImports = class {
      constructor() {
        this.imports = /* @__PURE__ */ new Map();
      }
      /**
       * Add a named import from a module
       */
      add(moduleName, importName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        moduleImports.add(importName);
        this.imports.set(moduleName, moduleImports);
      }
      /**
       * Get all named imports for a module
       */
      get(moduleName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        return Array.from(moduleImports);
      }
      /**
       * Get a list of all used modules
       */
      get modules() {
        return Array.from(this.imports.keys());
      }
      /**
       * Return all imports as ESM import statements
       */
      asEsmImports() {
        return this.all().map(([moduleName, namedImports]) => `import { ${[...namedImports].join(", ")} } from "${moduleName}";`);
      }
      /**
       * Return all imports as CJS require statements
       */
      asCjsRequire() {
        return this.all().map(([moduleName, namedImports]) => `const { ${[...namedImports].join(", ")} } = require("${moduleName}");`);
      }
      all() {
        const allImports = Object.fromEntries(this.imports);
        return Object.entries(allImports).map(([key, value]) => [
          key,
          Array.from(value).sort()
        ]);
      }
    };
    exports2.ModuleImports = ModuleImports;
    function renderJavaScriptOptions(opts) {
      const renders = {};
      const optionsWithDefaults = [];
      const allImports = new ModuleImports();
      for (const option of opts.type.options) {
        if (option.deprecated) {
          continue;
        }
        const optionName = option.name;
        if (opts.args[optionName] !== void 0) {
          const arg = opts.args[optionName];
          const { js, moduleName, importName } = renderArgAsJavaScript(arg, option);
          renders[optionName] = `${optionName}: ${js},`;
          optionsWithDefaults.push(optionName);
          if (moduleName && importName) {
            allImports.add(moduleName, importName);
            if (opts.prefixImports) {
              const prefix = `${opts.prefixImports}["${moduleName}"].`;
              renders[optionName] = `${optionName}: ${prefix}${js},`;
            }
          }
        } else {
          const defaultValue = option.default?.startsWith("-") ? void 0 : option.default ?? void 0;
          renders[optionName] = `// ${optionName}: ${defaultValue},`;
        }
      }
      const bootstrap = opts.bootstrap ?? false;
      if (bootstrap) {
        for (const arg of opts.omitFromBootstrap ?? []) {
          delete opts.args[arg];
        }
        renders[PROJEN_NEW] = `${PROJEN_NEW}: ${JSON.stringify({
          args: opts.args,
          fqn: opts.type.fqn,
          comments: opts.comments
        })},`;
        optionsWithDefaults.push(PROJEN_NEW);
      }
      const result = [];
      result.push("{");
      optionsWithDefaults.sort();
      for (const optionName of optionsWithDefaults) {
        result.push(`${TAB}${renders[optionName]}`);
      }
      if (result.length > 1) {
        result.push("");
      }
      if (opts.comments === option_hints_1.InitProjectOptionHints.ALL) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0);
        result.push(...renderCommentedOptionsByModule(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.FEATURED) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0 && opt.featured);
        result.push(...renderCommentedOptionsInOrder(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.NONE) {
      }
      if (result[result.length - 1] === "") {
        result.pop();
      }
      result.push("}");
      return { renderedOptions: result.join("\n"), imports: allImports };
    }
    exports2.renderJavaScriptOptions = renderJavaScriptOptions;
    function renderCommentedOptionsByModule(renders, options) {
      const optionsByModule = {};
      for (const option of options) {
        const parentModule = option.parent;
        optionsByModule[parentModule] = optionsByModule[parentModule] ?? [];
        optionsByModule[parentModule].push(option);
      }
      for (const parentModule in optionsByModule) {
        optionsByModule[parentModule].sort((o1, o2) => o1.name.localeCompare(o2.name));
      }
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const [moduleName, optionGroup] of Object.entries(optionsByModule).sort()) {
        result.push(`${TAB}/* ${moduleName} */`);
        for (const option of optionGroup) {
          const paramRender = renders[option.name];
          const docstring = option.docs || "No documentation found.";
          result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
        }
        result.push("");
      }
      return result;
    }
    function renderCommentedOptionsInOrder(renders, options) {
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const option of options) {
        const paramRender = renders[option.name];
        const docstring = option.docs || "No documentation found.";
        result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
      }
      return result;
    }
    function renderArgAsJavaScript(arg, option) {
      if (option.kind === "enum") {
        if (!option.fqn) {
          throw new Error(`fqn field is missing from enum option ${option.name}`);
        }
        const parts = option.fqn.split(".");
        const enumChoice = String(arg).toUpperCase().replace(/-/g, "_");
        const js = `${parts.slice(1).join(".")}.${enumChoice}`;
        const moduleName = parts[0];
        const importName = parts[1];
        return { js, moduleName, importName };
      } else if (option.jsonLike) {
        return { js: JSON.stringify(arg) };
      } else {
        throw new Error(`Unexpected option ${option.name} - cannot render a value for this option because it does not have a JSON-like type.`);
      }
    }
    function makePadding(paddingLength) {
      return " ".repeat(paddingLength);
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/project-build.js
var require_project_build2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/project-build.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectBuild = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var ProjectBuild = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.preCompileTask = project.tasks.addTask("pre-compile", {
          description: "Prepare the project for compilation"
        });
        this.compileTask = project.tasks.addTask("compile", {
          description: "Only compile"
        });
        this.postCompileTask = project.tasks.addTask("post-compile", {
          description: "Runs after successful compilation"
        });
        this.testTask = project.tasks.addTask("test", {
          description: "Run tests"
        });
        this.packageTask = project.tasks.addTask("package", {
          description: "Creates the distribution package"
        });
        this.buildTask = project.tasks.addTask("build", {
          description: "Full release build"
        });
        if (!this.project.parent && this.project.defaultTask) {
          this.buildTask.spawn(this.project.defaultTask);
        }
        this.buildTask.spawn(this.preCompileTask);
        this.buildTask.spawn(this.compileTask);
        this.buildTask.spawn(this.postCompileTask);
        this.buildTask.spawn(this.testTask);
        this.buildTask.spawn(this.packageTask);
        this.buildTask.lock();
      }
    };
    exports2.ProjectBuild = ProjectBuild;
    _a = JSII_RTTI_SYMBOL_1;
    ProjectBuild[_a] = { fqn: "projen.ProjectBuild", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/projenrc-json.js
var require_projenrc_json2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/projenrc-json.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = exports2.ProjenrcJson = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var projenrc_1 = require_projenrc6();
    var ProjenrcJson = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.json";
        project.defaultTask?.env("FILENAME", this.filePath);
        project.defaultTask?.builtin("run-projenrc-json");
        this.generateProjenrc();
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const json = {
          type: bootstrap.fqn,
          ...bootstrap.args
        };
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, JSON.stringify(json, null, 2));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcJson = ProjenrcJson;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcJson[_a] = { fqn: "projen.ProjenrcJson", version: "0.71.112" };
    var Projenrc = class extends ProjenrcJson {
    };
    exports2.Projenrc = Projenrc;
    _b = JSII_RTTI_SYMBOL_1;
    Projenrc[_b] = { fqn: "projen.Projenrc", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/renovatebot.js
var require_renovatebot2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/renovatebot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Renovatebot = exports2.RenovatebotScheduleInterval = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var json_1 = require_json3();
    var RenovatebotScheduleInterval;
    (function(RenovatebotScheduleInterval2) {
      RenovatebotScheduleInterval2["ANY_TIME"] = "at any time";
      RenovatebotScheduleInterval2["EARLY_MONDAYS"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["DAILY"] = "before 2am";
      RenovatebotScheduleInterval2["WEEKLY"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["MONTHLY"] = "before 3am on the first day of the month";
      RenovatebotScheduleInterval2["QUARTERLY"] = "every 3 months on the first day of the month";
      RenovatebotScheduleInterval2["WEEKENDS"] = "every weekend";
      RenovatebotScheduleInterval2["WEEKDAYS"] = "every weekday";
    })(RenovatebotScheduleInterval || (exports2.RenovatebotScheduleInterval = RenovatebotScheduleInterval = {}));
    var Renovatebot = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this._project = project;
        this.explicitIgnores = options.ignore ?? [];
        this.labels = options.labels;
        this.scheduleInterval = options.scheduleInterval ?? [
          RenovatebotScheduleInterval.ANY_TIME
        ];
        (options.ignoreProjen ?? true) && this.explicitIgnores.push("projen");
        this.overrideConfig = options.overrideConfig ?? {};
        this.marker = options.marker ?? true;
      }
      // create actual file only here, so we know that all dependencies are added to the project
      preSynthesize() {
        this.createRenovateConfiguration();
      }
      createRenovateConfiguration() {
        const renovateIgnore = [
          ...new Set(this._project.deps.all.filter((dep) => dep.version || dep.type === dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(this.explicitIgnores))
        ];
        const config = {
          labels: this.labels,
          schedule: this.scheduleInterval,
          extends: [
            ":preserveSemverRanges",
            "config:base",
            "group:allNonMajor",
            "group:recommended",
            "group:monorepos"
          ],
          packageRules: [
            {
              matchDepTypes: ["devDependencies"],
              matchUpdateTypes: ["patch", "minor"],
              groupName: "devDependencies (non-major)"
            }
          ],
          ignoreDeps: renovateIgnore,
          ...this.overrideConfig
        };
        new json_1.JsonFile(this._project, "renovate.json5", {
          obj: config,
          committed: true,
          marker: this.marker
        });
      }
    };
    exports2.Renovatebot = Renovatebot;
    _a = JSII_RTTI_SYMBOL_1;
    Renovatebot[_a] = { fqn: "projen.Renovatebot", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/task.js
var require_task2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/task.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Task = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var logging_1 = require_logging2();
    var Task = class {
      constructor(name, props = {}) {
        this.name = name;
        this._description = props.description;
        this._conditions = props.condition ? [props.condition] : [];
        this.cwd = props.cwd;
        this._locked = false;
        this._env = props.env ?? {};
        this._steps = props.steps ?? [];
        this.requiredEnv = props.requiredEnv;
        if (props.exec && props.steps) {
          throw new Error("cannot specify both exec and steps");
        }
        if (props.exec) {
          this.exec(props.exec, { receiveArgs: props.receiveArgs });
        }
      }
      /**
       * Forbid additional changes to this task.
       */
      lock() {
        this._locked = true;
      }
      /**
       * Returns the description of this task.
       */
      get description() {
        return this._description;
      }
      /**
       * Sets the description of this task.
       */
      set description(desc) {
        this._description = desc;
      }
      /**
       * A command to execute which determines if the task should be skipped. If it
       * returns a zero exit code, the task will not be executed.
       */
      get condition() {
        if (this._conditions?.length) {
          return this._conditions.join(" && ");
        }
        return void 0;
      }
      /**
       * Add a command to execute which determines if the task should be skipped.
       *
       * If a condition already exists, the new condition will be appended with ` && ` delimiter.
       * @param condition The command to execute.
       * @see {@link Task.condition}
       */
      addCondition(...condition) {
        this._conditions.push(...condition);
      }
      /**
       * Reset the task so it no longer has any commands.
       * @param command the first command to add to the task after it was cleared.
       */
      reset(command, options = {}) {
        this.assertUnlocked();
        while (this._steps.length) {
          this._steps.shift();
        }
        if (command) {
          this.exec(command, options);
        }
      }
      /**
       * Executes a shell command
       * @param command Shell command
       * @param options Options
       */
      exec(command, options = {}) {
        this.assertUnlocked();
        this._steps.push({ exec: command, ...options });
      }
      /**
       * Execute a builtin task.
       *
       * Builtin tasks are programs bundled as part of projen itself and used as
       * helpers for various components.
       *
       * In the future we should support built-in tasks from external modules.
       *
       * @param name The name of the builtin task to execute (e.g.
       * `release/resolve-version`).
       */
      builtin(name) {
        this.assertUnlocked();
        this._steps.push({ builtin: name });
      }
      /**
       * Say something.
       * @param message Your message
       * @param options Options
       */
      say(message, options = {}) {
        this.assertUnlocked();
        this._steps.push({ say: message, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       *
       * @deprecated use `prependExec()`
       */
      prepend(shell, options = {}) {
        this.assertUnlocked();
        this.prependExec(shell, options);
      }
      /**
       * Spawns a sub-task.
       * @param subtask The subtask to execute.
       */
      spawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.push({ spawn: subtask.name, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       */
      prependExec(shell, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          exec: shell,
          ...options
        });
      }
      /**
       * Adds a spawn instruction at the beginning of the task.
       * @param subtask The subtask to execute.
       */
      prependSpawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          spawn: subtask.name,
          ...options
        });
      }
      /**
       * Says something at the beginning of the task.
       * @param message Your message
       */
      prependSay(message, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          say: message,
          ...options
        });
      }
      /**
       * Adds an environment variable to this task.
       * @param name The name of the variable
       * @param value The value. If the value is surrounded by `$()`, we will
       * evaluate it within a subshell and use the result as the value of the
       * environment variable.
       */
      env(name, value) {
        this.assertUnlocked();
        this._env[name] = value;
      }
      /**
       * Returns an immutable copy of all the step specifications of the task.
       */
      get steps() {
        if (!Array.isArray(this._steps)) {
          return [];
        }
        return [...this._steps];
      }
      /**
       * Renders a task spec into the manifest.
       *
       * @internal
       */
      _renderSpec() {
        const env = Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
        const steps = Array.isArray(this._steps) ? [...this._steps].map((s) => {
          return s.env ? {
            ...s,
            env: Object.keys(s.env).reduce((prev, curr) => ({
              ...prev,
              [curr]: this.getEnvString(curr, s.env[curr])
            }), {})
          } : s;
        }) : this._steps;
        return {
          name: this.name,
          description: this.description,
          env,
          requiredEnv: this.requiredEnv,
          steps,
          condition: this.condition,
          cwd: this.cwd
        };
      }
      assertUnlocked() {
        if (this._locked) {
          throw new Error(`Task "${this.name}" is locked for changes`);
        }
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Task = Task;
    _a = JSII_RTTI_SYMBOL_1;
    Task[_a] = { fqn: "projen.Task", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/task-runtime.js
var require_task_runtime2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/task-runtime.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskRuntime = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var child_process_1 = require("child_process");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path_1 = require("path");
    var path = require("path");
    var util_1 = require("util");
    var chalk_1 = require_source2();
    var common_1 = require_common5();
    var logging = require_logging2();
    var ENV_TRIM_LEN = 20;
    var ARGS_MARKER = "$@";
    var TaskRuntime = class _TaskRuntime {
      constructor(workdir) {
        this.workdir = (0, path_1.resolve)(workdir);
        const manifestPath = (0, path_1.join)(this.workdir, _TaskRuntime.MANIFEST_FILE);
        this.manifest = (0, fs_1.existsSync)(manifestPath) ? JSON.parse((0, fs_1.readFileSync)(manifestPath, "utf-8")) : { tasks: {} };
      }
      /**
       * The tasks in this project.
       */
      get tasks() {
        return Object.values(this.manifest.tasks ?? {});
      }
      /**
       * Find a task by name, or `undefined` if not found.
       */
      tryFindTask(name) {
        if (!this.manifest.tasks) {
          return void 0;
        }
        return this.manifest.tasks[name];
      }
      /**
       * Runs the task.
       * @param name The task name.
       */
      runTask(name, parents = [], args = []) {
        const task = this.tryFindTask(name);
        if (!task) {
          throw new Error(`cannot find command ${task}`);
        }
        new RunTask(this, task, parents, args);
      }
    };
    exports2.TaskRuntime = TaskRuntime;
    _a = JSII_RTTI_SYMBOL_1;
    TaskRuntime[_a] = { fqn: "projen.TaskRuntime", version: "0.71.112" };
    TaskRuntime.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "tasks.json");
    var RunTask = class {
      constructor(runtime, task, parents = [], args = []) {
        this.runtime = runtime;
        this.task = task;
        this.env = {};
        this.workdir = task.cwd ?? this.runtime.workdir;
        this.parents = parents;
        if (!task.steps || task.steps.length === 0) {
          this.logDebug((0, chalk_1.gray)("No actions have been specified for this task."));
          return;
        }
        this.env = this.resolveEnvironment(parents);
        const envlogs = [];
        for (const [k, v] of Object.entries(this.env)) {
          const vv = v ?? "";
          const trimmed = vv.length > ENV_TRIM_LEN ? vv.substr(0, ENV_TRIM_LEN) + "..." : vv;
          envlogs.push(`${k}=${trimmed}`);
        }
        if (envlogs.length) {
          this.logDebug((0, chalk_1.gray)(`${(0, chalk_1.underline)("env")}: ${envlogs.join(" ")}`));
        }
        if (!this.evalCondition(task)) {
          this.log("condition exited with non-zero - skipping");
          return;
        }
        const merged = { ...process.env, ...this.env };
        const missing = new Array();
        for (const name of task.requiredEnv ?? []) {
          if (!(name in merged)) {
            missing.push(name);
          }
        }
        if (missing.length > 0) {
          throw new Error(`missing required environment variables: ${missing.join(",")}`);
        }
        for (const step of task.steps) {
          if (!this.evalCondition(step)) {
            this.log("condition exited with non-zero - skipping");
            continue;
          }
          const argsList = [
            ...step.args || [],
            ...step.receiveArgs ? args : []
          ].map((a) => a.toString());
          if (step.say) {
            logging.info(this.fmtLog(step.say));
          }
          if (step.spawn) {
            this.runtime.runTask(step.spawn, [...this.parents, this.task.name], argsList);
          }
          const execs = step.exec ? [step.exec] : [];
          const env = this.evalEnvironment(step.env ?? {});
          if (step.builtin) {
            execs.push(this.renderBuiltin(step.builtin));
          }
          for (const exec of execs) {
            let command = "";
            let hasError = false;
            const cmd = exec.split(" ")[0];
            if ((0, os_1.platform)() == "win32" && ["mkdir", "mv", "rm", "cp"].includes(cmd)) {
              command = `shx ${exec}`;
            } else {
              command = exec;
            }
            if (command.includes(ARGS_MARKER)) {
              command = command.replace(ARGS_MARKER, argsList.join(" "));
            } else {
              command = [command, ...argsList].join(" ");
            }
            const cwd = step.cwd;
            try {
              const result = this.shell({
                command,
                cwd,
                extraEnv: env
              });
              hasError = result.status !== 0;
            } catch (e) {
              if (e?.message?.startsWith("non-zero exit code:")) {
                hasError = true;
              }
              throw e;
            }
            if (hasError) {
              throw new Error(`Task "${this.fullname}" failed when executing "${command}" (cwd: ${(0, path_1.resolve)(cwd ?? this.workdir)})`);
            }
          }
        }
      }
      /**
       * Determines if a task should be executed based on "condition".
       *
       * @returns true if the task should be executed or false if the condition
       * evaluates to false (exits with non-zero), indicating that the task should
       * be skipped.
       */
      evalCondition(taskOrStep) {
        if (!taskOrStep.condition) {
          return true;
        }
        this.log((0, chalk_1.gray)(`${(0, chalk_1.underline)("condition")}: ${taskOrStep.condition}`));
        const result = this.shell({
          command: taskOrStep.condition,
          logprefix: "condition: ",
          quiet: true
        });
        if (result.status === 0) {
          return true;
        } else {
          return false;
        }
      }
      /**
       * Evaluates environment variables from shell commands (e.g. `$(xx)`)
       */
      evalEnvironment(env) {
        const output = {};
        for (const [key, value] of Object.entries(env ?? {})) {
          if (String(value).startsWith("$(") && String(value).endsWith(")")) {
            const query = value.substring(2, value.length - 1);
            const result = this.shellEval({ command: query });
            if (result.status !== 0) {
              const error = result.error ? result.error.stack : result.stderr?.toString() ?? "unknown error";
              throw new Error(`unable to evaluate environment variable ${key}=${value}: ${error}`);
            }
            output[key] = result.stdout.toString("utf-8").trim();
          } else {
            output[key] = value;
          }
        }
        return output;
      }
      /**
       * Renders the runtime environment for a task. Namely, it supports this syntax
       * `$(xx)` for allowing environment to be evaluated by executing a shell
       * command and obtaining its result.
       */
      resolveEnvironment(parents) {
        let env = this.runtime.manifest.env ?? {};
        for (const parent of parents) {
          env = {
            ...env,
            ...this.runtime.tryFindTask(parent)?.env ?? {}
          };
        }
        env = {
          ...env,
          ...this.task.env ?? {}
        };
        return this.evalEnvironment(env ?? {});
      }
      /**
       * Returns the "full name" of the task which includes all it's parent task names concatenated by chevrons.
       */
      get fullname() {
        return [...this.parents, this.task.name].join(" \xBB ");
      }
      log(...args) {
        logging.verbose(this.fmtLog(...args));
      }
      logDebug(...args) {
        logging.debug(this.fmtLog(...args));
      }
      fmtLog(...args) {
        return (0, util_1.format)(`${(0, chalk_1.underline)(this.fullname)} |`, ...args);
      }
      shell(options) {
        const quiet = options.quiet ?? false;
        if (!quiet) {
          const log = new Array();
          if (options.logprefix) {
            log.push(options.logprefix);
          }
          log.push(options.command);
          if (options.cwd) {
            log.push(`(cwd: ${options.cwd})`);
          }
          this.log(log.join(" "));
        }
        const cwd = options.cwd ?? this.workdir;
        if (!(0, fs_1.existsSync)(cwd) || !(0, fs_1.statSync)(cwd).isDirectory()) {
          throw new Error(`invalid workdir (cwd): ${cwd} must be an existing directory`);
        }
        return (0, child_process_1.spawnSync)(options.command, {
          ...options,
          cwd,
          shell: true,
          stdio: "inherit",
          env: {
            ...process.env,
            ...this.env,
            ...options.extraEnv
          },
          ...options.spawnOptions
        });
      }
      shellEval(options) {
        return this.shell({
          quiet: true,
          ...options,
          spawnOptions: {
            stdio: ["inherit", "pipe", "inherit"]
          }
        });
      }
      renderBuiltin(builtin) {
        const moduleRoot = (0, path_1.dirname)(require.resolve("../package.json"));
        const program = require.resolve((0, path_1.join)(moduleRoot, "lib", `${builtin}.task.js`));
        return `${process.execPath} ${program}`;
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/tasks.js
var require_tasks2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Tasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component2();
    var json_1 = require_json3();
    var logging_1 = require_logging2();
    var task_1 = require_task2();
    var task_runtime_1 = require_task_runtime2();
    var Tasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this._tasks = {};
        this._env = {};
        new json_1.JsonFile(project, task_runtime_1.TaskRuntime.MANIFEST_FILE, {
          omitEmpty: true,
          obj: {
            tasks: () => this.renderTasks(),
            env: () => this.renderEnv()
          }
        });
      }
      /**
       * All tasks.
       */
      get all() {
        return Object.values(this._tasks);
      }
      /**
       * Adds a task to a project.
       * @param name The name of the task
       * @param options Task options.
       */
      addTask(name, options = {}) {
        const task = new task_1.Task(name, options);
        if (this._tasks[name]) {
          throw new Error(`A task with the name ${name} already exists. To override it, call removeTask first and then create the new task.`);
        }
        this._tasks[name] = task;
        return task;
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        const dependentTasks = this.all.filter((task2) => task2.steps.find((step) => step.spawn == name));
        if (dependentTasks.length > 0) {
          const errList = dependentTasks.map((depTask) => depTask.name).join(", ");
          throw new Error(`Unable to remove task "${name}" because the following tasks depend on it: ${errList}`);
        }
        const task = this._tasks[name];
        if (task) {
          delete this._tasks[name];
          return task;
        } else {
          return void 0;
        }
      }
      /**
       * Adds global environment.
       * @param name Environment variable name
       * @param value Value
       */
      addEnvironment(name, value) {
        this._env[name] = value;
      }
      /**
       * Returns a copy of the currently global environment for this project.
       */
      get env() {
        return {
          ...this._env
        };
      }
      /**
       * Finds a task by name. Returns `undefined` if the task cannot be found.
       * @param name The name of the task
       */
      tryFind(name) {
        return this._tasks[name];
      }
      synthesize() {
        if (this.project.ejected) {
          fs.mkdirSync(path.join(this.project.outdir, "scripts"), {
            recursive: true
          });
          fs.copyFileSync(path.join(__dirname + "/externals/projen/lib", "..", "lib", "run-task.js"), path.join(this.project.outdir, "scripts", "run-task"));
          fs.chmodSync(path.join(this.project.outdir, "scripts", "run-task"), "755");
        }
      }
      renderTasks() {
        const tasks = {};
        for (const task of Object.values(this._tasks).sort((x, y) => x.name.localeCompare(y.name))) {
          tasks[task.name] = task._renderSpec();
        }
        return tasks;
      }
      renderEnv() {
        return Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Tasks = Tasks;
    _a = JSII_RTTI_SYMBOL_1;
    Tasks[_a] = { fqn: "projen.Tasks", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/project.js
var require_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectType = exports2.Project = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path = require("path");
    var glob = require_glob2();
    var cleanup_1 = require_cleanup2();
    var common_1 = require_common5();
    var dependencies_1 = require_dependencies2();
    var file_1 = require_file2();
    var gitattributes_1 = require_gitattributes2();
    var ignore_file_1 = require_ignore_file2();
    var render_options_1 = require_render_options2();
    var json_1 = require_json3();
    var logger_1 = require_logger2();
    var object_file_1 = require_object_file2();
    var project_build_1 = require_project_build2();
    var projenrc_json_1 = require_projenrc_json2();
    var renovatebot_1 = require_renovatebot2();
    var tasks_1 = require_tasks2();
    var util_1 = require_util8();
    var Project = class _Project {
      constructor(options) {
        this._components = new Array();
        this._subprojects = new Array();
        this.tips = new Array();
        this.initProject = (0, render_options_1.resolveInitProject)(options);
        this.name = options.name;
        this.parent = options.parent;
        this.excludeFromCleanup = [];
        this._ejected = (0, util_1.isTruthy)(process.env.PROJEN_EJECTING);
        if (this.ejected) {
          this.projenCommand = "scripts/run-task";
        } else {
          this.projenCommand = options.projenCommand ?? "npx projen";
        }
        this.outdir = this.determineOutdir(options.outdir);
        this.root = this.parent ? this.parent.root : this;
        this.parent?._addSubProject(this);
        this.gitattributes = new gitattributes_1.GitAttributesFile(this);
        this.annotateGenerated("/.projen/**");
        this.annotateGenerated(`/${this.gitattributes.path}`);
        if (options.gitOptions?.lfsPatterns) {
          for (const pattern of options.gitOptions.lfsPatterns) {
            this.gitattributes.addAttributes(pattern, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
          }
        }
        this.gitignore = new ignore_file_1.IgnoreFile(this, ".gitignore", options.gitIgnoreOptions);
        this.gitignore.exclude("node_modules/");
        this.gitignore.include(`/${this.gitattributes.path}`);
        this.tasks = new tasks_1.Tasks(this);
        if (!this.ejected) {
          this.defaultTask = this.tasks.addTask(_Project.DEFAULT_TASK, {
            description: "Synthesize project files"
          });
          if (this.parent) {
            this.defaultTask.exec(`${this.projenCommand} ${_Project.DEFAULT_TASK}`, {
              cwd: path.relative(this.outdir, this.root.outdir)
            });
          }
          if (!this.parent) {
            this.ejectTask = this.tasks.addTask("eject", {
              description: "Remove projen from the project",
              env: {
                PROJEN_EJECTING: "true"
              }
            });
            this.ejectTask.spawn(this.defaultTask);
          }
        }
        this.projectBuild = new project_build_1.ProjectBuild(this);
        this.deps = new dependencies_1.Dependencies(this);
        this.logger = new logger_1.Logger(this, options.logging);
        const projenrcJson = options.projenrcJson ?? false;
        if (!this.parent && projenrcJson) {
          new projenrc_json_1.ProjenrcJson(this, options.projenrcJsonOptions);
        }
        if (options.renovatebot) {
          new renovatebot_1.Renovatebot(this, options.renovatebotOptions);
        }
        this.commitGenerated = options.commitGenerated ?? true;
        if (!this.ejected) {
          new json_1.JsonFile(this, cleanup_1.FILE_MANIFEST, {
            omitEmpty: true,
            obj: () => ({
              // replace `\` with `/` to ensure paths match across platforms
              files: this.files.filter((f) => f.readonly).map((f) => f.path.replace(/\\/g, "/"))
            }),
            // This file is used by projen to track the generated files, so must be committed.
            committed: true
          });
        }
      }
      /**
       * Returns all the components within this project.
       */
      get components() {
        return [...this._components];
      }
      /**
       * Returns all the subprojects within this project.
       */
      get subprojects() {
        return [...this._subprojects];
      }
      /**
       * All files in this project.
       */
      get files() {
        const isFile = (c) => c instanceof file_1.FileBase;
        return this._components.filter(isFile).sort((f1, f2) => f1.path.localeCompare(f2.path));
      }
      /**
       * Adds a new task to this project. This will fail if the project already has
       * a task with this name.
       *
       * @param name The task name to add
       * @param props Task properties
       */
      addTask(name, props = {}) {
        return this.tasks.addTask(name, props);
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        return this.tasks.removeTask(name);
      }
      get buildTask() {
        return this.projectBuild.buildTask;
      }
      get compileTask() {
        return this.projectBuild.compileTask;
      }
      get testTask() {
        return this.projectBuild.testTask;
      }
      get preCompileTask() {
        return this.projectBuild.preCompileTask;
      }
      get postCompileTask() {
        return this.projectBuild.postCompileTask;
      }
      get packageTask() {
        return this.projectBuild.packageTask;
      }
      /**
       * Finds a file at the specified relative path within this project and all
       * its subprojects.
       *
       * @param filePath The file path. If this path is relative, it will be resolved
       * from the root of _this_ project.
       * @returns a `FileBase` or undefined if there is no file in that path
       */
      tryFindFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        for (const file of this.files) {
          if (absolute === file.absolutePath) {
            return file;
          }
        }
        for (const child of this._subprojects) {
          const file = child.tryFindFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Finds a json file by name.
       * @param filePath The file path.
       * @deprecated use `tryFindObjectFile`
       */
      tryFindJsonFile(filePath) {
        const file = this.tryFindObjectFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof json_1.JsonFile)) {
          throw new Error(`found file ${filePath} but it is not a JsonFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds an object file (like JsonFile, YamlFile, etc.) by name.
       * @param filePath The file path.
       */
      tryFindObjectFile(filePath) {
        const file = this.tryFindFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof object_file_1.ObjectFile)) {
          throw new Error(`found file ${filePath} but it is not a ObjectFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds a file at the specified relative path within this project and removes
       * it.
       *
       * @param filePath The file path. If this path is relative, it will be
       * resolved from the root of _this_ project.
       * @returns a `FileBase` if the file was found and removed, or undefined if
       * the file was not found.
       */
      tryRemoveFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        const isFile = (c) => c instanceof file_1.FileBase;
        const index = this._components.findIndex((c) => isFile(c) && c.absolutePath === absolute);
        if (index !== -1) {
          return this._components.splice(index, 1)[0];
        }
        for (const child of this._subprojects) {
          const file = child.tryRemoveFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Prints a "tip" message during synthesis.
       * @param message The message
       * @deprecated - use `project.logger.info(message)` to show messages during synthesis
       */
      addTip(message) {
        this.tips.push(message);
      }
      /**
       * Exclude the matching files from pre-synth cleanup. Can be used when, for example, some
       * source files include the projen marker and we don't want them to be erased during synth.
       *
       * @param globs The glob patterns to match
       */
      addExcludeFromCleanup(...globs) {
        this.excludeFromCleanup.push(...globs);
      }
      /**
       * Returns the shell command to execute in order to run a task.
       *
       * By default, this is `npx projen@<version> <task>`
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `npx projen@${common_1.PROJEN_VERSION} ${task.name}`;
      }
      /**
       * Exclude these files from the bundled package. Implemented by project types based on the
       * packaging mechanism. For example, `NodeProject` delegates this to `.npmignore`.
       *
       * @param _pattern The glob pattern to exclude
       */
      addPackageIgnore(_pattern) {
      }
      /**
       * Adds a .gitignore pattern.
       * @param pattern The glob pattern to ignore.
       */
      addGitIgnore(pattern) {
        this.gitignore.addPatterns(pattern);
      }
      /**
       * Consider a set of files as "generated". This method is implemented by
       * derived classes and used for example, to add git attributes to tell GitHub
       * that certain files are generated.
       *
       * @param _glob the glob pattern to match (could be a file path).
       */
      annotateGenerated(_glob) {
      }
      /**
       * Synthesize all project files into `outdir`.
       *
       * 1. Call "this.preSynthesize()"
       * 2. Delete all generated files
       * 3. Synthesize all sub-projects
       * 4. Synthesize all components of this project
       * 5. Call "postSynthesize()" for all components of this project
       * 6. Call "this.postSynthesize()"
       */
      synth() {
        const outdir = this.outdir;
        this.logger.debug("Synthesizing project...");
        this.preSynthesize();
        for (const comp of this._components) {
          comp.preSynthesize();
        }
        for (const subproject of this._subprojects) {
          this.addExcludeFromCleanup(subproject.outdir + "/**");
        }
        (0, cleanup_1.cleanup)(outdir, this.files.map((f) => f.path.replace(/\\/g, "/")), this.excludeFromCleanup);
        for (const subproject of this._subprojects) {
          subproject.synth();
        }
        for (const comp of this._components) {
          comp.synthesize();
        }
        if (!(0, util_1.isTruthy)(process.env.PROJEN_DISABLE_POST)) {
          for (const comp of this._components) {
            comp.postSynthesize();
          }
          this.postSynthesize();
        }
        if (this.ejected) {
          this.logger.debug("Ejecting project...");
          const files = glob.sync(".projenrc.*", {
            cwd: this.outdir,
            dot: true,
            nodir: true,
            absolute: true
          });
          for (const file of files) {
            (0, fs_1.renameSync)(file, `${file}.bak`);
          }
        }
        this.logger.debug("Synthesis complete");
      }
      /**
       * Whether or not the project is being ejected.
       */
      get ejected() {
        return this._ejected;
      }
      /**
       * Called before all components are synthesized.
       */
      preSynthesize() {
      }
      /**
       * Called after all components are synthesized. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
      /**
       * Adds a component to the project.
       * @internal
       */
      _addComponent(component) {
        this._components.push(component);
      }
      /**
       * Adds a sub-project to this project.
       *
       * This is automatically called when a new project is created with `parent`
       * pointing to this project, so there is no real need to call this manually.
       *
       * @param sub-project The child project to add.
       * @internal
       */
      _addSubProject(subproject) {
        if (subproject.parent !== this) {
          throw new Error('"parent" of child project must be this project');
        }
        for (const p of this._subprojects) {
          if (path.resolve(p.outdir) === path.resolve(subproject.outdir)) {
            throw new Error(`there is already a sub-project with "outdir": ${subproject.outdir}`);
          }
        }
        this._subprojects.push(subproject);
      }
      /**
       * Resolves the project's output directory.
       */
      determineOutdir(outdirOption) {
        if (this.parent && outdirOption && path.isAbsolute(outdirOption)) {
          throw new Error('"outdir" must be a relative path');
        }
        if (this.parent) {
          if (!outdirOption) {
            throw new Error('"outdir" must be specified for subprojects');
          }
          return path.resolve(this.parent.outdir, outdirOption);
        }
        if (common_1.IS_TEST_RUN && !outdirOption) {
          const realCwd = (0, fs_1.realpathSync)(process.cwd());
          const realTmp = (0, fs_1.realpathSync)((0, os_1.tmpdir)());
          if (realCwd.startsWith(realTmp)) {
            return path.resolve(realCwd, outdirOption ?? ".");
          }
          return (0, fs_1.mkdtempSync)(path.join((0, os_1.tmpdir)(), "projen."));
        }
        return path.resolve(outdirOption ?? ".");
      }
    };
    exports2.Project = Project;
    _a = JSII_RTTI_SYMBOL_1;
    Project[_a] = { fqn: "projen.Project", version: "0.71.112" };
    Project.DEFAULT_TASK = "default";
    var ProjectType;
    (function(ProjectType2) {
      ProjectType2["UNKNOWN"] = "unknown";
      ProjectType2["LIB"] = "lib";
      ProjectType2["APP"] = "app";
    })(ProjectType || (exports2.ProjectType = ProjectType = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/projects.js
var require_projects2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/projects.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projects = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var vm = require("vm");
    var inventory_1 = require_inventory2();
    var render_options_1 = require_render_options2();
    var option_hints_1 = require_option_hints2();
    var Projects = class {
      /**
       * Creates a new project with defaults.
       *
       * This function creates the project type in-process (with in VM) and calls
       * `.synth()` on it (if `options.synth` is not `false`).
       *
       * At the moment, it also generates a `.projenrc.js` file with the same code
       * that was just executed. In the future, this will also be done by the project
       * type, so we can easily support multiple languages of projenrc.
       *
       * An environment variable (PROJEN_CREATE_PROJECT=true) is set within the VM
       * so that custom project types can detect whether the current synthesis is the
       * result of a new project creation (and take additional steps accordingly)
       */
      static createProject(options) {
        createProject(options);
      }
      constructor() {
      }
    };
    exports2.Projects = Projects;
    _a = JSII_RTTI_SYMBOL_1;
    Projects[_a] = { fqn: "projen.Projects", version: "0.71.112" };
    function resolveModulePath(moduleName) {
      if (moduleName === "projen") {
        return "./index";
      }
      try {
        return path.dirname(require.resolve(path.join(moduleName, "package.json"), {
          paths: [process.cwd()]
        }));
      } catch (err) {
        throw new Error(`External project module '${moduleName}' could not be resolved.`);
      }
    }
    function createProject(opts) {
      const projectType = (0, inventory_1.resolveProjectType)(opts.projectFqn);
      const mod = resolveModulePath(projectType.moduleName);
      opts.projectOptions.outdir = opts.dir;
      const optionsImports = "_options" + Math.random().toString(36).slice(2);
      const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
        bootstrap: true,
        comments: opts.optionHints ?? option_hints_1.InitProjectOptionHints.FEATURED,
        type: projectType,
        args: opts.projectOptions,
        omitFromBootstrap: ["outdir"],
        prefixImports: optionsImports
      });
      const initProjectCode = new Array();
      const varName = "project" + Math.random().toString(36).slice(2);
      initProjectCode.push(`const ${varName} = new ${projectType.typename}(${renderedOptions});`);
      if (opts.synth ?? true) {
        initProjectCode.push(`${varName}.synth();`);
      }
      const mainModule = require(mod);
      const ctx = vm.createContext({
        ...mainModule,
        [optionsImports]: {
          ...imports.modules.reduce((optionsContext, currentModule) => ({
            ...optionsContext,
            // eslint-disable-next-line @typescript-eslint/no-require-imports
            [currentModule]: require(resolveModulePath(currentModule))
          }), {})
        }
      });
      const postSynth = opts.post ?? true;
      process.env.PROJEN_DISABLE_POST = (!postSynth).toString();
      process.env.PROJEN_CREATE_PROJECT = "true";
      vm.runInContext(initProjectCode.join("\n"), ctx);
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/sample-file.js
var require_sample_file2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/sample-file.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleDir = exports2.SampleFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob2();
    var component_1 = require_component2();
    var util_1 = require_util8();
    var SampleFile = class extends component_1.Component {
      /**
       * Creates a new SampleFile object
       * @param project - the project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param options - the options for the file.
       */
      constructor(project, filePath, options) {
        super(project);
        if (options.contents && options.sourcePath) {
          throw new Error("Cannot specify both 'contents' and 'source' fields.");
        }
        if (!options.contents && !options.sourcePath) {
          throw new Error("Must specify at least one of 'contents' or 'source'.");
        }
        this.filePath = filePath;
        this.options = options;
      }
      synthesize() {
        let contents;
        if (this.options.contents) {
          contents = this.options.contents;
        } else if (this.options.sourcePath) {
          contents = fs.readFileSync(this.options.sourcePath);
        }
        this.writeOnceFileContents(this.project.outdir, this.filePath, contents ?? "");
      }
      /**
       * A helper function that will write the file once and return if it was written or not.
       * @param dir - the directory for the new file
       * @param filename - the filename for the new file
       * @param contents - the contents of the file to write
       * @return boolean - whether a new file was written or not.
       * @private
       */
      writeOnceFileContents(dir, filename, contents) {
        const fullFilename = path.join(dir, filename);
        if (fs.existsSync(fullFilename)) {
          return;
        }
        (0, util_1.writeFile)(fullFilename, contents, { readonly: false });
      }
    };
    exports2.SampleFile = SampleFile;
    _a = JSII_RTTI_SYMBOL_1;
    SampleFile[_a] = { fqn: "projen.SampleFile", version: "0.71.112" };
    var SampleDir = class extends component_1.Component {
      /**
       * Create sample files in the given directory if the given directory does not exist
       * @param project Parent project to add files to.
       * @param dir directory to add files to. If directory already exists, nothing is added.
       * @param options options for which files to create.
       */
      constructor(project, dir, options) {
        super(project);
        if (!options.files && !options.sourceDir) {
          throw new Error("Must specify at least one of 'files' or 'source'.");
        }
        this.dir = dir;
        this.options = options;
      }
      synthesize() {
        const fullOutdir = path.join(this.project.outdir, this.dir);
        if (fs.existsSync(fullOutdir)) {
          return;
        }
        fs.mkdirSync(fullOutdir, { recursive: true });
        if (this.options.sourceDir) {
          const basedir = this.options.sourceDir;
          const files = glob.sync("**", {
            cwd: basedir,
            nodir: true,
            dot: true
          });
          for (const file of files) {
            const sourcePath = path.join(basedir, file);
            const targetPath = path.join(fullOutdir, file);
            fs.mkdirSync(path.dirname(targetPath), { recursive: true });
            fs.copyFileSync(sourcePath, targetPath);
            fs.chmodSync(targetPath, (0, util_1.getFilePermissions)({ readonly: false, executable: false }));
          }
        }
        for (const filename in this.options.files) {
          (0, util_1.writeFile)(path.join(fullOutdir, filename), this.options.files[filename]);
        }
      }
    };
    exports2.SampleDir = SampleDir;
    _b = JSII_RTTI_SYMBOL_1;
    SampleDir[_b] = { fqn: "projen.SampleDir", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/readme.js
var require_readme2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/readme.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleReadme = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var sample_file_1 = require_sample_file2();
    var SampleReadme = class extends sample_file_1.SampleFile {
      constructor(project, props) {
        super(project, props?.filename ?? "README.md", {
          contents: props?.contents ?? "# replace this"
        });
      }
    };
    exports2.SampleReadme = SampleReadme;
    _a = JSII_RTTI_SYMBOL_1;
    SampleReadme[_a] = { fqn: "projen.SampleReadme", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/semver/internal/constants.js
var require_constants4 = __commonJS({
  "../../components/source-repositories/node_modules/semver/internal/constants.js"(exports2, module2) {
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH = 256;
    var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    module2.exports = {
      MAX_LENGTH,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
  }
});

// ../../components/source-repositories/node_modules/semver/internal/debug.js
var require_debug2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/internal/debug.js"(exports2, module2) {
    var debug = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args) => console.error("SEMVER", ...args) : () => {
    };
    module2.exports = debug;
  }
});

// ../../components/source-repositories/node_modules/semver/internal/re.js
var require_re2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/internal/re.js"(exports2, module2) {
    var { MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH } = require_constants4();
    var debug = require_debug2();
    exports2 = module2.exports = {};
    var re = exports2.re = [];
    var safeRe = exports2.safeRe = [];
    var src = exports2.src = [];
    var t = exports2.t = {};
    var R = 0;
    var LETTERDASHNUMBER = "[a-zA-Z0-9-]";
    var safeRegexReplacements = [
      ["\\s", 1],
      ["\\d", MAX_SAFE_COMPONENT_LENGTH],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH]
    ];
    var makeSafeRegex = (value) => {
      for (const [token, max] of safeRegexReplacements) {
        value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
      }
      return value;
    };
    var createToken = (name, value, isGlobal) => {
      const safe = makeSafeRegex(value);
      const index = R++;
      debug(name, index, value);
      t[name] = index;
      src[index] = value;
      re[index] = new RegExp(value, isGlobal ? "g" : void 0);
      safeRe[index] = new RegExp(safe, isGlobal ? "g" : void 0);
    };
    createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
    createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
    createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
    createToken("MAINVERSION", `(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})`);
    createToken("MAINVERSIONLOOSE", `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})`);
    createToken("PRERELEASEIDENTIFIER", `(?:${src[t.NUMERICIDENTIFIER]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src[t.NUMERICIDENTIFIERLOOSE]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASE", `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`);
    createToken("PRERELEASELOOSE", `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`);
    createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
    createToken("BUILD", `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`);
    createToken("FULLPLAIN", `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`);
    createToken("FULL", `^${src[t.FULLPLAIN]}$`);
    createToken("LOOSEPLAIN", `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`);
    createToken("LOOSE", `^${src[t.LOOSEPLAIN]}$`);
    createToken("GTLT", "((?:<|>)?=?)");
    createToken("XRANGEIDENTIFIERLOOSE", `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
    createToken("XRANGEIDENTIFIER", `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`);
    createToken("XRANGEPLAIN", `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`);
    createToken("XRANGELOOSE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:$|[^\\d])`);
    createToken("COERCERTL", src[t.COERCE], true);
    createToken("LONETILDE", "(?:~>?)");
    createToken("TILDETRIM", `(\\s*)${src[t.LONETILDE]}\\s+`, true);
    exports2.tildeTrimReplace = "$1~";
    createToken("TILDE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`);
    createToken("TILDELOOSE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("LONECARET", "(?:\\^)");
    createToken("CARETTRIM", `(\\s*)${src[t.LONECARET]}\\s+`, true);
    exports2.caretTrimReplace = "$1^";
    createToken("CARET", `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`);
    createToken("CARETLOOSE", `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COMPARATORLOOSE", `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`);
    createToken("COMPARATOR", `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`);
    createToken("COMPARATORTRIM", `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true);
    exports2.comparatorTrimReplace = "$1$2$3";
    createToken("HYPHENRANGE", `^\\s*(${src[t.XRANGEPLAIN]})\\s+-\\s+(${src[t.XRANGEPLAIN]})\\s*$`);
    createToken("HYPHENRANGELOOSE", `^\\s*(${src[t.XRANGEPLAINLOOSE]})\\s+-\\s+(${src[t.XRANGEPLAINLOOSE]})\\s*$`);
    createToken("STAR", "(<|>)?=?\\s*\\*");
    createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
    createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
  }
});

// ../../components/source-repositories/node_modules/semver/internal/parse-options.js
var require_parse_options2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/internal/parse-options.js"(exports2, module2) {
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions = (options) => {
      if (!options) {
        return emptyOpts;
      }
      if (typeof options !== "object") {
        return looseOption;
      }
      return options;
    };
    module2.exports = parseOptions;
  }
});

// ../../components/source-repositories/node_modules/semver/internal/identifiers.js
var require_identifiers2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/internal/identifiers.js"(exports2, module2) {
    var numeric = /^[0-9]+$/;
    var compareIdentifiers = (a, b) => {
      const anum = numeric.test(a);
      const bnum = numeric.test(b);
      if (anum && bnum) {
        a = +a;
        b = +b;
      }
      return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
    };
    var rcompareIdentifiers = (a, b) => compareIdentifiers(b, a);
    module2.exports = {
      compareIdentifiers,
      rcompareIdentifiers
    };
  }
});

// ../../components/source-repositories/node_modules/semver/classes/semver.js
var require_semver5 = __commonJS({
  "../../components/source-repositories/node_modules/semver/classes/semver.js"(exports2, module2) {
    var debug = require_debug2();
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = require_constants4();
    var { safeRe: re, t } = require_re2();
    var parseOptions = require_parse_options2();
    var { compareIdentifiers } = require_identifiers2();
    var SemVer = class _SemVer {
      constructor(version, options) {
        options = parseOptions(options);
        if (version instanceof _SemVer) {
          if (version.loose === !!options.loose && version.includePrerelease === !!options.includePrerelease) {
            return version;
          } else {
            version = version.version;
          }
        } else if (typeof version !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version}".`);
        }
        if (version.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version, options);
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m) {
          throw new TypeError(`Invalid Version: ${version}`);
        }
        this.raw = version;
        this.major = +m[1];
        this.minor = +m[2];
        this.patch = +m[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m[4].split(".").map((id) => {
            if (/^[0-9]+$/.test(id)) {
              const num = +id;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id;
          });
        }
        this.build = m[5] ? m[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i = 0;
        do {
          const a = this.prerelease[i];
          const b = other.prerelease[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        let i = 0;
        do {
          const a = this.build[i];
          const b = other.build[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i = this.prerelease.length;
              while (--i >= 0) {
                if (typeof this.prerelease[i] === "number") {
                  this.prerelease[i]++;
                  i = -2;
                }
              }
              if (i === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    module2.exports = SemVer;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/parse.js
var require_parse4 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/parse.js"(exports2, module2) {
    var SemVer = require_semver5();
    var parse = (version, options, throwErrors = false) => {
      if (version instanceof SemVer) {
        return version;
      }
      try {
        return new SemVer(version, options);
      } catch (er) {
        if (!throwErrors) {
          return null;
        }
        throw er;
      }
    };
    module2.exports = parse;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/valid.js
var require_valid3 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/valid.js"(exports2, module2) {
    var parse = require_parse4();
    var valid = (version, options) => {
      const v = parse(version, options);
      return v ? v.version : null;
    };
    module2.exports = valid;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/clean.js
var require_clean2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/clean.js"(exports2, module2) {
    var parse = require_parse4();
    var clean = (version, options) => {
      const s = parse(version.trim().replace(/^[=v]+/, ""), options);
      return s ? s.version : null;
    };
    module2.exports = clean;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/inc.js
var require_inc2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/inc.js"(exports2, module2) {
    var SemVer = require_semver5();
    var inc = (version, release, options, identifier, identifierBase) => {
      if (typeof options === "string") {
        identifierBase = identifier;
        identifier = options;
        options = void 0;
      }
      try {
        return new SemVer(
          version instanceof SemVer ? version.version : version,
          options
        ).inc(release, identifier, identifierBase).version;
      } catch (er) {
        return null;
      }
    };
    module2.exports = inc;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/diff.js
var require_diff2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/diff.js"(exports2, module2) {
    var parse = require_parse4();
    var diff = (version1, version2) => {
      const v1 = parse(version1, null, true);
      const v2 = parse(version2, null, true);
      const comparison = v1.compare(v2);
      if (comparison === 0) {
        return null;
      }
      const v1Higher = comparison > 0;
      const highVersion = v1Higher ? v1 : v2;
      const lowVersion = v1Higher ? v2 : v1;
      const highHasPre = !!highVersion.prerelease.length;
      const lowHasPre = !!lowVersion.prerelease.length;
      if (lowHasPre && !highHasPre) {
        if (!lowVersion.patch && !lowVersion.minor) {
          return "major";
        }
        if (highVersion.patch) {
          return "patch";
        }
        if (highVersion.minor) {
          return "minor";
        }
        return "major";
      }
      const prefix = highHasPre ? "pre" : "";
      if (v1.major !== v2.major) {
        return prefix + "major";
      }
      if (v1.minor !== v2.minor) {
        return prefix + "minor";
      }
      if (v1.patch !== v2.patch) {
        return prefix + "patch";
      }
      return "prerelease";
    };
    module2.exports = diff;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/major.js
var require_major2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/major.js"(exports2, module2) {
    var SemVer = require_semver5();
    var major = (a, loose) => new SemVer(a, loose).major;
    module2.exports = major;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/minor.js
var require_minor2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/minor.js"(exports2, module2) {
    var SemVer = require_semver5();
    var minor = (a, loose) => new SemVer(a, loose).minor;
    module2.exports = minor;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/patch.js
var require_patch2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/patch.js"(exports2, module2) {
    var SemVer = require_semver5();
    var patch = (a, loose) => new SemVer(a, loose).patch;
    module2.exports = patch;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/prerelease.js
var require_prerelease2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/prerelease.js"(exports2, module2) {
    var parse = require_parse4();
    var prerelease = (version, options) => {
      const parsed = parse(version, options);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    };
    module2.exports = prerelease;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/compare.js
var require_compare2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/compare.js"(exports2, module2) {
    var SemVer = require_semver5();
    var compare = (a, b, loose) => new SemVer(a, loose).compare(new SemVer(b, loose));
    module2.exports = compare;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/rcompare.js
var require_rcompare2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/rcompare.js"(exports2, module2) {
    var compare = require_compare2();
    var rcompare = (a, b, loose) => compare(b, a, loose);
    module2.exports = rcompare;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/compare-loose.js
var require_compare_loose2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/compare-loose.js"(exports2, module2) {
    var compare = require_compare2();
    var compareLoose = (a, b) => compare(a, b, true);
    module2.exports = compareLoose;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/compare-build.js
var require_compare_build2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/compare-build.js"(exports2, module2) {
    var SemVer = require_semver5();
    var compareBuild = (a, b, loose) => {
      const versionA = new SemVer(a, loose);
      const versionB = new SemVer(b, loose);
      return versionA.compare(versionB) || versionA.compareBuild(versionB);
    };
    module2.exports = compareBuild;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/sort.js
var require_sort2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/sort.js"(exports2, module2) {
    var compareBuild = require_compare_build2();
    var sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose));
    module2.exports = sort;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/rsort.js
var require_rsort2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/rsort.js"(exports2, module2) {
    var compareBuild = require_compare_build2();
    var rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose));
    module2.exports = rsort;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/gt.js
var require_gt2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/gt.js"(exports2, module2) {
    var compare = require_compare2();
    var gt = (a, b, loose) => compare(a, b, loose) > 0;
    module2.exports = gt;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/lt.js
var require_lt2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/lt.js"(exports2, module2) {
    var compare = require_compare2();
    var lt = (a, b, loose) => compare(a, b, loose) < 0;
    module2.exports = lt;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/eq.js
var require_eq2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/eq.js"(exports2, module2) {
    var compare = require_compare2();
    var eq = (a, b, loose) => compare(a, b, loose) === 0;
    module2.exports = eq;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/neq.js
var require_neq2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/neq.js"(exports2, module2) {
    var compare = require_compare2();
    var neq = (a, b, loose) => compare(a, b, loose) !== 0;
    module2.exports = neq;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/gte.js
var require_gte2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/gte.js"(exports2, module2) {
    var compare = require_compare2();
    var gte = (a, b, loose) => compare(a, b, loose) >= 0;
    module2.exports = gte;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/lte.js
var require_lte2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/lte.js"(exports2, module2) {
    var compare = require_compare2();
    var lte = (a, b, loose) => compare(a, b, loose) <= 0;
    module2.exports = lte;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/cmp.js
var require_cmp2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/cmp.js"(exports2, module2) {
    var eq = require_eq2();
    var neq = require_neq2();
    var gt = require_gt2();
    var gte = require_gte2();
    var lt = require_lt2();
    var lte = require_lte2();
    var cmp = (a, op, b, loose) => {
      switch (op) {
        case "===":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a === b;
        case "!==":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a !== b;
        case "":
        case "=":
        case "==":
          return eq(a, b, loose);
        case "!=":
          return neq(a, b, loose);
        case ">":
          return gt(a, b, loose);
        case ">=":
          return gte(a, b, loose);
        case "<":
          return lt(a, b, loose);
        case "<=":
          return lte(a, b, loose);
        default:
          throw new TypeError(`Invalid operator: ${op}`);
      }
    };
    module2.exports = cmp;
  }
});

// ../../components/source-repositories/node_modules/semver/functions/coerce.js
var require_coerce2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/coerce.js"(exports2, module2) {
    var SemVer = require_semver5();
    var parse = require_parse4();
    var { safeRe: re, t } = require_re2();
    var coerce = (version, options) => {
      if (version instanceof SemVer) {
        return version;
      }
      if (typeof version === "number") {
        version = String(version);
      }
      if (typeof version !== "string") {
        return null;
      }
      options = options || {};
      let match = null;
      if (!options.rtl) {
        match = version.match(re[t.COERCE]);
      } else {
        let next;
        while ((next = re[t.COERCERTL].exec(version)) && (!match || match.index + match[0].length !== version.length)) {
          if (!match || next.index + next[0].length !== match.index + match[0].length) {
            match = next;
          }
          re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
        }
        re[t.COERCERTL].lastIndex = -1;
      }
      if (match === null) {
        return null;
      }
      return parse(`${match[2]}.${match[3] || "0"}.${match[4] || "0"}`, options);
    };
    module2.exports = coerce;
  }
});

// ../../components/source-repositories/node_modules/yallist/iterator.js
var require_iterator2 = __commonJS({
  "../../components/source-repositories/node_modules/yallist/iterator.js"(exports2, module2) {
    "use strict";
    module2.exports = function(Yallist) {
      Yallist.prototype[Symbol.iterator] = function* () {
        for (let walker = this.head; walker; walker = walker.next) {
          yield walker.value;
        }
      };
    };
  }
});

// ../../components/source-repositories/node_modules/yallist/yallist.js
var require_yallist2 = __commonJS({
  "../../components/source-repositories/node_modules/yallist/yallist.js"(exports2, module2) {
    "use strict";
    module2.exports = Yallist;
    Yallist.Node = Node;
    Yallist.create = Yallist;
    function Yallist(list) {
      var self2 = this;
      if (!(self2 instanceof Yallist)) {
        self2 = new Yallist();
      }
      self2.tail = null;
      self2.head = null;
      self2.length = 0;
      if (list && typeof list.forEach === "function") {
        list.forEach(function(item) {
          self2.push(item);
        });
      } else if (arguments.length > 0) {
        for (var i = 0, l = arguments.length; i < l; i++) {
          self2.push(arguments[i]);
        }
      }
      return self2;
    }
    Yallist.prototype.removeNode = function(node) {
      if (node.list !== this) {
        throw new Error("removing node which does not belong to this list");
      }
      var next = node.next;
      var prev = node.prev;
      if (next) {
        next.prev = prev;
      }
      if (prev) {
        prev.next = next;
      }
      if (node === this.head) {
        this.head = next;
      }
      if (node === this.tail) {
        this.tail = prev;
      }
      node.list.length--;
      node.next = null;
      node.prev = null;
      node.list = null;
      return next;
    };
    Yallist.prototype.unshiftNode = function(node) {
      if (node === this.head) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var head = this.head;
      node.list = this;
      node.next = head;
      if (head) {
        head.prev = node;
      }
      this.head = node;
      if (!this.tail) {
        this.tail = node;
      }
      this.length++;
    };
    Yallist.prototype.pushNode = function(node) {
      if (node === this.tail) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var tail = this.tail;
      node.list = this;
      node.prev = tail;
      if (tail) {
        tail.next = node;
      }
      this.tail = node;
      if (!this.head) {
        this.head = node;
      }
      this.length++;
    };
    Yallist.prototype.push = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        push(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.unshift = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        unshift(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.pop = function() {
      if (!this.tail) {
        return void 0;
      }
      var res = this.tail.value;
      this.tail = this.tail.prev;
      if (this.tail) {
        this.tail.next = null;
      } else {
        this.head = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.shift = function() {
      if (!this.head) {
        return void 0;
      }
      var res = this.head.value;
      this.head = this.head.next;
      if (this.head) {
        this.head.prev = null;
      } else {
        this.tail = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.forEach = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.head, i = 0; walker !== null; i++) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.next;
      }
    };
    Yallist.prototype.forEachReverse = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.prev;
      }
    };
    Yallist.prototype.get = function(n) {
      for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
        walker = walker.next;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.getReverse = function(n) {
      for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
        walker = walker.prev;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.map = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.head; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.next;
      }
      return res;
    };
    Yallist.prototype.mapReverse = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.tail; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.prev;
      }
      return res;
    };
    Yallist.prototype.reduce = function(fn, initial) {
      var acc;
      var walker = this.head;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.head) {
        walker = this.head.next;
        acc = this.head.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = 0; walker !== null; i++) {
        acc = fn(acc, walker.value, i);
        walker = walker.next;
      }
      return acc;
    };
    Yallist.prototype.reduceReverse = function(fn, initial) {
      var acc;
      var walker = this.tail;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.tail) {
        walker = this.tail.prev;
        acc = this.tail.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = this.length - 1; walker !== null; i--) {
        acc = fn(acc, walker.value, i);
        walker = walker.prev;
      }
      return acc;
    };
    Yallist.prototype.toArray = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.head; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.next;
      }
      return arr;
    };
    Yallist.prototype.toArrayReverse = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.tail; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.prev;
      }
      return arr;
    };
    Yallist.prototype.slice = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
        walker = walker.next;
      }
      for (; walker !== null && i < to; i++, walker = walker.next) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.sliceReverse = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
        walker = walker.prev;
      }
      for (; walker !== null && i > from; i--, walker = walker.prev) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.splice = function(start, deleteCount, ...nodes) {
      if (start > this.length) {
        start = this.length - 1;
      }
      if (start < 0) {
        start = this.length + start;
      }
      for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
        walker = walker.next;
      }
      var ret = [];
      for (var i = 0; walker && i < deleteCount; i++) {
        ret.push(walker.value);
        walker = this.removeNode(walker);
      }
      if (walker === null) {
        walker = this.tail;
      }
      if (walker !== this.head && walker !== this.tail) {
        walker = walker.prev;
      }
      for (var i = 0; i < nodes.length; i++) {
        walker = insert(this, walker, nodes[i]);
      }
      return ret;
    };
    Yallist.prototype.reverse = function() {
      var head = this.head;
      var tail = this.tail;
      for (var walker = head; walker !== null; walker = walker.prev) {
        var p = walker.prev;
        walker.prev = walker.next;
        walker.next = p;
      }
      this.head = tail;
      this.tail = head;
      return this;
    };
    function insert(self2, node, value) {
      var inserted = node === self2.head ? new Node(value, null, node, self2) : new Node(value, node, node.next, self2);
      if (inserted.next === null) {
        self2.tail = inserted;
      }
      if (inserted.prev === null) {
        self2.head = inserted;
      }
      self2.length++;
      return inserted;
    }
    function push(self2, item) {
      self2.tail = new Node(item, self2.tail, null, self2);
      if (!self2.head) {
        self2.head = self2.tail;
      }
      self2.length++;
    }
    function unshift(self2, item) {
      self2.head = new Node(item, null, self2.head, self2);
      if (!self2.tail) {
        self2.tail = self2.head;
      }
      self2.length++;
    }
    function Node(value, prev, next, list) {
      if (!(this instanceof Node)) {
        return new Node(value, prev, next, list);
      }
      this.list = list;
      this.value = value;
      if (prev) {
        prev.next = this;
        this.prev = prev;
      } else {
        this.prev = null;
      }
      if (next) {
        next.prev = this;
        this.next = next;
      } else {
        this.next = null;
      }
    }
    try {
      require_iterator2()(Yallist);
    } catch (er) {
    }
  }
});

// ../../components/source-repositories/node_modules/semver/node_modules/lru-cache/index.js
var require_lru_cache2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/node_modules/lru-cache/index.js"(exports2, module2) {
    "use strict";
    var Yallist = require_yallist2();
    var MAX = Symbol("max");
    var LENGTH = Symbol("length");
    var LENGTH_CALCULATOR = Symbol("lengthCalculator");
    var ALLOW_STALE = Symbol("allowStale");
    var MAX_AGE = Symbol("maxAge");
    var DISPOSE = Symbol("dispose");
    var NO_DISPOSE_ON_SET = Symbol("noDisposeOnSet");
    var LRU_LIST = Symbol("lruList");
    var CACHE = Symbol("cache");
    var UPDATE_AGE_ON_GET = Symbol("updateAgeOnGet");
    var naiveLength = () => 1;
    var LRUCache = class {
      constructor(options) {
        if (typeof options === "number")
          options = { max: options };
        if (!options)
          options = {};
        if (options.max && (typeof options.max !== "number" || options.max < 0))
          throw new TypeError("max must be a non-negative number");
        const max = this[MAX] = options.max || Infinity;
        const lc = options.length || naiveLength;
        this[LENGTH_CALCULATOR] = typeof lc !== "function" ? naiveLength : lc;
        this[ALLOW_STALE] = options.stale || false;
        if (options.maxAge && typeof options.maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        this[MAX_AGE] = options.maxAge || 0;
        this[DISPOSE] = options.dispose;
        this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
        this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
        this.reset();
      }
      // resize the cache when the max changes.
      set max(mL) {
        if (typeof mL !== "number" || mL < 0)
          throw new TypeError("max must be a non-negative number");
        this[MAX] = mL || Infinity;
        trim(this);
      }
      get max() {
        return this[MAX];
      }
      set allowStale(allowStale) {
        this[ALLOW_STALE] = !!allowStale;
      }
      get allowStale() {
        return this[ALLOW_STALE];
      }
      set maxAge(mA) {
        if (typeof mA !== "number")
          throw new TypeError("maxAge must be a non-negative number");
        this[MAX_AGE] = mA;
        trim(this);
      }
      get maxAge() {
        return this[MAX_AGE];
      }
      // resize the cache when the lengthCalculator changes.
      set lengthCalculator(lC) {
        if (typeof lC !== "function")
          lC = naiveLength;
        if (lC !== this[LENGTH_CALCULATOR]) {
          this[LENGTH_CALCULATOR] = lC;
          this[LENGTH] = 0;
          this[LRU_LIST].forEach((hit) => {
            hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
            this[LENGTH] += hit.length;
          });
        }
        trim(this);
      }
      get lengthCalculator() {
        return this[LENGTH_CALCULATOR];
      }
      get length() {
        return this[LENGTH];
      }
      get itemCount() {
        return this[LRU_LIST].length;
      }
      rforEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].tail; walker !== null; ) {
          const prev = walker.prev;
          forEachStep(this, fn, walker, thisp);
          walker = prev;
        }
      }
      forEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].head; walker !== null; ) {
          const next = walker.next;
          forEachStep(this, fn, walker, thisp);
          walker = next;
        }
      }
      keys() {
        return this[LRU_LIST].toArray().map((k) => k.key);
      }
      values() {
        return this[LRU_LIST].toArray().map((k) => k.value);
      }
      reset() {
        if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
          this[LRU_LIST].forEach((hit) => this[DISPOSE](hit.key, hit.value));
        }
        this[CACHE] = /* @__PURE__ */ new Map();
        this[LRU_LIST] = new Yallist();
        this[LENGTH] = 0;
      }
      dump() {
        return this[LRU_LIST].map((hit) => isStale(this, hit) ? false : {
          k: hit.key,
          v: hit.value,
          e: hit.now + (hit.maxAge || 0)
        }).toArray().filter((h) => h);
      }
      dumpLru() {
        return this[LRU_LIST];
      }
      set(key, value, maxAge) {
        maxAge = maxAge || this[MAX_AGE];
        if (maxAge && typeof maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        const now = maxAge ? Date.now() : 0;
        const len = this[LENGTH_CALCULATOR](value, key);
        if (this[CACHE].has(key)) {
          if (len > this[MAX]) {
            del(this, this[CACHE].get(key));
            return false;
          }
          const node = this[CACHE].get(key);
          const item = node.value;
          if (this[DISPOSE]) {
            if (!this[NO_DISPOSE_ON_SET])
              this[DISPOSE](key, item.value);
          }
          item.now = now;
          item.maxAge = maxAge;
          item.value = value;
          this[LENGTH] += len - item.length;
          item.length = len;
          this.get(key);
          trim(this);
          return true;
        }
        const hit = new Entry(key, value, len, now, maxAge);
        if (hit.length > this[MAX]) {
          if (this[DISPOSE])
            this[DISPOSE](key, value);
          return false;
        }
        this[LENGTH] += hit.length;
        this[LRU_LIST].unshift(hit);
        this[CACHE].set(key, this[LRU_LIST].head);
        trim(this);
        return true;
      }
      has(key) {
        if (!this[CACHE].has(key))
          return false;
        const hit = this[CACHE].get(key).value;
        return !isStale(this, hit);
      }
      get(key) {
        return get(this, key, true);
      }
      peek(key) {
        return get(this, key, false);
      }
      pop() {
        const node = this[LRU_LIST].tail;
        if (!node)
          return null;
        del(this, node);
        return node.value;
      }
      del(key) {
        del(this, this[CACHE].get(key));
      }
      load(arr) {
        this.reset();
        const now = Date.now();
        for (let l = arr.length - 1; l >= 0; l--) {
          const hit = arr[l];
          const expiresAt = hit.e || 0;
          if (expiresAt === 0)
            this.set(hit.k, hit.v);
          else {
            const maxAge = expiresAt - now;
            if (maxAge > 0) {
              this.set(hit.k, hit.v, maxAge);
            }
          }
        }
      }
      prune() {
        this[CACHE].forEach((value, key) => get(this, key, false));
      }
    };
    var get = (self2, key, doUse) => {
      const node = self2[CACHE].get(key);
      if (node) {
        const hit = node.value;
        if (isStale(self2, hit)) {
          del(self2, node);
          if (!self2[ALLOW_STALE])
            return void 0;
        } else {
          if (doUse) {
            if (self2[UPDATE_AGE_ON_GET])
              node.value.now = Date.now();
            self2[LRU_LIST].unshiftNode(node);
          }
        }
        return hit.value;
      }
    };
    var isStale = (self2, hit) => {
      if (!hit || !hit.maxAge && !self2[MAX_AGE])
        return false;
      const diff = Date.now() - hit.now;
      return hit.maxAge ? diff > hit.maxAge : self2[MAX_AGE] && diff > self2[MAX_AGE];
    };
    var trim = (self2) => {
      if (self2[LENGTH] > self2[MAX]) {
        for (let walker = self2[LRU_LIST].tail; self2[LENGTH] > self2[MAX] && walker !== null; ) {
          const prev = walker.prev;
          del(self2, walker);
          walker = prev;
        }
      }
    };
    var del = (self2, node) => {
      if (node) {
        const hit = node.value;
        if (self2[DISPOSE])
          self2[DISPOSE](hit.key, hit.value);
        self2[LENGTH] -= hit.length;
        self2[CACHE].delete(hit.key);
        self2[LRU_LIST].removeNode(node);
      }
    };
    var Entry = class {
      constructor(key, value, length, now, maxAge) {
        this.key = key;
        this.value = value;
        this.length = length;
        this.now = now;
        this.maxAge = maxAge || 0;
      }
    };
    var forEachStep = (self2, fn, node, thisp) => {
      let hit = node.value;
      if (isStale(self2, hit)) {
        del(self2, node);
        if (!self2[ALLOW_STALE])
          hit = void 0;
      }
      if (hit)
        fn.call(thisp, hit.value, hit.key, self2);
    };
    module2.exports = LRUCache;
  }
});

// ../../components/source-repositories/node_modules/semver/classes/range.js
var require_range2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/classes/range.js"(exports2, module2) {
    var Range = class _Range {
      constructor(range, options) {
        options = parseOptions(options);
        if (range instanceof _Range) {
          if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
            return range;
          } else {
            return new _Range(range.raw, options);
          }
        }
        if (range instanceof Comparator) {
          this.raw = range.value;
          this.set = [[range]];
          this.format();
          return this;
        }
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        this.raw = range.trim().split(/\s+/).join(" ");
        this.set = this.raw.split("||").map((r) => this.parseRange(r)).filter((c) => c.length);
        if (!this.set.length) {
          throw new TypeError(`Invalid SemVer Range: ${this.raw}`);
        }
        if (this.set.length > 1) {
          const first = this.set[0];
          this.set = this.set.filter((c) => !isNullSet(c[0]));
          if (this.set.length === 0) {
            this.set = [first];
          } else if (this.set.length > 1) {
            for (const c of this.set) {
              if (c.length === 1 && isAny(c[0])) {
                this.set = [c];
                break;
              }
            }
          }
        }
        this.format();
      }
      format() {
        this.range = this.set.map((comps) => comps.join(" ").trim()).join("||").trim();
        return this.range;
      }
      toString() {
        return this.range;
      }
      parseRange(range) {
        const memoOpts = (this.options.includePrerelease && FLAG_INCLUDE_PRERELEASE) | (this.options.loose && FLAG_LOOSE);
        const memoKey = memoOpts + ":" + range;
        const cached = cache.get(memoKey);
        if (cached) {
          return cached;
        }
        const loose = this.options.loose;
        const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE];
        range = range.replace(hr, hyphenReplace(this.options.includePrerelease));
        debug("hyphen replace", range);
        range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace);
        debug("comparator trim", range);
        range = range.replace(re[t.TILDETRIM], tildeTrimReplace);
        debug("tilde trim", range);
        range = range.replace(re[t.CARETTRIM], caretTrimReplace);
        debug("caret trim", range);
        let rangeList = range.split(" ").map((comp) => parseComparator(comp, this.options)).join(" ").split(/\s+/).map((comp) => replaceGTE0(comp, this.options));
        if (loose) {
          rangeList = rangeList.filter((comp) => {
            debug("loose invalid filter", comp, this.options);
            return !!comp.match(re[t.COMPARATORLOOSE]);
          });
        }
        debug("range list", rangeList);
        const rangeMap = /* @__PURE__ */ new Map();
        const comparators = rangeList.map((comp) => new Comparator(comp, this.options));
        for (const comp of comparators) {
          if (isNullSet(comp)) {
            return [comp];
          }
          rangeMap.set(comp.value, comp);
        }
        if (rangeMap.size > 1 && rangeMap.has("")) {
          rangeMap.delete("");
        }
        const result = [...rangeMap.values()];
        cache.set(memoKey, result);
        return result;
      }
      intersects(range, options) {
        if (!(range instanceof _Range)) {
          throw new TypeError("a Range is required");
        }
        return this.set.some((thisComparators) => {
          return isSatisfiable(thisComparators, options) && range.set.some((rangeComparators) => {
            return isSatisfiable(rangeComparators, options) && thisComparators.every((thisComparator) => {
              return rangeComparators.every((rangeComparator) => {
                return thisComparator.intersects(rangeComparator, options);
              });
            });
          });
        });
      }
      // if ANY of the sets match ALL of its comparators, then pass
      test(version) {
        if (!version) {
          return false;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        for (let i = 0; i < this.set.length; i++) {
          if (testSet(this.set[i], version, this.options)) {
            return true;
          }
        }
        return false;
      }
    };
    module2.exports = Range;
    var LRU = require_lru_cache2();
    var cache = new LRU({ max: 1e3 });
    var parseOptions = require_parse_options2();
    var Comparator = require_comparator2();
    var debug = require_debug2();
    var SemVer = require_semver5();
    var {
      safeRe: re,
      t,
      comparatorTrimReplace,
      tildeTrimReplace,
      caretTrimReplace
    } = require_re2();
    var { FLAG_INCLUDE_PRERELEASE, FLAG_LOOSE } = require_constants4();
    var isNullSet = (c) => c.value === "<0.0.0-0";
    var isAny = (c) => c.value === "";
    var isSatisfiable = (comparators, options) => {
      let result = true;
      const remainingComparators = comparators.slice();
      let testComparator = remainingComparators.pop();
      while (result && remainingComparators.length) {
        result = remainingComparators.every((otherComparator) => {
          return testComparator.intersects(otherComparator, options);
        });
        testComparator = remainingComparators.pop();
      }
      return result;
    };
    var parseComparator = (comp, options) => {
      debug("comp", comp, options);
      comp = replaceCarets(comp, options);
      debug("caret", comp);
      comp = replaceTildes(comp, options);
      debug("tildes", comp);
      comp = replaceXRanges(comp, options);
      debug("xrange", comp);
      comp = replaceStars(comp, options);
      debug("stars", comp);
      return comp;
    };
    var isX = (id) => !id || id.toLowerCase() === "x" || id === "*";
    var replaceTildes = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceTilde(c, options)).join(" ");
    };
    var replaceTilde = (comp, options) => {
      const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE];
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("tilde", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0 <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`;
        } else if (pr) {
          debug("replaceTilde pr", pr);
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
        } else {
          ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`;
        }
        debug("tilde return", ret);
        return ret;
      });
    };
    var replaceCarets = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceCaret(c, options)).join(" ");
    };
    var replaceCaret = (comp, options) => {
      debug("caret", comp, options);
      const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET];
      const z = options.includePrerelease ? "-0" : "";
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("caret", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          if (M === "0") {
            ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`;
          } else {
            ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`;
          }
        } else if (pr) {
          debug("replaceCaret pr", pr);
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`;
          }
        } else {
          debug("no pr");
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`;
          }
        }
        debug("caret return", ret);
        return ret;
      });
    };
    var replaceXRanges = (comp, options) => {
      debug("replaceXRanges", comp, options);
      return comp.split(/\s+/).map((c) => replaceXRange(c, options)).join(" ");
    };
    var replaceXRange = (comp, options) => {
      comp = comp.trim();
      const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE];
      return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
        debug("xRange", comp, ret, gtlt, M, m, p, pr);
        const xM = isX(M);
        const xm = xM || isX(m);
        const xp = xm || isX(p);
        const anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        pr = options.includePrerelease ? "-0" : "";
        if (xM) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0-0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm) {
            m = 0;
          }
          p = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm) {
              M = +M + 1;
              m = 0;
              p = 0;
            } else {
              m = +m + 1;
              p = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm) {
              M = +M + 1;
            } else {
              m = +m + 1;
            }
          }
          if (gtlt === "<") {
            pr = "-0";
          }
          ret = `${gtlt + M}.${m}.${p}${pr}`;
        } else if (xm) {
          ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`;
        } else if (xp) {
          ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`;
        }
        debug("xRange return", ret);
        return ret;
      });
    };
    var replaceStars = (comp, options) => {
      debug("replaceStars", comp, options);
      return comp.trim().replace(re[t.STAR], "");
    };
    var replaceGTE0 = (comp, options) => {
      debug("replaceGTE0", comp, options);
      return comp.trim().replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], "");
    };
    var hyphenReplace = (incPr) => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) => {
      if (isX(fM)) {
        from = "";
      } else if (isX(fm)) {
        from = `>=${fM}.0.0${incPr ? "-0" : ""}`;
      } else if (isX(fp)) {
        from = `>=${fM}.${fm}.0${incPr ? "-0" : ""}`;
      } else if (fpr) {
        from = `>=${from}`;
      } else {
        from = `>=${from}${incPr ? "-0" : ""}`;
      }
      if (isX(tM)) {
        to = "";
      } else if (isX(tm)) {
        to = `<${+tM + 1}.0.0-0`;
      } else if (isX(tp)) {
        to = `<${tM}.${+tm + 1}.0-0`;
      } else if (tpr) {
        to = `<=${tM}.${tm}.${tp}-${tpr}`;
      } else if (incPr) {
        to = `<${tM}.${tm}.${+tp + 1}-0`;
      } else {
        to = `<=${to}`;
      }
      return `${from} ${to}`.trim();
    };
    var testSet = (set, version, options) => {
      for (let i = 0; i < set.length; i++) {
        if (!set[i].test(version)) {
          return false;
        }
      }
      if (version.prerelease.length && !options.includePrerelease) {
        for (let i = 0; i < set.length; i++) {
          debug(set[i].semver);
          if (set[i].semver === Comparator.ANY) {
            continue;
          }
          if (set[i].semver.prerelease.length > 0) {
            const allowed = set[i].semver;
            if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    };
  }
});

// ../../components/source-repositories/node_modules/semver/classes/comparator.js
var require_comparator2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/classes/comparator.js"(exports2, module2) {
    var ANY = Symbol("SemVer ANY");
    var Comparator = class _Comparator {
      static get ANY() {
        return ANY;
      }
      constructor(comp, options) {
        options = parseOptions(options);
        if (comp instanceof _Comparator) {
          if (comp.loose === !!options.loose) {
            return comp;
          } else {
            comp = comp.value;
          }
        }
        comp = comp.trim().split(/\s+/).join(" ");
        debug("comparator", comp, options);
        this.options = options;
        this.loose = !!options.loose;
        this.parse(comp);
        if (this.semver === ANY) {
          this.value = "";
        } else {
          this.value = this.operator + this.semver.version;
        }
        debug("comp", this);
      }
      parse(comp) {
        const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
        const m = comp.match(r);
        if (!m) {
          throw new TypeError(`Invalid comparator: ${comp}`);
        }
        this.operator = m[1] !== void 0 ? m[1] : "";
        if (this.operator === "=") {
          this.operator = "";
        }
        if (!m[2]) {
          this.semver = ANY;
        } else {
          this.semver = new SemVer(m[2], this.options.loose);
        }
      }
      toString() {
        return this.value;
      }
      test(version) {
        debug("Comparator.test", version, this.options.loose);
        if (this.semver === ANY || version === ANY) {
          return true;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        return cmp(version, this.operator, this.semver, this.options);
      }
      intersects(comp, options) {
        if (!(comp instanceof _Comparator)) {
          throw new TypeError("a Comparator is required");
        }
        if (this.operator === "") {
          if (this.value === "") {
            return true;
          }
          return new Range(comp.value, options).test(this.value);
        } else if (comp.operator === "") {
          if (comp.value === "") {
            return true;
          }
          return new Range(this.value, options).test(comp.semver);
        }
        options = parseOptions(options);
        if (options.includePrerelease && (this.value === "<0.0.0-0" || comp.value === "<0.0.0-0")) {
          return false;
        }
        if (!options.includePrerelease && (this.value.startsWith("<0.0.0") || comp.value.startsWith("<0.0.0"))) {
          return false;
        }
        if (this.operator.startsWith(">") && comp.operator.startsWith(">")) {
          return true;
        }
        if (this.operator.startsWith("<") && comp.operator.startsWith("<")) {
          return true;
        }
        if (this.semver.version === comp.semver.version && this.operator.includes("=") && comp.operator.includes("=")) {
          return true;
        }
        if (cmp(this.semver, "<", comp.semver, options) && this.operator.startsWith(">") && comp.operator.startsWith("<")) {
          return true;
        }
        if (cmp(this.semver, ">", comp.semver, options) && this.operator.startsWith("<") && comp.operator.startsWith(">")) {
          return true;
        }
        return false;
      }
    };
    module2.exports = Comparator;
    var parseOptions = require_parse_options2();
    var { safeRe: re, t } = require_re2();
    var cmp = require_cmp2();
    var debug = require_debug2();
    var SemVer = require_semver5();
    var Range = require_range2();
  }
});

// ../../components/source-repositories/node_modules/semver/functions/satisfies.js
var require_satisfies2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/functions/satisfies.js"(exports2, module2) {
    var Range = require_range2();
    var satisfies = (version, range, options) => {
      try {
        range = new Range(range, options);
      } catch (er) {
        return false;
      }
      return range.test(version);
    };
    module2.exports = satisfies;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/to-comparators.js
var require_to_comparators2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/to-comparators.js"(exports2, module2) {
    var Range = require_range2();
    var toComparators = (range, options) => new Range(range, options).set.map((comp) => comp.map((c) => c.value).join(" ").trim().split(" "));
    module2.exports = toComparators;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/max-satisfying.js
var require_max_satisfying2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/max-satisfying.js"(exports2, module2) {
    var SemVer = require_semver5();
    var Range = require_range2();
    var maxSatisfying = (versions, range, options) => {
      let max = null;
      let maxSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!max || maxSV.compare(v) === -1) {
            max = v;
            maxSV = new SemVer(max, options);
          }
        }
      });
      return max;
    };
    module2.exports = maxSatisfying;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/min-satisfying.js
var require_min_satisfying2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/min-satisfying.js"(exports2, module2) {
    var SemVer = require_semver5();
    var Range = require_range2();
    var minSatisfying = (versions, range, options) => {
      let min = null;
      let minSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!min || minSV.compare(v) === 1) {
            min = v;
            minSV = new SemVer(min, options);
          }
        }
      });
      return min;
    };
    module2.exports = minSatisfying;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/min-version.js
var require_min_version2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/min-version.js"(exports2, module2) {
    var SemVer = require_semver5();
    var Range = require_range2();
    var gt = require_gt2();
    var minVersion = (range, loose) => {
      range = new Range(range, loose);
      let minver = new SemVer("0.0.0");
      if (range.test(minver)) {
        return minver;
      }
      minver = new SemVer("0.0.0-0");
      if (range.test(minver)) {
        return minver;
      }
      minver = null;
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let setMin = null;
        comparators.forEach((comparator) => {
          const compver = new SemVer(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!setMin || gt(compver, setMin)) {
                setMin = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error(`Unexpected operation: ${comparator.operator}`);
          }
        });
        if (setMin && (!minver || gt(minver, setMin))) {
          minver = setMin;
        }
      }
      if (minver && range.test(minver)) {
        return minver;
      }
      return null;
    };
    module2.exports = minVersion;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/valid.js
var require_valid4 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/valid.js"(exports2, module2) {
    var Range = require_range2();
    var validRange = (range, options) => {
      try {
        return new Range(range, options).range || "*";
      } catch (er) {
        return null;
      }
    };
    module2.exports = validRange;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/outside.js
var require_outside2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/outside.js"(exports2, module2) {
    var SemVer = require_semver5();
    var Comparator = require_comparator2();
    var { ANY } = Comparator;
    var Range = require_range2();
    var satisfies = require_satisfies2();
    var gt = require_gt2();
    var lt = require_lt2();
    var lte = require_lte2();
    var gte = require_gte2();
    var outside = (version, range, hilo, options) => {
      version = new SemVer(version, options);
      range = new Range(range, options);
      let gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt;
          ltefn = gte;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version, range, options)) {
        return false;
      }
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let high = null;
        let low = null;
        comparators.forEach((comparator) => {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version, low.semver)) {
          return false;
        }
      }
      return true;
    };
    module2.exports = outside;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/gtr.js
var require_gtr2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/gtr.js"(exports2, module2) {
    var outside = require_outside2();
    var gtr = (version, range, options) => outside(version, range, ">", options);
    module2.exports = gtr;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/ltr.js
var require_ltr2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/ltr.js"(exports2, module2) {
    var outside = require_outside2();
    var ltr = (version, range, options) => outside(version, range, "<", options);
    module2.exports = ltr;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/intersects.js
var require_intersects2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/intersects.js"(exports2, module2) {
    var Range = require_range2();
    var intersects = (r1, r2, options) => {
      r1 = new Range(r1, options);
      r2 = new Range(r2, options);
      return r1.intersects(r2, options);
    };
    module2.exports = intersects;
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/simplify.js
var require_simplify2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/simplify.js"(exports2, module2) {
    var satisfies = require_satisfies2();
    var compare = require_compare2();
    module2.exports = (versions, range, options) => {
      const set = [];
      let first = null;
      let prev = null;
      const v = versions.sort((a, b) => compare(a, b, options));
      for (const version of v) {
        const included = satisfies(version, range, options);
        if (included) {
          prev = version;
          if (!first) {
            first = version;
          }
        } else {
          if (prev) {
            set.push([first, prev]);
          }
          prev = null;
          first = null;
        }
      }
      if (first) {
        set.push([first, null]);
      }
      const ranges = [];
      for (const [min, max] of set) {
        if (min === max) {
          ranges.push(min);
        } else if (!max && min === v[0]) {
          ranges.push("*");
        } else if (!max) {
          ranges.push(`>=${min}`);
        } else if (min === v[0]) {
          ranges.push(`<=${max}`);
        } else {
          ranges.push(`${min} - ${max}`);
        }
      }
      const simplified = ranges.join(" || ");
      const original = typeof range.raw === "string" ? range.raw : String(range);
      return simplified.length < original.length ? simplified : range;
    };
  }
});

// ../../components/source-repositories/node_modules/semver/ranges/subset.js
var require_subset2 = __commonJS({
  "../../components/source-repositories/node_modules/semver/ranges/subset.js"(exports2, module2) {
    var Range = require_range2();
    var Comparator = require_comparator2();
    var { ANY } = Comparator;
    var satisfies = require_satisfies2();
    var compare = require_compare2();
    var subset = (sub, dom, options = {}) => {
      if (sub === dom) {
        return true;
      }
      sub = new Range(sub, options);
      dom = new Range(dom, options);
      let sawNonNull = false;
      OUTER:
        for (const simpleSub of sub.set) {
          for (const simpleDom of dom.set) {
            const isSub = simpleSubset(simpleSub, simpleDom, options);
            sawNonNull = sawNonNull || isSub !== null;
            if (isSub) {
              continue OUTER;
            }
          }
          if (sawNonNull) {
            return false;
          }
        }
      return true;
    };
    var minimumVersionWithPreRelease = [new Comparator(">=0.0.0-0")];
    var minimumVersion = [new Comparator(">=0.0.0")];
    var simpleSubset = (sub, dom, options) => {
      if (sub === dom) {
        return true;
      }
      if (sub.length === 1 && sub[0].semver === ANY) {
        if (dom.length === 1 && dom[0].semver === ANY) {
          return true;
        } else if (options.includePrerelease) {
          sub = minimumVersionWithPreRelease;
        } else {
          sub = minimumVersion;
        }
      }
      if (dom.length === 1 && dom[0].semver === ANY) {
        if (options.includePrerelease) {
          return true;
        } else {
          dom = minimumVersion;
        }
      }
      const eqSet = /* @__PURE__ */ new Set();
      let gt, lt;
      for (const c of sub) {
        if (c.operator === ">" || c.operator === ">=") {
          gt = higherGT(gt, c, options);
        } else if (c.operator === "<" || c.operator === "<=") {
          lt = lowerLT(lt, c, options);
        } else {
          eqSet.add(c.semver);
        }
      }
      if (eqSet.size > 1) {
        return null;
      }
      let gtltComp;
      if (gt && lt) {
        gtltComp = compare(gt.semver, lt.semver, options);
        if (gtltComp > 0) {
          return null;
        } else if (gtltComp === 0 && (gt.operator !== ">=" || lt.operator !== "<=")) {
          return null;
        }
      }
      for (const eq of eqSet) {
        if (gt && !satisfies(eq, String(gt), options)) {
          return null;
        }
        if (lt && !satisfies(eq, String(lt), options)) {
          return null;
        }
        for (const c of dom) {
          if (!satisfies(eq, String(c), options)) {
            return false;
          }
        }
        return true;
      }
      let higher, lower;
      let hasDomLT, hasDomGT;
      let needDomLTPre = lt && !options.includePrerelease && lt.semver.prerelease.length ? lt.semver : false;
      let needDomGTPre = gt && !options.includePrerelease && gt.semver.prerelease.length ? gt.semver : false;
      if (needDomLTPre && needDomLTPre.prerelease.length === 1 && lt.operator === "<" && needDomLTPre.prerelease[0] === 0) {
        needDomLTPre = false;
      }
      for (const c of dom) {
        hasDomGT = hasDomGT || c.operator === ">" || c.operator === ">=";
        hasDomLT = hasDomLT || c.operator === "<" || c.operator === "<=";
        if (gt) {
          if (needDomGTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomGTPre.major && c.semver.minor === needDomGTPre.minor && c.semver.patch === needDomGTPre.patch) {
              needDomGTPre = false;
            }
          }
          if (c.operator === ">" || c.operator === ">=") {
            higher = higherGT(gt, c, options);
            if (higher === c && higher !== gt) {
              return false;
            }
          } else if (gt.operator === ">=" && !satisfies(gt.semver, String(c), options)) {
            return false;
          }
        }
        if (lt) {
          if (needDomLTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomLTPre.major && c.semver.minor === needDomLTPre.minor && c.semver.patch === needDomLTPre.patch) {
              needDomLTPre = false;
            }
          }
          if (c.operator === "<" || c.operator === "<=") {
            lower = lowerLT(lt, c, options);
            if (lower === c && lower !== lt) {
              return false;
            }
          } else if (lt.operator === "<=" && !satisfies(lt.semver, String(c), options)) {
            return false;
          }
        }
        if (!c.operator && (lt || gt) && gtltComp !== 0) {
          return false;
        }
      }
      if (gt && hasDomLT && !lt && gtltComp !== 0) {
        return false;
      }
      if (lt && hasDomGT && !gt && gtltComp !== 0) {
        return false;
      }
      if (needDomGTPre || needDomLTPre) {
        return false;
      }
      return true;
    };
    var higherGT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp > 0 ? a : comp < 0 ? b : b.operator === ">" && a.operator === ">=" ? b : a;
    };
    var lowerLT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp < 0 ? a : comp > 0 ? b : b.operator === "<" && a.operator === "<=" ? b : a;
    };
    module2.exports = subset;
  }
});

// ../../components/source-repositories/node_modules/semver/index.js
var require_semver6 = __commonJS({
  "../../components/source-repositories/node_modules/semver/index.js"(exports2, module2) {
    var internalRe = require_re2();
    var constants = require_constants4();
    var SemVer = require_semver5();
    var identifiers = require_identifiers2();
    var parse = require_parse4();
    var valid = require_valid3();
    var clean = require_clean2();
    var inc = require_inc2();
    var diff = require_diff2();
    var major = require_major2();
    var minor = require_minor2();
    var patch = require_patch2();
    var prerelease = require_prerelease2();
    var compare = require_compare2();
    var rcompare = require_rcompare2();
    var compareLoose = require_compare_loose2();
    var compareBuild = require_compare_build2();
    var sort = require_sort2();
    var rsort = require_rsort2();
    var gt = require_gt2();
    var lt = require_lt2();
    var eq = require_eq2();
    var neq = require_neq2();
    var gte = require_gte2();
    var lte = require_lte2();
    var cmp = require_cmp2();
    var coerce = require_coerce2();
    var Comparator = require_comparator2();
    var Range = require_range2();
    var satisfies = require_satisfies2();
    var toComparators = require_to_comparators2();
    var maxSatisfying = require_max_satisfying2();
    var minSatisfying = require_min_satisfying2();
    var minVersion = require_min_version2();
    var validRange = require_valid4();
    var outside = require_outside2();
    var gtr = require_gtr2();
    var ltr = require_ltr2();
    var intersects = require_intersects2();
    var simplifyRange = require_simplify2();
    var subset = require_subset2();
    module2.exports = {
      parse,
      valid,
      clean,
      inc,
      diff,
      major,
      minor,
      patch,
      prerelease,
      compare,
      rcompare,
      compareLoose,
      compareBuild,
      sort,
      rsort,
      gt,
      lt,
      eq,
      neq,
      gte,
      lte,
      cmp,
      coerce,
      Comparator,
      Range,
      satisfies,
      toComparators,
      maxSatisfying,
      minSatisfying,
      minVersion,
      validRange,
      outside,
      gtr,
      ltr,
      intersects,
      simplifyRange,
      subset,
      SemVer,
      re: internalRe.re,
      src: internalRe.src,
      tokens: internalRe.t,
      SEMVER_SPEC_VERSION: constants.SEMVER_SPEC_VERSION,
      RELEASE_TYPES: constants.RELEASE_TYPES,
      compareIdentifiers: identifiers.compareIdentifiers,
      rcompareIdentifiers: identifiers.rcompareIdentifiers
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/semver.js
var require_semver7 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/semver.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Semver = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var Semver = class _Semver {
      static of(spec) {
        return new _Semver(spec);
      }
      /**
       * Latest version.
       */
      static latest() {
        return new _Semver("*");
      }
      /**
       * Accept only an exact version
       */
      static pinned(version) {
        return new _Semver(version);
      }
      /**
       * Accept any minor version.
       *
       * >= version
       * < next major version
       */
      static caret(version) {
        return new _Semver(`^${version}`);
      }
      /**
       * Accept patches.
       *
       * >= version
       * < next minor version
       */
      static tilde(version) {
        return new _Semver(`~${version}`);
      }
      constructor(spec) {
        this.spec = spec;
      }
      get version() {
        return semver.minVersion(this.spec)?.version;
      }
    };
    exports2.Semver = Semver;
    _a = JSII_RTTI_SYMBOL_1;
    Semver[_a] = { fqn: "projen.Semver", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/textfile.js
var require_textfile2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/textfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TextFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var TextFile = class extends file_1.FileBase {
      /**
       * Defines a text file.
       *
       * @param project The project
       * @param filePath File path
       * @param options Options
       */
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        this.lines = options.lines ?? [];
      }
      /**
       * Adds a line to the text file.
       * @param line the line to add (can use tokens)
       */
      addLine(line) {
        this.lines.push(line);
      }
      synthesizeContent(_) {
        return this.lines.join("\n");
      }
    };
    exports2.TextFile = TextFile;
    _a = JSII_RTTI_SYMBOL_1;
    TextFile[_a] = { fqn: "projen.TextFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/source-code.js
var require_source_code2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/source-code.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var textfile_1 = require_textfile2();
    var SourceCode = class extends component_1.Component {
      constructor(project, filePath, options = {}) {
        super(project);
        this.filePath = filePath;
        this.indentLevel = 0;
        this.indent = options.indent ?? 2;
        this.file = new textfile_1.TextFile(project, filePath, {
          readonly: options.readonly ?? true
        });
      }
      get marker() {
        return this.file.marker;
      }
      /**
       * Emit a line of code.
       * @param code The contents, if not specified, just adds a newline
       */
      line(code) {
        const spaces = this.indent * this.indentLevel;
        const prefix = " ".repeat(spaces);
        this.file.addLine((prefix + (code ?? "")).trimEnd());
      }
      /**
       * Opens a code block and increases the indentation level.
       *
       * @param code The code before the block starts (e.g. `export class {`).
       */
      open(code) {
        if (code) {
          this.line(code);
        }
        this.indentLevel++;
      }
      /**
       * Decreases the indentation level and closes a code block.
       *
       * @param code The code after the block is closed (e.g. `}`).
       */
      close(code) {
        if (this.indentLevel === 0) {
          throw new Error("Cannot decrease indent level below zero");
        }
        this.indentLevel--;
        if (code) {
          this.line(code);
        }
      }
    };
    exports2.SourceCode = SourceCode;
    _a = JSII_RTTI_SYMBOL_1;
    SourceCode[_a] = { fqn: "projen.SourceCode", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/task-model.js
var require_task_model2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/task-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/esprima/dist/esprima.js
var require_esprima2 = __commonJS({
  "../../components/source-repositories/node_modules/esprima/dist/esprima.js"(exports2, module2) {
    (function webpackUniversalModuleDefinition(root, factory) {
      if (typeof exports2 === "object" && typeof module2 === "object")
        module2.exports = factory();
      else if (typeof define === "function" && define.amd)
        define([], factory);
      else if (typeof exports2 === "object")
        exports2["esprima"] = factory();
      else
        root["esprima"] = factory();
    })(exports2, function() {
      return (
        /******/
        function(modules) {
          var installedModules = {};
          function __webpack_require__(moduleId) {
            if (installedModules[moduleId])
              return installedModules[moduleId].exports;
            var module3 = installedModules[moduleId] = {
              /******/
              exports: {},
              /******/
              id: moduleId,
              /******/
              loaded: false
              /******/
            };
            modules[moduleId].call(module3.exports, module3, module3.exports, __webpack_require__);
            module3.loaded = true;
            return module3.exports;
          }
          __webpack_require__.m = modules;
          __webpack_require__.c = installedModules;
          __webpack_require__.p = "";
          return __webpack_require__(0);
        }([
          /* 0 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var comment_handler_1 = __webpack_require__(1);
            var jsx_parser_1 = __webpack_require__(3);
            var parser_1 = __webpack_require__(8);
            var tokenizer_1 = __webpack_require__(15);
            function parse(code, options, delegate) {
              var commentHandler = null;
              var proxyDelegate = function(node, metadata) {
                if (delegate) {
                  delegate(node, metadata);
                }
                if (commentHandler) {
                  commentHandler.visit(node, metadata);
                }
              };
              var parserDelegate = typeof delegate === "function" ? proxyDelegate : null;
              var collectComment = false;
              if (options) {
                collectComment = typeof options.comment === "boolean" && options.comment;
                var attachComment = typeof options.attachComment === "boolean" && options.attachComment;
                if (collectComment || attachComment) {
                  commentHandler = new comment_handler_1.CommentHandler();
                  commentHandler.attach = attachComment;
                  options.comment = true;
                  parserDelegate = proxyDelegate;
                }
              }
              var isModule = false;
              if (options && typeof options.sourceType === "string") {
                isModule = options.sourceType === "module";
              }
              var parser;
              if (options && typeof options.jsx === "boolean" && options.jsx) {
                parser = new jsx_parser_1.JSXParser(code, options, parserDelegate);
              } else {
                parser = new parser_1.Parser(code, options, parserDelegate);
              }
              var program = isModule ? parser.parseModule() : parser.parseScript();
              var ast = program;
              if (collectComment && commentHandler) {
                ast.comments = commentHandler.comments;
              }
              if (parser.config.tokens) {
                ast.tokens = parser.tokens;
              }
              if (parser.config.tolerant) {
                ast.errors = parser.errorHandler.errors;
              }
              return ast;
            }
            exports3.parse = parse;
            function parseModule(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "module";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseModule = parseModule;
            function parseScript(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "script";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseScript = parseScript;
            function tokenize(code, options, delegate) {
              var tokenizer = new tokenizer_1.Tokenizer(code, options);
              var tokens;
              tokens = [];
              try {
                while (true) {
                  var token = tokenizer.getNextToken();
                  if (!token) {
                    break;
                  }
                  if (delegate) {
                    token = delegate(token);
                  }
                  tokens.push(token);
                }
              } catch (e) {
                tokenizer.errorHandler.tolerate(e);
              }
              if (tokenizer.errorHandler.tolerant) {
                tokens.errors = tokenizer.errors();
              }
              return tokens;
            }
            exports3.tokenize = tokenize;
            var syntax_1 = __webpack_require__(2);
            exports3.Syntax = syntax_1.Syntax;
            exports3.version = "4.0.1";
          },
          /* 1 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var CommentHandler = function() {
              function CommentHandler2() {
                this.attach = false;
                this.comments = [];
                this.stack = [];
                this.leading = [];
                this.trailing = [];
              }
              CommentHandler2.prototype.insertInnerComments = function(node, metadata) {
                if (node.type === syntax_1.Syntax.BlockStatement && node.body.length === 0) {
                  var innerComments = [];
                  for (var i = this.leading.length - 1; i >= 0; --i) {
                    var entry = this.leading[i];
                    if (metadata.end.offset >= entry.start) {
                      innerComments.unshift(entry.comment);
                      this.leading.splice(i, 1);
                      this.trailing.splice(i, 1);
                    }
                  }
                  if (innerComments.length) {
                    node.innerComments = innerComments;
                  }
                }
              };
              CommentHandler2.prototype.findTrailingComments = function(metadata) {
                var trailingComments = [];
                if (this.trailing.length > 0) {
                  for (var i = this.trailing.length - 1; i >= 0; --i) {
                    var entry_1 = this.trailing[i];
                    if (entry_1.start >= metadata.end.offset) {
                      trailingComments.unshift(entry_1.comment);
                    }
                  }
                  this.trailing.length = 0;
                  return trailingComments;
                }
                var entry = this.stack[this.stack.length - 1];
                if (entry && entry.node.trailingComments) {
                  var firstComment = entry.node.trailingComments[0];
                  if (firstComment && firstComment.range[0] >= metadata.end.offset) {
                    trailingComments = entry.node.trailingComments;
                    delete entry.node.trailingComments;
                  }
                }
                return trailingComments;
              };
              CommentHandler2.prototype.findLeadingComments = function(metadata) {
                var leadingComments = [];
                var target;
                while (this.stack.length > 0) {
                  var entry = this.stack[this.stack.length - 1];
                  if (entry && entry.start >= metadata.start.offset) {
                    target = entry.node;
                    this.stack.pop();
                  } else {
                    break;
                  }
                }
                if (target) {
                  var count = target.leadingComments ? target.leadingComments.length : 0;
                  for (var i = count - 1; i >= 0; --i) {
                    var comment = target.leadingComments[i];
                    if (comment.range[1] <= metadata.start.offset) {
                      leadingComments.unshift(comment);
                      target.leadingComments.splice(i, 1);
                    }
                  }
                  if (target.leadingComments && target.leadingComments.length === 0) {
                    delete target.leadingComments;
                  }
                  return leadingComments;
                }
                for (var i = this.leading.length - 1; i >= 0; --i) {
                  var entry = this.leading[i];
                  if (entry.start <= metadata.start.offset) {
                    leadingComments.unshift(entry.comment);
                    this.leading.splice(i, 1);
                  }
                }
                return leadingComments;
              };
              CommentHandler2.prototype.visitNode = function(node, metadata) {
                if (node.type === syntax_1.Syntax.Program && node.body.length > 0) {
                  return;
                }
                this.insertInnerComments(node, metadata);
                var trailingComments = this.findTrailingComments(metadata);
                var leadingComments = this.findLeadingComments(metadata);
                if (leadingComments.length > 0) {
                  node.leadingComments = leadingComments;
                }
                if (trailingComments.length > 0) {
                  node.trailingComments = trailingComments;
                }
                this.stack.push({
                  node,
                  start: metadata.start.offset
                });
              };
              CommentHandler2.prototype.visitComment = function(node, metadata) {
                var type = node.type[0] === "L" ? "Line" : "Block";
                var comment = {
                  type,
                  value: node.value
                };
                if (node.range) {
                  comment.range = node.range;
                }
                if (node.loc) {
                  comment.loc = node.loc;
                }
                this.comments.push(comment);
                if (this.attach) {
                  var entry = {
                    comment: {
                      type,
                      value: node.value,
                      range: [metadata.start.offset, metadata.end.offset]
                    },
                    start: metadata.start.offset
                  };
                  if (node.loc) {
                    entry.comment.loc = node.loc;
                  }
                  node.type = type;
                  this.leading.push(entry);
                  this.trailing.push(entry);
                }
              };
              CommentHandler2.prototype.visit = function(node, metadata) {
                if (node.type === "LineComment") {
                  this.visitComment(node, metadata);
                } else if (node.type === "BlockComment") {
                  this.visitComment(node, metadata);
                } else if (this.attach) {
                  this.visitNode(node, metadata);
                }
              };
              return CommentHandler2;
            }();
            exports3.CommentHandler = CommentHandler;
          },
          /* 2 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Syntax = {
              AssignmentExpression: "AssignmentExpression",
              AssignmentPattern: "AssignmentPattern",
              ArrayExpression: "ArrayExpression",
              ArrayPattern: "ArrayPattern",
              ArrowFunctionExpression: "ArrowFunctionExpression",
              AwaitExpression: "AwaitExpression",
              BlockStatement: "BlockStatement",
              BinaryExpression: "BinaryExpression",
              BreakStatement: "BreakStatement",
              CallExpression: "CallExpression",
              CatchClause: "CatchClause",
              ClassBody: "ClassBody",
              ClassDeclaration: "ClassDeclaration",
              ClassExpression: "ClassExpression",
              ConditionalExpression: "ConditionalExpression",
              ContinueStatement: "ContinueStatement",
              DoWhileStatement: "DoWhileStatement",
              DebuggerStatement: "DebuggerStatement",
              EmptyStatement: "EmptyStatement",
              ExportAllDeclaration: "ExportAllDeclaration",
              ExportDefaultDeclaration: "ExportDefaultDeclaration",
              ExportNamedDeclaration: "ExportNamedDeclaration",
              ExportSpecifier: "ExportSpecifier",
              ExpressionStatement: "ExpressionStatement",
              ForStatement: "ForStatement",
              ForOfStatement: "ForOfStatement",
              ForInStatement: "ForInStatement",
              FunctionDeclaration: "FunctionDeclaration",
              FunctionExpression: "FunctionExpression",
              Identifier: "Identifier",
              IfStatement: "IfStatement",
              ImportDeclaration: "ImportDeclaration",
              ImportDefaultSpecifier: "ImportDefaultSpecifier",
              ImportNamespaceSpecifier: "ImportNamespaceSpecifier",
              ImportSpecifier: "ImportSpecifier",
              Literal: "Literal",
              LabeledStatement: "LabeledStatement",
              LogicalExpression: "LogicalExpression",
              MemberExpression: "MemberExpression",
              MetaProperty: "MetaProperty",
              MethodDefinition: "MethodDefinition",
              NewExpression: "NewExpression",
              ObjectExpression: "ObjectExpression",
              ObjectPattern: "ObjectPattern",
              Program: "Program",
              Property: "Property",
              RestElement: "RestElement",
              ReturnStatement: "ReturnStatement",
              SequenceExpression: "SequenceExpression",
              SpreadElement: "SpreadElement",
              Super: "Super",
              SwitchCase: "SwitchCase",
              SwitchStatement: "SwitchStatement",
              TaggedTemplateExpression: "TaggedTemplateExpression",
              TemplateElement: "TemplateElement",
              TemplateLiteral: "TemplateLiteral",
              ThisExpression: "ThisExpression",
              ThrowStatement: "ThrowStatement",
              TryStatement: "TryStatement",
              UnaryExpression: "UnaryExpression",
              UpdateExpression: "UpdateExpression",
              VariableDeclaration: "VariableDeclaration",
              VariableDeclarator: "VariableDeclarator",
              WhileStatement: "WhileStatement",
              WithStatement: "WithStatement",
              YieldExpression: "YieldExpression"
            };
          },
          /* 3 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            var __extends = this && this.__extends || function() {
              var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d, b) {
                d.__proto__ = b;
              } || function(d, b) {
                for (var p in b)
                  if (b.hasOwnProperty(p))
                    d[p] = b[p];
              };
              return function(d, b) {
                extendStatics(d, b);
                function __() {
                  this.constructor = d;
                }
                d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
              };
            }();
            Object.defineProperty(exports3, "__esModule", { value: true });
            var character_1 = __webpack_require__(4);
            var JSXNode = __webpack_require__(5);
            var jsx_syntax_1 = __webpack_require__(6);
            var Node = __webpack_require__(7);
            var parser_1 = __webpack_require__(8);
            var token_1 = __webpack_require__(13);
            var xhtml_entities_1 = __webpack_require__(14);
            token_1.TokenName[
              100
              /* Identifier */
            ] = "JSXIdentifier";
            token_1.TokenName[
              101
              /* Text */
            ] = "JSXText";
            function getQualifiedElementName(elementName) {
              var qualifiedName;
              switch (elementName.type) {
                case jsx_syntax_1.JSXSyntax.JSXIdentifier:
                  var id = elementName;
                  qualifiedName = id.name;
                  break;
                case jsx_syntax_1.JSXSyntax.JSXNamespacedName:
                  var ns = elementName;
                  qualifiedName = getQualifiedElementName(ns.namespace) + ":" + getQualifiedElementName(ns.name);
                  break;
                case jsx_syntax_1.JSXSyntax.JSXMemberExpression:
                  var expr = elementName;
                  qualifiedName = getQualifiedElementName(expr.object) + "." + getQualifiedElementName(expr.property);
                  break;
                default:
                  break;
              }
              return qualifiedName;
            }
            var JSXParser = function(_super) {
              __extends(JSXParser2, _super);
              function JSXParser2(code, options, delegate) {
                return _super.call(this, code, options, delegate) || this;
              }
              JSXParser2.prototype.parsePrimaryExpression = function() {
                return this.match("<") ? this.parseJSXRoot() : _super.prototype.parsePrimaryExpression.call(this);
              };
              JSXParser2.prototype.startJSX = function() {
                this.scanner.index = this.startMarker.index;
                this.scanner.lineNumber = this.startMarker.line;
                this.scanner.lineStart = this.startMarker.index - this.startMarker.column;
              };
              JSXParser2.prototype.finishJSX = function() {
                this.nextToken();
              };
              JSXParser2.prototype.reenterJSX = function() {
                this.startJSX();
                this.expectJSX("}");
                if (this.config.tokens) {
                  this.tokens.pop();
                }
              };
              JSXParser2.prototype.createJSXNode = function() {
                this.collectComments();
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.createJSXChildNode = function() {
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.scanXHTMLEntity = function(quote) {
                var result = "&";
                var valid = true;
                var terminated = false;
                var numeric = false;
                var hex = false;
                while (!this.scanner.eof() && valid && !terminated) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === quote) {
                    break;
                  }
                  terminated = ch === ";";
                  result += ch;
                  ++this.scanner.index;
                  if (!terminated) {
                    switch (result.length) {
                      case 2:
                        numeric = ch === "#";
                        break;
                      case 3:
                        if (numeric) {
                          hex = ch === "x";
                          valid = hex || character_1.Character.isDecimalDigit(ch.charCodeAt(0));
                          numeric = numeric && !hex;
                        }
                        break;
                      default:
                        valid = valid && !(numeric && !character_1.Character.isDecimalDigit(ch.charCodeAt(0)));
                        valid = valid && !(hex && !character_1.Character.isHexDigit(ch.charCodeAt(0)));
                        break;
                    }
                  }
                }
                if (valid && terminated && result.length > 2) {
                  var str = result.substr(1, result.length - 2);
                  if (numeric && str.length > 1) {
                    result = String.fromCharCode(parseInt(str.substr(1), 10));
                  } else if (hex && str.length > 2) {
                    result = String.fromCharCode(parseInt("0" + str.substr(1), 16));
                  } else if (!numeric && !hex && xhtml_entities_1.XHTMLEntities[str]) {
                    result = xhtml_entities_1.XHTMLEntities[str];
                  }
                }
                return result;
              };
              JSXParser2.prototype.lexJSX = function() {
                var cp = this.scanner.source.charCodeAt(this.scanner.index);
                if (cp === 60 || cp === 62 || cp === 47 || cp === 58 || cp === 61 || cp === 123 || cp === 125) {
                  var value = this.scanner.source[this.scanner.index++];
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index - 1,
                    end: this.scanner.index
                  };
                }
                if (cp === 34 || cp === 39) {
                  var start = this.scanner.index;
                  var quote = this.scanner.source[this.scanner.index++];
                  var str = "";
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source[this.scanner.index++];
                    if (ch === quote) {
                      break;
                    } else if (ch === "&") {
                      str += this.scanXHTMLEntity(quote);
                    } else {
                      str += ch;
                    }
                  }
                  return {
                    type: 8,
                    value: str,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 46) {
                  var n1 = this.scanner.source.charCodeAt(this.scanner.index + 1);
                  var n2 = this.scanner.source.charCodeAt(this.scanner.index + 2);
                  var value = n1 === 46 && n2 === 46 ? "..." : ".";
                  var start = this.scanner.index;
                  this.scanner.index += value.length;
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 96) {
                  return {
                    type: 10,
                    value: "",
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index,
                    end: this.scanner.index
                  };
                }
                if (character_1.Character.isIdentifierStart(cp) && cp !== 92) {
                  var start = this.scanner.index;
                  ++this.scanner.index;
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source.charCodeAt(this.scanner.index);
                    if (character_1.Character.isIdentifierPart(ch) && ch !== 92) {
                      ++this.scanner.index;
                    } else if (ch === 45) {
                      ++this.scanner.index;
                    } else {
                      break;
                    }
                  }
                  var id = this.scanner.source.slice(start, this.scanner.index);
                  return {
                    type: 100,
                    value: id,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                return this.scanner.lex();
              };
              JSXParser2.prototype.nextJSXToken = function() {
                this.collectComments();
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = this.lexJSX();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                if (this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.nextJSXText = function() {
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var start = this.scanner.index;
                var text = "";
                while (!this.scanner.eof()) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === "{" || ch === "<") {
                    break;
                  }
                  ++this.scanner.index;
                  text += ch;
                  if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.scanner.lineNumber;
                    if (ch === "\r" && this.scanner.source[this.scanner.index] === "\n") {
                      ++this.scanner.index;
                    }
                    this.scanner.lineStart = this.scanner.index;
                  }
                }
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = {
                  type: 101,
                  value: text,
                  lineNumber: this.scanner.lineNumber,
                  lineStart: this.scanner.lineStart,
                  start,
                  end: this.scanner.index
                };
                if (text.length > 0 && this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.peekJSXToken = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.lexJSX();
                this.scanner.restoreState(state);
                return next;
              };
              JSXParser2.prototype.expectJSX = function(value) {
                var token = this.nextJSXToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              JSXParser2.prototype.matchJSX = function(value) {
                var next = this.peekJSXToken();
                return next.type === 7 && next.value === value;
              };
              JSXParser2.prototype.parseJSXIdentifier = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 100) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new JSXNode.JSXIdentifier(token.value));
              };
              JSXParser2.prototype.parseJSXElementName = function() {
                var node = this.createJSXNode();
                var elementName = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = elementName;
                  this.expectJSX(":");
                  var name_1 = this.parseJSXIdentifier();
                  elementName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_1));
                } else if (this.matchJSX(".")) {
                  while (this.matchJSX(".")) {
                    var object = elementName;
                    this.expectJSX(".");
                    var property = this.parseJSXIdentifier();
                    elementName = this.finalize(node, new JSXNode.JSXMemberExpression(object, property));
                  }
                }
                return elementName;
              };
              JSXParser2.prototype.parseJSXAttributeName = function() {
                var node = this.createJSXNode();
                var attributeName;
                var identifier = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = identifier;
                  this.expectJSX(":");
                  var name_2 = this.parseJSXIdentifier();
                  attributeName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_2));
                } else {
                  attributeName = identifier;
                }
                return attributeName;
              };
              JSXParser2.prototype.parseJSXStringLiteralAttribute = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 8) {
                  this.throwUnexpectedToken(token);
                }
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              JSXParser2.prototype.parseJSXExpressionAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.finishJSX();
                if (this.match("}")) {
                  this.tolerateError("JSX attributes must only be assigned a non-empty expression");
                }
                var expression = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXAttributeValue = function() {
                return this.matchJSX("{") ? this.parseJSXExpressionAttribute() : this.matchJSX("<") ? this.parseJSXElement() : this.parseJSXStringLiteralAttribute();
              };
              JSXParser2.prototype.parseJSXNameValueAttribute = function() {
                var node = this.createJSXNode();
                var name = this.parseJSXAttributeName();
                var value = null;
                if (this.matchJSX("=")) {
                  this.expectJSX("=");
                  value = this.parseJSXAttributeValue();
                }
                return this.finalize(node, new JSXNode.JSXAttribute(name, value));
              };
              JSXParser2.prototype.parseJSXSpreadAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.expectJSX("...");
                this.finishJSX();
                var argument = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXSpreadAttribute(argument));
              };
              JSXParser2.prototype.parseJSXAttributes = function() {
                var attributes = [];
                while (!this.matchJSX("/") && !this.matchJSX(">")) {
                  var attribute = this.matchJSX("{") ? this.parseJSXSpreadAttribute() : this.parseJSXNameValueAttribute();
                  attributes.push(attribute);
                }
                return attributes;
              };
              JSXParser2.prototype.parseJSXOpeningElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXBoundaryElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                if (this.matchJSX("/")) {
                  this.expectJSX("/");
                  var name_3 = this.parseJSXElementName();
                  this.expectJSX(">");
                  return this.finalize(node, new JSXNode.JSXClosingElement(name_3));
                }
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXEmptyExpression = function() {
                var node = this.createJSXChildNode();
                this.collectComments();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                return this.finalize(node, new JSXNode.JSXEmptyExpression());
              };
              JSXParser2.prototype.parseJSXExpressionContainer = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                var expression;
                if (this.matchJSX("}")) {
                  expression = this.parseJSXEmptyExpression();
                  this.expectJSX("}");
                } else {
                  this.finishJSX();
                  expression = this.parseAssignmentExpression();
                  this.reenterJSX();
                }
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXChildren = function() {
                var children = [];
                while (!this.scanner.eof()) {
                  var node = this.createJSXChildNode();
                  var token = this.nextJSXText();
                  if (token.start < token.end) {
                    var raw = this.getTokenRaw(token);
                    var child = this.finalize(node, new JSXNode.JSXText(token.value, raw));
                    children.push(child);
                  }
                  if (this.scanner.source[this.scanner.index] === "{") {
                    var container = this.parseJSXExpressionContainer();
                    children.push(container);
                  } else {
                    break;
                  }
                }
                return children;
              };
              JSXParser2.prototype.parseComplexJSXElement = function(el) {
                var stack = [];
                while (!this.scanner.eof()) {
                  el.children = el.children.concat(this.parseJSXChildren());
                  var node = this.createJSXChildNode();
                  var element = this.parseJSXBoundaryElement();
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXOpeningElement) {
                    var opening = element;
                    if (opening.selfClosing) {
                      var child = this.finalize(node, new JSXNode.JSXElement(opening, [], null));
                      el.children.push(child);
                    } else {
                      stack.push(el);
                      el = { node, opening, closing: null, children: [] };
                    }
                  }
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXClosingElement) {
                    el.closing = element;
                    var open_1 = getQualifiedElementName(el.opening.name);
                    var close_1 = getQualifiedElementName(el.closing.name);
                    if (open_1 !== close_1) {
                      this.tolerateError("Expected corresponding JSX closing tag for %0", open_1);
                    }
                    if (stack.length > 0) {
                      var child = this.finalize(el.node, new JSXNode.JSXElement(el.opening, el.children, el.closing));
                      el = stack[stack.length - 1];
                      el.children.push(child);
                      stack.pop();
                    } else {
                      break;
                    }
                  }
                }
                return el;
              };
              JSXParser2.prototype.parseJSXElement = function() {
                var node = this.createJSXNode();
                var opening = this.parseJSXOpeningElement();
                var children = [];
                var closing = null;
                if (!opening.selfClosing) {
                  var el = this.parseComplexJSXElement({ node, opening, closing, children });
                  children = el.children;
                  closing = el.closing;
                }
                return this.finalize(node, new JSXNode.JSXElement(opening, children, closing));
              };
              JSXParser2.prototype.parseJSXRoot = function() {
                if (this.config.tokens) {
                  this.tokens.pop();
                }
                this.startJSX();
                var element = this.parseJSXElement();
                this.finishJSX();
                return element;
              };
              JSXParser2.prototype.isStartOfExpression = function() {
                return _super.prototype.isStartOfExpression.call(this) || this.match("<");
              };
              return JSXParser2;
            }(parser_1.Parser);
            exports3.JSXParser = JSXParser;
          },
          /* 4 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var Regex = {
              // Unicode v8.0.0 NonAsciiIdentifierStart:
              NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE80-\uDEAA\uDF00-\uDF19]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]/,
              // Unicode v8.0.0 NonAsciiIdentifierPart:
              NonAsciiIdentifierPart: /[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B4\u08E3-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0AF9\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58-\u0C5A\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D5F-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA8FD\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDCA-\uDDCC\uDDD0-\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE37\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF00-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF50\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDDD8-\uDDDD\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9\uDF00-\uDF19\uDF1D-\uDF2B\uDF30-\uDF39]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD836[\uDE00-\uDE36\uDE3B-\uDE6C\uDE75\uDE84\uDE9B-\uDE9F\uDEA1-\uDEAF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/
            };
            exports3.Character = {
              /* tslint:disable:no-bitwise */
              fromCodePoint: function(cp) {
                return cp < 65536 ? String.fromCharCode(cp) : String.fromCharCode(55296 + (cp - 65536 >> 10)) + String.fromCharCode(56320 + (cp - 65536 & 1023));
              },
              // https://tc39.github.io/ecma262/#sec-white-space
              isWhiteSpace: function(cp) {
                return cp === 32 || cp === 9 || cp === 11 || cp === 12 || cp === 160 || cp >= 5760 && [5760, 8192, 8193, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8239, 8287, 12288, 65279].indexOf(cp) >= 0;
              },
              // https://tc39.github.io/ecma262/#sec-line-terminators
              isLineTerminator: function(cp) {
                return cp === 10 || cp === 13 || cp === 8232 || cp === 8233;
              },
              // https://tc39.github.io/ecma262/#sec-names-and-keywords
              isIdentifierStart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierStart.test(exports3.Character.fromCodePoint(cp));
              },
              isIdentifierPart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp >= 48 && cp <= 57 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierPart.test(exports3.Character.fromCodePoint(cp));
              },
              // https://tc39.github.io/ecma262/#sec-literals-numeric-literals
              isDecimalDigit: function(cp) {
                return cp >= 48 && cp <= 57;
              },
              isHexDigit: function(cp) {
                return cp >= 48 && cp <= 57 || cp >= 65 && cp <= 70 || cp >= 97 && cp <= 102;
              },
              isOctalDigit: function(cp) {
                return cp >= 48 && cp <= 55;
              }
            };
          },
          /* 5 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var jsx_syntax_1 = __webpack_require__(6);
            var JSXClosingElement = function() {
              function JSXClosingElement2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXClosingElement;
                this.name = name;
              }
              return JSXClosingElement2;
            }();
            exports3.JSXClosingElement = JSXClosingElement;
            var JSXElement = function() {
              function JSXElement2(openingElement, children, closingElement) {
                this.type = jsx_syntax_1.JSXSyntax.JSXElement;
                this.openingElement = openingElement;
                this.children = children;
                this.closingElement = closingElement;
              }
              return JSXElement2;
            }();
            exports3.JSXElement = JSXElement;
            var JSXEmptyExpression = function() {
              function JSXEmptyExpression2() {
                this.type = jsx_syntax_1.JSXSyntax.JSXEmptyExpression;
              }
              return JSXEmptyExpression2;
            }();
            exports3.JSXEmptyExpression = JSXEmptyExpression;
            var JSXExpressionContainer = function() {
              function JSXExpressionContainer2(expression) {
                this.type = jsx_syntax_1.JSXSyntax.JSXExpressionContainer;
                this.expression = expression;
              }
              return JSXExpressionContainer2;
            }();
            exports3.JSXExpressionContainer = JSXExpressionContainer;
            var JSXIdentifier = function() {
              function JSXIdentifier2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXIdentifier;
                this.name = name;
              }
              return JSXIdentifier2;
            }();
            exports3.JSXIdentifier = JSXIdentifier;
            var JSXMemberExpression = function() {
              function JSXMemberExpression2(object, property) {
                this.type = jsx_syntax_1.JSXSyntax.JSXMemberExpression;
                this.object = object;
                this.property = property;
              }
              return JSXMemberExpression2;
            }();
            exports3.JSXMemberExpression = JSXMemberExpression;
            var JSXAttribute = function() {
              function JSXAttribute2(name, value) {
                this.type = jsx_syntax_1.JSXSyntax.JSXAttribute;
                this.name = name;
                this.value = value;
              }
              return JSXAttribute2;
            }();
            exports3.JSXAttribute = JSXAttribute;
            var JSXNamespacedName = function() {
              function JSXNamespacedName2(namespace, name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXNamespacedName;
                this.namespace = namespace;
                this.name = name;
              }
              return JSXNamespacedName2;
            }();
            exports3.JSXNamespacedName = JSXNamespacedName;
            var JSXOpeningElement = function() {
              function JSXOpeningElement2(name, selfClosing, attributes) {
                this.type = jsx_syntax_1.JSXSyntax.JSXOpeningElement;
                this.name = name;
                this.selfClosing = selfClosing;
                this.attributes = attributes;
              }
              return JSXOpeningElement2;
            }();
            exports3.JSXOpeningElement = JSXOpeningElement;
            var JSXSpreadAttribute = function() {
              function JSXSpreadAttribute2(argument) {
                this.type = jsx_syntax_1.JSXSyntax.JSXSpreadAttribute;
                this.argument = argument;
              }
              return JSXSpreadAttribute2;
            }();
            exports3.JSXSpreadAttribute = JSXSpreadAttribute;
            var JSXText = function() {
              function JSXText2(value, raw) {
                this.type = jsx_syntax_1.JSXSyntax.JSXText;
                this.value = value;
                this.raw = raw;
              }
              return JSXText2;
            }();
            exports3.JSXText = JSXText;
          },
          /* 6 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.JSXSyntax = {
              JSXAttribute: "JSXAttribute",
              JSXClosingElement: "JSXClosingElement",
              JSXElement: "JSXElement",
              JSXEmptyExpression: "JSXEmptyExpression",
              JSXExpressionContainer: "JSXExpressionContainer",
              JSXIdentifier: "JSXIdentifier",
              JSXMemberExpression: "JSXMemberExpression",
              JSXNamespacedName: "JSXNamespacedName",
              JSXOpeningElement: "JSXOpeningElement",
              JSXSpreadAttribute: "JSXSpreadAttribute",
              JSXText: "JSXText"
            };
          },
          /* 7 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var ArrayExpression = function() {
              function ArrayExpression2(elements) {
                this.type = syntax_1.Syntax.ArrayExpression;
                this.elements = elements;
              }
              return ArrayExpression2;
            }();
            exports3.ArrayExpression = ArrayExpression;
            var ArrayPattern = function() {
              function ArrayPattern2(elements) {
                this.type = syntax_1.Syntax.ArrayPattern;
                this.elements = elements;
              }
              return ArrayPattern2;
            }();
            exports3.ArrayPattern = ArrayPattern;
            var ArrowFunctionExpression = function() {
              function ArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = false;
              }
              return ArrowFunctionExpression2;
            }();
            exports3.ArrowFunctionExpression = ArrowFunctionExpression;
            var AssignmentExpression = function() {
              function AssignmentExpression2(operator, left, right) {
                this.type = syntax_1.Syntax.AssignmentExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return AssignmentExpression2;
            }();
            exports3.AssignmentExpression = AssignmentExpression;
            var AssignmentPattern = function() {
              function AssignmentPattern2(left, right) {
                this.type = syntax_1.Syntax.AssignmentPattern;
                this.left = left;
                this.right = right;
              }
              return AssignmentPattern2;
            }();
            exports3.AssignmentPattern = AssignmentPattern;
            var AsyncArrowFunctionExpression = function() {
              function AsyncArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = true;
              }
              return AsyncArrowFunctionExpression2;
            }();
            exports3.AsyncArrowFunctionExpression = AsyncArrowFunctionExpression;
            var AsyncFunctionDeclaration = function() {
              function AsyncFunctionDeclaration2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionDeclaration2;
            }();
            exports3.AsyncFunctionDeclaration = AsyncFunctionDeclaration;
            var AsyncFunctionExpression = function() {
              function AsyncFunctionExpression2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionExpression2;
            }();
            exports3.AsyncFunctionExpression = AsyncFunctionExpression;
            var AwaitExpression = function() {
              function AwaitExpression2(argument) {
                this.type = syntax_1.Syntax.AwaitExpression;
                this.argument = argument;
              }
              return AwaitExpression2;
            }();
            exports3.AwaitExpression = AwaitExpression;
            var BinaryExpression = function() {
              function BinaryExpression2(operator, left, right) {
                var logical = operator === "||" || operator === "&&";
                this.type = logical ? syntax_1.Syntax.LogicalExpression : syntax_1.Syntax.BinaryExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return BinaryExpression2;
            }();
            exports3.BinaryExpression = BinaryExpression;
            var BlockStatement = function() {
              function BlockStatement2(body) {
                this.type = syntax_1.Syntax.BlockStatement;
                this.body = body;
              }
              return BlockStatement2;
            }();
            exports3.BlockStatement = BlockStatement;
            var BreakStatement = function() {
              function BreakStatement2(label) {
                this.type = syntax_1.Syntax.BreakStatement;
                this.label = label;
              }
              return BreakStatement2;
            }();
            exports3.BreakStatement = BreakStatement;
            var CallExpression = function() {
              function CallExpression2(callee, args) {
                this.type = syntax_1.Syntax.CallExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return CallExpression2;
            }();
            exports3.CallExpression = CallExpression;
            var CatchClause = function() {
              function CatchClause2(param, body) {
                this.type = syntax_1.Syntax.CatchClause;
                this.param = param;
                this.body = body;
              }
              return CatchClause2;
            }();
            exports3.CatchClause = CatchClause;
            var ClassBody = function() {
              function ClassBody2(body) {
                this.type = syntax_1.Syntax.ClassBody;
                this.body = body;
              }
              return ClassBody2;
            }();
            exports3.ClassBody = ClassBody;
            var ClassDeclaration = function() {
              function ClassDeclaration2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassDeclaration;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassDeclaration2;
            }();
            exports3.ClassDeclaration = ClassDeclaration;
            var ClassExpression = function() {
              function ClassExpression2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassExpression;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassExpression2;
            }();
            exports3.ClassExpression = ClassExpression;
            var ComputedMemberExpression = function() {
              function ComputedMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = true;
                this.object = object;
                this.property = property;
              }
              return ComputedMemberExpression2;
            }();
            exports3.ComputedMemberExpression = ComputedMemberExpression;
            var ConditionalExpression = function() {
              function ConditionalExpression2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.ConditionalExpression;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return ConditionalExpression2;
            }();
            exports3.ConditionalExpression = ConditionalExpression;
            var ContinueStatement = function() {
              function ContinueStatement2(label) {
                this.type = syntax_1.Syntax.ContinueStatement;
                this.label = label;
              }
              return ContinueStatement2;
            }();
            exports3.ContinueStatement = ContinueStatement;
            var DebuggerStatement = function() {
              function DebuggerStatement2() {
                this.type = syntax_1.Syntax.DebuggerStatement;
              }
              return DebuggerStatement2;
            }();
            exports3.DebuggerStatement = DebuggerStatement;
            var Directive = function() {
              function Directive2(expression, directive) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
                this.directive = directive;
              }
              return Directive2;
            }();
            exports3.Directive = Directive;
            var DoWhileStatement = function() {
              function DoWhileStatement2(body, test) {
                this.type = syntax_1.Syntax.DoWhileStatement;
                this.body = body;
                this.test = test;
              }
              return DoWhileStatement2;
            }();
            exports3.DoWhileStatement = DoWhileStatement;
            var EmptyStatement = function() {
              function EmptyStatement2() {
                this.type = syntax_1.Syntax.EmptyStatement;
              }
              return EmptyStatement2;
            }();
            exports3.EmptyStatement = EmptyStatement;
            var ExportAllDeclaration = function() {
              function ExportAllDeclaration2(source) {
                this.type = syntax_1.Syntax.ExportAllDeclaration;
                this.source = source;
              }
              return ExportAllDeclaration2;
            }();
            exports3.ExportAllDeclaration = ExportAllDeclaration;
            var ExportDefaultDeclaration = function() {
              function ExportDefaultDeclaration2(declaration) {
                this.type = syntax_1.Syntax.ExportDefaultDeclaration;
                this.declaration = declaration;
              }
              return ExportDefaultDeclaration2;
            }();
            exports3.ExportDefaultDeclaration = ExportDefaultDeclaration;
            var ExportNamedDeclaration = function() {
              function ExportNamedDeclaration2(declaration, specifiers, source) {
                this.type = syntax_1.Syntax.ExportNamedDeclaration;
                this.declaration = declaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ExportNamedDeclaration2;
            }();
            exports3.ExportNamedDeclaration = ExportNamedDeclaration;
            var ExportSpecifier = function() {
              function ExportSpecifier2(local, exported) {
                this.type = syntax_1.Syntax.ExportSpecifier;
                this.exported = exported;
                this.local = local;
              }
              return ExportSpecifier2;
            }();
            exports3.ExportSpecifier = ExportSpecifier;
            var ExpressionStatement = function() {
              function ExpressionStatement2(expression) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
              }
              return ExpressionStatement2;
            }();
            exports3.ExpressionStatement = ExpressionStatement;
            var ForInStatement = function() {
              function ForInStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForInStatement;
                this.left = left;
                this.right = right;
                this.body = body;
                this.each = false;
              }
              return ForInStatement2;
            }();
            exports3.ForInStatement = ForInStatement;
            var ForOfStatement = function() {
              function ForOfStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForOfStatement;
                this.left = left;
                this.right = right;
                this.body = body;
              }
              return ForOfStatement2;
            }();
            exports3.ForOfStatement = ForOfStatement;
            var ForStatement = function() {
              function ForStatement2(init, test, update, body) {
                this.type = syntax_1.Syntax.ForStatement;
                this.init = init;
                this.test = test;
                this.update = update;
                this.body = body;
              }
              return ForStatement2;
            }();
            exports3.ForStatement = ForStatement;
            var FunctionDeclaration = function() {
              function FunctionDeclaration2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionDeclaration2;
            }();
            exports3.FunctionDeclaration = FunctionDeclaration;
            var FunctionExpression = function() {
              function FunctionExpression2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionExpression2;
            }();
            exports3.FunctionExpression = FunctionExpression;
            var Identifier = function() {
              function Identifier2(name) {
                this.type = syntax_1.Syntax.Identifier;
                this.name = name;
              }
              return Identifier2;
            }();
            exports3.Identifier = Identifier;
            var IfStatement = function() {
              function IfStatement2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.IfStatement;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return IfStatement2;
            }();
            exports3.IfStatement = IfStatement;
            var ImportDeclaration = function() {
              function ImportDeclaration2(specifiers, source) {
                this.type = syntax_1.Syntax.ImportDeclaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ImportDeclaration2;
            }();
            exports3.ImportDeclaration = ImportDeclaration;
            var ImportDefaultSpecifier = function() {
              function ImportDefaultSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportDefaultSpecifier;
                this.local = local;
              }
              return ImportDefaultSpecifier2;
            }();
            exports3.ImportDefaultSpecifier = ImportDefaultSpecifier;
            var ImportNamespaceSpecifier = function() {
              function ImportNamespaceSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportNamespaceSpecifier;
                this.local = local;
              }
              return ImportNamespaceSpecifier2;
            }();
            exports3.ImportNamespaceSpecifier = ImportNamespaceSpecifier;
            var ImportSpecifier = function() {
              function ImportSpecifier2(local, imported) {
                this.type = syntax_1.Syntax.ImportSpecifier;
                this.local = local;
                this.imported = imported;
              }
              return ImportSpecifier2;
            }();
            exports3.ImportSpecifier = ImportSpecifier;
            var LabeledStatement = function() {
              function LabeledStatement2(label, body) {
                this.type = syntax_1.Syntax.LabeledStatement;
                this.label = label;
                this.body = body;
              }
              return LabeledStatement2;
            }();
            exports3.LabeledStatement = LabeledStatement;
            var Literal = function() {
              function Literal2(value, raw) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
              }
              return Literal2;
            }();
            exports3.Literal = Literal;
            var MetaProperty = function() {
              function MetaProperty2(meta, property) {
                this.type = syntax_1.Syntax.MetaProperty;
                this.meta = meta;
                this.property = property;
              }
              return MetaProperty2;
            }();
            exports3.MetaProperty = MetaProperty;
            var MethodDefinition = function() {
              function MethodDefinition2(key, computed, value, kind, isStatic) {
                this.type = syntax_1.Syntax.MethodDefinition;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.static = isStatic;
              }
              return MethodDefinition2;
            }();
            exports3.MethodDefinition = MethodDefinition;
            var Module = function() {
              function Module2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "module";
              }
              return Module2;
            }();
            exports3.Module = Module;
            var NewExpression = function() {
              function NewExpression2(callee, args) {
                this.type = syntax_1.Syntax.NewExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return NewExpression2;
            }();
            exports3.NewExpression = NewExpression;
            var ObjectExpression = function() {
              function ObjectExpression2(properties) {
                this.type = syntax_1.Syntax.ObjectExpression;
                this.properties = properties;
              }
              return ObjectExpression2;
            }();
            exports3.ObjectExpression = ObjectExpression;
            var ObjectPattern = function() {
              function ObjectPattern2(properties) {
                this.type = syntax_1.Syntax.ObjectPattern;
                this.properties = properties;
              }
              return ObjectPattern2;
            }();
            exports3.ObjectPattern = ObjectPattern;
            var Property = function() {
              function Property2(kind, key, computed, value, method, shorthand) {
                this.type = syntax_1.Syntax.Property;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.method = method;
                this.shorthand = shorthand;
              }
              return Property2;
            }();
            exports3.Property = Property;
            var RegexLiteral = function() {
              function RegexLiteral2(value, raw, pattern, flags) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
                this.regex = { pattern, flags };
              }
              return RegexLiteral2;
            }();
            exports3.RegexLiteral = RegexLiteral;
            var RestElement = function() {
              function RestElement2(argument) {
                this.type = syntax_1.Syntax.RestElement;
                this.argument = argument;
              }
              return RestElement2;
            }();
            exports3.RestElement = RestElement;
            var ReturnStatement = function() {
              function ReturnStatement2(argument) {
                this.type = syntax_1.Syntax.ReturnStatement;
                this.argument = argument;
              }
              return ReturnStatement2;
            }();
            exports3.ReturnStatement = ReturnStatement;
            var Script = function() {
              function Script2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "script";
              }
              return Script2;
            }();
            exports3.Script = Script;
            var SequenceExpression = function() {
              function SequenceExpression2(expressions) {
                this.type = syntax_1.Syntax.SequenceExpression;
                this.expressions = expressions;
              }
              return SequenceExpression2;
            }();
            exports3.SequenceExpression = SequenceExpression;
            var SpreadElement = function() {
              function SpreadElement2(argument) {
                this.type = syntax_1.Syntax.SpreadElement;
                this.argument = argument;
              }
              return SpreadElement2;
            }();
            exports3.SpreadElement = SpreadElement;
            var StaticMemberExpression = function() {
              function StaticMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = false;
                this.object = object;
                this.property = property;
              }
              return StaticMemberExpression2;
            }();
            exports3.StaticMemberExpression = StaticMemberExpression;
            var Super = function() {
              function Super2() {
                this.type = syntax_1.Syntax.Super;
              }
              return Super2;
            }();
            exports3.Super = Super;
            var SwitchCase = function() {
              function SwitchCase2(test, consequent) {
                this.type = syntax_1.Syntax.SwitchCase;
                this.test = test;
                this.consequent = consequent;
              }
              return SwitchCase2;
            }();
            exports3.SwitchCase = SwitchCase;
            var SwitchStatement = function() {
              function SwitchStatement2(discriminant, cases) {
                this.type = syntax_1.Syntax.SwitchStatement;
                this.discriminant = discriminant;
                this.cases = cases;
              }
              return SwitchStatement2;
            }();
            exports3.SwitchStatement = SwitchStatement;
            var TaggedTemplateExpression = function() {
              function TaggedTemplateExpression2(tag, quasi) {
                this.type = syntax_1.Syntax.TaggedTemplateExpression;
                this.tag = tag;
                this.quasi = quasi;
              }
              return TaggedTemplateExpression2;
            }();
            exports3.TaggedTemplateExpression = TaggedTemplateExpression;
            var TemplateElement = function() {
              function TemplateElement2(value, tail) {
                this.type = syntax_1.Syntax.TemplateElement;
                this.value = value;
                this.tail = tail;
              }
              return TemplateElement2;
            }();
            exports3.TemplateElement = TemplateElement;
            var TemplateLiteral = function() {
              function TemplateLiteral2(quasis, expressions) {
                this.type = syntax_1.Syntax.TemplateLiteral;
                this.quasis = quasis;
                this.expressions = expressions;
              }
              return TemplateLiteral2;
            }();
            exports3.TemplateLiteral = TemplateLiteral;
            var ThisExpression = function() {
              function ThisExpression2() {
                this.type = syntax_1.Syntax.ThisExpression;
              }
              return ThisExpression2;
            }();
            exports3.ThisExpression = ThisExpression;
            var ThrowStatement = function() {
              function ThrowStatement2(argument) {
                this.type = syntax_1.Syntax.ThrowStatement;
                this.argument = argument;
              }
              return ThrowStatement2;
            }();
            exports3.ThrowStatement = ThrowStatement;
            var TryStatement = function() {
              function TryStatement2(block, handler, finalizer) {
                this.type = syntax_1.Syntax.TryStatement;
                this.block = block;
                this.handler = handler;
                this.finalizer = finalizer;
              }
              return TryStatement2;
            }();
            exports3.TryStatement = TryStatement;
            var UnaryExpression = function() {
              function UnaryExpression2(operator, argument) {
                this.type = syntax_1.Syntax.UnaryExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = true;
              }
              return UnaryExpression2;
            }();
            exports3.UnaryExpression = UnaryExpression;
            var UpdateExpression = function() {
              function UpdateExpression2(operator, argument, prefix) {
                this.type = syntax_1.Syntax.UpdateExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = prefix;
              }
              return UpdateExpression2;
            }();
            exports3.UpdateExpression = UpdateExpression;
            var VariableDeclaration = function() {
              function VariableDeclaration2(declarations, kind) {
                this.type = syntax_1.Syntax.VariableDeclaration;
                this.declarations = declarations;
                this.kind = kind;
              }
              return VariableDeclaration2;
            }();
            exports3.VariableDeclaration = VariableDeclaration;
            var VariableDeclarator = function() {
              function VariableDeclarator2(id, init) {
                this.type = syntax_1.Syntax.VariableDeclarator;
                this.id = id;
                this.init = init;
              }
              return VariableDeclarator2;
            }();
            exports3.VariableDeclarator = VariableDeclarator;
            var WhileStatement = function() {
              function WhileStatement2(test, body) {
                this.type = syntax_1.Syntax.WhileStatement;
                this.test = test;
                this.body = body;
              }
              return WhileStatement2;
            }();
            exports3.WhileStatement = WhileStatement;
            var WithStatement = function() {
              function WithStatement2(object, body) {
                this.type = syntax_1.Syntax.WithStatement;
                this.object = object;
                this.body = body;
              }
              return WithStatement2;
            }();
            exports3.WithStatement = WithStatement;
            var YieldExpression = function() {
              function YieldExpression2(argument, delegate) {
                this.type = syntax_1.Syntax.YieldExpression;
                this.argument = argument;
                this.delegate = delegate;
              }
              return YieldExpression2;
            }();
            exports3.YieldExpression = YieldExpression;
          },
          /* 8 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var error_handler_1 = __webpack_require__(10);
            var messages_1 = __webpack_require__(11);
            var Node = __webpack_require__(7);
            var scanner_1 = __webpack_require__(12);
            var syntax_1 = __webpack_require__(2);
            var token_1 = __webpack_require__(13);
            var ArrowParameterPlaceHolder = "ArrowParameterPlaceHolder";
            var Parser = function() {
              function Parser2(code, options, delegate) {
                if (options === void 0) {
                  options = {};
                }
                this.config = {
                  range: typeof options.range === "boolean" && options.range,
                  loc: typeof options.loc === "boolean" && options.loc,
                  source: null,
                  tokens: typeof options.tokens === "boolean" && options.tokens,
                  comment: typeof options.comment === "boolean" && options.comment,
                  tolerant: typeof options.tolerant === "boolean" && options.tolerant
                };
                if (this.config.loc && options.source && options.source !== null) {
                  this.config.source = String(options.source);
                }
                this.delegate = delegate;
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = this.config.tolerant;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = this.config.comment;
                this.operatorPrecedence = {
                  ")": 0,
                  ";": 0,
                  ",": 0,
                  "=": 0,
                  "]": 0,
                  "||": 1,
                  "&&": 2,
                  "|": 3,
                  "^": 4,
                  "&": 5,
                  "==": 6,
                  "!=": 6,
                  "===": 6,
                  "!==": 6,
                  "<": 7,
                  ">": 7,
                  "<=": 7,
                  ">=": 7,
                  "<<": 8,
                  ">>": 8,
                  ">>>": 8,
                  "+": 9,
                  "-": 9,
                  "*": 11,
                  "/": 11,
                  "%": 11
                };
                this.lookahead = {
                  type: 2,
                  value: "",
                  lineNumber: this.scanner.lineNumber,
                  lineStart: 0,
                  start: 0,
                  end: 0
                };
                this.hasLineTerminator = false;
                this.context = {
                  isModule: false,
                  await: false,
                  allowIn: true,
                  allowStrictDirective: true,
                  allowYield: true,
                  firstCoverInitializedNameError: null,
                  isAssignmentTarget: false,
                  isBindingElement: false,
                  inFunctionBody: false,
                  inIteration: false,
                  inSwitch: false,
                  labelSet: {},
                  strict: false
                };
                this.tokens = [];
                this.startMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.lastMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.nextToken();
                this.lastMarker = {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              }
              Parser2.prototype.throwError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.lastMarker.line;
                var column = this.lastMarker.column + 1;
                throw this.errorHandler.createError(index, line, column, msg);
              };
              Parser2.prototype.tolerateError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.scanner.lineNumber;
                var column = this.lastMarker.column + 1;
                this.errorHandler.tolerateError(index, line, column, msg);
              };
              Parser2.prototype.unexpectedTokenError = function(token, message) {
                var msg = message || messages_1.Messages.UnexpectedToken;
                var value;
                if (token) {
                  if (!message) {
                    msg = token.type === 2 ? messages_1.Messages.UnexpectedEOS : token.type === 3 ? messages_1.Messages.UnexpectedIdentifier : token.type === 6 ? messages_1.Messages.UnexpectedNumber : token.type === 8 ? messages_1.Messages.UnexpectedString : token.type === 10 ? messages_1.Messages.UnexpectedTemplate : messages_1.Messages.UnexpectedToken;
                    if (token.type === 4) {
                      if (this.scanner.isFutureReservedWord(token.value)) {
                        msg = messages_1.Messages.UnexpectedReserved;
                      } else if (this.context.strict && this.scanner.isStrictModeReservedWord(token.value)) {
                        msg = messages_1.Messages.StrictReservedWord;
                      }
                    }
                  }
                  value = token.value;
                } else {
                  value = "ILLEGAL";
                }
                msg = msg.replace("%0", value);
                if (token && typeof token.lineNumber === "number") {
                  var index = token.start;
                  var line = token.lineNumber;
                  var lastMarkerLineStart = this.lastMarker.index - this.lastMarker.column;
                  var column = token.start - lastMarkerLineStart + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                } else {
                  var index = this.lastMarker.index;
                  var line = this.lastMarker.line;
                  var column = this.lastMarker.column + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                }
              };
              Parser2.prototype.throwUnexpectedToken = function(token, message) {
                throw this.unexpectedTokenError(token, message);
              };
              Parser2.prototype.tolerateUnexpectedToken = function(token, message) {
                this.errorHandler.tolerate(this.unexpectedTokenError(token, message));
              };
              Parser2.prototype.collectComments = function() {
                if (!this.config.comment) {
                  this.scanner.scanComments();
                } else {
                  var comments = this.scanner.scanComments();
                  if (comments.length > 0 && this.delegate) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var node = void 0;
                      node = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value: this.scanner.source.slice(e.slice[0], e.slice[1])
                      };
                      if (this.config.range) {
                        node.range = e.range;
                      }
                      if (this.config.loc) {
                        node.loc = e.loc;
                      }
                      var metadata = {
                        start: {
                          line: e.loc.start.line,
                          column: e.loc.start.column,
                          offset: e.range[0]
                        },
                        end: {
                          line: e.loc.end.line,
                          column: e.loc.end.column,
                          offset: e.range[1]
                        }
                      };
                      this.delegate(node, metadata);
                    }
                  }
                }
              };
              Parser2.prototype.getTokenRaw = function(token) {
                return this.scanner.source.slice(token.start, token.end);
              };
              Parser2.prototype.convertToken = function(token) {
                var t = {
                  type: token_1.TokenName[token.type],
                  value: this.getTokenRaw(token)
                };
                if (this.config.range) {
                  t.range = [token.start, token.end];
                }
                if (this.config.loc) {
                  t.loc = {
                    start: {
                      line: this.startMarker.line,
                      column: this.startMarker.column
                    },
                    end: {
                      line: this.scanner.lineNumber,
                      column: this.scanner.index - this.scanner.lineStart
                    }
                  };
                }
                if (token.type === 9) {
                  var pattern = token.pattern;
                  var flags = token.flags;
                  t.regex = { pattern, flags };
                }
                return t;
              };
              Parser2.prototype.nextToken = function() {
                var token = this.lookahead;
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                this.collectComments();
                if (this.scanner.index !== this.startMarker.index) {
                  this.startMarker.index = this.scanner.index;
                  this.startMarker.line = this.scanner.lineNumber;
                  this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                }
                var next = this.scanner.lex();
                this.hasLineTerminator = token.lineNumber !== next.lineNumber;
                if (next && this.context.strict && next.type === 3) {
                  if (this.scanner.isStrictModeReservedWord(next.value)) {
                    next.type = 4;
                  }
                }
                this.lookahead = next;
                if (this.config.tokens && next.type !== 2) {
                  this.tokens.push(this.convertToken(next));
                }
                return token;
              };
              Parser2.prototype.nextRegexToken = function() {
                this.collectComments();
                var token = this.scanner.scanRegExp();
                if (this.config.tokens) {
                  this.tokens.pop();
                  this.tokens.push(this.convertToken(token));
                }
                this.lookahead = token;
                this.nextToken();
                return token;
              };
              Parser2.prototype.createNode = function() {
                return {
                  index: this.startMarker.index,
                  line: this.startMarker.line,
                  column: this.startMarker.column
                };
              };
              Parser2.prototype.startNode = function(token, lastLineStart) {
                if (lastLineStart === void 0) {
                  lastLineStart = 0;
                }
                var column = token.start - token.lineStart;
                var line = token.lineNumber;
                if (column < 0) {
                  column += lastLineStart;
                  line--;
                }
                return {
                  index: token.start,
                  line,
                  column
                };
              };
              Parser2.prototype.finalize = function(marker, node) {
                if (this.config.range) {
                  node.range = [marker.index, this.lastMarker.index];
                }
                if (this.config.loc) {
                  node.loc = {
                    start: {
                      line: marker.line,
                      column: marker.column
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column
                    }
                  };
                  if (this.config.source) {
                    node.loc.source = this.config.source;
                  }
                }
                if (this.delegate) {
                  var metadata = {
                    start: {
                      line: marker.line,
                      column: marker.column,
                      offset: marker.index
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column,
                      offset: this.lastMarker.index
                    }
                  };
                  this.delegate(node, metadata);
                }
                return node;
              };
              Parser2.prototype.expect = function(value) {
                var token = this.nextToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.expectCommaSeparator = function() {
                if (this.config.tolerant) {
                  var token = this.lookahead;
                  if (token.type === 7 && token.value === ",") {
                    this.nextToken();
                  } else if (token.type === 7 && token.value === ";") {
                    this.nextToken();
                    this.tolerateUnexpectedToken(token);
                  } else {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.UnexpectedToken);
                  }
                } else {
                  this.expect(",");
                }
              };
              Parser2.prototype.expectKeyword = function(keyword) {
                var token = this.nextToken();
                if (token.type !== 4 || token.value !== keyword) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.match = function(value) {
                return this.lookahead.type === 7 && this.lookahead.value === value;
              };
              Parser2.prototype.matchKeyword = function(keyword) {
                return this.lookahead.type === 4 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchContextualKeyword = function(keyword) {
                return this.lookahead.type === 3 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchAssign = function() {
                if (this.lookahead.type !== 7) {
                  return false;
                }
                var op = this.lookahead.value;
                return op === "=" || op === "*=" || op === "**=" || op === "/=" || op === "%=" || op === "+=" || op === "-=" || op === "<<=" || op === ">>=" || op === ">>>=" || op === "&=" || op === "^=" || op === "|=";
              };
              Parser2.prototype.isolateCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                if (this.context.firstCoverInitializedNameError !== null) {
                  this.throwUnexpectedToken(this.context.firstCoverInitializedNameError);
                }
                this.context.isBindingElement = previousIsBindingElement;
                this.context.isAssignmentTarget = previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.inheritCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                this.context.isBindingElement = this.context.isBindingElement && previousIsBindingElement;
                this.context.isAssignmentTarget = this.context.isAssignmentTarget && previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError || this.context.firstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.consumeSemicolon = function() {
                if (this.match(";")) {
                  this.nextToken();
                } else if (!this.hasLineTerminator) {
                  if (this.lookahead.type !== 2 && !this.match("}")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.lastMarker.index = this.startMarker.index;
                  this.lastMarker.line = this.startMarker.line;
                  this.lastMarker.column = this.startMarker.column;
                }
              };
              Parser2.prototype.parsePrimaryExpression = function() {
                var node = this.createNode();
                var expr;
                var token, raw;
                switch (this.lookahead.type) {
                  case 3:
                    if ((this.context.isModule || this.context.await) && this.lookahead.value === "await") {
                      this.tolerateUnexpectedToken(this.lookahead);
                    }
                    expr = this.matchAsyncFunction() ? this.parseFunctionExpression() : this.finalize(node, new Node.Identifier(this.nextToken().value));
                    break;
                  case 6:
                  case 8:
                    if (this.context.strict && this.lookahead.octal) {
                      this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.StrictOctalLiteral);
                    }
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 1:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value === "true", raw));
                    break;
                  case 5:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(null, raw));
                    break;
                  case 10:
                    expr = this.parseTemplateLiteral();
                    break;
                  case 7:
                    switch (this.lookahead.value) {
                      case "(":
                        this.context.isBindingElement = false;
                        expr = this.inheritCoverGrammar(this.parseGroupExpression);
                        break;
                      case "[":
                        expr = this.inheritCoverGrammar(this.parseArrayInitializer);
                        break;
                      case "{":
                        expr = this.inheritCoverGrammar(this.parseObjectInitializer);
                        break;
                      case "/":
                      case "/=":
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                        this.scanner.index = this.startMarker.index;
                        token = this.nextRegexToken();
                        raw = this.getTokenRaw(token);
                        expr = this.finalize(node, new Node.RegexLiteral(token.regex, raw, token.pattern, token.flags));
                        break;
                      default:
                        expr = this.throwUnexpectedToken(this.nextToken());
                    }
                    break;
                  case 4:
                    if (!this.context.strict && this.context.allowYield && this.matchKeyword("yield")) {
                      expr = this.parseIdentifierName();
                    } else if (!this.context.strict && this.matchKeyword("let")) {
                      expr = this.finalize(node, new Node.Identifier(this.nextToken().value));
                    } else {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      if (this.matchKeyword("function")) {
                        expr = this.parseFunctionExpression();
                      } else if (this.matchKeyword("this")) {
                        this.nextToken();
                        expr = this.finalize(node, new Node.ThisExpression());
                      } else if (this.matchKeyword("class")) {
                        expr = this.parseClassExpression();
                      } else {
                        expr = this.throwUnexpectedToken(this.nextToken());
                      }
                    }
                    break;
                  default:
                    expr = this.throwUnexpectedToken(this.nextToken());
                }
                return expr;
              };
              Parser2.prototype.parseSpreadElement = function() {
                var node = this.createNode();
                this.expect("...");
                var arg = this.inheritCoverGrammar(this.parseAssignmentExpression);
                return this.finalize(node, new Node.SpreadElement(arg));
              };
              Parser2.prototype.parseArrayInitializer = function() {
                var node = this.createNode();
                var elements = [];
                this.expect("[");
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else if (this.match("...")) {
                    var element = this.parseSpreadElement();
                    if (!this.match("]")) {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      this.expect(",");
                    }
                    elements.push(element);
                  } else {
                    elements.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayExpression(elements));
              };
              Parser2.prototype.parsePropertyMethod = function(params) {
                this.context.isAssignmentTarget = false;
                this.context.isBindingElement = false;
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = params.simple;
                var body = this.isolateCoverGrammar(this.parseFunctionSourceElements);
                if (this.context.strict && params.firstRestricted) {
                  this.tolerateUnexpectedToken(params.firstRestricted, params.message);
                }
                if (this.context.strict && params.stricted) {
                  this.tolerateUnexpectedToken(params.stricted, params.message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                return body;
              };
              Parser2.prototype.parsePropertyMethodFunction = function() {
                var isGenerator = false;
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.parsePropertyMethodAsyncFunction = function() {
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                var previousAwait = this.context.await;
                this.context.allowYield = false;
                this.context.await = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                this.context.await = previousAwait;
                return this.finalize(node, new Node.AsyncFunctionExpression(null, params.params, method));
              };
              Parser2.prototype.parseObjectPropertyKey = function() {
                var node = this.createNode();
                var token = this.nextToken();
                var key;
                switch (token.type) {
                  case 8:
                  case 6:
                    if (this.context.strict && token.octal) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictOctalLiteral);
                    }
                    var raw = this.getTokenRaw(token);
                    key = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 3:
                  case 1:
                  case 5:
                  case 4:
                    key = this.finalize(node, new Node.Identifier(token.value));
                    break;
                  case 7:
                    if (token.value === "[") {
                      key = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      this.expect("]");
                    } else {
                      key = this.throwUnexpectedToken(token);
                    }
                    break;
                  default:
                    key = this.throwUnexpectedToken(token);
                }
                return key;
              };
              Parser2.prototype.isPropertyKey = function(key, value) {
                return key.type === syntax_1.Syntax.Identifier && key.name === value || key.type === syntax_1.Syntax.Literal && key.value === value;
              };
              Parser2.prototype.parseObjectProperty = function(hasProto) {
                var node = this.createNode();
                var token = this.lookahead;
                var kind;
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var shorthand = false;
                var isAsync = false;
                if (token.type === 3) {
                  var id = token.value;
                  this.nextToken();
                  computed = this.match("[");
                  isAsync = !this.hasLineTerminator && id === "async" && !this.match(":") && !this.match("(") && !this.match("*") && !this.match(",");
                  key = isAsync ? this.parseObjectPropertyKey() : this.finalize(node, new Node.Identifier(id));
                } else if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3 && !isAsync && token.value === "get" && lookaheadPropertyKey) {
                  kind = "get";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.context.allowYield = false;
                  value = this.parseGetterMethod();
                } else if (token.type === 3 && !isAsync && token.value === "set" && lookaheadPropertyKey) {
                  kind = "set";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseSetterMethod();
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                } else {
                  if (!key) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  kind = "init";
                  if (this.match(":") && !isAsync) {
                    if (!computed && this.isPropertyKey(key, "__proto__")) {
                      if (hasProto.value) {
                        this.tolerateError(messages_1.Messages.DuplicateProtoProperty);
                      }
                      hasProto.value = true;
                    }
                    this.nextToken();
                    value = this.inheritCoverGrammar(this.parseAssignmentExpression);
                  } else if (this.match("(")) {
                    value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                    method = true;
                  } else if (token.type === 3) {
                    var id = this.finalize(node, new Node.Identifier(token.value));
                    if (this.match("=")) {
                      this.context.firstCoverInitializedNameError = this.lookahead;
                      this.nextToken();
                      shorthand = true;
                      var init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      value = this.finalize(node, new Node.AssignmentPattern(id, init));
                    } else {
                      shorthand = true;
                      value = id;
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.Property(kind, key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectInitializer = function() {
                var node = this.createNode();
                this.expect("{");
                var properties = [];
                var hasProto = { value: false };
                while (!this.match("}")) {
                  properties.push(this.parseObjectProperty(hasProto));
                  if (!this.match("}")) {
                    this.expectCommaSeparator();
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectExpression(properties));
              };
              Parser2.prototype.parseTemplateHead = function() {
                assert_1.assert(this.lookahead.head, "Template literal must start with a template head");
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateElement = function() {
                if (this.lookahead.type !== 10) {
                  this.throwUnexpectedToken();
                }
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateLiteral = function() {
                var node = this.createNode();
                var expressions = [];
                var quasis = [];
                var quasi = this.parseTemplateHead();
                quasis.push(quasi);
                while (!quasi.tail) {
                  expressions.push(this.parseExpression());
                  quasi = this.parseTemplateElement();
                  quasis.push(quasi);
                }
                return this.finalize(node, new Node.TemplateLiteral(quasis, expressions));
              };
              Parser2.prototype.reinterpretExpressionAsPattern = function(expr) {
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                  case syntax_1.Syntax.MemberExpression:
                  case syntax_1.Syntax.RestElement:
                  case syntax_1.Syntax.AssignmentPattern:
                    break;
                  case syntax_1.Syntax.SpreadElement:
                    expr.type = syntax_1.Syntax.RestElement;
                    this.reinterpretExpressionAsPattern(expr.argument);
                    break;
                  case syntax_1.Syntax.ArrayExpression:
                    expr.type = syntax_1.Syntax.ArrayPattern;
                    for (var i = 0; i < expr.elements.length; i++) {
                      if (expr.elements[i] !== null) {
                        this.reinterpretExpressionAsPattern(expr.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectExpression:
                    expr.type = syntax_1.Syntax.ObjectPattern;
                    for (var i = 0; i < expr.properties.length; i++) {
                      this.reinterpretExpressionAsPattern(expr.properties[i].value);
                    }
                    break;
                  case syntax_1.Syntax.AssignmentExpression:
                    expr.type = syntax_1.Syntax.AssignmentPattern;
                    delete expr.operator;
                    this.reinterpretExpressionAsPattern(expr.left);
                    break;
                  default:
                    break;
                }
              };
              Parser2.prototype.parseGroupExpression = function() {
                var expr;
                this.expect("(");
                if (this.match(")")) {
                  this.nextToken();
                  if (!this.match("=>")) {
                    this.expect("=>");
                  }
                  expr = {
                    type: ArrowParameterPlaceHolder,
                    params: [],
                    async: false
                  };
                } else {
                  var startToken = this.lookahead;
                  var params = [];
                  if (this.match("...")) {
                    expr = this.parseRestElement(params);
                    this.expect(")");
                    if (!this.match("=>")) {
                      this.expect("=>");
                    }
                    expr = {
                      type: ArrowParameterPlaceHolder,
                      params: [expr],
                      async: false
                    };
                  } else {
                    var arrow = false;
                    this.context.isBindingElement = true;
                    expr = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    if (this.match(",")) {
                      var expressions = [];
                      this.context.isAssignmentTarget = false;
                      expressions.push(expr);
                      while (this.lookahead.type !== 2) {
                        if (!this.match(",")) {
                          break;
                        }
                        this.nextToken();
                        if (this.match(")")) {
                          this.nextToken();
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else if (this.match("...")) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          expressions.push(this.parseRestElement(params));
                          this.expect(")");
                          if (!this.match("=>")) {
                            this.expect("=>");
                          }
                          this.context.isBindingElement = false;
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else {
                          expressions.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                        }
                        if (arrow) {
                          break;
                        }
                      }
                      if (!arrow) {
                        expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                      }
                    }
                    if (!arrow) {
                      this.expect(")");
                      if (this.match("=>")) {
                        if (expr.type === syntax_1.Syntax.Identifier && expr.name === "yield") {
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: [expr],
                            async: false
                          };
                        }
                        if (!arrow) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          if (expr.type === syntax_1.Syntax.SequenceExpression) {
                            for (var i = 0; i < expr.expressions.length; i++) {
                              this.reinterpretExpressionAsPattern(expr.expressions[i]);
                            }
                          } else {
                            this.reinterpretExpressionAsPattern(expr);
                          }
                          var parameters = expr.type === syntax_1.Syntax.SequenceExpression ? expr.expressions : [expr];
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: parameters,
                            async: false
                          };
                        }
                      }
                      this.context.isBindingElement = false;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAssignmentExpression);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.isIdentifierName = function(token) {
                return token.type === 3 || token.type === 4 || token.type === 1 || token.type === 5;
              };
              Parser2.prototype.parseIdentifierName = function() {
                var node = this.createNode();
                var token = this.nextToken();
                if (!this.isIdentifierName(token)) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseNewExpression = function() {
                var node = this.createNode();
                var id = this.parseIdentifierName();
                assert_1.assert(id.name === "new", "New expression must start with `new`");
                var expr;
                if (this.match(".")) {
                  this.nextToken();
                  if (this.lookahead.type === 3 && this.context.inFunctionBody && this.lookahead.value === "target") {
                    var property = this.parseIdentifierName();
                    expr = new Node.MetaProperty(id, property);
                  } else {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  var callee = this.isolateCoverGrammar(this.parseLeftHandSideExpression);
                  var args = this.match("(") ? this.parseArguments() : [];
                  expr = new Node.NewExpression(callee, args);
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return this.finalize(node, expr);
              };
              Parser2.prototype.parseAsyncArgument = function() {
                var arg = this.parseAssignmentExpression();
                this.context.firstCoverInitializedNameError = null;
                return arg;
              };
              Parser2.prototype.parseAsyncArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAsyncArgument);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.parseLeftHandSideExpressionAllowCall = function() {
                var startToken = this.lookahead;
                var maybeAsync = this.matchContextualKeyword("async");
                var previousAllowIn = this.context.allowIn;
                this.context.allowIn = true;
                var expr;
                if (this.matchKeyword("super") && this.context.inFunctionBody) {
                  expr = this.createNode();
                  this.nextToken();
                  expr = this.finalize(expr, new Node.Super());
                  if (!this.match("(") && !this.match(".") && !this.match("[")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  expr = this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                }
                while (true) {
                  if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(this.startNode(startToken), new Node.StaticMemberExpression(expr, property));
                  } else if (this.match("(")) {
                    var asyncArrow = maybeAsync && startToken.lineNumber === this.lookahead.lineNumber;
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = false;
                    var args = asyncArrow ? this.parseAsyncArguments() : this.parseArguments();
                    expr = this.finalize(this.startNode(startToken), new Node.CallExpression(expr, args));
                    if (asyncArrow && this.match("=>")) {
                      for (var i = 0; i < args.length; ++i) {
                        this.reinterpretExpressionAsPattern(args[i]);
                      }
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: args,
                        async: true
                      };
                    }
                  } else if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(this.startNode(startToken), new Node.ComputedMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(this.startNode(startToken), new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                this.context.allowIn = previousAllowIn;
                return expr;
              };
              Parser2.prototype.parseSuper = function() {
                var node = this.createNode();
                this.expectKeyword("super");
                if (!this.match("[") && !this.match(".")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                return this.finalize(node, new Node.Super());
              };
              Parser2.prototype.parseLeftHandSideExpression = function() {
                assert_1.assert(this.context.allowIn, "callee of new expression always allow in keyword.");
                var node = this.startNode(this.lookahead);
                var expr = this.matchKeyword("super") && this.context.inFunctionBody ? this.parseSuper() : this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                while (true) {
                  if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(node, new Node.ComputedMemberExpression(expr, property));
                  } else if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(node, new Node.StaticMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(node, new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseUpdateExpression = function() {
                var expr;
                var startToken = this.lookahead;
                if (this.match("++") || this.match("--")) {
                  var node = this.startNode(startToken);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                    this.tolerateError(messages_1.Messages.StrictLHSPrefix);
                  }
                  if (!this.context.isAssignmentTarget) {
                    this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                  }
                  var prefix = true;
                  expr = this.finalize(node, new Node.UpdateExpression(token.value, expr, prefix));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else {
                  expr = this.inheritCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                  if (!this.hasLineTerminator && this.lookahead.type === 7) {
                    if (this.match("++") || this.match("--")) {
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                        this.tolerateError(messages_1.Messages.StrictLHSPostfix);
                      }
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      var operator = this.nextToken().value;
                      var prefix = false;
                      expr = this.finalize(this.startNode(startToken), new Node.UpdateExpression(operator, expr, prefix));
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseAwaitExpression = function() {
                var node = this.createNode();
                this.nextToken();
                var argument = this.parseUnaryExpression();
                return this.finalize(node, new Node.AwaitExpression(argument));
              };
              Parser2.prototype.parseUnaryExpression = function() {
                var expr;
                if (this.match("+") || this.match("-") || this.match("~") || this.match("!") || this.matchKeyword("delete") || this.matchKeyword("void") || this.matchKeyword("typeof")) {
                  var node = this.startNode(this.lookahead);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  expr = this.finalize(node, new Node.UnaryExpression(token.value, expr));
                  if (this.context.strict && expr.operator === "delete" && expr.argument.type === syntax_1.Syntax.Identifier) {
                    this.tolerateError(messages_1.Messages.StrictDelete);
                  }
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else if (this.context.await && this.matchContextualKeyword("await")) {
                  expr = this.parseAwaitExpression();
                } else {
                  expr = this.parseUpdateExpression();
                }
                return expr;
              };
              Parser2.prototype.parseExponentiationExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                if (expr.type !== syntax_1.Syntax.UnaryExpression && this.match("**")) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.BinaryExpression("**", left, right));
                }
                return expr;
              };
              Parser2.prototype.binaryPrecedence = function(token) {
                var op = token.value;
                var precedence;
                if (token.type === 7) {
                  precedence = this.operatorPrecedence[op] || 0;
                } else if (token.type === 4) {
                  precedence = op === "instanceof" || this.context.allowIn && op === "in" ? 7 : 0;
                } else {
                  precedence = 0;
                }
                return precedence;
              };
              Parser2.prototype.parseBinaryExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseExponentiationExpression);
                var token = this.lookahead;
                var prec = this.binaryPrecedence(token);
                if (prec > 0) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var markers = [startToken, this.lookahead];
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  var stack = [left, token.value, right];
                  var precedences = [prec];
                  while (true) {
                    prec = this.binaryPrecedence(this.lookahead);
                    if (prec <= 0) {
                      break;
                    }
                    while (stack.length > 2 && prec <= precedences[precedences.length - 1]) {
                      right = stack.pop();
                      var operator = stack.pop();
                      precedences.pop();
                      left = stack.pop();
                      markers.pop();
                      var node = this.startNode(markers[markers.length - 1]);
                      stack.push(this.finalize(node, new Node.BinaryExpression(operator, left, right)));
                    }
                    stack.push(this.nextToken().value);
                    precedences.push(prec);
                    markers.push(this.lookahead);
                    stack.push(this.isolateCoverGrammar(this.parseExponentiationExpression));
                  }
                  var i = stack.length - 1;
                  expr = stack[i];
                  var lastMarker = markers.pop();
                  while (i > 1) {
                    var marker = markers.pop();
                    var lastLineStart = lastMarker && lastMarker.lineStart;
                    var node = this.startNode(marker, lastLineStart);
                    var operator = stack[i - 1];
                    expr = this.finalize(node, new Node.BinaryExpression(operator, stack[i - 2], expr));
                    i -= 2;
                    lastMarker = marker;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseConditionalExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseBinaryExpression);
                if (this.match("?")) {
                  this.nextToken();
                  var previousAllowIn = this.context.allowIn;
                  this.context.allowIn = true;
                  var consequent = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowIn = previousAllowIn;
                  this.expect(":");
                  var alternate = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.ConditionalExpression(expr, consequent, alternate));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return expr;
              };
              Parser2.prototype.checkPatternParam = function(options, param) {
                switch (param.type) {
                  case syntax_1.Syntax.Identifier:
                    this.validateParam(options, param, param.name);
                    break;
                  case syntax_1.Syntax.RestElement:
                    this.checkPatternParam(options, param.argument);
                    break;
                  case syntax_1.Syntax.AssignmentPattern:
                    this.checkPatternParam(options, param.left);
                    break;
                  case syntax_1.Syntax.ArrayPattern:
                    for (var i = 0; i < param.elements.length; i++) {
                      if (param.elements[i] !== null) {
                        this.checkPatternParam(options, param.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectPattern:
                    for (var i = 0; i < param.properties.length; i++) {
                      this.checkPatternParam(options, param.properties[i].value);
                    }
                    break;
                  default:
                    break;
                }
                options.simple = options.simple && param instanceof Node.Identifier;
              };
              Parser2.prototype.reinterpretAsCoverFormalsList = function(expr) {
                var params = [expr];
                var options;
                var asyncArrow = false;
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                    break;
                  case ArrowParameterPlaceHolder:
                    params = expr.params;
                    asyncArrow = expr.async;
                    break;
                  default:
                    return null;
                }
                options = {
                  simple: true,
                  paramSet: {}
                };
                for (var i = 0; i < params.length; ++i) {
                  var param = params[i];
                  if (param.type === syntax_1.Syntax.AssignmentPattern) {
                    if (param.right.type === syntax_1.Syntax.YieldExpression) {
                      if (param.right.argument) {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                      param.right.type = syntax_1.Syntax.Identifier;
                      param.right.name = "yield";
                      delete param.right.argument;
                      delete param.right.delegate;
                    }
                  } else if (asyncArrow && param.type === syntax_1.Syntax.Identifier && param.name === "await") {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.checkPatternParam(options, param);
                  params[i] = param;
                }
                if (this.context.strict || !this.context.allowYield) {
                  for (var i = 0; i < params.length; ++i) {
                    var param = params[i];
                    if (param.type === syntax_1.Syntax.YieldExpression) {
                      this.throwUnexpectedToken(this.lookahead);
                    }
                  }
                }
                if (options.message === messages_1.Messages.StrictParamDupe) {
                  var token = this.context.strict ? options.stricted : options.firstRestricted;
                  this.throwUnexpectedToken(token, options.message);
                }
                return {
                  simple: options.simple,
                  params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.parseAssignmentExpression = function() {
                var expr;
                if (!this.context.allowYield && this.matchKeyword("yield")) {
                  expr = this.parseYieldExpression();
                } else {
                  var startToken = this.lookahead;
                  var token = startToken;
                  expr = this.parseConditionalExpression();
                  if (token.type === 3 && token.lineNumber === this.lookahead.lineNumber && token.value === "async") {
                    if (this.lookahead.type === 3 || this.matchKeyword("yield")) {
                      var arg = this.parsePrimaryExpression();
                      this.reinterpretExpressionAsPattern(arg);
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: [arg],
                        async: true
                      };
                    }
                  }
                  if (expr.type === ArrowParameterPlaceHolder || this.match("=>")) {
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    var isAsync = expr.async;
                    var list = this.reinterpretAsCoverFormalsList(expr);
                    if (list) {
                      if (this.hasLineTerminator) {
                        this.tolerateUnexpectedToken(this.lookahead);
                      }
                      this.context.firstCoverInitializedNameError = null;
                      var previousStrict = this.context.strict;
                      var previousAllowStrictDirective = this.context.allowStrictDirective;
                      this.context.allowStrictDirective = list.simple;
                      var previousAllowYield = this.context.allowYield;
                      var previousAwait = this.context.await;
                      this.context.allowYield = true;
                      this.context.await = isAsync;
                      var node = this.startNode(startToken);
                      this.expect("=>");
                      var body = void 0;
                      if (this.match("{")) {
                        var previousAllowIn = this.context.allowIn;
                        this.context.allowIn = true;
                        body = this.parseFunctionSourceElements();
                        this.context.allowIn = previousAllowIn;
                      } else {
                        body = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      }
                      var expression = body.type !== syntax_1.Syntax.BlockStatement;
                      if (this.context.strict && list.firstRestricted) {
                        this.throwUnexpectedToken(list.firstRestricted, list.message);
                      }
                      if (this.context.strict && list.stricted) {
                        this.tolerateUnexpectedToken(list.stricted, list.message);
                      }
                      expr = isAsync ? this.finalize(node, new Node.AsyncArrowFunctionExpression(list.params, body, expression)) : this.finalize(node, new Node.ArrowFunctionExpression(list.params, body, expression));
                      this.context.strict = previousStrict;
                      this.context.allowStrictDirective = previousAllowStrictDirective;
                      this.context.allowYield = previousAllowYield;
                      this.context.await = previousAwait;
                    }
                  } else {
                    if (this.matchAssign()) {
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier) {
                        var id = expr;
                        if (this.scanner.isRestrictedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictLHSAssignment);
                        }
                        if (this.scanner.isStrictModeReservedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                        }
                      }
                      if (!this.match("=")) {
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                      } else {
                        this.reinterpretExpressionAsPattern(expr);
                      }
                      token = this.nextToken();
                      var operator = token.value;
                      var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      expr = this.finalize(this.startNode(startToken), new Node.AssignmentExpression(operator, expr, right));
                      this.context.firstCoverInitializedNameError = null;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseExpression = function() {
                var startToken = this.lookahead;
                var expr = this.isolateCoverGrammar(this.parseAssignmentExpression);
                if (this.match(",")) {
                  var expressions = [];
                  expressions.push(expr);
                  while (this.lookahead.type !== 2) {
                    if (!this.match(",")) {
                      break;
                    }
                    this.nextToken();
                    expressions.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                  }
                  expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                }
                return expr;
              };
              Parser2.prototype.parseStatementListItem = function() {
                var statement;
                this.context.isAssignmentTarget = true;
                this.context.isBindingElement = true;
                if (this.lookahead.type === 4) {
                  switch (this.lookahead.value) {
                    case "export":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalExportDeclaration);
                      }
                      statement = this.parseExportDeclaration();
                      break;
                    case "import":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalImportDeclaration);
                      }
                      statement = this.parseImportDeclaration();
                      break;
                    case "const":
                      statement = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "function":
                      statement = this.parseFunctionDeclaration();
                      break;
                    case "class":
                      statement = this.parseClassDeclaration();
                      break;
                    case "let":
                      statement = this.isLexicalDeclaration() ? this.parseLexicalDeclaration({ inFor: false }) : this.parseStatement();
                      break;
                    default:
                      statement = this.parseStatement();
                      break;
                  }
                } else {
                  statement = this.parseStatement();
                }
                return statement;
              };
              Parser2.prototype.parseBlock = function() {
                var node = this.createNode();
                this.expect("{");
                var block = [];
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  block.push(this.parseStatementListItem());
                }
                this.expect("}");
                return this.finalize(node, new Node.BlockStatement(block));
              };
              Parser2.prototype.parseLexicalBinding = function(kind, options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, kind);
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (kind === "const") {
                  if (!this.matchKeyword("in") && !this.matchContextualKeyword("of")) {
                    if (this.match("=")) {
                      this.nextToken();
                      init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                    } else {
                      this.throwError(messages_1.Messages.DeclarationMissingInitializer, "const");
                    }
                  }
                } else if (!options.inFor && id.type !== syntax_1.Syntax.Identifier || this.match("=")) {
                  this.expect("=");
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseBindingList = function(kind, options) {
                var list = [this.parseLexicalBinding(kind, options)];
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseLexicalBinding(kind, options));
                }
                return list;
              };
              Parser2.prototype.isLexicalDeclaration = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.scanner.lex();
                this.scanner.restoreState(state);
                return next.type === 3 || next.type === 7 && next.value === "[" || next.type === 7 && next.value === "{" || next.type === 4 && next.value === "let" || next.type === 4 && next.value === "yield";
              };
              Parser2.prototype.parseLexicalDeclaration = function(options) {
                var node = this.createNode();
                var kind = this.nextToken().value;
                assert_1.assert(kind === "let" || kind === "const", "Lexical declaration must be either let or const");
                var declarations = this.parseBindingList(kind, options);
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, kind));
              };
              Parser2.prototype.parseBindingRestElement = function(params, kind) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params, kind);
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseArrayPattern = function(params, kind) {
                var node = this.createNode();
                this.expect("[");
                var elements = [];
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else {
                    if (this.match("...")) {
                      elements.push(this.parseBindingRestElement(params, kind));
                      break;
                    } else {
                      elements.push(this.parsePatternWithDefault(params, kind));
                    }
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayPattern(elements));
              };
              Parser2.prototype.parsePropertyPattern = function(params, kind) {
                var node = this.createNode();
                var computed = false;
                var shorthand = false;
                var method = false;
                var key;
                var value;
                if (this.lookahead.type === 3) {
                  var keyToken = this.lookahead;
                  key = this.parseVariableIdentifier();
                  var init = this.finalize(node, new Node.Identifier(keyToken.value));
                  if (this.match("=")) {
                    params.push(keyToken);
                    shorthand = true;
                    this.nextToken();
                    var expr = this.parseAssignmentExpression();
                    value = this.finalize(this.startNode(keyToken), new Node.AssignmentPattern(init, expr));
                  } else if (!this.match(":")) {
                    params.push(keyToken);
                    shorthand = true;
                    value = init;
                  } else {
                    this.expect(":");
                    value = this.parsePatternWithDefault(params, kind);
                  }
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.expect(":");
                  value = this.parsePatternWithDefault(params, kind);
                }
                return this.finalize(node, new Node.Property("init", key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectPattern = function(params, kind) {
                var node = this.createNode();
                var properties = [];
                this.expect("{");
                while (!this.match("}")) {
                  properties.push(this.parsePropertyPattern(params, kind));
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectPattern(properties));
              };
              Parser2.prototype.parsePattern = function(params, kind) {
                var pattern;
                if (this.match("[")) {
                  pattern = this.parseArrayPattern(params, kind);
                } else if (this.match("{")) {
                  pattern = this.parseObjectPattern(params, kind);
                } else {
                  if (this.matchKeyword("let") && (kind === "const" || kind === "let")) {
                    this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.LetInLexicalBinding);
                  }
                  params.push(this.lookahead);
                  pattern = this.parseVariableIdentifier(kind);
                }
                return pattern;
              };
              Parser2.prototype.parsePatternWithDefault = function(params, kind) {
                var startToken = this.lookahead;
                var pattern = this.parsePattern(params, kind);
                if (this.match("=")) {
                  this.nextToken();
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = true;
                  var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowYield = previousAllowYield;
                  pattern = this.finalize(this.startNode(startToken), new Node.AssignmentPattern(pattern, right));
                }
                return pattern;
              };
              Parser2.prototype.parseVariableIdentifier = function(kind) {
                var node = this.createNode();
                var token = this.nextToken();
                if (token.type === 4 && token.value === "yield") {
                  if (this.context.strict) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else if (!this.context.allowYield) {
                    this.throwUnexpectedToken(token);
                  }
                } else if (token.type !== 3) {
                  if (this.context.strict && token.type === 4 && this.scanner.isStrictModeReservedWord(token.value)) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else {
                    if (this.context.strict || token.value !== "let" || kind !== "var") {
                      this.throwUnexpectedToken(token);
                    }
                  }
                } else if ((this.context.isModule || this.context.await) && token.type === 3 && token.value === "await") {
                  this.tolerateUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseVariableDeclaration = function(options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, "var");
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (this.match("=")) {
                  this.nextToken();
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                } else if (id.type !== syntax_1.Syntax.Identifier && !options.inFor) {
                  this.expect("=");
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseVariableDeclarationList = function(options) {
                var opt = { inFor: options.inFor };
                var list = [];
                list.push(this.parseVariableDeclaration(opt));
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseVariableDeclaration(opt));
                }
                return list;
              };
              Parser2.prototype.parseVariableStatement = function() {
                var node = this.createNode();
                this.expectKeyword("var");
                var declarations = this.parseVariableDeclarationList({ inFor: false });
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, "var"));
              };
              Parser2.prototype.parseEmptyStatement = function() {
                var node = this.createNode();
                this.expect(";");
                return this.finalize(node, new Node.EmptyStatement());
              };
              Parser2.prototype.parseExpressionStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseIfClause = function() {
                if (this.context.strict && this.matchKeyword("function")) {
                  this.tolerateError(messages_1.Messages.StrictFunction);
                }
                return this.parseStatement();
              };
              Parser2.prototype.parseIfStatement = function() {
                var node = this.createNode();
                var consequent;
                var alternate = null;
                this.expectKeyword("if");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  consequent = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  consequent = this.parseIfClause();
                  if (this.matchKeyword("else")) {
                    this.nextToken();
                    alternate = this.parseIfClause();
                  }
                }
                return this.finalize(node, new Node.IfStatement(test, consequent, alternate));
              };
              Parser2.prototype.parseDoWhileStatement = function() {
                var node = this.createNode();
                this.expectKeyword("do");
                var previousInIteration = this.context.inIteration;
                this.context.inIteration = true;
                var body = this.parseStatement();
                this.context.inIteration = previousInIteration;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                } else {
                  this.expect(")");
                  if (this.match(";")) {
                    this.nextToken();
                  }
                }
                return this.finalize(node, new Node.DoWhileStatement(body, test));
              };
              Parser2.prototype.parseWhileStatement = function() {
                var node = this.createNode();
                var body;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.parseStatement();
                  this.context.inIteration = previousInIteration;
                }
                return this.finalize(node, new Node.WhileStatement(test, body));
              };
              Parser2.prototype.parseForStatement = function() {
                var init = null;
                var test = null;
                var update = null;
                var forIn = true;
                var left, right;
                var node = this.createNode();
                this.expectKeyword("for");
                this.expect("(");
                if (this.match(";")) {
                  this.nextToken();
                } else {
                  if (this.matchKeyword("var")) {
                    init = this.createNode();
                    this.nextToken();
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    var declarations = this.parseVariableDeclarationList({ inFor: true });
                    this.context.allowIn = previousAllowIn;
                    if (declarations.length === 1 && this.matchKeyword("in")) {
                      var decl = declarations[0];
                      if (decl.init && (decl.id.type === syntax_1.Syntax.ArrayPattern || decl.id.type === syntax_1.Syntax.ObjectPattern || this.context.strict)) {
                        this.tolerateError(messages_1.Messages.ForInOfLoopInitializer, "for-in");
                      }
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.expect(";");
                    }
                  } else if (this.matchKeyword("const") || this.matchKeyword("let")) {
                    init = this.createNode();
                    var kind = this.nextToken().value;
                    if (!this.context.strict && this.lookahead.value === "in") {
                      init = this.finalize(init, new Node.Identifier(kind));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else {
                      var previousAllowIn = this.context.allowIn;
                      this.context.allowIn = false;
                      var declarations = this.parseBindingList(kind, { inFor: true });
                      this.context.allowIn = previousAllowIn;
                      if (declarations.length === 1 && declarations[0].init === null && this.matchKeyword("in")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseExpression();
                        init = null;
                      } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseAssignmentExpression();
                        init = null;
                        forIn = false;
                      } else {
                        this.consumeSemicolon();
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                      }
                    }
                  } else {
                    var initStartToken = this.lookahead;
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    init = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    this.context.allowIn = previousAllowIn;
                    if (this.matchKeyword("in")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForIn);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (this.matchContextualKeyword("of")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForLoop);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      if (this.match(",")) {
                        var initSeq = [init];
                        while (this.match(",")) {
                          this.nextToken();
                          initSeq.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                        }
                        init = this.finalize(this.startNode(initStartToken), new Node.SequenceExpression(initSeq));
                      }
                      this.expect(";");
                    }
                  }
                }
                if (typeof left === "undefined") {
                  if (!this.match(";")) {
                    test = this.parseExpression();
                  }
                  this.expect(";");
                  if (!this.match(")")) {
                    update = this.parseExpression();
                  }
                }
                var body;
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.isolateCoverGrammar(this.parseStatement);
                  this.context.inIteration = previousInIteration;
                }
                return typeof left === "undefined" ? this.finalize(node, new Node.ForStatement(init, test, update, body)) : forIn ? this.finalize(node, new Node.ForInStatement(left, right, body)) : this.finalize(node, new Node.ForOfStatement(left, right, body));
              };
              Parser2.prototype.parseContinueStatement = function() {
                var node = this.createNode();
                this.expectKeyword("continue");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  label = id;
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration) {
                  this.throwError(messages_1.Messages.IllegalContinue);
                }
                return this.finalize(node, new Node.ContinueStatement(label));
              };
              Parser2.prototype.parseBreakStatement = function() {
                var node = this.createNode();
                this.expectKeyword("break");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                  label = id;
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration && !this.context.inSwitch) {
                  this.throwError(messages_1.Messages.IllegalBreak);
                }
                return this.finalize(node, new Node.BreakStatement(label));
              };
              Parser2.prototype.parseReturnStatement = function() {
                if (!this.context.inFunctionBody) {
                  this.tolerateError(messages_1.Messages.IllegalReturn);
                }
                var node = this.createNode();
                this.expectKeyword("return");
                var hasArgument = !this.match(";") && !this.match("}") && !this.hasLineTerminator && this.lookahead.type !== 2 || this.lookahead.type === 8 || this.lookahead.type === 10;
                var argument = hasArgument ? this.parseExpression() : null;
                this.consumeSemicolon();
                return this.finalize(node, new Node.ReturnStatement(argument));
              };
              Parser2.prototype.parseWithStatement = function() {
                if (this.context.strict) {
                  this.tolerateError(messages_1.Messages.StrictModeWith);
                }
                var node = this.createNode();
                var body;
                this.expectKeyword("with");
                this.expect("(");
                var object = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  body = this.parseStatement();
                }
                return this.finalize(node, new Node.WithStatement(object, body));
              };
              Parser2.prototype.parseSwitchCase = function() {
                var node = this.createNode();
                var test;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  test = null;
                } else {
                  this.expectKeyword("case");
                  test = this.parseExpression();
                }
                this.expect(":");
                var consequent = [];
                while (true) {
                  if (this.match("}") || this.matchKeyword("default") || this.matchKeyword("case")) {
                    break;
                  }
                  consequent.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.SwitchCase(test, consequent));
              };
              Parser2.prototype.parseSwitchStatement = function() {
                var node = this.createNode();
                this.expectKeyword("switch");
                this.expect("(");
                var discriminant = this.parseExpression();
                this.expect(")");
                var previousInSwitch = this.context.inSwitch;
                this.context.inSwitch = true;
                var cases = [];
                var defaultFound = false;
                this.expect("{");
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  var clause = this.parseSwitchCase();
                  if (clause.test === null) {
                    if (defaultFound) {
                      this.throwError(messages_1.Messages.MultipleDefaultsInSwitch);
                    }
                    defaultFound = true;
                  }
                  cases.push(clause);
                }
                this.expect("}");
                this.context.inSwitch = previousInSwitch;
                return this.finalize(node, new Node.SwitchStatement(discriminant, cases));
              };
              Parser2.prototype.parseLabelledStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                var statement;
                if (expr.type === syntax_1.Syntax.Identifier && this.match(":")) {
                  this.nextToken();
                  var id = expr;
                  var key = "$" + id.name;
                  if (Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.Redeclaration, "Label", id.name);
                  }
                  this.context.labelSet[key] = true;
                  var body = void 0;
                  if (this.matchKeyword("class")) {
                    this.tolerateUnexpectedToken(this.lookahead);
                    body = this.parseClassDeclaration();
                  } else if (this.matchKeyword("function")) {
                    var token = this.lookahead;
                    var declaration = this.parseFunctionDeclaration();
                    if (this.context.strict) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunction);
                    } else if (declaration.generator) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.GeneratorInLegacyContext);
                    }
                    body = declaration;
                  } else {
                    body = this.parseStatement();
                  }
                  delete this.context.labelSet[key];
                  statement = new Node.LabeledStatement(id, body);
                } else {
                  this.consumeSemicolon();
                  statement = new Node.ExpressionStatement(expr);
                }
                return this.finalize(node, statement);
              };
              Parser2.prototype.parseThrowStatement = function() {
                var node = this.createNode();
                this.expectKeyword("throw");
                if (this.hasLineTerminator) {
                  this.throwError(messages_1.Messages.NewlineAfterThrow);
                }
                var argument = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ThrowStatement(argument));
              };
              Parser2.prototype.parseCatchClause = function() {
                var node = this.createNode();
                this.expectKeyword("catch");
                this.expect("(");
                if (this.match(")")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                var params = [];
                var param = this.parsePattern(params);
                var paramMap = {};
                for (var i = 0; i < params.length; i++) {
                  var key = "$" + params[i].value;
                  if (Object.prototype.hasOwnProperty.call(paramMap, key)) {
                    this.tolerateError(messages_1.Messages.DuplicateBinding, params[i].value);
                  }
                  paramMap[key] = true;
                }
                if (this.context.strict && param.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(param.name)) {
                    this.tolerateError(messages_1.Messages.StrictCatchVariable);
                  }
                }
                this.expect(")");
                var body = this.parseBlock();
                return this.finalize(node, new Node.CatchClause(param, body));
              };
              Parser2.prototype.parseFinallyClause = function() {
                this.expectKeyword("finally");
                return this.parseBlock();
              };
              Parser2.prototype.parseTryStatement = function() {
                var node = this.createNode();
                this.expectKeyword("try");
                var block = this.parseBlock();
                var handler = this.matchKeyword("catch") ? this.parseCatchClause() : null;
                var finalizer = this.matchKeyword("finally") ? this.parseFinallyClause() : null;
                if (!handler && !finalizer) {
                  this.throwError(messages_1.Messages.NoCatchOrFinally);
                }
                return this.finalize(node, new Node.TryStatement(block, handler, finalizer));
              };
              Parser2.prototype.parseDebuggerStatement = function() {
                var node = this.createNode();
                this.expectKeyword("debugger");
                this.consumeSemicolon();
                return this.finalize(node, new Node.DebuggerStatement());
              };
              Parser2.prototype.parseStatement = function() {
                var statement;
                switch (this.lookahead.type) {
                  case 1:
                  case 5:
                  case 6:
                  case 8:
                  case 10:
                  case 9:
                    statement = this.parseExpressionStatement();
                    break;
                  case 7:
                    var value = this.lookahead.value;
                    if (value === "{") {
                      statement = this.parseBlock();
                    } else if (value === "(") {
                      statement = this.parseExpressionStatement();
                    } else if (value === ";") {
                      statement = this.parseEmptyStatement();
                    } else {
                      statement = this.parseExpressionStatement();
                    }
                    break;
                  case 3:
                    statement = this.matchAsyncFunction() ? this.parseFunctionDeclaration() : this.parseLabelledStatement();
                    break;
                  case 4:
                    switch (this.lookahead.value) {
                      case "break":
                        statement = this.parseBreakStatement();
                        break;
                      case "continue":
                        statement = this.parseContinueStatement();
                        break;
                      case "debugger":
                        statement = this.parseDebuggerStatement();
                        break;
                      case "do":
                        statement = this.parseDoWhileStatement();
                        break;
                      case "for":
                        statement = this.parseForStatement();
                        break;
                      case "function":
                        statement = this.parseFunctionDeclaration();
                        break;
                      case "if":
                        statement = this.parseIfStatement();
                        break;
                      case "return":
                        statement = this.parseReturnStatement();
                        break;
                      case "switch":
                        statement = this.parseSwitchStatement();
                        break;
                      case "throw":
                        statement = this.parseThrowStatement();
                        break;
                      case "try":
                        statement = this.parseTryStatement();
                        break;
                      case "var":
                        statement = this.parseVariableStatement();
                        break;
                      case "while":
                        statement = this.parseWhileStatement();
                        break;
                      case "with":
                        statement = this.parseWithStatement();
                        break;
                      default:
                        statement = this.parseExpressionStatement();
                        break;
                    }
                    break;
                  default:
                    statement = this.throwUnexpectedToken(this.lookahead);
                }
                return statement;
              };
              Parser2.prototype.parseFunctionSourceElements = function() {
                var node = this.createNode();
                this.expect("{");
                var body = this.parseDirectivePrologues();
                var previousLabelSet = this.context.labelSet;
                var previousInIteration = this.context.inIteration;
                var previousInSwitch = this.context.inSwitch;
                var previousInFunctionBody = this.context.inFunctionBody;
                this.context.labelSet = {};
                this.context.inIteration = false;
                this.context.inSwitch = false;
                this.context.inFunctionBody = true;
                while (this.lookahead.type !== 2) {
                  if (this.match("}")) {
                    break;
                  }
                  body.push(this.parseStatementListItem());
                }
                this.expect("}");
                this.context.labelSet = previousLabelSet;
                this.context.inIteration = previousInIteration;
                this.context.inSwitch = previousInSwitch;
                this.context.inFunctionBody = previousInFunctionBody;
                return this.finalize(node, new Node.BlockStatement(body));
              };
              Parser2.prototype.validateParam = function(options, param, name) {
                var key = "$" + name;
                if (this.context.strict) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  }
                  if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                } else if (!options.firstRestricted) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  } else if (this.scanner.isStrictModeReservedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictReservedWord;
                  } else if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                }
                if (typeof Object.defineProperty === "function") {
                  Object.defineProperty(options.paramSet, key, { value: true, enumerable: true, writable: true, configurable: true });
                } else {
                  options.paramSet[key] = true;
                }
              };
              Parser2.prototype.parseRestElement = function(params) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params);
                if (this.match("=")) {
                  this.throwError(messages_1.Messages.DefaultRestParameter);
                }
                if (!this.match(")")) {
                  this.throwError(messages_1.Messages.ParameterAfterRestParameter);
                }
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseFormalParameter = function(options) {
                var params = [];
                var param = this.match("...") ? this.parseRestElement(params) : this.parsePatternWithDefault(params);
                for (var i = 0; i < params.length; i++) {
                  this.validateParam(options, params[i], params[i].value);
                }
                options.simple = options.simple && param instanceof Node.Identifier;
                options.params.push(param);
              };
              Parser2.prototype.parseFormalParameters = function(firstRestricted) {
                var options;
                options = {
                  simple: true,
                  params: [],
                  firstRestricted
                };
                this.expect("(");
                if (!this.match(")")) {
                  options.paramSet = {};
                  while (this.lookahead.type !== 2) {
                    this.parseFormalParameter(options);
                    if (this.match(")")) {
                      break;
                    }
                    this.expect(",");
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return {
                  simple: options.simple,
                  params: options.params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.matchAsyncFunction = function() {
                var match = this.matchContextualKeyword("async");
                if (match) {
                  var state = this.scanner.saveState();
                  this.scanner.scanComments();
                  var next = this.scanner.lex();
                  this.scanner.restoreState(state);
                  match = state.lineNumber === next.lineNumber && next.type === 4 && next.value === "function";
                }
                return match;
              };
              Parser2.prototype.parseFunctionDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted = null;
                if (!identifierIsOptional || !this.match("(")) {
                  var token = this.lookahead;
                  id = this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionDeclaration(id, params, body)) : this.finalize(node, new Node.FunctionDeclaration(id, params, body, isGenerator));
              };
              Parser2.prototype.parseFunctionExpression = function() {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted;
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                if (!this.match("(")) {
                  var token = this.lookahead;
                  id = !this.context.strict && !isGenerator && this.matchKeyword("yield") ? this.parseIdentifierName() : this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionExpression(id, params, body)) : this.finalize(node, new Node.FunctionExpression(id, params, body, isGenerator));
              };
              Parser2.prototype.parseDirective = function() {
                var token = this.lookahead;
                var node = this.createNode();
                var expr = this.parseExpression();
                var directive = expr.type === syntax_1.Syntax.Literal ? this.getTokenRaw(token).slice(1, -1) : null;
                this.consumeSemicolon();
                return this.finalize(node, directive ? new Node.Directive(expr, directive) : new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseDirectivePrologues = function() {
                var firstRestricted = null;
                var body = [];
                while (true) {
                  var token = this.lookahead;
                  if (token.type !== 8) {
                    break;
                  }
                  var statement = this.parseDirective();
                  body.push(statement);
                  var directive = statement.directive;
                  if (typeof directive !== "string") {
                    break;
                  }
                  if (directive === "use strict") {
                    this.context.strict = true;
                    if (firstRestricted) {
                      this.tolerateUnexpectedToken(firstRestricted, messages_1.Messages.StrictOctalLiteral);
                    }
                    if (!this.context.allowStrictDirective) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.IllegalLanguageModeDirective);
                    }
                  } else {
                    if (!firstRestricted && token.octal) {
                      firstRestricted = token;
                    }
                  }
                }
                return body;
              };
              Parser2.prototype.qualifiedPropertyName = function(token) {
                switch (token.type) {
                  case 3:
                  case 8:
                  case 1:
                  case 5:
                  case 6:
                  case 4:
                    return true;
                  case 7:
                    return token.value === "[";
                  default:
                    break;
                }
                return false;
              };
              Parser2.prototype.parseGetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length > 0) {
                  this.tolerateError(messages_1.Messages.BadGetterArity);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseSetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length !== 1) {
                  this.tolerateError(messages_1.Messages.BadSetterArity);
                } else if (formalParameters.params[0] instanceof Node.RestElement) {
                  this.tolerateError(messages_1.Messages.BadSetterRestParameter);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseGeneratorMethod = function() {
                var node = this.createNode();
                var isGenerator = true;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                this.context.allowYield = false;
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.isStartOfExpression = function() {
                var start = true;
                var value = this.lookahead.value;
                switch (this.lookahead.type) {
                  case 7:
                    start = value === "[" || value === "(" || value === "{" || value === "+" || value === "-" || value === "!" || value === "~" || value === "++" || value === "--" || value === "/" || value === "/=";
                    break;
                  case 4:
                    start = value === "class" || value === "delete" || value === "function" || value === "let" || value === "new" || value === "super" || value === "this" || value === "typeof" || value === "void" || value === "yield";
                    break;
                  default:
                    break;
                }
                return start;
              };
              Parser2.prototype.parseYieldExpression = function() {
                var node = this.createNode();
                this.expectKeyword("yield");
                var argument = null;
                var delegate = false;
                if (!this.hasLineTerminator) {
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = false;
                  delegate = this.match("*");
                  if (delegate) {
                    this.nextToken();
                    argument = this.parseAssignmentExpression();
                  } else if (this.isStartOfExpression()) {
                    argument = this.parseAssignmentExpression();
                  }
                  this.context.allowYield = previousAllowYield;
                }
                return this.finalize(node, new Node.YieldExpression(argument, delegate));
              };
              Parser2.prototype.parseClassElement = function(hasConstructor) {
                var token = this.lookahead;
                var node = this.createNode();
                var kind = "";
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var isStatic = false;
                var isAsync = false;
                if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  var id = key;
                  if (id.name === "static" && (this.qualifiedPropertyName(this.lookahead) || this.match("*"))) {
                    token = this.lookahead;
                    isStatic = true;
                    computed = this.match("[");
                    if (this.match("*")) {
                      this.nextToken();
                    } else {
                      key = this.parseObjectPropertyKey();
                    }
                  }
                  if (token.type === 3 && !this.hasLineTerminator && token.value === "async") {
                    var punctuator = this.lookahead.value;
                    if (punctuator !== ":" && punctuator !== "(" && punctuator !== "*") {
                      isAsync = true;
                      token = this.lookahead;
                      key = this.parseObjectPropertyKey();
                      if (token.type === 3 && token.value === "constructor") {
                        this.tolerateUnexpectedToken(token, messages_1.Messages.ConstructorIsAsync);
                      }
                    }
                  }
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3) {
                  if (token.value === "get" && lookaheadPropertyKey) {
                    kind = "get";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    this.context.allowYield = false;
                    value = this.parseGetterMethod();
                  } else if (token.value === "set" && lookaheadPropertyKey) {
                    kind = "set";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    value = this.parseSetterMethod();
                  }
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                }
                if (!kind && key && this.match("(")) {
                  kind = "init";
                  value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                  method = true;
                }
                if (!kind) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                if (kind === "init") {
                  kind = "method";
                }
                if (!computed) {
                  if (isStatic && this.isPropertyKey(key, "prototype")) {
                    this.throwUnexpectedToken(token, messages_1.Messages.StaticPrototype);
                  }
                  if (!isStatic && this.isPropertyKey(key, "constructor")) {
                    if (kind !== "method" || !method || value && value.generator) {
                      this.throwUnexpectedToken(token, messages_1.Messages.ConstructorSpecialMethod);
                    }
                    if (hasConstructor.value) {
                      this.throwUnexpectedToken(token, messages_1.Messages.DuplicateConstructor);
                    } else {
                      hasConstructor.value = true;
                    }
                    kind = "constructor";
                  }
                }
                return this.finalize(node, new Node.MethodDefinition(key, computed, value, kind, isStatic));
              };
              Parser2.prototype.parseClassElementList = function() {
                var body = [];
                var hasConstructor = { value: false };
                this.expect("{");
                while (!this.match("}")) {
                  if (this.match(";")) {
                    this.nextToken();
                  } else {
                    body.push(this.parseClassElement(hasConstructor));
                  }
                }
                this.expect("}");
                return body;
              };
              Parser2.prototype.parseClassBody = function() {
                var node = this.createNode();
                var elementList = this.parseClassElementList();
                return this.finalize(node, new Node.ClassBody(elementList));
              };
              Parser2.prototype.parseClassDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = identifierIsOptional && this.lookahead.type !== 3 ? null : this.parseVariableIdentifier();
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassDeclaration(id, superClass, classBody));
              };
              Parser2.prototype.parseClassExpression = function() {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = this.lookahead.type === 3 ? this.parseVariableIdentifier() : null;
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassExpression(id, superClass, classBody));
              };
              Parser2.prototype.parseModule = function() {
                this.context.strict = true;
                this.context.isModule = true;
                this.scanner.isModule = true;
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Module(body));
              };
              Parser2.prototype.parseScript = function() {
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Script(body));
              };
              Parser2.prototype.parseModuleSpecifier = function() {
                var node = this.createNode();
                if (this.lookahead.type !== 8) {
                  this.throwError(messages_1.Messages.InvalidModuleSpecifier);
                }
                var token = this.nextToken();
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              Parser2.prototype.parseImportSpecifier = function() {
                var node = this.createNode();
                var imported;
                var local;
                if (this.lookahead.type === 3) {
                  imported = this.parseVariableIdentifier();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  }
                } else {
                  imported = this.parseIdentifierName();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.ImportSpecifier(local, imported));
              };
              Parser2.prototype.parseNamedImports = function() {
                this.expect("{");
                var specifiers = [];
                while (!this.match("}")) {
                  specifiers.push(this.parseImportSpecifier());
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return specifiers;
              };
              Parser2.prototype.parseImportDefaultSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportDefaultSpecifier(local));
              };
              Parser2.prototype.parseImportNamespaceSpecifier = function() {
                var node = this.createNode();
                this.expect("*");
                if (!this.matchContextualKeyword("as")) {
                  this.throwError(messages_1.Messages.NoAsAfterImportNamespace);
                }
                this.nextToken();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportNamespaceSpecifier(local));
              };
              Parser2.prototype.parseImportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalImportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("import");
                var src;
                var specifiers = [];
                if (this.lookahead.type === 8) {
                  src = this.parseModuleSpecifier();
                } else {
                  if (this.match("{")) {
                    specifiers = specifiers.concat(this.parseNamedImports());
                  } else if (this.match("*")) {
                    specifiers.push(this.parseImportNamespaceSpecifier());
                  } else if (this.isIdentifierName(this.lookahead) && !this.matchKeyword("default")) {
                    specifiers.push(this.parseImportDefaultSpecifier());
                    if (this.match(",")) {
                      this.nextToken();
                      if (this.match("*")) {
                        specifiers.push(this.parseImportNamespaceSpecifier());
                      } else if (this.match("{")) {
                        specifiers = specifiers.concat(this.parseNamedImports());
                      } else {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  src = this.parseModuleSpecifier();
                }
                this.consumeSemicolon();
                return this.finalize(node, new Node.ImportDeclaration(specifiers, src));
              };
              Parser2.prototype.parseExportSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                var exported = local;
                if (this.matchContextualKeyword("as")) {
                  this.nextToken();
                  exported = this.parseIdentifierName();
                }
                return this.finalize(node, new Node.ExportSpecifier(local, exported));
              };
              Parser2.prototype.parseExportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalExportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("export");
                var exportDeclaration;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  if (this.matchKeyword("function")) {
                    var declaration = this.parseFunctionDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchKeyword("class")) {
                    var declaration = this.parseClassDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchContextualKeyword("async")) {
                    var declaration = this.matchAsyncFunction() ? this.parseFunctionDeclaration(true) : this.parseAssignmentExpression();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else {
                    if (this.matchContextualKeyword("from")) {
                      this.throwError(messages_1.Messages.UnexpectedToken, this.lookahead.value);
                    }
                    var declaration = this.match("{") ? this.parseObjectInitializer() : this.match("[") ? this.parseArrayInitializer() : this.parseAssignmentExpression();
                    this.consumeSemicolon();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  }
                } else if (this.match("*")) {
                  this.nextToken();
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  var src = this.parseModuleSpecifier();
                  this.consumeSemicolon();
                  exportDeclaration = this.finalize(node, new Node.ExportAllDeclaration(src));
                } else if (this.lookahead.type === 4) {
                  var declaration = void 0;
                  switch (this.lookahead.value) {
                    case "let":
                    case "const":
                      declaration = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "var":
                    case "class":
                    case "function":
                      declaration = this.parseStatementListItem();
                      break;
                    default:
                      this.throwUnexpectedToken(this.lookahead);
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else if (this.matchAsyncFunction()) {
                  var declaration = this.parseFunctionDeclaration();
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else {
                  var specifiers = [];
                  var source = null;
                  var isExportFromIdentifier = false;
                  this.expect("{");
                  while (!this.match("}")) {
                    isExportFromIdentifier = isExportFromIdentifier || this.matchKeyword("default");
                    specifiers.push(this.parseExportSpecifier());
                    if (!this.match("}")) {
                      this.expect(",");
                    }
                  }
                  this.expect("}");
                  if (this.matchContextualKeyword("from")) {
                    this.nextToken();
                    source = this.parseModuleSpecifier();
                    this.consumeSemicolon();
                  } else if (isExportFromIdentifier) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  } else {
                    this.consumeSemicolon();
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(null, specifiers, source));
                }
                return exportDeclaration;
              };
              return Parser2;
            }();
            exports3.Parser = Parser;
          },
          /* 9 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            function assert(condition, message) {
              if (!condition) {
                throw new Error("ASSERT: " + message);
              }
            }
            exports3.assert = assert;
          },
          /* 10 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var ErrorHandler = function() {
              function ErrorHandler2() {
                this.errors = [];
                this.tolerant = false;
              }
              ErrorHandler2.prototype.recordError = function(error) {
                this.errors.push(error);
              };
              ErrorHandler2.prototype.tolerate = function(error) {
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              ErrorHandler2.prototype.constructError = function(msg, column) {
                var error = new Error(msg);
                try {
                  throw error;
                } catch (base) {
                  if (Object.create && Object.defineProperty) {
                    error = Object.create(base);
                    Object.defineProperty(error, "column", { value: column });
                  }
                }
                return error;
              };
              ErrorHandler2.prototype.createError = function(index, line, col, description) {
                var msg = "Line " + line + ": " + description;
                var error = this.constructError(msg, col);
                error.index = index;
                error.lineNumber = line;
                error.description = description;
                return error;
              };
              ErrorHandler2.prototype.throwError = function(index, line, col, description) {
                throw this.createError(index, line, col, description);
              };
              ErrorHandler2.prototype.tolerateError = function(index, line, col, description) {
                var error = this.createError(index, line, col, description);
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              return ErrorHandler2;
            }();
            exports3.ErrorHandler = ErrorHandler;
          },
          /* 11 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Messages = {
              BadGetterArity: "Getter must not have any formal parameters",
              BadSetterArity: "Setter must have exactly one formal parameter",
              BadSetterRestParameter: "Setter function argument must not be a rest parameter",
              ConstructorIsAsync: "Class constructor may not be an async method",
              ConstructorSpecialMethod: "Class constructor may not be an accessor",
              DeclarationMissingInitializer: "Missing initializer in %0 declaration",
              DefaultRestParameter: "Unexpected token =",
              DuplicateBinding: "Duplicate binding %0",
              DuplicateConstructor: "A class may only have one constructor",
              DuplicateProtoProperty: "Duplicate __proto__ fields are not allowed in object literals",
              ForInOfLoopInitializer: "%0 loop variable declaration may not have an initializer",
              GeneratorInLegacyContext: "Generator declarations are not allowed in legacy contexts",
              IllegalBreak: "Illegal break statement",
              IllegalContinue: "Illegal continue statement",
              IllegalExportDeclaration: "Unexpected token",
              IllegalImportDeclaration: "Unexpected token",
              IllegalLanguageModeDirective: "Illegal 'use strict' directive in function with non-simple parameter list",
              IllegalReturn: "Illegal return statement",
              InvalidEscapedReservedWord: "Keyword must not contain escaped characters",
              InvalidHexEscapeSequence: "Invalid hexadecimal escape sequence",
              InvalidLHSInAssignment: "Invalid left-hand side in assignment",
              InvalidLHSInForIn: "Invalid left-hand side in for-in",
              InvalidLHSInForLoop: "Invalid left-hand side in for-loop",
              InvalidModuleSpecifier: "Unexpected token",
              InvalidRegExp: "Invalid regular expression",
              LetInLexicalBinding: "let is disallowed as a lexically bound name",
              MissingFromClause: "Unexpected token",
              MultipleDefaultsInSwitch: "More than one default clause in switch statement",
              NewlineAfterThrow: "Illegal newline after throw",
              NoAsAfterImportNamespace: "Unexpected token",
              NoCatchOrFinally: "Missing catch or finally after try",
              ParameterAfterRestParameter: "Rest parameter must be last formal parameter",
              Redeclaration: "%0 '%1' has already been declared",
              StaticPrototype: "Classes may not have static property named prototype",
              StrictCatchVariable: "Catch variable may not be eval or arguments in strict mode",
              StrictDelete: "Delete of an unqualified identifier in strict mode.",
              StrictFunction: "In strict mode code, functions can only be declared at top level or inside a block",
              StrictFunctionName: "Function name may not be eval or arguments in strict mode",
              StrictLHSAssignment: "Assignment to eval or arguments is not allowed in strict mode",
              StrictLHSPostfix: "Postfix increment/decrement may not have eval or arguments operand in strict mode",
              StrictLHSPrefix: "Prefix increment/decrement may not have eval or arguments operand in strict mode",
              StrictModeWith: "Strict mode code may not include a with statement",
              StrictOctalLiteral: "Octal literals are not allowed in strict mode.",
              StrictParamDupe: "Strict mode function may not have duplicate parameter names",
              StrictParamName: "Parameter name eval or arguments is not allowed in strict mode",
              StrictReservedWord: "Use of future reserved word in strict mode",
              StrictVarName: "Variable name may not be eval or arguments in strict mode",
              TemplateOctalLiteral: "Octal literals are not allowed in template strings.",
              UnexpectedEOS: "Unexpected end of input",
              UnexpectedIdentifier: "Unexpected identifier",
              UnexpectedNumber: "Unexpected number",
              UnexpectedReserved: "Unexpected reserved word",
              UnexpectedString: "Unexpected string",
              UnexpectedTemplate: "Unexpected quasi %0",
              UnexpectedToken: "Unexpected token %0",
              UnexpectedTokenIllegal: "Unexpected token ILLEGAL",
              UnknownLabel: "Undefined label '%0'",
              UnterminatedRegExp: "Invalid regular expression: missing /"
            };
          },
          /* 12 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var character_1 = __webpack_require__(4);
            var messages_1 = __webpack_require__(11);
            function hexValue(ch) {
              return "0123456789abcdef".indexOf(ch.toLowerCase());
            }
            function octalValue(ch) {
              return "01234567".indexOf(ch);
            }
            var Scanner = function() {
              function Scanner2(code, handler) {
                this.source = code;
                this.errorHandler = handler;
                this.trackComment = false;
                this.isModule = false;
                this.length = code.length;
                this.index = 0;
                this.lineNumber = code.length > 0 ? 1 : 0;
                this.lineStart = 0;
                this.curlyStack = [];
              }
              Scanner2.prototype.saveState = function() {
                return {
                  index: this.index,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart
                };
              };
              Scanner2.prototype.restoreState = function(state) {
                this.index = state.index;
                this.lineNumber = state.lineNumber;
                this.lineStart = state.lineStart;
              };
              Scanner2.prototype.eof = function() {
                return this.index >= this.length;
              };
              Scanner2.prototype.throwUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                return this.errorHandler.throwError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.tolerateUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                this.errorHandler.tolerateError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.skipSingleLineComment = function(offset) {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - offset;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - offset
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  ++this.index;
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (this.trackComment) {
                      loc.end = {
                        line: this.lineNumber,
                        column: this.index - this.lineStart - 1
                      };
                      var entry = {
                        multiLine: false,
                        slice: [start + offset, this.index - 1],
                        range: [start, this.index - 1],
                        loc
                      };
                      comments.push(entry);
                    }
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    return comments;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: false,
                    slice: [start + offset, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                return comments;
              };
              Scanner2.prototype.skipMultiLineComment = function() {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - 2;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - 2
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (ch === 13 && this.source.charCodeAt(this.index + 1) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    ++this.index;
                    this.lineStart = this.index;
                  } else if (ch === 42) {
                    if (this.source.charCodeAt(this.index + 1) === 47) {
                      this.index += 2;
                      if (this.trackComment) {
                        loc.end = {
                          line: this.lineNumber,
                          column: this.index - this.lineStart
                        };
                        var entry = {
                          multiLine: true,
                          slice: [start + 2, this.index - 2],
                          range: [start, this.index],
                          loc
                        };
                        comments.push(entry);
                      }
                      return comments;
                    }
                    ++this.index;
                  } else {
                    ++this.index;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: true,
                    slice: [start + 2, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                this.tolerateUnexpectedToken();
                return comments;
              };
              Scanner2.prototype.scanComments = function() {
                var comments;
                if (this.trackComment) {
                  comments = [];
                }
                var start = this.index === 0;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isWhiteSpace(ch)) {
                    ++this.index;
                  } else if (character_1.Character.isLineTerminator(ch)) {
                    ++this.index;
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    start = true;
                  } else if (ch === 47) {
                    ch = this.source.charCodeAt(this.index + 1);
                    if (ch === 47) {
                      this.index += 2;
                      var comment = this.skipSingleLineComment(2);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                      start = true;
                    } else if (ch === 42) {
                      this.index += 2;
                      var comment = this.skipMultiLineComment();
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (start && ch === 45) {
                    if (this.source.charCodeAt(this.index + 1) === 45 && this.source.charCodeAt(this.index + 2) === 62) {
                      this.index += 3;
                      var comment = this.skipSingleLineComment(3);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (ch === 60 && !this.isModule) {
                    if (this.source.slice(this.index + 1, this.index + 4) === "!--") {
                      this.index += 4;
                      var comment = this.skipSingleLineComment(4);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else {
                    break;
                  }
                }
                return comments;
              };
              Scanner2.prototype.isFutureReservedWord = function(id) {
                switch (id) {
                  case "enum":
                  case "export":
                  case "import":
                  case "super":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isStrictModeReservedWord = function(id) {
                switch (id) {
                  case "implements":
                  case "interface":
                  case "package":
                  case "private":
                  case "protected":
                  case "public":
                  case "static":
                  case "yield":
                  case "let":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isRestrictedWord = function(id) {
                return id === "eval" || id === "arguments";
              };
              Scanner2.prototype.isKeyword = function(id) {
                switch (id.length) {
                  case 2:
                    return id === "if" || id === "in" || id === "do";
                  case 3:
                    return id === "var" || id === "for" || id === "new" || id === "try" || id === "let";
                  case 4:
                    return id === "this" || id === "else" || id === "case" || id === "void" || id === "with" || id === "enum";
                  case 5:
                    return id === "while" || id === "break" || id === "catch" || id === "throw" || id === "const" || id === "yield" || id === "class" || id === "super";
                  case 6:
                    return id === "return" || id === "typeof" || id === "delete" || id === "switch" || id === "export" || id === "import";
                  case 7:
                    return id === "default" || id === "finally" || id === "extends";
                  case 8:
                    return id === "function" || id === "continue" || id === "debugger";
                  case 10:
                    return id === "instanceof";
                  default:
                    return false;
                }
              };
              Scanner2.prototype.codePointAt = function(i) {
                var cp = this.source.charCodeAt(i);
                if (cp >= 55296 && cp <= 56319) {
                  var second = this.source.charCodeAt(i + 1);
                  if (second >= 56320 && second <= 57343) {
                    var first = cp;
                    cp = (first - 55296) * 1024 + second - 56320 + 65536;
                  }
                }
                return cp;
              };
              Scanner2.prototype.scanHexEscape = function(prefix) {
                var len = prefix === "u" ? 4 : 2;
                var code = 0;
                for (var i = 0; i < len; ++i) {
                  if (!this.eof() && character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    code = code * 16 + hexValue(this.source[this.index++]);
                  } else {
                    return null;
                  }
                }
                return String.fromCharCode(code);
              };
              Scanner2.prototype.scanUnicodeCodePointEscape = function() {
                var ch = this.source[this.index];
                var code = 0;
                if (ch === "}") {
                  this.throwUnexpectedToken();
                }
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  if (!character_1.Character.isHexDigit(ch.charCodeAt(0))) {
                    break;
                  }
                  code = code * 16 + hexValue(ch);
                }
                if (code > 1114111 || ch !== "}") {
                  this.throwUnexpectedToken();
                }
                return character_1.Character.fromCodePoint(code);
              };
              Scanner2.prototype.getIdentifier = function() {
                var start = this.index++;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (ch === 92) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  } else if (ch >= 55296 && ch < 57343) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  }
                  if (character_1.Character.isIdentifierPart(ch)) {
                    ++this.index;
                  } else {
                    break;
                  }
                }
                return this.source.slice(start, this.index);
              };
              Scanner2.prototype.getComplexIdentifier = function() {
                var cp = this.codePointAt(this.index);
                var id = character_1.Character.fromCodePoint(cp);
                this.index += id.length;
                var ch;
                if (cp === 92) {
                  if (this.source.charCodeAt(this.index) !== 117) {
                    this.throwUnexpectedToken();
                  }
                  ++this.index;
                  if (this.source[this.index] === "{") {
                    ++this.index;
                    ch = this.scanUnicodeCodePointEscape();
                  } else {
                    ch = this.scanHexEscape("u");
                    if (ch === null || ch === "\\" || !character_1.Character.isIdentifierStart(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken();
                    }
                  }
                  id = ch;
                }
                while (!this.eof()) {
                  cp = this.codePointAt(this.index);
                  if (!character_1.Character.isIdentifierPart(cp)) {
                    break;
                  }
                  ch = character_1.Character.fromCodePoint(cp);
                  id += ch;
                  this.index += ch.length;
                  if (cp === 92) {
                    id = id.substr(0, id.length - 1);
                    if (this.source.charCodeAt(this.index) !== 117) {
                      this.throwUnexpectedToken();
                    }
                    ++this.index;
                    if (this.source[this.index] === "{") {
                      ++this.index;
                      ch = this.scanUnicodeCodePointEscape();
                    } else {
                      ch = this.scanHexEscape("u");
                      if (ch === null || ch === "\\" || !character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                        this.throwUnexpectedToken();
                      }
                    }
                    id += ch;
                  }
                }
                return id;
              };
              Scanner2.prototype.octalToDecimal = function(ch) {
                var octal = ch !== "0";
                var code = octalValue(ch);
                if (!this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                  octal = true;
                  code = code * 8 + octalValue(this.source[this.index++]);
                  if ("0123".indexOf(ch) >= 0 && !this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    code = code * 8 + octalValue(this.source[this.index++]);
                  }
                }
                return {
                  code,
                  octal
                };
              };
              Scanner2.prototype.scanIdentifier = function() {
                var type;
                var start = this.index;
                var id = this.source.charCodeAt(start) === 92 ? this.getComplexIdentifier() : this.getIdentifier();
                if (id.length === 1) {
                  type = 3;
                } else if (this.isKeyword(id)) {
                  type = 4;
                } else if (id === "null") {
                  type = 5;
                } else if (id === "true" || id === "false") {
                  type = 1;
                } else {
                  type = 3;
                }
                if (type !== 3 && start + id.length !== this.index) {
                  var restore = this.index;
                  this.index = start;
                  this.tolerateUnexpectedToken(messages_1.Messages.InvalidEscapedReservedWord);
                  this.index = restore;
                }
                return {
                  type,
                  value: id,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanPunctuator = function() {
                var start = this.index;
                var str = this.source[this.index];
                switch (str) {
                  case "(":
                  case "{":
                    if (str === "{") {
                      this.curlyStack.push("{");
                    }
                    ++this.index;
                    break;
                  case ".":
                    ++this.index;
                    if (this.source[this.index] === "." && this.source[this.index + 1] === ".") {
                      this.index += 2;
                      str = "...";
                    }
                    break;
                  case "}":
                    ++this.index;
                    this.curlyStack.pop();
                    break;
                  case ")":
                  case ";":
                  case ",":
                  case "[":
                  case "]":
                  case ":":
                  case "?":
                  case "~":
                    ++this.index;
                    break;
                  default:
                    str = this.source.substr(this.index, 4);
                    if (str === ">>>=") {
                      this.index += 4;
                    } else {
                      str = str.substr(0, 3);
                      if (str === "===" || str === "!==" || str === ">>>" || str === "<<=" || str === ">>=" || str === "**=") {
                        this.index += 3;
                      } else {
                        str = str.substr(0, 2);
                        if (str === "&&" || str === "||" || str === "==" || str === "!=" || str === "+=" || str === "-=" || str === "*=" || str === "/=" || str === "++" || str === "--" || str === "<<" || str === ">>" || str === "&=" || str === "|=" || str === "^=" || str === "%=" || str === "<=" || str === ">=" || str === "=>" || str === "**") {
                          this.index += 2;
                        } else {
                          str = this.source[this.index];
                          if ("<>=!+-*%&|^/".indexOf(str) >= 0) {
                            ++this.index;
                          }
                        }
                      }
                    }
                }
                if (this.index === start) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 7,
                  value: str,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanHexLiteral = function(start) {
                var num = "";
                while (!this.eof()) {
                  if (!character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt("0x" + num, 16),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanBinaryLiteral = function(start) {
                var num = "";
                var ch;
                while (!this.eof()) {
                  ch = this.source[this.index];
                  if (ch !== "0" && ch !== "1") {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (!this.eof()) {
                  ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isIdentifierStart(ch) || character_1.Character.isDecimalDigit(ch)) {
                    this.throwUnexpectedToken();
                  }
                }
                return {
                  type: 6,
                  value: parseInt(num, 2),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanOctalLiteral = function(prefix, start) {
                var num = "";
                var octal = false;
                if (character_1.Character.isOctalDigit(prefix.charCodeAt(0))) {
                  octal = true;
                  num = "0" + this.source[this.index++];
                } else {
                  ++this.index;
                }
                while (!this.eof()) {
                  if (!character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (!octal && num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index)) || character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt(num, 8),
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.isImplicitOctalLiteral = function() {
                for (var i = this.index + 1; i < this.length; ++i) {
                  var ch = this.source[i];
                  if (ch === "8" || ch === "9") {
                    return false;
                  }
                  if (!character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                    return true;
                  }
                }
                return true;
              };
              Scanner2.prototype.scanNumericLiteral = function() {
                var start = this.index;
                var ch = this.source[start];
                assert_1.assert(character_1.Character.isDecimalDigit(ch.charCodeAt(0)) || ch === ".", "Numeric literal must start with a decimal digit or a decimal point");
                var num = "";
                if (ch !== ".") {
                  num = this.source[this.index++];
                  ch = this.source[this.index];
                  if (num === "0") {
                    if (ch === "x" || ch === "X") {
                      ++this.index;
                      return this.scanHexLiteral(start);
                    }
                    if (ch === "b" || ch === "B") {
                      ++this.index;
                      return this.scanBinaryLiteral(start);
                    }
                    if (ch === "o" || ch === "O") {
                      return this.scanOctalLiteral(ch, start);
                    }
                    if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                      if (this.isImplicitOctalLiteral()) {
                        return this.scanOctalLiteral(ch, start);
                      }
                    }
                  }
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === ".") {
                  num += this.source[this.index++];
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === "e" || ch === "E") {
                  num += this.source[this.index++];
                  ch = this.source[this.index];
                  if (ch === "+" || ch === "-") {
                    num += this.source[this.index++];
                  }
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                      num += this.source[this.index++];
                    }
                  } else {
                    this.throwUnexpectedToken();
                  }
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseFloat(num),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanStringLiteral = function() {
                var start = this.index;
                var quote = this.source[start];
                assert_1.assert(quote === "'" || quote === '"', "String literal must starts with a quote");
                ++this.index;
                var octal = false;
                var str = "";
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === quote) {
                    quote = "";
                    break;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!ch || !character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            str += this.scanUnicodeCodePointEscape();
                          } else {
                            var unescaped_1 = this.scanHexEscape(ch);
                            if (unescaped_1 === null) {
                              this.throwUnexpectedToken();
                            }
                            str += unescaped_1;
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          str += unescaped;
                          break;
                        case "n":
                          str += "\n";
                          break;
                        case "r":
                          str += "\r";
                          break;
                        case "t":
                          str += "	";
                          break;
                        case "b":
                          str += "\b";
                          break;
                        case "f":
                          str += "\f";
                          break;
                        case "v":
                          str += "\v";
                          break;
                        case "8":
                        case "9":
                          str += ch;
                          this.tolerateUnexpectedToken();
                          break;
                        default:
                          if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            var octToDec = this.octalToDecimal(ch);
                            octal = octToDec.octal || octal;
                            str += String.fromCharCode(octToDec.code);
                          } else {
                            str += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    break;
                  } else {
                    str += ch;
                  }
                }
                if (quote !== "") {
                  this.index = start;
                  this.throwUnexpectedToken();
                }
                return {
                  type: 8,
                  value: str,
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanTemplate = function() {
                var cooked = "";
                var terminated = false;
                var start = this.index;
                var head = this.source[start] === "`";
                var tail = false;
                var rawOffset = 2;
                ++this.index;
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === "`") {
                    rawOffset = 1;
                    tail = true;
                    terminated = true;
                    break;
                  } else if (ch === "$") {
                    if (this.source[this.index] === "{") {
                      this.curlyStack.push("${");
                      ++this.index;
                      terminated = true;
                      break;
                    }
                    cooked += ch;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "n":
                          cooked += "\n";
                          break;
                        case "r":
                          cooked += "\r";
                          break;
                        case "t":
                          cooked += "	";
                          break;
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            cooked += this.scanUnicodeCodePointEscape();
                          } else {
                            var restore = this.index;
                            var unescaped_2 = this.scanHexEscape(ch);
                            if (unescaped_2 !== null) {
                              cooked += unescaped_2;
                            } else {
                              this.index = restore;
                              cooked += ch;
                            }
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          cooked += unescaped;
                          break;
                        case "b":
                          cooked += "\b";
                          break;
                        case "f":
                          cooked += "\f";
                          break;
                        case "v":
                          cooked += "\v";
                          break;
                        default:
                          if (ch === "0") {
                            if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                              this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                            }
                            cooked += "\0";
                          } else if (character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                          } else {
                            cooked += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.lineNumber;
                    if (ch === "\r" && this.source[this.index] === "\n") {
                      ++this.index;
                    }
                    this.lineStart = this.index;
                    cooked += "\n";
                  } else {
                    cooked += ch;
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken();
                }
                if (!head) {
                  this.curlyStack.pop();
                }
                return {
                  type: 10,
                  value: this.source.slice(start + 1, this.index - rawOffset),
                  cooked,
                  head,
                  tail,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.testRegExp = function(pattern, flags) {
                var astralSubstitute = "\uFFFF";
                var tmp = pattern;
                var self2 = this;
                if (flags.indexOf("u") >= 0) {
                  tmp = tmp.replace(/\\u\{([0-9a-fA-F]+)\}|\\u([a-fA-F0-9]{4})/g, function($0, $1, $2) {
                    var codePoint = parseInt($1 || $2, 16);
                    if (codePoint > 1114111) {
                      self2.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                    }
                    if (codePoint <= 65535) {
                      return String.fromCharCode(codePoint);
                    }
                    return astralSubstitute;
                  }).replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, astralSubstitute);
                }
                try {
                  RegExp(tmp);
                } catch (e) {
                  this.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                }
                try {
                  return new RegExp(pattern, flags);
                } catch (exception) {
                  return null;
                }
              };
              Scanner2.prototype.scanRegExpBody = function() {
                var ch = this.source[this.index];
                assert_1.assert(ch === "/", "Regular expression literal must start with a slash");
                var str = this.source[this.index++];
                var classMarker = false;
                var terminated = false;
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  str += ch;
                  if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                    }
                    str += ch;
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                  } else if (classMarker) {
                    if (ch === "]") {
                      classMarker = false;
                    }
                  } else {
                    if (ch === "/") {
                      terminated = true;
                      break;
                    } else if (ch === "[") {
                      classMarker = true;
                    }
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                }
                return str.substr(1, str.length - 2);
              };
              Scanner2.prototype.scanRegExpFlags = function() {
                var str = "";
                var flags = "";
                while (!this.eof()) {
                  var ch = this.source[this.index];
                  if (!character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                    break;
                  }
                  ++this.index;
                  if (ch === "\\" && !this.eof()) {
                    ch = this.source[this.index];
                    if (ch === "u") {
                      ++this.index;
                      var restore = this.index;
                      var char = this.scanHexEscape("u");
                      if (char !== null) {
                        flags += char;
                        for (str += "\\u"; restore < this.index; ++restore) {
                          str += this.source[restore];
                        }
                      } else {
                        this.index = restore;
                        flags += "u";
                        str += "\\u";
                      }
                      this.tolerateUnexpectedToken();
                    } else {
                      str += "\\";
                      this.tolerateUnexpectedToken();
                    }
                  } else {
                    flags += ch;
                    str += ch;
                  }
                }
                return flags;
              };
              Scanner2.prototype.scanRegExp = function() {
                var start = this.index;
                var pattern = this.scanRegExpBody();
                var flags = this.scanRegExpFlags();
                var value = this.testRegExp(pattern, flags);
                return {
                  type: 9,
                  value: "",
                  pattern,
                  flags,
                  regex: value,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.lex = function() {
                if (this.eof()) {
                  return {
                    type: 2,
                    value: "",
                    lineNumber: this.lineNumber,
                    lineStart: this.lineStart,
                    start: this.index,
                    end: this.index
                  };
                }
                var cp = this.source.charCodeAt(this.index);
                if (character_1.Character.isIdentifierStart(cp)) {
                  return this.scanIdentifier();
                }
                if (cp === 40 || cp === 41 || cp === 59) {
                  return this.scanPunctuator();
                }
                if (cp === 39 || cp === 34) {
                  return this.scanStringLiteral();
                }
                if (cp === 46) {
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index + 1))) {
                    return this.scanNumericLiteral();
                  }
                  return this.scanPunctuator();
                }
                if (character_1.Character.isDecimalDigit(cp)) {
                  return this.scanNumericLiteral();
                }
                if (cp === 96 || cp === 125 && this.curlyStack[this.curlyStack.length - 1] === "${") {
                  return this.scanTemplate();
                }
                if (cp >= 55296 && cp < 57343) {
                  if (character_1.Character.isIdentifierStart(this.codePointAt(this.index))) {
                    return this.scanIdentifier();
                  }
                }
                return this.scanPunctuator();
              };
              return Scanner2;
            }();
            exports3.Scanner = Scanner;
          },
          /* 13 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.TokenName = {};
            exports3.TokenName[
              1
              /* BooleanLiteral */
            ] = "Boolean";
            exports3.TokenName[
              2
              /* EOF */
            ] = "<end>";
            exports3.TokenName[
              3
              /* Identifier */
            ] = "Identifier";
            exports3.TokenName[
              4
              /* Keyword */
            ] = "Keyword";
            exports3.TokenName[
              5
              /* NullLiteral */
            ] = "Null";
            exports3.TokenName[
              6
              /* NumericLiteral */
            ] = "Numeric";
            exports3.TokenName[
              7
              /* Punctuator */
            ] = "Punctuator";
            exports3.TokenName[
              8
              /* StringLiteral */
            ] = "String";
            exports3.TokenName[
              9
              /* RegularExpression */
            ] = "RegularExpression";
            exports3.TokenName[
              10
              /* Template */
            ] = "Template";
          },
          /* 14 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.XHTMLEntities = {
              quot: '"',
              amp: "&",
              apos: "'",
              gt: ">",
              nbsp: "\xA0",
              iexcl: "\xA1",
              cent: "\xA2",
              pound: "\xA3",
              curren: "\xA4",
              yen: "\xA5",
              brvbar: "\xA6",
              sect: "\xA7",
              uml: "\xA8",
              copy: "\xA9",
              ordf: "\xAA",
              laquo: "\xAB",
              not: "\xAC",
              shy: "\xAD",
              reg: "\xAE",
              macr: "\xAF",
              deg: "\xB0",
              plusmn: "\xB1",
              sup2: "\xB2",
              sup3: "\xB3",
              acute: "\xB4",
              micro: "\xB5",
              para: "\xB6",
              middot: "\xB7",
              cedil: "\xB8",
              sup1: "\xB9",
              ordm: "\xBA",
              raquo: "\xBB",
              frac14: "\xBC",
              frac12: "\xBD",
              frac34: "\xBE",
              iquest: "\xBF",
              Agrave: "\xC0",
              Aacute: "\xC1",
              Acirc: "\xC2",
              Atilde: "\xC3",
              Auml: "\xC4",
              Aring: "\xC5",
              AElig: "\xC6",
              Ccedil: "\xC7",
              Egrave: "\xC8",
              Eacute: "\xC9",
              Ecirc: "\xCA",
              Euml: "\xCB",
              Igrave: "\xCC",
              Iacute: "\xCD",
              Icirc: "\xCE",
              Iuml: "\xCF",
              ETH: "\xD0",
              Ntilde: "\xD1",
              Ograve: "\xD2",
              Oacute: "\xD3",
              Ocirc: "\xD4",
              Otilde: "\xD5",
              Ouml: "\xD6",
              times: "\xD7",
              Oslash: "\xD8",
              Ugrave: "\xD9",
              Uacute: "\xDA",
              Ucirc: "\xDB",
              Uuml: "\xDC",
              Yacute: "\xDD",
              THORN: "\xDE",
              szlig: "\xDF",
              agrave: "\xE0",
              aacute: "\xE1",
              acirc: "\xE2",
              atilde: "\xE3",
              auml: "\xE4",
              aring: "\xE5",
              aelig: "\xE6",
              ccedil: "\xE7",
              egrave: "\xE8",
              eacute: "\xE9",
              ecirc: "\xEA",
              euml: "\xEB",
              igrave: "\xEC",
              iacute: "\xED",
              icirc: "\xEE",
              iuml: "\xEF",
              eth: "\xF0",
              ntilde: "\xF1",
              ograve: "\xF2",
              oacute: "\xF3",
              ocirc: "\xF4",
              otilde: "\xF5",
              ouml: "\xF6",
              divide: "\xF7",
              oslash: "\xF8",
              ugrave: "\xF9",
              uacute: "\xFA",
              ucirc: "\xFB",
              uuml: "\xFC",
              yacute: "\xFD",
              thorn: "\xFE",
              yuml: "\xFF",
              OElig: "\u0152",
              oelig: "\u0153",
              Scaron: "\u0160",
              scaron: "\u0161",
              Yuml: "\u0178",
              fnof: "\u0192",
              circ: "\u02C6",
              tilde: "\u02DC",
              Alpha: "\u0391",
              Beta: "\u0392",
              Gamma: "\u0393",
              Delta: "\u0394",
              Epsilon: "\u0395",
              Zeta: "\u0396",
              Eta: "\u0397",
              Theta: "\u0398",
              Iota: "\u0399",
              Kappa: "\u039A",
              Lambda: "\u039B",
              Mu: "\u039C",
              Nu: "\u039D",
              Xi: "\u039E",
              Omicron: "\u039F",
              Pi: "\u03A0",
              Rho: "\u03A1",
              Sigma: "\u03A3",
              Tau: "\u03A4",
              Upsilon: "\u03A5",
              Phi: "\u03A6",
              Chi: "\u03A7",
              Psi: "\u03A8",
              Omega: "\u03A9",
              alpha: "\u03B1",
              beta: "\u03B2",
              gamma: "\u03B3",
              delta: "\u03B4",
              epsilon: "\u03B5",
              zeta: "\u03B6",
              eta: "\u03B7",
              theta: "\u03B8",
              iota: "\u03B9",
              kappa: "\u03BA",
              lambda: "\u03BB",
              mu: "\u03BC",
              nu: "\u03BD",
              xi: "\u03BE",
              omicron: "\u03BF",
              pi: "\u03C0",
              rho: "\u03C1",
              sigmaf: "\u03C2",
              sigma: "\u03C3",
              tau: "\u03C4",
              upsilon: "\u03C5",
              phi: "\u03C6",
              chi: "\u03C7",
              psi: "\u03C8",
              omega: "\u03C9",
              thetasym: "\u03D1",
              upsih: "\u03D2",
              piv: "\u03D6",
              ensp: "\u2002",
              emsp: "\u2003",
              thinsp: "\u2009",
              zwnj: "\u200C",
              zwj: "\u200D",
              lrm: "\u200E",
              rlm: "\u200F",
              ndash: "\u2013",
              mdash: "\u2014",
              lsquo: "\u2018",
              rsquo: "\u2019",
              sbquo: "\u201A",
              ldquo: "\u201C",
              rdquo: "\u201D",
              bdquo: "\u201E",
              dagger: "\u2020",
              Dagger: "\u2021",
              bull: "\u2022",
              hellip: "\u2026",
              permil: "\u2030",
              prime: "\u2032",
              Prime: "\u2033",
              lsaquo: "\u2039",
              rsaquo: "\u203A",
              oline: "\u203E",
              frasl: "\u2044",
              euro: "\u20AC",
              image: "\u2111",
              weierp: "\u2118",
              real: "\u211C",
              trade: "\u2122",
              alefsym: "\u2135",
              larr: "\u2190",
              uarr: "\u2191",
              rarr: "\u2192",
              darr: "\u2193",
              harr: "\u2194",
              crarr: "\u21B5",
              lArr: "\u21D0",
              uArr: "\u21D1",
              rArr: "\u21D2",
              dArr: "\u21D3",
              hArr: "\u21D4",
              forall: "\u2200",
              part: "\u2202",
              exist: "\u2203",
              empty: "\u2205",
              nabla: "\u2207",
              isin: "\u2208",
              notin: "\u2209",
              ni: "\u220B",
              prod: "\u220F",
              sum: "\u2211",
              minus: "\u2212",
              lowast: "\u2217",
              radic: "\u221A",
              prop: "\u221D",
              infin: "\u221E",
              ang: "\u2220",
              and: "\u2227",
              or: "\u2228",
              cap: "\u2229",
              cup: "\u222A",
              int: "\u222B",
              there4: "\u2234",
              sim: "\u223C",
              cong: "\u2245",
              asymp: "\u2248",
              ne: "\u2260",
              equiv: "\u2261",
              le: "\u2264",
              ge: "\u2265",
              sub: "\u2282",
              sup: "\u2283",
              nsub: "\u2284",
              sube: "\u2286",
              supe: "\u2287",
              oplus: "\u2295",
              otimes: "\u2297",
              perp: "\u22A5",
              sdot: "\u22C5",
              lceil: "\u2308",
              rceil: "\u2309",
              lfloor: "\u230A",
              rfloor: "\u230B",
              loz: "\u25CA",
              spades: "\u2660",
              clubs: "\u2663",
              hearts: "\u2665",
              diams: "\u2666",
              lang: "\u27E8",
              rang: "\u27E9"
            };
          },
          /* 15 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var error_handler_1 = __webpack_require__(10);
            var scanner_1 = __webpack_require__(12);
            var token_1 = __webpack_require__(13);
            var Reader = function() {
              function Reader2() {
                this.values = [];
                this.curly = this.paren = -1;
              }
              Reader2.prototype.beforeFunctionExpression = function(t) {
                return [
                  "(",
                  "{",
                  "[",
                  "in",
                  "typeof",
                  "instanceof",
                  "new",
                  "return",
                  "case",
                  "delete",
                  "throw",
                  "void",
                  // assignment operators
                  "=",
                  "+=",
                  "-=",
                  "*=",
                  "**=",
                  "/=",
                  "%=",
                  "<<=",
                  ">>=",
                  ">>>=",
                  "&=",
                  "|=",
                  "^=",
                  ",",
                  // binary/unary operators
                  "+",
                  "-",
                  "*",
                  "**",
                  "/",
                  "%",
                  "++",
                  "--",
                  "<<",
                  ">>",
                  ">>>",
                  "&",
                  "|",
                  "^",
                  "!",
                  "~",
                  "&&",
                  "||",
                  "?",
                  ":",
                  "===",
                  "==",
                  ">=",
                  "<=",
                  "<",
                  ">",
                  "!=",
                  "!=="
                ].indexOf(t) >= 0;
              };
              Reader2.prototype.isRegexStart = function() {
                var previous = this.values[this.values.length - 1];
                var regex = previous !== null;
                switch (previous) {
                  case "this":
                  case "]":
                    regex = false;
                    break;
                  case ")":
                    var keyword = this.values[this.paren - 1];
                    regex = keyword === "if" || keyword === "while" || keyword === "for" || keyword === "with";
                    break;
                  case "}":
                    regex = false;
                    if (this.values[this.curly - 3] === "function") {
                      var check = this.values[this.curly - 4];
                      regex = check ? !this.beforeFunctionExpression(check) : false;
                    } else if (this.values[this.curly - 4] === "function") {
                      var check = this.values[this.curly - 5];
                      regex = check ? !this.beforeFunctionExpression(check) : true;
                    }
                    break;
                  default:
                    break;
                }
                return regex;
              };
              Reader2.prototype.push = function(token) {
                if (token.type === 7 || token.type === 4) {
                  if (token.value === "{") {
                    this.curly = this.values.length;
                  } else if (token.value === "(") {
                    this.paren = this.values.length;
                  }
                  this.values.push(token.value);
                } else {
                  this.values.push(null);
                }
              };
              return Reader2;
            }();
            var Tokenizer = function() {
              function Tokenizer2(code, config) {
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = config ? typeof config.tolerant === "boolean" && config.tolerant : false;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = config ? typeof config.comment === "boolean" && config.comment : false;
                this.trackRange = config ? typeof config.range === "boolean" && config.range : false;
                this.trackLoc = config ? typeof config.loc === "boolean" && config.loc : false;
                this.buffer = [];
                this.reader = new Reader();
              }
              Tokenizer2.prototype.errors = function() {
                return this.errorHandler.errors;
              };
              Tokenizer2.prototype.getNextToken = function() {
                if (this.buffer.length === 0) {
                  var comments = this.scanner.scanComments();
                  if (this.scanner.trackComment) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var value = this.scanner.source.slice(e.slice[0], e.slice[1]);
                      var comment = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value
                      };
                      if (this.trackRange) {
                        comment.range = e.range;
                      }
                      if (this.trackLoc) {
                        comment.loc = e.loc;
                      }
                      this.buffer.push(comment);
                    }
                  }
                  if (!this.scanner.eof()) {
                    var loc = void 0;
                    if (this.trackLoc) {
                      loc = {
                        start: {
                          line: this.scanner.lineNumber,
                          column: this.scanner.index - this.scanner.lineStart
                        },
                        end: {}
                      };
                    }
                    var startRegex = this.scanner.source[this.scanner.index] === "/" && this.reader.isRegexStart();
                    var token = startRegex ? this.scanner.scanRegExp() : this.scanner.lex();
                    this.reader.push(token);
                    var entry = {
                      type: token_1.TokenName[token.type],
                      value: this.scanner.source.slice(token.start, token.end)
                    };
                    if (this.trackRange) {
                      entry.range = [token.start, token.end];
                    }
                    if (this.trackLoc) {
                      loc.end = {
                        line: this.scanner.lineNumber,
                        column: this.scanner.index - this.scanner.lineStart
                      };
                      entry.loc = loc;
                    }
                    if (token.type === 9) {
                      var pattern = token.pattern;
                      var flags = token.flags;
                      entry.regex = { pattern, flags };
                    }
                    this.buffer.push(entry);
                  }
                }
                return this.buffer.shift();
              };
              return Tokenizer2;
            }();
            exports3.Tokenizer = Tokenizer;
          }
          /******/
        ])
      );
    });
  }
});

// ../../components/source-repositories/node_modules/core-util-is/lib/util.js
var require_util9 = __commonJS({
  "../../components/source-repositories/node_modules/core-util-is/lib/util.js"(exports2) {
    function isArray(arg) {
      if (Array.isArray) {
        return Array.isArray(arg);
      }
      return objectToString(arg) === "[object Array]";
    }
    exports2.isArray = isArray;
    function isBoolean(arg) {
      return typeof arg === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNull(arg) {
      return arg === null;
    }
    exports2.isNull = isNull;
    function isNullOrUndefined(arg) {
      return arg == null;
    }
    exports2.isNullOrUndefined = isNullOrUndefined;
    function isNumber(arg) {
      return typeof arg === "number";
    }
    exports2.isNumber = isNumber;
    function isString(arg) {
      return typeof arg === "string";
    }
    exports2.isString = isString;
    function isSymbol(arg) {
      return typeof arg === "symbol";
    }
    exports2.isSymbol = isSymbol;
    function isUndefined(arg) {
      return arg === void 0;
    }
    exports2.isUndefined = isUndefined;
    function isRegExp(re) {
      return objectToString(re) === "[object RegExp]";
    }
    exports2.isRegExp = isRegExp;
    function isObject(arg) {
      return typeof arg === "object" && arg !== null;
    }
    exports2.isObject = isObject;
    function isDate(d) {
      return objectToString(d) === "[object Date]";
    }
    exports2.isDate = isDate;
    function isError(e) {
      return objectToString(e) === "[object Error]" || e instanceof Error;
    }
    exports2.isError = isError;
    function isFunction(arg) {
      return typeof arg === "function";
    }
    exports2.isFunction = isFunction;
    function isPrimitive(arg) {
      return arg === null || typeof arg === "boolean" || typeof arg === "number" || typeof arg === "string" || typeof arg === "symbol" || // ES6 symbol
      typeof arg === "undefined";
    }
    exports2.isPrimitive = isPrimitive;
    exports2.isBuffer = require("buffer").Buffer.isBuffer;
    function objectToString(o) {
      return Object.prototype.toString.call(o);
    }
  }
});

// ../../components/source-repositories/node_modules/array-timsort/src/index.js
var require_src3 = __commonJS({
  "../../components/source-repositories/node_modules/array-timsort/src/index.js"(exports2, module2) {
    var DEFAULT_MIN_MERGE = 32;
    var DEFAULT_MIN_GALLOPING = 7;
    var DEFAULT_TMP_STORAGE_LENGTH = 256;
    var POWERS_OF_TEN = [1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8, 1e9];
    var results;
    var log10 = (x) => x < 1e5 ? x < 100 ? x < 10 ? 0 : 1 : x < 1e4 ? x < 1e3 ? 2 : 3 : 4 : x < 1e7 ? x < 1e6 ? 5 : 6 : x < 1e9 ? x < 1e8 ? 7 : 8 : 9;
    function alphabeticalCompare(a, b) {
      if (a === b) {
        return 0;
      }
      if (~~a === a && ~~b === b) {
        if (a === 0 || b === 0) {
          return a < b ? -1 : 1;
        }
        if (a < 0 || b < 0) {
          if (b >= 0) {
            return -1;
          }
          if (a >= 0) {
            return 1;
          }
          a = -a;
          b = -b;
        }
        const al = log10(a);
        const bl = log10(b);
        let t = 0;
        if (al < bl) {
          a *= POWERS_OF_TEN[bl - al - 1];
          b /= 10;
          t = -1;
        } else if (al > bl) {
          b *= POWERS_OF_TEN[al - bl - 1];
          a /= 10;
          t = 1;
        }
        if (a === b) {
          return t;
        }
        return a < b ? -1 : 1;
      }
      const aStr = String(a);
      const bStr = String(b);
      if (aStr === bStr) {
        return 0;
      }
      return aStr < bStr ? -1 : 1;
    }
    function minRunLength(n) {
      let r = 0;
      while (n >= DEFAULT_MIN_MERGE) {
        r |= n & 1;
        n >>= 1;
      }
      return n + r;
    }
    function makeAscendingRun(array, lo, hi, compare) {
      let runHi = lo + 1;
      if (runHi === hi) {
        return 1;
      }
      if (compare(array[runHi++], array[lo]) < 0) {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) < 0) {
          runHi++;
        }
        reverseRun(array, lo, runHi);
        reverseRun(results, lo, runHi);
      } else {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) >= 0) {
          runHi++;
        }
      }
      return runHi - lo;
    }
    function reverseRun(array, lo, hi) {
      hi--;
      while (lo < hi) {
        const t = array[lo];
        array[lo++] = array[hi];
        array[hi--] = t;
      }
    }
    function binaryInsertionSort(array, lo, hi, start, compare) {
      if (start === lo) {
        start++;
      }
      for (; start < hi; start++) {
        const pivot = array[start];
        const pivotIndex = results[start];
        let left = lo;
        let right = start;
        while (left < right) {
          const mid = left + right >>> 1;
          if (compare(pivot, array[mid]) < 0) {
            right = mid;
          } else {
            left = mid + 1;
          }
        }
        let n = start - left;
        switch (n) {
          case 3:
            array[left + 3] = array[left + 2];
            results[left + 3] = results[left + 2];
          case 2:
            array[left + 2] = array[left + 1];
            results[left + 2] = results[left + 1];
          case 1:
            array[left + 1] = array[left];
            results[left + 1] = results[left];
            break;
          default:
            while (n > 0) {
              array[left + n] = array[left + n - 1];
              results[left + n] = results[left + n - 1];
              n--;
            }
        }
        array[left] = pivot;
        results[left] = pivotIndex;
      }
    }
    function gallopLeft(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) > 0) {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) > 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      } else {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) <= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) > 0) {
          lastOffset = m + 1;
        } else {
          offset = m;
        }
      }
      return offset;
    }
    function gallopRight(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) < 0) {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) < 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      } else {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) >= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) < 0) {
          offset = m;
        } else {
          lastOffset = m + 1;
        }
      }
      return offset;
    }
    var TimSort = class {
      constructor(array, compare) {
        this.array = array;
        this.compare = compare;
        const { length } = array;
        this.length = length;
        this.minGallop = DEFAULT_MIN_GALLOPING;
        this.tmpStorageLength = length < 2 * DEFAULT_TMP_STORAGE_LENGTH ? length >>> 1 : DEFAULT_TMP_STORAGE_LENGTH;
        this.tmp = new Array(this.tmpStorageLength);
        this.tmpIndex = new Array(this.tmpStorageLength);
        this.stackLength = length < 120 ? 5 : length < 1542 ? 10 : length < 119151 ? 19 : 40;
        this.runStart = new Array(this.stackLength);
        this.runLength = new Array(this.stackLength);
        this.stackSize = 0;
      }
      /**
       * Push a new run on TimSort's stack.
       *
       * @param {number} runStart - Start index of the run in the original array.
       * @param {number} runLength - Length of the run;
       */
      pushRun(runStart, runLength) {
        this.runStart[this.stackSize] = runStart;
        this.runLength[this.stackSize] = runLength;
        this.stackSize += 1;
      }
      /**
       * Merge runs on TimSort's stack so that the following holds for all i:
       * 1) runLength[i - 3] > runLength[i - 2] + runLength[i - 1]
       * 2) runLength[i - 2] > runLength[i - 1]
       */
      mergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n >= 1 && this.runLength[n - 1] <= this.runLength[n] + this.runLength[n + 1] || n >= 2 && this.runLength[n - 2] <= this.runLength[n] + this.runLength[n - 1]) {
            if (this.runLength[n - 1] < this.runLength[n + 1]) {
              n--;
            }
          } else if (this.runLength[n] > this.runLength[n + 1]) {
            break;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge all runs on TimSort's stack until only one remains.
       */
      forceMergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n > 0 && this.runLength[n - 1] < this.runLength[n + 1]) {
            n--;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge the runs on the stack at positions i and i+1. Must be always be called
       * with i=stackSize-2 or i=stackSize-3 (that is, we merge on top of the stack).
       *
       * @param {number} i - Index of the run to merge in TimSort's stack.
       */
      mergeAt(i) {
        const { compare } = this;
        const { array } = this;
        let start1 = this.runStart[i];
        let length1 = this.runLength[i];
        const start2 = this.runStart[i + 1];
        let length2 = this.runLength[i + 1];
        this.runLength[i] = length1 + length2;
        if (i === this.stackSize - 3) {
          this.runStart[i + 1] = this.runStart[i + 2];
          this.runLength[i + 1] = this.runLength[i + 2];
        }
        this.stackSize--;
        const k = gallopRight(array[start2], array, start1, length1, 0, compare);
        start1 += k;
        length1 -= k;
        if (length1 === 0) {
          return;
        }
        length2 = gallopLeft(
          array[start1 + length1 - 1],
          array,
          start2,
          length2,
          length2 - 1,
          compare
        );
        if (length2 === 0) {
          return;
        }
        if (length1 <= length2) {
          this.mergeLow(start1, length1, start2, length2);
        } else {
          this.mergeHigh(start1, length1, start2, length2);
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length <= run2.length as it uses
       * TimSort temporary array to store run1. Use mergeHigh if run1.length >
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeLow(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length1; i++) {
          tmp[i] = array[start1 + i];
          tmpIndex[i] = results[start1 + i];
        }
        let cursor1 = 0;
        let cursor2 = start2;
        let dest = start1;
        array[dest] = array[cursor2];
        results[dest] = results[cursor2];
        dest++;
        cursor2++;
        if (--length2 === 0) {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
          return;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(array[cursor2], tmp[cursor1]) < 0) {
              array[dest] = array[cursor2];
              results[dest] = results[cursor2];
              dest++;
              cursor2++;
              count2++;
              count1 = 0;
              if (--length2 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor1];
              results[dest] = tmpIndex[cursor1];
              dest++;
              cursor1++;
              count1++;
              count2 = 0;
              if (--length1 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = gallopRight(array[cursor2], tmp, cursor1, length1, 0, compare);
            if (count1 !== 0) {
              for (i = 0; i < count1; i++) {
                array[dest + i] = tmp[cursor1 + i];
                results[dest + i] = tmpIndex[cursor1 + i];
              }
              dest += count1;
              cursor1 += count1;
              length1 -= count1;
              if (length1 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor2];
            results[dest] = results[cursor2];
            dest++;
            cursor2++;
            if (--length2 === 0) {
              exit = true;
              break;
            }
            count2 = gallopLeft(tmp[cursor1], array, cursor2, length2, 0, compare);
            if (count2 !== 0) {
              for (i = 0; i < count2; i++) {
                array[dest + i] = array[cursor2 + i];
                results[dest + i] = results[cursor2 + i];
              }
              dest += count2;
              cursor2 += count2;
              length2 -= count2;
              if (length2 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor1];
            results[dest] = tmpIndex[cursor1];
            dest++;
            cursor1++;
            if (--length1 === 1) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
        } else if (length1 === 0) {
          throw new Error("mergeLow preconditions were not respected");
        } else {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length > run2.length as it uses
       * TimSort temporary array to store run2. Use mergeLow if run1.length <=
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeHigh(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length2; i++) {
          tmp[i] = array[start2 + i];
          tmpIndex[i] = results[start2 + i];
        }
        let cursor1 = start1 + length1 - 1;
        let cursor2 = length2 - 1;
        let dest = start2 + length2 - 1;
        let customCursor = 0;
        let customDest = 0;
        array[dest] = array[cursor1];
        results[dest] = results[cursor1];
        dest--;
        cursor1--;
        if (--length1 === 0) {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
          return;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(tmp[cursor2], array[cursor1]) < 0) {
              array[dest] = array[cursor1];
              results[dest] = results[cursor1];
              dest--;
              cursor1--;
              count1++;
              count2 = 0;
              if (--length1 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor2];
              results[dest] = tmpIndex[cursor2];
              dest--;
              cursor2--;
              count2++;
              count1 = 0;
              if (--length2 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = length1 - gallopRight(
              tmp[cursor2],
              array,
              start1,
              length1,
              length1 - 1,
              compare
            );
            if (count1 !== 0) {
              dest -= count1;
              cursor1 -= count1;
              length1 -= count1;
              customDest = dest + 1;
              customCursor = cursor1 + 1;
              for (i = count1 - 1; i >= 0; i--) {
                array[customDest + i] = array[customCursor + i];
                results[customDest + i] = results[customCursor + i];
              }
              if (length1 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor2];
            results[dest] = tmpIndex[cursor2];
            dest--;
            cursor2--;
            if (--length2 === 1) {
              exit = true;
              break;
            }
            count2 = length2 - gallopLeft(
              array[cursor1],
              tmp,
              0,
              length2,
              length2 - 1,
              compare
            );
            if (count2 !== 0) {
              dest -= count2;
              cursor2 -= count2;
              length2 -= count2;
              customDest = dest + 1;
              customCursor = cursor2 + 1;
              for (i = 0; i < count2; i++) {
                array[customDest + i] = tmp[customCursor + i];
                results[customDest + i] = tmpIndex[customCursor + i];
              }
              if (length2 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor1];
            results[dest] = results[cursor1];
            dest--;
            cursor1--;
            if (--length1 === 0) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
        } else if (length2 === 0) {
          throw new Error("mergeHigh preconditions were not respected");
        } else {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
        }
      }
    };
    function sort(array, compare, lo, hi) {
      if (!Array.isArray(array)) {
        throw new TypeError(
          `The "array" argument must be an array. Received ${array}`
        );
      }
      results = [];
      const { length } = array;
      let i = 0;
      while (i < length) {
        results[i] = i++;
      }
      if (!compare) {
        compare = alphabeticalCompare;
      } else if (typeof compare !== "function") {
        hi = lo;
        lo = compare;
        compare = alphabeticalCompare;
      }
      if (!lo) {
        lo = 0;
      }
      if (!hi) {
        hi = length;
      }
      let remaining = hi - lo;
      if (remaining < 2) {
        return results;
      }
      let runLength = 0;
      if (remaining < DEFAULT_MIN_MERGE) {
        runLength = makeAscendingRun(array, lo, hi, compare);
        binaryInsertionSort(array, lo, hi, lo + runLength, compare);
        return results;
      }
      const ts = new TimSort(array, compare);
      const minRun = minRunLength(remaining);
      do {
        runLength = makeAscendingRun(array, lo, hi, compare);
        if (runLength < minRun) {
          let force = remaining;
          if (force > minRun) {
            force = minRun;
          }
          binaryInsertionSort(array, lo, lo + force, lo + runLength, compare);
          runLength = force;
        }
        ts.pushRun(lo, runLength);
        ts.mergeRuns();
        remaining -= runLength;
        lo += runLength;
      } while (remaining !== 0);
      ts.forceMergeRuns();
      return results;
    }
    module2.exports = {
      sort
    };
  }
});

// ../../components/source-repositories/node_modules/has-own-prop/index.js
var require_has_own_prop2 = __commonJS({
  "../../components/source-repositories/node_modules/has-own-prop/index.js"(exports2, module2) {
    "use strict";
    var hasOwnProp = Object.prototype.hasOwnProperty;
    module2.exports = (object, property) => hasOwnProp.call(object, property);
  }
});

// ../../components/source-repositories/node_modules/comment-json/src/common.js
var require_common7 = __commonJS({
  "../../components/source-repositories/node_modules/comment-json/src/common.js"(exports2, module2) {
    var hasOwnProperty2 = require_has_own_prop2();
    var {
      isObject,
      isArray,
      isString,
      isNumber
    } = require_util9();
    var PREFIX_BEFORE = "before";
    var PREFIX_AFTER_PROP = "after-prop";
    var PREFIX_AFTER_COLON = "after-colon";
    var PREFIX_AFTER_VALUE = "after-value";
    var PREFIX_AFTER = "after";
    var PREFIX_BEFORE_ALL = "before-all";
    var PREFIX_AFTER_ALL = "after-all";
    var BRACKET_OPEN = "[";
    var BRACKET_CLOSE = "]";
    var CURLY_BRACKET_OPEN = "{";
    var CURLY_BRACKET_CLOSE = "}";
    var COMMA = ",";
    var EMPTY = "";
    var MINUS = "-";
    var SYMBOL_PREFIXES = [
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER
    ];
    var NON_PROP_SYMBOL_KEYS = [
      PREFIX_BEFORE,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL
    ].map(Symbol.for);
    var COLON = ":";
    var UNDEFINED = void 0;
    var symbol = (prefix, key) => Symbol.for(prefix + COLON + key);
    var define2 = (target, key, value) => Object.defineProperty(target, key, {
      value,
      writable: true,
      configurable: true
    });
    var copy_comments_by_kind = (target, source, target_key, source_key, prefix, remove_source) => {
      const source_prop = symbol(prefix, source_key);
      if (!hasOwnProperty2(source, source_prop)) {
        return;
      }
      const target_prop = target_key === source_key ? source_prop : symbol(prefix, target_key);
      define2(target, target_prop, source[source_prop]);
      if (remove_source) {
        delete source[source_prop];
      }
    };
    var copy_comments = (target, source, target_key, source_key, remove_source) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        copy_comments_by_kind(
          target,
          source,
          target_key,
          source_key,
          prefix,
          remove_source
        );
      });
    };
    var swap_comments = (array, from, to) => {
      if (from === to) {
        return;
      }
      SYMBOL_PREFIXES.forEach((prefix) => {
        const target_prop = symbol(prefix, to);
        if (!hasOwnProperty2(array, target_prop)) {
          copy_comments_by_kind(array, array, to, from, prefix, true);
          return;
        }
        const comments = array[target_prop];
        delete array[target_prop];
        copy_comments_by_kind(array, array, to, from, prefix, true);
        define2(array, symbol(prefix, from), comments);
      });
    };
    var assign_non_prop_comments = (target, source) => {
      NON_PROP_SYMBOL_KEYS.forEach((key) => {
        const comments = source[key];
        if (comments) {
          define2(target, key, comments);
        }
      });
    };
    var assign = (target, source, keys) => {
      keys.forEach((key) => {
        if (!isString(key) && !isNumber(key)) {
          return;
        }
        if (!hasOwnProperty2(source, key)) {
          return;
        }
        target[key] = source[key];
        copy_comments(target, source, key, key);
      });
      return target;
    };
    module2.exports = {
      SYMBOL_PREFIXES,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      symbol,
      define: define2,
      copy_comments,
      swap_comments,
      assign_non_prop_comments,
      assign(target, source, keys) {
        if (!isObject(target)) {
          throw new TypeError("Cannot convert undefined or null to object");
        }
        if (!isObject(source)) {
          return target;
        }
        if (keys === UNDEFINED) {
          keys = Object.keys(source);
          assign_non_prop_comments(target, source);
        } else if (!isArray(keys)) {
          throw new TypeError("keys must be array or undefined");
        } else if (keys.length === 0) {
          assign_non_prop_comments(target, source);
        }
        return assign(target, source, keys);
      }
    };
  }
});

// ../../components/source-repositories/node_modules/comment-json/src/array.js
var require_array2 = __commonJS({
  "../../components/source-repositories/node_modules/comment-json/src/array.js"(exports2, module2) {
    var { isArray } = require_util9();
    var { sort } = require_src3();
    var {
      SYMBOL_PREFIXES,
      UNDEFINED,
      symbol,
      copy_comments,
      swap_comments
    } = require_common7();
    var reverse_comments = (array) => {
      const { length } = array;
      let i = 0;
      const max = length / 2;
      for (; i < max; i++) {
        swap_comments(array, i, length - i - 1);
      }
    };
    var move_comment = (target, source, i, offset, remove) => {
      copy_comments(target, source, i + offset, i, remove);
    };
    var move_comments = (target, source, start, count, offset, remove) => {
      if (offset > 0) {
        let i2 = count;
        while (i2-- > 0) {
          move_comment(target, source, start + i2, offset, remove);
        }
        return;
      }
      let i = 0;
      while (i < count) {
        const ii = i++;
        move_comment(target, source, start + ii, offset, remove);
      }
    };
    var remove_comments = (array, key) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        const prop = symbol(prefix, key);
        delete array[prop];
      });
    };
    var get_mapped = (map, key) => {
      let mapped = key;
      while (mapped in map) {
        mapped = map[mapped];
      }
      return mapped;
    };
    var CommentArray = class _CommentArray extends Array {
      // - deleteCount + items.length
      // We should avoid `splice(begin, deleteCount, ...items)`,
      // because `splice(0, undefined)` is not equivalent to `splice(0)`,
      // as well as:
      // - slice
      splice(...args) {
        const { length } = this;
        const ret = super.splice(...args);
        let [begin, deleteCount, ...items] = args;
        if (begin < 0) {
          begin += length;
        }
        if (arguments.length === 1) {
          deleteCount = length - begin;
        } else {
          deleteCount = Math.min(length - begin, deleteCount);
        }
        const {
          length: item_length
        } = items;
        const offset = item_length - deleteCount;
        const start = begin + deleteCount;
        const count = length - start;
        move_comments(this, this, start, count, offset, true);
        return ret;
      }
      slice(...args) {
        const { length } = this;
        const array = super.slice(...args);
        if (!array.length) {
          return new _CommentArray();
        }
        let [begin, before] = args;
        if (before === UNDEFINED) {
          before = length;
        } else if (before < 0) {
          before += length;
        }
        if (begin < 0) {
          begin += length;
        } else if (begin === UNDEFINED) {
          begin = 0;
        }
        move_comments(array, this, begin, before - begin, -begin);
        return array;
      }
      unshift(...items) {
        const { length } = this;
        const ret = super.unshift(...items);
        const {
          length: items_length
        } = items;
        if (items_length > 0) {
          move_comments(this, this, 0, length, items_length, true);
        }
        return ret;
      }
      shift() {
        const ret = super.shift();
        const { length } = this;
        remove_comments(this, 0);
        move_comments(this, this, 1, length, -1, true);
        return ret;
      }
      reverse() {
        super.reverse();
        reverse_comments(this);
        return this;
      }
      pop() {
        const ret = super.pop();
        remove_comments(this, this.length);
        return ret;
      }
      concat(...items) {
        let { length } = this;
        const ret = super.concat(...items);
        if (!items.length) {
          return ret;
        }
        move_comments(ret, this, 0, this.length, 0);
        items.forEach((item) => {
          const prev = length;
          length += isArray(item) ? item.length : 1;
          if (!(item instanceof _CommentArray)) {
            return;
          }
          move_comments(ret, item, 0, item.length, prev);
        });
        return ret;
      }
      sort(...args) {
        const result = sort(
          this,
          ...args.slice(0, 1)
        );
        const map = /* @__PURE__ */ Object.create(null);
        result.forEach((source_index, index) => {
          if (source_index === index) {
            return;
          }
          const real_source_index = get_mapped(map, source_index);
          if (real_source_index === index) {
            return;
          }
          map[index] = real_source_index;
          swap_comments(this, index, real_source_index);
        });
        return this;
      }
    };
    module2.exports = {
      CommentArray
    };
  }
});

// ../../components/source-repositories/node_modules/comment-json/src/parse.js
var require_parse5 = __commonJS({
  "../../components/source-repositories/node_modules/comment-json/src/parse.js"(exports2, module2) {
    var esprima = require_esprima2();
    var {
      CommentArray
    } = require_array2();
    var {
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      define: define2,
      assign_non_prop_comments
    } = require_common7();
    var tokenize = (code) => esprima.tokenize(code, {
      comment: true,
      loc: true
    });
    var previous_hosts = [];
    var comments_host = null;
    var unassigned_comments = null;
    var previous_props = [];
    var last_prop;
    var remove_comments = false;
    var inline = false;
    var tokens = null;
    var last = null;
    var current = null;
    var index;
    var reviver = null;
    var clean = () => {
      previous_props.length = previous_hosts.length = 0;
      last = null;
      last_prop = UNDEFINED;
    };
    var free = () => {
      clean();
      tokens.length = 0;
      unassigned_comments = comments_host = tokens = last = current = reviver = null;
    };
    var symbolFor = (prefix) => Symbol.for(
      last_prop !== UNDEFINED ? prefix + COLON + last_prop : prefix
    );
    var transform = (k, v) => reviver ? reviver(k, v) : v;
    var unexpected = () => {
      const error = new SyntaxError(`Unexpected token ${current.value.slice(0, 1)}`);
      Object.assign(error, current.loc.start);
      throw error;
    };
    var unexpected_end = () => {
      const error = new SyntaxError("Unexpected end of JSON input");
      Object.assign(error, last ? last.loc.end : {
        line: 1,
        column: 0
      });
      throw error;
    };
    var next = () => {
      const new_token = tokens[++index];
      inline = current && new_token && current.loc.end.line === new_token.loc.start.line || false;
      last = current;
      current = new_token;
    };
    var type = () => {
      if (!current) {
        unexpected_end();
      }
      return current.type === "Punctuator" ? current.value : current.type;
    };
    var is = (t) => type() === t;
    var expect = (a) => {
      if (!is(a)) {
        unexpected();
      }
    };
    var set_comments_host = (new_host) => {
      previous_hosts.push(comments_host);
      comments_host = new_host;
    };
    var restore_comments_host = () => {
      comments_host = previous_hosts.pop();
    };
    var assign_after_comments = () => {
      if (!unassigned_comments) {
        return;
      }
      const after_comments = [];
      for (const comment of unassigned_comments) {
        if (comment.inline) {
          after_comments.push(comment);
        } else {
          break;
        }
      }
      const { length } = after_comments;
      if (!length) {
        return;
      }
      if (length === unassigned_comments.length) {
        unassigned_comments = null;
      } else {
        unassigned_comments.splice(0, length);
      }
      define2(comments_host, symbolFor(PREFIX_AFTER), after_comments);
    };
    var assign_comments = (prefix) => {
      if (!unassigned_comments) {
        return;
      }
      define2(comments_host, symbolFor(prefix), unassigned_comments);
      unassigned_comments = null;
    };
    var parse_comments = (prefix) => {
      const comments = [];
      while (current && (is("LineComment") || is("BlockComment"))) {
        const comment = {
          ...current,
          inline
        };
        comments.push(comment);
        next();
      }
      if (remove_comments) {
        return;
      }
      if (!comments.length) {
        return;
      }
      if (prefix) {
        define2(comments_host, symbolFor(prefix), comments);
        return;
      }
      unassigned_comments = comments;
    };
    var set_prop = (prop, push) => {
      if (push) {
        previous_props.push(last_prop);
      }
      last_prop = prop;
    };
    var restore_prop = () => {
      last_prop = previous_props.pop();
    };
    var parse_object = () => {
      const obj = {};
      set_comments_host(obj);
      set_prop(UNDEFINED, true);
      let started = false;
      let name;
      parse_comments();
      while (!is(CURLY_BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(CURLY_BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        expect("String");
        name = JSON.parse(current.value);
        set_prop(name);
        assign_comments(PREFIX_BEFORE);
        next();
        parse_comments(PREFIX_AFTER_PROP);
        expect(COLON);
        next();
        parse_comments(PREFIX_AFTER_COLON);
        obj[name] = transform(name, walk());
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return obj;
    };
    var parse_array = () => {
      const array = new CommentArray();
      set_comments_host(array);
      set_prop(UNDEFINED, true);
      let started = false;
      let i = 0;
      parse_comments();
      while (!is(BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        set_prop(i);
        assign_comments(PREFIX_BEFORE);
        array[i] = transform(i, walk());
        i++;
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return array;
    };
    function walk() {
      let tt = type();
      if (tt === CURLY_BRACKET_OPEN) {
        next();
        return parse_object();
      }
      if (tt === BRACKET_OPEN) {
        next();
        return parse_array();
      }
      let negative = EMPTY;
      if (tt === MINUS) {
        next();
        tt = type();
        negative = MINUS;
      }
      let v;
      switch (tt) {
        case "String":
        case "Boolean":
        case "Null":
        case "Numeric":
          v = current.value;
          next();
          return JSON.parse(negative + v);
        default:
      }
    }
    var isObject = (subject) => Object(subject) === subject;
    var parse = (code, rev, no_comments) => {
      clean();
      tokens = tokenize(code);
      reviver = rev;
      remove_comments = no_comments;
      if (!tokens.length) {
        unexpected_end();
      }
      index = -1;
      next();
      set_comments_host({});
      parse_comments(PREFIX_BEFORE_ALL);
      let result = walk();
      parse_comments(PREFIX_AFTER_ALL);
      if (current) {
        unexpected();
      }
      if (!no_comments && result !== null) {
        if (!isObject(result)) {
          result = new Object(result);
        }
        assign_non_prop_comments(result, comments_host);
      }
      restore_comments_host();
      result = transform("", result);
      free();
      return result;
    };
    module2.exports = {
      parse,
      tokenize
    };
  }
});

// ../../components/source-repositories/node_modules/repeat-string/index.js
var require_repeat_string2 = __commonJS({
  "../../components/source-repositories/node_modules/repeat-string/index.js"(exports2, module2) {
    "use strict";
    var res = "";
    var cache;
    module2.exports = repeat;
    function repeat(str, num) {
      if (typeof str !== "string") {
        throw new TypeError("expected a string");
      }
      if (num === 1)
        return str;
      if (num === 2)
        return str + str;
      var max = str.length * num;
      if (cache !== str || typeof cache === "undefined") {
        cache = str;
        res = "";
      } else if (res.length >= max) {
        return res.substr(0, max);
      }
      while (max > res.length && num > 1) {
        if (num & 1) {
          res += str;
        }
        num >>= 1;
        str += str;
      }
      res += str;
      res = res.substr(0, max);
      return res;
    }
  }
});

// ../../components/source-repositories/node_modules/comment-json/src/stringify.js
var require_stringify5 = __commonJS({
  "../../components/source-repositories/node_modules/comment-json/src/stringify.js"(exports2, module2) {
    var {
      isArray,
      isObject,
      isFunction,
      isNumber,
      isString
    } = require_util9();
    var repeat = require_repeat_string2();
    var {
      PREFIX_BEFORE_ALL,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      EMPTY,
      UNDEFINED
    } = require_common7();
    var ESCAPABLE = /[\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var SPACE = " ";
    var LF = "\n";
    var STR_NULL = "null";
    var BEFORE = (prop) => `${PREFIX_BEFORE}:${prop}`;
    var AFTER_PROP = (prop) => `${PREFIX_AFTER_PROP}:${prop}`;
    var AFTER_COLON = (prop) => `${PREFIX_AFTER_COLON}:${prop}`;
    var AFTER_VALUE = (prop) => `${PREFIX_AFTER_VALUE}:${prop}`;
    var AFTER = (prop) => `${PREFIX_AFTER}:${prop}`;
    var meta = {
      "\b": "\\b",
      "	": "\\t",
      "\n": "\\n",
      "\f": "\\f",
      "\r": "\\r",
      '"': '\\"',
      "\\": "\\\\"
    };
    var escape = (string) => {
      ESCAPABLE.lastIndex = 0;
      if (!ESCAPABLE.test(string)) {
        return string;
      }
      return string.replace(ESCAPABLE, (a) => {
        const c = meta[a];
        return typeof c === "string" ? c : a;
      });
    };
    var quote = (string) => `"${escape(string)}"`;
    var comment_stringify = (value, line) => line ? `//${value}` : `/*${value}*/`;
    var process_comments = (host, symbol_tag, deeper_gap, display_block) => {
      const comments = host[Symbol.for(symbol_tag)];
      if (!comments || !comments.length) {
        return EMPTY;
      }
      let is_line_comment = false;
      const str = comments.reduce((prev, {
        inline,
        type,
        value
      }) => {
        const delimiter = inline ? SPACE : LF + deeper_gap;
        is_line_comment = type === "LineComment";
        return prev + delimiter + comment_stringify(value, is_line_comment);
      }, EMPTY);
      return display_block || is_line_comment ? str + LF + deeper_gap : str;
    };
    var replacer = null;
    var indent = EMPTY;
    var clean = () => {
      replacer = null;
      indent = EMPTY;
    };
    var join = (one, two, gap) => one ? two ? one + two.trim() + LF + gap : one.trimRight() + LF + gap : two ? two.trimRight() + LF + gap : EMPTY;
    var join_content = (inside, value, gap) => {
      const comment = process_comments(value, PREFIX_BEFORE, gap + indent, true);
      return join(comment, inside, gap);
    };
    var array_stringify = (value, gap) => {
      const deeper_gap = gap + indent;
      const { length } = value;
      let inside = EMPTY;
      let after_comma = EMPTY;
      for (let i = 0; i < length; i++) {
        if (i !== 0) {
          inside += COMMA;
        }
        const before = join(
          after_comma,
          process_comments(value, BEFORE(i), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += stringify(i, value, deeper_gap) || STR_NULL;
        inside += process_comments(value, AFTER_VALUE(i), deeper_gap);
        after_comma = process_comments(value, AFTER(i), deeper_gap);
      }
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return BRACKET_OPEN + join_content(inside, value, gap) + BRACKET_CLOSE;
    };
    var object_stringify = (value, gap) => {
      if (!value) {
        return "null";
      }
      const deeper_gap = gap + indent;
      let inside = EMPTY;
      let after_comma = EMPTY;
      let first = true;
      const keys = isArray(replacer) ? replacer : Object.keys(value);
      const iteratee = (key) => {
        const sv = stringify(key, value, deeper_gap);
        if (sv === UNDEFINED) {
          return;
        }
        if (!first) {
          inside += COMMA;
        }
        first = false;
        const before = join(
          after_comma,
          process_comments(value, BEFORE(key), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += quote(key) + process_comments(value, AFTER_PROP(key), deeper_gap) + COLON + process_comments(value, AFTER_COLON(key), deeper_gap) + SPACE + sv + process_comments(value, AFTER_VALUE(key), deeper_gap);
        after_comma = process_comments(value, AFTER(key), deeper_gap);
      };
      keys.forEach(iteratee);
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return CURLY_BRACKET_OPEN + join_content(inside, value, gap) + CURLY_BRACKET_CLOSE;
    };
    function stringify(key, holder, gap) {
      let value = holder[key];
      if (isObject(value) && isFunction(value.toJSON)) {
        value = value.toJSON(key);
      }
      if (isFunction(replacer)) {
        value = replacer.call(holder, key, value);
      }
      switch (typeof value) {
        case "string":
          return quote(value);
        case "number":
          return Number.isFinite(value) ? String(value) : STR_NULL;
        case "boolean":
        case "null":
          return String(value);
        case "object":
          return isArray(value) ? array_stringify(value, gap) : object_stringify(value, gap);
        default:
      }
    }
    var get_indent = (space) => isString(space) ? space : isNumber(space) ? repeat(SPACE, space) : EMPTY;
    var { toString } = Object.prototype;
    var PRIMITIVE_OBJECT_TYPES = [
      "[object Number]",
      "[object String]",
      "[object Boolean]"
    ];
    var is_primitive_object = (subject) => {
      if (typeof subject !== "object") {
        return false;
      }
      const str = toString.call(subject);
      return PRIMITIVE_OBJECT_TYPES.includes(str);
    };
    module2.exports = (value, replacer_, space) => {
      const indent_ = get_indent(space);
      if (!indent_) {
        return JSON.stringify(value, replacer_);
      }
      if (!isFunction(replacer_) && !isArray(replacer_)) {
        replacer_ = null;
      }
      replacer = replacer_;
      indent = indent_;
      const str = is_primitive_object(value) ? JSON.stringify(value) : stringify("", { "": value }, EMPTY);
      clean();
      return isObject(value) ? process_comments(value, PREFIX_BEFORE_ALL, EMPTY).trimLeft() + str + process_comments(value, PREFIX_AFTER_ALL, EMPTY).trimRight() : str;
    };
  }
});

// ../../components/source-repositories/node_modules/comment-json/src/index.js
var require_src4 = __commonJS({
  "../../components/source-repositories/node_modules/comment-json/src/index.js"(exports2, module2) {
    var { parse, tokenize } = require_parse5();
    var stringify = require_stringify5();
    var { CommentArray } = require_array2();
    var { assign } = require_common7();
    module2.exports = {
      parse,
      stringify,
      tokenize,
      CommentArray,
      assign
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/util/synth.js
var require_synth2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/util/synth.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.directorySnapshot = exports2.synthSnapshot = void 0;
    var fs = require("fs");
    var os = require("os");
    var path = require("path");
    var JSONC = require_src4();
    var comment_json_1 = require_src4();
    var glob_1 = require_glob2();
    var json_1 = require_json3();
    function synthSnapshot(project, options = {}) {
      if (!path.resolve(project.outdir).startsWith(os.tmpdir()) && !project.outdir.includes("project-temp-dir")) {
        throw new Error("Trying to capture a snapshot of a project outside of tmpdir, which implies this test might corrupt an existing project");
      }
      const synthed = Symbol.for("synthed");
      if (synthed in project) {
        throw new Error("duplicate synth()");
      }
      project[synthed] = true;
      const ENV_PROJEN_DISABLE_POST = process.env.PROJEN_DISABLE_POST;
      try {
        process.env.PROJEN_DISABLE_POST = "true";
        project.synth();
        const ignoreExts = ["png", "ico"];
        return directorySnapshot(project.outdir, {
          ...options,
          excludeGlobs: ignoreExts.map((ext) => `**/*.${ext}`),
          supportJsonComments: project.files.some(
            // At least one json file in project supports comments
            (file) => file instanceof json_1.JsonFile && file.supportsComments
          )
        });
      } finally {
        fs.rmSync(project.outdir, { force: true, recursive: true });
        if (ENV_PROJEN_DISABLE_POST === void 0) {
          delete process.env.PROJEN_DISABLE_POST;
        } else {
          process.env.PROJEN_DISABLE_POST = ENV_PROJEN_DISABLE_POST;
        }
      }
    }
    exports2.synthSnapshot = synthSnapshot;
    function isJsonLikeFile(filePath) {
      const file = filePath.toLowerCase();
      return file.endsWith(".json") || file.endsWith(".json5") || file.endsWith(".jsonc");
    }
    function directorySnapshot(root, options = {}) {
      const output = {};
      const files = glob_1.glob.sync("**", {
        ignore: [".git/**", ...options.excludeGlobs ?? []],
        cwd: root,
        nodir: true,
        dot: true
      });
      const parseJson = options.parseJson ?? true;
      for (const file of files) {
        const filePath = path.join(root, file);
        let content;
        if (!options.onlyFileNames) {
          content = fs.readFileSync(filePath, "utf-8");
          if (parseJson && isJsonLikeFile(filePath)) {
            content = cleanCommentArrays(JSONC.parse(content, void 0, !options.supportJsonComments));
          }
        } else {
          content = true;
        }
        output[file] = content;
      }
      return output;
    }
    exports2.directorySnapshot = directorySnapshot;
    function cleanCommentArrays(obj) {
      if (Array.isArray(obj) || isCommentArrayWithoutComments(obj)) {
        return Array.from(obj).map(cleanCommentArrays);
      }
      if (obj instanceof Object) {
        for (const p of Object.keys(obj)) {
          if (isCommentArrayWithoutComments(obj[p])) {
            obj[p] = Array.from(obj[p]).map(cleanCommentArrays);
          } else if (obj[p] instanceof Object) {
            obj[p] = cleanCommentArrays(obj[p]);
          }
        }
      }
      return obj;
    }
    function isCommentArrayWithoutComments(obj) {
      return obj instanceof comment_json_1.CommentArray && Object.getOwnPropertySymbols(obj).length === 0;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/testing.js
var require_testing2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/testing.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Testing = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var synth_1 = require_synth2();
    var Testing = class {
      /**
       * Produces a simple JS object that represents the contents of the projects with field names being file paths.
       * @param project the project to produce a snapshot for
       * @return { [filename:string]: any }
       */
      static synth(project, options = {}) {
        return (0, synth_1.synthSnapshot)(project, options);
      }
      constructor() {
      }
      // utility
    };
    exports2.Testing = Testing;
    _a = JSII_RTTI_SYMBOL_1;
    Testing[_a] = { fqn: "projen.Testing", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/parser.js
var require_parser5 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/parser.js"(exports2, module2) {
    "use strict";
    var ParserEND = 1114112;
    var ParserError = class _ParserError extends Error {
      /* istanbul ignore next */
      constructor(msg, filename, linenumber) {
        super("[ParserError] " + msg, filename, linenumber);
        this.name = "ParserError";
        this.code = "ParserError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _ParserError);
      }
    };
    var State = class {
      constructor(parser) {
        this.parser = parser;
        this.buf = "";
        this.returned = null;
        this.result = null;
        this.resultTable = null;
        this.resultArr = null;
      }
    };
    var Parser = class {
      constructor() {
        this.pos = 0;
        this.col = 0;
        this.line = 0;
        this.obj = {};
        this.ctx = this.obj;
        this.stack = [];
        this._buf = "";
        this.char = null;
        this.ii = 0;
        this.state = new State(this.parseStart);
      }
      parse(str) {
        if (str.length === 0 || str.length == null)
          return;
        this._buf = String(str);
        this.ii = -1;
        this.char = -1;
        let getNext;
        while (getNext === false || this.nextChar()) {
          getNext = this.runOne();
        }
        this._buf = null;
      }
      nextChar() {
        if (this.char === 10) {
          ++this.line;
          this.col = -1;
        }
        ++this.ii;
        this.char = this._buf.codePointAt(this.ii);
        ++this.pos;
        ++this.col;
        return this.haveBuffer();
      }
      haveBuffer() {
        return this.ii < this._buf.length;
      }
      runOne() {
        return this.state.parser.call(this, this.state.returned);
      }
      finish() {
        this.char = ParserEND;
        let last;
        do {
          last = this.state.parser;
          this.runOne();
        } while (this.state.parser !== last);
        this.ctx = null;
        this.state = null;
        this._buf = null;
        return this.obj;
      }
      next(fn) {
        if (typeof fn !== "function")
          throw new ParserError("Tried to set state to non-existent state: " + JSON.stringify(fn));
        this.state.parser = fn;
      }
      goto(fn) {
        this.next(fn);
        return this.runOne();
      }
      call(fn, returnWith) {
        if (returnWith)
          this.next(returnWith);
        this.stack.push(this.state);
        this.state = new State(fn);
      }
      callNow(fn, returnWith) {
        this.call(fn, returnWith);
        return this.runOne();
      }
      return(value) {
        if (this.stack.length === 0)
          throw this.error(new ParserError("Stack underflow"));
        if (value === void 0)
          value = this.state.buf;
        this.state = this.stack.pop();
        this.state.returned = value;
      }
      returnNow(value) {
        this.return(value);
        return this.runOne();
      }
      consume() {
        if (this.char === ParserEND)
          throw this.error(new ParserError("Unexpected end-of-buffer"));
        this.state.buf += this._buf[this.ii];
      }
      error(err) {
        err.line = this.line;
        err.col = this.col;
        err.pos = this.pos;
        return err;
      }
      /* istanbul ignore next */
      parseStart() {
        throw new ParserError("Must declare a parseStart method");
      }
    };
    Parser.END = ParserEND;
    Parser.Error = ParserError;
    module2.exports = Parser;
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/create-datetime.js
var require_create_datetime2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/create-datetime.js"(exports2, module2) {
    "use strict";
    module2.exports = (value) => {
      const date = new Date(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/format-num.js
var require_format_num2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/format-num.js"(exports2, module2) {
    "use strict";
    module2.exports = (d, num) => {
      num = String(num);
      while (num.length < d)
        num = "0" + num;
      return num;
    };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/create-datetime-float.js
var require_create_datetime_float2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/create-datetime-float.js"(exports2, module2) {
    "use strict";
    var f = require_format_num2();
    var FloatingDateTime = class extends Date {
      constructor(value) {
        super(value + "Z");
        this.isFloating = true;
      }
      toISOString() {
        const date = `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
        const time = `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
        return `${date}T${time}`;
      }
    };
    module2.exports = (value) => {
      const date = new FloatingDateTime(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/create-date.js
var require_create_date2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/create-date.js"(exports2, module2) {
    "use strict";
    var f = require_format_num2();
    var DateTime = global.Date;
    var Date2 = class extends DateTime {
      constructor(value) {
        super(value);
        this.isDate = true;
      }
      toISOString() {
        return `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Date2(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/create-time.js
var require_create_time2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/create-time.js"(exports2, module2) {
    "use strict";
    var f = require_format_num2();
    var Time = class extends Date {
      constructor(value) {
        super(`0000-01-01T${value}Z`);
        this.isTime = true;
      }
      toISOString() {
        return `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Time(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/lib/toml-parser.js
var require_toml_parser2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/lib/toml-parser.js"(exports, module) {
    "use strict";
    module.exports = makeParserClass(require_parser5());
    module.exports.makeParserClass = makeParserClass;
    var TomlError = class _TomlError extends Error {
      constructor(msg) {
        super(msg);
        this.name = "TomlError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _TomlError);
        this.fromTOML = true;
        this.wrapped = null;
      }
    };
    TomlError.wrap = (err) => {
      const terr = new TomlError(err.message);
      terr.code = err.code;
      terr.wrapped = err;
      return terr;
    };
    module.exports.TomlError = TomlError;
    var createDateTime = require_create_datetime2();
    var createDateTimeFloat = require_create_datetime_float2();
    var createDate = require_create_date2();
    var createTime = require_create_time2();
    var CTRL_I = 9;
    var CTRL_J = 10;
    var CTRL_M = 13;
    var CTRL_CHAR_BOUNDARY = 31;
    var CHAR_SP = 32;
    var CHAR_QUOT = 34;
    var CHAR_NUM = 35;
    var CHAR_APOS = 39;
    var CHAR_PLUS = 43;
    var CHAR_COMMA = 44;
    var CHAR_HYPHEN = 45;
    var CHAR_PERIOD = 46;
    var CHAR_0 = 48;
    var CHAR_1 = 49;
    var CHAR_7 = 55;
    var CHAR_9 = 57;
    var CHAR_COLON = 58;
    var CHAR_EQUALS = 61;
    var CHAR_A = 65;
    var CHAR_E = 69;
    var CHAR_F = 70;
    var CHAR_T = 84;
    var CHAR_U = 85;
    var CHAR_Z = 90;
    var CHAR_LOWBAR = 95;
    var CHAR_a = 97;
    var CHAR_b = 98;
    var CHAR_e = 101;
    var CHAR_f = 102;
    var CHAR_i = 105;
    var CHAR_l = 108;
    var CHAR_n = 110;
    var CHAR_o = 111;
    var CHAR_r = 114;
    var CHAR_s = 115;
    var CHAR_t = 116;
    var CHAR_u = 117;
    var CHAR_x = 120;
    var CHAR_z = 122;
    var CHAR_LCUB = 123;
    var CHAR_RCUB = 125;
    var CHAR_LSQB = 91;
    var CHAR_BSOL = 92;
    var CHAR_RSQB = 93;
    var CHAR_DEL = 127;
    var SURROGATE_FIRST = 55296;
    var SURROGATE_LAST = 57343;
    var escapes = {
      [CHAR_b]: "\b",
      [CHAR_t]: "	",
      [CHAR_n]: "\n",
      [CHAR_f]: "\f",
      [CHAR_r]: "\r",
      [CHAR_QUOT]: '"',
      [CHAR_BSOL]: "\\"
    };
    function isDigit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isHexit(cp) {
      return cp >= CHAR_A && cp <= CHAR_F || cp >= CHAR_a && cp <= CHAR_f || cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isBit(cp) {
      return cp === CHAR_1 || cp === CHAR_0;
    }
    function isOctit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_7;
    }
    function isAlphaNumQuoteHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_APOS || cp === CHAR_QUOT || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    function isAlphaNumHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    var _type = Symbol("type");
    var _declared = Symbol("declared");
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var defineProperty = Object.defineProperty;
    var descriptor = { configurable: true, enumerable: true, writable: true, value: void 0 };
    function hasKey(obj, key) {
      if (hasOwnProperty.call(obj, key))
        return true;
      if (key === "__proto__")
        defineProperty(obj, "__proto__", descriptor);
      return false;
    }
    var INLINE_TABLE = Symbol("inline-table");
    function InlineTable() {
      return Object.defineProperties({}, {
        [_type]: { value: INLINE_TABLE }
      });
    }
    function isInlineTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_TABLE;
    }
    var TABLE = Symbol("table");
    function Table() {
      return Object.defineProperties({}, {
        [_type]: { value: TABLE },
        [_declared]: { value: false, writable: true }
      });
    }
    function isTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === TABLE;
    }
    var _contentType = Symbol("content-type");
    var INLINE_LIST = Symbol("inline-list");
    function InlineList(type) {
      return Object.defineProperties([], {
        [_type]: { value: INLINE_LIST },
        [_contentType]: { value: type }
      });
    }
    function isInlineList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_LIST;
    }
    var LIST = Symbol("list");
    function List() {
      return Object.defineProperties([], {
        [_type]: { value: LIST }
      });
    }
    function isList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === LIST;
    }
    var _custom;
    try {
      const utilInspect = eval("require('util').inspect");
      _custom = utilInspect.custom;
    } catch (_) {
    }
    var _inspect = _custom || "inspect";
    var BoxedBigInt = class {
      constructor(value) {
        try {
          this.value = global.BigInt.asIntN(64, value);
        } catch (_) {
          this.value = null;
        }
        Object.defineProperty(this, _type, { value: INTEGER });
      }
      isNaN() {
        return this.value === null;
      }
      /* istanbul ignore next */
      toString() {
        return String(this.value);
      }
      /* istanbul ignore next */
      [_inspect]() {
        return `[BigInt: ${this.toString()}]}`;
      }
      valueOf() {
        return this.value;
      }
    };
    var INTEGER = Symbol("integer");
    function Integer(value) {
      let num = Number(value);
      if (Object.is(num, -0))
        num = 0;
      if (global.BigInt && !Number.isSafeInteger(num)) {
        return new BoxedBigInt(value);
      } else {
        return Object.defineProperties(new Number(num), {
          isNaN: { value: function() {
            return isNaN(this);
          } },
          [_type]: { value: INTEGER },
          [_inspect]: { value: () => `[Integer: ${value}]` }
        });
      }
    }
    function isInteger(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INTEGER;
    }
    var FLOAT = Symbol("float");
    function Float(value) {
      return Object.defineProperties(new Number(value), {
        [_type]: { value: FLOAT },
        [_inspect]: { value: () => `[Float: ${value}]` }
      });
    }
    function isFloat(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === FLOAT;
    }
    function tomlType(value) {
      const type = typeof value;
      if (type === "object") {
        if (value === null)
          return "null";
        if (value instanceof Date)
          return "datetime";
        if (_type in value) {
          switch (value[_type]) {
            case INLINE_TABLE:
              return "inline-table";
            case INLINE_LIST:
              return "inline-list";
            case TABLE:
              return "table";
            case LIST:
              return "list";
            case FLOAT:
              return "float";
            case INTEGER:
              return "integer";
          }
        }
      }
      return type;
    }
    function makeParserClass(Parser) {
      class TOMLParser extends Parser {
        constructor() {
          super();
          this.ctx = this.obj = Table();
        }
        /* MATCH HELPER */
        atEndOfWord() {
          return this.char === CHAR_NUM || this.char === CTRL_I || this.char === CHAR_SP || this.atEndOfLine();
        }
        atEndOfLine() {
          return this.char === Parser.END || this.char === CTRL_J || this.char === CTRL_M;
        }
        parseStart() {
          if (this.char === Parser.END) {
            return null;
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseTableOrList);
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (isAlphaNumQuoteHyphen(this.char)) {
            return this.callNow(this.parseAssignStatement);
          } else {
            throw this.error(new TomlError(`Unknown character "${this.char}"`));
          }
        }
        // HELPER, this strips any whitespace and comments to the end of the line
        // then RETURNS. Last state in a production.
        parseWhitespaceToEOL() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.goto(this.parseComment);
          } else if (this.char === Parser.END || this.char === CTRL_J) {
            return this.return();
          } else {
            throw this.error(new TomlError("Unexpected character, expected only whitespace or comments till end of line"));
          }
        }
        /* ASSIGNMENT: key = value */
        parseAssignStatement() {
          return this.callNow(this.parseAssign, this.recordAssignStatement);
        }
        recordAssignStatement(kv) {
          let target = this.ctx;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseWhitespaceToEOL);
        }
        /* ASSSIGNMENT expression, key = value possibly inside an inline table */
        parseAssign() {
          return this.callNow(this.parseKeyword, this.recordAssignKeyword);
        }
        recordAssignKeyword(key) {
          if (this.state.resultTable) {
            this.state.resultTable.push(key);
          } else {
            this.state.resultTable = [key];
          }
          return this.goto(this.parseAssignKeywordPreDot);
        }
        parseAssignKeywordPreDot() {
          if (this.char === CHAR_PERIOD) {
            return this.next(this.parseAssignKeywordPostDot);
          } else if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.goto(this.parseAssignEqual);
          }
        }
        parseAssignKeywordPostDot() {
          if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.callNow(this.parseKeyword, this.recordAssignKeyword);
          }
        }
        parseAssignEqual() {
          if (this.char === CHAR_EQUALS) {
            return this.next(this.parseAssignPreValue);
          } else {
            throw this.error(new TomlError('Invalid character, expected "="'));
          }
        }
        parseAssignPreValue() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseValue, this.recordAssignValue);
          }
        }
        recordAssignValue(value) {
          return this.returnNow({ key: this.state.resultTable, value });
        }
        /* COMMENTS: #...eol */
        parseComment() {
          do {
            if (this.char === Parser.END || this.char === CTRL_J) {
              return this.return();
            }
          } while (this.nextChar());
        }
        /* TABLES AND LISTS, [foo] and [[foo]] */
        parseTableOrList() {
          if (this.char === CHAR_LSQB) {
            this.next(this.parseList);
          } else {
            return this.goto(this.parseTable);
          }
        }
        /* TABLE [foo.bar.baz] */
        parseTable() {
          this.ctx = this.obj;
          return this.goto(this.parseTableNext);
        }
        parseTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseTableMore);
          }
        }
        parseTableMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (hasKey(this.ctx, keyword) && (!isTable(this.ctx[keyword]) || this.ctx[keyword][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            } else {
              this.ctx = this.ctx[keyword] = this.ctx[keyword] || Table();
              this.ctx[_declared] = true;
            }
            return this.next(this.parseWhitespaceToEOL);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            return this.next(this.parseTableNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* LIST [[a.b.c]] */
        parseList() {
          this.ctx = this.obj;
          return this.goto(this.parseListNext);
        }
        parseListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseListMore);
          }
        }
        parseListMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx[keyword] = List();
            }
            if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isList(this.ctx[keyword])) {
              const next = Table();
              this.ctx[keyword].push(next);
              this.ctx = next;
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListEnd);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isInlineTable(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline table"));
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        parseListEnd(keyword) {
          if (this.char === CHAR_RSQB) {
            return this.next(this.parseWhitespaceToEOL);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* VALUE string, number, boolean, inline list, inline object */
        parseValue() {
          if (this.char === Parser.END) {
            throw this.error(new TomlError("Key without value"));
          } else if (this.char === CHAR_QUOT) {
            return this.next(this.parseDoubleString);
          }
          if (this.char === CHAR_APOS) {
            return this.next(this.parseSingleString);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            return this.goto(this.parseNumberSign);
          } else if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseNumberOrDateTime);
          } else if (this.char === CHAR_t || this.char === CHAR_f) {
            return this.goto(this.parseBoolean);
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseInlineList, this.recordValue);
          } else if (this.char === CHAR_LCUB) {
            return this.call(this.parseInlineTable, this.recordValue);
          } else {
            throw this.error(new TomlError("Unexpected character, expecting string, number, datetime, boolean, inline array or inline table"));
          }
        }
        recordValue(value) {
          return this.returnNow(value);
        }
        parseInf() {
          if (this.char === CHAR_n) {
            return this.next(this.parseInf2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseInf2() {
          if (this.char === CHAR_f) {
            if (this.state.buf === "-") {
              return this.return(-Infinity);
            } else {
              return this.return(Infinity);
            }
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseNan() {
          if (this.char === CHAR_a) {
            return this.next(this.parseNan2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        parseNan2() {
          if (this.char === CHAR_n) {
            return this.return(NaN);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        /* KEYS, barewords or basic, literal, or dotted */
        parseKeyword() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseBasicString);
          } else if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralString);
          } else {
            return this.goto(this.parseBareKey);
          }
        }
        /* KEYS: barewords */
        parseBareKey() {
          do {
            if (this.char === Parser.END) {
              throw this.error(new TomlError("Key ended without value"));
            } else if (isAlphaNumHyphen(this.char)) {
              this.consume();
            } else if (this.state.buf.length === 0) {
              throw this.error(new TomlError("Empty bare keys are not allowed"));
            } else {
              return this.returnNow();
            }
          } while (this.nextChar());
        }
        /* STRINGS, single quoted (literal) */
        parseSingleString() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiStringMaybe);
          } else {
            return this.goto(this.parseLiteralString);
          }
        }
        parseLiteralString() {
          do {
            if (this.char === CHAR_APOS) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiStringMaybe() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseLiteralMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseLiteralMultiStringContent);
          } else {
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiStringContent() {
          do {
            if (this.char === CHAR_APOS) {
              return this.next(this.parseLiteralMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiEnd() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiEnd2);
          } else {
            this.state.buf += "'";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiEnd2() {
          if (this.char === CHAR_APOS) {
            return this.return();
          } else {
            this.state.buf += "''";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        /* STRINGS double quoted */
        parseDoubleString() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiStringMaybe);
          } else {
            return this.goto(this.parseBasicString);
          }
        }
        parseBasicString() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseEscape, this.recordEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        recordEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseBasicString);
        }
        parseMultiStringMaybe() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseMultiStringContent);
          } else {
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiStringContent() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseMultiEscape, this.recordMultiEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.next(this.parseMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        errorControlCharInString() {
          let displayCode = "\\u00";
          if (this.char < 16) {
            displayCode += "0";
          }
          displayCode += this.char.toString(16);
          return this.error(new TomlError(`Control characters (codes < 0x1f and 0x7f) are not allowed in strings, use ${displayCode} instead`));
        }
        recordMultiEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseMultiStringContent);
        }
        parseMultiEnd() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiEnd2);
          } else {
            this.state.buf += '"';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEnd2() {
          if (this.char === CHAR_QUOT) {
            return this.return();
          } else {
            this.state.buf += '""';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEscape() {
          if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else if (this.char === CHAR_SP || this.char === CTRL_I) {
            return this.next(this.parsePreMultiTrim);
          } else {
            return this.goto(this.parseEscape);
          }
        }
        parsePreMultiTrim() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else {
            throw this.error(new TomlError("Can't escape whitespace"));
          }
        }
        parseMultiTrim() {
          if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else {
            return this.returnNow();
          }
        }
        parseEscape() {
          if (this.char in escapes) {
            return this.return(escapes[this.char]);
          } else if (this.char === CHAR_u) {
            return this.call(this.parseSmallUnicode, this.parseUnicodeReturn);
          } else if (this.char === CHAR_U) {
            return this.call(this.parseLargeUnicode, this.parseUnicodeReturn);
          } else {
            throw this.error(new TomlError("Unknown escape character: " + this.char));
          }
        }
        parseUnicodeReturn(char) {
          try {
            const codePoint = parseInt(char, 16);
            if (codePoint >= SURROGATE_FIRST && codePoint <= SURROGATE_LAST) {
              throw this.error(new TomlError("Invalid unicode, character in range 0xD800 - 0xDFFF is reserved"));
            }
            return this.returnNow(String.fromCodePoint(codePoint));
          } catch (err) {
            throw this.error(TomlError.wrap(err));
          }
        }
        parseSmallUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 4)
              return this.return();
          }
        }
        parseLargeUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 8)
              return this.return();
          }
        }
        /* NUMBERS */
        parseNumberSign() {
          this.consume();
          return this.next(this.parseMaybeSignedInfOrNan);
        }
        parseMaybeSignedInfOrNan() {
          if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else {
            return this.callNow(this.parseNoUnder, this.parseNumberIntegerStart);
          }
        }
        parseNumberIntegerStart() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberIntegerExponentOrDecimal);
          } else {
            return this.goto(this.parseNumberInteger);
          }
        }
        parseNumberIntegerExponentOrDecimal() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseNumberInteger() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseNoUnder() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD || this.char === CHAR_E || this.char === CHAR_e) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNoUnderHexOctBinLiteral() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNumberFloat() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        parseNumberExponentSign() {
          if (isDigit(this.char)) {
            return this.goto(this.parseNumberExponent);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.call(this.parseNoUnder, this.parseNumberExponent);
          } else {
            throw this.error(new TomlError("Unexpected character, expected -, + or digit"));
          }
        }
        parseNumberExponent() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        /* NUMBERS or DATETIMES  */
        parseNumberOrDateTime() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberBaseOrDateTime);
          } else {
            return this.goto(this.parseNumberOrDateTimeOnly);
          }
        }
        parseNumberOrDateTimeOnly() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length > 4)
              this.next(this.parseNumberInteger);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_HYPHEN) {
            return this.goto(this.parseDateTime);
          } else if (this.char === CHAR_COLON) {
            return this.goto(this.parseOnlyTimeHour);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseDateTimeOnly() {
          if (this.state.buf.length < 4) {
            if (isDigit(this.char)) {
              return this.consume();
            } else if (this.char === CHAR_COLON) {
              return this.goto(this.parseOnlyTimeHour);
            } else {
              throw this.error(new TomlError("Expected digit while parsing year part of a date"));
            }
          } else {
            if (this.char === CHAR_HYPHEN) {
              return this.goto(this.parseDateTime);
            } else {
              throw this.error(new TomlError("Expected hyphen (-) while parsing year part of date"));
            }
          }
        }
        parseNumberBaseOrDateTime() {
          if (this.char === CHAR_b) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerBin);
          } else if (this.char === CHAR_o) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerOct);
          } else if (this.char === CHAR_x) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerHex);
          } else if (this.char === CHAR_PERIOD) {
            return this.goto(this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseDateTimeOnly);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseIntegerHex() {
          if (isHexit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerOct() {
          if (isOctit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerBin() {
          if (isBit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        /* DATETIME */
        parseDateTime() {
          if (this.state.buf.length < 4) {
            throw this.error(new TomlError("Years less than 1000 must be zero padded to four characters"));
          }
          this.state.result = this.state.buf;
          this.state.buf = "";
          return this.next(this.parseDateMonth);
        }
        parseDateMonth() {
          if (this.char === CHAR_HYPHEN) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Months less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseDateDay);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseDateDay() {
          if (this.char === CHAR_T || this.char === CHAR_SP) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Days less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseStartTimeHour);
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result + "-" + this.state.buf));
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseStartTimeHour() {
          if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result));
          } else {
            return this.goto(this.parseTimeHour);
          }
        }
        parseTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result += "T" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeMin);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              this.state.result += ":" + this.state.buf;
              this.state.buf = "";
              return this.next(this.parseTimeZoneOrFraction);
            }
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseOnlyTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result = this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeMin);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              return this.next(this.parseOnlyTimeFractionMaybe);
            }
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeFractionMaybe() {
          this.state.result += ":" + this.state.buf;
          if (this.char === CHAR_PERIOD) {
            this.state.buf = "";
            this.next(this.parseOnlyTimeFraction);
          } else {
            return this.return(createTime(this.state.result));
          }
        }
        parseOnlyTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.atEndOfWord()) {
            if (this.state.buf.length === 0)
              throw this.error(new TomlError("Expected digit in milliseconds"));
            return this.returnNow(createTime(this.state.result + "." + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneOrFraction() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            this.next(this.parseDateTimeFraction);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseDateTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 1) {
            throw this.error(new TomlError("Expected digit in milliseconds"));
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneHour() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.next(this.parseTimeZoneSep);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        parseTimeZoneSep() {
          if (this.char === CHAR_COLON) {
            this.consume();
            this.next(this.parseTimeZoneMin);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected colon"));
          }
        }
        parseTimeZoneMin() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.return(createDateTime(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        /* BOOLEAN */
        parseBoolean() {
          if (this.char === CHAR_t) {
            this.consume();
            return this.next(this.parseTrue_r);
          } else if (this.char === CHAR_f) {
            this.consume();
            return this.next(this.parseFalse_a);
          }
        }
        parseTrue_r() {
          if (this.char === CHAR_r) {
            this.consume();
            return this.next(this.parseTrue_u);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_u() {
          if (this.char === CHAR_u) {
            this.consume();
            return this.next(this.parseTrue_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_e() {
          if (this.char === CHAR_e) {
            return this.return(true);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_a() {
          if (this.char === CHAR_a) {
            this.consume();
            return this.next(this.parseFalse_l);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_l() {
          if (this.char === CHAR_l) {
            this.consume();
            return this.next(this.parseFalse_s);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_s() {
          if (this.char === CHAR_s) {
            this.consume();
            return this.next(this.parseFalse_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_e() {
          if (this.char === CHAR_e) {
            return this.return(false);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        /* INLINE LISTS */
        parseInlineList() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === Parser.END) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_RSQB) {
            return this.return(this.state.resultArr || InlineList());
          } else {
            return this.callNow(this.parseValue, this.recordInlineListValue);
          }
        }
        recordInlineListValue(value) {
          if (this.state.resultArr) {
            const listType = this.state.resultArr[_contentType];
            const valueType = tomlType(value);
            if (listType !== valueType) {
              throw this.error(new TomlError(`Inline lists must be a single type, not a mix of ${listType} and ${valueType}`));
            }
          } else {
            this.state.resultArr = InlineList(tomlType(value));
          }
          if (isFloat(value) || isInteger(value)) {
            this.state.resultArr.push(value.valueOf());
          } else {
            this.state.resultArr.push(value);
          }
          return this.goto(this.parseInlineListNext);
        }
        parseInlineListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineList);
          } else if (this.char === CHAR_RSQB) {
            return this.goto(this.parseInlineList);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
        /* INLINE TABLE */
        parseInlineTable() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_RCUB) {
            return this.return(this.state.resultTable || InlineTable());
          } else {
            if (!this.state.resultTable)
              this.state.resultTable = InlineTable();
            return this.callNow(this.parseAssign, this.recordInlineTableValue);
          }
        }
        recordInlineTableValue(kv) {
          let target = this.state.resultTable;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseInlineTableNext);
        }
        parseInlineTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineTable);
          } else if (this.char === CHAR_RCUB) {
            return this.goto(this.parseInlineTable);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
      }
      return TOMLParser;
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/parse-pretty-error.js
var require_parse_pretty_error2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/parse-pretty-error.js"(exports2, module2) {
    "use strict";
    module2.exports = prettyError;
    function prettyError(err, buf) {
      if (err.pos == null || err.line == null)
        return err;
      let msg = err.message;
      msg += ` at row ${err.line + 1}, col ${err.col + 1}, pos ${err.pos}:
`;
      if (buf && buf.split) {
        const lines = buf.split(/\n/);
        const lineNumWidth = String(Math.min(lines.length, err.line + 3)).length;
        let linePadding = " ";
        while (linePadding.length < lineNumWidth)
          linePadding += " ";
        for (let ii = Math.max(0, err.line - 1); ii < Math.min(lines.length, err.line + 2); ++ii) {
          let lineNum = String(ii + 1);
          if (lineNum.length < lineNumWidth)
            lineNum = " " + lineNum;
          if (err.line === ii) {
            msg += lineNum + "> " + lines[ii] + "\n";
            msg += linePadding + "  ";
            for (let hh = 0; hh < err.col; ++hh) {
              msg += " ";
            }
            msg += "^\n";
          } else {
            msg += lineNum + ": " + lines[ii] + "\n";
          }
        }
      }
      err.message = msg + "\n";
      return err;
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/parse-string.js
var require_parse_string2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/parse-string.js"(exports2, module2) {
    "use strict";
    module2.exports = parseString;
    var TOMLParser = require_toml_parser2();
    var prettyError = require_parse_pretty_error2();
    function parseString(str) {
      if (global.Buffer && global.Buffer.isBuffer(str)) {
        str = str.toString("utf8");
      }
      const parser = new TOMLParser();
      try {
        parser.parse(str);
        return parser.finish();
      } catch (err) {
        throw prettyError(err, str);
      }
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/parse-async.js
var require_parse_async2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/parse-async.js"(exports2, module2) {
    "use strict";
    module2.exports = parseAsync;
    var TOMLParser = require_toml_parser2();
    var prettyError = require_parse_pretty_error2();
    function parseAsync(str, opts) {
      if (!opts)
        opts = {};
      const index = 0;
      const blocksize = opts.blocksize || 40960;
      const parser = new TOMLParser();
      return new Promise((resolve, reject) => {
        setImmediate(parseAsyncNext, index, blocksize, resolve, reject);
      });
      function parseAsyncNext(index2, blocksize2, resolve, reject) {
        if (index2 >= str.length) {
          try {
            return resolve(parser.finish());
          } catch (err) {
            return reject(prettyError(err, str));
          }
        }
        try {
          parser.parse(str.slice(index2, index2 + blocksize2));
          setImmediate(parseAsyncNext, index2 + blocksize2, blocksize2, resolve, reject);
        } catch (err) {
          reject(prettyError(err, str));
        }
      }
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/parse-stream.js
var require_parse_stream2 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/parse-stream.js"(exports2, module2) {
    "use strict";
    module2.exports = parseStream;
    var stream = require("stream");
    var TOMLParser = require_toml_parser2();
    function parseStream(stm) {
      if (stm) {
        return parseReadable(stm);
      } else {
        return parseTransform(stm);
      }
    }
    function parseReadable(stm) {
      const parser = new TOMLParser();
      stm.setEncoding("utf8");
      return new Promise((resolve, reject) => {
        let readable;
        let ended = false;
        let errored = false;
        function finish() {
          ended = true;
          if (readable)
            return;
          try {
            resolve(parser.finish());
          } catch (err) {
            reject(err);
          }
        }
        function error(err) {
          errored = true;
          reject(err);
        }
        stm.once("end", finish);
        stm.once("error", error);
        readNext();
        function readNext() {
          readable = true;
          let data;
          while ((data = stm.read()) !== null) {
            try {
              parser.parse(data);
            } catch (err) {
              return error(err);
            }
          }
          readable = false;
          if (ended)
            return finish();
          if (errored)
            return;
          stm.once("readable", readNext);
        }
      });
    }
    function parseTransform() {
      const parser = new TOMLParser();
      return new stream.Transform({
        objectMode: true,
        transform(chunk, encoding, cb) {
          try {
            parser.parse(chunk.toString(encoding));
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        },
        flush(cb) {
          try {
            this.push(parser.finish());
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        }
      });
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/parse.js
var require_parse6 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/parse.js"(exports2, module2) {
    "use strict";
    module2.exports = require_parse_string2();
    module2.exports.async = require_parse_async2();
    module2.exports.stream = require_parse_stream2();
    module2.exports.prettyError = require_parse_pretty_error2();
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/stringify.js
var require_stringify6 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/stringify.js"(exports2, module2) {
    "use strict";
    module2.exports = stringify;
    module2.exports.value = stringifyInline;
    function stringify(obj) {
      if (obj === null)
        throw typeError("null");
      if (obj === void 0)
        throw typeError("undefined");
      if (typeof obj !== "object")
        throw typeError(typeof obj);
      if (typeof obj.toJSON === "function")
        obj = obj.toJSON();
      if (obj == null)
        return null;
      const type = tomlType2(obj);
      if (type !== "table")
        throw typeError(type);
      return stringifyObject("", "", obj);
    }
    function typeError(type) {
      return new Error("Can only stringify objects, not " + type);
    }
    function arrayOneTypeError() {
      return new Error("Array values can't have mixed types");
    }
    function getInlineKeys(obj) {
      return Object.keys(obj).filter((key) => isInline(obj[key]));
    }
    function getComplexKeys(obj) {
      return Object.keys(obj).filter((key) => !isInline(obj[key]));
    }
    function toJSON(obj) {
      let nobj = Array.isArray(obj) ? [] : Object.prototype.hasOwnProperty.call(obj, "__proto__") ? { ["__proto__"]: void 0 } : {};
      for (let prop of Object.keys(obj)) {
        if (obj[prop] && typeof obj[prop].toJSON === "function" && !("toISOString" in obj[prop])) {
          nobj[prop] = obj[prop].toJSON();
        } else {
          nobj[prop] = obj[prop];
        }
      }
      return nobj;
    }
    function stringifyObject(prefix, indent, obj) {
      obj = toJSON(obj);
      var inlineKeys;
      var complexKeys;
      inlineKeys = getInlineKeys(obj);
      complexKeys = getComplexKeys(obj);
      var result = [];
      var inlineIndent = indent || "";
      inlineKeys.forEach((key) => {
        var type = tomlType2(obj[key]);
        if (type !== "undefined" && type !== "null") {
          result.push(inlineIndent + stringifyKey(key) + " = " + stringifyAnyInline(obj[key], true));
        }
      });
      if (result.length > 0)
        result.push("");
      var complexIndent = prefix && inlineKeys.length > 0 ? indent + "  " : "";
      complexKeys.forEach((key) => {
        result.push(stringifyComplex(prefix, complexIndent, key, obj[key]));
      });
      return result.join("\n");
    }
    function isInline(value) {
      switch (tomlType2(value)) {
        case "undefined":
        case "null":
        case "integer":
        case "nan":
        case "float":
        case "boolean":
        case "string":
        case "datetime":
          return true;
        case "array":
          return value.length === 0 || tomlType2(value[0]) !== "table";
        case "table":
          return Object.keys(value).length === 0;
        default:
          return false;
      }
    }
    function tomlType2(value) {
      if (value === void 0) {
        return "undefined";
      } else if (value === null) {
        return "null";
      } else if (typeof value === "bigint" || Number.isInteger(value) && !Object.is(value, -0)) {
        return "integer";
      } else if (typeof value === "number") {
        return "float";
      } else if (typeof value === "boolean") {
        return "boolean";
      } else if (typeof value === "string") {
        return "string";
      } else if ("toISOString" in value) {
        return isNaN(value) ? "undefined" : "datetime";
      } else if (Array.isArray(value)) {
        return "array";
      } else {
        return "table";
      }
    }
    function stringifyKey(key) {
      var keyStr = String(key);
      if (/^[-A-Za-z0-9_]+$/.test(keyStr)) {
        return keyStr;
      } else {
        return stringifyBasicString(keyStr);
      }
    }
    function stringifyBasicString(str) {
      return '"' + escapeString(str).replace(/"/g, '\\"') + '"';
    }
    function stringifyLiteralString(str) {
      return "'" + str + "'";
    }
    function numpad(num, str) {
      while (str.length < num)
        str = "0" + str;
      return str;
    }
    function escapeString(str) {
      return str.replace(/\\/g, "\\\\").replace(/[\b]/g, "\\b").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\f/g, "\\f").replace(/\r/g, "\\r").replace(/([\u0000-\u001f\u007f])/, (c) => "\\u" + numpad(4, c.codePointAt(0).toString(16)));
    }
    function stringifyMultilineString(str) {
      let escaped = str.split(/\n/).map((str2) => {
        return escapeString(str2).replace(/"(?="")/g, '\\"');
      }).join("\n");
      if (escaped.slice(-1) === '"')
        escaped += "\\\n";
      return '"""\n' + escaped + '"""';
    }
    function stringifyAnyInline(value, multilineOk) {
      let type = tomlType2(value);
      if (type === "string") {
        if (multilineOk && /\n/.test(value)) {
          type = "string-multiline";
        } else if (!/[\b\t\n\f\r']/.test(value) && /"/.test(value)) {
          type = "string-literal";
        }
      }
      return stringifyInline(value, type);
    }
    function stringifyInline(value, type) {
      if (!type)
        type = tomlType2(value);
      switch (type) {
        case "string-multiline":
          return stringifyMultilineString(value);
        case "string":
          return stringifyBasicString(value);
        case "string-literal":
          return stringifyLiteralString(value);
        case "integer":
          return stringifyInteger(value);
        case "float":
          return stringifyFloat(value);
        case "boolean":
          return stringifyBoolean(value);
        case "datetime":
          return stringifyDatetime(value);
        case "array":
          return stringifyInlineArray(value.filter((_) => tomlType2(_) !== "null" && tomlType2(_) !== "undefined" && tomlType2(_) !== "nan"));
        case "table":
          return stringifyInlineTable(value);
        default:
          throw typeError(type);
      }
    }
    function stringifyInteger(value) {
      return String(value).replace(/\B(?=(\d{3})+(?!\d))/g, "_");
    }
    function stringifyFloat(value) {
      if (value === Infinity) {
        return "inf";
      } else if (value === -Infinity) {
        return "-inf";
      } else if (Object.is(value, NaN)) {
        return "nan";
      } else if (Object.is(value, -0)) {
        return "-0.0";
      }
      var chunks = String(value).split(".");
      var int = chunks[0];
      var dec = chunks[1] || 0;
      return stringifyInteger(int) + "." + dec;
    }
    function stringifyBoolean(value) {
      return String(value);
    }
    function stringifyDatetime(value) {
      return value.toISOString();
    }
    function isNumber(type) {
      return type === "float" || type === "integer";
    }
    function arrayType(values) {
      var contentType = tomlType2(values[0]);
      if (values.every((_) => tomlType2(_) === contentType))
        return contentType;
      if (values.every((_) => isNumber(tomlType2(_))))
        return "float";
      return "mixed";
    }
    function validateArray(values) {
      const type = arrayType(values);
      if (type === "mixed") {
        throw arrayOneTypeError();
      }
      return type;
    }
    function stringifyInlineArray(values) {
      values = toJSON(values);
      const type = validateArray(values);
      var result = "[";
      var stringified = values.map((_) => stringifyInline(_, type));
      if (stringified.join(", ").length > 60 || /\n/.test(stringified)) {
        result += "\n  " + stringified.join(",\n  ") + "\n";
      } else {
        result += " " + stringified.join(", ") + (stringified.length > 0 ? " " : "");
      }
      return result + "]";
    }
    function stringifyInlineTable(value) {
      value = toJSON(value);
      var result = [];
      Object.keys(value).forEach((key) => {
        result.push(stringifyKey(key) + " = " + stringifyAnyInline(value[key], false));
      });
      return "{ " + result.join(", ") + (result.length > 0 ? " " : "") + "}";
    }
    function stringifyComplex(prefix, indent, key, value) {
      var valueType = tomlType2(value);
      if (valueType === "array") {
        return stringifyArrayOfTables(prefix, indent, key, value);
      } else if (valueType === "table") {
        return stringifyComplexTable(prefix, indent, key, value);
      } else {
        throw typeError(valueType);
      }
    }
    function stringifyArrayOfTables(prefix, indent, key, values) {
      values = toJSON(values);
      validateArray(values);
      var firstValueType = tomlType2(values[0]);
      if (firstValueType !== "table")
        throw typeError(firstValueType);
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      values.forEach((table) => {
        if (result.length > 0)
          result += "\n";
        result += indent + "[[" + fullKey + "]]\n";
        result += stringifyObject(fullKey + ".", indent, table);
      });
      return result;
    }
    function stringifyComplexTable(prefix, indent, key, value) {
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      if (getInlineKeys(value).length > 0) {
        result += indent + "[" + fullKey + "]\n";
      }
      return result + stringifyObject(fullKey + ".", indent, value);
    }
  }
});

// ../../components/source-repositories/node_modules/@iarna/toml/toml.js
var require_toml3 = __commonJS({
  "../../components/source-repositories/node_modules/@iarna/toml/toml.js"(exports2) {
    "use strict";
    exports2.parse = require_parse6();
    exports2.stringify = require_stringify6();
  }
});

// ../../components/source-repositories/node_modules/projen/lib/toml.js
var require_toml4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/toml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TomlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml3();
    var object_file_1 = require_object_file2();
    var TomlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          TOML.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.TomlFile = TomlFile;
    _a = JSII_RTTI_SYMBOL_1;
    TomlFile[_a] = { fqn: "projen.TomlFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/version.js
var require_version2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/version.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Version = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component2();
    var Version = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.changelogFileName = "changelog.md";
        this.versionFileName = "version.txt";
        this.releaseTagFileName = "releasetag.txt";
        const versionInputFile = options.versionInputFile;
        const changesSinceLastRelease = '! git log --oneline -1 | grep -q "chore(release):"';
        const changelogFile = path_1.posix.join(options.artifactsDirectory, this.changelogFileName);
        const bumpFile = path_1.posix.join(options.artifactsDirectory, this.versionFileName);
        const releaseTagFile = path_1.posix.join(options.artifactsDirectory, this.releaseTagFileName);
        const env = {
          OUTFILE: versionInputFile,
          CHANGELOG: changelogFile,
          BUMPFILE: bumpFile,
          RELEASETAG: releaseTagFile,
          RELEASE_TAG_PREFIX: options.tagPrefix ?? "",
          // doesn't work if custom configuration is long
          VERSIONRCOPTIONS: JSON.stringify(options.versionrcOptions)
        };
        this.bumpTask = project.addTask("bump", {
          description: "Bumps version based on latest git tag and generates a changelog entry",
          condition: changesSinceLastRelease,
          env
        });
        this.bumpTask.builtin("release/bump-version");
        this.unbumpTask = project.addTask("unbump", {
          description: "Restores version to 0.0.0",
          env
        });
        this.unbumpTask.builtin("release/reset-version");
        project.addGitIgnore(`/${changelogFile}`);
        project.addGitIgnore(`/${bumpFile}`);
        project.addPackageIgnore(`/${changelogFile}`);
        project.addPackageIgnore(`/${bumpFile}`);
      }
    };
    exports2.Version = Version;
    _a = JSII_RTTI_SYMBOL_1;
    Version[_a] = { fqn: "projen.Version", version: "0.71.112" };
    Version.STANDARD_VERSION = "standard-version@^9";
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/interfaces.js
var require_interfaces5 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DefaultBuilderOptions = {
      version: "1.0",
      encoding: void 0,
      standalone: void 0,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      skipWhitespaceOnlyText: true,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      },
      invalidCharReplacement: void 0,
      parser: void 0
    };
    exports2.XMLBuilderOptionKeys = new Set(Object.keys(exports2.DefaultBuilderOptions));
    exports2.DefaultXMLBuilderCBOptions = {
      format: "xml",
      wellFormed: false,
      prettyPrint: false,
      indent: "  ",
      newline: "\n",
      offset: 0,
      width: 0,
      allowEmptyTags: false,
      spaceBeforeSlash: false,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      }
    };
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/FixedSizeSet.js
var require_FixedSizeSet2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/FixedSizeSet.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet = (
      /** @class */
      function() {
        function FixedSizeSet2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Set();
          this._limit = limit;
        }
        FixedSizeSet2.prototype.add = function(item) {
          this._items.add(item);
          if (this._items.size > this._limit) {
            var it_1 = this._items.values().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return this;
        };
        FixedSizeSet2.prototype.delete = function(item) {
          return this._items.delete(item);
        };
        FixedSizeSet2.prototype.has = function(item) {
          return this._items.has(item);
        };
        FixedSizeSet2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(FixedSizeSet2.prototype, "size", {
          /**
           * Gets the number of items in the set.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        FixedSizeSet2.prototype.forEach = function(callback, thisArg) {
          var _this = this;
          this._items.forEach(function(e) {
            return callback.call(thisArg, e, e, _this);
          });
        };
        FixedSizeSet2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(FixedSizeSet2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the set.
           */
          get: function() {
            return "FixedSizeSet";
          },
          enumerable: true,
          configurable: true
        });
        return FixedSizeSet2;
      }()
    );
    exports2.FixedSizeSet = FixedSizeSet;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/ObjectCache.js
var require_ObjectCache2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/ObjectCache.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectCache = (
      /** @class */
      function() {
        function ObjectCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        ObjectCache2.prototype.get = function(key) {
          return this._items.get(key);
        };
        ObjectCache2.prototype.set = function(key, value) {
          this._items.set(key, value);
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
        };
        ObjectCache2.prototype.delete = function(key) {
          return this._items.delete(key);
        };
        ObjectCache2.prototype.has = function(key) {
          return this._items.has(key);
        };
        ObjectCache2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(ObjectCache2.prototype, "size", {
          /**
           * Gets the number of items in the cache.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        ObjectCache2.prototype.forEach = function(callback, thisArg) {
          this._items.forEach(function(v, k) {
            return callback.call(thisArg, k, v);
          });
        };
        ObjectCache2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(ObjectCache2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the cache.
           */
          get: function() {
            return "ObjectCache";
          },
          enumerable: true,
          configurable: true
        });
        return ObjectCache2;
      }()
    );
    exports2.ObjectCache = ObjectCache;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/CompareCache.js
var require_CompareCache2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/CompareCache.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CompareCache = (
      /** @class */
      function() {
        function CompareCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        CompareCache2.prototype.check = function(objA, objB) {
          if (this._items.get(objA) === objB)
            return true;
          else if (this._items.get(objB) === objA)
            return false;
          var result = Math.random() < 0.5;
          if (result) {
            this._items.set(objA, objB);
          } else {
            this._items.set(objB, objA);
          }
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return result;
        };
        return CompareCache2;
      }()
    );
    exports2.CompareCache = CompareCache;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/Lazy.js
var require_Lazy2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/Lazy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Lazy = (
      /** @class */
      function() {
        function Lazy2(initFunc) {
          this._initialized = false;
          this._value = void 0;
          this._initFunc = initFunc;
        }
        Object.defineProperty(Lazy2.prototype, "value", {
          /**
           * Gets the value of the object.
           */
          get: function() {
            if (!this._initialized) {
              this._value = this._initFunc();
              this._initialized = true;
            }
            return this._value;
          },
          enumerable: true,
          configurable: true
        });
        return Lazy2;
      }()
    );
    exports2.Lazy = Lazy;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/StringWalker.js
var require_StringWalker2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/StringWalker.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var StringWalker = (
      /** @class */
      function() {
        function StringWalker2(input) {
          this._pointer = 0;
          this._chars = Array.from(input);
          this._length = this._chars.length;
        }
        Object.defineProperty(StringWalker2.prototype, "eof", {
          /**
           * Determines if the current position is beyond the end of string.
           */
          get: function() {
            return this._pointer >= this._length;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(StringWalker2.prototype, "length", {
          /**
           * Returns the number of code points in the input string.
           */
          get: function() {
            return this._length;
          },
          enumerable: true,
          configurable: true
        });
        StringWalker2.prototype.codePoint = function() {
          if (this._codePoint === void 0) {
            if (this.eof) {
              this._codePoint = -1;
            } else {
              var cp = this._chars[this._pointer].codePointAt(0);
              if (cp !== void 0) {
                this._codePoint = cp;
              } else {
                this._codePoint = -1;
              }
            }
          }
          return this._codePoint;
        };
        StringWalker2.prototype.c = function() {
          if (this._c === void 0) {
            this._c = this.eof ? "" : this._chars[this._pointer];
          }
          return this._c;
        };
        StringWalker2.prototype.remaining = function() {
          if (this._remaining === void 0) {
            this._remaining = this.eof ? "" : this._chars.slice(this._pointer + 1).join("");
          }
          return this._remaining;
        };
        StringWalker2.prototype.substring = function() {
          if (this._substring === void 0) {
            this._substring = this.eof ? "" : this._chars.slice(this._pointer).join("");
          }
          return this._substring;
        };
        Object.defineProperty(StringWalker2.prototype, "pointer", {
          /**
           * Gets or sets the current position.
           */
          get: function() {
            return this._pointer;
          },
          set: function(val) {
            if (val === this._pointer)
              return;
            this._pointer = val;
            this._codePoint = void 0;
            this._c = void 0;
            this._remaining = void 0;
            this._substring = void 0;
          },
          enumerable: true,
          configurable: true
        });
        return StringWalker2;
      }()
    );
    exports2.StringWalker = StringWalker;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/util/lib/index.js
var require_lib7 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/util/lib/index.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet_1 = require_FixedSizeSet2();
    exports2.FixedSizeSet = FixedSizeSet_1.FixedSizeSet;
    var ObjectCache_1 = require_ObjectCache2();
    exports2.ObjectCache = ObjectCache_1.ObjectCache;
    var CompareCache_1 = require_CompareCache2();
    exports2.CompareCache = CompareCache_1.CompareCache;
    var Lazy_1 = require_Lazy2();
    exports2.Lazy = Lazy_1.Lazy;
    var StringWalker_1 = require_StringWalker2();
    exports2.StringWalker = StringWalker_1.StringWalker;
    function applyMixin(baseClass, mixinClass) {
      var overrides = [];
      for (var _i = 2; _i < arguments.length; _i++) {
        overrides[_i - 2] = arguments[_i];
      }
      Object.getOwnPropertyNames(mixinClass.prototype).forEach(function(name) {
        if (name !== "constructor") {
          if (overrides.indexOf(name) !== -1) {
            var orgPropDesc = Object.getOwnPropertyDescriptor(baseClass.prototype, name);
            if (orgPropDesc) {
              Object.defineProperty(baseClass.prototype, "_" + name, orgPropDesc);
            }
          }
          var propDesc = Object.getOwnPropertyDescriptor(mixinClass.prototype, name);
          if (propDesc) {
            Object.defineProperty(baseClass.prototype, name, propDesc);
          }
        }
      });
    }
    exports2.applyMixin = applyMixin;
    function applyDefaults(obj, defaults, overwrite) {
      if (overwrite === void 0) {
        overwrite = false;
      }
      var result = clone(obj || {});
      forEachObject(defaults, function(key, val) {
        if (isPlainObject(val)) {
          result[key] = applyDefaults(result[key], val, overwrite);
        } else if (overwrite || result[key] === void 0) {
          result[key] = val;
        }
      });
      return result;
    }
    exports2.applyDefaults = applyDefaults;
    function forEachArray(arr, callback, thisArg) {
      arr.forEach(callback, thisArg);
    }
    exports2.forEachArray = forEachArray;
    function forEachObject(obj, callback, thisArg) {
      if (isMap(obj)) {
        obj.forEach(function(value, key2) {
          return callback.call(thisArg, key2, value);
        });
      } else {
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            callback.call(thisArg, key, obj[key]);
          }
        }
      }
    }
    exports2.forEachObject = forEachObject;
    function arrayLength(obj) {
      if (isSet(obj)) {
        return obj.size;
      } else {
        return obj.length;
      }
    }
    exports2.arrayLength = arrayLength;
    function objectLength(obj) {
      if (isMap(obj)) {
        return obj.size;
      } else {
        return Object.keys(obj).length;
      }
    }
    exports2.objectLength = objectLength;
    function getObjectValue(obj, key) {
      if (isMap(obj)) {
        return obj.get(key);
      } else {
        return obj[key];
      }
    }
    exports2.getObjectValue = getObjectValue;
    function removeObjectValue(obj, key) {
      if (isMap(obj)) {
        obj.delete(key);
      } else {
        delete obj[key];
      }
    }
    exports2.removeObjectValue = removeObjectValue;
    function clone(obj) {
      var e_1, _a;
      if (isFunction(obj)) {
        return obj;
      } else if (isArray(obj)) {
        var result = [];
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
            var item = obj_1_1.value;
            result.push(clone(item));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (isObject(obj)) {
        var result = {};
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            var val = obj[key];
            result[key] = clone(val);
          }
        }
        return result;
      } else {
        return obj;
      }
    }
    exports2.clone = clone;
    function isBoolean(x) {
      return typeof x === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNumber(x) {
      return typeof x === "number";
    }
    exports2.isNumber = isNumber;
    function isString(x) {
      return typeof x === "string";
    }
    exports2.isString = isString;
    function isFunction(x) {
      return !!x && Object.prototype.toString.call(x) === "[object Function]";
    }
    exports2.isFunction = isFunction;
    function isObject(x) {
      var type = typeof x;
      return !!x && (type === "function" || type === "object");
    }
    exports2.isObject = isObject;
    function isArray(x) {
      return Array.isArray(x);
    }
    exports2.isArray = isArray;
    function isSet(x) {
      return x instanceof Set;
    }
    exports2.isSet = isSet;
    function isMap(x) {
      return x instanceof Map;
    }
    exports2.isMap = isMap;
    function isEmpty(x) {
      if (isArray(x)) {
        return !x.length;
      } else if (isSet(x)) {
        return !x.size;
      } else if (isMap(x)) {
        return !x.size;
      } else if (isObject(x)) {
        for (var key in x) {
          if (x.hasOwnProperty(key)) {
            return false;
          }
        }
        return true;
      }
      return false;
    }
    exports2.isEmpty = isEmpty;
    function isPlainObject(x) {
      if (isObject(x)) {
        var proto = Object.getPrototypeOf(x);
        var ctor = proto.constructor;
        return proto && ctor && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
      }
      return false;
    }
    exports2.isPlainObject = isPlainObject;
    function isIterable(x) {
      return x && typeof x[Symbol.iterator] === "function";
    }
    exports2.isIterable = isIterable;
    function getValue(obj) {
      if (isFunction(obj.valueOf)) {
        return obj.valueOf();
      } else {
        return obj;
      }
    }
    exports2.getValue = getValue;
    function utf8Encode(input) {
      var bytes = new Uint8Array(input.length * 4);
      var byteIndex = 0;
      for (var i = 0; i < input.length; i++) {
        var char = input.charCodeAt(i);
        if (char < 128) {
          bytes[byteIndex++] = char;
          continue;
        } else if (char < 2048) {
          bytes[byteIndex++] = char >> 6 | 192;
        } else {
          if (char > 55295 && char < 56320) {
            if (++i >= input.length) {
              throw new Error("Incomplete surrogate pair.");
            }
            var c2 = input.charCodeAt(i);
            if (c2 < 56320 || c2 > 57343) {
              throw new Error("Invalid surrogate character.");
            }
            char = 65536 + ((char & 1023) << 10) + (c2 & 1023);
            bytes[byteIndex++] = char >> 18 | 240;
            bytes[byteIndex++] = char >> 12 & 63 | 128;
          } else {
            bytes[byteIndex++] = char >> 12 | 224;
          }
          bytes[byteIndex++] = char >> 6 & 63 | 128;
        }
        bytes[byteIndex++] = char & 63 | 128;
      }
      return bytes.subarray(0, byteIndex);
    }
    exports2.utf8Encode = utf8Encode;
    function utf8Decode(bytes) {
      var result = "";
      var i = 0;
      while (i < bytes.length) {
        var c = bytes[i++];
        if (c > 127) {
          if (c > 191 && c < 224) {
            if (i >= bytes.length) {
              throw new Error("Incomplete 2-byte sequence.");
            }
            c = (c & 31) << 6 | bytes[i++] & 63;
          } else if (c > 223 && c < 240) {
            if (i + 1 >= bytes.length) {
              throw new Error("Incomplete 3-byte sequence.");
            }
            c = (c & 15) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else if (c > 239 && c < 248) {
            if (i + 2 >= bytes.length) {
              throw new Error("Incomplete 4-byte sequence.");
            }
            c = (c & 7) << 18 | (bytes[i++] & 63) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else {
            throw new Error("Unknown multi-byte start.");
          }
        }
        if (c <= 65535) {
          result += String.fromCharCode(c);
        } else if (c <= 1114111) {
          c -= 65536;
          result += String.fromCharCode(c >> 10 | 55296);
          result += String.fromCharCode(c & 1023 | 56320);
        } else {
          throw new Error("Code point exceeds UTF-16 limit.");
        }
      }
      return result;
    }
    exports2.utf8Decode = utf8Decode;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/interfaces.js
var require_interfaces6 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BoundaryPosition;
    (function(BoundaryPosition2) {
      BoundaryPosition2[BoundaryPosition2["Before"] = 0] = "Before";
      BoundaryPosition2[BoundaryPosition2["Equal"] = 1] = "Equal";
      BoundaryPosition2[BoundaryPosition2["After"] = 2] = "After";
    })(BoundaryPosition = exports2.BoundaryPosition || (exports2.BoundaryPosition = {}));
    var EventPhase;
    (function(EventPhase2) {
      EventPhase2[EventPhase2["None"] = 0] = "None";
      EventPhase2[EventPhase2["Capturing"] = 1] = "Capturing";
      EventPhase2[EventPhase2["AtTarget"] = 2] = "AtTarget";
      EventPhase2[EventPhase2["Bubbling"] = 3] = "Bubbling";
    })(EventPhase = exports2.EventPhase || (exports2.EventPhase = {}));
    var NodeType;
    (function(NodeType2) {
      NodeType2[NodeType2["Element"] = 1] = "Element";
      NodeType2[NodeType2["Attribute"] = 2] = "Attribute";
      NodeType2[NodeType2["Text"] = 3] = "Text";
      NodeType2[NodeType2["CData"] = 4] = "CData";
      NodeType2[NodeType2["EntityReference"] = 5] = "EntityReference";
      NodeType2[NodeType2["Entity"] = 6] = "Entity";
      NodeType2[NodeType2["ProcessingInstruction"] = 7] = "ProcessingInstruction";
      NodeType2[NodeType2["Comment"] = 8] = "Comment";
      NodeType2[NodeType2["Document"] = 9] = "Document";
      NodeType2[NodeType2["DocumentType"] = 10] = "DocumentType";
      NodeType2[NodeType2["DocumentFragment"] = 11] = "DocumentFragment";
      NodeType2[NodeType2["Notation"] = 12] = "Notation";
    })(NodeType = exports2.NodeType || (exports2.NodeType = {}));
    var Position;
    (function(Position2) {
      Position2[Position2["Disconnected"] = 1] = "Disconnected";
      Position2[Position2["Preceding"] = 2] = "Preceding";
      Position2[Position2["Following"] = 4] = "Following";
      Position2[Position2["Contains"] = 8] = "Contains";
      Position2[Position2["ContainedBy"] = 16] = "ContainedBy";
      Position2[Position2["ImplementationSpecific"] = 32] = "ImplementationSpecific";
    })(Position = exports2.Position || (exports2.Position = {}));
    var FilterResult;
    (function(FilterResult2) {
      FilterResult2[FilterResult2["Accept"] = 1] = "Accept";
      FilterResult2[FilterResult2["Reject"] = 2] = "Reject";
      FilterResult2[FilterResult2["Skip"] = 3] = "Skip";
    })(FilterResult = exports2.FilterResult || (exports2.FilterResult = {}));
    var WhatToShow;
    (function(WhatToShow2) {
      WhatToShow2[WhatToShow2["All"] = 4294967295] = "All";
      WhatToShow2[WhatToShow2["Element"] = 1] = "Element";
      WhatToShow2[WhatToShow2["Attribute"] = 2] = "Attribute";
      WhatToShow2[WhatToShow2["Text"] = 4] = "Text";
      WhatToShow2[WhatToShow2["CDataSection"] = 8] = "CDataSection";
      WhatToShow2[WhatToShow2["EntityReference"] = 16] = "EntityReference";
      WhatToShow2[WhatToShow2["Entity"] = 32] = "Entity";
      WhatToShow2[WhatToShow2["ProcessingInstruction"] = 64] = "ProcessingInstruction";
      WhatToShow2[WhatToShow2["Comment"] = 128] = "Comment";
      WhatToShow2[WhatToShow2["Document"] = 256] = "Document";
      WhatToShow2[WhatToShow2["DocumentType"] = 512] = "DocumentType";
      WhatToShow2[WhatToShow2["DocumentFragment"] = 1024] = "DocumentFragment";
      WhatToShow2[WhatToShow2["Notation"] = 2048] = "Notation";
    })(WhatToShow = exports2.WhatToShow || (exports2.WhatToShow = {}));
    var HowToCompare;
    (function(HowToCompare2) {
      HowToCompare2[HowToCompare2["StartToStart"] = 0] = "StartToStart";
      HowToCompare2[HowToCompare2["StartToEnd"] = 1] = "StartToEnd";
      HowToCompare2[HowToCompare2["EndToEnd"] = 2] = "EndToEnd";
      HowToCompare2[HowToCompare2["EndToStart"] = 3] = "EndToStart";
    })(HowToCompare = exports2.HowToCompare || (exports2.HowToCompare = {}));
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js
var require_LocalNameSet2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var LocalNameSet = (
      /** @class */
      function() {
        function LocalNameSet2() {
          this._items = {};
          this._nullItems = {};
        }
        LocalNameSet2.prototype.set = function(ns, localName) {
          if (ns === null) {
            this._nullItems[localName] = true;
          } else if (this._items[ns]) {
            this._items[ns][localName] = true;
          } else {
            this._items[ns] = {};
            this._items[ns][localName] = true;
          }
        };
        LocalNameSet2.prototype.has = function(ns, localName) {
          if (ns === null) {
            return this._nullItems[localName] === true;
          } else if (this._items[ns]) {
            return this._items[ns][localName] === true;
          } else {
            return false;
          }
        };
        return LocalNameSet2;
      }()
    );
    exports2.LocalNameSet = LocalNameSet;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js
var require_NamespacePrefixMap2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NamespacePrefixMap = (
      /** @class */
      function() {
        function NamespacePrefixMap2() {
          this._items = {};
          this._nullItems = [];
        }
        NamespacePrefixMap2.prototype.copy = function() {
          var mapCopy = new NamespacePrefixMap2();
          for (var key in this._items) {
            mapCopy._items[key] = this._items[key].slice(0);
          }
          mapCopy._nullItems = this._nullItems.slice(0);
          return mapCopy;
        };
        NamespacePrefixMap2.prototype.get = function(preferredPrefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return null;
          }
          var prefix = null;
          for (var i = 0; i < candidatesList.length; i++) {
            prefix = candidatesList[i];
            if (prefix === preferredPrefix) {
              return prefix;
            }
          }
          return prefix;
        };
        NamespacePrefixMap2.prototype.has = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return false;
          }
          return candidatesList.indexOf(prefix) !== -1;
        };
        NamespacePrefixMap2.prototype.hasPrefix = function(prefix) {
          if (this._nullItems.indexOf(prefix) !== -1)
            return true;
          for (var key in this._items) {
            if (this._items[key].indexOf(prefix) !== -1)
              return true;
          }
          return false;
        };
        NamespacePrefixMap2.prototype.set = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (ns !== null && candidatesList === null) {
            this._items[ns] = [prefix];
          } else {
            candidatesList.push(prefix);
          }
        };
        return NamespacePrefixMap2;
      }()
    );
    exports2.NamespacePrefixMap = NamespacePrefixMap;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/CodePoints.js
var require_CodePoints2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/CodePoints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Surrogate = /[\uD800-\uDFFF]/;
    exports2.ScalarValue = /[\uD800-\uDFFF]/;
    exports2.NonCharacter = /[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/;
    exports2.ASCIICodePoint = /[\u0000-\u007F]/;
    exports2.ASCIITabOrNewLine = /[\t\n\r]/;
    exports2.ASCIIWhiteSpace = /[\t\n\f\r ]/;
    exports2.C0Control = /[\u0000-\u001F]/;
    exports2.C0ControlOrSpace = /[\u0000-\u001F ]/;
    exports2.Control = /[\u0000-\u001F\u007F-\u009F]/;
    exports2.ASCIIDigit = /[0-9]/;
    exports2.ASCIIUpperHexDigit = /[0-9A-F]/;
    exports2.ASCIILowerHexDigit = /[0-9a-f]/;
    exports2.ASCIIHexDigit = /[0-9A-Fa-f]/;
    exports2.ASCIIUpperAlpha = /[A-Z]/;
    exports2.ASCIILowerAlpha = /[a-z]/;
    exports2.ASCIIAlpha = /[A-Za-z]/;
    exports2.ASCIIAlphanumeric = /[0-9A-Za-z]/;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Base64.js
var require_Base642 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Base64.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints2();
    function forgivingBase64Encode(input) {
      return Buffer.from(input).toString("base64");
    }
    exports2.forgivingBase64Encode = forgivingBase64Encode;
    function forgivingBase64Decode(input) {
      if (input === "")
        return "";
      input = input.replace(CodePoints_1.ASCIIWhiteSpace, "");
      if (input.length % 4 === 0) {
        if (input.endsWith("==")) {
          input = input.substr(0, input.length - 2);
        } else if (input.endsWith("=")) {
          input = input.substr(0, input.length - 1);
        }
      }
      if (input.length % 4 === 1)
        return null;
      if (!/[0-9A-Za-z+/]/.test(input))
        return null;
      return Buffer.from(input, "base64").toString("utf8");
    }
    exports2.forgivingBase64Decode = forgivingBase64Decode;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Byte.js
var require_Byte2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Byte.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function isASCIIByte(byte) {
      return byte >= 0 && byte <= 127;
    }
    exports2.isASCIIByte = isASCIIByte;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/ByteSequence.js
var require_ByteSequence2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/ByteSequence.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    function length(list) {
      return list.length;
    }
    exports2.length = length;
    function byteLowercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 65 && c <= 90) {
          list[i] = c + 32;
        }
      }
    }
    exports2.byteLowercase = byteLowercase;
    function byteUppercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 97 && c <= 122) {
          list[i] = c - 32;
        }
      }
    }
    exports2.byteUppercase = byteUppercase;
    function byteCaseInsensitiveMatch(listA, listB) {
      if (listA.length !== listB.length)
        return false;
      for (var i = 0; i < listA.length; i++) {
        var a = listA[i];
        var b = listB[i];
        if (a >= 65 && a <= 90)
          a += 32;
        if (b >= 65 && b <= 90)
          b += 32;
        if (a !== b)
          return false;
      }
      return true;
    }
    exports2.byteCaseInsensitiveMatch = byteCaseInsensitiveMatch;
    function startsWith(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        if (listA[i] !== listB[i])
          return false;
        i++;
      }
    }
    exports2.startsWith = startsWith;
    function byteLessThan(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        var a = listA[i];
        var b = listB[i];
        if (a < b)
          return true;
        else if (a > b)
          return false;
        i++;
      }
    }
    exports2.byteLessThan = byteLessThan;
    function isomorphicDecode(list) {
      return String.fromCodePoint.apply(String, __spread(list));
    }
    exports2.isomorphicDecode = isomorphicDecode;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/JSON.js
var require_JSON2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/JSON.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    function parseJSONFromBytes(bytes) {
      var jsonText = util_1.utf8Decode(bytes);
      return JSON.parse.call(void 0, jsonText);
    }
    exports2.parseJSONFromBytes = parseJSONFromBytes;
    function serializeJSONToBytes(value) {
      var jsonString = JSON.stringify.call(void 0, value);
      return util_1.utf8Encode(jsonString);
    }
    exports2.serializeJSONToBytes = serializeJSONToBytes;
    function parseJSONIntoInfraValues(jsonText) {
      var jsValue = JSON.parse.call(void 0, jsonText);
      return convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue);
    }
    exports2.parseJSONIntoInfraValues = parseJSONIntoInfraValues;
    function convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue) {
      var e_1, _a;
      if (jsValue === null || util_1.isString(jsValue) || util_1.isNumber(jsValue))
        return jsValue;
      if (util_1.isArray(jsValue)) {
        var result = new Array();
        try {
          for (var jsValue_1 = __values(jsValue), jsValue_1_1 = jsValue_1.next(); !jsValue_1_1.done; jsValue_1_1 = jsValue_1.next()) {
            var jsValueAtIndex = jsValue_1_1.value;
            result.push(convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtIndex));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (jsValue_1_1 && !jsValue_1_1.done && (_a = jsValue_1.return))
              _a.call(jsValue_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (util_1.isObject(jsValue)) {
        var result = /* @__PURE__ */ new Map();
        for (var key in jsValue) {
          if (jsValue.hasOwnProperty(key)) {
            var jsValueAtKey = jsValue[key];
            result.set(key, convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtKey));
          }
        }
        return result;
      }
      return jsValue;
    }
    exports2.convertAJSONDerivedJavaScriptValueToAnInfraValue = convertAJSONDerivedJavaScriptValueToAnInfraValue;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/List.js
var require_List2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/List.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    function append(list, item) {
      list.push(item);
    }
    exports2.append = append;
    function extend(listA, listB) {
      listA.push.apply(listA, __spread(listB));
    }
    exports2.extend = extend;
    function prepend(list, item) {
      list.unshift(item);
    }
    exports2.prepend = prepend;
    function replace(list, conditionOrItem, newItem) {
      var e_1, _a;
      var i = 0;
      try {
        for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
          var oldItem = list_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              list[i] = newItem;
            }
          } else if (oldItem === conditionOrItem) {
            list[i] = newItem;
            return;
          }
          i++;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (list_1_1 && !list_1_1.done && (_a = list_1.return))
            _a.call(list_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.replace = replace;
    function insert(list, item, index) {
      list.splice(index, 0, item);
    }
    exports2.insert = insert;
    function remove(list, conditionOrItem) {
      var i = list.length;
      while (i--) {
        var oldItem = list[i];
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            list.splice(i, 1);
          }
        } else if (oldItem === conditionOrItem) {
          list.splice(i, 1);
          return;
        }
      }
    }
    exports2.remove = remove;
    function empty(list) {
      list.length = 0;
    }
    exports2.empty = empty;
    function contains(list, conditionOrItem) {
      var e_2, _a;
      try {
        for (var list_2 = __values(list), list_2_1 = list_2.next(); !list_2_1.done; list_2_1 = list_2.next()) {
          var oldItem = list_2_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          } else if (oldItem === conditionOrItem) {
            return true;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (list_2_1 && !list_2_1.done && (_a = list_2.return))
            _a.call(list_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(list, condition) {
      var e_3, _a;
      if (condition === void 0) {
        return list.length;
      } else {
        var count = 0;
        try {
          for (var list_3 = __values(list), list_3_1 = list_3.next(); !list_3_1.done; list_3_1 = list_3.next()) {
            var item = list_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (list_3_1 && !list_3_1.done && (_a = list_3.return))
              _a.call(list_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(list) {
      return list.length === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(list, condition) {
      var list_4, list_4_1, item, e_4_1;
      var e_4, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(list)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            list_4 = __values(list), list_4_1 = list_4.next();
            _b.label = 3;
          case 3:
            if (!!list_4_1.done)
              return [3, 6];
            item = list_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            list_4_1 = list_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_4_1 = _b.sent();
            e_4 = { error: e_4_1 };
            return [3, 9];
          case 8:
            try {
              if (list_4_1 && !list_4_1.done && (_a = list_4.return))
                _a.call(list_4);
            } finally {
              if (e_4)
                throw e_4.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(list) {
      return new (Array.bind.apply(Array, __spread([void 0], list)))();
    }
    exports2.clone = clone;
    function sortInAscendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Map.js
var require_Map2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Map.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    function get(map, key) {
      return map.get(key);
    }
    exports2.get = get;
    function set(map, key, val) {
      map.set(key, val);
    }
    exports2.set = set;
    function remove(map, conditionOrItem) {
      var e_1, _a, e_2, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        map.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var map_1 = __values(map), map_1_1 = map_1.next(); !map_1_1.done; map_1_1 = map_1.next()) {
            var item = map_1_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item[0]);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (map_1_1 && !map_1_1.done && (_a = map_1.return))
              _a.call(map_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var key = toRemove_1_1.value;
            map.delete(key);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function contains(map, conditionOrItem) {
      var e_3, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return map.has(conditionOrItem);
      } else {
        try {
          for (var map_2 = __values(map), map_2_1 = map_2.next(); !map_2_1.done; map_2_1 = map_2.next()) {
            var item = map_2_1.value;
            if (!!conditionOrItem.call(null, item)) {
              return true;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (map_2_1 && !map_2_1.done && (_a = map_2.return))
              _a.call(map_2);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return false;
      }
    }
    exports2.contains = contains;
    function keys(map) {
      return new Set(map.keys());
    }
    exports2.keys = keys;
    function values(map) {
      return __spread(map.values());
    }
    exports2.values = values;
    function size(map, condition) {
      var e_4, _a;
      if (condition === void 0) {
        return map.size;
      } else {
        var count = 0;
        try {
          for (var map_3 = __values(map), map_3_1 = map_3.next(); !map_3_1.done; map_3_1 = map_3.next()) {
            var item = map_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (map_3_1 && !map_3_1.done && (_a = map_3.return))
              _a.call(map_3);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(map) {
      return map.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(map, condition) {
      var map_4, map_4_1, item, e_5_1;
      var e_5, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(map)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            map_4 = __values(map), map_4_1 = map_4.next();
            _b.label = 3;
          case 3:
            if (!!map_4_1.done)
              return [3, 6];
            item = map_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            map_4_1 = map_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_5_1 = _b.sent();
            e_5 = { error: e_5_1 };
            return [3, 9];
          case 8:
            try {
              if (map_4_1 && !map_4_1.done && (_a = map_4.return))
                _a.call(map_4);
            } finally {
              if (e_5)
                throw e_5.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(map) {
      return new Map(map);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Map(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Map(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Namespace.js
var require_Namespace2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Namespace.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HTML = "http://www.w3.org/1999/xhtml";
    exports2.XML = "http://www.w3.org/XML/1998/namespace";
    exports2.XMLNS = "http://www.w3.org/2000/xmlns/";
    exports2.MathML = "http://www.w3.org/1998/Math/MathML";
    exports2.SVG = "http://www.w3.org/2000/svg";
    exports2.XLink = "http://www.w3.org/1999/xlink";
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Queue.js
var require_Queue2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Queue.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function enqueue(list, item) {
      list.push(item);
    }
    exports2.enqueue = enqueue;
    function dequeue(list) {
      return list.shift() || null;
    }
    exports2.dequeue = dequeue;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Set.js
var require_Set2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Set.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    function append(set, item) {
      set.add(item);
    }
    exports2.append = append;
    function extend(setA, setB) {
      setB.forEach(setA.add, setA);
    }
    exports2.extend = extend;
    function prepend(set, item) {
      var cloned = new Set(set);
      set.clear();
      set.add(item);
      cloned.forEach(set.add, set);
    }
    exports2.prepend = prepend;
    function replace(set, conditionOrItem, newItem) {
      var e_1, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var set_1 = __values(set), set_1_1 = set_1.next(); !set_1_1.done; set_1_1 = set_1.next()) {
          var oldItem = set_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              newSet.add(newItem);
            } else {
              newSet.add(oldItem);
            }
          } else if (oldItem === conditionOrItem) {
            newSet.add(newItem);
          } else {
            newSet.add(oldItem);
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set_1_1 && !set_1_1.done && (_a = set_1.return))
            _a.call(set_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.replace = replace;
    function insert(set, item, index) {
      var e_2, _a;
      var newSet = /* @__PURE__ */ new Set();
      var i = 0;
      try {
        for (var set_2 = __values(set), set_2_1 = set_2.next(); !set_2_1.done; set_2_1 = set_2.next()) {
          var oldItem = set_2_1.value;
          if (i === index)
            newSet.add(item);
          newSet.add(oldItem);
          i++;
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (set_2_1 && !set_2_1.done && (_a = set_2.return))
            _a.call(set_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.insert = insert;
    function remove(set, conditionOrItem) {
      var e_3, _a, e_4, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        set.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var set_3 = __values(set), set_3_1 = set_3.next(); !set_3_1.done; set_3_1 = set_3.next()) {
            var item = set_3_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (set_3_1 && !set_3_1.done && (_a = set_3.return))
              _a.call(set_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var oldItem = toRemove_1_1.value;
            set.delete(oldItem);
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function empty(set) {
      set.clear();
    }
    exports2.empty = empty;
    function contains(set, conditionOrItem) {
      var e_5, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return set.has(conditionOrItem);
      } else {
        try {
          for (var set_4 = __values(set), set_4_1 = set_4.next(); !set_4_1.done; set_4_1 = set_4.next()) {
            var oldItem = set_4_1.value;
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          }
        } catch (e_5_1) {
          e_5 = { error: e_5_1 };
        } finally {
          try {
            if (set_4_1 && !set_4_1.done && (_a = set_4.return))
              _a.call(set_4);
          } finally {
            if (e_5)
              throw e_5.error;
          }
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(set, condition) {
      var e_6, _a;
      if (condition === void 0) {
        return set.size;
      } else {
        var count = 0;
        try {
          for (var set_5 = __values(set), set_5_1 = set_5.next(); !set_5_1.done; set_5_1 = set_5.next()) {
            var item = set_5_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_6_1) {
          e_6 = { error: e_6_1 };
        } finally {
          try {
            if (set_5_1 && !set_5_1.done && (_a = set_5.return))
              _a.call(set_5);
          } finally {
            if (e_6)
              throw e_6.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(set) {
      return set.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(set, condition) {
      var set_6, set_6_1, item, e_7_1;
      var e_7, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(set)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            set_6 = __values(set), set_6_1 = set_6.next();
            _b.label = 3;
          case 3:
            if (!!set_6_1.done)
              return [3, 6];
            item = set_6_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            set_6_1 = set_6.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_7_1 = _b.sent();
            e_7 = { error: e_7_1 };
            return [3, 9];
          case 8:
            try {
              if (set_6_1 && !set_6_1.done && (_a = set_6.return))
                _a.call(set_6);
            } finally {
              if (e_7)
                throw e_7.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(set) {
      return new Set(set);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Set(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Set(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
    function isSubsetOf(subset, superset) {
      var e_8, _a;
      try {
        for (var subset_1 = __values(subset), subset_1_1 = subset_1.next(); !subset_1_1.done; subset_1_1 = subset_1.next()) {
          var item = subset_1_1.value;
          if (!superset.has(item))
            return false;
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (subset_1_1 && !subset_1_1.done && (_a = subset_1.return))
            _a.call(subset_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return true;
    }
    exports2.isSubsetOf = isSubsetOf;
    function isSupersetOf(superset, subset) {
      return isSubsetOf(subset, superset);
    }
    exports2.isSupersetOf = isSupersetOf;
    function intersection(setA, setB) {
      var e_9, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var setA_1 = __values(setA), setA_1_1 = setA_1.next(); !setA_1_1.done; setA_1_1 = setA_1.next()) {
          var item = setA_1_1.value;
          if (setB.has(item))
            newSet.add(item);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (setA_1_1 && !setA_1_1.done && (_a = setA_1.return))
            _a.call(setA_1);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return newSet;
    }
    exports2.intersection = intersection;
    function union(setA, setB) {
      var newSet = new Set(setA);
      setB.forEach(newSet.add, newSet);
      return newSet;
    }
    exports2.union = union;
    function range(n, m) {
      var newSet = /* @__PURE__ */ new Set();
      for (var i = n; i <= m; i++) {
        newSet.add(i);
      }
      return newSet;
    }
    exports2.range = range;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/Stack.js
var require_Stack2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/Stack.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function push(list, item) {
      list.push(item);
    }
    exports2.push = push;
    function pop(list) {
      return list.pop() || null;
    }
    exports2.pop = pop;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/String.js
var require_String2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/String.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints2();
    var ByteSequence_1 = require_ByteSequence2();
    var Byte_1 = require_Byte2();
    var util_1 = require_lib7();
    function isCodeUnitPrefix(a, b) {
      var i = 0;
      while (true) {
        var aCodeUnit = i < a.length ? a.charCodeAt(i) : null;
        var bCodeUnit = i < b.length ? b.charCodeAt(i) : null;
        if (aCodeUnit === null)
          return true;
        if (aCodeUnit !== bCodeUnit)
          return false;
        i++;
      }
    }
    exports2.isCodeUnitPrefix = isCodeUnitPrefix;
    function isCodeUnitLessThan(a, b) {
      if (isCodeUnitPrefix(b, a))
        return false;
      if (isCodeUnitPrefix(a, b))
        return true;
      for (var i = 0; i < Math.min(a.length, b.length); i++) {
        var aCodeUnit = a.charCodeAt(i);
        var bCodeUnit = b.charCodeAt(i);
        if (aCodeUnit === bCodeUnit)
          continue;
        return aCodeUnit < bCodeUnit;
      }
      return false;
    }
    exports2.isCodeUnitLessThan = isCodeUnitLessThan;
    function isomorphicEncode(str) {
      var e_1, _a;
      var codePoints = Array.from(str);
      var bytes = new Uint8Array(codePoints.length);
      var i = 0;
      try {
        for (var str_1 = __values(str), str_1_1 = str_1.next(); !str_1_1.done; str_1_1 = str_1.next()) {
          var codePoint = str_1_1.value;
          var byte = codePoint.codePointAt(0);
          console.assert(byte !== void 0 && byte <= 255, "isomorphicEncode requires string bytes to be less than or equal to 0x00FF.");
          if (byte !== void 0 && byte <= 255) {
            bytes[i++] = byte;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (str_1_1 && !str_1_1.done && (_a = str_1.return))
            _a.call(str_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return bytes;
    }
    exports2.isomorphicEncode = isomorphicEncode;
    function isASCIIString(str) {
      return /^[\u0000-\u007F]*$/.test(str);
    }
    exports2.isASCIIString = isASCIIString;
    function asciiLowercase(str) {
      var e_2, _a;
      var result = "";
      try {
        for (var str_2 = __values(str), str_2_1 = str_2.next(); !str_2_1.done; str_2_1 = str_2.next()) {
          var c = str_2_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 65 && code <= 90) {
            result += String.fromCodePoint(code + 32);
          } else {
            result += c;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (str_2_1 && !str_2_1.done && (_a = str_2.return))
            _a.call(str_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return result;
    }
    exports2.asciiLowercase = asciiLowercase;
    function asciiUppercase(str) {
      var e_3, _a;
      var result = "";
      try {
        for (var str_3 = __values(str), str_3_1 = str_3.next(); !str_3_1.done; str_3_1 = str_3.next()) {
          var c = str_3_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 97 && code <= 122) {
            result += String.fromCodePoint(code - 32);
          } else {
            result += c;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (str_3_1 && !str_3_1.done && (_a = str_3.return))
            _a.call(str_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.asciiUppercase = asciiUppercase;
    function asciiCaseInsensitiveMatch(a, b) {
      return asciiLowercase(a) === asciiLowercase(b);
    }
    exports2.asciiCaseInsensitiveMatch = asciiCaseInsensitiveMatch;
    function asciiEncode(str) {
      console.assert(isASCIIString(str), "asciiEncode requires an ASCII string.");
      return isomorphicEncode(str);
    }
    exports2.asciiEncode = asciiEncode;
    function asciiDecode(bytes) {
      var e_4, _a;
      try {
        for (var bytes_1 = __values(bytes), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
          var byte = bytes_1_1.value;
          console.assert(Byte_1.isASCIIByte(byte), "asciiDecode requires an ASCII byte sequence.");
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (bytes_1_1 && !bytes_1_1.done && (_a = bytes_1.return))
            _a.call(bytes_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return ByteSequence_1.isomorphicDecode(bytes);
    }
    exports2.asciiDecode = asciiDecode;
    function stripNewlines(str) {
      return str.replace(/[\n\r]/g, "");
    }
    exports2.stripNewlines = stripNewlines;
    function normalizeNewlines(str) {
      return str.replace(/\r\n/g, "\n").replace(/\r/g, "\n");
    }
    exports2.normalizeNewlines = normalizeNewlines;
    function stripLeadingAndTrailingASCIIWhitespace(str) {
      return str.replace(/^[\t\n\f\r ]+/, "").replace(/[\t\n\f\r ]+$/, "");
    }
    exports2.stripLeadingAndTrailingASCIIWhitespace = stripLeadingAndTrailingASCIIWhitespace;
    function stripAndCollapseASCIIWhitespace(str) {
      return stripLeadingAndTrailingASCIIWhitespace(str.replace(/[\t\n\f\r ]{2,}/g, " "));
    }
    exports2.stripAndCollapseASCIIWhitespace = stripAndCollapseASCIIWhitespace;
    function collectASequenceOfCodePoints(condition, input, options) {
      if (!util_1.isArray(input))
        return collectASequenceOfCodePoints(condition, Array.from(input), options);
      var result = "";
      while (options.position < input.length && !!condition.call(null, input[options.position])) {
        result += input[options.position];
        options.position++;
      }
      return result;
    }
    exports2.collectASequenceOfCodePoints = collectASequenceOfCodePoints;
    function skipASCIIWhitespace(input, options) {
      collectASequenceOfCodePoints(function(str) {
        return CodePoints_1.ASCIIWhiteSpace.test(str);
      }, input, options);
    }
    exports2.skipASCIIWhitespace = skipASCIIWhitespace;
    function strictlySplit(input, delimiter) {
      if (!util_1.isArray(input))
        return strictlySplit(Array.from(input), delimiter);
      var options = { position: 0 };
      var tokens = [];
      var token = collectASequenceOfCodePoints(function(str) {
        return delimiter !== str;
      }, input, options);
      tokens.push(token);
      while (options.position < input.length) {
        console.assert(input[options.position] === delimiter, "strictlySplit found no delimiter in input string.");
        options.position++;
        token = collectASequenceOfCodePoints(function(str) {
          return delimiter !== str;
        }, input, options);
        tokens.push(token);
      }
      return tokens;
    }
    exports2.strictlySplit = strictlySplit;
    function splitAStringOnASCIIWhitespace(input) {
      if (!util_1.isArray(input))
        return splitAStringOnASCIIWhitespace(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      skipASCIIWhitespace(input, options);
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return !CodePoints_1.ASCIIWhiteSpace.test(str);
        }, input, options);
        tokens.push(token);
        skipASCIIWhitespace(input, options);
      }
      return tokens;
    }
    exports2.splitAStringOnASCIIWhitespace = splitAStringOnASCIIWhitespace;
    function splitAStringOnCommas(input) {
      if (!util_1.isArray(input))
        return splitAStringOnCommas(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return str !== ",";
        }, input, options);
        tokens.push(stripLeadingAndTrailingASCIIWhitespace(token));
        if (options.position < input.length) {
          console.assert(input[options.position] === ",", "splitAStringOnCommas found no delimiter in input string.");
          options.position++;
        }
      }
      return tokens;
    }
    exports2.splitAStringOnCommas = splitAStringOnCommas;
    function concatenate(list, separator) {
      if (separator === void 0) {
        separator = "";
      }
      if (list.length === 0)
        return "";
      return list.join(separator);
    }
    exports2.concatenate = concatenate;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/infra/lib/index.js
var require_lib8 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/infra/lib/index.js"(exports2) {
    "use strict";
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (Object.hasOwnProperty.call(mod, k))
            result[k] = mod[k];
      }
      result["default"] = mod;
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var base64 = __importStar(require_Base642());
    exports2.base64 = base64;
    var byte = __importStar(require_Byte2());
    exports2.byte = byte;
    var byteSequence = __importStar(require_ByteSequence2());
    exports2.byteSequence = byteSequence;
    var codePoint = __importStar(require_CodePoints2());
    exports2.codePoint = codePoint;
    var json = __importStar(require_JSON2());
    exports2.json = json;
    var list = __importStar(require_List2());
    exports2.list = list;
    var map = __importStar(require_Map2());
    exports2.map = map;
    var namespace = __importStar(require_Namespace2());
    exports2.namespace = namespace;
    var queue = __importStar(require_Queue2());
    exports2.queue = queue;
    var set = __importStar(require_Set2());
    exports2.set = set;
    var stack = __importStar(require_Stack2());
    exports2.stack = stack;
    var string = __importStar(require_String2());
    exports2.string = string;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js
var require_WebIDLAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function idl_defineConst(o, name, value) {
      Object.defineProperty(o, name, { writable: false, enumerable: true, configurable: false, value });
    }
    exports2.idl_defineConst = idl_defineConst;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js
var require_DOMImplementationImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var DOMImplementationImpl = (
      /** @class */
      function() {
        function DOMImplementationImpl2(document) {
          this._associatedDocument = document || DOMImpl_1.dom.window.document;
        }
        DOMImplementationImpl2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
          algorithm_1.namespace_validate(qualifiedName);
          return algorithm_1.create_documentType(this._associatedDocument, qualifiedName, publicId, systemId);
        };
        DOMImplementationImpl2.prototype.createDocument = function(namespace, qualifiedName, doctype) {
          if (doctype === void 0) {
            doctype = null;
          }
          var document = algorithm_1.create_xmlDocument();
          var element = null;
          if (qualifiedName) {
            element = algorithm_1.document_internalCreateElementNS(document, namespace, qualifiedName);
          }
          if (doctype)
            document.appendChild(doctype);
          if (element)
            document.appendChild(element);
          document._origin = this._associatedDocument._origin;
          if (namespace === infra_1.namespace.HTML)
            document._contentType = "application/xhtml+xml";
          else if (namespace === infra_1.namespace.SVG)
            document._contentType = "image/svg+xml";
          else
            document._contentType = "application/xml";
          return document;
        };
        DOMImplementationImpl2.prototype.createHTMLDocument = function(title) {
          var doc = algorithm_1.create_document();
          doc._type = "html";
          doc._contentType = "text/html";
          doc.appendChild(algorithm_1.create_documentType(doc, "html", "", ""));
          var htmlElement = algorithm_1.element_createAnElement(doc, "html", infra_1.namespace.HTML);
          doc.appendChild(htmlElement);
          var headElement = algorithm_1.element_createAnElement(doc, "head", infra_1.namespace.HTML);
          htmlElement.appendChild(headElement);
          if (title !== void 0) {
            var titleElement = algorithm_1.element_createAnElement(doc, "title", infra_1.namespace.HTML);
            headElement.appendChild(titleElement);
            var textElement = algorithm_1.create_text(doc, title);
            titleElement.appendChild(textElement);
          }
          var bodyElement = algorithm_1.element_createAnElement(doc, "body", infra_1.namespace.HTML);
          htmlElement.appendChild(bodyElement);
          doc._origin = this._associatedDocument._origin;
          return doc;
        };
        DOMImplementationImpl2.prototype.hasFeature = function() {
          return true;
        };
        DOMImplementationImpl2._create = function(document) {
          return new DOMImplementationImpl2(document);
        };
        return DOMImplementationImpl2;
      }()
    );
    exports2.DOMImplementationImpl = DOMImplementationImpl;
    WebIDLAlgorithm_1.idl_defineConst(DOMImplementationImpl.prototype, "_ID", "@oozcitak/dom");
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMException.js
var require_DOMException2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMException.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException = (
      /** @class */
      function(_super) {
        __extends(DOMException2, _super);
        function DOMException2(name, message) {
          if (message === void 0) {
            message = "";
          }
          var _this = _super.call(this, message) || this;
          _this.name = name;
          return _this;
        }
        return DOMException2;
      }(Error)
    );
    exports2.DOMException = DOMException;
    var DOMStringSizeError = (
      /** @class */
      function(_super) {
        __extends(DOMStringSizeError2, _super);
        function DOMStringSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DOMStringSizeError", message) || this;
        }
        return DOMStringSizeError2;
      }(DOMException)
    );
    exports2.DOMStringSizeError = DOMStringSizeError;
    var WrongDocumentError = (
      /** @class */
      function(_super) {
        __extends(WrongDocumentError2, _super);
        function WrongDocumentError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "WrongDocumentError", "The object is in the wrong document. " + message) || this;
        }
        return WrongDocumentError2;
      }(DOMException)
    );
    exports2.WrongDocumentError = WrongDocumentError;
    var NoDataAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoDataAllowedError2, _super);
        function NoDataAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoDataAllowedError", message) || this;
        }
        return NoDataAllowedError2;
      }(DOMException)
    );
    exports2.NoDataAllowedError = NoDataAllowedError;
    var NoModificationAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoModificationAllowedError2, _super);
        function NoModificationAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoModificationAllowedError", "The object can not be modified. " + message) || this;
        }
        return NoModificationAllowedError2;
      }(DOMException)
    );
    exports2.NoModificationAllowedError = NoModificationAllowedError;
    var NotSupportedError = (
      /** @class */
      function(_super) {
        __extends(NotSupportedError2, _super);
        function NotSupportedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotSupportedError", "The operation is not supported. " + message) || this;
        }
        return NotSupportedError2;
      }(DOMException)
    );
    exports2.NotSupportedError = NotSupportedError;
    var InUseAttributeError = (
      /** @class */
      function(_super) {
        __extends(InUseAttributeError2, _super);
        function InUseAttributeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InUseAttributeError", message) || this;
        }
        return InUseAttributeError2;
      }(DOMException)
    );
    exports2.InUseAttributeError = InUseAttributeError;
    var InvalidStateError = (
      /** @class */
      function(_super) {
        __extends(InvalidStateError2, _super);
        function InvalidStateError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidStateError", "The object is in an invalid state. " + message) || this;
        }
        return InvalidStateError2;
      }(DOMException)
    );
    exports2.InvalidStateError = InvalidStateError;
    var InvalidModificationError = (
      /** @class */
      function(_super) {
        __extends(InvalidModificationError2, _super);
        function InvalidModificationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidModificationError", "The object can not be modified in this way. " + message) || this;
        }
        return InvalidModificationError2;
      }(DOMException)
    );
    exports2.InvalidModificationError = InvalidModificationError;
    var NamespaceError = (
      /** @class */
      function(_super) {
        __extends(NamespaceError2, _super);
        function NamespaceError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NamespaceError", "The operation is not allowed by Namespaces in XML. [XMLNS] " + message) || this;
        }
        return NamespaceError2;
      }(DOMException)
    );
    exports2.NamespaceError = NamespaceError;
    var InvalidAccessError = (
      /** @class */
      function(_super) {
        __extends(InvalidAccessError2, _super);
        function InvalidAccessError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidAccessError", "The object does not support the operation or argument. " + message) || this;
        }
        return InvalidAccessError2;
      }(DOMException)
    );
    exports2.InvalidAccessError = InvalidAccessError;
    var ValidationError = (
      /** @class */
      function(_super) {
        __extends(ValidationError2, _super);
        function ValidationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "ValidationError", message) || this;
        }
        return ValidationError2;
      }(DOMException)
    );
    exports2.ValidationError = ValidationError;
    var TypeMismatchError = (
      /** @class */
      function(_super) {
        __extends(TypeMismatchError2, _super);
        function TypeMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TypeMismatchError", message) || this;
        }
        return TypeMismatchError2;
      }(DOMException)
    );
    exports2.TypeMismatchError = TypeMismatchError;
    var SecurityError = (
      /** @class */
      function(_super) {
        __extends(SecurityError2, _super);
        function SecurityError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SecurityError", "The operation is insecure. " + message) || this;
        }
        return SecurityError2;
      }(DOMException)
    );
    exports2.SecurityError = SecurityError;
    var NetworkError = (
      /** @class */
      function(_super) {
        __extends(NetworkError2, _super);
        function NetworkError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NetworkError", "A network error occurred. " + message) || this;
        }
        return NetworkError2;
      }(DOMException)
    );
    exports2.NetworkError = NetworkError;
    var AbortError = (
      /** @class */
      function(_super) {
        __extends(AbortError2, _super);
        function AbortError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "AbortError", "The operation was aborted. " + message) || this;
        }
        return AbortError2;
      }(DOMException)
    );
    exports2.AbortError = AbortError;
    var URLMismatchError = (
      /** @class */
      function(_super) {
        __extends(URLMismatchError2, _super);
        function URLMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "URLMismatchError", "The given URL does not match another URL. " + message) || this;
        }
        return URLMismatchError2;
      }(DOMException)
    );
    exports2.URLMismatchError = URLMismatchError;
    var QuotaExceededError = (
      /** @class */
      function(_super) {
        __extends(QuotaExceededError2, _super);
        function QuotaExceededError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "QuotaExceededError", "The quota has been exceeded. " + message) || this;
        }
        return QuotaExceededError2;
      }(DOMException)
    );
    exports2.QuotaExceededError = QuotaExceededError;
    var TimeoutError = (
      /** @class */
      function(_super) {
        __extends(TimeoutError2, _super);
        function TimeoutError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TimeoutError", "The operation timed out. " + message) || this;
        }
        return TimeoutError2;
      }(DOMException)
    );
    exports2.TimeoutError = TimeoutError;
    var InvalidNodeTypeError = (
      /** @class */
      function(_super) {
        __extends(InvalidNodeTypeError2, _super);
        function InvalidNodeTypeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidNodeTypeError", "The supplied node is incorrect or has an incorrect ancestor for this operation. " + message) || this;
        }
        return InvalidNodeTypeError2;
      }(DOMException)
    );
    exports2.InvalidNodeTypeError = InvalidNodeTypeError;
    var DataCloneError = (
      /** @class */
      function(_super) {
        __extends(DataCloneError2, _super);
        function DataCloneError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DataCloneError", "The object can not be cloned. " + message) || this;
        }
        return DataCloneError2;
      }(DOMException)
    );
    exports2.DataCloneError = DataCloneError;
    var NotImplementedError = (
      /** @class */
      function(_super) {
        __extends(NotImplementedError2, _super);
        function NotImplementedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotImplementedError", "The DOM method is not implemented by this module. " + message) || this;
        }
        return NotImplementedError2;
      }(DOMException)
    );
    exports2.NotImplementedError = NotImplementedError;
    var HierarchyRequestError = (
      /** @class */
      function(_super) {
        __extends(HierarchyRequestError2, _super);
        function HierarchyRequestError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "HierarchyRequestError", "The operation would yield an incorrect node tree. " + message) || this;
        }
        return HierarchyRequestError2;
      }(DOMException)
    );
    exports2.HierarchyRequestError = HierarchyRequestError;
    var NotFoundError = (
      /** @class */
      function(_super) {
        __extends(NotFoundError2, _super);
        function NotFoundError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotFoundError", "The object can not be found here. " + message) || this;
        }
        return NotFoundError2;
      }(DOMException)
    );
    exports2.NotFoundError = NotFoundError;
    var IndexSizeError = (
      /** @class */
      function(_super) {
        __extends(IndexSizeError2, _super);
        function IndexSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "IndexSizeError", "The index is not in the allowed range. " + message) || this;
        }
        return IndexSizeError2;
      }(DOMException)
    );
    exports2.IndexSizeError = IndexSizeError;
    var SyntaxError2 = (
      /** @class */
      function(_super) {
        __extends(SyntaxError3, _super);
        function SyntaxError3(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SyntaxError", "The string did not match the expected pattern. " + message) || this;
        }
        return SyntaxError3;
      }(DOMException)
    );
    exports2.SyntaxError = SyntaxError2;
    var InvalidCharacterError = (
      /** @class */
      function(_super) {
        __extends(InvalidCharacterError2, _super);
        function InvalidCharacterError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidCharacterError", "The string contains invalid characters. " + message) || this;
        }
        return InvalidCharacterError2;
      }(DOMException)
    );
    exports2.InvalidCharacterError = InvalidCharacterError;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/Guard.js
var require_Guard2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/Guard.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var Guard = (
      /** @class */
      function() {
        function Guard2() {
        }
        Guard2.isNode = function(a) {
          return !!a && a._nodeType !== void 0;
        };
        Guard2.isDocumentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Document;
        };
        Guard2.isDocumentTypeNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentType;
        };
        Guard2.isDocumentFragmentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentFragment;
        };
        Guard2.isAttrNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Attribute;
        };
        Guard2.isCharacterDataNode = function(a) {
          if (!Guard2.isNode(a))
            return false;
          var type = a._nodeType;
          return type === interfaces_1.NodeType.Text || type === interfaces_1.NodeType.ProcessingInstruction || type === interfaces_1.NodeType.Comment || type === interfaces_1.NodeType.CData;
        };
        Guard2.isTextNode = function(a) {
          return Guard2.isNode(a) && (a._nodeType === interfaces_1.NodeType.Text || a._nodeType === interfaces_1.NodeType.CData);
        };
        Guard2.isExclusiveTextNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Text;
        };
        Guard2.isCDATASectionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.CData;
        };
        Guard2.isCommentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Comment;
        };
        Guard2.isProcessingInstructionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.ProcessingInstruction;
        };
        Guard2.isElementNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Element;
        };
        Guard2.isCustomElementNode = function(a) {
          return Guard2.isElementNode(a) && a._customElementState === "custom";
        };
        Guard2.isShadowRoot = function(a) {
          return !!a && a.host !== void 0;
        };
        Guard2.isMouseEvent = function(a) {
          return !!a && a.screenX !== void 0 && a.screenY != void 0;
        };
        Guard2.isSlotable = function(a) {
          return !!a && a._name !== void 0 && a._assignedSlot !== void 0 && (Guard2.isTextNode(a) || Guard2.isElementNode(a));
        };
        Guard2.isSlot = function(a) {
          return !!a && a._name !== void 0 && a._assignedNodes !== void 0 && Guard2.isElementNode(a);
        };
        Guard2.isWindow = function(a) {
          return !!a && a.navigator !== void 0;
        };
        Guard2.isEventListener = function(a) {
          return !!a && a.handleEvent !== void 0;
        };
        Guard2.isRegisteredObserver = function(a) {
          return !!a && a.observer !== void 0 && a.options !== void 0;
        };
        Guard2.isTransientRegisteredObserver = function(a) {
          return !!a && a.source !== void 0 && Guard2.isRegisteredObserver(a);
        };
        return Guard2;
      }()
    );
    exports2.Guard = Guard;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/Cast.js
var require_Cast2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/Cast.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Guard_1 = require_Guard2();
    var Cast = (
      /** @class */
      function() {
        function Cast2() {
        }
        Cast2.asNode = function(a) {
          if (Guard_1.Guard.isNode(a)) {
            return a;
          } else {
            throw new Error("Invalid object. Node expected.");
          }
        };
        return Cast2;
      }()
    );
    exports2.Cast = Cast;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/EmptySet.js
var require_EmptySet2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/EmptySet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EmptySet = (
      /** @class */
      function() {
        function EmptySet2() {
        }
        Object.defineProperty(EmptySet2.prototype, "size", {
          get: function() {
            return 0;
          },
          enumerable: true,
          configurable: true
        });
        EmptySet2.prototype.add = function(value) {
          throw new Error("Cannot add to an empty set.");
        };
        EmptySet2.prototype.clear = function() {
        };
        EmptySet2.prototype.delete = function(value) {
          return false;
        };
        EmptySet2.prototype.forEach = function(callbackfn, thisArg) {
        };
        EmptySet2.prototype.has = function(value) {
          return false;
        };
        EmptySet2.prototype[Symbol.iterator] = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.entries = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.keys = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.values = function() {
          return new EmptySetIterator();
        };
        Object.defineProperty(EmptySet2.prototype, Symbol.toStringTag, {
          get: function() {
            return "EmptySet";
          },
          enumerable: true,
          configurable: true
        });
        return EmptySet2;
      }()
    );
    exports2.EmptySet = EmptySet;
    var EmptySetIterator = (
      /** @class */
      function() {
        function EmptySetIterator2() {
        }
        EmptySetIterator2.prototype[Symbol.iterator] = function() {
          return this;
        };
        EmptySetIterator2.prototype.next = function() {
          return { done: true, value: null };
        };
        return EmptySetIterator2;
      }()
    );
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/index.js
var require_util10 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/util/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Cast_1 = require_Cast2();
    exports2.Cast = Cast_1.Cast;
    var Guard_1 = require_Guard2();
    exports2.Guard = Guard_1.Guard;
    var EmptySet_1 = require_EmptySet2();
    exports2.EmptySet = EmptySet_1.EmptySet;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js
var require_EventTargetImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException2();
    var util_1 = require_util10();
    var algorithm_1 = require_algorithm2();
    var EventTargetImpl = (
      /** @class */
      function() {
        function EventTargetImpl2() {
        }
        Object.defineProperty(EventTargetImpl2.prototype, "_eventListenerList", {
          get: function() {
            return this.__eventListenerList || (this.__eventListenerList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventTargetImpl2.prototype, "_eventHandlerMap", {
          get: function() {
            return this.__eventHandlerMap || (this.__eventHandlerMap = {});
          },
          enumerable: true,
          configurable: true
        });
        EventTargetImpl2.prototype.addEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { passive: false, once: false, capture: false };
          }
          var _a = __read(algorithm_1.eventTarget_flattenMore(options), 3), capture = _a[0], passive = _a[1], once = _a[2];
          var listenerCallback;
          if (!callback) {
            return;
          } else if (util_1.Guard.isEventListener(callback)) {
            listenerCallback = callback;
          } else {
            listenerCallback = { handleEvent: callback };
          }
          algorithm_1.eventTarget_addEventListener(this, {
            type,
            callback: listenerCallback,
            capture,
            passive,
            once,
            removed: false
          });
        };
        EventTargetImpl2.prototype.removeEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { capture: false };
          }
          var capture = algorithm_1.eventTarget_flatten(options);
          if (!callback)
            return;
          for (var i = 0; i < this._eventListenerList.length; i++) {
            var entry = this._eventListenerList[i];
            if (entry.type !== type || entry.capture !== capture)
              continue;
            if (util_1.Guard.isEventListener(callback) && entry.callback === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            } else if (callback && entry.callback.handleEvent === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            }
          }
        };
        EventTargetImpl2.prototype.dispatchEvent = function(event) {
          if (event._dispatchFlag || !event._initializedFlag) {
            throw new DOMException_1.InvalidStateError();
          }
          event._isTrusted = false;
          return algorithm_1.event_dispatch(event, this);
        };
        EventTargetImpl2.prototype._getTheParent = function(event) {
          return null;
        };
        return EventTargetImpl2;
      }()
    );
    exports2.EventTargetImpl = EventTargetImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js
var require_WindowImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl2();
    var util_1 = require_lib7();
    var algorithm_1 = require_algorithm2();
    var WindowImpl = (
      /** @class */
      function(_super) {
        __extends(WindowImpl2, _super);
        function WindowImpl2() {
          var _this = _super.call(this) || this;
          _this._signalSlots = /* @__PURE__ */ new Set();
          _this._mutationObserverMicrotaskQueued = false;
          _this._mutationObservers = /* @__PURE__ */ new Set();
          _this._iteratorList = new util_1.FixedSizeSet();
          _this._associatedDocument = algorithm_1.create_document();
          return _this;
        }
        Object.defineProperty(WindowImpl2.prototype, "document", {
          /** @inheritdoc */
          get: function() {
            return this._associatedDocument;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(WindowImpl2.prototype, "event", {
          /** @inheritdoc */
          get: function() {
            return this._currentEvent;
          },
          enumerable: true,
          configurable: true
        });
        WindowImpl2._create = function() {
          return new WindowImpl2();
        };
        return WindowImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.WindowImpl = WindowImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/url/lib/interfaces.js
var require_interfaces7 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/url/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ParserState;
    (function(ParserState2) {
      ParserState2[ParserState2["SchemeStart"] = 0] = "SchemeStart";
      ParserState2[ParserState2["Scheme"] = 1] = "Scheme";
      ParserState2[ParserState2["NoScheme"] = 2] = "NoScheme";
      ParserState2[ParserState2["SpecialRelativeOrAuthority"] = 3] = "SpecialRelativeOrAuthority";
      ParserState2[ParserState2["PathOrAuthority"] = 4] = "PathOrAuthority";
      ParserState2[ParserState2["Relative"] = 5] = "Relative";
      ParserState2[ParserState2["RelativeSlash"] = 6] = "RelativeSlash";
      ParserState2[ParserState2["SpecialAuthoritySlashes"] = 7] = "SpecialAuthoritySlashes";
      ParserState2[ParserState2["SpecialAuthorityIgnoreSlashes"] = 8] = "SpecialAuthorityIgnoreSlashes";
      ParserState2[ParserState2["Authority"] = 9] = "Authority";
      ParserState2[ParserState2["Host"] = 10] = "Host";
      ParserState2[ParserState2["Hostname"] = 11] = "Hostname";
      ParserState2[ParserState2["Port"] = 12] = "Port";
      ParserState2[ParserState2["File"] = 13] = "File";
      ParserState2[ParserState2["FileSlash"] = 14] = "FileSlash";
      ParserState2[ParserState2["FileHost"] = 15] = "FileHost";
      ParserState2[ParserState2["PathStart"] = 16] = "PathStart";
      ParserState2[ParserState2["Path"] = 17] = "Path";
      ParserState2[ParserState2["CannotBeABaseURLPath"] = 18] = "CannotBeABaseURLPath";
      ParserState2[ParserState2["Query"] = 19] = "Query";
      ParserState2[ParserState2["Fragment"] = 20] = "Fragment";
    })(ParserState = exports2.ParserState || (exports2.ParserState = {}));
    exports2.OpaqueOrigin = ["", "", null, null];
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/url/lib/URLAlgorithm.js
var require_URLAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/url/lib/URLAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var interfaces_1 = require_interfaces7();
    var infra_1 = require_lib8();
    var url_1 = require("url");
    var _validationErrorCallback;
    var _defaultPorts = {
      "ftp": 21,
      "file": null,
      "http": 80,
      "https": 443,
      "ws": 80,
      "wss": 443
    };
    var _c0ControlPercentEncodeSet = /[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _fragmentPercentEncodeSet = /[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _pathPercentEncodeSet = /[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _userInfoPercentEncodeSet = /[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _urlCodePoints = /[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/;
    var _forbiddenHostCodePoint = /[\0\t\f\r #%/:?@\[\\\]]/;
    function setValidationErrorCallback(validationErrorCallback) {
      _validationErrorCallback = validationErrorCallback;
    }
    exports2.setValidationErrorCallback = setValidationErrorCallback;
    function validationError(message) {
      if (_validationErrorCallback !== void 0) {
        _validationErrorCallback.call(null, "Validation Error: " + message);
      }
    }
    function newURL() {
      return {
        scheme: "",
        username: "",
        password: "",
        host: null,
        port: null,
        path: [],
        query: null,
        fragment: null,
        _cannotBeABaseURLFlag: false,
        _blobURLEntry: null
      };
    }
    exports2.newURL = newURL;
    function isSpecialScheme(scheme) {
      return scheme in _defaultPorts;
    }
    exports2.isSpecialScheme = isSpecialScheme;
    function isSpecial(url) {
      return isSpecialScheme(url.scheme);
    }
    exports2.isSpecial = isSpecial;
    function defaultPort(scheme) {
      return _defaultPorts[scheme] || null;
    }
    exports2.defaultPort = defaultPort;
    function includesCredentials(url) {
      return url.username !== "" || url.password !== "";
    }
    exports2.includesCredentials = includesCredentials;
    function cannotHaveAUsernamePasswordPort(url) {
      return url.host === null || url.host === "" || url._cannotBeABaseURLFlag || url.scheme === "file";
    }
    exports2.cannotHaveAUsernamePasswordPort = cannotHaveAUsernamePasswordPort;
    function urlSerializer(url, excludeFragmentFlag) {
      var e_1, _a;
      if (excludeFragmentFlag === void 0) {
        excludeFragmentFlag = false;
      }
      var output = url.scheme + ":";
      if (url.host !== null) {
        output += "//";
        if (includesCredentials(url)) {
          output += url.username;
          if (url.password !== "") {
            output += ":" + url.password;
          }
          output += "@";
        }
        output += hostSerializer(url.host);
        if (url.port !== null) {
          output += ":" + url.port;
        }
      } else if (url.host === null && url.scheme === "file") {
        output += "//";
      }
      if (url._cannotBeABaseURLFlag) {
        output += url.path[0];
      } else {
        try {
          for (var _b = __values(url.path), _c = _b.next(); !_c.done; _c = _b.next()) {
            var str = _c.value;
            output += "/" + str;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      if (url.query !== null) {
        output += "?" + url.query;
      }
      if (!excludeFragmentFlag && url.fragment !== null) {
        output += "#" + url.fragment;
      }
      return output;
    }
    exports2.urlSerializer = urlSerializer;
    function hostSerializer(host) {
      if (util_1.isNumber(host)) {
        return iPv4Serializer(host);
      } else if (util_1.isArray(host)) {
        return "[" + iPv6Serializer(host) + "]";
      } else {
        return host;
      }
    }
    exports2.hostSerializer = hostSerializer;
    function iPv4Serializer(address) {
      var output = "";
      var n = address;
      for (var i = 1; i <= 4; i++) {
        output = (n % 256).toString() + output;
        if (i !== 4) {
          output = "." + output;
        }
        n = Math.floor(n / 256);
      }
      return output;
    }
    exports2.iPv4Serializer = iPv4Serializer;
    function iPv6Serializer(address) {
      var output = "";
      var compress = null;
      var lastIndex = -1;
      var count = 0;
      var lastCount = 0;
      for (var i = 0; i < 8; i++) {
        if (address[i] !== 0)
          continue;
        count = 1;
        for (var j = i + 1; j < 8; j++) {
          if (address[j] !== 0)
            break;
          count++;
          continue;
        }
        if (count > lastCount) {
          lastCount = count;
          lastIndex = i;
        }
      }
      if (lastCount > 1)
        compress = lastIndex;
      var ignore0 = false;
      for (var pieceIndex = 0; pieceIndex < 8; pieceIndex++) {
        if (ignore0 && address[pieceIndex] === 0)
          continue;
        if (ignore0)
          ignore0 = false;
        if (compress === pieceIndex) {
          output += pieceIndex === 0 ? "::" : ":";
          ignore0 = true;
          continue;
        }
        output += address[pieceIndex].toString(16);
        if (pieceIndex !== 7)
          output += ":";
      }
      return output;
    }
    exports2.iPv6Serializer = iPv6Serializer;
    function urlParser(input, baseURL, encodingOverride) {
      var url = basicURLParser(input, baseURL, encodingOverride);
      if (url === null)
        return null;
      if (url.scheme !== "blob")
        return url;
      var entry = resolveABlobURL(url);
      if (entry !== null) {
        url._blobURLEntry = entry;
      } else {
        url._blobURLEntry = null;
      }
      return url;
    }
    exports2.urlParser = urlParser;
    function basicURLParser(input, baseURL, encodingOverride, url, stateOverride) {
      var e_2, _a, e_3, _b;
      if (url === void 0) {
        url = newURL();
        var leadingControlOrSpace = /^[\u0000-\u001F\u0020]+/;
        var trailingControlOrSpace = /[\u0000-\u001F\u0020]+$/;
        if (leadingControlOrSpace.test(input) || trailingControlOrSpace.test(input)) {
          validationError("Input string contains leading or trailing control characters or space.");
        }
        input = input.replace(leadingControlOrSpace, "");
        input = input.replace(trailingControlOrSpace, "");
      }
      var tabOrNewline = /[\u0009\u000A\u000D]/g;
      if (tabOrNewline.test(input)) {
        validationError("Input string contains tab or newline characters.");
      }
      input = input.replace(tabOrNewline, "");
      var state = stateOverride === void 0 ? interfaces_1.ParserState.SchemeStart : stateOverride;
      if (baseURL === void 0)
        baseURL = null;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      var buffer = "";
      var atFlag = false;
      var arrayFlag = false;
      var passwordTokenSeenFlag = false;
      var EOF = "";
      var walker = new util_1.StringWalker(input);
      while (true) {
        switch (state) {
          case interfaces_1.ParserState.SchemeStart:
            if (infra_1.codePoint.ASCIIAlpha.test(walker.c())) {
              buffer += walker.c().toLowerCase();
              state = interfaces_1.ParserState.Scheme;
            } else if (stateOverride === void 0) {
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer--;
            } else {
              validationError("Invalid scheme start character.");
              return null;
            }
            break;
          case interfaces_1.ParserState.Scheme:
            if (infra_1.codePoint.ASCIIAlphanumeric.test(walker.c()) || walker.c() === "+" || walker.c() === "-" || walker.c() === ".") {
              buffer += walker.c().toLowerCase();
            } else if (walker.c() === ":") {
              if (stateOverride !== void 0) {
                if (isSpecialScheme(url.scheme) && !isSpecialScheme(buffer))
                  return url;
                if (!isSpecialScheme(url.scheme) && isSpecialScheme(buffer))
                  return url;
                if ((includesCredentials(url) || url.port !== null) && buffer === "file")
                  return url;
                if (url.scheme === "file" && (url.host === "" || url.host === null))
                  return url;
              }
              url.scheme = buffer;
              if (stateOverride !== void 0) {
                if (url.port === defaultPort(url.scheme)) {
                  url.port = null;
                }
                return url;
              }
              buffer = "";
              if (url.scheme === "file") {
                if (!walker.remaining().startsWith("//")) {
                  validationError("Invalid file URL scheme, '//' expected.");
                }
                state = interfaces_1.ParserState.File;
              } else if (isSpecial(url) && baseURL !== null && baseURL.scheme === url.scheme) {
                state = interfaces_1.ParserState.SpecialRelativeOrAuthority;
              } else if (isSpecial(url)) {
                state = interfaces_1.ParserState.SpecialAuthoritySlashes;
              } else if (walker.remaining().startsWith("/")) {
                state = interfaces_1.ParserState.PathOrAuthority;
                walker.pointer++;
              } else {
                url._cannotBeABaseURLFlag = true;
                url.path.push("");
                state = interfaces_1.ParserState.CannotBeABaseURLPath;
              }
            } else if (stateOverride === void 0) {
              buffer = "";
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer = 0;
              continue;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.NoScheme:
            if (baseURL === null || baseURL._cannotBeABaseURLFlag && walker.c() !== "#") {
              validationError("Invalid input string.");
              return null;
            } else if (baseURL._cannotBeABaseURLFlag && walker.c() === "#") {
              url.scheme = baseURL.scheme;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              url.fragment = "";
              url._cannotBeABaseURLFlag = true;
              state = interfaces_1.ParserState.Fragment;
            } else if (baseURL.scheme !== "file") {
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            } else {
              state = interfaces_1.ParserState.File;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialRelativeOrAuthority:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Invalid input string.");
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.PathOrAuthority:
            if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Relative:
            if (baseURL === null) {
              throw new Error("Invalid parser state. Base URL is null.");
            }
            url.scheme = baseURL.scheme;
            switch (walker.c()) {
              case EOF:
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                break;
              case "/":
                state = interfaces_1.ParserState.RelativeSlash;
                break;
              case "?":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = "";
                state = interfaces_1.ParserState.Query;
                break;
              case "#":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
                break;
              default:
                if (isSpecial(url) && walker.c() === "\\") {
                  validationError("Invalid input string.");
                  state = interfaces_1.ParserState.RelativeSlash;
                } else {
                  url.username = baseURL.username;
                  url.password = baseURL.password;
                  url.host = baseURL.host;
                  url.port = baseURL.port;
                  url.path = infra_1.list.clone(baseURL.path);
                  if (url.path.length !== 0)
                    url.path.splice(url.path.length - 1, 1);
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                }
                break;
            }
            break;
          case interfaces_1.ParserState.RelativeSlash:
            if (isSpecial(url) && (walker.c() === "/" || walker.c() === "\\")) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            } else if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              if (baseURL === null) {
                throw new Error("Invalid parser state. Base URL is null.");
              }
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthoritySlashes:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Expected '//'.");
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes:
            if (walker.c() !== "/" && walker.c() !== "\\") {
              state = interfaces_1.ParserState.Authority;
              walker.pointer--;
            } else {
              validationError("Unexpected '/' or '\\'.");
            }
            break;
          case interfaces_1.ParserState.Authority:
            if (walker.c() === "@") {
              validationError("Unexpected '@'.");
              if (atFlag)
                buffer = "%40" + buffer;
              atFlag = true;
              try {
                for (var buffer_1 = (e_2 = void 0, __values(buffer)), buffer_1_1 = buffer_1.next(); !buffer_1_1.done; buffer_1_1 = buffer_1.next()) {
                  var codePoint = buffer_1_1.value;
                  if (codePoint === ":" && !passwordTokenSeenFlag) {
                    passwordTokenSeenFlag = true;
                    continue;
                  }
                  var encodedCodePoints = utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
                  if (passwordTokenSeenFlag) {
                    url.password += encodedCodePoints;
                  } else {
                    url.username += encodedCodePoints;
                  }
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (buffer_1_1 && !buffer_1_1.done && (_a = buffer_1.return))
                    _a.call(buffer_1);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              buffer = "";
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              if (atFlag && buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              walker.pointer -= buffer.length + 1;
              buffer = "";
              state = interfaces_1.ParserState.Host;
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Host:
          case interfaces_1.ParserState.Hostname:
            if (stateOverride !== void 0 && url.scheme === "file") {
              walker.pointer--;
              state = interfaces_1.ParserState.FileHost;
            } else if (walker.c() === ":" && !arrayFlag) {
              if (buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.Port;
              if (stateOverride === interfaces_1.ParserState.Hostname)
                return url;
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              walker.pointer--;
              if (isSpecial(url) && buffer === "") {
                validationError("Invalid input string.");
                return null;
              } else if (stateOverride !== void 0 && buffer === "" && (includesCredentials(url) || url.port !== null)) {
                validationError("Invalid input string.");
                return url;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.PathStart;
              if (stateOverride !== void 0)
                return url;
            } else {
              if (walker.c() === "[")
                arrayFlag = true;
              if (walker.c() === "]")
                arrayFlag = false;
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Port:
            if (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              buffer += walker.c();
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\" || stateOverride) {
              if (buffer !== "") {
                if (buffer !== "") {
                  var port = parseInt(buffer, 10);
                  if (port > Math.pow(2, 16) - 1) {
                    validationError("Invalid port number.");
                    return null;
                  }
                  url.port = port === defaultPort(url.scheme) ? null : port;
                  buffer = "";
                }
              }
              if (stateOverride !== void 0) {
                return url;
              }
              state = interfaces_1.ParserState.PathStart;
              walker.pointer--;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.File:
            url.scheme = "file";
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileSlash;
            } else if (baseURL !== null && baseURL.scheme === "file") {
              switch (walker.c()) {
                case EOF:
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  break;
                case "?":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = "";
                  state = interfaces_1.ParserState.Query;
                  break;
                case "#":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  url.fragment = "";
                  state = interfaces_1.ParserState.Fragment;
                  break;
                default:
                  if (!startsWithAWindowsDriveLetter(walker.substring())) {
                    url.host = baseURL.host;
                    url.path = infra_1.list.clone(baseURL.path);
                    shorten(url);
                  } else {
                    validationError("Unexpected windows drive letter in input string.");
                  }
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                  break;
              }
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileSlash:
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileHost;
            } else {
              if (baseURL !== null && baseURL.scheme === "file" && !startsWithAWindowsDriveLetter(walker.substring())) {
                if (isNormalizedWindowsDriveLetter(baseURL.path[0])) {
                  url.path.push(baseURL.path[0]);
                } else {
                  url.host = baseURL.host;
                }
              }
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileHost:
            if (walker.c() === EOF || walker.c() === "/" || walker.c() === "\\" || walker.c() === "?" || walker.c() === "#") {
              walker.pointer--;
              if (stateOverride === void 0 && isWindowsDriveLetter(buffer)) {
                validationError("Unexpected windows drive letter in input string.");
                state = interfaces_1.ParserState.Path;
              } else if (buffer === "") {
                url.host = "";
                if (stateOverride !== void 0)
                  return url;
                state = interfaces_1.ParserState.PathStart;
              } else {
                var host = hostParser(buffer, !isSpecial(url));
                if (host === null)
                  return null;
                if (host === "localhost")
                  host = "";
                url.host = host;
                if (stateOverride !== void 0)
                  return url;
                buffer = "";
                state = interfaces_1.ParserState.PathStart;
              }
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.PathStart:
            if (isSpecial(url)) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/" && walker.c() !== "\\")
                walker.pointer--;
            } else if (stateOverride === void 0 && walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/")
                walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Path:
            if (walker.c() === EOF || walker.c() === "/" || isSpecial(url) && walker.c() === "\\" || stateOverride === void 0 && (walker.c() === "?" || walker.c() === "#")) {
              if (isSpecial(url) && walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              if (isDoubleDotPathSegment(buffer)) {
                shorten(url);
                if (walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                  url.path.push("");
                }
              } else if (isSingleDotPathSegment(buffer) && walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                url.path.push("");
              } else if (!isSingleDotPathSegment(buffer)) {
                if (url.scheme === "file" && url.path.length === 0 && isWindowsDriveLetter(buffer)) {
                  if (url.host !== null && url.host !== "") {
                    validationError("Invalid input string.");
                    url.host = "";
                  }
                  var bufferCodePoints = Array.from(buffer);
                  buffer = bufferCodePoints.slice(0, 1) + ":" + bufferCodePoints.slice(2);
                }
                url.path.push(buffer);
              }
              buffer = "";
              if (url.scheme === "file" && (walker.c() === EOF || walker.c() === "?" || walker.c() === "#")) {
                while (url.path.length > 1 && url.path[0] === "") {
                  validationError("Invalid input string.");
                  url.path.splice(0, 1);
                }
              }
              if (walker.c() === "?") {
                url.query = "";
                state = interfaces_1.ParserState.Query;
              }
              if (walker.c() === "#") {
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
              }
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              buffer += utf8PercentEncode(walker.c(), _pathPercentEncodeSet);
            }
            break;
          case interfaces_1.ParserState.CannotBeABaseURLPath:
            if (walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else {
              if (walker.c() !== EOF && !_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (walker.c() !== EOF) {
                url.path[0] += utf8PercentEncode(walker.c(), _c0ControlPercentEncodeSet);
              }
            }
            break;
          case interfaces_1.ParserState.Query:
            if (encoding !== "UTF-8" && (!isSpecial(url) || url.scheme === "ws" || url.scheme === "wss")) {
              encoding = "UTF-8";
            }
            if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (encoding.toUpperCase() !== "UTF-8") {
                throw new Error("Only UTF-8 encoding is supported.");
              }
              var bytes = util_1.utf8Encode(walker.c());
              if (bytes.length >= 3 && bytes[0] === 38 && bytes[1] === 35 && bytes[bytes.length - 1] === 59) {
                bytes = bytes.subarray(2, bytes.length - 1);
                url.query += "%26%23" + infra_1.byteSequence.isomorphicDecode(bytes) + "%3B";
              } else {
                try {
                  for (var bytes_1 = (e_3 = void 0, __values(bytes)), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
                    var byte = bytes_1_1.value;
                    if (byte < 33 || byte > 126 || byte === 34 || byte === 35 || byte === 60 || byte === 62 || byte === 39 && isSpecial(url)) {
                      url.query += percentEncode(byte);
                    } else {
                      url.query += String.fromCharCode(byte);
                    }
                  }
                } catch (e_3_1) {
                  e_3 = { error: e_3_1 };
                } finally {
                  try {
                    if (bytes_1_1 && !bytes_1_1.done && (_b = bytes_1.return))
                      _b.call(bytes_1);
                  } finally {
                    if (e_3)
                      throw e_3.error;
                  }
                }
              }
            }
            break;
          case interfaces_1.ParserState.Fragment:
            if (walker.c() === EOF) {
            } else if (walker.c() === "\0") {
              validationError("NULL character in input string.");
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Unexpected character in fragment string.");
              }
              if (walker.c() === "%" && !/^[A-Za-z0-9][A-Za-z0-9]/.test(walker.remaining())) {
                validationError("Unexpected character in fragment string.");
              }
              url.fragment += utf8PercentEncode(walker.c(), _fragmentPercentEncodeSet);
            }
            break;
        }
        if (walker.eof)
          break;
        else
          walker.pointer++;
      }
      return url;
    }
    exports2.basicURLParser = basicURLParser;
    function setTheUsername(url, username) {
      var e_4, _a;
      var result = "";
      try {
        for (var username_1 = __values(username), username_1_1 = username_1.next(); !username_1_1.done; username_1_1 = username_1.next()) {
          var codePoint = username_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (username_1_1 && !username_1_1.done && (_a = username_1.return))
            _a.call(username_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      url.username = result;
    }
    exports2.setTheUsername = setTheUsername;
    function setThePassword(url, password) {
      var e_5, _a;
      var result = "";
      try {
        for (var password_1 = __values(password), password_1_1 = password_1.next(); !password_1_1.done; password_1_1 = password_1.next()) {
          var codePoint = password_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (password_1_1 && !password_1_1.done && (_a = password_1.return))
            _a.call(password_1);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      url.password = result;
    }
    exports2.setThePassword = setThePassword;
    function isSingleDotPathSegment(str) {
      return str === "." || str.toLowerCase() === "%2e";
    }
    exports2.isSingleDotPathSegment = isSingleDotPathSegment;
    function isDoubleDotPathSegment(str) {
      var lowerStr = str.toLowerCase();
      return lowerStr === ".." || lowerStr === ".%2e" || lowerStr === "%2e." || lowerStr === "%2e%2e";
    }
    exports2.isDoubleDotPathSegment = isDoubleDotPathSegment;
    function shorten(url) {
      var path = url.path;
      if (path.length === 0)
        return;
      if (url.scheme === "file" && path.length === 1 && isNormalizedWindowsDriveLetter(path[0]))
        return;
      url.path.splice(url.path.length - 1, 1);
    }
    exports2.shorten = shorten;
    function isNormalizedWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && str[1] === ":";
    }
    exports2.isNormalizedWindowsDriveLetter = isNormalizedWindowsDriveLetter;
    function isWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && (str[1] === ":" || str[1] === "|");
    }
    exports2.isWindowsDriveLetter = isWindowsDriveLetter;
    function startsWithAWindowsDriveLetter(str) {
      return str.length >= 2 && isWindowsDriveLetter(str) && (str.length === 2 || (str[2] === "/" || str[2] === "\\" || str[2] === "?" || str[2] === "#"));
    }
    exports2.startsWithAWindowsDriveLetter = startsWithAWindowsDriveLetter;
    function hostParser(input, isNotSpecial) {
      if (isNotSpecial === void 0) {
        isNotSpecial = false;
      }
      if (input.startsWith("[")) {
        if (!input.endsWith("]")) {
          validationError("Expected ']' after '['.");
          return null;
        }
        return iPv6Parser(input.substring(1, input.length - 1));
      }
      if (isNotSpecial) {
        return opaqueHostParser(input);
      }
      var domain = util_1.utf8Decode(stringPercentDecode(input));
      var asciiDomain = domainToASCII(domain);
      if (asciiDomain === null) {
        validationError("Invalid domain.");
        return null;
      }
      if (_forbiddenHostCodePoint.test(asciiDomain)) {
        validationError("Invalid domain.");
        return null;
      }
      var ipv4Host = iPv4Parser(asciiDomain);
      if (ipv4Host === null || util_1.isNumber(ipv4Host))
        return ipv4Host;
      return asciiDomain;
    }
    exports2.hostParser = hostParser;
    function iPv4NumberParser(input, validationErrorFlag) {
      if (validationErrorFlag === void 0) {
        validationErrorFlag = { value: false };
      }
      var R = 10;
      if (input.startsWith("0x") || input.startsWith("0X")) {
        validationErrorFlag.value = true;
        input = input.substr(2);
        R = 16;
      } else if (input.length >= 2 && input[0] === "0") {
        validationErrorFlag.value = true;
        input = input.substr(1);
        R = 8;
      }
      if (input === "")
        return 0;
      var radixRDigits = R === 10 ? /^[0-9]+$/ : R === 16 ? /^[0-9A-Fa-f]+$/ : /^[0-7]+$/;
      if (!radixRDigits.test(input))
        return null;
      return parseInt(input, R);
    }
    exports2.iPv4NumberParser = iPv4NumberParser;
    function iPv4Parser(input) {
      var e_6, _a, e_7, _b;
      var validationErrorFlag = { value: false };
      var parts = input.split(".");
      if (parts[parts.length - 1] === "") {
        validationErrorFlag.value = true;
        if (parts.length > 1)
          parts.pop();
      }
      if (parts.length > 4)
        return input;
      var numbers = [];
      try {
        for (var parts_1 = __values(parts), parts_1_1 = parts_1.next(); !parts_1_1.done; parts_1_1 = parts_1.next()) {
          var part = parts_1_1.value;
          if (part === "")
            return input;
          var n = iPv4NumberParser(part, validationErrorFlag);
          if (n === null)
            return input;
          numbers.push(n);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return))
            _a.call(parts_1);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (validationErrorFlag.value)
        validationError("Invalid IP v4 address.");
      for (var i = 0; i < numbers.length; i++) {
        var item = numbers[i];
        if (item > 255) {
          validationError("Invalid IP v4 address.");
          if (i < numbers.length - 1)
            return null;
        }
      }
      if (numbers[numbers.length - 1] >= Math.pow(256, 5 - numbers.length)) {
        validationError("Invalid IP v4 address.");
        return null;
      }
      var ipv4 = numbers[numbers.length - 1];
      numbers.pop();
      var counter = 0;
      try {
        for (var numbers_1 = __values(numbers), numbers_1_1 = numbers_1.next(); !numbers_1_1.done; numbers_1_1 = numbers_1.next()) {
          var n = numbers_1_1.value;
          ipv4 += n * Math.pow(256, 3 - counter);
          counter++;
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (numbers_1_1 && !numbers_1_1.done && (_b = numbers_1.return))
            _b.call(numbers_1);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
      return ipv4;
    }
    exports2.iPv4Parser = iPv4Parser;
    function iPv6Parser(input) {
      var _a;
      var EOF = "";
      var address = [0, 0, 0, 0, 0, 0, 0, 0];
      var pieceIndex = 0;
      var compress = null;
      var walker = new util_1.StringWalker(input);
      if (walker.c() === ":") {
        if (!walker.remaining().startsWith(":")) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer += 2;
        pieceIndex += 1;
        compress = pieceIndex;
      }
      while (walker.c() !== EOF) {
        if (pieceIndex === 8) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        if (walker.c() === ":") {
          if (compress !== null) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer++;
          pieceIndex++;
          compress = pieceIndex;
          continue;
        }
        var value = 0;
        var length = 0;
        while (length < 4 && infra_1.codePoint.ASCIIHexDigit.test(walker.c())) {
          value = value * 16 + parseInt(walker.c(), 16);
          walker.pointer++;
          length++;
        }
        if (walker.c() === ".") {
          if (length === 0) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer -= length;
          if (pieceIndex > 6) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          var numbersSeen = 0;
          while (walker.c() !== EOF) {
            var ipv4Piece = null;
            if (numbersSeen > 0) {
              if (walker.c() === "." && numbersSeen < 4) {
                walker.pointer++;
              } else {
                validationError("Invalid IP v6 address.");
                return null;
              }
            }
            if (!infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            while (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              var number = parseInt(walker.c(), 10);
              if (ipv4Piece === null) {
                ipv4Piece = number;
              } else if (ipv4Piece === 0) {
                validationError("Invalid IP v6 address.");
                return null;
              } else {
                ipv4Piece = ipv4Piece * 10 + number;
              }
              if (ipv4Piece > 255) {
                validationError("Invalid IP v6 address.");
                return null;
              }
              walker.pointer++;
            }
            if (ipv4Piece === null) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
            numbersSeen++;
            if (numbersSeen === 2 || numbersSeen === 4)
              pieceIndex++;
          }
          if (numbersSeen !== 4) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          break;
        } else if (walker.c() === ":") {
          walker.pointer++;
          if (walker.c() === EOF) {
            validationError("Invalid IP v6 address.");
            return null;
          }
        } else if (walker.c() !== EOF) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        address[pieceIndex] = value;
        pieceIndex++;
      }
      if (compress !== null) {
        var swaps = pieceIndex - compress;
        pieceIndex = 7;
        while (pieceIndex !== 0 && swaps > 0) {
          _a = __read([address[compress + swaps - 1], address[pieceIndex]], 2), address[pieceIndex] = _a[0], address[compress + swaps - 1] = _a[1];
          pieceIndex--;
          swaps--;
        }
      } else if (compress === null && pieceIndex !== 8) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      return address;
    }
    exports2.iPv6Parser = iPv6Parser;
    function opaqueHostParser(input) {
      var e_8, _a;
      var forbiddenChars = /[\x00\t\f\r #/:?@\[\\\]]/;
      if (forbiddenChars.test(input)) {
        validationError("Invalid host string.");
        return null;
      }
      var output = "";
      try {
        for (var input_1 = __values(input), input_1_1 = input_1.next(); !input_1_1.done; input_1_1 = input_1.next()) {
          var codePoint = input_1_1.value;
          output += utf8PercentEncode(codePoint, _c0ControlPercentEncodeSet);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (input_1_1 && !input_1_1.done && (_a = input_1.return))
            _a.call(input_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return output;
    }
    exports2.opaqueHostParser = opaqueHostParser;
    function resolveABlobURL(url) {
      return null;
    }
    exports2.resolveABlobURL = resolveABlobURL;
    function percentEncode(value) {
      return "%" + ("00" + value.toString(16).toUpperCase()).slice(-2);
    }
    exports2.percentEncode = percentEncode;
    function percentDecode(input) {
      var isHexDigit = function(byte2) {
        return byte2 >= 48 && byte2 <= 57 || byte2 >= 65 && byte2 <= 70 || byte2 >= 97 && byte2 <= 102;
      };
      var output = new Uint8Array(input.length);
      var n = 0;
      for (var i = 0; i < input.length; i++) {
        var byte = input[i];
        if (byte !== 37) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && i >= input.length - 2) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && (!isHexDigit(input[i + 1]) || !isHexDigit(input[i + 2]))) {
          output[n] = byte;
          n++;
        } else {
          var bytePoint = parseInt(util_1.utf8Decode(Uint8Array.of(input[i + 1], input[i + 2])), 16);
          output[n] = bytePoint;
          n++;
          i += 2;
        }
      }
      return output.subarray(0, n);
    }
    exports2.percentDecode = percentDecode;
    function stringPercentDecode(input) {
      return percentDecode(util_1.utf8Encode(input));
    }
    exports2.stringPercentDecode = stringPercentDecode;
    function utf8PercentEncode(codePoint, percentEncodeSet) {
      var e_9, _a;
      if (!percentEncodeSet.test(codePoint))
        return codePoint;
      var bytes = util_1.utf8Encode(codePoint);
      var result = "";
      try {
        for (var bytes_2 = __values(bytes), bytes_2_1 = bytes_2.next(); !bytes_2_1.done; bytes_2_1 = bytes_2.next()) {
          var byte = bytes_2_1.value;
          result += percentEncode(byte);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (bytes_2_1 && !bytes_2_1.done && (_a = bytes_2.return))
            _a.call(bytes_2);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    }
    exports2.utf8PercentEncode = utf8PercentEncode;
    function hostEquals(hostA, hostB) {
      return hostA === hostB;
    }
    exports2.hostEquals = hostEquals;
    function urlEquals(urlA, urlB, excludeFragmentsFlag) {
      if (excludeFragmentsFlag === void 0) {
        excludeFragmentsFlag = false;
      }
      return urlSerializer(urlA, excludeFragmentsFlag) === urlSerializer(urlB, excludeFragmentsFlag);
    }
    exports2.urlEquals = urlEquals;
    function urlEncodedStringParser(input) {
      return urlEncodedParser(util_1.utf8Encode(input));
    }
    exports2.urlEncodedStringParser = urlEncodedStringParser;
    function urlEncodedParser(input) {
      var e_10, _a, e_11, _b;
      var sequences = [];
      var currentSequence = [];
      try {
        for (var input_2 = __values(input), input_2_1 = input_2.next(); !input_2_1.done; input_2_1 = input_2.next()) {
          var byte = input_2_1.value;
          if (byte === 38) {
            sequences.push(Uint8Array.from(currentSequence));
            currentSequence = [];
          } else {
            currentSequence.push(byte);
          }
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (input_2_1 && !input_2_1.done && (_a = input_2.return))
            _a.call(input_2);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (currentSequence.length !== 0) {
        sequences.push(Uint8Array.from(currentSequence));
      }
      var output = [];
      try {
        for (var sequences_1 = __values(sequences), sequences_1_1 = sequences_1.next(); !sequences_1_1.done; sequences_1_1 = sequences_1.next()) {
          var bytes = sequences_1_1.value;
          if (bytes.length === 0)
            continue;
          var index = bytes.indexOf(61);
          var name = index !== -1 ? bytes.slice(0, index) : bytes;
          var value = index !== -1 ? bytes.slice(index + 1) : new Uint8Array();
          for (var i = 0; i < name.length; i++)
            if (name[i] === 43)
              name[i] = 32;
          for (var i = 0; i < value.length; i++)
            if (value[i] === 43)
              value[i] = 32;
          var nameString = util_1.utf8Decode(name);
          var valueString = util_1.utf8Decode(value);
          output.push([nameString, valueString]);
        }
      } catch (e_11_1) {
        e_11 = { error: e_11_1 };
      } finally {
        try {
          if (sequences_1_1 && !sequences_1_1.done && (_b = sequences_1.return))
            _b.call(sequences_1);
        } finally {
          if (e_11)
            throw e_11.error;
        }
      }
      return output;
    }
    exports2.urlEncodedParser = urlEncodedParser;
    function urlEncodedByteSerializer(input) {
      var e_12, _a;
      var output = "";
      try {
        for (var input_3 = __values(input), input_3_1 = input_3.next(); !input_3_1.done; input_3_1 = input_3.next()) {
          var byte = input_3_1.value;
          if (byte === 32) {
            output += "+";
          } else if (byte === 42 || byte === 45 || byte === 46 || byte >= 48 && byte <= 57 || byte >= 65 && byte <= 90 || byte === 95 || byte >= 97 && byte <= 122) {
            output += String.fromCodePoint(byte);
          } else {
            output += percentEncode(byte);
          }
        }
      } catch (e_12_1) {
        e_12 = { error: e_12_1 };
      } finally {
        try {
          if (input_3_1 && !input_3_1.done && (_a = input_3.return))
            _a.call(input_3);
        } finally {
          if (e_12)
            throw e_12.error;
        }
      }
      return output;
    }
    exports2.urlEncodedByteSerializer = urlEncodedByteSerializer;
    function urlEncodedSerializer(tuples, encodingOverride) {
      var e_13, _a;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      if (encoding.toUpperCase() !== "UTF-8") {
        throw new Error("Only UTF-8 encoding is supported.");
      }
      var output = "";
      try {
        for (var tuples_1 = __values(tuples), tuples_1_1 = tuples_1.next(); !tuples_1_1.done; tuples_1_1 = tuples_1.next()) {
          var tuple = tuples_1_1.value;
          var name = urlEncodedByteSerializer(util_1.utf8Encode(tuple[0]));
          var value = tuple[1];
          value = urlEncodedByteSerializer(util_1.utf8Encode(value));
          if (output !== "")
            output += "&";
          output += name + "=" + value;
        }
      } catch (e_13_1) {
        e_13 = { error: e_13_1 };
      } finally {
        try {
          if (tuples_1_1 && !tuples_1_1.done && (_a = tuples_1.return))
            _a.call(tuples_1);
        } finally {
          if (e_13)
            throw e_13.error;
        }
      }
      return output;
    }
    exports2.urlEncodedSerializer = urlEncodedSerializer;
    function origin(url) {
      switch (url.scheme) {
        case "blob":
          if (url._blobURLEntry !== null) {
          }
          var parsedURL = basicURLParser(url.path[0]);
          if (parsedURL === null)
            return interfaces_1.OpaqueOrigin;
          else
            return origin(parsedURL);
        case "ftp":
        case "http":
        case "https":
        case "ws":
        case "wss":
          return [url.scheme, url.host === null ? "" : url.host, url.port, null];
        case "file":
          return interfaces_1.OpaqueOrigin;
        default:
          return interfaces_1.OpaqueOrigin;
      }
    }
    exports2.origin = origin;
    function domainToASCII(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToASCII(domain);
      if (result === "") {
        validationError("Invalid domain name.");
        return null;
      }
      return result;
    }
    exports2.domainToASCII = domainToASCII;
    function domainToUnicode(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToUnicode(domain);
      if (result === "") {
        validationError("Invalid domain name.");
      }
      return result;
    }
    exports2.domainToUnicode = domainToUnicode;
    function asciiSerializationOfAnOrigin(origin2) {
      if (origin2[0] === "" && origin2[1] === "" && origin2[2] === null && origin2[3] === null) {
        return "null";
      }
      var result = origin2[0] + "://" + hostSerializer(origin2[1]);
      if (origin2[2] !== null)
        result += ":" + origin2[2].toString();
      return result;
    }
    exports2.asciiSerializationOfAnOrigin = asciiSerializationOfAnOrigin;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js
var require_NodeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var interfaces_1 = require_interfaces6();
    var EventTargetImpl_1 = require_EventTargetImpl2();
    var util_1 = require_util10();
    var DOMException_1 = require_DOMException2();
    var algorithm_1 = require_algorithm2();
    var URLAlgorithm_1 = require_URLAlgorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var NodeImpl = (
      /** @class */
      function(_super) {
        __extends(NodeImpl2, _super);
        function NodeImpl2() {
          var _this = _super.call(this) || this;
          _this._parent = null;
          _this._firstChild = null;
          _this._lastChild = null;
          _this._previousSibling = null;
          _this._nextSibling = null;
          return _this;
        }
        Object.defineProperty(NodeImpl2.prototype, "_childNodes", {
          get: function() {
            return this.__childNodes || (this.__childNodes = algorithm_1.create_nodeList(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverride || DOMImpl_1.dom.window._associatedDocument;
          },
          set: function(val) {
            this._nodeDocumentOverride = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_registeredObserverList", {
          get: function() {
            return this.__registeredObserverList || (this.__registeredObserverList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeType", {
          /** @inheritdoc */
          get: function() {
            return this._nodeType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeName", {
          /**
           * Returns a string appropriate for the type of node.
           */
          get: function() {
            if (util_1.Guard.isElementNode(this)) {
              return this._htmlUppercasedQualifiedName;
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._qualifiedName;
            } else if (util_1.Guard.isExclusiveTextNode(this)) {
              return "#text";
            } else if (util_1.Guard.isCDATASectionNode(this)) {
              return "#cdata-section";
            } else if (util_1.Guard.isProcessingInstructionNode(this)) {
              return this._target;
            } else if (util_1.Guard.isCommentNode(this)) {
              return "#comment";
            } else if (util_1.Guard.isDocumentNode(this)) {
              return "#document";
            } else if (util_1.Guard.isDocumentTypeNode(this)) {
              return this._name;
            } else if (util_1.Guard.isDocumentFragmentNode(this)) {
              return "#document-fragment";
            } else {
              return "";
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "baseURI", {
          /**
           * Gets the absolute base URL of the node.
           */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._nodeDocument._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "isConnected", {
          /**
           * Returns whether the node is rooted to a document node.
           */
          get: function() {
            return util_1.Guard.isElementNode(this) && algorithm_1.shadowTree_isConnected(this);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "ownerDocument", {
          /**
           * Returns the parent document.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Document)
              return null;
            else
              return this._nodeDocument;
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.getRootNode = function(options) {
          return algorithm_1.tree_rootNode(this, !!options && options.composed);
        };
        Object.defineProperty(NodeImpl2.prototype, "parentNode", {
          /**
           * Returns the parent node.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Attribute) {
              return null;
            } else {
              return this._parent;
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "parentElement", {
          /**
           * Returns the parent element.
           */
          get: function() {
            if (this._parent && util_1.Guard.isElementNode(this._parent)) {
              return this._parent;
            } else {
              return null;
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.hasChildNodes = function() {
          return this._firstChild !== null;
        };
        Object.defineProperty(NodeImpl2.prototype, "childNodes", {
          /**
           * Returns a {@link NodeList} of child nodes.
           */
          get: function() {
            return this._childNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "firstChild", {
          /**
           * Returns the first child node.
           */
          get: function() {
            return this._firstChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "lastChild", {
          /**
           * Returns the last child node.
           */
          get: function() {
            return this._lastChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "previousSibling", {
          /**
           * Returns the previous sibling node.
           */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nextSibling", {
          /**
           * Returns the next sibling node.
           */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeValue", {
          /**
           * Gets or sets the data associated with a {@link CharacterData} node or the
           * value of an {@link @Attr} node. For other node types returns `null`.
           */
          get: function() {
            if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "textContent", {
          /**
           * Returns the concatenation of data of all the {@link Text}
           * node descendants in tree order. When set, replaces the text
           * contents of the node with the given value.
           */
          get: function() {
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              return algorithm_1.text_descendantTextContent(this);
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              algorithm_1.node_stringReplaceAll(value, this);
            } else if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, algorithm_1.tree_nodeLength(this), value);
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.normalize = function() {
          var e_1, _a, e_2, _b;
          var descendantNodes = [];
          var node = algorithm_1.tree_getFirstDescendantNode(this, false, false, function(e) {
            return util_1.Guard.isExclusiveTextNode(e);
          });
          while (node !== null) {
            descendantNodes.push(node);
            node = algorithm_1.tree_getNextDescendantNode(this, node, false, false, function(e) {
              return util_1.Guard.isExclusiveTextNode(e);
            });
          }
          for (var i = 0; i < descendantNodes.length; i++) {
            var node_1 = descendantNodes[i];
            if (node_1._parent === null)
              continue;
            var length = algorithm_1.tree_nodeLength(node_1);
            if (length === 0) {
              algorithm_1.mutation_remove(node_1, node_1._parent);
              continue;
            }
            var textSiblings = [];
            var data = "";
            try {
              for (var _c = (e_1 = void 0, __values(algorithm_1.text_contiguousExclusiveTextNodes(node_1))), _d = _c.next(); !_d.done; _d = _c.next()) {
                var sibling = _d.value;
                textSiblings.push(sibling);
                data += sibling._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            algorithm_1.characterData_replaceData(node_1, length, 0, data);
            if (DOMImpl_1.dom.rangeList.size !== 0) {
              var currentNode = node_1._nextSibling;
              while (currentNode !== null && util_1.Guard.isExclusiveTextNode(currentNode)) {
                var cn = currentNode;
                var index = algorithm_1.tree_index(cn);
                try {
                  for (var _e = (e_2 = void 0, __values(DOMImpl_1.dom.rangeList)), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var range = _f.value;
                    if (range._start[0] === cn) {
                      range._start[0] = node_1;
                      range._start[1] += length;
                    }
                    if (range._end[0] === cn) {
                      range._end[0] = node_1;
                      range._end[1] += length;
                    }
                    if (range._start[0] === cn._parent && range._start[1] === index) {
                      range._start[0] = node_1;
                      range._start[1] = length;
                    }
                    if (range._end[0] === cn._parent && range._end[1] === index) {
                      range._end[0] = node_1;
                      range._end[1] = length;
                    }
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_f && !_f.done && (_b = _e.return))
                      _b.call(_e);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                length += algorithm_1.tree_nodeLength(currentNode);
                currentNode = currentNode._nextSibling;
              }
            }
            for (var i_1 = 0; i_1 < textSiblings.length; i_1++) {
              var sibling = textSiblings[i_1];
              if (sibling._parent === null)
                continue;
              algorithm_1.mutation_remove(sibling, sibling._parent);
            }
          }
        };
        NodeImpl2.prototype.cloneNode = function(deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isShadowRoot(this))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(this, null, deep);
        };
        NodeImpl2.prototype.isEqualNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return node !== null && algorithm_1.node_equals(this, node);
        };
        NodeImpl2.prototype.isSameNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return this === node;
        };
        NodeImpl2.prototype.compareDocumentPosition = function(other) {
          if (other === this)
            return 0;
          var node1 = other;
          var node2 = this;
          var attr1 = null;
          var attr2 = null;
          if (util_1.Guard.isAttrNode(node1)) {
            attr1 = node1;
            node1 = attr1._element;
          }
          if (util_1.Guard.isAttrNode(node2)) {
            attr2 = node2;
            node2 = attr2._element;
            if (attr1 && node1 && node1 === node2) {
              for (var i = 0; i < node2._attributeList.length; i++) {
                var attr = node2._attributeList[i];
                if (algorithm_1.node_equals(attr, attr1)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Preceding;
                } else if (algorithm_1.node_equals(attr, attr2)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Following;
                }
              }
            }
          }
          if (node1 === null || node2 === null || algorithm_1.tree_rootNode(node1) !== algorithm_1.tree_rootNode(node2)) {
            return interfaces_1.Position.Disconnected | interfaces_1.Position.ImplementationSpecific | (DOMImpl_1.dom.compareCache.check(this, other) ? interfaces_1.Position.Preceding : interfaces_1.Position.Following);
          }
          if (!attr1 && algorithm_1.tree_isAncestorOf(node2, node1) || attr2 && node1 === node2) {
            return interfaces_1.Position.Contains | interfaces_1.Position.Preceding;
          }
          if (!attr2 && algorithm_1.tree_isDescendantOf(node2, node1) || attr1 && node1 === node2) {
            return interfaces_1.Position.ContainedBy | interfaces_1.Position.Following;
          }
          if (algorithm_1.tree_isPreceding(node2, node1))
            return interfaces_1.Position.Preceding;
          return interfaces_1.Position.Following;
        };
        NodeImpl2.prototype.contains = function(other) {
          if (other === null)
            return false;
          return algorithm_1.tree_isDescendantOf(this, other, true);
        };
        NodeImpl2.prototype.lookupPrefix = function(namespace) {
          if (!namespace)
            return null;
          if (util_1.Guard.isElementNode(this)) {
            return algorithm_1.node_locateANamespacePrefix(this, namespace);
          } else if (util_1.Guard.isDocumentNode(this)) {
            if (this.documentElement === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this.documentElement, namespace);
            }
          } else if (util_1.Guard.isDocumentTypeNode(this) || util_1.Guard.isDocumentFragmentNode(this)) {
            return null;
          } else if (util_1.Guard.isAttrNode(this)) {
            if (this._element === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this._element, namespace);
            }
          } else {
            if (this._parent !== null && util_1.Guard.isElementNode(this._parent)) {
              return algorithm_1.node_locateANamespacePrefix(this._parent, namespace);
            } else {
              return null;
            }
          }
        };
        NodeImpl2.prototype.lookupNamespaceURI = function(prefix) {
          return algorithm_1.node_locateANamespace(this, prefix || null);
        };
        NodeImpl2.prototype.isDefaultNamespace = function(namespace) {
          if (!namespace)
            namespace = null;
          var defaultNamespace = algorithm_1.node_locateANamespace(this, null);
          return defaultNamespace === namespace;
        };
        NodeImpl2.prototype.insertBefore = function(newChild, refChild) {
          return algorithm_1.mutation_preInsert(newChild, this, refChild);
        };
        NodeImpl2.prototype.appendChild = function(newChild) {
          return algorithm_1.mutation_append(newChild, this);
        };
        NodeImpl2.prototype.replaceChild = function(newChild, oldChild) {
          return algorithm_1.mutation_replace(oldChild, newChild, this);
        };
        NodeImpl2.prototype.removeChild = function(oldChild) {
          return algorithm_1.mutation_preRemove(oldChild, this);
        };
        NodeImpl2.prototype._getTheParent = function(event) {
          if (util_1.Guard.isSlotable(this) && algorithm_1.shadowTree_isAssigned(this)) {
            return this._assignedSlot;
          } else {
            return this._parent;
          }
        };
        NodeImpl2.ELEMENT_NODE = 1;
        NodeImpl2.ATTRIBUTE_NODE = 2;
        NodeImpl2.TEXT_NODE = 3;
        NodeImpl2.CDATA_SECTION_NODE = 4;
        NodeImpl2.ENTITY_REFERENCE_NODE = 5;
        NodeImpl2.ENTITY_NODE = 6;
        NodeImpl2.PROCESSING_INSTRUCTION_NODE = 7;
        NodeImpl2.COMMENT_NODE = 8;
        NodeImpl2.DOCUMENT_NODE = 9;
        NodeImpl2.DOCUMENT_TYPE_NODE = 10;
        NodeImpl2.DOCUMENT_FRAGMENT_NODE = 11;
        NodeImpl2.NOTATION_NODE = 12;
        NodeImpl2.DOCUMENT_POSITION_DISCONNECTED = 1;
        NodeImpl2.DOCUMENT_POSITION_PRECEDING = 2;
        NodeImpl2.DOCUMENT_POSITION_FOLLOWING = 4;
        NodeImpl2.DOCUMENT_POSITION_CONTAINS = 8;
        NodeImpl2.DOCUMENT_POSITION_CONTAINED_BY = 16;
        NodeImpl2.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 32;
        return NodeImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.NodeImpl = NodeImpl;
    NodeImpl.prototype._children = new util_1.EmptySet();
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ELEMENT_NODE", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ATTRIBUTE_NODE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "TEXT_NODE", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "CDATA_SECTION_NODE", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_REFERENCE_NODE", 5);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_NODE", 6);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "PROCESSING_INSTRUCTION_NODE", 7);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "COMMENT_NODE", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_NODE", 9);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_TYPE_NODE", 10);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_FRAGMENT_NODE", 11);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "NOTATION_NODE", 12);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_DISCONNECTED", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_PRECEDING", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_FOLLOWING", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINS", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINED_BY", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC", 32);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js
var require_DocumentImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var interfaces_1 = require_interfaces6();
    var DOMException_1 = require_DOMException2();
    var NodeImpl_1 = require_NodeImpl2();
    var util_1 = require_util10();
    var util_2 = require_lib7();
    var infra_1 = require_lib8();
    var URLAlgorithm_1 = require_URLAlgorithm2();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var DocumentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentImpl2, _super);
        function DocumentImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._encoding = {
            name: "UTF-8",
            labels: ["unicode-1-1-utf-8", "utf-8", "utf8"]
          };
          _this._contentType = "application/xml";
          _this._URL = {
            scheme: "about",
            username: "",
            password: "",
            host: null,
            port: null,
            path: ["blank"],
            query: null,
            fragment: null,
            _cannotBeABaseURLFlag: true,
            _blobURLEntry: null
          };
          _this._origin = null;
          _this._type = "xml";
          _this._mode = "no-quirks";
          _this._documentElement = null;
          _this._hasNamespaces = false;
          _this._nodeDocumentOverwrite = null;
          return _this;
        }
        Object.defineProperty(DocumentImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverwrite || this;
          },
          set: function(val) {
            this._nodeDocumentOverwrite = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "implementation", {
          /** @inheritdoc */
          get: function() {
            return this._implementation || (this._implementation = algorithm_1.create_domImplementation(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "URL", {
          /** @inheritdoc */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentURI", {
          /** @inheritdoc */
          get: function() {
            return this.URL;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "origin", {
          /** @inheritdoc */
          get: function() {
            return "null";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "compatMode", {
          /** @inheritdoc */
          get: function() {
            return this._mode === "quirks" ? "BackCompat" : "CSS1Compat";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "characterSet", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "charset", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "inputEncoding", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "contentType", {
          /** @inheritdoc */
          get: function() {
            return this._contentType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "doctype", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            try {
              for (var _b = __values(this._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var child = _c.value;
                if (util_1.Guard.isDocumentTypeNode(child))
                  return child;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentElement", {
          /** @inheritdoc */
          get: function() {
            return this._documentElement;
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        DocumentImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        DocumentImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        DocumentImpl2.prototype.createElement = function(localName, options) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html")
            localName = localName.toLowerCase();
          var is = null;
          if (options !== void 0) {
            if (util_2.isString(options)) {
              is = options;
            } else {
              is = options.is;
            }
          }
          var namespace = this._type === "html" || this._contentType === "application/xhtml+xml" ? infra_1.namespace.HTML : null;
          return algorithm_1.element_createAnElement(this, localName, namespace, null, is, true);
        };
        DocumentImpl2.prototype.createElementNS = function(namespace, qualifiedName, options) {
          return algorithm_1.document_internalCreateElementNS(this, namespace, qualifiedName, options);
        };
        DocumentImpl2.prototype.createDocumentFragment = function() {
          return algorithm_1.create_documentFragment(this);
        };
        DocumentImpl2.prototype.createTextNode = function(data) {
          return algorithm_1.create_text(this, data);
        };
        DocumentImpl2.prototype.createCDATASection = function(data) {
          if (this._type === "html")
            throw new DOMException_1.NotSupportedError();
          if (data.indexOf("]]>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_cdataSection(this, data);
        };
        DocumentImpl2.prototype.createComment = function(data) {
          return algorithm_1.create_comment(this, data);
        };
        DocumentImpl2.prototype.createProcessingInstruction = function(target, data) {
          if (!algorithm_1.xml_isName(target))
            throw new DOMException_1.InvalidCharacterError();
          if (data.indexOf("?>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_processingInstruction(this, target, data);
        };
        DocumentImpl2.prototype.importNode = function(node, deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isDocumentNode(node) || util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(node, this, deep);
        };
        DocumentImpl2.prototype.adoptNode = function(node) {
          if (util_1.Guard.isDocumentNode(node))
            throw new DOMException_1.NotSupportedError();
          if (util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.HierarchyRequestError();
          algorithm_1.document_adopt(node, this);
          return node;
        };
        DocumentImpl2.prototype.createAttribute = function(localName) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html") {
            localName = localName.toLowerCase();
          }
          var attr = algorithm_1.create_attr(this, localName);
          return attr;
        };
        DocumentImpl2.prototype.createAttributeNS = function(namespace, qualifiedName) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          var attr = algorithm_1.create_attr(this, localName);
          attr._namespace = ns;
          attr._namespacePrefix = prefix;
          return attr;
        };
        DocumentImpl2.prototype.createEvent = function(eventInterface) {
          return algorithm_1.event_createLegacyEvent(eventInterface);
        };
        DocumentImpl2.prototype.createRange = function() {
          var range = algorithm_1.create_range();
          range._start = [this, 0];
          range._end = [this, 0];
          return range;
        };
        DocumentImpl2.prototype.createNodeIterator = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var iterator = algorithm_1.create_nodeIterator(root, root, true);
          iterator._whatToShow = whatToShow;
          iterator._iteratorCollection = algorithm_1.create_nodeList(root);
          if (util_2.isFunction(filter)) {
            iterator._filter = algorithm_1.create_nodeFilter();
            iterator._filter.acceptNode = filter;
          } else {
            iterator._filter = filter;
          }
          return iterator;
        };
        DocumentImpl2.prototype.createTreeWalker = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var walker = algorithm_1.create_treeWalker(root, root);
          walker._whatToShow = whatToShow;
          if (util_2.isFunction(filter)) {
            walker._filter = algorithm_1.create_nodeFilter();
            walker._filter.acceptNode = filter;
          } else {
            walker._filter = filter;
          }
          return walker;
        };
        DocumentImpl2.prototype._getTheParent = function(event) {
          if (event._type === "load") {
            return null;
          } else {
            return DOMImpl_1.dom.window;
          }
        };
        DocumentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentImpl2.prototype, "children", {
          // MIXIN: DocumentOrShadowRoot
          // No elements
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        return DocumentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentImpl = DocumentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentImpl.prototype, "_nodeType", interfaces_1.NodeType.Document);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js
var require_XMLDocumentImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentImpl_1 = require_DocumentImpl2();
    var XMLDocumentImpl = (
      /** @class */
      function(_super) {
        __extends(XMLDocumentImpl2, _super);
        function XMLDocumentImpl2() {
          return _super.call(this) || this;
        }
        return XMLDocumentImpl2;
      }(DocumentImpl_1.DocumentImpl)
    );
    exports2.XMLDocumentImpl = XMLDocumentImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js
var require_AbortControllerImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm2();
    var AbortControllerImpl = (
      /** @class */
      function() {
        function AbortControllerImpl2() {
          this._signal = algorithm_1.create_abortSignal();
        }
        Object.defineProperty(AbortControllerImpl2.prototype, "signal", {
          /** @inheritdoc */
          get: function() {
            return this._signal;
          },
          enumerable: true,
          configurable: true
        });
        AbortControllerImpl2.prototype.abort = function() {
          algorithm_1.abort_signalAbort(this._signal);
        };
        return AbortControllerImpl2;
      }()
    );
    exports2.AbortControllerImpl = AbortControllerImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js
var require_AbortSignalImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl2();
    var algorithm_1 = require_algorithm2();
    var AbortSignalImpl = (
      /** @class */
      function(_super) {
        __extends(AbortSignalImpl2, _super);
        function AbortSignalImpl2() {
          var _this = _super.call(this) || this;
          _this._abortedFlag = false;
          _this._abortAlgorithms = /* @__PURE__ */ new Set();
          return _this;
        }
        Object.defineProperty(AbortSignalImpl2.prototype, "aborted", {
          /** @inheritdoc */
          get: function() {
            return this._abortedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbortSignalImpl2.prototype, "onabort", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.event_getterEventHandlerIDLAttribute(this, "onabort");
          },
          set: function(val) {
            algorithm_1.event_setterEventHandlerIDLAttribute(this, "onabort", val);
          },
          enumerable: true,
          configurable: true
        });
        AbortSignalImpl2._create = function() {
          return new AbortSignalImpl2();
        };
        return AbortSignalImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.AbortSignalImpl = AbortSignalImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js
var require_DocumentTypeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var NodeImpl_1 = require_NodeImpl2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var DocumentTypeImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentTypeImpl2, _super);
        function DocumentTypeImpl2(name, publicId, systemId) {
          var _this = _super.call(this) || this;
          _this._name = "";
          _this._publicId = "";
          _this._systemId = "";
          _this._name = name;
          _this._publicId = publicId;
          _this._systemId = systemId;
          return _this;
        }
        Object.defineProperty(DocumentTypeImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "publicId", {
          /** @inheritdoc */
          get: function() {
            return this._publicId;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "systemId", {
          /** @inheritdoc */
          get: function() {
            return this._systemId;
          },
          enumerable: true,
          configurable: true
        });
        DocumentTypeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2._create = function(document, name, publicId, systemId) {
          if (publicId === void 0) {
            publicId = "";
          }
          if (systemId === void 0) {
            systemId = "";
          }
          var node = new DocumentTypeImpl2(name, publicId, systemId);
          node._nodeDocument = document;
          return node;
        };
        return DocumentTypeImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentTypeImpl = DocumentTypeImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentTypeImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentType);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js
var require_ElementImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var NodeImpl_1 = require_NodeImpl2();
    var DOMException_1 = require_DOMException2();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var ElementImpl = (
      /** @class */
      function(_super) {
        __extends(ElementImpl2, _super);
        function ElementImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._localName = "";
          _this._customElementState = "undefined";
          _this._customElementDefinition = null;
          _this._is = null;
          _this._shadowRoot = null;
          _this._attributeList = algorithm_1.create_namedNodeMap(_this);
          _this._attributeChangeSteps = [];
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(ElementImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "tagName", {
          /** @inheritdoc */
          get: function() {
            return this._htmlUppercasedQualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "id", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "id");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "id", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "className", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "class");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "class", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "classList", {
          /** @inheritdoc */
          get: function() {
            var attr = algorithm_1.element_getAnAttributeByName("class", this);
            if (attr === null) {
              attr = algorithm_1.create_attr(this._nodeDocument, "class");
            }
            return algorithm_1.create_domTokenList(this, attr);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "slot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "slot");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "slot", value);
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.hasAttributes = function() {
          return this._attributeList.length !== 0;
        };
        Object.defineProperty(ElementImpl2.prototype, "attributes", {
          /** @inheritdoc */
          get: function() {
            return this._attributeList;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.getAttributeNames = function() {
          var e_1, _a;
          var names = [];
          try {
            for (var _b = __values(this._attributeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              names.push(attr._qualifiedName);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return names;
        };
        ElementImpl2.prototype.getAttribute = function(qualifiedName) {
          var attr = algorithm_1.element_getAnAttributeByName(qualifiedName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.getAttributeNS = function(namespace, localName) {
          var attr = algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.setAttribute = function(qualifiedName, value) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
            attribute._value = value;
            algorithm_1.element_append(attribute, this);
            return;
          }
          algorithm_1.element_change(attribute, this, value);
        };
        ElementImpl2.prototype.setAttributeNS = function(namespace, qualifiedName, value) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          algorithm_1.element_setAnAttributeValue(this, localName, value, prefix, ns);
        };
        ElementImpl2.prototype.removeAttribute = function(qualifiedName) {
          algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.removeAttributeNS = function(namespace, localName) {
          algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.hasAttribute = function(qualifiedName) {
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.toggleAttribute = function(qualifiedName, force) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            if (force === void 0 || force === true) {
              attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
              attribute._value = "";
              algorithm_1.element_append(attribute, this);
              return true;
            }
            return false;
          } else if (force === void 0 || force === false) {
            algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
            return false;
          }
          return true;
        };
        ElementImpl2.prototype.hasAttributeNS = function(namespace, localName) {
          var ns = namespace || null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._namespace === ns && attr._localName === localName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.getAttributeNode = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.getAttributeNodeNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.setAttributeNode = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.setAttributeNodeNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.removeAttributeNode = function(attr) {
          var found = false;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attribute = this._attributeList[i];
            if (attribute === attr) {
              found = true;
              break;
            }
          }
          if (!found)
            throw new DOMException_1.NotFoundError();
          algorithm_1.element_remove(attr, this);
          return attr;
        };
        ElementImpl2.prototype.attachShadow = function(init) {
          if (this._namespace !== infra_1.namespace.HTML)
            throw new DOMException_1.NotSupportedError();
          if (!algorithm_1.customElement_isValidCustomElementName(this._localName) && !algorithm_1.customElement_isValidShadowHostName(this._localName))
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.customElement_isValidCustomElementName(this._localName) || this._is !== null) {
            var definition = algorithm_1.customElement_lookUpACustomElementDefinition(this._nodeDocument, this._namespace, this._localName, this._is);
            if (definition !== null && definition.disableShadow === true) {
              throw new DOMException_1.NotSupportedError();
            }
          }
          if (this._shadowRoot !== null)
            throw new DOMException_1.NotSupportedError();
          var shadow = algorithm_1.create_shadowRoot(this._nodeDocument, this);
          shadow._mode = init.mode;
          this._shadowRoot = shadow;
          return shadow;
        };
        Object.defineProperty(ElementImpl2.prototype, "shadowRoot", {
          /** @inheritdoc */
          get: function() {
            var shadow = this._shadowRoot;
            if (shadow === null || shadow.mode === "closed")
              return null;
            else
              return shadow;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.closest = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.matches = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.webkitMatchesSelector = function(selectors) {
          return this.matches(selectors);
        };
        ElementImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        ElementImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        ElementImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        ElementImpl2.prototype.insertAdjacentElement = function(where, element) {
          return algorithm_1.element_insertAdjacent(this, where, element);
        };
        ElementImpl2.prototype.insertAdjacentText = function(where, data) {
          var text = algorithm_1.create_text(this._nodeDocument, data);
          algorithm_1.element_insertAdjacent(this, where, text);
        };
        Object.defineProperty(ElementImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "_htmlUppercasedQualifiedName", {
          /**
           * Returns the upper-cased qualified name for a html element.
           */
          get: function() {
            var qualifiedName = this._qualifiedName;
            if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
              qualifiedName = qualifiedName.toUpperCase();
            }
            return qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2._create = function(document, localName, namespace, namespacePrefix) {
          if (namespace === void 0) {
            namespace = null;
          }
          if (namespacePrefix === void 0) {
            namespacePrefix = null;
          }
          var node = new ElementImpl2();
          node._localName = localName;
          node._namespace = namespace;
          node._namespacePrefix = namespacePrefix;
          node._nodeDocument = document;
          return node;
        };
        return ElementImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.ElementImpl = ElementImpl;
    WebIDLAlgorithm_1.idl_defineConst(ElementImpl.prototype, "_nodeType", interfaces_1.NodeType.Element);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js
var require_DocumentFragmentImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var NodeImpl_1 = require_NodeImpl2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var DocumentFragmentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentFragmentImpl2, _super);
        function DocumentFragmentImpl2(host) {
          if (host === void 0) {
            host = null;
          }
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._host = host;
          return _this;
        }
        DocumentFragmentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentFragmentImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentFragmentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2._create = function(document, host) {
          if (host === void 0) {
            host = null;
          }
          var node = new DocumentFragmentImpl2(host);
          node._nodeDocument = document;
          return node;
        };
        return DocumentFragmentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentFragmentImpl = DocumentFragmentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentFragmentImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentFragment);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js
var require_ShadowRootImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl2();
    var util_1 = require_lib7();
    var algorithm_1 = require_algorithm2();
    var ShadowRootImpl = (
      /** @class */
      function(_super) {
        __extends(ShadowRootImpl2, _super);
        function ShadowRootImpl2(host, mode) {
          var _this = _super.call(this) || this;
          _this._host = host;
          _this._mode = mode;
          return _this;
        }
        Object.defineProperty(ShadowRootImpl2.prototype, "mode", {
          /** @inheritdoc */
          get: function() {
            return this._mode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ShadowRootImpl2.prototype, "host", {
          /** @inheritdoc */
          get: function() {
            return this._host;
          },
          enumerable: true,
          configurable: true
        });
        ShadowRootImpl2.prototype._getTheParent = function(event) {
          if (!event._composedFlag && !util_1.isEmpty(event._path) && algorithm_1.tree_rootNode(event._path[0].invocationTarget) === this) {
            return null;
          } else {
            return this._host;
          }
        };
        ShadowRootImpl2._create = function(document, host) {
          return new ShadowRootImpl2(host, "closed");
        };
        return ShadowRootImpl2;
      }(DocumentFragmentImpl_1.DocumentFragmentImpl)
    );
    exports2.ShadowRootImpl = ShadowRootImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js
var require_AttrImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var NodeImpl_1 = require_NodeImpl2();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var AttrImpl = (
      /** @class */
      function(_super) {
        __extends(AttrImpl2, _super);
        function AttrImpl2(localName) {
          var _this = _super.call(this) || this;
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._element = null;
          _this._value = "";
          _this._localName = localName;
          return _this;
        }
        Object.defineProperty(AttrImpl2.prototype, "ownerElement", {
          /** @inheritdoc */
          get: function() {
            return this._element;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return this._value;
          },
          set: function(value) {
            algorithm_1.attr_setAnExistingAttributeValue(this, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix !== null ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        AttrImpl2._create = function(document, localName) {
          var node = new AttrImpl2(localName);
          node._nodeDocument = document;
          return node;
        };
        return AttrImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.AttrImpl = AttrImpl;
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "_nodeType", interfaces_1.NodeType.Attribute);
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "specified", true);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js
var require_CharacterDataImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NodeImpl_1 = require_NodeImpl2();
    var algorithm_1 = require_algorithm2();
    var CharacterDataImpl = (
      /** @class */
      function(_super) {
        __extends(CharacterDataImpl2, _super);
        function CharacterDataImpl2(data) {
          var _this = _super.call(this) || this;
          _this._data = data;
          return _this;
        }
        Object.defineProperty(CharacterDataImpl2.prototype, "data", {
          /** @inheritdoc */
          get: function() {
            return this._data;
          },
          set: function(value) {
            algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._data.length;
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.substringData = function(offset, count) {
          return algorithm_1.characterData_substringData(this, offset, count);
        };
        CharacterDataImpl2.prototype.appendData = function(data) {
          return algorithm_1.characterData_replaceData(this, this._data.length, 0, data);
        };
        CharacterDataImpl2.prototype.insertData = function(offset, data) {
          algorithm_1.characterData_replaceData(this, offset, 0, data);
        };
        CharacterDataImpl2.prototype.deleteData = function(offset, count) {
          algorithm_1.characterData_replaceData(this, offset, count, "");
        };
        CharacterDataImpl2.prototype.replaceData = function(offset, count, data) {
          algorithm_1.characterData_replaceData(this, offset, count, data);
        };
        Object.defineProperty(CharacterDataImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        return CharacterDataImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.CharacterDataImpl = CharacterDataImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TextImpl.js
var require_TextImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TextImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var CharacterDataImpl_1 = require_CharacterDataImpl2();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var TextImpl = (
      /** @class */
      function(_super) {
        __extends(TextImpl2, _super);
        function TextImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          var _this = _super.call(this, data) || this;
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(TextImpl2.prototype, "wholeText", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var text = "";
            try {
              for (var _b = __values(algorithm_1.text_contiguousTextNodes(this, true)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                text = text + node._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return text;
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2.prototype.splitText = function(offset) {
          return algorithm_1.text_split(this, offset);
        };
        Object.defineProperty(TextImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new TextImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return TextImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.TextImpl = TextImpl;
    WebIDLAlgorithm_1.idl_defineConst(TextImpl.prototype, "_nodeType", interfaces_1.NodeType.Text);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js
var require_CDATASectionImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TextImpl_1 = require_TextImpl2();
    var interfaces_1 = require_interfaces6();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var CDATASectionImpl = (
      /** @class */
      function(_super) {
        __extends(CDATASectionImpl2, _super);
        function CDATASectionImpl2(data) {
          return _super.call(this, data) || this;
        }
        CDATASectionImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CDATASectionImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CDATASectionImpl2;
      }(TextImpl_1.TextImpl)
    );
    exports2.CDATASectionImpl = CDATASectionImpl;
    WebIDLAlgorithm_1.idl_defineConst(CDATASectionImpl.prototype, "_nodeType", interfaces_1.NodeType.CData);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js
var require_CommentImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var CharacterDataImpl_1 = require_CharacterDataImpl2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var CommentImpl = (
      /** @class */
      function(_super) {
        __extends(CommentImpl2, _super);
        function CommentImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          return _super.call(this, data) || this;
        }
        CommentImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CommentImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CommentImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.CommentImpl = CommentImpl;
    WebIDLAlgorithm_1.idl_defineConst(CommentImpl.prototype, "_nodeType", interfaces_1.NodeType.Comment);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js
var require_ProcessingInstructionImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var CharacterDataImpl_1 = require_CharacterDataImpl2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var ProcessingInstructionImpl = (
      /** @class */
      function(_super) {
        __extends(ProcessingInstructionImpl2, _super);
        function ProcessingInstructionImpl2(target, data) {
          var _this = _super.call(this, data) || this;
          _this._target = target;
          return _this;
        }
        Object.defineProperty(ProcessingInstructionImpl2.prototype, "target", {
          /**
           * Gets the target of the {@link ProcessingInstruction} node.
           */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        ProcessingInstructionImpl2._create = function(document, target, data) {
          var node = new ProcessingInstructionImpl2(target, data);
          node._nodeDocument = document;
          return node;
        };
        return ProcessingInstructionImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.ProcessingInstructionImpl = ProcessingInstructionImpl;
    WebIDLAlgorithm_1.idl_defineConst(ProcessingInstructionImpl.prototype, "_nodeType", interfaces_1.NodeType.ProcessingInstruction);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js
var require_HTMLCollectionImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var util_1 = require_util10();
    var util_2 = require_lib7();
    var HTMLCollectionImpl = (
      /** @class */
      function() {
        function HTMLCollectionImpl2(root, filter) {
          this._live = true;
          this._root = root;
          this._filter = filter;
          return new Proxy(this, this);
        }
        Object.defineProperty(HTMLCollectionImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            var _this = this;
            var count = 0;
            var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
            while (node !== null) {
              count++;
              node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
                return util_1.Guard.isElementNode(e) && _this._filter(e);
              });
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        HTMLCollectionImpl2.prototype.item = function(index) {
          var _this = this;
          var i = 0;
          var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (node !== null) {
            if (i === index)
              return node;
            else
              i++;
            node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype.namedItem = function(key) {
          var _this = this;
          if (key === "")
            return null;
          var ele = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (ele != null) {
            if (ele._uniqueIdentifier === key) {
              return ele;
            } else if (ele._namespace === infra_1.namespace.HTML) {
              for (var i = 0; i < ele._attributeList.length; i++) {
                var attr = ele._attributeList[i];
                if (attr._localName === "name" && attr._namespace === null && attr._namespacePrefix === null && attr._value === key)
                  return ele;
              }
            }
            ele = algorithm_1.tree_getNextDescendantNode(this._root, ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype[Symbol.iterator] = function() {
          var root = this._root;
          var filter = this._filter;
          var currentNode = algorithm_1.tree_getFirstDescendantNode(root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && filter(e);
          });
          return {
            next: function() {
              if (currentNode === null) {
                return { done: true, value: null };
              } else {
                var result = { done: false, value: currentNode };
                currentNode = algorithm_1.tree_getNextDescendantNode(root, currentNode, false, false, function(e) {
                  return util_1.Guard.isElementNode(e) && filter(e);
                });
                return result;
              }
            }
          };
        };
        HTMLCollectionImpl2.prototype.get = function(target, key, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return target.namedItem(key) || void 0;
          } else {
            return target.item(index) || void 0;
          }
        };
        HTMLCollectionImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          var node = isNaN(index) ? target.namedItem(key) || void 0 : target.item(index) || void 0;
          if (node && node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        HTMLCollectionImpl2._create = function(root, filter) {
          if (filter === void 0) {
            filter = function() {
              return true;
            };
          }
          return new HTMLCollectionImpl2(root, filter);
        };
        HTMLCollectionImpl2.reservedNames = [
          "_root",
          "_live",
          "_filter",
          "length",
          "item",
          "namedItem",
          "get",
          "set"
        ];
        return HTMLCollectionImpl2;
      }()
    );
    exports2.HTMLCollectionImpl = HTMLCollectionImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js
var require_NodeListImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_lib7();
    var algorithm_1 = require_algorithm2();
    var NodeListImpl = (
      /** @class */
      function() {
        function NodeListImpl2(root) {
          this._live = true;
          this._filter = null;
          this._length = 0;
          this._root = root;
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._root._children.size;
          },
          enumerable: true,
          configurable: true
        });
        NodeListImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          if (index < this.length / 2) {
            var i = 0;
            var node = this._root._firstChild;
            while (node !== null && i !== index) {
              node = node._nextSibling;
              i++;
            }
            return node;
          } else {
            var i = this.length - 1;
            var node = this._root._lastChild;
            while (node !== null && i !== index) {
              node = node._previousSibling;
              i--;
            }
            return node;
          }
        };
        NodeListImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype[Symbol.iterator] = function() {
          return this._root._children[Symbol.iterator]();
        };
        NodeListImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._root._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target.item(index) || void 0;
        };
        NodeListImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          var node = target.item(index) || void 0;
          if (!node)
            return false;
          if (node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        NodeListImpl2._create = function(root) {
          return new NodeListImpl2(root);
        };
        return NodeListImpl2;
      }()
    );
    exports2.NodeListImpl = NodeListImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js
var require_NodeListStaticImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_lib7();
    var NodeListStaticImpl = (
      /** @class */
      function() {
        function NodeListStaticImpl2(root) {
          this._live = false;
          this._items = [];
          this._length = 0;
          this._root = root;
          this._items = [];
          this._filter = function(node) {
            return true;
          };
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListStaticImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._items.length;
          },
          enumerable: true,
          configurable: true
        });
        NodeListStaticImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          return this._items[index];
        };
        NodeListStaticImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype[Symbol.iterator] = function() {
          var it = this._items[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        NodeListStaticImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._items), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListStaticImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target._items[index] || void 0;
        };
        NodeListStaticImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          if (index >= 0 && index < target._items.length) {
            target._items[index] = value;
            return true;
          } else {
            return false;
          }
        };
        NodeListStaticImpl2._create = function(root, items) {
          var list = new NodeListStaticImpl2(root);
          list._items = items;
          return list;
        };
        return NodeListStaticImpl2;
      }()
    );
    exports2.NodeListStaticImpl = NodeListStaticImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js
var require_NamedNodeMapImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException2();
    var algorithm_1 = require_algorithm2();
    var NamedNodeMapImpl = (
      /** @class */
      function(_super) {
        __extends(NamedNodeMapImpl2, _super);
        function NamedNodeMapImpl2(element) {
          var _this = _super.call(this) || this;
          _this._element = element;
          Object.setPrototypeOf(_this, NamedNodeMapImpl2.prototype);
          return _this;
        }
        NamedNodeMapImpl2.prototype._asArray = function() {
          return this;
        };
        NamedNodeMapImpl2.prototype.item = function(index) {
          return this[index] || null;
        };
        NamedNodeMapImpl2.prototype.getNamedItem = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this._element);
        };
        NamedNodeMapImpl2.prototype.getNamedItemNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItem = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItemNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.removeNamedItem = function(qualifiedName) {
          var attr = algorithm_1.element_removeAnAttributeByName(qualifiedName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2.prototype.removeNamedItemNS = function(namespace, localName) {
          var attr = algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2._create = function(element) {
          return new NamedNodeMapImpl2(element);
        };
        return NamedNodeMapImpl2;
      }(Array)
    );
    exports2.NamedNodeMapImpl = NamedNodeMapImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js
var require_AbstractRangeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl = (
      /** @class */
      function() {
        function AbstractRangeImpl2() {
        }
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startNode", {
          get: function() {
            return this._start[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startOffset", {
          get: function() {
            return this._start[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endNode", {
          get: function() {
            return this._end[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endOffset", {
          get: function() {
            return this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_collapsed", {
          get: function() {
            return this._start[0] === this._end[0] && this._start[1] === this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startContainer", {
          /** @inheritdoc */
          get: function() {
            return this._startNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startOffset", {
          /** @inheritdoc */
          get: function() {
            return this._startOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endContainer", {
          /** @inheritdoc */
          get: function() {
            return this._endNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endOffset", {
          /** @inheritdoc */
          get: function() {
            return this._endOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "collapsed", {
          /** @inheritdoc */
          get: function() {
            return this._collapsed;
          },
          enumerable: true,
          configurable: true
        });
        return AbstractRangeImpl2;
      }()
    );
    exports2.AbstractRangeImpl = AbstractRangeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js
var require_RangeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var interfaces_1 = require_interfaces6();
    var AbstractRangeImpl_1 = require_AbstractRangeImpl2();
    var DOMException_1 = require_DOMException2();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var util_1 = require_util10();
    var RangeImpl = (
      /** @class */
      function(_super) {
        __extends(RangeImpl2, _super);
        function RangeImpl2() {
          var _this = _super.call(this) || this;
          var doc = DOMImpl_1.dom.window._associatedDocument;
          _this._start = [doc, 0];
          _this._end = [doc, 0];
          DOMImpl_1.dom.rangeList.add(_this);
          return _this;
        }
        Object.defineProperty(RangeImpl2.prototype, "commonAncestorContainer", {
          /** @inheritdoc */
          get: function() {
            var container = this._start[0];
            while (!algorithm_1.tree_isAncestorOf(this._end[0], container, true)) {
              if (container._parent === null) {
                throw new Error("Parent node  is null.");
              }
              container = container._parent;
            }
            return container;
          },
          enumerable: true,
          configurable: true
        });
        RangeImpl2.prototype.setStart = function(node, offset) {
          algorithm_1.range_setTheStart(this, node, offset);
        };
        RangeImpl2.prototype.setEnd = function(node, offset) {
          algorithm_1.range_setTheEnd(this, node, offset);
        };
        RangeImpl2.prototype.setStartBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setStartAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.setEndBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setEndAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.collapse = function(toStart) {
          if (toStart) {
            this._end = this._start;
          } else {
            this._start = this._end;
          }
        };
        RangeImpl2.prototype.selectNode = function(node) {
          algorithm_1.range_select(node, this);
        };
        RangeImpl2.prototype.selectNodeContents = function(node) {
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          var length = algorithm_1.tree_nodeLength(node);
          this._start = [node, 0];
          this._end = [node, length];
        };
        RangeImpl2.prototype.compareBoundaryPoints = function(how, sourceRange) {
          if (how !== interfaces_1.HowToCompare.StartToStart && how !== interfaces_1.HowToCompare.StartToEnd && how !== interfaces_1.HowToCompare.EndToEnd && how !== interfaces_1.HowToCompare.EndToStart)
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.range_root(this) !== algorithm_1.range_root(sourceRange))
            throw new DOMException_1.WrongDocumentError();
          var thisPoint;
          var otherPoint;
          switch (how) {
            case interfaces_1.HowToCompare.StartToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.StartToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.EndToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._end;
              break;
            case interfaces_1.HowToCompare.EndToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._end;
              break;
            default:
              throw new DOMException_1.NotSupportedError();
          }
          var position = algorithm_1.boundaryPoint_position(thisPoint, otherPoint);
          if (position === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (position === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.deleteContents = function() {
          var e_1, _a, e_2, _b;
          if (algorithm_1.range_collapsed(this))
            return;
          var originalStartNode = this._startNode;
          var originalStartOffset = this._startOffset;
          var originalEndNode = this._endNode;
          var originalEndOffset = this._endOffset;
          if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
            return;
          }
          var nodesToRemove = [];
          try {
            for (var _c = __values(algorithm_1.range_getContainedNodes(this)), _d = _c.next(); !_d.done; _d = _c.next()) {
              var node = _d.value;
              var parent = node._parent;
              if (parent !== null && algorithm_1.range_isContained(parent, this)) {
                continue;
              }
              nodesToRemove.push(node);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_d && !_d.done && (_a = _c.return))
                _a.call(_c);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          var newNode;
          var newOffset;
          if (algorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
            newNode = originalStartNode;
            newOffset = originalStartOffset;
          } else {
            var referenceNode = originalStartNode;
            while (referenceNode._parent !== null && !algorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent, true)) {
              referenceNode = referenceNode._parent;
            }
            if (referenceNode._parent === null) {
              throw new Error("Parent node is null.");
            }
            newNode = referenceNode._parent;
            newOffset = algorithm_1.tree_index(referenceNode) + 1;
          }
          if (util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, algorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
          }
          try {
            for (var nodesToRemove_1 = __values(nodesToRemove), nodesToRemove_1_1 = nodesToRemove_1.next(); !nodesToRemove_1_1.done; nodesToRemove_1_1 = nodesToRemove_1.next()) {
              var node = nodesToRemove_1_1.value;
              if (node._parent) {
                algorithm_1.mutation_remove(node, node._parent);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (nodesToRemove_1_1 && !nodesToRemove_1_1.done && (_b = nodesToRemove_1.return))
                _b.call(nodesToRemove_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isCharacterDataNode(originalEndNode)) {
            algorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
          }
          this._start = [newNode, newOffset];
          this._end = [newNode, newOffset];
        };
        RangeImpl2.prototype.extractContents = function() {
          return algorithm_1.range_extract(this);
        };
        RangeImpl2.prototype.cloneContents = function() {
          return algorithm_1.range_cloneTheContents(this);
        };
        RangeImpl2.prototype.insertNode = function(node) {
          return algorithm_1.range_insert(node, this);
        };
        RangeImpl2.prototype.surroundContents = function(newParent) {
          var e_3, _a;
          try {
            for (var _b = __values(algorithm_1.range_getPartiallyContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              if (!util_1.Guard.isTextNode(node)) {
                throw new DOMException_1.InvalidStateError();
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (util_1.Guard.isDocumentNode(newParent) || util_1.Guard.isDocumentTypeNode(newParent) || util_1.Guard.isDocumentFragmentNode(newParent)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          var fragment = algorithm_1.range_extract(this);
          if (newParent._children.size !== 0) {
            algorithm_1.mutation_replaceAll(null, newParent);
          }
          algorithm_1.range_insert(newParent, this);
          algorithm_1.mutation_append(fragment, newParent);
          algorithm_1.range_select(newParent, this);
        };
        RangeImpl2.prototype.cloneRange = function() {
          return algorithm_1.create_range(this._start, this._end);
        };
        RangeImpl2.prototype.detach = function() {
          DOMImpl_1.dom.rangeList.delete(this);
        };
        RangeImpl2.prototype.isPointInRange = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before || algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return false;
          }
          return true;
        };
        RangeImpl2.prototype.comparePoint = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this))
            throw new DOMException_1.WrongDocumentError();
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.intersectsNode = function(node) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          var parent = node._parent;
          if (parent === null)
            return true;
          var offset = algorithm_1.tree_index(node);
          if (algorithm_1.boundaryPoint_position([parent, offset], this._end) === interfaces_1.BoundaryPosition.Before && algorithm_1.boundaryPoint_position([parent, offset + 1], this._start) === interfaces_1.BoundaryPosition.After) {
            return true;
          }
          return false;
        };
        RangeImpl2.prototype.toString = function() {
          var e_4, _a;
          var s = "";
          if (this._startNode === this._endNode && util_1.Guard.isTextNode(this._startNode)) {
            return this._startNode._data.substring(this._startOffset, this._endOffset);
          }
          if (util_1.Guard.isTextNode(this._startNode)) {
            s += this._startNode._data.substring(this._startOffset);
          }
          try {
            for (var _b = __values(algorithm_1.range_getContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var child = _c.value;
              if (util_1.Guard.isTextNode(child)) {
                s += child._data;
              }
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (util_1.Guard.isTextNode(this._endNode)) {
            s += this._endNode._data.substring(0, this._endOffset);
          }
          return s;
        };
        RangeImpl2._create = function(start, end) {
          var range = new RangeImpl2();
          if (start)
            range._start = start;
          if (end)
            range._end = end;
          return range;
        };
        RangeImpl2.START_TO_START = 0;
        RangeImpl2.START_TO_END = 1;
        RangeImpl2.END_TO_END = 2;
        RangeImpl2.END_TO_START = 3;
        return RangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.RangeImpl = RangeImpl;
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_START", 0);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_END", 1);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_END", 2);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_START", 3);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js
var require_TraverserImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var TraverserImpl = (
      /** @class */
      function() {
        function TraverserImpl2(root) {
          this._activeFlag = false;
          this._root = root;
          this._whatToShow = interfaces_1.WhatToShow.All;
          this._filter = null;
        }
        Object.defineProperty(TraverserImpl2.prototype, "root", {
          /** @inheritdoc */
          get: function() {
            return this._root;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "whatToShow", {
          /** @inheritdoc */
          get: function() {
            return this._whatToShow;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "filter", {
          /** @inheritdoc */
          get: function() {
            return this._filter;
          },
          enumerable: true,
          configurable: true
        });
        return TraverserImpl2;
      }()
    );
    exports2.TraverserImpl = TraverserImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js
var require_NodeIteratorImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TraverserImpl_1 = require_TraverserImpl2();
    var algorithm_1 = require_algorithm2();
    var NodeIteratorImpl = (
      /** @class */
      function(_super) {
        __extends(NodeIteratorImpl2, _super);
        function NodeIteratorImpl2(root, reference, pointerBeforeReference) {
          var _this = _super.call(this, root) || this;
          _this._iteratorCollection = void 0;
          _this._reference = reference;
          _this._pointerBeforeReference = pointerBeforeReference;
          algorithm_1.nodeIterator_iteratorList().add(_this);
          return _this;
        }
        Object.defineProperty(NodeIteratorImpl2.prototype, "referenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._reference;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeIteratorImpl2.prototype, "pointerBeforeReferenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._pointerBeforeReference;
          },
          enumerable: true,
          configurable: true
        });
        NodeIteratorImpl2.prototype.nextNode = function() {
          return algorithm_1.nodeIterator_traverse(this, true);
        };
        NodeIteratorImpl2.prototype.previousNode = function() {
          return algorithm_1.nodeIterator_traverse(this, false);
        };
        NodeIteratorImpl2.prototype.detach = function() {
          algorithm_1.nodeIterator_iteratorList().delete(this);
        };
        NodeIteratorImpl2._create = function(root, reference, pointerBeforeReference) {
          return new NodeIteratorImpl2(root, reference, pointerBeforeReference);
        };
        return NodeIteratorImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.NodeIteratorImpl = NodeIteratorImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js
var require_TreeWalkerImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var TraverserImpl_1 = require_TraverserImpl2();
    var algorithm_1 = require_algorithm2();
    var TreeWalkerImpl = (
      /** @class */
      function(_super) {
        __extends(TreeWalkerImpl2, _super);
        function TreeWalkerImpl2(root, current) {
          var _this = _super.call(this, root) || this;
          _this._current = current;
          return _this;
        }
        Object.defineProperty(TreeWalkerImpl2.prototype, "currentNode", {
          /** @inheritdoc */
          get: function() {
            return this._current;
          },
          set: function(value) {
            this._current = value;
          },
          enumerable: true,
          configurable: true
        });
        TreeWalkerImpl2.prototype.parentNode = function() {
          var node = this._current;
          while (node !== null && node !== this._root) {
            node = node._parent;
            if (node !== null && algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.firstChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, true);
        };
        TreeWalkerImpl2.prototype.lastChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, false);
        };
        TreeWalkerImpl2.prototype.nextSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, true);
        };
        TreeWalkerImpl2.prototype.previousNode = function() {
          var node = this._current;
          while (node !== this._root) {
            var sibling = node._previousSibling;
            while (sibling) {
              node = sibling;
              var result = algorithm_1.traversal_filter(this, node);
              while (result !== interfaces_1.FilterResult.Reject && node._lastChild) {
                node = node._lastChild;
                result = algorithm_1.traversal_filter(this, node);
              }
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
              sibling = node._previousSibling;
            }
            if (node === this._root || node._parent === null) {
              return null;
            }
            node = node._parent;
            if (algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.previousSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, false);
        };
        TreeWalkerImpl2.prototype.nextNode = function() {
          var node = this._current;
          var result = interfaces_1.FilterResult.Accept;
          while (true) {
            while (result !== interfaces_1.FilterResult.Reject && node._firstChild) {
              node = node._firstChild;
              result = algorithm_1.traversal_filter(this, node);
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
            }
            var sibling = null;
            var temporary = node;
            while (temporary !== null) {
              if (temporary === this._root) {
                return null;
              }
              sibling = temporary._nextSibling;
              if (sibling !== null) {
                node = sibling;
                break;
              }
              temporary = temporary._parent;
            }
            result = algorithm_1.traversal_filter(this, node);
            if (result === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
        };
        TreeWalkerImpl2._create = function(root, current) {
          return new TreeWalkerImpl2(root, current);
        };
        return TreeWalkerImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.TreeWalkerImpl = TreeWalkerImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js
var require_NodeFilterImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var NodeFilterImpl = (
      /** @class */
      function() {
        function NodeFilterImpl2() {
        }
        NodeFilterImpl2.prototype.acceptNode = function(node) {
          return interfaces_1.FilterResult.Accept;
        };
        NodeFilterImpl2._create = function() {
          return new NodeFilterImpl2();
        };
        NodeFilterImpl2.FILTER_ACCEPT = 1;
        NodeFilterImpl2.FILTER_REJECT = 2;
        NodeFilterImpl2.FILTER_SKIP = 3;
        NodeFilterImpl2.SHOW_ALL = 4294967295;
        NodeFilterImpl2.SHOW_ELEMENT = 1;
        NodeFilterImpl2.SHOW_ATTRIBUTE = 2;
        NodeFilterImpl2.SHOW_TEXT = 4;
        NodeFilterImpl2.SHOW_CDATA_SECTION = 8;
        NodeFilterImpl2.SHOW_ENTITY_REFERENCE = 16;
        NodeFilterImpl2.SHOW_ENTITY = 32;
        NodeFilterImpl2.SHOW_PROCESSING_INSTRUCTION = 64;
        NodeFilterImpl2.SHOW_COMMENT = 128;
        NodeFilterImpl2.SHOW_DOCUMENT = 256;
        NodeFilterImpl2.SHOW_DOCUMENT_TYPE = 512;
        NodeFilterImpl2.SHOW_DOCUMENT_FRAGMENT = 1024;
        NodeFilterImpl2.SHOW_NOTATION = 2048;
        return NodeFilterImpl2;
      }()
    );
    exports2.NodeFilterImpl = NodeFilterImpl;
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_ACCEPT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_REJECT", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_SKIP", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ALL", 4294967295);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ELEMENT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ATTRIBUTE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_TEXT", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_CDATA_SECTION", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY_REFERENCE", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY", 32);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_PROCESSING_INSTRUCTION", 64);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_COMMENT", 128);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT", 256);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_TYPE", 512);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_FRAGMENT", 1024);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_NOTATION", 2048);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js
var require_MutationRecordImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MutationRecordImpl = (
      /** @class */
      function() {
        function MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          this._type = type;
          this._target = target;
          this._addedNodes = addedNodes;
          this._removedNodes = removedNodes;
          this._previousSibling = previousSibling;
          this._nextSibling = nextSibling;
          this._attributeName = attributeName;
          this._attributeNamespace = attributeNamespace;
          this._oldValue = oldValue;
        }
        Object.defineProperty(MutationRecordImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "addedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._addedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "removedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._removedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "previousSibling", {
          /** @inheritdoc */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "nextSibling", {
          /** @inheritdoc */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeName", {
          /** @inheritdoc */
          get: function() {
            return this._attributeName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeNamespace", {
          /** @inheritdoc */
          get: function() {
            return this._attributeNamespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "oldValue", {
          /** @inheritdoc */
          get: function() {
            return this._oldValue;
          },
          enumerable: true,
          configurable: true
        });
        MutationRecordImpl2._create = function(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          return new MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
        };
        return MutationRecordImpl2;
      }()
    );
    exports2.MutationRecordImpl = MutationRecordImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js
var require_DOMTokenListImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var DOMException_1 = require_DOMException2();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var DOMTokenListImpl = (
      /** @class */
      function() {
        function DOMTokenListImpl2(element, attribute) {
          this._element = element;
          this._attribute = attribute;
          this._tokenSet = /* @__PURE__ */ new Set();
          var localName = attribute._localName;
          var value = algorithm_1.element_getAnAttributeValue(element, localName);
          var thisObj = this;
          function updateTokenSet(element2, localName2, oldValue, value2, namespace) {
            if (localName2 === thisObj._attribute._localName && namespace === null) {
              if (!value2)
                thisObj._tokenSet.clear();
              else
                thisObj._tokenSet = algorithm_1.orderedSet_parse(value2);
            }
          }
          this._element._attributeChangeSteps.push(updateTokenSet);
          if (DOMImpl_1.dom.features.steps) {
            algorithm_1.dom_runAttributeChangeSteps(element, localName, value, value, null);
          }
        }
        Object.defineProperty(DOMTokenListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._tokenSet.size;
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype.item = function(index) {
          var e_1, _a;
          var i = 0;
          try {
            for (var _b = __values(this._tokenSet), _c = _b.next(); !_c.done; _c = _b.next()) {
              var token = _c.value;
              if (i === index)
                return token;
              i++;
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return null;
        };
        DOMTokenListImpl2.prototype.contains = function(token) {
          return this._tokenSet.has(token);
        };
        DOMTokenListImpl2.prototype.add = function() {
          var e_2, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_1 = __values(tokens), tokens_1_1 = tokens_1.next(); !tokens_1_1.done; tokens_1_1 = tokens_1.next()) {
              var token = tokens_1_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot add an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.add(token);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (tokens_1_1 && !tokens_1_1.done && (_a = tokens_1.return))
                _a.call(tokens_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.remove = function() {
          var e_3, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_2 = __values(tokens), tokens_2_1 = tokens_2.next(); !tokens_2_1.done; tokens_2_1 = tokens_2.next()) {
              var token = tokens_2_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot remove an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.delete(token);
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (tokens_2_1 && !tokens_2_1.done && (_a = tokens_2.return))
                _a.call(tokens_2);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.toggle = function(token, force) {
          if (force === void 0) {
            force = void 0;
          }
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot toggle an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (this._tokenSet.has(token)) {
            if (force === void 0 || force === false) {
              this._tokenSet.delete(token);
              algorithm_1.tokenList_updateSteps(this);
              return false;
            }
            return true;
          }
          if (force === void 0 || force === true) {
            this._tokenSet.add(token);
            algorithm_1.tokenList_updateSteps(this);
            return true;
          }
          return false;
        };
        DOMTokenListImpl2.prototype.replace = function(token, newToken) {
          if (token === "" || newToken === "") {
            throw new DOMException_1.SyntaxError("Cannot replace an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token) || infra_1.codePoint.ASCIIWhiteSpace.test(newToken)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (!this._tokenSet.has(token))
            return false;
          infra_1.set.replace(this._tokenSet, token, newToken);
          algorithm_1.tokenList_updateSteps(this);
          return true;
        };
        DOMTokenListImpl2.prototype.supports = function(token) {
          return algorithm_1.tokenList_validationSteps(this, token);
        };
        Object.defineProperty(DOMTokenListImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.tokenList_serializeSteps(this);
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this._element, this._attribute._localName, value);
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype[Symbol.iterator] = function() {
          var it = this._tokenSet[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        DOMTokenListImpl2._create = function(element, attribute) {
          return new DOMTokenListImpl2(element, attribute);
        };
        return DOMTokenListImpl2;
      }()
    );
    exports2.DOMTokenListImpl = DOMTokenListImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js
var require_CreateAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImplementationImpl_1 = require_DOMImplementationImpl2();
    var WindowImpl_1 = require_WindowImpl2();
    var XMLDocumentImpl_1 = require_XMLDocumentImpl2();
    var DocumentImpl_1 = require_DocumentImpl2();
    var AbortControllerImpl_1 = require_AbortControllerImpl2();
    var AbortSignalImpl_1 = require_AbortSignalImpl2();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl2();
    var ElementImpl_1 = require_ElementImpl2();
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl2();
    var ShadowRootImpl_1 = require_ShadowRootImpl2();
    var AttrImpl_1 = require_AttrImpl2();
    var TextImpl_1 = require_TextImpl2();
    var CDATASectionImpl_1 = require_CDATASectionImpl2();
    var CommentImpl_1 = require_CommentImpl2();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl2();
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl2();
    var NodeListImpl_1 = require_NodeListImpl2();
    var NodeListStaticImpl_1 = require_NodeListStaticImpl2();
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl2();
    var RangeImpl_1 = require_RangeImpl2();
    var NodeIteratorImpl_1 = require_NodeIteratorImpl2();
    var TreeWalkerImpl_1 = require_TreeWalkerImpl2();
    var NodeFilterImpl_1 = require_NodeFilterImpl2();
    var MutationRecordImpl_1 = require_MutationRecordImpl2();
    var DOMTokenListImpl_1 = require_DOMTokenListImpl2();
    function create_domImplementation(document) {
      return DOMImplementationImpl_1.DOMImplementationImpl._create(document);
    }
    exports2.create_domImplementation = create_domImplementation;
    function create_window() {
      return WindowImpl_1.WindowImpl._create();
    }
    exports2.create_window = create_window;
    function create_xmlDocument() {
      return new XMLDocumentImpl_1.XMLDocumentImpl();
    }
    exports2.create_xmlDocument = create_xmlDocument;
    function create_document() {
      return new DocumentImpl_1.DocumentImpl();
    }
    exports2.create_document = create_document;
    function create_abortController() {
      return new AbortControllerImpl_1.AbortControllerImpl();
    }
    exports2.create_abortController = create_abortController;
    function create_abortSignal() {
      return AbortSignalImpl_1.AbortSignalImpl._create();
    }
    exports2.create_abortSignal = create_abortSignal;
    function create_documentType(document, name, publicId, systemId) {
      return DocumentTypeImpl_1.DocumentTypeImpl._create(document, name, publicId, systemId);
    }
    exports2.create_documentType = create_documentType;
    function create_element(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_element = create_element;
    function create_htmlElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlElement = create_htmlElement;
    function create_htmlUnknownElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlUnknownElement = create_htmlUnknownElement;
    function create_documentFragment(document) {
      return DocumentFragmentImpl_1.DocumentFragmentImpl._create(document);
    }
    exports2.create_documentFragment = create_documentFragment;
    function create_shadowRoot(document, host) {
      return ShadowRootImpl_1.ShadowRootImpl._create(document, host);
    }
    exports2.create_shadowRoot = create_shadowRoot;
    function create_attr(document, localName) {
      return AttrImpl_1.AttrImpl._create(document, localName);
    }
    exports2.create_attr = create_attr;
    function create_text(document, data) {
      return TextImpl_1.TextImpl._create(document, data);
    }
    exports2.create_text = create_text;
    function create_cdataSection(document, data) {
      return CDATASectionImpl_1.CDATASectionImpl._create(document, data);
    }
    exports2.create_cdataSection = create_cdataSection;
    function create_comment(document, data) {
      return CommentImpl_1.CommentImpl._create(document, data);
    }
    exports2.create_comment = create_comment;
    function create_processingInstruction(document, target, data) {
      return ProcessingInstructionImpl_1.ProcessingInstructionImpl._create(document, target, data);
    }
    exports2.create_processingInstruction = create_processingInstruction;
    function create_htmlCollection(root, filter) {
      if (filter === void 0) {
        filter = function() {
          return true;
        };
      }
      return HTMLCollectionImpl_1.HTMLCollectionImpl._create(root, filter);
    }
    exports2.create_htmlCollection = create_htmlCollection;
    function create_nodeList(root) {
      return NodeListImpl_1.NodeListImpl._create(root);
    }
    exports2.create_nodeList = create_nodeList;
    function create_nodeListStatic(root, items) {
      return NodeListStaticImpl_1.NodeListStaticImpl._create(root, items);
    }
    exports2.create_nodeListStatic = create_nodeListStatic;
    function create_namedNodeMap(element) {
      return NamedNodeMapImpl_1.NamedNodeMapImpl._create(element);
    }
    exports2.create_namedNodeMap = create_namedNodeMap;
    function create_range(start, end) {
      return RangeImpl_1.RangeImpl._create(start, end);
    }
    exports2.create_range = create_range;
    function create_nodeIterator(root, reference, pointerBeforeReference) {
      return NodeIteratorImpl_1.NodeIteratorImpl._create(root, reference, pointerBeforeReference);
    }
    exports2.create_nodeIterator = create_nodeIterator;
    function create_treeWalker(root, current) {
      return TreeWalkerImpl_1.TreeWalkerImpl._create(root, current);
    }
    exports2.create_treeWalker = create_treeWalker;
    function create_nodeFilter() {
      return NodeFilterImpl_1.NodeFilterImpl._create();
    }
    exports2.create_nodeFilter = create_nodeFilter;
    function create_mutationRecord(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      return MutationRecordImpl_1.MutationRecordImpl._create(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
    }
    exports2.create_mutationRecord = create_mutationRecord;
    function create_domTokenList(element, attribute) {
      return DOMTokenListImpl_1.DOMTokenListImpl._create(element, attribute);
    }
    exports2.create_domTokenList = create_domTokenList;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js
var require_DOMImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var DOMImpl = (
      /** @class */
      function() {
        function DOMImpl2() {
          this._features = {
            mutationObservers: true,
            customElements: true,
            slots: true,
            steps: true
          };
          this._window = null;
          this._compareCache = new util_1.CompareCache();
          this._rangeList = new util_1.FixedSizeSet();
        }
        DOMImpl2.prototype.setFeatures = function(features) {
          if (features === void 0)
            features = true;
          if (util_1.isObject(features)) {
            for (var key in features) {
              this._features[key] = features[key] || false;
            }
          } else {
            for (var key in this._features) {
              this._features[key] = features;
            }
          }
        };
        Object.defineProperty(DOMImpl2.prototype, "features", {
          /**
           * Gets DOM algorithm features.
           */
          get: function() {
            return this._features;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "window", {
          /**
           * Gets the DOM window.
           */
          get: function() {
            if (this._window === null) {
              this._window = CreateAlgorithm_1.create_window();
            }
            return this._window;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "compareCache", {
          /**
           * Gets the global node compare cache.
           */
          get: function() {
            return this._compareCache;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "rangeList", {
          /**
           * Gets the global range list.
           */
          get: function() {
            return this._rangeList;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2, "instance", {
          /**
           * Returns the instance of `DOM`.
           */
          get: function() {
            if (!DOMImpl2._instance) {
              DOMImpl2._instance = new DOMImpl2();
            }
            return DOMImpl2._instance;
          },
          enumerable: true,
          configurable: true
        });
        return DOMImpl2;
      }()
    );
    exports2.dom = DOMImpl.instance;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/EventImpl.js
var require_EventImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/EventImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var algorithm_1 = require_algorithm2();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm2();
    var EventImpl = (
      /** @class */
      function() {
        function EventImpl2(type, eventInit) {
          this._target = null;
          this._relatedTarget = null;
          this._touchTargetList = [];
          this._path = [];
          this._currentTarget = null;
          this._eventPhase = interfaces_1.EventPhase.None;
          this._stopPropagationFlag = false;
          this._stopImmediatePropagationFlag = false;
          this._canceledFlag = false;
          this._inPassiveListenerFlag = false;
          this._composedFlag = false;
          this._initializedFlag = false;
          this._dispatchFlag = false;
          this._isTrusted = false;
          this._bubbles = false;
          this._cancelable = false;
          this._type = type;
          if (eventInit) {
            this._bubbles = eventInit.bubbles || false;
            this._cancelable = eventInit.cancelable || false;
            this._composedFlag = eventInit.composed || false;
          }
          this._initializedFlag = true;
          this._timeStamp = (/* @__PURE__ */ new Date()).getTime();
        }
        Object.defineProperty(EventImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "srcElement", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "currentTarget", {
          /** @inheritdoc */
          get: function() {
            return this._currentTarget;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.composedPath = function() {
          var composedPath = [];
          var path = this._path;
          if (path.length === 0)
            return composedPath;
          var currentTarget = this._currentTarget;
          if (currentTarget === null) {
            throw new Error("Event currentTarget is null.");
          }
          composedPath.push(currentTarget);
          var currentTargetIndex = 0;
          var currentTargetHiddenSubtreeLevel = 0;
          var index = path.length - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentTargetHiddenSubtreeLevel++;
            }
            if (path[index].invocationTarget === currentTarget) {
              currentTargetIndex = index;
              break;
            }
            if (path[index].slotInClosedTree) {
              currentTargetHiddenSubtreeLevel--;
            }
            index--;
          }
          var currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          var maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.unshift(path[index].invocationTarget);
            }
            if (path[index].slotInClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index--;
          }
          currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex + 1;
          while (index < path.length) {
            if (path[index].slotInClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.push(path[index].invocationTarget);
            }
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index++;
          }
          return composedPath;
        };
        Object.defineProperty(EventImpl2.prototype, "eventPhase", {
          /** @inheritdoc */
          get: function() {
            return this._eventPhase;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopPropagation = function() {
          this._stopPropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "cancelBubble", {
          /** @inheritdoc */
          get: function() {
            return this._stopPropagationFlag;
          },
          set: function(value) {
            if (value)
              this.stopPropagation();
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopImmediatePropagation = function() {
          this._stopPropagationFlag = true;
          this._stopImmediatePropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "bubbles", {
          /** @inheritdoc */
          get: function() {
            return this._bubbles;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "cancelable", {
          /** @inheritdoc */
          get: function() {
            return this._cancelable;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "returnValue", {
          /** @inheritdoc */
          get: function() {
            return !this._canceledFlag;
          },
          set: function(value) {
            if (!value) {
              algorithm_1.event_setTheCanceledFlag(this);
            }
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.preventDefault = function() {
          algorithm_1.event_setTheCanceledFlag(this);
        };
        Object.defineProperty(EventImpl2.prototype, "defaultPrevented", {
          /** @inheritdoc */
          get: function() {
            return this._canceledFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "composed", {
          /** @inheritdoc */
          get: function() {
            return this._composedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "isTrusted", {
          /** @inheritdoc */
          get: function() {
            return this._isTrusted;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "timeStamp", {
          /** @inheritdoc */
          get: function() {
            return this._timeStamp;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.initEvent = function(type, bubbles, cancelable) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
        };
        EventImpl2.NONE = 0;
        EventImpl2.CAPTURING_PHASE = 1;
        EventImpl2.AT_TARGET = 2;
        EventImpl2.BUBBLING_PHASE = 3;
        return EventImpl2;
      }()
    );
    exports2.EventImpl = EventImpl;
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "NONE", 0);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "CAPTURING_PHASE", 1);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "AT_TARGET", 2);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "BUBBLING_PHASE", 3);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js
var require_CustomEventImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventImpl_1 = require_EventImpl2();
    var algorithm_1 = require_algorithm2();
    var CustomEventImpl = (
      /** @class */
      function(_super) {
        __extends(CustomEventImpl2, _super);
        function CustomEventImpl2(type, eventInit) {
          var _this = _super.call(this, type, eventInit) || this;
          _this._detail = null;
          _this._detail = eventInit && eventInit.detail || null;
          return _this;
        }
        Object.defineProperty(CustomEventImpl2.prototype, "detail", {
          /** @inheritdoc */
          get: function() {
            return this._detail;
          },
          enumerable: true,
          configurable: true
        });
        CustomEventImpl2.prototype.initCustomEvent = function(type, bubbles, cancelable, detail) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (detail === void 0) {
            detail = null;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
          this._detail = detail;
        };
        return CustomEventImpl2;
      }(EventImpl_1.EventImpl)
    );
    exports2.CustomEventImpl = CustomEventImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js
var require_TreeAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util10();
    var interfaces_1 = require_interfaces6();
    function _getNextDescendantNode(root, node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow && util_1.Guard.isElementNode(node) && util_1.Guard.isShadowRoot(node.shadowRoot)) {
        if (node.shadowRoot._firstChild)
          return node.shadowRoot._firstChild;
      }
      if (node._firstChild)
        return node._firstChild;
      if (node === root)
        return null;
      if (node._nextSibling)
        return node._nextSibling;
      var parent = node._parent;
      while (parent && parent !== root) {
        if (parent._nextSibling)
          return parent._nextSibling;
        parent = parent._parent;
      }
      return null;
    }
    function _emptyIterator() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        return {
          next: function() {
            return { done: true, value: null };
          }
        };
      }, _a;
    }
    function tree_getFirstDescendantNode(node, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var firstNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = _getNextDescendantNode(node, firstNode, shadow);
      }
      return firstNode;
    }
    exports2.tree_getFirstDescendantNode = tree_getFirstDescendantNode;
    function tree_getNextDescendantNode(node, currentNode, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var nextNode = _getNextDescendantNode(node, currentNode, shadow);
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = _getNextDescendantNode(node, nextNode, shadow);
      }
      return nextNode;
    }
    exports2.tree_getNextDescendantNode = tree_getNextDescendantNode;
    function tree_getDescendantNodes(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantNodes = tree_getDescendantNodes;
    function tree_getDescendantElements(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = tree_getDescendantNodes(node, self2, shadow, function(e) {
          return util_1.Guard.isElementNode(e);
        })[Symbol.iterator]();
        var currentNode = it.next().value;
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = it.next().value;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = it.next().value;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantElements = tree_getDescendantElements;
    function tree_getSiblingNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!node._parent || node._parent._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node._parent ? node._parent._firstChild : null;
        return {
          next: function() {
            while (currentNode && (filter && !filter(currentNode) || !self2 && currentNode === node)) {
              currentNode = currentNode._nextSibling;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = currentNode._nextSibling;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getSiblingNodes = tree_getSiblingNodes;
    function tree_getFirstAncestorNode(node, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var firstNode = self2 ? node : node._parent;
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = firstNode._parent;
      }
      return firstNode;
    }
    exports2.tree_getFirstAncestorNode = tree_getFirstAncestorNode;
    function tree_getNextAncestorNode(node, currentNode, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var nextNode = currentNode._parent;
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = nextNode._parent;
      }
      return nextNode;
    }
    exports2.tree_getNextAncestorNode = tree_getNextAncestorNode;
    function tree_getAncestorNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!self2 && !node._parent) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = tree_getFirstAncestorNode(node, self2, filter);
        return {
          next: function() {
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = tree_getNextAncestorNode(node, currentNode, self2, filter);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getAncestorNodes = tree_getAncestorNodes;
    function tree_getCommonAncestor(nodeA, nodeB) {
      if (nodeA === nodeB) {
        return nodeA._parent;
      }
      var parentsA = [];
      var parentsB = [];
      var pA = tree_getFirstAncestorNode(nodeA, true);
      while (pA !== null) {
        parentsA.push(pA);
        pA = tree_getNextAncestorNode(nodeA, pA, true);
      }
      var pB = tree_getFirstAncestorNode(nodeB, true);
      while (pB !== null) {
        parentsB.push(pB);
        pB = tree_getNextAncestorNode(nodeB, pB, true);
      }
      var pos1 = parentsA.length;
      var pos2 = parentsB.length;
      var parent = null;
      for (var i = Math.min(pos1, pos2); i > 0; i--) {
        var parent1 = parentsA[--pos1];
        var parent2 = parentsB[--pos2];
        if (parent1 !== parent2) {
          break;
        }
        parent = parent1;
      }
      return parent;
    }
    exports2.tree_getCommonAncestor = tree_getCommonAncestor;
    function tree_getFollowingNode(root, node) {
      if (node._firstChild) {
        return node._firstChild;
      } else if (node._nextSibling) {
        return node._nextSibling;
      } else {
        while (true) {
          var parent = node._parent;
          if (parent === null || parent === root) {
            return null;
          } else if (parent._nextSibling) {
            return parent._nextSibling;
          } else {
            node = parent;
          }
        }
      }
    }
    exports2.tree_getFollowingNode = tree_getFollowingNode;
    function tree_getPrecedingNode(root, node) {
      if (node === root) {
        return null;
      }
      if (node._previousSibling) {
        node = node._previousSibling;
        if (node._lastChild) {
          return node._lastChild;
        } else {
          return node;
        }
      } else {
        return node._parent;
      }
    }
    exports2.tree_getPrecedingNode = tree_getPrecedingNode;
    function tree_isConstrained(node) {
      var e_1, _a, e_2, _b, e_3, _c;
      switch (node._nodeType) {
        case interfaces_1.NodeType.Document:
          var hasDocType = false;
          var hasElement = false;
          try {
            for (var _d = __values(node._children), _e = _d.next(); !_e.done; _e = _d.next()) {
              var childNode = _e.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.Comment:
                  break;
                case interfaces_1.NodeType.DocumentType:
                  if (hasDocType || hasElement)
                    return false;
                  hasDocType = true;
                  break;
                case interfaces_1.NodeType.Element:
                  if (hasElement)
                    return false;
                  hasElement = true;
                  break;
                default:
                  return false;
              }
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_e && !_e.done && (_a = _d.return))
                _a.call(_d);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentFragment:
        case interfaces_1.NodeType.Element:
          try {
            for (var _f = __values(node._children), _g = _f.next(); !_g.done; _g = _f.next()) {
              var childNode = _g.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.Element:
                case interfaces_1.NodeType.Text:
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.CData:
                case interfaces_1.NodeType.Comment:
                  break;
                default:
                  return false;
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_g && !_g.done && (_b = _f.return))
                _b.call(_f);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentType:
        case interfaces_1.NodeType.Text:
        case interfaces_1.NodeType.ProcessingInstruction:
        case interfaces_1.NodeType.CData:
        case interfaces_1.NodeType.Comment:
          return !node.hasChildNodes();
      }
      try {
        for (var _h = __values(node._children), _j = _h.next(); !_j.done; _j = _h.next()) {
          var childNode = _j.value;
          if (!tree_isConstrained(childNode))
            return false;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_j && !_j.done && (_c = _h.return))
            _c.call(_h);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return true;
    }
    exports2.tree_isConstrained = tree_isConstrained;
    function tree_nodeLength(node) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        return 0;
      } else if (util_1.Guard.isCharacterDataNode(node)) {
        return node._data.length;
      } else {
        return node._children.size;
      }
    }
    exports2.tree_nodeLength = tree_nodeLength;
    function tree_isEmpty(node) {
      return tree_nodeLength(node) === 0;
    }
    exports2.tree_isEmpty = tree_isEmpty;
    function tree_rootNode(node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow) {
        var root = tree_rootNode(node, false);
        if (util_1.Guard.isShadowRoot(root))
          return tree_rootNode(root._host, true);
        else
          return root;
      } else {
        if (!node._parent)
          return node;
        else
          return tree_rootNode(node._parent);
      }
    }
    exports2.tree_rootNode = tree_rootNode;
    function tree_isDescendantOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var child = tree_getFirstDescendantNode(node, self2, shadow);
      while (child !== null) {
        if (child === other) {
          return true;
        }
        child = tree_getNextDescendantNode(node, child, self2, shadow);
      }
      return false;
    }
    exports2.tree_isDescendantOf = tree_isDescendantOf;
    function tree_isAncestorOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var ancestor = self2 ? node : shadow && util_1.Guard.isShadowRoot(node) ? node._host : node._parent;
      while (ancestor !== null) {
        if (ancestor === other)
          return true;
        ancestor = shadow && util_1.Guard.isShadowRoot(ancestor) ? ancestor._host : ancestor._parent;
      }
      return false;
    }
    exports2.tree_isAncestorOf = tree_isAncestorOf;
    function tree_isHostIncludingAncestorOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (tree_isAncestorOf(node, other, self2))
        return true;
      var root = tree_rootNode(node);
      if (util_1.Guard.isDocumentFragmentNode(root) && root._host !== null && tree_isHostIncludingAncestorOf(root._host, other, self2))
        return true;
      return false;
    }
    exports2.tree_isHostIncludingAncestorOf = tree_isHostIncludingAncestorOf;
    function tree_isSiblingOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (node === other) {
        if (self2)
          return true;
      } else {
        return node._parent !== null && node._parent === other._parent;
      }
      return false;
    }
    exports2.tree_isSiblingOf = tree_isSiblingOf;
    function tree_isPreceding(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos < nodePos;
    }
    exports2.tree_isPreceding = tree_isPreceding;
    function tree_isFollowing(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos > nodePos;
    }
    exports2.tree_isFollowing = tree_isFollowing;
    function tree_isParentOf(node, other) {
      return node._parent === other;
    }
    exports2.tree_isParentOf = tree_isParentOf;
    function tree_isChildOf(node, other) {
      return other._parent === node;
    }
    exports2.tree_isChildOf = tree_isChildOf;
    function tree_previousSibling(node) {
      return node._previousSibling;
    }
    exports2.tree_previousSibling = tree_previousSibling;
    function tree_nextSibling(node) {
      return node._nextSibling;
    }
    exports2.tree_nextSibling = tree_nextSibling;
    function tree_firstChild(node) {
      return node._firstChild;
    }
    exports2.tree_firstChild = tree_firstChild;
    function tree_lastChild(node) {
      return node._lastChild;
    }
    exports2.tree_lastChild = tree_lastChild;
    function tree_treePosition(node) {
      var root = tree_rootNode(node);
      var pos = 0;
      var childNode = tree_getFirstDescendantNode(root);
      while (childNode !== null) {
        pos++;
        if (childNode === node)
          return pos;
        childNode = tree_getNextDescendantNode(root, childNode);
      }
      return -1;
    }
    exports2.tree_treePosition = tree_treePosition;
    function tree_index(node) {
      var n = 0;
      while (node._previousSibling !== null) {
        n++;
        node = node._previousSibling;
      }
      return n;
    }
    exports2.tree_index = tree_index;
    function tree_retarget(a, b) {
      while (true) {
        if (!a || !util_1.Guard.isNode(a)) {
          return a;
        }
        var rootOfA = tree_rootNode(a);
        if (!util_1.Guard.isShadowRoot(rootOfA)) {
          return a;
        }
        if (b && util_1.Guard.isNode(b) && tree_isAncestorOf(rootOfA, b, true, true)) {
          return a;
        }
        a = rootOfA.host;
      }
    }
    exports2.tree_retarget = tree_retarget;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js
var require_MutationObserverAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var infra_1 = require_lib8();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var EventAlgorithm_1 = require_EventAlgorithm2();
    function observer_queueAMutationObserverMicrotask() {
      var window2 = DOMImpl_1.dom.window;
      if (window2._mutationObserverMicrotaskQueued)
        return;
      window2._mutationObserverMicrotaskQueued = true;
      Promise.resolve().then(function() {
        observer_notifyMutationObservers();
      });
    }
    exports2.observer_queueAMutationObserverMicrotask = observer_queueAMutationObserverMicrotask;
    function observer_notifyMutationObservers() {
      var e_1, _a, e_2, _b;
      var window2 = DOMImpl_1.dom.window;
      window2._mutationObserverMicrotaskQueued = false;
      var notifySet = infra_1.set.clone(window2._mutationObservers);
      var signalSet = infra_1.set.clone(window2._signalSlots);
      infra_1.set.empty(window2._signalSlots);
      var _loop_1 = function(mo2) {
        var records = infra_1.list.clone(mo2._recordQueue);
        infra_1.list.empty(mo2._recordQueue);
        for (var i = 0; i < mo2._nodeList.length; i++) {
          var node = mo2._nodeList[i];
          infra_1.list.remove(node._registeredObserverList, function(observer) {
            return util_1.Guard.isTransientRegisteredObserver(observer) && observer.observer === mo2;
          });
        }
        if (!infra_1.list.isEmpty(records)) {
          try {
            mo2._callback.call(mo2, records, mo2);
          } catch (err) {
          }
        }
      };
      try {
        for (var notifySet_1 = __values(notifySet), notifySet_1_1 = notifySet_1.next(); !notifySet_1_1.done; notifySet_1_1 = notifySet_1.next()) {
          var mo = notifySet_1_1.value;
          _loop_1(mo);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (notifySet_1_1 && !notifySet_1_1.done && (_a = notifySet_1.return))
            _a.call(notifySet_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        try {
          for (var signalSet_1 = __values(signalSet), signalSet_1_1 = signalSet_1.next(); !signalSet_1_1.done; signalSet_1_1 = signalSet_1.next()) {
            var slot = signalSet_1_1.value;
            EventAlgorithm_1.event_fireAnEvent("slotchange", slot, void 0, { bubbles: true });
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (signalSet_1_1 && !signalSet_1_1.done && (_b = signalSet_1.return))
              _b.call(signalSet_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.observer_notifyMutationObservers = observer_notifyMutationObservers;
    function observer_queueMutationRecord(type, target, name, namespace, oldValue, addedNodes, removedNodes, previousSibling, nextSibling) {
      var e_3, _a;
      var interestedObservers = /* @__PURE__ */ new Map();
      var node = TreeAlgorithm_1.tree_getFirstAncestorNode(target, true);
      while (node !== null) {
        for (var i = 0; i < node._registeredObserverList.length; i++) {
          var registered = node._registeredObserverList[i];
          var options = registered.options;
          if (node !== target && !options.subtree)
            continue;
          if (type === "attributes" && !options.attributes)
            continue;
          if (type === "attributes" && options.attributeFilter && (!options.attributeFilter.indexOf(name || "") || namespace !== null))
            continue;
          if (type === "characterData" && !options.characterData)
            continue;
          if (type === "childList" && !options.childList)
            continue;
          var mo = registered.observer;
          if (!interestedObservers.has(mo)) {
            interestedObservers.set(mo, null);
          }
          if (type === "attributes" && options.attributeOldValue || type === "characterData" && options.characterDataOldValue) {
            interestedObservers.set(mo, oldValue);
          }
        }
        node = TreeAlgorithm_1.tree_getNextAncestorNode(target, node, true);
      }
      try {
        for (var interestedObservers_1 = __values(interestedObservers), interestedObservers_1_1 = interestedObservers_1.next(); !interestedObservers_1_1.done; interestedObservers_1_1 = interestedObservers_1.next()) {
          var _b = __read(interestedObservers_1_1.value, 2), observer = _b[0], mappedOldValue = _b[1];
          var record = CreateAlgorithm_1.create_mutationRecord(type, target, CreateAlgorithm_1.create_nodeListStatic(target, addedNodes), CreateAlgorithm_1.create_nodeListStatic(target, removedNodes), previousSibling, nextSibling, name, namespace, mappedOldValue);
          var queue = observer._recordQueue;
          queue.push(record);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (interestedObservers_1_1 && !interestedObservers_1_1.done && (_a = interestedObservers_1.return))
            _a.call(interestedObservers_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      observer_queueAMutationObserverMicrotask();
    }
    exports2.observer_queueMutationRecord = observer_queueMutationRecord;
    function observer_queueTreeMutationRecord(target, addedNodes, removedNodes, previousSibling, nextSibling) {
      observer_queueMutationRecord("childList", target, null, null, null, addedNodes, removedNodes, previousSibling, nextSibling);
    }
    exports2.observer_queueTreeMutationRecord = observer_queueTreeMutationRecord;
    function observer_queueAttributeMutationRecord(target, name, namespace, oldValue) {
      observer_queueMutationRecord("attributes", target, name, namespace, oldValue, [], [], null, null);
    }
    exports2.observer_queueAttributeMutationRecord = observer_queueAttributeMutationRecord;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js
var require_ShadowTreeAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var util_2 = require_lib7();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm2();
    function shadowTree_signalASlotChange(slot) {
      var window2 = DOMImpl_1.dom.window;
      window2._signalSlots.add(slot);
      MutationObserverAlgorithm_1.observer_queueAMutationObserverMicrotask();
    }
    exports2.shadowTree_signalASlotChange = shadowTree_signalASlotChange;
    function shadowTree_isConnected(element) {
      return util_1.Guard.isDocumentNode(TreeAlgorithm_1.tree_rootNode(element, true));
    }
    exports2.shadowTree_isConnected = shadowTree_isConnected;
    function shadowTree_isAssigned(slotable) {
      return slotable._assignedSlot !== null;
    }
    exports2.shadowTree_isAssigned = shadowTree_isAssigned;
    function shadowTree_findASlot(slotable, openFlag) {
      if (openFlag === void 0) {
        openFlag = false;
      }
      var node = util_1.Cast.asNode(slotable);
      var parent = node._parent;
      if (parent === null)
        return null;
      var shadow = parent._shadowRoot || null;
      if (shadow === null)
        return null;
      if (openFlag && shadow._mode !== "open")
        return null;
      var child = TreeAlgorithm_1.tree_getFirstDescendantNode(shadow, false, true, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (child !== null) {
        if (child._name === slotable._name)
          return child;
        child = TreeAlgorithm_1.tree_getNextDescendantNode(shadow, child, false, true, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
      return null;
    }
    exports2.shadowTree_findASlot = shadowTree_findASlot;
    function shadowTree_findSlotables(slot) {
      var e_1, _a;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var host = root._host;
      try {
        for (var _b = __values(host._children), _c = _b.next(); !_c.done; _c = _b.next()) {
          var slotable = _c.value;
          if (util_1.Guard.isSlotable(slotable)) {
            var foundSlot = shadowTree_findASlot(slotable);
            if (foundSlot === slot) {
              result.push(slotable);
            }
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findSlotables = shadowTree_findSlotables;
    function shadowTree_findFlattenedSlotables(slot) {
      var e_2, _a, e_3, _b;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var slotables = shadowTree_findSlotables(slot);
      if (util_2.isEmpty(slotables)) {
        try {
          for (var _c = __values(slot._children), _d = _c.next(); !_d.done; _d = _c.next()) {
            var slotable = _d.value;
            if (util_1.Guard.isSlotable(slotable)) {
              slotables.push(slotable);
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      try {
        for (var slotables_1 = __values(slotables), slotables_1_1 = slotables_1.next(); !slotables_1_1.done; slotables_1_1 = slotables_1.next()) {
          var node = slotables_1_1.value;
          if (util_1.Guard.isSlot(node) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(node))) {
            var temporaryResult = shadowTree_findFlattenedSlotables(node);
            result.push.apply(result, __spread(temporaryResult));
          } else {
            result.push(node);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (slotables_1_1 && !slotables_1_1.done && (_b = slotables_1.return))
            _b.call(slotables_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findFlattenedSlotables = shadowTree_findFlattenedSlotables;
    function shadowTree_assignSlotables(slot) {
      var e_4, _a;
      var slotables = shadowTree_findSlotables(slot);
      if (slotables.length === slot._assignedNodes.length) {
        var nodesIdentical = true;
        for (var i = 0; i < slotables.length; i++) {
          if (slotables[i] !== slot._assignedNodes[i]) {
            nodesIdentical = false;
            break;
          }
        }
        if (!nodesIdentical) {
          shadowTree_signalASlotChange(slot);
        }
      }
      slot._assignedNodes = slotables;
      try {
        for (var slotables_2 = __values(slotables), slotables_2_1 = slotables_2.next(); !slotables_2_1.done; slotables_2_1 = slotables_2.next()) {
          var slotable = slotables_2_1.value;
          slotable._assignedSlot = slot;
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (slotables_2_1 && !slotables_2_1.done && (_a = slotables_2.return))
            _a.call(slotables_2);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    exports2.shadowTree_assignSlotables = shadowTree_assignSlotables;
    function shadowTree_assignSlotablesForATree(root) {
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(root, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (descendant !== null) {
        shadowTree_assignSlotables(descendant);
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(root, descendant, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
    }
    exports2.shadowTree_assignSlotablesForATree = shadowTree_assignSlotablesForATree;
    function shadowTree_assignASlot(slotable) {
      var slot = shadowTree_findASlot(slotable);
      if (slot !== null) {
        shadowTree_assignSlotables(slot);
      }
    }
    exports2.shadowTree_assignASlot = shadowTree_assignASlot;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js
var require_DOMAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var util_1 = require_util10();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm2();
    var supportedTokens = /* @__PURE__ */ new Map();
    function dom_runRemovingSteps(removedNode, oldParent) {
    }
    exports2.dom_runRemovingSteps = dom_runRemovingSteps;
    function dom_runCloningSteps(copy, node, document, cloneChildrenFlag) {
    }
    exports2.dom_runCloningSteps = dom_runCloningSteps;
    function dom_runAdoptingSteps(node, oldDocument) {
    }
    exports2.dom_runAdoptingSteps = dom_runAdoptingSteps;
    function dom_runAttributeChangeSteps(element, localName, oldValue, value, namespace) {
      var e_1, _a;
      if (DOMImpl_1.dom.features.slots) {
        updateASlotablesName.call(element, element, localName, oldValue, value, namespace);
        updateASlotsName.call(element, element, localName, oldValue, value, namespace);
      }
      updateAnElementID.call(element, element, localName, value, namespace);
      try {
        for (var _b = __values(element._attributeChangeSteps), _c = _b.next(); !_c.done; _c = _b.next()) {
          var step = _c.value;
          step.call(element, element, localName, oldValue, value, namespace);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.dom_runAttributeChangeSteps = dom_runAttributeChangeSteps;
    function dom_runInsertionSteps(insertedNode) {
    }
    exports2.dom_runInsertionSteps = dom_runInsertionSteps;
    function dom_runNodeIteratorPreRemovingSteps(nodeIterator, toBeRemoved) {
      removeNodeIterator.call(nodeIterator, nodeIterator, toBeRemoved);
    }
    exports2.dom_runNodeIteratorPreRemovingSteps = dom_runNodeIteratorPreRemovingSteps;
    function dom_hasSupportedTokens(attributeName) {
      return supportedTokens.has(attributeName);
    }
    exports2.dom_hasSupportedTokens = dom_hasSupportedTokens;
    function dom_getSupportedTokens(attributeName) {
      return supportedTokens.get(attributeName) || /* @__PURE__ */ new Set();
    }
    exports2.dom_getSupportedTokens = dom_getSupportedTokens;
    function dom_runEventConstructingSteps(event) {
    }
    exports2.dom_runEventConstructingSteps = dom_runEventConstructingSteps;
    function dom_runChildTextContentChangeSteps(parent) {
    }
    exports2.dom_runChildTextContentChangeSteps = dom_runChildTextContentChangeSteps;
    function removeNodeIterator(nodeIterator, toBeRemovedNode) {
      if (toBeRemovedNode === nodeIterator._root || !TreeAlgorithm_1.tree_isAncestorOf(nodeIterator._reference, toBeRemovedNode, true)) {
        return;
      }
      if (nodeIterator._pointerBeforeReference) {
        while (true) {
          var nextNode = TreeAlgorithm_1.tree_getFollowingNode(nodeIterator._root, toBeRemovedNode);
          if (nextNode !== null && TreeAlgorithm_1.tree_isDescendantOf(nodeIterator._root, nextNode, true) && !TreeAlgorithm_1.tree_isDescendantOf(toBeRemovedNode, nextNode, true)) {
            nodeIterator._reference = nextNode;
            return;
          } else if (nextNode === null) {
            nodeIterator._pointerBeforeReference = false;
            return;
          }
        }
      }
      if (toBeRemovedNode._previousSibling === null) {
        if (toBeRemovedNode._parent !== null) {
          nodeIterator._reference = toBeRemovedNode._parent;
        }
      } else {
        var referenceNode = toBeRemovedNode._previousSibling;
        var childNode = TreeAlgorithm_1.tree_getFirstDescendantNode(toBeRemovedNode._previousSibling, true, false);
        while (childNode !== null) {
          if (childNode !== null) {
            referenceNode = childNode;
          }
          childNode = TreeAlgorithm_1.tree_getNextDescendantNode(toBeRemovedNode._previousSibling, childNode, true, false);
        }
        nodeIterator._reference = referenceNode;
      }
    }
    function updateASlotsName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlot(element) && localName === "name" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(element));
      }
    }
    function updateASlotablesName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlotable(element) && localName === "slot" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        if (ShadowTreeAlgorithm_1.shadowTree_isAssigned(element)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(element._assignedSlot);
        }
        ShadowTreeAlgorithm_1.shadowTree_assignASlot(element);
      }
    }
    function updateAnElementID(element, localName, value, namespace) {
      if (localName === "id" && namespace === null) {
        if (!value)
          element._uniqueIdentifier = void 0;
        else
          element._uniqueIdentifier = value;
      }
    }
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js
var require_EventAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var interfaces_1 = require_interfaces6();
    var util_1 = require_util10();
    var CustomEventImpl_1 = require_CustomEventImpl2();
    var EventImpl_1 = require_EventImpl2();
    var DOMException_1 = require_DOMException2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    function event_setTheCanceledFlag(event) {
      if (event._cancelable && !event._inPassiveListenerFlag) {
        event._canceledFlag = true;
      }
    }
    exports2.event_setTheCanceledFlag = event_setTheCanceledFlag;
    function event_initialize(event, type, bubbles, cancelable) {
      event._initializedFlag = true;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      event._canceledFlag = false;
      event._isTrusted = false;
      event._target = null;
      event._type = type;
      event._bubbles = bubbles;
      event._cancelable = cancelable;
    }
    exports2.event_initialize = event_initialize;
    function event_createAnEvent(eventInterface, realm) {
      if (realm === void 0) {
        realm = void 0;
      }
      if (realm === void 0)
        realm = null;
      var dictionary = {};
      var event = event_innerEventCreationSteps(eventInterface, realm, /* @__PURE__ */ new Date(), dictionary);
      event._isTrusted = true;
      return event;
    }
    exports2.event_createAnEvent = event_createAnEvent;
    function event_innerEventCreationSteps(eventInterface, realm, time, dictionary) {
      var event = new eventInterface("");
      event._initializedFlag = true;
      event._timeStamp = time.getTime();
      Object.assign(event, dictionary);
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runEventConstructingSteps(event);
      }
      return event;
    }
    exports2.event_innerEventCreationSteps = event_innerEventCreationSteps;
    function event_dispatch(event, target, legacyTargetOverrideFlag, legacyOutputDidListenersThrowFlag) {
      var e_1, _a, e_2, _b;
      if (legacyTargetOverrideFlag === void 0) {
        legacyTargetOverrideFlag = false;
      }
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var clearTargets = false;
      event._dispatchFlag = true;
      var targetOverride = target;
      if (legacyTargetOverrideFlag) {
        var doc = target._associatedDocument;
        if (util_1.Guard.isDocumentNode(doc)) {
          targetOverride = doc;
        }
      }
      var activationTarget = null;
      var relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, target);
      if (target !== relatedTarget || target === event._relatedTarget) {
        var touchTargets = [];
        try {
          for (var _c = __values(event._touchTargetList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var touchTarget = _d.value;
            touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, target));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        event_appendToAnEventPath(event, target, targetOverride, relatedTarget, touchTargets, false);
        var isActivationEvent = util_1.Guard.isMouseEvent(event) && event._type === "click";
        if (isActivationEvent && target._activationBehavior !== void 0) {
          activationTarget = target;
        }
        var slotable = util_1.Guard.isSlotable(target) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(target) ? target : null;
        var slotInClosedTree = false;
        var parent = target._getTheParent(event);
        while (parent !== null && util_1.Guard.isNode(parent)) {
          if (slotable !== null) {
            if (!util_1.Guard.isSlot(parent)) {
              throw new Error("Parent node of a slotable should be a slot.");
            }
            slotable = null;
            var root = TreeAlgorithm_1.tree_rootNode(parent, true);
            if (util_1.Guard.isShadowRoot(root) && root._mode === "closed") {
              slotInClosedTree = true;
            }
          }
          if (util_1.Guard.isSlotable(parent) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(parent)) {
            slotable = parent;
          }
          relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, parent);
          touchTargets = [];
          try {
            for (var _e = (e_2 = void 0, __values(event._touchTargetList)), _f = _e.next(); !_f.done; _f = _e.next()) {
              var touchTarget = _f.value;
              touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, parent));
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_f && !_f.done && (_b = _e.return))
                _b.call(_e);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isWindow(parent) || util_1.Guard.isNode(parent) && util_1.Guard.isNode(target) && TreeAlgorithm_1.tree_isAncestorOf(TreeAlgorithm_1.tree_rootNode(target, true), parent, true, true)) {
            if (isActivationEvent && event._bubbles && activationTarget === null && parent._activationBehavior) {
              activationTarget = parent;
            }
            event_appendToAnEventPath(event, parent, null, relatedTarget, touchTargets, slotInClosedTree);
          } else if (parent === relatedTarget) {
            parent = null;
          } else {
            target = parent;
            if (isActivationEvent && activationTarget === null && target._activationBehavior) {
              activationTarget = target;
            }
            event_appendToAnEventPath(event, parent, target, relatedTarget, touchTargets, slotInClosedTree);
          }
          if (parent !== null) {
            parent = parent._getTheParent(event);
          }
          slotInClosedTree = false;
        }
        var clearTargetsStruct = null;
        var path = event._path;
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            clearTargetsStruct = struct;
            break;
          }
        }
        if (clearTargetsStruct !== null) {
          if (util_1.Guard.isNode(clearTargetsStruct.shadowAdjustedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.shadowAdjustedTarget, true))) {
            clearTargets = true;
          } else if (util_1.Guard.isNode(clearTargetsStruct.relatedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.relatedTarget, true))) {
            clearTargets = true;
          } else {
            for (var j = 0; j < clearTargetsStruct.touchTargetList.length; j++) {
              var struct = clearTargetsStruct.touchTargetList[j];
              if (util_1.Guard.isNode(struct) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(struct, true))) {
                clearTargets = true;
                break;
              }
            }
          }
        }
        if (activationTarget !== null && activationTarget._legacyPreActivationBehavior !== void 0) {
          activationTarget._legacyPreActivationBehavior(event);
        }
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            event._eventPhase = interfaces_1.EventPhase.Capturing;
          }
          event_invoke(struct, event, "capturing", legacyOutputDidListenersThrowFlag);
        }
        for (var i = 0; i < path.length; i++) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            if (!event._bubbles)
              continue;
            event._eventPhase = interfaces_1.EventPhase.Bubbling;
          }
          event_invoke(struct, event, "bubbling", legacyOutputDidListenersThrowFlag);
        }
      }
      event._eventPhase = interfaces_1.EventPhase.None;
      event._currentTarget = null;
      event._path = [];
      event._dispatchFlag = false;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      if (clearTargets) {
        event._target = null;
        event._relatedTarget = null;
        event._touchTargetList = [];
      }
      if (activationTarget !== null) {
        if (!event._canceledFlag && activationTarget._activationBehavior !== void 0) {
          activationTarget._activationBehavior(event);
        } else if (activationTarget._legacyCanceledActivationBehavior !== void 0) {
          activationTarget._legacyCanceledActivationBehavior(event);
        }
      }
      return !event._canceledFlag;
    }
    exports2.event_dispatch = event_dispatch;
    function event_appendToAnEventPath(event, invocationTarget, shadowAdjustedTarget, relatedTarget, touchTargets, slotInClosedTree) {
      var invocationTargetInShadowTree = false;
      if (util_1.Guard.isNode(invocationTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(invocationTarget))) {
        invocationTargetInShadowTree = true;
      }
      var rootOfClosedTree = false;
      if (util_1.Guard.isShadowRoot(invocationTarget) && invocationTarget._mode === "closed") {
        rootOfClosedTree = true;
      }
      event._path.push({
        invocationTarget,
        invocationTargetInShadowTree,
        shadowAdjustedTarget,
        relatedTarget,
        touchTargetList: touchTargets,
        rootOfClosedTree,
        slotInClosedTree
      });
    }
    exports2.event_appendToAnEventPath = event_appendToAnEventPath;
    function event_invoke(struct, event, phase, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var path = event._path;
      var index = -1;
      for (var i = 0; i < path.length; i++) {
        if (path[i] === struct) {
          index = i;
          break;
        }
      }
      if (index !== -1) {
        var item = path[index];
        if (item.shadowAdjustedTarget !== null) {
          event._target = item.shadowAdjustedTarget;
        } else if (index > 0) {
          item = path[index - 1];
          if (item.shadowAdjustedTarget !== null) {
            event._target = item.shadowAdjustedTarget;
          }
        }
      }
      event._relatedTarget = struct.relatedTarget;
      event._touchTargetList = struct.touchTargetList;
      if (event._stopPropagationFlag)
        return;
      event._currentTarget = struct.invocationTarget;
      var currentTarget = event._currentTarget;
      var targetListeners = currentTarget._eventListenerList;
      var listeners = new (Array.bind.apply(Array, __spread([void 0], targetListeners)))();
      var found = event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
      if (!found && event._isTrusted) {
        var originalEventType = event._type;
        if (originalEventType === "animationend") {
          event._type = "webkitAnimationEnd";
        } else if (originalEventType === "animationiteration") {
          event._type = "webkitAnimationIteration";
        } else if (originalEventType === "animationstart") {
          event._type = "webkitAnimationStart";
        } else if (originalEventType === "transitionend") {
          event._type = "webkitTransitionEnd";
        }
        event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
        event._type = originalEventType;
      }
    }
    exports2.event_invoke = event_invoke;
    function event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var found = false;
      for (var i = 0; i < listeners.length; i++) {
        var listener = listeners[i];
        if (!listener.removed) {
          if (event._type !== listener.type)
            continue;
          found = true;
          if (phase === "capturing" && !listener.capture)
            continue;
          if (phase === "bubbling" && listener.capture)
            continue;
          if (listener.once && event._currentTarget !== null) {
            var impl = event._currentTarget;
            var index = -1;
            for (var i_1 = 0; i_1 < impl._eventListenerList.length; i_1++) {
              if (impl._eventListenerList[i_1] === listener) {
                index = i_1;
                break;
              }
            }
            if (index !== -1) {
              impl._eventListenerList.splice(index, 1);
            }
          }
          var globalObject = void 0;
          var currentEvent = void 0;
          if (util_1.Guard.isWindow(globalObject)) {
            currentEvent = globalObject._currentEvent;
            if (struct.invocationTargetInShadowTree === false) {
              globalObject._currentEvent = event;
            }
          }
          if (listener.passive)
            event._inPassiveListenerFlag = true;
          try {
            listener.callback.handleEvent.call(event._currentTarget, event);
          } catch (err) {
            legacyOutputDidListenersThrowFlag.value = true;
          }
          if (listener.passive)
            event._inPassiveListenerFlag = false;
          if (util_1.Guard.isWindow(globalObject)) {
            globalObject._currentEvent = currentEvent;
          }
          if (event._stopImmediatePropagationFlag)
            return found;
        }
      }
      return found;
    }
    exports2.event_innerInvoke = event_innerInvoke;
    function event_fireAnEvent(e, target, eventConstructor, idlAttributes, legacyTargetOverrideFlag) {
      if (eventConstructor === void 0) {
        eventConstructor = EventImpl_1.EventImpl;
      }
      var event = event_createAnEvent(eventConstructor);
      event._type = e;
      if (idlAttributes) {
        for (var key in idlAttributes) {
          var idlObj = event;
          idlObj[key] = idlAttributes[key];
        }
      }
      return event_dispatch(event, target, legacyTargetOverrideFlag);
    }
    exports2.event_fireAnEvent = event_fireAnEvent;
    function event_createLegacyEvent(eventInterface) {
      var constructor = null;
      switch (eventInterface.toLowerCase()) {
        case "beforeunloadevent":
          break;
        case "compositionevent":
          break;
        case "customevent":
          constructor = CustomEventImpl_1.CustomEventImpl;
          break;
        case "devicemotionevent":
          break;
        case "deviceorientationevent":
          break;
        case "dragevent":
          break;
        case "event":
        case "events":
          constructor = EventImpl_1.EventImpl;
          break;
        case "focusevent":
          break;
        case "hashchangeevent":
          break;
        case "htmlevents":
          break;
        case "keyboardevent":
          break;
        case "messageevent":
          break;
        case "mouseevent":
          break;
        case "mouseevents":
          break;
        case "storageevent":
          break;
        case "svgevents":
          break;
        case "textevent":
          break;
        case "touchevent":
          break;
        case "uievent":
          break;
        case "uievents":
          break;
      }
      if (constructor === null) {
        throw new DOMException_1.NotSupportedError("Event constructor not found for interface " + eventInterface + ".");
      }
      var event = new constructor("");
      event._type = "";
      event._timeStamp = (/* @__PURE__ */ new Date()).getTime();
      event._isTrusted = false;
      event._initializedFlag = false;
      return event;
    }
    exports2.event_createLegacyEvent = event_createLegacyEvent;
    function event_getterEventHandlerIDLAttribute(thisObj, name) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return null;
      return event_getTheCurrentValueOfAnEventHandler(eventTarget, name);
    }
    exports2.event_getterEventHandlerIDLAttribute = event_getterEventHandlerIDLAttribute;
    function event_setterEventHandlerIDLAttribute(thisObj, name, value) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return;
      if (value === null) {
        event_deactivateAnEventHandler(eventTarget, name);
      } else {
        var handlerMap = eventTarget._eventHandlerMap;
        var eventHandler = handlerMap["onabort"];
        if (eventHandler !== void 0) {
          eventHandler.value = value;
        }
        event_activateAnEventHandler(eventTarget, name);
      }
    }
    exports2.event_setterEventHandlerIDLAttribute = event_setterEventHandlerIDLAttribute;
    function event_determineTheTargetOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_determineTheTargetOfAnEventHandler = event_determineTheTargetOfAnEventHandler;
    function event_getTheCurrentValueOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_getTheCurrentValueOfAnEventHandler = event_getTheCurrentValueOfAnEventHandler;
    function event_activateAnEventHandler(eventTarget, name) {
    }
    exports2.event_activateAnEventHandler = event_activateAnEventHandler;
    function event_deactivateAnEventHandler(eventTarget, name) {
    }
    exports2.event_deactivateAnEventHandler = event_deactivateAnEventHandler;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js
var require_AbortAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventAlgorithm_1 = require_EventAlgorithm2();
    function abort_add(algorithm, signal) {
      if (signal._abortedFlag)
        return;
      signal._abortAlgorithms.add(algorithm);
    }
    exports2.abort_add = abort_add;
    function abort_remove(algorithm, signal) {
      signal._abortAlgorithms.delete(algorithm);
    }
    exports2.abort_remove = abort_remove;
    function abort_signalAbort(signal) {
      var e_1, _a;
      if (signal._abortedFlag)
        return;
      signal._abortedFlag = true;
      try {
        for (var _b = __values(signal._abortAlgorithms), _c = _b.next(); !_c.done; _c = _b.next()) {
          var algorithm = _c.value;
          algorithm.call(signal);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      signal._abortAlgorithms.clear();
      EventAlgorithm_1.event_fireAnEvent("abort", signal);
    }
    exports2.abort_signalAbort = abort_signalAbort;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js
var require_CustomElementAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var PotentialCustomElementName = /[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/;
    var NamesWithHyphen = /* @__PURE__ */ new Set([
      "annotation-xml",
      "color-profile",
      "font-face",
      "font-face-src",
      "font-face-uri",
      "font-face-format",
      "font-face-name",
      "missing-glyph"
    ]);
    var ElementNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    var VoidElementNames = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    var ShadowHostNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    function customElement_isValidCustomElementName(name) {
      if (!PotentialCustomElementName.test(name))
        return false;
      if (NamesWithHyphen.has(name))
        return false;
      return true;
    }
    exports2.customElement_isValidCustomElementName = customElement_isValidCustomElementName;
    function customElement_isValidElementName(name) {
      return ElementNames.has(name);
    }
    exports2.customElement_isValidElementName = customElement_isValidElementName;
    function customElement_isVoidElementName(name) {
      return VoidElementNames.has(name);
    }
    exports2.customElement_isVoidElementName = customElement_isVoidElementName;
    function customElement_isValidShadowHostName(name) {
      return ShadowHostNames.has(name);
    }
    exports2.customElement_isValidShadowHostName = customElement_isValidShadowHostName;
    function customElement_enqueueACustomElementUpgradeReaction(element, definition) {
    }
    exports2.customElement_enqueueACustomElementUpgradeReaction = customElement_enqueueACustomElementUpgradeReaction;
    function customElement_enqueueACustomElementCallbackReaction(element, callbackName, args) {
    }
    exports2.customElement_enqueueACustomElementCallbackReaction = customElement_enqueueACustomElementCallbackReaction;
    function customElement_upgrade(definition, element) {
    }
    exports2.customElement_upgrade = customElement_upgrade;
    function customElement_tryToUpgrade(element) {
    }
    exports2.customElement_tryToUpgrade = customElement_tryToUpgrade;
    function customElement_lookUpACustomElementDefinition(document, namespace, localName, is) {
      return null;
    }
    exports2.customElement_lookUpACustomElementDefinition = customElement_lookUpACustomElementDefinition;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js
var require_TraversalAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var DOMException_1 = require_DOMException2();
    function traversal_filter(traverser, node) {
      if (traverser._activeFlag) {
        throw new DOMException_1.InvalidStateError();
      }
      var n = node._nodeType - 1;
      var mask = 1 << n;
      if ((traverser.whatToShow & mask) === 0) {
        return interfaces_1.FilterResult.Skip;
      }
      if (!traverser.filter) {
        return interfaces_1.FilterResult.Accept;
      }
      traverser._activeFlag = true;
      var result = interfaces_1.FilterResult.Reject;
      try {
        result = traverser.filter.acceptNode(node);
      } catch (err) {
        traverser._activeFlag = false;
        throw err;
      }
      traverser._activeFlag = false;
      return result;
    }
    exports2.traversal_filter = traversal_filter;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js
var require_NodeIteratorAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var interfaces_1 = require_interfaces6();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    function nodeIterator_traverse(iterator, forward) {
      var node = iterator._reference;
      var beforeNode = iterator._pointerBeforeReference;
      while (true) {
        if (forward) {
          if (!beforeNode) {
            var nextNode = TreeAlgorithm_1.tree_getFollowingNode(iterator._root, node);
            if (nextNode) {
              node = nextNode;
            } else {
              return null;
            }
          } else {
            beforeNode = false;
          }
        } else {
          if (beforeNode) {
            var prevNode = TreeAlgorithm_1.tree_getPrecedingNode(iterator.root, node);
            if (prevNode) {
              node = prevNode;
            } else {
              return null;
            }
          } else {
            beforeNode = true;
          }
        }
        var result = TraversalAlgorithm_1.traversal_filter(iterator, node);
        if (result === interfaces_1.FilterResult.Accept) {
          break;
        }
      }
      iterator._reference = node;
      iterator._pointerBeforeReference = beforeNode;
      return node;
    }
    exports2.nodeIterator_traverse = nodeIterator_traverse;
    function nodeIterator_iteratorList() {
      return DOMImpl_1.dom.window._iteratorList;
    }
    exports2.nodeIterator_iteratorList = nodeIterator_iteratorList;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js
var require_XMLAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function xml_isName(name) {
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 58 || n === 95 || // ':' or '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isName = xml_isName;
    function xml_isQName(name) {
      var colonFound = false;
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 95 || // '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        } else if (i !== 0 && n === 58) {
          if (colonFound)
            return false;
          if (i === name.length - 1)
            return false;
          colonFound = true;
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isQName = xml_isQName;
    function xml_isLegalChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < chars.length - 1) {
          var n2 = chars.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 1114111) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isLegalChar = xml_isLegalChar;
    function xml_isPubidChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n >= 39 && n <= 59 || // ['()*+,-./] | [0-9] | [:;]
        n === 32 || n === 13 || n === 10 || // #x20 | #xD | #xA
        n >= 35 && n <= 37 || // [#$%]
        n === 33 || // !
        n === 61 || n === 63 || n === 64 || n === 95) {
          continue;
        } else {
          return false;
        }
      }
      return true;
    }
    exports2.xml_isPubidChar = xml_isPubidChar;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js
var require_NamespaceAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException2();
    var infra_1 = require_lib8();
    var XMLAlgorithm_1 = require_XMLAlgorithm2();
    function namespace_validate(qualifiedName) {
      if (!XMLAlgorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML name: " + qualifiedName);
      if (!XMLAlgorithm_1.xml_isQName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML qualified name: " + qualifiedName + ".");
    }
    exports2.namespace_validate = namespace_validate;
    function namespace_validateAndExtract(namespace, qualifiedName) {
      if (!namespace)
        namespace = null;
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      if (prefix && namespace === null)
        throw new DOMException_1.NamespaceError("Qualified name includes a prefix but the namespace is null.");
      if (prefix === "xml" && namespace !== infra_1.namespace.XML)
        throw new DOMException_1.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');
      if (namespace !== infra_1.namespace.XMLNS && (prefix === "xmlns" || qualifiedName === "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');
      if (namespace === infra_1.namespace.XMLNS && (prefix !== "xmlns" && qualifiedName !== "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');
      return [namespace, prefix, localName];
    }
    exports2.namespace_validateAndExtract = namespace_validateAndExtract;
    function namespace_extractQName(qualifiedName) {
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      return [prefix, localName];
    }
    exports2.namespace_extractQName = namespace_extractQName;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js
var require_DocumentAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var util_2 = require_lib7();
    var ElementImpl_1 = require_ElementImpl2();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var NamespaceAlgorithm_1 = require_NamespaceAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    var ElementAlgorithm_1 = require_ElementAlgorithm2();
    var MutationAlgorithm_1 = require_MutationAlgorithm2();
    function document_elementInterface(name, namespace) {
      return ElementImpl_1.ElementImpl;
    }
    exports2.document_elementInterface = document_elementInterface;
    function document_internalCreateElementNS(document, namespace, qualifiedName, options) {
      var _a = __read(NamespaceAlgorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      var is = null;
      if (options !== void 0) {
        if (util_2.isString(options)) {
          is = options;
        } else {
          is = options.is;
        }
      }
      return ElementAlgorithm_1.element_createAnElement(document, localName, ns, prefix, is, true);
    }
    exports2.document_internalCreateElementNS = document_internalCreateElementNS;
    function document_adopt(node, document) {
      var e_1, _a;
      if (node._nodeDocument === document && node._parent === null) {
        return;
      }
      var oldDocument = node._nodeDocument;
      if (node._parent)
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      if (document !== oldDocument) {
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, true);
        while (inclusiveDescendant !== null) {
          inclusiveDescendant._nodeDocument = document;
          if (util_1.Guard.isElementNode(inclusiveDescendant)) {
            try {
              for (var _b = (e_1 = void 0, __values(inclusiveDescendant._attributeList._asArray())), _c = _b.next(); !_c.done; _c = _b.next()) {
                var attr = _c.value;
                attr._nodeDocument = document;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && inclusiveDescendant._customElementState === "custom") {
              CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "adoptedCallback", [oldDocument, document]);
            }
          }
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runAdoptingSteps(inclusiveDescendant, oldDocument);
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, inclusiveDescendant, true, true);
        }
      }
    }
    exports2.document_adopt = document_adopt;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js
var require_MutationAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var DOMException_1 = require_DOMException2();
    var interfaces_1 = require_interfaces6();
    var util_1 = require_util10();
    var util_2 = require_lib7();
    var infra_1 = require_lib8();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var NodeIteratorAlgorithm_1 = require_NodeIteratorAlgorithm2();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm2();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm2();
    function mutation_ensurePreInsertionValidity(node, parent, child) {
      var e_1, _a, e_2, _b, e_3, _c, e_4, _d;
      var parentNodeType = parent._nodeType;
      var nodeNodeType = node._nodeType;
      var childNodeType = child ? child._nodeType : null;
      if (parentNodeType !== interfaces_1.NodeType.Document && parentNodeType !== interfaces_1.NodeType.DocumentFragment && parentNodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child !== null && child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (nodeNodeType !== interfaces_1.NodeType.DocumentFragment && nodeNodeType !== interfaces_1.NodeType.DocumentType && nodeNodeType !== interfaces_1.NodeType.Element && nodeNodeType !== interfaces_1.NodeType.Text && nodeNodeType !== interfaces_1.NodeType.ProcessingInstruction && nodeNodeType !== interfaces_1.NodeType.CData && nodeNodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.Text && parentNodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.DocumentType && parentNodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parentNodeType === interfaces_1.NodeType.Document) {
        if (nodeNodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (child) {
              if (childNodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              var doctypeChild = child._nextSibling;
              while (doctypeChild) {
                if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                  throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
                doctypeChild = doctypeChild._nextSibling;
              }
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (child) {
            if (childNodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (child) {
            var elementChild = child._previousSibling;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._previousSibling;
            }
          } else {
            var elementChild = parent._firstChild;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._nextSibling;
            }
          }
        }
      }
    }
    exports2.mutation_ensurePreInsertionValidity = mutation_ensurePreInsertionValidity;
    function mutation_preInsert(node, parent, child) {
      mutation_ensurePreInsertionValidity(node, parent, child);
      var referenceChild = child;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      mutation_insert(node, parent, referenceChild);
      return node;
    }
    exports2.mutation_preInsert = mutation_preInsert;
    function mutation_insert(node, parent, child, suppressObservers) {
      var e_5, _a;
      if (child === null && node._nodeType !== interfaces_1.NodeType.DocumentFragment) {
        mutation_insert_single(node, parent, suppressObservers);
        return;
      }
      var count = node._nodeType === interfaces_1.NodeType.DocumentFragment ? node._children.size : 1;
      if (child !== null) {
        if (DOMImpl_1.dom.rangeList.size !== 0) {
          var index_1 = TreeAlgorithm_1.tree_index(child);
          try {
            for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var range = _c.value;
              if (range._start[0] === parent && range._start[1] > index_1) {
                range._start[1] += count;
              }
              if (range._end[0] === parent && range._end[1] > index_1) {
                range._end[1] += count;
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        }
      }
      var nodes = node._nodeType === interfaces_1.NodeType.DocumentFragment ? new (Array.bind.apply(Array, __spread([void 0], node._children)))() : [node];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        while (node._firstChild) {
          mutation_remove(node._firstChild, node, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(node, [], nodes, null, null);
        }
      }
      var previousSibling = child ? child._previousSibling : parent._lastChild;
      var index = child === null ? -1 : TreeAlgorithm_1.tree_index(child);
      for (var i = 0; i < nodes.length; i++) {
        var node_1 = nodes[i];
        if (util_1.Guard.isElementNode(node_1)) {
          if (util_1.Guard.isDocumentNode(parent)) {
            parent._documentElement = node_1;
          }
          if (!node_1._nodeDocument._hasNamespaces && (node_1._namespace !== null || node_1._namespacePrefix !== null)) {
            node_1._nodeDocument._hasNamespaces = true;
          }
        }
        node_1._parent = parent;
        if (child === null) {
          infra_1.set.append(parent._children, node_1);
        } else {
          infra_1.set.insert(parent._children, node_1, index);
          index++;
        }
        if (parent._firstChild === null) {
          node_1._previousSibling = null;
          node_1._nextSibling = null;
          parent._firstChild = node_1;
          parent._lastChild = node_1;
        } else {
          var prev = child ? child._previousSibling : parent._lastChild;
          var next = child ? child : null;
          node_1._previousSibling = prev;
          node_1._nextSibling = next;
          if (prev)
            prev._nextSibling = node_1;
          if (next)
            next._previousSibling = node_1;
          if (!prev)
            parent._firstChild = node_1;
          if (!next)
            parent._lastChild = node_1;
        }
        if (DOMImpl_1.dom.features.slots) {
          if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node_1)) {
            ShadowTreeAlgorithm_1.shadowTree_assignASlot(node_1);
          }
        }
        if (DOMImpl_1.dom.features.steps) {
          if (util_1.Guard.isTextNode(node_1)) {
            DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
            ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node_1));
        }
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node_1, true, true);
        while (inclusiveDescendant !== null) {
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runInsertionSteps(inclusiveDescendant);
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && ShadowTreeAlgorithm_1.shadowTree_isConnected(inclusiveDescendant)) {
              if (util_1.Guard.isCustomElementNode(inclusiveDescendant)) {
                CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "connectedCallback", []);
              } else {
                CustomElementAlgorithm_1.customElement_tryToUpgrade(inclusiveDescendant);
              }
            }
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node_1, inclusiveDescendant, true, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, [], previousSibling, child);
        }
      }
    }
    exports2.mutation_insert = mutation_insert;
    function mutation_insert_single(node, parent, suppressObservers) {
      var previousSibling = parent._lastChild;
      if (util_1.Guard.isElementNode(node)) {
        if (util_1.Guard.isDocumentNode(parent)) {
          parent._documentElement = node;
        }
        if (!node._nodeDocument._hasNamespaces && (node._namespace !== null || node._namespacePrefix !== null)) {
          node._nodeDocument._hasNamespaces = true;
        }
      }
      node._parent = parent;
      parent._children.add(node);
      if (parent._firstChild === null) {
        node._previousSibling = null;
        node._nextSibling = null;
        parent._firstChild = node;
        parent._lastChild = node;
      } else {
        var prev = parent._lastChild;
        node._previousSibling = prev;
        node._nextSibling = null;
        if (prev)
          prev._nextSibling = node;
        if (!prev)
          parent._firstChild = node;
        parent._lastChild = node;
      }
      if (DOMImpl_1.dom.features.slots) {
        if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignASlot(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node));
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runInsertionSteps(node);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isElementNode(node) && ShadowTreeAlgorithm_1.shadowTree_isConnected(node)) {
          if (util_1.Guard.isCustomElementNode(node)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "connectedCallback", []);
          } else {
            CustomElementAlgorithm_1.customElement_tryToUpgrade(node);
          }
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [node], [], previousSibling, null);
        }
      }
    }
    function mutation_append(node, parent) {
      return mutation_preInsert(node, parent, null);
    }
    exports2.mutation_append = mutation_append;
    function mutation_replace(child, node, parent) {
      var e_6, _a, e_7, _b, e_8, _c, e_9, _d;
      if (parent._nodeType !== interfaces_1.NodeType.Document && parent._nodeType !== interfaces_1.NodeType.DocumentFragment && parent._nodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (node._nodeType !== interfaces_1.NodeType.DocumentFragment && node._nodeType !== interfaces_1.NodeType.DocumentType && node._nodeType !== interfaces_1.NodeType.Element && node._nodeType !== interfaces_1.NodeType.Text && node._nodeType !== interfaces_1.NodeType.ProcessingInstruction && node._nodeType !== interfaces_1.NodeType.CData && node._nodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.Text && parent._nodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.DocumentType && parent._nodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parent._nodeType === interfaces_1.NodeType.Document) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_7_1) {
              e_7 = { error: e_7_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_7)
                  throw e_7.error;
              }
            }
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (node._nodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          var doctypeChild = child._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            doctypeChild = doctypeChild._nextSibling;
          }
        } else if (node._nodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          var elementChild = child._previousSibling;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._previousSibling;
          }
        }
      }
      var referenceChild = child._nextSibling;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      var previousSibling = child._previousSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      var removedNodes = [];
      if (child._parent !== null) {
        removedNodes.push(child);
        mutation_remove(child, child._parent, true);
      }
      var nodes = [];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        nodes = Array.from(node._children);
      } else {
        nodes.push(node);
      }
      mutation_insert(node, parent, referenceChild, true);
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, removedNodes, previousSibling, referenceChild);
      }
      return child;
    }
    exports2.mutation_replace = mutation_replace;
    function mutation_replaceAll(node, parent) {
      var e_10, _a;
      if (node !== null) {
        DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      }
      var removedNodes = Array.from(parent._children);
      var addedNodes = [];
      if (node && node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        addedNodes = Array.from(node._children);
      } else if (node !== null) {
        addedNodes.push(node);
      }
      try {
        for (var removedNodes_1 = __values(removedNodes), removedNodes_1_1 = removedNodes_1.next(); !removedNodes_1_1.done; removedNodes_1_1 = removedNodes_1.next()) {
          var childNode = removedNodes_1_1.value;
          mutation_remove(childNode, parent, true);
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (removedNodes_1_1 && !removedNodes_1_1.done && (_a = removedNodes_1.return))
            _a.call(removedNodes_1);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (node !== null) {
        mutation_insert(node, parent, null, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, addedNodes, removedNodes, null, null);
      }
    }
    exports2.mutation_replaceAll = mutation_replaceAll;
    function mutation_preRemove(child, parent) {
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      mutation_remove(child, parent);
      return child;
    }
    exports2.mutation_preRemove = mutation_preRemove;
    function mutation_remove(node, parent, suppressObservers) {
      var e_11, _a, e_12, _b, e_13, _c, e_14, _d;
      if (DOMImpl_1.dom.rangeList.size !== 0) {
        var index = TreeAlgorithm_1.tree_index(node);
        try {
          for (var _e = __values(DOMImpl_1.dom.rangeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var range = _f.value;
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._start[0], true)) {
              range._start = [parent, index];
            }
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._end[0], true)) {
              range._end = [parent, index];
            }
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1]--;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1]--;
            }
          }
        } catch (e_11_1) {
          e_11 = { error: e_11_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_11)
              throw e_11.error;
          }
        }
        try {
          for (var _g = __values(DOMImpl_1.dom.rangeList), _h = _g.next(); !_h.done; _h = _g.next()) {
            var range = _h.value;
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1] -= 1;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1] -= 1;
            }
          }
        } catch (e_12_1) {
          e_12 = { error: e_12_1 };
        } finally {
          try {
            if (_h && !_h.done && (_b = _g.return))
              _b.call(_g);
          } finally {
            if (e_12)
              throw e_12.error;
          }
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        try {
          for (var _j = __values(NodeIteratorAlgorithm_1.nodeIterator_iteratorList()), _k = _j.next(); !_k.done; _k = _j.next()) {
            var iterator = _k.value;
            if (iterator._root._nodeDocument === node._nodeDocument) {
              DOMAlgorithm_1.dom_runNodeIteratorPreRemovingSteps(iterator, node);
            }
          }
        } catch (e_13_1) {
          e_13 = { error: e_13_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_13)
              throw e_13.error;
          }
        }
      }
      var oldPreviousSibling = node._previousSibling;
      var oldNextSibling = node._nextSibling;
      if (util_1.Guard.isDocumentNode(parent) && util_1.Guard.isElementNode(node)) {
        parent._documentElement = null;
      }
      node._parent = null;
      parent._children.delete(node);
      var prev = node._previousSibling;
      var next = node._nextSibling;
      node._previousSibling = null;
      node._nextSibling = null;
      if (prev)
        prev._nextSibling = next;
      if (next)
        next._previousSibling = prev;
      if (!prev)
        parent._firstChild = next;
      if (!next)
        parent._lastChild = prev;
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isSlotable(node) && node._assignedSlot !== null && ShadowTreeAlgorithm_1.shadowTree_isAssigned(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(node._assignedSlot);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        var descendant_1 = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
        if (descendant_1 !== null) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(parent));
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runRemovingSteps(node, parent);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(node)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "disconnectedCallback", []);
        }
      }
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, true);
      while (descendant !== null) {
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runRemovingSteps(descendant, node);
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isCustomElementNode(descendant)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(descendant, "disconnectedCallback", []);
          }
        }
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, descendant, false, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        var inclusiveAncestor = TreeAlgorithm_1.tree_getFirstAncestorNode(parent, true);
        while (inclusiveAncestor !== null) {
          try {
            for (var _l = (e_14 = void 0, __values(inclusiveAncestor._registeredObserverList)), _m = _l.next(); !_m.done; _m = _l.next()) {
              var registered = _m.value;
              if (registered.options.subtree) {
                node._registeredObserverList.push({
                  observer: registered.observer,
                  options: registered.options,
                  source: registered
                });
              }
            }
          } catch (e_14_1) {
            e_14 = { error: e_14_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_14)
                throw e_14.error;
            }
          }
          inclusiveAncestor = TreeAlgorithm_1.tree_getNextAncestorNode(parent, inclusiveAncestor, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [], [node], oldPreviousSibling, oldNextSibling);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
    }
    exports2.mutation_remove = mutation_remove;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js
var require_ElementAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var infra_1 = require_lib8();
    var util_1 = require_util10();
    var DOMException_1 = require_DOMException2();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm2();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    var MutationAlgorithm_1 = require_MutationAlgorithm2();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm2();
    function element_has(attribute, element) {
      return element._attributeList._asArray().indexOf(attribute) !== -1;
    }
    exports2.element_has = element_has;
    function element_change(attribute, element, value) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, value, attribute._namespace);
      }
      attribute._value = value;
    }
    exports2.element_change = element_change;
    function element_append(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, null);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, null, attribute._value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, null, attribute._value, attribute._namespace);
      }
      element._attributeList._asArray().push(attribute);
      attribute._element = element;
      if (!element._nodeDocument._hasNamespaces && (attribute._namespace !== null || attribute._namespacePrefix !== null || attribute._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_append = element_append;
    function element_remove(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, null, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, null, attribute._namespace);
      }
      var index = element._attributeList._asArray().indexOf(attribute);
      element._attributeList._asArray().splice(index, 1);
      attribute._element = null;
    }
    exports2.element_remove = element_remove;
    function element_replace(oldAttr, newAttr, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, oldAttr._localName, oldAttr._namespace, oldAttr._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace);
      }
      var index = element._attributeList._asArray().indexOf(oldAttr);
      if (index !== -1) {
        element._attributeList._asArray()[index] = newAttr;
      }
      oldAttr._element = null;
      newAttr._element = element;
      if (!element._nodeDocument._hasNamespaces && (newAttr._namespace !== null || newAttr._namespacePrefix !== null || newAttr._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_replace = element_replace;
    function element_getAnAttributeByName(qualifiedName, element) {
      if (element._namespace === infra_1.namespace.HTML && element._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      return element._attributeList._asArray().find(function(attr) {
        return attr._qualifiedName === qualifiedName;
      }) || null;
    }
    exports2.element_getAnAttributeByName = element_getAnAttributeByName;
    function element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var ns = namespace || null;
      return element._attributeList._asArray().find(function(attr) {
        return attr._namespace === ns && attr._localName === localName;
      }) || null;
    }
    exports2.element_getAnAttributeByNamespaceAndLocalName = element_getAnAttributeByNamespaceAndLocalName;
    function element_getAnAttributeValue(element, localName, namespace) {
      if (namespace === void 0) {
        namespace = "";
      }
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr === null)
        return "";
      else
        return attr._value;
    }
    exports2.element_getAnAttributeValue = element_getAnAttributeValue;
    function element_setAnAttribute(attr, element) {
      if (attr._element !== null && attr._element !== element)
        throw new DOMException_1.InUseAttributeError("This attribute already exists in the document: " + attr._qualifiedName + " as a child of " + attr._element._qualifiedName + ".");
      var oldAttr = element_getAnAttributeByNamespaceAndLocalName(attr._namespace || "", attr._localName, element);
      if (oldAttr === attr)
        return attr;
      if (oldAttr !== null) {
        element_replace(oldAttr, attr, element);
      } else {
        element_append(attr, element);
      }
      return oldAttr;
    }
    exports2.element_setAnAttribute = element_setAnAttribute;
    function element_setAnAttributeValue(element, localName, value, prefix, namespace) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (namespace === void 0) {
        namespace = null;
      }
      var attribute = element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, element);
      if (attribute === null) {
        var newAttr = CreateAlgorithm_1.create_attr(element._nodeDocument, localName);
        newAttr._namespace = namespace;
        newAttr._namespacePrefix = prefix;
        newAttr._value = value;
        element_append(newAttr, element);
        return;
      }
      element_change(attribute, element, value);
    }
    exports2.element_setAnAttributeValue = element_setAnAttributeValue;
    function element_removeAnAttributeByName(qualifiedName, element) {
      var attr = element_getAnAttributeByName(qualifiedName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByName = element_removeAnAttributeByName;
    function element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByNamespaceAndLocalName = element_removeAnAttributeByNamespaceAndLocalName;
    function element_createAnElement(document, localName, namespace, prefix, is, synchronousCustomElementsFlag) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (is === void 0) {
        is = null;
      }
      if (synchronousCustomElementsFlag === void 0) {
        synchronousCustomElementsFlag = false;
      }
      var result = null;
      if (!DOMImpl_1.dom.features.customElements) {
        result = CreateAlgorithm_1.create_element(document, localName, namespace, prefix);
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        return result;
      }
      var definition = CustomElementAlgorithm_1.customElement_lookUpACustomElementDefinition(document, namespace, localName, is);
      if (definition !== null && definition.name !== definition.localName) {
        var elemenInterface = DocumentAlgorithm_1.document_elementInterface(localName, infra_1.namespace.HTML);
        result = new elemenInterface();
        result._localName = localName;
        result._namespace = infra_1.namespace.HTML;
        result._namespacePrefix = prefix;
        result._customElementState = "undefined";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (synchronousCustomElementsFlag) {
          CustomElementAlgorithm_1.customElement_upgrade(definition, result);
        } else {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else if (definition !== null) {
        if (synchronousCustomElementsFlag) {
          try {
            var C = definition.constructor;
            var result_1 = new C();
            console.assert(result_1._customElementState !== void 0);
            console.assert(result_1._customElementDefinition !== void 0);
            console.assert(result_1._namespace === infra_1.namespace.HTML);
            if (result_1._attributeList.length !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has attributes.");
            if (result_1._children.size !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has child nodes.");
            if (result_1._parent !== null)
              throw new DOMException_1.NotSupportedError("Custom element already has a parent node.");
            if (result_1._nodeDocument !== document)
              throw new DOMException_1.NotSupportedError("Custom element is already in a document.");
            if (result_1._localName !== localName)
              throw new DOMException_1.NotSupportedError("Custom element has a different local name.");
            result_1._namespacePrefix = prefix;
            result_1._is = null;
          } catch (e) {
            result = CreateAlgorithm_1.create_htmlUnknownElement(document, localName, infra_1.namespace.HTML, prefix);
            result._customElementState = "failed";
            result._customElementDefinition = null;
            result._is = null;
          }
        } else {
          result = CreateAlgorithm_1.create_htmlElement(document, localName, infra_1.namespace.HTML, prefix);
          result._customElementState = "undefined";
          result._customElementDefinition = null;
          result._is = null;
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else {
        var elementInterface = DocumentAlgorithm_1.document_elementInterface(localName, namespace);
        result = new elementInterface();
        result._localName = localName;
        result._namespace = namespace;
        result._namespacePrefix = prefix;
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (namespace === infra_1.namespace.HTML && (is !== null || CustomElementAlgorithm_1.customElement_isValidCustomElementName(localName))) {
          result._customElementState = "undefined";
        }
      }
      if (result === null) {
        throw new Error("Unable to create element.");
      }
      return result;
    }
    exports2.element_createAnElement = element_createAnElement;
    function element_insertAdjacent(element, where, node) {
      switch (where.toLowerCase()) {
        case "beforebegin":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element);
        case "afterbegin":
          return MutationAlgorithm_1.mutation_preInsert(node, element, element._firstChild);
        case "beforeend":
          return MutationAlgorithm_1.mutation_preInsert(node, element, null);
        case "afterend":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element._nextSibling);
        default:
          throw new DOMException_1.SyntaxError(`Invalid 'where' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected`);
      }
    }
    exports2.element_insertAdjacent = element_insertAdjacent;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js
var require_AttrAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ElementAlgorithm_1 = require_ElementAlgorithm2();
    function attr_setAnExistingAttributeValue(attribute, value) {
      if (attribute._element === null) {
        attribute._value = value;
      } else {
        ElementAlgorithm_1.element_change(attribute, attribute._element, value);
      }
    }
    exports2.attr_setAnExistingAttributeValue = attr_setAnExistingAttributeValue;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js
var require_BoundaryPointAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    function boundaryPoint_position(bp, relativeTo) {
      var nodeA = bp[0];
      var offsetA = bp[1];
      var nodeB = relativeTo[0];
      var offsetB = relativeTo[1];
      console.assert(TreeAlgorithm_1.tree_rootNode(nodeA) === TreeAlgorithm_1.tree_rootNode(nodeB), "Boundary points must share the same root node.");
      if (nodeA === nodeB) {
        if (offsetA === offsetB) {
          return interfaces_1.BoundaryPosition.Equal;
        } else if (offsetA < offsetB) {
          return interfaces_1.BoundaryPosition.Before;
        } else {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      if (TreeAlgorithm_1.tree_isFollowing(nodeB, nodeA)) {
        var pos = boundaryPoint_position([nodeB, offsetB], [nodeA, offsetA]);
        if (pos === interfaces_1.BoundaryPosition.Before) {
          return interfaces_1.BoundaryPosition.After;
        } else if (pos === interfaces_1.BoundaryPosition.After) {
          return interfaces_1.BoundaryPosition.Before;
        }
      }
      if (TreeAlgorithm_1.tree_isAncestorOf(nodeB, nodeA)) {
        var child = nodeB;
        while (!TreeAlgorithm_1.tree_isChildOf(nodeA, child)) {
          if (child._parent !== null) {
            child = child._parent;
          }
        }
        if (TreeAlgorithm_1.tree_index(child) < offsetA) {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      return interfaces_1.BoundaryPosition.Before;
    }
    exports2.boundaryPoint_position = boundaryPoint_position;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js
var require_CharacterDataAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var DOMException_1 = require_DOMException2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    function characterData_replaceData(node, offset, count, data) {
      var e_1, _a;
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        count = length - offset;
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueMutationRecord("characterData", node, null, null, node._data, [], [], null, null);
      }
      var newData = node._data.substring(0, offset) + data + node._data.substring(offset + count);
      node._data = newData;
      try {
        for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var range = _c.value;
          if (range._start[0] === node && range._start[1] > offset && range._start[1] <= offset + count) {
            range._start[1] = offset;
          }
          if (range._end[0] === node && range._end[1] > offset && range._end[1] <= offset + count) {
            range._end[1] = offset;
          }
          if (range._start[0] === node && range._start[1] > offset + count) {
            range._start[1] += data.length - count;
          }
          if (range._end[0] === node && range._end[1] > offset + count) {
            range._end[1] += data.length - count;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node) && node._parent !== null) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(node._parent);
        }
      }
    }
    exports2.characterData_replaceData = characterData_replaceData;
    function characterData_substringData(node, offset, count) {
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        return node._data.substr(offset);
      } else {
        return node._data.substr(offset, count);
      }
    }
    exports2.characterData_substringData = characterData_substringData;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js
var require_OrderedSetAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib8();
    function orderedSet_parse(value) {
      var inputTokens = infra_1.string.splitAStringOnASCIIWhitespace(value);
      return new Set(inputTokens);
    }
    exports2.orderedSet_parse = orderedSet_parse;
    function orderedSet_serialize(tokens) {
      return __spread(tokens).join(" ");
    }
    exports2.orderedSet_serialize = orderedSet_serialize;
    function orderedSet_sanitize(value) {
      return orderedSet_serialize(orderedSet_parse(value));
    }
    exports2.orderedSet_sanitize = orderedSet_sanitize;
    function orderedSet_contains(set1, set2, caseSensitive) {
      var e_1, _a, e_2, _b;
      try {
        for (var set2_1 = __values(set2), set2_1_1 = set2_1.next(); !set2_1_1.done; set2_1_1 = set2_1.next()) {
          var val2 = set2_1_1.value;
          var found = false;
          try {
            for (var set1_1 = (e_2 = void 0, __values(set1)), set1_1_1 = set1_1.next(); !set1_1_1.done; set1_1_1 = set1_1.next()) {
              var val1 = set1_1_1.value;
              if (caseSensitive) {
                if (val1 === val2) {
                  found = true;
                  break;
                }
              } else {
                if (val1.toUpperCase() === val2.toUpperCase()) {
                  found = true;
                  break;
                }
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (set1_1_1 && !set1_1_1.done && (_b = set1_1.return))
                _b.call(set1_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (!found)
            return false;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set2_1_1 && !set2_1_1.done && (_a = set2_1.return))
            _a.call(set2_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return true;
    }
    exports2.orderedSet_contains = orderedSet_contains;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js
var require_DOMTokenListAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    var ElementAlgorithm_1 = require_ElementAlgorithm2();
    function tokenList_validationSteps(tokenList, token) {
      if (!DOMAlgorithm_1.dom_hasSupportedTokens(tokenList._attribute._localName)) {
        throw new TypeError("There are no supported tokens defined for attribute name: '" + tokenList._attribute._localName + "'.");
      }
      return DOMAlgorithm_1.dom_getSupportedTokens(tokenList._attribute._localName).has(token.toLowerCase());
    }
    exports2.tokenList_validationSteps = tokenList_validationSteps;
    function tokenList_updateSteps(tokenList) {
      if (!tokenList._element.hasAttribute(tokenList._attribute._localName) && tokenList._tokenSet.size === 0) {
        return;
      }
      ElementAlgorithm_1.element_setAnAttributeValue(tokenList._element, tokenList._attribute._localName, OrderedSetAlgorithm_1.orderedSet_serialize(tokenList._tokenSet));
    }
    exports2.tokenList_updateSteps = tokenList_updateSteps;
    function tokenList_serializeSteps(tokenList) {
      return ElementAlgorithm_1.element_getAnAttributeValue(tokenList._element, tokenList._attribute._localName);
    }
    exports2.tokenList_serializeSteps = tokenList_serializeSteps;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js
var require_EventTargetAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    function eventTarget_flatten(options) {
      if (util_1.isBoolean(options)) {
        return options;
      } else {
        return options.capture || false;
      }
    }
    exports2.eventTarget_flatten = eventTarget_flatten;
    function eventTarget_flattenMore(options) {
      var capture = eventTarget_flatten(options);
      var once = false;
      var passive = false;
      if (!util_1.isBoolean(options)) {
        once = options.once || false;
        passive = options.passive || false;
      }
      return [capture, passive, once];
    }
    exports2.eventTarget_flattenMore = eventTarget_flattenMore;
    function eventTarget_addEventListener(eventTarget, listener) {
      if (listener.callback === null)
        return;
      for (var i = 0; i < eventTarget._eventListenerList.length; i++) {
        var entry = eventTarget._eventListenerList[i];
        if (entry.type === listener.type && entry.callback.handleEvent === listener.callback.handleEvent && entry.capture === listener.capture) {
          return;
        }
      }
      eventTarget._eventListenerList.push(listener);
    }
    exports2.eventTarget_addEventListener = eventTarget_addEventListener;
    function eventTarget_removeEventListener(eventTarget, listener, index) {
      listener.removed = true;
      eventTarget._eventListenerList.splice(index, 1);
    }
    exports2.eventTarget_removeEventListener = eventTarget_removeEventListener;
    function eventTarget_removeAllEventListeners(eventTarget) {
      var e_1, _a;
      try {
        for (var _b = __values(eventTarget._eventListenerList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var e = _c.value;
          e.removed = true;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      eventTarget._eventListenerList.length = 0;
    }
    exports2.eventTarget_removeAllEventListeners = eventTarget_removeAllEventListeners;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js
var require_NodeAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var infra_1 = require_lib8();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm2();
    var DOMAlgorithm_1 = require_DOMAlgorithm2();
    var MutationAlgorithm_1 = require_MutationAlgorithm2();
    var ElementAlgorithm_1 = require_ElementAlgorithm2();
    function node_stringReplaceAll(str, parent) {
      var node = null;
      if (str !== "") {
        node = CreateAlgorithm_1.create_text(parent._nodeDocument, str);
      }
      MutationAlgorithm_1.mutation_replaceAll(node, parent);
    }
    exports2.node_stringReplaceAll = node_stringReplaceAll;
    function node_clone(node, document, cloneChildrenFlag) {
      var e_1, _a, e_2, _b;
      if (document === void 0) {
        document = null;
      }
      if (cloneChildrenFlag === void 0) {
        cloneChildrenFlag = false;
      }
      if (document === null)
        document = node._nodeDocument;
      var copy;
      if (util_1.Guard.isElementNode(node)) {
        copy = ElementAlgorithm_1.element_createAnElement(document, node._localName, node._namespace, node._namespacePrefix, node._is, false);
        try {
          for (var _c = __values(node._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attribute = _d.value;
            var copyAttribute = node_clone(attribute, document);
            ElementAlgorithm_1.element_append(copyAttribute, copy);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        if (util_1.Guard.isDocumentNode(node)) {
          var doc = CreateAlgorithm_1.create_document();
          doc._encoding = node._encoding;
          doc._contentType = node._contentType;
          doc._URL = node._URL;
          doc._origin = node._origin;
          doc._type = node._type;
          doc._mode = node._mode;
          copy = doc;
        } else if (util_1.Guard.isDocumentTypeNode(node)) {
          var doctype = CreateAlgorithm_1.create_documentType(document, node._name, node._publicId, node._systemId);
          copy = doctype;
        } else if (util_1.Guard.isAttrNode(node)) {
          var attr = CreateAlgorithm_1.create_attr(document, node.localName);
          attr._namespace = node._namespace;
          attr._namespacePrefix = node._namespacePrefix;
          attr._value = node._value;
          copy = attr;
        } else if (util_1.Guard.isExclusiveTextNode(node)) {
          copy = CreateAlgorithm_1.create_text(document, node._data);
        } else if (util_1.Guard.isCDATASectionNode(node)) {
          copy = CreateAlgorithm_1.create_cdataSection(document, node._data);
        } else if (util_1.Guard.isCommentNode(node)) {
          copy = CreateAlgorithm_1.create_comment(document, node._data);
        } else if (util_1.Guard.isProcessingInstructionNode(node)) {
          copy = CreateAlgorithm_1.create_processingInstruction(document, node._target, node._data);
        } else if (util_1.Guard.isDocumentFragmentNode(node)) {
          copy = CreateAlgorithm_1.create_documentFragment(document);
        } else {
          copy = Object.create(node);
        }
      }
      if (util_1.Guard.isDocumentNode(copy)) {
        copy._nodeDocument = copy;
        document = copy;
      } else {
        copy._nodeDocument = document;
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runCloningSteps(copy, node, document, cloneChildrenFlag);
      }
      if (cloneChildrenFlag) {
        try {
          for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
            var child = _f.value;
            var childCopy = node_clone(child, document, true);
            MutationAlgorithm_1.mutation_append(childCopy, copy);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      return copy;
    }
    exports2.node_clone = node_clone;
    function node_equals(a, b) {
      var e_3, _a, e_4, _b;
      if (a._nodeType !== b._nodeType)
        return false;
      if (util_1.Guard.isDocumentTypeNode(a) && util_1.Guard.isDocumentTypeNode(b)) {
        if (a._name !== b._name || a._publicId !== b._publicId || a._systemId !== b._systemId)
          return false;
      } else if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        if (a._namespace !== b._namespace || a._namespacePrefix !== b._namespacePrefix || a._localName !== b._localName || a._attributeList.length !== b._attributeList.length)
          return false;
      } else if (util_1.Guard.isAttrNode(a) && util_1.Guard.isAttrNode(b)) {
        if (a._namespace !== b._namespace || a._localName !== b._localName || a._value !== b._value)
          return false;
      } else if (util_1.Guard.isProcessingInstructionNode(a) && util_1.Guard.isProcessingInstructionNode(b)) {
        if (a._target !== b._target || a._data !== b._data)
          return false;
      } else if (util_1.Guard.isCharacterDataNode(a) && util_1.Guard.isCharacterDataNode(b)) {
        if (a._data !== b._data)
          return false;
      }
      if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        var attrMap = {};
        try {
          for (var _c = __values(a._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attrA = _d.value;
            attrMap[attrA._localName] = attrA;
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var _e = __values(b._attributeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var attrB = _f.value;
            var attrA = attrMap[attrB._localName];
            if (!attrA)
              return false;
            if (!node_equals(attrA, attrB))
              return false;
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      if (a._children.size !== b._children.size)
        return false;
      var itA = a._children[Symbol.iterator]();
      var itB = b._children[Symbol.iterator]();
      var resultA = itA.next();
      var resultB = itB.next();
      while (!resultA.done && !resultB.done) {
        var child1 = resultA.value;
        var child2 = resultB.value;
        if (!node_equals(child1, child2))
          return false;
        resultA = itA.next();
        resultB = itB.next();
      }
      return true;
    }
    exports2.node_equals = node_equals;
    function node_listOfElementsWithQualifiedName(qualifiedName, root) {
      if (qualifiedName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (root._nodeDocument._type === "html") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          if (ele._namespace === infra_1.namespace.HTML && ele._qualifiedName === qualifiedName.toLowerCase()) {
            return true;
          } else if (ele._namespace !== infra_1.namespace.HTML && ele._qualifiedName === qualifiedName) {
            return true;
          } else {
            return false;
          }
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._qualifiedName === qualifiedName;
        });
      }
    }
    exports2.node_listOfElementsWithQualifiedName = node_listOfElementsWithQualifiedName;
    function node_listOfElementsWithNamespace(namespace, localName, root) {
      if (namespace === "")
        namespace = null;
      if (namespace === "*" && localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (namespace === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName;
        });
      } else if (localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._namespace === namespace;
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName && ele._namespace === namespace;
        });
      }
    }
    exports2.node_listOfElementsWithNamespace = node_listOfElementsWithNamespace;
    function node_listOfElementsWithClassNames(classNames, root) {
      var classes = OrderedSetAlgorithm_1.orderedSet_parse(classNames);
      if (classes.size === 0) {
        return CreateAlgorithm_1.create_htmlCollection(root, function() {
          return false;
        });
      }
      var caseSensitive = root._nodeDocument._mode !== "quirks";
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        var eleClasses = ele.classList;
        return OrderedSetAlgorithm_1.orderedSet_contains(eleClasses._tokenSet, classes, caseSensitive);
      });
    }
    exports2.node_listOfElementsWithClassNames = node_listOfElementsWithClassNames;
    function node_locateANamespacePrefix(element, namespace) {
      if (element._namespace === namespace && element._namespacePrefix !== null) {
        return element._namespacePrefix;
      }
      for (var i = 0; i < element._attributeList.length; i++) {
        var attr = element._attributeList[i];
        if (attr._namespacePrefix === "xmlns" && attr._value === namespace) {
          return attr._localName;
        }
      }
      if (element._parent && util_1.Guard.isElementNode(element._parent)) {
        return node_locateANamespacePrefix(element._parent, namespace);
      }
      return null;
    }
    exports2.node_locateANamespacePrefix = node_locateANamespacePrefix;
    function node_locateANamespace(node, prefix) {
      if (util_1.Guard.isElementNode(node)) {
        if (node._namespace !== null && node._namespacePrefix === prefix) {
          return node._namespace;
        }
        for (var i = 0; i < node._attributeList.length; i++) {
          var attr = node._attributeList[i];
          if (attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === "xmlns" && attr._localName === prefix) {
            return attr._value || null;
          }
          if (prefix === null && attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === null && attr._localName === "xmlns") {
            return attr._value || null;
          }
        }
        if (node.parentElement === null)
          return null;
        return node_locateANamespace(node.parentElement, prefix);
      } else if (util_1.Guard.isDocumentNode(node)) {
        if (node.documentElement === null)
          return null;
        return node_locateANamespace(node.documentElement, prefix);
      } else if (util_1.Guard.isDocumentTypeNode(node) || util_1.Guard.isDocumentFragmentNode(node)) {
        return null;
      } else if (util_1.Guard.isAttrNode(node)) {
        if (node._element === null)
          return null;
        return node_locateANamespace(node._element, prefix);
      } else {
        if (!node._parent || !util_1.Guard.isElementNode(node._parent))
          return null;
        return node_locateANamespace(node._parent, prefix);
      }
    }
    exports2.node_locateANamespace = node_locateANamespace;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js
var require_ParentNodeAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    function parentNode_convertNodesIntoANode(nodes, document) {
      var e_1, _a;
      var node = null;
      for (var i = 0; i < nodes.length; i++) {
        var item = nodes[i];
        if (util_1.isString(item)) {
          var text = CreateAlgorithm_1.create_text(document, item);
          nodes[i] = text;
        }
      }
      if (nodes.length === 1) {
        node = nodes[0];
      } else {
        node = CreateAlgorithm_1.create_documentFragment(document);
        var ns = node;
        try {
          for (var nodes_1 = __values(nodes), nodes_1_1 = nodes_1.next(); !nodes_1_1.done; nodes_1_1 = nodes_1.next()) {
            var item = nodes_1_1.value;
            ns.appendChild(item);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (nodes_1_1 && !nodes_1_1.done && (_a = nodes_1.return))
              _a.call(nodes_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      return node;
    }
    exports2.parentNode_convertNodesIntoANode = parentNode_convertNodesIntoANode;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js
var require_TextAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var DOMException_1 = require_DOMException2();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm2();
    var MutationAlgorithm_1 = require_MutationAlgorithm2();
    function text_contiguousTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousTextNodes = text_contiguousTextNodes;
    function text_contiguousExclusiveTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isExclusiveTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousExclusiveTextNodes = text_contiguousExclusiveTextNodes;
    function text_descendantTextContent(node) {
      var contents = "";
      var text = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, false, function(e) {
        return util_1.Guard.isTextNode(e);
      });
      while (text !== null) {
        contents += text._data;
        text = TreeAlgorithm_1.tree_getNextDescendantNode(node, text, false, false, function(e) {
          return util_1.Guard.isTextNode(e);
        });
      }
      return contents;
    }
    exports2.text_descendantTextContent = text_descendantTextContent;
    function text_split(node, offset) {
      var e_1, _a;
      var length = node._data.length;
      if (offset > length) {
        throw new DOMException_1.IndexSizeError();
      }
      var count = length - offset;
      var newData = CharacterDataAlgorithm_1.characterData_substringData(node, offset, count);
      var newNode = CreateAlgorithm_1.create_text(node._nodeDocument, newData);
      var parent = node._parent;
      if (parent !== null) {
        MutationAlgorithm_1.mutation_insert(newNode, parent, node._nextSibling);
        try {
          for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
            var range = _c.value;
            if (range._start[0] === node && range._start[1] > offset) {
              range._start[0] = newNode;
              range._start[1] -= offset;
            }
            if (range._end[0] === node && range._end[1] > offset) {
              range._end[0] = newNode;
              range._end[1] -= offset;
            }
            var index = TreeAlgorithm_1.tree_index(node);
            if (range._start[0] === parent && range._start[1] === index + 1) {
              range._start[1]++;
            }
            if (range._end[0] === parent && range._end[1] === index + 1) {
              range._end[1]++;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      CharacterDataAlgorithm_1.characterData_replaceData(node, offset, count, "");
      return newNode;
    }
    exports2.text_split = text_split;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js
var require_RangeAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var DOMException_1 = require_DOMException2();
    var util_1 = require_util10();
    var CreateAlgorithm_1 = require_CreateAlgorithm2();
    var TreeAlgorithm_1 = require_TreeAlgorithm2();
    var BoundaryPointAlgorithm_1 = require_BoundaryPointAlgorithm2();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm2();
    var NodeAlgorithm_1 = require_NodeAlgorithm2();
    var MutationAlgorithm_1 = require_MutationAlgorithm2();
    var TextAlgorithm_1 = require_TextAlgorithm2();
    function range_collapsed(range) {
      return range._startNode === range._endNode && range._startOffset === range._endOffset;
    }
    exports2.range_collapsed = range_collapsed;
    function range_root(range) {
      return TreeAlgorithm_1.tree_rootNode(range._startNode);
    }
    exports2.range_root = range_root;
    function range_isContained(node, range) {
      return TreeAlgorithm_1.tree_rootNode(node) === range_root(range) && BoundaryPointAlgorithm_1.boundaryPoint_position([node, 0], range._start) === interfaces_1.BoundaryPosition.After && BoundaryPointAlgorithm_1.boundaryPoint_position([node, TreeAlgorithm_1.tree_nodeLength(node)], range._end) === interfaces_1.BoundaryPosition.Before;
    }
    exports2.range_isContained = range_isContained;
    function range_isPartiallyContained(node, range) {
      var startCheck = TreeAlgorithm_1.tree_isAncestorOf(range._startNode, node, true);
      var endCheck = TreeAlgorithm_1.tree_isAncestorOf(range._endNode, node, true);
      return startCheck && !endCheck || !startCheck && endCheck;
    }
    exports2.range_isPartiallyContained = range_isPartiallyContained;
    function range_setTheStart(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._end) === interfaces_1.BoundaryPosition.After) {
        range._end = bp;
      }
      range._start = bp;
    }
    exports2.range_setTheStart = range_setTheStart;
    function range_setTheEnd(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._start) === interfaces_1.BoundaryPosition.Before) {
        range._start = bp;
      }
      range._end = bp;
    }
    exports2.range_setTheEnd = range_setTheEnd;
    function range_select(node, range) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError();
      var index = TreeAlgorithm_1.tree_index(node);
      range._start = [parent, index];
      range._end = [parent, index + 1];
    }
    exports2.range_select = range_select;
    function range_extract(range) {
      var e_1, _a, e_2, _b, e_3, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
        return fragment;
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      var newNode;
      var newOffset;
      if (TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        newNode = originalStartNode;
        newOffset = originalStartOffset;
      } else {
        var referenceNode = originalStartNode;
        while (referenceNode._parent !== null && !TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent)) {
          referenceNode = referenceNode._parent;
        }
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        newNode = referenceNode._parent;
        newOffset = 1 + TreeAlgorithm_1.tree_index(referenceNode);
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_1 = __values(containedChildren), containedChildren_1_1 = containedChildren_1.next(); !containedChildren_1_1.done; containedChildren_1_1 = containedChildren_1.next()) {
          var child = containedChildren_1_1.value;
          MutationAlgorithm_1.mutation_append(child, fragment);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (containedChildren_1_1 && !containedChildren_1_1.done && (_c = containedChildren_1.return))
            _c.call(containedChildren_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      range._start = [newNode, newOffset];
      range._end = [newNode, newOffset];
      return fragment;
    }
    exports2.range_extract = range_extract;
    function range_cloneTheContents(range) {
      var e_4, _a, e_5, _b, e_6, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_cloneTheContents(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_2 = __values(containedChildren), containedChildren_2_1 = containedChildren_2.next(); !containedChildren_2_1.done; containedChildren_2_1 = containedChildren_2.next()) {
          var child = containedChildren_2_1.value;
          var clone = NodeAlgorithm_1.node_clone(child);
          MutationAlgorithm_1.mutation_append(clone, fragment);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (containedChildren_2_1 && !containedChildren_2_1.done && (_c = containedChildren_2.return))
            _c.call(containedChildren_2);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        fragment.append(clone);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      return fragment;
    }
    exports2.range_cloneTheContents = range_cloneTheContents;
    function range_insert(node, range) {
      var e_7, _a;
      if (util_1.Guard.isProcessingInstructionNode(range._startNode) || util_1.Guard.isCommentNode(range._startNode) || util_1.Guard.isTextNode(range._startNode) && range._startNode._parent === null || range._startNode === node) {
        throw new DOMException_1.HierarchyRequestError();
      }
      var referenceNode = null;
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = range._startNode;
      } else {
        var index = 0;
        try {
          for (var _b = __values(range._startNode._children), _c = _b.next(); !_c.done; _c = _b.next()) {
            var child = _c.value;
            if (index === range._startOffset) {
              referenceNode = child;
              break;
            }
            index++;
          }
        } catch (e_7_1) {
          e_7 = { error: e_7_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_7)
              throw e_7.error;
          }
        }
      }
      var parent;
      if (referenceNode === null) {
        parent = range._startNode;
      } else {
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        parent = referenceNode._parent;
      }
      MutationAlgorithm_1.mutation_ensurePreInsertionValidity(node, parent, referenceNode);
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = TextAlgorithm_1.text_split(range._startNode, range._startOffset);
      }
      if (node === referenceNode) {
        referenceNode = node._nextSibling;
      }
      if (node._parent !== null) {
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      }
      var newOffset = referenceNode === null ? TreeAlgorithm_1.tree_nodeLength(parent) : TreeAlgorithm_1.tree_index(referenceNode);
      if (util_1.Guard.isDocumentFragmentNode(node)) {
        newOffset += TreeAlgorithm_1.tree_nodeLength(node);
      } else {
        newOffset++;
      }
      MutationAlgorithm_1.mutation_preInsert(node, parent, referenceNode);
      if (range_collapsed(range)) {
        range._end = [parent, newOffset];
      }
    }
    exports2.range_insert = range_insert;
    function range_getContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getContainedNodes = range_getContainedNodes;
    function range_getPartiallyContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isPartiallyContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getPartiallyContainedNodes = range_getPartiallyContainedNodes;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js
var require_SelectorsAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException2();
    function selectors_scopeMatchASelectorsString(selectors, node) {
      throw new DOMException_1.NotSupportedError();
    }
    exports2.selectors_scopeMatchASelectorsString = selectors_scopeMatchASelectorsString;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js
var require_TreeWalkerAlgorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm2();
    function treeWalker_traverseChildren(walker, first) {
      var node = first ? walker._current._firstChild : walker._current._lastChild;
      while (node !== null) {
        var result = TraversalAlgorithm_1.traversal_filter(walker, node);
        if (result === interfaces_1.FilterResult.Accept) {
          walker._current = node;
          return node;
        } else if (result === interfaces_1.FilterResult.Skip) {
          var child = first ? node._firstChild : node._lastChild;
          if (child !== null) {
            node = child;
            continue;
          }
        }
        while (node !== null) {
          var sibling = first ? node._nextSibling : node._previousSibling;
          if (sibling !== null) {
            node = sibling;
            break;
          }
          var parent = node._parent;
          if (parent === null || parent === walker._root || parent === walker._current) {
            return null;
          }
          node = parent;
        }
      }
      return null;
    }
    exports2.treeWalker_traverseChildren = treeWalker_traverseChildren;
    function treeWalker_traverseSiblings(walker, next) {
      var node = walker._current;
      if (node === walker._root)
        return null;
      while (true) {
        var sibling = next ? node._nextSibling : node._previousSibling;
        while (sibling !== null) {
          node = sibling;
          var result = TraversalAlgorithm_1.traversal_filter(walker, node);
          if (result === interfaces_1.FilterResult.Accept) {
            walker._current = node;
            return node;
          }
          sibling = next ? node._firstChild : node._lastChild;
          if (result === interfaces_1.FilterResult.Reject || sibling === null) {
            sibling = next ? node._nextSibling : node._previousSibling;
          }
        }
        node = node._parent;
        if (node === null || node === walker._root) {
          return null;
        }
        if (TraversalAlgorithm_1.traversal_filter(walker, node) === interfaces_1.FilterResult.Accept) {
          return null;
        }
      }
    }
    exports2.treeWalker_traverseSiblings = treeWalker_traverseSiblings;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/index.js
var require_algorithm2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/algorithm/index.js"(exports2) {
    "use strict";
    function __export(m) {
      for (var p in m)
        if (!exports2.hasOwnProperty(p))
          exports2[p] = m[p];
    }
    Object.defineProperty(exports2, "__esModule", { value: true });
    __export(require_AbortAlgorithm2());
    __export(require_AttrAlgorithm2());
    __export(require_BoundaryPointAlgorithm2());
    __export(require_CharacterDataAlgorithm2());
    __export(require_CreateAlgorithm2());
    __export(require_CustomElementAlgorithm2());
    __export(require_DocumentAlgorithm2());
    __export(require_DOMAlgorithm2());
    __export(require_DOMTokenListAlgorithm2());
    __export(require_ElementAlgorithm2());
    __export(require_EventAlgorithm2());
    __export(require_EventTargetAlgorithm2());
    __export(require_MutationAlgorithm2());
    __export(require_MutationObserverAlgorithm2());
    __export(require_NamespaceAlgorithm2());
    __export(require_NodeAlgorithm2());
    __export(require_NodeIteratorAlgorithm2());
    __export(require_OrderedSetAlgorithm2());
    __export(require_ParentNodeAlgorithm2());
    __export(require_RangeAlgorithm2());
    __export(require_SelectorsAlgorithm2());
    __export(require_ShadowTreeAlgorithm2());
    __export(require_TextAlgorithm2());
    __export(require_TraversalAlgorithm2());
    __export(require_TreeAlgorithm2());
    __export(require_TreeWalkerAlgorithm2());
    __export(require_WebIDLAlgorithm2());
    __export(require_XMLAlgorithm2());
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/constants.js
var require_constants5 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.nonEntityAmpersandRegex = /&(?![A-Za-z]+;|#\d+;)/g;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/BaseWriter.js
var require_BaseWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/BaseWriter.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var LocalNameSet_1 = require_LocalNameSet2();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap2();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var constants_1 = require_constants5();
    var BaseWriter = (
      /** @class */
      function() {
        function BaseWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
        }
        BaseWriter2.prototype.declaration = function(version, encoding, standalone) {
        };
        BaseWriter2.prototype.docType = function(name, publicId, systemId) {
        };
        BaseWriter2.prototype.comment = function(data) {
        };
        BaseWriter2.prototype.text = function(data) {
        };
        BaseWriter2.prototype.instruction = function(target, data) {
        };
        BaseWriter2.prototype.cdata = function(data) {
        };
        BaseWriter2.prototype.openTagBegin = function(name) {
        };
        BaseWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
        };
        BaseWriter2.prototype.closeTag = function(name) {
        };
        BaseWriter2.prototype.attributes = function(attributes) {
          var e_1, _a;
          try {
            for (var attributes_1 = __values(attributes), attributes_1_1 = attributes_1.next(); !attributes_1_1.done; attributes_1_1 = attributes_1.next()) {
              var attr = attributes_1_1.value;
              this.attribute(attr[1] === null ? attr[2] : attr[1] + ":" + attr[2], attr[3]);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (attributes_1_1 && !attributes_1_1.done && (_a = attributes_1.return))
                _a.call(attributes_1);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        BaseWriter2.prototype.attribute = function(name, value) {
        };
        BaseWriter2.prototype.beginElement = function(name) {
        };
        BaseWriter2.prototype.endElement = function(name) {
        };
        BaseWriter2.prototype.serializeNode = function(node, requireWellFormed) {
          var hasNamespaces = node._nodeDocument !== void 0 && node._nodeDocument._hasNamespaces;
          this.level = 0;
          this.currentNode = node;
          if (hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          } else {
            this._serializeNode(node, requireWellFormed);
          }
        };
        BaseWriter2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeNode = function(node, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElement(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocument(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          var attributes = [];
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this.beginElement(qualifiedName);
            this.openTagBegin(qualifiedName);
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                "xmlns",
                prefix,
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                null,
                "xmlns",
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            }
          }
          attributes.push.apply(attributes, __spread(this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed)));
          this.attributes(attributes);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && BaseWriter2._VoidElementNames.has(node.localName)) {
            this.openTagEnd(qualifiedName, true, true);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                this.level++;
                this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
                this.level--;
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_3, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          var attributes = this._serializeAttributes(node, requireWellFormed);
          this.attributes(attributes);
          if (!node.hasChildNodes()) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this.level++;
              this._serializeNode(childNode, requireWellFormed);
              this.level--;
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_4, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_5, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        BaseWriter2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          this.comment(node.data);
        };
        BaseWriter2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var markup = node.data.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this.text(markup);
        };
        BaseWriter2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_6, _a;
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_7, _a;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          this.docType(node.name, node.publicId, node.systemId);
        };
        BaseWriter2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          this.instruction(node.target, node.data);
        };
        BaseWriter2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          this.cdata(node.data);
        };
        BaseWriter2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_8, _a;
          var result = [];
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result.push([
                    null,
                    "xmlns",
                    candidatePrefix,
                    this._serializeAttributeValue(attributeNamespace, requireWellFormed)
                  ]);
                }
              }
              var attrName = "";
              if (candidatePrefix !== null) {
                attrName = candidatePrefix;
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                attributeNamespace,
                candidatePrefix,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = [];
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                null,
                null,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_10, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_10_1) {
            e_10 = { error: e_10_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_10)
                throw e_10.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        BaseWriter2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value.toString();
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        BaseWriter2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          return value.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        BaseWriter2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return BaseWriter2;
      }()
    );
    exports2.BaseWriter = BaseWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js
var require_ObjectWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var interfaces_1 = require_interfaces6();
    var BaseWriter_1 = require_BaseWriter2();
    var ObjectWriter = (
      /** @class */
      function(_super) {
        __extends(ObjectWriter2, _super);
        function ObjectWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "object",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        ObjectWriter2.prototype.serialize = function(node) {
          this._currentList = [];
          this._currentIndex = 0;
          this._listRegister = [this._currentList];
          this.serializeNode(node, this._writerOptions.wellFormed);
          return this._process(this._currentList, this._writerOptions);
        };
        ObjectWriter2.prototype._process = function(items, options) {
          var _a, _b, _c, _d, _e, _f, _g;
          if (items.length === 0)
            return {};
          var namesSeen = {};
          var hasNonUniqueNames = false;
          var textCount = 0;
          var commentCount = 0;
          var instructionCount = 0;
          var cdataCount = 0;
          for (var i = 0; i < items.length; i++) {
            var item = items[i];
            var key = Object.keys(item)[0];
            switch (key) {
              case "@":
                continue;
              case "#":
                textCount++;
                break;
              case "!":
                commentCount++;
                break;
              case "?":
                instructionCount++;
                break;
              case "$":
                cdataCount++;
                break;
              default:
                if (namesSeen[key]) {
                  hasNonUniqueNames = true;
                } else {
                  namesSeen[key] = true;
                }
                break;
            }
          }
          var defAttrKey = this._getAttrKey();
          var defTextKey = this._getNodeKey(interfaces_1.NodeType.Text);
          var defCommentKey = this._getNodeKey(interfaces_1.NodeType.Comment);
          var defInstructionKey = this._getNodeKey(interfaces_1.NodeType.ProcessingInstruction);
          var defCdataKey = this._getNodeKey(interfaces_1.NodeType.CData);
          if (textCount === 1 && items.length === 1 && util_1.isString(items[0]["#"])) {
            return items[0]["#"];
          } else if (hasNonUniqueNames) {
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              if (key === "@") {
                var attrs = item["@"];
                var attrKeys = Object.keys(attrs);
                if (attrKeys.length === 1) {
                  obj[defAttrKey + attrKeys[0]] = attrs[attrKeys[0]];
                } else {
                  obj[defAttrKey] = item["@"];
                }
              }
            }
            var result = [];
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  break;
                case "#":
                  result.push((_a = {}, _a[defTextKey] = item["#"], _a));
                  break;
                case "!":
                  result.push((_b = {}, _b[defCommentKey] = item["!"], _b));
                  break;
                case "?":
                  result.push((_c = {}, _c[defInstructionKey] = item["?"], _c));
                  break;
                case "$":
                  result.push((_d = {}, _d[defCdataKey] = item["$"], _d));
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_1 = 0; i_1 < listOfLists.length; i_1++) {
                      eleGroup.push(this._process(listOfLists[i_1], options));
                    }
                    result.push((_e = {}, _e[key] = eleGroup, _e));
                  } else {
                    if (options.verbose) {
                      result.push((_f = {}, _f[key] = [this._process(ele[key], options)], _f));
                    } else {
                      result.push((_g = {}, _g[key] = this._process(ele[key], options), _g));
                    }
                  }
                  break;
              }
            }
            obj[defTextKey] = result;
            return obj;
          } else {
            var textId = 1;
            var commentId = 1;
            var instructionId = 1;
            var cdataId = 1;
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  var attrs = item["@"];
                  var attrKeys = Object.keys(attrs);
                  if (!options.group || attrKeys.length === 1) {
                    for (var attrName in attrs) {
                      obj[defAttrKey + attrName] = attrs[attrName];
                    }
                  } else {
                    obj[defAttrKey] = attrs;
                  }
                  break;
                case "#":
                  textId = this._processSpecItem(item["#"], obj, options.group, defTextKey, textCount, textId);
                  break;
                case "!":
                  commentId = this._processSpecItem(item["!"], obj, options.group, defCommentKey, commentCount, commentId);
                  break;
                case "?":
                  instructionId = this._processSpecItem(item["?"], obj, options.group, defInstructionKey, instructionCount, instructionId);
                  break;
                case "$":
                  cdataId = this._processSpecItem(item["$"], obj, options.group, defCdataKey, cdataCount, cdataId);
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_2 = 0; i_2 < listOfLists.length; i_2++) {
                      eleGroup.push(this._process(listOfLists[i_2], options));
                    }
                    obj[key] = eleGroup;
                  } else {
                    if (options.verbose) {
                      obj[key] = [this._process(ele[key], options)];
                    } else {
                      obj[key] = this._process(ele[key], options);
                    }
                  }
                  break;
              }
            }
            return obj;
          }
        };
        ObjectWriter2.prototype._processSpecItem = function(item, obj, group, defKey, count, id) {
          var e_1, _a;
          if (!group && util_1.isArray(item) && count + item.length > 2) {
            try {
              for (var item_1 = __values(item), item_1_1 = item_1.next(); !item_1_1.done; item_1_1 = item_1.next()) {
                var subItem = item_1_1.value;
                var key = defKey + (id++).toString();
                obj[key] = subItem;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (item_1_1 && !item_1_1.done && (_a = item_1.return))
                  _a.call(item_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var key = count > 1 ? defKey + (id++).toString() : defKey;
            obj[key] = item;
          }
          return id;
        };
        ObjectWriter2.prototype.beginElement = function(name) {
          var _a, _b;
          var childItems = [];
          if (this._currentList.length === 0) {
            this._currentList.push((_a = {}, _a[name] = childItems, _a));
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isElementNode(lastItem, name)) {
              if (lastItem[name].length !== 0 && util_1.isArray(lastItem[name][0])) {
                var listOfLists = lastItem[name];
                listOfLists.push(childItems);
              } else {
                lastItem[name] = [lastItem[name], childItems];
              }
            } else {
              this._currentList.push((_b = {}, _b[name] = childItems, _b));
            }
          }
          this._currentIndex++;
          if (this._listRegister.length > this._currentIndex) {
            this._listRegister[this._currentIndex] = childItems;
          } else {
            this._listRegister.push(childItems);
          }
          this._currentList = childItems;
        };
        ObjectWriter2.prototype.endElement = function() {
          this._currentList = this._listRegister[--this._currentIndex];
        };
        ObjectWriter2.prototype.attribute = function(name, value) {
          var _a, _b;
          if (this._currentList.length === 0) {
            this._currentList.push({ "@": (_a = {}, _a[name] = value, _a) });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isAttrNode(lastItem)) {
              lastItem["@"][name] = value;
            } else {
              this._currentList.push({ "@": (_b = {}, _b[name] = value, _b) });
            }
          }
        };
        ObjectWriter2.prototype.comment = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "!": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCommentNode(lastItem)) {
              if (util_1.isArray(lastItem["!"])) {
                lastItem["!"].push(data);
              } else {
                lastItem["!"] = [lastItem["!"], data];
              }
            } else {
              this._currentList.push({ "!": data });
            }
          }
        };
        ObjectWriter2.prototype.text = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "#": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isTextNode(lastItem)) {
              if (util_1.isArray(lastItem["#"])) {
                lastItem["#"].push(data);
              } else {
                lastItem["#"] = [lastItem["#"], data];
              }
            } else {
              this._currentList.push({ "#": data });
            }
          }
        };
        ObjectWriter2.prototype.instruction = function(target, data) {
          var value = data === "" ? target : target + " " + data;
          if (this._currentList.length === 0) {
            this._currentList.push({ "?": value });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isInstructionNode(lastItem)) {
              if (util_1.isArray(lastItem["?"])) {
                lastItem["?"].push(value);
              } else {
                lastItem["?"] = [lastItem["?"], value];
              }
            } else {
              this._currentList.push({ "?": value });
            }
          }
        };
        ObjectWriter2.prototype.cdata = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "$": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCDATANode(lastItem)) {
              if (util_1.isArray(lastItem["$"])) {
                lastItem["$"].push(data);
              } else {
                lastItem["$"] = [lastItem["$"], data];
              }
            } else {
              this._currentList.push({ "$": data });
            }
          }
        };
        ObjectWriter2.prototype._isAttrNode = function(x) {
          return "@" in x;
        };
        ObjectWriter2.prototype._isTextNode = function(x) {
          return "#" in x;
        };
        ObjectWriter2.prototype._isCommentNode = function(x) {
          return "!" in x;
        };
        ObjectWriter2.prototype._isInstructionNode = function(x) {
          return "?" in x;
        };
        ObjectWriter2.prototype._isCDATANode = function(x) {
          return "$" in x;
        };
        ObjectWriter2.prototype._isElementNode = function(x, name) {
          return name in x;
        };
        ObjectWriter2.prototype._getAttrKey = function() {
          return this._builderOptions.convert.att;
        };
        ObjectWriter2.prototype._getNodeKey = function(nodeType) {
          switch (nodeType) {
            case interfaces_1.NodeType.Comment:
              return this._builderOptions.convert.comment;
            case interfaces_1.NodeType.Text:
              return this._builderOptions.convert.text;
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._builderOptions.convert.ins;
            case interfaces_1.NodeType.CData:
              return this._builderOptions.convert.cdata;
            default:
              throw new Error("Invalid node type.");
          }
        };
        return ObjectWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.ObjectWriter = ObjectWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/MapWriter.js
var require_MapWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/MapWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var ObjectWriter_1 = require_ObjectWriter2();
    var BaseWriter_1 = require_BaseWriter2();
    var MapWriter = (
      /** @class */
      function(_super) {
        __extends(MapWriter2, _super);
        function MapWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "map",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        MapWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false,
            verbose: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._convertObject(val);
        };
        MapWriter2.prototype._convertObject = function(obj) {
          if (util_1.isArray(obj)) {
            for (var i = 0; i < obj.length; i++) {
              obj[i] = this._convertObject(obj[i]);
            }
            return obj;
          } else if (util_1.isObject(obj)) {
            var map = /* @__PURE__ */ new Map();
            for (var key in obj) {
              map.set(key, this._convertObject(obj[key]));
            }
            return map;
          } else {
            return obj;
          }
        };
        return MapWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.MapWriter = MapWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/XMLWriter.js
var require_XMLWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/XMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var interfaces_1 = require_interfaces6();
    var BaseWriter_1 = require_BaseWriter2();
    var util_2 = require_util10();
    var XMLWriter = (
      /** @class */
      function(_super) {
        __extends(XMLWriter2, _super);
        function XMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._indentation = {};
          _this._lengthToLastNewline = 0;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            headless: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            width: 0,
            allowEmptyTags: false,
            indentTextOnlyNodes: false,
            spaceBeforeSlash: false
          });
          return _this;
        }
        XMLWriter2.prototype.serialize = function(node) {
          this._refs = { suppressPretty: false, emptyNode: false, markup: "" };
          if (node.nodeType === interfaces_1.NodeType.Document && !this._writerOptions.headless) {
            this.declaration(this._builderOptions.version, this._builderOptions.encoding, this._builderOptions.standalone);
          }
          this.serializeNode(node, this._writerOptions.wellFormed);
          if (this._writerOptions.prettyPrint && this._refs.markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            this._refs.markup = this._refs.markup.slice(0, -this._writerOptions.newline.length);
          }
          return this._refs.markup;
        };
        XMLWriter2.prototype.declaration = function(version, encoding, standalone) {
          this._beginLine();
          this._refs.markup += '<?xml version="' + version + '"';
          if (encoding !== void 0) {
            this._refs.markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            this._refs.markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          this._refs.markup += "?>";
          this._endLine();
        };
        XMLWriter2.prototype.docType = function(name, publicId, systemId) {
          this._beginLine();
          if (publicId && systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            this._refs.markup += "<!DOCTYPE " + name + ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.openTagBegin = function(name) {
          this._beginLine();
          this._refs.markup += "<" + name;
        };
        XMLWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          if (this._writerOptions.prettyPrint && !selfClosing && !voidElement) {
            var textOnlyNode = true;
            var emptyNode = true;
            var childNode = this.currentNode.firstChild;
            var cdataCount = 0;
            var textCount = 0;
            while (childNode) {
              if (util_2.Guard.isExclusiveTextNode(childNode)) {
                textCount++;
              } else if (util_2.Guard.isCDATASectionNode(childNode)) {
                cdataCount++;
              } else {
                textOnlyNode = false;
                emptyNode = false;
                break;
              }
              if (childNode.data !== "") {
                emptyNode = false;
              }
              childNode = childNode.nextSibling;
            }
            this._refs.suppressPretty = !this._writerOptions.indentTextOnlyNodes && textOnlyNode && (cdataCount <= 1 && textCount === 0 || cdataCount === 0);
            this._refs.emptyNode = emptyNode;
          }
          if ((voidElement || selfClosing || this._refs.emptyNode) && this._writerOptions.allowEmptyTags) {
            this._refs.markup += "></" + name + ">";
          } else {
            this._refs.markup += voidElement ? " />" : selfClosing || this._refs.emptyNode ? this._writerOptions.spaceBeforeSlash ? " />" : "/>" : ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.closeTag = function(name) {
          if (!this._refs.emptyNode) {
            this._beginLine();
            this._refs.markup += "</" + name + ">";
          }
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          this._endLine();
        };
        XMLWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._refs.markup.length - this._lengthToLastNewline + 1 + str.length > this._writerOptions.width) {
            this._endLine();
            this._beginLine();
            this._refs.markup += this._indent(1) + str;
          } else {
            this._refs.markup += " " + str;
          }
        };
        XMLWriter2.prototype.text = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += data;
            this._endLine();
          }
        };
        XMLWriter2.prototype.cdata = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += "<![CDATA[" + data + "]]>";
            this._endLine();
          }
        };
        XMLWriter2.prototype.comment = function(data) {
          this._beginLine();
          this._refs.markup += "<!--" + data + "-->";
          this._endLine();
        };
        XMLWriter2.prototype.instruction = function(target, data) {
          this._beginLine();
          this._refs.markup += "<?" + (data === "" ? target : target + " " + data) + "?>";
          this._endLine();
        };
        XMLWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._indent(this._writerOptions.offset + this.level);
          }
        };
        XMLWriter2.prototype._endLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._writerOptions.newline;
            this._lengthToLastNewline = this._refs.markup.length;
          }
        };
        XMLWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else if (this._indentation[level] !== void 0) {
            return this._indentation[level];
          } else {
            var str = this._writerOptions.indent.repeat(level);
            this._indentation[level] = str;
            return str;
          }
        };
        return XMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.XMLWriter = XMLWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/JSONWriter.js
var require_JSONWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/JSONWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter2();
    var util_1 = require_lib7();
    var BaseWriter_1 = require_BaseWriter2();
    var JSONWriter = (
      /** @class */
      function(_super) {
        __extends(JSONWriter2, _super);
        function JSONWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          return _this;
        }
        JSONWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._beginLine(this._writerOptions, 0) + this._convertObject(val, this._writerOptions);
        };
        JSONWriter2.prototype._convertObject = function(obj, options, level) {
          var e_1, _a;
          var _this = this;
          if (level === void 0) {
            level = 0;
          }
          var markup = "";
          var isLeaf = this._isLeafNode(obj);
          if (util_1.isArray(obj)) {
            markup += "[";
            var len = obj.length;
            var i = 0;
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._endLine(options, level + 1) + this._beginLine(options, level + 1) + this._convertObject(val, options, level + 1);
                if (i < len - 1) {
                  markup += ",";
                }
                i++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            markup += this._endLine(options, level) + this._beginLine(options, level);
            markup += "]";
          } else if (util_1.isObject(obj)) {
            markup += "{";
            var len_1 = util_1.objectLength(obj);
            var i_1 = 0;
            util_1.forEachObject(obj, function(key, val2) {
              if (isLeaf && options.prettyPrint) {
                markup += " ";
              } else {
                markup += _this._endLine(options, level + 1) + _this._beginLine(options, level + 1);
              }
              markup += _this._key(key);
              if (options.prettyPrint) {
                markup += " ";
              }
              markup += _this._convertObject(val2, options, level + 1);
              if (i_1 < len_1 - 1) {
                markup += ",";
              }
              i_1++;
            }, this);
            if (isLeaf && options.prettyPrint) {
              markup += " ";
            } else {
              markup += this._endLine(options, level) + this._beginLine(options, level);
            }
            markup += "}";
          } else {
            markup += this._val(obj);
          }
          return markup;
        };
        JSONWriter2.prototype._beginLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            var indentLevel = options.offset + level + 1;
            if (indentLevel > 0) {
              return new Array(indentLevel).join(options.indent);
            }
          }
          return "";
        };
        JSONWriter2.prototype._endLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            return options.newline;
          }
        };
        JSONWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        JSONWriter2.prototype._isLeafNode = function(obj) {
          return this._descendantCount(obj) <= 1;
        };
        JSONWriter2.prototype._descendantCount = function(obj, count) {
          var _this = this;
          if (count === void 0) {
            count = 0;
          }
          if (util_1.isArray(obj)) {
            util_1.forEachArray(obj, function(val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else if (util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else {
            count++;
          }
          return count;
        };
        return JSONWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.JSONWriter = JSONWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js
var require_YAMLWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter2();
    var util_1 = require_lib7();
    var BaseWriter_1 = require_BaseWriter2();
    var YAMLWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLWriter2, _super);
        function YAMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          if (_this._writerOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (_this._writerOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          var markup = this._beginLine(this._writerOptions, 0) + "---" + this._endLine(this._writerOptions) + this._convertObject(val, this._writerOptions, 0);
          if (markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            markup = markup.slice(0, -this._writerOptions.newline.length);
          }
          return markup;
        };
        YAMLWriter2.prototype._convertObject = function(obj, options, level, suppressIndent) {
          var e_1, _a;
          var _this = this;
          if (suppressIndent === void 0) {
            suppressIndent = false;
          }
          var markup = "";
          if (util_1.isArray(obj)) {
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._beginLine(options, level, true);
                if (!util_1.isObject(val)) {
                  markup += this._val(val) + this._endLine(options);
                } else if (util_1.isEmpty(val)) {
                  markup += '""' + this._endLine(options);
                } else {
                  markup += this._convertObject(val, options, level, true);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            util_1.forEachObject(obj, function(key, val2) {
              if (suppressIndent) {
                markup += _this._key(key);
                suppressIndent = false;
              } else {
                markup += _this._beginLine(options, level) + _this._key(key);
              }
              if (!util_1.isObject(val2)) {
                markup += " " + _this._val(val2) + _this._endLine(options);
              } else if (util_1.isEmpty(val2)) {
                markup += ' ""' + _this._endLine(options);
              } else {
                markup += _this._endLine(options) + _this._convertObject(val2, options, level + 1);
              }
            }, this);
          }
          return markup;
        };
        YAMLWriter2.prototype._beginLine = function(options, level, isArray) {
          if (isArray === void 0) {
            isArray = false;
          }
          var indentLevel = options.offset + level + 1;
          var chars = new Array(indentLevel).join(options.indent);
          if (isArray) {
            return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
          } else {
            return chars;
          }
        };
        YAMLWriter2.prototype._endLine = function(options) {
          return options.newline;
        };
        YAMLWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.YAMLWriter = YAMLWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/index.js
var require_writers2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MapWriter_1 = require_MapWriter2();
    exports2.MapWriter = MapWriter_1.MapWriter;
    var XMLWriter_1 = require_XMLWriter2();
    exports2.XMLWriter = XMLWriter_1.XMLWriter;
    var ObjectWriter_1 = require_ObjectWriter2();
    exports2.ObjectWriter = ObjectWriter_1.ObjectWriter;
    var JSONWriter_1 = require_JSONWriter2();
    exports2.JSONWriter = JSONWriter_1.JSONWriter;
    var YAMLWriter_1 = require_YAMLWriter2();
    exports2.YAMLWriter = YAMLWriter_1.YAMLWriter;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js
var require_ChildNodeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util10();
    var algorithm_1 = require_algorithm2();
    var ChildNodeImpl = (
      /** @class */
      function() {
        function ChildNodeImpl2() {
        }
        ChildNodeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (parent === null)
            return;
          var viablePreviousSibling = context._previousSibling;
          var flag = true;
          while (flag && viablePreviousSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viablePreviousSibling) {
                viablePreviousSibling = viablePreviousSibling._previousSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (viablePreviousSibling === null)
            viablePreviousSibling = parent._firstChild;
          else
            viablePreviousSibling = viablePreviousSibling._nextSibling;
          algorithm_1.mutation_preInsert(node, parent, viablePreviousSibling);
        };
        ChildNodeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (context._parent === parent)
            algorithm_1.mutation_replace(context, node, parent);
          else
            algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.remove = function() {
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          algorithm_1.mutation_remove(context, parent);
        };
        return ChildNodeImpl2;
      }()
    );
    exports2.ChildNodeImpl = ChildNodeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js
var require_DocumentOrShadowRootImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentOrShadowRootImpl = (
      /** @class */
      function() {
        function DocumentOrShadowRootImpl2() {
        }
        return DocumentOrShadowRootImpl2;
      }()
    );
    exports2.DocumentOrShadowRootImpl = DocumentOrShadowRootImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js
var require_MutationObserverImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl2();
    var util_1 = require_util10();
    var infra_1 = require_lib8();
    var MutationObserverImpl = (
      /** @class */
      function() {
        function MutationObserverImpl2(callback) {
          this._nodeList = [];
          this._recordQueue = [];
          this._callback = callback;
          var window2 = DOMImpl_1.dom.window;
          infra_1.set.append(window2._mutationObservers, this);
        }
        MutationObserverImpl2.prototype.observe = function(target, options) {
          var e_1, _a;
          options = options || {
            childList: false,
            subtree: false
          };
          if ((options.attributeOldValue !== void 0 || options.attributeFilter !== void 0) && options.attributes === void 0) {
            options.attributes = true;
          }
          if (options.characterDataOldValue !== void 0 && options.characterData === void 0) {
            options.characterData = true;
          }
          if (!options.childList && !options.attributes && !options.characterData) {
            throw new TypeError();
          }
          if (options.attributeOldValue && !options.attributes) {
            throw new TypeError();
          }
          if (options.attributeFilter !== void 0 && !options.attributes) {
            throw new TypeError();
          }
          if (options.characterDataOldValue && !options.characterData) {
            throw new TypeError();
          }
          var isRegistered = false;
          var coptions = options;
          var _loop_1 = function(registered2) {
            var e_2, _a2;
            if (registered2.observer === this_1) {
              isRegistered = true;
              try {
                for (var _b2 = (e_2 = void 0, __values(this_1._nodeList)), _c2 = _b2.next(); !_c2.done; _c2 = _b2.next()) {
                  var node = _c2.value;
                  infra_1.list.remove(node._registeredObserverList, function(ob) {
                    return util_1.Guard.isTransientRegisteredObserver(ob) && ob.source === registered2;
                  });
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (_c2 && !_c2.done && (_a2 = _b2.return))
                    _a2.call(_b2);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              registered2.options = coptions;
            }
          };
          var this_1 = this;
          try {
            for (var _b = __values(target._registeredObserverList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var registered = _c.value;
              _loop_1(registered);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (!isRegistered) {
            target._registeredObserverList.push({ observer: this, options });
            this._nodeList.push(target);
          }
        };
        MutationObserverImpl2.prototype.disconnect = function() {
          var e_3, _a;
          var _this = this;
          try {
            for (var _b = __values(this._nodeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              infra_1.list.remove(node._registeredObserverList, function(ob) {
                return ob.observer === _this;
              });
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this._recordQueue = [];
        };
        MutationObserverImpl2.prototype.takeRecords = function() {
          var records = this._recordQueue;
          this._recordQueue = [];
          return records;
        };
        return MutationObserverImpl2;
      }()
    );
    exports2.MutationObserverImpl = MutationObserverImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js
var require_NonDocumentTypeChildNodeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util10();
    var NonDocumentTypeChildNodeImpl = (
      /** @class */
      function() {
        function NonDocumentTypeChildNodeImpl2() {
        }
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "previousElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._previousSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "nextElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._nextSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        return NonDocumentTypeChildNodeImpl2;
      }()
    );
    exports2.NonDocumentTypeChildNodeImpl = NonDocumentTypeChildNodeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js
var require_NonElementParentNodeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util10();
    var algorithm_1 = require_algorithm2();
    var NonElementParentNodeImpl = (
      /** @class */
      function() {
        function NonElementParentNodeImpl2() {
        }
        NonElementParentNodeImpl2.prototype.getElementById = function(id) {
          var ele = algorithm_1.tree_getFirstDescendantNode(util_1.Cast.asNode(this), false, false, function(e) {
            return util_1.Guard.isElementNode(e);
          });
          while (ele !== null) {
            if (ele._uniqueIdentifier === id) {
              return ele;
            }
            ele = algorithm_1.tree_getNextDescendantNode(util_1.Cast.asNode(this), ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e);
            });
          }
          return null;
        };
        return NonElementParentNodeImpl2;
      }()
    );
    exports2.NonElementParentNodeImpl = NonElementParentNodeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js
var require_ParentNodeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util10();
    var algorithm_1 = require_algorithm2();
    var ParentNodeImpl = (
      /** @class */
      function() {
        function ParentNodeImpl2() {
        }
        Object.defineProperty(ParentNodeImpl2.prototype, "children", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.create_htmlCollection(util_1.Cast.asNode(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "firstElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._firstChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "lastElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._lastChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "childElementCount", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var count = 0;
            try {
              for (var _b = __values(util_1.Cast.asNode(this)._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                if (util_1.Guard.isElementNode(childNode))
                  count++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        ParentNodeImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_preInsert(childNode, node, node._firstChild);
        };
        ParentNodeImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_append(childNode, node);
        };
        ParentNodeImpl2.prototype.querySelector = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return result.length === 0 ? null : result[0];
        };
        ParentNodeImpl2.prototype.querySelectorAll = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return algorithm_1.create_nodeListStatic(node, result);
        };
        return ParentNodeImpl2;
      }()
    );
    exports2.ParentNodeImpl = ParentNodeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js
var require_SlotableImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm2();
    var SlotableImpl = (
      /** @class */
      function() {
        function SlotableImpl2() {
        }
        Object.defineProperty(SlotableImpl2.prototype, "_name", {
          get: function() {
            return this.__name || "";
          },
          set: function(val) {
            this.__name = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "_assignedSlot", {
          get: function() {
            return this.__assignedSlot || null;
          },
          set: function(val) {
            this.__assignedSlot = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "assignedSlot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.shadowTree_findASlot(this, true);
          },
          enumerable: true,
          configurable: true
        });
        return SlotableImpl2;
      }()
    );
    exports2.SlotableImpl = SlotableImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js
var require_StaticRangeImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl_1 = require_AbstractRangeImpl2();
    var DOMException_1 = require_DOMException2();
    var util_1 = require_util10();
    var StaticRangeImpl = (
      /** @class */
      function(_super) {
        __extends(StaticRangeImpl2, _super);
        function StaticRangeImpl2(init) {
          var _this = _super.call(this) || this;
          if (util_1.Guard.isDocumentTypeNode(init.startContainer) || util_1.Guard.isAttrNode(init.startContainer) || util_1.Guard.isDocumentTypeNode(init.endContainer) || util_1.Guard.isAttrNode(init.endContainer)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          _this._start = [init.startContainer, init.startOffset];
          _this._end = [init.endContainer, init.endOffset];
          return _this;
        }
        return StaticRangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.StaticRangeImpl = StaticRangeImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/index.js
var require_dom3 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/dom/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var AbortControllerImpl_1 = require_AbortControllerImpl2();
    exports2.AbortController = AbortControllerImpl_1.AbortControllerImpl;
    var AbortSignalImpl_1 = require_AbortSignalImpl2();
    exports2.AbortSignal = AbortSignalImpl_1.AbortSignalImpl;
    var AbstractRangeImpl_1 = require_AbstractRangeImpl2();
    exports2.AbstractRange = AbstractRangeImpl_1.AbstractRangeImpl;
    var AttrImpl_1 = require_AttrImpl2();
    exports2.Attr = AttrImpl_1.AttrImpl;
    var CDATASectionImpl_1 = require_CDATASectionImpl2();
    exports2.CDATASection = CDATASectionImpl_1.CDATASectionImpl;
    var CharacterDataImpl_1 = require_CharacterDataImpl2();
    exports2.CharacterData = CharacterDataImpl_1.CharacterDataImpl;
    var ChildNodeImpl_1 = require_ChildNodeImpl2();
    var CommentImpl_1 = require_CommentImpl2();
    exports2.Comment = CommentImpl_1.CommentImpl;
    var CustomEventImpl_1 = require_CustomEventImpl2();
    exports2.CustomEvent = CustomEventImpl_1.CustomEventImpl;
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl2();
    exports2.DocumentFragment = DocumentFragmentImpl_1.DocumentFragmentImpl;
    var DocumentImpl_1 = require_DocumentImpl2();
    exports2.Document = DocumentImpl_1.DocumentImpl;
    var DocumentOrShadowRootImpl_1 = require_DocumentOrShadowRootImpl2();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl2();
    exports2.DocumentType = DocumentTypeImpl_1.DocumentTypeImpl;
    var DOMImpl_1 = require_DOMImpl2();
    exports2.dom = DOMImpl_1.dom;
    var DOMImplementationImpl_1 = require_DOMImplementationImpl2();
    exports2.DOMImplementation = DOMImplementationImpl_1.DOMImplementationImpl;
    var DOMTokenListImpl_1 = require_DOMTokenListImpl2();
    exports2.DOMTokenList = DOMTokenListImpl_1.DOMTokenListImpl;
    var ElementImpl_1 = require_ElementImpl2();
    exports2.Element = ElementImpl_1.ElementImpl;
    var EventImpl_1 = require_EventImpl2();
    exports2.Event = EventImpl_1.EventImpl;
    var EventTargetImpl_1 = require_EventTargetImpl2();
    exports2.EventTarget = EventTargetImpl_1.EventTargetImpl;
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl2();
    exports2.HTMLCollection = HTMLCollectionImpl_1.HTMLCollectionImpl;
    var MutationObserverImpl_1 = require_MutationObserverImpl2();
    exports2.MutationObserver = MutationObserverImpl_1.MutationObserverImpl;
    var MutationRecordImpl_1 = require_MutationRecordImpl2();
    exports2.MutationRecord = MutationRecordImpl_1.MutationRecordImpl;
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl2();
    exports2.NamedNodeMap = NamedNodeMapImpl_1.NamedNodeMapImpl;
    var NodeFilterImpl_1 = require_NodeFilterImpl2();
    exports2.NodeFilter = NodeFilterImpl_1.NodeFilterImpl;
    var NodeImpl_1 = require_NodeImpl2();
    exports2.Node = NodeImpl_1.NodeImpl;
    var NodeIteratorImpl_1 = require_NodeIteratorImpl2();
    exports2.NodeIterator = NodeIteratorImpl_1.NodeIteratorImpl;
    var NodeListImpl_1 = require_NodeListImpl2();
    exports2.NodeList = NodeListImpl_1.NodeListImpl;
    var NodeListStaticImpl_1 = require_NodeListStaticImpl2();
    exports2.NodeListStatic = NodeListStaticImpl_1.NodeListStaticImpl;
    var NonDocumentTypeChildNodeImpl_1 = require_NonDocumentTypeChildNodeImpl2();
    var NonElementParentNodeImpl_1 = require_NonElementParentNodeImpl2();
    var ParentNodeImpl_1 = require_ParentNodeImpl2();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl2();
    exports2.ProcessingInstruction = ProcessingInstructionImpl_1.ProcessingInstructionImpl;
    var RangeImpl_1 = require_RangeImpl2();
    exports2.Range = RangeImpl_1.RangeImpl;
    var ShadowRootImpl_1 = require_ShadowRootImpl2();
    exports2.ShadowRoot = ShadowRootImpl_1.ShadowRootImpl;
    var SlotableImpl_1 = require_SlotableImpl2();
    var StaticRangeImpl_1 = require_StaticRangeImpl2();
    exports2.StaticRange = StaticRangeImpl_1.StaticRangeImpl;
    var TextImpl_1 = require_TextImpl2();
    exports2.Text = TextImpl_1.TextImpl;
    var TraverserImpl_1 = require_TraverserImpl2();
    exports2.Traverser = TraverserImpl_1.TraverserImpl;
    var TreeWalkerImpl_1 = require_TreeWalkerImpl2();
    exports2.TreeWalker = TreeWalkerImpl_1.TreeWalkerImpl;
    var WindowImpl_1 = require_WindowImpl2();
    exports2.Window = WindowImpl_1.WindowImpl;
    var XMLDocumentImpl_1 = require_XMLDocumentImpl2();
    exports2.XMLDocument = XMLDocumentImpl_1.XMLDocumentImpl;
    util_1.applyMixin(ElementImpl_1.ElementImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentTypeImpl_1.DocumentTypeImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ShadowRootImpl_1.ShadowRootImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(TextImpl_1.TextImpl, SlotableImpl_1.SlotableImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, SlotableImpl_1.SlotableImpl);
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/interfaces.js
var require_interfaces8 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TokenType;
    (function(TokenType2) {
      TokenType2[TokenType2["EOF"] = 0] = "EOF";
      TokenType2[TokenType2["Declaration"] = 1] = "Declaration";
      TokenType2[TokenType2["DocType"] = 2] = "DocType";
      TokenType2[TokenType2["Element"] = 3] = "Element";
      TokenType2[TokenType2["Text"] = 4] = "Text";
      TokenType2[TokenType2["CDATA"] = 5] = "CDATA";
      TokenType2[TokenType2["PI"] = 6] = "PI";
      TokenType2[TokenType2["Comment"] = 7] = "Comment";
      TokenType2[TokenType2["ClosingTag"] = 8] = "ClosingTag";
    })(TokenType = exports2.TokenType || (exports2.TokenType = {}));
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js
var require_XMLStringLexer2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces8();
    var XMLStringLexer = (
      /** @class */
      function() {
        function XMLStringLexer2(str, options) {
          this._options = {
            skipWhitespaceOnlyText: false
          };
          this.err = { line: -1, col: -1, index: -1, str: "" };
          this._str = str;
          this._index = 0;
          this._length = str.length;
          if (options) {
            this._options.skipWhitespaceOnlyText = options.skipWhitespaceOnlyText || false;
          }
        }
        XMLStringLexer2.prototype.nextToken = function() {
          if (this.eof()) {
            return { type: interfaces_1.TokenType.EOF };
          }
          var token = this.skipIfStartsWith("<") ? this.openBracket() : this.text();
          if (this._options.skipWhitespaceOnlyText) {
            if (token.type === interfaces_1.TokenType.Text && XMLStringLexer2.isWhiteSpaceToken(token)) {
              token = this.nextToken();
            }
          }
          return token;
        };
        XMLStringLexer2.prototype.openBracket = function() {
          if (this.skipIfStartsWith("?")) {
            if (this.skipIfStartsWith("xml")) {
              if (XMLStringLexer2.isSpace(this._str[this._index])) {
                return this.declaration();
              } else {
                this.seek(-3);
                return this.pi();
              }
            } else {
              return this.pi();
            }
          } else if (this.skipIfStartsWith("!")) {
            if (this.skipIfStartsWith("--")) {
              return this.comment();
            } else if (this.skipIfStartsWith("[CDATA[")) {
              return this.cdata();
            } else if (this.skipIfStartsWith("DOCTYPE")) {
              return this.doctype();
            } else {
              this.throwError("Invalid '!' in opening tag.");
            }
          } else if (this.skipIfStartsWith("/")) {
            return this.closeTag();
          } else {
            return this.openTag();
          }
        };
        XMLStringLexer2.prototype.declaration = function() {
          var version = "";
          var encoding = "";
          var standalone = "";
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith("?>")) {
              return { type: interfaces_1.TokenType.Declaration, version, encoding, standalone };
            } else {
              var _a = __read(this.attribute(), 2), attName = _a[0], attValue = _a[1];
              if (attName === "version")
                version = attValue;
              else if (attName === "encoding")
                encoding = attValue;
              else if (attName === "standalone")
                standalone = attValue;
              else
                this.throwError("Invalid attribute name: " + attName);
            }
          }
          this.throwError("Missing declaration end symbol `?>`");
        };
        XMLStringLexer2.prototype.doctype = function() {
          var pubId = "";
          var sysId = "";
          this.skipSpace();
          var name = this.takeUntil2("[", ">", true);
          this.skipSpace();
          if (this.skipIfStartsWith("PUBLIC")) {
            pubId = this.quotedString();
            sysId = this.quotedString();
          } else if (this.skipIfStartsWith("SYSTEM")) {
            sysId = this.quotedString();
          }
          this.skipSpace();
          if (this.skipIfStartsWith("[")) {
            this.skipUntil("]");
            if (!this.skipIfStartsWith("]")) {
              this.throwError("Missing end bracket of DTD internal subset");
            }
          }
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing doctype end symbol `>`");
          }
          return { type: interfaces_1.TokenType.DocType, name, pubId, sysId };
        };
        XMLStringLexer2.prototype.pi = function() {
          var target = this.takeUntilStartsWith("?>", true);
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.skipSpace();
          if (this.skipIfStartsWith("?>")) {
            return { type: interfaces_1.TokenType.PI, target, data: "" };
          }
          var data = this.takeUntilStartsWith("?>");
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.seek(2);
          return { type: interfaces_1.TokenType.PI, target, data };
        };
        XMLStringLexer2.prototype.text = function() {
          var data = this.takeUntil("<");
          return { type: interfaces_1.TokenType.Text, data };
        };
        XMLStringLexer2.prototype.comment = function() {
          var data = this.takeUntilStartsWith("-->");
          if (this.eof()) {
            this.throwError("Missing comment end symbol `-->`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.Comment, data };
        };
        XMLStringLexer2.prototype.cdata = function() {
          var data = this.takeUntilStartsWith("]]>");
          if (this.eof()) {
            this.throwError("Missing CDATA end symbol `]>`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.CDATA, data };
        };
        XMLStringLexer2.prototype.openTag = function() {
          this.skipSpace();
          var name = this.takeUntil2(">", "/", true);
          this.skipSpace();
          if (this.skipIfStartsWith(">")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: false };
          } else if (this.skipIfStartsWith("/>")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: true };
          }
          var attributes = [];
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith(">")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: false };
            } else if (this.skipIfStartsWith("/>")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: true };
            }
            var attr = this.attribute();
            attributes.push(attr);
          }
          this.throwError("Missing opening element tag end symbol `>`");
        };
        XMLStringLexer2.prototype.closeTag = function() {
          this.skipSpace();
          var name = this.takeUntil(">", true);
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing closing element tag end symbol `>`");
          }
          return { type: interfaces_1.TokenType.ClosingTag, name };
        };
        XMLStringLexer2.prototype.attribute = function() {
          this.skipSpace();
          var name = this.takeUntil("=", true);
          this.skipSpace();
          if (!this.skipIfStartsWith("=")) {
            this.throwError("Missing equals sign before attribute value");
          }
          var value = this.quotedString();
          return [name, value];
        };
        XMLStringLexer2.prototype.quotedString = function() {
          this.skipSpace();
          var startQuote = this.take(1);
          if (!XMLStringLexer2.isQuote(startQuote)) {
            this.throwError("Missing start quote character before quoted value");
          }
          var value = this.takeUntil(startQuote);
          if (!this.skipIfStartsWith(startQuote)) {
            this.throwError("Missing end quote character after quoted value");
          }
          return value;
        };
        XMLStringLexer2.prototype.eof = function() {
          return this._index >= this._length;
        };
        XMLStringLexer2.prototype.skipIfStartsWith = function(str) {
          var strLength = str.length;
          if (strLength === 1) {
            if (this._str[this._index] === str) {
              this._index++;
              return true;
            } else {
              return false;
            }
          }
          for (var i = 0; i < strLength; i++) {
            if (this._str[this._index + i] !== str[i])
              return false;
          }
          this._index += strLength;
          return true;
        };
        XMLStringLexer2.prototype.seek = function(count) {
          this._index += count;
          if (this._index < 0)
            this._index = 0;
          if (this._index > this._length)
            this._index = this._length;
        };
        XMLStringLexer2.prototype.skipSpace = function() {
          while (!this.eof() && XMLStringLexer2.isSpace(this._str[this._index])) {
            this._index++;
          }
        };
        XMLStringLexer2.prototype.take = function(count) {
          if (count === 1) {
            return this._str[this._index++];
          }
          var startIndex = this._index;
          this.seek(count);
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil = function(char, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil2 = function(char1, char2, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char1 && c !== char2 && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntilStartsWith = function(str, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          var strLength = str.length;
          while (this._index < this._length) {
            var match = true;
            for (var i = 0; i < strLength; i++) {
              var c = this._str[this._index + i];
              var char = str[i];
              if (space && XMLStringLexer2.isSpace(c)) {
                return this._str.slice(startIndex, this._index);
              } else if (c !== char) {
                this._index++;
                match = false;
                break;
              }
            }
            if (match)
              return this._str.slice(startIndex, this._index);
          }
          this._index = this._length;
          return this._str.slice(startIndex);
        };
        XMLStringLexer2.prototype.skipUntil = function(char) {
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char) {
              this._index++;
            } else {
              break;
            }
          }
        };
        XMLStringLexer2.isWhiteSpaceToken = function(token) {
          var str = token.data;
          for (var i = 0; i < str.length; i++) {
            var c = str[i];
            if (c !== " " && c !== "\n" && c !== "\r" && c !== "	" && c !== "\f")
              return false;
          }
          return true;
        };
        XMLStringLexer2.isSpace = function(char) {
          return char === " " || char === "\n" || char === "\r" || char === "	";
        };
        XMLStringLexer2.isQuote = function(char) {
          return char === '"' || char === "'";
        };
        XMLStringLexer2.prototype.throwError = function(msg) {
          var regexp = /\r\n|\r|\n/g;
          var match = null;
          var line = 0;
          var firstNewLineIndex = 0;
          var lastNewlineIndex = this._str.length;
          while ((match = regexp.exec(this._str)) !== null) {
            if (match === null)
              break;
            line++;
            if (match.index < this._index)
              firstNewLineIndex = regexp.lastIndex;
            if (match.index > this._index) {
              lastNewlineIndex = match.index;
              break;
            }
          }
          this.err = {
            line,
            col: this._index - firstNewLineIndex,
            index: this._index,
            str: this._str.substring(firstNewLineIndex, lastNewlineIndex)
          };
          throw new Error(msg + "\nIndex: " + this.err.index + "\nLn: " + this.err.line + ", Col: " + this.err.col + "\nInput: " + this.err.str);
        };
        XMLStringLexer2.prototype[Symbol.iterator] = function() {
          this._index = 0;
          return {
            next: function() {
              var token = this.nextToken();
              if (token.type === interfaces_1.TokenType.EOF) {
                return { done: true, value: null };
              } else {
                return { done: false, value: token };
              }
            }.bind(this)
          };
        };
        return XMLStringLexer2;
      }()
    );
    exports2.XMLStringLexer = XMLStringLexer;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js
var require_XMLParserImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer2();
    var interfaces_1 = require_interfaces8();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var LocalNameSet_1 = require_LocalNameSet2();
    var XMLParserImpl = (
      /** @class */
      function() {
        function XMLParserImpl2() {
        }
        XMLParserImpl2.prototype.parse = function(source) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(source, { skipWhitespaceOnlyText: true });
          var doc = algorithm_1.create_document();
          var context = doc;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                if (declaration.version !== "1.0") {
                  throw new Error("Invalid xml version: " + declaration.version);
                }
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                if (!algorithm_1.xml_isPubidChar(doctype.pubId)) {
                  throw new Error("DocType public identifier does not match PubidChar construct.");
                }
                if (!algorithm_1.xml_isLegalChar(doctype.sysId) || doctype.sysId.indexOf('"') !== -1 && doctype.sysId.indexOf("'") !== -1) {
                  throw new Error("DocType system identifier contains invalid characters.");
                }
                context.appendChild(doc.implementation.createDocumentType(doctype.name, doctype.pubId, doctype.sysId));
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                if (!algorithm_1.xml_isLegalChar(cdata.data) || cdata.data.indexOf("]]>") !== -1) {
                  throw new Error("CDATA contains invalid characters.");
                }
                context.appendChild(doc.createCDATASection(cdata.data));
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                if (!algorithm_1.xml_isLegalChar(comment.data) || comment.data.indexOf("--") !== -1 || comment.data.endsWith("-")) {
                  throw new Error("Comment data contains invalid characters.");
                }
                context.appendChild(doc.createComment(comment.data));
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                if (pi.target.indexOf(":") !== -1 || /^xml$/i.test(pi.target)) {
                  throw new Error("Processing instruction target contains invalid characters.");
                }
                if (!algorithm_1.xml_isLegalChar(pi.data) || pi.data.indexOf("?>") !== -1) {
                  throw new Error("Processing instruction data contains invalid characters.");
                }
                context.appendChild(doc.createProcessingInstruction(pi.target, pi.data));
                break;
              case interfaces_1.TokenType.Text:
                var text = token;
                if (!algorithm_1.xml_isLegalChar(text.data)) {
                  throw new Error("Text data contains invalid characters.");
                }
                context.appendChild(doc.createTextNode(this._decodeText(text.data)));
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var _c = __read(algorithm_1.namespace_extractQName(element.name), 2), prefix = _c[0], localName = _c[1];
                if (localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(localName)) {
                  throw new Error("Node local name contains invalid characters.");
                }
                if (prefix === "xmlns") {
                  throw new Error("An element cannot have the 'xmlns' prefix.");
                }
                var namespace = context.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? doc.createElementNS(namespace, element.name) : doc.createElement(element.name);
                context.appendChild(elementNode);
                var localNameSet = new LocalNameSet_1.LocalNameSet();
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (localNameSet.has(attNamespace, attLocalName)) {
                      throw new Error("Element contains duplicate attributes.");
                    }
                    localNameSet.set(attNamespace, attLocalName);
                    if (attNamespace === infra_1.namespace.XMLNS) {
                      if (attValue === infra_1.namespace.XMLNS) {
                        throw new Error("XMLNS namespace is reserved.");
                      }
                    }
                    if (attLocalName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attLocalName)) {
                      throw new Error("Attribute local name contains invalid characters.");
                    }
                    if (attPrefix === "xmlns" && attValue === "") {
                      throw new Error("Empty XML namespace is not allowed.");
                    }
                    if (attNamespace !== null)
                      elementNode.setAttributeNS(attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      elementNode.setAttribute(attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                var closingTag = token;
                if (closingTag.name !== context.nodeName) {
                  throw new Error("Closing tag name does not match opening tag name.");
                }
                if (context._parent) {
                  context = context._parent;
                }
                break;
            }
            token = lexer.nextToken();
          }
          return doc;
        };
        XMLParserImpl2.prototype._decodeText = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        XMLParserImpl2.prototype._decodeAttributeValue = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        return XMLParserImpl2;
      }()
    );
    exports2.XMLParserImpl = XMLParserImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js
var require_DOMParserImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm2();
    var XMLParserImpl_1 = require_XMLParserImpl2();
    var DOMParserImpl = (
      /** @class */
      function() {
        function DOMParserImpl2() {
        }
        DOMParserImpl2.prototype.parseFromString = function(source, mimeType) {
          if (mimeType === "text/html")
            throw new Error("HTML parser not implemented.");
          try {
            var parser = new XMLParserImpl_1.XMLParserImpl();
            var doc = parser.parse(source);
            doc._contentType = mimeType;
            return doc;
          } catch (e) {
            var errorNS = "http://www.mozilla.org/newlayout/xml/parsererror.xml";
            var doc = algorithm_1.create_xmlDocument();
            var root = doc.createElementNS(errorNS, "parsererror");
            var ele = doc.createElementNS(errorNS, "error");
            ele.setAttribute("message", e.message);
            root.appendChild(ele);
            doc.appendChild(root);
            return doc;
          }
        };
        return DOMParserImpl2;
      }()
    );
    exports2.DOMParserImpl = DOMParserImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/index.js
var require_parser6 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/parser/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMParserImpl_1 = require_DOMParserImpl2();
    exports2.DOMParser = DOMParserImpl_1.DOMParserImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js
var require_XMLSerializerImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces6();
    var LocalNameSet_1 = require_LocalNameSet2();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap2();
    var DOMException_1 = require_DOMException2();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var XMLSerializerImpl = (
      /** @class */
      function() {
        function XMLSerializerImpl2() {
        }
        XMLSerializerImpl2.prototype.serializeToString = function(root) {
          return this._xmlSerialization(root, false);
        };
        XMLSerializerImpl2.prototype._xmlSerialization = function(node, requireWellFormed) {
          if (node._nodeDocument === void 0 || node._nodeDocument._hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            try {
              return this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            } catch (_a) {
              throw new DOMException_1.InvalidStateError();
            }
          } else {
            try {
              return this._serializeNode(node, requireWellFormed);
            } catch (_b) {
              throw new DOMException_1.InvalidStateError();
            }
          }
        };
        XMLSerializerImpl2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeNode = function(node, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElement(node, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocument(node, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragment(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_1, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var markup = "<";
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            markup += qualifiedName;
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              markup += qualifiedName;
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              markup += qualifiedName;
              markup += " xmlns:" + prefix + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
              markup += ' xmlns="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
            }
          }
          markup += this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && XMLSerializerImpl2._VoidElementNames.has(node.localName)) {
            markup += " /";
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                markup += this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          return "<!--" + node.data + "-->";
        };
        XMLSerializerImpl2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var result = "";
          for (var i = 0; i < node.data.length; i++) {
            var c = node.data[i];
            if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_3, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          return node.publicId && node.systemId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '" "' + node.systemId + '">' : node.publicId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '">' : node.systemId ? "<!DOCTYPE " + node.name + ' SYSTEM "' + node.systemId + '">' : "<!DOCTYPE " + node.name + ">";
        };
        XMLSerializerImpl2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          return "<?" + (node.data === "" ? node.target : node.target + " " + node.data) + "?>";
        };
        XMLSerializerImpl2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          return "<![CDATA[" + node.data + "]]>";
        };
        XMLSerializerImpl2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_4, _a;
          var result = "";
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!ignoreNamespaceDefinitionAttribute && !requireWellFormed && attr.namespaceURI === null) {
                result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result += " xmlns:" + candidatePrefix + '="' + this._serializeAttributeValue(attributeNamespace, requireWellFormed) + '"';
                }
              }
              result += " ";
              if (candidatePrefix !== null) {
                result += candidatePrefix + ":";
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_5, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLSerializerImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLSerializerImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          var result = "";
          for (var i = 0; i < value.length; i++) {
            var c = value[i];
            if (c === '"')
              result += "&quot;";
            else if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_6, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          var markup = "<" + qualifiedName;
          markup += this._serializeAttributes(node, requireWellFormed);
          if (node._children.size === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_7, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_8, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = "";
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLSerializerImpl2;
      }()
    );
    exports2.XMLSerializerImpl = XMLSerializerImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/index.js
var require_serializer2 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/serializer/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLSerializerImpl_1 = require_XMLSerializerImpl2();
    exports2.XMLSerializer = XMLSerializerImpl_1.XMLSerializerImpl;
  }
});

// ../../components/source-repositories/node_modules/@oozcitak/dom/lib/index.js
var require_lib9 = __commonJS({
  "../../components/source-repositories/node_modules/@oozcitak/dom/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom3();
    dom_1.dom.setFeatures(true);
    var dom_2 = require_dom3();
    exports2.DOMImplementation = dom_2.DOMImplementation;
    var parser_1 = require_parser6();
    exports2.DOMParser = parser_1.DOMParser;
    var serializer_1 = require_serializer2();
    exports2.XMLSerializer = serializer_1.XMLSerializer;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/dom.js
var require_dom4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/dom.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_lib9();
    var dom_2 = require_dom3();
    var util_1 = require_lib7();
    dom_2.dom.setFeatures(false);
    function createDocument() {
      var impl = new dom_1.DOMImplementation();
      var doc = impl.createDocument(null, "root", null);
      if (doc.documentElement) {
        doc.removeChild(doc.documentElement);
      }
      return doc;
    }
    exports2.createDocument = createDocument;
    function sanitizeInput(str, replacement) {
      if (str == null) {
        return str;
      } else if (replacement === void 0) {
        return str + "";
      } else {
        var result = "";
        str = str + "";
        for (var i = 0; i < str.length; i++) {
          var n = str.charCodeAt(i);
          if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
            result += str.charAt(i);
          } else if (n >= 55296 && n <= 56319 && i < str.length - 1) {
            var n2 = str.charCodeAt(i + 1);
            if (n2 >= 56320 && n2 <= 57343) {
              n = (n - 55296) * 1024 + n2 - 56320 + 65536;
              result += String.fromCodePoint(n);
              i++;
            } else {
              result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
            }
          } else {
            result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
          }
        }
        return result;
      }
    }
    exports2.sanitizeInput = sanitizeInput;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/BaseReader.js
var require_BaseReader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/BaseReader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom4();
    var BaseReader = (
      /** @class */
      function() {
        function BaseReader2(builderOptions) {
          this._builderOptions = builderOptions;
          if (builderOptions.parser) {
            Object.assign(this, builderOptions.parser);
          }
        }
        BaseReader2.prototype._docType = function(parent, name, publicId, systemId) {
          return parent.dtd({ name, pubID: publicId, sysID: systemId });
        };
        BaseReader2.prototype._comment = function(parent, data) {
          return parent.com(data);
        };
        BaseReader2.prototype._text = function(parent, data) {
          return parent.txt(data);
        };
        BaseReader2.prototype._instruction = function(parent, target, data) {
          return parent.ins(target, data);
        };
        BaseReader2.prototype._cdata = function(parent, data) {
          return parent.dat(data);
        };
        BaseReader2.prototype._element = function(parent, namespace, name) {
          return namespace === void 0 ? parent.ele(name) : parent.ele(namespace, name);
        };
        BaseReader2.prototype._attribute = function(parent, namespace, name, value) {
          return namespace === void 0 ? parent.att(name, value) : parent.att(namespace, name, value);
        };
        BaseReader2.prototype._sanitize = function(str) {
          return dom_1.sanitizeInput(str, this._builderOptions.invalidCharReplacement);
        };
        BaseReader2.prototype._decodeText = function(text) {
          if (text == null)
            return text;
          return text.replace(/&(quot|amp|apos|lt|gt);/g, function(_match, tag) {
            return BaseReader2._entityTable[tag];
          }).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g, function(_match, hexStr, numStr) {
            return String.fromCodePoint(parseInt(hexStr || numStr, hexStr ? 16 : 10));
          });
        };
        BaseReader2.prototype._decodeAttributeValue = function(text) {
          return this._decodeText(text);
        };
        BaseReader2.prototype.parse = function(node, obj) {
          return this._parse(node, obj);
        };
        BaseReader2.prototype.docType = function(parent, name, publicId, systemId) {
          return this._docType(parent, name, publicId, systemId);
        };
        BaseReader2.prototype.comment = function(parent, data) {
          return this._comment(parent, data);
        };
        BaseReader2.prototype.text = function(parent, data) {
          return this._text(parent, data);
        };
        BaseReader2.prototype.instruction = function(parent, target, data) {
          return this._instruction(parent, target, data);
        };
        BaseReader2.prototype.cdata = function(parent, data) {
          return this._cdata(parent, data);
        };
        BaseReader2.prototype.element = function(parent, namespace, name) {
          return this._element(parent, namespace, name);
        };
        BaseReader2.prototype.attribute = function(parent, namespace, name, value) {
          return this._attribute(parent, namespace, name, value);
        };
        BaseReader2.prototype.sanitize = function(str) {
          return this._sanitize(str);
        };
        BaseReader2._entityTable = {
          "lt": "<",
          "gt": ">",
          "amp": "&",
          "quot": '"',
          "apos": "'"
        };
        return BaseReader2;
      }()
    );
    exports2.BaseReader = BaseReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/XMLReader.js
var require_XMLReader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/XMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer2();
    var interfaces_1 = require_interfaces8();
    var interfaces_2 = require_interfaces6();
    var infra_1 = require_lib8();
    var algorithm_1 = require_algorithm2();
    var BaseReader_1 = require_BaseReader2();
    var XMLReader = (
      /** @class */
      function(_super) {
        __extends(XMLReader2, _super);
        function XMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        XMLReader2.prototype._parse = function(node, str) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(str, { skipWhitespaceOnlyText: this._builderOptions.skipWhitespaceOnlyText });
          var lastChild = node;
          var context = node;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                var version = this.sanitize(declaration.version);
                if (version !== "1.0") {
                  throw new Error("Invalid xml version: " + version);
                }
                var builderOptions = {
                  version
                };
                if (declaration.encoding) {
                  builderOptions.encoding = this.sanitize(declaration.encoding);
                }
                if (declaration.standalone) {
                  builderOptions.standalone = this.sanitize(declaration.standalone) === "yes";
                }
                context.set(builderOptions);
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                context = this.docType(context, this.sanitize(doctype.name), this.sanitize(doctype.pubId), this.sanitize(doctype.sysId)) || context;
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                context = this.cdata(context, this.sanitize(cdata.data)) || context;
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                context = this.comment(context, this.sanitize(comment.data)) || context;
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                context = this.instruction(context, this.sanitize(pi.target), this.sanitize(pi.data)) || context;
                break;
              case interfaces_1.TokenType.Text:
                if (context.node.nodeType === interfaces_2.NodeType.Document)
                  break;
                var text = token;
                context = this.text(context, this._decodeText(this.sanitize(text.data))) || context;
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var elementName = this.sanitize(element.name);
                var _c = __read(algorithm_1.namespace_extractQName(elementName), 1), prefix = _c[0];
                var namespace = context.node.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? this.element(context, namespace, elementName) : this.element(context, void 0, elementName);
                if (elementNode === void 0)
                  break;
                if (context.node === node.node)
                  lastChild = elementNode;
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.node.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.node.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (attNamespace !== null)
                      this.attribute(elementNode, attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      this.attribute(elementNode, void 0, attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                if (context.node.parentNode) {
                  context = context.up();
                }
                break;
            }
            token = lexer.nextToken();
          }
          return lastChild;
        };
        return XMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.XMLReader = XMLReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/ObjectReader.js
var require_ObjectReader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/ObjectReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib7();
    var BaseReader_1 = require_BaseReader2();
    var ObjectReader = (
      /** @class */
      function(_super) {
        __extends(ObjectReader2, _super);
        function ObjectReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        ObjectReader2.prototype._parse = function(node, obj) {
          var _this = this;
          var options = this._builderOptions;
          var lastChild = null;
          if (util_1.isFunction(obj)) {
            lastChild = this.parse(node, obj.apply(this));
          } else if (util_1.isArray(obj) || util_1.isSet(obj)) {
            util_1.forEachArray(obj, function(item) {
              return lastChild = _this.parse(node, item);
            }, this);
          } else if (util_1.isMap(obj) || util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              if (util_1.isFunction(val)) {
                val = val.apply(_this);
              }
              if (!options.ignoreConverters && key.indexOf(options.convert.att) === 0) {
                if (key === options.convert.att) {
                  if (util_1.isArray(val) || util_1.isSet(val)) {
                    throw new Error("Invalid attribute: " + val.toString() + ". " + node._debugInfo());
                  } else {
                    util_1.forEachObject(val, function(attrKey, attrVal) {
                      lastChild = _this.attribute(node, void 0, _this.sanitize(attrKey), _this._decodeAttributeValue(_this.sanitize(attrVal))) || lastChild;
                    });
                  }
                } else {
                  lastChild = _this.attribute(node, void 0, _this.sanitize(key.substr(options.convert.att.length)), _this._decodeAttributeValue(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.text) === 0) {
                if (util_1.isMap(val) || util_1.isObject(val)) {
                  lastChild = _this.parse(node, val);
                } else {
                  lastChild = _this.text(node, _this._decodeText(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.cdata) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.cdata(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.cdata(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.comment) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.comment(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.comment(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.ins) === 0) {
                if (util_1.isString(val)) {
                  var insIndex = val.indexOf(" ");
                  var insTarget = insIndex === -1 ? val : val.substr(0, insIndex);
                  var insValue = insIndex === -1 ? "" : val.substr(insIndex + 1);
                  lastChild = _this.instruction(node, _this.sanitize(insTarget), _this.sanitize(insValue)) || lastChild;
                } else if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    var insIndex2 = item.indexOf(" ");
                    var insTarget2 = insIndex2 === -1 ? item : item.substr(0, insIndex2);
                    var insValue2 = insIndex2 === -1 ? "" : item.substr(insIndex2 + 1);
                    lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                } else {
                  util_1.forEachObject(val, function(insTarget2, insValue2) {
                    return lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                }
              } else if ((util_1.isArray(val) || util_1.isSet(val)) && util_1.isEmpty(val)) {
              } else if ((util_1.isMap(val) || util_1.isObject(val)) && util_1.isEmpty(val)) {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              } else if (!options.keepNullNodes && val == null) {
              } else if (util_1.isArray(val) || util_1.isSet(val)) {
                util_1.forEachArray(val, function(item) {
                  var childNode = {};
                  childNode[key] = item;
                  lastChild = _this.parse(node, childNode);
                }, _this);
              } else if (util_1.isMap(val) || util_1.isObject(val)) {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.parse(parent, val);
                }
              } else if (val != null && val !== "") {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.text(parent, _this._decodeText(_this.sanitize(val)));
                }
              } else {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              }
            }, this);
          } else if (!options.keepNullNodes && obj == null) {
          } else {
            lastChild = this.text(node, this._decodeText(this.sanitize(obj))) || lastChild;
          }
          return lastChild || node;
        };
        return ObjectReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.ObjectReader = ObjectReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/JSONReader.js
var require_JSONReader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/JSONReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader2();
    var BaseReader_1 = require_BaseReader2();
    var JSONReader = (
      /** @class */
      function(_super) {
        __extends(JSONReader2, _super);
        function JSONReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        JSONReader2.prototype._parse = function(node, str) {
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, JSON.parse(str));
        };
        return JSONReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.JSONReader = JSONReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js
var require_common8 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js"(exports2, module2) {
    "use strict";
    function isNothing(subject) {
      return typeof subject === "undefined" || subject === null;
    }
    function isObject(subject) {
      return typeof subject === "object" && subject !== null;
    }
    function toArray(sequence) {
      if (Array.isArray(sequence))
        return sequence;
      else if (isNothing(sequence))
        return [];
      return [sequence];
    }
    function extend(target, source) {
      var index, length, key, sourceKeys;
      if (source) {
        sourceKeys = Object.keys(source);
        for (index = 0, length = sourceKeys.length; index < length; index += 1) {
          key = sourceKeys[index];
          target[key] = source[key];
        }
      }
      return target;
    }
    function repeat(string, count) {
      var result = "", cycle;
      for (cycle = 0; cycle < count; cycle += 1) {
        result += string;
      }
      return result;
    }
    function isNegativeZero(number) {
      return number === 0 && Number.NEGATIVE_INFINITY === 1 / number;
    }
    module2.exports.isNothing = isNothing;
    module2.exports.isObject = isObject;
    module2.exports.toArray = toArray;
    module2.exports.repeat = repeat;
    module2.exports.isNegativeZero = isNegativeZero;
    module2.exports.extend = extend;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js
var require_exception2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js"(exports2, module2) {
    "use strict";
    function YAMLException(reason, mark) {
      Error.call(this);
      this.name = "YAMLException";
      this.reason = reason;
      this.mark = mark;
      this.message = (this.reason || "(unknown reason)") + (this.mark ? " " + this.mark.toString() : "");
      if (Error.captureStackTrace) {
        Error.captureStackTrace(this, this.constructor);
      } else {
        this.stack = new Error().stack || "";
      }
    }
    YAMLException.prototype = Object.create(Error.prototype);
    YAMLException.prototype.constructor = YAMLException;
    YAMLException.prototype.toString = function toString(compact) {
      var result = this.name + ": ";
      result += this.reason || "(unknown reason)";
      if (!compact && this.mark) {
        result += " " + this.mark.toString();
      }
      return result;
    };
    module2.exports = YAMLException;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js
var require_mark2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    function Mark(name, buffer, position, line, column) {
      this.name = name;
      this.buffer = buffer;
      this.position = position;
      this.line = line;
      this.column = column;
    }
    Mark.prototype.getSnippet = function getSnippet(indent, maxLength) {
      var head, start, tail, end, snippet;
      if (!this.buffer)
        return null;
      indent = indent || 4;
      maxLength = maxLength || 75;
      head = "";
      start = this.position;
      while (start > 0 && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(start - 1)) === -1) {
        start -= 1;
        if (this.position - start > maxLength / 2 - 1) {
          head = " ... ";
          start += 5;
          break;
        }
      }
      tail = "";
      end = this.position;
      while (end < this.buffer.length && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(end)) === -1) {
        end += 1;
        if (end - this.position > maxLength / 2 - 1) {
          tail = " ... ";
          end -= 5;
          break;
        }
      }
      snippet = this.buffer.slice(start, end);
      return common.repeat(" ", indent) + head + snippet + tail + "\n" + common.repeat(" ", indent + this.position - start + head.length) + "^";
    };
    Mark.prototype.toString = function toString(compact) {
      var snippet, where = "";
      if (this.name) {
        where += 'in "' + this.name + '" ';
      }
      where += "at line " + (this.line + 1) + ", column " + (this.column + 1);
      if (!compact) {
        snippet = this.getSnippet();
        if (snippet) {
          where += ":\n" + snippet;
        }
      }
      return where;
    };
    module2.exports = Mark;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js
var require_type2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js"(exports2, module2) {
    "use strict";
    var YAMLException = require_exception2();
    var TYPE_CONSTRUCTOR_OPTIONS = [
      "kind",
      "resolve",
      "construct",
      "instanceOf",
      "predicate",
      "represent",
      "defaultStyle",
      "styleAliases"
    ];
    var YAML_NODE_KINDS = [
      "scalar",
      "sequence",
      "mapping"
    ];
    function compileStyleAliases(map) {
      var result = {};
      if (map !== null) {
        Object.keys(map).forEach(function(style) {
          map[style].forEach(function(alias) {
            result[String(alias)] = style;
          });
        });
      }
      return result;
    }
    function Type(tag, options) {
      options = options || {};
      Object.keys(options).forEach(function(name) {
        if (TYPE_CONSTRUCTOR_OPTIONS.indexOf(name) === -1) {
          throw new YAMLException('Unknown option "' + name + '" is met in definition of "' + tag + '" YAML type.');
        }
      });
      this.tag = tag;
      this.kind = options["kind"] || null;
      this.resolve = options["resolve"] || function() {
        return true;
      };
      this.construct = options["construct"] || function(data) {
        return data;
      };
      this.instanceOf = options["instanceOf"] || null;
      this.predicate = options["predicate"] || null;
      this.represent = options["represent"] || null;
      this.defaultStyle = options["defaultStyle"] || null;
      this.styleAliases = compileStyleAliases(options["styleAliases"] || null);
      if (YAML_NODE_KINDS.indexOf(this.kind) === -1) {
        throw new YAMLException('Unknown kind "' + this.kind + '" is specified for "' + tag + '" YAML type.');
      }
    }
    module2.exports = Type;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js
var require_schema8 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    var YAMLException = require_exception2();
    var Type = require_type2();
    function compileList(schema, name, result) {
      var exclude = [];
      schema.include.forEach(function(includedSchema) {
        result = compileList(includedSchema, name, result);
      });
      schema[name].forEach(function(currentType) {
        result.forEach(function(previousType, previousIndex) {
          if (previousType.tag === currentType.tag && previousType.kind === currentType.kind) {
            exclude.push(previousIndex);
          }
        });
        result.push(currentType);
      });
      return result.filter(function(type, index) {
        return exclude.indexOf(index) === -1;
      });
    }
    function compileMap() {
      var result = {
        scalar: {},
        sequence: {},
        mapping: {},
        fallback: {}
      }, index, length;
      function collectType(type) {
        result[type.kind][type.tag] = result["fallback"][type.tag] = type;
      }
      for (index = 0, length = arguments.length; index < length; index += 1) {
        arguments[index].forEach(collectType);
      }
      return result;
    }
    function Schema(definition) {
      this.include = definition.include || [];
      this.implicit = definition.implicit || [];
      this.explicit = definition.explicit || [];
      this.implicit.forEach(function(type) {
        if (type.loadKind && type.loadKind !== "scalar") {
          throw new YAMLException("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.");
        }
      });
      this.compiledImplicit = compileList(this, "implicit", []);
      this.compiledExplicit = compileList(this, "explicit", []);
      this.compiledTypeMap = compileMap(this.compiledImplicit, this.compiledExplicit);
    }
    Schema.DEFAULT = null;
    Schema.create = function createSchema() {
      var schemas, types;
      switch (arguments.length) {
        case 1:
          schemas = Schema.DEFAULT;
          types = arguments[0];
          break;
        case 2:
          schemas = arguments[0];
          types = arguments[1];
          break;
        default:
          throw new YAMLException("Wrong number of arguments for Schema.create function");
      }
      schemas = common.toArray(schemas);
      types = common.toArray(types);
      if (!schemas.every(function(schema) {
        return schema instanceof Schema;
      })) {
        throw new YAMLException("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");
      }
      if (!types.every(function(type) {
        return type instanceof Type;
      })) {
        throw new YAMLException("Specified list of YAML types (or a single Type object) contains a non-Type object.");
      }
      return new Schema({
        include: schemas,
        explicit: types
      });
    };
    module2.exports = Schema;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js
var require_str2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    module2.exports = new Type("tag:yaml.org,2002:str", {
      kind: "scalar",
      construct: function(data) {
        return data !== null ? data : "";
      }
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js
var require_seq4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    module2.exports = new Type("tag:yaml.org,2002:seq", {
      kind: "sequence",
      construct: function(data) {
        return data !== null ? data : [];
      }
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js
var require_map4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    module2.exports = new Type("tag:yaml.org,2002:map", {
      kind: "mapping",
      construct: function(data) {
        return data !== null ? data : {};
      }
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js
var require_failsafe2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema8();
    module2.exports = new Schema({
      explicit: [
        require_str2(),
        require_seq4(),
        require_map4()
      ]
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js
var require_null4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    function resolveYamlNull(data) {
      if (data === null)
        return true;
      var max = data.length;
      return max === 1 && data === "~" || max === 4 && (data === "null" || data === "Null" || data === "NULL");
    }
    function constructYamlNull() {
      return null;
    }
    function isNull(object) {
      return object === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:null", {
      kind: "scalar",
      resolve: resolveYamlNull,
      construct: constructYamlNull,
      predicate: isNull,
      represent: {
        canonical: function() {
          return "~";
        },
        lowercase: function() {
          return "null";
        },
        uppercase: function() {
          return "NULL";
        },
        camelcase: function() {
          return "Null";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js
var require_bool6 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    function resolveYamlBoolean(data) {
      if (data === null)
        return false;
      var max = data.length;
      return max === 4 && (data === "true" || data === "True" || data === "TRUE") || max === 5 && (data === "false" || data === "False" || data === "FALSE");
    }
    function constructYamlBoolean(data) {
      return data === "true" || data === "True" || data === "TRUE";
    }
    function isBoolean(object) {
      return Object.prototype.toString.call(object) === "[object Boolean]";
    }
    module2.exports = new Type("tag:yaml.org,2002:bool", {
      kind: "scalar",
      resolve: resolveYamlBoolean,
      construct: constructYamlBoolean,
      predicate: isBoolean,
      represent: {
        lowercase: function(object) {
          return object ? "true" : "false";
        },
        uppercase: function(object) {
          return object ? "TRUE" : "FALSE";
        },
        camelcase: function(object) {
          return object ? "True" : "False";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js
var require_int6 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    var Type = require_type2();
    function isHexCode(c) {
      return 48 <= c && c <= 57 || 65 <= c && c <= 70 || 97 <= c && c <= 102;
    }
    function isOctCode(c) {
      return 48 <= c && c <= 55;
    }
    function isDecCode(c) {
      return 48 <= c && c <= 57;
    }
    function resolveYamlInteger(data) {
      if (data === null)
        return false;
      var max = data.length, index = 0, hasDigits = false, ch;
      if (!max)
        return false;
      ch = data[index];
      if (ch === "-" || ch === "+") {
        ch = data[++index];
      }
      if (ch === "0") {
        if (index + 1 === max)
          return true;
        ch = data[++index];
        if (ch === "b") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (ch !== "0" && ch !== "1")
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        if (ch === "x") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (!isHexCode(data.charCodeAt(index)))
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        for (; index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (!isOctCode(data.charCodeAt(index)))
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      if (ch === "_")
        return false;
      for (; index < max; index++) {
        ch = data[index];
        if (ch === "_")
          continue;
        if (ch === ":")
          break;
        if (!isDecCode(data.charCodeAt(index))) {
          return false;
        }
        hasDigits = true;
      }
      if (!hasDigits || ch === "_")
        return false;
      if (ch !== ":")
        return true;
      return /^(:[0-5]?[0-9])+$/.test(data.slice(index));
    }
    function constructYamlInteger(data) {
      var value = data, sign = 1, ch, base, digits = [];
      if (value.indexOf("_") !== -1) {
        value = value.replace(/_/g, "");
      }
      ch = value[0];
      if (ch === "-" || ch === "+") {
        if (ch === "-")
          sign = -1;
        value = value.slice(1);
        ch = value[0];
      }
      if (value === "0")
        return 0;
      if (ch === "0") {
        if (value[1] === "b")
          return sign * parseInt(value.slice(2), 2);
        if (value[1] === "x")
          return sign * parseInt(value, 16);
        return sign * parseInt(value, 8);
      }
      if (value.indexOf(":") !== -1) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseInt(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseInt(value, 10);
    }
    function isInteger2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 === 0 && !common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:int", {
      kind: "scalar",
      resolve: resolveYamlInteger,
      construct: constructYamlInteger,
      predicate: isInteger2,
      represent: {
        binary: function(obj) {
          return obj >= 0 ? "0b" + obj.toString(2) : "-0b" + obj.toString(2).slice(1);
        },
        octal: function(obj) {
          return obj >= 0 ? "0" + obj.toString(8) : "-0" + obj.toString(8).slice(1);
        },
        decimal: function(obj) {
          return obj.toString(10);
        },
        /* eslint-disable max-len */
        hexadecimal: function(obj) {
          return obj >= 0 ? "0x" + obj.toString(16).toUpperCase() : "-0x" + obj.toString(16).toUpperCase().slice(1);
        }
      },
      defaultStyle: "decimal",
      styleAliases: {
        binary: [2, "bin"],
        octal: [8, "oct"],
        decimal: [10, "dec"],
        hexadecimal: [16, "hex"]
      }
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js
var require_float6 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    var Type = require_type2();
    var YAML_FLOAT_PATTERN = new RegExp(
      // 2.5e4, 2.5 and integers
      "^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*|[-+]?\\.(?:inf|Inf|INF)|\\.(?:nan|NaN|NAN))$"
    );
    function resolveYamlFloat(data) {
      if (data === null)
        return false;
      if (!YAML_FLOAT_PATTERN.test(data) || // Quick hack to not allow integers end with `_`
      // Probably should update regexp & check speed
      data[data.length - 1] === "_") {
        return false;
      }
      return true;
    }
    function constructYamlFloat(data) {
      var value, sign, base, digits;
      value = data.replace(/_/g, "").toLowerCase();
      sign = value[0] === "-" ? -1 : 1;
      digits = [];
      if ("+-".indexOf(value[0]) >= 0) {
        value = value.slice(1);
      }
      if (value === ".inf") {
        return sign === 1 ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
      } else if (value === ".nan") {
        return NaN;
      } else if (value.indexOf(":") >= 0) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseFloat(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseFloat(value, 10);
    }
    var SCIENTIFIC_WITHOUT_DOT = /^[-+]?[0-9]+e/;
    function representYamlFloat(object, style) {
      var res;
      if (isNaN(object)) {
        switch (style) {
          case "lowercase":
            return ".nan";
          case "uppercase":
            return ".NAN";
          case "camelcase":
            return ".NaN";
        }
      } else if (Number.POSITIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return ".inf";
          case "uppercase":
            return ".INF";
          case "camelcase":
            return ".Inf";
        }
      } else if (Number.NEGATIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return "-.inf";
          case "uppercase":
            return "-.INF";
          case "camelcase":
            return "-.Inf";
        }
      } else if (common.isNegativeZero(object)) {
        return "-0.0";
      }
      res = object.toString(10);
      return SCIENTIFIC_WITHOUT_DOT.test(res) ? res.replace("e", ".e") : res;
    }
    function isFloat2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 !== 0 || common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:float", {
      kind: "scalar",
      resolve: resolveYamlFloat,
      construct: constructYamlFloat,
      predicate: isFloat2,
      represent: representYamlFloat,
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js
var require_json4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema8();
    module2.exports = new Schema({
      include: [
        require_failsafe2()
      ],
      implicit: [
        require_null4(),
        require_bool6(),
        require_int6(),
        require_float6()
      ]
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js
var require_core4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema8();
    module2.exports = new Schema({
      include: [
        require_json4()
      ]
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js
var require_timestamp4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    var YAML_DATE_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])$"
    );
    var YAML_TIMESTAMP_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9]?)-([0-9][0-9]?)(?:[Tt]|[ \\t]+)([0-9][0-9]?):([0-9][0-9]):([0-9][0-9])(?:\\.([0-9]*))?(?:[ \\t]*(Z|([-+])([0-9][0-9]?)(?::([0-9][0-9]))?))?$"
    );
    function resolveYamlTimestamp(data) {
      if (data === null)
        return false;
      if (YAML_DATE_REGEXP.exec(data) !== null)
        return true;
      if (YAML_TIMESTAMP_REGEXP.exec(data) !== null)
        return true;
      return false;
    }
    function constructYamlTimestamp(data) {
      var match, year, month, day, hour, minute, second, fraction = 0, delta = null, tz_hour, tz_minute, date;
      match = YAML_DATE_REGEXP.exec(data);
      if (match === null)
        match = YAML_TIMESTAMP_REGEXP.exec(data);
      if (match === null)
        throw new Error("Date resolve error");
      year = +match[1];
      month = +match[2] - 1;
      day = +match[3];
      if (!match[4]) {
        return new Date(Date.UTC(year, month, day));
      }
      hour = +match[4];
      minute = +match[5];
      second = +match[6];
      if (match[7]) {
        fraction = match[7].slice(0, 3);
        while (fraction.length < 3) {
          fraction += "0";
        }
        fraction = +fraction;
      }
      if (match[9]) {
        tz_hour = +match[10];
        tz_minute = +(match[11] || 0);
        delta = (tz_hour * 60 + tz_minute) * 6e4;
        if (match[9] === "-")
          delta = -delta;
      }
      date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));
      if (delta)
        date.setTime(date.getTime() - delta);
      return date;
    }
    function representYamlTimestamp(object) {
      return object.toISOString();
    }
    module2.exports = new Type("tag:yaml.org,2002:timestamp", {
      kind: "scalar",
      resolve: resolveYamlTimestamp,
      construct: constructYamlTimestamp,
      instanceOf: Date,
      represent: representYamlTimestamp
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js
var require_merge2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    function resolveYamlMerge(data) {
      return data === "<<" || data === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:merge", {
      kind: "scalar",
      resolve: resolveYamlMerge
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js
var require_binary4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js"(exports2, module2) {
    "use strict";
    var NodeBuffer;
    try {
      _require = require;
      NodeBuffer = _require("buffer").Buffer;
    } catch (__) {
    }
    var _require;
    var Type = require_type2();
    var BASE64_MAP = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\n\r";
    function resolveYamlBinary(data) {
      if (data === null)
        return false;
      var code, idx, bitlen = 0, max = data.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        code = map.indexOf(data.charAt(idx));
        if (code > 64)
          continue;
        if (code < 0)
          return false;
        bitlen += 6;
      }
      return bitlen % 8 === 0;
    }
    function constructYamlBinary(data) {
      var idx, tailbits, input = data.replace(/[\r\n=]/g, ""), max = input.length, map = BASE64_MAP, bits = 0, result = [];
      for (idx = 0; idx < max; idx++) {
        if (idx % 4 === 0 && idx) {
          result.push(bits >> 16 & 255);
          result.push(bits >> 8 & 255);
          result.push(bits & 255);
        }
        bits = bits << 6 | map.indexOf(input.charAt(idx));
      }
      tailbits = max % 4 * 6;
      if (tailbits === 0) {
        result.push(bits >> 16 & 255);
        result.push(bits >> 8 & 255);
        result.push(bits & 255);
      } else if (tailbits === 18) {
        result.push(bits >> 10 & 255);
        result.push(bits >> 2 & 255);
      } else if (tailbits === 12) {
        result.push(bits >> 4 & 255);
      }
      if (NodeBuffer) {
        return NodeBuffer.from ? NodeBuffer.from(result) : new NodeBuffer(result);
      }
      return result;
    }
    function representYamlBinary(object) {
      var result = "", bits = 0, idx, tail, max = object.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        if (idx % 3 === 0 && idx) {
          result += map[bits >> 18 & 63];
          result += map[bits >> 12 & 63];
          result += map[bits >> 6 & 63];
          result += map[bits & 63];
        }
        bits = (bits << 8) + object[idx];
      }
      tail = max % 3;
      if (tail === 0) {
        result += map[bits >> 18 & 63];
        result += map[bits >> 12 & 63];
        result += map[bits >> 6 & 63];
        result += map[bits & 63];
      } else if (tail === 2) {
        result += map[bits >> 10 & 63];
        result += map[bits >> 4 & 63];
        result += map[bits << 2 & 63];
        result += map[64];
      } else if (tail === 1) {
        result += map[bits >> 2 & 63];
        result += map[bits << 4 & 63];
        result += map[64];
        result += map[64];
      }
      return result;
    }
    function isBinary(object) {
      return NodeBuffer && NodeBuffer.isBuffer(object);
    }
    module2.exports = new Type("tag:yaml.org,2002:binary", {
      kind: "scalar",
      resolve: resolveYamlBinary,
      construct: constructYamlBinary,
      predicate: isBinary,
      represent: representYamlBinary
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js
var require_omap4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var _toString = Object.prototype.toString;
    function resolveYamlOmap(data) {
      if (data === null)
        return true;
      var objectKeys = [], index, length, pair, pairKey, pairHasKey, object = data;
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        pairHasKey = false;
        if (_toString.call(pair) !== "[object Object]")
          return false;
        for (pairKey in pair) {
          if (_hasOwnProperty.call(pair, pairKey)) {
            if (!pairHasKey)
              pairHasKey = true;
            else
              return false;
          }
        }
        if (!pairHasKey)
          return false;
        if (objectKeys.indexOf(pairKey) === -1)
          objectKeys.push(pairKey);
        else
          return false;
      }
      return true;
    }
    function constructYamlOmap(data) {
      return data !== null ? data : [];
    }
    module2.exports = new Type("tag:yaml.org,2002:omap", {
      kind: "sequence",
      resolve: resolveYamlOmap,
      construct: constructYamlOmap
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js
var require_pairs4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    var _toString = Object.prototype.toString;
    function resolveYamlPairs(data) {
      if (data === null)
        return true;
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        if (_toString.call(pair) !== "[object Object]")
          return false;
        keys = Object.keys(pair);
        if (keys.length !== 1)
          return false;
        result[index] = [keys[0], pair[keys[0]]];
      }
      return true;
    }
    function constructYamlPairs(data) {
      if (data === null)
        return [];
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        keys = Object.keys(pair);
        result[index] = [keys[0], pair[keys[0]]];
      }
      return result;
    }
    module2.exports = new Type("tag:yaml.org,2002:pairs", {
      kind: "sequence",
      resolve: resolveYamlPairs,
      construct: constructYamlPairs
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js
var require_set4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function resolveYamlSet(data) {
      if (data === null)
        return true;
      var key, object = data;
      for (key in object) {
        if (_hasOwnProperty.call(object, key)) {
          if (object[key] !== null)
            return false;
        }
      }
      return true;
    }
    function constructYamlSet(data) {
      return data !== null ? data : {};
    }
    module2.exports = new Type("tag:yaml.org,2002:set", {
      kind: "mapping",
      resolve: resolveYamlSet,
      construct: constructYamlSet
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js
var require_default_safe2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema8();
    module2.exports = new Schema({
      include: [
        require_core4()
      ],
      implicit: [
        require_timestamp4(),
        require_merge2()
      ],
      explicit: [
        require_binary4(),
        require_omap4(),
        require_pairs4(),
        require_set4()
      ]
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js
var require_undefined2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    function resolveJavascriptUndefined() {
      return true;
    }
    function constructJavascriptUndefined() {
      return void 0;
    }
    function representJavascriptUndefined() {
      return "";
    }
    function isUndefined(object) {
      return typeof object === "undefined";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/undefined", {
      kind: "scalar",
      resolve: resolveJavascriptUndefined,
      construct: constructJavascriptUndefined,
      predicate: isUndefined,
      represent: representJavascriptUndefined
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js
var require_regexp2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js"(exports2, module2) {
    "use strict";
    var Type = require_type2();
    function resolveJavascriptRegExp(data) {
      if (data === null)
        return false;
      if (data.length === 0)
        return false;
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        if (modifiers.length > 3)
          return false;
        if (regexp[regexp.length - modifiers.length - 1] !== "/")
          return false;
      }
      return true;
    }
    function constructJavascriptRegExp(data) {
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        regexp = regexp.slice(1, regexp.length - modifiers.length - 1);
      }
      return new RegExp(regexp, modifiers);
    }
    function representJavascriptRegExp(object) {
      var result = "/" + object.source + "/";
      if (object.global)
        result += "g";
      if (object.multiline)
        result += "m";
      if (object.ignoreCase)
        result += "i";
      return result;
    }
    function isRegExp(object) {
      return Object.prototype.toString.call(object) === "[object RegExp]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/regexp", {
      kind: "scalar",
      resolve: resolveJavascriptRegExp,
      construct: constructJavascriptRegExp,
      predicate: isRegExp,
      represent: representJavascriptRegExp
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js
var require_function2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js"(exports2, module2) {
    "use strict";
    var esprima;
    try {
      _require = require;
      esprima = _require("esprima");
    } catch (_) {
      if (typeof window !== "undefined")
        esprima = window.esprima;
    }
    var _require;
    var Type = require_type2();
    function resolveJavascriptFunction(data) {
      if (data === null)
        return false;
      try {
        var source = "(" + data + ")", ast = esprima.parse(source, { range: true });
        if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
          return false;
        }
        return true;
      } catch (err) {
        return false;
      }
    }
    function constructJavascriptFunction(data) {
      var source = "(" + data + ")", ast = esprima.parse(source, { range: true }), params = [], body;
      if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
        throw new Error("Failed to resolve function");
      }
      ast.body[0].expression.params.forEach(function(param) {
        params.push(param.name);
      });
      body = ast.body[0].expression.body.range;
      if (ast.body[0].expression.body.type === "BlockStatement") {
        return new Function(params, source.slice(body[0] + 1, body[1] - 1));
      }
      return new Function(params, "return " + source.slice(body[0], body[1]));
    }
    function representJavascriptFunction(object) {
      return object.toString();
    }
    function isFunction(object) {
      return Object.prototype.toString.call(object) === "[object Function]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/function", {
      kind: "scalar",
      resolve: resolveJavascriptFunction,
      construct: constructJavascriptFunction,
      predicate: isFunction,
      represent: representJavascriptFunction
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js
var require_default_full2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema8();
    module2.exports = Schema.DEFAULT = new Schema({
      include: [
        require_default_safe2()
      ],
      explicit: [
        require_undefined2(),
        require_regexp2(),
        require_function2()
      ]
    });
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js
var require_loader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    var YAMLException = require_exception2();
    var Mark = require_mark2();
    var DEFAULT_SAFE_SCHEMA = require_default_safe2();
    var DEFAULT_FULL_SCHEMA = require_default_full2();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CONTEXT_FLOW_IN = 1;
    var CONTEXT_FLOW_OUT = 2;
    var CONTEXT_BLOCK_IN = 3;
    var CONTEXT_BLOCK_OUT = 4;
    var CHOMPING_CLIP = 1;
    var CHOMPING_STRIP = 2;
    var CHOMPING_KEEP = 3;
    var PATTERN_NON_PRINTABLE = /[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var PATTERN_NON_ASCII_LINE_BREAKS = /[\x85\u2028\u2029]/;
    var PATTERN_FLOW_INDICATORS = /[,\[\]\{\}]/;
    var PATTERN_TAG_HANDLE = /^(?:!|!!|![a-z\-]+!)$/i;
    var PATTERN_TAG_URI = /^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;
    function _class(obj) {
      return Object.prototype.toString.call(obj);
    }
    function is_EOL(c) {
      return c === 10 || c === 13;
    }
    function is_WHITE_SPACE(c) {
      return c === 9 || c === 32;
    }
    function is_WS_OR_EOL(c) {
      return c === 9 || c === 32 || c === 10 || c === 13;
    }
    function is_FLOW_INDICATOR(c) {
      return c === 44 || c === 91 || c === 93 || c === 123 || c === 125;
    }
    function fromHexCode(c) {
      var lc;
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      lc = c | 32;
      if (97 <= lc && lc <= 102) {
        return lc - 97 + 10;
      }
      return -1;
    }
    function escapedHexLen(c) {
      if (c === 120) {
        return 2;
      }
      if (c === 117) {
        return 4;
      }
      if (c === 85) {
        return 8;
      }
      return 0;
    }
    function fromDecimalCode(c) {
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      return -1;
    }
    function simpleEscapeSequence(c) {
      return c === 48 ? "\0" : c === 97 ? "\x07" : c === 98 ? "\b" : c === 116 ? "	" : c === 9 ? "	" : c === 110 ? "\n" : c === 118 ? "\v" : c === 102 ? "\f" : c === 114 ? "\r" : c === 101 ? "\x1B" : c === 32 ? " " : c === 34 ? '"' : c === 47 ? "/" : c === 92 ? "\\" : c === 78 ? "\x85" : c === 95 ? "\xA0" : c === 76 ? "\u2028" : c === 80 ? "\u2029" : "";
    }
    function charFromCodepoint(c) {
      if (c <= 65535) {
        return String.fromCharCode(c);
      }
      return String.fromCharCode(
        (c - 65536 >> 10) + 55296,
        (c - 65536 & 1023) + 56320
      );
    }
    var simpleEscapeCheck = new Array(256);
    var simpleEscapeMap = new Array(256);
    for (i = 0; i < 256; i++) {
      simpleEscapeCheck[i] = simpleEscapeSequence(i) ? 1 : 0;
      simpleEscapeMap[i] = simpleEscapeSequence(i);
    }
    var i;
    function State(input, options) {
      this.input = input;
      this.filename = options["filename"] || null;
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.onWarning = options["onWarning"] || null;
      this.legacy = options["legacy"] || false;
      this.json = options["json"] || false;
      this.listener = options["listener"] || null;
      this.implicitTypes = this.schema.compiledImplicit;
      this.typeMap = this.schema.compiledTypeMap;
      this.length = input.length;
      this.position = 0;
      this.line = 0;
      this.lineStart = 0;
      this.lineIndent = 0;
      this.documents = [];
    }
    function generateError(state, message) {
      return new YAMLException(
        message,
        new Mark(state.filename, state.input, state.position, state.line, state.position - state.lineStart)
      );
    }
    function throwError(state, message) {
      throw generateError(state, message);
    }
    function throwWarning(state, message) {
      if (state.onWarning) {
        state.onWarning.call(null, generateError(state, message));
      }
    }
    var directiveHandlers = {
      YAML: function handleYamlDirective(state, name, args) {
        var match, major, minor;
        if (state.version !== null) {
          throwError(state, "duplication of %YAML directive");
        }
        if (args.length !== 1) {
          throwError(state, "YAML directive accepts exactly one argument");
        }
        match = /^([0-9]+)\.([0-9]+)$/.exec(args[0]);
        if (match === null) {
          throwError(state, "ill-formed argument of the YAML directive");
        }
        major = parseInt(match[1], 10);
        minor = parseInt(match[2], 10);
        if (major !== 1) {
          throwError(state, "unacceptable YAML version of the document");
        }
        state.version = args[0];
        state.checkLineBreaks = minor < 2;
        if (minor !== 1 && minor !== 2) {
          throwWarning(state, "unsupported YAML version of the document");
        }
      },
      TAG: function handleTagDirective(state, name, args) {
        var handle, prefix;
        if (args.length !== 2) {
          throwError(state, "TAG directive accepts exactly two arguments");
        }
        handle = args[0];
        prefix = args[1];
        if (!PATTERN_TAG_HANDLE.test(handle)) {
          throwError(state, "ill-formed tag handle (first argument) of the TAG directive");
        }
        if (_hasOwnProperty.call(state.tagMap, handle)) {
          throwError(state, 'there is a previously declared suffix for "' + handle + '" tag handle');
        }
        if (!PATTERN_TAG_URI.test(prefix)) {
          throwError(state, "ill-formed tag prefix (second argument) of the TAG directive");
        }
        state.tagMap[handle] = prefix;
      }
    };
    function captureSegment(state, start, end, checkJson) {
      var _position, _length, _character, _result;
      if (start < end) {
        _result = state.input.slice(start, end);
        if (checkJson) {
          for (_position = 0, _length = _result.length; _position < _length; _position += 1) {
            _character = _result.charCodeAt(_position);
            if (!(_character === 9 || 32 <= _character && _character <= 1114111)) {
              throwError(state, "expected valid JSON character");
            }
          }
        } else if (PATTERN_NON_PRINTABLE.test(_result)) {
          throwError(state, "the stream contains non-printable characters");
        }
        state.result += _result;
      }
    }
    function mergeMappings(state, destination, source, overridableKeys) {
      var sourceKeys, key, index, quantity;
      if (!common.isObject(source)) {
        throwError(state, "cannot merge mappings; the provided source object is unacceptable");
      }
      sourceKeys = Object.keys(source);
      for (index = 0, quantity = sourceKeys.length; index < quantity; index += 1) {
        key = sourceKeys[index];
        if (!_hasOwnProperty.call(destination, key)) {
          destination[key] = source[key];
          overridableKeys[key] = true;
        }
      }
    }
    function storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, startLine, startPos) {
      var index, quantity;
      if (Array.isArray(keyNode)) {
        keyNode = Array.prototype.slice.call(keyNode);
        for (index = 0, quantity = keyNode.length; index < quantity; index += 1) {
          if (Array.isArray(keyNode[index])) {
            throwError(state, "nested arrays are not supported inside keys");
          }
          if (typeof keyNode === "object" && _class(keyNode[index]) === "[object Object]") {
            keyNode[index] = "[object Object]";
          }
        }
      }
      if (typeof keyNode === "object" && _class(keyNode) === "[object Object]") {
        keyNode = "[object Object]";
      }
      keyNode = String(keyNode);
      if (_result === null) {
        _result = {};
      }
      if (keyTag === "tag:yaml.org,2002:merge") {
        if (Array.isArray(valueNode)) {
          for (index = 0, quantity = valueNode.length; index < quantity; index += 1) {
            mergeMappings(state, _result, valueNode[index], overridableKeys);
          }
        } else {
          mergeMappings(state, _result, valueNode, overridableKeys);
        }
      } else {
        if (!state.json && !_hasOwnProperty.call(overridableKeys, keyNode) && _hasOwnProperty.call(_result, keyNode)) {
          state.line = startLine || state.line;
          state.position = startPos || state.position;
          throwError(state, "duplicated mapping key");
        }
        _result[keyNode] = valueNode;
        delete overridableKeys[keyNode];
      }
      return _result;
    }
    function readLineBreak(state) {
      var ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 10) {
        state.position++;
      } else if (ch === 13) {
        state.position++;
        if (state.input.charCodeAt(state.position) === 10) {
          state.position++;
        }
      } else {
        throwError(state, "a line break is expected");
      }
      state.line += 1;
      state.lineStart = state.position;
    }
    function skipSeparationSpace(state, allowComments, checkIndent) {
      var lineBreaks = 0, ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        while (is_WHITE_SPACE(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        if (allowComments && ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (ch !== 10 && ch !== 13 && ch !== 0);
        }
        if (is_EOL(ch)) {
          readLineBreak(state);
          ch = state.input.charCodeAt(state.position);
          lineBreaks++;
          state.lineIndent = 0;
          while (ch === 32) {
            state.lineIndent++;
            ch = state.input.charCodeAt(++state.position);
          }
        } else {
          break;
        }
      }
      if (checkIndent !== -1 && lineBreaks !== 0 && state.lineIndent < checkIndent) {
        throwWarning(state, "deficient indentation");
      }
      return lineBreaks;
    }
    function testDocumentSeparator(state) {
      var _position = state.position, ch;
      ch = state.input.charCodeAt(_position);
      if ((ch === 45 || ch === 46) && ch === state.input.charCodeAt(_position + 1) && ch === state.input.charCodeAt(_position + 2)) {
        _position += 3;
        ch = state.input.charCodeAt(_position);
        if (ch === 0 || is_WS_OR_EOL(ch)) {
          return true;
        }
      }
      return false;
    }
    function writeFoldedLines(state, count) {
      if (count === 1) {
        state.result += " ";
      } else if (count > 1) {
        state.result += common.repeat("\n", count - 1);
      }
    }
    function readPlainScalar(state, nodeIndent, withinFlowCollection) {
      var preceding, following, captureStart, captureEnd, hasPendingContent, _line, _lineStart, _lineIndent, _kind = state.kind, _result = state.result, ch;
      ch = state.input.charCodeAt(state.position);
      if (is_WS_OR_EOL(ch) || is_FLOW_INDICATOR(ch) || ch === 35 || ch === 38 || ch === 42 || ch === 33 || ch === 124 || ch === 62 || ch === 39 || ch === 34 || ch === 37 || ch === 64 || ch === 96) {
        return false;
      }
      if (ch === 63 || ch === 45) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
          return false;
        }
      }
      state.kind = "scalar";
      state.result = "";
      captureStart = captureEnd = state.position;
      hasPendingContent = false;
      while (ch !== 0) {
        if (ch === 58) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
            break;
          }
        } else if (ch === 35) {
          preceding = state.input.charCodeAt(state.position - 1);
          if (is_WS_OR_EOL(preceding)) {
            break;
          }
        } else if (state.position === state.lineStart && testDocumentSeparator(state) || withinFlowCollection && is_FLOW_INDICATOR(ch)) {
          break;
        } else if (is_EOL(ch)) {
          _line = state.line;
          _lineStart = state.lineStart;
          _lineIndent = state.lineIndent;
          skipSeparationSpace(state, false, -1);
          if (state.lineIndent >= nodeIndent) {
            hasPendingContent = true;
            ch = state.input.charCodeAt(state.position);
            continue;
          } else {
            state.position = captureEnd;
            state.line = _line;
            state.lineStart = _lineStart;
            state.lineIndent = _lineIndent;
            break;
          }
        }
        if (hasPendingContent) {
          captureSegment(state, captureStart, captureEnd, false);
          writeFoldedLines(state, state.line - _line);
          captureStart = captureEnd = state.position;
          hasPendingContent = false;
        }
        if (!is_WHITE_SPACE(ch)) {
          captureEnd = state.position + 1;
        }
        ch = state.input.charCodeAt(++state.position);
      }
      captureSegment(state, captureStart, captureEnd, false);
      if (state.result) {
        return true;
      }
      state.kind = _kind;
      state.result = _result;
      return false;
    }
    function readSingleQuotedScalar(state, nodeIndent) {
      var ch, captureStart, captureEnd;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 39) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 39) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (ch === 39) {
            captureStart = state.position;
            state.position++;
            captureEnd = state.position;
          } else {
            return true;
          }
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a single quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a single quoted scalar");
    }
    function readDoubleQuotedScalar(state, nodeIndent) {
      var captureStart, captureEnd, hexLength, hexResult, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 34) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 34) {
          captureSegment(state, captureStart, state.position, true);
          state.position++;
          return true;
        } else if (ch === 92) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (is_EOL(ch)) {
            skipSeparationSpace(state, false, nodeIndent);
          } else if (ch < 256 && simpleEscapeCheck[ch]) {
            state.result += simpleEscapeMap[ch];
            state.position++;
          } else if ((tmp = escapedHexLen(ch)) > 0) {
            hexLength = tmp;
            hexResult = 0;
            for (; hexLength > 0; hexLength--) {
              ch = state.input.charCodeAt(++state.position);
              if ((tmp = fromHexCode(ch)) >= 0) {
                hexResult = (hexResult << 4) + tmp;
              } else {
                throwError(state, "expected hexadecimal character");
              }
            }
            state.result += charFromCodepoint(hexResult);
            state.position++;
          } else {
            throwError(state, "unknown escape sequence");
          }
          captureStart = captureEnd = state.position;
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a double quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a double quoted scalar");
    }
    function readFlowCollection(state, nodeIndent) {
      var readNext = true, _line, _tag = state.tag, _result, _anchor = state.anchor, following, terminator, isPair, isExplicitPair, isMapping, overridableKeys = {}, keyNode, keyTag, valueNode, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 91) {
        terminator = 93;
        isMapping = false;
        _result = [];
      } else if (ch === 123) {
        terminator = 125;
        isMapping = true;
        _result = {};
      } else {
        return false;
      }
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(++state.position);
      while (ch !== 0) {
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === terminator) {
          state.position++;
          state.tag = _tag;
          state.anchor = _anchor;
          state.kind = isMapping ? "mapping" : "sequence";
          state.result = _result;
          return true;
        } else if (!readNext) {
          throwError(state, "missed comma between flow collection entries");
        }
        keyTag = keyNode = valueNode = null;
        isPair = isExplicitPair = false;
        if (ch === 63) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following)) {
            isPair = isExplicitPair = true;
            state.position++;
            skipSeparationSpace(state, true, nodeIndent);
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
        keyTag = state.tag;
        keyNode = state.result;
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if ((isExplicitPair || state.line === _line) && ch === 58) {
          isPair = true;
          ch = state.input.charCodeAt(++state.position);
          skipSeparationSpace(state, true, nodeIndent);
          composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
          valueNode = state.result;
        }
        if (isMapping) {
          storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode);
        } else if (isPair) {
          _result.push(storeMappingPair(state, null, overridableKeys, keyTag, keyNode, valueNode));
        } else {
          _result.push(keyNode);
        }
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === 44) {
          readNext = true;
          ch = state.input.charCodeAt(++state.position);
        } else {
          readNext = false;
        }
      }
      throwError(state, "unexpected end of the stream within a flow collection");
    }
    function readBlockScalar(state, nodeIndent) {
      var captureStart, folding, chomping = CHOMPING_CLIP, didReadContent = false, detectedIndent = false, textIndent = nodeIndent, emptyLines = 0, atMoreIndented = false, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 124) {
        folding = false;
      } else if (ch === 62) {
        folding = true;
      } else {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      while (ch !== 0) {
        ch = state.input.charCodeAt(++state.position);
        if (ch === 43 || ch === 45) {
          if (CHOMPING_CLIP === chomping) {
            chomping = ch === 43 ? CHOMPING_KEEP : CHOMPING_STRIP;
          } else {
            throwError(state, "repeat of a chomping mode identifier");
          }
        } else if ((tmp = fromDecimalCode(ch)) >= 0) {
          if (tmp === 0) {
            throwError(state, "bad explicit indentation width of a block scalar; it cannot be less than one");
          } else if (!detectedIndent) {
            textIndent = nodeIndent + tmp - 1;
            detectedIndent = true;
          } else {
            throwError(state, "repeat of an indentation width identifier");
          }
        } else {
          break;
        }
      }
      if (is_WHITE_SPACE(ch)) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (is_WHITE_SPACE(ch));
        if (ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (!is_EOL(ch) && ch !== 0);
        }
      }
      while (ch !== 0) {
        readLineBreak(state);
        state.lineIndent = 0;
        ch = state.input.charCodeAt(state.position);
        while ((!detectedIndent || state.lineIndent < textIndent) && ch === 32) {
          state.lineIndent++;
          ch = state.input.charCodeAt(++state.position);
        }
        if (!detectedIndent && state.lineIndent > textIndent) {
          textIndent = state.lineIndent;
        }
        if (is_EOL(ch)) {
          emptyLines++;
          continue;
        }
        if (state.lineIndent < textIndent) {
          if (chomping === CHOMPING_KEEP) {
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (chomping === CHOMPING_CLIP) {
            if (didReadContent) {
              state.result += "\n";
            }
          }
          break;
        }
        if (folding) {
          if (is_WHITE_SPACE(ch)) {
            atMoreIndented = true;
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (atMoreIndented) {
            atMoreIndented = false;
            state.result += common.repeat("\n", emptyLines + 1);
          } else if (emptyLines === 0) {
            if (didReadContent) {
              state.result += " ";
            }
          } else {
            state.result += common.repeat("\n", emptyLines);
          }
        } else {
          state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
        }
        didReadContent = true;
        detectedIndent = true;
        emptyLines = 0;
        captureStart = state.position;
        while (!is_EOL(ch) && ch !== 0) {
          ch = state.input.charCodeAt(++state.position);
        }
        captureSegment(state, captureStart, state.position, false);
      }
      return true;
    }
    function readBlockSequence(state, nodeIndent) {
      var _line, _tag = state.tag, _anchor = state.anchor, _result = [], following, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        if (ch !== 45) {
          break;
        }
        following = state.input.charCodeAt(state.position + 1);
        if (!is_WS_OR_EOL(following)) {
          break;
        }
        detected = true;
        state.position++;
        if (skipSeparationSpace(state, true, -1)) {
          if (state.lineIndent <= nodeIndent) {
            _result.push(null);
            ch = state.input.charCodeAt(state.position);
            continue;
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_BLOCK_IN, false, true);
        _result.push(state.result);
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if ((state.line === _line || state.lineIndent > nodeIndent) && ch !== 0) {
          throwError(state, "bad indentation of a sequence entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "sequence";
        state.result = _result;
        return true;
      }
      return false;
    }
    function readBlockMapping(state, nodeIndent, flowIndent) {
      var following, allowCompact, _line, _pos, _tag = state.tag, _anchor = state.anchor, _result = {}, overridableKeys = {}, keyTag = null, keyNode = null, valueNode = null, atExplicitKey = false, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        following = state.input.charCodeAt(state.position + 1);
        _line = state.line;
        _pos = state.position;
        if ((ch === 63 || ch === 58) && is_WS_OR_EOL(following)) {
          if (ch === 63) {
            if (atExplicitKey) {
              storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
              keyTag = keyNode = valueNode = null;
            }
            detected = true;
            atExplicitKey = true;
            allowCompact = true;
          } else if (atExplicitKey) {
            atExplicitKey = false;
            allowCompact = true;
          } else {
            throwError(state, "incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line");
          }
          state.position += 1;
          ch = following;
        } else if (composeNode(state, flowIndent, CONTEXT_FLOW_OUT, false, true)) {
          if (state.line === _line) {
            ch = state.input.charCodeAt(state.position);
            while (is_WHITE_SPACE(ch)) {
              ch = state.input.charCodeAt(++state.position);
            }
            if (ch === 58) {
              ch = state.input.charCodeAt(++state.position);
              if (!is_WS_OR_EOL(ch)) {
                throwError(state, "a whitespace character is expected after the key-value separator within a block mapping");
              }
              if (atExplicitKey) {
                storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
                keyTag = keyNode = valueNode = null;
              }
              detected = true;
              atExplicitKey = false;
              allowCompact = false;
              keyTag = state.tag;
              keyNode = state.result;
            } else if (detected) {
              throwError(state, "can not read an implicit mapping pair; a colon is missed");
            } else {
              state.tag = _tag;
              state.anchor = _anchor;
              return true;
            }
          } else if (detected) {
            throwError(state, "can not read a block mapping entry; a multiline key may not be an implicit key");
          } else {
            state.tag = _tag;
            state.anchor = _anchor;
            return true;
          }
        } else {
          break;
        }
        if (state.line === _line || state.lineIndent > nodeIndent) {
          if (composeNode(state, nodeIndent, CONTEXT_BLOCK_OUT, true, allowCompact)) {
            if (atExplicitKey) {
              keyNode = state.result;
            } else {
              valueNode = state.result;
            }
          }
          if (!atExplicitKey) {
            storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, _line, _pos);
            keyTag = keyNode = valueNode = null;
          }
          skipSeparationSpace(state, true, -1);
          ch = state.input.charCodeAt(state.position);
        }
        if (state.lineIndent > nodeIndent && ch !== 0) {
          throwError(state, "bad indentation of a mapping entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (atExplicitKey) {
        storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "mapping";
        state.result = _result;
      }
      return detected;
    }
    function readTagProperty(state) {
      var _position, isVerbatim = false, isNamed = false, tagHandle, tagName, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 33)
        return false;
      if (state.tag !== null) {
        throwError(state, "duplication of a tag property");
      }
      ch = state.input.charCodeAt(++state.position);
      if (ch === 60) {
        isVerbatim = true;
        ch = state.input.charCodeAt(++state.position);
      } else if (ch === 33) {
        isNamed = true;
        tagHandle = "!!";
        ch = state.input.charCodeAt(++state.position);
      } else {
        tagHandle = "!";
      }
      _position = state.position;
      if (isVerbatim) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (ch !== 0 && ch !== 62);
        if (state.position < state.length) {
          tagName = state.input.slice(_position, state.position);
          ch = state.input.charCodeAt(++state.position);
        } else {
          throwError(state, "unexpected end of the stream within a verbatim tag");
        }
      } else {
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          if (ch === 33) {
            if (!isNamed) {
              tagHandle = state.input.slice(_position - 1, state.position + 1);
              if (!PATTERN_TAG_HANDLE.test(tagHandle)) {
                throwError(state, "named tag handle cannot contain such characters");
              }
              isNamed = true;
              _position = state.position + 1;
            } else {
              throwError(state, "tag suffix cannot contain exclamation marks");
            }
          }
          ch = state.input.charCodeAt(++state.position);
        }
        tagName = state.input.slice(_position, state.position);
        if (PATTERN_FLOW_INDICATORS.test(tagName)) {
          throwError(state, "tag suffix cannot contain flow indicator characters");
        }
      }
      if (tagName && !PATTERN_TAG_URI.test(tagName)) {
        throwError(state, "tag name cannot contain such characters: " + tagName);
      }
      if (isVerbatim) {
        state.tag = tagName;
      } else if (_hasOwnProperty.call(state.tagMap, tagHandle)) {
        state.tag = state.tagMap[tagHandle] + tagName;
      } else if (tagHandle === "!") {
        state.tag = "!" + tagName;
      } else if (tagHandle === "!!") {
        state.tag = "tag:yaml.org,2002:" + tagName;
      } else {
        throwError(state, 'undeclared tag handle "' + tagHandle + '"');
      }
      return true;
    }
    function readAnchorProperty(state) {
      var _position, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 38)
        return false;
      if (state.anchor !== null) {
        throwError(state, "duplication of an anchor property");
      }
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an anchor node must contain at least one character");
      }
      state.anchor = state.input.slice(_position, state.position);
      return true;
    }
    function readAlias(state) {
      var _position, alias, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 42)
        return false;
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an alias node must contain at least one character");
      }
      alias = state.input.slice(_position, state.position);
      if (!_hasOwnProperty.call(state.anchorMap, alias)) {
        throwError(state, 'unidentified alias "' + alias + '"');
      }
      state.result = state.anchorMap[alias];
      skipSeparationSpace(state, true, -1);
      return true;
    }
    function composeNode(state, parentIndent, nodeContext, allowToSeek, allowCompact) {
      var allowBlockStyles, allowBlockScalars, allowBlockCollections, indentStatus = 1, atNewLine = false, hasContent = false, typeIndex, typeQuantity, type, flowIndent, blockIndent;
      if (state.listener !== null) {
        state.listener("open", state);
      }
      state.tag = null;
      state.anchor = null;
      state.kind = null;
      state.result = null;
      allowBlockStyles = allowBlockScalars = allowBlockCollections = CONTEXT_BLOCK_OUT === nodeContext || CONTEXT_BLOCK_IN === nodeContext;
      if (allowToSeek) {
        if (skipSeparationSpace(state, true, -1)) {
          atNewLine = true;
          if (state.lineIndent > parentIndent) {
            indentStatus = 1;
          } else if (state.lineIndent === parentIndent) {
            indentStatus = 0;
          } else if (state.lineIndent < parentIndent) {
            indentStatus = -1;
          }
        }
      }
      if (indentStatus === 1) {
        while (readTagProperty(state) || readAnchorProperty(state)) {
          if (skipSeparationSpace(state, true, -1)) {
            atNewLine = true;
            allowBlockCollections = allowBlockStyles;
            if (state.lineIndent > parentIndent) {
              indentStatus = 1;
            } else if (state.lineIndent === parentIndent) {
              indentStatus = 0;
            } else if (state.lineIndent < parentIndent) {
              indentStatus = -1;
            }
          } else {
            allowBlockCollections = false;
          }
        }
      }
      if (allowBlockCollections) {
        allowBlockCollections = atNewLine || allowCompact;
      }
      if (indentStatus === 1 || CONTEXT_BLOCK_OUT === nodeContext) {
        if (CONTEXT_FLOW_IN === nodeContext || CONTEXT_FLOW_OUT === nodeContext) {
          flowIndent = parentIndent;
        } else {
          flowIndent = parentIndent + 1;
        }
        blockIndent = state.position - state.lineStart;
        if (indentStatus === 1) {
          if (allowBlockCollections && (readBlockSequence(state, blockIndent) || readBlockMapping(state, blockIndent, flowIndent)) || readFlowCollection(state, flowIndent)) {
            hasContent = true;
          } else {
            if (allowBlockScalars && readBlockScalar(state, flowIndent) || readSingleQuotedScalar(state, flowIndent) || readDoubleQuotedScalar(state, flowIndent)) {
              hasContent = true;
            } else if (readAlias(state)) {
              hasContent = true;
              if (state.tag !== null || state.anchor !== null) {
                throwError(state, "alias node should not have any properties");
              }
            } else if (readPlainScalar(state, flowIndent, CONTEXT_FLOW_IN === nodeContext)) {
              hasContent = true;
              if (state.tag === null) {
                state.tag = "?";
              }
            }
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else if (indentStatus === 0) {
          hasContent = allowBlockCollections && readBlockSequence(state, blockIndent);
        }
      }
      if (state.tag !== null && state.tag !== "!") {
        if (state.tag === "?") {
          if (state.result !== null && state.kind !== "scalar") {
            throwError(state, 'unacceptable node kind for !<?> tag; it should be "scalar", not "' + state.kind + '"');
          }
          for (typeIndex = 0, typeQuantity = state.implicitTypes.length; typeIndex < typeQuantity; typeIndex += 1) {
            type = state.implicitTypes[typeIndex];
            if (type.resolve(state.result)) {
              state.result = type.construct(state.result);
              state.tag = type.tag;
              if (state.anchor !== null) {
                state.anchorMap[state.anchor] = state.result;
              }
              break;
            }
          }
        } else if (_hasOwnProperty.call(state.typeMap[state.kind || "fallback"], state.tag)) {
          type = state.typeMap[state.kind || "fallback"][state.tag];
          if (state.result !== null && type.kind !== state.kind) {
            throwError(state, "unacceptable node kind for !<" + state.tag + '> tag; it should be "' + type.kind + '", not "' + state.kind + '"');
          }
          if (!type.resolve(state.result)) {
            throwError(state, "cannot resolve a node with !<" + state.tag + "> explicit tag");
          } else {
            state.result = type.construct(state.result);
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else {
          throwError(state, "unknown tag !<" + state.tag + ">");
        }
      }
      if (state.listener !== null) {
        state.listener("close", state);
      }
      return state.tag !== null || state.anchor !== null || hasContent;
    }
    function readDocument(state) {
      var documentStart = state.position, _position, directiveName, directiveArgs, hasDirectives = false, ch;
      state.version = null;
      state.checkLineBreaks = state.legacy;
      state.tagMap = {};
      state.anchorMap = {};
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if (state.lineIndent > 0 || ch !== 37) {
          break;
        }
        hasDirectives = true;
        ch = state.input.charCodeAt(++state.position);
        _position = state.position;
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        directiveName = state.input.slice(_position, state.position);
        directiveArgs = [];
        if (directiveName.length < 1) {
          throwError(state, "directive name must not be less than one character in length");
        }
        while (ch !== 0) {
          while (is_WHITE_SPACE(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          if (ch === 35) {
            do {
              ch = state.input.charCodeAt(++state.position);
            } while (ch !== 0 && !is_EOL(ch));
            break;
          }
          if (is_EOL(ch))
            break;
          _position = state.position;
          while (ch !== 0 && !is_WS_OR_EOL(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          directiveArgs.push(state.input.slice(_position, state.position));
        }
        if (ch !== 0)
          readLineBreak(state);
        if (_hasOwnProperty.call(directiveHandlers, directiveName)) {
          directiveHandlers[directiveName](state, directiveName, directiveArgs);
        } else {
          throwWarning(state, 'unknown document directive "' + directiveName + '"');
        }
      }
      skipSeparationSpace(state, true, -1);
      if (state.lineIndent === 0 && state.input.charCodeAt(state.position) === 45 && state.input.charCodeAt(state.position + 1) === 45 && state.input.charCodeAt(state.position + 2) === 45) {
        state.position += 3;
        skipSeparationSpace(state, true, -1);
      } else if (hasDirectives) {
        throwError(state, "directives end mark is expected");
      }
      composeNode(state, state.lineIndent - 1, CONTEXT_BLOCK_OUT, false, true);
      skipSeparationSpace(state, true, -1);
      if (state.checkLineBreaks && PATTERN_NON_ASCII_LINE_BREAKS.test(state.input.slice(documentStart, state.position))) {
        throwWarning(state, "non-ASCII line breaks are interpreted as content");
      }
      state.documents.push(state.result);
      if (state.position === state.lineStart && testDocumentSeparator(state)) {
        if (state.input.charCodeAt(state.position) === 46) {
          state.position += 3;
          skipSeparationSpace(state, true, -1);
        }
        return;
      }
      if (state.position < state.length - 1) {
        throwError(state, "end of the stream or a document separator is expected");
      } else {
        return;
      }
    }
    function loadDocuments(input, options) {
      input = String(input);
      options = options || {};
      if (input.length !== 0) {
        if (input.charCodeAt(input.length - 1) !== 10 && input.charCodeAt(input.length - 1) !== 13) {
          input += "\n";
        }
        if (input.charCodeAt(0) === 65279) {
          input = input.slice(1);
        }
      }
      var state = new State(input, options);
      var nullpos = input.indexOf("\0");
      if (nullpos !== -1) {
        state.position = nullpos;
        throwError(state, "null byte is not allowed in input");
      }
      state.input += "\0";
      while (state.input.charCodeAt(state.position) === 32) {
        state.lineIndent += 1;
        state.position += 1;
      }
      while (state.position < state.length - 1) {
        readDocument(state);
      }
      return state.documents;
    }
    function loadAll(input, iterator, options) {
      if (iterator !== null && typeof iterator === "object" && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      var documents = loadDocuments(input, options);
      if (typeof iterator !== "function") {
        return documents;
      }
      for (var index = 0, length = documents.length; index < length; index += 1) {
        iterator(documents[index]);
      }
    }
    function load(input, options) {
      var documents = loadDocuments(input, options);
      if (documents.length === 0) {
        return void 0;
      } else if (documents.length === 1) {
        return documents[0];
      }
      throw new YAMLException("expected a single document in the stream, but found more");
    }
    function safeLoadAll(input, iterator, options) {
      if (typeof iterator === "object" && iterator !== null && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      return loadAll(input, iterator, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    function safeLoad(input, options) {
      return load(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.loadAll = loadAll;
    module2.exports.load = load;
    module2.exports.safeLoadAll = safeLoadAll;
    module2.exports.safeLoad = safeLoad;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js
var require_dumper2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js"(exports2, module2) {
    "use strict";
    var common = require_common8();
    var YAMLException = require_exception2();
    var DEFAULT_FULL_SCHEMA = require_default_full2();
    var DEFAULT_SAFE_SCHEMA = require_default_safe2();
    var _toString = Object.prototype.toString;
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CHAR_TAB = 9;
    var CHAR_LINE_FEED = 10;
    var CHAR_CARRIAGE_RETURN = 13;
    var CHAR_SPACE = 32;
    var CHAR_EXCLAMATION = 33;
    var CHAR_DOUBLE_QUOTE = 34;
    var CHAR_SHARP = 35;
    var CHAR_PERCENT = 37;
    var CHAR_AMPERSAND = 38;
    var CHAR_SINGLE_QUOTE = 39;
    var CHAR_ASTERISK = 42;
    var CHAR_COMMA2 = 44;
    var CHAR_MINUS = 45;
    var CHAR_COLON2 = 58;
    var CHAR_EQUALS2 = 61;
    var CHAR_GREATER_THAN = 62;
    var CHAR_QUESTION = 63;
    var CHAR_COMMERCIAL_AT = 64;
    var CHAR_LEFT_SQUARE_BRACKET = 91;
    var CHAR_RIGHT_SQUARE_BRACKET = 93;
    var CHAR_GRAVE_ACCENT = 96;
    var CHAR_LEFT_CURLY_BRACKET = 123;
    var CHAR_VERTICAL_LINE = 124;
    var CHAR_RIGHT_CURLY_BRACKET = 125;
    var ESCAPE_SEQUENCES = {};
    ESCAPE_SEQUENCES[0] = "\\0";
    ESCAPE_SEQUENCES[7] = "\\a";
    ESCAPE_SEQUENCES[8] = "\\b";
    ESCAPE_SEQUENCES[9] = "\\t";
    ESCAPE_SEQUENCES[10] = "\\n";
    ESCAPE_SEQUENCES[11] = "\\v";
    ESCAPE_SEQUENCES[12] = "\\f";
    ESCAPE_SEQUENCES[13] = "\\r";
    ESCAPE_SEQUENCES[27] = "\\e";
    ESCAPE_SEQUENCES[34] = '\\"';
    ESCAPE_SEQUENCES[92] = "\\\\";
    ESCAPE_SEQUENCES[133] = "\\N";
    ESCAPE_SEQUENCES[160] = "\\_";
    ESCAPE_SEQUENCES[8232] = "\\L";
    ESCAPE_SEQUENCES[8233] = "\\P";
    var DEPRECATED_BOOLEANS_SYNTAX = [
      "y",
      "Y",
      "yes",
      "Yes",
      "YES",
      "on",
      "On",
      "ON",
      "n",
      "N",
      "no",
      "No",
      "NO",
      "off",
      "Off",
      "OFF"
    ];
    function compileStyleMap(schema, map) {
      var result, keys, index, length, tag, style, type;
      if (map === null)
        return {};
      result = {};
      keys = Object.keys(map);
      for (index = 0, length = keys.length; index < length; index += 1) {
        tag = keys[index];
        style = String(map[tag]);
        if (tag.slice(0, 2) === "!!") {
          tag = "tag:yaml.org,2002:" + tag.slice(2);
        }
        type = schema.compiledTypeMap["fallback"][tag];
        if (type && _hasOwnProperty.call(type.styleAliases, style)) {
          style = type.styleAliases[style];
        }
        result[tag] = style;
      }
      return result;
    }
    function encodeHex(character) {
      var string, handle, length;
      string = character.toString(16).toUpperCase();
      if (character <= 255) {
        handle = "x";
        length = 2;
      } else if (character <= 65535) {
        handle = "u";
        length = 4;
      } else if (character <= 4294967295) {
        handle = "U";
        length = 8;
      } else {
        throw new YAMLException("code point within a string may not be greater than 0xFFFFFFFF");
      }
      return "\\" + handle + common.repeat("0", length - string.length) + string;
    }
    function State(options) {
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.indent = Math.max(1, options["indent"] || 2);
      this.noArrayIndent = options["noArrayIndent"] || false;
      this.skipInvalid = options["skipInvalid"] || false;
      this.flowLevel = common.isNothing(options["flowLevel"]) ? -1 : options["flowLevel"];
      this.styleMap = compileStyleMap(this.schema, options["styles"] || null);
      this.sortKeys = options["sortKeys"] || false;
      this.lineWidth = options["lineWidth"] || 80;
      this.noRefs = options["noRefs"] || false;
      this.noCompatMode = options["noCompatMode"] || false;
      this.condenseFlow = options["condenseFlow"] || false;
      this.implicitTypes = this.schema.compiledImplicit;
      this.explicitTypes = this.schema.compiledExplicit;
      this.tag = null;
      this.result = "";
      this.duplicates = [];
      this.usedDuplicates = null;
    }
    function indentString(string, spaces) {
      var ind = common.repeat(" ", spaces), position = 0, next = -1, result = "", line, length = string.length;
      while (position < length) {
        next = string.indexOf("\n", position);
        if (next === -1) {
          line = string.slice(position);
          position = length;
        } else {
          line = string.slice(position, next + 1);
          position = next + 1;
        }
        if (line.length && line !== "\n")
          result += ind;
        result += line;
      }
      return result;
    }
    function generateNextLine(state, level) {
      return "\n" + common.repeat(" ", state.indent * level);
    }
    function testImplicitResolving(state, str) {
      var index, length, type;
      for (index = 0, length = state.implicitTypes.length; index < length; index += 1) {
        type = state.implicitTypes[index];
        if (type.resolve(str)) {
          return true;
        }
      }
      return false;
    }
    function isWhitespace(c) {
      return c === CHAR_SPACE || c === CHAR_TAB;
    }
    function isPrintable(c) {
      return 32 <= c && c <= 126 || 161 <= c && c <= 55295 && c !== 8232 && c !== 8233 || 57344 <= c && c <= 65533 && c !== 65279 || 65536 <= c && c <= 1114111;
    }
    function isNsChar(c) {
      return isPrintable(c) && !isWhitespace(c) && c !== 65279 && c !== CHAR_CARRIAGE_RETURN && c !== CHAR_LINE_FEED;
    }
    function isPlainSafe(c, prev) {
      return isPrintable(c) && c !== 65279 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_COLON2 && (c !== CHAR_SHARP || prev && isNsChar(prev));
    }
    function isPlainSafeFirst(c) {
      return isPrintable(c) && c !== 65279 && !isWhitespace(c) && c !== CHAR_MINUS && c !== CHAR_QUESTION && c !== CHAR_COLON2 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_SHARP && c !== CHAR_AMPERSAND && c !== CHAR_ASTERISK && c !== CHAR_EXCLAMATION && c !== CHAR_VERTICAL_LINE && c !== CHAR_EQUALS2 && c !== CHAR_GREATER_THAN && c !== CHAR_SINGLE_QUOTE && c !== CHAR_DOUBLE_QUOTE && c !== CHAR_PERCENT && c !== CHAR_COMMERCIAL_AT && c !== CHAR_GRAVE_ACCENT;
    }
    function needIndentIndicator(string) {
      var leadingSpaceRe = /^\n* /;
      return leadingSpaceRe.test(string);
    }
    var STYLE_PLAIN = 1;
    var STYLE_SINGLE = 2;
    var STYLE_LITERAL = 3;
    var STYLE_FOLDED = 4;
    var STYLE_DOUBLE = 5;
    function chooseScalarStyle(string, singleLineOnly, indentPerLevel, lineWidth, testAmbiguousType) {
      var i;
      var char, prev_char;
      var hasLineBreak = false;
      var hasFoldableLine = false;
      var shouldTrackWidth = lineWidth !== -1;
      var previousLineBreak = -1;
      var plain = isPlainSafeFirst(string.charCodeAt(0)) && !isWhitespace(string.charCodeAt(string.length - 1));
      if (singleLineOnly) {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
      } else {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (char === CHAR_LINE_FEED) {
            hasLineBreak = true;
            if (shouldTrackWidth) {
              hasFoldableLine = hasFoldableLine || // Foldable line = too long, and not more-indented.
              i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ";
              previousLineBreak = i;
            }
          } else if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
        hasFoldableLine = hasFoldableLine || shouldTrackWidth && (i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ");
      }
      if (!hasLineBreak && !hasFoldableLine) {
        return plain && !testAmbiguousType(string) ? STYLE_PLAIN : STYLE_SINGLE;
      }
      if (indentPerLevel > 9 && needIndentIndicator(string)) {
        return STYLE_DOUBLE;
      }
      return hasFoldableLine ? STYLE_FOLDED : STYLE_LITERAL;
    }
    function writeScalar(state, string, level, iskey) {
      state.dump = function() {
        if (string.length === 0) {
          return "''";
        }
        if (!state.noCompatMode && DEPRECATED_BOOLEANS_SYNTAX.indexOf(string) !== -1) {
          return "'" + string + "'";
        }
        var indent = state.indent * Math.max(1, level);
        var lineWidth = state.lineWidth === -1 ? -1 : Math.max(Math.min(state.lineWidth, 40), state.lineWidth - indent);
        var singleLineOnly = iskey || state.flowLevel > -1 && level >= state.flowLevel;
        function testAmbiguity(string2) {
          return testImplicitResolving(state, string2);
        }
        switch (chooseScalarStyle(string, singleLineOnly, state.indent, lineWidth, testAmbiguity)) {
          case STYLE_PLAIN:
            return string;
          case STYLE_SINGLE:
            return "'" + string.replace(/'/g, "''") + "'";
          case STYLE_LITERAL:
            return "|" + blockHeader(string, state.indent) + dropEndingNewline(indentString(string, indent));
          case STYLE_FOLDED:
            return ">" + blockHeader(string, state.indent) + dropEndingNewline(indentString(foldString(string, lineWidth), indent));
          case STYLE_DOUBLE:
            return '"' + escapeString(string, lineWidth) + '"';
          default:
            throw new YAMLException("impossible error: invalid scalar style");
        }
      }();
    }
    function blockHeader(string, indentPerLevel) {
      var indentIndicator = needIndentIndicator(string) ? String(indentPerLevel) : "";
      var clip = string[string.length - 1] === "\n";
      var keep = clip && (string[string.length - 2] === "\n" || string === "\n");
      var chomp = keep ? "+" : clip ? "" : "-";
      return indentIndicator + chomp + "\n";
    }
    function dropEndingNewline(string) {
      return string[string.length - 1] === "\n" ? string.slice(0, -1) : string;
    }
    function foldString(string, width) {
      var lineRe = /(\n+)([^\n]*)/g;
      var result = function() {
        var nextLF = string.indexOf("\n");
        nextLF = nextLF !== -1 ? nextLF : string.length;
        lineRe.lastIndex = nextLF;
        return foldLine(string.slice(0, nextLF), width);
      }();
      var prevMoreIndented = string[0] === "\n" || string[0] === " ";
      var moreIndented;
      var match;
      while (match = lineRe.exec(string)) {
        var prefix = match[1], line = match[2];
        moreIndented = line[0] === " ";
        result += prefix + (!prevMoreIndented && !moreIndented && line !== "" ? "\n" : "") + foldLine(line, width);
        prevMoreIndented = moreIndented;
      }
      return result;
    }
    function foldLine(line, width) {
      if (line === "" || line[0] === " ")
        return line;
      var breakRe = / [^ ]/g;
      var match;
      var start = 0, end, curr = 0, next = 0;
      var result = "";
      while (match = breakRe.exec(line)) {
        next = match.index;
        if (next - start > width) {
          end = curr > start ? curr : next;
          result += "\n" + line.slice(start, end);
          start = end + 1;
        }
        curr = next;
      }
      result += "\n";
      if (line.length - start > width && curr > start) {
        result += line.slice(start, curr) + "\n" + line.slice(curr + 1);
      } else {
        result += line.slice(start);
      }
      return result.slice(1);
    }
    function escapeString(string) {
      var result = "";
      var char, nextChar;
      var escapeSeq;
      for (var i = 0; i < string.length; i++) {
        char = string.charCodeAt(i);
        if (char >= 55296 && char <= 56319) {
          nextChar = string.charCodeAt(i + 1);
          if (nextChar >= 56320 && nextChar <= 57343) {
            result += encodeHex((char - 55296) * 1024 + nextChar - 56320 + 65536);
            i++;
            continue;
          }
        }
        escapeSeq = ESCAPE_SEQUENCES[char];
        result += !escapeSeq && isPrintable(char) ? string[i] : escapeSeq || encodeHex(char);
      }
      return result;
    }
    function writeFlowSequence(state, level, object) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level, object[index], false, false)) {
          if (index !== 0)
            _result += "," + (!state.condenseFlow ? " " : "");
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = "[" + _result + "]";
    }
    function writeBlockSequence(state, level, object, compact) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level + 1, object[index], true, true)) {
          if (!compact || index !== 0) {
            _result += generateNextLine(state, level);
          }
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            _result += "-";
          } else {
            _result += "- ";
          }
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = _result || "[]";
    }
    function writeFlowMapping(state, level, object) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, pairBuffer;
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (index !== 0)
          pairBuffer += ", ";
        if (state.condenseFlow)
          pairBuffer += '"';
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level, objectKey, false, false)) {
          continue;
        }
        if (state.dump.length > 1024)
          pairBuffer += "? ";
        pairBuffer += state.dump + (state.condenseFlow ? '"' : "") + ":" + (state.condenseFlow ? "" : " ");
        if (!writeNode(state, level, objectValue, false, false)) {
          continue;
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = "{" + _result + "}";
    }
    function writeBlockMapping(state, level, object, compact) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, explicitPair, pairBuffer;
      if (state.sortKeys === true) {
        objectKeyList.sort();
      } else if (typeof state.sortKeys === "function") {
        objectKeyList.sort(state.sortKeys);
      } else if (state.sortKeys) {
        throw new YAMLException("sortKeys must be a boolean or a function");
      }
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (!compact || index !== 0) {
          pairBuffer += generateNextLine(state, level);
        }
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level + 1, objectKey, true, true, true)) {
          continue;
        }
        explicitPair = state.tag !== null && state.tag !== "?" || state.dump && state.dump.length > 1024;
        if (explicitPair) {
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            pairBuffer += "?";
          } else {
            pairBuffer += "? ";
          }
        }
        pairBuffer += state.dump;
        if (explicitPair) {
          pairBuffer += generateNextLine(state, level);
        }
        if (!writeNode(state, level + 1, objectValue, true, explicitPair)) {
          continue;
        }
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          pairBuffer += ":";
        } else {
          pairBuffer += ": ";
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = _result || "{}";
    }
    function detectType(state, object, explicit) {
      var _result, typeList, index, length, type, style;
      typeList = explicit ? state.explicitTypes : state.implicitTypes;
      for (index = 0, length = typeList.length; index < length; index += 1) {
        type = typeList[index];
        if ((type.instanceOf || type.predicate) && (!type.instanceOf || typeof object === "object" && object instanceof type.instanceOf) && (!type.predicate || type.predicate(object))) {
          state.tag = explicit ? type.tag : "?";
          if (type.represent) {
            style = state.styleMap[type.tag] || type.defaultStyle;
            if (_toString.call(type.represent) === "[object Function]") {
              _result = type.represent(object, style);
            } else if (_hasOwnProperty.call(type.represent, style)) {
              _result = type.represent[style](object, style);
            } else {
              throw new YAMLException("!<" + type.tag + '> tag resolver accepts not "' + style + '" style');
            }
            state.dump = _result;
          }
          return true;
        }
      }
      return false;
    }
    function writeNode(state, level, object, block, compact, iskey) {
      state.tag = null;
      state.dump = object;
      if (!detectType(state, object, false)) {
        detectType(state, object, true);
      }
      var type = _toString.call(state.dump);
      if (block) {
        block = state.flowLevel < 0 || state.flowLevel > level;
      }
      var objectOrArray = type === "[object Object]" || type === "[object Array]", duplicateIndex, duplicate;
      if (objectOrArray) {
        duplicateIndex = state.duplicates.indexOf(object);
        duplicate = duplicateIndex !== -1;
      }
      if (state.tag !== null && state.tag !== "?" || duplicate || state.indent !== 2 && level > 0) {
        compact = false;
      }
      if (duplicate && state.usedDuplicates[duplicateIndex]) {
        state.dump = "*ref_" + duplicateIndex;
      } else {
        if (objectOrArray && duplicate && !state.usedDuplicates[duplicateIndex]) {
          state.usedDuplicates[duplicateIndex] = true;
        }
        if (type === "[object Object]") {
          if (block && Object.keys(state.dump).length !== 0) {
            writeBlockMapping(state, level, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowMapping(state, level, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object Array]") {
          var arrayLevel = state.noArrayIndent && level > 0 ? level - 1 : level;
          if (block && state.dump.length !== 0) {
            writeBlockSequence(state, arrayLevel, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowSequence(state, arrayLevel, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object String]") {
          if (state.tag !== "?") {
            writeScalar(state, state.dump, level, iskey);
          }
        } else {
          if (state.skipInvalid)
            return false;
          throw new YAMLException("unacceptable kind of an object to dump " + type);
        }
        if (state.tag !== null && state.tag !== "?") {
          state.dump = "!<" + state.tag + "> " + state.dump;
        }
      }
      return true;
    }
    function getDuplicateReferences(object, state) {
      var objects = [], duplicatesIndexes = [], index, length;
      inspectNode(object, objects, duplicatesIndexes);
      for (index = 0, length = duplicatesIndexes.length; index < length; index += 1) {
        state.duplicates.push(objects[duplicatesIndexes[index]]);
      }
      state.usedDuplicates = new Array(length);
    }
    function inspectNode(object, objects, duplicatesIndexes) {
      var objectKeyList, index, length;
      if (object !== null && typeof object === "object") {
        index = objects.indexOf(object);
        if (index !== -1) {
          if (duplicatesIndexes.indexOf(index) === -1) {
            duplicatesIndexes.push(index);
          }
        } else {
          objects.push(object);
          if (Array.isArray(object)) {
            for (index = 0, length = object.length; index < length; index += 1) {
              inspectNode(object[index], objects, duplicatesIndexes);
            }
          } else {
            objectKeyList = Object.keys(object);
            for (index = 0, length = objectKeyList.length; index < length; index += 1) {
              inspectNode(object[objectKeyList[index]], objects, duplicatesIndexes);
            }
          }
        }
      }
    }
    function dump(input, options) {
      options = options || {};
      var state = new State(options);
      if (!state.noRefs)
        getDuplicateReferences(input, state);
      if (writeNode(state, 0, input, true, true))
        return state.dump + "\n";
      return "";
    }
    function safeDump(input, options) {
      return dump(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.dump = dump;
    module2.exports.safeDump = safeDump;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js
var require_js_yaml3 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js"(exports2, module2) {
    "use strict";
    var loader = require_loader2();
    var dumper = require_dumper2();
    function deprecated(name) {
      return function() {
        throw new Error("Function " + name + " is deprecated and cannot be used.");
      };
    }
    module2.exports.Type = require_type2();
    module2.exports.Schema = require_schema8();
    module2.exports.FAILSAFE_SCHEMA = require_failsafe2();
    module2.exports.JSON_SCHEMA = require_json4();
    module2.exports.CORE_SCHEMA = require_core4();
    module2.exports.DEFAULT_SAFE_SCHEMA = require_default_safe2();
    module2.exports.DEFAULT_FULL_SCHEMA = require_default_full2();
    module2.exports.load = loader.load;
    module2.exports.loadAll = loader.loadAll;
    module2.exports.safeLoad = loader.safeLoad;
    module2.exports.safeLoadAll = loader.safeLoadAll;
    module2.exports.dump = dumper.dump;
    module2.exports.safeDump = dumper.safeDump;
    module2.exports.YAMLException = require_exception2();
    module2.exports.MINIMAL_SCHEMA = require_failsafe2();
    module2.exports.SAFE_SCHEMA = require_default_safe2();
    module2.exports.DEFAULT_SCHEMA = require_default_full2();
    module2.exports.scan = deprecated("scan");
    module2.exports.parse = deprecated("parse");
    module2.exports.compose = deprecated("compose");
    module2.exports.addConstructor = deprecated("addConstructor");
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/index.js
var require_js_yaml4 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/node_modules/js-yaml/index.js"(exports2, module2) {
    "use strict";
    var yaml = require_js_yaml3();
    module2.exports = yaml;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/YAMLReader.js
var require_YAMLReader2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/YAMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader2();
    var BaseReader_1 = require_BaseReader2();
    var js_yaml_1 = require_js_yaml4();
    var YAMLReader = (
      /** @class */
      function(_super) {
        __extends(YAMLReader2, _super);
        function YAMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        YAMLReader2.prototype._parse = function(node, str) {
          var result = js_yaml_1.safeLoad(str);
          if (result === void 0) {
            throw new Error("Unable to parse YAML document.");
          }
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, result);
        };
        return YAMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.YAMLReader = YAMLReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/index.js
var require_readers2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/readers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLReader_1 = require_XMLReader2();
    exports2.XMLReader = XMLReader_1.XMLReader;
    var ObjectReader_1 = require_ObjectReader2();
    exports2.ObjectReader = ObjectReader_1.ObjectReader;
    var JSONReader_1 = require_JSONReader2();
    exports2.JSONReader = JSONReader_1.JSONReader;
    var YAMLReader_1 = require_YAMLReader2();
    exports2.YAMLReader = YAMLReader_1.YAMLReader;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js
var require_XMLBuilderImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces5();
    var util_1 = require_lib7();
    var writers_1 = require_writers2();
    var interfaces_2 = require_interfaces6();
    var util_2 = require_util10();
    var algorithm_1 = require_algorithm2();
    var dom_1 = require_dom4();
    var infra_1 = require_lib8();
    var readers_1 = require_readers2();
    var XMLBuilderImpl = (
      /** @class */
      function() {
        function XMLBuilderImpl2(domNode) {
          this._domNode = domNode;
        }
        Object.defineProperty(XMLBuilderImpl2.prototype, "node", {
          /** @inheritdoc */
          get: function() {
            return this._domNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(XMLBuilderImpl2.prototype, "options", {
          /** @inheritdoc */
          get: function() {
            return this._options;
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype.set = function(options) {
          this._options = util_1.applyDefaults(
            util_1.applyDefaults(this._options, options, true),
            // apply user settings
            interfaces_1.DefaultBuilderOptions
          );
          return this;
        };
        XMLBuilderImpl2.prototype.ele = function(p1, p2, p3) {
          var _a, _b, _c;
          var namespace;
          var name;
          var attributes;
          if (util_1.isObject(p1)) {
            return new readers_1.ObjectReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*</.test(p1)) {
            return new readers_1.XMLReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*[\{\[]/.test(p1)) {
            return new readers_1.JSONReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^(\s*|(#.*)|(%.*))*---/.test(p1)) {
            return new readers_1.YAMLReader(this._options).parse(this, p1);
          }
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2)) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], attributes = _a[2];
          } else if (p1 !== null) {
            _b = __read([void 0, p1, util_1.isObject(p2) ? p2 : void 0], 3), namespace = _b[0], name = _b[1], attributes = _b[2];
          } else {
            throw new Error("Element name cannot be null. " + this._debugInfo());
          }
          if (attributes) {
            attributes = util_1.getValue(attributes);
          }
          _c = __read(this._extractNamespace(dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement), dom_1.sanitizeInput(name, this._options.invalidCharReplacement), true), 2), namespace = _c[0], name = _c[1];
          if (namespace === void 0) {
            var _d = __read(algorithm_1.namespace_extractQName(name), 1), prefix = _d[0];
            namespace = this.node.lookupNamespaceURI(prefix);
          }
          var childNode = namespace !== void 0 && namespace !== null ? this._doc.createElementNS(namespace, name) : this._doc.createElement(name);
          this.node.appendChild(childNode);
          var builder = new XMLBuilderImpl2(childNode);
          var oldDocType = this._doc.doctype;
          if (childNode === this._doc.documentElement && oldDocType !== null) {
            var docType = this._doc.implementation.createDocumentType(this._doc.documentElement.tagName, oldDocType.publicId, oldDocType.systemId);
            this._doc.replaceChild(docType, oldDocType);
          }
          if (attributes && !util_1.isEmpty(attributes)) {
            builder.att(attributes);
          }
          return builder;
        };
        XMLBuilderImpl2.prototype.remove = function() {
          var parent = this.up();
          parent.node.removeChild(this.node);
          return parent;
        };
        XMLBuilderImpl2.prototype.att = function(p1, p2, p3) {
          var _a, _b, _c;
          var _this = this;
          if (util_1.isMap(p1) || util_1.isObject(p1)) {
            util_1.forEachObject(p1, function(attName, attValue) {
              return _this.att(attName, attValue);
            }, this);
            return this;
          }
          if (p1 !== void 0 && p1 !== null)
            p1 = util_1.getValue(p1 + "");
          if (p2 !== void 0 && p2 !== null)
            p2 = util_1.getValue(p2 + "");
          if (p3 !== void 0 && p3 !== null)
            p3 = util_1.getValue(p3 + "");
          var namespace;
          var name;
          var value;
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2) && (p3 === null || util_1.isString(p3))) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], value = _a[2];
          } else if (util_1.isString(p1) && (p2 == null || util_1.isString(p2))) {
            _b = __read([void 0, p1, p2], 3), namespace = _b[0], name = _b[1], value = _b[2];
          } else {
            throw new Error("Attribute name and value not specified. " + this._debugInfo());
          }
          if (this._options.keepNullAttributes && value == null) {
            value = "";
          } else if (value == null) {
            return this;
          }
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be assigned to an element node.");
          }
          var ele = this.node;
          _c = __read(this._extractNamespace(namespace, name, false), 2), namespace = _c[0], name = _c[1];
          name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
          namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
          value = dom_1.sanitizeInput(value, this._options.invalidCharReplacement);
          var _d = __read(algorithm_1.namespace_extractQName(name), 2), prefix = _d[0], localName = _d[1];
          var _e = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 1), elePrefix = _e[0];
          var eleNamespace = null;
          if (prefix === "xmlns") {
            namespace = infra_1.namespace.XMLNS;
            if (ele.namespaceURI === null && elePrefix === localName) {
              eleNamespace = value;
            }
          } else if (prefix === null && localName === "xmlns" && elePrefix === null) {
            namespace = infra_1.namespace.XMLNS;
            eleNamespace = value;
          }
          if (eleNamespace !== null) {
            this._updateNamespace(eleNamespace);
            ele = this.node;
          }
          if (namespace !== void 0) {
            ele.setAttributeNS(namespace, name, value);
          } else {
            ele.setAttribute(name, value);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.removeAtt = function(p1, p2) {
          var _this = this;
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be removed from an element node.");
          }
          p1 = util_1.getValue(p1);
          if (p2 !== void 0) {
            p2 = util_1.getValue(p2);
          }
          var namespace;
          var name;
          if (p1 !== null && p2 === void 0) {
            name = p1;
          } else if ((p1 === null || util_1.isString(p1)) && p2 !== void 0) {
            namespace = p1;
            name = p2;
          } else {
            throw new Error("Attribute namespace must be a string. " + this._debugInfo());
          }
          if (util_1.isArray(name) || util_1.isSet(name)) {
            util_1.forEachArray(name, function(attName) {
              return namespace === void 0 ? _this.removeAtt(attName) : _this.removeAtt(namespace, attName);
            }, this);
          } else if (namespace !== void 0) {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
            this.node.removeAttributeNS(namespace, name);
          } else {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            this.node.removeAttribute(name);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.txt = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createTextNode(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.com = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createComment(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.dat = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createCDATASection(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.ins = function(target, content) {
          var _this = this;
          if (content === void 0) {
            content = "";
          }
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          if (util_1.isArray(target) || util_1.isSet(target)) {
            util_1.forEachArray(target, function(item) {
              item += "";
              var insIndex = item.indexOf(" ");
              var insTarget = insIndex === -1 ? item : item.substr(0, insIndex);
              var insValue = insIndex === -1 ? "" : item.substr(insIndex + 1);
              _this.ins(insTarget, insValue);
            }, this);
          } else if (util_1.isMap(target) || util_1.isObject(target)) {
            util_1.forEachObject(target, function(insTarget, insValue) {
              return _this.ins(insTarget, insValue);
            }, this);
          } else {
            var child = this._doc.createProcessingInstruction(dom_1.sanitizeInput(target, this._options.invalidCharReplacement), dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
            this.node.appendChild(child);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.dec = function(options) {
          this._options.version = options.version || "1.0";
          this._options.encoding = options.encoding;
          this._options.standalone = options.standalone;
          return this;
        };
        XMLBuilderImpl2.prototype.dtd = function(options) {
          var name = dom_1.sanitizeInput(options && options.name || (this._doc.documentElement ? this._doc.documentElement.tagName : "ROOT"), this._options.invalidCharReplacement);
          var pubID = dom_1.sanitizeInput(options && options.pubID || "", this._options.invalidCharReplacement);
          var sysID = dom_1.sanitizeInput(options && options.sysID || "", this._options.invalidCharReplacement);
          if (this._doc.documentElement !== null && name !== this._doc.documentElement.tagName) {
            throw new Error("DocType name does not match document element name.");
          }
          var docType = this._doc.implementation.createDocumentType(name, pubID, sysID);
          if (this._doc.doctype !== null) {
            this._doc.replaceChild(docType, this._doc.doctype);
          } else {
            this._doc.insertBefore(docType, this._doc.documentElement);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.import = function(node) {
          var e_1, _a;
          var hostNode = this._domNode;
          var hostDoc = this._doc;
          var importedNode = node.node;
          if (util_2.Guard.isDocumentNode(importedNode)) {
            var elementNode = importedNode.documentElement;
            if (elementNode === null) {
              throw new Error("Imported document has no document element node. " + this._debugInfo());
            }
            var clone = hostDoc.importNode(elementNode, true);
            hostNode.appendChild(clone);
            var _b = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _b[0];
            var namespace = hostNode.lookupNamespaceURI(prefix);
            new XMLBuilderImpl2(clone)._updateNamespace(namespace);
          } else if (util_2.Guard.isDocumentFragmentNode(importedNode)) {
            try {
              for (var _c = __values(importedNode.childNodes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var childNode = _d.value;
                var clone = hostDoc.importNode(childNode, true);
                hostNode.appendChild(clone);
                if (util_2.Guard.isElementNode(clone)) {
                  var _e = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _e[0];
                  var namespace = hostNode.lookupNamespaceURI(prefix);
                  new XMLBuilderImpl2(clone)._updateNamespace(namespace);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var clone = hostDoc.importNode(importedNode, true);
            hostNode.appendChild(clone);
            if (util_2.Guard.isElementNode(clone)) {
              var _f = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _f[0];
              var namespace = hostNode.lookupNamespaceURI(prefix);
              new XMLBuilderImpl2(clone)._updateNamespace(namespace);
            }
          }
          return this;
        };
        XMLBuilderImpl2.prototype.doc = function() {
          if (this._doc._isFragment) {
            var node = this.node;
            while (node && node.nodeType !== interfaces_2.NodeType.DocumentFragment) {
              node = node.parentNode;
            }
            if (node === null) {
              throw new Error("Node has no parent node while searching for document fragment ancestor. " + this._debugInfo());
            }
            return new XMLBuilderImpl2(node);
          } else {
            return new XMLBuilderImpl2(this._doc);
          }
        };
        XMLBuilderImpl2.prototype.root = function() {
          var ele = this._doc.documentElement;
          if (!ele) {
            throw new Error("Document root element is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(ele);
        };
        XMLBuilderImpl2.prototype.up = function() {
          var parent = this._domNode.parentNode;
          if (!parent) {
            throw new Error("Parent node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(parent);
        };
        XMLBuilderImpl2.prototype.prev = function() {
          var node = this._domNode.previousSibling;
          if (!node) {
            throw new Error("Previous sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.next = function() {
          var node = this._domNode.nextSibling;
          if (!node) {
            throw new Error("Next sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.first = function() {
          var node = this._domNode.firstChild;
          if (!node) {
            throw new Error("First child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.last = function() {
          var node = this._domNode.lastChild;
          if (!node) {
            throw new Error("Last child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.each = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var nextResult = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
            callback.call(thisArg, new XMLBuilderImpl2(result[0]), result[1], result[2]);
            result = nextResult;
          }
          return this;
        };
        XMLBuilderImpl2.prototype.map = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            return result.push(callback.call(thisArg, node, index, level));
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.reduce = function(callback, initialValue, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var value = initialValue;
          this.each(function(node, index, level) {
            return value = callback.call(thisArg, value, node, index, level);
          }, self2, recursive);
          return value;
        };
        XMLBuilderImpl2.prototype.find = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return builder;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return void 0;
        };
        XMLBuilderImpl2.prototype.filter = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            if (predicate.call(thisArg, node, index, level)) {
              result.push(node);
            }
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.every = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (!predicate.call(thisArg, builder, result[1], result[2])) {
              return false;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return true;
        };
        XMLBuilderImpl2.prototype.some = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return true;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return false;
        };
        XMLBuilderImpl2.prototype.toArray = function(self2, recursive) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node) {
            return result.push(node);
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.toString = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.toObject = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "object";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.end = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this.doc()._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype._getFirstDescendantNode = function(root, self2, recursive) {
          if (self2)
            return [this._domNode, 0, 0];
          else if (recursive)
            return this._getNextDescendantNode(root, root, recursive, 0, 0);
          else
            return [this._domNode.firstChild, 0, 1];
        };
        XMLBuilderImpl2.prototype._getNextDescendantNode = function(root, node, recursive, index, level) {
          if (recursive) {
            if (node.firstChild)
              return [node.firstChild, 0, level + 1];
            if (node === root)
              return [null, -1, -1];
            if (node.nextSibling)
              return [node.nextSibling, index + 1, level];
            var parent = node.parentNode;
            while (parent && parent !== root) {
              if (parent.nextSibling)
                return [parent.nextSibling, algorithm_1.tree_index(parent.nextSibling), level - 1];
              parent = parent.parentNode;
              level--;
            }
          } else {
            if (root === node)
              return [node.firstChild, 0, level + 1];
            else
              return [node.nextSibling, index + 1, level];
          }
          return [null, -1, -1];
        };
        XMLBuilderImpl2.prototype._serialize = function(writerOptions) {
          if (writerOptions.format === "xml") {
            var writer = new writers_1.XMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "map") {
            var writer = new writers_1.MapWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "object") {
            var writer = new writers_1.ObjectWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "json") {
            var writer = new writers_1.JSONWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "yaml") {
            var writer = new writers_1.YAMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else {
            throw new Error("Invalid writer format: " + writerOptions.format + ". " + this._debugInfo());
          }
        };
        XMLBuilderImpl2.prototype._extractNamespace = function(namespace, name, ele) {
          var atIndex = name.indexOf("@");
          if (atIndex > 0) {
            if (namespace === void 0)
              namespace = name.slice(atIndex + 1);
            name = name.slice(0, atIndex);
          }
          if (namespace === void 0) {
            namespace = ele ? this._options.defaultNamespace.ele : this._options.defaultNamespace.att;
          } else if (namespace !== null && namespace[0] === "@") {
            var alias = namespace.slice(1);
            namespace = this._options.namespaceAlias[alias];
            if (namespace === void 0) {
              throw new Error("Namespace alias `" + alias + "` is not defined. " + this._debugInfo());
            }
          }
          return [namespace, name];
        };
        XMLBuilderImpl2.prototype._updateNamespace = function(ns) {
          var e_2, _a, e_3, _b;
          var ele = this._domNode;
          if (util_2.Guard.isElementNode(ele) && ns !== null && ele.namespaceURI !== ns) {
            var _c = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 2), elePrefix = _c[0], eleLocalName = _c[1];
            var newEle = algorithm_1.create_element(this._doc, eleLocalName, ns, elePrefix);
            try {
              for (var _d = __values(ele.attributes), _e = _d.next(); !_e.done; _e = _d.next()) {
                var attr = _e.value;
                var attrQName = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                var _f = __read(algorithm_1.namespace_extractQName(attrQName), 1), attrPrefix = _f[0];
                var newAttrNS = attr.namespaceURI;
                if (newAttrNS === null && attrPrefix !== null) {
                  newAttrNS = ele.lookupNamespaceURI(attrPrefix);
                }
                if (newAttrNS === null) {
                  newEle.setAttribute(attrQName, attr.value);
                } else {
                  newEle.setAttributeNS(newAttrNS, attrQName, attr.value);
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            var parent = ele.parentNode;
            if (parent === null) {
              throw new Error("Parent node is null." + this._debugInfo());
            }
            parent.replaceChild(newEle, ele);
            this._domNode = newEle;
            try {
              for (var _g = __values(ele.childNodes), _h = _g.next(); !_h.done; _h = _g.next()) {
                var childNode = _h.value;
                var newChildNode = childNode.cloneNode(true);
                newEle.appendChild(newChildNode);
                if (util_2.Guard.isElementNode(newChildNode)) {
                  var _j = __read(algorithm_1.namespace_extractQName(newChildNode.prefix ? newChildNode.prefix + ":" + newChildNode.localName : newChildNode.localName), 1), newChildNodePrefix = _j[0];
                  var newChildNodeNS = newEle.lookupNamespaceURI(newChildNodePrefix);
                  new XMLBuilderImpl2(newChildNode)._updateNamespace(newChildNodeNS);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_doc", {
          /**
           * Returns the document owning this node.
           */
          get: function() {
            var node = this.node;
            if (util_2.Guard.isDocumentNode(node)) {
              return node;
            } else {
              var docNode = node.ownerDocument;
              if (!docNode)
                throw new Error("Owner document is null. " + this._debugInfo());
              return docNode;
            }
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype._debugInfo = function(name) {
          var node = this.node;
          var parentNode = node.parentNode;
          name = name || node.nodeName;
          var parentName = parentNode ? parentNode.nodeName : "";
          if (!parentName) {
            return "node: <" + name + ">";
          } else {
            return "node: <" + name + ">, parent: <" + parentName + ">";
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_options", {
          /**
           * Gets or sets builder options.
           */
          get: function() {
            var doc = this._doc;
            if (doc._xmlBuilderOptions === void 0) {
              throw new Error("Builder options is not set.");
            }
            return doc._xmlBuilderOptions;
          },
          set: function(value) {
            var doc = this._doc;
            doc._xmlBuilderOptions = value;
          },
          enumerable: true,
          configurable: true
        });
        return XMLBuilderImpl2;
      }()
    );
    exports2.XMLBuilderImpl = XMLBuilderImpl;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js
var require_BuilderFunctions2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces5();
    var util_1 = require_lib7();
    var util_2 = require_util10();
    var _1 = require_builder2();
    var dom_1 = require_dom4();
    function builder(p1, p2) {
      var options = formatBuilderOptions(isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var nodes = util_2.Guard.isNode(p1) || util_1.isArray(p1) ? p1 : p2;
      if (nodes === void 0) {
        throw new Error("Invalid arguments.");
      }
      if (util_1.isArray(nodes)) {
        var builders = [];
        for (var i = 0; i < nodes.length; i++) {
          var builder_1 = new _1.XMLBuilderImpl(nodes[i]);
          builder_1.set(options);
          builders.push(builder_1);
        }
        return builders;
      } else {
        var builder_2 = new _1.XMLBuilderImpl(nodes);
        builder_2.set(options);
        return builder_2;
      }
    }
    exports2.builder = builder;
    function create(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options);
      var builder2 = new _1.XMLBuilderImpl(doc);
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.create = create;
    function fragment(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options, true);
      var builder2 = new _1.XMLBuilderImpl(doc.createDocumentFragment());
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.fragment = fragment;
    function convert(p1, p2, p3) {
      var builderOptions;
      var contents;
      var convertOptions;
      if (isXMLBuilderCreateOptions(p1) && p2 !== void 0) {
        builderOptions = p1;
        contents = p2;
        convertOptions = p3;
      } else {
        builderOptions = interfaces_1.DefaultBuilderOptions;
        contents = p1;
        convertOptions = p2 || void 0;
      }
      return create(builderOptions, contents).end(convertOptions);
    }
    exports2.convert = convert;
    function isXMLBuilderCreateOptions(obj) {
      if (!util_1.isPlainObject(obj))
        return false;
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          if (!interfaces_1.XMLBuilderOptionKeys.has(key))
            return false;
        }
      }
      return true;
    }
    function formatBuilderOptions(createOptions) {
      if (createOptions === void 0) {
        createOptions = {};
      }
      var options = util_1.applyDefaults(createOptions, interfaces_1.DefaultBuilderOptions);
      if (options.convert.att.length === 0 || options.convert.ins.length === 0 || options.convert.text.length === 0 || options.convert.cdata.length === 0 || options.convert.comment.length === 0) {
        throw new Error("JS object converter strings cannot be zero length.");
      }
      return options;
    }
    function setOptions(doc, options, isFragment) {
      var docWithSettings = doc;
      docWithSettings._xmlBuilderOptions = options;
      docWithSettings._isFragment = isFragment;
    }
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js
var require_BaseCBWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter = (
      /** @class */
      function() {
        function BaseCBWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
          this._writerOptions = builderOptions;
        }
        return BaseCBWriter2;
      }()
    );
    exports2.BaseCBWriter = BaseCBWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js
var require_XMLCBWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter2();
    var XMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(XMLCBWriter2, _super);
        function XMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._lineLength = 0;
          return _this;
        }
        XMLCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        XMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          var markup = this._beginLine() + "<?xml";
          markup += ' version="' + version + '"';
          if (encoding !== void 0) {
            markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          markup += "?>";
          return markup;
        };
        XMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          var markup = this._beginLine();
          if (publicId && systemId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            markup += "<!DOCTYPE " + name + ">";
          }
          return markup;
        };
        XMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + "<!--" + data + "-->";
        };
        XMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + data;
        };
        XMLCBWriter2.prototype.instruction = function(target, data) {
          if (data) {
            return this._beginLine() + "<?" + target + " " + data + "?>";
          } else {
            return this._beginLine() + "<?" + target + "?>";
          }
        };
        XMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + "<![CDATA[" + data + "]]>";
        };
        XMLCBWriter2.prototype.openTagBegin = function(name) {
          this._lineLength += 1 + name.length;
          return this._beginLine() + "<" + name;
        };
        XMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (voidElement) {
            return " />";
          } else if (selfClosing) {
            if (this._writerOptions.allowEmptyTags) {
              return "></" + name + ">";
            } else if (this._writerOptions.spaceBeforeSlash) {
              return " />";
            } else {
              return "/>";
            }
          } else {
            return ">";
          }
        };
        XMLCBWriter2.prototype.closeTag = function(name) {
          return this._beginLine() + "</" + name + ">";
        };
        XMLCBWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._lineLength + 1 + str.length > this._writerOptions.width) {
            str = this._beginLine() + this._indent(1) + str;
            this._lineLength = str.length;
            return str;
          } else {
            this._lineLength += 1 + str.length;
            return " " + str;
          }
        };
        XMLCBWriter2.prototype.beginElement = function(name) {
        };
        XMLCBWriter2.prototype.endElement = function(name) {
        };
        XMLCBWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint) {
            var str = (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level);
            this._lineLength = str.length;
            return str;
          } else {
            return "";
          }
        };
        XMLCBWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level);
          }
        };
        return XMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.XMLCBWriter = XMLCBWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js
var require_JSONCBWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter2();
    var JSONCBWriter = (
      /** @class */
      function(_super) {
        __extends(JSONCBWriter2, _super);
        function JSONCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._hasChildren = [];
          _this._additionalLevel = 0;
          return _this;
        }
        JSONCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        JSONCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        JSONCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        JSONCBWriter2.prototype.comment = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.comment) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.text = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.text) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.instruction = function(target, data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.ins) + this._sep() + this._val(data ? target + " " + data : target) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.cdata = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.cdata) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.attribute = function(name, value) {
          return this._comma() + this._beginLine(1) + "{" + this._sep() + this._key(this._builderOptions.convert.att + name) + this._sep() + this._val(value) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._comma() + this._beginLine() + "{" + this._sep() + this._key(name) + this._sep() + "{";
          this._additionalLevel++;
          this.hasData = true;
          str += this._beginLine() + this._key(this._builderOptions.convert.text) + this._sep() + "[";
          this._hasChildren.push(false);
          return str;
        };
        JSONCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            var str = this._sep() + "]";
            this._additionalLevel--;
            str += this._beginLine() + "}" + this._sep() + "}";
            return str;
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype.closeTag = function(name) {
          var str = this._beginLine() + "]";
          this._additionalLevel--;
          str += this._beginLine() + "}" + this._sep() + "}";
          return str;
        };
        JSONCBWriter2.prototype.beginElement = function(name) {
        };
        JSONCBWriter2.prototype.endElement = function(name) {
          this._hasChildren.pop();
        };
        JSONCBWriter2.prototype._beginLine = function(additionalOffset) {
          if (additionalOffset === void 0) {
            additionalOffset = 0;
          }
          if (this._writerOptions.prettyPrint) {
            return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level + additionalOffset);
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype._indent = function(level) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level + this._additionalLevel);
          }
        };
        JSONCBWriter2.prototype._comma = function() {
          var str = this._hasChildren[this._hasChildren.length - 1] ? "," : "";
          if (this._hasChildren.length > 0) {
            this._hasChildren[this._hasChildren.length - 1] = true;
          }
          return str;
        };
        JSONCBWriter2.prototype._sep = function() {
          return this._writerOptions.prettyPrint ? " " : "";
        };
        JSONCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return JSONCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.JSONCBWriter = JSONCBWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js
var require_YAMLCBWriter2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter2();
    var YAMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLCBWriter2, _super);
        function YAMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._rootWritten = false;
          _this._additionalLevel = 0;
          if (builderOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (builderOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLCBWriter2.prototype.frontMatter = function() {
          return this._beginLine() + "---";
        };
        YAMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        YAMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        YAMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.comment) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.text) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.instruction = function(target, data) {
          return this._beginLine() + this._key(this._builderOptions.convert.ins) + " " + this._val(data ? target + " " + data : target);
        };
        YAMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.cdata) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.attribute = function(name, value) {
          this._additionalLevel++;
          var str = this._beginLine() + this._key(this._builderOptions.convert.att + name) + " " + this._val(value);
          this._additionalLevel--;
          return str;
        };
        YAMLCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._beginLine() + this._key(name);
          if (!this._rootWritten) {
            this._rootWritten = true;
          }
          this.hasData = true;
          this._additionalLevel++;
          str += this._beginLine(true) + this._key(this._builderOptions.convert.text);
          return str;
        };
        YAMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            return " " + this._val("");
          }
          return "";
        };
        YAMLCBWriter2.prototype.closeTag = function(name) {
          this._additionalLevel--;
          return "";
        };
        YAMLCBWriter2.prototype.beginElement = function(name) {
        };
        YAMLCBWriter2.prototype.endElement = function(name) {
        };
        YAMLCBWriter2.prototype._beginLine = function(suppressArray) {
          if (suppressArray === void 0) {
            suppressArray = false;
          }
          return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level, suppressArray);
        };
        YAMLCBWriter2.prototype._indent = function(level, suppressArray) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            var chars = this._writerOptions.indent.repeat(level + this._additionalLevel);
            if (!suppressArray && this._rootWritten) {
              return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
            }
            return chars;
          }
        };
        YAMLCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.YAMLCBWriter = YAMLCBWriter;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js
var require_XMLBuilderCBImpl2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces5();
    var util_1 = require_lib7();
    var BuilderFunctions_1 = require_BuilderFunctions2();
    var algorithm_1 = require_algorithm2();
    var infra_1 = require_lib8();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap2();
    var LocalNameSet_1 = require_LocalNameSet2();
    var util_2 = require_util10();
    var XMLCBWriter_1 = require_XMLCBWriter2();
    var JSONCBWriter_1 = require_JSONCBWriter2();
    var YAMLCBWriter_1 = require_YAMLCBWriter2();
    var events_1 = require("events");
    var XMLBuilderCBImpl = (
      /** @class */
      function(_super) {
        __extends(XMLBuilderCBImpl2, _super);
        function XMLBuilderCBImpl2(options, fragment) {
          if (fragment === void 0) {
            fragment = false;
          }
          var _this = _super.call(this) || this;
          _this._hasDeclaration = false;
          _this._docTypeName = "";
          _this._hasDocumentElement = false;
          _this._currentElementSerialized = false;
          _this._openTags = [];
          _this._ended = false;
          _this._fragment = fragment;
          _this._options = util_1.applyDefaults(options || {}, interfaces_1.DefaultXMLBuilderCBOptions);
          _this._builderOptions = {
            defaultNamespace: _this._options.defaultNamespace,
            namespaceAlias: _this._options.namespaceAlias
          };
          if (_this._options.format === "json") {
            _this._writer = new JSONCBWriter_1.JSONCBWriter(_this._options);
          } else if (_this._options.format === "yaml") {
            _this._writer = new YAMLCBWriter_1.YAMLCBWriter(_this._options);
          } else {
            _this._writer = new XMLCBWriter_1.XMLCBWriter(_this._options);
          }
          if (_this._options.data !== void 0) {
            _this.on("data", _this._options.data);
          }
          if (_this._options.end !== void 0) {
            _this.on("end", _this._options.end);
          }
          if (_this._options.error !== void 0) {
            _this.on("error", _this._options.error);
          }
          _this._prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
          _this._prefixMap.set("xml", infra_1.namespace.XML);
          _this._prefixIndex = { value: 1 };
          _this._push(_this._writer.frontMatter());
          return _this;
        }
        XMLBuilderCBImpl2.prototype.ele = function(p1, p2, p3) {
          var e_1, _a;
          if (util_1.isObject(p1) || util_1.isString(p1) && (/^\s*</.test(p1) || /^\s*[\{\[]/.test(p1) || /^(\s*|(#.*)|(%.*))*---/.test(p1))) {
            var frag = BuilderFunctions_1.fragment().set(this._options);
            try {
              frag.ele(p1);
            } catch (err) {
              this.emit("error", err);
              return this;
            }
            try {
              for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                this._fromNode(node);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return this;
          }
          this._serializeOpenTag(true);
          if (!this._fragment && this._hasDocumentElement && this._writer.level === 0) {
            this.emit("error", new Error("Document cannot have multiple document element nodes."));
            return this;
          }
          try {
            this._currentElement = BuilderFunctions_1.fragment(this._builderOptions).ele(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (!this._fragment && !this._hasDocumentElement && this._docTypeName !== "" && this._currentElement.node._qualifiedName !== this._docTypeName) {
            this.emit("error", new Error("Document element name does not match DocType declaration name."));
            return this;
          }
          this._currentElementSerialized = false;
          if (!this._fragment) {
            this._hasDocumentElement = true;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.att = function(p1, p2, p3) {
          if (this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert an attribute node as child of a document node."));
            return this;
          }
          try {
            this._currentElement.att(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.com = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).com(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            this.emit("error", new Error("Comment data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.comment(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.txt = function(content) {
          if (!this._fragment && this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert a text node as child of a document node."));
            return this;
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).txt(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", new Error("Text data contains invalid characters (well-formed required)."));
            return this;
          }
          var markup = node.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this._push(this._writer.text(markup));
          return this;
        };
        XMLBuilderCBImpl2.prototype.ins = function(target, content) {
          if (content === void 0) {
            content = "";
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).ins(target, content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            this.emit("error", new Error("Processing instruction target contains invalid characters (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", Error("Processing instruction data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.instruction(node.target, node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dat = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).dat(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          this._push(this._writer.cdata(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dec = function(options) {
          if (options === void 0) {
            options = { version: "1.0" };
          }
          if (this._fragment) {
            this.emit("error", Error("Cannot insert an XML declaration into a document fragment."));
            return this;
          }
          if (this._hasDeclaration) {
            this.emit("error", Error("XML declaration is already inserted."));
            return this;
          }
          this._push(this._writer.declaration(options.version || "1.0", options.encoding, options.standalone));
          this._hasDeclaration = true;
          return this;
        };
        XMLBuilderCBImpl2.prototype.dtd = function(options) {
          if (this._fragment) {
            this.emit("error", Error("Cannot insert a DocType declaration into a document fragment."));
            return this;
          }
          if (this._docTypeName !== "") {
            this.emit("error", new Error("DocType declaration is already inserted."));
            return this;
          }
          if (this._hasDocumentElement) {
            this.emit("error", new Error("Cannot insert DocType declaration after document element."));
            return this;
          }
          var node;
          try {
            node = BuilderFunctions_1.create().dtd(options).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            this.emit("error", new Error("DocType public identifier does not match PubidChar construct (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            this.emit("error", new Error("DocType system identifier contains invalid characters (well-formed required)."));
            return this;
          }
          this._docTypeName = options.name;
          this._push(this._writer.docType(options.name, node.publicId, node.systemId));
          return this;
        };
        XMLBuilderCBImpl2.prototype.import = function(node) {
          var e_2, _a;
          var frag = BuilderFunctions_1.fragment().set(this._options);
          try {
            frag.import(node);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          try {
            for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node_1 = _c.value;
              this._fromNode(node_1);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.up = function() {
          this._serializeOpenTag(false);
          this._serializeCloseTag();
          return this;
        };
        XMLBuilderCBImpl2.prototype.end = function() {
          this._serializeOpenTag(false);
          while (this._openTags.length > 0) {
            this._serializeCloseTag();
          }
          this._push(null);
          return this;
        };
        XMLBuilderCBImpl2.prototype._serializeOpenTag = function(hasChildren) {
          if (this._currentElementSerialized)
            return;
          if (this._currentElement === void 0)
            return;
          var node = this._currentElement.node;
          if (this._options.wellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            this.emit("error", new Error("Node local name contains invalid characters (well-formed required)."));
            return;
          }
          var qualifiedName = "";
          var ignoreNamespaceDefinitionAttribute = false;
          var map = this._prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = this._openTags.length === 0 ? null : this._openTags[this._openTags.length - 1][1];
          var ns = node.namespaceURI;
          if (ns === null)
            ns = inheritedNS;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this._writer.beginElement(qualifiedName);
            this._push(this._writer.openTagBegin(qualifiedName));
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (this._options.wellFormed) {
                this.emit("error", new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));
                return;
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, this._prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns:" + prefix, this._serializeAttributeValue(ns, this._options.wellFormed)));
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns", this._serializeAttributeValue(ns, this._options.wellFormed)));
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            }
          }
          this._serializeAttributes(node, map, this._prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, this._options.wellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && !hasChildren && XMLBuilderCBImpl2._VoidElementNames.has(node.localName)) {
            this._push(this._writer.openTagEnd(qualifiedName, true, true));
            this._writer.endElement(qualifiedName);
          } else if (!isHTML && !hasChildren) {
            this._push(this._writer.openTagEnd(qualifiedName, true, false));
            this._writer.endElement(qualifiedName);
          } else {
            this._push(this._writer.openTagEnd(qualifiedName, false, false));
          }
          this._currentElementSerialized = true;
          this._openTags.push([qualifiedName, inheritedNS, this._prefixMap, hasChildren]);
          if (this._isPrefixMapModified(this._prefixMap, map)) {
            this._prefixMap = map;
          }
          this._writer.level++;
        };
        XMLBuilderCBImpl2.prototype._serializeCloseTag = function() {
          this._writer.level--;
          var lastEle = this._openTags.pop();
          if (lastEle === void 0) {
            this.emit("error", new Error("Last element is undefined."));
            return;
          }
          var _a = __read(lastEle, 4), qualifiedName = _a[0], ns = _a[1], map = _a[2], hasChildren = _a[3];
          this._prefixMap = map;
          if (!hasChildren)
            return;
          this._push(this._writer.closeTag(qualifiedName));
          this._writer.endElement(qualifiedName);
        };
        XMLBuilderCBImpl2.prototype._push = function(data) {
          if (data === null) {
            this._ended = true;
            this.emit("end");
          } else if (this._ended) {
            this.emit("error", new Error("Cannot push to ended stream."));
          } else if (data.length !== 0) {
            this._writer.hasData = true;
            this.emit("data", data, this._writer.level);
          }
        };
        XMLBuilderCBImpl2.prototype._fromNode = function(node) {
          var e_3, _a, e_4, _b;
          if (util_2.Guard.isElementNode(node)) {
            var name = node.prefix ? node.prefix + ":" + node.localName : node.localName;
            if (node.namespaceURI !== null) {
              this.ele(node.namespaceURI, name);
            } else {
              this.ele(name);
            }
            try {
              for (var _c = __values(node.attributes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var attr = _d.value;
                var name_1 = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                if (attr.namespaceURI !== null) {
                  this.att(attr.namespaceURI, name_1, attr.value);
                } else {
                  this.att(name_1, attr.value);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
            try {
              for (var _e = __values(node.childNodes), _f = _e.next(); !_f.done; _f = _e.next()) {
                var child = _f.value;
                this._fromNode(child);
              }
            } catch (e_4_1) {
              e_4 = { error: e_4_1 };
            } finally {
              try {
                if (_f && !_f.done && (_b = _e.return))
                  _b.call(_e);
              } finally {
                if (e_4)
                  throw e_4.error;
              }
            }
            this.up();
          } else if (util_2.Guard.isExclusiveTextNode(node) && node.data) {
            this.txt(node.data);
          } else if (util_2.Guard.isCommentNode(node)) {
            this.com(node.data);
          } else if (util_2.Guard.isCDATASectionNode(node)) {
            this.dat(node.data);
          } else if (util_2.Guard.isProcessingInstructionNode(node)) {
            this.ins(node.target, node.data);
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributes = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_5, _a;
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                this._push(this._writer.attribute(attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                this.emit("error", new Error("Element contains duplicate attributes (well-formed required)."));
                return;
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    this.emit("error", new Error("XMLNS namespace is reserved (well-formed required)."));
                    return;
                  }
                  if (requireWellFormed && attr.value === "") {
                    this.emit("error", new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));
                    return;
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  this._push(this._writer.attribute("xmlns:" + candidatePrefix, this._serializeAttributeValue(attributeNamespace, this._options.wellFormed)));
                }
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                this.emit("error", new Error("Attribute local name contains invalid characters (well-formed required)."));
                return;
              }
              this._push(this._writer.attribute((candidatePrefix !== null ? candidatePrefix + ":" : "") + attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            this.emit("error", new Error("Invalid characters in attribute value."));
            return "";
          }
          if (value === null)
            return "";
          return value.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        XMLBuilderCBImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_6, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLBuilderCBImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLBuilderCBImpl2.prototype._isPrefixMapModified = function(originalMap, newMap) {
          var items1 = originalMap._items;
          var items2 = newMap._items;
          var nullItems1 = originalMap._nullItems;
          var nullItems2 = newMap._nullItems;
          for (var key in items2) {
            var arr1 = items1[key];
            if (arr1 === void 0)
              return true;
            var arr2 = items2[key];
            if (arr1.length !== arr2.length)
              return true;
            for (var i = 0; i < arr1.length; i++) {
              if (arr1[i] !== arr2[i])
                return true;
            }
          }
          if (nullItems1.length !== nullItems2.length)
            return true;
          for (var i = 0; i < nullItems1.length; i++) {
            if (nullItems1[i] !== nullItems2[i])
              return true;
          }
          return false;
        };
        XMLBuilderCBImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLBuilderCBImpl2;
      }(events_1.EventEmitter)
    );
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js
var require_BuilderFunctionsCB2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _1 = require_builder2();
    function createCB(options) {
      return new _1.XMLBuilderCBImpl(options);
    }
    exports2.createCB = createCB;
    function fragmentCB(options) {
      return new _1.XMLBuilderCBImpl(options, true);
    }
    exports2.fragmentCB = fragmentCB;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/index.js
var require_builder2 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/builder/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLBuilderImpl_1 = require_XMLBuilderImpl2();
    exports2.XMLBuilderImpl = XMLBuilderImpl_1.XMLBuilderImpl;
    var XMLBuilderCBImpl_1 = require_XMLBuilderCBImpl2();
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl_1.XMLBuilderCBImpl;
    var BuilderFunctions_1 = require_BuilderFunctions2();
    exports2.builder = BuilderFunctions_1.builder;
    exports2.create = BuilderFunctions_1.create;
    exports2.fragment = BuilderFunctions_1.fragment;
    exports2.convert = BuilderFunctions_1.convert;
    var BuilderFunctionsCB_1 = require_BuilderFunctionsCB2();
    exports2.createCB = BuilderFunctionsCB_1.createCB;
    exports2.fragmentCB = BuilderFunctionsCB_1.fragmentCB;
  }
});

// ../../components/source-repositories/node_modules/xmlbuilder2/lib/index.js
var require_lib10 = __commonJS({
  "../../components/source-repositories/node_modules/xmlbuilder2/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var builder_1 = require_builder2();
    exports2.builder = builder_1.builder;
    exports2.create = builder_1.create;
    exports2.fragment = builder_1.fragment;
    exports2.convert = builder_1.convert;
    exports2.createCB = builder_1.createCB;
    exports2.fragmentCB = builder_1.fragmentCB;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/xmlfile.js
var require_xmlfile2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/xmlfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.XmlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var xmlbuilder2_1 = require_lib10();
    var object_file_1 = require_object_file2();
    var XmlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const obj = super.synthesizeContent(resolver);
        if (!obj) {
          return void 0;
        }
        const xmlString = (0, xmlbuilder2_1.create)({ encoding: "UTF-8" }, obj).end({
          prettyPrint: true,
          indent: " ".repeat(4)
        });
        return [
          xmlString,
          ...this.marker ? [`<!-- ${this.marker} -->`] : []
        ].join("\n");
      }
    };
    exports2.XmlFile = XmlFile;
    _a = JSII_RTTI_SYMBOL_1;
    XmlFile[_a] = { fqn: "projen.XmlFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/web/tailwind.js
var require_tailwind2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/web/tailwind.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TailwindConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var json_1 = require_json3();
    var TailwindConfig = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "tailwind.config.json";
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: {
            purge: [],
            darkMode: false,
            theme: {
              extend: {}
            },
            variants: {
              extend: {}
            },
            plugins: []
          }
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.TailwindConfig = TailwindConfig;
    _a = JSII_RTTI_SYMBOL_1;
    TailwindConfig[_a] = { fqn: "projen.web.TailwindConfig", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/web/postcss.js
var require_postcss2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/web/postcss.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PostCss = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var tailwind_1 = require_tailwind2();
    var json_1 = require_json3();
    var PostCss = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "postcss.config.json";
        project.addDeps("postcss");
        const config = { plugins: {} };
        if (options?.tailwind ?? true) {
          config.plugins.tailwindcss = {};
          config.plugins.autoprefixer = {};
          this.tailwind = new tailwind_1.TailwindConfig(project, options?.tailwindOptions);
          config.plugins.tailwindcss.config = this.tailwind.fileName;
          project.addDeps("tailwindcss", "autoprefixer");
        }
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: config,
          marker: false
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.PostCss = PostCss;
    _a = JSII_RTTI_SYMBOL_1;
    PostCss[_a] = { fqn: "projen.web.PostCss", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/util.js
var require_util11 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tryResolveDependencyVersion = exports2.tryResolveModuleManifest = exports2.tryResolveManifestPathFromSearch = exports2.tryResolveManifestPathFromPath = exports2.tryResolveManifestPathFromDefaultExport = exports2.tryResolveModuleManifestPath = exports2.tryResolveModule = exports2.minVersion = exports2.extractCodeArtifactDetails = exports2.codeArtifactRegex = exports2.renderBundleName = void 0;
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver6();
    var util_1 = require_util8();
    function renderBundleName(entrypoint) {
      const parts = (0, path_1.join)(entrypoint).split(path_1.sep);
      if (parts[0] === "src") {
        parts.shift();
      }
      const p = parts.join(path_1.sep);
      const dir = (0, path_1.dirname)(p);
      const base = (0, path_1.basename)(p, (0, path_1.extname)(p));
      return (0, path_1.join)(dir, base);
    }
    exports2.renderBundleName = renderBundleName;
    exports2.codeArtifactRegex = /^https:\/\/(?<registry>(?<domain>[^\.]+)-(?<accountId>\d{12})\.d\.codeartifact\.(?<region>[^\.]+).*\.amazonaws\.com\/.*\/(?<repository>[^\/.]+)\/)/;
    function extractCodeArtifactDetails(registryUrl) {
      const match = registryUrl.match(exports2.codeArtifactRegex);
      if (match?.groups) {
        const { domain, accountId, region, repository, registry } = match.groups;
        return { domain, accountId, region, repository, registry };
      }
      throw new Error("Could not get CodeArtifact details from npm Registry");
    }
    exports2.extractCodeArtifactDetails = extractCodeArtifactDetails;
    function minVersion(version) {
      if (semver.validRange(version)) {
        return semver.minVersion(version)?.version;
      } else {
        return version;
      }
    }
    exports2.minVersion = minVersion;
    function tryResolveModule(moduleId, options) {
      try {
        return require.resolve(moduleId, options);
      } catch {
        return void 0;
      }
    }
    exports2.tryResolveModule = tryResolveModule;
    function tryResolveModuleManifestPath(moduleId, options) {
      const manifestId = `${moduleId}/package.json`;
      return tryResolveModule(manifestId, options);
    }
    exports2.tryResolveModuleManifestPath = tryResolveModuleManifestPath;
    function tryResolveManifestPathFromDefaultExport(moduleId, options) {
      const defaultExportPath = tryResolveModule(moduleId, options);
      if (!defaultExportPath) {
        return void 0;
      }
      const moduleDir = (0, util_1.findUp)("package.json", defaultExportPath);
      if (!moduleDir) {
        return void 0;
      }
      return (0, path_1.join)(moduleDir, "package.json");
    }
    exports2.tryResolveManifestPathFromDefaultExport = tryResolveManifestPathFromDefaultExport;
    function tryResolveManifestPathFromPath(moduleId, basePath) {
      const base = basePath.includes("node_modules") ? basePath : (0, path_1.join)(basePath, "node_modules");
      const filePath = (0, path_1.resolve)(base, ...moduleId.split("/"), "package.json");
      if ((0, fs_1.existsSync)(filePath)) {
        return filePath;
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromPath = tryResolveManifestPathFromPath;
    function tryResolveManifestPathFromSearch(moduleId, options) {
      const searchPaths = [
        ...options?.paths ?? [],
        ...require.resolve.paths(moduleId) ?? []
      ];
      for (const path of searchPaths) {
        const result = tryResolveManifestPathFromPath(moduleId, path);
        if (result) {
          return result;
        }
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromSearch = tryResolveManifestPathFromSearch;
    function tryResolveModuleManifest(moduleId, options) {
      const strategies = [
        tryResolveModuleManifestPath,
        tryResolveManifestPathFromDefaultExport,
        tryResolveManifestPathFromSearch
      ];
      for (const strategy of strategies) {
        const result = strategy(moduleId, options);
        if (result) {
          try {
            const manifest = JSON.parse((0, fs_1.readFileSync)(result, "utf8"));
            if (manifest.name === moduleId) {
              return manifest;
            }
          } catch {
          }
        }
      }
      return void 0;
    }
    exports2.tryResolveModuleManifest = tryResolveModuleManifest;
    function tryResolveDependencyVersion(dependencyName, options) {
      const manifest = tryResolveModuleManifest(dependencyName, options);
      if (!manifest) {
        return void 0;
      }
      return manifest?.version;
    }
    exports2.tryResolveDependencyVersion = tryResolveDependencyVersion;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/bundler.js
var require_bundler2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/bundler.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Bundler = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var util_1 = require_util11();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var Bundler = class _Bundler extends component_1.Component {
      /**
       * Returns the `Bundler` instance associated with a project or `undefined` if
       * there is no Bundler.
       * @param project The project
       * @returns A bundler
       */
      static of(project) {
        const isBundler = (o) => o instanceof _Bundler;
        return project.components.find(isBundler);
      }
      /**
       * Creates a `Bundler`.
       */
      constructor(project, options = {}) {
        super(project);
        this.esbuildVersion = options.esbuildVersion;
        this.bundledir = options.assetsDir ?? "assets";
        this.addToPreCompile = options.addToPreCompile ?? true;
        this.loaders = options.loaders;
      }
      /**
       * Gets or creates the singleton "bundle" task of the project.
       *
       * If the project doesn't have a "bundle" task, it will be created and spawned
       * during the pre-compile phase.
       */
      get bundleTask() {
        if (!this._task) {
          this.addBundlingSupport();
          this._task = this.project.tasks.addTask("bundle", {
            description: "Prepare assets"
          });
          if (this.addToPreCompile) {
            this.project.preCompileTask.spawn(this._task);
          }
        }
        return this._task;
      }
      /**
       * Adds a task to the project which bundles a specific entrypoint and all of
       * its dependencies into a single javascript output file.
       *
       * @param entrypoint The relative path of the artifact within the project
       * @param options Bundling options
       */
      addBundle(entrypoint, options) {
        const name = (0, util_1.renderBundleName)(entrypoint);
        const outdir = path.posix.join(this.bundledir, name);
        const outfile = path.posix.join(outdir, options.outfile ?? "index.js");
        const args = [
          "esbuild",
          "--bundle",
          entrypoint,
          `--target="${options.target}"`,
          `--platform="${options.platform}"`,
          `--outfile="${outfile}"`
        ];
        const tsconfig = options.tsconfigPath ?? false;
        if (tsconfig) {
          args.push(`--tsconfig="${tsconfig}"`);
        }
        for (const x of options.externals ?? []) {
          args.push(`--external:${x}`);
        }
        const sourcemap = options.sourcemap ?? false;
        if (sourcemap) {
          args.push("--sourcemap");
        }
        const loaders = options.loaders ?? false ? options.loaders : this.loaders ?? false;
        if (loaders) {
          for (let [extension, loader] of Object.entries(loaders)) {
            args.push(`--loader:.${extension}=${loader}`);
          }
        }
        const bundleTask = this.project.addTask(`bundle:${name}`, {
          description: `Create a JavaScript bundle from ${entrypoint}`,
          exec: args.join(" ")
        });
        this.bundleTask.spawn(bundleTask);
        if (options.executable ?? false) {
          bundleTask.exec(`chmod +x ${outfile}`);
        }
        let watchTask;
        const watch = options.watchTask ?? true;
        if (watch) {
          watchTask = this.project.addTask(`bundle:${name}:watch`, {
            description: `Continuously update the JavaScript bundle from ${entrypoint}`,
            exec: `${args.join(" ")} --watch`
          });
        }
        return {
          bundleTask,
          watchTask,
          outdir,
          outfile
        };
      }
      /**
       * Add bundling support to a project. This is called implicitly when
       * `bundleTask` is referenced first. It adds the dependency on `esbuild`,
       * gitignore/npmignore, etc.
       */
      addBundlingSupport() {
        const ignoreEntry = `/${this.bundledir}/`;
        this.project.addGitIgnore(ignoreEntry);
        this.project.addPackageIgnore(`!${ignoreEntry}`);
        const dep = this.esbuildVersion ? `esbuild@${this.esbuildVersion}` : "esbuild";
        this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
      }
    };
    exports2.Bundler = Bundler;
    _a = JSII_RTTI_SYMBOL_1;
    Bundler[_a] = { fqn: "projen.javascript.Bundler", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/prettier.js
var require_prettier2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/prettier.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Prettier = exports2.TrailingComma = exports2.QuoteProps = exports2.ProseWrap = exports2.HTMLWhitespaceSensitivity = exports2.EndOfLine = exports2.EmbeddedLanguageFormatting = exports2.ArrowParens = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var ignore_file_1 = require_ignore_file2();
    var json_1 = require_json3();
    var source_code_1 = require_source_code2();
    var yaml_1 = require_yaml2();
    var ArrowParens;
    (function(ArrowParens2) {
      ArrowParens2["ALWAYS"] = "always";
      ArrowParens2["AVOID"] = "avoid";
    })(ArrowParens || (exports2.ArrowParens = ArrowParens = {}));
    var EmbeddedLanguageFormatting;
    (function(EmbeddedLanguageFormatting2) {
      EmbeddedLanguageFormatting2["AUTO"] = "auto";
      EmbeddedLanguageFormatting2["OFF"] = "off";
    })(EmbeddedLanguageFormatting || (exports2.EmbeddedLanguageFormatting = EmbeddedLanguageFormatting = {}));
    var EndOfLine;
    (function(EndOfLine2) {
      EndOfLine2["AUTO"] = "auto";
      EndOfLine2["CR"] = "cr";
      EndOfLine2["CRLF"] = "crlf";
      EndOfLine2["LF"] = "lf";
    })(EndOfLine || (exports2.EndOfLine = EndOfLine = {}));
    var HTMLWhitespaceSensitivity;
    (function(HTMLWhitespaceSensitivity2) {
      HTMLWhitespaceSensitivity2["CSS"] = "css";
      HTMLWhitespaceSensitivity2["IGNORE"] = "ignore";
      HTMLWhitespaceSensitivity2["STRICT"] = "strict";
    })(HTMLWhitespaceSensitivity || (exports2.HTMLWhitespaceSensitivity = HTMLWhitespaceSensitivity = {}));
    var ProseWrap;
    (function(ProseWrap2) {
      ProseWrap2["ALWAYS"] = "always";
      ProseWrap2["NEVER"] = "never";
      ProseWrap2["PRESERVE"] = "preserve";
    })(ProseWrap || (exports2.ProseWrap = ProseWrap = {}));
    var QuoteProps;
    (function(QuoteProps2) {
      QuoteProps2["ASNEEDED"] = "as-needed";
      QuoteProps2["CONSISTENT"] = "consistent";
      QuoteProps2["PRESERVE"] = "preserve";
    })(QuoteProps || (exports2.QuoteProps = QuoteProps = {}));
    var TrailingComma;
    (function(TrailingComma2) {
      TrailingComma2["ALL"] = "all";
      TrailingComma2["ES5"] = "es5";
      TrailingComma2["NONE"] = "none";
    })(TrailingComma || (exports2.TrailingComma = TrailingComma = {}));
    var Prettier = class _Prettier extends component_1.Component {
      static of(project) {
        const isPrettier = (c) => c instanceof _Prettier;
        return project.components.find(isPrettier);
      }
      constructor(project, options) {
        super(project);
        this._overrides = options.overrides ?? [];
        if (options.ignoreFile ?? true) {
          this.ignoreFile = new ignore_file_1.IgnoreFile(project, ".prettierignore", options.ignoreFileOptions);
        }
        project.addDevDeps("prettier");
        this.settings = {
          ...options.settings
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".prettierrc.yml", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".prettierrc.json", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: false
          });
        }
      }
      /**
       * Add a prettier override
       * @see https://prettier.io/docs/en/configuration.html#configuration-overrides
       * @param {PrettierOverride} override
       */
      addOverride(override) {
        this._overrides.push(override);
      }
      /**
       * Defines Prettier ignore Patterns
       * these patterns will be added to the file .prettierignore
       *
       * @param pattern filepatterns so exclude from prettier formatting
       */
      addIgnorePattern(pattern) {
        this.ignoreFile?.addPatterns(pattern);
      }
      /**
       *  Returns all Prettier overrides
       */
      get overrides() {
        return [...this._overrides];
      }
      preSynthesize() {
        const isSourceCode = (c) => c instanceof source_code_1.SourceCode;
        this.project.components.filter(isSourceCode).forEach((c) => {
          this.addIgnorePattern(c.filePath);
        });
      }
    };
    exports2.Prettier = Prettier;
    _a = JSII_RTTI_SYMBOL_1;
    Prettier[_a] = { fqn: "projen.javascript.Prettier", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/eslint.js
var require_eslint2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/eslint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Eslint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var prettier_1 = require_prettier2();
    var common_1 = require_common5();
    var component_1 = require_component2();
    var json_1 = require_json3();
    var yaml_1 = require_yaml2();
    var Eslint = class _Eslint extends component_1.Component {
      /**
       * Returns the singletone Eslint component of a project or undefined if there is none.
       */
      static of(project) {
        const isEslint = (c) => c instanceof _Eslint;
        return project.components.find(isEslint);
      }
      constructor(project, options) {
        super(project);
        this.overrides = [];
        this._plugins = new Array();
        this._extends = new Array();
        this.nodeProject = project;
        project.addDevDeps("eslint@^8", "@typescript-eslint/eslint-plugin@^5", "@typescript-eslint/parser@^5", "eslint-import-resolver-node", "eslint-import-resolver-typescript", "eslint-plugin-import");
        if (options.aliasMap) {
          project.addDevDeps("eslint-import-resolver-alias");
        }
        const lintProjenRc = options.lintProjenRc ?? true;
        const lintProjenRcFile = options.lintProjenRcFile ?? common_1.PROJEN_RC;
        const devdirs = options.devdirs ?? [];
        this._lintPatterns = [
          ...options.dirs,
          ...devdirs,
          ...lintProjenRc && lintProjenRcFile ? [lintProjenRcFile] : []
        ];
        this._fileExtensions = options.fileExtensions ?? [".ts"];
        this._allowDevDeps = new Set((devdirs ?? []).map((dir) => `**/${dir}/**`));
        this.eslintTask = project.addTask("eslint", {
          description: "Runs eslint against the codebase"
        });
        this.updateTask();
        project.testTask.spawn(this.eslintTask);
        project.npmignore?.exclude("/.eslintrc.json");
        this._formattingRules = {
          // see https://github.com/typescript-eslint/typescript-eslint/blob/master/packages/eslint-plugin/docs/rules/indent.md
          indent: ["off"],
          "@typescript-eslint/indent": ["error", 2],
          // Style
          quotes: ["error", "single", { avoidEscape: true }],
          "comma-dangle": ["error", "always-multiline"],
          "comma-spacing": ["error", { before: false, after: true }],
          "no-multi-spaces": ["error", { ignoreEOLComments: false }],
          "array-bracket-spacing": ["error", "never"],
          "array-bracket-newline": ["error", "consistent"],
          "object-curly-spacing": ["error", "always"],
          "object-curly-newline": ["error", { multiline: true, consistent: true }],
          "object-property-newline": [
            "error",
            { allowAllPropertiesOnSameLine: true }
          ],
          "keyword-spacing": ["error"],
          "brace-style": ["error", "1tbs", { allowSingleLine: true }],
          "space-before-blocks": ["error"],
          curly: ["error", "multi-line", "consistent"],
          "@typescript-eslint/member-delimiter-style": ["error"],
          // Require semicolons
          semi: ["error", "always"],
          // Max line lengths
          "max-len": [
            "error",
            {
              code: 150,
              ignoreUrls: true,
              ignoreStrings: true,
              ignoreTemplateLiterals: true,
              ignoreComments: true,
              ignoreRegExpLiterals: true
            }
          ],
          // Don't unnecessarily quote properties
          "quote-props": ["error", "consistent-as-needed"]
        };
        this.rules = {
          // Require use of the `import { foo } from 'bar';` form instead of `import foo = require('bar');`
          "@typescript-eslint/no-require-imports": ["error"],
          // Require all imported dependencies are actually declared in package.json
          "import/no-extraneous-dependencies": [
            "error",
            {
              // Only allow importing devDependencies from "devdirs".
              devDependencies: () => this.renderDevDepsAllowList(),
              optionalDependencies: false,
              peerDependencies: true
              // Allow importing peer dependencies (that aren't also direct dependencies)
            }
          ],
          // Require all imported libraries actually resolve (!!required for import/no-extraneous-dependencies to work!!)
          "import/no-unresolved": ["error"],
          // Require an ordering on all imports
          "import/order": [
            "warn",
            {
              groups: ["builtin", "external"],
              alphabetize: { order: "asc", caseInsensitive: true }
            }
          ],
          // Cannot import from the same module twice
          "no-duplicate-imports": ["error"],
          // Cannot shadow names
          "no-shadow": ["off"],
          "@typescript-eslint/no-shadow": ["error"],
          // Required spacing in property declarations (copied from TSLint, defaults are good)
          "key-spacing": ["error"],
          // No multiple empty lines
          "no-multiple-empty-lines": ["error"],
          // One of the easiest mistakes to make
          "@typescript-eslint/no-floating-promises": ["error"],
          // Make sure that inside try/catch blocks, promises are 'return await'ed
          // (must disable the base rule as it can report incorrect errors)
          "no-return-await": ["off"],
          "@typescript-eslint/return-await": ["error"],
          // Useless diff results
          "no-trailing-spaces": ["error"],
          // Must use foo.bar instead of foo['bar'] if possible
          "dot-notation": ["error"],
          // Are you sure | is not a typo for || ?
          "no-bitwise": ["error"],
          // Member ordering
          "@typescript-eslint/member-ordering": [
            "error",
            {
              default: [
                "public-static-field",
                "public-static-method",
                "protected-static-field",
                "protected-static-method",
                "private-static-field",
                "private-static-method",
                "field",
                // Constructors
                "constructor",
                // Methods
                "method"
              ]
            }
          ]
        };
        if (lintProjenRc) {
          this.overrides = [
            {
              files: [lintProjenRcFile || common_1.PROJEN_RC],
              rules: {
                "@typescript-eslint/no-require-imports": "off",
                "import/no-extraneous-dependencies": "off"
              }
            }
          ];
        }
        this.ignorePatterns = options.ignorePatterns ?? [
          "*.js",
          // @deprecated
          ...lintProjenRc ? [`!${lintProjenRcFile || common_1.PROJEN_RC}`] : [],
          "*.d.ts",
          "node_modules/",
          "*.generated.ts",
          "coverage"
        ];
        const tsconfig = options.tsconfigPath ?? "./tsconfig.json";
        this.addPlugins("@typescript-eslint");
        this.addPlugins("import");
        this.addExtends("plugin:import/typescript");
        this.config = {
          env: {
            jest: true,
            node: true
          },
          root: true,
          plugins: () => this._plugins,
          parser: "@typescript-eslint/parser",
          parserOptions: {
            ecmaVersion: 2018,
            sourceType: "module",
            project: tsconfig
          },
          extends: () => this._extends,
          settings: {
            "import/parsers": {
              "@typescript-eslint/parser": [".ts", ".tsx"]
            },
            "import/resolver": {
              ...options.aliasMap && {
                alias: {
                  map: Object.entries(options.aliasMap).map(([k, v]) => [k, v]),
                  extensions: options.aliasExtensions
                }
              },
              node: {},
              typescript: {
                project: tsconfig,
                ...options.tsAlwaysTryTypes !== false && { alwaysTryTypes: true }
              }
            }
          },
          ignorePatterns: this.ignorePatterns,
          rules: () => ({ ...this._formattingRules, ...this.rules }),
          overrides: this.overrides
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".eslintrc.yml", {
            obj: this.config,
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".eslintrc.json", {
            obj: this.config,
            // https://eslint.org/docs/latest/user-guide/configuring/configuration-files#comments-in-configuration-files
            marker: true,
            allowComments: true
          });
        }
        if (options.prettier || prettier_1.Prettier.of(project)) {
          this.enablePrettier();
        }
      }
      /**
       * Add a file, glob pattern or directory with source files to lint (e.g. [ "src" ])
       */
      addLintPattern(pattern) {
        this._lintPatterns.push(pattern);
        this.updateTask();
      }
      /**
       * Add an eslint rule.
       */
      addRules(rules) {
        for (const [k, v] of Object.entries(rules)) {
          this.rules[k] = v;
        }
      }
      /**
       * Adds an eslint plugin
       * @param plugins The names of plugins to add
       */
      addPlugins(...plugins) {
        this._plugins.push(...plugins);
      }
      /**
       * Add an eslint override.
       */
      addOverride(override) {
        this.overrides.push(override);
      }
      /**
       * Do not lint these files.
       */
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      /**
       * Adds an `extends` item to the eslint configuration.
       * @param extendList The list of "extends" to add.
       */
      addExtends(...extendList) {
        this._extends.push(...extendList);
      }
      /**
       * Add a glob file pattern which allows importing dev dependencies.
       * @param pattern glob pattern.
       */
      allowDevDeps(pattern) {
        this._allowDevDeps.add(pattern);
      }
      /**
       * Enables prettier for code formatting.
       */
      enablePrettier() {
        this.nodeProject.addDevDeps("prettier", "eslint-plugin-prettier", "eslint-config-prettier");
        this.addPlugins("prettier");
        this._formattingRules = {
          "prettier/prettier": ["error"]
        };
        this.addExtends("prettier", "plugin:prettier/recommended");
      }
      renderDevDepsAllowList() {
        return Array.from(this._allowDevDeps);
      }
      /**
       * Update the task with the current list of lint patterns and file extensions
       */
      updateTask() {
        this.eslintTask.reset([
          "eslint",
          `--ext ${this._fileExtensions.join(",")}`,
          "--fix",
          "--no-error-on-unmatched-pattern",
          ...this._lintPatterns
        ].join(" "));
      }
    };
    exports2.Eslint = Eslint;
    _a = JSII_RTTI_SYMBOL_1;
    Eslint[_a] = { fqn: "projen.javascript.Eslint", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/jest.js
var require_jest2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/jest.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Jest = exports2.JestReporter = exports2.UpdateSnapshot = exports2.WatchPlugin = exports2.Transform = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver6();
    var component_1 = require_component2();
    var javascript_1 = require_javascript2();
    var json_1 = require_json3();
    var DEFAULT_TEST_REPORTS_DIR = "test-reports";
    var Transform = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.Transform = Transform;
    _a = JSII_RTTI_SYMBOL_1;
    Transform[_a] = { fqn: "projen.javascript.Transform", version: "0.71.112" };
    var WatchPlugin = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.WatchPlugin = WatchPlugin;
    _b = JSII_RTTI_SYMBOL_1;
    WatchPlugin[_b] = { fqn: "projen.javascript.WatchPlugin", version: "0.71.112" };
    var UpdateSnapshot;
    (function(UpdateSnapshot2) {
      UpdateSnapshot2["ALWAYS"] = "always";
      UpdateSnapshot2["NEVER"] = "never";
    })(UpdateSnapshot || (exports2.UpdateSnapshot = UpdateSnapshot = {}));
    var JestReporter = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options == null) {
          return this.name;
        }
        return [this.name, this.options];
      }
    };
    exports2.JestReporter = JestReporter;
    _c = JSII_RTTI_SYMBOL_1;
    JestReporter[_c] = { fqn: "projen.javascript.JestReporter", version: "0.71.112" };
    var Jest = class _Jest extends component_1.Component {
      /**
       * Returns the singletone Jest component of a project or undefined if there is none.
       */
      static of(project) {
        const isJest = (c) => c instanceof _Jest;
        return project.components.find(isJest);
      }
      constructor(project, options = {}) {
        super(project);
        if (options.typescriptConfig) {
          throw new Error('"jestOptions.typescriptConfig" is deprecated. Use "typescriptProject.tsconfigDev" instead');
        }
        project.root.annotateGenerated("*.snap");
        this.jestVersion = options.jestVersion ? `@${options.jestVersion}` : "";
        project.addDevDeps(`jest${this.jestVersion}`);
        this.jestConfig = {
          ...options.jestConfig,
          additionalOptions: void 0,
          ...options.jestConfig?.additionalOptions
        };
        this.extraCliOptions = options.extraCliOptions ?? [];
        this.ignorePatterns = this.jestConfig?.testPathIgnorePatterns ?? options.ignorePatterns ?? ["/node_modules/"];
        this.watchIgnorePatterns = this.jestConfig?.watchPathIgnorePatterns ?? [
          "/node_modules/"
        ];
        this.coverageReporters = this.jestConfig?.coverageReporters ?? [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ];
        this.testMatch = this.jestConfig?.testMatch ?? [
          "**/__tests__/**/*.[jt]s?(x)",
          "**/?(*.)+(spec|test).[tj]s?(x)"
        ];
        const coverageDirectory = this.jestConfig?.coverageDirectory ?? "coverage";
        this.reporters = [];
        if (options.preserveDefaultReporters ?? true) {
          this.reporters.unshift(new JestReporter("default"));
        }
        this.config = {
          ...this.jestConfig,
          clearMocks: this.jestConfig?.clearMocks ?? true,
          collectCoverage: options.coverage ?? this.jestConfig?.collectCoverage ?? true,
          coverageReporters: this.coverageReporters,
          coverageDirectory,
          coveragePathIgnorePatterns: this.jestConfig?.coveragePathIgnorePatterns ?? this.ignorePatterns,
          testPathIgnorePatterns: this.ignorePatterns,
          watchPathIgnorePatterns: this.watchIgnorePatterns,
          testMatch: this.testMatch,
          reporters: this.reporters,
          snapshotResolver: () => this._snapshotResolver
        };
        if (options.junitReporting ?? true) {
          const reportsDir = DEFAULT_TEST_REPORTS_DIR;
          this.addReporter(new JestReporter("jest-junit", { outputDirectory: reportsDir }));
          project.addDevDeps("jest-junit@^15");
          project.gitignore.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
          project.npmignore?.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
        }
        if (this.jestConfig?.reporters) {
          for (const reporter of this.jestConfig.reporters) {
            this.addReporter(reporter);
          }
        }
        if (this.jestConfig?.coverageThreshold) {
          this.config.coverageThreshold = {
            global: this.jestConfig?.coverageThreshold
          };
        }
        this.configureTestCommand(options.updateSnapshot ?? UpdateSnapshot.ALWAYS);
        if (options.configFilePath) {
          this.file = new json_1.JsonFile(project, options.configFilePath, {
            obj: this.config
          });
          project.npmignore?.addPatterns(`/${this.file.path}`);
        } else {
          project.addFields({ jest: this.config });
        }
        const coverageDirectoryPath = path.posix.join("/", coverageDirectory, "/");
        project.npmignore?.exclude(coverageDirectoryPath);
        project.gitignore.exclude(coverageDirectoryPath);
        if (options.coverageText ?? true) {
          this.coverageReporters.push("text");
        }
      }
      /**
       * Adds a test match pattern.
       * @param pattern glob pattern to match for tests
       */
      addTestMatch(pattern) {
        this.testMatch.push(pattern);
      }
      /**
       * Adds a watch ignore pattern.
       * @param pattern The pattern (regular expression).
       */
      addWatchIgnorePattern(pattern) {
        this.watchIgnorePatterns.push(pattern);
      }
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      addReporter(reporter) {
        this.reporters.push(reporter);
      }
      /**
       * Adds a a setup file to Jest's setupFiles configuration.
       * @param file File path to setup file
       */
      addSetupFile(file) {
        if (!this.config.setupFiles) {
          this.config.setupFiles = [];
        }
        this.config.setupFiles.push(file);
      }
      /**
       * Adds a a setup file to Jest's setupFilesAfterEnv configuration.
       * @param file File path to setup file
       */
      addSetupFileAfterEnv(file) {
        if (!this.config.setupFilesAfterEnv) {
          this.config.setupFilesAfterEnv = [];
        }
        this.config.setupFilesAfterEnv.push(file);
      }
      addSnapshotResolver(file) {
        this._snapshotResolver = file;
      }
      configureTestCommand(updateSnapshot) {
        const jestOpts = ["--passWithNoTests", ...this.extraCliOptions];
        const jestConfigOpts = this.file && this.file.path != "jest.config.json" ? ` -c ${this.file.path}` : "";
        if (this.project instanceof javascript_1.NodeProject && this.project.package.minNodeVersion && semver.gte(this.project.package.minNodeVersion, "14.0.0")) {
          jestOpts.push("--coverageProvider=v8");
        }
        if (updateSnapshot === UpdateSnapshot.ALWAYS) {
          jestOpts.push("--updateSnapshot");
        } else {
          jestOpts.push("--ci");
          const testUpdate = this.project.tasks.tryFind("test:update");
          if (!testUpdate) {
            this.project.addTask("test:update", {
              description: "Update jest snapshots",
              exec: `jest --updateSnapshot ${jestOpts.join(" ")}${jestConfigOpts}`,
              receiveArgs: true
            });
          }
        }
        this.project.testTask.exec(`jest ${jestOpts.join(" ")}${jestConfigOpts}`, {
          receiveArgs: true
        });
        const testWatch = this.project.tasks.tryFind("test:watch");
        if (!testWatch) {
          this.project.addTask("test:watch", {
            description: "Run jest in watch mode",
            exec: `jest --watch${jestConfigOpts}`
          });
        }
      }
    };
    exports2.Jest = Jest;
    _d = JSII_RTTI_SYMBOL_1;
    Jest[_d] = { fqn: "projen.javascript.Jest", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/constants.js
var require_constants6 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PERMISSION_BACKUP_FILE = exports2.DEFAULT_GITHUB_ACTIONS_USER = exports2.BUILD_ARTIFACT_NAME = void 0;
    exports2.BUILD_ARTIFACT_NAME = "build-artifact";
    exports2.DEFAULT_GITHUB_ACTIONS_USER = {
      name: "github-actions",
      email: "github-actions@github.com"
    };
    exports2.PERMISSION_BACKUP_FILE = "permissions-backup.acl";
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/workflows-model.js
var require_workflows_model2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/workflows-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AppPermission = exports2.JobPermission = void 0;
    var JobPermission;
    (function(JobPermission2) {
      JobPermission2["READ"] = "read";
      JobPermission2["WRITE"] = "write";
      JobPermission2["NONE"] = "none";
    })(JobPermission || (exports2.JobPermission = JobPermission = {}));
    var AppPermission;
    (function(AppPermission2) {
      AppPermission2["READ"] = "read";
      AppPermission2["WRITE"] = "write";
      AppPermission2["ADMIN"] = "admin";
    })(AppPermission || (exports2.AppPermission = AppPermission = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/release/publisher.js
var require_publisher2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/release/publisher.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isAwsCodeArtifactRegistry = exports2.CodeArtifactAuthProvider = exports2.Publisher = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var constants_1 = require_constants6();
    var workflows_model_1 = require_workflows_model2();
    var node_package_1 = require_node_package2();
    var PUBLIB_VERSION = "latest";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var ARTIFACTS_DOWNLOAD_DIR = "dist";
    var GITHUB_PACKAGES_MAVEN_REPOSITORY = "https://maven.pkg.github.com";
    var GITHUB_PACKAGES_NUGET_REPOSITORY = "https://nuget.pkg.github.com";
    var AWS_CODEARTIFACT_REGISTRY_REGEX = /.codeartifact.*.amazonaws.com/;
    var PUBLIB_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
    var Publisher = class _Publisher extends component_1.Component {
      constructor(project, options) {
        super(project);
        this._jobFactories = [];
        this._gitHubPrePublishing = [];
        this.buildJobId = options.buildJobId;
        this.artifactName = options.artifactName;
        this.publibVersion = options.publibVersion ?? options.jsiiReleaseVersion ?? PUBLIB_VERSION;
        this.jsiiReleaseVersion = this.publibVersion;
        this.condition = options.condition;
        this.dryRun = options.dryRun ?? false;
        this.workflowNodeVersion = options.workflowNodeVersion ?? "16.x";
        this.workflowContainerImage = options.workflowContainerImage;
        this.failureIssue = options.failureIssue ?? false;
        this.failureIssueLabel = options.failureIssueLabel ?? "failed-release";
        this.runsOn = options.workflowRunsOn ?? ["ubuntu-latest"];
        this.publishTasks = options.publishTasks ?? false;
      }
      /**
       * Called by `Release` to add the publishing jobs to a release workflow
       * associated with a specific branch.
       * @param branch The branch name
       * @param options Branch options
       *
       * @internal
       */
      _renderJobsForBranch(branch, options) {
        let jobs = {};
        for (const factory of this._jobFactories) {
          jobs = {
            ...jobs,
            ...factory(branch, options)
          };
        }
        return jobs;
      }
      /**
       * Adds pre publishing steps for the GitHub release job.
       *
       * @param steps The steps.
       */
      addGitHubPrePublishingSteps(...steps) {
        this._gitHubPrePublishing.push(...steps);
      }
      /**
       * Publish to git.
       *
       * This includes generating a project-level changelog and release tags.
       *
       * @param options Options
       */
      publishToGit(options) {
        const releaseTagFile = options.releaseTagFile;
        const versionFile = options.versionFile;
        const changelog = options.changelogFile;
        const projectChangelogFile = options.projectChangelogFile;
        const gitBranch = options.gitBranch ?? "main";
        const taskName = gitBranch === "main" || gitBranch === "master" ? _Publisher.PUBLISH_GIT_TASK_NAME : `${_Publisher.PUBLISH_GIT_TASK_NAME}:${gitBranch}`;
        const publishTask = this.project.addTask(taskName, {
          description: "Prepends the release changelog onto the project changelog, creates a release commit, and tags the release",
          env: {
            CHANGELOG: changelog,
            RELEASE_TAG_FILE: releaseTagFile,
            PROJECT_CHANGELOG_FILE: projectChangelogFile ?? "",
            VERSION_FILE: versionFile
          },
          condition: '! git log --oneline -1 | grep -q "chore(release):"'
        });
        if (projectChangelogFile) {
          publishTask.builtin("release/update-changelog");
        }
        publishTask.builtin("release/tag-version");
        if (options.gitPushCommand !== "") {
          const gitPushCommand = options.gitPushCommand || `git push --follow-tags origin ${gitBranch}`;
          publishTask.exec(gitPushCommand);
        }
        return publishTask;
      }
      /**
       * Creates a GitHub Release.
       * @param options Options
       */
      publishToGitHubReleases(options) {
        this.addPublishJob((_branch, branchOptions) => {
          return {
            name: "github",
            registryName: "GitHub Releases",
            prePublishSteps: options.prePublishSteps ?? this._gitHubPrePublishing,
            publishTools: options.publishTools,
            permissions: {
              contents: workflows_model_1.JobPermission.WRITE
            },
            workflowEnv: {
              GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}",
              GITHUB_REPOSITORY: "${{ github.repository }}",
              GITHUB_REF: "${{ github.ref }}"
            },
            run: this.githubReleaseCommand(options, branchOptions)
          };
        });
      }
      /**
       * Publishes artifacts from `js/**` to npm.
       * @param options Options
       */
      publishToNpm(options = {}) {
        const isGitHubPackages = options.registry?.startsWith(GITHUB_PACKAGES_REGISTRY);
        const isAwsCodeArtifact = isAwsCodeArtifactRegistry(options.registry);
        const isAwsCodeArtifactWithOidc = isAwsCodeArtifact && options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC;
        const npmToken = (0, node_package_1.defaultNpmToken)(options.npmTokenSecret, options.registry);
        if (options.distTag) {
          this.project.logger.warn("The `distTag` option is deprecated. Use the npmDistTag option instead.");
        }
        const prePublishSteps = options.prePublishSteps ?? [];
        if (isAwsCodeArtifactWithOidc) {
          if (options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret) {
            throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
          } else if (!options.codeArtifactOptions?.roleToAssume) {
            throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
          }
          const regionCaptureRegex = /codeartifact\.(.+)\.amazonaws\.com/;
          const region = options.registry?.match(regionCaptureRegex)?.[1];
          prePublishSteps.push({
            name: "Configure AWS Credentials via GitHub OIDC Provider",
            uses: "aws-actions/configure-aws-credentials@v2",
            with: {
              "role-to-assume": options.codeArtifactOptions.roleToAssume,
              "aws-region": region
            }
          });
        }
        this.addPublishJob((_branch, branchOptions) => {
          if (branchOptions.npmDistTag && options.distTag) {
            throw new Error("cannot set branch-level npmDistTag and npmDistTag in publishToNpm()");
          }
          return {
            name: "npm",
            publishTools: PUBLIB_TOOLCHAIN.js,
            prePublishSteps,
            run: this.publibCommand("publib-npm"),
            registryName: "npm",
            env: {
              NPM_DIST_TAG: branchOptions.npmDistTag ?? options.distTag ?? "latest",
              NPM_REGISTRY: options.registry
            },
            permissions: {
              idToken: isAwsCodeArtifactWithOidc ? workflows_model_1.JobPermission.WRITE : void 0,
              contents: workflows_model_1.JobPermission.READ,
              packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
            },
            workflowEnv: {
              NPM_TOKEN: npmToken ? secret(npmToken) : void 0,
              // if we are publishing to AWS CodeArtifact, pass AWS access keys that will be used to generate NPM_TOKEN using AWS CLI.
              AWS_ACCESS_KEY_ID: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID") : void 0,
              AWS_SECRET_ACCESS_KEY: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY") : void 0,
              AWS_ROLE_TO_ASSUME: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? options.codeArtifactOptions?.roleToAssume : void 0
            }
          };
        });
      }
      /**
       * Publishes artifacts from `dotnet/**` to NuGet Gallery.
       * @param options Options
       */
      publishToNuget(options = {}) {
        const isGitHubPackages = options.nugetServer?.startsWith(GITHUB_PACKAGES_NUGET_REPOSITORY);
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "nuget",
          publishTools: PUBLIB_TOOLCHAIN.dotnet,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-nuget"),
          registryName: "NuGet Gallery",
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          },
          workflowEnv: {
            NUGET_API_KEY: secret(isGitHubPackages ? "GITHUB_TOKEN" : options.nugetApiKeySecret ?? "NUGET_API_KEY"),
            NUGET_SERVER: options.nugetServer ?? void 0
          }
        }));
      }
      /**
       * Publishes artifacts from `java/**` to Maven.
       * @param options Options
       */
      publishToMaven(options = {}) {
        const isGitHubPackages = options.mavenRepositoryUrl?.startsWith(GITHUB_PACKAGES_MAVEN_REPOSITORY);
        const isGitHubActor = isGitHubPackages && options.mavenUsername == void 0;
        const mavenServerId = options.mavenServerId ?? (isGitHubPackages ? "github" : void 0);
        if (isGitHubPackages && mavenServerId != "github") {
          throw new Error('publishing to GitHub Packages requires the "mavenServerId" to be "github"');
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "maven",
          registryName: "Maven Central",
          publishTools: PUBLIB_TOOLCHAIN.java,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-maven"),
          env: {
            MAVEN_ENDPOINT: options.mavenEndpoint,
            MAVEN_SERVER_ID: mavenServerId,
            MAVEN_REPOSITORY_URL: options.mavenRepositoryUrl
          },
          workflowEnv: {
            MAVEN_GPG_PRIVATE_KEY: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeySecret ?? "MAVEN_GPG_PRIVATE_KEY"),
            MAVEN_GPG_PRIVATE_KEY_PASSPHRASE: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeyPassphrase ?? "MAVEN_GPG_PRIVATE_KEY_PASSPHRASE"),
            MAVEN_PASSWORD: secret(options.mavenPassword ?? (isGitHubPackages ? "GITHUB_TOKEN" : "MAVEN_PASSWORD")),
            MAVEN_USERNAME: isGitHubActor ? "${{ github.actor }}" : secret(options.mavenUsername ?? "MAVEN_USERNAME"),
            MAVEN_STAGING_PROFILE_ID: isGitHubPackages ? void 0 : secret(options.mavenStagingProfileId ?? "MAVEN_STAGING_PROFILE_ID")
          },
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          }
        }));
      }
      /**
       * Publishes wheel artifacts from `python` to PyPI.
       * @param options Options
       */
      publishToPyPi(options = {}) {
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "pypi",
          registryName: "PyPI",
          publishTools: PUBLIB_TOOLCHAIN.python,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-pypi"),
          env: {
            TWINE_REPOSITORY_URL: options.twineRegistryUrl
          },
          workflowEnv: {
            TWINE_USERNAME: secret(options.twineUsernameSecret ?? "TWINE_USERNAME"),
            TWINE_PASSWORD: secret(options.twinePasswordSecret ?? "TWINE_PASSWORD")
          }
        }));
      }
      /**
       * Adds a go publishing job.
       * @param options Options
       */
      publishToGo(options = {}) {
        const prePublishSteps = options.prePublishSteps ?? [];
        const workflowEnv = {};
        if (options.githubUseSsh) {
          workflowEnv.GITHUB_USE_SSH = "true";
          workflowEnv.SSH_AUTH_SOCK = "/tmp/ssh_agent.sock";
          prePublishSteps.push({
            name: "Setup GitHub deploy key",
            run: 'ssh-agent -a ${SSH_AUTH_SOCK} && ssh-add - <<< "${GITHUB_DEPLOY_KEY}"',
            env: {
              GITHUB_DEPLOY_KEY: secret(options.githubDeployKeySecret ?? "GO_GITHUB_DEPLOY_KEY"),
              SSH_AUTH_SOCK: workflowEnv.SSH_AUTH_SOCK
            }
          });
        } else {
          workflowEnv.GITHUB_TOKEN = secret(options.githubTokenSecret ?? "GO_GITHUB_TOKEN");
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "golang",
          publishTools: PUBLIB_TOOLCHAIN.go,
          prePublishSteps,
          run: this.publibCommand("publib-golang"),
          registryName: "GitHub Go Module Repository",
          env: {
            GITHUB_REPO: options.githubRepo,
            GIT_BRANCH: options.gitBranch,
            GIT_USER_NAME: options.gitUserName ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.name,
            GIT_USER_EMAIL: options.gitUserEmail ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.email,
            GIT_COMMIT_MESSAGE: options.gitCommitMessage
          },
          workflowEnv
        }));
      }
      addPublishJob(factory) {
        this._jobFactories.push((branch, branchOptions) => {
          const opts = factory(branch, branchOptions);
          const jobname = `release_${opts.name}`;
          if (jobname in this._jobFactories) {
            throw new Error(`Duplicate job with name "${jobname}"`);
          }
          const commandToRun = this.dryRun ? `echo "DRY RUN: ${opts.run}"` : opts.run;
          const requiredEnv = new Array();
          const jobEnv = { ...opts.env };
          const workflowEnvEntries = Object.entries(opts.workflowEnv ?? {}).filter(([_, value]) => value != void 0);
          for (const [name, expression] of workflowEnvEntries) {
            requiredEnv.push(name);
            jobEnv[name] = expression;
          }
          if (this.publishTasks) {
            const branchSuffix = branch === "main" || branch === "master" ? "" : `:${branch}`;
            const task = this.project.addTask(`publish:${opts.name.toLocaleLowerCase()}${branchSuffix}`, {
              description: `Publish this package to ${opts.registryName}`,
              env: opts.env,
              requiredEnv
            });
            task.exec(`test "$(git branch --show-current)" = "${branch}"`);
            task.exec(commandToRun);
          }
          const steps = [
            {
              name: "Download build artifacts",
              uses: "actions/download-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: ARTIFACTS_DOWNLOAD_DIR
                // this must be "dist" for publib
              }
            },
            {
              name: "Restore build artifact permissions",
              continueOnError: true,
              run: [
                `cd ${ARTIFACTS_DOWNLOAD_DIR} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
              ].join("\n")
            },
            ...opts.prePublishSteps,
            {
              name: "Release",
              // it would have been nice if we could just run "projen publish:xxx" here but that is not possible because this job does not checkout sources
              run: commandToRun,
              env: jobEnv
            }
          ];
          const perms = opts.permissions ?? { contents: workflows_model_1.JobPermission.READ };
          const container = this.workflowContainerImage ? {
            image: this.workflowContainerImage
          } : void 0;
          if (this.failureIssue) {
            steps.push(...[
              {
                name: "Extract Version",
                if: "${{ failure() }}",
                id: "extract-version",
                run: 'echo "VERSION=$(cat dist/version.txt)" >> $GITHUB_OUTPUT'
              },
              {
                name: "Create Issue",
                if: "${{ failure() }}",
                uses: "imjohnbo/issue-bot@v3",
                with: {
                  labels: this.failureIssueLabel,
                  title: `Publishing v\${{ steps.extract-version.outputs.VERSION }} to ${opts.registryName} failed`,
                  body: "See https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}"
                },
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                }
              }
            ]);
            Object.assign(perms, { issues: workflows_model_1.JobPermission.WRITE });
          }
          return {
            [jobname]: {
              tools: {
                node: { version: this.workflowNodeVersion },
                ...opts.publishTools
              },
              name: `Publish to ${opts.registryName}`,
              permissions: perms,
              if: this.condition,
              needs: [this.buildJobId],
              runsOn: this.runsOn,
              container,
              steps
            }
          };
        });
      }
      publibCommand(command) {
        return `npx -p publib@${this.publibVersion} ${command}`;
      }
      githubReleaseCommand(options, branchOptions) {
        const changelogFile = options.changelogFile;
        const releaseTagFile = options.releaseTagFile;
        const releaseTag = `$(cat ${releaseTagFile})`;
        const ghReleaseCommand = [
          `gh release create ${releaseTag}`,
          "-R $GITHUB_REPOSITORY",
          `-F ${changelogFile}`,
          `-t ${releaseTag}`,
          "--target $GITHUB_REF"
        ];
        if (branchOptions.prerelease) {
          ghReleaseCommand.push("-p");
        }
        const ghRelease = ghReleaseCommand.join(" ");
        const idempotentRelease = [
          "errout=$(mktemp);",
          `${ghRelease} 2> $errout && true;`,
          "exitcode=$?;",
          'if [ $exitcode -ne 0 ] && ! grep -q "Release.tag_name already exists" $errout; then',
          "cat $errout;",
          "exit $exitcode;",
          "fi"
        ].join(" ");
        return idempotentRelease;
      }
    };
    exports2.Publisher = Publisher;
    _a = JSII_RTTI_SYMBOL_1;
    Publisher[_a] = { fqn: "projen.release.Publisher", version: "0.71.112" };
    Publisher.PUBLISH_GIT_TASK_NAME = "publish:git";
    function secret(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    function isAwsCodeArtifactRegistry(registryUrl) {
      return registryUrl && AWS_CODEARTIFACT_REGISTRY_REGEX.test(registryUrl);
    }
    exports2.isAwsCodeArtifactRegistry = isAwsCodeArtifactRegistry;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/release/release-trigger.js
var require_release_trigger2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/release/release-trigger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReleaseTrigger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var ReleaseTrigger = class _ReleaseTrigger {
      /**
       * Creates a manual release trigger.
       *
       * Use this option if you want totally manual releases.
       *
       * This will give you a release task that, in addition to the normal
       * release activities will trigger a `publish:git` task. This task will
       * handle project-level changelog management, release tagging, and pushing
       * these artifacts to origin.
       *
       * The command used for pushing can be customised by specifying
       * `gitPushCommand`. Set to an empty string to disable pushing entirely.
       *
       * Simply run `yarn release` to trigger a manual release.
       *
       * @param options release options
       */
      static manual(options = {}) {
        let changelogPath;
        if (options.changelog ?? true) {
          changelogPath = options.changelogPath ?? "CHANGELOG.md";
        }
        return new _ReleaseTrigger({
          changelogPath,
          gitPushCommand: options.gitPushCommand
        });
      }
      /**
       * Creates a scheduled release trigger.
       *
       * Automated releases will occur based on the provided cron schedule.
       *
       * @param options release options.
       */
      static scheduled(options) {
        return new _ReleaseTrigger({
          schedule: options.schedule
        });
      }
      /**
       * Creates a continuous release trigger.
       *
       * Automated releases will occur on every commit.
       */
      static continuous() {
        return new _ReleaseTrigger({
          continuous: true
        });
      }
      constructor(options = {}) {
        this.isContinuous = options.continuous ?? false;
        this.schedule = options.schedule;
        this.changelogPath = options.changelogPath;
        this.gitPushCommand = options.gitPushCommand;
      }
      /**
       * Whether or not this is a manual release trigger.
       */
      get isManual() {
        return !(this.isContinuous || this.schedule);
      }
    };
    exports2.ReleaseTrigger = ReleaseTrigger;
    _a = JSII_RTTI_SYMBOL_1;
    ReleaseTrigger[_a] = { fqn: "projen.release.ReleaseTrigger", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/actions-provider.js
var require_actions_provider2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/actions-provider.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubActionsProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var GitHubActionsProvider = class {
      constructor() {
        this.actions = /* @__PURE__ */ new Map();
      }
      /**
       * Define an override for a given action.
       *
       * Specify the action name without a version to override all usages of the action.
       * You can also override a specific action version, by providing the version string.
       * Specific overrides take precedence over overrides without a version.
       *
       * If an override for the same action name is set multiple times, the last override is used.
       *
       * @example
       * // Force any use of `actions/checkout` to use a pin a specific commit
       * project.github.actions.set("actions/checkout", "actions/checkout@aaaaaa");
       *
       * // But pin usage of `v3` to a different commit
       * project.github.actions.set("actions/checkout@v3", "actions/checkout@ffffff");
       */
      set(action, override) {
        this.actions.set(action, override);
      }
      /**
       * Resolve an action name to the version that should be used,
       * taking into account any overrides.
       */
      get(action) {
        const parts = action.split("@", 1);
        return this.actions.get(action) ?? this.actions.get(parts[0]) ?? action;
      }
    };
    exports2.GitHubActionsProvider = GitHubActionsProvider;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubActionsProvider[_a] = { fqn: "projen.github.GitHubActionsProvider", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/dependabot.js
var require_dependabot2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/dependabot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Dependabot = exports2.VersioningStrategy = exports2.DependabotScheduleInterval = exports2.DependabotRegistryType = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var util_1 = require_util8();
    var yaml_1 = require_yaml2();
    var DependabotRegistryType;
    (function(DependabotRegistryType2) {
      DependabotRegistryType2["COMPOSER_REGISTRY"] = "composer-registry";
      DependabotRegistryType2["DOCKER_REGISTRY"] = "docker-registry";
      DependabotRegistryType2["GIT"] = "git";
      DependabotRegistryType2["HEX_ORGANIZATION"] = "hex-organization";
      DependabotRegistryType2["MAVEN_REPOSITORY"] = "maven-repository";
      DependabotRegistryType2["NPM_REGISTRY"] = "npm-registry";
      DependabotRegistryType2["NUGET_FEED"] = "nuget-feed";
      DependabotRegistryType2["PYTHON_INDEX"] = "python-index";
      DependabotRegistryType2["RUBYGEMS_SERVER"] = "rubygems-server";
      DependabotRegistryType2["TERRAFORM_REGISTRY"] = "terraform-registry";
    })(DependabotRegistryType || (exports2.DependabotRegistryType = DependabotRegistryType = {}));
    var DependabotScheduleInterval;
    (function(DependabotScheduleInterval2) {
      DependabotScheduleInterval2["DAILY"] = "daily";
      DependabotScheduleInterval2["WEEKLY"] = "weekly";
      DependabotScheduleInterval2["MONTHLY"] = "monthly";
    })(DependabotScheduleInterval || (exports2.DependabotScheduleInterval = DependabotScheduleInterval = {}));
    var VersioningStrategy;
    (function(VersioningStrategy2) {
      VersioningStrategy2["LOCKFILE_ONLY"] = "lockfile-only";
      VersioningStrategy2["AUTO"] = "auto";
      VersioningStrategy2["WIDEN"] = "widen";
      VersioningStrategy2["INCREASE"] = "increase";
      VersioningStrategy2["INCREASE_IF_NECESSARY"] = "increase-if-necessary";
    })(VersioningStrategy || (exports2.VersioningStrategy = VersioningStrategy = {}));
    var Dependabot = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const project = github.project;
        this.ignore = [];
        this.ignoresProjen = options.ignoreProjen ?? true;
        const registries = options.registries ? (0, util_1.kebabCaseKeys)(options.registries) : void 0;
        this.config = {
          version: 2,
          registries,
          updates: [
            {
              "package-ecosystem": "npm",
              "versioning-strategy": "lockfile-only",
              directory: "/",
              schedule: {
                interval: options.scheduleInterval ?? DependabotScheduleInterval.DAILY
              },
              ignore: () => this.ignore.length > 0 ? this.ignore : void 0,
              labels: options.labels ? options.labels : void 0,
              registries: registries ? Object.keys(registries) : void 0
            }
          ]
        };
        new yaml_1.YamlFile(project, ".github/dependabot.yml", {
          obj: this.config,
          committed: true
        });
        for (const i of options.ignore ?? []) {
          this.addIgnore(i.dependencyName, ...i.versions ?? []);
        }
        if (this.ignoresProjen) {
          this.addIgnore("projen");
        }
      }
      /**
       * Ignores a dependency from automatic updates.
       *
       * @param dependencyName Use to ignore updates for dependencies with matching
       * names, optionally using `*` to match zero or more characters.
       * @param versions Use to ignore specific versions or ranges of versions. If
       * you want to define a range, use the standard pattern for the package
       * manager (for example: `^1.0.0` for npm, or `~> 2.0` for Bundler).
       */
      addIgnore(dependencyName, ...versions) {
        this.ignore.push({
          "dependency-name": dependencyName,
          versions: () => versions.length > 0 ? versions : void 0
        });
      }
    };
    exports2.Dependabot = Dependabot;
    _a = JSII_RTTI_SYMBOL_1;
    Dependabot[_a] = { fqn: "projen.github.Dependabot", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/github-credentials.js
var require_github_credentials2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/github-credentials.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubCredentials = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var util_1 = require_util8();
    var GithubCredentials = class _GithubCredentials {
      /**
       * Provide API access through a GitHub personal access token.
       *
       * The token must be added as a secret to the GitHub repo, and the name of the
       * secret can be specified here.
       *
       * @see https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/creating-a-personal-access-token
       * @default - a secret named "PROJEN_GITHUB_TOKEN"
       */
      static fromPersonalAccessToken(options = {}) {
        return new _GithubCredentials({
          setupSteps: [],
          tokenRef: `\${{ secrets.${options.secret ?? "PROJEN_GITHUB_TOKEN"} }}`
        });
      }
      /**
       * Provide API access through a GitHub App.
       *
       * The GitHub App must be installed on the GitHub repo, its App ID and a
       * private key must be added as secrets to the repo. The name of the secrets
       * can be specified here.
       *
       * @see https://docs.github.com/en/developers/apps/building-github-apps/creating-a-github-app
       * @see https://projen.io/github.html#github-app
       * @default - app id stored in "PROJEN_APP_ID" and private key stored in "PROJEN_APP_PRIVATE_KEY" with all permissions attached to the app
       */
      static fromApp(options = {}) {
        const appIdSecret = options.appIdSecret ?? "PROJEN_APP_ID";
        const privateKeySecret = options.privateKeySecret ?? "PROJEN_APP_PRIVATE_KEY";
        return new _GithubCredentials({
          setupSteps: [
            {
              name: "Generate token",
              id: "generate_token",
              uses: "tibdex/github-app-token@021a2405c7f990db57f5eae5397423dcc554159c",
              with: {
                app_id: `\${{ secrets.${appIdSecret} }}`,
                private_key: `\${{ secrets.${privateKeySecret} }}`,
                permissions: options.permissions ? JSON.stringify((0, util_1.snakeCaseKeys)(options.permissions)) : void 0
              }
            }
          ],
          tokenRef: "${{ steps.generate_token.outputs.token }}"
        });
      }
      constructor(options) {
        this.options = options;
      }
      /**
       * Setup steps to obtain GitHub credentials.
       */
      get setupSteps() {
        return [...this.options.setupSteps];
      }
      /**
       * The value to use in a workflow when a GitHub token is expected. This
       * typically looks like "${{ some.path.to.a.value }}".
       */
      get tokenRef() {
        return this.options.tokenRef;
      }
    };
    exports2.GithubCredentials = GithubCredentials;
    _a = JSII_RTTI_SYMBOL_1;
    GithubCredentials[_a] = { fqn: "projen.github.GithubCredentials", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/mergify.js
var require_mergify2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/mergify.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Mergify = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var util_1 = require_util8();
    var yaml_1 = require_yaml2();
    var Mergify = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.rules = new Array();
        this.queues = new Array();
        for (const rule of options.rules ?? []) {
          this.addRule(rule);
        }
        for (const queue of options.queues ?? []) {
          this.addQueue(queue);
        }
      }
      createYamlFile() {
        if (this.yamlFile == null) {
          this.yamlFile = new yaml_1.YamlFile(this.project, ".mergify.yml", {
            obj: {
              queue_rules: () => this.queues.map((q) => (0, util_1.snakeCaseKeys)(q, false)),
              pull_request_rules: this.rules
            },
            // Mergify needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      addRule(rule) {
        this.rules.push(rule);
        this.createYamlFile();
      }
      addQueue(queue) {
        this.queues.push(queue);
        this.createYamlFile();
      }
    };
    exports2.Mergify = Mergify;
    _a = JSII_RTTI_SYMBOL_1;
    Mergify[_a] = { fqn: "projen.github.Mergify", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/pr-template.js
var require_pr_template2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/pr-template.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestTemplate = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var textfile_1 = require_textfile2();
    var PullRequestTemplate = class extends textfile_1.TextFile {
      constructor(github, options = {}) {
        super(github.project, ".github/pull_request_template.md", {
          lines: options.lines && options.lines?.length > 0 ? options.lines : ["Fixes #"],
          marker: false,
          // GitHub needs to read the file from the repository in order to work.
          committed: true
        });
      }
    };
    exports2.PullRequestTemplate = PullRequestTemplate;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestTemplate[_a] = { fqn: "projen.github.PullRequestTemplate", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/pull-request-lint.js
var require_pull_request_lint2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/pull-request-lint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestLint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model2();
    var component_1 = require_component2();
    var PullRequestLint = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        if (options.semanticTitle ?? true) {
          const opts = options.semanticTitleOptions ?? {};
          const types = opts.types ?? ["feat", "fix", "chore"];
          const validateJob = {
            name: "Validate PR title",
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "amannn/action-semantic-pull-request@v5.0.2",
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                },
                with: {
                  types: types.join("\n"),
                  requireScope: opts.requireScope ?? false
                }
              }
            ]
          };
          const workflow = github.addWorkflow("pull-request-lint");
          workflow.on({
            pullRequestTarget: {
              types: [
                "labeled",
                "opened",
                "synchronize",
                "reopened",
                "ready_for_review",
                "edited"
              ]
            }
          });
          workflow.addJobs({ validate: validateJob });
        }
      }
    };
    exports2.PullRequestLint = PullRequestLint;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestLint[_a] = { fqn: "projen.github.PullRequestLint", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/workflows.js
var require_workflows2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/workflows.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var case_1 = require_Case2();
    var _resolve_1 = require_resolve2();
    var component_1 = require_component2();
    var util_1 = require_util8();
    var yaml_1 = require_yaml2();
    var GithubWorkflow = class extends component_1.Component {
      constructor(github, name, options = {}) {
        super(github.project);
        this.events = {};
        this.jobs = {};
        this.name = name;
        this.concurrency = options.concurrency;
        this.projenCredentials = github.projenCredentials;
        this.actions = github.actions;
        const workflowsEnabled = github.workflowsEnabled || options.force;
        if (workflowsEnabled) {
          this.file = new yaml_1.YamlFile(this.project, `.github/workflows/${name.toLocaleLowerCase()}.yml`, {
            obj: () => this.renderWorkflow(),
            // GitHub needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      /**
       * Add events to triggers the workflow.
       *
       * @param events The event(s) to trigger the workflow.
       */
      on(events) {
        this.events = {
          ...this.events,
          ...events
        };
      }
      /**
       * Adds a single job to the workflow.
       * @param id The job name (unique within the workflow)
       * @param job The job specification
       */
      addJob(id, job) {
        this.addJobs({ [id]: job });
      }
      /**
       * Add jobs to the workflow.
       *
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        verifyJobConstraints(jobs);
        this.jobs = {
          ...this.jobs,
          ...jobs
        };
      }
      /**
       * Get a single job from the workflow.
       * @param id The job name (unique within the workflow)
       */
      getJob(id) {
        return this.jobs[id];
      }
      /**
       * Updates a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      updateJob(id, job) {
        this.updateJobs({ [id]: job });
      }
      /**
       * Updates jobs for this worklow
       * Does a complete replace, it does not try to merge the jobs
       *
       * @param jobs Jobs to update.
       */
      updateJobs(jobs) {
        verifyJobConstraints(jobs);
        const newJobIds = Object.keys(jobs);
        const updatedJobs = Object.entries(this.jobs).map(([jobId, job]) => {
          if (newJobIds.includes(jobId)) {
            return [jobId, jobs[jobId]];
          }
          return [jobId, job];
        });
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      /**
       * Removes a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      removeJob(id) {
        const updatedJobs = Object.entries(this.jobs).filter(([jobId]) => jobId !== id);
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      renderWorkflow() {
        return {
          name: this.name,
          "run-name": this.runName,
          on: snakeCaseKeys(this.events),
          concurrency: this.concurrency,
          jobs: renderJobs(this.jobs, this.actions)
        };
      }
    };
    exports2.GithubWorkflow = GithubWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    GithubWorkflow[_a] = { fqn: "projen.github.GithubWorkflow", version: "0.71.112" };
    function snakeCaseKeys(obj) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map(snakeCaseKeys);
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null) {
          v = snakeCaseKeys(v);
        }
        result[(0, case_1.snake)(k)] = v;
      }
      return result;
    }
    function renderJobs(jobs, actions) {
      const result = {};
      for (const [name, job] of Object.entries(jobs)) {
        result[name] = renderJob(job);
      }
      return result;
      function renderJob(job) {
        const steps = new Array();
        if ("uses" in job) {
          return {
            name: job.name,
            needs: arrayOrScalar(job.needs),
            if: job.if,
            permissions: (0, util_1.kebabCaseKeys)(job.permissions),
            concurrency: job.concurrency,
            uses: job.uses,
            with: job.with,
            secrets: job.secrets,
            strategy: renderJobStrategy(job.strategy)
          };
        }
        if (job.tools) {
          steps.push(...setupTools(job.tools));
        }
        const userDefinedSteps = (0, util_1.kebabCaseKeys)((0, _resolve_1.resolve)(job.steps), false);
        steps.push(...userDefinedSteps);
        return {
          name: job.name,
          needs: arrayOrScalar(job.needs),
          "runs-on": arrayOrScalar(job.runsOn),
          permissions: (0, util_1.kebabCaseKeys)(job.permissions),
          environment: job.environment,
          concurrency: job.concurrency,
          outputs: renderJobOutputs(job.outputs),
          env: job.env,
          defaults: (0, util_1.kebabCaseKeys)(job.defaults),
          if: job.if,
          steps: steps.map(renderStep),
          "timeout-minutes": job.timeoutMinutes,
          strategy: renderJobStrategy(job.strategy),
          "continue-on-error": job.continueOnError,
          container: job.container,
          services: job.services
        };
      }
      function renderJobOutputs(output) {
        if (output == null) {
          return void 0;
        }
        const rendered = {};
        for (const [name, { stepId, outputName }] of Object.entries(output)) {
          rendered[name] = `\${{ steps.${stepId}.outputs.${outputName} }}`;
        }
        return rendered;
      }
      function renderJobStrategy(strategy) {
        if (strategy == null) {
          return void 0;
        }
        const rendered = {
          "max-parallel": strategy.maxParallel,
          "fail-fast": strategy.failFast
        };
        if (strategy.matrix) {
          const matrix = {
            include: strategy.matrix.include,
            exclude: strategy.matrix.exclude
          };
          for (const [key, values] of Object.entries(strategy.matrix.domain ?? {})) {
            if (key in matrix) {
              throw new Error(`Illegal job strategy matrix key: ${key}`);
            }
            matrix[key] = values;
          }
          rendered.matrix = matrix;
        }
        return rendered;
      }
      function renderStep(step) {
        return {
          name: step.name,
          id: step.id,
          if: step.if,
          uses: step.uses && actions.get(step.uses),
          env: step.env,
          run: step.run,
          with: step.with,
          "continue-on-error": step.continueOnError,
          "timeout-minutes": step.timeoutMinutes,
          "working-directory": step.workingDirectory
        };
      }
    }
    function arrayOrScalar(arr) {
      if (arr == null || arr.length === 0) {
        return arr;
      }
      if (arr.length === 1) {
        return arr[0];
      }
      return arr;
    }
    function setupTools(tools) {
      const steps = [];
      if (tools.java) {
        steps.push({
          uses: "actions/setup-java@v3",
          with: { distribution: "temurin", "java-version": tools.java.version }
        });
      }
      if (tools.node) {
        steps.push({
          uses: "actions/setup-node@v3",
          with: { "node-version": tools.node.version }
        });
      }
      if (tools.python) {
        steps.push({
          uses: "actions/setup-python@v4",
          with: { "python-version": tools.python.version }
        });
      }
      if (tools.go) {
        steps.push({
          uses: "actions/setup-go@v3",
          with: { "go-version": tools.go.version }
        });
      }
      if (tools.dotnet) {
        steps.push({
          uses: "actions/setup-dotnet@v3",
          with: { "dotnet-version": tools.dotnet.version }
        });
      }
      return steps;
    }
    function verifyJobConstraints(jobs) {
      for (const [id, job] of Object.entries(jobs)) {
        if (!job.permissions) {
          throw new Error(`${id}: all workflow jobs must have a "permissions" clause to ensure workflow can operate in restricted repositories`);
        }
      }
      for (const [id, job] of Object.entries(jobs)) {
        if (!("uses" in job)) {
          if ("runsOn" in job && job.runsOn.length === 0) {
            throw new Error(`${id}: at least one runner selector labels must be provided in "runsOn" to ensure a runner instance can be selected`);
          }
        }
      }
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/github.js
var require_github3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/github.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHub = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var actions_provider_1 = require_actions_provider2();
    var dependabot_1 = require_dependabot2();
    var github_credentials_1 = require_github_credentials2();
    var mergify_1 = require_mergify2();
    var pr_template_1 = require_pr_template2();
    var pull_request_lint_1 = require_pull_request_lint2();
    var workflows_1 = require_workflows2();
    var component_1 = require_component2();
    var GitHub = class _GitHub extends component_1.Component {
      /**
       * Returns the `GitHub` component of a project or `undefined` if the project
       * does not have a GitHub component.
       */
      static of(project) {
        const isGitHub = (c) => c instanceof _GitHub;
        return project.components.find(isGitHub);
      }
      constructor(project, options = {}) {
        super(project);
        this.actions = new actions_provider_1.GitHubActionsProvider();
        this.workflowsEnabled = options.workflows ?? true;
        this._downloadLfs = options.downloadLfs;
        if (options.projenCredentials && options.projenTokenSecret) {
          throw new Error("projenTokenSecret is deprecated, please use projenCredentials instead");
        }
        if (options.projenTokenSecret) {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: options.projenTokenSecret
          });
        } else if (options.projenCredentials) {
          this.projenCredentials = options.projenCredentials;
        } else {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: "PROJEN_GITHUB_TOKEN"
          });
        }
        if (options.mergify ?? true) {
          this.mergify = new mergify_1.Mergify(this, options.mergifyOptions);
        }
        if (options.pullRequestLint ?? true) {
          new pull_request_lint_1.PullRequestLint(this, options.pullRequestLintOptions);
        }
      }
      /**
       * All workflows.
       */
      get workflows() {
        const isWorkflow = (c) => c instanceof workflows_1.GithubWorkflow;
        return this.project.components.filter(isWorkflow).sort((w1, w2) => w1.name.localeCompare(w2.name));
      }
      /**
       * Adds a workflow to the project.
       * @param name Name of the workflow
       * @returns a GithubWorkflow instance
       */
      addWorkflow(name) {
        const workflow = new workflows_1.GithubWorkflow(this, name);
        return workflow;
      }
      addPullRequestTemplate(...content) {
        return new pr_template_1.PullRequestTemplate(this, { lines: content });
      }
      addDependabot(options) {
        return new dependabot_1.Dependabot(this, options);
      }
      /**
       * Finds a GitHub workflow by name. Returns `undefined` if the workflow cannot be found.
       * @param name The name of the GitHub workflow
       */
      tryFindWorkflow(name) {
        return this.workflows.find((w) => w.name === name);
      }
      /**
       * Whether downloading from LFS is enabled for this GitHub project
       */
      get downloadLfs() {
        return this._downloadLfs ?? this.project.gitattributes.hasLfsPatterns;
      }
    };
    exports2.GitHub = GitHub;
    _a = JSII_RTTI_SYMBOL_1;
    GitHub[_a] = { fqn: "projen.github.GitHub", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/auto-merge.js
var require_auto_merge2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/auto-merge.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoMerge = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var AutoMerge = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.lazyConditions = new Array();
        const mergify = github.mergify;
        if (!mergify) {
          throw new Error("auto merging requires mergify to be enabled");
        }
        const blockingLabels = options.blockingLabels ?? ["do-not-merge"];
        const blockingCondition = blockingLabels?.length ? [`-label~=(${blockingLabels.join("|")})`] : [];
        const mergeAction = {
          delete_head_branch: {},
          queue: {
            // squash all commits into a single commit when merging
            // method: "squash",
            method: "squash",
            name: "default",
            // use PR title+body as the commit message
            commit_message_template: [
              "{{ title }} (#{{ number }})",
              "",
              "{{ body }}"
            ].join("\n")
          }
        };
        const approvedReviews = options.approvedReviews ?? 1;
        this.addConditions(`#approved-reviews-by>=${approvedReviews}`);
        this.addConditions(...blockingCondition);
        mergify.addRule({
          name: "Automatic merge on approval and successful build",
          actions: mergeAction,
          conditions: () => this.renderConditions()
        });
        mergify.addQueue({
          name: "default",
          updateMethod: "merge",
          conditions: () => this.renderConditions()
        });
        this.project.addPackageIgnore("/.mergify.yml");
      }
      /**
       * Adds conditions to the auto merge rule.
       * @param conditions The conditions to add (mergify syntax)
       */
      addConditions(...conditions) {
        this.addConditionsLater({ render: () => conditions });
      }
      /**
       * Adds conditions that will be rendered only during synthesis.
       * @param later The later
       */
      addConditionsLater(later) {
        this.lazyConditions.push(later);
      }
      renderConditions() {
        const output = new Array();
        for (const later of this.lazyConditions) {
          output.push(...later.render());
        }
        return output;
      }
    };
    exports2.AutoMerge = AutoMerge;
    _a = JSII_RTTI_SYMBOL_1;
    AutoMerge[_a] = { fqn: "projen.github.AutoMerge", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/auto-approve.js
var require_auto_approve2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/auto-approve.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoApprove = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model2();
    var component_1 = require_component2();
    var AutoApprove = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.label = options.label ?? "auto-approve";
        const usernames = options.allowedUsernames ?? ["github-actions[bot]"];
        let condition = `contains(github.event.pull_request.labels.*.name, '${this.label}')`;
        if (usernames.length > 0) {
          condition += " && (";
          condition += usernames.map((u) => `github.event.pull_request.user.login == '${u}'`).join(" || ");
          condition += ")";
        }
        const secret = options.secret ?? "GITHUB_TOKEN";
        const approveJob = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          permissions: {
            pullRequests: workflows_model_1.JobPermission.WRITE
          },
          if: condition,
          steps: [
            {
              uses: "hmarr/auto-approve-action@v2.2.1",
              with: {
                "github-token": `\${{ secrets.${secret} }}`
              }
            }
          ]
        };
        const workflow = github.addWorkflow("auto-approve");
        workflow.on({
          // The 'pull request' event gives the workflow 'read-only' permissions on some
          // pull requests (such as the ones from dependabot) when using the `GITHUB_TOKEN`
          // security token. This prevents the workflow from approving these pull requests.
          // Github has placed this guard so as to prevent security attacks by simply opening
          // a pull request and triggering a workflow on a commit that was not vetted to make
          // unintended changes to the repository.
          //
          // Instead use the 'pull request target' event here that gives the Github workflow
          // 'read-write' permissions. This is safe because, this event, unlike the 'pull request'
          // event references the BASE commit of the pull request and not the HEAD commit.
          pullRequestTarget: {
            types: [
              "labeled",
              "opened",
              "synchronize",
              "reopened",
              "ready_for_review"
            ]
          }
        });
        workflow.addJobs({ approve: approveJob });
      }
    };
    exports2.AutoApprove = AutoApprove;
    _a = JSII_RTTI_SYMBOL_1;
    AutoApprove[_a] = { fqn: "projen.github.AutoApprove", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/stale-util.js
var require_stale_util2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/stale-util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderBehavior = void 0;
    function renderBehavior(behavior, opts) {
      const enabled = behavior?.enabled ?? true;
      if (!enabled) {
        return { daysBeforeStale: -1, daysBeforeClose: -1 };
      }
      const exemptLabels = behavior?.exemptLabels ?? ["backlog"];
      const messageSuffix = exemptLabels.length > 0 ? ` If you wish to exclude this issue from being marked as stale, add the "${exemptLabels[0]}" label.` : "";
      return {
        daysBeforeStale: behavior?.daysBeforeStale ?? opts.stale,
        daysBeforeClose: behavior?.daysBeforeClose ?? opts.close,
        staleMessage: behavior?.staleMessage ?? `This ${opts.type} is now marked as stale because it hasn't seen activity for a while. Add a comment or it will be closed soon.${messageSuffix}`,
        closeMessage: behavior?.closeMessage ?? `Closing this ${opts.type} as it hasn't seen activity for a while. Please add a comment @mentioning a maintainer to reopen.${messageSuffix}`,
        staleLabel: behavior?.staleLabel ?? "stale",
        exemptLabels
      };
    }
    exports2.renderBehavior = renderBehavior;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/stale.js
var require_stale2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/stale.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Stale = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var stale_util_1 = require_stale_util2();
    var workflows_model_1 = require_workflows_model2();
    var component_1 = require_component2();
    var Stale = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const stale = github.addWorkflow("stale");
        stale.on({
          schedule: [{ cron: "0 1 * * *" }],
          workflowDispatch: {}
        });
        const pullRequests = (0, stale_util_1.renderBehavior)(options.pullRequest, {
          stale: 14,
          close: 2,
          type: "pull request"
        });
        const issues = (0, stale_util_1.renderBehavior)(options.issues, {
          stale: 60,
          close: 7,
          type: "issue"
        });
        const renderExemptLabels = (exemptLabels) => {
          if (!exemptLabels || exemptLabels.length === 0) {
            return void 0;
          }
          return exemptLabels.join(",");
        };
        stale.addJobs({
          stale: {
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              issues: workflows_model_1.JobPermission.WRITE,
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "actions/stale@v4",
                with: {
                  // disable global
                  "days-before-stale": -1,
                  "days-before-close": -1,
                  // pull requests
                  "days-before-pr-stale": pullRequests.daysBeforeStale,
                  "days-before-pr-close": pullRequests.daysBeforeClose,
                  "stale-pr-message": pullRequests.staleMessage,
                  "close-pr-message": pullRequests.closeMessage,
                  "stale-pr-label": pullRequests.staleLabel,
                  "exempt-pr-labels": renderExemptLabels(pullRequests.exemptLabels),
                  // issues
                  "days-before-issue-stale": issues.daysBeforeStale,
                  "days-before-issue-close": issues.daysBeforeClose,
                  "stale-issue-message": issues.staleMessage,
                  "close-issue-message": issues.closeMessage,
                  "stale-issue-label": issues.staleLabel,
                  "exempt-issue-labels": renderExemptLabels(issues.exemptLabels)
                }
              }
            ]
          }
        });
      }
    };
    exports2.Stale = Stale;
    _a = JSII_RTTI_SYMBOL_1;
    Stale[_a] = { fqn: "projen.github.Stale", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/workflow-actions.js
var require_workflow_actions2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/workflow-actions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowActions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants6();
    function context(value) {
      return `\${{ ${value} }}`;
    }
    var REPO = context("github.repository");
    var RUN_ID = context("github.run_id");
    var RUN_URL = `https://github.com/${REPO}/actions/runs/${RUN_ID}`;
    var GIT_PATCH_FILE_DEFAULT = ".repo.patch";
    var RUNNER_TEMP = "${{ runner.temp }}";
    var WorkflowActions = class {
      /**
       * Creates a .patch file from the current git diff and uploads it as an
       * artifact. Use `checkoutWithPatch` to download and apply in another job.
       *
       * If a patch was uploaded, the action can optionally fail the job.
       *
       * @param options Options
       * @returns Job steps
       */
      static uploadGitPatch(options) {
        const MUTATIONS_FOUND = `steps.${options.stepId}.outputs.${options.outputName}`;
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        const steps = [
          {
            id: options.stepId,
            name: options.stepName ?? "Find mutations",
            run: [
              "git add .",
              `git diff --staged --patch --exit-code > ${GIT_PATCH_FILE} || echo "${options.outputName}=true" >> $GITHUB_OUTPUT`
            ].join("\n")
          },
          {
            if: MUTATIONS_FOUND,
            name: "Upload patch",
            uses: "actions/upload-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: GIT_PATCH_FILE }
          }
        ];
        if (options.mutationError) {
          steps.push({
            name: "Fail build on mutation",
            if: MUTATIONS_FOUND,
            run: [
              `echo "::error::${options.mutationError}"`,
              `cat ${GIT_PATCH_FILE}`,
              "exit 1"
            ].join("\n")
          });
        }
        return steps;
      }
      /**
       * Checks out a repository and applies a git patch that was created using
       * `uploadGitPatch`.
       *
       * @param options Options
       * @returns Job steps
       */
      static checkoutWithPatch(options = {}) {
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              token: options.token,
              ref: options.ref,
              repository: options.repository,
              ...options.lfs ? { lfs: true } : {}
            }
          },
          {
            name: "Download patch",
            uses: "actions/download-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: RUNNER_TEMP }
          },
          {
            name: "Apply patch",
            run: `[ -s ${RUNNER_TEMP}/${GIT_PATCH_FILE} ] && git apply ${RUNNER_TEMP}/${GIT_PATCH_FILE} || echo "Empty patch. Skipping."`
          }
        ];
      }
      /**
       * Configures the git identity (user name and email).
       * @param id The identity to use
       * @returns Job steps
       */
      static setupGitIdentity(id) {
        return [
          {
            name: "Set git identity",
            run: [
              `git config user.name "${id.name}"`,
              `git config user.email "${id.email}"`
            ].join("\n")
          }
        ];
      }
      /**
       * A step that creates a pull request based on the current repo state.
       *
       * @param options Options
       * @returns Job steps
       */
      static createPullRequest(options) {
        const workflowName = options.workflowName;
        const branchName = options.branchName ?? `github-actions/${workflowName}`;
        const stepId = options.stepId ?? "create-pr";
        const stepName = options.stepName ?? "Create Pull Request";
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const committer = `${gitIdentity.name} <${gitIdentity.email}>`;
        const pullRequestDescription = options.pullRequestDescription.trimEnd().endsWith(".") ? options.pullRequestDescription.trimEnd() : `${options.pullRequestDescription.trimEnd()}.`;
        const title = options.pullRequestTitle;
        const description = [
          `${pullRequestDescription} See details in [workflow run].`,
          "",
          `[Workflow Run]: ${RUN_URL}`,
          "",
          "------",
          "",
          `*Automatically created by projen via the "${workflowName}" workflow*`
        ].join("\n");
        return [
          {
            name: stepName,
            id: stepId,
            uses: "peter-evans/create-pull-request@v4",
            with: {
              token: options.credentials?.tokenRef,
              "commit-message": `${title}

${description}`,
              branch: branchName,
              base: options.baseBranch,
              title,
              labels: options.labels?.join(",") || void 0,
              assignees: options.assignees?.join(",") || void 0,
              body: description,
              author: committer,
              committer,
              signoff: options.signoff ?? true
            }
          }
        ];
      }
    };
    exports2.WorkflowActions = WorkflowActions;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowActions[_a] = { fqn: "projen.github.WorkflowActions", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/workflow-jobs.js
var require_workflow_jobs2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/workflow-jobs.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowJobs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_github4();
    var constants_1 = require_constants6();
    var WorkflowJobs = class {
      /**
       * Creates a pull request with the changes of a patch file.
       *
       * @returns Job
       */
      static pullRequestFromPatch(options) {
        const jobName = options.jobName ?? "Create Pull Request";
        const runsOn = options.runsOn ?? ["ubuntu-latest"];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const steps = [
          ...options.credentials?.setupSteps || [],
          ..._1.WorkflowActions.checkoutWithPatch(options.patch),
          ..._1.WorkflowActions.setupGitIdentity(gitIdentity),
          ..._1.WorkflowActions.createPullRequest({
            ...options,
            gitIdentity
          })
        ];
        return {
          name: jobName,
          if: `\${{ needs.${options.patch.jobId}.outputs.${options.patch.outputName} }}`,
          needs: [options.patch.jobId],
          permissions: {
            contents: _1.workflows.JobPermission.READ
          },
          runsOn,
          steps
        };
      }
    };
    exports2.WorkflowJobs = WorkflowJobs;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowJobs[_a] = { fqn: "projen.github.WorkflowJobs", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/task-workflow.js
var require_task_workflow2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/task-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants6();
    var workflow_actions_1 = require_workflow_actions2();
    var workflows_1 = require_workflows2();
    var DEFAULT_JOB_ID = "build";
    var TaskWorkflow = class extends workflows_1.GithubWorkflow {
      constructor(github, options) {
        super(github, options.name);
        this.jobId = options.jobId ?? DEFAULT_JOB_ID;
        this.github = github;
        this.artifactsDirectory = options.artifactsDirectory;
        if (options.triggers) {
          if (options.triggers.issueComment) {
            throw new Error('Trigger "issueComment" should not be used due to a security concern');
          }
          this.on(options.triggers);
        }
        this.on({
          workflowDispatch: {}
          // allow manual triggering
        });
        const preCheckoutSteps = options.preCheckoutSteps ?? [];
        const checkoutWith = {};
        if (options.downloadLfs ?? github.downloadLfs) {
          checkoutWith.lfs = true;
        }
        Object.assign(checkoutWith, options.checkoutWith ?? {});
        const preBuildSteps = options.preBuildSteps ?? [];
        const postBuildSteps = options.postBuildSteps ?? [];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        if (this.artifactsDirectory) {
          postBuildSteps.push({
            name: "Upload artifact",
            uses: "actions/upload-artifact@v3",
            // Setting to always will ensure that this step will run even if
            // the previous ones have failed (e.g. coverage report, internal logs, etc)
            if: "always()",
            with: {
              name: this.artifactsDirectory,
              path: this.artifactsDirectory
            }
          });
        }
        const job = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          container: options.container,
          env: options.env,
          permissions: options.permissions,
          if: options.condition,
          outputs: options.outputs,
          steps: [
            ...preCheckoutSteps,
            // check out sources.
            {
              name: "Checkout",
              uses: "actions/checkout@v3",
              ...Object.keys(checkoutWith).length > 0 ? { with: checkoutWith } : {}
            },
            // sets git identity so we can push later
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(gitIdentity),
            ...preBuildSteps,
            // run the main build task
            {
              name: options.task.name,
              run: this.github.project.runTaskCommand(options.task)
            },
            ...postBuildSteps
          ]
        };
        this.addJobs({ [this.jobId]: job });
      }
    };
    exports2.TaskWorkflow = TaskWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    TaskWorkflow[_a] = { fqn: "projen.github.TaskWorkflow", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/clobber.js
var require_clobber2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/clobber.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Clobber = void 0;
    var component_1 = require_component2();
    var Clobber = class extends component_1.Component {
      constructor(project) {
        super(project);
        const task = this.project.addTask("clobber", {
          description: "hard resets to HEAD of origin and cleans the local repo",
          condition: "git diff --exit-code > /dev/null",
          env: {
            BRANCH: "$(git branch --show-current)"
          }
        });
        task.exec("git checkout -b scratch", {
          name: 'save current HEAD in "scratch" branch'
        });
        task.exec("git checkout $BRANCH");
        task.exec("git fetch origin", { name: "fetch latest changes from origin" });
        task.exec("git reset --hard origin/$BRANCH", {
          name: "hard reset to origin commit"
        });
        task.exec("git clean -fdx", { name: "clean all untracked files" });
        task.say('ready to rock! (unpushed commits are under the "scratch" branch)');
      }
    };
    exports2.Clobber = Clobber;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/devcontainer.js
var require_devcontainer2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/devcontainer.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevContainer = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var json_1 = require_json3();
    var DEVCONTAINER_FILE = ".devcontainer.json";
    var DevContainer = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.postCreateTasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.features = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        if (options.features) {
          this.addFeatures(...options.features);
        }
        this.config = {
          image: () => this.dockerImage?.image,
          build: {
            dockerfile: () => this.dockerImage?.dockerFile
          },
          postCreateCommand: () => this.renderTasks(),
          forwardPorts: this.ports,
          extensions: this.vscodeExtensions,
          features: () => this.renderFeatures()
        };
        new json_1.JsonFile(this.project, DEVCONTAINER_FILE, {
          obj: this.config,
          omitEmpty: true
        });
      }
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Adds tasks to run when the container starts. Tasks will be run in sequence.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.postCreateTasks.push(...tasks);
      }
      /**
       * Adds ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports);
      }
      /**
       * Adds a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      /**
       * Adds a list of VSCode features that should be automatically installed
       * in the container.
       *
       * @param features featureName and version(optional default: latest)
       */
      addFeatures(...features) {
        this.features.push(...features);
      }
      renderTasks() {
        if (this.postCreateTasks.length !== 0) {
          return this.postCreateTasks.map((task) => `( npx projen ${task.name} )`).join(" && ");
        } else {
          return void 0;
        }
      }
      renderFeatures() {
        if (this.features.length === 0) {
          return void 0;
        }
        return this.features.reduce((pv, feature) => {
          pv[feature.name] = {
            version: feature.version ?? "latest"
          };
          return pv;
        }, {});
      }
    };
    exports2.DevContainer = DevContainer;
    _a = JSII_RTTI_SYMBOL_1;
    DevContainer[_a] = { fqn: "projen.vscode.DevContainer", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/extensions.js
var require_extensions2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/extensions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeRecommendedExtensions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var json_1 = require_json3();
    var VsCodeRecommendedExtensions = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.recommendations = [];
        this.unwantedRecommendations = [];
        new json_1.JsonFile(vscode.project, ".vscode/extensions.json", {
          omitEmpty: true,
          allowComments: true,
          obj: {
            recommendations: this.recommendations,
            unwantedRecommendations: this.unwantedRecommendations
          }
        });
      }
      /**
       * Adds a list of VS Code extensions as recommendations for this workspace.
       *
       * @param extensions The extension IDs
       */
      addRecommendations(...extensions) {
        this.recommendations.push(...extensions);
      }
      /**
       * Marks a list of VS Code extensions as unwanted recommendations for this workspace.
       * VS Code should not be recommend these extensions for users of this workspace.
       *
       * @param extensions The extension IDs
       */
      addUnwantedRecommendations(...extensions) {
        this.unwantedRecommendations.push(...extensions);
      }
    };
    exports2.VsCodeRecommendedExtensions = VsCodeRecommendedExtensions;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeRecommendedExtensions[_a] = { fqn: "projen.vscode.VsCodeRecommendedExtensions", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/launch-config.js
var require_launch_config2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/launch-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeLaunchConfig = exports2.InternalConsoleOptions = exports2.Console = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var json_1 = require_json3();
    var Console;
    (function(Console2) {
      Console2["INTERNAL_CONSOLE"] = "internalConsole";
      Console2["INTEGRATED_TERMINAL"] = "integratedTerminal";
      Console2["EXTERNAL_TERMINAL"] = "externalTerminal";
    })(Console || (exports2.Console = Console = {}));
    var InternalConsoleOptions;
    (function(InternalConsoleOptions2) {
      InternalConsoleOptions2["NEVER_OPEN"] = "neverOpen";
      InternalConsoleOptions2["OPEN_ON_FIRST_SESSION_START"] = "openOnFirstSessionStart";
      InternalConsoleOptions2["OPEN_ON_SESSION_START"] = "openOnSessionStart";
    })(InternalConsoleOptions || (exports2.InternalConsoleOptions = InternalConsoleOptions = {}));
    var VsCodeLaunchConfig = class _VsCodeLaunchConfig extends component_1.Component {
      static renderLaunchConfig(cfg) {
        if (!cfg.env) {
          return cfg;
        }
        return {
          ...cfg,
          env: Object.fromEntries(Object.entries(cfg.env).map(([key, value]) => [
            key,
            value === false ? null : value
          ]))
        };
      }
      constructor(vscode) {
        super(vscode.project);
        this.content = {
          version: "0.2.0",
          configurations: []
        };
        new json_1.JsonFile(vscode.project, ".vscode/launch.json", {
          obj: () => ({
            ...this.content,
            configurations: this.content.configurations.map(_VsCodeLaunchConfig.renderLaunchConfig)
          })
        });
      }
      /**
       * Adds a VsCodeLaunchConfigurationEntry (e.g. a node.js debugger) to `.vscode/launch.json.
       * Each configuration entry has following mandatory fields: type, request and name.
       * See https://code.visualstudio.com/docs/editor/debugging#_launchjson-attributes for details.
       * @param cfg VsCodeLaunchConfigurationEntry
       */
      addConfiguration(cfg) {
        this.content.configurations.push(cfg);
      }
    };
    exports2.VsCodeLaunchConfig = VsCodeLaunchConfig;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeLaunchConfig[_a] = { fqn: "projen.vscode.VsCodeLaunchConfig", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/settings.js
var require_settings2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/settings.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeSettings = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var json_1 = require_json3();
    var VsCodeSettings = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.content = {};
        new json_1.JsonFile(vscode.project, ".vscode/settings.json", {
          omitEmpty: false,
          obj: this.content
        });
      }
      /**
       * Adds a workspace setting
       *
       * @param setting The setting ID
       * @param value The value of the setting
       * @param language Scope the setting to a specific language
       */
      addSetting(setting, value, language) {
        if (language) {
          this.content[`[${language}]`] = this.content[`[${language}]`] ?? {};
          this.content[`[${language}]`][setting] = value;
        } else {
          this.content[setting] = value;
        }
      }
      /**
       * Adds a workspace setting
       *
       * @param settings Array structure: [setting: string, value: any, languages?: string[]]
       */
      addSettings(settings, languages) {
        if (Array.isArray(languages)) {
          languages.forEach((language) => {
            Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, language));
          });
        } else {
          Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, languages));
        }
      }
    };
    exports2.VsCodeSettings = VsCodeSettings;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeSettings[_a] = { fqn: "projen.vscode.VsCodeSettings", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/vscode.js
var require_vscode3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/vscode.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var extensions_1 = require_extensions2();
    var launch_config_1 = require_launch_config2();
    var settings_1 = require_settings2();
    var component_1 = require_component2();
    var VsCode = class extends component_1.Component {
      constructor(project) {
        super(project);
      }
      get launchConfiguration() {
        if (!this._launchConfig) {
          this._launchConfig = new launch_config_1.VsCodeLaunchConfig(this);
        }
        return this._launchConfig;
      }
      get settings() {
        if (!this._settings) {
          this._settings = new settings_1.VsCodeSettings(this);
        }
        return this._settings;
      }
      get extensions() {
        if (!this._extensions) {
          this._extensions = new extensions_1.VsCodeRecommendedExtensions(this);
        }
        return this._extensions;
      }
    };
    exports2.VsCode = VsCode;
    _a = JSII_RTTI_SYMBOL_1;
    VsCode[_a] = { fqn: "projen.vscode.VsCode", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/vscode/index.js
var require_vscode4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/vscode/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_devcontainer2(), exports2);
    __exportStar(require_extensions2(), exports2);
    __exportStar(require_launch_config2(), exports2);
    __exportStar(require_settings2(), exports2);
    __exportStar(require_vscode3(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/github-project.js
var require_github_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/github-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var auto_approve_1 = require_auto_approve2();
    var github_1 = require_github3();
    var stale_1 = require_stale2();
    var clobber_1 = require_clobber2();
    var gitpod_1 = require_gitpod2();
    var project_1 = require_project2();
    var readme_1 = require_readme2();
    var vscode_1 = require_vscode4();
    var GitHubProject = class extends project_1.Project {
      constructor(options) {
        super(options);
        this.projectType = options.projectType ?? project_1.ProjectType.UNKNOWN;
        const github = options.github ?? (this.parent ? false : true);
        this.github = github ? new github_1.GitHub(this, {
          projenTokenSecret: options.projenTokenSecret,
          projenCredentials: options.projenCredentials,
          mergify: options.mergify,
          mergifyOptions: options.mergifyOptions,
          ...options.githubOptions
        }) : void 0;
        const vscode = options.vscode ?? (this.parent ? false : true);
        this.vscode = vscode ? new vscode_1.VsCode(this) : void 0;
        this.gitpod = options.gitpod ? new gitpod_1.Gitpod(this) : void 0;
        this.devContainer = options.devContainer ? new vscode_1.DevContainer(this) : void 0;
        if (options.clobber ?? !this.parent) {
          new clobber_1.Clobber(this);
        }
        new readme_1.SampleReadme(this, options.readme);
        if (options.autoApproveOptions && this.github) {
          this.autoApprove = new auto_approve_1.AutoApprove(this.github, options.autoApproveOptions);
        }
        const stale = options.stale ?? false;
        if (stale && this.github) {
          new stale_1.Stale(this.github, options.staleOptions);
        }
      }
      /**
       * Marks the provided file(s) as being generated. This is achieved using the
       * github-linguist attributes. Generated files do not count against the
       * repository statistics and language breakdown.
       *
       * @param glob the glob pattern to match (could be a file path).
       *
       * @see https://github.com/github/linguist/blob/master/docs/overrides.md
       */
      annotateGenerated(glob) {
        this.gitattributes.addAttributes(glob, "linguist-generated");
      }
    };
    exports2.GitHubProject = GitHubProject;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubProject[_a] = { fqn: "projen.github.GitHubProject", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/index.js
var require_github4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.workflows = void 0;
    __exportStar(require_github3(), exports2);
    __exportStar(require_dependabot2(), exports2);
    __exportStar(require_workflows2(), exports2);
    __exportStar(require_actions_provider2(), exports2);
    __exportStar(require_mergify2(), exports2);
    __exportStar(require_pr_template2(), exports2);
    __exportStar(require_mergify2(), exports2);
    __exportStar(require_auto_merge2(), exports2);
    __exportStar(require_auto_approve2(), exports2);
    __exportStar(require_stale2(), exports2);
    __exportStar(require_pull_request_lint2(), exports2);
    __exportStar(require_github_credentials2(), exports2);
    __exportStar(require_workflow_actions2(), exports2);
    __exportStar(require_workflow_jobs2(), exports2);
    __exportStar(require_task_workflow2(), exports2);
    __exportStar(require_github_project2(), exports2);
    exports2.workflows = require_workflows_model2();
  }
});

// ../../components/source-repositories/node_modules/projen/lib/release/release.js
var require_release3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/release/release.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Release = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var publisher_1 = require_publisher2();
    var release_trigger_1 = require_release_trigger2();
    var component_1 = require_component2();
    var github_1 = require_github4();
    var constants_1 = require_constants6();
    var workflows_model_1 = require_workflows_model2();
    var version_1 = require_version2();
    var BUILD_JOBID = "release";
    var GIT_REMOTE_STEPID = "git_remote";
    var LATEST_COMMIT_OUTPUT = "latest_commit";
    var Release = class _Release extends component_1.Component {
      /**
       * Returns the `Release` component of a project or `undefined` if the project
       * does not have a Release component.
       */
      static of(project) {
        const isRelease = (c) => c instanceof _Release;
        return project.components.find(isRelease);
      }
      constructor(project, options) {
        super(project);
        this._branches = new Array();
        this.jobs = {};
        if (Array.isArray(options.releaseBranches)) {
          throw new Error('"releaseBranches" is no longer an array. See type annotations');
        }
        this.github = project.github;
        this.buildTask = options.task;
        this.preBuildSteps = options.releaseWorkflowSetupSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.versionFile = options.versionFile;
        this.releaseTrigger = options.releaseTrigger ?? release_trigger_1.ReleaseTrigger.continuous();
        this.containerImage = options.workflowContainerImage;
        this.workflowRunsOn = options.workflowRunsOn;
        this.workflowPermissions = {
          contents: workflows_model_1.JobPermission.WRITE,
          ...options.workflowPermissions
        };
        this._branchHooks = [];
        if (!((options.releaseEveryCommit ?? true) || options.releaseSchedule || options.releaseTrigger)) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.manual({ changelog: false });
        }
        if (options.releaseSchedule) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.scheduled({
            schedule: options.releaseSchedule
          });
        }
        this.version = new version_1.Version(project, {
          versionInputFile: this.versionFile,
          artifactsDirectory: this.artifactsDirectory,
          versionrcOptions: options.versionrcOptions,
          tagPrefix: options.releaseTagPrefix
        });
        this.publisher = new publisher_1.Publisher(project, {
          artifactName: this.artifactsDirectory,
          condition: `needs.${BUILD_JOBID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha`,
          buildJobId: BUILD_JOBID,
          jsiiReleaseVersion: options.jsiiReleaseVersion,
          failureIssue: options.releaseFailureIssue,
          failureIssueLabel: options.releaseFailureIssueLabel,
          workflowRunsOn: options.workflowRunsOn,
          publishTasks: options.publishTasks,
          dryRun: options.publishDryRun,
          workflowNodeVersion: options.workflowNodeVersion,
          workflowContainerImage: options.workflowContainerImage
        });
        const githubRelease = options.githubRelease ?? true;
        if (githubRelease) {
          this.publisher.publishToGitHubReleases({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName)
          });
        }
        this.defaultBranch = this._addBranch(options.branch, {
          prerelease: options.prerelease,
          majorVersion: options.majorVersion,
          minMajorVersion: options.minMajorVersion,
          workflowName: options.releaseWorkflowName ?? "release",
          tagPrefix: options.releaseTagPrefix,
          npmDistTag: options.npmDistTag
        });
        for (const [name, opts] of Object.entries(options.releaseBranches ?? {})) {
          this.addBranch(name, opts);
        }
      }
      /**
       * Add a hook that should be run for every branch (including those that will
       * be added by future `addBranch` calls).
       * @internal
       */
      _forEachBranch(hook) {
        for (const branch of this._branches) {
          hook(branch.name);
        }
        this._branchHooks.push(hook);
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      addBranch(branch, options) {
        this._addBranch(branch, options);
        for (const hook of this._branchHooks) {
          hook(branch);
        }
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      _addBranch(branch, options) {
        if (this._branches.find((b) => b.name === branch)) {
          throw new Error(`The release branch ${branch} is already defined`);
        }
        if (this.defaultBranch && options.majorVersion && this.defaultBranch.majorVersion === void 0) {
          throw new Error('you must specify "majorVersion" for the default branch when adding multiple release branches');
        }
        const releaseBranch = {
          name: branch,
          ...options,
          workflow: this.createWorkflow(branch, options)
        };
        this._branches.push(releaseBranch);
        return releaseBranch;
      }
      preSynthesize() {
        for (const branch of this._branches) {
          if (!branch.workflow) {
            continue;
          }
          branch.workflow.addJobs(this.publisher._renderJobsForBranch(branch.name, branch));
          branch.workflow.addJobs(this.jobs);
        }
      }
      /**
       * Adds jobs to all release workflows.
       * @param jobs The jobs to add (name => job)
       */
      addJobs(jobs) {
        for (const [name, job] of Object.entries(jobs)) {
          this.jobs[name] = job;
        }
      }
      /**
       * Retrieve all release branch names
       */
      get branches() {
        return this._branches.map((b) => b.name);
      }
      /**
       * @returns a workflow or `undefined` if github integration is disabled.
       */
      createWorkflow(branchName, branch) {
        const workflowName = branch.workflowName ?? `release-${branchName}`;
        const noNewCommits = `\${{ steps.${GIT_REMOTE_STEPID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha }}`;
        const preBuildSteps = [...this.preBuildSteps];
        const env = {
          RELEASE: "true"
        };
        if (branch.majorVersion !== void 0) {
          env.MAJOR = branch.majorVersion.toString();
        }
        if (branch.minMajorVersion !== void 0) {
          if (branch.majorVersion !== void 0) {
            throw new Error(`minMajorVersion and majorVersion cannot be used together.`);
          }
          env.MIN_MAJOR = branch.minMajorVersion.toString();
        }
        if (branch.prerelease) {
          env.PRERELEASE = branch.prerelease;
        }
        if (branch.tagPrefix) {
          env.RELEASE_TAG_PREFIX = branch.tagPrefix;
        }
        const releaseTaskName = branchName === "main" || branchName === "master" ? "release" : `release:${branchName}`;
        const releaseTask = this.project.addTask(releaseTaskName, {
          description: `Prepare a release from "${branchName}" branch`,
          env
        });
        releaseTask.exec(`rm -fr ${this.artifactsDirectory}`);
        releaseTask.spawn(this.version.bumpTask);
        releaseTask.spawn(this.buildTask);
        releaseTask.spawn(this.version.unbumpTask);
        releaseTask.exec(_Release.ANTI_TAMPER_CMD);
        if (this.releaseTrigger.isManual) {
          const publishTask = this.publisher.publishToGit({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName),
            projectChangelogFile: this.releaseTrigger.changelogPath,
            gitBranch: branchName,
            gitPushCommand: this.releaseTrigger.gitPushCommand
          });
          releaseTask.spawn(publishTask);
        }
        const postBuildSteps = [...this.postBuildSteps];
        postBuildSteps.push({
          name: "Check for new commits",
          id: GIT_REMOTE_STEPID,
          run: `echo "${LATEST_COMMIT_OUTPUT}=$(git ls-remote origin -h \${{ github.ref }} | cut -f1)" >> $GITHUB_OUTPUT`
        });
        postBuildSteps.push({
          name: "Backup artifact permissions",
          if: noNewCommits,
          continueOnError: true,
          run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
        }, {
          name: "Upload artifact",
          if: noNewCommits,
          uses: "actions/upload-artifact@v3",
          with: {
            name: constants_1.BUILD_ARTIFACT_NAME,
            path: this.artifactsDirectory
          }
        });
        if (this.github && !this.releaseTrigger.isManual) {
          return new github_1.TaskWorkflow(this.github, {
            name: workflowName,
            jobId: BUILD_JOBID,
            outputs: {
              latest_commit: {
                stepId: GIT_REMOTE_STEPID,
                outputName: LATEST_COMMIT_OUTPUT
              }
            },
            triggers: {
              schedule: this.releaseTrigger.schedule ? [{ cron: this.releaseTrigger.schedule }] : void 0,
              push: this.releaseTrigger.isContinuous ? { branches: [branchName] } : void 0
            },
            container: this.containerImage ? { image: this.containerImage } : void 0,
            env: {
              CI: "true"
            },
            permissions: this.workflowPermissions,
            checkoutWith: {
              // we must use 'fetch-depth=0' in order to fetch all tags
              // otherwise tags are not checked out
              "fetch-depth": 0
            },
            preBuildSteps,
            task: releaseTask,
            postBuildSteps,
            runsOn: this.workflowRunsOn
          });
        } else {
          return void 0;
        }
      }
    };
    exports2.Release = Release;
    _a = JSII_RTTI_SYMBOL_1;
    Release[_a] = { fqn: "projen.release.Release", version: "0.71.112" };
    Release.ANTI_TAMPER_CMD = "git diff --ignore-space-at-eol --exit-code";
  }
});

// ../../components/source-repositories/node_modules/projen/lib/release/index.js
var require_release4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/release/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_release3(), exports2);
    __exportStar(require_publisher2(), exports2);
    __exportStar(require_release_trigger2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/node-package.js
var require_node_package2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/node-package.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaultNpmToken = exports2.NpmAccess = exports2.NodePackageManager = exports2.NodePackage = exports2.CodeArtifactAuthProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver6();
    var util_1 = require_util11();
    var _resolve_1 = require_resolve2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var json_1 = require_json3();
    var release_1 = require_release4();
    var task_runtime_1 = require_task_runtime2();
    var util_2 = require_util8();
    var UNLICENSED = "UNLICENSED";
    var DEFAULT_NPM_REGISTRY_URL = "https://registry.npmjs.org/";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var DEFAULT_NPM_TOKEN_SECRET = "NPM_TOKEN";
    var DEFAULT_GITHUB_TOKEN_SECRET = "GITHUB_TOKEN";
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    var NodePackage = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.scripts = {};
        this.scriptsToBeRemoved = /* @__PURE__ */ new Set();
        this.keywords = /* @__PURE__ */ new Set();
        this.bin = {};
        this.engines = {};
        this.packageName = options.packageName ?? project.name;
        this.peerDependencyOptions = {
          pinnedDevDependency: true,
          ...options.peerDependencyOptions
        };
        this.allowLibraryDependencies = options.allowLibraryDependencies ?? true;
        this.packageManager = options.packageManager ?? NodePackageManager.YARN;
        this.entrypoint = options.entrypoint ?? "lib/index.js";
        this.lockFile = determineLockfile(this.packageManager);
        this.project.annotateGenerated(`/${this.lockFile}`);
        const { npmAccess, npmRegistry, npmRegistryUrl, npmTokenSecret, codeArtifactOptions, scopedPackagesOptions } = this.parseNpmOptions(options);
        this.npmAccess = npmAccess;
        this.npmRegistry = npmRegistry;
        this.npmRegistryUrl = npmRegistryUrl;
        this.npmTokenSecret = npmTokenSecret;
        this.codeArtifactOptions = codeArtifactOptions;
        this.scopedPackagesOptions = scopedPackagesOptions;
        this.processDeps(options);
        this.addCodeArtifactLoginScript();
        const prev = this.readPackageJson() ?? {};
        this.manifest = {
          name: this.packageName,
          description: options.description,
          repository: !options.repository ? void 0 : {
            type: "git",
            url: options.repository,
            directory: options.repositoryDirectory
          },
          bin: () => this.renderBin(),
          scripts: () => this.renderScripts(),
          author: this.renderAuthor(options),
          devDependencies: {},
          peerDependencies: {},
          dependencies: {},
          bundledDependencies: [],
          ...this.renderPackageResolutions(),
          keywords: () => this.renderKeywords(),
          engines: () => this.renderEngines(),
          main: this.entrypoint !== "" ? this.entrypoint : void 0,
          license: () => this.license ?? UNLICENSED,
          homepage: options.homepage,
          publishConfig: () => this.renderPublishConfig(),
          typesVersions: prev?.typesVersions,
          // in release CI builds we bump the version before we run "build" so we want
          // to preserve the version number. otherwise, we always set it to 0.0.0
          version: this.determineVersion(prev?.version),
          bugs: options.bugsEmail || options.bugsUrl ? {
            email: options.bugsEmail,
            url: options.bugsUrl
          } : void 0
        };
        for (const [cmdname, shell] of Object.entries(options.scripts ?? {})) {
          project.addTask(cmdname, { exec: shell });
        }
        this.file = new json_1.JsonFile(this.project, "package.json", {
          obj: this.manifest,
          readonly: false,
          newline: true,
          committed: true
          // needs to be committed so users can install the dependencies
        });
        this.addKeywords(...options.keywords ?? []);
        this.addBin(options.bin ?? {});
        if (options.autoDetectBin ?? true) {
          this.autoDiscoverBinaries();
        }
        this.minNodeVersion = options.minNodeVersion;
        this.maxNodeVersion = options.maxNodeVersion;
        this.pnpmVersion = options.pnpmVersion ?? "7";
        this.addNodeEngine();
        if (options.licensed ?? true) {
          this.license = options.license ?? "Apache-2.0";
        }
        this.installTask = project.addTask("install", {
          description: "Install project dependencies and update lockfile (non-frozen)",
          exec: this.installAndUpdateLockfileCommand
        });
        this.installCiTask = project.addTask("install:ci", {
          description: "Install project dependencies using frozen lockfile",
          exec: this.installCommand
        });
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.RUNTIME);
        }
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        if (Object.keys(deps).length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add peer dependencies to an APP project: ${Object.keys(deps).join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.PEER);
        }
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        if (deps.length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add bundled dependencies to an APP project: ${deps.join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUNDLED);
        }
      }
      /**
       * Adds an `engines` requirement to your package.
       * @param engine The engine (e.g. `node`)
       * @param version The semantic version requirement (e.g. `^10`)
       */
      addEngine(engine, version) {
        this.engines[engine] = version;
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        for (const k of keywords) {
          this.keywords.add(k);
        }
      }
      addBin(bins) {
        for (const [k, v] of Object.entries(bins)) {
          this.bin[k] = v;
        }
      }
      /**
       * Add a npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.scripts[name] = command;
      }
      /**
       * Removes an npm script (always successful).
       *
       * @param name The name of the script.
       */
      removeScript(name) {
        this.scriptsToBeRemoved.add(name);
        delete this.scripts[name];
      }
      /**
       * Indicates if a script by the given name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.project.tasks.tryFind(name) !== void 0;
      }
      /**
       * Directly set fields in `package.json`.
       * @escape
       * @param name field name
       * @param value field value
       */
      addField(name, value) {
        this.manifest[name] = value;
      }
      /**
       * Sets the package version.
       * @param version Package version.
       */
      addVersion(version) {
        this.manifest.version = version;
      }
      /**
       * Defines resolutions for dependencies to change the normally resolved
       * version of a dependency to something else.
       *
       * @param resolutions Names resolutions to be added. Specify a version or
       * range with this syntax:
       * `module@^7`
       */
      addPackageResolutions(...resolutions) {
        for (const resolution of resolutions) {
          this.project.deps.addDependency(resolution, dependencies_1.DependencyType.OVERRIDE);
        }
      }
      /**
       * Returns the command to execute in order to install all dependencies (always frozen).
       */
      get installCommand() {
        return this.renderInstallCommand(true);
      }
      /**
       * Renders `yarn install` or `npm install` with lockfile update (not frozen)
       */
      get installAndUpdateLockfileCommand() {
        return this.renderInstallCommand(false);
      }
      /**
       * Render a package manager specific command to upgrade all requested dependencies.
       */
      renderUpgradePackagesCommand(exclude, include) {
        const project = this.project;
        function upgradePackages(command) {
          return () => {
            if (exclude.length === 0 && !include) {
              return command;
            }
            return `${command} ${project.deps.all.filter((d) => d.type !== dependencies_1.DependencyType.OVERRIDE).map((d) => d.name).filter((d) => include ? include.includes(d) : true).filter((d) => !exclude.includes(d)).join(" ")}`;
          };
        }
        let lazy = void 0;
        switch (this.packageManager) {
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
            lazy = upgradePackages("yarn upgrade");
            break;
          case NodePackageManager.NPM:
            lazy = upgradePackages("npm update");
            break;
          case NodePackageManager.PNPM:
            lazy = upgradePackages("pnpm update");
            break;
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
        return lazy;
      }
      /**
       * Attempt to resolve the currently installed version for a given dependency.
       *
       * @remarks
       * This method will first look through the current project's dependencies.
       * If found and semantically valid (not '*'), that will be used.
       * Otherwise, it will fall back to locating a `package.json` manifest for the dependency
       * through node's internal resolution reading the version from there.
       *
       * @param dependencyName Dependency to resolve for.
       */
      tryResolveDependencyVersion(dependencyName) {
        try {
          const fromDeps = this.project.deps.tryGetDependency(dependencyName);
          const version = semver.coerce(fromDeps?.version, { loose: true });
          if (version) {
            return version.format();
          }
        } catch {
        }
        return (0, util_1.tryResolveDependencyVersion)(dependencyName, {
          paths: [this.project.outdir]
        });
      }
      // ---------------------------------------------------------------------------------------
      preSynthesize() {
        super.preSynthesize();
        this._renderedDeps = this.renderDependencies();
      }
      postSynthesize() {
        super.postSynthesize();
        if (this.file.changed || !(0, fs_1.existsSync)((0, path_1.join)(this.project.outdir, "node_modules"))) {
          this.installDependencies();
        }
        if (this.resolveDepsAndWritePackageJson()) {
          this.installDependencies();
        }
      }
      /**
       * The command which executes "projen".
       */
      get projenCommand() {
        return this.project.projenCommand;
      }
      /**
       * Returns `true` if we are running within a CI build.
       */
      get isAutomatedBuild() {
        return (0, util_2.isTruthy)(process.env.CI);
      }
      determineVersion(currVersion) {
        if (!this.isReleaseBuild) {
          return "0.0.0";
        }
        return currVersion ?? "0.0.0";
      }
      /**
       * Returns `true` if this is a CI release build.
       */
      get isReleaseBuild() {
        return (0, util_2.isTruthy)(process.env.RELEASE);
      }
      // -------------------------------------------------------------------------------------------
      parseNpmOptions(options) {
        let npmRegistryUrl = options.npmRegistryUrl;
        if (options.npmRegistry) {
          if (npmRegistryUrl) {
            throw new Error('cannot use the deprecated "npmRegistry" together with "npmRegistryUrl". please use "npmRegistryUrl" instead.');
          }
          npmRegistryUrl = `https://${options.npmRegistry}`;
        }
        const npmr = new URL(npmRegistryUrl ?? DEFAULT_NPM_REGISTRY_URL);
        if (!npmr || !npmr.hostname || !npmr.href) {
          throw new Error(`unable to determine npm registry host from url ${npmRegistryUrl}. Is this really a URL?`);
        }
        const npmAccess = options.npmAccess ?? defaultNpmAccess(this.packageName);
        if (!isScoped(this.packageName) && npmAccess === NpmAccess.RESTRICTED) {
          throw new Error(`"npmAccess" cannot be RESTRICTED for non-scoped npm package "${this.packageName}"`);
        }
        const isAwsCodeArtifact = (0, release_1.isAwsCodeArtifactRegistry)(npmRegistryUrl);
        const hasScopedPackage = options.scopedPackagesOptions && options.scopedPackagesOptions.length !== 0;
        if (isAwsCodeArtifact) {
          if (options.npmTokenSecret) {
            throw new Error('"npmTokenSecret" must not be specified when publishing AWS CodeArtifact.');
          } else if (options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC) {
            if (options.codeArtifactOptions.accessKeyIdSecret || options.codeArtifactOptions.secretAccessKeySecret) {
              throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
            } else if (!options.codeArtifactOptions.roleToAssume) {
              throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
            }
          }
        } else {
          if ((options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret || options.codeArtifactOptions?.roleToAssume) && !hasScopedPackage) {
            throw new Error("codeArtifactOptions must only be specified when publishing AWS CodeArtifact or used in scoped packages.");
          }
        }
        let codeArtifactOptions;
        if (isAwsCodeArtifact || hasScopedPackage) {
          const authProvider = options.codeArtifactOptions?.authProvider ?? CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          const isAccessSecretKeyPairAuth = authProvider === CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          codeArtifactOptions = {
            authProvider,
            accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret ?? (isAccessSecretKeyPairAuth ? "AWS_ACCESS_KEY_ID" : void 0),
            secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret ?? (isAccessSecretKeyPairAuth ? "AWS_SECRET_ACCESS_KEY" : void 0),
            roleToAssume: options.codeArtifactOptions?.roleToAssume
          };
        }
        return {
          npmAccess,
          npmRegistry: npmr.hostname + this.renderNpmRegistryPath(npmr.pathname),
          npmRegistryUrl: npmr.href,
          npmTokenSecret: defaultNpmToken(options.npmTokenSecret, npmr.hostname),
          codeArtifactOptions,
          scopedPackagesOptions: this.parseScopedPackagesOptions(options.scopedPackagesOptions)
        };
      }
      parseScopedPackagesOptions(scopedPackagesOptions) {
        if (!scopedPackagesOptions) {
          return void 0;
        }
        return scopedPackagesOptions.map((option) => {
          if (!isScoped(option.scope)) {
            throw new Error(`Scope must start with "@" in options, found ${option.scope}`);
          }
          if (!(0, release_1.isAwsCodeArtifactRegistry)(option.registryUrl)) {
            throw new Error(`Only AWS Code artifact scoped registry is supported for now, found ${option.registryUrl}`);
          }
          const result = {
            registryUrl: option.registryUrl,
            scope: option.scope
          };
          return result;
        });
      }
      addCodeArtifactLoginScript() {
        if (!this.scopedPackagesOptions || this.scopedPackagesOptions.length === 0) {
          return;
        }
        this.project.addTask("ca:login", {
          requiredEnv: ["AWS_ACCESS_KEY_ID", "AWS_SECRET_ACCESS_KEY"],
          steps: [
            { exec: "which aws" },
            ...this.scopedPackagesOptions.map((scopedPackagesOption) => {
              const { registryUrl, scope } = scopedPackagesOption;
              const { domain, region, accountId, registry } = (0, util_1.extractCodeArtifactDetails)(registryUrl);
              const commands = [
                `npm config set ${scope}:registry ${registryUrl}`,
                `CODEARTIFACT_AUTH_TOKEN=$(aws codeartifact get-authorization-token --domain ${domain} --region ${region} --domain-owner ${accountId} --query authorizationToken --output text)`,
                `npm config set //${registry}:_authToken=$CODEARTIFACT_AUTH_TOKEN`,
                `npm config set //${registry}:always-auth=true`
              ];
              return {
                exec: commands.join("; ")
              };
            })
          ]
        });
      }
      addNodeEngine() {
        if (!this.minNodeVersion && !this.maxNodeVersion) {
          return;
        }
        let nodeVersion = "";
        if (this.minNodeVersion) {
          nodeVersion += `>= ${this.minNodeVersion}`;
        }
        if (this.maxNodeVersion) {
          nodeVersion += ` <= ${this.maxNodeVersion}`;
        }
        this.addEngine("node", nodeVersion);
      }
      renderNpmRegistryPath(path) {
        if (!path || path == "/") {
          return "";
        } else {
          return path;
        }
      }
      renderInstallCommand(frozen) {
        switch (this.packageManager) {
          case NodePackageManager.YARN:
            return [
              "yarn install",
              "--check-files",
              ...frozen ? ["--frozen-lockfile"] : []
            ].join(" ");
          case NodePackageManager.YARN2:
            return ["yarn install", ...frozen ? ["--immutable"] : []].join(" ");
          case NodePackageManager.NPM:
            return frozen ? "npm ci" : "npm install";
          case NodePackageManager.PNPM:
            return frozen ? "pnpm i --frozen-lockfile" : "pnpm i --no-frozen-lockfile";
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
      }
      processDeps(options) {
        this.addDeps(...options.deps ?? []);
        this.addDevDeps(...options.devDeps ?? []);
        this.addPeerDeps(...options.peerDeps ?? []);
        this.addBundledDeps(...options.bundledDeps ?? []);
      }
      renderDependencies() {
        const devDependencies = {};
        const peerDependencies = {};
        const dependencies = {};
        const bundledDependencies = new Array();
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const dep of this.project.deps.all.filter((d) => d.type === dependencies_1.DependencyType.PEER)) {
            let req = dep.name;
            if (this.project.deps.tryGetDependency(dep.name, dependencies_1.DependencyType.RUNTIME)) {
              continue;
            }
            if (dep.version) {
              const ver = (0, util_1.minVersion)(dep.version);
              if (!ver) {
                throw new Error(`unable to determine minimum semver for peer dependency ${dep.name}@${dep.version}`);
              }
              req += "@" + ver;
            }
            this.addDevDeps(req);
          }
        }
        for (const dep of this.project.deps.all) {
          let version = dep.version ?? "*";
          let name = dep.name;
          if (name.startsWith("file:")) {
            const localDependencyPath = name.substring(5);
            const depPackageJson = (0, path_1.resolve)(this.project.outdir, localDependencyPath, "package.json");
            const pkgFile = (0, fs_1.readFileSync)(depPackageJson, "utf8");
            const pkg2 = JSON.parse(pkgFile);
            version = localDependencyPath;
            name = pkg2.name;
          }
          switch (dep.type) {
            case dependencies_1.DependencyType.BUNDLED:
              bundledDependencies.push(name);
              if (this.project.deps.all.find((d) => d.name === name && d.type === dependencies_1.DependencyType.PEER)) {
                throw new Error(`unable to bundle "${name}". it cannot appear as a peer dependency`);
              }
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.PEER:
              peerDependencies[name] = version;
              break;
            case dependencies_1.DependencyType.RUNTIME:
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.TEST:
            case dependencies_1.DependencyType.DEVENV:
            case dependencies_1.DependencyType.BUILD:
              devDependencies[name] = version;
              break;
          }
        }
        const normalize = (obj) => () => (0, util_2.sorted)(obj);
        this.manifest.devDependencies = normalize(devDependencies);
        this.manifest.peerDependencies = normalize(peerDependencies);
        this.manifest.dependencies = normalize(dependencies);
        this.manifest.bundledDependencies = (0, util_2.sorted)(bundledDependencies);
        const pkg = this.readPackageJson();
        if (!pkg) {
          return { devDependencies, peerDependencies, dependencies };
        }
        const readDeps = (user, current = {}) => {
          for (const [name, userVersion] of Object.entries(user)) {
            const currentVersion = current[name];
            if (userVersion !== "*" || !currentVersion || currentVersion === "*") {
              continue;
            }
            user[name] = currentVersion;
          }
          for (const name of Object.keys(current ?? {})) {
            if (!user[name]) {
              this.project.logger.verbose(`${name}: removed`);
            }
          }
        };
        readDeps(devDependencies, pkg.devDependencies);
        readDeps(dependencies, pkg.dependencies);
        readDeps(peerDependencies, pkg.peerDependencies);
        return { devDependencies, dependencies, peerDependencies };
      }
      /**
       * Resolves any deps that do not have a specified version (e.g. `*`) and
       * update `package.json` if needed.
       *
       * @returns `true` if package.json was updated or `false` if not.
       */
      resolveDepsAndWritePackageJson() {
        const outdir = this.project.outdir;
        const rootPackageJson = (0, path_1.join)(outdir, "package.json");
        const original = (0, fs_1.readFileSync)(rootPackageJson, "utf8");
        const pkg = JSON.parse(original);
        const resolveDeps = (current, user) => {
          const result = {};
          current = current ?? {};
          user = user ?? {};
          for (const [name, currentDefinition] of Object.entries(user)) {
            let desiredVersion = currentDefinition;
            if (currentDefinition === "*") {
              const resolvedVersion = (0, util_1.tryResolveDependencyVersion)(name, {
                paths: [this.project.outdir]
              });
              if (!resolvedVersion) {
                this.project.logger.warn(`unable to resolve version for ${name} from installed modules`);
                continue;
              }
              desiredVersion = `^${resolvedVersion}`;
            }
            if (currentDefinition !== desiredVersion) {
              this.project.logger.verbose(`${name}: ${currentDefinition} => ${desiredVersion}`);
            }
            result[name] = desiredVersion;
          }
          for (const name of Object.keys(current)) {
            if (!result[name]) {
              this.project.logger.verbose(`${name} removed`);
            }
          }
          return result;
        };
        const rendered = this._renderedDeps;
        if (!rendered) {
          throw new Error("assertion failed");
        }
        const deps = resolveDeps(pkg.dependencies, rendered.dependencies);
        const devDeps = resolveDeps(pkg.devDependencies, rendered.devDependencies);
        const peerDeps = resolveDeps(pkg.peerDependencies, rendered.peerDependencies);
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const [name, version] of Object.entries(peerDeps)) {
            if (deps[name] || rendered.devDependencies[name] !== "*") {
              continue;
            }
            const ver = (0, util_1.minVersion)(version);
            if (!ver) {
              throw new Error(`unable to determine minimum semver for peer dependency ${name}@${version}`);
            }
            devDeps[name] = ver;
          }
        }
        pkg.dependencies = (0, util_2.sorted)(deps);
        pkg.devDependencies = (0, util_2.sorted)(devDeps);
        pkg.peerDependencies = (0, util_2.sorted)(peerDeps);
        const updated = JSON.stringify(pkg, void 0, 2) + "\n";
        if (original === updated) {
          return false;
        }
        (0, util_2.writeFile)(rootPackageJson, updated);
        return true;
      }
      renderPackageResolutions() {
        const render = () => {
          const overridingDependencies = this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.OVERRIDE);
          if (!overridingDependencies.length) {
            return void 0;
          }
          return Object.fromEntries(overridingDependencies.map(({ name, version = "*" }) => [name, version]));
        };
        switch (this.packageManager) {
          case NodePackageManager.NPM:
            return { overrides: render };
          case NodePackageManager.PNPM:
            return { pnpm: { overrides: render } };
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
          default:
            return { resolutions: render };
        }
      }
      renderPublishConfig() {
        return (0, _resolve_1.resolve)({
          registry: this.npmRegistryUrl !== DEFAULT_NPM_REGISTRY_URL ? this.npmRegistryUrl : void 0,
          access: this.npmAccess !== defaultNpmAccess(this.packageName) ? this.npmAccess : void 0
        }, { omitEmpty: true });
      }
      renderKeywords() {
        const kwds = Array.from(this.keywords);
        return (0, util_2.sorted)(kwds.sort());
      }
      renderEngines() {
        return (0, util_2.sorted)(this.engines);
      }
      autoDiscoverBinaries() {
        const binrel = "bin";
        const bindir = (0, path_1.join)(this.project.outdir, binrel);
        if ((0, fs_1.existsSync)(bindir)) {
          for (const file of (0, fs_1.readdirSync)(bindir)) {
            try {
              (0, fs_1.accessSync)((0, path_1.join)(bindir, file), fs_1.constants.X_OK);
              this.bin[file] = (0, path_1.join)(binrel, file).replace(/\\/g, "/");
            } catch (e) {
            }
          }
        }
      }
      renderAuthor(options) {
        let author;
        if (options.authorName) {
          author = {
            name: options.authorName,
            email: options.authorEmail,
            url: options.authorUrl,
            organization: options.authorOrganization ?? false
          };
        } else {
          if (options.authorEmail || options.authorUrl || options.authorOrganization !== void 0) {
            throw new Error('"authorName" is required if specifying "authorEmail" or "authorUrl"');
          }
        }
        return author;
      }
      renderBin() {
        return (0, util_2.sorted)(this.bin);
      }
      renderScripts() {
        const result = {};
        const tasks = this.project.tasks.all.filter((t) => (
          // Must remove to prevent overriding built-in npm command (which would loop)
          t.name !== this.installTask.name && t.name !== this.installCiTask.name
        )).sort((x, y) => x.name.localeCompare(y.name));
        for (const task of tasks) {
          if (this.scriptsToBeRemoved.has(task.name)) {
            continue;
          }
          result[task.name] = this.npmScriptForTask(task);
        }
        return {
          ...result,
          ...this.scripts
        };
      }
      npmScriptForTask(task) {
        return `${this.projenCommand} ${task.name}`;
      }
      readPackageJson() {
        const file = (0, path_1.join)(this.project.outdir, "package.json");
        if (!(0, fs_1.existsSync)(file)) {
          return void 0;
        }
        return JSON.parse((0, fs_1.readFileSync)(file, "utf-8"));
      }
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        const taskToRun = this.isAutomatedBuild ? this.installCiTask : this.installTask;
        runtime.runTask(taskToRun.name);
      }
    };
    exports2.NodePackage = NodePackage;
    _a = JSII_RTTI_SYMBOL_1;
    NodePackage[_a] = { fqn: "projen.javascript.NodePackage", version: "0.71.112" };
    var NodePackageManager;
    (function(NodePackageManager2) {
      NodePackageManager2["YARN"] = "yarn";
      NodePackageManager2["YARN2"] = "yarn2";
      NodePackageManager2["NPM"] = "npm";
      NodePackageManager2["PNPM"] = "pnpm";
    })(NodePackageManager || (exports2.NodePackageManager = NodePackageManager = {}));
    var NpmAccess;
    (function(NpmAccess2) {
      NpmAccess2["PUBLIC"] = "public";
      NpmAccess2["RESTRICTED"] = "restricted";
    })(NpmAccess || (exports2.NpmAccess = NpmAccess = {}));
    function isScoped(packageName) {
      return packageName.includes("@");
    }
    function defaultNpmAccess(packageName) {
      return isScoped(packageName) ? NpmAccess.RESTRICTED : NpmAccess.PUBLIC;
    }
    function defaultNpmToken(npmToken, registry) {
      if ((0, release_1.isAwsCodeArtifactRegistry)(registry)) {
        return void 0;
      }
      const isGitHubPackages = registry === GITHUB_PACKAGES_REGISTRY;
      return npmToken ?? (isGitHubPackages ? DEFAULT_GITHUB_TOKEN_SECRET : DEFAULT_NPM_TOKEN_SECRET);
    }
    exports2.defaultNpmToken = defaultNpmToken;
    function determineLockfile(packageManager) {
      if (packageManager === NodePackageManager.YARN || packageManager === NodePackageManager.YARN2) {
        return "yarn.lock";
      } else if (packageManager === NodePackageManager.NPM) {
        return "package-lock.json";
      } else if (packageManager === NodePackageManager.PNPM) {
        return "pnpm-lock.yaml";
      }
      throw new Error(`unsupported package manager ${packageManager}`);
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/projenrc.js
var require_projenrc7 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var eslint_1 = require_eslint2();
    var render_options_1 = require_render_options2();
    var projenrc_1 = require_projenrc6();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.js";
        project.defaultTask?.exec(`node ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        const eslint = eslint_1.Eslint.of(this.project);
        eslint?.addLintPattern(this.filePath);
        eslint?.addIgnorePattern(`!${this.filePath}`);
        eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          comments: bootstrap.comments,
          args: bootstrap.args,
          type: bootstrap.type
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asCjsRequire());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.javascript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/build/build-workflow.js
var require_build_workflow2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/build/build-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BuildWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var github_1 = require_github4();
    var constants_1 = require_constants6();
    var workflow_actions_1 = require_workflow_actions2();
    var workflows_model_1 = require_workflows_model2();
    var javascript_1 = require_javascript2();
    var PULL_REQUEST_REF = "${{ github.event.pull_request.head.ref }}";
    var PULL_REQUEST_REPOSITORY = "${{ github.event.pull_request.head.repo.full_name }}";
    var BUILD_JOBID = "build";
    var SELF_MUTATION_STEP = "self_mutation";
    var SELF_MUTATION_HAPPENED_OUTPUT = "self_mutation_happened";
    var IS_FORK = "github.event.pull_request.head.repo.full_name != github.repository";
    var NOT_FORK = `!(${IS_FORK})`;
    var SELF_MUTATION_CONDITION = `needs.${BUILD_JOBID}.outputs.${SELF_MUTATION_HAPPENED_OUTPUT}`;
    var BuildWorkflow = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.defaultRunners = ["ubuntu-latest"];
        this._postBuildJobs = [];
        const github = github_1.GitHub.of(project);
        if (!github) {
          throw new Error("BuildWorkflow is currently only supported for GitHub projects");
        }
        this.github = github;
        this.preBuildSteps = options.preBuildSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.buildTask = options.buildTask;
        this.artifactsDirectory = options.artifactsDirectory;
        this.name = options.name ?? "build";
        const mutableBuilds = options.mutableBuild ?? true;
        this.workflow = new github_1.GithubWorkflow(github, this.name);
        this.workflow.on(options.workflowTriggers ?? {
          pullRequest: {},
          workflowDispatch: {}
          // allow manual triggering
        });
        this.addBuildJob(options);
        if (mutableBuilds) {
          this.addSelfMutationJob(options);
        }
        if (project instanceof javascript_1.NodeProject) {
          project.addPackageIgnore(constants_1.PERMISSION_BACKUP_FILE);
        }
      }
      addBuildJob(options) {
        this.workflow.addJob(BUILD_JOBID, {
          runsOn: options.runsOn ?? this.defaultRunners,
          container: options.containerImage ? { image: options.containerImage } : void 0,
          env: {
            CI: "true",
            ...options.env
          },
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE,
            ...options.permissions
          },
          steps: () => this.renderBuildSteps(),
          outputs: {
            [SELF_MUTATION_HAPPENED_OUTPUT]: {
              stepId: SELF_MUTATION_STEP,
              outputName: SELF_MUTATION_HAPPENED_OUTPUT
            }
          }
        });
      }
      /**
       * Returns a list of job IDs that are part of the build.
       */
      get buildJobIds() {
        return [BUILD_JOBID, ...this._postBuildJobs];
      }
      /**
       * Adds steps that are executed after the build.
       * @param steps The job steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      /**
       * Adds another job to the build workflow which is executed after the build
       * job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param id The id of the new job
       * @param job The job specification
       */
      addPostBuildJob(id, job) {
        const steps = [];
        if (this.artifactsDirectory) {
          steps.push({
            name: "Download build artifacts",
            uses: "actions/download-artifact@v3",
            with: {
              name: constants_1.BUILD_ARTIFACT_NAME,
              path: this.artifactsDirectory
            }
          }, {
            name: "Restore build artifact permissions",
            continueOnError: true,
            run: [
              `cd ${this.artifactsDirectory} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
            ].join("\n")
          });
        }
        steps.push(...job.steps ?? []);
        this.workflow.addJob(id, {
          needs: [BUILD_JOBID],
          // only run if build did not self-mutate
          if: `! ${SELF_MUTATION_CONDITION}`,
          ...job,
          steps
        });
        this._postBuildJobs.push(id);
      }
      /**
       * Run a task as a job within the build workflow which is executed after the
       * build job succeeded.
       *
       * The job will have access to build artifacts and will install project
       * dependencies in order to be able to run any commands used in the tasks.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobTask(task, options = {}) {
        this.addPostBuildJobCommands(`post-build-${task.name}`, [`${this.project.projenCommand} ${task.name}`], {
          checkoutRepo: true,
          installDeps: true,
          tools: options.tools,
          runsOn: options.runsOn
        });
      }
      /**
       * Run a sequence of commands as a job within the build workflow which is
       * executed after the build job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobCommands(id, commands, options) {
        const steps = [];
        if (options?.checkoutRepo) {
          steps.push({
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          });
        }
        if (options?.checkoutRepo && options?.installDeps && this.project instanceof javascript_1.NodeProject) {
          steps.push({
            name: "Install dependencies",
            run: `${this.project.package.installCommand}`
          });
        }
        steps.push({ run: commands.join("\n") });
        this.addPostBuildJob(id, {
          permissions: {
            contents: workflows_model_1.JobPermission.READ
          },
          tools: options?.tools,
          runsOn: options?.runsOn ?? this.defaultRunners,
          steps
        });
      }
      addSelfMutationJob(options) {
        this.workflow.addJob("self-mutation", {
          runsOn: options.runsOn ?? this.defaultRunners,
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE
          },
          needs: [BUILD_JOBID],
          if: `always() && ${SELF_MUTATION_CONDITION} && ${NOT_FORK}`,
          steps: [
            ...this.workflow.projenCredentials.setupSteps,
            ...workflow_actions_1.WorkflowActions.checkoutWithPatch({
              // we need to use a PAT so that our push will trigger the build workflow
              token: this.workflow.projenCredentials.tokenRef,
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              lfs: this.github.downloadLfs
            }),
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(this.gitIdentity),
            {
              name: "Push changes",
              env: {
                PULL_REQUEST_REF
              },
              run: [
                "git add .",
                'git commit -s -m "chore: self mutation"',
                `git push origin HEAD:$PULL_REQUEST_REF`
              ].join("\n")
            }
          ]
        });
      }
      /**
       * Called (lazily) during synth to render the build job steps.
       */
      renderBuildSteps() {
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          },
          ...this.preBuildSteps,
          {
            name: this.buildTask.name,
            run: this.github.project.runTaskCommand(this.buildTask)
          },
          ...this.postBuildSteps,
          // check for mutations and upload a git patch file as an artifact
          ...workflow_actions_1.WorkflowActions.uploadGitPatch({
            stepId: SELF_MUTATION_STEP,
            outputName: SELF_MUTATION_HAPPENED_OUTPUT,
            mutationError: "Files were changed during build (see build log). If this was triggered from a fork, you will need to update your branch."
          }),
          // upload the build artifact only if we have post-build jobs (otherwise, there's no point)
          ...this._postBuildJobs.length == 0 ? [] : [
            {
              name: "Backup artifact permissions",
              continueOnError: true,
              run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
            },
            {
              name: "Upload artifact",
              uses: "actions/upload-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: this.artifactsDirectory
              }
            }
          ]
        ];
      }
    };
    exports2.BuildWorkflow = BuildWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    BuildWorkflow[_a] = { fqn: "projen.build.BuildWorkflow", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/build/index.js
var require_build2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/build/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_build_workflow2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/github/util.js
var require_util12 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/github/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.secretToString = void 0;
    function secretToString(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    exports2.secretToString = secretToString;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/node-project.js
var require_node_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/node-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NodeProject = exports2.AutoRelease = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var bundler_1 = require_bundler2();
    var jest_1 = require_jest2();
    var node_package_1 = require_node_package2();
    var projenrc_1 = require_projenrc7();
    var build_1 = require_build2();
    var common_1 = require_common5();
    var github_1 = require_github4();
    var constants_1 = require_constants6();
    var util_1 = require_util12();
    var workflows_model_1 = require_workflows_model2();
    var ignore_file_1 = require_ignore_file2();
    var javascript_1 = require_javascript2();
    var license_1 = require_license2();
    var release_1 = require_release4();
    var util_2 = require_util8();
    var version_1 = require_version2();
    var PROJEN_SCRIPT = "projen";
    var AutoRelease;
    (function(AutoRelease2) {
      AutoRelease2[AutoRelease2["EVERY_COMMIT"] = 0] = "EVERY_COMMIT";
      AutoRelease2[AutoRelease2["DAILY"] = 1] = "DAILY";
    })(AutoRelease || (exports2.AutoRelease = AutoRelease = {}));
    var NodeProject = class extends github_1.GitHubProject {
      /**
       * @deprecated use `package.allowLibraryDependencies`
       */
      get allowLibraryDependencies() {
        return this.package.allowLibraryDependencies;
      }
      /**
       * @deprecated use `package.entrypoint`
       */
      get entrypoint() {
        return this.package.entrypoint;
      }
      /**
       * Minimum node.js version required by this package.
       */
      get minNodeVersion() {
        return this.package.minNodeVersion;
      }
      /**
       * Maximum node version required by this package.
       */
      get maxNodeVersion() {
        return this.package.maxNodeVersion;
      }
      /**
       * The package manager to use.
       *
       * @deprecated use `package.packageManager`
       */
      get packageManager() {
        return this.package.packageManager;
      }
      /**
       * @deprecated use `package.addField(x, y)`
       */
      get manifest() {
        return this.package.manifest;
      }
      constructor(options) {
        super(options);
        this.package = new node_package_1.NodePackage(this, options);
        this.workflowBootstrapSteps = options.workflowBootstrapSteps ?? [];
        this.workflowGitIdentity = options.workflowGitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.workflowPackageCache = options.workflowPackageCache ?? false;
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.artifactsJavascriptDirectory = (0, path_1.join)(this.artifactsDirectory, "js");
        this.runScriptCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.NPM:
              return "npm run";
            case node_package_1.NodePackageManager.YARN:
            case node_package_1.NodePackageManager.YARN2:
              return "yarn run";
            case node_package_1.NodePackageManager.PNPM:
              return "pnpm run";
            default:
              throw new Error(`unexpected package manager ${this.packageManager}`);
          }
        })();
        const envCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.PNPM:
              return '$(pnpm -c exec "node --print process.env.PATH")';
            default:
              return '$(npx -c "node --print process.env.PATH")';
          }
        })();
        this.nodeVersion = options.workflowNodeVersion ?? this.package.minNodeVersion;
        this.tasks.addEnvironment("PATH", envCommand);
        this.addLicense(options);
        if (options.npmignoreEnabled ?? true) {
          this.npmignore = new ignore_file_1.IgnoreFile(this, ".npmignore", options.npmIgnoreOptions);
        }
        this.addDefaultGitIgnore();
        if (options.gitignore?.length) {
          for (const i of options.gitignore) {
            this.gitignore.exclude(i);
          }
        }
        if (options.npmignore?.length) {
          if (!this.npmignore) {
            throw new Error('.npmignore is not defined for an APP project type. Add "npmIgnore: true" to override this');
          }
          for (const i of options.npmignore) {
            this.npmignore.exclude(i);
          }
        }
        if (!this.ejected) {
          this.setScript(PROJEN_SCRIPT, this.package.projenCommand);
        }
        this.npmignore?.exclude(`/${common_1.PROJEN_RC}`);
        this.npmignore?.exclude(`/${common_1.PROJEN_DIR}/`);
        this.gitignore.include(`/${common_1.PROJEN_RC}`);
        const projen = options.projenDevDependency ?? true;
        if (projen && !this.ejected) {
          const postfix = options.projenVersion ? `@${options.projenVersion}` : "";
          this.addDevDeps(`projen${postfix}`);
        }
        if (!options.defaultReleaseBranch) {
          throw new Error('"defaultReleaseBranch" is temporarily a required option while we migrate its default value from "master" to "main"');
        }
        const buildEnabled = options.buildWorkflow ?? (this.parent ? false : true);
        if (options.jest ?? true) {
          this.jest = new jest_1.Jest(this, options.jestOptions);
        }
        const requiresIdTokenPermission = (options.scopedPackagesOptions ?? []).length > 0 && options.codeArtifactOptions?.authProvider === release_1.CodeArtifactAuthProvider.GITHUB_OIDC;
        const workflowPermissions = {
          idToken: requiresIdTokenPermission ? workflows_model_1.JobPermission.WRITE : void 0
        };
        if (buildEnabled && this.github) {
          this.buildWorkflow = new build_1.BuildWorkflow(this, {
            buildTask: this.buildTask,
            artifactsDirectory: this.artifactsDirectory,
            containerImage: options.workflowContainerImage,
            gitIdentity: this.workflowGitIdentity,
            mutableBuild: options.mutableBuild,
            preBuildSteps: this.renderWorkflowSetup({
              mutable: options.mutableBuild ?? true
            }),
            postBuildSteps: options.postBuildSteps,
            runsOn: options.workflowRunsOn,
            workflowTriggers: options.buildWorkflowTriggers,
            permissions: workflowPermissions
          });
          this.buildWorkflow.addPostBuildSteps(...this.renderUploadCoverageJobStep(options));
        }
        const release = options.release ?? options.releaseWorkflow ?? (this.parent ? false : true);
        if (release) {
          this.addDevDeps(version_1.Version.STANDARD_VERSION);
          this.release = new release_1.Release(this, {
            versionFile: "package.json",
            task: this.buildTask,
            branch: options.defaultReleaseBranch ?? "main",
            artifactsDirectory: this.artifactsDirectory,
            ...options,
            releaseWorkflowSetupSteps: [
              ...this.renderWorkflowSetup({ mutable: false }),
              ...options.releaseWorkflowSetupSteps ?? []
            ],
            postBuildSteps: [
              ...options.postBuildSteps ?? [],
              ...this.renderUploadCoverageJobStep(options)
            ],
            workflowNodeVersion: this.nodeVersion,
            workflowPermissions
          });
          this.publisher = this.release.publisher;
          const nodePackageToReleaseCodeArtifactAuthProviderMapping = {
            [node_package_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR]: release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR,
            [node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC]: release_1.CodeArtifactAuthProvider.GITHUB_OIDC
          };
          if (options.releaseToNpm ?? false) {
            const codeArtifactOptions = (0, release_1.isAwsCodeArtifactRegistry)(this.package.npmRegistry) ? {
              accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret,
              secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret,
              roleToAssume: options.codeArtifactOptions?.roleToAssume,
              authProvider: options.codeArtifactOptions?.authProvider ? nodePackageToReleaseCodeArtifactAuthProviderMapping[options.codeArtifactOptions.authProvider] : release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR
            } : {};
            this.release.publisher.publishToNpm({
              registry: this.package.npmRegistry,
              npmTokenSecret: this.package.npmTokenSecret,
              codeArtifactOptions
            });
          }
        } else {
          if (options.releaseToNpm) {
            throw new Error('"releaseToNpm" is not supported if "release" is not set');
          }
          if (options.releaseEveryCommit) {
            throw new Error('"releaseEveryCommit" is not supported if "release" is not set');
          }
          if (options.releaseSchedule) {
            throw new Error('"releaseSchedule" is not supported if "release" is not set');
          }
        }
        if ((options.autoMerge ?? true) && this.github?.mergify && this.buildWorkflow?.buildJobIds) {
          this.autoMerge = new github_1.AutoMerge(this.github, options.autoMergeOptions);
          this.autoMerge.addConditionsLater({
            render: () => this.buildWorkflow?.buildJobIds.map((id) => `status-success=${id}`) ?? []
          });
        }
        const dependabot = options.dependabot ?? false;
        const depsUpgrade = options.depsUpgrade ?? !dependabot;
        if (dependabot && depsUpgrade) {
          throw new Error("'dependabot' cannot be configured together with 'depsUpgrade'");
        }
        const depsAutoApprove = options.autoApproveUpgrades ?? false;
        if (depsAutoApprove && !this.autoApprove && this.github) {
          throw new Error("Automatic approval of dependencies upgrades requires configuring `autoApproveOptions`");
        }
        const autoApproveLabel = (condition) => condition && this.autoApprove?.label ? [this.autoApprove.label] : void 0;
        if (dependabot) {
          const defaultOptions = {
            labels: autoApproveLabel(depsAutoApprove)
          };
          this.github?.addDependabot((0, util_2.deepMerge)([defaultOptions, options.dependabotOptions ?? {}]));
        }
        if (depsUpgrade) {
          const defaultOptions = {
            workflowOptions: {
              container: options.workflowContainerImage ? {
                image: options.workflowContainerImage
              } : void 0,
              labels: autoApproveLabel(depsAutoApprove),
              gitIdentity: this.workflowGitIdentity,
              permissions: workflowPermissions
            }
          };
          this.upgradeWorkflow = new javascript_1.UpgradeDependencies(this, (0, util_2.deepMerge)([defaultOptions, options.depsUpgradeOptions ?? {}]));
        }
        if (options.pullRequestTemplate ?? true) {
          this.github?.addPullRequestTemplate(...options.pullRequestTemplateContents ?? []);
        }
        const projenrcJs = options.projenrcJs ?? !options.projenrcJson;
        if (!this.parent && projenrcJs) {
          new projenrc_1.Projenrc(this, options.projenrcJsOptions);
        }
        this.bundler = new bundler_1.Bundler(this, options.bundlerOptions);
        if (options.package ?? true) {
          this.packageTask.exec(`mkdir -p ${this.artifactsJavascriptDirectory}`);
          this.packageTask.exec(`mv $(npm pack) ${this.artifactsJavascriptDirectory}/`);
        }
        if (options.prettier ?? false) {
          this.prettier = new javascript_1.Prettier(this, { ...options.prettierOptions });
        }
        this.npmrc = new javascript_1.NpmConfig(this, {
          omitEmpty: true
        });
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          this.npmrc.addConfig("resolution-mode", "highest");
        }
      }
      renderUploadCoverageJobStep(options) {
        if ((options.codeCov || options.codeCovTokenSecret) && this.jest?.config) {
          return [
            {
              name: "Upload coverage to Codecov",
              uses: "codecov/codecov-action@v3",
              with: options.codeCovTokenSecret ? {
                token: `\${{ secrets.${options.codeCovTokenSecret} }}`,
                directory: this.jest.config.coverageDirectory
              } : {
                directory: this.jest.config.coverageDirectory
              }
            }
          ];
        } else {
          return [];
        }
      }
      addBins(bins) {
        this.package.addBin(bins);
      }
      /**
       * Replaces the contents of an npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.package.setScript(name, command);
      }
      /**
       * Replaces the contents of multiple npm package.json scripts.
       * @param scripts The scripts to set
       */
      addScripts(scripts) {
        for (const [name, command] of Object.entries(scripts)) {
          this.package.setScript(name, command);
        }
      }
      /**
       * Removes the npm script (always successful).
       * @param name The name of the script.
       */
      removeScript(name) {
        this.package.removeScript(name);
      }
      /**
       * Indicates if a script by the name name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.package.hasScript(name);
      }
      /**
       * DEPRECATED
       * @deprecated use `project.compileTask.exec()`
       */
      addCompileCommand(...commands) {
        for (const c of commands) {
          this.compileTask.exec(c);
        }
      }
      /**
       * DEPRECATED
       * @deprecated use `project.testTask.exec()`
       */
      addTestCommand(...commands) {
        for (const c of commands) {
          this.testTask.exec(c);
        }
      }
      /**
       * Directly set fields in `package.json`.
       * @param fields The fields to set
       */
      addFields(fields) {
        for (const [name, value] of Object.entries(fields)) {
          this.package.addField(name, value);
        }
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        this.package.addKeywords(...keywords);
      }
      /**
       * Get steps for scoped package access
       *
       * @param codeArtifactOptions Details of logging in to AWS
       * @returns array of job steps required for each private scoped packages
       */
      getScopedPackageSteps(codeArtifactOptions) {
        const parsedCodeArtifactOptions = {
          accessKeyIdSecret: codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID",
          secretAccessKeySecret: codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY",
          roleToAssume: codeArtifactOptions?.roleToAssume,
          authProvider: codeArtifactOptions?.authProvider
        };
        if (parsedCodeArtifactOptions.authProvider === node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        if (parsedCodeArtifactOptions.roleToAssume) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-access-key-id": (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
                "aws-secret-access-key": (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret),
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        return [
          {
            name: "AWS CodeArtifact Login",
            run: `${this.runScriptCommand} ca:login`,
            env: {
              AWS_ACCESS_KEY_ID: (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
              AWS_SECRET_ACCESS_KEY: (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret)
            }
          }
        ];
      }
      /**
       * Returns the set of workflow steps which should be executed to bootstrap a
       * workflow.
       *
       * @param options Options.
       * @returns Job steps
       */
      renderWorkflowSetup(options = {}) {
        const install = new Array();
        install.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          install.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        if (this.nodeVersion || this.workflowPackageCache) {
          const cache = this.package.packageManager === node_package_1.NodePackageManager.YARN ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.YARN2 ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.PNPM ? "pnpm" : "npm";
          install.push({
            name: "Setup Node.js",
            uses: "actions/setup-node@v3",
            with: {
              ...this.nodeVersion && {
                "node-version": this.nodeVersion
              },
              ...this.workflowPackageCache && {
                cache
              }
            }
          });
        }
        const mutable = options.mutable ?? false;
        if (this.package.scopedPackagesOptions) {
          install.push(...this.getScopedPackageSteps(this.package.codeArtifactOptions));
        }
        install.push({
          name: "Install dependencies",
          run: mutable ? this.package.installAndUpdateLockfileCommand : this.package.installCommand
        });
        return install;
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        return this.package.addDeps(...deps);
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        return this.package.addDevDeps(...deps);
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        return this.package.addPeerDeps(...deps);
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        return this.package.addBundledDeps(...deps);
      }
      addPackageIgnore(pattern) {
        this.npmignore?.addPatterns(pattern);
      }
      addLicense(options) {
        if (this.package.license) {
          new license_1.License(this, {
            spdx: this.package.license,
            copyrightOwner: options.copyrightOwner ?? options.authorName,
            copyrightPeriod: options.copyrightPeriod
          });
        }
      }
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Logs", "logs", "*.log", "npm-debug.log*", "yarn-debug.log*", "yarn-error.log*", "lerna-debug.log*", "# Diagnostic reports (https://nodejs.org/api/report.html)", "report.[0-9]*.[0-9]*.[0-9]*.[0-9]*.json", "# Runtime data", "pids", "*.pid", "*.seed", "*.pid.lock", "# Directory for instrumented libs generated by jscoverage/JSCover", "lib-cov", "# Coverage directory used by tools like istanbul", "coverage", "*.lcov", "# nyc test coverage", ".nyc_output", "# Compiled binary addons (https://nodejs.org/api/addons.html)", "build/Release", "# Dependency directories", "node_modules/", "jspm_packages/", "# TypeScript cache", "*.tsbuildinfo", "# Optional eslint cache", ".eslintcache", "# Output of 'npm pack'", "*.tgz", "# Yarn Integrity file", ".yarn-integrity", "# parcel-bundler cache (https://parceljs.org/)", ".cache");
      }
      /**
       * Returns the shell command to execute in order to run a task. This will
       * typically be `npx projen TASK`.
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `${this.package.projenCommand} ${task.name}`;
      }
      /**
       * The job ID of the build workflow.
       */
      get buildWorkflowJobId() {
        return this.buildWorkflow?.buildJobIds[0];
      }
    };
    exports2.NodeProject = NodeProject;
    _a = JSII_RTTI_SYMBOL_1;
    NodeProject[_a] = { fqn: "projen.javascript.NodeProject", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/npm-config.js
var require_npm_config2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/npm-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NpmConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var ini_1 = require_ini4();
    var NpmConfig = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.config = {};
        new ini_1.IniFile(project, ".npmrc", {
          obj: this.config,
          omitEmpty: options.omitEmpty
        });
        if (options.registry) {
          this.addRegistry(options.registry);
        }
      }
      /**
       * configure a scoped registry
       *
       * @param url the URL of the registry to use
       * @param scope the scope the registry is used for; leave empty for the default registry
       */
      addRegistry(url, scope) {
        this.addConfig(scope ? `${scope}:registry` : "registry", url);
      }
      /**
       * configure a generic property
       *
       * @param name the name of the property
       * @param value the value of the property
       */
      addConfig(name, value) {
        this.config[name] = value;
      }
    };
    exports2.NpmConfig = NpmConfig;
    _a = JSII_RTTI_SYMBOL_1;
    NpmConfig[_a] = { fqn: "projen.javascript.NpmConfig", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/typescript-config.js
var require_typescript_config2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/typescript-config.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypescriptConfig = exports2.TypescriptConfigExtends = exports2.TypeScriptJsxMode = exports2.TypeScriptImportsNotUsedAsValues = exports2.TypeScriptModuleResolution = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver6();
    var _1 = require_javascript2();
    var component_1 = require_component2();
    var json_1 = require_json3();
    var TypeScriptModuleResolution;
    (function(TypeScriptModuleResolution2) {
      TypeScriptModuleResolution2["CLASSIC"] = "classic";
      TypeScriptModuleResolution2["NODE"] = "node";
      TypeScriptModuleResolution2["NODE16"] = "node16";
      TypeScriptModuleResolution2["NODE_NEXT"] = "nodenext";
      TypeScriptModuleResolution2["BUNDLER"] = "bundler";
    })(TypeScriptModuleResolution || (exports2.TypeScriptModuleResolution = TypeScriptModuleResolution = {}));
    var TypeScriptImportsNotUsedAsValues;
    (function(TypeScriptImportsNotUsedAsValues2) {
      TypeScriptImportsNotUsedAsValues2["REMOVE"] = "remove";
      TypeScriptImportsNotUsedAsValues2["PRESERVE"] = "preserve";
      TypeScriptImportsNotUsedAsValues2["ERROR"] = "error";
    })(TypeScriptImportsNotUsedAsValues || (exports2.TypeScriptImportsNotUsedAsValues = TypeScriptImportsNotUsedAsValues = {}));
    var TypeScriptJsxMode;
    (function(TypeScriptJsxMode2) {
      TypeScriptJsxMode2["PRESERVE"] = "preserve";
      TypeScriptJsxMode2["REACT"] = "react";
      TypeScriptJsxMode2["REACT_NATIVE"] = "react-native";
      TypeScriptJsxMode2["REACT_JSX"] = "react-jsx";
      TypeScriptJsxMode2["REACT_JSXDEV"] = "react-jsxdev";
    })(TypeScriptJsxMode || (exports2.TypeScriptJsxMode = TypeScriptJsxMode = {}));
    var TypescriptConfigExtends = class _TypescriptConfigExtends {
      /**
       * Factory for creation from array of file paths.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than one value in `paths`.
       *
       * @param paths Absolute or relative paths to base `tsconfig.json` files.
       */
      static fromPaths(paths) {
        return new _TypescriptConfigExtends(paths);
      }
      /**
       * Factory for creation from array of other `TypescriptConfig` instances.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than on value in `configs`.
       *
       * @param configs Base `TypescriptConfig` instances.
       */
      static fromTypescriptConfigs(configs) {
        const paths = configs.map((config) => config.file.absolutePath);
        return _TypescriptConfigExtends.fromPaths(paths);
      }
      constructor(bases) {
        this.bases = bases;
      }
      toJSON() {
        return this.bases;
      }
    };
    exports2.TypescriptConfigExtends = TypescriptConfigExtends;
    _a = JSII_RTTI_SYMBOL_1;
    TypescriptConfigExtends[_a] = { fqn: "projen.javascript.TypescriptConfigExtends", version: "0.71.112" };
    var TypescriptConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const fileName = options.fileName ?? "tsconfig.json";
        this._extends = options.extends ?? TypescriptConfigExtends.fromPaths([]);
        this.include = options.include ?? ["**/*.ts"];
        this.exclude = options.exclude ?? ["node_modules"];
        this.fileName = fileName;
        this.compilerOptions = options.compilerOptions;
        this.file = new json_1.JsonFile(project, fileName, {
          allowComments: true,
          obj: {
            extends: () => this.renderExtends(),
            compilerOptions: this.compilerOptions,
            include: () => this.include,
            exclude: () => this.exclude
          }
        });
        if (project instanceof _1.NodeProject) {
          project.npmignore?.exclude(`/${fileName}`);
        }
      }
      /**
       * Render appropriate value for `extends` field.
       * @private
       */
      renderExtends() {
        if (this.extends.length <= 1) {
          return this.extends[0];
        }
        return this.extends;
      }
      /**
       * Resolve valid TypeScript extends paths relative to this config.
       *
       * @remarks
       * This will only resolve the relative path from this config to another given
       * an absolute path as input. Any non-absolute path or other string will be returned as is.
       * This is to preserve manually specified relative paths as well as npm import paths.
       *
       * @param configPath Path to resolve against.
       */
      resolveExtendsPath(configPath) {
        if (!path.isAbsolute(configPath))
          return configPath;
        const relativeConfig = path.relative(path.dirname(this.file.absolutePath), configPath);
        const { dir, ...pathParts } = path.parse(relativeConfig);
        const configDir = dir ? path.format({ dir: dir.startsWith("..") ? "" : ".", base: dir }) : ".";
        return path.format({ ...pathParts, dir: configDir });
      }
      /**
       * Validate usage of `extends` against current TypeScript version.
       * @private
       */
      validateExtends() {
        const project = this.project;
        const hasOneOrNoneExtends = this.extends.length <= 1;
        const isNodeProject = project instanceof _1.NodeProject;
        if (hasOneOrNoneExtends || !isNodeProject) {
          return;
        }
        const tsVersion = semver.coerce(project.package.tryResolveDependencyVersion("typescript"), { loose: true });
        if (tsVersion && tsVersion.major < 5) {
          this.project.logger.warn("TypeScript < 5.0.0 can only extend from a single base config.", `TypeScript Version: ${tsVersion.format()}`, `File: ${this.file.absolutePath}`, `Extends: ${this.extends}`);
        }
      }
      /**
       * Array of base `tsconfig.json` paths.
       * Any absolute paths are resolved relative to this instance,
       * while any relative paths are used as is.
       */
      get extends() {
        return this._extends.toJSON().map((value) => this.resolveExtendsPath(value));
      }
      /**
       * Extend from base `TypescriptConfig` instance.
       *
       * @remarks
       * TypeScript 5.0+ is required to extend from more than one base `TypescriptConfig`.
       *
       * @param value Base `TypescriptConfig` instance.
       */
      addExtends(value) {
        this._extends = TypescriptConfigExtends.fromPaths([
          ...this._extends.toJSON(),
          value.file.absolutePath
        ]);
      }
      addInclude(pattern) {
        this.include.push(pattern);
      }
      addExclude(pattern) {
        this.exclude.push(pattern);
      }
      preSynthesize() {
        super.preSynthesize();
        this.validateExtends();
      }
    };
    exports2.TypescriptConfig = TypescriptConfig;
    _b = JSII_RTTI_SYMBOL_1;
    TypescriptConfig[_b] = { fqn: "projen.javascript.TypescriptConfig", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/upgrade-dependencies.js
var require_upgrade_dependencies2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/upgrade-dependencies.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.UpgradeDependenciesSchedule = exports2.UpgradeDependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var github_1 = require_github4();
    var constants_1 = require_constants6();
    var workflow_actions_1 = require_workflow_actions2();
    var workflows_model_1 = require_workflows_model2();
    var release_1 = require_release4();
    var CREATE_PATCH_STEP_ID = "create_patch";
    var PATCH_CREATED_OUTPUT = "patch_created";
    var UpgradeDependencies = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.workflows = [];
        this._project = project;
        this.options = options;
        this.pullRequestTitle = options.pullRequestTitle ?? "upgrade dependencies";
        this.gitIdentity = options.workflowOptions?.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.permissions = {
          contents: workflows_model_1.JobPermission.READ,
          ...options.workflowOptions?.permissions
        };
        this.postBuildSteps = [];
        this.containerOptions = options.workflowOptions?.container;
        project.addDevDeps("npm-check-updates@^16");
        this.postUpgradeTask = project.tasks.tryFind("post-upgrade") ?? project.tasks.addTask("post-upgrade", {
          description: "Runs after upgrading dependencies"
        });
        this.upgradeTask = project.addTask(options.taskName ?? "upgrade", {
          // this task should not run in CI mode because its designed to
          // update package.json and lock files.
          env: { CI: "0" },
          description: this.pullRequestTitle,
          steps: { toJSON: () => this.renderTaskSteps() }
        });
        this.upgradeTask.lock();
        if (this.upgradeTask && project.github && (options.workflow ?? true)) {
          if (options.workflowOptions?.branches) {
            for (const branch of options.workflowOptions.branches) {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            }
          } else if (release_1.Release.of(project)) {
            const release = release_1.Release.of(project);
            release._forEachBranch((branch) => {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            });
          } else {
            const defaultBranch = void 0;
            this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, defaultBranch));
          }
        }
      }
      /**
       * Add steps to execute a successful build.
       * @param steps workflow steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      renderTaskSteps() {
        const exclude = this.options.exclude ?? [];
        const ncuExcludes = [
          ...new Set(this.project.deps.all.filter((dep) => dep.version && dep.version[0] !== "^" && dep.type !== dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(exclude))
        ];
        const ncuIncludes = this.options.include?.filter((item) => !ncuExcludes.includes(item));
        const includeLength = this.options.include?.length ?? 0;
        const ncuIncludesLength = ncuIncludes?.length ?? 0;
        if (includeLength > 0 && ncuIncludesLength === 0) {
          return [{ exec: "echo No dependencies to upgrade." }];
        }
        const steps = new Array();
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand([], ["npm-check-updates"])
        });
        for (const dep of ["dev", "optional", "peer", "prod", "bundle"]) {
          const ncuCommand = [
            "npm-check-updates",
            "--dep",
            dep,
            "--upgrade",
            "--target=minor"
          ];
          if (ncuIncludes) {
            ncuCommand.push(`--filter='${ncuIncludes.join(",")}'`);
          } else if (ncuExcludes.length > 0) {
            ncuCommand.push(`--reject='${ncuExcludes.join(",")}'`);
          }
          steps.push({ exec: ncuCommand.join(" ") });
        }
        steps.push({ exec: this._project.package.installAndUpdateLockfileCommand });
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand(exclude, this.options.include)
        });
        steps.push({ exec: this._project.projenCommand });
        steps.push({ spawn: this.postUpgradeTask.name });
        return steps;
      }
      createWorkflow(task, github, branch) {
        const schedule = this.options.workflowOptions?.schedule ?? UpgradeDependenciesSchedule.DAILY;
        const workflowName = `${task.name}${branch ? `-${branch.replace(/\//g, "-")}` : ""}`;
        const workflow = github.addWorkflow(workflowName);
        const triggers = {
          workflowDispatch: {},
          schedule: schedule.cron.length > 0 ? schedule.cron.map((e) => ({ cron: e })) : void 0
        };
        workflow.on(triggers);
        const upgrade = this.createUpgrade(task, github, branch);
        const pr = this.createPr(workflow, upgrade);
        const jobs = {};
        jobs[upgrade.jobId] = upgrade.job;
        jobs[pr.jobId] = pr.job;
        workflow.addJobs(jobs);
        return workflow;
      }
      createUpgrade(task, github, branch) {
        const runsOn = this.options.workflowOptions?.runsOn ?? ["ubuntu-latest"];
        const with_ = {
          ...branch ? { ref: branch } : {},
          ...github.downloadLfs ? { lfs: true } : {}
        };
        const steps = [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: Object.keys(with_).length > 0 ? with_ : void 0
          },
          ...this._project.renderWorkflowSetup({ mutable: false }),
          {
            name: "Upgrade dependencies",
            run: this._project.runTaskCommand(task)
          }
        ];
        steps.push(...this.postBuildSteps);
        steps.push(...workflow_actions_1.WorkflowActions.uploadGitPatch({
          stepId: CREATE_PATCH_STEP_ID,
          outputName: PATCH_CREATED_OUTPUT
        }));
        return {
          job: {
            name: "Upgrade",
            container: this.containerOptions,
            permissions: this.permissions,
            runsOn: runsOn ?? ["ubuntu-latest"],
            steps,
            outputs: {
              [PATCH_CREATED_OUTPUT]: {
                stepId: CREATE_PATCH_STEP_ID,
                outputName: PATCH_CREATED_OUTPUT
              }
            }
          },
          jobId: "upgrade",
          ref: branch
        };
      }
      createPr(workflow, upgrade) {
        const credentials = this.options.workflowOptions?.projenCredentials ?? workflow.projenCredentials;
        return {
          job: github_1.WorkflowJobs.pullRequestFromPatch({
            patch: {
              jobId: upgrade.jobId,
              outputName: PATCH_CREATED_OUTPUT,
              ref: upgrade.ref
            },
            workflowName: workflow.name,
            credentials,
            runsOn: this.options.workflowOptions?.runsOn,
            pullRequestTitle: `chore(deps): ${this.pullRequestTitle}`,
            pullRequestDescription: "Upgrades project dependencies.",
            gitIdentity: this.gitIdentity,
            assignees: this.options.workflowOptions?.assignees,
            labels: this.options.workflowOptions?.labels,
            signoff: this.options.signoff
          }),
          jobId: "pr"
        };
      }
    };
    exports2.UpgradeDependencies = UpgradeDependencies;
    _a = JSII_RTTI_SYMBOL_1;
    UpgradeDependencies[_a] = { fqn: "projen.javascript.UpgradeDependencies", version: "0.71.112" };
    var UpgradeDependenciesSchedule = class _UpgradeDependenciesSchedule {
      /**
       * Create a schedule from a raw cron expression.
       */
      static expressions(cron) {
        return new _UpgradeDependenciesSchedule(cron);
      }
      constructor(cron) {
        this.cron = cron;
      }
    };
    exports2.UpgradeDependenciesSchedule = UpgradeDependenciesSchedule;
    _b = JSII_RTTI_SYMBOL_1;
    UpgradeDependenciesSchedule[_b] = { fqn: "projen.javascript.UpgradeDependenciesSchedule", version: "0.71.112" };
    UpgradeDependenciesSchedule.NEVER = new UpgradeDependenciesSchedule([]);
    UpgradeDependenciesSchedule.DAILY = new UpgradeDependenciesSchedule(["0 0 * * *"]);
    UpgradeDependenciesSchedule.WEEKDAY = new UpgradeDependenciesSchedule([
      "0 0 * * 1-5"
    ]);
    UpgradeDependenciesSchedule.WEEKLY = new UpgradeDependenciesSchedule([
      "0 0 * * 1"
    ]);
    UpgradeDependenciesSchedule.MONTHLY = new UpgradeDependenciesSchedule([
      "0 0 1 * *"
    ]);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/javascript/index.js
var require_javascript2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/javascript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_bundler2(), exports2);
    __exportStar(require_eslint2(), exports2);
    __exportStar(require_jest2(), exports2);
    __exportStar(require_node_package2(), exports2);
    __exportStar(require_node_project2(), exports2);
    __exportStar(require_npm_config2(), exports2);
    __exportStar(require_prettier2(), exports2);
    __exportStar(require_projenrc7(), exports2);
    __exportStar(require_typescript_config2(), exports2);
    __exportStar(require_upgrade_dependencies2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/typescript/projenrc.js
var require_projenrc8 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/typescript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var render_options_1 = require_render_options2();
    var projenrc_1 = require_projenrc6();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this._tsProject = project;
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this._swc = options.swc ?? false;
        this.addDefaultTask();
        this.generateProjenrc();
      }
      addDefaultTask() {
        const deps = ["ts-node"];
        if (this._swc) {
          deps.push("@swc/core");
        }
        this._tsProject.addDevDeps(...deps);
        const tsNode = this._swc ? "ts-node --swc" : "ts-node";
        this._tsProject.defaultTask?.exec(`${tsNode} --project ${this._tsProject.tsconfigDev.fileName} ${this.filePath}`);
      }
      preSynthesize() {
        this._tsProject.tsconfigDev.addInclude(this.filePath);
        this._tsProject.tsconfigDev.addInclude(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addLintPattern(this._projenCodeDir);
        this._tsProject.eslint?.addLintPattern(this.filePath);
        this._tsProject.eslint?.allowDevDeps(this.filePath);
        this._tsProject.eslint?.allowDevDeps(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addIgnorePattern(`!${this.filePath}`);
        this._tsProject.eslint?.addIgnorePattern(`!${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.typescript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/typescript/projenrc-ts.js
var require_projenrc_ts2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/typescript/projenrc-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcTs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var javascript_1 = require_javascript2();
    var render_options_1 = require_render_options2();
    var projenrc_1 = require_projenrc6();
    var ProjenrcTs = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this.tsconfig = new javascript_1.TypescriptConfig(project, {
          fileName: options.tsconfigFileName ?? "tsconfig.projen.json",
          compilerOptions: {}
        });
        project.defaultTask?.exec(`npx -y ts-node --project ${this.tsconfig.fileName} ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        this.tsconfig.addInclude(this.filePath);
        this.tsconfig.addInclude(`${this._projenCodeDir}/**/*.ts`);
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcTs = ProjenrcTs;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcTs[_a] = { fqn: "projen.typescript.ProjenrcTs", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/typescript/typescript.js
var require_typescript3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/typescript/typescript.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.mergeTsconfigOptions = exports2.TypeScriptLibraryProject = exports2.TypeScriptAppProject = exports2.TypeScriptProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver6();
    var common_1 = require_common5();
    var component_1 = require_component2();
    var javascript_1 = require_javascript2();
    var sample_file_1 = require_sample_file2();
    var textfile_1 = require_textfile2();
    var typescript_1 = require_typescript4();
    var util_1 = require_util8();
    var TypeScriptProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          ...options,
          // disable .projenrc.js if typescript is enabled
          projenrcJs: options.projenrcTs ? false : options.projenrcJs,
          jestOptions: {
            ...options.jestOptions,
            jestConfig: {
              ...options.jestOptions?.jestConfig,
              testMatch: options.jestOptions?.jestConfig?.testMatch ?? []
            }
          }
        });
        this.srcdir = options.srcdir ?? "src";
        this.libdir = options.libdir ?? "lib";
        this.docgen = options.docgen;
        this.docsDirectory = options.docsDirectory ?? "docs/";
        this.compileTask.exec("tsc --build");
        this.watchTask = this.addTask("watch", {
          description: "Watch & compile in the background",
          exec: "tsc --build -w"
        });
        this.testdir = options.testdir ?? "test";
        this.gitignore.include(`/${this.testdir}/`);
        this.npmignore?.exclude(`/${this.testdir}/`);
        const compiledTests = this.testdir.startsWith(this.srcdir + path.posix.sep);
        if (options.entrypointTypes || this.entrypoint !== "") {
          const entrypointTypes = options.entrypointTypes ?? `${path.join(path.dirname(this.entrypoint), path.basename(this.entrypoint, ".js")).replace(/\\/g, "/")}.d.ts`;
          this.package.addField("types", entrypointTypes);
        }
        const compilerOptionDefaults = {
          alwaysStrict: true,
          declaration: true,
          esModuleInterop: true,
          experimentalDecorators: true,
          inlineSourceMap: true,
          inlineSources: true,
          lib: ["es2019"],
          module: "CommonJS",
          noEmitOnError: false,
          noFallthroughCasesInSwitch: true,
          noImplicitAny: true,
          noImplicitReturns: true,
          noImplicitThis: true,
          noUnusedLocals: true,
          noUnusedParameters: true,
          resolveJsonModule: true,
          strict: true,
          strictNullChecks: true,
          strictPropertyInitialization: true,
          stripInternal: true,
          target: "ES2019"
        };
        if (options.disableTsconfigDev && options.disableTsconfig) {
          throw new Error("Cannot specify both 'disableTsconfigDev' and 'disableTsconfig' fields.");
        }
        if (!options.disableTsconfig) {
          this.tsconfig = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            include: [`${this.srcdir}/**/*.ts`],
            // exclude: ['node_modules'], // TODO: shouldn't we exclude node_modules?
            compilerOptions: {
              rootDir: this.srcdir,
              outDir: this.libdir,
              ...compilerOptionDefaults
            }
          }, options.tsconfig));
        }
        if (options.disableTsconfigDev) {
          this.tsconfigDev = this.tsconfig;
        } else {
          const tsconfigDevFile = options.tsconfigDevFile ?? "tsconfig.dev.json";
          this.tsconfigDev = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            fileName: tsconfigDevFile,
            include: [
              common_1.PROJEN_RC,
              `${this.srcdir}/**/*.ts`,
              `${this.testdir}/**/*.ts`
            ],
            exclude: ["node_modules"],
            compilerOptions: compilerOptionDefaults
          }, options.tsconfig, options.tsconfigDev));
        }
        this.gitignore.include(`/${this.srcdir}/`);
        this.npmignore?.exclude(`/${this.srcdir}/`);
        if (this.srcdir !== this.libdir) {
          this.gitignore.exclude(`/${this.libdir}`);
        } else {
          this.gitignore.exclude(`/${this.libdir}/**/*.js`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts.map`);
        }
        this.npmignore?.include(`/${this.libdir}/`);
        this.npmignore?.include(`/${this.libdir}/**/*.js`);
        this.npmignore?.include(`/${this.libdir}/**/*.d.ts`);
        this.gitignore.exclude("/dist/");
        this.npmignore?.exclude("dist");
        this.npmignore?.exclude("/tsconfig.json");
        this.npmignore?.exclude("/.github/");
        this.npmignore?.exclude("/.vscode/");
        this.npmignore?.exclude("/.idea/");
        this.npmignore?.exclude("/.projenrc.js");
        this.npmignore?.exclude("tsconfig.tsbuildinfo");
        if (this.jest) {
          if (compiledTests) {
            this.addJestCompiled(this.jest);
          } else {
            this.addJestNoCompile(this.jest);
          }
        }
        if (options.eslint ?? true) {
          this.eslint = new javascript_1.Eslint(this, {
            tsconfigPath: `./${this.tsconfigDev.fileName}`,
            dirs: [this.srcdir],
            devdirs: [this.testdir, "build-tools"],
            fileExtensions: [".ts", ".tsx"],
            lintProjenRc: false,
            ...options.eslintOptions
          });
          this.tsconfigEslint = this.tsconfigDev;
        }
        if (!this.parent && options.projenrcTs) {
          new typescript_1.Projenrc(this, options.projenrcTsOptions);
        }
        const tsver = options.typescriptVersion ? `@${options.typescriptVersion}` : "";
        this.addDevDeps(
          `typescript${tsver}`,
          // @types/node versions numbers match the node runtime versions' major.minor, however, new
          // releases are only created when API changes are included in a node release... We might for
          // example have dependencies that require `node >= 12.22`, but as 12.21 and 12.22 did not
          // include API changes, `@types/node@12.20.x` is the "correct" version to use. As it is not
          // possible to easily determine the correct version to use, we pick up the latest version.
          //
          // Additionally, we default to tracking the 12.x line, as the current earliest LTS release of
          // node is 12.x, so this is what corresponds to the broadest compatibility with supported node
          // runtimes.
          `@types/node@^${semver.major(this.package.minNodeVersion ?? "16.0.0")}`
        );
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        if (this.docgen) {
          new typescript_1.TypedocDocgen(this);
        }
      }
      /**
       * Tests are compiled to `lib/TESTDIR`, so we don't need jest to compile them
       * for us. just run them directly from javascript.
       */
      addJestCompiled(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`);
        const testout = path.posix.relative(this.srcdir, this.testdir);
        const libtest = path.posix.join(this.libdir, testout);
        const srctest = this.testdir;
        this.npmignore?.exclude(`/${libtest}/`);
        jest.addTestMatch(`**/${libtest}/**/?(*.)+(spec|test).js?(x)`);
        jest.addWatchIgnorePattern(`/${this.srcdir}/`);
        const resolveSnapshotPath = (test, ext) => {
          const fullpath = test.replace(libtest, srctest);
          return path.join(path.dirname(fullpath), "__snapshots__", path.basename(fullpath, ".js") + ".ts" + ext);
        };
        const resolveTestPath = (snap, ext) => {
          const filename = path.basename(snap, ".ts" + ext) + ".js";
          const dir = path.dirname(path.dirname(snap)).replace(srctest, libtest);
          return path.join(dir, filename);
        };
        const resolver = new textfile_1.TextFile(this, path.posix.join(common_1.PROJEN_DIR, "jest-snapshot-resolver.js"));
        if (!resolver.marker) {
          resolver.addLine(`// ${resolver.marker}`);
        }
        resolver.addLine('const path = require("path");');
        resolver.addLine(`const libtest = "${libtest}";`);
        resolver.addLine(`const srctest= "${srctest}";`);
        resolver.addLine("module.exports = {");
        resolver.addLine(`  resolveSnapshotPath: ${resolveSnapshotPath.toString()},`);
        resolver.addLine(`  resolveTestPath: ${resolveTestPath.toString()},`);
        resolver.addLine("  testPathForConsistencyCheck: path.join('some', '__tests__', 'example.test.js')");
        resolver.addLine("};");
        jest.addSnapshotResolver(`./${resolver.path}`);
      }
      addJestNoCompile(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`, `ts-jest${jest.jestVersion}`);
        jest.addTestMatch(`<rootDir>/${this.srcdir}/**/__tests__/**/*.ts?(x)`);
        jest.addTestMatch(`<rootDir>/(${this.testdir}|${this.srcdir})/**/*(*.)@(spec|test).ts?(x)`);
        if (!jest.config.preset) {
          jest.config.preset = "ts-jest";
        }
        jest.config.globals = (0, util_1.deepMerge)([
          {
            "ts-jest": {
              tsconfig: this.tsconfigDev.fileName
            }
          },
          jest.config.globals
        ]);
      }
    };
    exports2.TypeScriptProject = TypeScriptProject;
    _a = JSII_RTTI_SYMBOL_1;
    TypeScriptProject[_a] = { fqn: "projen.typescript.TypeScriptProject", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        const srcCode = [
          "export class Hello {",
          "  public sayHello() {",
          "    return 'hello, world!';",
          "  }",
          "}"
        ].join("\n");
        const testCode = [
          "import { Hello } from '../src';",
          "",
          "test('hello', () => {",
          "  expect(new Hello().sayHello()).toBe('hello, world!');",
          "});"
        ].join("\n");
        new sample_file_1.SampleDir(project, project.srcdir, {
          files: {
            "index.ts": srcCode
          }
        });
        if (project.jest) {
          new sample_file_1.SampleDir(project, project.testdir, {
            files: {
              "hello.test.ts": testCode
            }
          });
        }
      }
    };
    var TypeScriptAppProject = class extends TypeScriptProject {
      constructor(options) {
        super({
          allowLibraryDependencies: false,
          releaseWorkflow: false,
          entrypoint: "",
          package: false,
          ...options
        });
      }
    };
    exports2.TypeScriptAppProject = TypeScriptAppProject;
    _b = JSII_RTTI_SYMBOL_1;
    TypeScriptAppProject[_b] = { fqn: "projen.typescript.TypeScriptAppProject", version: "0.71.112" };
    var TypeScriptLibraryProject = class extends TypeScriptProject {
    };
    exports2.TypeScriptLibraryProject = TypeScriptLibraryProject;
    _c = JSII_RTTI_SYMBOL_1;
    TypeScriptLibraryProject[_c] = { fqn: "projen.typescript.TypeScriptLibraryProject", version: "0.71.112" };
    function mergeTsconfigOptions(...options) {
      const definedOptions = options.filter(Boolean);
      return definedOptions.reduce((previous, current) => ({
        ...previous,
        ...current,
        include: [...previous.include ?? [], ...current.include ?? []],
        exclude: [...previous.exclude ?? [], ...current.exclude ?? []],
        compilerOptions: {
          ...previous.compilerOptions,
          ...current.compilerOptions
        }
      }), { compilerOptions: {} });
    }
    exports2.mergeTsconfigOptions = mergeTsconfigOptions;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/typescript/typescript-typedoc.js
var require_typescript_typedoc2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/typescript/typescript-typedoc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypedocDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TypedocDocgen = class {
      constructor(project) {
        project.addDevDeps("typedoc");
        const docgen = project.addTask("docgen", {
          description: `Generate TypeScript API reference ${project.docsDirectory}`,
          exec: `typedoc ${project.srcdir} --disableSources --out ${project.docsDirectory}`
        });
        project.postCompileTask.spawn(docgen);
      }
    };
    exports2.TypedocDocgen = TypedocDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    TypedocDocgen[_a] = { fqn: "projen.typescript.TypedocDocgen", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/typescript/index.js
var require_typescript4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/typescript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_projenrc8(), exports2);
    __exportStar(require_projenrc_ts2(), exports2);
    __exportStar(require_typescript3(), exports2);
    __exportStar(require_typescript_typedoc2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/web/next.js
var require_next2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/web/next.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NextComponent = exports2.NextJsTypeScriptProject = exports2.NextJsProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var postcss_1 = require_postcss2();
    var component_1 = require_component2();
    var javascript_1 = require_javascript2();
    var sample_file_1 = require_sample_file2();
    var typescript_1 = require_typescript4();
    var util_1 = require_util8();
    var NextJsProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          minNodeVersion: "12.22.0",
          workflowNodeVersion: "16.x",
          ...options
        });
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: false, tailwind: this.tailwind });
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "js",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsProject = NextJsProject;
    _a = JSII_RTTI_SYMBOL_1;
    NextJsProject[_a] = { fqn: "projen.web.NextJsProject", version: "0.71.112" };
    var NextJsTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "pages",
          eslint: false,
          minNodeVersion: "12.22.0",
          jest: false,
          workflowNodeVersion: "16.x",
          tsconfig: {
            include: ["**/*.ts", "**/*.tsx"],
            compilerOptions: {
              // required by Next.js
              esModuleInterop: true,
              module: "CommonJS",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              isolatedModules: true,
              resolveJsonModule: true,
              jsx: javascript_1.TypeScriptJsxMode.PRESERVE,
              // recommended by Next.js
              allowJs: true,
              skipLibCheck: true,
              forceConsistentCasingInFileNames: true,
              noEmit: true,
              lib: ["dom", "dom.iterable", "esnext"],
              strict: false,
              target: "es5",
              incremental: true
            }
          }
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: true, tailwind: this.tailwind });
        if (this.tsconfig) {
          this.tsconfig.file.readonly = false;
        }
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsTypeScriptProject = NextJsTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    NextJsTypeScriptProject[_b] = { fqn: "projen.web.NextJsTypeScriptProject", version: "0.71.112" };
    var NextComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        this.tailwind = options.tailwind ?? true;
        project.addDeps("next", "react", "react-dom");
        if (this.typescript) {
          project.addDevDeps("@types/react", "@types/react-dom");
        }
        if (this.tailwind) {
          new postcss_1.PostCss(project, { tailwind: true });
        }
        project.addTask("dev", {
          description: "Starts the Next.js application in development mode",
          exec: "next dev"
        });
        project.compileTask.exec("next build");
        project.addTask("export", {
          description: "Exports the application for production deployment",
          exec: "next export"
        });
        project.addTask("server", {
          description: "Starts the Next.js application in production mode",
          exec: "next start"
        });
        project.addTask("telemetry", {
          description: "Checks the status of Next.js telemetry collection",
          exec: "next telemetry"
        });
        project.npmignore?.exclude("# Next.js", "/.next/");
        project.gitignore.exclude("# Next.js", "/.next/");
      }
    };
    exports2.NextComponent = NextComponent;
    _c = JSII_RTTI_SYMBOL_1;
    NextComponent[_c] = { fqn: "projen.web.NextComponent", version: "0.71.112" };
    var NextSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "js";
        this.srcdir = options.srcdir;
        this.assetsdir = options.assetsdir;
        this.tailwind = options.tailwind;
        const indexJs = [
          'import Head from "next/head"',
          "",
          "export default function Home() {",
          "  return (",
          '    <div className="container">',
          "      <Head>",
          "        <title>Create Next App</title>",
          "      </Head>",
          "",
          "      <main>",
          '        <h1 className="title">',
          '          Welcome to <a href="https://nextjs.org">Next.js!</a>',
          "        </h1>",
          "",
          '        <p className="description">',
          "          Get started by editing <code>pages/index.js</code>",
          "        </p>",
          "",
          '        <div className="grid">',
          '          <a href="https://nextjs.org/docs" className="card">',
          "            <h3>Documentation &rarr;</h3>",
          "            <p>Find in-depth information about Next.js features and API.</p>",
          "          </a>",
          "",
          '          <a href="https://nextjs.org/learn" className="card">',
          "            <h3>Learn &rarr;</h3>",
          "            <p>Learn about Next.js in an interactive course with quizzes!</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://github.com/vercel/next.js/tree/master/examples"',
          '            className="card"',
          "          >",
          "            <h3>Examples &rarr;</h3>",
          "            <p>Discover and deploy boilerplate example Next.js projects.</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://vercel.com/import?filter=next.js&utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '            className="card"',
          "          >",
          "            <h3>Deploy &rarr;</h3>",
          "            <p>",
          "              Instantly deploy your Next.js site to a public URL with Vercel.",
          "            </p>",
          "          </a>",
          "        </div>",
          "      </main>",
          "",
          "      <footer>",
          "        <a",
          '          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Powered by Vercel",
          '          <img src="/vercel.svg" alt="Vercel Logo" className="logo" />',
          "        </a>",
          "      </footer>",
          "",
          "      <style jsx>{`",
          "        .container {",
          "          min-height: 100vh;",
          "          padding: 0 0.5rem;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        main {",
          "          padding: 5rem 0;",
          "          flex: 1;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer {",
          "          width: 100%;",
          "          height: 100px;",
          "          border-top: 1px solid #eaeaea;",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer img {",
          "          margin-left: 0.5rem;",
          "        }",
          "",
          "        footer a {",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        a {",
          "          color: inherit;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a {",
          "          color: #0070f3;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a:hover,",
          "        .title a:focus,",
          "        .title a:active {",
          "          text-decoration: underline;",
          "        }",
          "",
          "        .title {",
          "          margin: 0;",
          "          line-height: 1.15;",
          "          font-size: 4rem;",
          "        }",
          "",
          "        .title,",
          "        .description {",
          "          text-align: center;",
          "        }",
          "",
          "        .description {",
          "          line-height: 1.5;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        code {",
          "          background: #fafafa;",
          "          border-radius: 5px;",
          "          padding: 0.75rem;",
          "          font-size: 1.1rem;",
          "          font-family: Menlo, Monaco, Lucida Console, Liberation Mono,",
          "            DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace;",
          "        }",
          "",
          "        .grid {",
          "          display: flex;",
          "          align-items: center;",
          "          justify-content: center;",
          "          flex-wrap: wrap;",
          "",
          "          max-width: 800px;",
          "          margin-top: 3rem;",
          "        }",
          "",
          "        .card {",
          "          margin: 1rem;",
          "          flex-basis: 45%;",
          "          padding: 1.5rem;",
          "          text-align: left;",
          "          color: inherit;",
          "          text-decoration: none;",
          "          border: 1px solid #eaeaea;",
          "          border-radius: 10px;",
          "          transition: color 0.15s ease, border-color 0.15s ease;",
          "        }",
          "",
          "        .card:hover,",
          "        .card:focus,",
          "        .card:active {",
          "          color: #0070f3;",
          "          border-color: #0070f3;",
          "        }",
          "",
          "        .card h3 {",
          "          margin: 0 0 1rem 0;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        .card p {",
          "          margin: 0;",
          "          font-size: 1.25rem;",
          "          line-height: 1.5;",
          "        }",
          "",
          "        .logo {",
          "          height: 1em;",
          "        }",
          "",
          "        @media (max-width: 600px) {",
          "          .grid {",
          "            width: 100%;",
          "            flex-direction: column;",
          "          }",
          "        }",
          "      `}</style>",
          "",
          "      <style jsx global>{`",
          "        html,",
          "        body {",
          "          padding: 0;",
          "          margin: 0;",
          "          font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,",
          "            Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue,",
          "            sans-serif;",
          "        }",
          "",
          "        * {",
          "          box-sizing: border-box;",
          "        }",
          "      `}</style>",
          "    </div>",
          "  )",
          "}",
          ""
        ];
        if (this.tailwind) {
          indexJs.unshift('import "tailwindcss/tailwind.css"');
        }
        const vercelSvg = [
          '<svg width="283" height="64" viewBox="0 0 283 64" fill="none" ',
          '    xmlns="http://www.w3.org/2000/svg">',
          '    <path d="M141.04 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.46 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM248.72 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.45 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM200.24 34c0 6 3.92 10 10 10 4.12 0 7.21-1.87 8.8-4.92l7.68 4.43c-3.18 5.3-9.14 8.49-16.48 8.49-11.05 0-19-7.2-19-18s7.96-18 19-18c7.34 0 13.29 3.19 16.48 8.49l-7.68 4.43c-1.59-3.05-4.68-4.92-8.8-4.92-6.07 0-10 4-10 10zm82.48-29v46h-9V5h9zM36.95 0L73.9 64H0L36.95 0zm92.38 5l-27.71 48L73.91 5H84.3l17.32 30 17.32-30h10.39zm58.91 12v9.69c-1-.29-2.06-.49-3.2-.49-5.81 0-10 4-10 10V51h-9V17h9v9.2c0-5.08 5.91-9.2 13.2-9.2z" fill="#000"/>',
          "</svg>"
        ];
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            ["index." + this.fileExt]: indexJs.join("\n")
          }
        });
        new sample_file_1.SampleDir(project, this.assetsdir, {
          files: {
            "vercel.svg": vercelSvg.join("\n")
          }
        });
        new sample_file_1.SampleFile(project, "next-env.d.ts", {
          contents: [
            '/// <reference types="next" />',
            '/// <reference types="next/types/global" />',
            '/// <reference types="next/image-types/global" />',
            "// NOTE: This file should not be edited",
            "// see https://nextjs.org/docs/basic-features/typescript for more information.",
            ""
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/web/react.js
var require_react2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/web/react.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReactTypeDef = exports2.ReactComponent = exports2.ReactTypeScriptProject = exports2.ReactProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var component_1 = require_component2();
    var file_1 = require_file2();
    var javascript_1 = require_javascript2();
    var sample_file_1 = require_sample_file2();
    var source_code_1 = require_source_code2();
    var typescript_1 = require_typescript4();
    var util_1 = require_util8();
    var ReactProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          ...options
        });
        this.srcdir = options.srcdir ?? "src";
        new ReactComponent(this, { typescript: false, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "jsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
      }
    };
    exports2.ReactProject = ReactProject;
    _a = JSII_RTTI_SYMBOL_1;
    ReactProject[_a] = { fqn: "projen.web.ReactProject", version: "0.71.112" };
    var ReactTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "src",
          eslint: true,
          jest: false,
          tsconfig: {
            include: ["src"],
            compilerOptions: {
              target: "es5",
              lib: ["dom", "dom.iterable", "esnext"],
              allowJs: true,
              skipLibCheck: true,
              esModuleInterop: true,
              allowSyntheticDefaultImports: true,
              strict: true,
              forceConsistentCasingInFileNames: true,
              noFallthroughCasesInSwitch: true,
              module: "commonjs",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              resolveJsonModule: true,
              isolatedModules: true,
              noEmit: true,
              jsx: javascript_1.TypeScriptJsxMode.REACT_JSX
            }
          },
          typescriptVersion: options.typescriptVersion ?? "^4.0.3"
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "src";
        this.eslint?.addRules({
          "import/no-extraneous-dependencies": [
            "error",
            {
              devDependencies: ["**/src/**/*.test.tsx", "**/src/setupTests.ts"],
              optionalDependencies: false,
              peerDependencies: true
            }
          ]
        });
        new ReactComponent(this, { typescript: true, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
        this.package.addPackageResolutions(
          // https://github.com/DefinitelyTyped/DefinitelyTyped/issues/62300
          "@types/express@4.17.13",
          "@types/express-serve-static-core@4.17.30"
        );
      }
    };
    exports2.ReactTypeScriptProject = ReactTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    ReactTypeScriptProject[_b] = { fqn: "projen.web.ReactTypeScriptProject", version: "0.71.112" };
    var ReactComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        project.compileTask.reset();
        project.addDeps("react", "react-dom", "react-scripts@^5", "web-vitals");
        project.addDevDeps("@testing-library/jest-dom", "@testing-library/react", "@testing-library/user-event");
        if (this.typescript) {
          project.addDevDeps("@types/jest", "@types/react", "@types/react-dom");
        }
        const rewire = options.rewire ?? false;
        if (rewire) {
          const overridesPath = ".projen/react-config-overrides.js";
          project.addDevDeps("react-app-rewired");
          project.addFields({ "config-overrides-path": overridesPath });
          const configOverrides = new source_code_1.SourceCode(this.project, overridesPath);
          if (!configOverrides.marker) {
            configOverrides.line(`// ${configOverrides.marker}`);
          }
          configOverrides.line("/**");
          configOverrides.line(" * Override CRA configuration without needing to eject.");
          configOverrides.line(" *");
          configOverrides.line(" * @see https://www.npmjs.com/package/react-app-rewired");
          configOverrides.line(" */");
          configOverrides.open("module.exports = function override(config, env) {");
          for (const [key, value] of Object.entries(rewire)) {
            configOverrides.line(`config.${key} = ${JSON.stringify(value)};`);
          }
          configOverrides.line("return config;");
          configOverrides.close("};");
        }
        const reactScripts = rewire ? "react-app-rewired" : "react-scripts";
        project.addTask("dev", {
          description: "Starts the react application",
          exec: `${reactScripts} start`
        });
        project.compileTask.exec(`${reactScripts} build`);
        project.testTask.exec(`${reactScripts} test --watchAll=false`);
        const testWatch = project.tasks.tryFind("test:watch");
        testWatch?.reset(`${reactScripts} test`);
        project.npmignore?.exclude("# Build", "/build/");
        project.gitignore.exclude("# Build", "/build/");
        project.package.addField("eslintConfig", {
          extends: ["react-app", "react-app/jest"]
        });
        project.package.addField("browserslist", {
          production: [">0.2%", "not dead", "not op_mini all"],
          development: [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
          ]
        });
      }
    };
    exports2.ReactComponent = ReactComponent;
    _c = JSII_RTTI_SYMBOL_1;
    ReactComponent[_c] = { fqn: "projen.web.ReactComponent", version: "0.71.112" };
    var ReactSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "jsx";
        this.srcdir = options.srcdir;
        const logoSvg = [
          '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3">',
          '    <g fill="#61DAFB">',
          '        <path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/>',
          '        <circle cx="420.9" cy="296.5" r="45.7"/>',
          '        <path d="M520.5 78.1z"/>',
          "    </g>",
          "</svg>",
          ""
        ];
        const appJsx = [
          "import logo from './logo.svg';",
          "import './App.css'",
          "",
          "function App() {",
          "  return (",
          '   <div className="App">',
          '      <header className="App-header">',
          '        <img src={logo} className="App-logo" alt="logo" />',
          "        <p>",
          `          Edit <code>src/App.${this.fileExt}</code> and save to reload.`,
          "        </p>",
          '        <a className="App-link"',
          '          href="https://reactjs.org"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Learn React",
          "        </a>",
          "      </header>",
          "    </div>",
          "  );",
          "}",
          "",
          "export default App;",
          ""
        ];
        const appCss = [
          ".App {",
          "  text-align: center;",
          "}",
          "",
          ".App-logo {",
          "  height: 40vmin;",
          "  pointer-events: none;",
          "}",
          "",
          "@media (prefers-reduced-motion: no-preference) {",
          "  .App-logo {",
          "    animation: App-logo-spin infinite 20s linear;",
          "  }",
          "}",
          "",
          ".App-header {",
          "  background-color: #282c34;",
          "  min-height: 100vh;",
          "  display: flex;",
          "  flex-direction: column;",
          "  align-items: center;",
          "  justify-content: center;",
          "  font-size: calc(10px + 2vmin);",
          "  color: white;",
          "}",
          "",
          ".App-link {",
          "  color: #61dafb;",
          "}",
          "",
          "@keyframes App-logo-spin {",
          "  from {",
          "    transform: rotate(0deg);",
          "  }",
          "  to {",
          "    transform: rotate(360deg);",
          "  }",
          "}",
          ""
        ];
        const appTestJsx = [
          "import { render, screen } from '@testing-library/react';",
          "import App from './App';",
          "",
          "test('renders learn react link', () => {",
          "  render(<App />);",
          "  const linkElement = screen.getByText(/learn react/i);",
          "  expect(linkElement).toBeInTheDocument();",
          "});",
          ""
        ];
        const indexJsx = [
          "import React from 'react';",
          "import ReactDOM from 'react-dom';",
          "import './index.css';",
          "import App from './App';",
          "import reportWebVitals from './reportWebVitals';",
          "",
          "ReactDOM.render(",
          "  <React.StrictMode>",
          "    <App />",
          "  </React.StrictMode>,",
          "  document.getElementById('root')",
          ");",
          "",
          "// If you want to start measuring performance in your app, pass a function",
          "// to log results (for example: reportWebVitals(console.log))",
          "// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals",
          "reportWebVitals();",
          ""
        ];
        const indexCss = [
          "body {",
          "  margin: 0;",
          "  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',",
          "    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',",
          "    sans-serif;",
          "  -webkit-font-smoothing: antialiased;",
          "  -moz-osx-font-smoothing: grayscale;",
          "}",
          "",
          "code {",
          "  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',",
          "    monospace;",
          "}",
          ""
        ];
        const reportWebVitalsJs = [
          "import { ReportHandler } from 'web-vitals';",
          "",
          "const reportWebVitals = (onPerfEntry?: ReportHandler) => {",
          "  if (onPerfEntry && onPerfEntry instanceof Function) {",
          "    import('web-vitals').then(",
          "      ({ getCLS, getFID, getFCP, getLCP, getTTFB }) => {",
          "        getCLS(onPerfEntry);",
          "        getFID(onPerfEntry);",
          "        getFCP(onPerfEntry);",
          "        getLCP(onPerfEntry);",
          "        getTTFB(onPerfEntry);",
          "      },",
          "      () => {}",
          "    );",
          "  }",
          "};",
          "",
          "export default reportWebVitals;"
        ];
        const setupTestsJs = [
          "// jest-dom adds custom jest matchers for asserting on DOM nodes.",
          "// allows you to do things like:",
          "// expect(element).toHaveTextContent(/react/i)",
          "// learn more: https://github.com/testing-library/jest-dom",
          "import '@testing-library/jest-dom';",
          ""
        ];
        const reactTypeDef = ['/// <reference types="react-scripts" />'];
        const fileExtWithoutX = this.fileExt.replace("x", "");
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            "react-app-env.d.ts": reactTypeDef.join("\n"),
            "logo.svg": logoSvg.join("\n"),
            ["App." + this.fileExt]: appJsx.join("\n"),
            ["App.test." + this.fileExt]: appTestJsx.join("\n"),
            "App.css": appCss.join("\n"),
            ["index." + this.fileExt]: indexJsx.join("\n"),
            "index.css": indexCss.join("\n"),
            ["reportWebVitals." + fileExtWithoutX]: reportWebVitalsJs.join("\n"),
            ["setupTests." + fileExtWithoutX]: setupTestsJs.join("\n")
          }
        });
      }
    };
    var ReactTypeDef = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(_) {
        return ['/// <reference types="react-scripts" />'].join("\n");
      }
    };
    exports2.ReactTypeDef = ReactTypeDef;
    _d = JSII_RTTI_SYMBOL_1;
    ReactTypeDef[_d] = { fqn: "projen.web.ReactTypeDef", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/web/index.js
var require_web2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/web/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_next2(), exports2);
    __exportStar(require_postcss2(), exports2);
    __exportStar(require_react2(), exports2);
    __exportStar(require_tailwind2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitlab/configuration.js
var require_configuration2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitlab/configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CiConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case2();
    var component_1 = require_component2();
    var yaml_1 = require_yaml2();
    var CiConfiguration = class extends component_1.Component {
      constructor(project, name, options) {
        super(project);
        this.defaultAfterScript = [];
        this.defaultBeforeScript = [];
        this.defaultServices = [];
        this.defaultTags = [];
        this.include = [];
        this.stages = [];
        this.variables = {};
        this.jobs = {};
        this.project = project;
        this.name = path.parse(name).name;
        this.path = this.name === "gitlab-ci" ? ".gitlab-ci.yml" : `.gitlab/ci-templates/${name.toLocaleLowerCase()}.yml`;
        this.file = new yaml_1.YamlFile(this.project, this.path, {
          obj: () => this.renderCI(),
          // GitLab needs to read the file from the repository in order to work.
          committed: true
        });
        const defaults = options?.default;
        if (defaults) {
          this.defaultAfterScript.push(...defaults.afterScript ?? []);
          this.defaultArtifacts = defaults.artifacts;
          defaults.beforeScript && this.defaultBeforeScript.push(...defaults.beforeScript);
          this.defaultCache = defaults.cache;
          this.defaultImage = defaults.image;
          this.defaultInterruptible = defaults.interruptible;
          this.defaultRetry = defaults.retry;
          defaults.services && this.addServices(...defaults.services);
          defaults.tags && this.defaultTags.push(...defaults.tags);
          this.defaultTimeout = defaults.timeout;
        }
        this.pages = options?.pages;
        this.workflow = options?.workflow;
        if (options?.stages) {
          this.addStages(...options.stages);
        }
        if (options?.variables) {
          this.addGlobalVariables(options.variables);
        }
        if (options?.jobs) {
          this.addJobs(options.jobs);
        }
      }
      /**
       * Add additional yml/yaml files to the CI includes
       * @param includes The includes to add.
       */
      addIncludes(...includes) {
        for (const additional of includes) {
          this.assertIsValidInclude(additional);
          for (const existing of this.include) {
            if (this.areEqualIncludes(existing, additional)) {
              throw new Error(`${this.name}: GitLab CI ${existing} already contains one or more templates specified in ${additional}.`);
            }
          }
          this.include.push(additional);
        }
      }
      /**
       * Throw an error if the provided Include is invalid.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param include the Include to validate.
       */
      assertIsValidInclude(include) {
        const combos = [
          include.local,
          include.file && include.project,
          include.remote,
          include.template
        ];
        const len = combos.filter((x) => Boolean(x)).length;
        if (len !== 1) {
          throw new Error(`${this.name}: GitLab CI include ${include} contains ${len} property combination(s).
        A valid include configuration specifies *one* of the following property combinations.
        * local
        * file, project
        * remote
        * template  
        `);
        }
      }
      /**
       * Check if the equality of Includes.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param x First include to compare.
       * @param y Second include to compare.
       * @returns Whether the includes are equal.
       */
      areEqualIncludes(x, y) {
        if (x.local === y.local && x.local !== void 0) {
          return true;
        } else if (x.template === y.template && x.template !== void 0) {
          return true;
        } else if (x.remote === y.remote && x.remote !== void 0) {
          return true;
        } else if (x.project === y.project && x.ref === y.ref) {
          const xFiles = x.file ? x.file : [];
          const yFiles = y.file ? y.file : [];
          const allFiles = xFiles.concat(yFiles);
          return new Set(allFiles).size !== allFiles.length;
        }
        return false;
      }
      /**
       * Add additional services.
       * @param services The services to add.
       */
      addServices(...services) {
        for (const additional of services) {
          for (const existing of this.defaultServices) {
            if (additional.name === existing.name && additional.alias === existing.alias) {
              throw new Error(`${this.name}: GitLab CI already contains service ${additional}.`);
            }
          }
          this.defaultServices.push(additional);
        }
      }
      /**
       * Add a globally defined variable to the CI configuration.
       * @param variables The variables to add.
       */
      addGlobalVariables(variables) {
        for (const [key, value] of Object.entries(variables)) {
          if (this.variables[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains variable ${key}.`);
          }
          this.variables[key] = value;
        }
      }
      /**
       * Add stages to the CI configuration if not already present.
       * @param stages stages to add.
       */
      addStages(...stages) {
        for (const stage of stages) {
          if (!this.stages.includes(stage)) {
            this.stages.push(stage);
          }
        }
      }
      /**
       * Add jobs and their stages to the CI configuration.
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        for (const [key, value] of Object.entries(jobs)) {
          if (this.jobs[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains job ${key}.`);
          }
          this.jobs[key] = value;
          if (value.stage) {
            this.addStages(value.stage);
          }
        }
      }
      renderCI() {
        return {
          default: this.renderDefault(),
          include: this.include.length > 0 ? snakeCaseKeys(this.include) : void 0,
          pages: snakeCaseKeys(this.pages),
          services: this.defaultServices.length > 0 ? snakeCaseKeys(this.defaultServices) : void 0,
          variables: Object.entries(this.variables).length > 0 ? this.variables : void 0,
          workflow: snakeCaseKeys(this.workflow),
          stages: this.stages.length > 0 ? this.stages : void 0,
          // we do not want to change job names
          // as they can be hidden (https://docs.gitlab.com/ee/ci/jobs/index.html#hide-jobs)
          // or referenced in extends
          ...snakeCaseKeys(this.jobs, true)
        };
      }
      renderDefault() {
        const defaults = {
          afterScript: this.defaultAfterScript.length > 0 ? this.defaultAfterScript : void 0,
          artifacts: this.defaultArtifacts,
          beforeScript: this.defaultBeforeScript.length > 0 ? this.defaultBeforeScript : void 0,
          cache: this.defaultCache,
          image: this.defaultImage,
          interruptible: this.defaultInterruptible,
          retry: this.defaultRetry,
          services: this.defaultServices.length > 0 ? this.defaultServices : void 0,
          tags: this.defaultTags.length > 0 ? this.defaultTags : void 0,
          timeout: this.defaultTimeout
        };
        return Object.values(defaults).filter((x) => x).length ? snakeCaseKeys(defaults) : void 0;
      }
    };
    exports2.CiConfiguration = CiConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    CiConfiguration[_a] = { fqn: "projen.gitlab.CiConfiguration", version: "0.71.112" };
    function snakeCaseKeys(obj, skipTopLevel = false) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map((o) => snakeCaseKeys(o));
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null && k !== "variables") {
          v = snakeCaseKeys(v);
        }
        result[skipTopLevel ? k : (0, case_1.snake)(k)] = v;
      }
      return result;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitlab/configuration-model.js
var require_configuration_model2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitlab/configuration-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowWhen = exports2.Strategy = exports2.LinkType = exports2.DefaultElement = exports2.KubernetesEnum = exports2.DeploymentTier = exports2.Action = exports2.JobWhen = exports2.CacheWhen = exports2.CachePolicy = void 0;
    var CachePolicy;
    (function(CachePolicy2) {
      CachePolicy2["PULL"] = "pull";
      CachePolicy2["PUSH"] = "push";
      CachePolicy2["PULL_PUSH"] = "pull-push";
    })(CachePolicy || (exports2.CachePolicy = CachePolicy = {}));
    var CacheWhen;
    (function(CacheWhen2) {
      CacheWhen2["ALWAYS"] = "always";
      CacheWhen2["ON_FAILURE"] = "on_failure";
      CacheWhen2["ON_SUCCESS"] = "on_success";
    })(CacheWhen || (exports2.CacheWhen = CacheWhen = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["DELAYED"] = "delayed";
      JobWhen2["MANUAL"] = "manual";
      JobWhen2["NEVER"] = "never";
      JobWhen2["ON_FAILURE"] = "on_failure";
      JobWhen2["ON_SUCCESS"] = "on_success";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var Action;
    (function(Action2) {
      Action2["PREPARE"] = "prepare";
      Action2["START"] = "start";
      Action2["STOP"] = "stop";
    })(Action || (exports2.Action = Action = {}));
    var DeploymentTier;
    (function(DeploymentTier2) {
      DeploymentTier2["DEVELOPMENT"] = "development";
      DeploymentTier2["OTHER"] = "other";
      DeploymentTier2["PRODUCTION"] = "production";
      DeploymentTier2["STAGING"] = "staging";
      DeploymentTier2["TESTING"] = "testing";
    })(DeploymentTier || (exports2.DeploymentTier = DeploymentTier = {}));
    var KubernetesEnum;
    (function(KubernetesEnum2) {
      KubernetesEnum2["ACTIVE"] = "active";
    })(KubernetesEnum || (exports2.KubernetesEnum = KubernetesEnum = {}));
    var DefaultElement;
    (function(DefaultElement2) {
      DefaultElement2["AFTER_SCRIPT"] = "after_script";
      DefaultElement2["ARTIFACTS"] = "artifacts";
      DefaultElement2["BEFORE_SCRIPT"] = "before_script";
      DefaultElement2["CACHE"] = "cache";
      DefaultElement2["IMAGE"] = "image";
      DefaultElement2["INTERRUPTIBLE"] = "interruptible";
      DefaultElement2["RETRY"] = "retry";
      DefaultElement2["SERVICES"] = "services";
      DefaultElement2["TAGS"] = "tags";
      DefaultElement2["TIMEOUT"] = "timeout";
    })(DefaultElement || (exports2.DefaultElement = DefaultElement = {}));
    var LinkType;
    (function(LinkType2) {
      LinkType2["IMAGE"] = "image";
      LinkType2["OTHER"] = "other";
      LinkType2["PACKAGE"] = "package";
      LinkType2["RUNBOOK"] = "runbook";
    })(LinkType || (exports2.LinkType = LinkType = {}));
    var Strategy;
    (function(Strategy2) {
      Strategy2["DEPEND"] = "depend";
    })(Strategy || (exports2.Strategy = Strategy = {}));
    var WorkflowWhen;
    (function(WorkflowWhen2) {
      WorkflowWhen2["ALWAYS"] = "always";
      WorkflowWhen2["NEVER"] = "never";
    })(WorkflowWhen || (exports2.WorkflowWhen = WorkflowWhen = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitlab/nested-configuration.js
var require_nested_configuration2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitlab/nested-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NestedConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration2();
    var NestedConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, parent, name, options) {
        super(project, name, options);
        this.parent = parent;
      }
    };
    exports2.NestedConfiguration = NestedConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    NestedConfiguration[_a] = { fqn: "projen.gitlab.NestedConfiguration", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitlab/gitlab-configuration.js
var require_gitlab_configuration2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitlab/gitlab-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitlabConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration2();
    var nested_configuration_1 = require_nested_configuration2();
    var GitlabConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, options) {
        super(project, "gitlab-ci", options);
        this.nestedTemplates = {};
      }
      /**
       * Creates and adds nested templates to the includes of the main CI.
       * Additionally adds their stages to the main CI if they are not already present.
       * You can futher customize nested templates through the `nestedTemplates` property.
       * E.g. gitlabConfig.nestedTemplates['templateName']?.addStages('stageName')
       * @param config a record the names and configuraitons of the templates.
       */
      createNestedTemplates(config) {
        for (const [name, options] of Object.entries(config)) {
          if (this.nestedTemplates[name] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains template "${name}".`);
          }
          const template = new nested_configuration_1.NestedConfiguration(this.project, this, name, options);
          this.nestedTemplates[template.name] = template;
          this.addIncludes({ local: template.path });
          this.addStages(...template.stages);
        }
      }
    };
    exports2.GitlabConfiguration = GitlabConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    GitlabConfiguration[_a] = { fqn: "projen.gitlab.GitlabConfiguration", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/gitlab/index.js
var require_gitlab2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/gitlab/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_configuration2(), exports2);
    __exportStar(require_configuration_model2(), exports2);
    __exportStar(require_gitlab_configuration2(), exports2);
    __exportStar(require_nested_configuration2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/circleci/circleci.js
var require_circleci3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/circleci/circleci.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isObjectContainingFieldExactly = exports2.Circleci = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var util_1 = require_util8();
    var yaml_1 = require_yaml2();
    var Circleci = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.renderJobs = (jobs = []) => {
          let result = [];
          for (const job of jobs ?? []) {
            const { identifier, orbParameters, ...reduced } = job;
            if ((0, exports2.isObjectContainingFieldExactly)(job, "identifier")) {
              result = [...result, identifier];
            } else {
              result = [
                ...result,
                { [identifier]: { ...reduced, ...orbParameters } }
              ];
            }
          }
          return result;
        };
        this.snakeCase = (input) => {
          const snakeCaseKeyWords = [
            "awsAuth",
            "workingDirectory",
            "resourceClass",
            "dockerLayerCaching",
            "noOutputTimeout"
          ];
          return (0, util_1.snakeCaseKeys)(input, true, snakeCaseKeyWords);
        };
        this.options = options;
        this.orbs = options.orbs ?? {};
        this.workflows = options.workflows ?? [];
        this.jobs = options.jobs ?? [];
        this.file = new yaml_1.YamlFile(project, ".circleci/config.yml", {
          obj: () => this.renderCircleCi()
        });
      }
      /**
       * function to prepare the rendering of the yaml file.
       * Objects with dynamic keys like workflows and jobs required the field `identifier` to be set.
       * Those object will be reduced by `identifier` field before rendering
       * @private
       */
      renderCircleCi() {
        const workflowRecords = {};
        for (const workflow of this.workflows) {
          const { identifier, ...reduced } = workflow;
          reduced.jobs = this.renderJobs(workflow.jobs);
          workflowRecords[identifier] = this.snakeCase(reduced);
        }
        const jobRecords = {};
        for (const job of this.jobs) {
          const { identifier, ...reduced } = job;
          jobRecords[identifier] = this.snakeCase(reduced);
        }
        return {
          version: this.options.version || 2.1,
          setup: this.options.setup,
          orbs: this.orbs,
          jobs: Object.keys(jobRecords).length > 0 ? jobRecords : void 0,
          workflows: workflowRecords
        };
      }
      /**
       * add new workflow to existing pipeline
       * @param workflow
       */
      addWorkflow(workflow) {
        this.workflows = [...this.workflows, workflow];
      }
      /**
       * Add a Circleci Orb to pipeline. Will throw error if the orb already exists
       * @param name
       * @param orb
       */
      addOrb(name, orb) {
        if (this.orbs[name] !== void 0) {
          throw new Error(`Circleci Config already contains an orb named ${name}.`);
        }
        this.orbs[name] = orb;
      }
    };
    exports2.Circleci = Circleci;
    _a = JSII_RTTI_SYMBOL_1;
    Circleci[_a] = { fqn: "projen.circleci.Circleci", version: "0.71.112" };
    var isObjectContainingFieldExactly = (obj, field) => {
      return Object.keys(obj).length == 1 && Object.keys(obj).includes(field);
    };
    exports2.isObjectContainingFieldExactly = isObjectContainingFieldExactly;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/circleci/constant.js
var require_constant2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/circleci/constant.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FilterMainBranchOnly = void 0;
    exports2.FilterMainBranchOnly = {
      branches: { only: ["master", "main"] }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/circleci/model.js
var require_model2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/circleci/model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PipelineParameterType = exports2.JobWhen = exports2.ResourceClass = exports2.JobType = void 0;
    var JobType;
    (function(JobType2) {
      JobType2["APPROVAL"] = "approval";
    })(JobType || (exports2.JobType = JobType = {}));
    var ResourceClass;
    (function(ResourceClass2) {
      ResourceClass2["SMALL"] = "small";
      ResourceClass2["MEDIUM"] = "medium";
      ResourceClass2["MEDIUM_PLUS"] = "medium+";
      ResourceClass2["LARGE_X"] = "xlarge";
      ResourceClass2["LARGE_2X"] = "2xlarge";
      ResourceClass2["LARGE_2X_PLUS"] = "2xlarge+";
    })(ResourceClass || (exports2.ResourceClass = ResourceClass = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["ON_SUCCESS"] = "on_success";
      JobWhen2["ON_FAIL"] = "on_fail";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var PipelineParameterType;
    (function(PipelineParameterType2) {
      PipelineParameterType2["STRING"] = "string";
      PipelineParameterType2["BOOLEAN"] = "boolean";
      PipelineParameterType2["INTEGER"] = "integer";
      PipelineParameterType2["ENUM"] = "enum";
    })(PipelineParameterType || (exports2.PipelineParameterType = PipelineParameterType = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/circleci/index.js
var require_circleci4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/circleci/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_circleci3(), exports2);
    __exportStar(require_constant2(), exports2);
    __exportStar(require_model2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/util/semver.js
var require_semver8 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/util/semver.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.toReleaseVersion = exports2.toPythonVersionRange = exports2.toNuGetVersionRange = exports2.toMavenVersionRange = exports2.TargetName = void 0;
    var util_1 = require("util");
    var semver_1 = require_semver6();
    var TargetName;
    (function(TargetName2) {
      TargetName2[TargetName2["JAVA"] = 0] = "JAVA";
      TargetName2[TargetName2["DOTNET"] = 1] = "DOTNET";
      TargetName2[TargetName2["PYTHON"] = 2] = "PYTHON";
      TargetName2[TargetName2["GO"] = 3] = "GO";
      TargetName2[TargetName2["JAVASCRIPT"] = 4] = "JAVASCRIPT";
    })(TargetName || (exports2.TargetName = TargetName = {}));
    function toMavenVersionRange(semverRange, suffix) {
      return toBracketNotation(semverRange, suffix, {
        semver: false,
        target: TargetName.JAVA
      });
    }
    exports2.toMavenVersionRange = toMavenVersionRange;
    function toNuGetVersionRange(semverRange) {
      return toBracketNotation(semverRange, void 0, {
        semver: false,
        target: TargetName.DOTNET
      });
    }
    exports2.toNuGetVersionRange = toNuGetVersionRange;
    function toPythonVersionRange(semverRange) {
      const range = new semver_1.Range(semverRange);
      return range.set.map((set) => set.map((comp) => {
        const versionId = toReleaseVersion(comp.semver.raw?.replace(/-0$/, "") ?? "0.0.0", TargetName.PYTHON);
        switch (comp.operator) {
          case "":
            return comp.value === "" ? ">=0.0.0" : `==${versionId}`;
          case "=":
            return `==${versionId}`;
          default:
            return `${comp.operator}${versionId}`;
        }
      }).join(", ")).join(", ");
    }
    exports2.toPythonVersionRange = toPythonVersionRange;
    function toReleaseVersion(assemblyVersion, target) {
      const version = (0, semver_1.parse)(assemblyVersion);
      if (version == null) {
        throw new Error(`Unable to parse the provided assembly version: "${assemblyVersion}"`);
      }
      if (version.prerelease.length === 0) {
        return assemblyVersion;
      }
      switch (target) {
        case TargetName.PYTHON:
          const [label, sequence, ...rest] = version.prerelease;
          if (rest.filter((elt) => elt !== 0).length > 0 || sequence == null) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) components to python: ${(0, util_1.inspect)(version.prerelease)}. The format should be 'X.Y.Z-label.sequence', where sequence is a positive integer, and label is "dev", "pre", "alpha", beta", or "rc"`);
          }
          if (!Number.isInteger(sequence)) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as sequence ${(0, util_1.inspect)(sequence)} is not an integer`);
          }
          const baseVersion = `${version.major}.${version.minor}.${version.patch}`;
          switch (label) {
            case "dev":
            case "pre":
              return `${baseVersion}.dev${sequence}`;
            case "alpha":
              return `${baseVersion}a${sequence}`;
            case "beta":
              return `${baseVersion}b${sequence}`;
            case "rc":
              return `${baseVersion}rc${sequence}`;
            default:
              throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as label ${(0, util_1.inspect)(label)} is not mapped (only "dev", "pre", "alpha", "beta" and "rc" are)`);
          }
        case TargetName.DOTNET:
        case TargetName.GO:
        case TargetName.JAVA:
        case TargetName.JAVASCRIPT:
          break;
      }
      return assemblyVersion;
    }
    exports2.toReleaseVersion = toReleaseVersion;
    function toBracketNotation(semverRange, suffix, { semver = true, target = TargetName.JAVASCRIPT } = {}) {
      if (semverRange === "*") {
        semverRange = ">=0.0.0";
      }
      const range = new semver_1.Range(semverRange);
      if (semverRange === range.range) {
        return semverRange;
      }
      return range.set.map((set) => {
        if (set.length === 1) {
          const version = set[0].semver.raw;
          if (!version && range.raw === ">=0.0.0") {
            return "[0.0.0,)";
          }
          switch (set[0].operator || "=") {
            case "=":
              return `[${addSuffix(version)}]`;
            case ">":
              return `(${addSuffix(version)},)`;
            case ">=":
              return `[${addSuffix(version)},)`;
            case "<":
              return `(,${addSuffix(version, !semver)})`;
            case "<=":
              return `(,${addSuffix(version)}]`;
          }
        } else if (set.length === 2) {
          const nugetRange = toBracketRange(set[0], set[1]);
          if (nugetRange) {
            return nugetRange;
          }
        }
        throw new Error(`Unsupported SemVer range set in ${semverRange}: ${set.map((comp) => comp.value).join(", ")}`);
      }).join(", ");
      function toBracketRange(left, right) {
        if (left.operator.startsWith("<") && right.operator.startsWith(">")) {
          [left, right] = [right, left];
        }
        if (left.operator === "" && left.value === "") {
          left = new semver_1.Comparator(">=0.0.0", left.options);
        }
        if (!left.operator.startsWith(">") || !right.operator.startsWith("<")) {
          return void 0;
        }
        const leftBrace = left.operator.endsWith("=") ? "[" : "(";
        const rightBrace = right.operator.endsWith("=") ? "]" : ")";
        return `${leftBrace}${addSuffix(left.semver.raw)},${addSuffix(right.semver.raw, right.operator === "<" && !semver)}${rightBrace}`;
      }
      function addSuffix(str, trimDashZero = false) {
        if (!str) {
          return "";
        }
        if (trimDashZero) {
          str = str.replace(/-0$/, "");
        }
        return suffix ? `${str}${suffix}` : toReleaseVersion(str, target);
      }
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/pom.js
var require_pom2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/pom.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pom = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _resolve_1 = require_resolve2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var semver_1 = require_semver8();
    var xmlfile_1 = require_xmlfile2();
    var POM_XML_ATTRS = {
      "@xsi:schemaLocation": "http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd",
      "@xmlns": "http://maven.apache.org/POM/4.0.0",
      "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
    };
    var Pom = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.properties = {};
        this.repositories = [];
        this.fileName = "pom.xml";
        this.groupId = options.groupId;
        this.artifactId = options.artifactId;
        this.version = options.version;
        this.packaging = options.packaging ?? "jar";
        this.name = project.name;
        this.description = options.description;
        this.url = options.url;
        new xmlfile_1.XmlFile(project, this.fileName, { obj: () => this.synthPom() });
      }
      /**
       * Adds a key/value property to the pom.
       * @param key the key
       * @param value the value
       */
      addProperty(key, value) {
        this.properties[key] = value;
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.TEST);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        for (const dep of options.dependencies ?? []) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
        return this.project.deps.addDependency(spec, dependencies_1.DependencyType.BUILD, options);
      }
      /**
       * Adds a repository to the pom
       * @param repository the repository to add
       */
      addRepository(repository) {
        this.repositories.push(repository);
      }
      synthPom() {
        return (0, _resolve_1.resolve)({
          project: {
            ...POM_XML_ATTRS,
            modelVersion: "4.0.0",
            groupId: this.groupId,
            artifactId: this.artifactId,
            version: this.version,
            packaging: this.packaging,
            name: this.name,
            description: this.description,
            url: this.url,
            properties: this.properties,
            ...this.synthRepositories(),
            ...this.synthDependencies()
          }
        }, { omitEmpty: true });
      }
      synthDependencies() {
        const deps = this.project.deps.all;
        if (deps.length === 0) {
          return;
        }
        const dependencies = [];
        const plugins = [];
        for (const dep of deps) {
          switch (dep.type) {
            case dependencies_1.DependencyType.PEER:
            case dependencies_1.DependencyType.RUNTIME:
              dependencies.push(mavenCoords(dep));
              break;
            case dependencies_1.DependencyType.TEST:
              dependencies.push({
                ...mavenCoords(dep),
                scope: "test"
              });
              break;
            case dependencies_1.DependencyType.BUILD:
              plugins.push({
                ...mavenCoords(dep),
                ...pluginConfig(dep.metadata)
              });
              break;
            default:
              throw new Error(`unsupported dependency type: ${dep.type}`);
          }
        }
        return {
          build: { plugins: { plugin: plugins } },
          dependencies: { dependency: dependencies }
        };
      }
      synthRepositories() {
        if (this.repositories.length === 0) {
          return;
        }
        return {
          repositories: { repository: this.repositories }
        };
      }
    };
    exports2.Pom = Pom;
    _a = JSII_RTTI_SYMBOL_1;
    Pom[_a] = { fqn: "projen.java.Pom", version: "0.71.112" };
    function mavenCoords(dep) {
      const name = dep.name;
      const parts = name.split("/");
      if (parts.length !== 2) {
        throw new Error(`invalid maven coordinates in dependency named "${name}". format is "<groupId>/<artifactId>". For example "org.junit.jupiter/junit-jupiter-engine"`);
      }
      return {
        groupId: parts[0],
        artifactId: parts[1],
        version: dep.version ? (0, semver_1.toMavenVersionRange)(dep.version) : void 0
      };
    }
    function pluginConfig(options = {}) {
      return {
        configuration: options.configuration,
        dependencies: options.dependencies && options.dependencies.length > 0 ? {
          dependency: options.dependencies?.map((d) => mavenCoords(dependencies_1.Dependencies.parseDependency(d)))
        } : void 0,
        executions: options.executions?.map((e) => ({
          execution: {
            id: e.id,
            goals: e.goals.map((goal) => ({ goal })),
            phase: e.phase
          }
        }))
      };
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/junit.js
var require_junit2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/junit.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Junit = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component2();
    var sample_file_1 = require_sample_file2();
    var TESTDIR = (0, path_1.join)("src", "test", "java");
    var Junit = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pom = options.pom;
        const version = options.version ?? "5.7.0";
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-api@${version}`);
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-engine@${version}`);
        project.testTask.exec("mvn test");
        const javaPackage = options.sampleJavaPackage ?? "org.acme";
        const javaPackagePath = javaPackage.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)(TESTDIR, ...javaPackagePath), {
          files: {
            "MyTest.java": [
              `package ${javaPackage};`,
              "",
              "import org.junit.jupiter.api.Test;",
              "",
              "public class MyTest {",
              "  @Test",
              "  public void testHello() {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.Junit = Junit;
    _a = JSII_RTTI_SYMBOL_1;
    Junit[_a] = { fqn: "projen.java.Junit", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/maven-compile.js
var require_maven_compile2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/maven-compile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenCompile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var MavenCompile = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        project.gitignore.exclude("target");
        pom.addPlugin("org.apache.maven.plugins/maven-compiler-plugin@3.8.1", {
          configuration: {
            source: options.source ?? "1.8",
            target: options.target ?? "1.8"
          }
        });
        project.compileTask.exec("mvn compiler:compile");
      }
    };
    exports2.MavenCompile = MavenCompile;
    _a = JSII_RTTI_SYMBOL_1;
    MavenCompile[_a] = { fqn: "projen.java.MavenCompile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/maven-packaging.js
var require_maven_packaging2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/maven-packaging.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenPackaging = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var MavenPackaging = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        pom.addPlugin("org.apache.maven.plugins/maven-jar-plugin@3.2.0", {
          configuration: {
            archive: {
              index: true,
              manifest: {
                addDefaultImplementationEntries: true,
                addDefaultSpecificationEntries: true
              }
            }
          }
        });
        if (options.sources ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-source-plugin@3.2.1", {
            executions: [{ id: "attach-sources", goals: ["jar"] }]
          });
        }
        if (options.javadocs ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-javadoc-plugin@3.2.0", {
            executions: [{ id: "attach-javadocs", goals: ["jar"] }],
            configuration: {
              failOnError: false,
              show: "protected",
              sourceFileExcludes: { exclude: options.javadocsExclude },
              detectJavaApiLink: false,
              additionalJOptions: {
                additionalJOption: [
                  "-J-XX:+TieredCompilation",
                  "-J-XX:TieredStopAtLevel=1"
                ]
              }
            }
          });
        }
        const env = {
          MAVEN_OPTS: "-XX:+TieredCompilation -XX:TieredStopAtLevel=1"
        };
        this.distdir = options.distdir ?? "dist/java";
        for (const [k, v] of Object.entries(env)) {
          this.project.packageTask.env(k, v);
        }
        this.project.packageTask.exec(`mkdir -p ${this.distdir}`);
        this.project.packageTask.exec(`mvn deploy -D=altDeploymentRepository=local::default::file:///$PWD/${this.distdir}`);
        project.gitignore.exclude(this.distdir);
      }
    };
    exports2.MavenPackaging = MavenPackaging;
    _a = JSII_RTTI_SYMBOL_1;
    MavenPackaging[_a] = { fqn: "projen.java.MavenPackaging", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/maven-sample.js
var require_maven_sample2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/maven-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component2();
    var sample_file_1 = require_sample_file2();
    var MavenSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pkg = options.package.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            "Main.java": [
              ...options.package ? [`package ${options.package};`] : [],
              "",
              "public class Main {",
              "  public static void main(final String[] args) {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.MavenSample = MavenSample;
    _a = JSII_RTTI_SYMBOL_1;
    MavenSample[_a] = { fqn: "projen.java.MavenSample", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/projenrc.js
var require_projenrc9 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getJavaImport = exports2.generateJavaOptionNames = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var common_1 = require_common5();
    var dependencies_1 = require_dependencies2();
    var inventory_1 = require_inventory2();
    var projenrc_1 = require_projenrc6();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, pom, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.className = options.className ?? "projenrc";
        this.testScope = options.testScope ?? true;
        const depType = this.testScope ? dependencies_1.DependencyType.TEST : dependencies_1.DependencyType.RUNTIME;
        const execOpts = this.testScope ? ' -Dexec.classpathScope="test"' : "";
        const compileGoal = this.testScope ? "compiler:testCompile" : "compiler:compile";
        project.deps.addDependency(`io.github.cdklabs/projen@${projenVersion}`, depType);
        pom.addPlugin("org.codehaus.mojo/exec-maven-plugin@3.0.0");
        project.defaultTask?.exec(`mvn ${compileGoal} --quiet`);
        project.defaultTask?.exec(`mvn exec:java --quiet -Dexec.mainClass=${this.className}${execOpts}`);
        this.generateProjenrc();
      }
      get javaClass() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return split[0];
        }
        return split[split.length - 1];
      }
      get javaPackage() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return [];
        }
        return split.slice(0, split.length - 2);
      }
      /**
       * The path of the projenrc file.
       */
      get filePath() {
        const dir = this.testScope ? "src/test/java" : "src/main/java";
        const javaFile = (0, path_1.join)(this.project.outdir, dir, ...this.javaPackage, this.javaClass + ".java");
        return (0, path_1.relative)(this.project.outdir, javaFile);
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const javaTarget = jsiiManifest.targets.java;
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const jsiiOptionsType = jsiiManifest.types[optionsTypeFqn];
        if (!jsiiOptionsType) {
          this.project.logger.warn(`cannot find jsii type for project options: ${optionsTypeFqn}`);
          return;
        }
        if ((0, fs_1.existsSync)(this.filePath)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const openBlock = (line = "") => {
          emit(line + " {");
          indent++;
        };
        const closeBlock = () => {
          indent--;
          emit("}");
        };
        const optionFqns = generateJavaOptionNames(bootstrap.type.options, jsiiManifest);
        if (this.javaPackage.length > 0) {
          emit(`package ${this.javaPackage.join(".")};`);
          emit();
        }
        const { renderedOptions, imports } = renderJavaOptions(2, jsiiOptionsType.name, optionFqns, bootstrap.args);
        emit(`import ${getJavaImport(jsiiType, jsiiManifest)};`);
        emit(`import ${getJavaImport(jsiiOptionsType, jsiiManifest)};`);
        for (const optionTypeName of imports) {
          emit(`import ${javaTarget.package}.${optionTypeName};`);
        }
        emit();
        openBlock(`public class ${this.javaClass}`);
        openBlock("public static void main(String[] args)");
        emit(`${jsiiType.name} project = new ${jsiiType.name}(${renderedOptions});`);
        emit("project.synth();");
        closeBlock();
        closeBlock();
        const filePath = (0, path_1.join)(this.project.outdir, this.filePath);
        (0, fs_1.mkdirSync)((0, path_1.dirname)(filePath), { recursive: true });
        (0, fs_1.writeFileSync)(filePath, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${this.filePath}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.java.Projenrc", version: "0.71.112" };
    function generateJavaOptionNames(options, jsiiManifest) {
      const optionFqns = {};
      for (const option of options) {
        if (option.fqn && jsiiManifest.types[option.fqn]) {
          optionFqns[option.name] = toJavaFullTypeName(jsiiManifest.types[option.fqn]);
        }
      }
      return optionFqns;
    }
    exports2.generateJavaOptionNames = generateJavaOptionNames;
    function renderJavaOptions(indent, optionsTypeName, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [`${optionsTypeName}.builder()`];
      for (const [name, value] of Object.entries(initOptions)) {
        const { javaValue, importName } = toJavaValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`.${toJavaProperty(name)}(${javaValue})`);
      }
      lines.push(".build()");
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`);
      return { renderedOptions, imports };
    }
    function toJavaProperty(prop) {
      return prop;
    }
    function toJavaValue(value, name, optionFqns) {
      if (typeof value === "string" && optionFqns[name] !== void 0) {
        const parts = optionFqns[name].split(".");
        const base = parts[parts.length - 1];
        const choice = String(value).toUpperCase().replace(/-/g, "_");
        return { javaValue: `${base}.${choice}`, importName: optionFqns[name] };
      } else {
        return { javaValue: JSON.stringify(value) };
      }
    }
    function toJavaFullTypeName(jsiiType) {
      return [jsiiType.namespace, jsiiType.name].filter((x) => x).join(".");
    }
    function getJavaImport(jsiiType, jsiiManifest) {
      const packageName = jsiiManifest?.submodules?.[`${jsiiType.assembly}.${jsiiType?.namespace}`]?.targets?.java?.package || [jsiiManifest.targets.java.package, jsiiType.namespace].filter((x) => x).join(".");
      return `${packageName}.${jsiiType.name}`;
    }
    exports2.getJavaImport = getJavaImport;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/java-project.js
var require_java_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/java-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JavaProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var junit_1 = require_junit2();
    var maven_compile_1 = require_maven_compile2();
    var maven_packaging_1 = require_maven_packaging2();
    var maven_sample_1 = require_maven_sample2();
    var pom_1 = require_pom2();
    var projenrc_1 = require_projenrc9();
    var github_1 = require_github4();
    var util_1 = require_util8();
    var JavaProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        this.distdir = options.distdir ?? "dist/java";
        this.pom = new pom_1.Pom(this, options);
        const rcFileTypeOptions = [options.projenrcJava, options.projenrcJson];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcJava and projenrcJson can be selected.");
        }
        if (!this.parent && (options.projenrcJava ?? !(0, util_1.anySelected)(rcFileTypeOptions))) {
          this.projenrc = new projenrc_1.Projenrc(this, this.pom, options.projenrcJavaOptions);
        }
        const sampleJavaPackage = options.sampleJavaPackage ?? "org.acme";
        if (options.junit ?? true) {
          this.junit = new junit_1.Junit(this, {
            pom: this.pom,
            sampleJavaPackage,
            ...options.junitOptions
          });
        }
        if (options.sample ?? true) {
          new maven_sample_1.MavenSample(this, { package: sampleJavaPackage });
        }
        this.pom.addProperty("project.build.sourceEncoding", "UTF-8");
        this.gitignore.exclude(".classpath");
        this.gitignore.exclude(".project");
        this.gitignore.exclude(".settings");
        this.compile = new maven_compile_1.MavenCompile(this, this.pom, options.compileOptions);
        this.packaging = new maven_packaging_1.MavenPackaging(this, this.pom, options.packagingOptions);
        this.addPlugin("org.apache.maven.plugins/maven-enforcer-plugin@3.0.0-M3", {
          executions: [{ id: "enforce-maven", goals: ["enforce"] }],
          configuration: {
            rules: [{ requireMavenVersion: [{ version: "3.6" }] }]
          }
        });
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.testDeps ?? []) {
          this.addTestDependency(dep);
        }
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        return this.pom.addDependency(spec);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        return this.pom.addTestDependency(spec);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        return this.pom.addPlugin(spec, options);
      }
    };
    exports2.JavaProject = JavaProject;
    _a = JSII_RTTI_SYMBOL_1;
    JavaProject[_a] = { fqn: "projen.java.JavaProject", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/java/index.js
var require_java2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/java/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pom2(), exports2);
    __exportStar(require_java_project2(), exports2);
    __exportStar(require_maven_sample2(), exports2);
    __exportStar(require_maven_compile2(), exports2);
    __exportStar(require_maven_packaging2(), exports2);
    __exportStar(require_junit2(), exports2);
    __exportStar(require_projenrc9(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/requirements-file.js
var require_requirements_file2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/requirements-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.RequirementsFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var dependencies_1 = require_dependencies2();
    var file_1 = require_file2();
    var semver_1 = require_semver8();
    var RequirementsFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath);
        this.packages = new Array();
        this.packageProvider = options.packageProvider;
      }
      /**
       * Adds the specified packages provided in semver format.
       *
       * Comment lines (start with `#`) are ignored.
       *
       * @param packages Package version in format `<module>@<semver>`
       */
      addPackages(...packages) {
        for (let pkg of packages) {
          if (pkg.startsWith("#")) {
            this.packages.push(pkg);
          } else {
            const { name, version } = dependencies_1.Dependencies.parseDependency(pkg);
            if (version) {
              this.packages.push(`${name}${(0, semver_1.toPythonVersionRange)(version)}`);
            } else {
              this.packages.push(name);
            }
          }
        }
      }
      formatDependency(dep) {
        if (dep.version) {
          return `${dep.name}${(0, semver_1.toPythonVersionRange)(dep.version)}`;
        } else {
          return dep.name;
        }
      }
      synthesizeContent(resolver) {
        const allPackages = [...this.packages];
        if (this.packageProvider) {
          allPackages.push(...this.packageProvider.packages.map((dep) => this.formatDependency(dep)));
        }
        return `${resolver.resolve([...this.marker ? [`# ${this.marker}`] : [], ...allPackages]).join("\n")}
`;
      }
    };
    exports2.RequirementsFile = RequirementsFile;
    _a = JSII_RTTI_SYMBOL_1;
    RequirementsFile[_a] = { fqn: "projen.python.RequirementsFile", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/pip.js
var require_pip2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/pip.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pip = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var requirements_file_1 = require_requirements_file2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var task_runtime_1 = require_task_runtime2();
    var Pip = class extends component_1.Component {
      constructor(project, _options = {}) {
        super(project);
        new requirements_file_1.RequirementsFile(project, "requirements.txt", {
          packageProvider: new RuntimeDependencyProvider(project)
        });
        new requirements_file_1.RequirementsFile(project, "requirements-dev.txt", {
          packageProvider: new DevDependencyProvider(project)
        });
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies"
        });
        this.installTask.exec("pip install --upgrade pip");
        this.installTask.exec("pip install -r requirements.txt");
        this.installTask.exec("pip install -r requirements-dev.txt");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Pip = Pip;
    _a = JSII_RTTI_SYMBOL_1;
    Pip[_a] = { fqn: "projen.python.Pip", version: "0.71.112" };
    var RuntimeDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.RUNTIME);
      }
    };
    var DevDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.DEVENV);
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/poetry.js
var require_poetry2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/poetry.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PoetryPyproject = exports2.Poetry = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml3();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var task_runtime_1 = require_task_runtime2();
    var toml_1 = require_toml4();
    var util_1 = require_util8();
    var Poetry = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies",
          exec: "poetry update"
        });
        this.project.tasks.addEnvironment("VIRTUAL_ENV", "$(poetry env info -p)");
        this.project.tasks.addEnvironment("PATH", "$(echo $(poetry env info -p)/bin:$PATH)");
        project.packageTask.exec("poetry build");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "poetry publish -r testpypi"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package to PyPI.",
          exec: "poetry publish"
        });
        new PoetryPyproject(project, {
          name: project.name,
          version: options.version,
          description: options.description ?? "",
          license: options.license,
          authors: [`${options.authorName} <${options.authorEmail}>`],
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.poetryOptions,
          dependencies: () => this.synthDependencies(),
          devDependencies: () => this.synthDevDependencies()
        });
        new toml_1.TomlFile(project, "poetry.toml", {
          committed: false,
          obj: {
            repositories: {
              testpypi: {
                url: "https://test.pypi.org/legacy/"
              }
            }
          }
        });
      }
      synthDependencies() {
        const dependencies = {};
        let pythonDefined = false;
        for (const pkg of this.project.deps.all) {
          if (pkg.name === "python") {
            pythonDefined = true;
          }
          if (pkg.type === dependencies_1.DependencyType.RUNTIME) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        if (!pythonDefined) {
          dependencies.python = "^3.7";
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      synthDevDependencies() {
        const dependencies = {};
        for (const pkg of this.project.deps.all) {
          if ([dependencies_1.DependencyType.DEVENV].includes(pkg.type)) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      /**
       * Allow for poetry dependencies to specify metadata, eg `mypackage@{ version="1.2.3", extras = ["my-package-extra"] }`
       * @param dependencies poetry dependencies object
       * @private
       */
      permitDependenciesWithMetadata(dependencies) {
        const parseVersionMetadata = (version) => {
          try {
            return TOML.parse(`version = ${version}`).version;
          } catch (e) {
            return version;
          }
        };
        return Object.fromEntries(Object.entries(dependencies).map(([key, value]) => [
          key,
          parseVersionMetadata(value)
        ]));
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const result = (0, util_1.execOrUndefined)("which poetry", {
          cwd: this.project.outdir
        });
        if (!result) {
          this.project.logger.info("Unable to setup an environment since poetry is not installed. Please install poetry (https://python-poetry.org/docs/) or use a different component for managing environments such as 'venv'.");
        }
        let envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
          cwd: this.project.outdir
        });
        if (!envPath) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)("poetry env use python", { cwd: this.project.outdir });
          envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ${envPath}}).`);
        }
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Poetry = Poetry;
    _a = JSII_RTTI_SYMBOL_1;
    Poetry[_a] = { fqn: "projen.python.Poetry", version: "0.71.112" };
    var PoetryPyproject = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const decamelisedOptions = (0, util_1.decamelizeKeysRecursively)(options, {
          separator: "-"
        });
        this.file = new toml_1.TomlFile(project, "pyproject.toml", {
          omitEmpty: false,
          obj: {
            "build-system": {
              requires: ["poetry_core>=1.0.0"],
              "build-backend": "poetry.core.masonry.api"
            },
            tool: {
              poetry: {
                ...decamelisedOptions
              }
            }
          }
        });
      }
    };
    exports2.PoetryPyproject = PoetryPyproject;
    _b = JSII_RTTI_SYMBOL_1;
    PoetryPyproject[_b] = { fqn: "projen.python.PoetryPyproject", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/projenrc.js
var require_projenrc10 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolvePythonImportName = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var case_1 = require_Case2();
    var common_1 = require_common5();
    var dependencies_1 = require_dependencies2();
    var inventory_1 = require_inventory2();
    var projenrc_1 = require_projenrc6();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.filePath = options.filename ?? ".projenrc.py";
        this.pythonExec = options.pythonExec ?? "python";
        project.deps.addDependency(`projen@${projenVersion}`, dependencies_1.DependencyType.DEVENV);
        project.defaultTask?.exec(`${this.pythonExec} .projenrc.py`);
        this.generateProjenrc();
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const pythonFile = (0, path_1.join)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(pythonFile)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const optionFqns = {};
        for (const option of bootstrap.type.options) {
          if (option.fqn) {
            optionFqns[option.name] = option.fqn;
          }
        }
        const { renderedOptions, imports } = renderPythonOptions(indent, optionFqns, bootstrap.args);
        const importName = resolvePythonImportName(jsiiFqn, jsiiManifest);
        emit(toPythonImport(importName));
        for (const fqn of imports) {
          emit(toPythonImport(fqn));
        }
        emit();
        emit(`project = ${jsiiType.name}(${renderedOptions})`);
        emit();
        emit("project.synth()");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(pythonFile), { recursive: true });
        (0, fs_1.writeFileSync)(pythonFile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${pythonFile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.python.Projenrc", version: "0.71.112" };
    function resolvePythonImportName(jsiiFqn, jsiiManifest) {
      const moduleName = jsiiManifest?.targets?.python?.module;
      return moduleName ? [moduleName, ...jsiiFqn.split(".").slice(1)].join(".") : jsiiFqn;
    }
    exports2.resolvePythonImportName = resolvePythonImportName;
    function renderPythonOptions(indent, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [""];
      for (const [name, value] of Object.entries(initOptions)) {
        const { pythonValue, importName } = toPythonValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`${toPythonProperty(name)}=${pythonValue},`);
      }
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`).concat("\n");
      return { renderedOptions, imports };
    }
    function toPythonProperty(prop) {
      return (0, case_1.snake)(prop);
    }
    function toPythonValue(value, name, optionFqns) {
      if (typeof value === "boolean") {
        return { pythonValue: value ? "True" : "False" };
      } else if (typeof value === "number") {
        return { pythonValue: JSON.stringify(value) };
      } else if (typeof value === "string") {
        if (optionFqns[name] !== void 0) {
          const parts = optionFqns[name].split(".");
          const base = parts[parts.length - 1];
          const choice = String(value).toUpperCase().replace(/-/g, "_");
          return { pythonValue: `${base}.${choice}`, importName: optionFqns[name] };
        } else {
          return { pythonValue: JSON.stringify(value) };
        }
      } else if (value === void 0 || value === null) {
        return { pythonValue: "None" };
      } else {
        return { pythonValue: JSON.stringify(value) };
      }
    }
    function toPythonImport(fqn) {
      const parts = fqn.split(".");
      if (parts.length === 1) {
        return `import ${parts[0]}`;
      } else {
        return `from ${parts.slice(0, -1).join(".")} import ${parts[parts.length - 1]}`;
      }
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/pytest.js
var require_pytest2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/pytest.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pytest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var Pytest = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const version = options.version ?? "6.2.1";
        this.testdir = options.testdir ?? "tests";
        project.deps.addDependency(`pytest@${version}`, dependencies_1.DependencyType.TEST);
        project.testTask.exec([
          "pytest",
          ...options.maxFailures ? [`--maxfail=${options.maxFailures}`] : []
        ].join(" "));
      }
    };
    exports2.Pytest = Pytest;
    _a = JSII_RTTI_SYMBOL_1;
    Pytest[_a] = { fqn: "projen.python.Pytest", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/pytest-sample.js
var require_pytest_sample2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/pytest-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PytestSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var __1 = require_lib11();
    var PytestSample = class extends __1.Component {
      constructor(project, options) {
        super(project);
        new __1.SampleDir(project, options.testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "",
              `from ${options.moduleName}.example import hello`,
              "",
              "@pytest.mark.parametrize(",
              '    ("name", "expected"),',
              "    [",
              '        ("A. Musing", "Hello A. Musing!"),',
              '        ("traveler", "Hello traveler!"),',
              '        ("projen developer", "Hello projen developer!"),',
              "    ],",
              ")",
              "def test_hello(name, expected):",
              '    """Example test with parametrization."""',
              "    assert hello(name) == expected",
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PytestSample = PytestSample;
    _a = JSII_RTTI_SYMBOL_1;
    PytestSample[_a] = { fqn: "projen.python.PytestSample", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/python-env.js
var require_python_env2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/python-env.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/python-deps.js
var require_python_deps2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/python-deps.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/python-packaging.js
var require_python_packaging2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/python-packaging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/python-sample.js
var require_python_sample2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/python-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var sample_file_1 = require_sample_file2();
    var PythonSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        new sample_file_1.SampleDir(project, options.dir, {
          files: {
            "__init__.py": '__version__ = "0.1.0"\n',
            "__main__.py": [
              "from .example import hello",
              "",
              'if __name__ == "__main__":',
              '    name = input("What is your name? ")',
              "    print(hello(name))",
              ""
            ].join("\n"),
            "example.py": [
              "def hello(name: str) -> str:",
              '    """A simple greeting.',
              "    Args:",
              "        name (str): Name to greet.",
              "    Returns:",
              "        str: greeting message",
              '    """',
              '    return f"Hello {name}!"',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PythonSample = PythonSample;
    _a = JSII_RTTI_SYMBOL_1;
    PythonSample[_a] = { fqn: "projen.python.PythonSample", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/setuppy.js
var require_setuppy2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/setuppy.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SetupPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file2();
    var SetupPy = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "setup.py");
        this.setupConfig = {
          name: project.name,
          packages: options.packages,
          python_requires: ">=3.7",
          classifiers: [
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3 :: Only",
            "Programming Language :: Python :: 3.7",
            "Programming Language :: Python :: 3.8",
            "Programming Language :: Python :: 3.9",
            "Programming Language :: Python :: 3.10"
          ],
          ...options ? this.renameFields(options) : []
        };
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          "import json",
          "from setuptools import setup",
          "",
          "kwargs = json.loads(",
          '    """',
          JSON.stringify(this.setupConfig, null, 4),
          '"""',
          ")",
          "",
          "setup(**kwargs)"
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
      // modify some key names since JSII interfaces require fields to be camelCase
      renameFields(options) {
        const obj = {};
        for (const [key, value] of Object.entries(options)) {
          switch (key) {
            case "authorName":
              obj.author = value;
              break;
            case "authorEmail":
              obj.author_email = value;
              break;
            case "homepage":
              obj.url = value;
              break;
            case "additionalOptions":
              Object.assign(obj, this.renameFields(value));
              break;
            default:
              obj[key] = value;
          }
        }
        return obj;
      }
    };
    exports2.SetupPy = SetupPy;
    _a = JSII_RTTI_SYMBOL_1;
    SetupPy[_a] = { fqn: "projen.python.SetupPy", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/setuptools.js
var require_setuptools2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/setuptools.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Setuptools = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var setuppy_1 = require_setuppy2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var Setuptools = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        project.deps.addDependency("wheel@0.36.2", dependencies_1.DependencyType.DEVENV);
        project.deps.addDependency("twine@3.3.0", dependencies_1.DependencyType.DEVENV);
        project.packageTask.exec("python setup.py sdist bdist_wheel");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload --repository-url https://test.pypi.org/legacy/ dist/*"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload dist/*"
        });
        const packages = options.packageName ? [options.packageName] : void 0;
        new setuppy_1.SetupPy(project, {
          name: project.name,
          packages,
          authorName: options.authorName,
          authorEmail: options.authorEmail,
          version: options.version,
          description: options.description,
          license: options.license,
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.setupConfig
        });
      }
    };
    exports2.Setuptools = Setuptools;
    _a = JSII_RTTI_SYMBOL_1;
    Setuptools[_a] = { fqn: "projen.python.Setuptools", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/venv.js
var require_venv2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/venv.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Venv = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component2();
    var util_1 = require_util8();
    var Venv = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.envdir = options.envdir ?? ".env";
        this.pythonExec = options.pythonExec ?? "python";
        this.project.addGitIgnore(`/${this.envdir}`);
        this.project.tasks.addEnvironment("VIRTUAL_ENV", `$(echo $PWD/${this.envdir})`);
        this.project.tasks.addEnvironment("PATH", `$(echo $PWD/${this.envdir}/bin:$PATH)`);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const absoluteEnvdir = path.join(this.project.outdir, this.envdir);
        if (!fs.existsSync(absoluteEnvdir)) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)(`${this.pythonExec} -m venv ${this.envdir}`, {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ./${this.envdir}).`);
        }
      }
    };
    exports2.Venv = Venv;
    _a = JSII_RTTI_SYMBOL_1;
    Venv[_a] = { fqn: "projen.python.Venv", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/python-project.js
var require_python_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/python-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var pip_1 = require_pip2();
    var poetry_1 = require_poetry2();
    var projenrc_1 = require_projenrc10();
    var pytest_1 = require_pytest2();
    var pytest_sample_1 = require_pytest_sample2();
    var python_sample_1 = require_python_sample2();
    var setuptools_1 = require_setuptools2();
    var venv_1 = require_venv2();
    var github_1 = require_github4();
    var projenrc_2 = require_projenrc7();
    var project_1 = require_project2();
    var typescript_1 = require_typescript4();
    var util_1 = require_util8();
    var PYTHON_PROJECT_NAME_REGEX = /^[A-Za-z0-9-_\.]+$/;
    var PythonProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        if (!PYTHON_PROJECT_NAME_REGEX.test(options.name)) {
          throw new Error("Python projects must only consist of alphanumeric characters, hyphens, and underscores.");
        }
        this.moduleName = options.moduleName;
        this.version = options.version;
        const rcFileTypeOptions = [
          options.projenrcPython,
          options.projenrcJs,
          options.projenrcJson,
          options.projenrcTs
        ];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcPython, projenrcJs, projenrcTs, and projenrcJson can be selected.");
        }
        const poetry = options.poetry ?? false;
        const pip = options.pip ?? !poetry;
        const venv = options.venv ?? !poetry;
        const setuptools = options.setuptools ?? (!poetry && this.projectType === project_1.ProjectType.LIB);
        if (poetry && (pip || venv || setuptools)) {
          throw new Error("poetry is true - pip, venv, and setuptools must be undefined or false");
        }
        if (!this.parent) {
          if (options.projenrcPython ?? !(0, util_1.anySelected)(rcFileTypeOptions)) {
            new projenrc_1.Projenrc(this, {
              pythonExec: options.pythonExec,
              ...options.projenrcPythonOptions
            });
          }
          if (options.projenrcJs ?? false) {
            new projenrc_2.Projenrc(this, options.projenrcJsOptions);
          }
          if (options.projenrcTs ?? false) {
            new typescript_1.ProjenrcTs(this, options.projenrcTsOptions);
          }
        }
        if (venv) {
          this.envManager = new venv_1.Venv(this, {
            pythonExec: options.pythonExec,
            ...options.venvOptions
          });
        }
        if (pip) {
          this.depsManager = new pip_1.Pip(this);
        }
        if (setuptools) {
          this.packagingManager = new setuptools_1.Setuptools(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            setupConfig: options.setupConfig
          });
        }
        if (poetry) {
          const poetryProject = new poetry_1.Poetry(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            poetryOptions: {
              readme: options.readme?.filename ?? "README.md",
              ...options.poetryOptions
            }
          });
          this.depsManager = poetryProject;
          this.envManager = poetryProject;
          this.packagingManager = poetryProject;
        }
        if (!this.envManager) {
          throw new Error("At least one tool must be chosen for managing the environment (venv, conda, pipenv, or poetry).");
        }
        if (!this.depsManager) {
          throw new Error("At least one tool must be chosen for managing dependencies (pip, conda, pipenv, or poetry).");
        }
        if (!this.packagingManager && this.projectType === project_1.ProjectType.LIB) {
          throw new Error("At least one tool must be chosen for managing packaging (setuptools or poetry).");
        }
        if (Number(venv) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing the environment (venv, conda, pipenv, or poetry)");
        }
        if (Number(pip) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing dependencies (pip, conda, pipenv, or poetry)");
        }
        if (Number(setuptools) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing packaging (setuptools or poetry)");
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new pytest_sample_1.PytestSample(this, {
            moduleName: this.moduleName,
            testdir: this.pytest.testdir
          });
        }
        if (options.sample ?? true) {
          new python_sample_1.PythonSample(this, {
            dir: this.moduleName
          });
        }
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.devDeps ?? []) {
          this.addDevDependency(dep);
        }
        this.addDefaultGitIgnore();
      }
      /**
       * Adds default gitignore options for a Python project based on
       * https://github.com/github/gitignore/blob/master/Python.gitignore
       */
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Byte-compiled / optimized / DLL files", "__pycache__/", "*.py[cod]", "*$py.class", "", "# C extensions", "*.so", "", "# Distribution / packaging", ".Python", "build/", "develop-eggs/", "dist/", "downloads/", "eggs/", ".eggs/", "lib/", "lib64/", "parts/", "sdist/", "var/", "wheels/", "share/python-wheels/", "*.egg-info/", ".installed.cfg", "*.egg", "MANIFEST", "", "# PyInstaller", "#  Usually these files are written by a python script from a template", "#  before PyInstaller builds the exe, so as to inject date/other infos into it.", "*.manifest", "*.spec", "", "# Installer logs", "pip-log.txt", "pip-delete-this-directory.txt", "", "# Unit test / coverage reports", "htmlcov/", ".tox/", ".nox/", ".coverage", ".coverage.*", ".cache", "nosetests.xml", "coverage.xml", "*.cover", "*.py,cover", ".hypothesis/", ".pytest_cache/", "cover/", "", "# Translations", "*.mo", "*.pot", "", "# Django stuff:", "*.log", "local_settings.py", "db.sqlite3", "db.sqlite3-journal", "", "# Flask stuff:", "instance/", ".webassets-cache", "", "# Scrapy stuff:", ".scrapy", "", "# Sphinx documentation", "docs/_build/", "", "# PyBuilder", ".pybuilder/", "target/", "", "# Jupyter Notebook", ".ipynb_checkpoints", "", "# IPython", "profile_default/", "ipython_config.py", "", "# PEP 582; used by e.g. github.com/David-OConnor/pyflow", "__pypackages__/", "", "# Celery stuff", "celerybeat-schedule", "celerybeat.pid", "", "# SageMath parsed files", "*.sage.py", "", "# Environments", ".env", ".venv", "env/", "venv/", "ENV/", "env.bak/", "venv.bak/", "", "# Spyder project settings", ".spyderproject", ".spyproject", "", "# Rope project settings", ".ropeproject", "", "# mkdocs documentation", "/site", "", "# mypy", ".mypy_cache/", ".dmypy.json", "dmypy.json", "", "# Pyre type checker", ".pyre/", "", "# pytype static type analyzer", ".pytype/", "", "# Cython debug symbols", "cython_debug/");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        return this.depsManager.addDependency(spec);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        return this.depsManager.addDevDependency(spec);
      }
      postSynthesize() {
        super.postSynthesize();
        this.envManager.setupEnvironment();
        this.depsManager.installDependencies();
      }
    };
    exports2.PythonProject = PythonProject;
    _a = JSII_RTTI_SYMBOL_1;
    PythonProject[_a] = { fqn: "projen.python.PythonProject", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/python/index.js
var require_python2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/python/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pip2(), exports2);
    __exportStar(require_poetry2(), exports2);
    __exportStar(require_projenrc10(), exports2);
    __exportStar(require_pytest2(), exports2);
    __exportStar(require_pytest_sample2(), exports2);
    __exportStar(require_python_env2(), exports2);
    __exportStar(require_python_deps2(), exports2);
    __exportStar(require_python_packaging2(), exports2);
    __exportStar(require_python_project2(), exports2);
    __exportStar(require_python_sample2(), exports2);
    __exportStar(require_requirements_file2(), exports2);
    __exportStar(require_setuppy2(), exports2);
    __exportStar(require_setuptools2(), exports2);
    __exportStar(require_venv2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/internal.js
var require_internal3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertToPosixPath = exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = exports2.TYPESCRIPT_LAMBDA_EXT = exports2.FEATURE_FLAGS = void 0;
    var path_1 = require("path");
    exports2.FEATURE_FLAGS = [
      "aws-cdk:enableDiffNoFail",
      "@aws-cdk/aws-apigateway:usagePlanKeyOrderInsensitiveId",
      "@aws-cdk/core:enableStackNameDuplicates",
      "@aws-cdk/core:stackRelativeExports",
      "@aws-cdk/aws-ecr-assets:dockerIgnoreSupport",
      "@aws-cdk/aws-secretsmanager:parseOwnedSecretName",
      "@aws-cdk/aws-kms:defaultKeyPolicies",
      "@aws-cdk/aws-s3:grantWriteWithoutAcl",
      "@aws-cdk/aws-ecs-patterns:removeDefaultDesiredCount",
      "@aws-cdk/aws-rds:lowercaseDbIdentifier",
      "@aws-cdk/aws-efs:defaultEncryptionAtRest",
      "@aws-cdk/aws-lambda:recognizeVersionProps",
      "@aws-cdk/aws-cloudfront:defaultSecurityPolicyTLSv1.2_2021"
    ];
    exports2.TYPESCRIPT_LAMBDA_EXT = ".lambda.ts";
    exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = ".edge-lambda.ts";
    exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = ".lambda-extension.ts";
    function convertToPosixPath(p) {
      return p.split(path_1.sep).join(path_1.posix.sep);
    }
    exports2.convertToPosixPath = convertToPosixPath;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/consts.js
var require_consts2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/consts.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JSII_TOOLCHAIN = void 0;
    exports2.JSII_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/jsii-docgen.js
var require_jsii_docgen2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/jsii-docgen.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var JsiiDocgen = class {
      constructor(project, options = {}) {
        project.addDevDeps("jsii-docgen");
        const filePath = options.filePath ?? "API.md";
        const docgen = project.addTask("docgen", {
          description: "Generate API.md from .jsii manifest",
          exec: `jsii-docgen -o ${filePath}`
        });
        project.postCompileTask.spawn(docgen);
        project.gitignore.include(`/${filePath}`);
        project.annotateGenerated(`/${filePath}`);
      }
    };
    exports2.JsiiDocgen = JsiiDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiDocgen[_a] = { fqn: "projen.cdk.JsiiDocgen", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/jsii-project.js
var require_jsii_project2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/jsii-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiProject = exports2.Stability = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver_1 = require_semver6();
    var consts_1 = require_consts2();
    var jsii_docgen_1 = require_jsii_docgen2();
    var javascript_1 = require_javascript2();
    var typescript_1 = require_typescript4();
    var util_1 = require_util8();
    var EMAIL_REGEX = /(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/;
    var URL_REGEX = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[\-;:&=\+\$,\w]+@)?[A-Za-z0-9\.\-]+|(?:www\.|[\-;:&=\+\$,\w]+@)[A-Za-z0-9\.\-]+)((?:\/[\+~%\/\.\w\-_]*)?\??(?:[\-\+=&;%@\.\w_]*)#?(?:[\.\!\/\\\w]*))?)/;
    var REPO_TEMP_DIRECTORY = ".repo";
    var Stability;
    (function(Stability2) {
      Stability2["EXPERIMENTAL"] = "experimental";
      Stability2["STABLE"] = "stable";
      Stability2["DEPRECATED"] = "deprecated";
    })(Stability || (exports2.Stability = Stability = {}));
    var JsiiProject = class extends typescript_1.TypeScriptProject {
      constructor(options) {
        const { authorEmail, authorUrl } = parseAuthorAddress(options);
        const usesLegacyJsii = options.jsiiVersion == null || options.jsiiVersion !== "*" && new semver_1.Range(options.jsiiVersion).intersects(new semver_1.Range("1.x"));
        const defaultOptions = {
          repository: options.repositoryUrl,
          authorName: options.author,
          authorEmail,
          authorUrl,
          jestOptions: usesLegacyJsii ? { jestVersion: "^27" } : void 0
        };
        const forcedOptions = {
          releaseToNpm: false,
          disableTsconfig: true,
          docgen: false
          // we use jsii-docgen here so disable typescript docgen
        };
        const mergedOptions = (0, util_1.deepMerge)([
          defaultOptions,
          options,
          forcedOptions
        ]);
        super(mergedOptions);
        const srcdir = this.srcdir;
        const libdir = this.libdir;
        this.addFields({ types: `${libdir}/index.d.ts` });
        const compressAssembly = options.compressAssembly ?? false;
        const jsiiFlags = ["--silence-warnings=reserved-word"];
        if (compressAssembly) {
          jsiiFlags.push("--compress-assembly");
        }
        const compatIgnore = options.compatIgnore ?? ".compatignore";
        this.addFields({ stability: options.stability ?? Stability.STABLE });
        if (options.stability === Stability.DEPRECATED) {
          this.addFields({ deprecated: true });
        }
        const compatTask = this.addTask("compat", {
          description: "Perform API compatibility check against latest version",
          exec: `jsii-diff npm:$(node -p "require('./package.json').name") -k --ignore-file ${compatIgnore} || (echo "
UNEXPECTED BREAKING CHANGES: add keys such as 'removed:constructs.Node.of' to ${compatIgnore} to skip.
" && exit 1)`
        });
        const compat = options.compat ?? false;
        if (compat) {
          this.compileTask.spawn(compatTask);
        }
        this.compileTask.reset(["jsii", ...jsiiFlags].join(" "));
        this.watchTask.reset(["jsii", "-w", ...jsiiFlags].join(" "));
        this.packageAllTask = this.addTask("package-all", {
          description: "Packages artifacts for all target languages"
        });
        const prepareRepoForCI = [
          `rsync -a . .repo --exclude .git --exclude node_modules`,
          `rm -rf ${this.artifactsDirectory}`,
          `mv .repo ${this.artifactsDirectory}`
        ].join(" && ");
        this.packageTask.reset(`if [ ! -z \${CI} ]; then ${prepareRepoForCI}; else ${this.runTaskCommand(this.packageAllTask)}; fi`);
        const targets = {};
        const jsii = {
          outdir: this.artifactsDirectory,
          targets,
          tsc: {
            outDir: libdir,
            rootDir: srcdir
          }
        };
        if (options.excludeTypescript) {
          jsii.excludeTypescript = options.excludeTypescript;
        }
        this.addFields({ jsii });
        this.release?.publisher.addGitHubPrePublishingSteps({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Collect GitHub Metadata",
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        const extraJobOptions = {
          ...options.workflowRunsOn ? { runsOn: options.workflowRunsOn } : {},
          ...options.workflowContainerImage ? { container: { image: options.workflowContainerImage } } : {}
        };
        if (options.releaseToNpm != false) {
          const task = this.addPackagingTask("js");
          this.release?.publisher.publishToNpm({
            ...this.pacmakForLanguage("js", task),
            registry: this.package.npmRegistry,
            npmTokenSecret: this.package.npmTokenSecret,
            codeArtifactOptions: options.codeArtifactOptions
          });
          this.addPackagingTarget("js", task, extraJobOptions);
        }
        if ("java" in options) {
          throw new Error('the "java" option is now called "publishToMaven"');
        }
        if (options.publishToMaven) {
          targets.java = {
            package: options.publishToMaven.javaPackage,
            maven: {
              groupId: options.publishToMaven.mavenGroupId,
              artifactId: options.publishToMaven.mavenArtifactId
            }
          };
          const task = this.addPackagingTask("java");
          this.release?.publisher.publishToMaven({
            ...this.pacmakForLanguage("java", task),
            ...options.publishToMaven
          });
          this.addPackagingTarget("java", task, extraJobOptions);
        }
        const pypi = options.publishToPypi ?? options.python;
        if (pypi) {
          targets.python = {
            distName: pypi.distName,
            module: pypi.module
          };
          const task = this.addPackagingTask("python");
          this.release?.publisher.publishToPyPi({
            ...this.pacmakForLanguage("python", task),
            ...pypi
          });
          this.addPackagingTarget("python", task, extraJobOptions);
        }
        const nuget = options.publishToNuget ?? options.dotnet;
        if (nuget) {
          targets.dotnet = {
            namespace: nuget.dotNetNamespace,
            packageId: nuget.packageId,
            iconUrl: nuget.iconUrl
          };
          const task = this.addPackagingTask("dotnet");
          this.release?.publisher.publishToNuget({
            ...this.pacmakForLanguage("dotnet", task),
            ...nuget
          });
          this.addPackagingTarget("dotnet", task, extraJobOptions);
        }
        const golang = options.publishToGo;
        if (golang) {
          targets.go = {
            moduleName: golang.moduleName,
            packageName: golang.packageName
          };
          const task = this.addPackagingTask("go");
          this.release?.publisher.publishToGo({
            ...this.pacmakForLanguage("go", task),
            ...golang
          });
          this.addPackagingTarget("go", task, extraJobOptions);
        }
        const jsiiSuffix = options.jsiiVersion === "*" ? (
          // If jsiiVersion is "*", don't specify anything so the user can manage.
          ""
        ) : (
          // Otherwise, use `jsiiVersion` or fall back to `1.x`.
          `@${options.jsiiVersion ?? "1.x"}`
        );
        this.addDevDeps(`jsii${jsiiSuffix}`, "jsii-diff", "jsii-pacmak");
        this.gitignore.exclude(".jsii", "tsconfig.json");
        this.npmignore?.include(".jsii");
        if (options.docgen ?? true) {
          new jsii_docgen_1.JsiiDocgen(this, { filePath: options.docgenFilePath });
        }
        if (this.npmignore) {
          this.npmignore.readonly = false;
        }
        if (usesLegacyJsii) {
          this.package.addPackageResolutions("@types/prettier@2.6.0");
          this.package.addPackageResolutions("@types/babel__traverse@7.18.2");
        }
      }
      /**
       * Adds a target language to the build workflow and creates a package task.
       * @param language
       * @returns
       */
      addPackagingTarget(language, packTask, extraJobOptions) {
        if (!this.buildWorkflow) {
          return;
        }
        const pacmak = this.pacmakForLanguage(language, packTask);
        this.buildWorkflow.addPostBuildJob(`package-${language}`, {
          runsOn: ["ubuntu-latest"],
          permissions: {},
          tools: {
            node: { version: this.nodeVersion ?? "16.x" },
            ...pacmak.publishTools
          },
          steps: pacmak.prePublishSteps ?? [],
          ...extraJobOptions
        });
      }
      addPackagingTask(language) {
        const packageTask = this.tasks.addTask(`package:${language}`, {
          description: `Create ${language} language bindings`
        });
        packageTask.exec(`jsii-pacmak -v --target ${language}`);
        this.packageAllTask.spawn(packageTask);
        return packageTask;
      }
      pacmakForLanguage(target, packTask) {
        const prePublishSteps = [];
        prePublishSteps.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === javascript_1.NodePackageManager.PNPM) {
          prePublishSteps.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        prePublishSteps.push({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Install Dependencies",
          run: `cd ${REPO_TEMP_DIRECTORY} && ${this.package.installCommand}`
        }, {
          name: `Create ${target} artifact`,
          run: `cd ${REPO_TEMP_DIRECTORY} && npx projen ${packTask.name}`
        }, {
          name: `Collect ${target} Artifact`,
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        return {
          publishTools: consts_1.JSII_TOOLCHAIN[target],
          prePublishSteps
        };
      }
    };
    exports2.JsiiProject = JsiiProject;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiProject[_a] = { fqn: "projen.cdk.JsiiProject", version: "0.71.112" };
    function parseAuthorAddress(options) {
      let authorEmail = options.authorEmail;
      let authorUrl = options.authorUrl;
      if (options.authorAddress) {
        if (options.authorEmail && options.authorEmail !== options.authorAddress) {
          throw new Error("authorEmail is deprecated and cannot be used in conjunction with authorAddress");
        }
        if (options.authorUrl && options.authorUrl !== options.authorAddress) {
          throw new Error("authorUrl is deprecated and cannot be used in conjunction with authorAddress.");
        }
        if (EMAIL_REGEX.test(options.authorAddress)) {
          authorEmail = options.authorAddress;
        } else if (URL_REGEX.test(options.authorAddress)) {
          authorUrl = options.authorAddress;
        } else {
          throw new Error(`authorAddress must be either an email address or a URL: ${options.authorAddress}`);
        }
      }
      return { authorEmail, authorUrl };
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/construct-lib.js
var require_construct_lib2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/construct-lib.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var jsii_project_1 = require_jsii_project2();
    var ConstructLibrary = class extends jsii_project_1.JsiiProject {
      constructor(options) {
        super(options);
        this.addKeywords("cdk");
        if (options.catalog) {
          this.package.addField("awscdkio", {
            twitter: options.catalog.twitter,
            announce: options.catalog.announce
          });
        }
      }
    };
    exports2.ConstructLibrary = ConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibrary[_a] = { fqn: "projen.cdk.ConstructLibrary", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/internal.js
var require_internal4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TYPESCRIPT_INTEG_EXT = void 0;
    exports2.TYPESCRIPT_INTEG_EXT = ".integ.ts";
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/integration-test-base.js
var require_integration_test_base2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/integration-test-base.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal4();
    var component_1 = require_component2();
    var IntegrationTestBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const entry = options.entrypoint;
        const name = options.name ?? (0, path_1.basename)(entry, internal_1.TYPESCRIPT_INTEG_EXT);
        this.name = name;
        const dir = (0, path_1.dirname)(entry);
        const tmpRoot = (0, path_1.join)(dir, ".tmp");
        project.addGitIgnore(tmpRoot);
        project.addPackageIgnore(tmpRoot);
        this.tmpDir = (0, path_1.join)(tmpRoot, `${name}.integ`);
        this.snapshotDir = (0, path_1.join)(dir, `${name}.integ.snapshot`);
        project.addPackageIgnore(this.snapshotDir);
        this.deployTask = project.addTask(`integ:${name}:deploy`, {
          description: `deploy integration test '${name}' and capture snapshot`
        });
        this.snapshotTask = project.addTask(`integ:${name}:snapshot`, {
          description: `update snapshot for integration test "${name}"`
        });
        this.assertTask = project.addTask(`integ:${name}:assert`, {
          description: `assert the snapshot of integration test '${name}'`,
          exec: `[ -d "${this.snapshotDir}" ] || (echo "No snapshot available for integration test '${name}'. Run 'projen ${this.deployTask.name}' to capture." && exit 1)`
        });
        project.testTask.spawn(this.assertTask);
        let snapshotAllTask = project.tasks.tryFind("integ:snapshot-all");
        if (!snapshotAllTask) {
          snapshotAllTask = project.addTask("integ:snapshot-all", {
            description: "update snapshot for all integration tests"
          });
        }
        snapshotAllTask.spawn(this.snapshotTask);
      }
    };
    exports2.IntegrationTestBase = IntegrationTestBase;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestBase[_a] = { fqn: "projen.cdk.IntegrationTestBase", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/auto-discover-base.js
var require_auto_discover_base2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/auto-discover-base.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscoverBase = exports2.AutoDiscoverBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var glob = require_glob2();
    var internal_1 = require_internal4();
    var component_1 = require_component2();
    var AutoDiscoverBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const cwd = path.posix.join(this.project.outdir, options.projectdir);
        this.entrypoints = glob.sync(`**/*${options.extension}`, { cwd }).map((p) => path.posix.join(options.projectdir, p));
      }
    };
    exports2.AutoDiscoverBase = AutoDiscoverBase;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscoverBase[_a] = { fqn: "projen.cdk.AutoDiscoverBase", version: "0.71.112" };
    var IntegrationTestAutoDiscoverBase = class extends AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          extension: internal_1.TYPESCRIPT_INTEG_EXT,
          projectdir: options.testdir
        });
      }
    };
    exports2.IntegrationTestAutoDiscoverBase = IntegrationTestAutoDiscoverBase;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscoverBase[_b] = { fqn: "projen.cdk.IntegrationTestAutoDiscoverBase", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk/index.js
var require_cdk2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_construct_lib2(), exports2);
    __exportStar(require_jsii_docgen2(), exports2);
    __exportStar(require_jsii_project2(), exports2);
    __exportStar(require_integration_test_base2(), exports2);
    __exportStar(require_auto_discover_base2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/integration-test.js
var require_integration_test3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal3();
    var cdk_1 = require_cdk2();
    var dependencies_1 = require_dependencies2();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("aws-cdk")) {
          project.deps.addDependency(`aws-cdk@^${options.cdkDeps.cdkMajorVersion}`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        const opts = [
          `--app "${app}"`,
          "--no-notices",
          "--no-version-reporting",
          // don't inject cloudformation metadata into template
          "--no-asset-metadata"
        ];
        const pathMetadata = options.pathMetadata ?? false;
        if (!pathMetadata) {
          opts.push("--no-path-metadata");
        }
        if (options.cdkDeps.cdkMajorVersion === 1) {
          const features = [
            ...internal_1.FEATURE_FLAGS,
            "@aws-cdk/core:newStyleStackSynthesis"
            // simplifies asset coordinates in synth output
          ];
          for (const feature of features) {
            opts.push(`--context ${feature}=true`);
          }
        }
        const cdkopts = opts.join(" ");
        const stacks = options.stacks ?? ["**"];
        const stackOpts = stacks.map((stack) => `'${stack}'`).join(" ");
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk deploy ${cdkopts} ${stackOpts} --require-approval=never -o ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.watchTask = project.addTask(`integ:${this.name}:watch`, {
          description: `watch integration test '${this.name}' (without updating snapshots)`,
          exec: `cdk watch ${cdkopts} ${stackOpts} -o ${deployDir}`
        });
        this.destroyTask = project.addTask(`integ:${this.name}:destroy`, {
          description: `destroy integration test '${this.name}'`,
          exec: `cdk destroy --app ${this.snapshotDir} ${stackOpts} --no-version-reporting`
        });
        const destroyAfterDeploy = options.destroyAfterDeploy ?? true;
        if (destroyAfterDeploy) {
          this.deployTask.spawn(this.destroyTask);
        }
        this.snapshotTask.exec(`cdk synth ${cdkopts} -o ${this.snapshotDir} > /dev/null`);
        const exclude = ["asset.*", "cdk.out", "manifest.json", "tree.json"];
        this.assertTask.exec(`cdk synth ${cdkopts} -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff -r ${exclude.map((x) => `-x ${x}`).join(" ")} ${this.snapshotDir}/ ${assertDir}/`);
        for (const x of exclude) {
          project.addGitIgnore(`${this.snapshotDir}/${x}`);
          project.addGitIgnore(`${this.snapshotDir}/**/${x}`);
        }
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.awscdk.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/lambda-function.js
var require_lambda_function2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/lambda-function.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaRuntime = exports2.LambdaFunction = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case2();
    var internal_1 = require_internal3();
    var component_1 = require_component2();
    var javascript_1 = require_javascript2();
    var source_code_1 = require_source_code2();
    var LambdaFunction = class extends component_1.Component {
      /**
       * Defines a pre-bundled AWS Lambda function construct from handler code.
       *
       * @param project The project to use
       * @param options Options
       */
      constructor(project, options) {
        super(project);
        const cdkDeps = options.cdkDeps;
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const runtime = options.runtime ?? LambdaRuntime.NODEJS_16_X;
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const entrypoint = options.entrypoint;
        if (!entrypoint.endsWith(internal_1.TYPESCRIPT_LAMBDA_EXT) && !entrypoint.endsWith(internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT)) {
          throw new Error(`${entrypoint} must have a ${internal_1.TYPESCRIPT_LAMBDA_EXT} or ${internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT} extension`);
        }
        const basePath = path.posix.join(path.dirname(entrypoint), path.basename(entrypoint, options.edgeLambda ? internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT : internal_1.TYPESCRIPT_LAMBDA_EXT));
        const constructFile = options.constructFile ?? `${basePath}-function.ts`;
        if (path.extname(constructFile) !== ".ts") {
          throw new Error(`Construct file name "${constructFile}" must have a .ts extension`);
        }
        const constructName = options.constructName ?? (0, case_1.pascal)(path.basename(basePath)) + "Function";
        const propsType = `${constructName}Props`;
        const bundle = bundler.addBundle(entrypoint, {
          target: runtime.esbuildTarget,
          platform: runtime.esbuildPlatform,
          externals: runtime.defaultExternals,
          ...options.bundlingOptions,
          tsconfigPath: project?.tsconfigDev?.fileName
        });
        const outfileAbs = path.join(project.outdir, bundle.outfile);
        const constructAbs = path.join(project.outdir, constructFile);
        const relativeOutfile = path.relative(path.dirname(constructAbs), path.dirname(outfileAbs));
        const src = new source_code_1.SourceCode(project, constructFile);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from '@aws-cdk/aws-cloudfront';");
            cdkDeps.addV1Dependencies("@aws-cdk/aws-cloudfront");
          }
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from 'aws-cdk-lib/aws-cloudfront';");
          }
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export interface ${propsType} extends cloudfront.experimental.EdgeFunctionProps {`);
        } else {
          src.open(`export interface ${propsType} extends lambda.FunctionOptions {`);
        }
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * An AWS Lambda function which executes ${(0, internal_1.convertToPosixPath)(basePath)}.`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export class ${constructName} extends cloudfront.experimental.EdgeFunction {`);
        } else {
          src.open(`export class ${constructName} extends lambda.Function {`);
        }
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: '${(0, internal_1.convertToPosixPath)(entrypoint)}',`);
        src.line("...props,");
        src.line(`runtime: new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        src.line("handler: 'index.handler',");
        src.line(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk", '${(0, internal_1.convertToPosixPath)(relativeOutfile)}')),`);
        src.close("});");
        if ((options.awsSdkConnectionReuse ?? true) && !options.edgeLambda) {
          src.line("this.addEnvironment('AWS_NODEJS_CONNECTION_REUSE_ENABLED', '1', { removeInEdge: true });");
        }
        src.close("}");
        src.close("}");
        this.project.logger.verbose(`${basePath}: construct "${constructName}" generated under "${constructFile}"`);
        this.project.logger.verbose(`${basePath}: bundle task "${bundle.bundleTask.name}"`);
        if (bundle.watchTask) {
          this.project.logger.verbose(`${basePath}: bundle watch task "${bundle.watchTask.name}"`);
        }
      }
    };
    exports2.LambdaFunction = LambdaFunction;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaFunction[_a] = { fqn: "projen.awscdk.LambdaFunction", version: "0.71.112" };
    var LambdaRuntime = class {
      constructor(functionRuntime, esbuildTarget, options) {
        this.functionRuntime = functionRuntime;
        this.esbuildTarget = esbuildTarget;
        this.esbuildPlatform = "node";
        this.defaultExternals = options?.defaultExternals ?? ["@aws-sdk/*"];
      }
    };
    exports2.LambdaRuntime = LambdaRuntime;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaRuntime[_b] = { fqn: "projen.awscdk.LambdaRuntime", version: "0.71.112" };
    LambdaRuntime.NODEJS_10_X = new LambdaRuntime("nodejs10.x", "node10", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_12_X = new LambdaRuntime("nodejs12.x", "node12", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_14_X = new LambdaRuntime("nodejs14.x", "node14", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_16_X = new LambdaRuntime("nodejs16.x", "node16", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_18_X = new LambdaRuntime("nodejs18.x", "node18");
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/lambda-extension.js
var require_lambda_extension2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/lambda-extension.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaExtension = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var case_1 = require_Case2();
    var internal_1 = require_internal3();
    var lambda_function_1 = require_lambda_function2();
    var component_1 = require_component2();
    var javascript_1 = require_javascript2();
    var source_code_1 = require_source_code2();
    var LambdaExtension = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const basePath = (0, path_1.join)((0, path_1.dirname)(options.entrypoint), (0, path_1.basename)(options.entrypoint, internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT));
        const name = options.name ?? (0, path_1.basename)(basePath);
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const compatibleRuntimes = options.compatibleRuntimes ?? [
          lambda_function_1.LambdaRuntime.NODEJS_18_X,
          lambda_function_1.LambdaRuntime.NODEJS_16_X,
          lambda_function_1.LambdaRuntime.NODEJS_14_X,
          lambda_function_1.LambdaRuntime.NODEJS_12_X
        ];
        if (compatibleRuntimes.length === 0) {
          throw new Error("Compatible runtimes must include at least one runtime");
        }
        const [bundlerRuntime] = compatibleRuntimes.sort((a, b) => a.functionRuntime.localeCompare(b.functionRuntime));
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const bundle = bundler.addBundle(options.entrypoint, {
          platform: bundlerRuntime.esbuildPlatform,
          target: bundlerRuntime.esbuildTarget,
          externals: bundlerRuntime.defaultExternals,
          outfile: `extensions/${name}`,
          // Make the output executable because Lambda expects to run
          // extensions as stand-alone programs alongside the main lambda
          // process.
          executable: true,
          ...options.bundlingOptions
        });
        const constructFile = options.constructFile ?? `${basePath}-layer-version.ts`;
        new LambdaLayerConstruct(project, {
          constructFile,
          constructName: options.constructName,
          assetDir: bundle.outdir,
          compatibleRuntimes,
          description: `Provides a Lambda Extension \`${name}\` from ${(0, internal_1.convertToPosixPath)(options.entrypoint)}`,
          cdkDeps: options.cdkDeps
        });
      }
    };
    exports2.LambdaExtension = LambdaExtension;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaExtension[_a] = { fqn: "projen.awscdk.LambdaExtension", version: "0.71.112" };
    var LambdaLayerConstruct = class extends source_code_1.SourceCode {
      constructor(project, options) {
        super(project, options.constructFile);
        const src = this;
        const cdkDeps = options.cdkDeps;
        const constructName = options.constructName ?? (0, case_1.pascal)((0, path_1.basename)(options.constructFile, ".ts"));
        const propsType = `${constructName}Props`;
        const assetDir = (0, path_1.relative)((0, path_1.dirname)(options.constructFile), options.assetDir);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        src.open(`export interface ${propsType} extends lambda.LayerVersionOptions {`);
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * ${options.description}`);
        src.line(" */");
        src.open(`export class ${constructName} extends lambda.LayerVersion {`);
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: ${encodeCodeString(options.description)},`);
        src.line("...props,");
        src.open("compatibleRuntimes: [");
        for (const runtime of options.compatibleRuntimes) {
          src.line(`new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        }
        src.close("],");
        src.open(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk",`);
        src.line(`${encodeCodeString((0, internal_1.convertToPosixPath)(assetDir))})),`);
        src.close();
        src.close("});");
        src.close("}");
        src.close("}");
      }
    };
    function encodeCodeString(value) {
      const json = JSON.stringify(value);
      const escapedString = json.substring(1, json.length - 1).replace(/'/g, "\\'");
      return `'${escapedString}'`;
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/auto-discover.js
var require_auto_discover3 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    var _e;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoDiscover = exports2.LambdaExtensionAutoDiscover = exports2.EdgeLambdaAutoDiscover = exports2.LambdaAutoDiscover = exports2.IntegrationTestAutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test3();
    var internal_1 = require_internal3();
    var lambda_extension_1 = require_lambda_extension2();
    var lambda_function_1 = require_lambda_function2();
    var cdk_1 = require_cdk2();
    var component_1 = require_component2();
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            ...options.integrationTestOptions
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_a] = { fqn: "projen.awscdk.IntegrationTestAutoDiscover", version: "0.71.112" };
    var LambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions
          });
        }
      }
    };
    exports2.LambdaAutoDiscover = LambdaAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaAutoDiscover[_b] = { fqn: "projen.awscdk.LambdaAutoDiscover", version: "0.71.112" };
    var EdgeLambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions,
            edgeLambda: true
          });
        }
      }
    };
    exports2.EdgeLambdaAutoDiscover = EdgeLambdaAutoDiscover;
    _c = JSII_RTTI_SYMBOL_1;
    EdgeLambdaAutoDiscover[_c] = { fqn: "projen.awscdk.EdgeLambdaAutoDiscover", version: "0.71.112" };
    var LambdaExtensionAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_extension_1.LambdaExtension(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaExtensionOptions
          });
        }
      }
    };
    exports2.LambdaExtensionAutoDiscover = LambdaExtensionAutoDiscover;
    _d = JSII_RTTI_SYMBOL_1;
    LambdaExtensionAutoDiscover[_d] = { fqn: "projen.awscdk.LambdaExtensionAutoDiscover", version: "0.71.112" };
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.lambdaAutoDiscover ?? true) {
          new LambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.edgeLambdaAutoDiscover ?? true) {
          new EdgeLambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.lambdaExtensionAutoDiscover ?? true) {
          new LambdaExtensionAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaExtensionOptions: options.lambdaExtensionOptions
          });
        }
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            testdir: options.testdir,
            tsconfigPath: options.tsconfigPath,
            integrationTestOptions: options.integrationTestOptions
          });
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _e = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_e] = { fqn: "projen.awscdk.AutoDiscover", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps.js
var require_awscdk_deps2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var AwsCdkDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkDependenciesAsDeps = options.cdkDependenciesAsDeps ?? true;
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdkVersion = framework.range;
        this.cdkMajorVersion = framework.major;
        this.cdkMinimumVersion = framework.minimum;
        this.addFrameworkDependency(options);
        this.addV1AssertionLibraryDependency(options);
        this.addConstructsDependency(options.constructsVersion);
        this.addV1Dependencies(...options.cdkDependencies ?? []);
        this.addV1DevDependencies(...options.cdkTestDependencies ?? []);
      }
      preSynthesize() {
        const depNames = Array.from(new Set(this.project.deps.all.map((dep) => dep.name)));
        const v1Deps = depNames.filter((dep) => [PACKAGE_AWS_CDK_VERSION.V1].includes(cdkVersionOfPackage(dep))).sort();
        if (this.cdkMajorVersion === 2 && v1Deps.length > 0) {
          this.project.logger.warn(`WARNING: Found CDK v1 deps in your project, even though your "cdkVersion" is 2.x: [${v1Deps.join(", ")}]. Check out https://docs.aws.amazon.com/cdk/v2/guide/migrating-v2.html for more information about using CDK v2 dependencies.`);
        }
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * The type of dependency is determined by the `dependencyType` option.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1Dependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1Dependencies() is not supported for CDK 2.x and above, use addDeps() or addPeerDeps() instead");
        }
        this.addV1DependenciesByType(this.dependencyType, ...deps);
        if (this.cdkDependenciesAsDeps) {
          this.addV1DependenciesByType(dependencies_1.DependencyType.RUNTIME, ...deps);
        }
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps fully qualified names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1DevDependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1DevDependencies() is not supported for CDK 2.x and above, use addDevDeps()/addTestDeps() instead");
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.BUILD, ...deps);
      }
      addConstructsDependency(requestedVersion) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const defaultVersion = this.cdkMajorVersion === 1 ? "3.2.27" : "10.0.5";
        const versionRequirement = `^${requestedVersion ?? defaultVersion}`;
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdkMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      /**
       * Adds a dependency on the AWS CDK framework (e.g. `@aws-cdk/core` for V1 or `aws-cdk-lib` for V1).
       */
      addFrameworkDependency(options) {
        switch (this.cdkMajorVersion) {
          case 1:
            this.addV1Dependencies(this._packageNames.coreV1);
            break;
          case 2:
            if (options.cdkDependencies !== void 0) {
              throw new Error('cdkDependencies is not used for CDK 2.x. Use "peerDeps" or "deps" instead');
            }
            if (options.cdkDependenciesAsDeps !== void 0) {
              throw new Error("cdkDependenciesAsDeps is not used for CDK 2.x");
            }
            if (options.cdkTestDependencies !== void 0) {
              throw new Error('cdkTestDependencies is not used for CDK 2.x. Use "devDeps" or "testDeps" instead');
            }
            this.project.deps.addDependency(`${this._packageNames.coreV2}@${this.cdkVersion}`, this.dependencyType);
            break;
          default:
            throw new Error(`Unsupported AWS CDK major version ${this.cdkMajorVersion}.x`);
        }
      }
      addV1AssertionLibraryDependency(options) {
        if (this.cdkMajorVersion !== 1) {
          if (options.cdkAssert !== void 0) {
            throw new Error("cdkAssert is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          if (options.cdkAssertions !== void 0) {
            throw new Error("cdkAssertion is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          return;
        }
        const testDeps = new Array();
        if ((options.cdkAssert ?? true) && this._packageNames.assert) {
          testDeps.push(this._packageNames.assert);
        }
        if (semver.gte(this.cdkMinimumVersion, "1.111.0") && (options.cdkAssertions ?? true)) {
          testDeps.push(this._packageNames.assertions);
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.TEST, ...testDeps);
      }
      /**
       * Adds a set of dependencies with the user-specified dependency type.
       * @param deps The set of dependency specifications
       */
      addV1DependenciesByType(type, ...modules) {
        for (const module3 of modules) {
          this.project.deps.addDependency(`${module3}@${this.cdkVersion}`, type);
        }
      }
    };
    exports2.AwsCdkDeps = AwsCdkDeps;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDeps[_a] = { fqn: "projen.awscdk.AwsCdkDeps", version: "0.71.112" };
    var PACKAGE_AWS_CDK_VERSION;
    (function(PACKAGE_AWS_CDK_VERSION2) {
      PACKAGE_AWS_CDK_VERSION2["V1"] = "v1";
      PACKAGE_AWS_CDK_VERSION2["V2"] = "v2";
      PACKAGE_AWS_CDK_VERSION2["EITHER"] = "either";
      PACKAGE_AWS_CDK_VERSION2["UNKNOWN"] = "unknown";
    })(PACKAGE_AWS_CDK_VERSION || (PACKAGE_AWS_CDK_VERSION = {}));
    function cdkVersionOfPackage(packageName) {
      if (packageName === "aws-cdk-lib") {
        return PACKAGE_AWS_CDK_VERSION.V2;
      } else if (packageName.startsWith("@aws-cdk/")) {
        if (packageName.endsWith("-alpha")) {
          return PACKAGE_AWS_CDK_VERSION.V2;
        } else if (AWS_CDK_V1_V2_SCOPED_PACKAGES.includes(packageName)) {
          return PACKAGE_AWS_CDK_VERSION.EITHER;
        } else {
          return PACKAGE_AWS_CDK_VERSION.V1;
        }
      } else {
        return PACKAGE_AWS_CDK_VERSION.UNKNOWN;
      }
    }
    var AWS_CDK_V1_V2_SCOPED_PACKAGES = [
      "@aws-cdk/cfnspec",
      "@aws-cdk/cx-api",
      "@aws-cdk/region-info",
      "@aws-cdk/cloud-assembly-schema",
      "@aws-cdk/assert",
      "@aws-cdk/cloudformation-diff",
      "@aws-cdk/integ-runner"
    ];
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdkVersion);
      if (!ver) {
        throw new Error(`"cdkVersion" cannot be parsed as a semver version: ${options.cdkVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdkVersionPinning ? options.cdkVersion : `^${options.cdkVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-java.js
var require_awscdk_deps_java2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJava = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps2();
    var AwsCdkDepsJava = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "software.amazon.awscdk/core",
          coreV2: "software.amazon.awscdk/aws-cdk-lib",
          constructs: "software.constructs/constructs",
          assertions: "software.amazon.awscdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJava = AwsCdkDepsJava;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJava[_a] = { fqn: "projen.awscdk.AwsCdkDepsJava", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/cdk-config.js
var require_cdk_config2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/cdk-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ApprovalLevel = exports2.CdkConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var internal_1 = require_internal3();
    var component_1 = require_component2();
    var json_1 = require_json3();
    var CdkConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkout = options.cdkout ?? "cdk.out";
        this._include = options.watchIncludes ?? [];
        this._exclude = options.watchExcludes ?? [];
        const context = { ...options.context };
        const fflags = options.featureFlags ?? true;
        if (fflags) {
          for (const flag of internal_1.FEATURE_FLAGS) {
            context[flag] = true;
          }
        }
        this.json = new json_1.JsonFile(project, "cdk.json", {
          omitEmpty: true,
          obj: {
            app: options.app,
            context,
            requireApproval: options.requireApproval,
            output: this.cdkout,
            build: options.buildCommand,
            watch: {
              include: () => this._include,
              exclude: () => this._exclude
            }
          }
        });
        project.gitignore.exclude(`/${this.cdkout}/`);
        project.gitignore.exclude(".cdk.staging/");
      }
      /**
       * Add includes to `cdk.json`.
       * @param patterns The includes to add.
       */
      addIncludes(...patterns) {
        this._include.push(...patterns);
      }
      /**
       * Add excludes to `cdk.json`.
       * @param patterns The excludes to add.
       */
      addExcludes(...patterns) {
        this._exclude.push(...patterns);
      }
      /**
       * List of glob patterns to be included by CDK.
       */
      get include() {
        return [...this._include];
      }
      /**
       * List of glob patterns to be excluded by CDK.
       */
      get exclude() {
        return [...this._exclude];
      }
    };
    exports2.CdkConfig = CdkConfig;
    _a = JSII_RTTI_SYMBOL_1;
    CdkConfig[_a] = { fqn: "projen.awscdk.CdkConfig", version: "0.71.112" };
    var ApprovalLevel;
    (function(ApprovalLevel2) {
      ApprovalLevel2["NEVER"] = "never";
      ApprovalLevel2["ANY_CHANGE"] = "any-change";
      ApprovalLevel2["BROADENING"] = "broadening";
    })(ApprovalLevel || (exports2.ApprovalLevel = ApprovalLevel = {}));
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/cdk-tasks.js
var require_cdk_tasks2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/cdk-tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CdkTasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component2();
    var CdkTasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.synth = project.addTask("synth", {
          description: "Synthesizes your cdk app into cdk.out",
          exec: "cdk synth"
        });
        this.synthSilent = project.addTask("synth:silent", {
          description: 'Synthesizes your cdk app into cdk.out and suppresses the template in stdout (part of "yarn build")',
          exec: "cdk synth -q"
        });
        this.deploy = project.addTask("deploy", {
          description: "Deploys your CDK app to the AWS cloud",
          exec: "cdk deploy",
          receiveArgs: true
        });
        this.destroy = project.addTask("destroy", {
          description: "Destroys your cdk app in the AWS cloud",
          exec: "cdk destroy",
          receiveArgs: true
        });
        this.diff = project.addTask("diff", {
          description: "Diffs the currently deployed app against your code",
          exec: "cdk diff"
        });
        const watch = project.tasks.tryFind("watch") ?? project.addTask("watch");
        watch.reset();
        watch.description = "Watches changes in your source code and rebuilds and deploys to the current account";
        watch.exec("cdk deploy --hotswap");
        watch.exec("cdk watch");
        this.watch = watch;
      }
    };
    exports2.CdkTasks = CdkTasks;
    _a = JSII_RTTI_SYMBOL_1;
    CdkTasks[_a] = { fqn: "projen.awscdk.CdkTasks", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-java.js
var require_awscdk_app_java2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkJavaApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var awscdk_deps_java_1 = require_awscdk_deps_java2();
    var cdk_config_1 = require_cdk_config2();
    var cdk_tasks_1 = require_cdk_tasks2();
    var __1 = require_lib11();
    var java_1 = require_java2();
    var AwsCdkJavaApp = class extends java_1.JavaProject {
      constructor(options) {
        const mainClassComponents = options.mainClass.split(".");
        const mainPackage = mainClassComponents.slice(0, -1);
        const mainClassName = mainClassComponents[mainClassComponents.length - 1];
        super({
          ...options,
          sample: false,
          sampleJavaPackage: mainPackage.join(".")
        });
        this.mainClass = options.mainClass;
        this.mainPackage = mainPackage.join(".");
        this.mainClassName = mainClassName;
        this.cdkDeps = new awscdk_deps_java_1.AwsCdkDepsJava(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synth);
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `mvn exec:java --quiet -Dexec.mainClass=${this.mainClass}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          ...options
        });
        if (options.sample ?? true) {
          this.addSample();
        }
      }
      /**
       * Adds an AWS CDK module dependencies
       *
       * @param modules The list of modules to depend on (e.g. "software.amazon.awscdk/aws-lambda", "software.amazon.awscdk/aws-iam", etc)
       * @deprecated In CDK 2.x all modules are available by default. Alpha modules should be added using the standard 'deps'
       */
      addCdkDependency(...modules) {
        for (const m of modules) {
          this.cdkDeps.addV1Dependencies(m);
        }
      }
      addSample() {
        const pkg = this.mainPackage.split(".");
        const javaFile = `${this.mainClassName}.java`;
        new __1.SampleDir(this, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            [javaFile]: [
              `package ${pkg.join(".")};`,
              "",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.App;" : "import software.amazon.awscdk.App;",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.Stack;" : "import software.amazon.awscdk.Stack;",
              "",
              `public class ${this.mainClassName} {`,
              "  public static void main(final String[] args) {",
              "    App app = new App();",
              `    new Stack(app, "${this.name}");`,
              "    app.synth();",
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkJavaApp = AwsCdkJavaApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkJavaApp[_a] = { fqn: "projen.awscdk.AwsCdkJavaApp", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-py.js
var require_awscdk_deps_py2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps2();
    var AwsCdkDepsPy = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "aws_cdk.core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "aws_cdk.assert",
          assertions: "aws_cdk.assertions"
        };
      }
    };
    exports2.AwsCdkDepsPy = AwsCdkDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsPy[_a] = { fqn: "projen.awscdk.AwsCdkDepsPy", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js
var require_awscdk_pytest_sample2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPytestSample = void 0;
    var __1 = require_lib11();
    var AwsCdkPytestSample = class extends __1.Component {
      constructor(project, testdir) {
        super(project);
        new __1.SampleDir(project, testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "from aws_cdk import App",
              "from aws_cdk.assertions import Template",
              "",
              `from ${project.moduleName}.main import MyStack`,
              "",
              "@pytest.fixture(scope='module')",
              "def template():",
              "  app = App()",
              '  stack = MyStack(app, "my-stack-test")',
              "  template = Template.from_stack(stack)",
              "  yield template",
              "",
              `def test_no_buckets_found(template):`,
              '  template.resource_count_is("AWS::S3::Bucket", 0)',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkPytestSample = AwsCdkPytestSample;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-py.js
var require_awscdk_app_py2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_awscdk2();
    var awscdk_deps_py_1 = require_awscdk_deps_py2();
    var awscdk_pytest_sample_1 = require_awscdk_pytest_sample2();
    var __1 = require_lib11();
    var pytest_1 = require_pytest2();
    var python_project_1 = require_python_project2();
    var AwsCdkPythonApp = class extends python_project_1.PythonProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdkDeps = new awscdk_deps_py_1.AwsCdkDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        this.testdir = options.testdir ?? "tests";
        this.cdkTasks = new _1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        this.cdkConfig = new _1.CdkConfig(this, {
          app: `python ${this.appEntrypoint}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          watchIncludes: ["**"],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "requirements*.txt",
            "source.bat",
            "**/__init__.py",
            "python/__pycache__",
            "tests"
          ],
          ...options
        });
        if (options.sample ?? true) {
          new AppCode(this, "app.py", this.cdkDeps.cdkMajorVersion);
          new MyStackCode(this, this.moduleName, this.cdkDeps.cdkMajorVersion);
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new awscdk_pytest_sample_1.AwsCdkPytestSample(this, this.pytest.testdir);
        }
      }
    };
    exports2.AwsCdkPythonApp = AwsCdkPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkPythonApp[_a] = { fqn: "projen.awscdk.AwsCdkPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, fileName, cdkVersion) {
        super(project);
        let versionImport;
        if (cdkVersion < 2) {
          versionImport = "from aws_cdk.core import App, Environment";
        } else {
          versionImport = "from aws_cdk import App, Environment";
        }
        new __1.SampleFile(project, fileName, {
          contents: [
            "import os",
            versionImport,
            `from ${project.moduleName}.main import MyStack`,
            "",
            "# for development, use account/region from cdk cli",
            "dev_env = Environment(",
            "  account=os.getenv('CDK_DEFAULT_ACCOUNT'),",
            "  region=os.getenv('CDK_DEFAULT_REGION')",
            ")",
            "",
            "app = App()",
            `MyStack(app, "${this.project.name}-dev", env=dev_env)`,
            `# MyStack(app, "${this.project.name}-prod", env=prod_env)`,
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
    var MyStackCode = class extends __1.Component {
      constructor(project, dir, cdkMajorVersion) {
        super(project);
        let appFile = [];
        appFile.push("import os");
        if (cdkMajorVersion < 2) {
          appFile.push("from aws_cdk.core import Construct, Stack");
        } else {
          appFile.push("from aws_cdk import Stack");
          appFile.push("from constructs import Construct");
        }
        appFile.push("");
        appFile.push("");
        appFile.push("class MyStack(Stack):");
        appFile.push("  def __init__(self, scope: Construct, construct_id: str, **kwargs) -> None:");
        appFile.push("    super().__init__(scope, construct_id, **kwargs)");
        appFile.push("");
        appFile.push("    # The code that defines your stack goes here");
        appFile.push("");
        new __1.SampleDir(project, dir, {
          files: {
            "__init__.py": "",
            "main.py": appFile.join("\n")
          }
        });
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-js.js
var require_awscdk_deps_js2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-deps-js.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps2();
    var AwsCdkDepsJs = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "@aws-cdk/core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "@aws-cdk/assert",
          assertions: "@aws-cdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJs = AwsCdkDepsJs;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJs[_a] = { fqn: "projen.awscdk.AwsCdkDepsJs", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-ts.js
var require_awscdk_app_ts2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover3();
    var awscdk_deps_js_1 = require_awscdk_deps_js2();
    var cdk_config_1 = require_cdk_config2();
    var cdk_tasks_1 = require_cdk_tasks2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var typescript_1 = require_typescript4();
    var AwsCdkTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({
          ...options,
          sampleCode: false,
          bundlerOptions: {
            ...options.bundlerOptions,
            // we invoke the "bundle" task as part of the build step in cdk.json so
            // we don't want it to be added to the pre-compile phase.
            addToPreCompile: false
          }
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        this.addDevDeps(`aws-cdk@${this.cdkDeps.cdkVersion}`);
        this.compileTask.reset();
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        const tsConfigFile = this.tsconfig?.fileName;
        if (!tsConfigFile) {
          throw new Error("Expecting tsconfig.json");
        }
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `npx ts-node -P ${tsConfigFile} --prefer-ts-exts ${path.posix.join(this.srcdir, this.appEntrypoint)}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          buildCommand: this.runTaskCommand(this.bundler.bundleTask),
          watchIncludes: [`${this.srcdir}/**/*.ts`, `${this.testdir}/**/*.ts`],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "**/*.d.ts",
            "**/*.js",
            "tsconfig.json",
            "package*.json",
            "yarn.lock",
            "node_modules"
          ],
          ...options
        });
        this.gitignore.exclude(".parcel-cache/");
        this.npmignore?.exclude(`${this.cdkConfig.cdkout}/`);
        this.npmignore?.exclude(".cdk.staging/");
        if (this.tsconfig) {
          this.tsconfig.exclude.push(this.cdkConfig.cdkout);
        }
        this.addDevDeps("ts-node");
        if (options.sampleCode ?? true) {
          new SampleCode(this, this.cdkDeps.cdkMajorVersion);
        }
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * Adds an AWS CDK module dependencies
       * @param modules The list of modules to depend on
       */
      addCdkDependency(...modules) {
        return this.cdkDeps.addV1Dependencies(...modules);
      }
    };
    exports2.AwsCdkTypeScriptApp = AwsCdkTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkTypeScriptApp[_a] = { fqn: "projen.awscdk.AwsCdkTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project, cdkMajorVersion) {
        super(project);
        this.cdkMajorVersion = cdkMajorVersion;
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcImports = new Array();
        if (this.cdkMajorVersion < 2) {
          srcImports.push("import { App, Construct, Stack, StackProps } from '@aws-cdk/core';");
        } else {
          srcImports.push("import { App, Stack, StackProps } from 'aws-cdk-lib';");
          srcImports.push("import { Construct } from 'constructs';");
        }
        const srcCode = `${srcImports.join("\n")}

export class MyStack extends Stack {
  constructor(scope: Construct, id: string, props: StackProps = {}) {
    super(scope, id, props);

    // define resources here...
  }
}

// for development, use account/region from cdk cli
const devEnv = {
  account: process.env.CDK_DEFAULT_ACCOUNT,
  region: process.env.CDK_DEFAULT_REGION,
};

const app = new App();

new MyStack(app, '${this.project.name}-dev', { env: devEnv });
// new MyStack(app, '${this.project.name}-prod', { env: prodEnv });

app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
        const testdir = path.join(outdir, this.appProject.testdir);
        if (fs.existsSync(testdir) && fs.readdirSync(testdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const testImports = new Array();
        if (this.cdkMajorVersion < 2) {
          testImports.push("import { App } from '@aws-cdk/core';");
          testImports.push("import { Template } from '@aws-cdk/assertions';");
        } else {
          testImports.push("import { App } from 'aws-cdk-lib';");
          testImports.push("import { Template } from 'aws-cdk-lib/assertions';");
        }
        const appEntrypointName = path.basename(this.appProject.appEntrypoint, ".ts");
        const testCode = `${testImports.join("\n")}
import { MyStack } from '../${this.appProject.srcdir}/${appEntrypointName}';

test('Snapshot', () => {
  const app = new App();
  const stack = new MyStack(app, 'test');

  const template = Template.fromStack(stack);
  expect(template.toJSON()).toMatchSnapshot();
});`;
        fs.mkdirSync(testdir, { recursive: true });
        fs.writeFileSync(path.join(testdir, `${appEntrypointName}.test.ts`), testCode);
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-construct.js
var require_awscdk_construct2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/awscdk-construct.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryAws = exports2.AwsCdkConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var auto_discover_1 = require_auto_discover3();
    var awscdk_deps_js_1 = require_awscdk_deps_js2();
    var cdk_1 = require_cdk2();
    var dependencies_1 = require_dependencies2();
    var AwsCdkConstructLibrary = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        const cdkMajorVersion = semver.parse(options.cdkVersion)?.major;
        super({
          peerDependencyOptions: cdkMajorVersion === 1 ? {
            pinnedDevDependency: false
          } : void 0,
          workflowNodeVersion: options.minNodeVersion ?? "16.x",
          ...options
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          // since this we are a library, dependencies should be added a peers
          dependencyType: dependencies_1.DependencyType.PEER,
          ...options
        });
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * The target CDK version for this library.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      /**
       * @deprecated use `cdkVersion`
       */
      get version() {
        return this.cdkVersion;
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * Since this is a library project, dependencies will be added as peer dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1Dependencies()`
       */
      addCdkDependencies(...deps) {
        return this.cdkDeps.addV1Dependencies(...deps);
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1DevDependencies()`
       */
      addCdkTestDependencies(...deps) {
        return this.cdkDeps.addV1DevDependencies(...deps);
      }
    };
    exports2.AwsCdkConstructLibrary = AwsCdkConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkConstructLibrary[_a] = { fqn: "projen.awscdk.AwsCdkConstructLibrary", version: "0.71.112" };
    var ConstructLibraryAws = class extends AwsCdkConstructLibrary {
    };
    exports2.ConstructLibraryAws = ConstructLibraryAws;
    _b = JSII_RTTI_SYMBOL_1;
    ConstructLibraryAws[_b] = { fqn: "projen.awscdk.ConstructLibraryAws", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/awscdk/index.js
var require_awscdk2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/awscdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover3(), exports2);
    __exportStar(require_awscdk_app_java2(), exports2);
    __exportStar(require_awscdk_app_py2(), exports2);
    __exportStar(require_awscdk_app_ts2(), exports2);
    __exportStar(require_awscdk_construct2(), exports2);
    __exportStar(require_awscdk_deps2(), exports2);
    __exportStar(require_awscdk_deps_java2(), exports2);
    __exportStar(require_awscdk_deps_js2(), exports2);
    __exportStar(require_awscdk_deps_py2(), exports2);
    __exportStar(require_cdk_config2(), exports2);
    __exportStar(require_cdk_tasks2(), exports2);
    __exportStar(require_integration_test3(), exports2);
    __exportStar(require_lambda_function2(), exports2);
    __exportStar(require_lambda_extension2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/integration-test.js
var require_integration_test4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var cdk_1 = require_cdk2();
    var dependencies_1 = require_dependencies2();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("cdk8s-cli")) {
          project.deps.addDependency(`cdk8s-cli`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk8s synth --app "${app}" -o ${deployDir}`);
        this.deployTask.exec(`kubectl apply -f ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.snapshotTask.exec(`rm -fr ${this.snapshotDir}`);
        this.snapshotTask.exec(`cdk8s synth --app "${app}" -o ${this.snapshotDir}`);
        this.assertTask.exec(`cdk8s synth --app "${app}" -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff ${this.snapshotDir}/ ${assertDir}/`);
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.cdk8s.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/auto-discover.js
var require_auto_discover4 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscover = exports2.AutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test4();
    var cdk_1 = require_cdk2();
    var component_1 = require_component2();
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, options);
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_a] = { fqn: "projen.cdk8s.AutoDiscover", version: "0.71.112" };
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            tsconfigPath: options.tsconfigPath
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_b] = { fqn: "projen.cdk8s.IntegrationTestAutoDiscover", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps.js
var require_cdk8s_deps2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var Cdk8sDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdk8sVersion = framework.range;
        this.cdk8sMajorVersion = framework.major;
        this.cdk8sMinimumVersion = framework.minimum;
        this.addConstructsDependency(options.constructsVersion, options.constructsVersionPinning);
        this.addFrameworkDependency(options.cdk8sVersion, options.cdk8sVersionPinning);
        if (options.cdk8sCliDependency) {
          this.addClientDependency(options.cdk8sCliVersion, options.cdk8sCliVersionPinning);
        }
        if (options.cdk8sPlus ?? true) {
          const k8MinorVersion = options.k8sMinorVersion ?? 22;
          this.addCdk8sPlusDependency(
            k8MinorVersion,
            options.cdk8sPlusVersion,
            // (project instanceof Cdk8sPythonApp) ? true : false,
            options.cdk8sPlusVersionPinning
          );
        }
      }
      getVersionRequirement(requestedVersion, v1Version, v2Version, pinning) {
        const defaultVersion = this.cdk8sMajorVersion === 1 ? v1Version : v2Version;
        const version = `${requestedVersion ?? defaultVersion}`;
        const versionRequirement = pinning ? `${version}` : `^${version}`;
        return versionRequirement;
      }
      addCdk8sPlusDependency(k8MinorVersion, requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.0.0-beta.222", "2.0.0-rc.26", pinning);
        const cdk8sPlusMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sPlusMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s-plus version '${versionRequirement}'`);
        }
        const cdk8sPlusLib = this._packageNames.cdk8sPlus.concat("-", k8MinorVersion.toString());
        this.project.deps.addDependency(`${cdk8sPlusLib}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addClientDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.1.34", "2.0.28", pinning);
        const cdk8sCliMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sCliMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8sClient}@${versionRequirement}`, dependencies_1.DependencyType.BUILD);
        return versionRequirement;
      }
      addFrameworkDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.6.33", "2.3.33", pinning);
        const cdk8sMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8s}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addConstructsDependency(requestedVersion, pinning) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const versionRequirement = this.getVersionRequirement(requestedVersion, "3.4.39", "10.1.42", pinning);
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdk8sMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
    };
    exports2.Cdk8sDeps = Cdk8sDeps;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDeps[_a] = { fqn: "projen.cdk8s.Cdk8sDeps", version: "0.71.112" };
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdk8sVersion);
      if (!ver) {
        throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js
var require_cdk8s_deps_py2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_1 = require_cdk8s_deps2();
    var Cdk8sDepsPy = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsPy = Cdk8sDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDepsPy[_a] = { fqn: "projen.cdk8s.Cdk8sDepsPy", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-app-py.js
var require_cdk8s_app_py2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_py_1 = require_cdk8s_deps_py2();
    var __1 = require_lib11();
    var python_project_1 = require_python_project2();
    var Cdk8sPythonApp = class extends python_project_1.PythonProject {
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdk8sDeps = new cdk8s_deps_py_1.Cdk8sDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          cdk8sCliDependency: false,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        const synth = this.addTask("synth", {
          description: "Synthesizes your cdk8s app into dist",
          exec: "cdk8s synth"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        new __1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "python",
            app: `python ${this.appEntrypoint}`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sample ?? true) {
          new AppCode(this, this.appEntrypoint);
        }
      }
    };
    exports2.Cdk8sPythonApp = Cdk8sPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sPythonApp[_a] = { fqn: "projen.cdk8s.Cdk8sPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, filename) {
        super(project);
        new __1.SampleFile(project, filename, {
          contents: [
            "from constructs import Construct",
            "from cdk8s import App, Chart",
            "",
            "",
            "class MyChart(Chart):",
            "  def __init__(self, scope: Construct, id:str):",
            "    super().__init__(scope, id)",
            "",
            "",
            "app = App()",
            'MyChart(app, "${project.name}")',
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js
var require_cdk8s_deps_js2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsJs = void 0;
    var cdk8s_deps_1 = require_cdk8s_deps2();
    var Cdk8sDepsJs = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          cdk8sClient: "cdk8s-cli",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsJs = Cdk8sDepsJs;
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js
var require_cdk8s_app_ts2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover4();
    var cdk8s_deps_js_1 = require_cdk8s_deps_js2();
    var component_1 = require_component2();
    var dependencies_1 = require_dependencies2();
    var typescript_1 = require_typescript4();
    var yaml_1 = require_yaml2();
    var Cdk8sTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        super({
          ...options,
          sampleCode: false
        });
        this.cdk8sDeps = new cdk8s_deps_js_1.Cdk8sDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          cdk8sCliDependency: true,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        if (this.srcdir !== "src") {
          throw new Error('sources are expected under the "src" directory');
        }
        if (this.testdir !== "test") {
          throw new Error('test sources are expected under the "test" directory');
        }
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        const synth = this.addTask("synth", {
          description: 'Synthesizes your cdk8s app into dist (part of "yarn build")',
          exec: "cdk8s synth"
        });
        this.addTask("import", {
          description: "Imports API objects to your app by generating constructs.",
          exec: "cdk8s import -o src/imports"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        const appEntrypointBaseName = path.basename(this.appEntrypoint, ".ts");
        new yaml_1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "typescript",
            app: `node lib/${appEntrypointBaseName}.js`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.Cdk8sTypeScriptApp = Cdk8sTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sTypeScriptApp[_a] = { fqn: "projen.cdk8s.Cdk8sTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcCode = `import { Construct } from 'constructs';
import { App, Chart, ChartProps, ApiObject } from 'cdk8s';

export class MyChart extends Chart {
  constructor(scope: Construct, id: string, props: ChartProps = { }) {
    super(scope, id, props);

    const label = { app: 'hello-k8s' };



    new ApiObject(this, 'deployment', {
      apiVersion: "v1",
      kind: "Pod",
      metadata: {
          namespace: "frontend",
          name: "nginx",
          labels: label,
      },
      spec: {
          containers: [{
              name: "nginx",
              image: "nginx:1.14-alpine",
              resources: {
                  limits: {
                      memory: "20Mi",
                      cpu: 0.2,
                  },
              },
          }],
      },
    });
  }
}

const app = new App();
new MyChart(app, 'hello');
app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
      }
    };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-construct.js
var require_cdk8s_construct2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/cdk8s-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdk8s = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var auto_discover_1 = require_auto_discover4();
    var cdk_1 = require_cdk2();
    var ConstructLibraryCdk8s = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        const cdk8sVersion = semver.parse(options.cdk8sVersion);
        if (!cdk8sVersion) {
          throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
        }
        this.cdk8sVersion = options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`;
        const defaultConstructsVersion = cdk8sVersion.major === 1 ? "3.3.196" : "10.0.0";
        const resolvedConstructsVersion = options.constructsVersion ?? defaultConstructsVersion;
        const resolvedMajorConstructVersion = semver.parse(resolvedConstructsVersion)?.major;
        if (!resolvedMajorConstructVersion) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${options.constructsVersion}`);
        }
        switch (cdk8sVersion.major) {
          case 1:
            if (resolvedMajorConstructVersion !== 3) {
              throw new Error("cdk8s 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (resolvedMajorConstructVersion !== 10) {
              throw new Error("cdk8s 2.x requires constructs 10.x");
            }
            break;
        }
        this.constructsVersion = options.constructsVersionPinning ? resolvedConstructsVersion : `^${resolvedConstructsVersion}`;
        this.addPeerDeps(`constructs@${this.constructsVersion}`, `cdk8s@${this.cdk8sVersion}`);
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.ConstructLibraryCdk8s = ConstructLibraryCdk8s;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdk8s[_a] = { fqn: "projen.cdk8s.ConstructLibraryCdk8s", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdk8s/index.js
var require_cdk8s2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdk8s/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover4(), exports2);
    __exportStar(require_cdk8s_app_py2(), exports2);
    __exportStar(require_cdk8s_app_ts2(), exports2);
    __exportStar(require_cdk8s_construct2(), exports2);
    __exportStar(require_integration_test4(), exports2);
    __exportStar(require_cdk8s_deps2(), exports2);
    __exportStar(require_cdk8s_deps_py2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdktf/cdktf-construct.js
var require_cdktf_construct2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdktf/cdktf-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdktf = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver6();
    var cdk_1 = require_cdk2();
    var ConstructLibraryCdktf = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdktfVersion) {
          throw new Error("Required field cdktfVersion is not specified.");
        }
        function getDefaultConstructVersion() {
          const semverCDKTFVersion = semver.coerce(options.cdktfVersion);
          if (semverCDKTFVersion && semver.lte(semverCDKTFVersion, "0.5.0")) {
            return "^3.0.0";
          }
          return "^10.0.12";
        }
        const ver = options.cdktfVersion;
        const constructVersion = options.constructsVersion ?? getDefaultConstructVersion();
        this.addPeerDeps(`constructs@${constructVersion}`, `cdktf@${ver}`);
        this.addKeywords("cdktf");
      }
    };
    exports2.ConstructLibraryCdktf = ConstructLibraryCdktf;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdktf[_a] = { fqn: "projen.cdktf.ConstructLibraryCdktf", version: "0.71.112" };
  }
});

// ../../components/source-repositories/node_modules/projen/lib/cdktf/index.js
var require_cdktf2 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/cdktf/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_cdktf_construct2(), exports2);
  }
});

// ../../components/source-repositories/node_modules/projen/lib/index.js
var require_lib11 = __commonJS({
  "../../components/source-repositories/node_modules/projen/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.build = exports2.cdk = exports2.cdktf = exports2.cdk8s = exports2.awscdk = exports2.release = exports2.javascript = exports2.typescript = exports2.python = exports2.java = exports2.vscode = exports2.circleci = exports2.gitlab = exports2.github = exports2.web = void 0;
    __exportStar(require_component2(), exports2);
    __exportStar(require_dev_env2(), exports2);
    __exportStar(require_dependencies2(), exports2);
    __exportStar(require_docker_compose4(), exports2);
    __exportStar(require_file2(), exports2);
    __exportStar(require_gitattributes2(), exports2);
    __exportStar(require_gitpod2(), exports2);
    __exportStar(require_ignore_file2(), exports2);
    __exportStar(require_ini4(), exports2);
    __exportStar(require_json3(), exports2);
    __exportStar(require_json_patch2(), exports2);
    __exportStar(require_logger2(), exports2);
    __exportStar(require_license2(), exports2);
    __exportStar(require_makefile2(), exports2);
    __exportStar(require_object_file2(), exports2);
    __exportStar(require_option_hints2(), exports2);
    __exportStar(require_project2(), exports2);
    __exportStar(require_project_build2(), exports2);
    __exportStar(require_projects2(), exports2);
    __exportStar(require_projenrc6(), exports2);
    __exportStar(require_projenrc_json2(), exports2);
    __exportStar(require_readme2(), exports2);
    __exportStar(require_renovatebot2(), exports2);
    __exportStar(require_sample_file2(), exports2);
    __exportStar(require_semver7(), exports2);
    __exportStar(require_source_code2(), exports2);
    __exportStar(require_task2(), exports2);
    __exportStar(require_tasks2(), exports2);
    __exportStar(require_task_model2(), exports2);
    __exportStar(require_task_runtime2(), exports2);
    __exportStar(require_testing2(), exports2);
    __exportStar(require_textfile2(), exports2);
    __exportStar(require_toml4(), exports2);
    __exportStar(require_version2(), exports2);
    __exportStar(require_yaml2(), exports2);
    __exportStar(require_xmlfile2(), exports2);
    exports2.web = require_web2();
    exports2.github = require_github4();
    exports2.gitlab = require_gitlab2();
    exports2.circleci = require_circleci4();
    exports2.vscode = require_vscode4();
    exports2.java = require_java2();
    exports2.python = require_python2();
    exports2.typescript = require_typescript4();
    exports2.javascript = require_javascript2();
    exports2.release = require_release4();
    exports2.awscdk = require_awscdk2();
    exports2.cdk8s = require_cdk8s2();
    exports2.cdktf = require_cdktf2();
    exports2.cdk = require_cdk2();
    exports2.build = require_build2();
  }
});

// ../../components/source-repositories/lib/files/file.js
var require_file3 = __commonJS({
  "../../components/source-repositories/lib/files/file.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.File = void 0;
    var fs = __importStar(require("fs"));
    var path_1 = __importDefault(require("path"));
    var File = class {
      constructor(sourceRepository, filePath, content) {
        this.sourceRepository = sourceRepository;
        sourceRepository._trackFile(filePath, content);
        this.path = path_1.default.join(sourceRepository.relativePath, filePath);
        sourceRepository.project.tryRemoveFile(this.path);
        sourceRepository.addSynthesisStep(() => {
          if (sourceRepository.getFiles()[filePath]) {
            const location = path_1.default.join(sourceRepository.path, filePath);
            fs.mkdirSync(path_1.default.parse(location).dir, { recursive: true });
            fs.writeFileSync(location, content);
          }
        });
      }
    };
    exports2.File = File;
  }
});

// ../../components/source-repositories/lib/constants.js
var require_constants7 = __commonJS({
  "../../components/source-repositories/lib/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BAD_REPO_CHARACTERS = void 0;
    exports2.BAD_REPO_CHARACTERS = [
      "!",
      "?",
      "@",
      "#",
      "$",
      "%",
      "^",
      "&",
      "*",
      "(",
      ")",
      "+",
      "=",
      "{",
      "}",
      "[",
      "]",
      "|",
      "\\",
      "/",
      ">",
      "<",
      "~",
      "`",
      "'",
      '"',
      ";",
      ":",
      " "
    ];
  }
});

// ../../components/source-repositories/lib/utilities.js
var require_utilities = __commonJS({
  "../../components/source-repositories/lib/utilities.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.makeValidFolder = void 0;
    var constants_1 = require_constants7();
    var makeValidFolder = (name, options) => {
      const { maxlength = 100, invalidChars = constants_1.BAD_REPO_CHARACTERS } = options || {};
      const result = name.replace(new RegExp(`[${invalidChars.join("\\")}]`, "g"), "").substring(0, maxlength);
      return result;
    };
    exports2.makeValidFolder = makeValidFolder;
  }
});

// ../../components/source-repositories/lib/repository.js
var require_repository = __commonJS({
  "../../components/source-repositories/lib/repository.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceRepository = exports2.sourceRepositoryRootDirectory = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    var projen_1 = require_lib11();
    var file_1 = require_file3();
    var utilities_1 = require_utilities();
    exports2.sourceRepositoryRootDirectory = "src";
    var SourceRepository = class extends projen_1.Component {
      constructor(blueprint_, sourceRepository) {
        super(blueprint_);
        this.blueprint_ = blueprint_;
        this.sourceRepository = sourceRepository;
        this.files = {};
        this.blueprint = blueprint_;
        this.sourceRepository.title = (0, utilities_1.makeValidFolder)(sourceRepository.title);
        this.title = this.sourceRepository.title;
        this.relativePath = path.join(exports2.sourceRepositoryRootDirectory, sourceRepository.title);
        this.path = path.join(this.blueprint.context.rootDir, this.relativePath);
        this.synthesisSteps = [];
      }
      getResynthStrategies(_options) {
        return this.blueprint.getResynthStrategies(path.join(this.relativePath));
      }
      setResynthStrategies(strategies, _options) {
        this.blueprint.setResynthStrategies(path.join(this.relativePath), strategies);
      }
      /**
       * Internally used to reason about which files exist in this repository.
       * If you're adding files without using the constructs, such as using fs.writeFile
       * directly, you'll need to make sure you track those files too. Used for resynthesis
       * @param location
       * @param content
       */
      _trackFile(location, content) {
        this.files[location] = content;
      }
      getFiles() {
        return this.files;
      }
      /**
       * Wrapper around new File(...)
       * @param location
       * @param content
       */
      addFile(location, content) {
        new file_1.File(this, location, content);
      }
      removeFile(location) {
        if (this.files[location]) {
          delete this.files[location];
        }
        this.blueprint.tryRemoveFile(path.join(this.relativePath, location));
      }
      synthesize() {
        const srcDir = path.join(this.blueprint.context.rootDir, exports2.sourceRepositoryRootDirectory);
        if (!fs.existsSync(srcDir)) {
          fs.mkdirSync(srcDir);
        }
        this.writeSynthesis();
      }
      addSynthesisStep(postSynthFunction) {
        this.synthesisSteps.push(postSynthFunction);
      }
      writeSynthesis() {
        console.log("running synthesis into " + this.path);
        super.synthesize();
        this.synthesisSteps.forEach((step) => step());
      }
    };
    exports2.SourceRepository = SourceRepository;
    SourceRepository.BUNDLE_PATH = exports2.sourceRepositoryRootDirectory;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/assert-valid-pattern.js
var require_assert_valid_pattern = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/assert-valid-pattern.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.assertValidPattern = void 0;
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    exports2.assertValidPattern = assertValidPattern;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/brace-expressions.js
var require_brace_expressions = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/brace-expressions.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.parseClass = void 0;
    var posixClasses = {
      "[:alnum:]": ["\\p{L}\\p{Nl}\\p{Nd}", true],
      "[:alpha:]": ["\\p{L}\\p{Nl}", true],
      "[:ascii:]": ["\\x00-\\x7f", false],
      "[:blank:]": ["\\p{Zs}\\t", true],
      "[:cntrl:]": ["\\p{Cc}", true],
      "[:digit:]": ["\\p{Nd}", true],
      "[:graph:]": ["\\p{Z}\\p{C}", true, true],
      "[:lower:]": ["\\p{Ll}", true],
      "[:print:]": ["\\p{C}", true],
      "[:punct:]": ["\\p{P}", true],
      "[:space:]": ["\\p{Z}\\t\\r\\n\\v\\f", true],
      "[:upper:]": ["\\p{Lu}", true],
      "[:word:]": ["\\p{L}\\p{Nl}\\p{Nd}\\p{Pc}", true],
      "[:xdigit:]": ["A-Fa-f0-9", false]
    };
    var braceEscape = (s) => s.replace(/[[\]\\-]/g, "\\$&");
    var regexpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var rangesToString = (ranges) => ranges.join("");
    var parseClass = (glob, position) => {
      const pos = position;
      if (glob.charAt(pos) !== "[") {
        throw new Error("not in a brace expression");
      }
      const ranges = [];
      const negs = [];
      let i = pos + 1;
      let sawStart = false;
      let uflag = false;
      let escaping = false;
      let negate = false;
      let endPos = pos;
      let rangeStart = "";
      WHILE:
        while (i < glob.length) {
          const c = glob.charAt(i);
          if ((c === "!" || c === "^") && i === pos + 1) {
            negate = true;
            i++;
            continue;
          }
          if (c === "]" && sawStart && !escaping) {
            endPos = i + 1;
            break;
          }
          sawStart = true;
          if (c === "\\") {
            if (!escaping) {
              escaping = true;
              i++;
              continue;
            }
          }
          if (c === "[" && !escaping) {
            for (const [cls, [unip, u, neg]] of Object.entries(posixClasses)) {
              if (glob.startsWith(cls, i)) {
                if (rangeStart) {
                  return ["$.", false, glob.length - pos, true];
                }
                i += cls.length;
                if (neg)
                  negs.push(unip);
                else
                  ranges.push(unip);
                uflag = uflag || u;
                continue WHILE;
              }
            }
          }
          escaping = false;
          if (rangeStart) {
            if (c > rangeStart) {
              ranges.push(braceEscape(rangeStart) + "-" + braceEscape(c));
            } else if (c === rangeStart) {
              ranges.push(braceEscape(c));
            }
            rangeStart = "";
            i++;
            continue;
          }
          if (glob.startsWith("-]", i + 1)) {
            ranges.push(braceEscape(c + "-"));
            i += 2;
            continue;
          }
          if (glob.startsWith("-", i + 1)) {
            rangeStart = c;
            i += 2;
            continue;
          }
          ranges.push(braceEscape(c));
          i++;
        }
      if (endPos < i) {
        return ["", false, 0, false];
      }
      if (!ranges.length && !negs.length) {
        return ["$.", false, glob.length - pos, true];
      }
      if (negs.length === 0 && ranges.length === 1 && /^\\?.$/.test(ranges[0]) && !negate) {
        const r = ranges[0].length === 2 ? ranges[0].slice(-1) : ranges[0];
        return [regexpEscape(r), false, endPos - pos, false];
      }
      const sranges = "[" + (negate ? "^" : "") + rangesToString(ranges) + "]";
      const snegs = "[" + (negate ? "" : "^") + rangesToString(negs) + "]";
      const comb = ranges.length && negs.length ? "(" + sranges + "|" + snegs + ")" : ranges.length ? sranges : snegs;
      return [comb, uflag, endPos - pos, true];
    };
    exports2.parseClass = parseClass;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/unescape.js
var require_unescape = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/unescape.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.unescape = void 0;
    var unescape = (s, { windowsPathsNoEscape = false } = {}) => {
      return windowsPathsNoEscape ? s.replace(/\[([^\/\\])\]/g, "$1") : s.replace(/((?!\\).|^)\[([^\/\\])\]/g, "$1$2").replace(/\\([^\/])/g, "$1");
    };
    exports2.unescape = unescape;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/ast.js
var require_ast = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/ast.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AST = void 0;
    var brace_expressions_js_1 = require_brace_expressions();
    var unescape_js_1 = require_unescape();
    var types = /* @__PURE__ */ new Set(["!", "?", "+", "*", "@"]);
    var isExtglobType = (c) => types.has(c);
    var startNoTraversal = "(?!(?:^|/)\\.\\.?(?:$|/))";
    var startNoDot = "(?!\\.)";
    var addPatternStart = /* @__PURE__ */ new Set(["[", "."]);
    var justDots = /* @__PURE__ */ new Set(["..", "."]);
    var reSpecials = new Set("().*{}+?[]^$\\!");
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var qmark = "[^/]";
    var star = qmark + "*?";
    var starNoEmpty = qmark + "+?";
    var AST = class _AST {
      type;
      #root;
      #hasMagic;
      #uflag = false;
      #parts = [];
      #parent;
      #parentIndex;
      #negs;
      #filledNegs = false;
      #options;
      #toString;
      // set to true if it's an extglob with no children
      // (which really means one child of '')
      #emptyExt = false;
      constructor(type, parent, options = {}) {
        this.type = type;
        if (type)
          this.#hasMagic = true;
        this.#parent = parent;
        this.#root = this.#parent ? this.#parent.#root : this;
        this.#options = this.#root === this ? options : this.#root.#options;
        this.#negs = this.#root === this ? [] : this.#root.#negs;
        if (type === "!" && !this.#root.#filledNegs)
          this.#negs.push(this);
        this.#parentIndex = this.#parent ? this.#parent.#parts.length : 0;
      }
      get hasMagic() {
        if (this.#hasMagic !== void 0)
          return this.#hasMagic;
        for (const p of this.#parts) {
          if (typeof p === "string")
            continue;
          if (p.type || p.hasMagic)
            return this.#hasMagic = true;
        }
        return this.#hasMagic;
      }
      // reconstructs the pattern
      toString() {
        if (this.#toString !== void 0)
          return this.#toString;
        if (!this.type) {
          return this.#toString = this.#parts.map((p) => String(p)).join("");
        } else {
          return this.#toString = this.type + "(" + this.#parts.map((p) => String(p)).join("|") + ")";
        }
      }
      #fillNegs() {
        if (this !== this.#root)
          throw new Error("should only call on root");
        if (this.#filledNegs)
          return this;
        this.toString();
        this.#filledNegs = true;
        let n;
        while (n = this.#negs.pop()) {
          if (n.type !== "!")
            continue;
          let p = n;
          let pp = p.#parent;
          while (pp) {
            for (let i = p.#parentIndex + 1; !pp.type && i < pp.#parts.length; i++) {
              for (const part of n.#parts) {
                if (typeof part === "string") {
                  throw new Error("string part in extglob AST??");
                }
                part.copyIn(pp.#parts[i]);
              }
            }
            p = pp;
            pp = p.#parent;
          }
        }
        return this;
      }
      push(...parts) {
        for (const p of parts) {
          if (p === "")
            continue;
          if (typeof p !== "string" && !(p instanceof _AST && p.#parent === this)) {
            throw new Error("invalid part: " + p);
          }
          this.#parts.push(p);
        }
      }
      toJSON() {
        const ret = this.type === null ? this.#parts.slice().map((p) => typeof p === "string" ? p : p.toJSON()) : [this.type, ...this.#parts.map((p) => p.toJSON())];
        if (this.isStart() && !this.type)
          ret.unshift([]);
        if (this.isEnd() && (this === this.#root || this.#root.#filledNegs && this.#parent?.type === "!")) {
          ret.push({});
        }
        return ret;
      }
      isStart() {
        if (this.#root === this)
          return true;
        if (!this.#parent?.isStart())
          return false;
        if (this.#parentIndex === 0)
          return true;
        const p = this.#parent;
        for (let i = 0; i < this.#parentIndex; i++) {
          const pp = p.#parts[i];
          if (!(pp instanceof _AST && pp.type === "!")) {
            return false;
          }
        }
        return true;
      }
      isEnd() {
        if (this.#root === this)
          return true;
        if (this.#parent?.type === "!")
          return true;
        if (!this.#parent?.isEnd())
          return false;
        if (!this.type)
          return this.#parent?.isEnd();
        const pl = this.#parent ? this.#parent.#parts.length : 0;
        return this.#parentIndex === pl - 1;
      }
      copyIn(part) {
        if (typeof part === "string")
          this.push(part);
        else
          this.push(part.clone(this));
      }
      clone(parent) {
        const c = new _AST(this.type, parent);
        for (const p of this.#parts) {
          c.copyIn(p);
        }
        return c;
      }
      static #parseAST(str, ast, pos, opt) {
        let escaping = false;
        let inBrace = false;
        let braceStart = -1;
        let braceNeg = false;
        if (ast.type === null) {
          let i2 = pos;
          let acc2 = "";
          while (i2 < str.length) {
            const c = str.charAt(i2++);
            if (escaping || c === "\\") {
              escaping = !escaping;
              acc2 += c;
              continue;
            }
            if (inBrace) {
              if (i2 === braceStart + 1) {
                if (c === "^" || c === "!") {
                  braceNeg = true;
                }
              } else if (c === "]" && !(i2 === braceStart + 2 && braceNeg)) {
                inBrace = false;
              }
              acc2 += c;
              continue;
            } else if (c === "[") {
              inBrace = true;
              braceStart = i2;
              braceNeg = false;
              acc2 += c;
              continue;
            }
            if (!opt.noext && isExtglobType(c) && str.charAt(i2) === "(") {
              ast.push(acc2);
              acc2 = "";
              const ext = new _AST(c, ast);
              i2 = _AST.#parseAST(str, ext, i2, opt);
              ast.push(ext);
              continue;
            }
            acc2 += c;
          }
          ast.push(acc2);
          return i2;
        }
        let i = pos + 1;
        let part = new _AST(null, ast);
        const parts = [];
        let acc = "";
        while (i < str.length) {
          const c = str.charAt(i++);
          if (escaping || c === "\\") {
            escaping = !escaping;
            acc += c;
            continue;
          }
          if (inBrace) {
            if (i === braceStart + 1) {
              if (c === "^" || c === "!") {
                braceNeg = true;
              }
            } else if (c === "]" && !(i === braceStart + 2 && braceNeg)) {
              inBrace = false;
            }
            acc += c;
            continue;
          } else if (c === "[") {
            inBrace = true;
            braceStart = i;
            braceNeg = false;
            acc += c;
            continue;
          }
          if (isExtglobType(c) && str.charAt(i) === "(") {
            part.push(acc);
            acc = "";
            const ext = new _AST(c, part);
            part.push(ext);
            i = _AST.#parseAST(str, ext, i, opt);
            continue;
          }
          if (c === "|") {
            part.push(acc);
            acc = "";
            parts.push(part);
            part = new _AST(null, ast);
            continue;
          }
          if (c === ")") {
            if (acc === "" && ast.#parts.length === 0) {
              ast.#emptyExt = true;
            }
            part.push(acc);
            acc = "";
            ast.push(...parts, part);
            return i;
          }
          acc += c;
        }
        ast.type = null;
        ast.#hasMagic = void 0;
        ast.#parts = [str.substring(pos - 1)];
        return i;
      }
      static fromGlob(pattern, options = {}) {
        const ast = new _AST(null, void 0, options);
        _AST.#parseAST(pattern, ast, 0, options);
        return ast;
      }
      // returns the regular expression if there's magic, or the unescaped
      // string if not.
      toMMPattern() {
        if (this !== this.#root)
          return this.#root.toMMPattern();
        const glob = this.toString();
        const [re, body, hasMagic, uflag] = this.toRegExpSource();
        const anyMagic = hasMagic || this.#hasMagic || this.#options.nocase && !this.#options.nocaseMagicOnly && glob.toUpperCase() !== glob.toLowerCase();
        if (!anyMagic) {
          return body;
        }
        const flags = (this.#options.nocase ? "i" : "") + (uflag ? "u" : "");
        return Object.assign(new RegExp(`^${re}$`, flags), {
          _src: re,
          _glob: glob
        });
      }
      // returns the string match, the regexp source, whether there's magic
      // in the regexp (so a regular expression is required) and whether or
      // not the uflag is needed for the regular expression (for posix classes)
      // TODO: instead of injecting the start/end at this point, just return
      // the BODY of the regexp, along with the start/end portions suitable
      // for binding the start/end in either a joined full-path makeRe context
      // (where we bind to (^|/), or a standalone matchPart context (where
      // we bind to ^, and not /).  Otherwise slashes get duped!
      //
      // In part-matching mode, the start is:
      // - if not isStart: nothing
      // - if traversal possible, but not allowed: ^(?!\.\.?$)
      // - if dots allowed or not possible: ^
      // - if dots possible and not allowed: ^(?!\.)
      // end is:
      // - if not isEnd(): nothing
      // - else: $
      //
      // In full-path matching mode, we put the slash at the START of the
      // pattern, so start is:
      // - if first pattern: same as part-matching mode
      // - if not isStart(): nothing
      // - if traversal possible, but not allowed: /(?!\.\.?(?:$|/))
      // - if dots allowed or not possible: /
      // - if dots possible and not allowed: /(?!\.)
      // end is:
      // - if last pattern, same as part-matching mode
      // - else nothing
      //
      // Always put the (?:$|/) on negated tails, though, because that has to be
      // there to bind the end of the negated pattern portion, and it's easier to
      // just stick it in now rather than try to inject it later in the middle of
      // the pattern.
      //
      // We can just always return the same end, and leave it up to the caller
      // to know whether it's going to be used joined or in parts.
      // And, if the start is adjusted slightly, can do the same there:
      // - if not isStart: nothing
      // - if traversal possible, but not allowed: (?:/|^)(?!\.\.?$)
      // - if dots allowed or not possible: (?:/|^)
      // - if dots possible and not allowed: (?:/|^)(?!\.)
      //
      // But it's better to have a simpler binding without a conditional, for
      // performance, so probably better to return both start options.
      //
      // Then the caller just ignores the end if it's not the first pattern,
      // and the start always gets applied.
      //
      // But that's always going to be $ if it's the ending pattern, or nothing,
      // so the caller can just attach $ at the end of the pattern when building.
      //
      // So the todo is:
      // - better detect what kind of start is needed
      // - return both flavors of starting pattern
      // - attach $ at the end of the pattern when creating the actual RegExp
      //
      // Ah, but wait, no, that all only applies to the root when the first pattern
      // is not an extglob. If the first pattern IS an extglob, then we need all
      // that dot prevention biz to live in the extglob portions, because eg
      // +(*|.x*) can match .xy but not .yx.
      //
      // So, return the two flavors if it's #root and the first child is not an
      // AST, otherwise leave it to the child AST to handle it, and there,
      // use the (?:^|/) style of start binding.
      //
      // Even simplified further:
      // - Since the start for a join is eg /(?!\.) and the start for a part
      // is ^(?!\.), we can just prepend (?!\.) to the pattern (either root
      // or start or whatever) and prepend ^ or / at the Regexp construction.
      toRegExpSource(allowDot) {
        const dot = allowDot ?? !!this.#options.dot;
        if (this.#root === this)
          this.#fillNegs();
        if (!this.type) {
          const noEmpty = this.isStart() && this.isEnd();
          const src = this.#parts.map((p) => {
            const [re, _, hasMagic, uflag] = typeof p === "string" ? _AST.#parseGlob(p, this.#hasMagic, noEmpty) : p.toRegExpSource(allowDot);
            this.#hasMagic = this.#hasMagic || hasMagic;
            this.#uflag = this.#uflag || uflag;
            return re;
          }).join("");
          let start2 = "";
          if (this.isStart()) {
            if (typeof this.#parts[0] === "string") {
              const dotTravAllowed = this.#parts.length === 1 && justDots.has(this.#parts[0]);
              if (!dotTravAllowed) {
                const aps = addPatternStart;
                const needNoTrav = (
                  // dots are allowed, and the pattern starts with [ or .
                  dot && aps.has(src.charAt(0)) || // the pattern starts with \., and then [ or .
                  src.startsWith("\\.") && aps.has(src.charAt(2)) || // the pattern starts with \.\., and then [ or .
                  src.startsWith("\\.\\.") && aps.has(src.charAt(4))
                );
                const needNoDot = !dot && !allowDot && aps.has(src.charAt(0));
                start2 = needNoTrav ? startNoTraversal : needNoDot ? startNoDot : "";
              }
            }
          }
          let end = "";
          if (this.isEnd() && this.#root.#filledNegs && this.#parent?.type === "!") {
            end = "(?:$|\\/)";
          }
          const final2 = start2 + src + end;
          return [
            final2,
            (0, unescape_js_1.unescape)(src),
            this.#hasMagic = !!this.#hasMagic,
            this.#uflag
          ];
        }
        const repeated = this.type === "*" || this.type === "+";
        const start = this.type === "!" ? "(?:(?!(?:" : "(?:";
        let body = this.#partsToRegExp(dot);
        if (this.isStart() && this.isEnd() && !body && this.type !== "!") {
          const s = this.toString();
          this.#parts = [s];
          this.type = null;
          this.#hasMagic = void 0;
          return [s, (0, unescape_js_1.unescape)(this.toString()), false, false];
        }
        let bodyDotAllowed = !repeated || allowDot || dot || !startNoDot ? "" : this.#partsToRegExp(true);
        if (bodyDotAllowed === body) {
          bodyDotAllowed = "";
        }
        if (bodyDotAllowed) {
          body = `(?:${body})(?:${bodyDotAllowed})*?`;
        }
        let final = "";
        if (this.type === "!" && this.#emptyExt) {
          final = (this.isStart() && !dot ? startNoDot : "") + starNoEmpty;
        } else {
          const close = this.type === "!" ? (
            // !() must match something,but !(x) can match ''
            "))" + (this.isStart() && !dot && !allowDot ? startNoDot : "") + star + ")"
          ) : this.type === "@" ? ")" : this.type === "?" ? ")?" : this.type === "+" && bodyDotAllowed ? ")" : this.type === "*" && bodyDotAllowed ? `)?` : `)${this.type}`;
          final = start + body + close;
        }
        return [
          final,
          (0, unescape_js_1.unescape)(body),
          this.#hasMagic = !!this.#hasMagic,
          this.#uflag
        ];
      }
      #partsToRegExp(dot) {
        return this.#parts.map((p) => {
          if (typeof p === "string") {
            throw new Error("string type in extglob ast??");
          }
          const [re, _, _hasMagic, uflag] = p.toRegExpSource(dot);
          this.#uflag = this.#uflag || uflag;
          return re;
        }).filter((p) => !(this.isStart() && this.isEnd()) || !!p).join("|");
      }
      static #parseGlob(glob, hasMagic, noEmpty = false) {
        let escaping = false;
        let re = "";
        let uflag = false;
        for (let i = 0; i < glob.length; i++) {
          const c = glob.charAt(i);
          if (escaping) {
            escaping = false;
            re += (reSpecials.has(c) ? "\\" : "") + c;
            continue;
          }
          if (c === "\\") {
            if (i === glob.length - 1) {
              re += "\\\\";
            } else {
              escaping = true;
            }
            continue;
          }
          if (c === "[") {
            const [src, needUflag, consumed, magic] = (0, brace_expressions_js_1.parseClass)(glob, i);
            if (consumed) {
              re += src;
              uflag = uflag || needUflag;
              i += consumed - 1;
              hasMagic = hasMagic || magic;
              continue;
            }
          }
          if (c === "*") {
            if (noEmpty && glob === "*")
              re += starNoEmpty;
            else
              re += star;
            hasMagic = true;
            continue;
          }
          if (c === "?") {
            re += qmark;
            hasMagic = true;
            continue;
          }
          re += regExpEscape(c);
        }
        return [re, (0, unescape_js_1.unescape)(glob), !!hasMagic, uflag];
      }
    };
    exports2.AST = AST;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/escape.js
var require_escape = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/escape.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.escape = void 0;
    var escape = (s, { windowsPathsNoEscape = false } = {}) => {
      return windowsPathsNoEscape ? s.replace(/[?*()[\]]/g, "[$&]") : s.replace(/[?*()[\]\\]/g, "\\$&");
    };
    exports2.escape = escape;
  }
});

// ../../components/source-repositories/node_modules/minimatch/dist/cjs/index.js
var require_cjs = __commonJS({
  "../../components/source-repositories/node_modules/minimatch/dist/cjs/index.js"(exports2) {
    "use strict";
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.unescape = exports2.escape = exports2.AST = exports2.Minimatch = exports2.match = exports2.makeRe = exports2.braceExpand = exports2.defaults = exports2.filter = exports2.GLOBSTAR = exports2.sep = exports2.minimatch = void 0;
    var brace_expansion_1 = __importDefault(require_brace_expansion2());
    var assert_valid_pattern_js_1 = require_assert_valid_pattern();
    var ast_js_1 = require_ast();
    var escape_js_1 = require_escape();
    var unescape_js_1 = require_unescape();
    var minimatch = (p, pattern, options = {}) => {
      (0, assert_valid_pattern_js_1.assertValidPattern)(pattern);
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    };
    exports2.minimatch = minimatch;
    var starDotExtRE = /^\*+([^+@!?\*\[\(]*)$/;
    var starDotExtTest = (ext2) => (f) => !f.startsWith(".") && f.endsWith(ext2);
    var starDotExtTestDot = (ext2) => (f) => f.endsWith(ext2);
    var starDotExtTestNocase = (ext2) => {
      ext2 = ext2.toLowerCase();
      return (f) => !f.startsWith(".") && f.toLowerCase().endsWith(ext2);
    };
    var starDotExtTestNocaseDot = (ext2) => {
      ext2 = ext2.toLowerCase();
      return (f) => f.toLowerCase().endsWith(ext2);
    };
    var starDotStarRE = /^\*+\.\*+$/;
    var starDotStarTest = (f) => !f.startsWith(".") && f.includes(".");
    var starDotStarTestDot = (f) => f !== "." && f !== ".." && f.includes(".");
    var dotStarRE = /^\.\*+$/;
    var dotStarTest = (f) => f !== "." && f !== ".." && f.startsWith(".");
    var starRE = /^\*+$/;
    var starTest = (f) => f.length !== 0 && !f.startsWith(".");
    var starTestDot = (f) => f.length !== 0 && f !== "." && f !== "..";
    var qmarksRE = /^\?+([^+@!?\*\[\(]*)?$/;
    var qmarksTestNocase = ([$0, ext2 = ""]) => {
      const noext = qmarksTestNoExt([$0]);
      if (!ext2)
        return noext;
      ext2 = ext2.toLowerCase();
      return (f) => noext(f) && f.toLowerCase().endsWith(ext2);
    };
    var qmarksTestNocaseDot = ([$0, ext2 = ""]) => {
      const noext = qmarksTestNoExtDot([$0]);
      if (!ext2)
        return noext;
      ext2 = ext2.toLowerCase();
      return (f) => noext(f) && f.toLowerCase().endsWith(ext2);
    };
    var qmarksTestDot = ([$0, ext2 = ""]) => {
      const noext = qmarksTestNoExtDot([$0]);
      return !ext2 ? noext : (f) => noext(f) && f.endsWith(ext2);
    };
    var qmarksTest = ([$0, ext2 = ""]) => {
      const noext = qmarksTestNoExt([$0]);
      return !ext2 ? noext : (f) => noext(f) && f.endsWith(ext2);
    };
    var qmarksTestNoExt = ([$0]) => {
      const len = $0.length;
      return (f) => f.length === len && !f.startsWith(".");
    };
    var qmarksTestNoExtDot = ([$0]) => {
      const len = $0.length;
      return (f) => f.length === len && f !== "." && f !== "..";
    };
    var defaultPlatform = typeof process === "object" && process ? typeof process.env === "object" && process.env && process.env.__MINIMATCH_TESTING_PLATFORM__ || process.platform : "posix";
    var path = {
      win32: { sep: "\\" },
      posix: { sep: "/" }
    };
    exports2.sep = defaultPlatform === "win32" ? path.win32.sep : path.posix.sep;
    exports2.minimatch.sep = exports2.sep;
    exports2.GLOBSTAR = Symbol("globstar **");
    exports2.minimatch.GLOBSTAR = exports2.GLOBSTAR;
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var filter = (pattern, options = {}) => (p) => (0, exports2.minimatch)(p, pattern, options);
    exports2.filter = filter;
    exports2.minimatch.filter = exports2.filter;
    var ext = (a, b = {}) => Object.assign({}, a, b);
    var defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return exports2.minimatch;
      }
      const orig = exports2.minimatch;
      const m = (p, pattern, options = {}) => orig(p, pattern, ext(def, options));
      return Object.assign(m, {
        Minimatch: class Minimatch extends orig.Minimatch {
          constructor(pattern, options = {}) {
            super(pattern, ext(def, options));
          }
          static defaults(options) {
            return orig.defaults(ext(def, options)).Minimatch;
          }
        },
        AST: class AST extends orig.AST {
          /* c8 ignore start */
          constructor(type, parent, options = {}) {
            super(type, parent, ext(def, options));
          }
          /* c8 ignore stop */
          static fromGlob(pattern, options = {}) {
            return orig.AST.fromGlob(pattern, ext(def, options));
          }
        },
        unescape: (s, options = {}) => orig.unescape(s, ext(def, options)),
        escape: (s, options = {}) => orig.escape(s, ext(def, options)),
        filter: (pattern, options = {}) => orig.filter(pattern, ext(def, options)),
        defaults: (options) => orig.defaults(ext(def, options)),
        makeRe: (pattern, options = {}) => orig.makeRe(pattern, ext(def, options)),
        braceExpand: (pattern, options = {}) => orig.braceExpand(pattern, ext(def, options)),
        match: (list, pattern, options = {}) => orig.match(list, pattern, ext(def, options)),
        sep: orig.sep,
        GLOBSTAR: exports2.GLOBSTAR
      });
    };
    exports2.defaults = defaults;
    exports2.minimatch.defaults = exports2.defaults;
    var braceExpand = (pattern, options = {}) => {
      (0, assert_valid_pattern_js_1.assertValidPattern)(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return (0, brace_expansion_1.default)(pattern);
    };
    exports2.braceExpand = braceExpand;
    exports2.minimatch.braceExpand = exports2.braceExpand;
    var makeRe = (pattern, options = {}) => new Minimatch(pattern, options).makeRe();
    exports2.makeRe = makeRe;
    exports2.minimatch.makeRe = exports2.makeRe;
    var match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options);
      list = list.filter((f) => mm.match(f));
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    exports2.match = match;
    exports2.minimatch.match = exports2.match;
    var globMagic = /[?*]|[+@!]\(.*?\)|\[|\]/;
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var Minimatch = class {
      options;
      set;
      pattern;
      windowsPathsNoEscape;
      nonegate;
      negate;
      comment;
      empty;
      preserveMultipleSlashes;
      partial;
      globSet;
      globParts;
      nocase;
      isWindows;
      platform;
      windowsNoMagicRoot;
      regexp;
      constructor(pattern, options = {}) {
        (0, assert_valid_pattern_js_1.assertValidPattern)(pattern);
        options = options || {};
        this.options = options;
        this.pattern = pattern;
        this.platform = options.platform || defaultPlatform;
        this.isWindows = this.platform === "win32";
        this.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.preserveMultipleSlashes = !!options.preserveMultipleSlashes;
        this.regexp = null;
        this.negate = false;
        this.nonegate = !!options.nonegate;
        this.comment = false;
        this.empty = false;
        this.partial = !!options.partial;
        this.nocase = !!this.options.nocase;
        this.windowsNoMagicRoot = options.windowsNoMagicRoot !== void 0 ? options.windowsNoMagicRoot : !!(this.isWindows && this.nocase);
        this.globSet = [];
        this.globParts = [];
        this.set = [];
        this.make();
      }
      hasMagic() {
        if (this.options.magicalBraces && this.set.length > 1) {
          return true;
        }
        for (const pattern of this.set) {
          for (const part of pattern) {
            if (typeof part !== "string")
              return true;
          }
        }
        return false;
      }
      debug(..._) {
      }
      make() {
        const pattern = this.pattern;
        const options = this.options;
        if (!options.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        this.globSet = [...new Set(this.braceExpand())];
        if (options.debug) {
          this.debug = (...args) => console.error(...args);
        }
        this.debug(this.pattern, this.globSet);
        const rawGlobParts = this.globSet.map((s) => this.slashSplit(s));
        this.globParts = this.preprocess(rawGlobParts);
        this.debug(this.pattern, this.globParts);
        let set = this.globParts.map((s, _, __) => {
          if (this.isWindows && this.windowsNoMagicRoot) {
            const isUNC = s[0] === "" && s[1] === "" && (s[2] === "?" || !globMagic.test(s[2])) && !globMagic.test(s[3]);
            const isDrive = /^[a-z]:/i.test(s[0]);
            if (isUNC) {
              return [...s.slice(0, 4), ...s.slice(4).map((ss) => this.parse(ss))];
            } else if (isDrive) {
              return [s[0], ...s.slice(1).map((ss) => this.parse(ss))];
            }
          }
          return s.map((ss) => this.parse(ss));
        });
        this.debug(this.pattern, set);
        this.set = set.filter((s) => s.indexOf(false) === -1);
        if (this.isWindows) {
          for (let i = 0; i < this.set.length; i++) {
            const p = this.set[i];
            if (p[0] === "" && p[1] === "" && this.globParts[i][2] === "?" && typeof p[3] === "string" && /^[a-z]:$/i.test(p[3])) {
              p[2] = "?";
            }
          }
        }
        this.debug(this.pattern, this.set);
      }
      // various transforms to equivalent pattern sets that are
      // faster to process in a filesystem walk.  The goal is to
      // eliminate what we can, and push all ** patterns as far
      // to the right as possible, even if it increases the number
      // of patterns that we have to process.
      preprocess(globParts) {
        if (this.options.noglobstar) {
          for (let i = 0; i < globParts.length; i++) {
            for (let j = 0; j < globParts[i].length; j++) {
              if (globParts[i][j] === "**") {
                globParts[i][j] = "*";
              }
            }
          }
        }
        const { optimizationLevel = 1 } = this.options;
        if (optimizationLevel >= 2) {
          globParts = this.firstPhasePreProcess(globParts);
          globParts = this.secondPhasePreProcess(globParts);
        } else if (optimizationLevel >= 1) {
          globParts = this.levelOneOptimize(globParts);
        } else {
          globParts = this.adjascentGlobstarOptimize(globParts);
        }
        return globParts;
      }
      // just get rid of adjascent ** portions
      adjascentGlobstarOptimize(globParts) {
        return globParts.map((parts) => {
          let gs = -1;
          while (-1 !== (gs = parts.indexOf("**", gs + 1))) {
            let i = gs;
            while (parts[i + 1] === "**") {
              i++;
            }
            if (i !== gs) {
              parts.splice(gs, i - gs);
            }
          }
          return parts;
        });
      }
      // get rid of adjascent ** and resolve .. portions
      levelOneOptimize(globParts) {
        return globParts.map((parts) => {
          parts = parts.reduce((set, part) => {
            const prev = set[set.length - 1];
            if (part === "**" && prev === "**") {
              return set;
            }
            if (part === "..") {
              if (prev && prev !== ".." && prev !== "." && prev !== "**") {
                set.pop();
                return set;
              }
            }
            set.push(part);
            return set;
          }, []);
          return parts.length === 0 ? [""] : parts;
        });
      }
      levelTwoFileOptimize(parts) {
        if (!Array.isArray(parts)) {
          parts = this.slashSplit(parts);
        }
        let didSomething = false;
        do {
          didSomething = false;
          if (!this.preserveMultipleSlashes) {
            for (let i = 1; i < parts.length - 1; i++) {
              const p = parts[i];
              if (i === 1 && p === "" && parts[0] === "")
                continue;
              if (p === "." || p === "") {
                didSomething = true;
                parts.splice(i, 1);
                i--;
              }
            }
            if (parts[0] === "." && parts.length === 2 && (parts[1] === "." || parts[1] === "")) {
              didSomething = true;
              parts.pop();
            }
          }
          let dd = 0;
          while (-1 !== (dd = parts.indexOf("..", dd + 1))) {
            const p = parts[dd - 1];
            if (p && p !== "." && p !== ".." && p !== "**") {
              didSomething = true;
              parts.splice(dd - 1, 2);
              dd -= 2;
            }
          }
        } while (didSomething);
        return parts.length === 0 ? [""] : parts;
      }
      // First phase: single-pattern processing
      // <pre> is 1 or more portions
      // <rest> is 1 or more portions
      // <p> is any portion other than ., .., '', or **
      // <e> is . or ''
      //
      // **/.. is *brutal* for filesystem walking performance, because
      // it effectively resets the recursive walk each time it occurs,
      // and ** cannot be reduced out by a .. pattern part like a regexp
      // or most strings (other than .., ., and '') can be.
      //
      // <pre>/**/../<p>/<p>/<rest> -> {<pre>/../<p>/<p>/<rest>,<pre>/**/<p>/<p>/<rest>}
      // <pre>/<e>/<rest> -> <pre>/<rest>
      // <pre>/<p>/../<rest> -> <pre>/<rest>
      // **/**/<rest> -> **/<rest>
      //
      // **/*/<rest> -> */**/<rest> <== not valid because ** doesn't follow
      // this WOULD be allowed if ** did follow symlinks, or * didn't
      firstPhasePreProcess(globParts) {
        let didSomething = false;
        do {
          didSomething = false;
          for (let parts of globParts) {
            let gs = -1;
            while (-1 !== (gs = parts.indexOf("**", gs + 1))) {
              let gss = gs;
              while (parts[gss + 1] === "**") {
                gss++;
              }
              if (gss > gs) {
                parts.splice(gs + 1, gss - gs);
              }
              let next = parts[gs + 1];
              const p = parts[gs + 2];
              const p2 = parts[gs + 3];
              if (next !== "..")
                continue;
              if (!p || p === "." || p === ".." || !p2 || p2 === "." || p2 === "..") {
                continue;
              }
              didSomething = true;
              parts.splice(gs, 1);
              const other = parts.slice(0);
              other[gs] = "**";
              globParts.push(other);
              gs--;
            }
            if (!this.preserveMultipleSlashes) {
              for (let i = 1; i < parts.length - 1; i++) {
                const p = parts[i];
                if (i === 1 && p === "" && parts[0] === "")
                  continue;
                if (p === "." || p === "") {
                  didSomething = true;
                  parts.splice(i, 1);
                  i--;
                }
              }
              if (parts[0] === "." && parts.length === 2 && (parts[1] === "." || parts[1] === "")) {
                didSomething = true;
                parts.pop();
              }
            }
            let dd = 0;
            while (-1 !== (dd = parts.indexOf("..", dd + 1))) {
              const p = parts[dd - 1];
              if (p && p !== "." && p !== ".." && p !== "**") {
                didSomething = true;
                const needDot = dd === 1 && parts[dd + 1] === "**";
                const splin = needDot ? ["."] : [];
                parts.splice(dd - 1, 2, ...splin);
                if (parts.length === 0)
                  parts.push("");
                dd -= 2;
              }
            }
          }
        } while (didSomething);
        return globParts;
      }
      // second phase: multi-pattern dedupes
      // {<pre>/*/<rest>,<pre>/<p>/<rest>} -> <pre>/*/<rest>
      // {<pre>/<rest>,<pre>/<rest>} -> <pre>/<rest>
      // {<pre>/**/<rest>,<pre>/<rest>} -> <pre>/**/<rest>
      //
      // {<pre>/**/<rest>,<pre>/**/<p>/<rest>} -> <pre>/**/<rest>
      // ^-- not valid because ** doens't follow symlinks
      secondPhasePreProcess(globParts) {
        for (let i = 0; i < globParts.length - 1; i++) {
          for (let j = i + 1; j < globParts.length; j++) {
            const matched = this.partsMatch(globParts[i], globParts[j], !this.preserveMultipleSlashes);
            if (!matched)
              continue;
            globParts[i] = matched;
            globParts[j] = [];
          }
        }
        return globParts.filter((gs) => gs.length);
      }
      partsMatch(a, b, emptyGSMatch = false) {
        let ai = 0;
        let bi = 0;
        let result = [];
        let which = "";
        while (ai < a.length && bi < b.length) {
          if (a[ai] === b[bi]) {
            result.push(which === "b" ? b[bi] : a[ai]);
            ai++;
            bi++;
          } else if (emptyGSMatch && a[ai] === "**" && b[bi] === a[ai + 1]) {
            result.push(a[ai]);
            ai++;
          } else if (emptyGSMatch && b[bi] === "**" && a[ai] === b[bi + 1]) {
            result.push(b[bi]);
            bi++;
          } else if (a[ai] === "*" && b[bi] && (this.options.dot || !b[bi].startsWith(".")) && b[bi] !== "**") {
            if (which === "b")
              return false;
            which = "a";
            result.push(a[ai]);
            ai++;
            bi++;
          } else if (b[bi] === "*" && a[ai] && (this.options.dot || !a[ai].startsWith(".")) && a[ai] !== "**") {
            if (which === "a")
              return false;
            which = "b";
            result.push(b[bi]);
            ai++;
            bi++;
          } else {
            return false;
          }
        }
        return a.length === b.length && result;
      }
      parseNegate() {
        if (this.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i = 0; i < pattern.length && pattern.charAt(i) === "!"; i++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial = false) {
        const options = this.options;
        if (this.isWindows) {
          const fileDrive = typeof file[0] === "string" && /^[a-z]:$/i.test(file[0]);
          const fileUNC = !fileDrive && file[0] === "" && file[1] === "" && file[2] === "?" && /^[a-z]:$/i.test(file[3]);
          const patternDrive = typeof pattern[0] === "string" && /^[a-z]:$/i.test(pattern[0]);
          const patternUNC = !patternDrive && pattern[0] === "" && pattern[1] === "" && pattern[2] === "?" && typeof pattern[3] === "string" && /^[a-z]:$/i.test(pattern[3]);
          const fdi = fileUNC ? 3 : fileDrive ? 0 : void 0;
          const pdi = patternUNC ? 3 : patternDrive ? 0 : void 0;
          if (typeof fdi === "number" && typeof pdi === "number") {
            const [fd, pd] = [file[fdi], pattern[pdi]];
            if (fd.toLowerCase() === pd.toLowerCase()) {
              pattern[pdi] = fd;
              if (pdi > fdi) {
                pattern = pattern.slice(pdi);
              } else if (fdi > pdi) {
                file = file.slice(fdi);
              }
            }
          }
        }
        const { optimizationLevel = 1 } = this.options;
        if (optimizationLevel >= 2) {
          file = this.levelTwoFileOptimize(file);
        }
        this.debug("matchOne", this, { file, pattern });
        this.debug("matchOne", file.length, pattern.length);
        for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
          this.debug("matchOne loop");
          var p = pattern[pi];
          var f = file[fi];
          this.debug(pattern, p, f);
          if (p === false) {
            return false;
          }
          if (p === exports2.GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p, f]);
            var fr = fi;
            var pr = pi + 1;
            if (pr === pl) {
              this.debug("** at the end");
              for (; fi < fl; fi++) {
                if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr < fl) {
              var swallowee = file[fr];
              this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug("globstar found match!", fr, fl, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file, fr, pattern, pr);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
              if (fr === fl) {
                return true;
              }
            }
            return false;
          }
          let hit;
          if (typeof p === "string") {
            hit = f === p;
            this.debug("string match", p, f, hit);
          } else {
            hit = p.test(f);
            this.debug("pattern match", p, f, hit);
          }
          if (!hit)
            return false;
        }
        if (fi === fl && pi === pl) {
          return true;
        } else if (fi === fl) {
          return partial;
        } else if (pi === pl) {
          return fi === fl - 1 && file[fi] === "";
        } else {
          throw new Error("wtf?");
        }
      }
      braceExpand() {
        return (0, exports2.braceExpand)(this.pattern, this.options);
      }
      parse(pattern) {
        (0, assert_valid_pattern_js_1.assertValidPattern)(pattern);
        const options = this.options;
        if (pattern === "**")
          return exports2.GLOBSTAR;
        if (pattern === "")
          return "";
        let m;
        let fastTest = null;
        if (m = pattern.match(starRE)) {
          fastTest = options.dot ? starTestDot : starTest;
        } else if (m = pattern.match(starDotExtRE)) {
          fastTest = (options.nocase ? options.dot ? starDotExtTestNocaseDot : starDotExtTestNocase : options.dot ? starDotExtTestDot : starDotExtTest)(m[1]);
        } else if (m = pattern.match(qmarksRE)) {
          fastTest = (options.nocase ? options.dot ? qmarksTestNocaseDot : qmarksTestNocase : options.dot ? qmarksTestDot : qmarksTest)(m);
        } else if (m = pattern.match(starDotStarRE)) {
          fastTest = options.dot ? starDotStarTestDot : starDotStarTest;
        } else if (m = pattern.match(dotStarRE)) {
          fastTest = dotStarTest;
        }
        const re = ast_js_1.AST.fromGlob(pattern, this.options).toMMPattern();
        return fastTest ? Object.assign(re, { test: fastTest }) : re;
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options = this.options;
        const twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
        const flags = new Set(options.nocase ? ["i"] : []);
        let re = set.map((pattern) => {
          const pp = pattern.map((p) => {
            if (p instanceof RegExp) {
              for (const f of p.flags.split(""))
                flags.add(f);
            }
            return typeof p === "string" ? regExpEscape(p) : p === exports2.GLOBSTAR ? exports2.GLOBSTAR : p._src;
          });
          pp.forEach((p, i) => {
            const next = pp[i + 1];
            const prev = pp[i - 1];
            if (p !== exports2.GLOBSTAR || prev === exports2.GLOBSTAR) {
              return;
            }
            if (prev === void 0) {
              if (next !== void 0 && next !== exports2.GLOBSTAR) {
                pp[i + 1] = "(?:\\/|" + twoStar + "\\/)?" + next;
              } else {
                pp[i] = twoStar;
              }
            } else if (next === void 0) {
              pp[i - 1] = prev + "(?:\\/|" + twoStar + ")?";
            } else if (next !== exports2.GLOBSTAR) {
              pp[i - 1] = prev + "(?:\\/|\\/" + twoStar + "\\/)" + next;
              pp[i + 1] = exports2.GLOBSTAR;
            }
          });
          return pp.filter((p) => p !== exports2.GLOBSTAR).join("/");
        }).join("|");
        const [open, close] = set.length > 1 ? ["(?:", ")"] : ["", ""];
        re = "^" + open + re + close + "$";
        if (this.negate)
          re = "^(?!" + re + ").+$";
        try {
          this.regexp = new RegExp(re, [...flags].join(""));
        } catch (ex) {
          this.regexp = false;
        }
        return this.regexp;
      }
      slashSplit(p) {
        if (this.preserveMultipleSlashes) {
          return p.split("/");
        } else if (this.isWindows && /^\/\/[^\/]+/.test(p)) {
          return ["", ...p.split(/\/+/)];
        } else {
          return p.split(/\/+/);
        }
      }
      match(f, partial = this.partial) {
        this.debug("match", f, this.pattern);
        if (this.comment) {
          return false;
        }
        if (this.empty) {
          return f === "";
        }
        if (f === "/" && partial) {
          return true;
        }
        const options = this.options;
        if (this.isWindows) {
          f = f.split("\\").join("/");
        }
        const ff = this.slashSplit(f);
        this.debug(this.pattern, "split", ff);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename = ff[ff.length - 1];
        if (!filename) {
          for (let i = ff.length - 2; !filename && i >= 0; i--) {
            filename = ff[i];
          }
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i];
          let file = ff;
          if (options.matchBase && pattern.length === 1) {
            file = [filename];
          }
          const hit = this.matchOne(file, pattern, partial);
          if (hit) {
            if (options.flipNegate) {
              return true;
            }
            return !this.negate;
          }
        }
        if (options.flipNegate) {
          return false;
        }
        return this.negate;
      }
      static defaults(def) {
        return exports2.minimatch.defaults(def).Minimatch;
      }
    };
    exports2.Minimatch = Minimatch;
    var ast_js_2 = require_ast();
    Object.defineProperty(exports2, "AST", { enumerable: true, get: function() {
      return ast_js_2.AST;
    } });
    var escape_js_2 = require_escape();
    Object.defineProperty(exports2, "escape", { enumerable: true, get: function() {
      return escape_js_2.escape;
    } });
    var unescape_js_2 = require_unescape();
    Object.defineProperty(exports2, "unescape", { enumerable: true, get: function() {
      return unescape_js_2.unescape;
    } });
    exports2.minimatch.AST = ast_js_1.AST;
    exports2.minimatch.Minimatch = Minimatch;
    exports2.minimatch.escape = escape_js_1.escape;
    exports2.minimatch.unescape = unescape_js_1.unescape;
  }
});

// ../../components/source-repositories/node_modules/path-scurry/node_modules/lru-cache/dist/cjs/index.js
var require_cjs2 = __commonJS({
  "../../components/source-repositories/node_modules/path-scurry/node_modules/lru-cache/dist/cjs/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LRUCache = void 0;
    var perf = typeof performance === "object" && performance && typeof performance.now === "function" ? performance : Date;
    var warned = /* @__PURE__ */ new Set();
    var PROCESS = typeof process === "object" && !!process ? process : {};
    var emitWarning = (msg, type, code, fn) => {
      typeof PROCESS.emitWarning === "function" ? PROCESS.emitWarning(msg, type, code, fn) : console.error(`[${code}] ${type}: ${msg}`);
    };
    var AC = globalThis.AbortController;
    var AS = globalThis.AbortSignal;
    if (typeof AC === "undefined") {
      AS = class AbortSignal {
        onabort;
        _onabort = [];
        reason;
        aborted = false;
        addEventListener(_, fn) {
          this._onabort.push(fn);
        }
      };
      AC = class AbortController {
        constructor() {
          warnACPolyfill();
        }
        signal = new AS();
        abort(reason) {
          if (this.signal.aborted)
            return;
          this.signal.reason = reason;
          this.signal.aborted = true;
          for (const fn of this.signal._onabort) {
            fn(reason);
          }
          this.signal.onabort?.(reason);
        }
      };
      let printACPolyfillWarning = PROCESS.env?.LRU_CACHE_IGNORE_AC_WARNING !== "1";
      const warnACPolyfill = () => {
        if (!printACPolyfillWarning)
          return;
        printACPolyfillWarning = false;
        emitWarning("AbortController is not defined. If using lru-cache in node 14, load an AbortController polyfill from the `node-abort-controller` package. A minimal polyfill is provided for use by LRUCache.fetch(), but it should not be relied upon in other contexts (eg, passing it to other APIs that use AbortController/AbortSignal might have undesirable effects). You may disable this with LRU_CACHE_IGNORE_AC_WARNING=1 in the env.", "NO_ABORT_CONTROLLER", "ENOTSUP", warnACPolyfill);
      };
    }
    var shouldWarn = (code) => !warned.has(code);
    var TYPE = Symbol("type");
    var isPosInt = (n) => n && n === Math.floor(n) && n > 0 && isFinite(n);
    var getUintArray = (max) => !isPosInt(max) ? null : max <= Math.pow(2, 8) ? Uint8Array : max <= Math.pow(2, 16) ? Uint16Array : max <= Math.pow(2, 32) ? Uint32Array : max <= Number.MAX_SAFE_INTEGER ? ZeroArray : null;
    var ZeroArray = class extends Array {
      constructor(size) {
        super(size);
        this.fill(0);
      }
    };
    var Stack = class _Stack {
      heap;
      length;
      // private constructor
      static #constructing = false;
      static create(max) {
        const HeapCls = getUintArray(max);
        if (!HeapCls)
          return [];
        _Stack.#constructing = true;
        const s = new _Stack(max, HeapCls);
        _Stack.#constructing = false;
        return s;
      }
      constructor(max, HeapCls) {
        if (!_Stack.#constructing) {
          throw new TypeError("instantiate Stack using Stack.create(n)");
        }
        this.heap = new HeapCls(max);
        this.length = 0;
      }
      push(n) {
        this.heap[this.length++] = n;
      }
      pop() {
        return this.heap[--this.length];
      }
    };
    var LRUCache = class _LRUCache {
      // properties coming in from the options of these, only max and maxSize
      // really *need* to be protected. The rest can be modified, as they just
      // set defaults for various methods.
      #max;
      #maxSize;
      #dispose;
      #disposeAfter;
      #fetchMethod;
      /**
       * {@link LRUCache.OptionsBase.ttl}
       */
      ttl;
      /**
       * {@link LRUCache.OptionsBase.ttlResolution}
       */
      ttlResolution;
      /**
       * {@link LRUCache.OptionsBase.ttlAutopurge}
       */
      ttlAutopurge;
      /**
       * {@link LRUCache.OptionsBase.updateAgeOnGet}
       */
      updateAgeOnGet;
      /**
       * {@link LRUCache.OptionsBase.updateAgeOnHas}
       */
      updateAgeOnHas;
      /**
       * {@link LRUCache.OptionsBase.allowStale}
       */
      allowStale;
      /**
       * {@link LRUCache.OptionsBase.noDisposeOnSet}
       */
      noDisposeOnSet;
      /**
       * {@link LRUCache.OptionsBase.noUpdateTTL}
       */
      noUpdateTTL;
      /**
       * {@link LRUCache.OptionsBase.maxEntrySize}
       */
      maxEntrySize;
      /**
       * {@link LRUCache.OptionsBase.sizeCalculation}
       */
      sizeCalculation;
      /**
       * {@link LRUCache.OptionsBase.noDeleteOnFetchRejection}
       */
      noDeleteOnFetchRejection;
      /**
       * {@link LRUCache.OptionsBase.noDeleteOnStaleGet}
       */
      noDeleteOnStaleGet;
      /**
       * {@link LRUCache.OptionsBase.allowStaleOnFetchAbort}
       */
      allowStaleOnFetchAbort;
      /**
       * {@link LRUCache.OptionsBase.allowStaleOnFetchRejection}
       */
      allowStaleOnFetchRejection;
      /**
       * {@link LRUCache.OptionsBase.ignoreFetchAbort}
       */
      ignoreFetchAbort;
      // computed properties
      #size;
      #calculatedSize;
      #keyMap;
      #keyList;
      #valList;
      #next;
      #prev;
      #head;
      #tail;
      #free;
      #disposed;
      #sizes;
      #starts;
      #ttls;
      #hasDispose;
      #hasFetchMethod;
      #hasDisposeAfter;
      /**
       * Do not call this method unless you need to inspect the
       * inner workings of the cache.  If anything returned by this
       * object is modified in any way, strange breakage may occur.
       *
       * These fields are private for a reason!
       *
       * @internal
       */
      static unsafeExposeInternals(c) {
        return {
          // properties
          starts: c.#starts,
          ttls: c.#ttls,
          sizes: c.#sizes,
          keyMap: c.#keyMap,
          keyList: c.#keyList,
          valList: c.#valList,
          next: c.#next,
          prev: c.#prev,
          get head() {
            return c.#head;
          },
          get tail() {
            return c.#tail;
          },
          free: c.#free,
          // methods
          isBackgroundFetch: (p) => c.#isBackgroundFetch(p),
          backgroundFetch: (k, index, options, context) => c.#backgroundFetch(k, index, options, context),
          moveToTail: (index) => c.#moveToTail(index),
          indexes: (options) => c.#indexes(options),
          rindexes: (options) => c.#rindexes(options),
          isStale: (index) => c.#isStale(index)
        };
      }
      // Protected read-only members
      /**
       * {@link LRUCache.OptionsBase.max} (read-only)
       */
      get max() {
        return this.#max;
      }
      /**
       * {@link LRUCache.OptionsBase.maxSize} (read-only)
       */
      get maxSize() {
        return this.#maxSize;
      }
      /**
       * The total computed size of items in the cache (read-only)
       */
      get calculatedSize() {
        return this.#calculatedSize;
      }
      /**
       * The number of items stored in the cache (read-only)
       */
      get size() {
        return this.#size;
      }
      /**
       * {@link LRUCache.OptionsBase.fetchMethod} (read-only)
       */
      get fetchMethod() {
        return this.#fetchMethod;
      }
      /**
       * {@link LRUCache.OptionsBase.dispose} (read-only)
       */
      get dispose() {
        return this.#dispose;
      }
      /**
       * {@link LRUCache.OptionsBase.disposeAfter} (read-only)
       */
      get disposeAfter() {
        return this.#disposeAfter;
      }
      constructor(options) {
        const { max = 0, ttl, ttlResolution = 1, ttlAutopurge, updateAgeOnGet, updateAgeOnHas, allowStale, dispose, disposeAfter, noDisposeOnSet, noUpdateTTL, maxSize = 0, maxEntrySize = 0, sizeCalculation, fetchMethod, noDeleteOnFetchRejection, noDeleteOnStaleGet, allowStaleOnFetchRejection, allowStaleOnFetchAbort, ignoreFetchAbort } = options;
        if (max !== 0 && !isPosInt(max)) {
          throw new TypeError("max option must be a nonnegative integer");
        }
        const UintArray = max ? getUintArray(max) : Array;
        if (!UintArray) {
          throw new Error("invalid max value: " + max);
        }
        this.#max = max;
        this.#maxSize = maxSize;
        this.maxEntrySize = maxEntrySize || this.#maxSize;
        this.sizeCalculation = sizeCalculation;
        if (this.sizeCalculation) {
          if (!this.#maxSize && !this.maxEntrySize) {
            throw new TypeError("cannot set sizeCalculation without setting maxSize or maxEntrySize");
          }
          if (typeof this.sizeCalculation !== "function") {
            throw new TypeError("sizeCalculation set to non-function");
          }
        }
        if (fetchMethod !== void 0 && typeof fetchMethod !== "function") {
          throw new TypeError("fetchMethod must be a function if specified");
        }
        this.#fetchMethod = fetchMethod;
        this.#hasFetchMethod = !!fetchMethod;
        this.#keyMap = /* @__PURE__ */ new Map();
        this.#keyList = new Array(max).fill(void 0);
        this.#valList = new Array(max).fill(void 0);
        this.#next = new UintArray(max);
        this.#prev = new UintArray(max);
        this.#head = 0;
        this.#tail = 0;
        this.#free = Stack.create(max);
        this.#size = 0;
        this.#calculatedSize = 0;
        if (typeof dispose === "function") {
          this.#dispose = dispose;
        }
        if (typeof disposeAfter === "function") {
          this.#disposeAfter = disposeAfter;
          this.#disposed = [];
        } else {
          this.#disposeAfter = void 0;
          this.#disposed = void 0;
        }
        this.#hasDispose = !!this.#dispose;
        this.#hasDisposeAfter = !!this.#disposeAfter;
        this.noDisposeOnSet = !!noDisposeOnSet;
        this.noUpdateTTL = !!noUpdateTTL;
        this.noDeleteOnFetchRejection = !!noDeleteOnFetchRejection;
        this.allowStaleOnFetchRejection = !!allowStaleOnFetchRejection;
        this.allowStaleOnFetchAbort = !!allowStaleOnFetchAbort;
        this.ignoreFetchAbort = !!ignoreFetchAbort;
        if (this.maxEntrySize !== 0) {
          if (this.#maxSize !== 0) {
            if (!isPosInt(this.#maxSize)) {
              throw new TypeError("maxSize must be a positive integer if specified");
            }
          }
          if (!isPosInt(this.maxEntrySize)) {
            throw new TypeError("maxEntrySize must be a positive integer if specified");
          }
          this.#initializeSizeTracking();
        }
        this.allowStale = !!allowStale;
        this.noDeleteOnStaleGet = !!noDeleteOnStaleGet;
        this.updateAgeOnGet = !!updateAgeOnGet;
        this.updateAgeOnHas = !!updateAgeOnHas;
        this.ttlResolution = isPosInt(ttlResolution) || ttlResolution === 0 ? ttlResolution : 1;
        this.ttlAutopurge = !!ttlAutopurge;
        this.ttl = ttl || 0;
        if (this.ttl) {
          if (!isPosInt(this.ttl)) {
            throw new TypeError("ttl must be a positive integer if specified");
          }
          this.#initializeTTLTracking();
        }
        if (this.#max === 0 && this.ttl === 0 && this.#maxSize === 0) {
          throw new TypeError("At least one of max, maxSize, or ttl is required");
        }
        if (!this.ttlAutopurge && !this.#max && !this.#maxSize) {
          const code = "LRU_CACHE_UNBOUNDED";
          if (shouldWarn(code)) {
            warned.add(code);
            const msg = "TTL caching without ttlAutopurge, max, or maxSize can result in unbounded memory consumption.";
            emitWarning(msg, "UnboundedCacheWarning", code, _LRUCache);
          }
        }
      }
      /**
       * Return the remaining TTL time for a given entry key
       */
      getRemainingTTL(key) {
        return this.#keyMap.has(key) ? Infinity : 0;
      }
      #initializeTTLTracking() {
        const ttls = new ZeroArray(this.#max);
        const starts = new ZeroArray(this.#max);
        this.#ttls = ttls;
        this.#starts = starts;
        this.#setItemTTL = (index, ttl, start = perf.now()) => {
          starts[index] = ttl !== 0 ? start : 0;
          ttls[index] = ttl;
          if (ttl !== 0 && this.ttlAutopurge) {
            const t = setTimeout(() => {
              if (this.#isStale(index)) {
                this.delete(this.#keyList[index]);
              }
            }, ttl + 1);
            if (t.unref) {
              t.unref();
            }
          }
        };
        this.#updateItemAge = (index) => {
          starts[index] = ttls[index] !== 0 ? perf.now() : 0;
        };
        this.#statusTTL = (status, index) => {
          if (ttls[index]) {
            const ttl = ttls[index];
            const start = starts[index];
            status.ttl = ttl;
            status.start = start;
            status.now = cachedNow || getNow();
            const age = status.now - start;
            status.remainingTTL = ttl - age;
          }
        };
        let cachedNow = 0;
        const getNow = () => {
          const n = perf.now();
          if (this.ttlResolution > 0) {
            cachedNow = n;
            const t = setTimeout(() => cachedNow = 0, this.ttlResolution);
            if (t.unref) {
              t.unref();
            }
          }
          return n;
        };
        this.getRemainingTTL = (key) => {
          const index = this.#keyMap.get(key);
          if (index === void 0) {
            return 0;
          }
          const ttl = ttls[index];
          const start = starts[index];
          if (ttl === 0 || start === 0) {
            return Infinity;
          }
          const age = (cachedNow || getNow()) - start;
          return ttl - age;
        };
        this.#isStale = (index) => {
          return ttls[index] !== 0 && starts[index] !== 0 && (cachedNow || getNow()) - starts[index] > ttls[index];
        };
      }
      // conditionally set private methods related to TTL
      #updateItemAge = () => {
      };
      #statusTTL = () => {
      };
      #setItemTTL = () => {
      };
      /* c8 ignore stop */
      #isStale = () => false;
      #initializeSizeTracking() {
        const sizes = new ZeroArray(this.#max);
        this.#calculatedSize = 0;
        this.#sizes = sizes;
        this.#removeItemSize = (index) => {
          this.#calculatedSize -= sizes[index];
          sizes[index] = 0;
        };
        this.#requireSize = (k, v, size, sizeCalculation) => {
          if (this.#isBackgroundFetch(v)) {
            return 0;
          }
          if (!isPosInt(size)) {
            if (sizeCalculation) {
              if (typeof sizeCalculation !== "function") {
                throw new TypeError("sizeCalculation must be a function");
              }
              size = sizeCalculation(v, k);
              if (!isPosInt(size)) {
                throw new TypeError("sizeCalculation return invalid (expect positive integer)");
              }
            } else {
              throw new TypeError("invalid size value (must be positive integer). When maxSize or maxEntrySize is used, sizeCalculation or size must be set.");
            }
          }
          return size;
        };
        this.#addItemSize = (index, size, status) => {
          sizes[index] = size;
          if (this.#maxSize) {
            const maxSize = this.#maxSize - sizes[index];
            while (this.#calculatedSize > maxSize) {
              this.#evict(true);
            }
          }
          this.#calculatedSize += sizes[index];
          if (status) {
            status.entrySize = size;
            status.totalCalculatedSize = this.#calculatedSize;
          }
        };
      }
      #removeItemSize = (_i) => {
      };
      #addItemSize = (_i, _s, _st) => {
      };
      #requireSize = (_k, _v, size, sizeCalculation) => {
        if (size || sizeCalculation) {
          throw new TypeError("cannot set size without setting maxSize or maxEntrySize on cache");
        }
        return 0;
      };
      *#indexes({ allowStale = this.allowStale } = {}) {
        if (this.#size) {
          for (let i = this.#tail; true; ) {
            if (!this.#isValidIndex(i)) {
              break;
            }
            if (allowStale || !this.#isStale(i)) {
              yield i;
            }
            if (i === this.#head) {
              break;
            } else {
              i = this.#prev[i];
            }
          }
        }
      }
      *#rindexes({ allowStale = this.allowStale } = {}) {
        if (this.#size) {
          for (let i = this.#head; true; ) {
            if (!this.#isValidIndex(i)) {
              break;
            }
            if (allowStale || !this.#isStale(i)) {
              yield i;
            }
            if (i === this.#tail) {
              break;
            } else {
              i = this.#next[i];
            }
          }
        }
      }
      #isValidIndex(index) {
        return index !== void 0 && this.#keyMap.get(this.#keyList[index]) === index;
      }
      /**
       * Return a generator yielding `[key, value]` pairs,
       * in order from most recently used to least recently used.
       */
      *entries() {
        for (const i of this.#indexes()) {
          if (this.#valList[i] !== void 0 && this.#keyList[i] !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield [this.#keyList[i], this.#valList[i]];
          }
        }
      }
      /**
       * Inverse order version of {@link LRUCache.entries}
       *
       * Return a generator yielding `[key, value]` pairs,
       * in order from least recently used to most recently used.
       */
      *rentries() {
        for (const i of this.#rindexes()) {
          if (this.#valList[i] !== void 0 && this.#keyList[i] !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield [this.#keyList[i], this.#valList[i]];
          }
        }
      }
      /**
       * Return a generator yielding the keys in the cache,
       * in order from most recently used to least recently used.
       */
      *keys() {
        for (const i of this.#indexes()) {
          const k = this.#keyList[i];
          if (k !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield k;
          }
        }
      }
      /**
       * Inverse order version of {@link LRUCache.keys}
       *
       * Return a generator yielding the keys in the cache,
       * in order from least recently used to most recently used.
       */
      *rkeys() {
        for (const i of this.#rindexes()) {
          const k = this.#keyList[i];
          if (k !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield k;
          }
        }
      }
      /**
       * Return a generator yielding the values in the cache,
       * in order from most recently used to least recently used.
       */
      *values() {
        for (const i of this.#indexes()) {
          const v = this.#valList[i];
          if (v !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield this.#valList[i];
          }
        }
      }
      /**
       * Inverse order version of {@link LRUCache.values}
       *
       * Return a generator yielding the values in the cache,
       * in order from least recently used to most recently used.
       */
      *rvalues() {
        for (const i of this.#rindexes()) {
          const v = this.#valList[i];
          if (v !== void 0 && !this.#isBackgroundFetch(this.#valList[i])) {
            yield this.#valList[i];
          }
        }
      }
      /**
       * Iterating over the cache itself yields the same results as
       * {@link LRUCache.entries}
       */
      [Symbol.iterator]() {
        return this.entries();
      }
      /**
       * Find a value for which the supplied fn method returns a truthy value,
       * similar to Array.find().  fn is called as fn(value, key, cache).
       */
      find(fn, getOptions = {}) {
        for (const i of this.#indexes()) {
          const v = this.#valList[i];
          const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v;
          if (value === void 0)
            continue;
          if (fn(value, this.#keyList[i], this)) {
            return this.get(this.#keyList[i], getOptions);
          }
        }
      }
      /**
       * Call the supplied function on each item in the cache, in order from
       * most recently used to least recently used.  fn is called as
       * fn(value, key, cache).  Does not update age or recenty of use.
       * Does not iterate over stale values.
       */
      forEach(fn, thisp = this) {
        for (const i of this.#indexes()) {
          const v = this.#valList[i];
          const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v;
          if (value === void 0)
            continue;
          fn.call(thisp, value, this.#keyList[i], this);
        }
      }
      /**
       * The same as {@link LRUCache.forEach} but items are iterated over in
       * reverse order.  (ie, less recently used items are iterated over first.)
       */
      rforEach(fn, thisp = this) {
        for (const i of this.#rindexes()) {
          const v = this.#valList[i];
          const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v;
          if (value === void 0)
            continue;
          fn.call(thisp, value, this.#keyList[i], this);
        }
      }
      /**
       * Delete any stale entries. Returns true if anything was removed,
       * false otherwise.
       */
      purgeStale() {
        let deleted = false;
        for (const i of this.#rindexes({ allowStale: true })) {
          if (this.#isStale(i)) {
            this.delete(this.#keyList[i]);
            deleted = true;
          }
        }
        return deleted;
      }
      /**
       * Return an array of [key, {@link LRUCache.Entry}] tuples which can be
       * passed to cache.load()
       */
      dump() {
        const arr = [];
        for (const i of this.#indexes({ allowStale: true })) {
          const key = this.#keyList[i];
          const v = this.#valList[i];
          const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v;
          if (value === void 0 || key === void 0)
            continue;
          const entry = { value };
          if (this.#ttls && this.#starts) {
            entry.ttl = this.#ttls[i];
            const age = perf.now() - this.#starts[i];
            entry.start = Math.floor(Date.now() - age);
          }
          if (this.#sizes) {
            entry.size = this.#sizes[i];
          }
          arr.unshift([key, entry]);
        }
        return arr;
      }
      /**
       * Reset the cache and load in the items in entries in the order listed.
       * Note that the shape of the resulting cache may be different if the
       * same options are not used in both caches.
       */
      load(arr) {
        this.clear();
        for (const [key, entry] of arr) {
          if (entry.start) {
            const age = Date.now() - entry.start;
            entry.start = perf.now() - age;
          }
          this.set(key, entry.value, entry);
        }
      }
      /**
       * Add a value to the cache.
       *
       * Note: if `undefined` is specified as a value, this is an alias for
       * {@link LRUCache#delete}
       */
      set(k, v, setOptions = {}) {
        if (v === void 0) {
          this.delete(k);
          return this;
        }
        const { ttl = this.ttl, start, noDisposeOnSet = this.noDisposeOnSet, sizeCalculation = this.sizeCalculation, status } = setOptions;
        let { noUpdateTTL = this.noUpdateTTL } = setOptions;
        const size = this.#requireSize(k, v, setOptions.size || 0, sizeCalculation);
        if (this.maxEntrySize && size > this.maxEntrySize) {
          if (status) {
            status.set = "miss";
            status.maxEntrySizeExceeded = true;
          }
          this.delete(k);
          return this;
        }
        let index = this.#size === 0 ? void 0 : this.#keyMap.get(k);
        if (index === void 0) {
          index = this.#size === 0 ? this.#tail : this.#free.length !== 0 ? this.#free.pop() : this.#size === this.#max ? this.#evict(false) : this.#size;
          this.#keyList[index] = k;
          this.#valList[index] = v;
          this.#keyMap.set(k, index);
          this.#next[this.#tail] = index;
          this.#prev[index] = this.#tail;
          this.#tail = index;
          this.#size++;
          this.#addItemSize(index, size, status);
          if (status)
            status.set = "add";
          noUpdateTTL = false;
        } else {
          this.#moveToTail(index);
          const oldVal = this.#valList[index];
          if (v !== oldVal) {
            if (this.#hasFetchMethod && this.#isBackgroundFetch(oldVal)) {
              oldVal.__abortController.abort(new Error("replaced"));
            } else if (!noDisposeOnSet) {
              if (this.#hasDispose) {
                this.#dispose?.(oldVal, k, "set");
              }
              if (this.#hasDisposeAfter) {
                this.#disposed?.push([oldVal, k, "set"]);
              }
            }
            this.#removeItemSize(index);
            this.#addItemSize(index, size, status);
            this.#valList[index] = v;
            if (status) {
              status.set = "replace";
              const oldValue = oldVal && this.#isBackgroundFetch(oldVal) ? oldVal.__staleWhileFetching : oldVal;
              if (oldValue !== void 0)
                status.oldValue = oldValue;
            }
          } else if (status) {
            status.set = "update";
          }
        }
        if (ttl !== 0 && !this.#ttls) {
          this.#initializeTTLTracking();
        }
        if (this.#ttls) {
          if (!noUpdateTTL) {
            this.#setItemTTL(index, ttl, start);
          }
          if (status)
            this.#statusTTL(status, index);
        }
        if (!noDisposeOnSet && this.#hasDisposeAfter && this.#disposed) {
          const dt = this.#disposed;
          let task;
          while (task = dt?.shift()) {
            this.#disposeAfter?.(...task);
          }
        }
        return this;
      }
      /**
       * Evict the least recently used item, returning its value or
       * `undefined` if cache is empty.
       */
      pop() {
        try {
          while (this.#size) {
            const val = this.#valList[this.#head];
            this.#evict(true);
            if (this.#isBackgroundFetch(val)) {
              if (val.__staleWhileFetching) {
                return val.__staleWhileFetching;
              }
            } else if (val !== void 0) {
              return val;
            }
          }
        } finally {
          if (this.#hasDisposeAfter && this.#disposed) {
            const dt = this.#disposed;
            let task;
            while (task = dt?.shift()) {
              this.#disposeAfter?.(...task);
            }
          }
        }
      }
      #evict(free) {
        const head = this.#head;
        const k = this.#keyList[head];
        const v = this.#valList[head];
        if (this.#hasFetchMethod && this.#isBackgroundFetch(v)) {
          v.__abortController.abort(new Error("evicted"));
        } else if (this.#hasDispose || this.#hasDisposeAfter) {
          if (this.#hasDispose) {
            this.#dispose?.(v, k, "evict");
          }
          if (this.#hasDisposeAfter) {
            this.#disposed?.push([v, k, "evict"]);
          }
        }
        this.#removeItemSize(head);
        if (free) {
          this.#keyList[head] = void 0;
          this.#valList[head] = void 0;
          this.#free.push(head);
        }
        if (this.#size === 1) {
          this.#head = this.#tail = 0;
          this.#free.length = 0;
        } else {
          this.#head = this.#next[head];
        }
        this.#keyMap.delete(k);
        this.#size--;
        return head;
      }
      /**
       * Check if a key is in the cache, without updating the recency of use.
       * Will return false if the item is stale, even though it is technically
       * in the cache.
       *
       * Will not update item age unless
       * {@link LRUCache.OptionsBase.updateAgeOnHas} is set.
       */
      has(k, hasOptions = {}) {
        const { updateAgeOnHas = this.updateAgeOnHas, status } = hasOptions;
        const index = this.#keyMap.get(k);
        if (index !== void 0) {
          const v = this.#valList[index];
          if (this.#isBackgroundFetch(v) && v.__staleWhileFetching === void 0) {
            return false;
          }
          if (!this.#isStale(index)) {
            if (updateAgeOnHas) {
              this.#updateItemAge(index);
            }
            if (status) {
              status.has = "hit";
              this.#statusTTL(status, index);
            }
            return true;
          } else if (status) {
            status.has = "stale";
            this.#statusTTL(status, index);
          }
        } else if (status) {
          status.has = "miss";
        }
        return false;
      }
      /**
       * Like {@link LRUCache#get} but doesn't update recency or delete stale
       * items.
       *
       * Returns `undefined` if the item is stale, unless
       * {@link LRUCache.OptionsBase.allowStale} is set.
       */
      peek(k, peekOptions = {}) {
        const { allowStale = this.allowStale } = peekOptions;
        const index = this.#keyMap.get(k);
        if (index !== void 0 && (allowStale || !this.#isStale(index))) {
          const v = this.#valList[index];
          return this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v;
        }
      }
      #backgroundFetch(k, index, options, context) {
        const v = index === void 0 ? void 0 : this.#valList[index];
        if (this.#isBackgroundFetch(v)) {
          return v;
        }
        const ac = new AC();
        const { signal } = options;
        signal?.addEventListener("abort", () => ac.abort(signal.reason), {
          signal: ac.signal
        });
        const fetchOpts = {
          signal: ac.signal,
          options,
          context
        };
        const cb = (v2, updateCache = false) => {
          const { aborted } = ac.signal;
          const ignoreAbort = options.ignoreFetchAbort && v2 !== void 0;
          if (options.status) {
            if (aborted && !updateCache) {
              options.status.fetchAborted = true;
              options.status.fetchError = ac.signal.reason;
              if (ignoreAbort)
                options.status.fetchAbortIgnored = true;
            } else {
              options.status.fetchResolved = true;
            }
          }
          if (aborted && !ignoreAbort && !updateCache) {
            return fetchFail(ac.signal.reason);
          }
          const bf2 = p;
          if (this.#valList[index] === p) {
            if (v2 === void 0) {
              if (bf2.__staleWhileFetching) {
                this.#valList[index] = bf2.__staleWhileFetching;
              } else {
                this.delete(k);
              }
            } else {
              if (options.status)
                options.status.fetchUpdated = true;
              this.set(k, v2, fetchOpts.options);
            }
          }
          return v2;
        };
        const eb = (er) => {
          if (options.status) {
            options.status.fetchRejected = true;
            options.status.fetchError = er;
          }
          return fetchFail(er);
        };
        const fetchFail = (er) => {
          const { aborted } = ac.signal;
          const allowStaleAborted = aborted && options.allowStaleOnFetchAbort;
          const allowStale = allowStaleAborted || options.allowStaleOnFetchRejection;
          const noDelete = allowStale || options.noDeleteOnFetchRejection;
          const bf2 = p;
          if (this.#valList[index] === p) {
            const del = !noDelete || bf2.__staleWhileFetching === void 0;
            if (del) {
              this.delete(k);
            } else if (!allowStaleAborted) {
              this.#valList[index] = bf2.__staleWhileFetching;
            }
          }
          if (allowStale) {
            if (options.status && bf2.__staleWhileFetching !== void 0) {
              options.status.returnedStale = true;
            }
            return bf2.__staleWhileFetching;
          } else if (bf2.__returned === bf2) {
            throw er;
          }
        };
        const pcall = (res, rej) => {
          const fmp = this.#fetchMethod?.(k, v, fetchOpts);
          if (fmp && fmp instanceof Promise) {
            fmp.then((v2) => res(v2 === void 0 ? void 0 : v2), rej);
          }
          ac.signal.addEventListener("abort", () => {
            if (!options.ignoreFetchAbort || options.allowStaleOnFetchAbort) {
              res(void 0);
              if (options.allowStaleOnFetchAbort) {
                res = (v2) => cb(v2, true);
              }
            }
          });
        };
        if (options.status)
          options.status.fetchDispatched = true;
        const p = new Promise(pcall).then(cb, eb);
        const bf = Object.assign(p, {
          __abortController: ac,
          __staleWhileFetching: v,
          __returned: void 0
        });
        if (index === void 0) {
          this.set(k, bf, { ...fetchOpts.options, status: void 0 });
          index = this.#keyMap.get(k);
        } else {
          this.#valList[index] = bf;
        }
        return bf;
      }
      #isBackgroundFetch(p) {
        if (!this.#hasFetchMethod)
          return false;
        const b = p;
        return !!b && b instanceof Promise && b.hasOwnProperty("__staleWhileFetching") && b.__abortController instanceof AC;
      }
      async fetch(k, fetchOptions = {}) {
        const {
          // get options
          allowStale = this.allowStale,
          updateAgeOnGet = this.updateAgeOnGet,
          noDeleteOnStaleGet = this.noDeleteOnStaleGet,
          // set options
          ttl = this.ttl,
          noDisposeOnSet = this.noDisposeOnSet,
          size = 0,
          sizeCalculation = this.sizeCalculation,
          noUpdateTTL = this.noUpdateTTL,
          // fetch exclusive options
          noDeleteOnFetchRejection = this.noDeleteOnFetchRejection,
          allowStaleOnFetchRejection = this.allowStaleOnFetchRejection,
          ignoreFetchAbort = this.ignoreFetchAbort,
          allowStaleOnFetchAbort = this.allowStaleOnFetchAbort,
          context,
          forceRefresh = false,
          status,
          signal
        } = fetchOptions;
        if (!this.#hasFetchMethod) {
          if (status)
            status.fetch = "get";
          return this.get(k, {
            allowStale,
            updateAgeOnGet,
            noDeleteOnStaleGet,
            status
          });
        }
        const options = {
          allowStale,
          updateAgeOnGet,
          noDeleteOnStaleGet,
          ttl,
          noDisposeOnSet,
          size,
          sizeCalculation,
          noUpdateTTL,
          noDeleteOnFetchRejection,
          allowStaleOnFetchRejection,
          allowStaleOnFetchAbort,
          ignoreFetchAbort,
          status,
          signal
        };
        let index = this.#keyMap.get(k);
        if (index === void 0) {
          if (status)
            status.fetch = "miss";
          const p = this.#backgroundFetch(k, index, options, context);
          return p.__returned = p;
        } else {
          const v = this.#valList[index];
          if (this.#isBackgroundFetch(v)) {
            const stale = allowStale && v.__staleWhileFetching !== void 0;
            if (status) {
              status.fetch = "inflight";
              if (stale)
                status.returnedStale = true;
            }
            return stale ? v.__staleWhileFetching : v.__returned = v;
          }
          const isStale = this.#isStale(index);
          if (!forceRefresh && !isStale) {
            if (status)
              status.fetch = "hit";
            this.#moveToTail(index);
            if (updateAgeOnGet) {
              this.#updateItemAge(index);
            }
            if (status)
              this.#statusTTL(status, index);
            return v;
          }
          const p = this.#backgroundFetch(k, index, options, context);
          const hasStale = p.__staleWhileFetching !== void 0;
          const staleVal = hasStale && allowStale;
          if (status) {
            status.fetch = isStale ? "stale" : "refresh";
            if (staleVal && isStale)
              status.returnedStale = true;
          }
          return staleVal ? p.__staleWhileFetching : p.__returned = p;
        }
      }
      /**
       * Return a value from the cache. Will update the recency of the cache
       * entry found.
       *
       * If the key is not found, get() will return `undefined`.
       */
      get(k, getOptions = {}) {
        const { allowStale = this.allowStale, updateAgeOnGet = this.updateAgeOnGet, noDeleteOnStaleGet = this.noDeleteOnStaleGet, status } = getOptions;
        const index = this.#keyMap.get(k);
        if (index !== void 0) {
          const value = this.#valList[index];
          const fetching = this.#isBackgroundFetch(value);
          if (status)
            this.#statusTTL(status, index);
          if (this.#isStale(index)) {
            if (status)
              status.get = "stale";
            if (!fetching) {
              if (!noDeleteOnStaleGet) {
                this.delete(k);
              }
              if (status && allowStale)
                status.returnedStale = true;
              return allowStale ? value : void 0;
            } else {
              if (status && allowStale && value.__staleWhileFetching !== void 0) {
                status.returnedStale = true;
              }
              return allowStale ? value.__staleWhileFetching : void 0;
            }
          } else {
            if (status)
              status.get = "hit";
            if (fetching) {
              return value.__staleWhileFetching;
            }
            this.#moveToTail(index);
            if (updateAgeOnGet) {
              this.#updateItemAge(index);
            }
            return value;
          }
        } else if (status) {
          status.get = "miss";
        }
      }
      #connect(p, n) {
        this.#prev[n] = p;
        this.#next[p] = n;
      }
      #moveToTail(index) {
        if (index !== this.#tail) {
          if (index === this.#head) {
            this.#head = this.#next[index];
          } else {
            this.#connect(this.#prev[index], this.#next[index]);
          }
          this.#connect(this.#tail, index);
          this.#tail = index;
        }
      }
      /**
       * Deletes a key out of the cache.
       * Returns true if the key was deleted, false otherwise.
       */
      delete(k) {
        let deleted = false;
        if (this.#size !== 0) {
          const index = this.#keyMap.get(k);
          if (index !== void 0) {
            deleted = true;
            if (this.#size === 1) {
              this.clear();
            } else {
              this.#removeItemSize(index);
              const v = this.#valList[index];
              if (this.#isBackgroundFetch(v)) {
                v.__abortController.abort(new Error("deleted"));
              } else if (this.#hasDispose || this.#hasDisposeAfter) {
                if (this.#hasDispose) {
                  this.#dispose?.(v, k, "delete");
                }
                if (this.#hasDisposeAfter) {
                  this.#disposed?.push([v, k, "delete"]);
                }
              }
              this.#keyMap.delete(k);
              this.#keyList[index] = void 0;
              this.#valList[index] = void 0;
              if (index === this.#tail) {
                this.#tail = this.#prev[index];
              } else if (index === this.#head) {
                this.#head = this.#next[index];
              } else {
                this.#next[this.#prev[index]] = this.#next[index];
                this.#prev[this.#next[index]] = this.#prev[index];
              }
              this.#size--;
              this.#free.push(index);
            }
          }
        }
        if (this.#hasDisposeAfter && this.#disposed?.length) {
          const dt = this.#disposed;
          let task;
          while (task = dt?.shift()) {
            this.#disposeAfter?.(...task);
          }
        }
        return deleted;
      }
      /**
       * Clear the cache entirely, throwing away all values.
       */
      clear() {
        for (const index of this.#rindexes({ allowStale: true })) {
          const v = this.#valList[index];
          if (this.#isBackgroundFetch(v)) {
            v.__abortController.abort(new Error("deleted"));
          } else {
            const k = this.#keyList[index];
            if (this.#hasDispose) {
              this.#dispose?.(v, k, "delete");
            }
            if (this.#hasDisposeAfter) {
              this.#disposed?.push([v, k, "delete"]);
            }
          }
        }
        this.#keyMap.clear();
        this.#valList.fill(void 0);
        this.#keyList.fill(void 0);
        if (this.#ttls && this.#starts) {
          this.#ttls.fill(0);
          this.#starts.fill(0);
        }
        if (this.#sizes) {
          this.#sizes.fill(0);
        }
        this.#head = 0;
        this.#tail = 0;
        this.#free.length = 0;
        this.#calculatedSize = 0;
        this.#size = 0;
        if (this.#hasDisposeAfter && this.#disposed) {
          const dt = this.#disposed;
          let task;
          while (task = dt?.shift()) {
            this.#disposeAfter?.(...task);
          }
        }
      }
    };
    exports2.LRUCache = LRUCache;
  }
});

// ../../components/source-repositories/node_modules/path-scurry/node_modules/minipass/index.js
var require_minipass = __commonJS({
  "../../components/source-repositories/node_modules/path-scurry/node_modules/minipass/index.js"(exports2) {
    "use strict";
    var proc = typeof process === "object" && process ? process : {
      stdout: null,
      stderr: null
    };
    var EE = require("events");
    var Stream = require("stream");
    var stringdecoder = require("string_decoder");
    var SD = stringdecoder.StringDecoder;
    var EOF = Symbol("EOF");
    var MAYBE_EMIT_END = Symbol("maybeEmitEnd");
    var EMITTED_END = Symbol("emittedEnd");
    var EMITTING_END = Symbol("emittingEnd");
    var EMITTED_ERROR = Symbol("emittedError");
    var CLOSED = Symbol("closed");
    var READ = Symbol("read");
    var FLUSH = Symbol("flush");
    var FLUSHCHUNK = Symbol("flushChunk");
    var ENCODING = Symbol("encoding");
    var DECODER = Symbol("decoder");
    var FLOWING = Symbol("flowing");
    var PAUSED = Symbol("paused");
    var RESUME = Symbol("resume");
    var BUFFER = Symbol("buffer");
    var PIPES = Symbol("pipes");
    var BUFFERLENGTH = Symbol("bufferLength");
    var BUFFERPUSH = Symbol("bufferPush");
    var BUFFERSHIFT = Symbol("bufferShift");
    var OBJECTMODE = Symbol("objectMode");
    var DESTROYED = Symbol("destroyed");
    var ERROR = Symbol("error");
    var EMITDATA = Symbol("emitData");
    var EMITEND = Symbol("emitEnd");
    var EMITEND2 = Symbol("emitEnd2");
    var ASYNC = Symbol("async");
    var ABORT = Symbol("abort");
    var ABORTED = Symbol("aborted");
    var SIGNAL = Symbol("signal");
    var defer = (fn) => Promise.resolve().then(fn);
    var doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== "1";
    var ASYNCITERATOR = doIter && Symbol.asyncIterator || Symbol("asyncIterator not implemented");
    var ITERATOR = doIter && Symbol.iterator || Symbol("iterator not implemented");
    var isEndish = (ev) => ev === "end" || ev === "finish" || ev === "prefinish";
    var isArrayBuffer = (b) => b instanceof ArrayBuffer || typeof b === "object" && b.constructor && b.constructor.name === "ArrayBuffer" && b.byteLength >= 0;
    var isArrayBufferView = (b) => !Buffer.isBuffer(b) && ArrayBuffer.isView(b);
    var Pipe = class {
      constructor(src, dest, opts) {
        this.src = src;
        this.dest = dest;
        this.opts = opts;
        this.ondrain = () => src[RESUME]();
        dest.on("drain", this.ondrain);
      }
      unpipe() {
        this.dest.removeListener("drain", this.ondrain);
      }
      // istanbul ignore next - only here for the prototype
      proxyErrors() {
      }
      end() {
        this.unpipe();
        if (this.opts.end)
          this.dest.end();
      }
    };
    var PipeProxyErrors = class extends Pipe {
      unpipe() {
        this.src.removeListener("error", this.proxyErrors);
        super.unpipe();
      }
      constructor(src, dest, opts) {
        super(src, dest, opts);
        this.proxyErrors = (er) => dest.emit("error", er);
        src.on("error", this.proxyErrors);
      }
    };
    var Minipass = class _Minipass extends Stream {
      constructor(options) {
        super();
        this[FLOWING] = false;
        this[PAUSED] = false;
        this[PIPES] = [];
        this[BUFFER] = [];
        this[OBJECTMODE] = options && options.objectMode || false;
        if (this[OBJECTMODE])
          this[ENCODING] = null;
        else
          this[ENCODING] = options && options.encoding || null;
        if (this[ENCODING] === "buffer")
          this[ENCODING] = null;
        this[ASYNC] = options && !!options.async || false;
        this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null;
        this[EOF] = false;
        this[EMITTED_END] = false;
        this[EMITTING_END] = false;
        this[CLOSED] = false;
        this[EMITTED_ERROR] = null;
        this.writable = true;
        this.readable = true;
        this[BUFFERLENGTH] = 0;
        this[DESTROYED] = false;
        if (options && options.debugExposeBuffer === true) {
          Object.defineProperty(this, "buffer", { get: () => this[BUFFER] });
        }
        if (options && options.debugExposePipes === true) {
          Object.defineProperty(this, "pipes", { get: () => this[PIPES] });
        }
        this[SIGNAL] = options && options.signal;
        this[ABORTED] = false;
        if (this[SIGNAL]) {
          this[SIGNAL].addEventListener("abort", () => this[ABORT]());
          if (this[SIGNAL].aborted) {
            this[ABORT]();
          }
        }
      }
      get bufferLength() {
        return this[BUFFERLENGTH];
      }
      get encoding() {
        return this[ENCODING];
      }
      set encoding(enc) {
        if (this[OBJECTMODE])
          throw new Error("cannot set encoding in objectMode");
        if (this[ENCODING] && enc !== this[ENCODING] && (this[DECODER] && this[DECODER].lastNeed || this[BUFFERLENGTH]))
          throw new Error("cannot change encoding");
        if (this[ENCODING] !== enc) {
          this[DECODER] = enc ? new SD(enc) : null;
          if (this[BUFFER].length)
            this[BUFFER] = this[BUFFER].map((chunk) => this[DECODER].write(chunk));
        }
        this[ENCODING] = enc;
      }
      setEncoding(enc) {
        this.encoding = enc;
      }
      get objectMode() {
        return this[OBJECTMODE];
      }
      set objectMode(om) {
        this[OBJECTMODE] = this[OBJECTMODE] || !!om;
      }
      get ["async"]() {
        return this[ASYNC];
      }
      set ["async"](a) {
        this[ASYNC] = this[ASYNC] || !!a;
      }
      // drop everything and get out of the flow completely
      [ABORT]() {
        this[ABORTED] = true;
        this.emit("abort", this[SIGNAL].reason);
        this.destroy(this[SIGNAL].reason);
      }
      get aborted() {
        return this[ABORTED];
      }
      set aborted(_) {
      }
      write(chunk, encoding, cb) {
        if (this[ABORTED])
          return false;
        if (this[EOF])
          throw new Error("write after end");
        if (this[DESTROYED]) {
          this.emit(
            "error",
            Object.assign(
              new Error("Cannot call write after a stream was destroyed"),
              { code: "ERR_STREAM_DESTROYED" }
            )
          );
          return true;
        }
        if (typeof encoding === "function")
          cb = encoding, encoding = "utf8";
        if (!encoding)
          encoding = "utf8";
        const fn = this[ASYNC] ? defer : (f) => f();
        if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
          if (isArrayBufferView(chunk))
            chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength);
          else if (isArrayBuffer(chunk))
            chunk = Buffer.from(chunk);
          else if (typeof chunk !== "string")
            this.objectMode = true;
        }
        if (this[OBJECTMODE]) {
          if (this.flowing && this[BUFFERLENGTH] !== 0)
            this[FLUSH](true);
          if (this.flowing)
            this.emit("data", chunk);
          else
            this[BUFFERPUSH](chunk);
          if (this[BUFFERLENGTH] !== 0)
            this.emit("readable");
          if (cb)
            fn(cb);
          return this.flowing;
        }
        if (!chunk.length) {
          if (this[BUFFERLENGTH] !== 0)
            this.emit("readable");
          if (cb)
            fn(cb);
          return this.flowing;
        }
        if (typeof chunk === "string" && // unless it is a string already ready for us to use
        !(encoding === this[ENCODING] && !this[DECODER].lastNeed)) {
          chunk = Buffer.from(chunk, encoding);
        }
        if (Buffer.isBuffer(chunk) && this[ENCODING])
          chunk = this[DECODER].write(chunk);
        if (this.flowing && this[BUFFERLENGTH] !== 0)
          this[FLUSH](true);
        if (this.flowing)
          this.emit("data", chunk);
        else
          this[BUFFERPUSH](chunk);
        if (this[BUFFERLENGTH] !== 0)
          this.emit("readable");
        if (cb)
          fn(cb);
        return this.flowing;
      }
      read(n) {
        if (this[DESTROYED])
          return null;
        if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) {
          this[MAYBE_EMIT_END]();
          return null;
        }
        if (this[OBJECTMODE])
          n = null;
        if (this[BUFFER].length > 1 && !this[OBJECTMODE]) {
          if (this.encoding)
            this[BUFFER] = [this[BUFFER].join("")];
          else
            this[BUFFER] = [Buffer.concat(this[BUFFER], this[BUFFERLENGTH])];
        }
        const ret = this[READ](n || null, this[BUFFER][0]);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [READ](n, chunk) {
        if (n === chunk.length || n === null)
          this[BUFFERSHIFT]();
        else {
          this[BUFFER][0] = chunk.slice(n);
          chunk = chunk.slice(0, n);
          this[BUFFERLENGTH] -= n;
        }
        this.emit("data", chunk);
        if (!this[BUFFER].length && !this[EOF])
          this.emit("drain");
        return chunk;
      }
      end(chunk, encoding, cb) {
        if (typeof chunk === "function")
          cb = chunk, chunk = null;
        if (typeof encoding === "function")
          cb = encoding, encoding = "utf8";
        if (chunk)
          this.write(chunk, encoding);
        if (cb)
          this.once("end", cb);
        this[EOF] = true;
        this.writable = false;
        if (this.flowing || !this[PAUSED])
          this[MAYBE_EMIT_END]();
        return this;
      }
      // don't let the internal resume be overwritten
      [RESUME]() {
        if (this[DESTROYED])
          return;
        this[PAUSED] = false;
        this[FLOWING] = true;
        this.emit("resume");
        if (this[BUFFER].length)
          this[FLUSH]();
        else if (this[EOF])
          this[MAYBE_EMIT_END]();
        else
          this.emit("drain");
      }
      resume() {
        return this[RESUME]();
      }
      pause() {
        this[FLOWING] = false;
        this[PAUSED] = true;
      }
      get destroyed() {
        return this[DESTROYED];
      }
      get flowing() {
        return this[FLOWING];
      }
      get paused() {
        return this[PAUSED];
      }
      [BUFFERPUSH](chunk) {
        if (this[OBJECTMODE])
          this[BUFFERLENGTH] += 1;
        else
          this[BUFFERLENGTH] += chunk.length;
        this[BUFFER].push(chunk);
      }
      [BUFFERSHIFT]() {
        if (this[OBJECTMODE])
          this[BUFFERLENGTH] -= 1;
        else
          this[BUFFERLENGTH] -= this[BUFFER][0].length;
        return this[BUFFER].shift();
      }
      [FLUSH](noDrain) {
        do {
        } while (this[FLUSHCHUNK](this[BUFFERSHIFT]()) && this[BUFFER].length);
        if (!noDrain && !this[BUFFER].length && !this[EOF])
          this.emit("drain");
      }
      [FLUSHCHUNK](chunk) {
        this.emit("data", chunk);
        return this.flowing;
      }
      pipe(dest, opts) {
        if (this[DESTROYED])
          return;
        const ended = this[EMITTED_END];
        opts = opts || {};
        if (dest === proc.stdout || dest === proc.stderr)
          opts.end = false;
        else
          opts.end = opts.end !== false;
        opts.proxyErrors = !!opts.proxyErrors;
        if (ended) {
          if (opts.end)
            dest.end();
        } else {
          this[PIPES].push(
            !opts.proxyErrors ? new Pipe(this, dest, opts) : new PipeProxyErrors(this, dest, opts)
          );
          if (this[ASYNC])
            defer(() => this[RESUME]());
          else
            this[RESUME]();
        }
        return dest;
      }
      unpipe(dest) {
        const p = this[PIPES].find((p2) => p2.dest === dest);
        if (p) {
          this[PIPES].splice(this[PIPES].indexOf(p), 1);
          p.unpipe();
        }
      }
      addListener(ev, fn) {
        return this.on(ev, fn);
      }
      on(ev, fn) {
        const ret = super.on(ev, fn);
        if (ev === "data" && !this[PIPES].length && !this.flowing)
          this[RESUME]();
        else if (ev === "readable" && this[BUFFERLENGTH] !== 0)
          super.emit("readable");
        else if (isEndish(ev) && this[EMITTED_END]) {
          super.emit(ev);
          this.removeAllListeners(ev);
        } else if (ev === "error" && this[EMITTED_ERROR]) {
          if (this[ASYNC])
            defer(() => fn.call(this, this[EMITTED_ERROR]));
          else
            fn.call(this, this[EMITTED_ERROR]);
        }
        return ret;
      }
      get emittedEnd() {
        return this[EMITTED_END];
      }
      [MAYBE_EMIT_END]() {
        if (!this[EMITTING_END] && !this[EMITTED_END] && !this[DESTROYED] && this[BUFFER].length === 0 && this[EOF]) {
          this[EMITTING_END] = true;
          this.emit("end");
          this.emit("prefinish");
          this.emit("finish");
          if (this[CLOSED])
            this.emit("close");
          this[EMITTING_END] = false;
        }
      }
      emit(ev, data, ...extra) {
        if (ev !== "error" && ev !== "close" && ev !== DESTROYED && this[DESTROYED])
          return;
        else if (ev === "data") {
          return !this[OBJECTMODE] && !data ? false : this[ASYNC] ? defer(() => this[EMITDATA](data)) : this[EMITDATA](data);
        } else if (ev === "end") {
          return this[EMITEND]();
        } else if (ev === "close") {
          this[CLOSED] = true;
          if (!this[EMITTED_END] && !this[DESTROYED])
            return;
          const ret2 = super.emit("close");
          this.removeAllListeners("close");
          return ret2;
        } else if (ev === "error") {
          this[EMITTED_ERROR] = data;
          super.emit(ERROR, data);
          const ret2 = !this[SIGNAL] || this.listeners("error").length ? super.emit("error", data) : false;
          this[MAYBE_EMIT_END]();
          return ret2;
        } else if (ev === "resume") {
          const ret2 = super.emit("resume");
          this[MAYBE_EMIT_END]();
          return ret2;
        } else if (ev === "finish" || ev === "prefinish") {
          const ret2 = super.emit(ev);
          this.removeAllListeners(ev);
          return ret2;
        }
        const ret = super.emit(ev, data, ...extra);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [EMITDATA](data) {
        for (const p of this[PIPES]) {
          if (p.dest.write(data) === false)
            this.pause();
        }
        const ret = super.emit("data", data);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [EMITEND]() {
        if (this[EMITTED_END])
          return;
        this[EMITTED_END] = true;
        this.readable = false;
        if (this[ASYNC])
          defer(() => this[EMITEND2]());
        else
          this[EMITEND2]();
      }
      [EMITEND2]() {
        if (this[DECODER]) {
          const data = this[DECODER].end();
          if (data) {
            for (const p of this[PIPES]) {
              p.dest.write(data);
            }
            super.emit("data", data);
          }
        }
        for (const p of this[PIPES]) {
          p.end();
        }
        const ret = super.emit("end");
        this.removeAllListeners("end");
        return ret;
      }
      // const all = await stream.collect()
      collect() {
        const buf = [];
        if (!this[OBJECTMODE])
          buf.dataLength = 0;
        const p = this.promise();
        this.on("data", (c) => {
          buf.push(c);
          if (!this[OBJECTMODE])
            buf.dataLength += c.length;
        });
        return p.then(() => buf);
      }
      // const data = await stream.concat()
      concat() {
        return this[OBJECTMODE] ? Promise.reject(new Error("cannot concat in objectMode")) : this.collect().then(
          (buf) => this[OBJECTMODE] ? Promise.reject(new Error("cannot concat in objectMode")) : this[ENCODING] ? buf.join("") : Buffer.concat(buf, buf.dataLength)
        );
      }
      // stream.promise().then(() => done, er => emitted error)
      promise() {
        return new Promise((resolve, reject) => {
          this.on(DESTROYED, () => reject(new Error("stream destroyed")));
          this.on("error", (er) => reject(er));
          this.on("end", () => resolve());
        });
      }
      // for await (let chunk of stream)
      [ASYNCITERATOR]() {
        let stopped = false;
        const stop = () => {
          this.pause();
          stopped = true;
          return Promise.resolve({ done: true });
        };
        const next = () => {
          if (stopped)
            return stop();
          const res = this.read();
          if (res !== null)
            return Promise.resolve({ done: false, value: res });
          if (this[EOF])
            return stop();
          let resolve = null;
          let reject = null;
          const onerr = (er) => {
            this.removeListener("data", ondata);
            this.removeListener("end", onend);
            this.removeListener(DESTROYED, ondestroy);
            stop();
            reject(er);
          };
          const ondata = (value) => {
            this.removeListener("error", onerr);
            this.removeListener("end", onend);
            this.removeListener(DESTROYED, ondestroy);
            this.pause();
            resolve({ value, done: !!this[EOF] });
          };
          const onend = () => {
            this.removeListener("error", onerr);
            this.removeListener("data", ondata);
            this.removeListener(DESTROYED, ondestroy);
            stop();
            resolve({ done: true });
          };
          const ondestroy = () => onerr(new Error("stream destroyed"));
          return new Promise((res2, rej) => {
            reject = rej;
            resolve = res2;
            this.once(DESTROYED, ondestroy);
            this.once("error", onerr);
            this.once("end", onend);
            this.once("data", ondata);
          });
        };
        return {
          next,
          throw: stop,
          return: stop,
          [ASYNCITERATOR]() {
            return this;
          }
        };
      }
      // for (let chunk of stream)
      [ITERATOR]() {
        let stopped = false;
        const stop = () => {
          this.pause();
          this.removeListener(ERROR, stop);
          this.removeListener(DESTROYED, stop);
          this.removeListener("end", stop);
          stopped = true;
          return { done: true };
        };
        const next = () => {
          if (stopped)
            return stop();
          const value = this.read();
          return value === null ? stop() : { value };
        };
        this.once("end", stop);
        this.once(ERROR, stop);
        this.once(DESTROYED, stop);
        return {
          next,
          throw: stop,
          return: stop,
          [ITERATOR]() {
            return this;
          }
        };
      }
      destroy(er) {
        if (this[DESTROYED]) {
          if (er)
            this.emit("error", er);
          else
            this.emit(DESTROYED);
          return this;
        }
        this[DESTROYED] = true;
        this[BUFFER].length = 0;
        this[BUFFERLENGTH] = 0;
        if (typeof this.close === "function" && !this[CLOSED])
          this.close();
        if (er)
          this.emit("error", er);
        else
          this.emit(DESTROYED);
        return this;
      }
      static isStream(s) {
        return !!s && (s instanceof _Minipass || s instanceof Stream || s instanceof EE && // readable
        (typeof s.pipe === "function" || // writable
        typeof s.write === "function" && typeof s.end === "function"));
      }
    };
    exports2.Minipass = Minipass;
  }
});

// ../../components/source-repositories/node_modules/path-scurry/dist/cjs/index.js
var require_cjs3 = __commonJS({
  "../../components/source-repositories/node_modules/path-scurry/dist/cjs/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PathScurry = exports2.Path = exports2.PathScurryDarwin = exports2.PathScurryPosix = exports2.PathScurryWin32 = exports2.PathScurryBase = exports2.PathPosix = exports2.PathWin32 = exports2.PathBase = exports2.ChildrenCache = exports2.ResolveCache = void 0;
    var lru_cache_1 = require_cjs2();
    var path_1 = require("path");
    var url_1 = require("url");
    var actualFS = __importStar(require("fs"));
    var fs_1 = require("fs");
    var realpathSync = fs_1.realpathSync.native;
    var promises_1 = require("fs/promises");
    var minipass_1 = require_minipass();
    var defaultFS = {
      lstatSync: fs_1.lstatSync,
      readdir: fs_1.readdir,
      readdirSync: fs_1.readdirSync,
      readlinkSync: fs_1.readlinkSync,
      realpathSync,
      promises: {
        lstat: promises_1.lstat,
        readdir: promises_1.readdir,
        readlink: promises_1.readlink,
        realpath: promises_1.realpath
      }
    };
    var fsFromOption = (fsOption) => !fsOption || fsOption === defaultFS || fsOption === actualFS ? defaultFS : {
      ...defaultFS,
      ...fsOption,
      promises: {
        ...defaultFS.promises,
        ...fsOption.promises || {}
      }
    };
    var uncDriveRegexp = /^\\\\\?\\([a-z]:)\\?$/i;
    var uncToDrive = (rootPath) => rootPath.replace(/\//g, "\\").replace(uncDriveRegexp, "$1\\");
    var eitherSep = /[\\\/]/;
    var UNKNOWN = 0;
    var IFIFO = 1;
    var IFCHR = 2;
    var IFDIR = 4;
    var IFBLK = 6;
    var IFREG = 8;
    var IFLNK = 10;
    var IFSOCK = 12;
    var IFMT = 15;
    var IFMT_UNKNOWN = ~IFMT;
    var READDIR_CALLED = 16;
    var LSTAT_CALLED = 32;
    var ENOTDIR = 64;
    var ENOENT = 128;
    var ENOREADLINK = 256;
    var ENOREALPATH = 512;
    var ENOCHILD = ENOTDIR | ENOENT | ENOREALPATH;
    var TYPEMASK = 1023;
    var entToType = (s) => s.isFile() ? IFREG : s.isDirectory() ? IFDIR : s.isSymbolicLink() ? IFLNK : s.isCharacterDevice() ? IFCHR : s.isBlockDevice() ? IFBLK : s.isSocket() ? IFSOCK : s.isFIFO() ? IFIFO : UNKNOWN;
    var normalizeCache = /* @__PURE__ */ new Map();
    var normalize = (s) => {
      const c = normalizeCache.get(s);
      if (c)
        return c;
      const n = s.normalize("NFKD");
      normalizeCache.set(s, n);
      return n;
    };
    var normalizeNocaseCache = /* @__PURE__ */ new Map();
    var normalizeNocase = (s) => {
      const c = normalizeNocaseCache.get(s);
      if (c)
        return c;
      const n = normalize(s.toLowerCase());
      normalizeNocaseCache.set(s, n);
      return n;
    };
    var ResolveCache = class extends lru_cache_1.LRUCache {
      constructor() {
        super({ max: 256 });
      }
    };
    exports2.ResolveCache = ResolveCache;
    var ChildrenCache = class extends lru_cache_1.LRUCache {
      constructor(maxSize = 16 * 1024) {
        super({
          maxSize,
          // parent + children
          sizeCalculation: (a) => a.length + 1
        });
      }
    };
    exports2.ChildrenCache = ChildrenCache;
    var setAsCwd = Symbol("PathScurry setAsCwd");
    var PathBase = class {
      /**
       * the basename of this path
       *
       * **Important**: *always* test the path name against any test string
       * usingthe {@link isNamed} method, and not by directly comparing this
       * string. Otherwise, unicode path strings that the system sees as identical
       * will not be properly treated as the same path, leading to incorrect
       * behavior and possible security issues.
       */
      name;
      /**
       * the Path entry corresponding to the path root.
       *
       * @internal
       */
      root;
      /**
       * All roots found within the current PathScurry family
       *
       * @internal
       */
      roots;
      /**
       * a reference to the parent path, or undefined in the case of root entries
       *
       * @internal
       */
      parent;
      /**
       * boolean indicating whether paths are compared case-insensitively
       * @internal
       */
      nocase;
      // potential default fs override
      #fs;
      // Stats fields
      #dev;
      get dev() {
        return this.#dev;
      }
      #mode;
      get mode() {
        return this.#mode;
      }
      #nlink;
      get nlink() {
        return this.#nlink;
      }
      #uid;
      get uid() {
        return this.#uid;
      }
      #gid;
      get gid() {
        return this.#gid;
      }
      #rdev;
      get rdev() {
        return this.#rdev;
      }
      #blksize;
      get blksize() {
        return this.#blksize;
      }
      #ino;
      get ino() {
        return this.#ino;
      }
      #size;
      get size() {
        return this.#size;
      }
      #blocks;
      get blocks() {
        return this.#blocks;
      }
      #atimeMs;
      get atimeMs() {
        return this.#atimeMs;
      }
      #mtimeMs;
      get mtimeMs() {
        return this.#mtimeMs;
      }
      #ctimeMs;
      get ctimeMs() {
        return this.#ctimeMs;
      }
      #birthtimeMs;
      get birthtimeMs() {
        return this.#birthtimeMs;
      }
      #atime;
      get atime() {
        return this.#atime;
      }
      #mtime;
      get mtime() {
        return this.#mtime;
      }
      #ctime;
      get ctime() {
        return this.#ctime;
      }
      #birthtime;
      get birthtime() {
        return this.#birthtime;
      }
      #matchName;
      #depth;
      #fullpath;
      #fullpathPosix;
      #relative;
      #relativePosix;
      #type;
      #children;
      #linkTarget;
      #realpath;
      /**
       * This property is for compatibility with the Dirent class as of
       * Node v20, where Dirent['path'] refers to the path of the directory
       * that was passed to readdir.  So, somewhat counterintuitively, this
       * property refers to the *parent* path, not the path object itself.
       * For root entries, it's the path to the entry itself.
       */
      get path() {
        return (this.parent || this).fullpath();
      }
      /**
       * Do not create new Path objects directly.  They should always be accessed
       * via the PathScurry class or other methods on the Path class.
       *
       * @internal
       */
      constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
        this.name = name;
        this.#matchName = nocase ? normalizeNocase(name) : normalize(name);
        this.#type = type & TYPEMASK;
        this.nocase = nocase;
        this.roots = roots;
        this.root = root || this;
        this.#children = children;
        this.#fullpath = opts.fullpath;
        this.#relative = opts.relative;
        this.#relativePosix = opts.relativePosix;
        this.parent = opts.parent;
        if (this.parent) {
          this.#fs = this.parent.#fs;
        } else {
          this.#fs = fsFromOption(opts.fs);
        }
      }
      /**
       * Returns the depth of the Path object from its root.
       *
       * For example, a path at `/foo/bar` would have a depth of 2.
       */
      depth() {
        if (this.#depth !== void 0)
          return this.#depth;
        if (!this.parent)
          return this.#depth = 0;
        return this.#depth = this.parent.depth() + 1;
      }
      /**
       * @internal
       */
      childrenCache() {
        return this.#children;
      }
      /**
       * Get the Path object referenced by the string path, resolved from this Path
       */
      resolve(path) {
        if (!path) {
          return this;
        }
        const rootPath = this.getRootString(path);
        const dir = path.substring(rootPath.length);
        const dirParts = dir.split(this.splitSep);
        const result = rootPath ? this.getRoot(rootPath).#resolveParts(dirParts) : this.#resolveParts(dirParts);
        return result;
      }
      #resolveParts(dirParts) {
        let p = this;
        for (const part of dirParts) {
          p = p.child(part);
        }
        return p;
      }
      /**
       * Returns the cached children Path objects, if still available.  If they
       * have fallen out of the cache, then returns an empty array, and resets the
       * READDIR_CALLED bit, so that future calls to readdir() will require an fs
       * lookup.
       *
       * @internal
       */
      children() {
        const cached = this.#children.get(this);
        if (cached) {
          return cached;
        }
        const children = Object.assign([], { provisional: 0 });
        this.#children.set(this, children);
        this.#type &= ~READDIR_CALLED;
        return children;
      }
      /**
       * Resolves a path portion and returns or creates the child Path.
       *
       * Returns `this` if pathPart is `''` or `'.'`, or `parent` if pathPart is
       * `'..'`.
       *
       * This should not be called directly.  If `pathPart` contains any path
       * separators, it will lead to unsafe undefined behavior.
       *
       * Use `Path.resolve()` instead.
       *
       * @internal
       */
      child(pathPart, opts) {
        if (pathPart === "" || pathPart === ".") {
          return this;
        }
        if (pathPart === "..") {
          return this.parent || this;
        }
        const children = this.children();
        const name = this.nocase ? normalizeNocase(pathPart) : normalize(pathPart);
        for (const p of children) {
          if (p.#matchName === name) {
            return p;
          }
        }
        const s = this.parent ? this.sep : "";
        const fullpath = this.#fullpath ? this.#fullpath + s + pathPart : void 0;
        const pchild = this.newChild(pathPart, UNKNOWN, {
          ...opts,
          parent: this,
          fullpath
        });
        if (!this.canReaddir()) {
          pchild.#type |= ENOENT;
        }
        children.push(pchild);
        return pchild;
      }
      /**
       * The relative path from the cwd. If it does not share an ancestor with
       * the cwd, then this ends up being equivalent to the fullpath()
       */
      relative() {
        if (this.#relative !== void 0) {
          return this.#relative;
        }
        const name = this.name;
        const p = this.parent;
        if (!p) {
          return this.#relative = this.name;
        }
        const pv = p.relative();
        return pv + (!pv || !p.parent ? "" : this.sep) + name;
      }
      /**
       * The relative path from the cwd, using / as the path separator.
       * If it does not share an ancestor with
       * the cwd, then this ends up being equivalent to the fullpathPosix()
       * On posix systems, this is identical to relative().
       */
      relativePosix() {
        if (this.sep === "/")
          return this.relative();
        if (this.#relativePosix !== void 0)
          return this.#relativePosix;
        const name = this.name;
        const p = this.parent;
        if (!p) {
          return this.#relativePosix = this.fullpathPosix();
        }
        const pv = p.relativePosix();
        return pv + (!pv || !p.parent ? "" : "/") + name;
      }
      /**
       * The fully resolved path string for this Path entry
       */
      fullpath() {
        if (this.#fullpath !== void 0) {
          return this.#fullpath;
        }
        const name = this.name;
        const p = this.parent;
        if (!p) {
          return this.#fullpath = this.name;
        }
        const pv = p.fullpath();
        const fp = pv + (!p.parent ? "" : this.sep) + name;
        return this.#fullpath = fp;
      }
      /**
       * On platforms other than windows, this is identical to fullpath.
       *
       * On windows, this is overridden to return the forward-slash form of the
       * full UNC path.
       */
      fullpathPosix() {
        if (this.#fullpathPosix !== void 0)
          return this.#fullpathPosix;
        if (this.sep === "/")
          return this.#fullpathPosix = this.fullpath();
        if (!this.parent) {
          const p2 = this.fullpath().replace(/\\/g, "/");
          if (/^[a-z]:\//i.test(p2)) {
            return this.#fullpathPosix = `//?/${p2}`;
          } else {
            return this.#fullpathPosix = p2;
          }
        }
        const p = this.parent;
        const pfpp = p.fullpathPosix();
        const fpp = pfpp + (!pfpp || !p.parent ? "" : "/") + this.name;
        return this.#fullpathPosix = fpp;
      }
      /**
       * Is the Path of an unknown type?
       *
       * Note that we might know *something* about it if there has been a previous
       * filesystem operation, for example that it does not exist, or is not a
       * link, or whether it has child entries.
       */
      isUnknown() {
        return (this.#type & IFMT) === UNKNOWN;
      }
      isType(type) {
        return this[`is${type}`]();
      }
      getType() {
        return this.isUnknown() ? "Unknown" : this.isDirectory() ? "Directory" : this.isFile() ? "File" : this.isSymbolicLink() ? "SymbolicLink" : this.isFIFO() ? "FIFO" : this.isCharacterDevice() ? "CharacterDevice" : this.isBlockDevice() ? "BlockDevice" : (
          /* c8 ignore start */
          this.isSocket() ? "Socket" : "Unknown"
        );
      }
      /**
       * Is the Path a regular file?
       */
      isFile() {
        return (this.#type & IFMT) === IFREG;
      }
      /**
       * Is the Path a directory?
       */
      isDirectory() {
        return (this.#type & IFMT) === IFDIR;
      }
      /**
       * Is the path a character device?
       */
      isCharacterDevice() {
        return (this.#type & IFMT) === IFCHR;
      }
      /**
       * Is the path a block device?
       */
      isBlockDevice() {
        return (this.#type & IFMT) === IFBLK;
      }
      /**
       * Is the path a FIFO pipe?
       */
      isFIFO() {
        return (this.#type & IFMT) === IFIFO;
      }
      /**
       * Is the path a socket?
       */
      isSocket() {
        return (this.#type & IFMT) === IFSOCK;
      }
      /**
       * Is the path a symbolic link?
       */
      isSymbolicLink() {
        return (this.#type & IFLNK) === IFLNK;
      }
      /**
       * Return the entry if it has been subject of a successful lstat, or
       * undefined otherwise.
       *
       * Does not read the filesystem, so an undefined result *could* simply
       * mean that we haven't called lstat on it.
       */
      lstatCached() {
        return this.#type & LSTAT_CALLED ? this : void 0;
      }
      /**
       * Return the cached link target if the entry has been the subject of a
       * successful readlink, or undefined otherwise.
       *
       * Does not read the filesystem, so an undefined result *could* just mean we
       * don't have any cached data. Only use it if you are very sure that a
       * readlink() has been called at some point.
       */
      readlinkCached() {
        return this.#linkTarget;
      }
      /**
       * Returns the cached realpath target if the entry has been the subject
       * of a successful realpath, or undefined otherwise.
       *
       * Does not read the filesystem, so an undefined result *could* just mean we
       * don't have any cached data. Only use it if you are very sure that a
       * realpath() has been called at some point.
       */
      realpathCached() {
        return this.#realpath;
      }
      /**
       * Returns the cached child Path entries array if the entry has been the
       * subject of a successful readdir(), or [] otherwise.
       *
       * Does not read the filesystem, so an empty array *could* just mean we
       * don't have any cached data. Only use it if you are very sure that a
       * readdir() has been called recently enough to still be valid.
       */
      readdirCached() {
        const children = this.children();
        return children.slice(0, children.provisional);
      }
      /**
       * Return true if it's worth trying to readlink.  Ie, we don't (yet) have
       * any indication that readlink will definitely fail.
       *
       * Returns false if the path is known to not be a symlink, if a previous
       * readlink failed, or if the entry does not exist.
       */
      canReadlink() {
        if (this.#linkTarget)
          return true;
        if (!this.parent)
          return false;
        const ifmt = this.#type & IFMT;
        return !(ifmt !== UNKNOWN && ifmt !== IFLNK || this.#type & ENOREADLINK || this.#type & ENOENT);
      }
      /**
       * Return true if readdir has previously been successfully called on this
       * path, indicating that cachedReaddir() is likely valid.
       */
      calledReaddir() {
        return !!(this.#type & READDIR_CALLED);
      }
      /**
       * Returns true if the path is known to not exist. That is, a previous lstat
       * or readdir failed to verify its existence when that would have been
       * expected, or a parent entry was marked either enoent or enotdir.
       */
      isENOENT() {
        return !!(this.#type & ENOENT);
      }
      /**
       * Return true if the path is a match for the given path name.  This handles
       * case sensitivity and unicode normalization.
       *
       * Note: even on case-sensitive systems, it is **not** safe to test the
       * equality of the `.name` property to determine whether a given pathname
       * matches, due to unicode normalization mismatches.
       *
       * Always use this method instead of testing the `path.name` property
       * directly.
       */
      isNamed(n) {
        return !this.nocase ? this.#matchName === normalize(n) : this.#matchName === normalizeNocase(n);
      }
      /**
       * Return the Path object corresponding to the target of a symbolic link.
       *
       * If the Path is not a symbolic link, or if the readlink call fails for any
       * reason, `undefined` is returned.
       *
       * Result is cached, and thus may be outdated if the filesystem is mutated.
       */
      async readlink() {
        const target = this.#linkTarget;
        if (target) {
          return target;
        }
        if (!this.canReadlink()) {
          return void 0;
        }
        if (!this.parent) {
          return void 0;
        }
        try {
          const read = await this.#fs.promises.readlink(this.fullpath());
          const linkTarget = this.parent.resolve(read);
          if (linkTarget) {
            return this.#linkTarget = linkTarget;
          }
        } catch (er) {
          this.#readlinkFail(er.code);
          return void 0;
        }
      }
      /**
       * Synchronous {@link PathBase.readlink}
       */
      readlinkSync() {
        const target = this.#linkTarget;
        if (target) {
          return target;
        }
        if (!this.canReadlink()) {
          return void 0;
        }
        if (!this.parent) {
          return void 0;
        }
        try {
          const read = this.#fs.readlinkSync(this.fullpath());
          const linkTarget = this.parent.resolve(read);
          if (linkTarget) {
            return this.#linkTarget = linkTarget;
          }
        } catch (er) {
          this.#readlinkFail(er.code);
          return void 0;
        }
      }
      #readdirSuccess(children) {
        this.#type |= READDIR_CALLED;
        for (let p = children.provisional; p < children.length; p++) {
          children[p].#markENOENT();
        }
      }
      #markENOENT() {
        if (this.#type & ENOENT)
          return;
        this.#type = (this.#type | ENOENT) & IFMT_UNKNOWN;
        this.#markChildrenENOENT();
      }
      #markChildrenENOENT() {
        const children = this.children();
        children.provisional = 0;
        for (const p of children) {
          p.#markENOENT();
        }
      }
      #markENOREALPATH() {
        this.#type |= ENOREALPATH;
        this.#markENOTDIR();
      }
      // save the information when we know the entry is not a dir
      #markENOTDIR() {
        if (this.#type & ENOTDIR)
          return;
        let t = this.#type;
        if ((t & IFMT) === IFDIR)
          t &= IFMT_UNKNOWN;
        this.#type = t | ENOTDIR;
        this.#markChildrenENOENT();
      }
      #readdirFail(code = "") {
        if (code === "ENOTDIR" || code === "EPERM") {
          this.#markENOTDIR();
        } else if (code === "ENOENT") {
          this.#markENOENT();
        } else {
          this.children().provisional = 0;
        }
      }
      #lstatFail(code = "") {
        if (code === "ENOTDIR") {
          const p = this.parent;
          p.#markENOTDIR();
        } else if (code === "ENOENT") {
          this.#markENOENT();
        }
      }
      #readlinkFail(code = "") {
        let ter = this.#type;
        ter |= ENOREADLINK;
        if (code === "ENOENT")
          ter |= ENOENT;
        if (code === "EINVAL" || code === "UNKNOWN") {
          ter &= IFMT_UNKNOWN;
        }
        this.#type = ter;
        if (code === "ENOTDIR" && this.parent) {
          this.parent.#markENOTDIR();
        }
      }
      #readdirAddChild(e, c) {
        return this.#readdirMaybePromoteChild(e, c) || this.#readdirAddNewChild(e, c);
      }
      #readdirAddNewChild(e, c) {
        const type = entToType(e);
        const child = this.newChild(e.name, type, { parent: this });
        const ifmt = child.#type & IFMT;
        if (ifmt !== IFDIR && ifmt !== IFLNK && ifmt !== UNKNOWN) {
          child.#type |= ENOTDIR;
        }
        c.unshift(child);
        c.provisional++;
        return child;
      }
      #readdirMaybePromoteChild(e, c) {
        for (let p = c.provisional; p < c.length; p++) {
          const pchild = c[p];
          const name = this.nocase ? normalizeNocase(e.name) : normalize(e.name);
          if (name !== pchild.#matchName) {
            continue;
          }
          return this.#readdirPromoteChild(e, pchild, p, c);
        }
      }
      #readdirPromoteChild(e, p, index, c) {
        const v = p.name;
        p.#type = p.#type & IFMT_UNKNOWN | entToType(e);
        if (v !== e.name)
          p.name = e.name;
        if (index !== c.provisional) {
          if (index === c.length - 1)
            c.pop();
          else
            c.splice(index, 1);
          c.unshift(p);
        }
        c.provisional++;
        return p;
      }
      /**
       * Call lstat() on this Path, and update all known information that can be
       * determined.
       *
       * Note that unlike `fs.lstat()`, the returned value does not contain some
       * information, such as `mode`, `dev`, `nlink`, and `ino`.  If that
       * information is required, you will need to call `fs.lstat` yourself.
       *
       * If the Path refers to a nonexistent file, or if the lstat call fails for
       * any reason, `undefined` is returned.  Otherwise the updated Path object is
       * returned.
       *
       * Results are cached, and thus may be out of date if the filesystem is
       * mutated.
       */
      async lstat() {
        if ((this.#type & ENOENT) === 0) {
          try {
            this.#applyStat(await this.#fs.promises.lstat(this.fullpath()));
            return this;
          } catch (er) {
            this.#lstatFail(er.code);
          }
        }
      }
      /**
       * synchronous {@link PathBase.lstat}
       */
      lstatSync() {
        if ((this.#type & ENOENT) === 0) {
          try {
            this.#applyStat(this.#fs.lstatSync(this.fullpath()));
            return this;
          } catch (er) {
            this.#lstatFail(er.code);
          }
        }
      }
      #applyStat(st) {
        const { atime, atimeMs, birthtime, birthtimeMs, blksize, blocks, ctime, ctimeMs, dev, gid, ino, mode, mtime, mtimeMs, nlink, rdev, size, uid } = st;
        this.#atime = atime;
        this.#atimeMs = atimeMs;
        this.#birthtime = birthtime;
        this.#birthtimeMs = birthtimeMs;
        this.#blksize = blksize;
        this.#blocks = blocks;
        this.#ctime = ctime;
        this.#ctimeMs = ctimeMs;
        this.#dev = dev;
        this.#gid = gid;
        this.#ino = ino;
        this.#mode = mode;
        this.#mtime = mtime;
        this.#mtimeMs = mtimeMs;
        this.#nlink = nlink;
        this.#rdev = rdev;
        this.#size = size;
        this.#uid = uid;
        const ifmt = entToType(st);
        this.#type = this.#type & IFMT_UNKNOWN | ifmt | LSTAT_CALLED;
        if (ifmt !== UNKNOWN && ifmt !== IFDIR && ifmt !== IFLNK) {
          this.#type |= ENOTDIR;
        }
      }
      #onReaddirCB = [];
      #readdirCBInFlight = false;
      #callOnReaddirCB(children) {
        this.#readdirCBInFlight = false;
        const cbs = this.#onReaddirCB.slice();
        this.#onReaddirCB.length = 0;
        cbs.forEach((cb) => cb(null, children));
      }
      /**
       * Standard node-style callback interface to get list of directory entries.
       *
       * If the Path cannot or does not contain any children, then an empty array
       * is returned.
       *
       * Results are cached, and thus may be out of date if the filesystem is
       * mutated.
       *
       * @param cb The callback called with (er, entries).  Note that the `er`
       * param is somewhat extraneous, as all readdir() errors are handled and
       * simply result in an empty set of entries being returned.
       * @param allowZalgo Boolean indicating that immediately known results should
       * *not* be deferred with `queueMicrotask`. Defaults to `false`. Release
       * zalgo at your peril, the dark pony lord is devious and unforgiving.
       */
      readdirCB(cb, allowZalgo = false) {
        if (!this.canReaddir()) {
          if (allowZalgo)
            cb(null, []);
          else
            queueMicrotask(() => cb(null, []));
          return;
        }
        const children = this.children();
        if (this.calledReaddir()) {
          const c = children.slice(0, children.provisional);
          if (allowZalgo)
            cb(null, c);
          else
            queueMicrotask(() => cb(null, c));
          return;
        }
        this.#onReaddirCB.push(cb);
        if (this.#readdirCBInFlight) {
          return;
        }
        this.#readdirCBInFlight = true;
        const fullpath = this.fullpath();
        this.#fs.readdir(fullpath, { withFileTypes: true }, (er, entries) => {
          if (er) {
            this.#readdirFail(er.code);
            children.provisional = 0;
          } else {
            for (const e of entries) {
              this.#readdirAddChild(e, children);
            }
            this.#readdirSuccess(children);
          }
          this.#callOnReaddirCB(children.slice(0, children.provisional));
          return;
        });
      }
      #asyncReaddirInFlight;
      /**
       * Return an array of known child entries.
       *
       * If the Path cannot or does not contain any children, then an empty array
       * is returned.
       *
       * Results are cached, and thus may be out of date if the filesystem is
       * mutated.
       */
      async readdir() {
        if (!this.canReaddir()) {
          return [];
        }
        const children = this.children();
        if (this.calledReaddir()) {
          return children.slice(0, children.provisional);
        }
        const fullpath = this.fullpath();
        if (this.#asyncReaddirInFlight) {
          await this.#asyncReaddirInFlight;
        } else {
          let resolve = () => {
          };
          this.#asyncReaddirInFlight = new Promise((res) => resolve = res);
          try {
            for (const e of await this.#fs.promises.readdir(fullpath, {
              withFileTypes: true
            })) {
              this.#readdirAddChild(e, children);
            }
            this.#readdirSuccess(children);
          } catch (er) {
            this.#readdirFail(er.code);
            children.provisional = 0;
          }
          this.#asyncReaddirInFlight = void 0;
          resolve();
        }
        return children.slice(0, children.provisional);
      }
      /**
       * synchronous {@link PathBase.readdir}
       */
      readdirSync() {
        if (!this.canReaddir()) {
          return [];
        }
        const children = this.children();
        if (this.calledReaddir()) {
          return children.slice(0, children.provisional);
        }
        const fullpath = this.fullpath();
        try {
          for (const e of this.#fs.readdirSync(fullpath, {
            withFileTypes: true
          })) {
            this.#readdirAddChild(e, children);
          }
          this.#readdirSuccess(children);
        } catch (er) {
          this.#readdirFail(er.code);
          children.provisional = 0;
        }
        return children.slice(0, children.provisional);
      }
      canReaddir() {
        if (this.#type & ENOCHILD)
          return false;
        const ifmt = IFMT & this.#type;
        if (!(ifmt === UNKNOWN || ifmt === IFDIR || ifmt === IFLNK)) {
          return false;
        }
        return true;
      }
      shouldWalk(dirs, walkFilter) {
        return (this.#type & IFDIR) === IFDIR && !(this.#type & ENOCHILD) && !dirs.has(this) && (!walkFilter || walkFilter(this));
      }
      /**
       * Return the Path object corresponding to path as resolved
       * by realpath(3).
       *
       * If the realpath call fails for any reason, `undefined` is returned.
       *
       * Result is cached, and thus may be outdated if the filesystem is mutated.
       * On success, returns a Path object.
       */
      async realpath() {
        if (this.#realpath)
          return this.#realpath;
        if ((ENOREALPATH | ENOREADLINK | ENOENT) & this.#type)
          return void 0;
        try {
          const rp = await this.#fs.promises.realpath(this.fullpath());
          return this.#realpath = this.resolve(rp);
        } catch (_) {
          this.#markENOREALPATH();
        }
      }
      /**
       * Synchronous {@link realpath}
       */
      realpathSync() {
        if (this.#realpath)
          return this.#realpath;
        if ((ENOREALPATH | ENOREADLINK | ENOENT) & this.#type)
          return void 0;
        try {
          const rp = this.#fs.realpathSync(this.fullpath());
          return this.#realpath = this.resolve(rp);
        } catch (_) {
          this.#markENOREALPATH();
        }
      }
      /**
       * Internal method to mark this Path object as the scurry cwd,
       * called by {@link PathScurry#chdir}
       *
       * @internal
       */
      [setAsCwd](oldCwd) {
        if (oldCwd === this)
          return;
        const changed = /* @__PURE__ */ new Set([]);
        let rp = [];
        let p = this;
        while (p && p.parent) {
          changed.add(p);
          p.#relative = rp.join(this.sep);
          p.#relativePosix = rp.join("/");
          p = p.parent;
          rp.push("..");
        }
        p = oldCwd;
        while (p && p.parent && !changed.has(p)) {
          p.#relative = void 0;
          p.#relativePosix = void 0;
          p = p.parent;
        }
      }
    };
    exports2.PathBase = PathBase;
    var PathWin32 = class _PathWin32 extends PathBase {
      /**
       * Separator for generating path strings.
       */
      sep = "\\";
      /**
       * Separator for parsing path strings.
       */
      splitSep = eitherSep;
      /**
       * Do not create new Path objects directly.  They should always be accessed
       * via the PathScurry class or other methods on the Path class.
       *
       * @internal
       */
      constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
        super(name, type, root, roots, nocase, children, opts);
      }
      /**
       * @internal
       */
      newChild(name, type = UNKNOWN, opts = {}) {
        return new _PathWin32(name, type, this.root, this.roots, this.nocase, this.childrenCache(), opts);
      }
      /**
       * @internal
       */
      getRootString(path) {
        return path_1.win32.parse(path).root;
      }
      /**
       * @internal
       */
      getRoot(rootPath) {
        rootPath = uncToDrive(rootPath.toUpperCase());
        if (rootPath === this.root.name) {
          return this.root;
        }
        for (const [compare, root] of Object.entries(this.roots)) {
          if (this.sameRoot(rootPath, compare)) {
            return this.roots[rootPath] = root;
          }
        }
        return this.roots[rootPath] = new PathScurryWin32(rootPath, this).root;
      }
      /**
       * @internal
       */
      sameRoot(rootPath, compare = this.root.name) {
        rootPath = rootPath.toUpperCase().replace(/\//g, "\\").replace(uncDriveRegexp, "$1\\");
        return rootPath === compare;
      }
    };
    exports2.PathWin32 = PathWin32;
    var PathPosix = class _PathPosix extends PathBase {
      /**
       * separator for parsing path strings
       */
      splitSep = "/";
      /**
       * separator for generating path strings
       */
      sep = "/";
      /**
       * Do not create new Path objects directly.  They should always be accessed
       * via the PathScurry class or other methods on the Path class.
       *
       * @internal
       */
      constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
        super(name, type, root, roots, nocase, children, opts);
      }
      /**
       * @internal
       */
      getRootString(path) {
        return path.startsWith("/") ? "/" : "";
      }
      /**
       * @internal
       */
      getRoot(_rootPath) {
        return this.root;
      }
      /**
       * @internal
       */
      newChild(name, type = UNKNOWN, opts = {}) {
        return new _PathPosix(name, type, this.root, this.roots, this.nocase, this.childrenCache(), opts);
      }
    };
    exports2.PathPosix = PathPosix;
    var PathScurryBase = class {
      /**
       * The root Path entry for the current working directory of this Scurry
       */
      root;
      /**
       * The string path for the root of this Scurry's current working directory
       */
      rootPath;
      /**
       * A collection of all roots encountered, referenced by rootPath
       */
      roots;
      /**
       * The Path entry corresponding to this PathScurry's current working directory.
       */
      cwd;
      #resolveCache;
      #resolvePosixCache;
      #children;
      /**
       * Perform path comparisons case-insensitively.
       *
       * Defaults true on Darwin and Windows systems, false elsewhere.
       */
      nocase;
      #fs;
      /**
       * This class should not be instantiated directly.
       *
       * Use PathScurryWin32, PathScurryDarwin, PathScurryPosix, or PathScurry
       *
       * @internal
       */
      constructor(cwd = process.cwd(), pathImpl, sep, { nocase, childrenCacheSize = 16 * 1024, fs = defaultFS } = {}) {
        this.#fs = fsFromOption(fs);
        if (cwd instanceof URL || cwd.startsWith("file://")) {
          cwd = (0, url_1.fileURLToPath)(cwd);
        }
        const cwdPath = pathImpl.resolve(cwd);
        this.roots = /* @__PURE__ */ Object.create(null);
        this.rootPath = this.parseRootPath(cwdPath);
        this.#resolveCache = new ResolveCache();
        this.#resolvePosixCache = new ResolveCache();
        this.#children = new ChildrenCache(childrenCacheSize);
        const split = cwdPath.substring(this.rootPath.length).split(sep);
        if (split.length === 1 && !split[0]) {
          split.pop();
        }
        if (nocase === void 0) {
          throw new TypeError("must provide nocase setting to PathScurryBase ctor");
        }
        this.nocase = nocase;
        this.root = this.newRoot(this.#fs);
        this.roots[this.rootPath] = this.root;
        let prev = this.root;
        let len = split.length - 1;
        const joinSep = pathImpl.sep;
        let abs = this.rootPath;
        let sawFirst = false;
        for (const part of split) {
          const l = len--;
          prev = prev.child(part, {
            relative: new Array(l).fill("..").join(joinSep),
            relativePosix: new Array(l).fill("..").join("/"),
            fullpath: abs += (sawFirst ? "" : joinSep) + part
          });
          sawFirst = true;
        }
        this.cwd = prev;
      }
      /**
       * Get the depth of a provided path, string, or the cwd
       */
      depth(path = this.cwd) {
        if (typeof path === "string") {
          path = this.cwd.resolve(path);
        }
        return path.depth();
      }
      /**
       * Return the cache of child entries.  Exposed so subclasses can create
       * child Path objects in a platform-specific way.
       *
       * @internal
       */
      childrenCache() {
        return this.#children;
      }
      /**
       * Resolve one or more path strings to a resolved string
       *
       * Same interface as require('path').resolve.
       *
       * Much faster than path.resolve() when called multiple times for the same
       * path, because the resolved Path objects are cached.  Much slower
       * otherwise.
       */
      resolve(...paths) {
        let r = "";
        for (let i = paths.length - 1; i >= 0; i--) {
          const p = paths[i];
          if (!p || p === ".")
            continue;
          r = r ? `${p}/${r}` : p;
          if (this.isAbsolute(p)) {
            break;
          }
        }
        const cached = this.#resolveCache.get(r);
        if (cached !== void 0) {
          return cached;
        }
        const result = this.cwd.resolve(r).fullpath();
        this.#resolveCache.set(r, result);
        return result;
      }
      /**
       * Resolve one or more path strings to a resolved string, returning
       * the posix path.  Identical to .resolve() on posix systems, but on
       * windows will return a forward-slash separated UNC path.
       *
       * Same interface as require('path').resolve.
       *
       * Much faster than path.resolve() when called multiple times for the same
       * path, because the resolved Path objects are cached.  Much slower
       * otherwise.
       */
      resolvePosix(...paths) {
        let r = "";
        for (let i = paths.length - 1; i >= 0; i--) {
          const p = paths[i];
          if (!p || p === ".")
            continue;
          r = r ? `${p}/${r}` : p;
          if (this.isAbsolute(p)) {
            break;
          }
        }
        const cached = this.#resolvePosixCache.get(r);
        if (cached !== void 0) {
          return cached;
        }
        const result = this.cwd.resolve(r).fullpathPosix();
        this.#resolvePosixCache.set(r, result);
        return result;
      }
      /**
       * find the relative path from the cwd to the supplied path string or entry
       */
      relative(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return entry.relative();
      }
      /**
       * find the relative path from the cwd to the supplied path string or
       * entry, using / as the path delimiter, even on Windows.
       */
      relativePosix(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return entry.relativePosix();
      }
      /**
       * Return the basename for the provided string or Path object
       */
      basename(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return entry.name;
      }
      /**
       * Return the dirname for the provided string or Path object
       */
      dirname(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return (entry.parent || entry).fullpath();
      }
      async readdir(entry = this.cwd, opts = {
        withFileTypes: true
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes } = opts;
        if (!entry.canReaddir()) {
          return [];
        } else {
          const p = await entry.readdir();
          return withFileTypes ? p : p.map((e) => e.name);
        }
      }
      readdirSync(entry = this.cwd, opts = {
        withFileTypes: true
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true } = opts;
        if (!entry.canReaddir()) {
          return [];
        } else if (withFileTypes) {
          return entry.readdirSync();
        } else {
          return entry.readdirSync().map((e) => e.name);
        }
      }
      /**
       * Call lstat() on the string or Path object, and update all known
       * information that can be determined.
       *
       * Note that unlike `fs.lstat()`, the returned value does not contain some
       * information, such as `mode`, `dev`, `nlink`, and `ino`.  If that
       * information is required, you will need to call `fs.lstat` yourself.
       *
       * If the Path refers to a nonexistent file, or if the lstat call fails for
       * any reason, `undefined` is returned.  Otherwise the updated Path object is
       * returned.
       *
       * Results are cached, and thus may be out of date if the filesystem is
       * mutated.
       */
      async lstat(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return entry.lstat();
      }
      /**
       * synchronous {@link PathScurryBase.lstat}
       */
      lstatSync(entry = this.cwd) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        }
        return entry.lstatSync();
      }
      async readlink(entry = this.cwd, { withFileTypes } = {
        withFileTypes: false
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          withFileTypes = entry.withFileTypes;
          entry = this.cwd;
        }
        const e = await entry.readlink();
        return withFileTypes ? e : e?.fullpath();
      }
      readlinkSync(entry = this.cwd, { withFileTypes } = {
        withFileTypes: false
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          withFileTypes = entry.withFileTypes;
          entry = this.cwd;
        }
        const e = entry.readlinkSync();
        return withFileTypes ? e : e?.fullpath();
      }
      async realpath(entry = this.cwd, { withFileTypes } = {
        withFileTypes: false
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          withFileTypes = entry.withFileTypes;
          entry = this.cwd;
        }
        const e = await entry.realpath();
        return withFileTypes ? e : e?.fullpath();
      }
      realpathSync(entry = this.cwd, { withFileTypes } = {
        withFileTypes: false
      }) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          withFileTypes = entry.withFileTypes;
          entry = this.cwd;
        }
        const e = entry.realpathSync();
        return withFileTypes ? e : e?.fullpath();
      }
      async walk(entry = this.cwd, opts = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true, follow = false, filter, walkFilter } = opts;
        const results = [];
        if (!filter || filter(entry)) {
          results.push(withFileTypes ? entry : entry.fullpath());
        }
        const dirs = /* @__PURE__ */ new Set();
        const walk = (dir, cb) => {
          dirs.add(dir);
          dir.readdirCB((er, entries) => {
            if (er) {
              return cb(er);
            }
            let len = entries.length;
            if (!len)
              return cb();
            const next = () => {
              if (--len === 0) {
                cb();
              }
            };
            for (const e of entries) {
              if (!filter || filter(e)) {
                results.push(withFileTypes ? e : e.fullpath());
              }
              if (follow && e.isSymbolicLink()) {
                e.realpath().then((r) => r?.isUnknown() ? r.lstat() : r).then((r) => r?.shouldWalk(dirs, walkFilter) ? walk(r, next) : next());
              } else {
                if (e.shouldWalk(dirs, walkFilter)) {
                  walk(e, next);
                } else {
                  next();
                }
              }
            }
          }, true);
        };
        const start = entry;
        return new Promise((res, rej) => {
          walk(start, (er) => {
            if (er)
              return rej(er);
            res(results);
          });
        });
      }
      walkSync(entry = this.cwd, opts = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true, follow = false, filter, walkFilter } = opts;
        const results = [];
        if (!filter || filter(entry)) {
          results.push(withFileTypes ? entry : entry.fullpath());
        }
        const dirs = /* @__PURE__ */ new Set([entry]);
        for (const dir of dirs) {
          const entries = dir.readdirSync();
          for (const e of entries) {
            if (!filter || filter(e)) {
              results.push(withFileTypes ? e : e.fullpath());
            }
            let r = e;
            if (e.isSymbolicLink()) {
              if (!(follow && (r = e.realpathSync())))
                continue;
              if (r.isUnknown())
                r.lstatSync();
            }
            if (r.shouldWalk(dirs, walkFilter)) {
              dirs.add(r);
            }
          }
        }
        return results;
      }
      /**
       * Support for `for await`
       *
       * Alias for {@link PathScurryBase.iterate}
       *
       * Note: As of Node 19, this is very slow, compared to other methods of
       * walking.  Consider using {@link PathScurryBase.stream} if memory overhead
       * and backpressure are concerns, or {@link PathScurryBase.walk} if not.
       */
      [Symbol.asyncIterator]() {
        return this.iterate();
      }
      iterate(entry = this.cwd, options = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          options = entry;
          entry = this.cwd;
        }
        return this.stream(entry, options)[Symbol.asyncIterator]();
      }
      /**
       * Iterating over a PathScurry performs a synchronous walk.
       *
       * Alias for {@link PathScurryBase.iterateSync}
       */
      [Symbol.iterator]() {
        return this.iterateSync();
      }
      *iterateSync(entry = this.cwd, opts = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true, follow = false, filter, walkFilter } = opts;
        if (!filter || filter(entry)) {
          yield withFileTypes ? entry : entry.fullpath();
        }
        const dirs = /* @__PURE__ */ new Set([entry]);
        for (const dir of dirs) {
          const entries = dir.readdirSync();
          for (const e of entries) {
            if (!filter || filter(e)) {
              yield withFileTypes ? e : e.fullpath();
            }
            let r = e;
            if (e.isSymbolicLink()) {
              if (!(follow && (r = e.realpathSync())))
                continue;
              if (r.isUnknown())
                r.lstatSync();
            }
            if (r.shouldWalk(dirs, walkFilter)) {
              dirs.add(r);
            }
          }
        }
      }
      stream(entry = this.cwd, opts = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true, follow = false, filter, walkFilter } = opts;
        const results = new minipass_1.Minipass({ objectMode: true });
        if (!filter || filter(entry)) {
          results.write(withFileTypes ? entry : entry.fullpath());
        }
        const dirs = /* @__PURE__ */ new Set();
        const queue = [entry];
        let processing = 0;
        const process2 = () => {
          let paused = false;
          while (!paused) {
            const dir = queue.shift();
            if (!dir) {
              if (processing === 0)
                results.end();
              return;
            }
            processing++;
            dirs.add(dir);
            const onReaddir = (er, entries, didRealpaths = false) => {
              if (er)
                return results.emit("error", er);
              if (follow && !didRealpaths) {
                const promises = [];
                for (const e of entries) {
                  if (e.isSymbolicLink()) {
                    promises.push(e.realpath().then((r) => r?.isUnknown() ? r.lstat() : r));
                  }
                }
                if (promises.length) {
                  Promise.all(promises).then(() => onReaddir(null, entries, true));
                  return;
                }
              }
              for (const e of entries) {
                if (e && (!filter || filter(e))) {
                  if (!results.write(withFileTypes ? e : e.fullpath())) {
                    paused = true;
                  }
                }
              }
              processing--;
              for (const e of entries) {
                const r = e.realpathCached() || e;
                if (r.shouldWalk(dirs, walkFilter)) {
                  queue.push(r);
                }
              }
              if (paused && !results.flowing) {
                results.once("drain", process2);
              } else if (!sync) {
                process2();
              }
            };
            let sync = true;
            dir.readdirCB(onReaddir, true);
            sync = false;
          }
        };
        process2();
        return results;
      }
      streamSync(entry = this.cwd, opts = {}) {
        if (typeof entry === "string") {
          entry = this.cwd.resolve(entry);
        } else if (!(entry instanceof PathBase)) {
          opts = entry;
          entry = this.cwd;
        }
        const { withFileTypes = true, follow = false, filter, walkFilter } = opts;
        const results = new minipass_1.Minipass({ objectMode: true });
        const dirs = /* @__PURE__ */ new Set();
        if (!filter || filter(entry)) {
          results.write(withFileTypes ? entry : entry.fullpath());
        }
        const queue = [entry];
        let processing = 0;
        const process2 = () => {
          let paused = false;
          while (!paused) {
            const dir = queue.shift();
            if (!dir) {
              if (processing === 0)
                results.end();
              return;
            }
            processing++;
            dirs.add(dir);
            const entries = dir.readdirSync();
            for (const e of entries) {
              if (!filter || filter(e)) {
                if (!results.write(withFileTypes ? e : e.fullpath())) {
                  paused = true;
                }
              }
            }
            processing--;
            for (const e of entries) {
              let r = e;
              if (e.isSymbolicLink()) {
                if (!(follow && (r = e.realpathSync())))
                  continue;
                if (r.isUnknown())
                  r.lstatSync();
              }
              if (r.shouldWalk(dirs, walkFilter)) {
                queue.push(r);
              }
            }
          }
          if (paused && !results.flowing)
            results.once("drain", process2);
        };
        process2();
        return results;
      }
      chdir(path = this.cwd) {
        const oldCwd = this.cwd;
        this.cwd = typeof path === "string" ? this.cwd.resolve(path) : path;
        this.cwd[setAsCwd](oldCwd);
      }
    };
    exports2.PathScurryBase = PathScurryBase;
    var PathScurryWin32 = class extends PathScurryBase {
      /**
       * separator for generating path strings
       */
      sep = "\\";
      constructor(cwd = process.cwd(), opts = {}) {
        const { nocase = true } = opts;
        super(cwd, path_1.win32, "\\", { ...opts, nocase });
        this.nocase = nocase;
        for (let p = this.cwd; p; p = p.parent) {
          p.nocase = this.nocase;
        }
      }
      /**
       * @internal
       */
      parseRootPath(dir) {
        return path_1.win32.parse(dir).root.toUpperCase();
      }
      /**
       * @internal
       */
      newRoot(fs) {
        return new PathWin32(this.rootPath, IFDIR, void 0, this.roots, this.nocase, this.childrenCache(), { fs });
      }
      /**
       * Return true if the provided path string is an absolute path
       */
      isAbsolute(p) {
        return p.startsWith("/") || p.startsWith("\\") || /^[a-z]:(\/|\\)/i.test(p);
      }
    };
    exports2.PathScurryWin32 = PathScurryWin32;
    var PathScurryPosix = class extends PathScurryBase {
      /**
       * separator for generating path strings
       */
      sep = "/";
      constructor(cwd = process.cwd(), opts = {}) {
        const { nocase = false } = opts;
        super(cwd, path_1.posix, "/", { ...opts, nocase });
        this.nocase = nocase;
      }
      /**
       * @internal
       */
      parseRootPath(_dir) {
        return "/";
      }
      /**
       * @internal
       */
      newRoot(fs) {
        return new PathPosix(this.rootPath, IFDIR, void 0, this.roots, this.nocase, this.childrenCache(), { fs });
      }
      /**
       * Return true if the provided path string is an absolute path
       */
      isAbsolute(p) {
        return p.startsWith("/");
      }
    };
    exports2.PathScurryPosix = PathScurryPosix;
    var PathScurryDarwin = class extends PathScurryPosix {
      constructor(cwd = process.cwd(), opts = {}) {
        const { nocase = true } = opts;
        super(cwd, { ...opts, nocase });
      }
    };
    exports2.PathScurryDarwin = PathScurryDarwin;
    exports2.Path = process.platform === "win32" ? PathWin32 : PathPosix;
    exports2.PathScurry = process.platform === "win32" ? PathScurryWin32 : process.platform === "darwin" ? PathScurryDarwin : PathScurryPosix;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/pattern.js
var require_pattern = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/pattern.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pattern = void 0;
    var minimatch_1 = require_cjs();
    var isPatternList = (pl) => pl.length >= 1;
    var isGlobList = (gl) => gl.length >= 1;
    var Pattern = class _Pattern {
      #patternList;
      #globList;
      #index;
      length;
      #platform;
      #rest;
      #globString;
      #isDrive;
      #isUNC;
      #isAbsolute;
      #followGlobstar = true;
      constructor(patternList, globList, index, platform) {
        if (!isPatternList(patternList)) {
          throw new TypeError("empty pattern list");
        }
        if (!isGlobList(globList)) {
          throw new TypeError("empty glob list");
        }
        if (globList.length !== patternList.length) {
          throw new TypeError("mismatched pattern list and glob list lengths");
        }
        this.length = patternList.length;
        if (index < 0 || index >= this.length) {
          throw new TypeError("index out of range");
        }
        this.#patternList = patternList;
        this.#globList = globList;
        this.#index = index;
        this.#platform = platform;
        if (this.#index === 0) {
          if (this.isUNC()) {
            const [p0, p1, p2, p3, ...prest] = this.#patternList;
            const [g0, g1, g2, g3, ...grest] = this.#globList;
            if (prest[0] === "") {
              prest.shift();
              grest.shift();
            }
            const p = [p0, p1, p2, p3, ""].join("/");
            const g = [g0, g1, g2, g3, ""].join("/");
            this.#patternList = [p, ...prest];
            this.#globList = [g, ...grest];
            this.length = this.#patternList.length;
          } else if (this.isDrive() || this.isAbsolute()) {
            const [p1, ...prest] = this.#patternList;
            const [g1, ...grest] = this.#globList;
            if (prest[0] === "") {
              prest.shift();
              grest.shift();
            }
            const p = p1 + "/";
            const g = g1 + "/";
            this.#patternList = [p, ...prest];
            this.#globList = [g, ...grest];
            this.length = this.#patternList.length;
          }
        }
      }
      /**
       * The first entry in the parsed list of patterns
       */
      pattern() {
        return this.#patternList[this.#index];
      }
      /**
       * true of if pattern() returns a string
       */
      isString() {
        return typeof this.#patternList[this.#index] === "string";
      }
      /**
       * true of if pattern() returns GLOBSTAR
       */
      isGlobstar() {
        return this.#patternList[this.#index] === minimatch_1.GLOBSTAR;
      }
      /**
       * true if pattern() returns a regexp
       */
      isRegExp() {
        return this.#patternList[this.#index] instanceof RegExp;
      }
      /**
       * The /-joined set of glob parts that make up this pattern
       */
      globString() {
        return this.#globString = this.#globString || (this.#index === 0 ? this.isAbsolute() ? this.#globList[0] + this.#globList.slice(1).join("/") : this.#globList.join("/") : this.#globList.slice(this.#index).join("/"));
      }
      /**
       * true if there are more pattern parts after this one
       */
      hasMore() {
        return this.length > this.#index + 1;
      }
      /**
       * The rest of the pattern after this part, or null if this is the end
       */
      rest() {
        if (this.#rest !== void 0)
          return this.#rest;
        if (!this.hasMore())
          return this.#rest = null;
        this.#rest = new _Pattern(this.#patternList, this.#globList, this.#index + 1, this.#platform);
        this.#rest.#isAbsolute = this.#isAbsolute;
        this.#rest.#isUNC = this.#isUNC;
        this.#rest.#isDrive = this.#isDrive;
        return this.#rest;
      }
      /**
       * true if the pattern represents a //unc/path/ on windows
       */
      isUNC() {
        const pl = this.#patternList;
        return this.#isUNC !== void 0 ? this.#isUNC : this.#isUNC = this.#platform === "win32" && this.#index === 0 && pl[0] === "" && pl[1] === "" && typeof pl[2] === "string" && !!pl[2] && typeof pl[3] === "string" && !!pl[3];
      }
      // pattern like C:/...
      // split = ['C:', ...]
      // XXX: would be nice to handle patterns like `c:*` to test the cwd
      // in c: for *, but I don't know of a way to even figure out what that
      // cwd is without actually chdir'ing into it?
      /**
       * True if the pattern starts with a drive letter on Windows
       */
      isDrive() {
        const pl = this.#patternList;
        return this.#isDrive !== void 0 ? this.#isDrive : this.#isDrive = this.#platform === "win32" && this.#index === 0 && this.length > 1 && typeof pl[0] === "string" && /^[a-z]:$/i.test(pl[0]);
      }
      // pattern = '/' or '/...' or '/x/...'
      // split = ['', ''] or ['', ...] or ['', 'x', ...]
      // Drive and UNC both considered absolute on windows
      /**
       * True if the pattern is rooted on an absolute path
       */
      isAbsolute() {
        const pl = this.#patternList;
        return this.#isAbsolute !== void 0 ? this.#isAbsolute : this.#isAbsolute = pl[0] === "" && pl.length > 1 || this.isDrive() || this.isUNC();
      }
      /**
       * consume the root of the pattern, and return it
       */
      root() {
        const p = this.#patternList[0];
        return typeof p === "string" && this.isAbsolute() && this.#index === 0 ? p : "";
      }
      /**
       * Check to see if the current globstar pattern is allowed to follow
       * a symbolic link.
       */
      checkFollowGlobstar() {
        return !(this.#index === 0 || !this.isGlobstar() || !this.#followGlobstar);
      }
      /**
       * Mark that the current globstar pattern is following a symbolic link
       */
      markFollowGlobstar() {
        if (this.#index === 0 || !this.isGlobstar() || !this.#followGlobstar)
          return false;
        this.#followGlobstar = false;
        return true;
      }
    };
    exports2.Pattern = Pattern;
  }
});

// ../../components/source-repositories/node_modules/glob/node_modules/minipass/index.js
var require_minipass2 = __commonJS({
  "../../components/source-repositories/node_modules/glob/node_modules/minipass/index.js"(exports2) {
    "use strict";
    var proc = typeof process === "object" && process ? process : {
      stdout: null,
      stderr: null
    };
    var EE = require("events");
    var Stream = require("stream");
    var stringdecoder = require("string_decoder");
    var SD = stringdecoder.StringDecoder;
    var EOF = Symbol("EOF");
    var MAYBE_EMIT_END = Symbol("maybeEmitEnd");
    var EMITTED_END = Symbol("emittedEnd");
    var EMITTING_END = Symbol("emittingEnd");
    var EMITTED_ERROR = Symbol("emittedError");
    var CLOSED = Symbol("closed");
    var READ = Symbol("read");
    var FLUSH = Symbol("flush");
    var FLUSHCHUNK = Symbol("flushChunk");
    var ENCODING = Symbol("encoding");
    var DECODER = Symbol("decoder");
    var FLOWING = Symbol("flowing");
    var PAUSED = Symbol("paused");
    var RESUME = Symbol("resume");
    var BUFFER = Symbol("buffer");
    var PIPES = Symbol("pipes");
    var BUFFERLENGTH = Symbol("bufferLength");
    var BUFFERPUSH = Symbol("bufferPush");
    var BUFFERSHIFT = Symbol("bufferShift");
    var OBJECTMODE = Symbol("objectMode");
    var DESTROYED = Symbol("destroyed");
    var ERROR = Symbol("error");
    var EMITDATA = Symbol("emitData");
    var EMITEND = Symbol("emitEnd");
    var EMITEND2 = Symbol("emitEnd2");
    var ASYNC = Symbol("async");
    var ABORT = Symbol("abort");
    var ABORTED = Symbol("aborted");
    var SIGNAL = Symbol("signal");
    var defer = (fn) => Promise.resolve().then(fn);
    var doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== "1";
    var ASYNCITERATOR = doIter && Symbol.asyncIterator || Symbol("asyncIterator not implemented");
    var ITERATOR = doIter && Symbol.iterator || Symbol("iterator not implemented");
    var isEndish = (ev) => ev === "end" || ev === "finish" || ev === "prefinish";
    var isArrayBuffer = (b) => b instanceof ArrayBuffer || typeof b === "object" && b.constructor && b.constructor.name === "ArrayBuffer" && b.byteLength >= 0;
    var isArrayBufferView = (b) => !Buffer.isBuffer(b) && ArrayBuffer.isView(b);
    var Pipe = class {
      constructor(src, dest, opts) {
        this.src = src;
        this.dest = dest;
        this.opts = opts;
        this.ondrain = () => src[RESUME]();
        dest.on("drain", this.ondrain);
      }
      unpipe() {
        this.dest.removeListener("drain", this.ondrain);
      }
      // istanbul ignore next - only here for the prototype
      proxyErrors() {
      }
      end() {
        this.unpipe();
        if (this.opts.end)
          this.dest.end();
      }
    };
    var PipeProxyErrors = class extends Pipe {
      unpipe() {
        this.src.removeListener("error", this.proxyErrors);
        super.unpipe();
      }
      constructor(src, dest, opts) {
        super(src, dest, opts);
        this.proxyErrors = (er) => dest.emit("error", er);
        src.on("error", this.proxyErrors);
      }
    };
    var Minipass = class _Minipass extends Stream {
      constructor(options) {
        super();
        this[FLOWING] = false;
        this[PAUSED] = false;
        this[PIPES] = [];
        this[BUFFER] = [];
        this[OBJECTMODE] = options && options.objectMode || false;
        if (this[OBJECTMODE])
          this[ENCODING] = null;
        else
          this[ENCODING] = options && options.encoding || null;
        if (this[ENCODING] === "buffer")
          this[ENCODING] = null;
        this[ASYNC] = options && !!options.async || false;
        this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null;
        this[EOF] = false;
        this[EMITTED_END] = false;
        this[EMITTING_END] = false;
        this[CLOSED] = false;
        this[EMITTED_ERROR] = null;
        this.writable = true;
        this.readable = true;
        this[BUFFERLENGTH] = 0;
        this[DESTROYED] = false;
        if (options && options.debugExposeBuffer === true) {
          Object.defineProperty(this, "buffer", { get: () => this[BUFFER] });
        }
        if (options && options.debugExposePipes === true) {
          Object.defineProperty(this, "pipes", { get: () => this[PIPES] });
        }
        this[SIGNAL] = options && options.signal;
        this[ABORTED] = false;
        if (this[SIGNAL]) {
          this[SIGNAL].addEventListener("abort", () => this[ABORT]());
          if (this[SIGNAL].aborted) {
            this[ABORT]();
          }
        }
      }
      get bufferLength() {
        return this[BUFFERLENGTH];
      }
      get encoding() {
        return this[ENCODING];
      }
      set encoding(enc) {
        if (this[OBJECTMODE])
          throw new Error("cannot set encoding in objectMode");
        if (this[ENCODING] && enc !== this[ENCODING] && (this[DECODER] && this[DECODER].lastNeed || this[BUFFERLENGTH]))
          throw new Error("cannot change encoding");
        if (this[ENCODING] !== enc) {
          this[DECODER] = enc ? new SD(enc) : null;
          if (this[BUFFER].length)
            this[BUFFER] = this[BUFFER].map((chunk) => this[DECODER].write(chunk));
        }
        this[ENCODING] = enc;
      }
      setEncoding(enc) {
        this.encoding = enc;
      }
      get objectMode() {
        return this[OBJECTMODE];
      }
      set objectMode(om) {
        this[OBJECTMODE] = this[OBJECTMODE] || !!om;
      }
      get ["async"]() {
        return this[ASYNC];
      }
      set ["async"](a) {
        this[ASYNC] = this[ASYNC] || !!a;
      }
      // drop everything and get out of the flow completely
      [ABORT]() {
        this[ABORTED] = true;
        this.emit("abort", this[SIGNAL].reason);
        this.destroy(this[SIGNAL].reason);
      }
      get aborted() {
        return this[ABORTED];
      }
      set aborted(_) {
      }
      write(chunk, encoding, cb) {
        if (this[ABORTED])
          return false;
        if (this[EOF])
          throw new Error("write after end");
        if (this[DESTROYED]) {
          this.emit(
            "error",
            Object.assign(
              new Error("Cannot call write after a stream was destroyed"),
              { code: "ERR_STREAM_DESTROYED" }
            )
          );
          return true;
        }
        if (typeof encoding === "function")
          cb = encoding, encoding = "utf8";
        if (!encoding)
          encoding = "utf8";
        const fn = this[ASYNC] ? defer : (f) => f();
        if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
          if (isArrayBufferView(chunk))
            chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength);
          else if (isArrayBuffer(chunk))
            chunk = Buffer.from(chunk);
          else if (typeof chunk !== "string")
            this.objectMode = true;
        }
        if (this[OBJECTMODE]) {
          if (this.flowing && this[BUFFERLENGTH] !== 0)
            this[FLUSH](true);
          if (this.flowing)
            this.emit("data", chunk);
          else
            this[BUFFERPUSH](chunk);
          if (this[BUFFERLENGTH] !== 0)
            this.emit("readable");
          if (cb)
            fn(cb);
          return this.flowing;
        }
        if (!chunk.length) {
          if (this[BUFFERLENGTH] !== 0)
            this.emit("readable");
          if (cb)
            fn(cb);
          return this.flowing;
        }
        if (typeof chunk === "string" && // unless it is a string already ready for us to use
        !(encoding === this[ENCODING] && !this[DECODER].lastNeed)) {
          chunk = Buffer.from(chunk, encoding);
        }
        if (Buffer.isBuffer(chunk) && this[ENCODING])
          chunk = this[DECODER].write(chunk);
        if (this.flowing && this[BUFFERLENGTH] !== 0)
          this[FLUSH](true);
        if (this.flowing)
          this.emit("data", chunk);
        else
          this[BUFFERPUSH](chunk);
        if (this[BUFFERLENGTH] !== 0)
          this.emit("readable");
        if (cb)
          fn(cb);
        return this.flowing;
      }
      read(n) {
        if (this[DESTROYED])
          return null;
        if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) {
          this[MAYBE_EMIT_END]();
          return null;
        }
        if (this[OBJECTMODE])
          n = null;
        if (this[BUFFER].length > 1 && !this[OBJECTMODE]) {
          if (this.encoding)
            this[BUFFER] = [this[BUFFER].join("")];
          else
            this[BUFFER] = [Buffer.concat(this[BUFFER], this[BUFFERLENGTH])];
        }
        const ret = this[READ](n || null, this[BUFFER][0]);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [READ](n, chunk) {
        if (n === chunk.length || n === null)
          this[BUFFERSHIFT]();
        else {
          this[BUFFER][0] = chunk.slice(n);
          chunk = chunk.slice(0, n);
          this[BUFFERLENGTH] -= n;
        }
        this.emit("data", chunk);
        if (!this[BUFFER].length && !this[EOF])
          this.emit("drain");
        return chunk;
      }
      end(chunk, encoding, cb) {
        if (typeof chunk === "function")
          cb = chunk, chunk = null;
        if (typeof encoding === "function")
          cb = encoding, encoding = "utf8";
        if (chunk)
          this.write(chunk, encoding);
        if (cb)
          this.once("end", cb);
        this[EOF] = true;
        this.writable = false;
        if (this.flowing || !this[PAUSED])
          this[MAYBE_EMIT_END]();
        return this;
      }
      // don't let the internal resume be overwritten
      [RESUME]() {
        if (this[DESTROYED])
          return;
        this[PAUSED] = false;
        this[FLOWING] = true;
        this.emit("resume");
        if (this[BUFFER].length)
          this[FLUSH]();
        else if (this[EOF])
          this[MAYBE_EMIT_END]();
        else
          this.emit("drain");
      }
      resume() {
        return this[RESUME]();
      }
      pause() {
        this[FLOWING] = false;
        this[PAUSED] = true;
      }
      get destroyed() {
        return this[DESTROYED];
      }
      get flowing() {
        return this[FLOWING];
      }
      get paused() {
        return this[PAUSED];
      }
      [BUFFERPUSH](chunk) {
        if (this[OBJECTMODE])
          this[BUFFERLENGTH] += 1;
        else
          this[BUFFERLENGTH] += chunk.length;
        this[BUFFER].push(chunk);
      }
      [BUFFERSHIFT]() {
        if (this[OBJECTMODE])
          this[BUFFERLENGTH] -= 1;
        else
          this[BUFFERLENGTH] -= this[BUFFER][0].length;
        return this[BUFFER].shift();
      }
      [FLUSH](noDrain) {
        do {
        } while (this[FLUSHCHUNK](this[BUFFERSHIFT]()) && this[BUFFER].length);
        if (!noDrain && !this[BUFFER].length && !this[EOF])
          this.emit("drain");
      }
      [FLUSHCHUNK](chunk) {
        this.emit("data", chunk);
        return this.flowing;
      }
      pipe(dest, opts) {
        if (this[DESTROYED])
          return;
        const ended = this[EMITTED_END];
        opts = opts || {};
        if (dest === proc.stdout || dest === proc.stderr)
          opts.end = false;
        else
          opts.end = opts.end !== false;
        opts.proxyErrors = !!opts.proxyErrors;
        if (ended) {
          if (opts.end)
            dest.end();
        } else {
          this[PIPES].push(
            !opts.proxyErrors ? new Pipe(this, dest, opts) : new PipeProxyErrors(this, dest, opts)
          );
          if (this[ASYNC])
            defer(() => this[RESUME]());
          else
            this[RESUME]();
        }
        return dest;
      }
      unpipe(dest) {
        const p = this[PIPES].find((p2) => p2.dest === dest);
        if (p) {
          this[PIPES].splice(this[PIPES].indexOf(p), 1);
          p.unpipe();
        }
      }
      addListener(ev, fn) {
        return this.on(ev, fn);
      }
      on(ev, fn) {
        const ret = super.on(ev, fn);
        if (ev === "data" && !this[PIPES].length && !this.flowing)
          this[RESUME]();
        else if (ev === "readable" && this[BUFFERLENGTH] !== 0)
          super.emit("readable");
        else if (isEndish(ev) && this[EMITTED_END]) {
          super.emit(ev);
          this.removeAllListeners(ev);
        } else if (ev === "error" && this[EMITTED_ERROR]) {
          if (this[ASYNC])
            defer(() => fn.call(this, this[EMITTED_ERROR]));
          else
            fn.call(this, this[EMITTED_ERROR]);
        }
        return ret;
      }
      get emittedEnd() {
        return this[EMITTED_END];
      }
      [MAYBE_EMIT_END]() {
        if (!this[EMITTING_END] && !this[EMITTED_END] && !this[DESTROYED] && this[BUFFER].length === 0 && this[EOF]) {
          this[EMITTING_END] = true;
          this.emit("end");
          this.emit("prefinish");
          this.emit("finish");
          if (this[CLOSED])
            this.emit("close");
          this[EMITTING_END] = false;
        }
      }
      emit(ev, data, ...extra) {
        if (ev !== "error" && ev !== "close" && ev !== DESTROYED && this[DESTROYED])
          return;
        else if (ev === "data") {
          return !this[OBJECTMODE] && !data ? false : this[ASYNC] ? defer(() => this[EMITDATA](data)) : this[EMITDATA](data);
        } else if (ev === "end") {
          return this[EMITEND]();
        } else if (ev === "close") {
          this[CLOSED] = true;
          if (!this[EMITTED_END] && !this[DESTROYED])
            return;
          const ret2 = super.emit("close");
          this.removeAllListeners("close");
          return ret2;
        } else if (ev === "error") {
          this[EMITTED_ERROR] = data;
          super.emit(ERROR, data);
          const ret2 = !this[SIGNAL] || this.listeners("error").length ? super.emit("error", data) : false;
          this[MAYBE_EMIT_END]();
          return ret2;
        } else if (ev === "resume") {
          const ret2 = super.emit("resume");
          this[MAYBE_EMIT_END]();
          return ret2;
        } else if (ev === "finish" || ev === "prefinish") {
          const ret2 = super.emit(ev);
          this.removeAllListeners(ev);
          return ret2;
        }
        const ret = super.emit(ev, data, ...extra);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [EMITDATA](data) {
        for (const p of this[PIPES]) {
          if (p.dest.write(data) === false)
            this.pause();
        }
        const ret = super.emit("data", data);
        this[MAYBE_EMIT_END]();
        return ret;
      }
      [EMITEND]() {
        if (this[EMITTED_END])
          return;
        this[EMITTED_END] = true;
        this.readable = false;
        if (this[ASYNC])
          defer(() => this[EMITEND2]());
        else
          this[EMITEND2]();
      }
      [EMITEND2]() {
        if (this[DECODER]) {
          const data = this[DECODER].end();
          if (data) {
            for (const p of this[PIPES]) {
              p.dest.write(data);
            }
            super.emit("data", data);
          }
        }
        for (const p of this[PIPES]) {
          p.end();
        }
        const ret = super.emit("end");
        this.removeAllListeners("end");
        return ret;
      }
      // const all = await stream.collect()
      collect() {
        const buf = [];
        if (!this[OBJECTMODE])
          buf.dataLength = 0;
        const p = this.promise();
        this.on("data", (c) => {
          buf.push(c);
          if (!this[OBJECTMODE])
            buf.dataLength += c.length;
        });
        return p.then(() => buf);
      }
      // const data = await stream.concat()
      concat() {
        return this[OBJECTMODE] ? Promise.reject(new Error("cannot concat in objectMode")) : this.collect().then(
          (buf) => this[OBJECTMODE] ? Promise.reject(new Error("cannot concat in objectMode")) : this[ENCODING] ? buf.join("") : Buffer.concat(buf, buf.dataLength)
        );
      }
      // stream.promise().then(() => done, er => emitted error)
      promise() {
        return new Promise((resolve, reject) => {
          this.on(DESTROYED, () => reject(new Error("stream destroyed")));
          this.on("error", (er) => reject(er));
          this.on("end", () => resolve());
        });
      }
      // for await (let chunk of stream)
      [ASYNCITERATOR]() {
        let stopped = false;
        const stop = () => {
          this.pause();
          stopped = true;
          return Promise.resolve({ done: true });
        };
        const next = () => {
          if (stopped)
            return stop();
          const res = this.read();
          if (res !== null)
            return Promise.resolve({ done: false, value: res });
          if (this[EOF])
            return stop();
          let resolve = null;
          let reject = null;
          const onerr = (er) => {
            this.removeListener("data", ondata);
            this.removeListener("end", onend);
            this.removeListener(DESTROYED, ondestroy);
            stop();
            reject(er);
          };
          const ondata = (value) => {
            this.removeListener("error", onerr);
            this.removeListener("end", onend);
            this.removeListener(DESTROYED, ondestroy);
            this.pause();
            resolve({ value, done: !!this[EOF] });
          };
          const onend = () => {
            this.removeListener("error", onerr);
            this.removeListener("data", ondata);
            this.removeListener(DESTROYED, ondestroy);
            stop();
            resolve({ done: true });
          };
          const ondestroy = () => onerr(new Error("stream destroyed"));
          return new Promise((res2, rej) => {
            reject = rej;
            resolve = res2;
            this.once(DESTROYED, ondestroy);
            this.once("error", onerr);
            this.once("end", onend);
            this.once("data", ondata);
          });
        };
        return {
          next,
          throw: stop,
          return: stop,
          [ASYNCITERATOR]() {
            return this;
          }
        };
      }
      // for (let chunk of stream)
      [ITERATOR]() {
        let stopped = false;
        const stop = () => {
          this.pause();
          this.removeListener(ERROR, stop);
          this.removeListener(DESTROYED, stop);
          this.removeListener("end", stop);
          stopped = true;
          return { done: true };
        };
        const next = () => {
          if (stopped)
            return stop();
          const value = this.read();
          return value === null ? stop() : { value };
        };
        this.once("end", stop);
        this.once(ERROR, stop);
        this.once(DESTROYED, stop);
        return {
          next,
          throw: stop,
          return: stop,
          [ITERATOR]() {
            return this;
          }
        };
      }
      destroy(er) {
        if (this[DESTROYED]) {
          if (er)
            this.emit("error", er);
          else
            this.emit(DESTROYED);
          return this;
        }
        this[DESTROYED] = true;
        this[BUFFER].length = 0;
        this[BUFFERLENGTH] = 0;
        if (typeof this.close === "function" && !this[CLOSED])
          this.close();
        if (er)
          this.emit("error", er);
        else
          this.emit(DESTROYED);
        return this;
      }
      static isStream(s) {
        return !!s && (s instanceof _Minipass || s instanceof Stream || s instanceof EE && // readable
        (typeof s.pipe === "function" || // writable
        typeof s.write === "function" && typeof s.end === "function"));
      }
    };
    exports2.Minipass = Minipass;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/ignore.js
var require_ignore = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/ignore.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Ignore = void 0;
    var minimatch_1 = require_cjs();
    var pattern_js_1 = require_pattern();
    var defaultPlatform = typeof process === "object" && process && typeof process.platform === "string" ? process.platform : "linux";
    var Ignore = class {
      relative;
      relativeChildren;
      absolute;
      absoluteChildren;
      constructor(ignored, { nobrace, nocase, noext, noglobstar, platform = defaultPlatform }) {
        this.relative = [];
        this.absolute = [];
        this.relativeChildren = [];
        this.absoluteChildren = [];
        const mmopts = {
          dot: true,
          nobrace,
          nocase,
          noext,
          noglobstar,
          optimizationLevel: 2,
          platform,
          nocomment: true,
          nonegate: true
        };
        for (const ign of ignored) {
          const mm = new minimatch_1.Minimatch(ign, mmopts);
          for (let i = 0; i < mm.set.length; i++) {
            const parsed = mm.set[i];
            const globParts = mm.globParts[i];
            const p = new pattern_js_1.Pattern(parsed, globParts, 0, platform);
            const m = new minimatch_1.Minimatch(p.globString(), mmopts);
            const children = globParts[globParts.length - 1] === "**";
            const absolute = p.isAbsolute();
            if (absolute)
              this.absolute.push(m);
            else
              this.relative.push(m);
            if (children) {
              if (absolute)
                this.absoluteChildren.push(m);
              else
                this.relativeChildren.push(m);
            }
          }
        }
      }
      ignored(p) {
        const fullpath = p.fullpath();
        const fullpaths = `${fullpath}/`;
        const relative = p.relative() || ".";
        const relatives = `${relative}/`;
        for (const m of this.relative) {
          if (m.match(relative) || m.match(relatives))
            return true;
        }
        for (const m of this.absolute) {
          if (m.match(fullpath) || m.match(fullpaths))
            return true;
        }
        return false;
      }
      childrenIgnored(p) {
        const fullpath = p.fullpath() + "/";
        const relative = (p.relative() || ".") + "/";
        for (const m of this.relativeChildren) {
          if (m.match(relative))
            return true;
        }
        for (const m of this.absoluteChildren) {
          if (m.match(fullpath))
            true;
        }
        return false;
      }
    };
    exports2.Ignore = Ignore;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/processor.js
var require_processor = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/processor.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Processor = exports2.SubWalks = exports2.MatchRecord = exports2.HasWalkedCache = void 0;
    var minimatch_1 = require_cjs();
    var HasWalkedCache = class _HasWalkedCache {
      store;
      constructor(store = /* @__PURE__ */ new Map()) {
        this.store = store;
      }
      copy() {
        return new _HasWalkedCache(new Map(this.store));
      }
      hasWalked(target, pattern) {
        return this.store.get(target.fullpath())?.has(pattern.globString());
      }
      storeWalked(target, pattern) {
        const fullpath = target.fullpath();
        const cached = this.store.get(fullpath);
        if (cached)
          cached.add(pattern.globString());
        else
          this.store.set(fullpath, /* @__PURE__ */ new Set([pattern.globString()]));
      }
    };
    exports2.HasWalkedCache = HasWalkedCache;
    var MatchRecord = class {
      store = /* @__PURE__ */ new Map();
      add(target, absolute, ifDir) {
        const n = (absolute ? 2 : 0) | (ifDir ? 1 : 0);
        const current = this.store.get(target);
        this.store.set(target, current === void 0 ? n : n & current);
      }
      // match, absolute, ifdir
      entries() {
        return [...this.store.entries()].map(([path, n]) => [
          path,
          !!(n & 2),
          !!(n & 1)
        ]);
      }
    };
    exports2.MatchRecord = MatchRecord;
    var SubWalks = class {
      store = /* @__PURE__ */ new Map();
      add(target, pattern) {
        if (!target.canReaddir()) {
          return;
        }
        const subs = this.store.get(target);
        if (subs) {
          if (!subs.find((p) => p.globString() === pattern.globString())) {
            subs.push(pattern);
          }
        } else
          this.store.set(target, [pattern]);
      }
      get(target) {
        const subs = this.store.get(target);
        if (!subs) {
          throw new Error("attempting to walk unknown path");
        }
        return subs;
      }
      entries() {
        return this.keys().map((k) => [k, this.store.get(k)]);
      }
      keys() {
        return [...this.store.keys()].filter((t) => t.canReaddir());
      }
    };
    exports2.SubWalks = SubWalks;
    var Processor = class _Processor {
      hasWalkedCache;
      matches = new MatchRecord();
      subwalks = new SubWalks();
      patterns;
      follow;
      dot;
      opts;
      constructor(opts, hasWalkedCache) {
        this.opts = opts;
        this.follow = !!opts.follow;
        this.dot = !!opts.dot;
        this.hasWalkedCache = hasWalkedCache ? hasWalkedCache.copy() : new HasWalkedCache();
      }
      processPatterns(target, patterns) {
        this.patterns = patterns;
        const processingSet = patterns.map((p) => [target, p]);
        for (let [t, pattern] of processingSet) {
          this.hasWalkedCache.storeWalked(t, pattern);
          const root = pattern.root();
          const absolute = pattern.isAbsolute() && this.opts.absolute !== false;
          if (root) {
            t = t.resolve(root === "/" && this.opts.root !== void 0 ? this.opts.root : root);
            const rest2 = pattern.rest();
            if (!rest2) {
              this.matches.add(t, true, false);
              continue;
            } else {
              pattern = rest2;
            }
          }
          if (t.isENOENT())
            continue;
          let p;
          let rest;
          let changed = false;
          while (typeof (p = pattern.pattern()) === "string" && (rest = pattern.rest())) {
            const c = t.resolve(p);
            if (c.isUnknown() && p !== "..")
              break;
            t = c;
            pattern = rest;
            changed = true;
          }
          p = pattern.pattern();
          rest = pattern.rest();
          if (changed) {
            if (this.hasWalkedCache.hasWalked(t, pattern))
              continue;
            this.hasWalkedCache.storeWalked(t, pattern);
          }
          if (typeof p === "string") {
            if (!rest) {
              const ifDir = p === ".." || p === "" || p === ".";
              this.matches.add(t.resolve(p), absolute, ifDir);
            } else {
              this.subwalks.add(t, pattern);
            }
            continue;
          } else if (p === minimatch_1.GLOBSTAR) {
            if (!t.isSymbolicLink() || this.follow || pattern.checkFollowGlobstar()) {
              this.subwalks.add(t, pattern);
            }
            const rp = rest?.pattern();
            const rrest = rest?.rest();
            if (!rest || (rp === "" || rp === ".") && !rrest) {
              this.matches.add(t, absolute, rp === "" || rp === ".");
            } else {
              if (rp === "..") {
                const tp = t.parent || t;
                if (!rrest)
                  this.matches.add(tp, absolute, true);
                else if (!this.hasWalkedCache.hasWalked(tp, rrest)) {
                  this.subwalks.add(tp, rrest);
                }
              }
            }
          } else if (p instanceof RegExp) {
            this.subwalks.add(t, pattern);
          }
        }
        return this;
      }
      subwalkTargets() {
        return this.subwalks.keys();
      }
      child() {
        return new _Processor(this.opts, this.hasWalkedCache);
      }
      // return a new Processor containing the subwalks for each
      // child entry, and a set of matches, and
      // a hasWalkedCache that's a copy of this one
      // then we're going to call
      filterEntries(parent, entries) {
        const patterns = this.subwalks.get(parent);
        const results = this.child();
        for (const e of entries) {
          for (const pattern of patterns) {
            const absolute = pattern.isAbsolute();
            const p = pattern.pattern();
            const rest = pattern.rest();
            if (p === minimatch_1.GLOBSTAR) {
              results.testGlobstar(e, pattern, rest, absolute);
            } else if (p instanceof RegExp) {
              results.testRegExp(e, p, rest, absolute);
            } else {
              results.testString(e, p, rest, absolute);
            }
          }
        }
        return results;
      }
      testGlobstar(e, pattern, rest, absolute) {
        if (this.dot || !e.name.startsWith(".")) {
          if (!pattern.hasMore()) {
            this.matches.add(e, absolute, false);
          }
          if (e.canReaddir()) {
            if (this.follow || !e.isSymbolicLink()) {
              this.subwalks.add(e, pattern);
            } else if (e.isSymbolicLink()) {
              if (rest && pattern.checkFollowGlobstar()) {
                this.subwalks.add(e, rest);
              } else if (pattern.markFollowGlobstar()) {
                this.subwalks.add(e, pattern);
              }
            }
          }
        }
        if (rest) {
          const rp = rest.pattern();
          if (typeof rp === "string" && // dots and empty were handled already
          rp !== ".." && rp !== "" && rp !== ".") {
            this.testString(e, rp, rest.rest(), absolute);
          } else if (rp === "..") {
            const ep = e.parent || e;
            this.subwalks.add(ep, rest);
          } else if (rp instanceof RegExp) {
            this.testRegExp(e, rp, rest.rest(), absolute);
          }
        }
      }
      testRegExp(e, p, rest, absolute) {
        if (!p.test(e.name))
          return;
        if (!rest) {
          this.matches.add(e, absolute, false);
        } else {
          this.subwalks.add(e, rest);
        }
      }
      testString(e, p, rest, absolute) {
        if (!e.isNamed(p))
          return;
        if (!rest) {
          this.matches.add(e, absolute, false);
        } else {
          this.subwalks.add(e, rest);
        }
      }
    };
    exports2.Processor = Processor;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/walker.js
var require_walker = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/walker.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GlobStream = exports2.GlobWalker = exports2.GlobUtil = void 0;
    var minipass_1 = require_minipass2();
    var ignore_js_1 = require_ignore();
    var processor_js_1 = require_processor();
    var makeIgnore = (ignore, opts) => typeof ignore === "string" ? new ignore_js_1.Ignore([ignore], opts) : Array.isArray(ignore) ? new ignore_js_1.Ignore(ignore, opts) : ignore;
    var GlobUtil = class {
      path;
      patterns;
      opts;
      seen = /* @__PURE__ */ new Set();
      paused = false;
      aborted = false;
      #onResume = [];
      #ignore;
      #sep;
      signal;
      maxDepth;
      constructor(patterns, path, opts) {
        this.patterns = patterns;
        this.path = path;
        this.opts = opts;
        this.#sep = !opts.posix && opts.platform === "win32" ? "\\" : "/";
        if (opts.ignore) {
          this.#ignore = makeIgnore(opts.ignore, opts);
        }
        this.maxDepth = opts.maxDepth || Infinity;
        if (opts.signal) {
          this.signal = opts.signal;
          this.signal.addEventListener("abort", () => {
            this.#onResume.length = 0;
          });
        }
      }
      #ignored(path) {
        return this.seen.has(path) || !!this.#ignore?.ignored?.(path);
      }
      #childrenIgnored(path) {
        return !!this.#ignore?.childrenIgnored?.(path);
      }
      // backpressure mechanism
      pause() {
        this.paused = true;
      }
      resume() {
        if (this.signal?.aborted)
          return;
        this.paused = false;
        let fn = void 0;
        while (!this.paused && (fn = this.#onResume.shift())) {
          fn();
        }
      }
      onResume(fn) {
        if (this.signal?.aborted)
          return;
        if (!this.paused) {
          fn();
        } else {
          this.#onResume.push(fn);
        }
      }
      // do the requisite realpath/stat checking, and return the path
      // to add or undefined to filter it out.
      async matchCheck(e, ifDir) {
        if (ifDir && this.opts.nodir)
          return void 0;
        let rpc;
        if (this.opts.realpath) {
          rpc = e.realpathCached() || await e.realpath();
          if (!rpc)
            return void 0;
          e = rpc;
        }
        const needStat = e.isUnknown() || this.opts.stat;
        return this.matchCheckTest(needStat ? await e.lstat() : e, ifDir);
      }
      matchCheckTest(e, ifDir) {
        return e && (this.maxDepth === Infinity || e.depth() <= this.maxDepth) && (!ifDir || e.canReaddir()) && (!this.opts.nodir || !e.isDirectory()) && !this.#ignored(e) ? e : void 0;
      }
      matchCheckSync(e, ifDir) {
        if (ifDir && this.opts.nodir)
          return void 0;
        let rpc;
        if (this.opts.realpath) {
          rpc = e.realpathCached() || e.realpathSync();
          if (!rpc)
            return void 0;
          e = rpc;
        }
        const needStat = e.isUnknown() || this.opts.stat;
        return this.matchCheckTest(needStat ? e.lstatSync() : e, ifDir);
      }
      matchFinish(e, absolute) {
        if (this.#ignored(e))
          return;
        const abs = this.opts.absolute === void 0 ? absolute : this.opts.absolute;
        this.seen.add(e);
        const mark = this.opts.mark && e.isDirectory() ? this.#sep : "";
        if (this.opts.withFileTypes) {
          this.matchEmit(e);
        } else if (abs) {
          const abs2 = this.opts.posix ? e.fullpathPosix() : e.fullpath();
          this.matchEmit(abs2 + mark);
        } else {
          const rel = this.opts.posix ? e.relativePosix() : e.relative();
          const pre = this.opts.dotRelative && !rel.startsWith(".." + this.#sep) ? "." + this.#sep : "";
          this.matchEmit(!rel ? "." + mark : pre + rel + mark);
        }
      }
      async match(e, absolute, ifDir) {
        const p = await this.matchCheck(e, ifDir);
        if (p)
          this.matchFinish(p, absolute);
      }
      matchSync(e, absolute, ifDir) {
        const p = this.matchCheckSync(e, ifDir);
        if (p)
          this.matchFinish(p, absolute);
      }
      walkCB(target, patterns, cb) {
        if (this.signal?.aborted)
          cb();
        this.walkCB2(target, patterns, new processor_js_1.Processor(this.opts), cb);
      }
      walkCB2(target, patterns, processor, cb) {
        if (this.#childrenIgnored(target))
          return cb();
        if (this.signal?.aborted)
          cb();
        if (this.paused) {
          this.onResume(() => this.walkCB2(target, patterns, processor, cb));
          return;
        }
        processor.processPatterns(target, patterns);
        let tasks = 1;
        const next = () => {
          if (--tasks === 0)
            cb();
        };
        for (const [m, absolute, ifDir] of processor.matches.entries()) {
          if (this.#ignored(m))
            continue;
          tasks++;
          this.match(m, absolute, ifDir).then(() => next());
        }
        for (const t of processor.subwalkTargets()) {
          if (this.maxDepth !== Infinity && t.depth() >= this.maxDepth) {
            continue;
          }
          tasks++;
          const childrenCached = t.readdirCached();
          if (t.calledReaddir())
            this.walkCB3(t, childrenCached, processor, next);
          else {
            t.readdirCB((_, entries) => this.walkCB3(t, entries, processor, next), true);
          }
        }
        next();
      }
      walkCB3(target, entries, processor, cb) {
        processor = processor.filterEntries(target, entries);
        let tasks = 1;
        const next = () => {
          if (--tasks === 0)
            cb();
        };
        for (const [m, absolute, ifDir] of processor.matches.entries()) {
          if (this.#ignored(m))
            continue;
          tasks++;
          this.match(m, absolute, ifDir).then(() => next());
        }
        for (const [target2, patterns] of processor.subwalks.entries()) {
          tasks++;
          this.walkCB2(target2, patterns, processor.child(), next);
        }
        next();
      }
      walkCBSync(target, patterns, cb) {
        if (this.signal?.aborted)
          cb();
        this.walkCB2Sync(target, patterns, new processor_js_1.Processor(this.opts), cb);
      }
      walkCB2Sync(target, patterns, processor, cb) {
        if (this.#childrenIgnored(target))
          return cb();
        if (this.signal?.aborted)
          cb();
        if (this.paused) {
          this.onResume(() => this.walkCB2Sync(target, patterns, processor, cb));
          return;
        }
        processor.processPatterns(target, patterns);
        let tasks = 1;
        const next = () => {
          if (--tasks === 0)
            cb();
        };
        for (const [m, absolute, ifDir] of processor.matches.entries()) {
          if (this.#ignored(m))
            continue;
          this.matchSync(m, absolute, ifDir);
        }
        for (const t of processor.subwalkTargets()) {
          if (this.maxDepth !== Infinity && t.depth() >= this.maxDepth) {
            continue;
          }
          tasks++;
          const children = t.readdirSync();
          this.walkCB3Sync(t, children, processor, next);
        }
        next();
      }
      walkCB3Sync(target, entries, processor, cb) {
        processor = processor.filterEntries(target, entries);
        let tasks = 1;
        const next = () => {
          if (--tasks === 0)
            cb();
        };
        for (const [m, absolute, ifDir] of processor.matches.entries()) {
          if (this.#ignored(m))
            continue;
          this.matchSync(m, absolute, ifDir);
        }
        for (const [target2, patterns] of processor.subwalks.entries()) {
          tasks++;
          this.walkCB2Sync(target2, patterns, processor.child(), next);
        }
        next();
      }
    };
    exports2.GlobUtil = GlobUtil;
    var GlobWalker = class extends GlobUtil {
      matches;
      constructor(patterns, path, opts) {
        super(patterns, path, opts);
        this.matches = /* @__PURE__ */ new Set();
      }
      matchEmit(e) {
        this.matches.add(e);
      }
      async walk() {
        if (this.signal?.aborted)
          throw this.signal.reason;
        if (this.path.isUnknown()) {
          await this.path.lstat();
        }
        await new Promise((res, rej) => {
          this.walkCB(this.path, this.patterns, () => {
            if (this.signal?.aborted) {
              rej(this.signal.reason);
            } else {
              res(this.matches);
            }
          });
        });
        return this.matches;
      }
      walkSync() {
        if (this.signal?.aborted)
          throw this.signal.reason;
        if (this.path.isUnknown()) {
          this.path.lstatSync();
        }
        this.walkCBSync(this.path, this.patterns, () => {
          if (this.signal?.aborted)
            throw this.signal.reason;
        });
        return this.matches;
      }
    };
    exports2.GlobWalker = GlobWalker;
    var GlobStream = class extends GlobUtil {
      results;
      constructor(patterns, path, opts) {
        super(patterns, path, opts);
        this.results = new minipass_1.Minipass({
          signal: this.signal,
          objectMode: true
        });
        this.results.on("drain", () => this.resume());
        this.results.on("resume", () => this.resume());
      }
      matchEmit(e) {
        this.results.write(e);
        if (!this.results.flowing)
          this.pause();
      }
      stream() {
        const target = this.path;
        if (target.isUnknown()) {
          target.lstat().then(() => {
            this.walkCB(target, this.patterns, () => this.results.end());
          });
        } else {
          this.walkCB(target, this.patterns, () => this.results.end());
        }
        return this.results;
      }
      streamSync() {
        if (this.path.isUnknown()) {
          this.path.lstatSync();
        }
        this.walkCBSync(this.path, this.patterns, () => this.results.end());
        return this.results;
      }
    };
    exports2.GlobStream = GlobStream;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/glob.js
var require_glob3 = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/glob.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Glob = void 0;
    var minimatch_1 = require_cjs();
    var path_scurry_1 = require_cjs3();
    var url_1 = require("url");
    var pattern_js_1 = require_pattern();
    var walker_js_1 = require_walker();
    var defaultPlatform = typeof process === "object" && process && typeof process.platform === "string" ? process.platform : "linux";
    var Glob = class {
      absolute;
      cwd;
      root;
      dot;
      dotRelative;
      follow;
      ignore;
      magicalBraces;
      mark;
      matchBase;
      maxDepth;
      nobrace;
      nocase;
      nodir;
      noext;
      noglobstar;
      pattern;
      platform;
      realpath;
      scurry;
      stat;
      signal;
      windowsPathsNoEscape;
      withFileTypes;
      /**
       * The options provided to the constructor.
       */
      opts;
      /**
       * An array of parsed immutable {@link Pattern} objects.
       */
      patterns;
      /**
       * All options are stored as properties on the `Glob` object.
       *
       * See {@link GlobOptions} for full options descriptions.
       *
       * Note that a previous `Glob` object can be passed as the
       * `GlobOptions` to another `Glob` instantiation to re-use settings
       * and caches with a new pattern.
       *
       * Traversal functions can be called multiple times to run the walk
       * again.
       */
      constructor(pattern, opts) {
        this.withFileTypes = !!opts.withFileTypes;
        this.signal = opts.signal;
        this.follow = !!opts.follow;
        this.dot = !!opts.dot;
        this.dotRelative = !!opts.dotRelative;
        this.nodir = !!opts.nodir;
        this.mark = !!opts.mark;
        if (!opts.cwd) {
          this.cwd = "";
        } else if (opts.cwd instanceof URL || opts.cwd.startsWith("file://")) {
          opts.cwd = (0, url_1.fileURLToPath)(opts.cwd);
        }
        this.cwd = opts.cwd || "";
        this.root = opts.root;
        this.magicalBraces = !!opts.magicalBraces;
        this.nobrace = !!opts.nobrace;
        this.noext = !!opts.noext;
        this.realpath = !!opts.realpath;
        this.absolute = opts.absolute;
        this.noglobstar = !!opts.noglobstar;
        this.matchBase = !!opts.matchBase;
        this.maxDepth = typeof opts.maxDepth === "number" ? opts.maxDepth : Infinity;
        this.stat = !!opts.stat;
        this.ignore = opts.ignore;
        if (this.withFileTypes && this.absolute !== void 0) {
          throw new Error("cannot set absolute and withFileTypes:true");
        }
        if (typeof pattern === "string") {
          pattern = [pattern];
        }
        this.windowsPathsNoEscape = !!opts.windowsPathsNoEscape || opts.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          pattern = pattern.map((p) => p.replace(/\\/g, "/"));
        }
        if (this.matchBase) {
          if (opts.noglobstar) {
            throw new TypeError("base matching requires globstar");
          }
          pattern = pattern.map((p) => p.includes("/") ? p : `./**/${p}`);
        }
        this.pattern = pattern;
        this.platform = opts.platform || defaultPlatform;
        this.opts = { ...opts, platform: this.platform };
        if (opts.scurry) {
          this.scurry = opts.scurry;
          if (opts.nocase !== void 0 && opts.nocase !== opts.scurry.nocase) {
            throw new Error("nocase option contradicts provided scurry option");
          }
        } else {
          const Scurry = opts.platform === "win32" ? path_scurry_1.PathScurryWin32 : opts.platform === "darwin" ? path_scurry_1.PathScurryDarwin : opts.platform ? path_scurry_1.PathScurryPosix : path_scurry_1.PathScurry;
          this.scurry = new Scurry(this.cwd, {
            nocase: opts.nocase,
            fs: opts.fs
          });
        }
        this.nocase = this.scurry.nocase;
        const nocaseMagicOnly = this.platform === "darwin" || this.platform === "win32";
        const mmo = {
          // default nocase based on platform
          ...opts,
          dot: this.dot,
          matchBase: this.matchBase,
          nobrace: this.nobrace,
          nocase: this.nocase,
          nocaseMagicOnly,
          nocomment: true,
          noext: this.noext,
          nonegate: true,
          optimizationLevel: 2,
          platform: this.platform,
          windowsPathsNoEscape: this.windowsPathsNoEscape,
          debug: !!this.opts.debug
        };
        const mms = this.pattern.map((p) => new minimatch_1.Minimatch(p, mmo));
        const [matchSet, globParts] = mms.reduce((set, m) => {
          set[0].push(...m.set);
          set[1].push(...m.globParts);
          return set;
        }, [[], []]);
        this.patterns = matchSet.map((set, i) => {
          return new pattern_js_1.Pattern(set, globParts[i], 0, this.platform);
        });
      }
      async walk() {
        return [
          ...await new walker_js_1.GlobWalker(this.patterns, this.scurry.cwd, {
            ...this.opts,
            maxDepth: this.maxDepth !== Infinity ? this.maxDepth + this.scurry.cwd.depth() : Infinity,
            platform: this.platform,
            nocase: this.nocase
          }).walk()
        ];
      }
      walkSync() {
        return [
          ...new walker_js_1.GlobWalker(this.patterns, this.scurry.cwd, {
            ...this.opts,
            maxDepth: this.maxDepth !== Infinity ? this.maxDepth + this.scurry.cwd.depth() : Infinity,
            platform: this.platform,
            nocase: this.nocase
          }).walkSync()
        ];
      }
      stream() {
        return new walker_js_1.GlobStream(this.patterns, this.scurry.cwd, {
          ...this.opts,
          maxDepth: this.maxDepth !== Infinity ? this.maxDepth + this.scurry.cwd.depth() : Infinity,
          platform: this.platform,
          nocase: this.nocase
        }).stream();
      }
      streamSync() {
        return new walker_js_1.GlobStream(this.patterns, this.scurry.cwd, {
          ...this.opts,
          maxDepth: this.maxDepth !== Infinity ? this.maxDepth + this.scurry.cwd.depth() : Infinity,
          platform: this.platform,
          nocase: this.nocase
        }).streamSync();
      }
      /**
       * Default sync iteration function. Returns a Generator that
       * iterates over the results.
       */
      iterateSync() {
        return this.streamSync()[Symbol.iterator]();
      }
      [Symbol.iterator]() {
        return this.iterateSync();
      }
      /**
       * Default async iteration function. Returns an AsyncGenerator that
       * iterates over the results.
       */
      iterate() {
        return this.stream()[Symbol.asyncIterator]();
      }
      [Symbol.asyncIterator]() {
        return this.iterate();
      }
    };
    exports2.Glob = Glob;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/has-magic.js
var require_has_magic = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/has-magic.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.hasMagic = void 0;
    var minimatch_1 = require_cjs();
    var hasMagic = (pattern, options = {}) => {
      if (!Array.isArray(pattern)) {
        pattern = [pattern];
      }
      for (const p of pattern) {
        if (new minimatch_1.Minimatch(p, options).hasMagic())
          return true;
      }
      return false;
    };
    exports2.hasMagic = hasMagic;
  }
});

// ../../components/source-repositories/node_modules/glob/dist/cjs/src/index.js
var require_src5 = __commonJS({
  "../../components/source-repositories/node_modules/glob/dist/cjs/src/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.glob = exports2.hasMagic = exports2.Glob = exports2.unescape = exports2.escape = exports2.sync = exports2.iterate = exports2.iterateSync = exports2.stream = exports2.streamSync = exports2.globIterate = exports2.globIterateSync = exports2.globSync = exports2.globStream = exports2.globStreamSync = void 0;
    var minimatch_1 = require_cjs();
    var glob_js_1 = require_glob3();
    var has_magic_js_1 = require_has_magic();
    function globStreamSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).streamSync();
    }
    exports2.globStreamSync = globStreamSync;
    function globStream(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).stream();
    }
    exports2.globStream = globStream;
    function globSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).walkSync();
    }
    exports2.globSync = globSync;
    async function glob_(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).walk();
    }
    function globIterateSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).iterateSync();
    }
    exports2.globIterateSync = globIterateSync;
    function globIterate(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).iterate();
    }
    exports2.globIterate = globIterate;
    exports2.streamSync = globStreamSync;
    exports2.stream = Object.assign(globStream, { sync: globStreamSync });
    exports2.iterateSync = globIterateSync;
    exports2.iterate = Object.assign(globIterate, {
      sync: globIterateSync
    });
    exports2.sync = Object.assign(globSync, {
      stream: globStreamSync,
      iterate: globIterateSync
    });
    var minimatch_2 = require_cjs();
    Object.defineProperty(exports2, "escape", { enumerable: true, get: function() {
      return minimatch_2.escape;
    } });
    Object.defineProperty(exports2, "unescape", { enumerable: true, get: function() {
      return minimatch_2.unescape;
    } });
    var glob_js_2 = require_glob3();
    Object.defineProperty(exports2, "Glob", { enumerable: true, get: function() {
      return glob_js_2.Glob;
    } });
    var has_magic_js_2 = require_has_magic();
    Object.defineProperty(exports2, "hasMagic", { enumerable: true, get: function() {
      return has_magic_js_2.hasMagic;
    } });
    exports2.glob = Object.assign(glob_, {
      glob: glob_,
      globSync,
      sync: exports2.sync,
      globStream,
      stream: exports2.stream,
      globStreamSync,
      streamSync: exports2.streamSync,
      globIterate,
      iterate: exports2.iterate,
      globIterateSync,
      iterateSync: exports2.iterateSync,
      Glob: glob_js_1.Glob,
      hasMagic: has_magic_js_1.hasMagic,
      escape: minimatch_1.escape,
      unescape: minimatch_1.unescape
    });
    exports2.glob.glob = exports2.glob;
  }
});

// ../../components/source-repositories/node_modules/mustache/mustache.js
var require_mustache = __commonJS({
  "../../components/source-repositories/node_modules/mustache/mustache.js"(exports2, module2) {
    (function(global2, factory) {
      typeof exports2 === "object" && typeof module2 !== "undefined" ? module2.exports = factory() : typeof define === "function" && define.amd ? define(factory) : (global2 = global2 || self, global2.Mustache = factory());
    })(exports2, function() {
      "use strict";
      var objectToString = Object.prototype.toString;
      var isArray = Array.isArray || function isArrayPolyfill(object) {
        return objectToString.call(object) === "[object Array]";
      };
      function isFunction(object) {
        return typeof object === "function";
      }
      function typeStr(obj) {
        return isArray(obj) ? "array" : typeof obj;
      }
      function escapeRegExp(string) {
        return string.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g, "\\$&");
      }
      function hasProperty(obj, propName) {
        return obj != null && typeof obj === "object" && propName in obj;
      }
      function primitiveHasOwnProperty(primitive, propName) {
        return primitive != null && typeof primitive !== "object" && primitive.hasOwnProperty && primitive.hasOwnProperty(propName);
      }
      var regExpTest = RegExp.prototype.test;
      function testRegExp(re, string) {
        return regExpTest.call(re, string);
      }
      var nonSpaceRe = /\S/;
      function isWhitespace(string) {
        return !testRegExp(nonSpaceRe, string);
      }
      var entityMap = {
        "&": "&amp;",
        "<": "&lt;",
        ">": "&gt;",
        '"': "&quot;",
        "'": "&#39;",
        "/": "&#x2F;",
        "`": "&#x60;",
        "=": "&#x3D;"
      };
      function escapeHtml(string) {
        return String(string).replace(/[&<>"'`=\/]/g, function fromEntityMap(s) {
          return entityMap[s];
        });
      }
      var whiteRe = /\s*/;
      var spaceRe = /\s+/;
      var equalsRe = /\s*=/;
      var curlyRe = /\s*\}/;
      var tagRe = /#|\^|\/|>|\{|&|=|!/;
      function parseTemplate(template, tags) {
        if (!template)
          return [];
        var lineHasNonSpace = false;
        var sections = [];
        var tokens = [];
        var spaces = [];
        var hasTag = false;
        var nonSpace = false;
        var indentation = "";
        var tagIndex = 0;
        function stripSpace() {
          if (hasTag && !nonSpace) {
            while (spaces.length)
              delete tokens[spaces.pop()];
          } else {
            spaces = [];
          }
          hasTag = false;
          nonSpace = false;
        }
        var openingTagRe, closingTagRe, closingCurlyRe;
        function compileTags(tagsToCompile) {
          if (typeof tagsToCompile === "string")
            tagsToCompile = tagsToCompile.split(spaceRe, 2);
          if (!isArray(tagsToCompile) || tagsToCompile.length !== 2)
            throw new Error("Invalid tags: " + tagsToCompile);
          openingTagRe = new RegExp(escapeRegExp(tagsToCompile[0]) + "\\s*");
          closingTagRe = new RegExp("\\s*" + escapeRegExp(tagsToCompile[1]));
          closingCurlyRe = new RegExp("\\s*" + escapeRegExp("}" + tagsToCompile[1]));
        }
        compileTags(tags || mustache.tags);
        var scanner = new Scanner(template);
        var start, type, value, chr, token, openSection;
        while (!scanner.eos()) {
          start = scanner.pos;
          value = scanner.scanUntil(openingTagRe);
          if (value) {
            for (var i = 0, valueLength = value.length; i < valueLength; ++i) {
              chr = value.charAt(i);
              if (isWhitespace(chr)) {
                spaces.push(tokens.length);
                indentation += chr;
              } else {
                nonSpace = true;
                lineHasNonSpace = true;
                indentation += " ";
              }
              tokens.push(["text", chr, start, start + 1]);
              start += 1;
              if (chr === "\n") {
                stripSpace();
                indentation = "";
                tagIndex = 0;
                lineHasNonSpace = false;
              }
            }
          }
          if (!scanner.scan(openingTagRe))
            break;
          hasTag = true;
          type = scanner.scan(tagRe) || "name";
          scanner.scan(whiteRe);
          if (type === "=") {
            value = scanner.scanUntil(equalsRe);
            scanner.scan(equalsRe);
            scanner.scanUntil(closingTagRe);
          } else if (type === "{") {
            value = scanner.scanUntil(closingCurlyRe);
            scanner.scan(curlyRe);
            scanner.scanUntil(closingTagRe);
            type = "&";
          } else {
            value = scanner.scanUntil(closingTagRe);
          }
          if (!scanner.scan(closingTagRe))
            throw new Error("Unclosed tag at " + scanner.pos);
          if (type == ">") {
            token = [type, value, start, scanner.pos, indentation, tagIndex, lineHasNonSpace];
          } else {
            token = [type, value, start, scanner.pos];
          }
          tagIndex++;
          tokens.push(token);
          if (type === "#" || type === "^") {
            sections.push(token);
          } else if (type === "/") {
            openSection = sections.pop();
            if (!openSection)
              throw new Error('Unopened section "' + value + '" at ' + start);
            if (openSection[1] !== value)
              throw new Error('Unclosed section "' + openSection[1] + '" at ' + start);
          } else if (type === "name" || type === "{" || type === "&") {
            nonSpace = true;
          } else if (type === "=") {
            compileTags(value);
          }
        }
        stripSpace();
        openSection = sections.pop();
        if (openSection)
          throw new Error('Unclosed section "' + openSection[1] + '" at ' + scanner.pos);
        return nestTokens(squashTokens(tokens));
      }
      function squashTokens(tokens) {
        var squashedTokens = [];
        var token, lastToken;
        for (var i = 0, numTokens = tokens.length; i < numTokens; ++i) {
          token = tokens[i];
          if (token) {
            if (token[0] === "text" && lastToken && lastToken[0] === "text") {
              lastToken[1] += token[1];
              lastToken[3] = token[3];
            } else {
              squashedTokens.push(token);
              lastToken = token;
            }
          }
        }
        return squashedTokens;
      }
      function nestTokens(tokens) {
        var nestedTokens = [];
        var collector = nestedTokens;
        var sections = [];
        var token, section;
        for (var i = 0, numTokens = tokens.length; i < numTokens; ++i) {
          token = tokens[i];
          switch (token[0]) {
            case "#":
            case "^":
              collector.push(token);
              sections.push(token);
              collector = token[4] = [];
              break;
            case "/":
              section = sections.pop();
              section[5] = token[2];
              collector = sections.length > 0 ? sections[sections.length - 1][4] : nestedTokens;
              break;
            default:
              collector.push(token);
          }
        }
        return nestedTokens;
      }
      function Scanner(string) {
        this.string = string;
        this.tail = string;
        this.pos = 0;
      }
      Scanner.prototype.eos = function eos() {
        return this.tail === "";
      };
      Scanner.prototype.scan = function scan(re) {
        var match = this.tail.match(re);
        if (!match || match.index !== 0)
          return "";
        var string = match[0];
        this.tail = this.tail.substring(string.length);
        this.pos += string.length;
        return string;
      };
      Scanner.prototype.scanUntil = function scanUntil(re) {
        var index = this.tail.search(re), match;
        switch (index) {
          case -1:
            match = this.tail;
            this.tail = "";
            break;
          case 0:
            match = "";
            break;
          default:
            match = this.tail.substring(0, index);
            this.tail = this.tail.substring(index);
        }
        this.pos += match.length;
        return match;
      };
      function Context(view, parentContext) {
        this.view = view;
        this.cache = { ".": this.view };
        this.parent = parentContext;
      }
      Context.prototype.push = function push(view) {
        return new Context(view, this);
      };
      Context.prototype.lookup = function lookup(name) {
        var cache = this.cache;
        var value;
        if (cache.hasOwnProperty(name)) {
          value = cache[name];
        } else {
          var context = this, intermediateValue, names, index, lookupHit = false;
          while (context) {
            if (name.indexOf(".") > 0) {
              intermediateValue = context.view;
              names = name.split(".");
              index = 0;
              while (intermediateValue != null && index < names.length) {
                if (index === names.length - 1)
                  lookupHit = hasProperty(intermediateValue, names[index]) || primitiveHasOwnProperty(intermediateValue, names[index]);
                intermediateValue = intermediateValue[names[index++]];
              }
            } else {
              intermediateValue = context.view[name];
              lookupHit = hasProperty(context.view, name);
            }
            if (lookupHit) {
              value = intermediateValue;
              break;
            }
            context = context.parent;
          }
          cache[name] = value;
        }
        if (isFunction(value))
          value = value.call(this.view);
        return value;
      };
      function Writer() {
        this.templateCache = {
          _cache: {},
          set: function set(key, value) {
            this._cache[key] = value;
          },
          get: function get(key) {
            return this._cache[key];
          },
          clear: function clear() {
            this._cache = {};
          }
        };
      }
      Writer.prototype.clearCache = function clearCache() {
        if (typeof this.templateCache !== "undefined") {
          this.templateCache.clear();
        }
      };
      Writer.prototype.parse = function parse(template, tags) {
        var cache = this.templateCache;
        var cacheKey = template + ":" + (tags || mustache.tags).join(":");
        var isCacheEnabled = typeof cache !== "undefined";
        var tokens = isCacheEnabled ? cache.get(cacheKey) : void 0;
        if (tokens == void 0) {
          tokens = parseTemplate(template, tags);
          isCacheEnabled && cache.set(cacheKey, tokens);
        }
        return tokens;
      };
      Writer.prototype.render = function render(template, view, partials, config) {
        var tags = this.getConfigTags(config);
        var tokens = this.parse(template, tags);
        var context = view instanceof Context ? view : new Context(view, void 0);
        return this.renderTokens(tokens, context, partials, template, config);
      };
      Writer.prototype.renderTokens = function renderTokens(tokens, context, partials, originalTemplate, config) {
        var buffer = "";
        var token, symbol, value;
        for (var i = 0, numTokens = tokens.length; i < numTokens; ++i) {
          value = void 0;
          token = tokens[i];
          symbol = token[0];
          if (symbol === "#")
            value = this.renderSection(token, context, partials, originalTemplate, config);
          else if (symbol === "^")
            value = this.renderInverted(token, context, partials, originalTemplate, config);
          else if (symbol === ">")
            value = this.renderPartial(token, context, partials, config);
          else if (symbol === "&")
            value = this.unescapedValue(token, context);
          else if (symbol === "name")
            value = this.escapedValue(token, context, config);
          else if (symbol === "text")
            value = this.rawValue(token);
          if (value !== void 0)
            buffer += value;
        }
        return buffer;
      };
      Writer.prototype.renderSection = function renderSection(token, context, partials, originalTemplate, config) {
        var self2 = this;
        var buffer = "";
        var value = context.lookup(token[1]);
        function subRender(template) {
          return self2.render(template, context, partials, config);
        }
        if (!value)
          return;
        if (isArray(value)) {
          for (var j = 0, valueLength = value.length; j < valueLength; ++j) {
            buffer += this.renderTokens(token[4], context.push(value[j]), partials, originalTemplate, config);
          }
        } else if (typeof value === "object" || typeof value === "string" || typeof value === "number") {
          buffer += this.renderTokens(token[4], context.push(value), partials, originalTemplate, config);
        } else if (isFunction(value)) {
          if (typeof originalTemplate !== "string")
            throw new Error("Cannot use higher-order sections without the original template");
          value = value.call(context.view, originalTemplate.slice(token[3], token[5]), subRender);
          if (value != null)
            buffer += value;
        } else {
          buffer += this.renderTokens(token[4], context, partials, originalTemplate, config);
        }
        return buffer;
      };
      Writer.prototype.renderInverted = function renderInverted(token, context, partials, originalTemplate, config) {
        var value = context.lookup(token[1]);
        if (!value || isArray(value) && value.length === 0)
          return this.renderTokens(token[4], context, partials, originalTemplate, config);
      };
      Writer.prototype.indentPartial = function indentPartial(partial, indentation, lineHasNonSpace) {
        var filteredIndentation = indentation.replace(/[^ \t]/g, "");
        var partialByNl = partial.split("\n");
        for (var i = 0; i < partialByNl.length; i++) {
          if (partialByNl[i].length && (i > 0 || !lineHasNonSpace)) {
            partialByNl[i] = filteredIndentation + partialByNl[i];
          }
        }
        return partialByNl.join("\n");
      };
      Writer.prototype.renderPartial = function renderPartial(token, context, partials, config) {
        if (!partials)
          return;
        var tags = this.getConfigTags(config);
        var value = isFunction(partials) ? partials(token[1]) : partials[token[1]];
        if (value != null) {
          var lineHasNonSpace = token[6];
          var tagIndex = token[5];
          var indentation = token[4];
          var indentedValue = value;
          if (tagIndex == 0 && indentation) {
            indentedValue = this.indentPartial(value, indentation, lineHasNonSpace);
          }
          var tokens = this.parse(indentedValue, tags);
          return this.renderTokens(tokens, context, partials, indentedValue, config);
        }
      };
      Writer.prototype.unescapedValue = function unescapedValue(token, context) {
        var value = context.lookup(token[1]);
        if (value != null)
          return value;
      };
      Writer.prototype.escapedValue = function escapedValue(token, context, config) {
        var escape = this.getConfigEscape(config) || mustache.escape;
        var value = context.lookup(token[1]);
        if (value != null)
          return typeof value === "number" && escape === mustache.escape ? String(value) : escape(value);
      };
      Writer.prototype.rawValue = function rawValue(token) {
        return token[1];
      };
      Writer.prototype.getConfigTags = function getConfigTags(config) {
        if (isArray(config)) {
          return config;
        } else if (config && typeof config === "object") {
          return config.tags;
        } else {
          return void 0;
        }
      };
      Writer.prototype.getConfigEscape = function getConfigEscape(config) {
        if (config && typeof config === "object" && !isArray(config)) {
          return config.escape;
        } else {
          return void 0;
        }
      };
      var mustache = {
        name: "mustache.js",
        version: "4.2.0",
        tags: ["{{", "}}"],
        clearCache: void 0,
        escape: void 0,
        parse: void 0,
        render: void 0,
        Scanner: void 0,
        Context: void 0,
        Writer: void 0,
        /**
         * Allows a user to override the default caching strategy, by providing an
         * object with set, get and clear methods. This can also be used to disable
         * the cache by setting it to the literal `undefined`.
         */
        set templateCache(cache) {
          defaultWriter.templateCache = cache;
        },
        /**
         * Gets the default or overridden caching object from the default writer.
         */
        get templateCache() {
          return defaultWriter.templateCache;
        }
      };
      var defaultWriter = new Writer();
      mustache.clearCache = function clearCache() {
        return defaultWriter.clearCache();
      };
      mustache.parse = function parse(template, tags) {
        return defaultWriter.parse(template, tags);
      };
      mustache.render = function render(template, view, partials, config) {
        if (typeof template !== "string") {
          throw new TypeError('Invalid template! Template should be a "string" but "' + typeStr(template) + '" was given as the first argument for mustache#render(template, view, partials)');
        }
        return defaultWriter.render(template, view, partials, config);
      };
      mustache.escape = escapeHtml;
      mustache.Scanner = Scanner;
      mustache.Context = Context;
      mustache.Writer = Writer;
      return mustache;
    });
  }
});

// ../../components/source-repositories/lib/static-assets.js
var require_static_assets = __commonJS({
  "../../components/source-repositories/lib/static-assets.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SubstitionAsset = exports2.StaticAsset = void 0;
    var fs = __importStar(require("fs"));
    var pathing = __importStar(require("path"));
    var glob = __importStar(require_src5());
    var Mustache = __importStar(require_mustache());
    var STATIC_ASSET_DIRECTORY = "static-assets";
    var StaticAsset = class {
      static findAll(globPath, globOptions) {
        return glob.sync(pathing.join(globPath !== null && globPath !== void 0 ? globPath : "**/*"), {
          cwd: STATIC_ASSET_DIRECTORY,
          nodir: true,
          dot: true,
          ...globOptions
        }).map((path) => new this(path));
      }
      constructor(path_) {
        this.path_ = path_;
        this.content_ = fs.readFileSync(pathing.join(STATIC_ASSET_DIRECTORY, path_));
        this.location = path_;
      }
      path() {
        return this.location;
      }
      content() {
        return this.content_;
      }
      toString() {
        return this.content().toString();
      }
    };
    exports2.StaticAsset = StaticAsset;
    var SubstitionAsset = class extends StaticAsset {
      constructor(path) {
        super(path);
      }
      /**
       * @deprecated
       * @param subsitution
       * @returns
       */
      subsitite(subsitution) {
        return this.substitute(subsitution);
      }
      /**
       * Use Mustache subsitution across this asset.
       * @param subsitution
       * @returns
       */
      substitute(subsitution) {
        return Mustache.render(this.content().toString(), subsitution);
      }
    };
    exports2.SubstitionAsset = SubstitionAsset;
  }
});

// ../../components/source-repositories/lib/files/source-file.js
var require_source_file = __commonJS({
  "../../components/source-repositories/lib/files/source-file.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceFile = void 0;
    var file_1 = require_file3();
    var SourceFile = class extends file_1.File {
      constructor(sourceRepository, filePath, content, _options) {
        sourceRepository._trackFile(filePath, Buffer.from(content, "utf8"));
        super(sourceRepository, filePath, Buffer.from(content));
        this.sourceRepository = sourceRepository;
        this.filepath = filePath;
      }
    };
    exports2.SourceFile = SourceFile;
  }
});

// ../blueprint/node_modules/projen/lib/component.js
var require_component3 = __commonJS({
  "../blueprint/node_modules/projen/lib/component.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Component = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var Component = class {
      constructor(project) {
        this.project = project;
        project._addComponent(this);
      }
      /**
       * Called before synthesis.
       */
      preSynthesize() {
      }
      /**
       * Synthesizes files to the project output directory.
       */
      synthesize() {
      }
      /**
       * Called after synthesis. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
    };
    exports2.Component = Component;
    _a = JSII_RTTI_SYMBOL_1;
    Component[_a] = { fqn: "projen.Component", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/dev-env.js
var require_dev_env3 = __commonJS({
  "../blueprint/node_modules/projen/lib/dev-env.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevEnvironmentDockerImage = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var DevEnvironmentDockerImage = class {
      /**
       * A publicly available Docker image.
       * @example 'ubuntu:latest'
       * @param image a Docker image
       */
      static fromImage(image) {
        return { image };
      }
      /**
       * The relative path of a Dockerfile that defines the container contents.
       * @example '.gitpod.Docker'
       * @param dockerFile a relative path
       */
      static fromFile(dockerFile) {
        return { dockerFile };
      }
      constructor() {
      }
    };
    exports2.DevEnvironmentDockerImage = DevEnvironmentDockerImage;
    _a = JSII_RTTI_SYMBOL_1;
    DevEnvironmentDockerImage[_a] = { fqn: "projen.DevEnvironmentDockerImage", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/package.json
var require_package3 = __commonJS({
  "../blueprint/node_modules/projen/package.json"(exports2, module2) {
    module2.exports = {
      name: "projen",
      description: "CDK for software projects",
      repository: {
        type: "git",
        url: "https://github.com/projen/projen.git"
      },
      bin: {
        projen: "bin/projen"
      },
      scripts: {
        build: "/bin/bash ./projen.bash build",
        bump: "/bin/bash ./projen.bash bump",
        "bundle:task-runner": "/bin/bash ./projen.bash bundle:task-runner",
        clobber: "/bin/bash ./projen.bash clobber",
        compat: "/bin/bash ./projen.bash compat",
        compile: "/bin/bash ./projen.bash compile",
        "contributors:update": "/bin/bash ./projen.bash contributors:update",
        default: "/bin/bash ./projen.bash default",
        "devenv:setup": "/bin/bash ./projen.bash devenv:setup",
        docgen: "/bin/bash ./projen.bash docgen",
        eject: "/bin/bash ./projen.bash eject",
        eslint: "/bin/bash ./projen.bash eslint",
        integ: "/bin/bash ./projen.bash integ",
        "integ:python-compat": "/bin/bash ./projen.bash integ:python-compat",
        package: "/bin/bash ./projen.bash package",
        "package-all": "/bin/bash ./projen.bash package-all",
        "package:go": "/bin/bash ./projen.bash package:go",
        "package:java": "/bin/bash ./projen.bash package:java",
        "package:js": "/bin/bash ./projen.bash package:js",
        "package:python": "/bin/bash ./projen.bash package:python",
        "post-compile": "/bin/bash ./projen.bash post-compile",
        "post-upgrade": "/bin/bash ./projen.bash post-upgrade",
        "pre-compile": "/bin/bash ./projen.bash pre-compile",
        "readme-macros": "/bin/bash ./projen.bash readme-macros",
        release: "/bin/bash ./projen.bash release",
        test: "/bin/bash ./projen.bash test",
        "test:watch": "/bin/bash ./projen.bash test:watch",
        unbump: "/bin/bash ./projen.bash unbump",
        upgrade: "/bin/bash ./projen.bash upgrade",
        watch: "/bin/bash ./projen.bash watch",
        projen: "/bin/bash ./projen.bash"
      },
      author: {
        name: "Amazon Web Services",
        url: "https://aws.amazon.com",
        organization: true
      },
      devDependencies: {
        "@types/conventional-changelog-config-spec": "^2.1.2",
        "@types/glob": "^7.2.0",
        "@types/ini": "^1.3.31",
        "@types/jest": "^27",
        "@types/node": "^14",
        "@types/semver": "^7.5.0",
        "@types/yargs": "^16.0.5",
        "@typescript-eslint/eslint-plugin": "^5",
        "@typescript-eslint/parser": "^5",
        "all-contributors-cli": "^6.26.0",
        esbuild: "^0.18.10",
        eslint: "^8",
        "eslint-config-prettier": "^8.8.0",
        "eslint-import-resolver-node": "^0.3.7",
        "eslint-import-resolver-typescript": "^2.7.1",
        "eslint-plugin-import": "^2.27.5",
        "eslint-plugin-prettier": "^4.2.1",
        jest: "^29",
        "jest-junit": "^15",
        jsii: "5.x",
        "jsii-diff": "^1.84.0",
        "jsii-docgen": "^1.8.110",
        "jsii-pacmak": "^1.84.0",
        markmac: "^0.1.146",
        "npm-check-updates": "^16",
        prettier: "^2.8.8",
        "standard-version": "^9",
        "ts-jest": "^29",
        typescript: "5.x"
      },
      dependencies: {
        "@iarna/toml": "^2.2.5",
        case: "^1.6.3",
        chalk: "^4.1.2",
        "comment-json": "4.2.2",
        "conventional-changelog-config-spec": "^2.1.0",
        "fast-json-patch": "^3.1.1",
        glob: "^8",
        ini: "^2.0.0",
        semver: "^7.5.3",
        shx: "^0.3.4",
        xmlbuilder2: "^3.1.1",
        yaml: "^2.2.2",
        yargs: "^17.7.2"
      },
      bundledDependencies: [
        "@iarna/toml",
        "case",
        "chalk",
        "comment-json",
        "conventional-changelog-config-spec",
        "fast-json-patch",
        "glob",
        "ini",
        "semver",
        "shx",
        "xmlbuilder2",
        "yaml",
        "yargs"
      ],
      keywords: [
        "cdk",
        "cicd",
        "generator",
        "management",
        "project",
        "scaffolding"
      ],
      engines: {
        node: ">= 14.0.0"
      },
      main: "lib/index.js",
      license: "Apache-2.0",
      version: "0.71.112",
      jest: {
        maxWorkers: "50%",
        testMatch: [
          "<rootDir>/src/**/__tests__/**/*.ts?(x)",
          "<rootDir>/(test|src)/**/*(*.)@(spec|test).ts?(x)"
        ],
        clearMocks: true,
        collectCoverage: true,
        coverageReporters: [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ],
        coverageDirectory: "coverage",
        coveragePathIgnorePatterns: [
          "/node_modules/"
        ],
        testPathIgnorePatterns: [
          "/node_modules/"
        ],
        watchPathIgnorePatterns: [
          "/node_modules/"
        ],
        reporters: [
          "default",
          [
            "jest-junit",
            {
              outputDirectory: "test-reports"
            }
          ]
        ],
        preset: "ts-jest",
        globals: {
          "ts-jest": {
            tsconfig: "tsconfig.dev.json"
          }
        }
      },
      types: "lib/index.d.ts",
      stability: "experimental",
      jsii: {
        outdir: "dist",
        targets: {
          java: {
            package: "io.github.cdklabs.projen",
            maven: {
              groupId: "io.github.cdklabs",
              artifactId: "projen"
            }
          },
          python: {
            distName: "projen",
            module: "projen"
          },
          go: {
            moduleName: "github.com/projen/projen-go"
          }
        },
        tsc: {
          outDir: "lib",
          rootDir: "src"
        }
      },
      "//": '~~ Generated by projen. To modify, edit .projenrc.js and run "npx projen".'
    };
  }
});

// ../blueprint/node_modules/projen/lib/common.js
var require_common9 = __commonJS({
  "../blueprint/node_modules/projen/lib/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN = exports2.PROJEN_MARKER = exports2.PROJEN_DIR = exports2.PROJEN_RC = void 0;
    exports2.PROJEN_RC = ".projenrc.js";
    exports2.PROJEN_DIR = ".projen";
    exports2.PROJEN_MARKER = "~~ Generated by projen";
    exports2.IS_TEST_RUN = process.env.NODE_ENV === "test";
    var packageVersion = require_package3().version;
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN ? "99.99.99" : packageVersion;
  }
});

// ../blueprint/node_modules/projen/lib/_resolve.js
var require_resolve3 = __commonJS({
  "../blueprint/node_modules/projen/lib/_resolve.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolve = void 0;
    function isResolvable(obj) {
      return obj.toJSON !== void 0;
    }
    function resolve(value, options = {}) {
      const args = options.args ?? [];
      const omitEmpty = options.omitEmpty ?? false;
      if (value == null) {
        return value;
      }
      if (isResolvable(value)) {
        const resolved = value.toJSON();
        return resolve(resolved, options);
      }
      if (typeof value === "function") {
        const resolved = value.apply(void 0, args);
        return resolve(resolved, options);
      }
      if (typeof value !== "object") {
        return value;
      }
      if (Array.isArray(value)) {
        if (omitEmpty && value.length === 0) {
          return void 0;
        }
        return value.map((x) => resolve(x, options)).filter((x) => x != null);
      }
      if (value.constructor && value.constructor?.name !== "Object") {
        throw new Error(`only data types can be resolved. trying to resolve object of type ${value.constructor?.name}`);
      }
      const result = {};
      for (const [k, v] of Object.entries(value)) {
        const resolved = resolve(v, options);
        if (resolved === void 0) {
          continue;
        }
        result[k] = resolved;
      }
      if (omitEmpty && Object.keys(result).length === 0) {
        return void 0;
      }
      return result;
    }
    exports2.resolve = resolve;
  }
});

// ../blueprint/node_modules/projen/lib/projenrc.js
var require_projenrc11 = __commonJS({
  "../blueprint/node_modules/projen/lib/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var ProjenrcFile = class _ProjenrcFile extends component_1.Component {
      /**
       * Returns the `Projenrc` instance associated with a project or `undefined` if
       * there is no Projenrc.
       * @param project The project
       * @returns A Projenrc
       */
      static of(project) {
        const isProjenrc = (o) => o instanceof _ProjenrcFile;
        return project.components.find(isProjenrc);
      }
    };
    exports2.ProjenrcFile = ProjenrcFile;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcFile[_a] = { fqn: "projen.ProjenrcFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/case/dist/Case.js
var require_Case3 = __commonJS({
  "../blueprint/node_modules/case/dist/Case.js"(exports2, module2) {
    (function() {
      "use strict";
      var unicodes = function(s, prefix) {
        prefix = prefix || "";
        return s.replace(/(^|-)/g, "$1\\u" + prefix).replace(/,/g, "\\u" + prefix);
      }, basicSymbols = unicodes("20-26,28-2F,3A-40,5B-60,7B-7E,A0-BF,D7,F7", "00"), baseLowerCase = "a-z" + unicodes("DF-F6,F8-FF", "00"), baseUpperCase = "A-Z" + unicodes("C0-D6,D8-DE", "00"), improperInTitle = "A|An|And|As|At|But|By|En|For|If|In|Of|On|Or|The|To|Vs?\\.?|Via", regexps = function(symbols, lowers, uppers, impropers) {
        symbols = symbols || basicSymbols;
        lowers = lowers || baseLowerCase;
        uppers = uppers || baseUpperCase;
        impropers = impropers || improperInTitle;
        return {
          capitalize: new RegExp("(^|[" + symbols + "])([" + lowers + "])", "g"),
          pascal: new RegExp("(^|[" + symbols + "])+([" + lowers + uppers + "])", "g"),
          fill: new RegExp("[" + symbols + "]+(.|$)", "g"),
          sentence: new RegExp('(^\\s*|[\\?\\!\\.]+"?\\s+"?|,\\s+")([' + lowers + "])", "g"),
          improper: new RegExp("\\b(" + impropers + ")\\b", "g"),
          relax: new RegExp("([^" + uppers + "])([" + uppers + "]*)([" + uppers + "])(?=[^" + uppers + "]|$)", "g"),
          upper: new RegExp("^[^" + lowers + "]+$"),
          hole: /[^\s]\s[^\s]/,
          apostrophe: /'/g,
          room: new RegExp("[" + symbols + "]")
        };
      }, re = regexps(), _ = {
        re,
        unicodes,
        regexps,
        types: [],
        up: String.prototype.toUpperCase,
        low: String.prototype.toLowerCase,
        cap: function(s) {
          return _.up.call(s.charAt(0)) + s.slice(1);
        },
        decap: function(s) {
          return _.low.call(s.charAt(0)) + s.slice(1);
        },
        deapostrophe: function(s) {
          return s.replace(re.apostrophe, "");
        },
        fill: function(s, fill, deapostrophe) {
          if (fill != null) {
            s = s.replace(re.fill, function(m, next) {
              return next ? fill + next : "";
            });
          }
          if (deapostrophe) {
            s = _.deapostrophe(s);
          }
          return s;
        },
        prep: function(s, fill, pascal, upper) {
          s = s == null ? "" : s + "";
          if (!upper && re.upper.test(s)) {
            s = _.low.call(s);
          }
          if (!fill && !re.hole.test(s)) {
            var holey = _.fill(s, " ");
            if (re.hole.test(holey)) {
              s = holey;
            }
          }
          if (!pascal && !re.room.test(s)) {
            s = s.replace(re.relax, _.relax);
          }
          return s;
        },
        relax: function(m, before, acronym, caps) {
          return before + " " + (acronym ? acronym + " " : "") + caps;
        }
      }, Case = {
        _,
        of: function(s) {
          for (var i = 0, m = _.types.length; i < m; i++) {
            if (Case[_.types[i]].apply(Case, arguments) === s) {
              return _.types[i];
            }
          }
        },
        flip: function(s) {
          return s.replace(/\w/g, function(l) {
            return (l == _.up.call(l) ? _.low : _.up).call(l);
          });
        },
        random: function(s) {
          return s.replace(/\w/g, function(l) {
            return (Math.round(Math.random()) ? _.up : _.low).call(l);
          });
        },
        type: function(type2, fn) {
          Case[type2] = fn;
          _.types.push(type2);
        }
      }, types = {
        lower: function(s, fill, deapostrophe) {
          return _.fill(_.low.call(_.prep(s, fill)), fill, deapostrophe);
        },
        snake: function(s) {
          return Case.lower(s, "_", true);
        },
        constant: function(s) {
          return Case.upper(s, "_", true);
        },
        camel: function(s) {
          return _.decap(Case.pascal(s));
        },
        kebab: function(s) {
          return Case.lower(s, "-", true);
        },
        upper: function(s, fill, deapostrophe) {
          return _.fill(_.up.call(_.prep(s, fill, false, true)), fill, deapostrophe);
        },
        capital: function(s, fill, deapostrophe) {
          return _.fill(_.prep(s).replace(re.capitalize, function(m, border, letter) {
            return border + _.up.call(letter);
          }), fill, deapostrophe);
        },
        header: function(s) {
          return Case.capital(s, "-", true);
        },
        pascal: function(s) {
          return _.fill(_.prep(s, false, true).replace(re.pascal, function(m, border, letter) {
            return _.up.call(letter);
          }), "", true);
        },
        title: function(s) {
          return Case.capital(s).replace(re.improper, function(small, p, i, s2) {
            return i > 0 && i < s2.lastIndexOf(" ") ? _.low.call(small) : small;
          });
        },
        sentence: function(s, names, abbreviations) {
          s = Case.lower(s).replace(re.sentence, function(m, prelude, letter) {
            return prelude + _.up.call(letter);
          });
          if (names) {
            names.forEach(function(name) {
              s = s.replace(new RegExp("\\b" + Case.lower(name) + "\\b", "g"), _.cap);
            });
          }
          if (abbreviations) {
            abbreviations.forEach(function(abbr) {
              s = s.replace(new RegExp("(\\b" + Case.lower(abbr) + "\\. +)(\\w)"), function(m, abbrAndSpace, letter) {
                return abbrAndSpace + _.low.call(letter);
              });
            });
          }
          return s;
        }
      };
      types.squish = types.pascal;
      Case.default = Case;
      for (var type in types) {
        Case.type(type, types[type]);
      }
      var define2 = typeof define2 === "function" ? define2 : function() {
      };
      define2(typeof module2 === "object" && module2.exports ? module2.exports = Case : this.Case = Case);
    }).call(exports2);
  }
});

// ../blueprint/node_modules/color-name/index.js
var require_color_name3 = __commonJS({
  "../blueprint/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../blueprint/node_modules/color-convert/conversions.js
var require_conversions3 = __commonJS({
  "../blueprint/node_modules/color-convert/conversions.js"(exports2, module2) {
    var cssKeywords = require_color_name3();
    var reverseKeywords = {};
    for (const key of Object.keys(cssKeywords)) {
      reverseKeywords[cssKeywords[key]] = key;
    }
    var convert = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    module2.exports = convert;
    for (const model of Object.keys(convert)) {
      if (!("channels" in convert[model])) {
        throw new Error("missing channels property: " + model);
      }
      if (!("labels" in convert[model])) {
        throw new Error("missing channel labels property: " + model);
      }
      if (convert[model].labels.length !== convert[model].channels) {
        throw new Error("channel and label counts mismatch: " + model);
      }
      const { channels, labels } = convert[model];
      delete convert[model].channels;
      delete convert[model].labels;
      Object.defineProperty(convert[model], "channels", { value: channels });
      Object.defineProperty(convert[model], "labels", { value: labels });
    }
    convert.rgb.hsl = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const min = Math.min(r, g, b);
      const max = Math.max(r, g, b);
      const delta = max - min;
      let h;
      let s;
      if (max === min) {
        h = 0;
      } else if (r === max) {
        h = (g - b) / delta;
      } else if (g === max) {
        h = 2 + (b - r) / delta;
      } else if (b === max) {
        h = 4 + (r - g) / delta;
      }
      h = Math.min(h * 60, 360);
      if (h < 0) {
        h += 360;
      }
      const l = (min + max) / 2;
      if (max === min) {
        s = 0;
      } else if (l <= 0.5) {
        s = delta / (max + min);
      } else {
        s = delta / (2 - max - min);
      }
      return [h, s * 100, l * 100];
    };
    convert.rgb.hsv = function(rgb) {
      let rdif;
      let gdif;
      let bdif;
      let h;
      let s;
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const v = Math.max(r, g, b);
      const diff = v - Math.min(r, g, b);
      const diffc = function(c) {
        return (v - c) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h = 0;
        s = 0;
      } else {
        s = diff / v;
        rdif = diffc(r);
        gdif = diffc(g);
        bdif = diffc(b);
        if (r === v) {
          h = bdif - gdif;
        } else if (g === v) {
          h = 1 / 3 + rdif - bdif;
        } else if (b === v) {
          h = 2 / 3 + gdif - rdif;
        }
        if (h < 0) {
          h += 1;
        } else if (h > 1) {
          h -= 1;
        }
      }
      return [
        h * 360,
        s * 100,
        v * 100
      ];
    };
    convert.rgb.hwb = function(rgb) {
      const r = rgb[0];
      const g = rgb[1];
      let b = rgb[2];
      const h = convert.rgb.hsl(rgb)[0];
      const w = 1 / 255 * Math.min(r, Math.min(g, b));
      b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
      return [h, w * 100, b * 100];
    };
    convert.rgb.cmyk = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const k = Math.min(1 - r, 1 - g, 1 - b);
      const c = (1 - r - k) / (1 - k) || 0;
      const m = (1 - g - k) / (1 - k) || 0;
      const y = (1 - b - k) / (1 - k) || 0;
      return [c * 100, m * 100, y * 100, k * 100];
    };
    function comparativeDistance(x, y) {
      return (x[0] - y[0]) ** 2 + (x[1] - y[1]) ** 2 + (x[2] - y[2]) ** 2;
    }
    convert.rgb.keyword = function(rgb) {
      const reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      let currentClosestDistance = Infinity;
      let currentClosestKeyword;
      for (const keyword of Object.keys(cssKeywords)) {
        const value = cssKeywords[keyword];
        const distance = comparativeDistance(rgb, value);
        if (distance < currentClosestDistance) {
          currentClosestDistance = distance;
          currentClosestKeyword = keyword;
        }
      }
      return currentClosestKeyword;
    };
    convert.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert.rgb.xyz = function(rgb) {
      let r = rgb[0] / 255;
      let g = rgb[1] / 255;
      let b = rgb[2] / 255;
      r = r > 0.04045 ? ((r + 0.055) / 1.055) ** 2.4 : r / 12.92;
      g = g > 0.04045 ? ((g + 0.055) / 1.055) ** 2.4 : g / 12.92;
      b = b > 0.04045 ? ((b + 0.055) / 1.055) ** 2.4 : b / 12.92;
      const x = r * 0.4124 + g * 0.3576 + b * 0.1805;
      const y = r * 0.2126 + g * 0.7152 + b * 0.0722;
      const z = r * 0.0193 + g * 0.1192 + b * 0.9505;
      return [x * 100, y * 100, z * 100];
    };
    convert.rgb.lab = function(rgb) {
      const xyz = convert.rgb.xyz(rgb);
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.hsl.rgb = function(hsl) {
      const h = hsl[0] / 360;
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      let t2;
      let t3;
      let val;
      if (s === 0) {
        val = l * 255;
        return [val, val, val];
      }
      if (l < 0.5) {
        t2 = l * (1 + s);
      } else {
        t2 = l + s - l * s;
      }
      const t1 = 2 * l - t2;
      const rgb = [0, 0, 0];
      for (let i = 0; i < 3; i++) {
        t3 = h + 1 / 3 * -(i - 1);
        if (t3 < 0) {
          t3++;
        }
        if (t3 > 1) {
          t3--;
        }
        if (6 * t3 < 1) {
          val = t1 + (t2 - t1) * 6 * t3;
        } else if (2 * t3 < 1) {
          val = t2;
        } else if (3 * t3 < 2) {
          val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
        } else {
          val = t1;
        }
        rgb[i] = val * 255;
      }
      return rgb;
    };
    convert.hsl.hsv = function(hsl) {
      const h = hsl[0];
      let s = hsl[1] / 100;
      let l = hsl[2] / 100;
      let smin = s;
      const lmin = Math.max(l, 0.01);
      l *= 2;
      s *= l <= 1 ? l : 2 - l;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      const v = (l + s) / 2;
      const sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
      return [h, sv * 100, v * 100];
    };
    convert.hsv.rgb = function(hsv) {
      const h = hsv[0] / 60;
      const s = hsv[1] / 100;
      let v = hsv[2] / 100;
      const hi = Math.floor(h) % 6;
      const f = h - Math.floor(h);
      const p = 255 * v * (1 - s);
      const q = 255 * v * (1 - s * f);
      const t = 255 * v * (1 - s * (1 - f));
      v *= 255;
      switch (hi) {
        case 0:
          return [v, t, p];
        case 1:
          return [q, v, p];
        case 2:
          return [p, v, t];
        case 3:
          return [p, q, v];
        case 4:
          return [t, p, v];
        case 5:
          return [v, p, q];
      }
    };
    convert.hsv.hsl = function(hsv) {
      const h = hsv[0];
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const vmin = Math.max(v, 0.01);
      let sl;
      let l;
      l = (2 - s) * v;
      const lmin = (2 - s) * vmin;
      sl = s * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l /= 2;
      return [h, sl * 100, l * 100];
    };
    convert.hwb.rgb = function(hwb) {
      const h = hwb[0] / 360;
      let wh = hwb[1] / 100;
      let bl = hwb[2] / 100;
      const ratio = wh + bl;
      let f;
      if (ratio > 1) {
        wh /= ratio;
        bl /= ratio;
      }
      const i = Math.floor(6 * h);
      const v = 1 - bl;
      f = 6 * h - i;
      if ((i & 1) !== 0) {
        f = 1 - f;
      }
      const n = wh + f * (v - wh);
      let r;
      let g;
      let b;
      switch (i) {
        default:
        case 6:
        case 0:
          r = v;
          g = n;
          b = wh;
          break;
        case 1:
          r = n;
          g = v;
          b = wh;
          break;
        case 2:
          r = wh;
          g = v;
          b = n;
          break;
        case 3:
          r = wh;
          g = n;
          b = v;
          break;
        case 4:
          r = n;
          g = wh;
          b = v;
          break;
        case 5:
          r = v;
          g = wh;
          b = n;
          break;
      }
      return [r * 255, g * 255, b * 255];
    };
    convert.cmyk.rgb = function(cmyk) {
      const c = cmyk[0] / 100;
      const m = cmyk[1] / 100;
      const y = cmyk[2] / 100;
      const k = cmyk[3] / 100;
      const r = 1 - Math.min(1, c * (1 - k) + k);
      const g = 1 - Math.min(1, m * (1 - k) + k);
      const b = 1 - Math.min(1, y * (1 - k) + k);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.rgb = function(xyz) {
      const x = xyz[0] / 100;
      const y = xyz[1] / 100;
      const z = xyz[2] / 100;
      let r;
      let g;
      let b;
      r = x * 3.2406 + y * -1.5372 + z * -0.4986;
      g = x * -0.9689 + y * 1.8758 + z * 0.0415;
      b = x * 0.0557 + y * -0.204 + z * 1.057;
      r = r > 31308e-7 ? 1.055 * r ** (1 / 2.4) - 0.055 : r * 12.92;
      g = g > 31308e-7 ? 1.055 * g ** (1 / 2.4) - 0.055 : g * 12.92;
      b = b > 31308e-7 ? 1.055 * b ** (1 / 2.4) - 0.055 : b * 12.92;
      r = Math.min(Math.max(0, r), 1);
      g = Math.min(Math.max(0, g), 1);
      b = Math.min(Math.max(0, b), 1);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.lab = function(xyz) {
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.lab.xyz = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let x;
      let y;
      let z;
      y = (l + 16) / 116;
      x = a / 500 + y;
      z = y - b / 200;
      const y2 = y ** 3;
      const x2 = x ** 3;
      const z2 = z ** 3;
      y = y2 > 8856e-6 ? y2 : (y - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z = z2 > 8856e-6 ? z2 : (z - 16 / 116) / 7.787;
      x *= 95.047;
      y *= 100;
      z *= 108.883;
      return [x, y, z];
    };
    convert.lab.lch = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let h;
      const hr = Math.atan2(b, a);
      h = hr * 360 / 2 / Math.PI;
      if (h < 0) {
        h += 360;
      }
      const c = Math.sqrt(a * a + b * b);
      return [l, c, h];
    };
    convert.lch.lab = function(lch) {
      const l = lch[0];
      const c = lch[1];
      const h = lch[2];
      const hr = h / 360 * 2 * Math.PI;
      const a = c * Math.cos(hr);
      const b = c * Math.sin(hr);
      return [l, a, b];
    };
    convert.rgb.ansi16 = function(args, saturation = null) {
      const [r, g, b] = args;
      let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation;
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      let ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert.hsv.ansi16 = function(args) {
      return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
    };
    convert.rgb.ansi256 = function(args) {
      const r = args[0];
      const g = args[1];
      const b = args[2];
      if (r === g && g === b) {
        if (r < 8) {
          return 16;
        }
        if (r > 248) {
          return 231;
        }
        return Math.round((r - 8) / 247 * 24) + 232;
      }
      const ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
      return ansi;
    };
    convert.ansi16.rgb = function(args) {
      let color = args % 10;
      if (color === 0 || color === 7) {
        if (args > 50) {
          color += 3.5;
        }
        color = color / 10.5 * 255;
        return [color, color, color];
      }
      const mult = (~~(args > 50) + 1) * 0.5;
      const r = (color & 1) * mult * 255;
      const g = (color >> 1 & 1) * mult * 255;
      const b = (color >> 2 & 1) * mult * 255;
      return [r, g, b];
    };
    convert.ansi256.rgb = function(args) {
      if (args >= 232) {
        const c = (args - 232) * 10 + 8;
        return [c, c, c];
      }
      args -= 16;
      let rem;
      const r = Math.floor(args / 36) / 5 * 255;
      const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
      const b = rem % 6 / 5 * 255;
      return [r, g, b];
    };
    convert.rgb.hex = function(args) {
      const integer = ((Math.round(args[0]) & 255) << 16) + ((Math.round(args[1]) & 255) << 8) + (Math.round(args[2]) & 255);
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.hex.rgb = function(args) {
      const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match) {
        return [0, 0, 0];
      }
      let colorString = match[0];
      if (match[0].length === 3) {
        colorString = colorString.split("").map((char) => {
          return char + char;
        }).join("");
      }
      const integer = parseInt(colorString, 16);
      const r = integer >> 16 & 255;
      const g = integer >> 8 & 255;
      const b = integer & 255;
      return [r, g, b];
    };
    convert.rgb.hcg = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const max = Math.max(Math.max(r, g), b);
      const min = Math.min(Math.min(r, g), b);
      const chroma = max - min;
      let grayscale;
      let hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r) {
        hue = (g - b) / chroma % 6;
      } else if (max === g) {
        hue = 2 + (b - r) / chroma;
      } else {
        hue = 4 + (r - g) / chroma;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert.hsl.hcg = function(hsl) {
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      const c = l < 0.5 ? 2 * s * l : 2 * s * (1 - l);
      let f = 0;
      if (c < 1) {
        f = (l - 0.5 * c) / (1 - c);
      }
      return [hsl[0], c * 100, f * 100];
    };
    convert.hsv.hcg = function(hsv) {
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const c = s * v;
      let f = 0;
      if (c < 1) {
        f = (v - c) / (1 - c);
      }
      return [hsv[0], c * 100, f * 100];
    };
    convert.hcg.rgb = function(hcg) {
      const h = hcg[0] / 360;
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      if (c === 0) {
        return [g * 255, g * 255, g * 255];
      }
      const pure = [0, 0, 0];
      const hi = h % 1 * 6;
      const v = hi % 1;
      const w = 1 - v;
      let mg = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w;
      }
      mg = (1 - c) * g;
      return [
        (c * pure[0] + mg) * 255,
        (c * pure[1] + mg) * 255,
        (c * pure[2] + mg) * 255
      ];
    };
    convert.hcg.hsv = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      let f = 0;
      if (v > 0) {
        f = c / v;
      }
      return [hcg[0], f * 100, v * 100];
    };
    convert.hcg.hsl = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const l = g * (1 - c) + 0.5 * c;
      let s = 0;
      if (l > 0 && l < 0.5) {
        s = c / (2 * l);
      } else if (l >= 0.5 && l < 1) {
        s = c / (2 * (1 - l));
      }
      return [hcg[0], s * 100, l * 100];
    };
    convert.hcg.hwb = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      return [hcg[0], (v - c) * 100, (1 - v) * 100];
    };
    convert.hwb.hcg = function(hwb) {
      const w = hwb[1] / 100;
      const b = hwb[2] / 100;
      const v = 1 - b;
      const c = v - w;
      let g = 0;
      if (c < 1) {
        g = (v - c) / (1 - c);
      }
      return [hwb[0], c * 100, g * 100];
    };
    convert.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert.gray.rgb = function(args) {
      return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
    };
    convert.gray.hsl = function(args) {
      return [0, 0, args[0]];
    };
    convert.gray.hsv = convert.gray.hsl;
    convert.gray.hwb = function(gray) {
      return [0, 100, gray[0]];
    };
    convert.gray.cmyk = function(gray) {
      return [0, 0, 0, gray[0]];
    };
    convert.gray.lab = function(gray) {
      return [gray[0], 0, 0];
    };
    convert.gray.hex = function(gray) {
      const val = Math.round(gray[0] / 100 * 255) & 255;
      const integer = (val << 16) + (val << 8) + val;
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.rgb.gray = function(rgb) {
      const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../blueprint/node_modules/color-convert/route.js
var require_route3 = __commonJS({
  "../blueprint/node_modules/color-convert/route.js"(exports2, module2) {
    var conversions = require_conversions3();
    function buildGraph() {
      const graph = {};
      const models = Object.keys(conversions);
      for (let len = models.length, i = 0; i < len; i++) {
        graph[models[i]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      const graph = buildGraph();
      const queue = [fromModel];
      graph[fromModel].distance = 0;
      while (queue.length) {
        const current = queue.pop();
        const adjacents = Object.keys(conversions[current]);
        for (let len = adjacents.length, i = 0; i < len; i++) {
          const adjacent = adjacents[i];
          const node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link(from, to) {
      return function(args) {
        return to(from(args));
      };
    }
    function wrapConversion(toModel, graph) {
      const path = [graph[toModel].parent, toModel];
      let fn = conversions[graph[toModel].parent][toModel];
      let cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path.unshift(graph[cur].parent);
        fn = link(conversions[graph[cur].parent][cur], fn);
        cur = graph[cur].parent;
      }
      fn.conversion = path;
      return fn;
    }
    module2.exports = function(fromModel) {
      const graph = deriveBFS(fromModel);
      const conversion = {};
      const models = Object.keys(graph);
      for (let len = models.length, i = 0; i < len; i++) {
        const toModel = models[i];
        const node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../blueprint/node_modules/color-convert/index.js
var require_color_convert3 = __commonJS({
  "../blueprint/node_modules/color-convert/index.js"(exports2, module2) {
    var conversions = require_conversions3();
    var route = require_route3();
    var convert = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        return fn(args);
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        const result = fn(args);
        if (typeof result === "object") {
          for (let len = result.length, i = 0; i < len; i++) {
            result[i] = Math.round(result[i]);
          }
        }
        return result;
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    models.forEach((fromModel) => {
      convert[fromModel] = {};
      Object.defineProperty(convert[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert[fromModel], "labels", { value: conversions[fromModel].labels });
      const routes = route(fromModel);
      const routeModels = Object.keys(routes);
      routeModels.forEach((toModel) => {
        const fn = routes[toModel];
        convert[fromModel][toModel] = wrapRounded(fn);
        convert[fromModel][toModel].raw = wrapRaw(fn);
      });
    });
    module2.exports = convert;
  }
});

// ../blueprint/node_modules/ansi-styles/index.js
var require_ansi_styles3 = __commonJS({
  "../blueprint/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var wrapAnsi16 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn, offset) => (...args) => {
      const rgb = fn(...args);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    var ansi2ansi = (n) => n;
    var rgb2rgb = (r, g, b) => [r, g, b];
    var setLazyProperty = (object, property, get) => {
      Object.defineProperty(object, property, {
        get: () => {
          const value = get();
          Object.defineProperty(object, property, {
            value,
            enumerable: true,
            configurable: true
          });
          return value;
        },
        enumerable: true,
        configurable: true
      });
    };
    var colorConvert;
    var makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
      if (colorConvert === void 0) {
        colorConvert = require_color_convert3();
      }
      const offset = isBackground ? 10 : 0;
      const styles = {};
      for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
        const name = sourceSpace === "ansi16" ? "ansi" : sourceSpace;
        if (sourceSpace === targetSpace) {
          styles[name] = wrap(identity, offset);
        } else if (typeof suite === "object") {
          styles[name] = wrap(suite[targetSpace], offset);
        }
      }
      return styles;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          // Bright color
          blackBright: [90, 39],
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles.color.gray = styles.color.blackBright;
      styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
      styles.color.grey = styles.color.blackBright;
      styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;
      for (const [groupName, group] of Object.entries(styles)) {
        for (const [styleName, style] of Object.entries(group)) {
          styles[styleName] = {
            open: `\x1B[${style[0]}m`,
            close: `\x1B[${style[1]}m`
          };
          group[styleName] = styles[styleName];
          codes.set(style[0], style[1]);
        }
        Object.defineProperty(styles, groupName, {
          value: group,
          enumerable: false
        });
      }
      Object.defineProperty(styles, "codes", {
        value: codes,
        enumerable: false
      });
      styles.color.close = "\x1B[39m";
      styles.bgColor.close = "\x1B[49m";
      setLazyProperty(styles.color, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, false));
      setLazyProperty(styles.bgColor, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, true));
      return styles;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../blueprint/node_modules/has-flag/index.js
var require_has_flag3 = __commonJS({
  "../blueprint/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// ../blueprint/node_modules/supports-color/index.js
var require_supports_color3 = __commonJS({
  "../blueprint/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag3();
    var { env } = process;
    var forceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      forceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      forceColor = 1;
    }
    if ("FORCE_COLOR" in env) {
      if (env.FORCE_COLOR === "true") {
        forceColor = 1;
      } else if (env.FORCE_COLOR === "false") {
        forceColor = 0;
      } else {
        forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, streamIsTTY) {
      if (forceColor === 0) {
        return 0;
      }
      if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
        return 3;
      }
      if (hasFlag("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env) || env.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env) {
        const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream) {
      const level = supportsColor(stream, stream && stream.isTTY);
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: translateLevel(supportsColor(true, tty.isatty(1))),
      stderr: translateLevel(supportsColor(true, tty.isatty(2)))
    };
  }
});

// ../blueprint/node_modules/chalk/source/util.js
var require_util13 = __commonJS({
  "../blueprint/node_modules/chalk/source/util.js"(exports2, module2) {
    "use strict";
    var stringReplaceAll = (string, substring, replacer) => {
      let index = string.indexOf(substring);
      if (index === -1) {
        return string;
      }
      const substringLength = substring.length;
      let endIndex = 0;
      let returnValue = "";
      do {
        returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
        endIndex = index + substringLength;
        index = string.indexOf(substring, endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    var stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
      let endIndex = 0;
      let returnValue = "";
      do {
        const gotCR = string[index - 1] === "\r";
        returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? "\r\n" : "\n") + postfix;
        endIndex = index + 1;
        index = string.indexOf("\n", endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    module2.exports = {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    };
  }
});

// ../blueprint/node_modules/chalk/source/templates.js
var require_templates3 = __commonJS({
  "../blueprint/node_modules/chalk/source/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape(c) {
      const u = c[0] === "u";
      const bracket = c[1] === "{";
      if (u && !bracket && c.length === 5 || c[0] === "x" && c.length === 3) {
        return String.fromCharCode(parseInt(c.slice(1), 16));
      }
      if (u && bracket) {
        return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
      }
      return ESCAPES.get(c) || c;
    }
    function parseArguments(name, arguments_) {
      const results = [];
      const chunks = arguments_.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        const number = Number(chunk);
        if (!Number.isNaN(number)) {
          results.push(number);
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args = parseArguments(name, matches[2]);
          results.push([name].concat(args));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles) {
      const enabled = {};
      for (const layer of styles) {
        for (const style of layer.styles) {
          enabled[style[0]] = layer.inverse ? null : style.slice(1);
        }
      }
      let current = chalk;
      for (const [styleName, styles2] of Object.entries(enabled)) {
        if (!Array.isArray(styles2)) {
          continue;
        }
        if (!(styleName in current)) {
          throw new Error(`Unknown Chalk style: ${styleName}`);
        }
        current = styles2.length > 0 ? current[styleName](...styles2) : current[styleName];
      }
      return current;
    }
    module2.exports = (chalk, temporary) => {
      const styles = [];
      const chunks = [];
      let chunk = [];
      temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
        if (escapeCharacter) {
          chunk.push(unescape(escapeCharacter));
        } else if (style) {
          const string = chunk.join("");
          chunk = [];
          chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
          styles.push({ inverse, styles: parseStyle(style) });
        } else if (close) {
          if (styles.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles)(chunk.join("")));
          chunk = [];
          styles.pop();
        } else {
          chunk.push(character);
        }
      });
      chunks.push(chunk.join(""));
      if (styles.length > 0) {
        const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMessage);
      }
      return chunks.join("");
    };
  }
});

// ../blueprint/node_modules/chalk/source/index.js
var require_source3 = __commonJS({
  "../blueprint/node_modules/chalk/source/index.js"(exports2, module2) {
    "use strict";
    var ansiStyles = require_ansi_styles3();
    var { stdout: stdoutColor, stderr: stderrColor } = require_supports_color3();
    var {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    } = require_util13();
    var { isArray } = Array;
    var levelMapping = [
      "ansi",
      "ansi",
      "ansi256",
      "ansi16m"
    ];
    var styles = /* @__PURE__ */ Object.create(null);
    var applyOptions = (object, options = {}) => {
      if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
        throw new Error("The `level` option should be an integer from 0 to 3");
      }
      const colorLevel = stdoutColor ? stdoutColor.level : 0;
      object.level = options.level === void 0 ? colorLevel : options.level;
    };
    var ChalkClass = class {
      constructor(options) {
        return chalkFactory(options);
      }
    };
    var chalkFactory = (options) => {
      const chalk2 = {};
      applyOptions(chalk2, options);
      chalk2.template = (...arguments_) => chalkTag(chalk2.template, ...arguments_);
      Object.setPrototypeOf(chalk2, Chalk.prototype);
      Object.setPrototypeOf(chalk2.template, chalk2);
      chalk2.template.constructor = () => {
        throw new Error("`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.");
      };
      chalk2.template.Instance = ChalkClass;
      return chalk2.template;
    };
    function Chalk(options) {
      return chalkFactory(options);
    }
    for (const [styleName, style] of Object.entries(ansiStyles)) {
      styles[styleName] = {
        get() {
          const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
          Object.defineProperty(this, styleName, { value: builder });
          return builder;
        }
      };
    }
    styles.visible = {
      get() {
        const builder = createBuilder(this, this._styler, true);
        Object.defineProperty(this, "visible", { value: builder });
        return builder;
      }
    };
    var usedModels = ["rgb", "hex", "keyword", "hsl", "hsv", "hwb", "ansi", "ansi256"];
    for (const model of usedModels) {
      styles[model] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    for (const model of usedModels) {
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles[bgModel] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, {
      ...styles,
      level: {
        enumerable: true,
        get() {
          return this._generator.level;
        },
        set(level) {
          this._generator.level = level;
        }
      }
    });
    var createStyler = (open, close, parent) => {
      let openAll;
      let closeAll;
      if (parent === void 0) {
        openAll = open;
        closeAll = close;
      } else {
        openAll = parent.openAll + open;
        closeAll = close + parent.closeAll;
      }
      return {
        open,
        close,
        openAll,
        closeAll,
        parent
      };
    };
    var createBuilder = (self2, _styler, _isEmpty) => {
      const builder = (...arguments_) => {
        if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
          return applyStyle(builder, chalkTag(builder, ...arguments_));
        }
        return applyStyle(builder, arguments_.length === 1 ? "" + arguments_[0] : arguments_.join(" "));
      };
      Object.setPrototypeOf(builder, proto);
      builder._generator = self2;
      builder._styler = _styler;
      builder._isEmpty = _isEmpty;
      return builder;
    };
    var applyStyle = (self2, string) => {
      if (self2.level <= 0 || !string) {
        return self2._isEmpty ? "" : string;
      }
      let styler = self2._styler;
      if (styler === void 0) {
        return string;
      }
      const { openAll, closeAll } = styler;
      if (string.indexOf("\x1B") !== -1) {
        while (styler !== void 0) {
          string = stringReplaceAll(string, styler.close, styler.open);
          styler = styler.parent;
        }
      }
      const lfIndex = string.indexOf("\n");
      if (lfIndex !== -1) {
        string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
      }
      return openAll + string + closeAll;
    };
    var template;
    var chalkTag = (chalk2, ...strings) => {
      const [firstString] = strings;
      if (!isArray(firstString) || !isArray(firstString.raw)) {
        return strings.join(" ");
      }
      const arguments_ = strings.slice(1);
      const parts = [firstString.raw[0]];
      for (let i = 1; i < firstString.length; i++) {
        parts.push(
          String(arguments_[i - 1]).replace(/[{}\\]/g, "\\$&"),
          String(firstString.raw[i])
        );
      }
      if (template === void 0) {
        template = require_templates3();
      }
      return template(chalk2, parts.join(""));
    };
    Object.defineProperties(Chalk.prototype, styles);
    var chalk = Chalk();
    chalk.supportsColor = stdoutColor;
    chalk.stderr = Chalk({ level: stderrColor ? stderrColor.level : 0 });
    chalk.stderr.supportsColor = stderrColor;
    module2.exports = chalk;
  }
});

// ../blueprint/node_modules/projen/lib/logging.js
var require_logging3 = __commonJS({
  "../blueprint/node_modules/projen/lib/logging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEnabled = exports2.disable = exports2.empty = exports2.warn = exports2.error = exports2.info = exports2.verbose = exports2.debug = exports2.ICON = void 0;
    var chalk = require_source3();
    var common_1 = require_common9();
    exports2.ICON = "\u{1F47E}";
    var enabled = common_1.IS_TEST_RUN ? false : true;
    function log(isError, color, ...text) {
      if (!enabled && !isError) {
        return;
      }
      console.error(`${exports2.ICON} ${color(...text)}`);
    }
    function debug(...text) {
      if (process.env.DEBUG) {
        log(false, chalk.gray, ...text);
      }
    }
    exports2.debug = debug;
    function verbose(...text) {
      log(false, chalk.white, ...text);
    }
    exports2.verbose = verbose;
    function info(...text) {
      log(false, chalk.cyan, ...text);
    }
    exports2.info = info;
    function error(...text) {
      log(true, chalk.red, ...text);
    }
    exports2.error = error;
    function warn(...text) {
      log(false, chalk.yellow, ...text);
    }
    exports2.warn = warn;
    function empty(count = 1) {
      console.log("\n".repeat(count - 1));
    }
    exports2.empty = empty;
    function disable() {
      enabled = false;
    }
    exports2.disable = disable;
    function isEnabled() {
      return enabled;
    }
    exports2.isEnabled = isEnabled;
  }
});

// ../blueprint/node_modules/projen/lib/util.js
var require_util14 = __commonJS({
  "../blueprint/node_modules/projen/lib/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.findUp = exports2.isRoot = exports2.multipleSelected = exports2.anySelected = exports2.getNodeMajorVersion = exports2.isExecutable = exports2.isWritable = exports2.tryReadFileSync = exports2.tryReadFile = exports2.snakeCaseKeys = exports2.kebabCaseKeys = exports2.getGitVersion = exports2.formatAsPythonModule = exports2.sorted = exports2.dedupArray = exports2.deepMerge = exports2.isObject = exports2.isTruthy = exports2.decamelizeKeysRecursively = exports2.writeFile = exports2.getFilePermissions = exports2.execOrUndefined = exports2.execCapture = exports2.exec = void 0;
    var child_process = require("child_process");
    var fs_1 = require("fs");
    var path = require("path");
    var Case = require_Case3();
    var logging = require_logging3();
    var MAX_BUFFER = 10 * 1024 * 1024;
    function exec(command, options) {
      logging.debug(command);
      child_process.execSync(command, {
        stdio: ["inherit", 2, "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.exec = exec;
    function execCapture(command, options) {
      logging.debug(command);
      return child_process.execSync(command, {
        stdio: ["inherit", "pipe", "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.execCapture = execCapture;
    function execOrUndefined(command, options) {
      try {
        const value = child_process.execSync(command, {
          stdio: ["inherit", "pipe", "pipe"],
          maxBuffer: MAX_BUFFER,
          cwd: options.cwd
        }).toString("utf-8").trim();
        if (!value) {
          return void 0;
        }
        return value;
      } catch {
        return void 0;
      }
    }
    exports2.execOrUndefined = execOrUndefined;
    function getFilePermissions(options) {
      const readonly = options.readonly ?? false;
      const executable = options.executable ?? false;
      if (readonly && executable) {
        return "544";
      } else if (readonly) {
        return "444";
      } else if (executable) {
        return "755";
      } else {
        return "644";
      }
    }
    exports2.getFilePermissions = getFilePermissions;
    function writeFile(filePath, data, options = {}) {
      if ((0, fs_1.existsSync)(filePath)) {
        (0, fs_1.chmodSync)(filePath, "600");
      }
      (0, fs_1.mkdirSync)(path.dirname(filePath), { recursive: true });
      (0, fs_1.writeFileSync)(filePath, data);
      (0, fs_1.chmodSync)(filePath, getFilePermissions(options));
    }
    exports2.writeFile = writeFile;
    function decamelizeKeysRecursively(input, opt) {
      const shouldAlwaysDecamelize = () => true;
      const shouldDecamelize = opt?.shouldDecamelize ?? shouldAlwaysDecamelize;
      const separator = opt?.separator ?? "_";
      const path_ = opt?.path ?? [];
      const maxDepth = opt?.maxDepth ?? 10;
      if (path_.length > maxDepth) {
        throw new Error("Decamelled too deeply - check that the input has no circular references");
      }
      if (Array.isArray(input)) {
        return input.map((k, i) => decamelizeKeysRecursively(k, {
          ...opt,
          path: [...path_, i.toString()]
        }));
      }
      if (typeof input === "object" && input !== null) {
        const mappedObject = {};
        for (const [key, value] of Object.entries(input)) {
          const transformedKey = shouldDecamelize([...path_, key], value) ? decamelize(key, separator) : key;
          mappedObject[transformedKey] = decamelizeKeysRecursively(value, {
            ...opt,
            path: [...path_, key]
          });
        }
        return mappedObject;
      }
      return input;
    }
    exports2.decamelizeKeysRecursively = decamelizeKeysRecursively;
    function isTruthy(value) {
      return !(value === void 0 || ["null", "undefined", "0", "false", ""].includes(value.toLocaleLowerCase()));
    }
    exports2.isTruthy = isTruthy;
    function isObject(x) {
      return x !== null && typeof x === "object" && !Array.isArray(x) && x.constructor.name === "Object";
    }
    exports2.isObject = isObject;
    function deepMerge(objects, destructive = false) {
      function mergeOne(target, source) {
        for (const key of Object.keys(source)) {
          const value = source[key];
          if (isObject(value)) {
            if (typeof target[key] !== "object") {
              target[key] = value;
            }
            if ("__$APPEND" in value && Array.isArray(value.__$APPEND)) {
              if (Array.isArray(target[key])) {
                target[key].push(...value.__$APPEND);
              } else {
                target[key] = value.__$APPEND;
              }
            }
            mergeOne(target[key], value);
            const output = target[key];
            if (typeof output === "object" && Object.keys(output).length === 0 && destructive) {
              delete target[key];
            }
          } else if (value === void 0 && destructive) {
            delete target[key];
          } else if (typeof value !== "undefined") {
            target[key] = value;
          }
        }
      }
      const others = objects.filter((x) => x != null);
      if (others.length === 0) {
        return {};
      }
      const into = others.splice(0, 1)[0];
      others.forEach((other) => mergeOne(into, other));
      return into;
    }
    exports2.deepMerge = deepMerge;
    function dedupArray(array) {
      return array.filter((val, idx) => array.indexOf(val) === idx);
    }
    exports2.dedupArray = dedupArray;
    function sorted(x) {
      if (x == null) {
        return void 0;
      }
      if (Array.isArray(x)) {
        if (x.length === 0) {
          return void 0;
        }
        return x.sort();
      } else if (typeof x === "object") {
        if (Object.keys(x).length === 0) {
          return void 0;
        }
        const result = {};
        for (const [key, value] of Object.entries(x).sort(([l], [r]) => l.localeCompare(r))) {
          result[key] = value;
        }
        return result;
      } else {
        return x;
      }
    }
    exports2.sorted = sorted;
    function formatAsPythonModule(name) {
      return name.replace(/-/g, "_").replace(/\./g, "_");
    }
    exports2.formatAsPythonModule = formatAsPythonModule;
    function getGitVersion(gitVersionOutput) {
      const match = gitVersionOutput.match(/\d+.\d+.\d+/);
      if (!match) {
        throw new Error("Unable to retrieve git version");
      }
      return match[0];
    }
    exports2.getGitVersion = getGitVersion;
    function kebabCaseKeys(obj, recursive = true) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => kebabCaseKeys(v, recursive));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = kebabCaseKeys(v, recursive);
        }
        result[decamelize(k).replace(/_/gm, "-")] = v;
      }
      return result;
    }
    exports2.kebabCaseKeys = kebabCaseKeys;
    function snakeCaseKeys(obj, recursive = true, exclusiveForRecordKeys = []) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => snakeCaseKeys(v, recursive, exclusiveForRecordKeys));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = snakeCaseKeys(v, recursive, exclusiveForRecordKeys);
        }
        const modifiedKey = exclusiveForRecordKeys.length == 0 || exclusiveForRecordKeys.includes(k) ? Case.snake(k) : k;
        result[modifiedKey] = v;
      }
      return result;
    }
    exports2.snakeCaseKeys = snakeCaseKeys;
    async function tryReadFile(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return "";
      }
      return fs_1.promises.readFile(file, "utf-8");
    }
    exports2.tryReadFile = tryReadFile;
    function tryReadFileSync(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return void 0;
      }
      return (0, fs_1.readFileSync)(file, "utf-8");
    }
    exports2.tryReadFileSync = tryReadFileSync;
    function isWritable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.W_OK);
        return true;
      } catch {
        return false;
      }
    }
    exports2.isWritable = isWritable;
    function isExecutable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.X_OK);
        return true;
      } catch (e) {
        return false;
      }
    }
    exports2.isExecutable = isExecutable;
    function decamelize(s, sep = "_") {
      if (Case.of(s) === "camel") {
        return Case.lower(s, sep);
      } else {
        return s;
      }
    }
    function getNodeMajorVersion() {
      const match = process.version.match(/(\d+)\.(\d+)\.(\d+)/);
      if (match) {
        const [major] = match.slice(1).map((x) => parseInt(x));
        return major;
      }
      return void 0;
    }
    exports2.getNodeMajorVersion = getNodeMajorVersion;
    function anySelected(options) {
      return options.some((opt) => opt);
    }
    exports2.anySelected = anySelected;
    function multipleSelected(options) {
      return options.filter((opt) => opt).length > 1;
    }
    exports2.multipleSelected = multipleSelected;
    function isRoot(dir, osPathLib = path) {
      const parent = osPathLib.dirname(dir);
      return parent === dir;
    }
    exports2.isRoot = isRoot;
    function findUp(lookFor, cwd = process.cwd()) {
      if ((0, fs_1.existsSync)(path.join(cwd, lookFor))) {
        return cwd;
      }
      if (isRoot(cwd)) {
        return void 0;
      }
      return findUp(lookFor, path.dirname(cwd));
    }
    exports2.findUp = findUp;
  }
});

// ../blueprint/node_modules/projen/lib/file.js
var require_file4 = __commonJS({
  "../blueprint/node_modules/projen/lib/file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FileBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path = require("path");
    var _resolve_1 = require_resolve3();
    var common_1 = require_common9();
    var component_1 = require_component3();
    var projenrc_1 = require_projenrc11();
    var util_1 = require_util14();
    var FileBase = class extends component_1.Component {
      /**
       * The projen marker, used to identify files as projen-generated.
       *
       * Value is undefined if the project is being ejected.
       */
      get marker() {
        if (this.project.ejected || !this.shouldAddMarker) {
          return void 0;
        }
        const projenrc = projenrc_1.ProjenrcFile.of(this.project)?.filePath ?? common_1.PROJEN_RC;
        return `${common_1.PROJEN_MARKER}. To modify, edit ${projenrc} and run "npx projen".`;
      }
      constructor(project, filePath, options = {}) {
        super(project);
        this.readonly = !project.ejected && (options.readonly ?? true);
        this.executable = options.executable ?? false;
        this.path = filePath;
        this.shouldAddMarker = options.marker ?? true;
        const globPattern = `/${this.path}`;
        const committed = options.committed ?? project.commitGenerated ?? true;
        if (committed && filePath !== ".gitattributes") {
          project.annotateGenerated(`/${filePath}`);
        }
        this.absolutePath = path.resolve(project.outdir, filePath);
        const existing = project.root.tryFindFile(this.absolutePath);
        if (existing && existing !== this) {
          throw new Error(`there is already a file under ${path.relative(project.root.outdir, this.absolutePath)}`);
        }
        const editGitignore = options.editGitignore ?? true;
        if (editGitignore) {
          this.project.addGitIgnore(`${committed ? "!" : ""}${globPattern}`);
        } else {
          if (options.committed != null) {
            throw new Error('"gitignore" is disabled, so it does not make sense to specify "committed"');
          }
        }
      }
      /**
       * Writes the file to the project's output directory
       */
      synthesize() {
        const outdir = this.project.outdir;
        const filePath = path.join(outdir, this.path);
        const resolver = {
          resolve: (obj, options) => (0, _resolve_1.resolve)(obj, options)
        };
        const content = this.synthesizeContent(resolver);
        if (content === void 0) {
          (0, fs_1.rmSync)(filePath, { force: true, recursive: true });
          return;
        }
        const prev = (0, util_1.tryReadFileSync)(filePath);
        const prevReadonly = !(0, util_1.isWritable)(filePath);
        const prevExecutable = (0, util_1.isExecutable)(filePath);
        if (prev !== void 0 && content === prev && prevReadonly === this.readonly && prevExecutable === this.executable) {
          this.project.logger.debug(`no change in ${filePath}`);
          this._changed = false;
          return;
        }
        (0, util_1.writeFile)(filePath, content, {
          readonly: this.readonly,
          executable: this.executable
        });
        this.checkForProjenMarker();
        this._changed = true;
      }
      /**
       * For debugging, check whether a file was incorrectly generated with
       * or without the projen marker. The projen marker does not *need* to be
       * included on projen-generated files, but it's recommended since it signals
       * that it probably should not be edited directly.
       */
      checkForProjenMarker() {
        const filePath = path.join(this.project.outdir, this.path);
        const contents = (0, util_1.tryReadFileSync)(filePath);
        const containsMarker = contents?.includes(common_1.PROJEN_MARKER);
        if (this.marker && !containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to contain marker but found none.`);
        } else if (!this.marker && containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to not contain marker but found one anyway.`);
        }
      }
      /**
       * Indicates if the file has been changed during synthesis. This property is
       * only available in `postSynthesize()` hooks. If this is `undefined`, the
       * file has not been synthesized yet.
       */
      get changed() {
        return this._changed;
      }
    };
    exports2.FileBase = FileBase;
    _a = JSII_RTTI_SYMBOL_1;
    FileBase[_a] = { fqn: "projen.FileBase", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/fast-json-patch/commonjs/helpers.js
var require_helpers3 = __commonJS({
  "../blueprint/node_modules/fast-json-patch/commonjs/helpers.js"(exports2) {
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function hasOwnProperty2(obj, key) {
      return _hasOwnProperty.call(obj, key);
    }
    exports2.hasOwnProperty = hasOwnProperty2;
    function _objectKeys(obj) {
      if (Array.isArray(obj)) {
        var keys_1 = new Array(obj.length);
        for (var k = 0; k < keys_1.length; k++) {
          keys_1[k] = "" + k;
        }
        return keys_1;
      }
      if (Object.keys) {
        return Object.keys(obj);
      }
      var keys = [];
      for (var i in obj) {
        if (hasOwnProperty2(obj, i)) {
          keys.push(i);
        }
      }
      return keys;
    }
    exports2._objectKeys = _objectKeys;
    function _deepClone(obj) {
      switch (typeof obj) {
        case "object":
          return JSON.parse(JSON.stringify(obj));
        case "undefined":
          return null;
        default:
          return obj;
      }
    }
    exports2._deepClone = _deepClone;
    function isInteger2(str) {
      var i = 0;
      var len = str.length;
      var charCode;
      while (i < len) {
        charCode = str.charCodeAt(i);
        if (charCode >= 48 && charCode <= 57) {
          i++;
          continue;
        }
        return false;
      }
      return true;
    }
    exports2.isInteger = isInteger2;
    function escapePathComponent(path) {
      if (path.indexOf("/") === -1 && path.indexOf("~") === -1)
        return path;
      return path.replace(/~/g, "~0").replace(/\//g, "~1");
    }
    exports2.escapePathComponent = escapePathComponent;
    function unescapePathComponent(path) {
      return path.replace(/~1/g, "/").replace(/~0/g, "~");
    }
    exports2.unescapePathComponent = unescapePathComponent;
    function _getPathRecursive(root, obj) {
      var found;
      for (var key in root) {
        if (hasOwnProperty2(root, key)) {
          if (root[key] === obj) {
            return escapePathComponent(key) + "/";
          } else if (typeof root[key] === "object") {
            found = _getPathRecursive(root[key], obj);
            if (found != "") {
              return escapePathComponent(key) + "/" + found;
            }
          }
        }
      }
      return "";
    }
    exports2._getPathRecursive = _getPathRecursive;
    function getPath(root, obj) {
      if (root === obj) {
        return "/";
      }
      var path = _getPathRecursive(root, obj);
      if (path === "") {
        throw new Error("Object not found in root");
      }
      return "/" + path;
    }
    exports2.getPath = getPath;
    function hasUndefined(obj) {
      if (obj === void 0) {
        return true;
      }
      if (obj) {
        if (Array.isArray(obj)) {
          for (var i_1 = 0, len = obj.length; i_1 < len; i_1++) {
            if (hasUndefined(obj[i_1])) {
              return true;
            }
          }
        } else if (typeof obj === "object") {
          var objKeys = _objectKeys(obj);
          var objKeysLength = objKeys.length;
          for (var i = 0; i < objKeysLength; i++) {
            if (hasUndefined(obj[objKeys[i]])) {
              return true;
            }
          }
        }
      }
      return false;
    }
    exports2.hasUndefined = hasUndefined;
    function patchErrorMessageFormatter(message, args) {
      var messageParts = [message];
      for (var key in args) {
        var value = typeof args[key] === "object" ? JSON.stringify(args[key], null, 2) : args[key];
        if (typeof value !== "undefined") {
          messageParts.push(key + ": " + value);
        }
      }
      return messageParts.join("\n");
    }
    var PatchError = (
      /** @class */
      function(_super) {
        __extends(PatchError2, _super);
        function PatchError2(message, name, index, operation, tree) {
          var _newTarget = this.constructor;
          var _this = _super.call(this, patchErrorMessageFormatter(message, { name, index, operation, tree })) || this;
          _this.name = name;
          _this.index = index;
          _this.operation = operation;
          _this.tree = tree;
          Object.setPrototypeOf(_this, _newTarget.prototype);
          _this.message = patchErrorMessageFormatter(message, { name, index, operation, tree });
          return _this;
        }
        return PatchError2;
      }(Error)
    );
    exports2.PatchError = PatchError;
  }
});

// ../blueprint/node_modules/fast-json-patch/commonjs/core.js
var require_core5 = __commonJS({
  "../blueprint/node_modules/fast-json-patch/commonjs/core.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers3();
    exports2.JsonPatchError = helpers_js_1.PatchError;
    exports2.deepClone = helpers_js_1._deepClone;
    var objOps = {
      add: function(obj, key, document) {
        obj[key] = this.value;
        return { newDocument: document };
      },
      remove: function(obj, key, document) {
        var removed = obj[key];
        delete obj[key];
        return { newDocument: document, removed };
      },
      replace: function(obj, key, document) {
        var removed = obj[key];
        obj[key] = this.value;
        return { newDocument: document, removed };
      },
      move: function(obj, key, document) {
        var removed = getValueByPointer(document, this.path);
        if (removed) {
          removed = helpers_js_1._deepClone(removed);
        }
        var originalValue = applyOperation(document, { op: "remove", path: this.from }).removed;
        applyOperation(document, { op: "add", path: this.path, value: originalValue });
        return { newDocument: document, removed };
      },
      copy: function(obj, key, document) {
        var valueToCopy = getValueByPointer(document, this.from);
        applyOperation(document, { op: "add", path: this.path, value: helpers_js_1._deepClone(valueToCopy) });
        return { newDocument: document };
      },
      test: function(obj, key, document) {
        return { newDocument: document, test: _areEquals(obj[key], this.value) };
      },
      _get: function(obj, key, document) {
        this.value = obj[key];
        return { newDocument: document };
      }
    };
    var arrOps = {
      add: function(arr, i, document) {
        if (helpers_js_1.isInteger(i)) {
          arr.splice(i, 0, this.value);
        } else {
          arr[i] = this.value;
        }
        return { newDocument: document, index: i };
      },
      remove: function(arr, i, document) {
        var removedList = arr.splice(i, 1);
        return { newDocument: document, removed: removedList[0] };
      },
      replace: function(arr, i, document) {
        var removed = arr[i];
        arr[i] = this.value;
        return { newDocument: document, removed };
      },
      move: objOps.move,
      copy: objOps.copy,
      test: objOps.test,
      _get: objOps._get
    };
    function getValueByPointer(document, pointer) {
      if (pointer == "") {
        return document;
      }
      var getOriginalDestination = { op: "_get", path: pointer };
      applyOperation(document, getOriginalDestination);
      return getOriginalDestination.value;
    }
    exports2.getValueByPointer = getValueByPointer;
    function applyOperation(document, operation, validateOperation, mutateDocument, banPrototypeModifications, index) {
      if (validateOperation === void 0) {
        validateOperation = false;
      }
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (index === void 0) {
        index = 0;
      }
      if (validateOperation) {
        if (typeof validateOperation == "function") {
          validateOperation(operation, 0, document, operation.path);
        } else {
          validator(operation, 0);
        }
      }
      if (operation.path === "") {
        var returnValue = { newDocument: document };
        if (operation.op === "add") {
          returnValue.newDocument = operation.value;
          return returnValue;
        } else if (operation.op === "replace") {
          returnValue.newDocument = operation.value;
          returnValue.removed = document;
          return returnValue;
        } else if (operation.op === "move" || operation.op === "copy") {
          returnValue.newDocument = getValueByPointer(document, operation.from);
          if (operation.op === "move") {
            returnValue.removed = document;
          }
          return returnValue;
        } else if (operation.op === "test") {
          returnValue.test = _areEquals(document, operation.value);
          if (returnValue.test === false) {
            throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
          }
          returnValue.newDocument = document;
          return returnValue;
        } else if (operation.op === "remove") {
          returnValue.removed = document;
          returnValue.newDocument = null;
          return returnValue;
        } else if (operation.op === "_get") {
          operation.value = document;
          return returnValue;
        } else {
          if (validateOperation) {
            throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
          } else {
            return returnValue;
          }
        }
      } else {
        if (!mutateDocument) {
          document = helpers_js_1._deepClone(document);
        }
        var path = operation.path || "";
        var keys = path.split("/");
        var obj = document;
        var t = 1;
        var len = keys.length;
        var existingPathFragment = void 0;
        var key = void 0;
        var validateFunction = void 0;
        if (typeof validateOperation == "function") {
          validateFunction = validateOperation;
        } else {
          validateFunction = validator;
        }
        while (true) {
          key = keys[t];
          if (key && key.indexOf("~") != -1) {
            key = helpers_js_1.unescapePathComponent(key);
          }
          if (banPrototypeModifications && (key == "__proto__" || key == "prototype" && t > 0 && keys[t - 1] == "constructor")) {
            throw new TypeError("JSON-Patch: modifying `__proto__` or `constructor/prototype` prop is banned for security reasons, if this was on purpose, please set `banPrototypeModifications` flag false and pass it to this function. More info in fast-json-patch README");
          }
          if (validateOperation) {
            if (existingPathFragment === void 0) {
              if (obj[key] === void 0) {
                existingPathFragment = keys.slice(0, t).join("/");
              } else if (t == len - 1) {
                existingPathFragment = operation.path;
              }
              if (existingPathFragment !== void 0) {
                validateFunction(operation, 0, document, existingPathFragment);
              }
            }
          }
          t++;
          if (Array.isArray(obj)) {
            if (key === "-") {
              key = obj.length;
            } else {
              if (validateOperation && !helpers_js_1.isInteger(key)) {
                throw new exports2.JsonPatchError("Expected an unsigned base-10 integer value, making the new referenced value the array element with the zero-based index", "OPERATION_PATH_ILLEGAL_ARRAY_INDEX", index, operation, document);
              } else if (helpers_js_1.isInteger(key)) {
                key = ~~key;
              }
            }
            if (t >= len) {
              if (validateOperation && operation.op === "add" && key > obj.length) {
                throw new exports2.JsonPatchError("The specified index MUST NOT be greater than the number of elements in the array", "OPERATION_VALUE_OUT_OF_BOUNDS", index, operation, document);
              }
              var returnValue = arrOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          } else {
            if (t >= len) {
              var returnValue = objOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          }
          obj = obj[key];
          if (validateOperation && t < len && (!obj || typeof obj !== "object")) {
            throw new exports2.JsonPatchError("Cannot perform operation at the desired path", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.applyOperation = applyOperation;
    function applyPatch(document, patch, validateOperation, mutateDocument, banPrototypeModifications) {
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (validateOperation) {
        if (!Array.isArray(patch)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
      }
      if (!mutateDocument) {
        document = helpers_js_1._deepClone(document);
      }
      var results = new Array(patch.length);
      for (var i = 0, length_1 = patch.length; i < length_1; i++) {
        results[i] = applyOperation(document, patch[i], validateOperation, true, banPrototypeModifications, i);
        document = results[i].newDocument;
      }
      results.newDocument = document;
      return results;
    }
    exports2.applyPatch = applyPatch;
    function applyReducer(document, operation, index) {
      var operationResult = applyOperation(document, operation);
      if (operationResult.test === false) {
        throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
      }
      return operationResult.newDocument;
    }
    exports2.applyReducer = applyReducer;
    function validator(operation, index, document, existingPathFragment) {
      if (typeof operation !== "object" || operation === null || Array.isArray(operation)) {
        throw new exports2.JsonPatchError("Operation is not an object", "OPERATION_NOT_AN_OBJECT", index, operation, document);
      } else if (!objOps[operation.op]) {
        throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
      } else if (typeof operation.path !== "string") {
        throw new exports2.JsonPatchError("Operation `path` property is not a string", "OPERATION_PATH_INVALID", index, operation, document);
      } else if (operation.path.indexOf("/") !== 0 && operation.path.length > 0) {
        throw new exports2.JsonPatchError('Operation `path` property must start with "/"', "OPERATION_PATH_INVALID", index, operation, document);
      } else if ((operation.op === "move" || operation.op === "copy") && typeof operation.from !== "string") {
        throw new exports2.JsonPatchError("Operation `from` property is not present (applicable in `move` and `copy` operations)", "OPERATION_FROM_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && operation.value === void 0) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && helpers_js_1.hasUndefined(operation.value)) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_CANNOT_CONTAIN_UNDEFINED", index, operation, document);
      } else if (document) {
        if (operation.op == "add") {
          var pathLen = operation.path.split("/").length;
          var existingPathLen = existingPathFragment.split("/").length;
          if (pathLen !== existingPathLen + 1 && pathLen !== existingPathLen) {
            throw new exports2.JsonPatchError("Cannot perform an `add` operation at the desired path", "OPERATION_PATH_CANNOT_ADD", index, operation, document);
          }
        } else if (operation.op === "replace" || operation.op === "remove" || operation.op === "_get") {
          if (operation.path !== existingPathFragment) {
            throw new exports2.JsonPatchError("Cannot perform the operation at a path that does not exist", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        } else if (operation.op === "move" || operation.op === "copy") {
          var existingValue = { op: "_get", path: operation.from, value: void 0 };
          var error = validate([existingValue], document);
          if (error && error.name === "OPERATION_PATH_UNRESOLVABLE") {
            throw new exports2.JsonPatchError("Cannot perform the operation from a path that does not exist", "OPERATION_FROM_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.validator = validator;
    function validate(sequence, document, externalValidator) {
      try {
        if (!Array.isArray(sequence)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
        if (document) {
          applyPatch(helpers_js_1._deepClone(document), helpers_js_1._deepClone(sequence), externalValidator || true);
        } else {
          externalValidator = externalValidator || validator;
          for (var i = 0; i < sequence.length; i++) {
            externalValidator(sequence[i], i, document, void 0);
          }
        }
      } catch (e) {
        if (e instanceof exports2.JsonPatchError) {
          return e;
        } else {
          throw e;
        }
      }
    }
    exports2.validate = validate;
    function _areEquals(a, b) {
      if (a === b)
        return true;
      if (a && b && typeof a == "object" && typeof b == "object") {
        var arrA = Array.isArray(a), arrB = Array.isArray(b), i, length, key;
        if (arrA && arrB) {
          length = a.length;
          if (length != b.length)
            return false;
          for (i = length; i-- !== 0; )
            if (!_areEquals(a[i], b[i]))
              return false;
          return true;
        }
        if (arrA != arrB)
          return false;
        var keys = Object.keys(a);
        length = keys.length;
        if (length !== Object.keys(b).length)
          return false;
        for (i = length; i-- !== 0; )
          if (!b.hasOwnProperty(keys[i]))
            return false;
        for (i = length; i-- !== 0; ) {
          key = keys[i];
          if (!_areEquals(a[key], b[key]))
            return false;
        }
        return true;
      }
      return a !== a && b !== b;
    }
    exports2._areEquals = _areEquals;
  }
});

// ../blueprint/node_modules/fast-json-patch/commonjs/duplex.js
var require_duplex3 = __commonJS({
  "../blueprint/node_modules/fast-json-patch/commonjs/duplex.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers3();
    var core_js_1 = require_core5();
    var beforeDict = /* @__PURE__ */ new WeakMap();
    var Mirror = (
      /** @class */
      function() {
        function Mirror2(obj) {
          this.observers = /* @__PURE__ */ new Map();
          this.obj = obj;
        }
        return Mirror2;
      }()
    );
    var ObserverInfo = (
      /** @class */
      function() {
        function ObserverInfo2(callback, observer) {
          this.callback = callback;
          this.observer = observer;
        }
        return ObserverInfo2;
      }()
    );
    function getMirror(obj) {
      return beforeDict.get(obj);
    }
    function getObserverFromMirror(mirror, callback) {
      return mirror.observers.get(callback);
    }
    function removeObserverFromMirror(mirror, observer) {
      mirror.observers.delete(observer.callback);
    }
    function unobserve(root, observer) {
      observer.unobserve();
    }
    exports2.unobserve = unobserve;
    function observe(obj, callback) {
      var patches = [];
      var observer;
      var mirror = getMirror(obj);
      if (!mirror) {
        mirror = new Mirror(obj);
        beforeDict.set(obj, mirror);
      } else {
        var observerInfo = getObserverFromMirror(mirror, callback);
        observer = observerInfo && observerInfo.observer;
      }
      if (observer) {
        return observer;
      }
      observer = {};
      mirror.value = helpers_js_1._deepClone(obj);
      if (callback) {
        observer.callback = callback;
        observer.next = null;
        var dirtyCheck = function() {
          generate(observer);
        };
        var fastCheck = function() {
          clearTimeout(observer.next);
          observer.next = setTimeout(dirtyCheck);
        };
        if (typeof window !== "undefined") {
          window.addEventListener("mouseup", fastCheck);
          window.addEventListener("keyup", fastCheck);
          window.addEventListener("mousedown", fastCheck);
          window.addEventListener("keydown", fastCheck);
          window.addEventListener("change", fastCheck);
        }
      }
      observer.patches = patches;
      observer.object = obj;
      observer.unobserve = function() {
        generate(observer);
        clearTimeout(observer.next);
        removeObserverFromMirror(mirror, observer);
        if (typeof window !== "undefined") {
          window.removeEventListener("mouseup", fastCheck);
          window.removeEventListener("keyup", fastCheck);
          window.removeEventListener("mousedown", fastCheck);
          window.removeEventListener("keydown", fastCheck);
          window.removeEventListener("change", fastCheck);
        }
      };
      mirror.observers.set(callback, new ObserverInfo(callback, observer));
      return observer;
    }
    exports2.observe = observe;
    function generate(observer, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var mirror = beforeDict.get(observer.object);
      _generate(mirror.value, observer.object, observer.patches, "", invertible);
      if (observer.patches.length) {
        core_js_1.applyPatch(mirror.value, observer.patches);
      }
      var temp = observer.patches;
      if (temp.length > 0) {
        observer.patches = [];
        if (observer.callback) {
          observer.callback(temp);
        }
      }
      return temp;
    }
    exports2.generate = generate;
    function _generate(mirror, obj, patches, path, invertible) {
      if (obj === mirror) {
        return;
      }
      if (typeof obj.toJSON === "function") {
        obj = obj.toJSON();
      }
      var newKeys = helpers_js_1._objectKeys(obj);
      var oldKeys = helpers_js_1._objectKeys(mirror);
      var changed = false;
      var deleted = false;
      for (var t = oldKeys.length - 1; t >= 0; t--) {
        var key = oldKeys[t];
        var oldVal = mirror[key];
        if (helpers_js_1.hasOwnProperty(obj, key) && !(obj[key] === void 0 && oldVal !== void 0 && Array.isArray(obj) === false)) {
          var newVal = obj[key];
          if (typeof oldVal == "object" && oldVal != null && typeof newVal == "object" && newVal != null && Array.isArray(oldVal) === Array.isArray(newVal)) {
            _generate(oldVal, newVal, patches, path + "/" + helpers_js_1.escapePathComponent(key), invertible);
          } else {
            if (oldVal !== newVal) {
              changed = true;
              if (invertible) {
                patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
              }
              patches.push({ op: "replace", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(newVal) });
            }
          }
        } else if (Array.isArray(mirror) === Array.isArray(obj)) {
          if (invertible) {
            patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
          }
          patches.push({ op: "remove", path: path + "/" + helpers_js_1.escapePathComponent(key) });
          deleted = true;
        } else {
          if (invertible) {
            patches.push({ op: "test", path, value: mirror });
          }
          patches.push({ op: "replace", path, value: obj });
          changed = true;
        }
      }
      if (!deleted && newKeys.length == oldKeys.length) {
        return;
      }
      for (var t = 0; t < newKeys.length; t++) {
        var key = newKeys[t];
        if (!helpers_js_1.hasOwnProperty(mirror, key) && obj[key] !== void 0) {
          patches.push({ op: "add", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(obj[key]) });
        }
      }
    }
    function compare(tree1, tree2, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var patches = [];
      _generate(tree1, tree2, patches, "", invertible);
      return patches;
    }
    exports2.compare = compare;
  }
});

// ../blueprint/node_modules/fast-json-patch/index.js
var require_fast_json_patch3 = __commonJS({
  "../blueprint/node_modules/fast-json-patch/index.js"(exports2) {
    var core = require_core5();
    Object.assign(exports2, core);
    var duplex = require_duplex3();
    Object.assign(exports2, duplex);
    var helpers = require_helpers3();
    exports2.JsonPatchError = helpers.PatchError;
    exports2.deepClone = helpers._deepClone;
    exports2.escapePathComponent = helpers.escapePathComponent;
    exports2.unescapePathComponent = helpers.unescapePathComponent;
  }
});

// ../blueprint/node_modules/projen/lib/json-patch.js
var require_json_patch3 = __commonJS({
  "../blueprint/node_modules/projen/lib/json-patch.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonPatch = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fast_json_patch_1 = require_fast_json_patch3();
    var JsonPatch = class _JsonPatch {
      /**
       * Applies a set of JSON-Patch (RFC-6902) operations to `document` and returns the result.
       * @param document The document to patch
       * @param ops The operations to apply
       * @returns The result document
       */
      static apply(document, ...ops) {
        const result = (0, fast_json_patch_1.applyPatch)(document, ops.map((o) => o._toJson()));
        return result.newDocument;
      }
      /**
       * Adds a value to an object or inserts it into an array. In the case of an
       * array, the value is inserted before the given index. The - character can be
       * used instead of an index to insert at the end of an array.
       *
       * @example JsonPatch.add('/biscuits/1', { "name": "Ginger Nut" })
       */
      static add(path, value) {
        return new _JsonPatch({ op: "add", path, value });
      }
      /**
       * Removes a value from an object or array.
       *
       * @example JsonPatch.remove('/biscuits')
       * @example JsonPatch.remove('/biscuits/0')
       */
      static remove(path) {
        return new _JsonPatch({ op: "remove", path });
      }
      /**
       * Replaces a value. Equivalent to a “remove” followed by an “add”.
       *
       * @example JsonPatch.replace('/biscuits/0/name', 'Chocolate Digestive')
       */
      static replace(path, value) {
        return new _JsonPatch({ op: "replace", path, value });
      }
      /**
       * Copies a value from one location to another within the JSON document. Both
       * from and path are JSON Pointers.
       *
       * @example JsonPatch.copy('/biscuits/0', '/best_biscuit')
       */
      static copy(from, path) {
        return new _JsonPatch({ op: "copy", from, path });
      }
      /**
       * Moves a value from one location to the other. Both from and path are JSON Pointers.
       *
       * @example JsonPatch.move('/biscuits', '/cookies')
       */
      static move(from, path) {
        return new _JsonPatch({ op: "move", from, path });
      }
      /**
       * Tests that the specified value is set in the document. If the test fails,
       * then the patch as a whole should not apply.
       *
       * @example JsonPatch.test('/best_biscuit/name', 'Choco Leibniz')
       */
      static test(path, value) {
        return new _JsonPatch({ op: "test", path, value });
      }
      constructor(operation) {
        this.operation = operation;
      }
      /**
       * Returns the JSON representation of this JSON patch operation.
       *
       * @internal
       */
      _toJson() {
        return this.operation;
      }
    };
    exports2.JsonPatch = JsonPatch;
    _a = JSII_RTTI_SYMBOL_1;
    JsonPatch[_a] = { fqn: "projen.JsonPatch", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/object-file.js
var require_object_file3 = __commonJS({
  "../blueprint/node_modules/projen/lib/object-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ObjectFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var json_patch_1 = require_json_patch3();
    var util_1 = require_util14();
    var ObjectFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.obj = options.obj ?? {};
        this.omitEmpty = options.omitEmpty ?? false;
        this.rawOverrides = {};
        this.patchOperations = [];
      }
      /**
       * Adds an override to the synthesized object file.
       *
       * If the override is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example,
       * ```typescript
       * project.tsconfig.file.addOverride('compilerOptions.alwaysStrict', true);
       * project.tsconfig.file.addOverride('compilerOptions.lib', ['dom', 'dom.iterable', 'esnext']);
       * ```
       * would add the overrides
       * ```json
       * "compilerOptions": {
       *   "alwaysStrict": true,
       *   "lib": [
       *     "dom",
       *     "dom.iterable",
       *     "esnext"
       *   ]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        override values in complex types. Any intermediate keys
       *        will be created as needed.
       * @param value - The value. Could be primitive or complex.
       */
      addOverride(path, value) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        curr[lastKey] = value;
      }
      /**
       * Adds to an array in the synthesized object file.
       *
       * If the array is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.addToArray('compilerOptions.exclude', 'coverage');
       * project.tsconfig.file.addToArray('compilerOptions.lib', 'dom', 'dom.iterable', 'esnext');
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["es2019", "dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        att to arrays in complex types. Any intermediate keys
       *        will be created as needed.
       * @param values - The values to add. Could be primitive or complex.
       */
      addToArray(path, ...values) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        if (Array.isArray(curr[lastKey])) {
          curr[lastKey].push(...values);
        } else {
          curr[lastKey] = { __$APPEND: values };
        }
      }
      /**
       * Applies an RFC 6902 JSON-patch to the synthesized object file.
       * See https://datatracker.ietf.org/doc/html/rfc6902 for more information.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.patch(JsonPatch.add("/compilerOptions/exclude/-", "coverage"));
       * project.tsconfig.file.patch(JsonPatch.replace("/compilerOptions/lib", ["dom", "dom.iterable", "esnext"]));
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param patches - The patch operations to apply
       */
      patch(...patches) {
        this.patchOperations.push(...patches);
      }
      /**
       * Syntactic sugar for `addOverride(path, undefined)`.
       * @param path The path of the value to delete
       */
      addDeletionOverride(path) {
        this.addOverride(path, void 0);
      }
      synthesizeContent(resolver) {
        const obj = this.obj;
        const resolved = resolver.resolve(obj, {
          omitEmpty: this.omitEmpty
        }) ?? void 0;
        if (resolved) {
          (0, util_1.deepMerge)([resolved, this.rawOverrides], true);
        }
        const patched = json_patch_1.JsonPatch.apply(resolved, ...this.patchOperations);
        return patched ? JSON.stringify(patched, void 0, 2) : void 0;
      }
    };
    exports2.ObjectFile = ObjectFile;
    _a = JSII_RTTI_SYMBOL_1;
    ObjectFile[_a] = { fqn: "projen.ObjectFile", version: "0.71.112" };
    function splitOnPeriods(x) {
      const ret = [""];
      for (let i = 0; i < x.length; i++) {
        if (x[i] === "\\" && i + 1 < x.length) {
          ret[0] += x[i + 1];
          i++;
        } else if (x[i] === ".") {
          ret.unshift("");
        } else {
          ret[0] += x[i];
        }
      }
      ret.reverse();
      return ret;
    }
  }
});

// ../blueprint/node_modules/projen/lib/json.js
var require_json5 = __commonJS({
  "../blueprint/node_modules/projen/lib/json.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var object_file_1 = require_object_file3();
    var JsonFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.newline = options.newline ?? true;
        this.supportsComments = options.allowComments ?? (filePath.toLowerCase().endsWith("json5") || filePath.toLowerCase().endsWith("jsonc"));
        if (!options.obj) {
          throw new Error('"obj" cannot be undefined');
        }
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        const sanitized = JSON.parse(json);
        if (this.marker && !this.supportsComments) {
          sanitized["//"] = this.marker;
        }
        let content = JSON.stringify(sanitized, void 0, 2);
        if (this.marker && this.supportsComments) {
          content = `// ${this.marker}
${content}`;
        }
        if (this.newline) {
          content += "\n";
        }
        return content;
      }
    };
    exports2.JsonFile = JsonFile;
    _a = JSII_RTTI_SYMBOL_1;
    JsonFile[_a] = { fqn: "projen.JsonFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/dependencies.js
var require_dependencies3 = __commonJS({
  "../blueprint/node_modules/projen/lib/dependencies.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DependencyType = exports2.Dependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var common_1 = require_common9();
    var component_1 = require_component3();
    var json_1 = require_json5();
    var Dependencies = class _Dependencies extends component_1.Component {
      /**
       * Returns the coordinates of a dependency spec.
       *
       * Given `foo@^3.4.0` returns `{ name: "foo", version: "^3.4.0" }`.
       * Given `bar@npm:@bar/legacy` returns `{ name: "bar", version: "npm:@bar/legacy" }`.
       */
      static parseDependency(spec) {
        const scope = spec.startsWith("@");
        if (scope) {
          spec = spec.substr(1);
        }
        const [module3, ...version] = spec.split("@");
        const name = scope ? `@${module3}` : module3;
        if (version.length == 0) {
          return { name };
        } else {
          return { name, version: version?.join("@") };
        }
      }
      /**
       * Adds a dependencies component to the project.
       * @param project The parent project
       */
      constructor(project) {
        super(project);
        this._deps = new Array();
        if (!project.ejected) {
          new json_1.JsonFile(project, _Dependencies.MANIFEST_FILE, {
            omitEmpty: true,
            obj: () => this.toJson()
          });
        }
      }
      /**
       * A copy of all dependencies recorded for this project.
       *
       * The list is sorted by type->name->version
       */
      get all() {
        return [...this._deps].sort(compareDeps).map(normalizeDep);
      }
      /**
       * Returns a dependency by name.
       *
       * Fails if there is no dependency defined by that name or if `type` is not
       * provided and there is more then one dependency type for this dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified)
       */
      getDependency(name, type) {
        const dep = this.tryGetDependency(name, type);
        if (!dep) {
          const msg = type ? `there is no ${type} dependency defined on "${name}"` : `there is no dependency defined on "${name}"`;
          throw new Error(msg);
        }
        return dep;
      }
      /**
       * Returns a dependency by name.
       *
       * Returns `undefined` if there is no dependency defined by that name or if
       * `type` is not provided and there is more then one dependency type for this
       * dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified) or undefined if there is no match
       */
      tryGetDependency(name, type) {
        const idx = this.tryGetDependencyIndex(name, type);
        if (idx === -1) {
          return void 0;
        }
        return {
          ...normalizeDep(this._deps[idx])
        };
      }
      /**
       * Adds a dependency to this project.
       * @param spec The dependency spec in the format `MODULE[@VERSION]` where
       * `MODULE` is the package-manager-specific module name and `VERSION` is an
       * optional semantic version requirement (e.g. `^3.4.0`).
       * @param type The type of the dependency.
       */
      addDependency(spec, type, metadata = {}) {
        this.project.logger.debug(`${type}-dep ${spec}`);
        const dep = {
          ..._Dependencies.parseDependency(spec),
          type,
          metadata
        };
        const existingDepIndex = this.tryGetDependencyIndex(dep.name, type);
        if (existingDepIndex !== -1) {
          this.project.logger.debug(`updating existing ${dep.type}-dep ${dep.name} with more specific version/metadata`);
          this._deps[existingDepIndex] = dep;
        } else {
          this._deps.push(dep);
        }
        return dep;
      }
      /**
       * Removes a dependency.
       * @param name The name of the module to remove (without the version)
       * @param type The dependency type. This is only required if there the
       * dependency is defined for multiple types.
       */
      removeDependency(name, type) {
        const removeIndex = this.tryGetDependencyIndex(name, type);
        if (removeIndex === -1) {
          return;
        }
        this._deps.splice(removeIndex, 1);
      }
      tryGetDependencyIndex(name, type) {
        const deps = this._deps.filter((d) => d.name === name);
        if (deps.length === 0) {
          return -1;
        }
        if (!type) {
          if (deps.length > 1) {
            throw new Error(`"${name}" is defined for multiple dependency types: ${deps.map((d) => d.type).join(",")}. Please specify dependency type`);
          }
          type = deps[0].type;
        }
        return this._deps.findIndex((dep) => dep.name === name && dep.type === type);
      }
      toJson() {
        if (this._deps.length === 0) {
          return void 0;
        }
        return {
          dependencies: this._deps.sort(compareDeps).map(normalizeDep)
        };
      }
    };
    exports2.Dependencies = Dependencies;
    _a = JSII_RTTI_SYMBOL_1;
    Dependencies[_a] = { fqn: "projen.Dependencies", version: "0.71.112" };
    Dependencies.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "deps.json");
    function normalizeDep(d) {
      const obj = {};
      for (const [k, v] of Object.entries(d)) {
        if (v == void 0) {
          continue;
        }
        if (typeof v === "object" && Object.keys(v).length === 0) {
          continue;
        }
        if (Array.isArray(v) && v.length === 0) {
          continue;
        }
        obj[k] = v;
      }
      return obj;
    }
    function compareDeps(d1, d2) {
      return specOf(d1).localeCompare(specOf(d2));
      function specOf(dep) {
        let spec = dep.type + ":" + dep.name;
        if (dep.version) {
          spec += "@" + dep.version;
        }
        return spec;
      }
    }
    var DependencyType;
    (function(DependencyType2) {
      DependencyType2["RUNTIME"] = "runtime";
      DependencyType2["PEER"] = "peer";
      DependencyType2["BUNDLED"] = "bundled";
      DependencyType2["BUILD"] = "build";
      DependencyType2["TEST"] = "test";
      DependencyType2["DEVENV"] = "devenv";
      DependencyType2["OVERRIDE"] = "override";
    })(DependencyType || (exports2.DependencyType = DependencyType = {}));
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose-port.js
var require_docker_compose_port3 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose-port.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeProtocol = void 0;
    var DockerComposeProtocol;
    (function(DockerComposeProtocol2) {
      DockerComposeProtocol2["TCP"] = "tcp";
      DockerComposeProtocol2["UDP"] = "udp";
    })(DockerComposeProtocol || (exports2.DockerComposeProtocol = DockerComposeProtocol = {}));
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose-render.js
var require_docker_compose_render3 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose-render.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderDockerComposeFile = void 0;
    var util_1 = require_util14();
    function renderDockerComposeFile(serviceDescriptions, version) {
      const volumeConfig = {};
      const volumeInfo = {
        addVolumeConfiguration(volumeName, configuration) {
          if (!volumeConfig[volumeName]) {
            volumeConfig[volumeName] = configuration;
          }
        }
      };
      const networkConfig = {};
      const networkInfo = {
        addNetworkConfiguration(networkName, configuration) {
          if (!networkConfig[networkName]) {
            networkConfig[networkName] = configuration;
          }
        }
      };
      const services = {};
      for (const [serviceName, serviceDescription] of Object.entries(serviceDescriptions ?? {})) {
        const dependsOn = Array();
        for (const dependsOnServiceName of serviceDescription.dependsOn ?? []) {
          const resolvedServiceName = dependsOnServiceName.serviceName;
          if (resolvedServiceName === serviceName) {
            throw new Error(`Service ${serviceName} cannot depend on itself`);
          }
          if (!serviceDescriptions[resolvedServiceName]) {
            throw new Error(`Unable to resolve service named ${resolvedServiceName} for ${serviceName}`);
          }
          dependsOn.push(resolvedServiceName);
        }
        const volumes = [];
        for (const volumeBinding of serviceDescription.volumes ?? []) {
          volumes.push(volumeBinding.bind(volumeInfo));
        }
        const networks = [];
        for (const networkBinding of serviceDescription.networks ?? []) {
          networks.push(networkBinding.bind(networkInfo));
        }
        services[serviceName] = {
          ...getObjectWithKeyAndValueIfValueIsDefined("image", serviceDescription.image),
          ...getObjectWithKeyAndValueIfValueIsDefined("build", serviceDescription.imageBuild),
          ...getObjectWithKeyAndValueIfValueIsDefined("entrypoint", serviceDescription.entrypoint),
          ...getObjectWithKeyAndValueIfValueIsDefined("command", serviceDescription.command),
          ...Object.keys(serviceDescription.environment).length > 0 ? { environment: serviceDescription.environment } : {},
          ...serviceDescription.ports.length > 0 ? { ports: serviceDescription.ports } : {},
          ...Object.keys(serviceDescription.labels).length > 0 ? { labels: serviceDescription.labels } : {},
          ...dependsOn.length > 0 ? { dependsOn } : {},
          ...volumes.length > 0 ? { volumes } : {},
          ...networks.length > 0 ? { networks } : {}
        };
      }
      const input = {
        version,
        services,
        ...Object.keys(volumeConfig).length > 0 ? { volumes: volumeConfig } : {},
        ...Object.keys(networkConfig).length > 0 ? { networks: networkConfig } : {}
      };
      return (0, util_1.decamelizeKeysRecursively)(input, {
        shouldDecamelize: shouldDecamelizeDockerComposeKey,
        separator: "_"
      });
    }
    exports2.renderDockerComposeFile = renderDockerComposeFile;
    function getObjectWithKeyAndValueIfValueIsDefined(key, value) {
      return value !== void 0 ? { [key]: value } : {};
    }
    function shouldDecamelizeDockerComposeKey(path) {
      const poundPath = path.join("#");
      if (/^(services|volumes|networks)#[^#]+$/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#(environment|labels)#/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#build#args#/.test(poundPath)) {
        return false;
      }
      return true;
    }
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/identity.js
var require_identity3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/identity.js"(exports2) {
    "use strict";
    var ALIAS = Symbol.for("yaml.alias");
    var DOC = Symbol.for("yaml.document");
    var MAP = Symbol.for("yaml.map");
    var PAIR = Symbol.for("yaml.pair");
    var SCALAR = Symbol.for("yaml.scalar");
    var SEQ = Symbol.for("yaml.seq");
    var NODE_TYPE = Symbol.for("yaml.node.type");
    var isAlias = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === ALIAS;
    var isDocument = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === DOC;
    var isMap = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === MAP;
    var isPair = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === PAIR;
    var isScalar = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SCALAR;
    var isSeq = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SEQ;
    function isCollection(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case MAP:
          case SEQ:
            return true;
        }
      return false;
    }
    function isNode(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case ALIAS:
          case MAP:
          case SCALAR:
          case SEQ:
            return true;
        }
      return false;
    }
    var hasAnchor = (node) => (isScalar(node) || isCollection(node)) && !!node.anchor;
    exports2.ALIAS = ALIAS;
    exports2.DOC = DOC;
    exports2.MAP = MAP;
    exports2.NODE_TYPE = NODE_TYPE;
    exports2.PAIR = PAIR;
    exports2.SCALAR = SCALAR;
    exports2.SEQ = SEQ;
    exports2.hasAnchor = hasAnchor;
    exports2.isAlias = isAlias;
    exports2.isCollection = isCollection;
    exports2.isDocument = isDocument;
    exports2.isMap = isMap;
    exports2.isNode = isNode;
    exports2.isPair = isPair;
    exports2.isScalar = isScalar;
    exports2.isSeq = isSeq;
  }
});

// ../blueprint/node_modules/yaml/dist/visit.js
var require_visit3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/visit.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove node");
    function visit(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = visit_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        visit_(null, node, visitor_, Object.freeze([]));
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    function visit_(key, node, visitor, path) {
      const ctrl = callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visit_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = visit_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = visit_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = visit_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    async function visitAsync(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = await visitAsync_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        await visitAsync_(null, node, visitor_, Object.freeze([]));
    }
    visitAsync.BREAK = BREAK;
    visitAsync.SKIP = SKIP;
    visitAsync.REMOVE = REMOVE;
    async function visitAsync_(key, node, visitor, path) {
      const ctrl = await callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visitAsync_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = await visitAsync_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = await visitAsync_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = await visitAsync_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    function initVisitor(visitor) {
      if (typeof visitor === "object" && (visitor.Collection || visitor.Node || visitor.Value)) {
        return Object.assign({
          Alias: visitor.Node,
          Map: visitor.Node,
          Scalar: visitor.Node,
          Seq: visitor.Node
        }, visitor.Value && {
          Map: visitor.Value,
          Scalar: visitor.Value,
          Seq: visitor.Value
        }, visitor.Collection && {
          Map: visitor.Collection,
          Seq: visitor.Collection
        }, visitor);
      }
      return visitor;
    }
    function callVisitor(key, node, visitor, path) {
      if (typeof visitor === "function")
        return visitor(key, node, path);
      if (identity.isMap(node))
        return visitor.Map?.(key, node, path);
      if (identity.isSeq(node))
        return visitor.Seq?.(key, node, path);
      if (identity.isPair(node))
        return visitor.Pair?.(key, node, path);
      if (identity.isScalar(node))
        return visitor.Scalar?.(key, node, path);
      if (identity.isAlias(node))
        return visitor.Alias?.(key, node, path);
      return void 0;
    }
    function replaceNode(key, path, node) {
      const parent = path[path.length - 1];
      if (identity.isCollection(parent)) {
        parent.items[key] = node;
      } else if (identity.isPair(parent)) {
        if (key === "key")
          parent.key = node;
        else
          parent.value = node;
      } else if (identity.isDocument(parent)) {
        parent.contents = node;
      } else {
        const pt = identity.isAlias(parent) ? "alias" : "scalar";
        throw new Error(`Cannot replace node with ${pt} parent`);
      }
    }
    exports2.visit = visit;
    exports2.visitAsync = visitAsync;
  }
});

// ../blueprint/node_modules/yaml/dist/doc/directives.js
var require_directives3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/doc/directives.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var visit = require_visit3();
    var escapeChars = {
      "!": "%21",
      ",": "%2C",
      "[": "%5B",
      "]": "%5D",
      "{": "%7B",
      "}": "%7D"
    };
    var escapeTagName = (tn) => tn.replace(/[!,[\]{}]/g, (ch) => escapeChars[ch]);
    var Directives = class _Directives {
      constructor(yaml, tags) {
        this.docStart = null;
        this.docEnd = false;
        this.yaml = Object.assign({}, _Directives.defaultYaml, yaml);
        this.tags = Object.assign({}, _Directives.defaultTags, tags);
      }
      clone() {
        const copy = new _Directives(this.yaml, this.tags);
        copy.docStart = this.docStart;
        return copy;
      }
      /**
       * During parsing, get a Directives instance for the current document and
       * update the stream state according to the current version's spec.
       */
      atDocument() {
        const res = new _Directives(this.yaml, this.tags);
        switch (this.yaml.version) {
          case "1.1":
            this.atNextDocument = true;
            break;
          case "1.2":
            this.atNextDocument = false;
            this.yaml = {
              explicit: _Directives.defaultYaml.explicit,
              version: "1.2"
            };
            this.tags = Object.assign({}, _Directives.defaultTags);
            break;
        }
        return res;
      }
      /**
       * @param onError - May be called even if the action was successful
       * @returns `true` on success
       */
      add(line, onError) {
        if (this.atNextDocument) {
          this.yaml = { explicit: _Directives.defaultYaml.explicit, version: "1.1" };
          this.tags = Object.assign({}, _Directives.defaultTags);
          this.atNextDocument = false;
        }
        const parts = line.trim().split(/[ \t]+/);
        const name = parts.shift();
        switch (name) {
          case "%TAG": {
            if (parts.length !== 2) {
              onError(0, "%TAG directive should contain exactly two parts");
              if (parts.length < 2)
                return false;
            }
            const [handle, prefix] = parts;
            this.tags[handle] = prefix;
            return true;
          }
          case "%YAML": {
            this.yaml.explicit = true;
            if (parts.length !== 1) {
              onError(0, "%YAML directive should contain exactly one part");
              return false;
            }
            const [version] = parts;
            if (version === "1.1" || version === "1.2") {
              this.yaml.version = version;
              return true;
            } else {
              const isValid = /^\d+\.\d+$/.test(version);
              onError(6, `Unsupported YAML version ${version}`, isValid);
              return false;
            }
          }
          default:
            onError(0, `Unknown directive ${name}`, true);
            return false;
        }
      }
      /**
       * Resolves a tag, matching handles to those defined in %TAG directives.
       *
       * @returns Resolved tag, which may also be the non-specific tag `'!'` or a
       *   `'!local'` tag, or `null` if unresolvable.
       */
      tagName(source, onError) {
        if (source === "!")
          return "!";
        if (source[0] !== "!") {
          onError(`Not a valid tag: ${source}`);
          return null;
        }
        if (source[1] === "<") {
          const verbatim = source.slice(2, -1);
          if (verbatim === "!" || verbatim === "!!") {
            onError(`Verbatim tags aren't resolved, so ${source} is invalid.`);
            return null;
          }
          if (source[source.length - 1] !== ">")
            onError("Verbatim tags must end with a >");
          return verbatim;
        }
        const [, handle, suffix] = source.match(/^(.*!)([^!]*)$/);
        if (!suffix)
          onError(`The ${source} tag has no suffix`);
        const prefix = this.tags[handle];
        if (prefix)
          return prefix + decodeURIComponent(suffix);
        if (handle === "!")
          return source;
        onError(`Could not resolve tag: ${source}`);
        return null;
      }
      /**
       * Given a fully resolved tag, returns its printable string form,
       * taking into account current tag prefixes and defaults.
       */
      tagString(tag) {
        for (const [handle, prefix] of Object.entries(this.tags)) {
          if (tag.startsWith(prefix))
            return handle + escapeTagName(tag.substring(prefix.length));
        }
        return tag[0] === "!" ? tag : `!<${tag}>`;
      }
      toString(doc) {
        const lines = this.yaml.explicit ? [`%YAML ${this.yaml.version || "1.2"}`] : [];
        const tagEntries = Object.entries(this.tags);
        let tagNames;
        if (doc && tagEntries.length > 0 && identity.isNode(doc.contents)) {
          const tags = {};
          visit.visit(doc.contents, (_key, node) => {
            if (identity.isNode(node) && node.tag)
              tags[node.tag] = true;
          });
          tagNames = Object.keys(tags);
        } else
          tagNames = [];
        for (const [handle, prefix] of tagEntries) {
          if (handle === "!!" && prefix === "tag:yaml.org,2002:")
            continue;
          if (!doc || tagNames.some((tn) => tn.startsWith(prefix)))
            lines.push(`%TAG ${handle} ${prefix}`);
        }
        return lines.join("\n");
      }
    };
    Directives.defaultYaml = { explicit: false, version: "1.2" };
    Directives.defaultTags = { "!!": "tag:yaml.org,2002:" };
    exports2.Directives = Directives;
  }
});

// ../blueprint/node_modules/yaml/dist/doc/anchors.js
var require_anchors3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/doc/anchors.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var visit = require_visit3();
    function anchorIsValid(anchor) {
      if (/[\x00-\x19\s,[\]{}]/.test(anchor)) {
        const sa = JSON.stringify(anchor);
        const msg = `Anchor must not contain whitespace or control characters: ${sa}`;
        throw new Error(msg);
      }
      return true;
    }
    function anchorNames(root) {
      const anchors = /* @__PURE__ */ new Set();
      visit.visit(root, {
        Value(_key, node) {
          if (node.anchor)
            anchors.add(node.anchor);
        }
      });
      return anchors;
    }
    function findNewAnchor(prefix, exclude) {
      for (let i = 1; true; ++i) {
        const name = `${prefix}${i}`;
        if (!exclude.has(name))
          return name;
      }
    }
    function createNodeAnchors(doc, prefix) {
      const aliasObjects = [];
      const sourceObjects = /* @__PURE__ */ new Map();
      let prevAnchors = null;
      return {
        onAnchor: (source) => {
          aliasObjects.push(source);
          if (!prevAnchors)
            prevAnchors = anchorNames(doc);
          const anchor = findNewAnchor(prefix, prevAnchors);
          prevAnchors.add(anchor);
          return anchor;
        },
        /**
         * With circular references, the source node is only resolved after all
         * of its child nodes are. This is why anchors are set only after all of
         * the nodes have been created.
         */
        setAnchors: () => {
          for (const source of aliasObjects) {
            const ref = sourceObjects.get(source);
            if (typeof ref === "object" && ref.anchor && (identity.isScalar(ref.node) || identity.isCollection(ref.node))) {
              ref.node.anchor = ref.anchor;
            } else {
              const error = new Error("Failed to resolve repeated object (this should not happen)");
              error.source = source;
              throw error;
            }
          }
        },
        sourceObjects
      };
    }
    exports2.anchorIsValid = anchorIsValid;
    exports2.anchorNames = anchorNames;
    exports2.createNodeAnchors = createNodeAnchors;
    exports2.findNewAnchor = findNewAnchor;
  }
});

// ../blueprint/node_modules/yaml/dist/doc/applyReviver.js
var require_applyReviver3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/doc/applyReviver.js"(exports2) {
    "use strict";
    function applyReviver(reviver, obj, key, val) {
      if (val && typeof val === "object") {
        if (Array.isArray(val)) {
          for (let i = 0, len = val.length; i < len; ++i) {
            const v0 = val[i];
            const v1 = applyReviver(reviver, val, String(i), v0);
            if (v1 === void 0)
              delete val[i];
            else if (v1 !== v0)
              val[i] = v1;
          }
        } else if (val instanceof Map) {
          for (const k of Array.from(val.keys())) {
            const v0 = val.get(k);
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              val.delete(k);
            else if (v1 !== v0)
              val.set(k, v1);
          }
        } else if (val instanceof Set) {
          for (const v0 of Array.from(val)) {
            const v1 = applyReviver(reviver, val, v0, v0);
            if (v1 === void 0)
              val.delete(v0);
            else if (v1 !== v0) {
              val.delete(v0);
              val.add(v1);
            }
          }
        } else {
          for (const [k, v0] of Object.entries(val)) {
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              delete val[k];
            else if (v1 !== v0)
              val[k] = v1;
          }
        }
      }
      return reviver.call(obj, key, val);
    }
    exports2.applyReviver = applyReviver;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/toJS.js
var require_toJS3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/toJS.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    function toJS(value, arg, ctx) {
      if (Array.isArray(value))
        return value.map((v, i) => toJS(v, String(i), ctx));
      if (value && typeof value.toJSON === "function") {
        if (!ctx || !identity.hasAnchor(value))
          return value.toJSON(arg, ctx);
        const data = { aliasCount: 0, count: 1, res: void 0 };
        ctx.anchors.set(value, data);
        ctx.onCreate = (res2) => {
          data.res = res2;
          delete ctx.onCreate;
        };
        const res = value.toJSON(arg, ctx);
        if (ctx.onCreate)
          ctx.onCreate(res);
        return res;
      }
      if (typeof value === "bigint" && !ctx?.keep)
        return Number(value);
      return value;
    }
    exports2.toJS = toJS;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/Node.js
var require_Node3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/Node.js"(exports2) {
    "use strict";
    var applyReviver = require_applyReviver3();
    var identity = require_identity3();
    var toJS = require_toJS3();
    var NodeBase = class {
      constructor(type) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: type });
      }
      /** Create a copy of this node.  */
      clone() {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** A plain JavaScript representation of this node. */
      toJS(doc, { mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        if (!identity.isDocument(doc))
          throw new TypeError("A document argument is required");
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc,
          keep: true,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this, "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
    };
    exports2.NodeBase = NodeBase;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/Alias.js
var require_Alias3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/Alias.js"(exports2) {
    "use strict";
    var anchors = require_anchors3();
    var visit = require_visit3();
    var identity = require_identity3();
    var Node = require_Node3();
    var toJS = require_toJS3();
    var Alias = class extends Node.NodeBase {
      constructor(source) {
        super(identity.ALIAS);
        this.source = source;
        Object.defineProperty(this, "tag", {
          set() {
            throw new Error("Alias nodes cannot have tags");
          }
        });
      }
      /**
       * Resolve the value of this alias within `doc`, finding the last
       * instance of the `source` anchor before this node.
       */
      resolve(doc) {
        let found = void 0;
        visit.visit(doc, {
          Node: (_key, node) => {
            if (node === this)
              return visit.visit.BREAK;
            if (node.anchor === this.source)
              found = node;
          }
        });
        return found;
      }
      toJSON(_arg, ctx) {
        if (!ctx)
          return { source: this.source };
        const { anchors: anchors2, doc, maxAliasCount } = ctx;
        const source = this.resolve(doc);
        if (!source) {
          const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
          throw new ReferenceError(msg);
        }
        let data = anchors2.get(source);
        if (!data) {
          toJS.toJS(source, null, ctx);
          data = anchors2.get(source);
        }
        if (!data || data.res === void 0) {
          const msg = "This should not happen: Alias anchor was not resolved?";
          throw new ReferenceError(msg);
        }
        if (maxAliasCount >= 0) {
          data.count += 1;
          if (data.aliasCount === 0)
            data.aliasCount = getAliasCount(doc, source, anchors2);
          if (data.count * data.aliasCount > maxAliasCount) {
            const msg = "Excessive alias count indicates a resource exhaustion attack";
            throw new ReferenceError(msg);
          }
        }
        return data.res;
      }
      toString(ctx, _onComment, _onChompKeep) {
        const src = `*${this.source}`;
        if (ctx) {
          anchors.anchorIsValid(this.source);
          if (ctx.options.verifyAliasOrder && !ctx.anchors.has(this.source)) {
            const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
            throw new Error(msg);
          }
          if (ctx.implicitKey)
            return `${src} `;
        }
        return src;
      }
    };
    function getAliasCount(doc, node, anchors2) {
      if (identity.isAlias(node)) {
        const source = node.resolve(doc);
        const anchor = anchors2 && source && anchors2.get(source);
        return anchor ? anchor.count * anchor.aliasCount : 0;
      } else if (identity.isCollection(node)) {
        let count = 0;
        for (const item of node.items) {
          const c = getAliasCount(doc, item, anchors2);
          if (c > count)
            count = c;
        }
        return count;
      } else if (identity.isPair(node)) {
        const kc = getAliasCount(doc, node.key, anchors2);
        const vc = getAliasCount(doc, node.value, anchors2);
        return Math.max(kc, vc);
      }
      return 1;
    }
    exports2.Alias = Alias;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/Scalar.js
var require_Scalar3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/Scalar.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Node = require_Node3();
    var toJS = require_toJS3();
    var isScalarValue = (value) => !value || typeof value !== "function" && typeof value !== "object";
    var Scalar = class extends Node.NodeBase {
      constructor(value) {
        super(identity.SCALAR);
        this.value = value;
      }
      toJSON(arg, ctx) {
        return ctx?.keep ? this.value : toJS.toJS(this.value, arg, ctx);
      }
      toString() {
        return String(this.value);
      }
    };
    Scalar.BLOCK_FOLDED = "BLOCK_FOLDED";
    Scalar.BLOCK_LITERAL = "BLOCK_LITERAL";
    Scalar.PLAIN = "PLAIN";
    Scalar.QUOTE_DOUBLE = "QUOTE_DOUBLE";
    Scalar.QUOTE_SINGLE = "QUOTE_SINGLE";
    exports2.Scalar = Scalar;
    exports2.isScalarValue = isScalarValue;
  }
});

// ../blueprint/node_modules/yaml/dist/doc/createNode.js
var require_createNode3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/doc/createNode.js"(exports2) {
    "use strict";
    var Alias = require_Alias3();
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var defaultTagPrefix = "tag:yaml.org,2002:";
    function findTagObject(value, tagName, tags) {
      if (tagName) {
        const match = tags.filter((t) => t.tag === tagName);
        const tagObj = match.find((t) => !t.format) ?? match[0];
        if (!tagObj)
          throw new Error(`Tag ${tagName} not found`);
        return tagObj;
      }
      return tags.find((t) => t.identify?.(value) && !t.format);
    }
    function createNode(value, tagName, ctx) {
      if (identity.isDocument(value))
        value = value.contents;
      if (identity.isNode(value))
        return value;
      if (identity.isPair(value)) {
        const map = ctx.schema[identity.MAP].createNode?.(ctx.schema, null, ctx);
        map.items.push(value);
        return map;
      }
      if (value instanceof String || value instanceof Number || value instanceof Boolean || typeof BigInt !== "undefined" && value instanceof BigInt) {
        value = value.valueOf();
      }
      const { aliasDuplicateObjects, onAnchor, onTagObj, schema, sourceObjects } = ctx;
      let ref = void 0;
      if (aliasDuplicateObjects && value && typeof value === "object") {
        ref = sourceObjects.get(value);
        if (ref) {
          if (!ref.anchor)
            ref.anchor = onAnchor(value);
          return new Alias.Alias(ref.anchor);
        } else {
          ref = { anchor: null, node: null };
          sourceObjects.set(value, ref);
        }
      }
      if (tagName?.startsWith("!!"))
        tagName = defaultTagPrefix + tagName.slice(2);
      let tagObj = findTagObject(value, tagName, schema.tags);
      if (!tagObj) {
        if (value && typeof value.toJSON === "function") {
          value = value.toJSON();
        }
        if (!value || typeof value !== "object") {
          const node2 = new Scalar.Scalar(value);
          if (ref)
            ref.node = node2;
          return node2;
        }
        tagObj = value instanceof Map ? schema[identity.MAP] : Symbol.iterator in Object(value) ? schema[identity.SEQ] : schema[identity.MAP];
      }
      if (onTagObj) {
        onTagObj(tagObj);
        delete ctx.onTagObj;
      }
      const node = tagObj?.createNode ? tagObj.createNode(ctx.schema, value, ctx) : typeof tagObj?.nodeClass?.from === "function" ? tagObj.nodeClass.from(ctx.schema, value, ctx) : new Scalar.Scalar(value);
      if (tagName)
        node.tag = tagName;
      else if (!tagObj.default)
        node.tag = tagObj.tag;
      if (ref)
        ref.node = node;
      return node;
    }
    exports2.createNode = createNode;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/Collection.js
var require_Collection3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/Collection.js"(exports2) {
    "use strict";
    var createNode = require_createNode3();
    var identity = require_identity3();
    var Node = require_Node3();
    function collectionFromPath(schema, path, value) {
      let v = value;
      for (let i = path.length - 1; i >= 0; --i) {
        const k = path[i];
        if (typeof k === "number" && Number.isInteger(k) && k >= 0) {
          const a = [];
          a[k] = v;
          v = a;
        } else {
          v = /* @__PURE__ */ new Map([[k, v]]);
        }
      }
      return createNode.createNode(v, void 0, {
        aliasDuplicateObjects: false,
        keepUndefined: false,
        onAnchor: () => {
          throw new Error("This should not happen, please report a bug.");
        },
        schema,
        sourceObjects: /* @__PURE__ */ new Map()
      });
    }
    var isEmptyPath = (path) => path == null || typeof path === "object" && !!path[Symbol.iterator]().next().done;
    var Collection = class extends Node.NodeBase {
      constructor(type, schema) {
        super(type);
        Object.defineProperty(this, "schema", {
          value: schema,
          configurable: true,
          enumerable: false,
          writable: true
        });
      }
      /**
       * Create a copy of this collection.
       *
       * @param schema - If defined, overwrites the original's schema
       */
      clone(schema) {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (schema)
          copy.schema = schema;
        copy.items = copy.items.map((it) => identity.isNode(it) || identity.isPair(it) ? it.clone(schema) : it);
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /**
       * Adds a value to the collection. For `!!map` and `!!omap` the value must
       * be a Pair instance or a `{ key, value }` object, which may not have a key
       * that already exists in the map.
       */
      addIn(path, value) {
        if (isEmptyPath(path))
          this.add(value);
        else {
          const [key, ...rest] = path;
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.addIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
      /**
       * Removes a value from the collection.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.delete(key);
        const node = this.get(key, true);
        if (identity.isCollection(node))
          return node.deleteIn(rest);
        else
          throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        const [key, ...rest] = path;
        const node = this.get(key, true);
        if (rest.length === 0)
          return !keepScalar && identity.isScalar(node) ? node.value : node;
        else
          return identity.isCollection(node) ? node.getIn(rest, keepScalar) : void 0;
      }
      hasAllNullValues(allowScalar) {
        return this.items.every((node) => {
          if (!identity.isPair(node))
            return false;
          const n = node.value;
          return n == null || allowScalar && identity.isScalar(n) && n.value == null && !n.commentBefore && !n.comment && !n.tag;
        });
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       */
      hasIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.has(key);
        const node = this.get(key, true);
        return identity.isCollection(node) ? node.hasIn(rest) : false;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        const [key, ...rest] = path;
        if (rest.length === 0) {
          this.set(key, value);
        } else {
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.setIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
    };
    Collection.maxFlowStringSingleLineLength = 60;
    exports2.Collection = Collection;
    exports2.collectionFromPath = collectionFromPath;
    exports2.isEmptyPath = isEmptyPath;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyComment.js
var require_stringifyComment3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyComment.js"(exports2) {
    "use strict";
    var stringifyComment = (str) => str.replace(/^(?!$)(?: $)?/gm, "#");
    function indentComment(comment, indent) {
      if (/^\n+$/.test(comment))
        return comment.substring(1);
      return indent ? comment.replace(/^(?! *$)/gm, indent) : comment;
    }
    var lineComment = (str, indent, comment) => str.endsWith("\n") ? indentComment(comment, indent) : comment.includes("\n") ? "\n" + indentComment(comment, indent) : (str.endsWith(" ") ? "" : " ") + comment;
    exports2.indentComment = indentComment;
    exports2.lineComment = lineComment;
    exports2.stringifyComment = stringifyComment;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/foldFlowLines.js
var require_foldFlowLines3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/foldFlowLines.js"(exports2) {
    "use strict";
    var FOLD_FLOW = "flow";
    var FOLD_BLOCK = "block";
    var FOLD_QUOTED = "quoted";
    function foldFlowLines(text, indent, mode = "flow", { indentAtStart, lineWidth = 80, minContentWidth = 20, onFold, onOverflow } = {}) {
      if (!lineWidth || lineWidth < 0)
        return text;
      const endStep = Math.max(1 + minContentWidth, 1 + lineWidth - indent.length);
      if (text.length <= endStep)
        return text;
      const folds = [];
      const escapedFolds = {};
      let end = lineWidth - indent.length;
      if (typeof indentAtStart === "number") {
        if (indentAtStart > lineWidth - Math.max(2, minContentWidth))
          folds.push(0);
        else
          end = lineWidth - indentAtStart;
      }
      let split = void 0;
      let prev = void 0;
      let overflow = false;
      let i = -1;
      let escStart = -1;
      let escEnd = -1;
      if (mode === FOLD_BLOCK) {
        i = consumeMoreIndentedLines(text, i);
        if (i !== -1)
          end = i + endStep;
      }
      for (let ch; ch = text[i += 1]; ) {
        if (mode === FOLD_QUOTED && ch === "\\") {
          escStart = i;
          switch (text[i + 1]) {
            case "x":
              i += 3;
              break;
            case "u":
              i += 5;
              break;
            case "U":
              i += 9;
              break;
            default:
              i += 1;
          }
          escEnd = i;
        }
        if (ch === "\n") {
          if (mode === FOLD_BLOCK)
            i = consumeMoreIndentedLines(text, i);
          end = i + endStep;
          split = void 0;
        } else {
          if (ch === " " && prev && prev !== " " && prev !== "\n" && prev !== "	") {
            const next = text[i + 1];
            if (next && next !== " " && next !== "\n" && next !== "	")
              split = i;
          }
          if (i >= end) {
            if (split) {
              folds.push(split);
              end = split + endStep;
              split = void 0;
            } else if (mode === FOLD_QUOTED) {
              while (prev === " " || prev === "	") {
                prev = ch;
                ch = text[i += 1];
                overflow = true;
              }
              const j = i > escEnd + 1 ? i - 2 : escStart - 1;
              if (escapedFolds[j])
                return text;
              folds.push(j);
              escapedFolds[j] = true;
              end = j + endStep;
              split = void 0;
            } else {
              overflow = true;
            }
          }
        }
        prev = ch;
      }
      if (overflow && onOverflow)
        onOverflow();
      if (folds.length === 0)
        return text;
      if (onFold)
        onFold();
      let res = text.slice(0, folds[0]);
      for (let i2 = 0; i2 < folds.length; ++i2) {
        const fold = folds[i2];
        const end2 = folds[i2 + 1] || text.length;
        if (fold === 0)
          res = `
${indent}${text.slice(0, end2)}`;
        else {
          if (mode === FOLD_QUOTED && escapedFolds[fold])
            res += `${text[fold]}\\`;
          res += `
${indent}${text.slice(fold + 1, end2)}`;
        }
      }
      return res;
    }
    function consumeMoreIndentedLines(text, i) {
      let ch = text[i + 1];
      while (ch === " " || ch === "	") {
        do {
          ch = text[i += 1];
        } while (ch && ch !== "\n");
        ch = text[i + 1];
      }
      return i;
    }
    exports2.FOLD_BLOCK = FOLD_BLOCK;
    exports2.FOLD_FLOW = FOLD_FLOW;
    exports2.FOLD_QUOTED = FOLD_QUOTED;
    exports2.foldFlowLines = foldFlowLines;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyString.js
var require_stringifyString3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyString.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var foldFlowLines = require_foldFlowLines3();
    var getFoldOptions = (ctx, isBlock) => ({
      indentAtStart: isBlock ? ctx.indent.length : ctx.indentAtStart,
      lineWidth: ctx.options.lineWidth,
      minContentWidth: ctx.options.minContentWidth
    });
    var containsDocumentMarker = (str) => /^(%|---|\.\.\.)/m.test(str);
    function lineLengthOverLimit(str, lineWidth, indentLength) {
      if (!lineWidth || lineWidth < 0)
        return false;
      const limit = lineWidth - indentLength;
      const strLen = str.length;
      if (strLen <= limit)
        return false;
      for (let i = 0, start = 0; i < strLen; ++i) {
        if (str[i] === "\n") {
          if (i - start > limit)
            return true;
          start = i + 1;
          if (strLen - start <= limit)
            return false;
        }
      }
      return true;
    }
    function doubleQuotedString(value, ctx) {
      const json = JSON.stringify(value);
      if (ctx.options.doubleQuotedAsJSON)
        return json;
      const { implicitKey } = ctx;
      const minMultiLineLength = ctx.options.doubleQuotedMinMultiLineLength;
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      let str = "";
      let start = 0;
      for (let i = 0, ch = json[i]; ch; ch = json[++i]) {
        if (ch === " " && json[i + 1] === "\\" && json[i + 2] === "n") {
          str += json.slice(start, i) + "\\ ";
          i += 1;
          start = i;
          ch = "\\";
        }
        if (ch === "\\")
          switch (json[i + 1]) {
            case "u":
              {
                str += json.slice(start, i);
                const code = json.substr(i + 2, 4);
                switch (code) {
                  case "0000":
                    str += "\\0";
                    break;
                  case "0007":
                    str += "\\a";
                    break;
                  case "000b":
                    str += "\\v";
                    break;
                  case "001b":
                    str += "\\e";
                    break;
                  case "0085":
                    str += "\\N";
                    break;
                  case "00a0":
                    str += "\\_";
                    break;
                  case "2028":
                    str += "\\L";
                    break;
                  case "2029":
                    str += "\\P";
                    break;
                  default:
                    if (code.substr(0, 2) === "00")
                      str += "\\x" + code.substr(2);
                    else
                      str += json.substr(i, 6);
                }
                i += 5;
                start = i + 1;
              }
              break;
            case "n":
              if (implicitKey || json[i + 2] === '"' || json.length < minMultiLineLength) {
                i += 1;
              } else {
                str += json.slice(start, i) + "\n\n";
                while (json[i + 2] === "\\" && json[i + 3] === "n" && json[i + 4] !== '"') {
                  str += "\n";
                  i += 2;
                }
                str += indent;
                if (json[i + 2] === " ")
                  str += "\\";
                i += 1;
                start = i + 1;
              }
              break;
            default:
              i += 1;
          }
      }
      str = start ? str + json.slice(start) : json;
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_QUOTED, getFoldOptions(ctx, false));
    }
    function singleQuotedString(value, ctx) {
      if (ctx.options.singleQuote === false || ctx.implicitKey && value.includes("\n") || /[ \t]\n|\n[ \t]/.test(value))
        return doubleQuotedString(value, ctx);
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      const res = "'" + value.replace(/'/g, "''").replace(/\n+/g, `$&
${indent}`) + "'";
      return ctx.implicitKey ? res : foldFlowLines.foldFlowLines(res, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function quotedString(value, ctx) {
      const { singleQuote } = ctx.options;
      let qs;
      if (singleQuote === false)
        qs = doubleQuotedString;
      else {
        const hasDouble = value.includes('"');
        const hasSingle = value.includes("'");
        if (hasDouble && !hasSingle)
          qs = singleQuotedString;
        else if (hasSingle && !hasDouble)
          qs = doubleQuotedString;
        else
          qs = singleQuote ? singleQuotedString : doubleQuotedString;
      }
      return qs(value, ctx);
    }
    var blockEndNewlines;
    try {
      blockEndNewlines = new RegExp("(^|(?<!\n))\n+(?!\n|$)", "g");
    } catch {
      blockEndNewlines = /\n+(?!\n|$)/g;
    }
    function blockString({ comment, type, value }, ctx, onComment, onChompKeep) {
      const { blockQuote, commentString, lineWidth } = ctx.options;
      if (!blockQuote || /\n[\t ]+$/.test(value) || /^\s*$/.test(value)) {
        return quotedString(value, ctx);
      }
      const indent = ctx.indent || (ctx.forceBlockIndent || containsDocumentMarker(value) ? "  " : "");
      const literal = blockQuote === "literal" ? true : blockQuote === "folded" || type === Scalar.Scalar.BLOCK_FOLDED ? false : type === Scalar.Scalar.BLOCK_LITERAL ? true : !lineLengthOverLimit(value, lineWidth, indent.length);
      if (!value)
        return literal ? "|\n" : ">\n";
      let chomp;
      let endStart;
      for (endStart = value.length; endStart > 0; --endStart) {
        const ch = value[endStart - 1];
        if (ch !== "\n" && ch !== "	" && ch !== " ")
          break;
      }
      let end = value.substring(endStart);
      const endNlPos = end.indexOf("\n");
      if (endNlPos === -1) {
        chomp = "-";
      } else if (value === end || endNlPos !== end.length - 1) {
        chomp = "+";
        if (onChompKeep)
          onChompKeep();
      } else {
        chomp = "";
      }
      if (end) {
        value = value.slice(0, -end.length);
        if (end[end.length - 1] === "\n")
          end = end.slice(0, -1);
        end = end.replace(blockEndNewlines, `$&${indent}`);
      }
      let startWithSpace = false;
      let startEnd;
      let startNlPos = -1;
      for (startEnd = 0; startEnd < value.length; ++startEnd) {
        const ch = value[startEnd];
        if (ch === " ")
          startWithSpace = true;
        else if (ch === "\n")
          startNlPos = startEnd;
        else
          break;
      }
      let start = value.substring(0, startNlPos < startEnd ? startNlPos + 1 : startEnd);
      if (start) {
        value = value.substring(start.length);
        start = start.replace(/\n+/g, `$&${indent}`);
      }
      const indentSize = indent ? "2" : "1";
      let header = (literal ? "|" : ">") + (startWithSpace ? indentSize : "") + chomp;
      if (comment) {
        header += " " + commentString(comment.replace(/ ?[\r\n]+/g, " "));
        if (onComment)
          onComment();
      }
      if (literal) {
        value = value.replace(/\n+/g, `$&${indent}`);
        return `${header}
${indent}${start}${value}${end}`;
      }
      value = value.replace(/\n+/g, "\n$&").replace(/(?:^|\n)([\t ].*)(?:([\n\t ]*)\n(?![\n\t ]))?/g, "$1$2").replace(/\n+/g, `$&${indent}`);
      const body = foldFlowLines.foldFlowLines(`${start}${value}${end}`, indent, foldFlowLines.FOLD_BLOCK, getFoldOptions(ctx, true));
      return `${header}
${indent}${body}`;
    }
    function plainString(item, ctx, onComment, onChompKeep) {
      const { type, value } = item;
      const { actualString, implicitKey, indent, indentStep, inFlow } = ctx;
      if (implicitKey && /[\n[\]{},]/.test(value) || inFlow && /[[\]{},]/.test(value)) {
        return quotedString(value, ctx);
      }
      if (!value || /^[\n\t ,[\]{}#&*!|>'"%@`]|^[?-]$|^[?-][ \t]|[\n:][ \t]|[ \t]\n|[\n\t ]#|[\n\t :]$/.test(value)) {
        return implicitKey || inFlow || !value.includes("\n") ? quotedString(value, ctx) : blockString(item, ctx, onComment, onChompKeep);
      }
      if (!implicitKey && !inFlow && type !== Scalar.Scalar.PLAIN && value.includes("\n")) {
        return blockString(item, ctx, onComment, onChompKeep);
      }
      if (containsDocumentMarker(value)) {
        if (indent === "") {
          ctx.forceBlockIndent = true;
          return blockString(item, ctx, onComment, onChompKeep);
        } else if (implicitKey && indent === indentStep) {
          return quotedString(value, ctx);
        }
      }
      const str = value.replace(/\n+/g, `$&
${indent}`);
      if (actualString) {
        const test = (tag) => tag.default && tag.tag !== "tag:yaml.org,2002:str" && tag.test?.test(str);
        const { compat, tags } = ctx.doc.schema;
        if (tags.some(test) || compat?.some(test))
          return quotedString(value, ctx);
      }
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function stringifyString(item, ctx, onComment, onChompKeep) {
      const { implicitKey, inFlow } = ctx;
      const ss = typeof item.value === "string" ? item : Object.assign({}, item, { value: String(item.value) });
      let { type } = item;
      if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
        if (/[\x00-\x08\x0b-\x1f\x7f-\x9f\u{D800}-\u{DFFF}]/u.test(ss.value))
          type = Scalar.Scalar.QUOTE_DOUBLE;
      }
      const _stringify = (_type2) => {
        switch (_type2) {
          case Scalar.Scalar.BLOCK_FOLDED:
          case Scalar.Scalar.BLOCK_LITERAL:
            return implicitKey || inFlow ? quotedString(ss.value, ctx) : blockString(ss, ctx, onComment, onChompKeep);
          case Scalar.Scalar.QUOTE_DOUBLE:
            return doubleQuotedString(ss.value, ctx);
          case Scalar.Scalar.QUOTE_SINGLE:
            return singleQuotedString(ss.value, ctx);
          case Scalar.Scalar.PLAIN:
            return plainString(ss, ctx, onComment, onChompKeep);
          default:
            return null;
        }
      };
      let res = _stringify(type);
      if (res === null) {
        const { defaultKeyType, defaultStringType } = ctx.options;
        const t = implicitKey && defaultKeyType || defaultStringType;
        res = _stringify(t);
        if (res === null)
          throw new Error(`Unsupported default string type ${t}`);
      }
      return res;
    }
    exports2.stringifyString = stringifyString;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringify.js
var require_stringify7 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringify.js"(exports2) {
    "use strict";
    var anchors = require_anchors3();
    var identity = require_identity3();
    var stringifyComment = require_stringifyComment3();
    var stringifyString = require_stringifyString3();
    function createStringifyContext(doc, options) {
      const opt = Object.assign({
        blockQuote: true,
        commentString: stringifyComment.stringifyComment,
        defaultKeyType: null,
        defaultStringType: "PLAIN",
        directives: null,
        doubleQuotedAsJSON: false,
        doubleQuotedMinMultiLineLength: 40,
        falseStr: "false",
        flowCollectionPadding: true,
        indentSeq: true,
        lineWidth: 80,
        minContentWidth: 20,
        nullStr: "null",
        simpleKeys: false,
        singleQuote: null,
        trueStr: "true",
        verifyAliasOrder: true
      }, doc.schema.toStringOptions, options);
      let inFlow;
      switch (opt.collectionStyle) {
        case "block":
          inFlow = false;
          break;
        case "flow":
          inFlow = true;
          break;
        default:
          inFlow = null;
      }
      return {
        anchors: /* @__PURE__ */ new Set(),
        doc,
        flowCollectionPadding: opt.flowCollectionPadding ? " " : "",
        indent: "",
        indentStep: typeof opt.indent === "number" ? " ".repeat(opt.indent) : "  ",
        inFlow,
        options: opt
      };
    }
    function getTagObject(tags, item) {
      if (item.tag) {
        const match = tags.filter((t) => t.tag === item.tag);
        if (match.length > 0)
          return match.find((t) => t.format === item.format) ?? match[0];
      }
      let tagObj = void 0;
      let obj;
      if (identity.isScalar(item)) {
        obj = item.value;
        const match = tags.filter((t) => t.identify?.(obj));
        tagObj = match.find((t) => t.format === item.format) ?? match.find((t) => !t.format);
      } else {
        obj = item;
        tagObj = tags.find((t) => t.nodeClass && obj instanceof t.nodeClass);
      }
      if (!tagObj) {
        const name = obj?.constructor?.name ?? typeof obj;
        throw new Error(`Tag not resolved for ${name} value`);
      }
      return tagObj;
    }
    function stringifyProps(node, tagObj, { anchors: anchors$1, doc }) {
      if (!doc.directives)
        return "";
      const props = [];
      const anchor = (identity.isScalar(node) || identity.isCollection(node)) && node.anchor;
      if (anchor && anchors.anchorIsValid(anchor)) {
        anchors$1.add(anchor);
        props.push(`&${anchor}`);
      }
      const tag = node.tag ? node.tag : tagObj.default ? null : tagObj.tag;
      if (tag)
        props.push(doc.directives.tagString(tag));
      return props.join(" ");
    }
    function stringify(item, ctx, onComment, onChompKeep) {
      if (identity.isPair(item))
        return item.toString(ctx, onComment, onChompKeep);
      if (identity.isAlias(item)) {
        if (ctx.doc.directives)
          return item.toString(ctx);
        if (ctx.resolvedAliases?.has(item)) {
          throw new TypeError(`Cannot stringify circular structure without alias nodes`);
        } else {
          if (ctx.resolvedAliases)
            ctx.resolvedAliases.add(item);
          else
            ctx.resolvedAliases = /* @__PURE__ */ new Set([item]);
          item = item.resolve(ctx.doc);
        }
      }
      let tagObj = void 0;
      const node = identity.isNode(item) ? item : ctx.doc.createNode(item, { onTagObj: (o) => tagObj = o });
      if (!tagObj)
        tagObj = getTagObject(ctx.doc.schema.tags, node);
      const props = stringifyProps(node, tagObj, ctx);
      if (props.length > 0)
        ctx.indentAtStart = (ctx.indentAtStart ?? 0) + props.length + 1;
      const str = typeof tagObj.stringify === "function" ? tagObj.stringify(node, ctx, onComment, onChompKeep) : identity.isScalar(node) ? stringifyString.stringifyString(node, ctx, onComment, onChompKeep) : node.toString(ctx, onComment, onChompKeep);
      if (!props)
        return str;
      return identity.isScalar(node) || str[0] === "{" || str[0] === "[" ? `${props} ${str}` : `${props}
${ctx.indent}${str}`;
    }
    exports2.createStringifyContext = createStringifyContext;
    exports2.stringify = stringify;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyPair.js
var require_stringifyPair3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyPair.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var stringify = require_stringify7();
    var stringifyComment = require_stringifyComment3();
    function stringifyPair({ key, value }, ctx, onComment, onChompKeep) {
      const { allNullValues, doc, indent, indentStep, options: { commentString, indentSeq, simpleKeys } } = ctx;
      let keyComment = identity.isNode(key) && key.comment || null;
      if (simpleKeys) {
        if (keyComment) {
          throw new Error("With simple keys, key nodes cannot have comments");
        }
        if (identity.isCollection(key)) {
          const msg = "With simple keys, collection cannot be used as a key value";
          throw new Error(msg);
        }
      }
      let explicitKey = !simpleKeys && (!key || keyComment && value == null && !ctx.inFlow || identity.isCollection(key) || (identity.isScalar(key) ? key.type === Scalar.Scalar.BLOCK_FOLDED || key.type === Scalar.Scalar.BLOCK_LITERAL : typeof key === "object"));
      ctx = Object.assign({}, ctx, {
        allNullValues: false,
        implicitKey: !explicitKey && (simpleKeys || !allNullValues),
        indent: indent + indentStep
      });
      let keyCommentDone = false;
      let chompKeep = false;
      let str = stringify.stringify(key, ctx, () => keyCommentDone = true, () => chompKeep = true);
      if (!explicitKey && !ctx.inFlow && str.length > 1024) {
        if (simpleKeys)
          throw new Error("With simple keys, single line scalar must not span more than 1024 characters");
        explicitKey = true;
      }
      if (ctx.inFlow) {
        if (allNullValues || value == null) {
          if (keyCommentDone && onComment)
            onComment();
          return str === "" ? "?" : explicitKey ? `? ${str}` : str;
        }
      } else if (allNullValues && !simpleKeys || value == null && explicitKey) {
        str = `? ${str}`;
        if (keyComment && !keyCommentDone) {
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        } else if (chompKeep && onChompKeep)
          onChompKeep();
        return str;
      }
      if (keyCommentDone)
        keyComment = null;
      if (explicitKey) {
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        str = `? ${str}
${indent}:`;
      } else {
        str = `${str}:`;
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
      }
      let vsb, vcb, valueComment;
      if (identity.isNode(value)) {
        vsb = !!value.spaceBefore;
        vcb = value.commentBefore;
        valueComment = value.comment;
      } else {
        vsb = false;
        vcb = null;
        valueComment = null;
        if (value && typeof value === "object")
          value = doc.createNode(value);
      }
      ctx.implicitKey = false;
      if (!explicitKey && !keyComment && identity.isScalar(value))
        ctx.indentAtStart = str.length + 1;
      chompKeep = false;
      if (!indentSeq && indentStep.length >= 2 && !ctx.inFlow && !explicitKey && identity.isSeq(value) && !value.flow && !value.tag && !value.anchor) {
        ctx.indent = ctx.indent.substring(2);
      }
      let valueCommentDone = false;
      const valueStr = stringify.stringify(value, ctx, () => valueCommentDone = true, () => chompKeep = true);
      let ws = " ";
      if (keyComment || vsb || vcb) {
        ws = vsb ? "\n" : "";
        if (vcb) {
          const cs = commentString(vcb);
          ws += `
${stringifyComment.indentComment(cs, ctx.indent)}`;
        }
        if (valueStr === "" && !ctx.inFlow) {
          if (ws === "\n")
            ws = "\n\n";
        } else {
          ws += `
${ctx.indent}`;
        }
      } else if (!explicitKey && identity.isCollection(value)) {
        const vs0 = valueStr[0];
        const nl0 = valueStr.indexOf("\n");
        const hasNewline = nl0 !== -1;
        const flow = ctx.inFlow ?? value.flow ?? value.items.length === 0;
        if (hasNewline || !flow) {
          let hasPropsLine = false;
          if (hasNewline && (vs0 === "&" || vs0 === "!")) {
            let sp0 = valueStr.indexOf(" ");
            if (vs0 === "&" && sp0 !== -1 && sp0 < nl0 && valueStr[sp0 + 1] === "!") {
              sp0 = valueStr.indexOf(" ", sp0 + 1);
            }
            if (sp0 === -1 || nl0 < sp0)
              hasPropsLine = true;
          }
          if (!hasPropsLine)
            ws = `
${ctx.indent}`;
        }
      } else if (valueStr === "" || valueStr[0] === "\n") {
        ws = "";
      }
      str += ws + valueStr;
      if (ctx.inFlow) {
        if (valueCommentDone && onComment)
          onComment();
      } else if (valueComment && !valueCommentDone) {
        str += stringifyComment.lineComment(str, ctx.indent, commentString(valueComment));
      } else if (chompKeep && onChompKeep) {
        onChompKeep();
      }
      return str;
    }
    exports2.stringifyPair = stringifyPair;
  }
});

// ../blueprint/node_modules/yaml/dist/log.js
var require_log3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/log.js"(exports2) {
    "use strict";
    function debug(logLevel, ...messages) {
      if (logLevel === "debug")
        console.log(...messages);
    }
    function warn(logLevel, warning) {
      if (logLevel === "debug" || logLevel === "warn") {
        if (typeof process !== "undefined" && process.emitWarning)
          process.emitWarning(warning);
        else
          console.warn(warning);
      }
    }
    exports2.debug = debug;
    exports2.warn = warn;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/addPairToJSMap.js
var require_addPairToJSMap3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/addPairToJSMap.js"(exports2) {
    "use strict";
    var log = require_log3();
    var stringify = require_stringify7();
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var toJS = require_toJS3();
    var MERGE_KEY = "<<";
    function addPairToJSMap(ctx, map, { key, value }) {
      if (ctx?.doc.schema.merge && isMergeKey(key)) {
        value = identity.isAlias(value) ? value.resolve(ctx.doc) : value;
        if (identity.isSeq(value))
          for (const it of value.items)
            mergeToJSMap(ctx, map, it);
        else if (Array.isArray(value))
          for (const it of value)
            mergeToJSMap(ctx, map, it);
        else
          mergeToJSMap(ctx, map, value);
      } else {
        const jsKey = toJS.toJS(key, "", ctx);
        if (map instanceof Map) {
          map.set(jsKey, toJS.toJS(value, jsKey, ctx));
        } else if (map instanceof Set) {
          map.add(jsKey);
        } else {
          const stringKey = stringifyKey(key, jsKey, ctx);
          const jsValue = toJS.toJS(value, stringKey, ctx);
          if (stringKey in map)
            Object.defineProperty(map, stringKey, {
              value: jsValue,
              writable: true,
              enumerable: true,
              configurable: true
            });
          else
            map[stringKey] = jsValue;
        }
      }
      return map;
    }
    var isMergeKey = (key) => key === MERGE_KEY || identity.isScalar(key) && key.value === MERGE_KEY && (!key.type || key.type === Scalar.Scalar.PLAIN);
    function mergeToJSMap(ctx, map, value) {
      const source = ctx && identity.isAlias(value) ? value.resolve(ctx.doc) : value;
      if (!identity.isMap(source))
        throw new Error("Merge sources must be maps or map aliases");
      const srcMap = source.toJSON(null, ctx, Map);
      for (const [key, value2] of srcMap) {
        if (map instanceof Map) {
          if (!map.has(key))
            map.set(key, value2);
        } else if (map instanceof Set) {
          map.add(key);
        } else if (!Object.prototype.hasOwnProperty.call(map, key)) {
          Object.defineProperty(map, key, {
            value: value2,
            writable: true,
            enumerable: true,
            configurable: true
          });
        }
      }
      return map;
    }
    function stringifyKey(key, jsKey, ctx) {
      if (jsKey === null)
        return "";
      if (typeof jsKey !== "object")
        return String(jsKey);
      if (identity.isNode(key) && ctx && ctx.doc) {
        const strCtx = stringify.createStringifyContext(ctx.doc, {});
        strCtx.anchors = /* @__PURE__ */ new Set();
        for (const node of ctx.anchors.keys())
          strCtx.anchors.add(node.anchor);
        strCtx.inFlow = true;
        strCtx.inStringifyKey = true;
        const strKey = key.toString(strCtx);
        if (!ctx.mapKeyWarned) {
          let jsonStr = JSON.stringify(strKey);
          if (jsonStr.length > 40)
            jsonStr = jsonStr.substring(0, 36) + '..."';
          log.warn(ctx.doc.options.logLevel, `Keys with collection values will be stringified due to JS Object restrictions: ${jsonStr}. Set mapAsMap: true to use object keys.`);
          ctx.mapKeyWarned = true;
        }
        return strKey;
      }
      return JSON.stringify(jsKey);
    }
    exports2.addPairToJSMap = addPairToJSMap;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/Pair.js
var require_Pair3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/Pair.js"(exports2) {
    "use strict";
    var createNode = require_createNode3();
    var stringifyPair = require_stringifyPair3();
    var addPairToJSMap = require_addPairToJSMap3();
    var identity = require_identity3();
    function createPair(key, value, ctx) {
      const k = createNode.createNode(key, void 0, ctx);
      const v = createNode.createNode(value, void 0, ctx);
      return new Pair(k, v);
    }
    var Pair = class _Pair {
      constructor(key, value = null) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.PAIR });
        this.key = key;
        this.value = value;
      }
      clone(schema) {
        let { key, value } = this;
        if (identity.isNode(key))
          key = key.clone(schema);
        if (identity.isNode(value))
          value = value.clone(schema);
        return new _Pair(key, value);
      }
      toJSON(_, ctx) {
        const pair = ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        return addPairToJSMap.addPairToJSMap(ctx, pair, this);
      }
      toString(ctx, onComment, onChompKeep) {
        return ctx?.doc ? stringifyPair.stringifyPair(this, ctx, onComment, onChompKeep) : JSON.stringify(this);
      }
    };
    exports2.Pair = Pair;
    exports2.createPair = createPair;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyCollection.js
var require_stringifyCollection3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyCollection.js"(exports2) {
    "use strict";
    var Collection = require_Collection3();
    var identity = require_identity3();
    var stringify = require_stringify7();
    var stringifyComment = require_stringifyComment3();
    function stringifyCollection(collection, ctx, options) {
      const flow = ctx.inFlow ?? collection.flow;
      const stringify2 = flow ? stringifyFlowCollection : stringifyBlockCollection;
      return stringify2(collection, ctx, options);
    }
    function stringifyBlockCollection({ comment, items }, ctx, { blockItemPrefix, flowChars, itemIndent, onChompKeep, onComment }) {
      const { indent, options: { commentString } } = ctx;
      const itemCtx = Object.assign({}, ctx, { indent: itemIndent, type: null });
      let chompKeep = false;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (!chompKeep && item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, chompKeep);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (!chompKeep && ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, chompKeep);
          }
        }
        chompKeep = false;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null, () => chompKeep = true);
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (chompKeep && comment2)
          chompKeep = false;
        lines.push(blockItemPrefix + str2);
      }
      let str;
      if (lines.length === 0) {
        str = flowChars.start + flowChars.end;
      } else {
        str = lines[0];
        for (let i = 1; i < lines.length; ++i) {
          const line = lines[i];
          str += line ? `
${indent}${line}` : "\n";
        }
      }
      if (comment) {
        str += "\n" + stringifyComment.indentComment(commentString(comment), indent);
        if (onComment)
          onComment();
      } else if (chompKeep && onChompKeep)
        onChompKeep();
      return str;
    }
    function stringifyFlowCollection({ comment, items }, ctx, { flowChars, itemIndent, onComment }) {
      const { indent, indentStep, flowCollectionPadding: fcPadding, options: { commentString } } = ctx;
      itemIndent += indentStep;
      const itemCtx = Object.assign({}, ctx, {
        indent: itemIndent,
        inFlow: true,
        type: null
      });
      let reqNewline = false;
      let linesAtValue = 0;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, false);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, false);
            if (ik.comment)
              reqNewline = true;
          }
          const iv = identity.isNode(item.value) ? item.value : null;
          if (iv) {
            if (iv.comment)
              comment2 = iv.comment;
            if (iv.commentBefore)
              reqNewline = true;
          } else if (item.value == null && ik && ik.comment) {
            comment2 = ik.comment;
          }
        }
        if (comment2)
          reqNewline = true;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null);
        if (i < items.length - 1)
          str2 += ",";
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (!reqNewline && (lines.length > linesAtValue || str2.includes("\n")))
          reqNewline = true;
        lines.push(str2);
        linesAtValue = lines.length;
      }
      let str;
      const { start, end } = flowChars;
      if (lines.length === 0) {
        str = start + end;
      } else {
        if (!reqNewline) {
          const len = lines.reduce((sum, line) => sum + line.length + 2, 2);
          reqNewline = len > Collection.Collection.maxFlowStringSingleLineLength;
        }
        if (reqNewline) {
          str = start;
          for (const line of lines)
            str += line ? `
${indentStep}${indent}${line}` : "\n";
          str += `
${indent}${end}`;
        } else {
          str = `${start}${fcPadding}${lines.join(" ")}${fcPadding}${end}`;
        }
      }
      if (comment) {
        str += stringifyComment.lineComment(str, indent, commentString(comment));
        if (onComment)
          onComment();
      }
      return str;
    }
    function addCommentBefore({ indent, options: { commentString } }, lines, comment, chompKeep) {
      if (comment && chompKeep)
        comment = comment.replace(/^\n+/, "");
      if (comment) {
        const ic = stringifyComment.indentComment(commentString(comment), indent);
        lines.push(ic.trimStart());
      }
    }
    exports2.stringifyCollection = stringifyCollection;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/YAMLMap.js
var require_YAMLMap3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/YAMLMap.js"(exports2) {
    "use strict";
    var stringifyCollection = require_stringifyCollection3();
    var addPairToJSMap = require_addPairToJSMap3();
    var Collection = require_Collection3();
    var identity = require_identity3();
    var Pair = require_Pair3();
    var Scalar = require_Scalar3();
    function findPair(items, key) {
      const k = identity.isScalar(key) ? key.value : key;
      for (const it of items) {
        if (identity.isPair(it)) {
          if (it.key === key || it.key === k)
            return it;
          if (identity.isScalar(it.key) && it.key.value === k)
            return it;
        }
      }
      return void 0;
    }
    var YAMLMap = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:map";
      }
      constructor(schema) {
        super(identity.MAP, schema);
        this.items = [];
      }
      /**
       * A generic collection parsing method that can be extended
       * to other node classes that inherit from YAMLMap
       */
      static from(schema, obj, ctx) {
        const { keepUndefined, replacer } = ctx;
        const map = new this(schema);
        const add = (key, value) => {
          if (typeof replacer === "function")
            value = replacer.call(obj, key, value);
          else if (Array.isArray(replacer) && !replacer.includes(key))
            return;
          if (value !== void 0 || keepUndefined)
            map.items.push(Pair.createPair(key, value, ctx));
        };
        if (obj instanceof Map) {
          for (const [key, value] of obj)
            add(key, value);
        } else if (obj && typeof obj === "object") {
          for (const key of Object.keys(obj))
            add(key, obj[key]);
        }
        if (typeof schema.sortMapEntries === "function") {
          map.items.sort(schema.sortMapEntries);
        }
        return map;
      }
      /**
       * Adds a value to the collection.
       *
       * @param overwrite - If not set `true`, using a key that is already in the
       *   collection will throw. Otherwise, overwrites the previous value.
       */
      add(pair, overwrite) {
        let _pair;
        if (identity.isPair(pair))
          _pair = pair;
        else if (!pair || typeof pair !== "object" || !("key" in pair)) {
          _pair = new Pair.Pair(pair, pair?.value);
        } else
          _pair = new Pair.Pair(pair.key, pair.value);
        const prev = findPair(this.items, _pair.key);
        const sortEntries = this.schema?.sortMapEntries;
        if (prev) {
          if (!overwrite)
            throw new Error(`Key ${_pair.key} already set`);
          if (identity.isScalar(prev.value) && Scalar.isScalarValue(_pair.value))
            prev.value.value = _pair.value;
          else
            prev.value = _pair.value;
        } else if (sortEntries) {
          const i = this.items.findIndex((item) => sortEntries(_pair, item) < 0);
          if (i === -1)
            this.items.push(_pair);
          else
            this.items.splice(i, 0, _pair);
        } else {
          this.items.push(_pair);
        }
      }
      delete(key) {
        const it = findPair(this.items, key);
        if (!it)
          return false;
        const del = this.items.splice(this.items.indexOf(it), 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const it = findPair(this.items, key);
        const node = it?.value;
        return (!keepScalar && identity.isScalar(node) ? node.value : node) ?? void 0;
      }
      has(key) {
        return !!findPair(this.items, key);
      }
      set(key, value) {
        this.add(new Pair.Pair(key, value), true);
      }
      /**
       * @param ctx - Conversion context, originally set in Document#toJS()
       * @param {Class} Type - If set, forces the returned collection type
       * @returns Instance of Type, Map, or Object
       */
      toJSON(_, ctx, Type) {
        const map = Type ? new Type() : ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const item of this.items)
          addPairToJSMap.addPairToJSMap(ctx, map, item);
        return map;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        for (const item of this.items) {
          if (!identity.isPair(item))
            throw new Error(`Map items must all be pairs; found ${JSON.stringify(item)} instead`);
        }
        if (!ctx.allNullValues && this.hasAllNullValues(false))
          ctx = Object.assign({}, ctx, { allNullValues: true });
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "",
          flowChars: { start: "{", end: "}" },
          itemIndent: ctx.indent || "",
          onChompKeep,
          onComment
        });
      }
    };
    exports2.YAMLMap = YAMLMap;
    exports2.findPair = findPair;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/common/map.js
var require_map5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/common/map.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var YAMLMap = require_YAMLMap3();
    var map = {
      collection: "map",
      default: true,
      nodeClass: YAMLMap.YAMLMap,
      tag: "tag:yaml.org,2002:map",
      resolve(map2, onError) {
        if (!identity.isMap(map2))
          onError("Expected a mapping for this tag");
        return map2;
      },
      createNode: (schema, obj, ctx) => YAMLMap.YAMLMap.from(schema, obj, ctx)
    };
    exports2.map = map;
  }
});

// ../blueprint/node_modules/yaml/dist/nodes/YAMLSeq.js
var require_YAMLSeq3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/nodes/YAMLSeq.js"(exports2) {
    "use strict";
    var createNode = require_createNode3();
    var stringifyCollection = require_stringifyCollection3();
    var Collection = require_Collection3();
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var toJS = require_toJS3();
    var YAMLSeq = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:seq";
      }
      constructor(schema) {
        super(identity.SEQ, schema);
        this.items = [];
      }
      add(value) {
        this.items.push(value);
      }
      /**
       * Removes a value from the collection.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       *
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return false;
        const del = this.items.splice(idx, 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return void 0;
        const it = this.items[idx];
        return !keepScalar && identity.isScalar(it) ? it.value : it;
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       */
      has(key) {
        const idx = asItemIndex(key);
        return typeof idx === "number" && idx < this.items.length;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       *
       * If `key` does not contain a representation of an integer, this will throw.
       * It may be wrapped in a `Scalar`.
       */
      set(key, value) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          throw new Error(`Expected a valid index, not ${key}.`);
        const prev = this.items[idx];
        if (identity.isScalar(prev) && Scalar.isScalarValue(value))
          prev.value = value;
        else
          this.items[idx] = value;
      }
      toJSON(_, ctx) {
        const seq = [];
        if (ctx?.onCreate)
          ctx.onCreate(seq);
        let i = 0;
        for (const item of this.items)
          seq.push(toJS.toJS(item, String(i++), ctx));
        return seq;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "- ",
          flowChars: { start: "[", end: "]" },
          itemIndent: (ctx.indent || "") + "  ",
          onChompKeep,
          onComment
        });
      }
      static from(schema, obj, ctx) {
        const { replacer } = ctx;
        const seq = new this(schema);
        if (obj && Symbol.iterator in Object(obj)) {
          let i = 0;
          for (let it of obj) {
            if (typeof replacer === "function") {
              const key = obj instanceof Set ? it : String(i++);
              it = replacer.call(obj, key, it);
            }
            seq.items.push(createNode.createNode(it, void 0, ctx));
          }
        }
        return seq;
      }
    };
    function asItemIndex(key) {
      let idx = identity.isScalar(key) ? key.value : key;
      if (idx && typeof idx === "string")
        idx = Number(idx);
      return typeof idx === "number" && Number.isInteger(idx) && idx >= 0 ? idx : null;
    }
    exports2.YAMLSeq = YAMLSeq;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/common/seq.js
var require_seq5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/common/seq.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var YAMLSeq = require_YAMLSeq3();
    var seq = {
      collection: "seq",
      default: true,
      nodeClass: YAMLSeq.YAMLSeq,
      tag: "tag:yaml.org,2002:seq",
      resolve(seq2, onError) {
        if (!identity.isSeq(seq2))
          onError("Expected a sequence for this tag");
        return seq2;
      },
      createNode: (schema, obj, ctx) => YAMLSeq.YAMLSeq.from(schema, obj, ctx)
    };
    exports2.seq = seq;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/common/string.js
var require_string3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/common/string.js"(exports2) {
    "use strict";
    var stringifyString = require_stringifyString3();
    var string = {
      identify: (value) => typeof value === "string",
      default: true,
      tag: "tag:yaml.org,2002:str",
      resolve: (str) => str,
      stringify(item, ctx, onComment, onChompKeep) {
        ctx = Object.assign({ actualString: true }, ctx);
        return stringifyString.stringifyString(item, ctx, onComment, onChompKeep);
      }
    };
    exports2.string = string;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/common/null.js
var require_null5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/common/null.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var nullTag = {
      identify: (value) => value == null,
      createNode: () => new Scalar.Scalar(null),
      default: true,
      tag: "tag:yaml.org,2002:null",
      test: /^(?:~|[Nn]ull|NULL)?$/,
      resolve: () => new Scalar.Scalar(null),
      stringify: ({ source }, ctx) => typeof source === "string" && nullTag.test.test(source) ? source : ctx.options.nullStr
    };
    exports2.nullTag = nullTag;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/core/bool.js
var require_bool7 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/core/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var boolTag = {
      identify: (value) => typeof value === "boolean",
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:[Tt]rue|TRUE|[Ff]alse|FALSE)$/,
      resolve: (str) => new Scalar.Scalar(str[0] === "t" || str[0] === "T"),
      stringify({ source, value }, ctx) {
        if (source && boolTag.test.test(source)) {
          const sv = source[0] === "t" || source[0] === "T";
          if (value === sv)
            return source;
        }
        return value ? ctx.options.trueStr : ctx.options.falseStr;
      }
    };
    exports2.boolTag = boolTag;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyNumber.js
var require_stringifyNumber3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyNumber.js"(exports2) {
    "use strict";
    function stringifyNumber({ format, minFractionDigits, tag, value }) {
      if (typeof value === "bigint")
        return String(value);
      const num = typeof value === "number" ? value : Number(value);
      if (!isFinite(num))
        return isNaN(num) ? ".nan" : num < 0 ? "-.inf" : ".inf";
      let n = JSON.stringify(value);
      if (!format && minFractionDigits && (!tag || tag === "tag:yaml.org,2002:float") && /^\d/.test(n)) {
        let i = n.indexOf(".");
        if (i < 0) {
          i = n.length;
          n += ".";
        }
        let d = minFractionDigits - (n.length - i - 1);
        while (d-- > 0)
          n += "0";
      }
      return n;
    }
    exports2.stringifyNumber = stringifyNumber;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/core/float.js
var require_float7 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/core/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var stringifyNumber = require_stringifyNumber3();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^(?:[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN))$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+(?:\.[0-9]*)?)[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+\.[0-9]*)$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str));
        const dot = str.indexOf(".");
        if (dot !== -1 && str[str.length - 1] === "0")
          node.minFractionDigits = str.length - dot - 1;
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/core/int.js
var require_int7 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/core/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber3();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    var intResolve = (str, offset, radix, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str.substring(offset), radix);
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value) && value >= 0)
        return prefix + value.toString(radix);
      return stringifyNumber.stringifyNumber(node);
    }
    var intOct = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^0o[0-7]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 8, opt),
      stringify: (node) => intStringify(node, 8, "0o")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^0x[0-9a-fA-F]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/core/schema.js
var require_schema9 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/core/schema.js"(exports2) {
    "use strict";
    var map = require_map5();
    var _null = require_null5();
    var seq = require_seq5();
    var string = require_string3();
    var bool = require_bool7();
    var float = require_float7();
    var int = require_int7();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.boolTag,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float
    ];
    exports2.schema = schema;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/json/schema.js
var require_schema10 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/json/schema.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var map = require_map5();
    var seq = require_seq5();
    function intIdentify(value) {
      return typeof value === "bigint" || Number.isInteger(value);
    }
    var stringifyJSON = ({ value }) => JSON.stringify(value);
    var jsonScalars = [
      {
        identify: (value) => typeof value === "string",
        default: true,
        tag: "tag:yaml.org,2002:str",
        resolve: (str) => str,
        stringify: stringifyJSON
      },
      {
        identify: (value) => value == null,
        createNode: () => new Scalar.Scalar(null),
        default: true,
        tag: "tag:yaml.org,2002:null",
        test: /^null$/,
        resolve: () => null,
        stringify: stringifyJSON
      },
      {
        identify: (value) => typeof value === "boolean",
        default: true,
        tag: "tag:yaml.org,2002:bool",
        test: /^true|false$/,
        resolve: (str) => str === "true",
        stringify: stringifyJSON
      },
      {
        identify: intIdentify,
        default: true,
        tag: "tag:yaml.org,2002:int",
        test: /^-?(?:0|[1-9][0-9]*)$/,
        resolve: (str, _onError, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str, 10),
        stringify: ({ value }) => intIdentify(value) ? value.toString() : JSON.stringify(value)
      },
      {
        identify: (value) => typeof value === "number",
        default: true,
        tag: "tag:yaml.org,2002:float",
        test: /^-?(?:0|[1-9][0-9]*)(?:\.[0-9]*)?(?:[eE][-+]?[0-9]+)?$/,
        resolve: (str) => parseFloat(str),
        stringify: stringifyJSON
      }
    ];
    var jsonError = {
      default: true,
      tag: "",
      test: /^/,
      resolve(str, onError) {
        onError(`Unresolved plain scalar ${JSON.stringify(str)}`);
        return str;
      }
    };
    var schema = [map.map, seq.seq].concat(jsonScalars, jsonError);
    exports2.schema = schema;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/binary.js
var require_binary5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/binary.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var stringifyString = require_stringifyString3();
    var binary = {
      identify: (value) => value instanceof Uint8Array,
      default: false,
      tag: "tag:yaml.org,2002:binary",
      /**
       * Returns a Buffer in node and an Uint8Array in browsers
       *
       * To use the resulting buffer as an image, you'll want to do something like:
       *
       *   const blob = new Blob([buffer], { type: 'image/jpeg' })
       *   document.querySelector('#photo').src = URL.createObjectURL(blob)
       */
      resolve(src, onError) {
        if (typeof Buffer === "function") {
          return Buffer.from(src, "base64");
        } else if (typeof atob === "function") {
          const str = atob(src.replace(/[\n\r]/g, ""));
          const buffer = new Uint8Array(str.length);
          for (let i = 0; i < str.length; ++i)
            buffer[i] = str.charCodeAt(i);
          return buffer;
        } else {
          onError("This environment does not support reading binary tags; either Buffer or atob is required");
          return src;
        }
      },
      stringify({ comment, type, value }, ctx, onComment, onChompKeep) {
        const buf = value;
        let str;
        if (typeof Buffer === "function") {
          str = buf instanceof Buffer ? buf.toString("base64") : Buffer.from(buf.buffer).toString("base64");
        } else if (typeof btoa === "function") {
          let s = "";
          for (let i = 0; i < buf.length; ++i)
            s += String.fromCharCode(buf[i]);
          str = btoa(s);
        } else {
          throw new Error("This environment does not support writing binary tags; either Buffer or btoa is required");
        }
        if (!type)
          type = Scalar.Scalar.BLOCK_LITERAL;
        if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
          const lineWidth = Math.max(ctx.options.lineWidth - ctx.indent.length, ctx.options.minContentWidth);
          const n = Math.ceil(str.length / lineWidth);
          const lines = new Array(n);
          for (let i = 0, o = 0; i < n; ++i, o += lineWidth) {
            lines[i] = str.substr(o, lineWidth);
          }
          str = lines.join(type === Scalar.Scalar.BLOCK_LITERAL ? "\n" : " ");
        }
        return stringifyString.stringifyString({ comment, type, value: str }, ctx, onComment, onChompKeep);
      }
    };
    exports2.binary = binary;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/pairs.js
var require_pairs5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/pairs.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Pair = require_Pair3();
    var Scalar = require_Scalar3();
    var YAMLSeq = require_YAMLSeq3();
    function resolvePairs(seq, onError) {
      if (identity.isSeq(seq)) {
        for (let i = 0; i < seq.items.length; ++i) {
          let item = seq.items[i];
          if (identity.isPair(item))
            continue;
          else if (identity.isMap(item)) {
            if (item.items.length > 1)
              onError("Each pair must have its own sequence indicator");
            const pair = item.items[0] || new Pair.Pair(new Scalar.Scalar(null));
            if (item.commentBefore)
              pair.key.commentBefore = pair.key.commentBefore ? `${item.commentBefore}
${pair.key.commentBefore}` : item.commentBefore;
            if (item.comment) {
              const cn = pair.value ?? pair.key;
              cn.comment = cn.comment ? `${item.comment}
${cn.comment}` : item.comment;
            }
            item = pair;
          }
          seq.items[i] = identity.isPair(item) ? item : new Pair.Pair(item);
        }
      } else
        onError("Expected a sequence for this tag");
      return seq;
    }
    function createPairs(schema, iterable, ctx) {
      const { replacer } = ctx;
      const pairs2 = new YAMLSeq.YAMLSeq(schema);
      pairs2.tag = "tag:yaml.org,2002:pairs";
      let i = 0;
      if (iterable && Symbol.iterator in Object(iterable))
        for (let it of iterable) {
          if (typeof replacer === "function")
            it = replacer.call(iterable, String(i++), it);
          let key, value;
          if (Array.isArray(it)) {
            if (it.length === 2) {
              key = it[0];
              value = it[1];
            } else
              throw new TypeError(`Expected [key, value] tuple: ${it}`);
          } else if (it && it instanceof Object) {
            const keys = Object.keys(it);
            if (keys.length === 1) {
              key = keys[0];
              value = it[key];
            } else
              throw new TypeError(`Expected { key: value } tuple: ${it}`);
          } else {
            key = it;
          }
          pairs2.items.push(Pair.createPair(key, value, ctx));
        }
      return pairs2;
    }
    var pairs = {
      collection: "seq",
      default: false,
      tag: "tag:yaml.org,2002:pairs",
      resolve: resolvePairs,
      createNode: createPairs
    };
    exports2.createPairs = createPairs;
    exports2.pairs = pairs;
    exports2.resolvePairs = resolvePairs;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/omap.js
var require_omap5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/omap.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var toJS = require_toJS3();
    var YAMLMap = require_YAMLMap3();
    var YAMLSeq = require_YAMLSeq3();
    var pairs = require_pairs5();
    var YAMLOMap = class _YAMLOMap extends YAMLSeq.YAMLSeq {
      constructor() {
        super();
        this.add = YAMLMap.YAMLMap.prototype.add.bind(this);
        this.delete = YAMLMap.YAMLMap.prototype.delete.bind(this);
        this.get = YAMLMap.YAMLMap.prototype.get.bind(this);
        this.has = YAMLMap.YAMLMap.prototype.has.bind(this);
        this.set = YAMLMap.YAMLMap.prototype.set.bind(this);
        this.tag = _YAMLOMap.tag;
      }
      /**
       * If `ctx` is given, the return type is actually `Map<unknown, unknown>`,
       * but TypeScript won't allow widening the signature of a child method.
       */
      toJSON(_, ctx) {
        if (!ctx)
          return super.toJSON(_);
        const map = /* @__PURE__ */ new Map();
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const pair of this.items) {
          let key, value;
          if (identity.isPair(pair)) {
            key = toJS.toJS(pair.key, "", ctx);
            value = toJS.toJS(pair.value, key, ctx);
          } else {
            key = toJS.toJS(pair, "", ctx);
          }
          if (map.has(key))
            throw new Error("Ordered maps must not include duplicate keys");
          map.set(key, value);
        }
        return map;
      }
      static from(schema, iterable, ctx) {
        const pairs$1 = pairs.createPairs(schema, iterable, ctx);
        const omap2 = new this();
        omap2.items = pairs$1.items;
        return omap2;
      }
    };
    YAMLOMap.tag = "tag:yaml.org,2002:omap";
    var omap = {
      collection: "seq",
      identify: (value) => value instanceof Map,
      nodeClass: YAMLOMap,
      default: false,
      tag: "tag:yaml.org,2002:omap",
      resolve(seq, onError) {
        const pairs$1 = pairs.resolvePairs(seq, onError);
        const seenKeys = [];
        for (const { key } of pairs$1.items) {
          if (identity.isScalar(key)) {
            if (seenKeys.includes(key.value)) {
              onError(`Ordered maps must not include duplicate keys: ${key.value}`);
            } else {
              seenKeys.push(key.value);
            }
          }
        }
        return Object.assign(new YAMLOMap(), pairs$1);
      },
      createNode: (schema, iterable, ctx) => YAMLOMap.from(schema, iterable, ctx)
    };
    exports2.YAMLOMap = YAMLOMap;
    exports2.omap = omap;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/bool.js
var require_bool8 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    function boolStringify({ value, source }, ctx) {
      const boolObj = value ? trueTag : falseTag;
      if (source && boolObj.test.test(source))
        return source;
      return value ? ctx.options.trueStr : ctx.options.falseStr;
    }
    var trueTag = {
      identify: (value) => value === true,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:Y|y|[Yy]es|YES|[Tt]rue|TRUE|[Oo]n|ON)$/,
      resolve: () => new Scalar.Scalar(true),
      stringify: boolStringify
    };
    var falseTag = {
      identify: (value) => value === false,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:N|n|[Nn]o|NO|[Ff]alse|FALSE|[Oo]ff|OFF)$/i,
      resolve: () => new Scalar.Scalar(false),
      stringify: boolStringify
    };
    exports2.falseTag = falseTag;
    exports2.trueTag = trueTag;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/float.js
var require_float8 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var stringifyNumber = require_stringifyNumber3();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN)$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:[0-9][0-9_]*)?(?:\.[0-9_]*)?[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str.replace(/_/g, "")),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:[0-9][0-9_]*)?\.[0-9_]*$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str.replace(/_/g, "")));
        const dot = str.indexOf(".");
        if (dot !== -1) {
          const f = str.substring(dot + 1).replace(/_/g, "");
          if (f[f.length - 1] === "0")
            node.minFractionDigits = f.length;
        }
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/int.js
var require_int8 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber3();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    function intResolve(str, offset, radix, { intAsBigInt }) {
      const sign = str[0];
      if (sign === "-" || sign === "+")
        offset += 1;
      str = str.substring(offset).replace(/_/g, "");
      if (intAsBigInt) {
        switch (radix) {
          case 2:
            str = `0b${str}`;
            break;
          case 8:
            str = `0o${str}`;
            break;
          case 16:
            str = `0x${str}`;
            break;
        }
        const n2 = BigInt(str);
        return sign === "-" ? BigInt(-1) * n2 : n2;
      }
      const n = parseInt(str, radix);
      return sign === "-" ? -1 * n : n;
    }
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value)) {
        const str = value.toString(radix);
        return value < 0 ? "-" + prefix + str.substr(1) : prefix + str;
      }
      return stringifyNumber.stringifyNumber(node);
    }
    var intBin = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "BIN",
      test: /^[-+]?0b[0-1_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 2, opt),
      stringify: (node) => intStringify(node, 2, "0b")
    };
    var intOct = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^[-+]?0[0-7_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 1, 8, opt),
      stringify: (node) => intStringify(node, 8, "0")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9][0-9_]*$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^[-+]?0x[0-9a-fA-F_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intBin = intBin;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/set.js
var require_set5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/set.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Pair = require_Pair3();
    var YAMLMap = require_YAMLMap3();
    var YAMLSet = class _YAMLSet extends YAMLMap.YAMLMap {
      constructor(schema) {
        super(schema);
        this.tag = _YAMLSet.tag;
      }
      add(key) {
        let pair;
        if (identity.isPair(key))
          pair = key;
        else if (key && typeof key === "object" && "key" in key && "value" in key && key.value === null)
          pair = new Pair.Pair(key.key, null);
        else
          pair = new Pair.Pair(key, null);
        const prev = YAMLMap.findPair(this.items, pair.key);
        if (!prev)
          this.items.push(pair);
      }
      /**
       * If `keepPair` is `true`, returns the Pair matching `key`.
       * Otherwise, returns the value of that Pair's key.
       */
      get(key, keepPair) {
        const pair = YAMLMap.findPair(this.items, key);
        return !keepPair && identity.isPair(pair) ? identity.isScalar(pair.key) ? pair.key.value : pair.key : pair;
      }
      set(key, value) {
        if (typeof value !== "boolean")
          throw new Error(`Expected boolean value for set(key, value) in a YAML set, not ${typeof value}`);
        const prev = YAMLMap.findPair(this.items, key);
        if (prev && !value) {
          this.items.splice(this.items.indexOf(prev), 1);
        } else if (!prev && value) {
          this.items.push(new Pair.Pair(key));
        }
      }
      toJSON(_, ctx) {
        return super.toJSON(_, ctx, Set);
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        if (this.hasAllNullValues(true))
          return super.toString(Object.assign({}, ctx, { allNullValues: true }), onComment, onChompKeep);
        else
          throw new Error("Set items must all have null values");
      }
      static from(schema, iterable, ctx) {
        const { replacer } = ctx;
        const set2 = new this(schema);
        if (iterable && Symbol.iterator in Object(iterable))
          for (let value of iterable) {
            if (typeof replacer === "function")
              value = replacer.call(iterable, value, value);
            set2.items.push(Pair.createPair(value, null, ctx));
          }
        return set2;
      }
    };
    YAMLSet.tag = "tag:yaml.org,2002:set";
    var set = {
      collection: "map",
      identify: (value) => value instanceof Set,
      nodeClass: YAMLSet,
      default: false,
      tag: "tag:yaml.org,2002:set",
      createNode: (schema, iterable, ctx) => YAMLSet.from(schema, iterable, ctx),
      resolve(map, onError) {
        if (identity.isMap(map)) {
          if (map.hasAllNullValues(true))
            return Object.assign(new YAMLSet(), map);
          else
            onError("Set items must all have null values");
        } else
          onError("Expected a mapping for this tag");
        return map;
      }
    };
    exports2.YAMLSet = YAMLSet;
    exports2.set = set;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js
var require_timestamp5 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber3();
    function parseSexagesimal(str, asBigInt) {
      const sign = str[0];
      const parts = sign === "-" || sign === "+" ? str.substring(1) : str;
      const num = (n) => asBigInt ? BigInt(n) : Number(n);
      const res = parts.replace(/_/g, "").split(":").reduce((res2, p) => res2 * num(60) + num(p), num(0));
      return sign === "-" ? num(-1) * res : res;
    }
    function stringifySexagesimal(node) {
      let { value } = node;
      let num = (n) => n;
      if (typeof value === "bigint")
        num = (n) => BigInt(n);
      else if (isNaN(value) || !isFinite(value))
        return stringifyNumber.stringifyNumber(node);
      let sign = "";
      if (value < 0) {
        sign = "-";
        value *= num(-1);
      }
      const _60 = num(60);
      const parts = [value % _60];
      if (value < 60) {
        parts.unshift(0);
      } else {
        value = (value - parts[0]) / _60;
        parts.unshift(value % _60);
        if (value >= 60) {
          value = (value - parts[0]) / _60;
          parts.unshift(value);
        }
      }
      return sign + parts.map((n) => String(n).padStart(2, "0")).join(":").replace(/000000\d*$/, "");
    }
    var intTime = {
      identify: (value) => typeof value === "bigint" || Number.isInteger(value),
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+$/,
      resolve: (str, _onError, { intAsBigInt }) => parseSexagesimal(str, intAsBigInt),
      stringify: stringifySexagesimal
    };
    var floatTime = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\.[0-9_]*$/,
      resolve: (str) => parseSexagesimal(str, false),
      stringify: stringifySexagesimal
    };
    var timestamp = {
      identify: (value) => value instanceof Date,
      default: true,
      tag: "tag:yaml.org,2002:timestamp",
      // If the time zone is omitted, the timestamp is assumed to be specified in UTC. The time part
      // may be omitted altogether, resulting in a date format. In such a case, the time part is
      // assumed to be 00:00:00Z (start of day, UTC).
      test: RegExp("^([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})(?:(?:t|T|[ \\t]+)([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2}(\\.[0-9]+)?)(?:[ \\t]*(Z|[-+][012]?[0-9](?::[0-9]{2})?))?)?$"),
      resolve(str) {
        const match = str.match(timestamp.test);
        if (!match)
          throw new Error("!!timestamp expects a date, starting with yyyy-mm-dd");
        const [, year, month, day, hour, minute, second] = match.map(Number);
        const millisec = match[7] ? Number((match[7] + "00").substr(1, 3)) : 0;
        let date = Date.UTC(year, month - 1, day, hour || 0, minute || 0, second || 0, millisec);
        const tz = match[8];
        if (tz && tz !== "Z") {
          let d = parseSexagesimal(tz, false);
          if (Math.abs(d) < 30)
            d *= 60;
          date -= 6e4 * d;
        }
        return new Date(date);
      },
      stringify: ({ value }) => value.toISOString().replace(/((T00:00)?:00)?\.000Z$/, "")
    };
    exports2.floatTime = floatTime;
    exports2.intTime = intTime;
    exports2.timestamp = timestamp;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/yaml-1.1/schema.js
var require_schema11 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/yaml-1.1/schema.js"(exports2) {
    "use strict";
    var map = require_map5();
    var _null = require_null5();
    var seq = require_seq5();
    var string = require_string3();
    var binary = require_binary5();
    var bool = require_bool8();
    var float = require_float8();
    var int = require_int8();
    var omap = require_omap5();
    var pairs = require_pairs5();
    var set = require_set5();
    var timestamp = require_timestamp5();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.trueTag,
      bool.falseTag,
      int.intBin,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float,
      binary.binary,
      omap.omap,
      pairs.pairs,
      set.set,
      timestamp.intTime,
      timestamp.floatTime,
      timestamp.timestamp
    ];
    exports2.schema = schema;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/tags.js
var require_tags3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/tags.js"(exports2) {
    "use strict";
    var map = require_map5();
    var _null = require_null5();
    var seq = require_seq5();
    var string = require_string3();
    var bool = require_bool7();
    var float = require_float7();
    var int = require_int7();
    var schema = require_schema9();
    var schema$1 = require_schema10();
    var binary = require_binary5();
    var omap = require_omap5();
    var pairs = require_pairs5();
    var schema$2 = require_schema11();
    var set = require_set5();
    var timestamp = require_timestamp5();
    var schemas = /* @__PURE__ */ new Map([
      ["core", schema.schema],
      ["failsafe", [map.map, seq.seq, string.string]],
      ["json", schema$1.schema],
      ["yaml11", schema$2.schema],
      ["yaml-1.1", schema$2.schema]
    ]);
    var tagsByName = {
      binary: binary.binary,
      bool: bool.boolTag,
      float: float.float,
      floatExp: float.floatExp,
      floatNaN: float.floatNaN,
      floatTime: timestamp.floatTime,
      int: int.int,
      intHex: int.intHex,
      intOct: int.intOct,
      intTime: timestamp.intTime,
      map: map.map,
      null: _null.nullTag,
      omap: omap.omap,
      pairs: pairs.pairs,
      seq: seq.seq,
      set: set.set,
      timestamp: timestamp.timestamp
    };
    var coreKnownTags = {
      "tag:yaml.org,2002:binary": binary.binary,
      "tag:yaml.org,2002:omap": omap.omap,
      "tag:yaml.org,2002:pairs": pairs.pairs,
      "tag:yaml.org,2002:set": set.set,
      "tag:yaml.org,2002:timestamp": timestamp.timestamp
    };
    function getTags(customTags, schemaName) {
      let tags = schemas.get(schemaName);
      if (!tags) {
        if (Array.isArray(customTags))
          tags = [];
        else {
          const keys = Array.from(schemas.keys()).filter((key) => key !== "yaml11").map((key) => JSON.stringify(key)).join(", ");
          throw new Error(`Unknown schema "${schemaName}"; use one of ${keys} or define customTags array`);
        }
      }
      if (Array.isArray(customTags)) {
        for (const tag of customTags)
          tags = tags.concat(tag);
      } else if (typeof customTags === "function") {
        tags = customTags(tags.slice());
      }
      return tags.map((tag) => {
        if (typeof tag !== "string")
          return tag;
        const tagObj = tagsByName[tag];
        if (tagObj)
          return tagObj;
        const keys = Object.keys(tagsByName).map((key) => JSON.stringify(key)).join(", ");
        throw new Error(`Unknown custom tag "${tag}"; use one of ${keys}`);
      });
    }
    exports2.coreKnownTags = coreKnownTags;
    exports2.getTags = getTags;
  }
});

// ../blueprint/node_modules/yaml/dist/schema/Schema.js
var require_Schema3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/schema/Schema.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var map = require_map5();
    var seq = require_seq5();
    var string = require_string3();
    var tags = require_tags3();
    var sortMapEntriesByKey = (a, b) => a.key < b.key ? -1 : a.key > b.key ? 1 : 0;
    var Schema = class _Schema {
      constructor({ compat, customTags, merge, resolveKnownTags, schema, sortMapEntries, toStringDefaults }) {
        this.compat = Array.isArray(compat) ? tags.getTags(compat, "compat") : compat ? tags.getTags(null, compat) : null;
        this.merge = !!merge;
        this.name = typeof schema === "string" && schema || "core";
        this.knownTags = resolveKnownTags ? tags.coreKnownTags : {};
        this.tags = tags.getTags(customTags, this.name);
        this.toStringOptions = toStringDefaults ?? null;
        Object.defineProperty(this, identity.MAP, { value: map.map });
        Object.defineProperty(this, identity.SCALAR, { value: string.string });
        Object.defineProperty(this, identity.SEQ, { value: seq.seq });
        this.sortMapEntries = typeof sortMapEntries === "function" ? sortMapEntries : sortMapEntries === true ? sortMapEntriesByKey : null;
      }
      clone() {
        const copy = Object.create(_Schema.prototype, Object.getOwnPropertyDescriptors(this));
        copy.tags = this.tags.slice();
        return copy;
      }
    };
    exports2.Schema = Schema;
  }
});

// ../blueprint/node_modules/yaml/dist/stringify/stringifyDocument.js
var require_stringifyDocument3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/stringify/stringifyDocument.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var stringify = require_stringify7();
    var stringifyComment = require_stringifyComment3();
    function stringifyDocument(doc, options) {
      const lines = [];
      let hasDirectives = options.directives === true;
      if (options.directives !== false && doc.directives) {
        const dir = doc.directives.toString(doc);
        if (dir) {
          lines.push(dir);
          hasDirectives = true;
        } else if (doc.directives.docStart)
          hasDirectives = true;
      }
      if (hasDirectives)
        lines.push("---");
      const ctx = stringify.createStringifyContext(doc, options);
      const { commentString } = ctx.options;
      if (doc.commentBefore) {
        if (lines.length !== 1)
          lines.unshift("");
        const cs = commentString(doc.commentBefore);
        lines.unshift(stringifyComment.indentComment(cs, ""));
      }
      let chompKeep = false;
      let contentComment = null;
      if (doc.contents) {
        if (identity.isNode(doc.contents)) {
          if (doc.contents.spaceBefore && hasDirectives)
            lines.push("");
          if (doc.contents.commentBefore) {
            const cs = commentString(doc.contents.commentBefore);
            lines.push(stringifyComment.indentComment(cs, ""));
          }
          ctx.forceBlockIndent = !!doc.comment;
          contentComment = doc.contents.comment;
        }
        const onChompKeep = contentComment ? void 0 : () => chompKeep = true;
        let body = stringify.stringify(doc.contents, ctx, () => contentComment = null, onChompKeep);
        if (contentComment)
          body += stringifyComment.lineComment(body, "", commentString(contentComment));
        if ((body[0] === "|" || body[0] === ">") && lines[lines.length - 1] === "---") {
          lines[lines.length - 1] = `--- ${body}`;
        } else
          lines.push(body);
      } else {
        lines.push(stringify.stringify(doc.contents, ctx));
      }
      if (doc.directives?.docEnd) {
        if (doc.comment) {
          const cs = commentString(doc.comment);
          if (cs.includes("\n")) {
            lines.push("...");
            lines.push(stringifyComment.indentComment(cs, ""));
          } else {
            lines.push(`... ${cs}`);
          }
        } else {
          lines.push("...");
        }
      } else {
        let dc = doc.comment;
        if (dc && chompKeep)
          dc = dc.replace(/^\n+/, "");
        if (dc) {
          if ((!chompKeep || contentComment) && lines[lines.length - 1] !== "")
            lines.push("");
          lines.push(stringifyComment.indentComment(commentString(dc), ""));
        }
      }
      return lines.join("\n") + "\n";
    }
    exports2.stringifyDocument = stringifyDocument;
  }
});

// ../blueprint/node_modules/yaml/dist/doc/Document.js
var require_Document3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/doc/Document.js"(exports2) {
    "use strict";
    var Alias = require_Alias3();
    var Collection = require_Collection3();
    var identity = require_identity3();
    var Pair = require_Pair3();
    var toJS = require_toJS3();
    var Schema = require_Schema3();
    var stringifyDocument = require_stringifyDocument3();
    var anchors = require_anchors3();
    var applyReviver = require_applyReviver3();
    var createNode = require_createNode3();
    var directives = require_directives3();
    var Document = class _Document {
      constructor(value, replacer, options) {
        this.commentBefore = null;
        this.comment = null;
        this.errors = [];
        this.warnings = [];
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.DOC });
        let _replacer = null;
        if (typeof replacer === "function" || Array.isArray(replacer)) {
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const opt = Object.assign({
          intAsBigInt: false,
          keepSourceTokens: false,
          logLevel: "warn",
          prettyErrors: true,
          strict: true,
          uniqueKeys: true,
          version: "1.2"
        }, options);
        this.options = opt;
        let { version } = opt;
        if (options?._directives) {
          this.directives = options._directives.atDocument();
          if (this.directives.yaml.explicit)
            version = this.directives.yaml.version;
        } else
          this.directives = new directives.Directives({ version });
        this.setSchema(version, options);
        this.contents = value === void 0 ? null : this.createNode(value, _replacer, options);
      }
      /**
       * Create a deep copy of this Document and its contents.
       *
       * Custom Node values that inherit from `Object` still refer to their original instances.
       */
      clone() {
        const copy = Object.create(_Document.prototype, {
          [identity.NODE_TYPE]: { value: identity.DOC }
        });
        copy.commentBefore = this.commentBefore;
        copy.comment = this.comment;
        copy.errors = this.errors.slice();
        copy.warnings = this.warnings.slice();
        copy.options = Object.assign({}, this.options);
        if (this.directives)
          copy.directives = this.directives.clone();
        copy.schema = this.schema.clone();
        copy.contents = identity.isNode(this.contents) ? this.contents.clone(copy.schema) : this.contents;
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** Adds a value to the document. */
      add(value) {
        if (assertCollection(this.contents))
          this.contents.add(value);
      }
      /** Adds a value to the document. */
      addIn(path, value) {
        if (assertCollection(this.contents))
          this.contents.addIn(path, value);
      }
      /**
       * Create a new `Alias` node, ensuring that the target `node` has the required anchor.
       *
       * If `node` already has an anchor, `name` is ignored.
       * Otherwise, the `node.anchor` value will be set to `name`,
       * or if an anchor with that name is already present in the document,
       * `name` will be used as a prefix for a new unique anchor.
       * If `name` is undefined, the generated anchor will use 'a' as a prefix.
       */
      createAlias(node, name) {
        if (!node.anchor) {
          const prev = anchors.anchorNames(this);
          node.anchor = // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          !name || prev.has(name) ? anchors.findNewAnchor(name || "a", prev) : name;
        }
        return new Alias.Alias(node.anchor);
      }
      createNode(value, replacer, options) {
        let _replacer = void 0;
        if (typeof replacer === "function") {
          value = replacer.call({ "": value }, "", value);
          _replacer = replacer;
        } else if (Array.isArray(replacer)) {
          const keyToStr = (v) => typeof v === "number" || v instanceof String || v instanceof Number;
          const asStr = replacer.filter(keyToStr).map(String);
          if (asStr.length > 0)
            replacer = replacer.concat(asStr);
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const { aliasDuplicateObjects, anchorPrefix, flow, keepUndefined, onTagObj, tag } = options ?? {};
        const { onAnchor, setAnchors, sourceObjects } = anchors.createNodeAnchors(
          this,
          // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          anchorPrefix || "a"
        );
        const ctx = {
          aliasDuplicateObjects: aliasDuplicateObjects ?? true,
          keepUndefined: keepUndefined ?? false,
          onAnchor,
          onTagObj,
          replacer: _replacer,
          schema: this.schema,
          sourceObjects
        };
        const node = createNode.createNode(value, tag, ctx);
        if (flow && identity.isCollection(node))
          node.flow = true;
        setAnchors();
        return node;
      }
      /**
       * Convert a key and a value into a `Pair` using the current schema,
       * recursively wrapping all values as `Scalar` or `Collection` nodes.
       */
      createPair(key, value, options = {}) {
        const k = this.createNode(key, null, options);
        const v = this.createNode(value, null, options);
        return new Pair.Pair(k, v);
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        return assertCollection(this.contents) ? this.contents.delete(key) : false;
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        if (Collection.isEmptyPath(path)) {
          if (this.contents == null)
            return false;
          this.contents = null;
          return true;
        }
        return assertCollection(this.contents) ? this.contents.deleteIn(path) : false;
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      get(key, keepScalar) {
        return identity.isCollection(this.contents) ? this.contents.get(key, keepScalar) : void 0;
      }
      /**
       * Returns item at `path`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        if (Collection.isEmptyPath(path))
          return !keepScalar && identity.isScalar(this.contents) ? this.contents.value : this.contents;
        return identity.isCollection(this.contents) ? this.contents.getIn(path, keepScalar) : void 0;
      }
      /**
       * Checks if the document includes a value with the key `key`.
       */
      has(key) {
        return identity.isCollection(this.contents) ? this.contents.has(key) : false;
      }
      /**
       * Checks if the document includes a value at `path`.
       */
      hasIn(path) {
        if (Collection.isEmptyPath(path))
          return this.contents !== void 0;
        return identity.isCollection(this.contents) ? this.contents.hasIn(path) : false;
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      set(key, value) {
        if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, [key], value);
        } else if (assertCollection(this.contents)) {
          this.contents.set(key, value);
        }
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        if (Collection.isEmptyPath(path)) {
          this.contents = value;
        } else if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, Array.from(path), value);
        } else if (assertCollection(this.contents)) {
          this.contents.setIn(path, value);
        }
      }
      /**
       * Change the YAML version and schema used by the document.
       * A `null` version disables support for directives, explicit tags, anchors, and aliases.
       * It also requires the `schema` option to be given as a `Schema` instance value.
       *
       * Overrides all previously set schema options.
       */
      setSchema(version, options = {}) {
        if (typeof version === "number")
          version = String(version);
        let opt;
        switch (version) {
          case "1.1":
            if (this.directives)
              this.directives.yaml.version = "1.1";
            else
              this.directives = new directives.Directives({ version: "1.1" });
            opt = { merge: true, resolveKnownTags: false, schema: "yaml-1.1" };
            break;
          case "1.2":
          case "next":
            if (this.directives)
              this.directives.yaml.version = version;
            else
              this.directives = new directives.Directives({ version });
            opt = { merge: false, resolveKnownTags: true, schema: "core" };
            break;
          case null:
            if (this.directives)
              delete this.directives;
            opt = null;
            break;
          default: {
            const sv = JSON.stringify(version);
            throw new Error(`Expected '1.1', '1.2' or null as first argument, but found: ${sv}`);
          }
        }
        if (options.schema instanceof Object)
          this.schema = options.schema;
        else if (opt)
          this.schema = new Schema.Schema(Object.assign(opt, options));
        else
          throw new Error(`With a null YAML version, the { schema: Schema } option is required`);
      }
      // json & jsonArg are only used from toJSON()
      toJS({ json, jsonArg, mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc: this,
          keep: !json,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this.contents, jsonArg ?? "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
      /**
       * A JSON representation of the document `contents`.
       *
       * @param jsonArg Used by `JSON.stringify` to indicate the array index or
       *   property name.
       */
      toJSON(jsonArg, onAnchor) {
        return this.toJS({ json: true, jsonArg, mapAsMap: false, onAnchor });
      }
      /** A YAML representation of the document. */
      toString(options = {}) {
        if (this.errors.length > 0)
          throw new Error("Document with errors cannot be stringified");
        if ("indent" in options && (!Number.isInteger(options.indent) || Number(options.indent) <= 0)) {
          const s = JSON.stringify(options.indent);
          throw new Error(`"indent" option must be a positive integer, not ${s}`);
        }
        return stringifyDocument.stringifyDocument(this, options);
      }
    };
    function assertCollection(contents) {
      if (identity.isCollection(contents))
        return true;
      throw new Error("Expected a YAML collection as document contents");
    }
    exports2.Document = Document;
  }
});

// ../blueprint/node_modules/yaml/dist/errors.js
var require_errors3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/errors.js"(exports2) {
    "use strict";
    var YAMLError = class extends Error {
      constructor(name, pos, code, message) {
        super();
        this.name = name;
        this.code = code;
        this.message = message;
        this.pos = pos;
      }
    };
    var YAMLParseError = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLParseError", pos, code, message);
      }
    };
    var YAMLWarning = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLWarning", pos, code, message);
      }
    };
    var prettifyError = (src, lc) => (error) => {
      if (error.pos[0] === -1)
        return;
      error.linePos = error.pos.map((pos) => lc.linePos(pos));
      const { line, col } = error.linePos[0];
      error.message += ` at line ${line}, column ${col}`;
      let ci = col - 1;
      let lineStr = src.substring(lc.lineStarts[line - 1], lc.lineStarts[line]).replace(/[\n\r]+$/, "");
      if (ci >= 60 && lineStr.length > 80) {
        const trimStart = Math.min(ci - 39, lineStr.length - 79);
        lineStr = "\u2026" + lineStr.substring(trimStart);
        ci -= trimStart - 1;
      }
      if (lineStr.length > 80)
        lineStr = lineStr.substring(0, 79) + "\u2026";
      if (line > 1 && /^ *$/.test(lineStr.substring(0, ci))) {
        let prev = src.substring(lc.lineStarts[line - 2], lc.lineStarts[line - 1]);
        if (prev.length > 80)
          prev = prev.substring(0, 79) + "\u2026\n";
        lineStr = prev + lineStr;
      }
      if (/[^ ]/.test(lineStr)) {
        let count = 1;
        const end = error.linePos[1];
        if (end && end.line === line && end.col > col) {
          count = Math.max(1, Math.min(end.col - col, 80 - ci));
        }
        const pointer = " ".repeat(ci) + "^".repeat(count);
        error.message += `:

${lineStr}
${pointer}
`;
      }
    };
    exports2.YAMLError = YAMLError;
    exports2.YAMLParseError = YAMLParseError;
    exports2.YAMLWarning = YAMLWarning;
    exports2.prettifyError = prettifyError;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-props.js
var require_resolve_props3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-props.js"(exports2) {
    "use strict";
    function resolveProps(tokens, { flow, indicator, next, offset, onError, startOnNewline }) {
      let spaceBefore = false;
      let atNewline = startOnNewline;
      let hasSpace = startOnNewline;
      let comment = "";
      let commentSep = "";
      let hasNewline = false;
      let hasNewlineAfterProp = false;
      let reqSpace = false;
      let anchor = null;
      let tag = null;
      let comma = null;
      let found = null;
      let start = null;
      for (const token of tokens) {
        if (reqSpace) {
          if (token.type !== "space" && token.type !== "newline" && token.type !== "comma")
            onError(token.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
          reqSpace = false;
        }
        switch (token.type) {
          case "space":
            if (!flow && atNewline && indicator !== "doc-start" && token.source[0] === "	")
              onError(token, "TAB_AS_INDENT", "Tabs are not allowed as indentation");
            hasSpace = true;
            break;
          case "comment": {
            if (!hasSpace)
              onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
            const cb = token.source.substring(1) || " ";
            if (!comment)
              comment = cb;
            else
              comment += commentSep + cb;
            commentSep = "";
            atNewline = false;
            break;
          }
          case "newline":
            if (atNewline) {
              if (comment)
                comment += token.source;
              else
                spaceBefore = true;
            } else
              commentSep += token.source;
            atNewline = true;
            hasNewline = true;
            if (anchor || tag)
              hasNewlineAfterProp = true;
            hasSpace = true;
            break;
          case "anchor":
            if (anchor)
              onError(token, "MULTIPLE_ANCHORS", "A node can have at most one anchor");
            if (token.source.endsWith(":"))
              onError(token.offset + token.source.length - 1, "BAD_ALIAS", "Anchor ending in : is ambiguous", true);
            anchor = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          case "tag": {
            if (tag)
              onError(token, "MULTIPLE_TAGS", "A node can have at most one tag");
            tag = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          }
          case indicator:
            if (anchor || tag)
              onError(token, "BAD_PROP_ORDER", `Anchors and tags must be after the ${token.source} indicator`);
            if (found)
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.source} in ${flow ?? "collection"}`);
            found = token;
            atNewline = false;
            hasSpace = false;
            break;
          case "comma":
            if (flow) {
              if (comma)
                onError(token, "UNEXPECTED_TOKEN", `Unexpected , in ${flow}`);
              comma = token;
              atNewline = false;
              hasSpace = false;
              break;
            }
          default:
            onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.type} token`);
            atNewline = false;
            hasSpace = false;
        }
      }
      const last = tokens[tokens.length - 1];
      const end = last ? last.offset + last.source.length : offset;
      if (reqSpace && next && next.type !== "space" && next.type !== "newline" && next.type !== "comma" && (next.type !== "scalar" || next.source !== ""))
        onError(next.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
      return {
        comma,
        found,
        spaceBefore,
        comment,
        hasNewline,
        hasNewlineAfterProp,
        anchor,
        tag,
        end,
        start: start ?? end
      };
    }
    exports2.resolveProps = resolveProps;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/util-contains-newline.js
var require_util_contains_newline3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/util-contains-newline.js"(exports2) {
    "use strict";
    function containsNewline(key) {
      if (!key)
        return null;
      switch (key.type) {
        case "alias":
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          if (key.source.includes("\n"))
            return true;
          if (key.end) {
            for (const st of key.end)
              if (st.type === "newline")
                return true;
          }
          return false;
        case "flow-collection":
          for (const it of key.items) {
            for (const st of it.start)
              if (st.type === "newline")
                return true;
            if (it.sep) {
              for (const st of it.sep)
                if (st.type === "newline")
                  return true;
            }
            if (containsNewline(it.key) || containsNewline(it.value))
              return true;
          }
          return false;
        default:
          return true;
      }
    }
    exports2.containsNewline = containsNewline;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/util-flow-indent-check.js
var require_util_flow_indent_check3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/util-flow-indent-check.js"(exports2) {
    "use strict";
    var utilContainsNewline = require_util_contains_newline3();
    function flowIndentCheck(indent, fc, onError) {
      if (fc?.type === "flow-collection") {
        const end = fc.end[0];
        if (end.indent === indent && (end.source === "]" || end.source === "}") && utilContainsNewline.containsNewline(fc)) {
          const msg = "Flow end indicator should be more indented than parent";
          onError(end, "BAD_INDENT", msg, true);
        }
      }
    }
    exports2.flowIndentCheck = flowIndentCheck;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/util-map-includes.js
var require_util_map_includes3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/util-map-includes.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    function mapIncludes(ctx, items, search) {
      const { uniqueKeys } = ctx.options;
      if (uniqueKeys === false)
        return false;
      const isEqual = typeof uniqueKeys === "function" ? uniqueKeys : (a, b) => a === b || identity.isScalar(a) && identity.isScalar(b) && a.value === b.value && !(a.value === "<<" && ctx.schema.merge);
      return items.some((pair) => isEqual(pair.key, search));
    }
    exports2.mapIncludes = mapIncludes;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-block-map.js
var require_resolve_block_map3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-block-map.js"(exports2) {
    "use strict";
    var Pair = require_Pair3();
    var YAMLMap = require_YAMLMap3();
    var resolveProps = require_resolve_props3();
    var utilContainsNewline = require_util_contains_newline3();
    var utilFlowIndentCheck = require_util_flow_indent_check3();
    var utilMapIncludes = require_util_map_includes3();
    var startColMsg = "All mapping items must start at the same column";
    function resolveBlockMap({ composeNode, composeEmptyNode }, ctx, bm, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLMap.YAMLMap;
      const map = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bm.offset;
      let commentEnd = null;
      for (const collItem of bm.items) {
        const { start, key, sep, value } = collItem;
        const keyProps = resolveProps.resolveProps(start, {
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: true
        });
        const implicitKey = !keyProps.found;
        if (implicitKey) {
          if (key) {
            if (key.type === "block-seq")
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "A block sequence may not be used as an implicit map key");
            else if ("indent" in key && key.indent !== bm.indent)
              onError(offset, "BAD_INDENT", startColMsg);
          }
          if (!keyProps.anchor && !keyProps.tag && !sep) {
            commentEnd = keyProps.end;
            if (keyProps.comment) {
              if (map.comment)
                map.comment += "\n" + keyProps.comment;
              else
                map.comment = keyProps.comment;
            }
            continue;
          }
          if (keyProps.hasNewlineAfterProp || utilContainsNewline.containsNewline(key)) {
            onError(key ?? start[start.length - 1], "MULTILINE_IMPLICIT_KEY", "Implicit keys need to be on a single line");
          }
        } else if (keyProps.found?.indent !== bm.indent) {
          onError(offset, "BAD_INDENT", startColMsg);
        }
        const keyStart = keyProps.end;
        const keyNode = key ? composeNode(ctx, key, keyProps, onError) : composeEmptyNode(ctx, keyStart, start, null, keyProps, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bm.indent, key, onError);
        if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
          onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
        const valueProps = resolveProps.resolveProps(sep ?? [], {
          indicator: "map-value-ind",
          next: value,
          offset: keyNode.range[2],
          onError,
          startOnNewline: !key || key.type === "block-scalar"
        });
        offset = valueProps.end;
        if (valueProps.found) {
          if (implicitKey) {
            if (value?.type === "block-map" && !valueProps.hasNewline)
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "Nested mappings are not allowed in compact mappings");
            if (ctx.options.strict && keyProps.start < valueProps.found.offset - 1024)
              onError(keyNode.range, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit block mapping key");
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : composeEmptyNode(ctx, offset, sep, null, valueProps, onError);
          if (ctx.schema.compat)
            utilFlowIndentCheck.flowIndentCheck(bm.indent, value, onError);
          offset = valueNode.range[2];
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        } else {
          if (implicitKey)
            onError(keyNode.range, "MISSING_CHAR", "Implicit map keys need to be followed by map values");
          if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        }
      }
      if (commentEnd && commentEnd < offset)
        onError(commentEnd, "IMPOSSIBLE", "Map comment with trailing content");
      map.range = [bm.offset, offset, commentEnd ?? offset];
      return map;
    }
    exports2.resolveBlockMap = resolveBlockMap;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-block-seq.js
var require_resolve_block_seq3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-block-seq.js"(exports2) {
    "use strict";
    var YAMLSeq = require_YAMLSeq3();
    var resolveProps = require_resolve_props3();
    var utilFlowIndentCheck = require_util_flow_indent_check3();
    function resolveBlockSeq({ composeNode, composeEmptyNode }, ctx, bs, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLSeq.YAMLSeq;
      const seq = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bs.offset;
      let commentEnd = null;
      for (const { start, value } of bs.items) {
        const props = resolveProps.resolveProps(start, {
          indicator: "seq-item-ind",
          next: value,
          offset,
          onError,
          startOnNewline: true
        });
        if (!props.found) {
          if (props.anchor || props.tag || value) {
            if (value && value.type === "block-seq")
              onError(props.end, "BAD_INDENT", "All sequence items must start at the same column");
            else
              onError(offset, "MISSING_CHAR", "Sequence item without - indicator");
          } else {
            commentEnd = props.end;
            if (props.comment)
              seq.comment = props.comment;
            continue;
          }
        }
        const node = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, start, null, props, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bs.indent, value, onError);
        offset = node.range[2];
        seq.items.push(node);
      }
      seq.range = [bs.offset, offset, commentEnd ?? offset];
      return seq;
    }
    exports2.resolveBlockSeq = resolveBlockSeq;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-end.js
var require_resolve_end3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-end.js"(exports2) {
    "use strict";
    function resolveEnd(end, offset, reqSpace, onError) {
      let comment = "";
      if (end) {
        let hasSpace = false;
        let sep = "";
        for (const token of end) {
          const { source, type } = token;
          switch (type) {
            case "space":
              hasSpace = true;
              break;
            case "comment": {
              if (reqSpace && !hasSpace)
                onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
              const cb = source.substring(1) || " ";
              if (!comment)
                comment = cb;
              else
                comment += sep + cb;
              sep = "";
              break;
            }
            case "newline":
              if (comment)
                sep += source;
              hasSpace = true;
              break;
            default:
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${type} at node end`);
          }
          offset += source.length;
        }
      }
      return { comment, offset };
    }
    exports2.resolveEnd = resolveEnd;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-flow-collection.js
var require_resolve_flow_collection3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-flow-collection.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Pair = require_Pair3();
    var YAMLMap = require_YAMLMap3();
    var YAMLSeq = require_YAMLSeq3();
    var resolveEnd = require_resolve_end3();
    var resolveProps = require_resolve_props3();
    var utilContainsNewline = require_util_contains_newline3();
    var utilMapIncludes = require_util_map_includes3();
    var blockMsg = "Block collections are not allowed within flow collections";
    var isBlock = (token) => token && (token.type === "block-map" || token.type === "block-seq");
    function resolveFlowCollection({ composeNode, composeEmptyNode }, ctx, fc, onError, tag) {
      const isMap = fc.start.source === "{";
      const fcName = isMap ? "flow map" : "flow sequence";
      const NodeClass = tag?.nodeClass ?? (isMap ? YAMLMap.YAMLMap : YAMLSeq.YAMLSeq);
      const coll = new NodeClass(ctx.schema);
      coll.flow = true;
      const atRoot = ctx.atRoot;
      if (atRoot)
        ctx.atRoot = false;
      let offset = fc.offset + fc.start.source.length;
      for (let i = 0; i < fc.items.length; ++i) {
        const collItem = fc.items[i];
        const { start, key, sep, value } = collItem;
        const props = resolveProps.resolveProps(start, {
          flow: fcName,
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: false
        });
        if (!props.found) {
          if (!props.anchor && !props.tag && !sep && !value) {
            if (i === 0 && props.comma)
              onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
            else if (i < fc.items.length - 1)
              onError(props.start, "UNEXPECTED_TOKEN", `Unexpected empty item in ${fcName}`);
            if (props.comment) {
              if (coll.comment)
                coll.comment += "\n" + props.comment;
              else
                coll.comment = props.comment;
            }
            offset = props.end;
            continue;
          }
          if (!isMap && ctx.options.strict && utilContainsNewline.containsNewline(key))
            onError(
              key,
              // checked by containsNewline()
              "MULTILINE_IMPLICIT_KEY",
              "Implicit keys of flow sequence pairs need to be on a single line"
            );
        }
        if (i === 0) {
          if (props.comma)
            onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
        } else {
          if (!props.comma)
            onError(props.start, "MISSING_CHAR", `Missing , between ${fcName} items`);
          if (props.comment) {
            let prevItemComment = "";
            loop:
              for (const st of start) {
                switch (st.type) {
                  case "comma":
                  case "space":
                    break;
                  case "comment":
                    prevItemComment = st.source.substring(1);
                    break loop;
                  default:
                    break loop;
                }
              }
            if (prevItemComment) {
              let prev = coll.items[coll.items.length - 1];
              if (identity.isPair(prev))
                prev = prev.value ?? prev.key;
              if (prev.comment)
                prev.comment += "\n" + prevItemComment;
              else
                prev.comment = prevItemComment;
              props.comment = props.comment.substring(prevItemComment.length + 1);
            }
          }
        }
        if (!isMap && !sep && !props.found) {
          const valueNode = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, sep, null, props, onError);
          coll.items.push(valueNode);
          offset = valueNode.range[2];
          if (isBlock(value))
            onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
        } else {
          const keyStart = props.end;
          const keyNode = key ? composeNode(ctx, key, props, onError) : composeEmptyNode(ctx, keyStart, start, null, props, onError);
          if (isBlock(key))
            onError(keyNode.range, "BLOCK_IN_FLOW", blockMsg);
          const valueProps = resolveProps.resolveProps(sep ?? [], {
            flow: fcName,
            indicator: "map-value-ind",
            next: value,
            offset: keyNode.range[2],
            onError,
            startOnNewline: false
          });
          if (valueProps.found) {
            if (!isMap && !props.found && ctx.options.strict) {
              if (sep)
                for (const st of sep) {
                  if (st === valueProps.found)
                    break;
                  if (st.type === "newline") {
                    onError(st, "MULTILINE_IMPLICIT_KEY", "Implicit keys of flow sequence pairs need to be on a single line");
                    break;
                  }
                }
              if (props.start < valueProps.found.offset - 1024)
                onError(valueProps.found, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit flow sequence key");
            }
          } else if (value) {
            if ("source" in value && value.source && value.source[0] === ":")
              onError(value, "MISSING_CHAR", `Missing space after : in ${fcName}`);
            else
              onError(valueProps.start, "MISSING_CHAR", `Missing , or : between ${fcName} items`);
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : valueProps.found ? composeEmptyNode(ctx, valueProps.end, sep, null, valueProps, onError) : null;
          if (valueNode) {
            if (isBlock(value))
              onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
          } else if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          if (isMap) {
            const map = coll;
            if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
              onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
            map.items.push(pair);
          } else {
            const map = new YAMLMap.YAMLMap(ctx.schema);
            map.flow = true;
            map.items.push(pair);
            coll.items.push(map);
          }
          offset = valueNode ? valueNode.range[2] : valueProps.end;
        }
      }
      const expectedEnd = isMap ? "}" : "]";
      const [ce, ...ee] = fc.end;
      let cePos = offset;
      if (ce && ce.source === expectedEnd)
        cePos = ce.offset + ce.source.length;
      else {
        const name = fcName[0].toUpperCase() + fcName.substring(1);
        const msg = atRoot ? `${name} must end with a ${expectedEnd}` : `${name} in block collection must be sufficiently indented and end with a ${expectedEnd}`;
        onError(offset, atRoot ? "MISSING_CHAR" : "BAD_INDENT", msg);
        if (ce && ce.source.length !== 1)
          ee.unshift(ce);
      }
      if (ee.length > 0) {
        const end = resolveEnd.resolveEnd(ee, cePos, ctx.options.strict, onError);
        if (end.comment) {
          if (coll.comment)
            coll.comment += "\n" + end.comment;
          else
            coll.comment = end.comment;
        }
        coll.range = [fc.offset, cePos, end.offset];
      } else {
        coll.range = [fc.offset, cePos, cePos];
      }
      return coll;
    }
    exports2.resolveFlowCollection = resolveFlowCollection;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/compose-collection.js
var require_compose_collection3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/compose-collection.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var YAMLMap = require_YAMLMap3();
    var YAMLSeq = require_YAMLSeq3();
    var resolveBlockMap = require_resolve_block_map3();
    var resolveBlockSeq = require_resolve_block_seq3();
    var resolveFlowCollection = require_resolve_flow_collection3();
    function resolveCollection(CN, ctx, token, onError, tagName, tag) {
      const coll = token.type === "block-map" ? resolveBlockMap.resolveBlockMap(CN, ctx, token, onError, tag) : token.type === "block-seq" ? resolveBlockSeq.resolveBlockSeq(CN, ctx, token, onError, tag) : resolveFlowCollection.resolveFlowCollection(CN, ctx, token, onError, tag);
      const Coll = coll.constructor;
      if (tagName === "!" || tagName === Coll.tagName) {
        coll.tag = Coll.tagName;
        return coll;
      }
      if (tagName)
        coll.tag = tagName;
      return coll;
    }
    function composeCollection(CN, ctx, token, tagToken, onError) {
      const tagName = !tagToken ? null : ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg));
      const expType = token.type === "block-map" ? "map" : token.type === "block-seq" ? "seq" : token.start.source === "{" ? "map" : "seq";
      if (!tagToken || !tagName || tagName === "!" || tagName === YAMLMap.YAMLMap.tagName && expType === "map" || tagName === YAMLSeq.YAMLSeq.tagName && expType === "seq" || !expType) {
        return resolveCollection(CN, ctx, token, onError, tagName);
      }
      let tag = ctx.schema.tags.find((t) => t.tag === tagName && t.collection === expType);
      if (!tag) {
        const kt = ctx.schema.knownTags[tagName];
        if (kt && kt.collection === expType) {
          ctx.schema.tags.push(Object.assign({}, kt, { default: false }));
          tag = kt;
        } else {
          if (kt?.collection) {
            onError(tagToken, "BAD_COLLECTION_TYPE", `${kt.tag} used for ${expType} collection, but expects ${kt.collection}`, true);
          } else {
            onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, true);
          }
          return resolveCollection(CN, ctx, token, onError, tagName);
        }
      }
      const coll = resolveCollection(CN, ctx, token, onError, tagName, tag);
      const res = tag.resolve?.(coll, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg), ctx.options) ?? coll;
      const node = identity.isNode(res) ? res : new Scalar.Scalar(res);
      node.range = coll.range;
      node.tag = tagName;
      if (tag?.format)
        node.format = tag.format;
      return node;
    }
    exports2.composeCollection = composeCollection;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-block-scalar.js
var require_resolve_block_scalar3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-block-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    function resolveBlockScalar(scalar, strict, onError) {
      const start = scalar.offset;
      const header = parseBlockScalarHeader(scalar, strict, onError);
      if (!header)
        return { value: "", type: null, comment: "", range: [start, start, start] };
      const type = header.mode === ">" ? Scalar.Scalar.BLOCK_FOLDED : Scalar.Scalar.BLOCK_LITERAL;
      const lines = scalar.source ? splitLines(scalar.source) : [];
      let chompStart = lines.length;
      for (let i = lines.length - 1; i >= 0; --i) {
        const content = lines[i][1];
        if (content === "" || content === "\r")
          chompStart = i;
        else
          break;
      }
      if (chompStart === 0) {
        const value2 = header.chomp === "+" && lines.length > 0 ? "\n".repeat(Math.max(1, lines.length - 1)) : "";
        let end2 = start + header.length;
        if (scalar.source)
          end2 += scalar.source.length;
        return { value: value2, type, comment: header.comment, range: [start, end2, end2] };
      }
      let trimIndent = scalar.indent + header.indent;
      let offset = scalar.offset + header.length;
      let contentStart = 0;
      for (let i = 0; i < chompStart; ++i) {
        const [indent, content] = lines[i];
        if (content === "" || content === "\r") {
          if (header.indent === 0 && indent.length > trimIndent)
            trimIndent = indent.length;
        } else {
          if (indent.length < trimIndent) {
            const message = "Block scalars with more-indented leading empty lines must use an explicit indentation indicator";
            onError(offset + indent.length, "MISSING_CHAR", message);
          }
          if (header.indent === 0)
            trimIndent = indent.length;
          contentStart = i;
          break;
        }
        offset += indent.length + content.length + 1;
      }
      for (let i = lines.length - 1; i >= chompStart; --i) {
        if (lines[i][0].length > trimIndent)
          chompStart = i + 1;
      }
      let value = "";
      let sep = "";
      let prevMoreIndented = false;
      for (let i = 0; i < contentStart; ++i)
        value += lines[i][0].slice(trimIndent) + "\n";
      for (let i = contentStart; i < chompStart; ++i) {
        let [indent, content] = lines[i];
        offset += indent.length + content.length + 1;
        const crlf = content[content.length - 1] === "\r";
        if (crlf)
          content = content.slice(0, -1);
        if (content && indent.length < trimIndent) {
          const src = header.indent ? "explicit indentation indicator" : "first line";
          const message = `Block scalar lines must not be less indented than their ${src}`;
          onError(offset - content.length - (crlf ? 2 : 1), "BAD_INDENT", message);
          indent = "";
        }
        if (type === Scalar.Scalar.BLOCK_LITERAL) {
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
        } else if (indent.length > trimIndent || content[0] === "	") {
          if (sep === " ")
            sep = "\n";
          else if (!prevMoreIndented && sep === "\n")
            sep = "\n\n";
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
          prevMoreIndented = true;
        } else if (content === "") {
          if (sep === "\n")
            value += "\n";
          else
            sep = "\n";
        } else {
          value += sep + content;
          sep = " ";
          prevMoreIndented = false;
        }
      }
      switch (header.chomp) {
        case "-":
          break;
        case "+":
          for (let i = chompStart; i < lines.length; ++i)
            value += "\n" + lines[i][0].slice(trimIndent);
          if (value[value.length - 1] !== "\n")
            value += "\n";
          break;
        default:
          value += "\n";
      }
      const end = start + header.length + scalar.source.length;
      return { value, type, comment: header.comment, range: [start, end, end] };
    }
    function parseBlockScalarHeader({ offset, props }, strict, onError) {
      if (props[0].type !== "block-scalar-header") {
        onError(props[0], "IMPOSSIBLE", "Block scalar header not found");
        return null;
      }
      const { source } = props[0];
      const mode = source[0];
      let indent = 0;
      let chomp = "";
      let error = -1;
      for (let i = 1; i < source.length; ++i) {
        const ch = source[i];
        if (!chomp && (ch === "-" || ch === "+"))
          chomp = ch;
        else {
          const n = Number(ch);
          if (!indent && n)
            indent = n;
          else if (error === -1)
            error = offset + i;
        }
      }
      if (error !== -1)
        onError(error, "UNEXPECTED_TOKEN", `Block scalar header includes extra characters: ${source}`);
      let hasSpace = false;
      let comment = "";
      let length = source.length;
      for (let i = 1; i < props.length; ++i) {
        const token = props[i];
        switch (token.type) {
          case "space":
            hasSpace = true;
          case "newline":
            length += token.source.length;
            break;
          case "comment":
            if (strict && !hasSpace) {
              const message = "Comments must be separated from other tokens by white space characters";
              onError(token, "MISSING_CHAR", message);
            }
            length += token.source.length;
            comment = token.source.substring(1);
            break;
          case "error":
            onError(token, "UNEXPECTED_TOKEN", token.message);
            length += token.source.length;
            break;
          default: {
            const message = `Unexpected token in block scalar header: ${token.type}`;
            onError(token, "UNEXPECTED_TOKEN", message);
            const ts = token.source;
            if (ts && typeof ts === "string")
              length += ts.length;
          }
        }
      }
      return { mode, indent, chomp, comment, length };
    }
    function splitLines(source) {
      const split = source.split(/\n( *)/);
      const first = split[0];
      const m = first.match(/^( *)/);
      const line0 = m?.[1] ? [m[1], first.slice(m[1].length)] : ["", first];
      const lines = [line0];
      for (let i = 1; i < split.length; i += 2)
        lines.push([split[i], split[i + 1]]);
      return lines;
    }
    exports2.resolveBlockScalar = resolveBlockScalar;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/resolve-flow-scalar.js
var require_resolve_flow_scalar3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/resolve-flow-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar3();
    var resolveEnd = require_resolve_end3();
    function resolveFlowScalar(scalar, strict, onError) {
      const { offset, type, source, end } = scalar;
      let _type2;
      let value;
      const _onError = (rel, code, msg) => onError(offset + rel, code, msg);
      switch (type) {
        case "scalar":
          _type2 = Scalar.Scalar.PLAIN;
          value = plainValue(source, _onError);
          break;
        case "single-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_SINGLE;
          value = singleQuotedValue(source, _onError);
          break;
        case "double-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_DOUBLE;
          value = doubleQuotedValue(source, _onError);
          break;
        default:
          onError(scalar, "UNEXPECTED_TOKEN", `Expected a flow scalar value, but found: ${type}`);
          return {
            value: "",
            type: null,
            comment: "",
            range: [offset, offset + source.length, offset + source.length]
          };
      }
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, strict, onError);
      return {
        value,
        type: _type2,
        comment: re.comment,
        range: [offset, valueEnd, re.offset]
      };
    }
    function plainValue(source, onError) {
      let badChar = "";
      switch (source[0]) {
        case "	":
          badChar = "a tab character";
          break;
        case ",":
          badChar = "flow indicator character ,";
          break;
        case "%":
          badChar = "directive indicator character %";
          break;
        case "|":
        case ">": {
          badChar = `block scalar indicator ${source[0]}`;
          break;
        }
        case "@":
        case "`": {
          badChar = `reserved character ${source[0]}`;
          break;
        }
      }
      if (badChar)
        onError(0, "BAD_SCALAR_START", `Plain value cannot start with ${badChar}`);
      return foldLines(source);
    }
    function singleQuotedValue(source, onError) {
      if (source[source.length - 1] !== "'" || source.length === 1)
        onError(source.length, "MISSING_CHAR", "Missing closing 'quote");
      return foldLines(source.slice(1, -1)).replace(/''/g, "'");
    }
    function foldLines(source) {
      let first, line;
      try {
        first = new RegExp("(.*?)(?<![ 	])[ 	]*\r?\n", "sy");
        line = new RegExp("[ 	]*(.*?)(?:(?<![ 	])[ 	]*)?\r?\n", "sy");
      } catch (_) {
        first = /(.*?)[ \t]*\r?\n/sy;
        line = /[ \t]*(.*?)[ \t]*\r?\n/sy;
      }
      let match = first.exec(source);
      if (!match)
        return source;
      let res = match[1];
      let sep = " ";
      let pos = first.lastIndex;
      line.lastIndex = pos;
      while (match = line.exec(source)) {
        if (match[1] === "") {
          if (sep === "\n")
            res += sep;
          else
            sep = "\n";
        } else {
          res += sep + match[1];
          sep = " ";
        }
        pos = line.lastIndex;
      }
      const last = /[ \t]*(.*)/sy;
      last.lastIndex = pos;
      match = last.exec(source);
      return res + sep + (match?.[1] ?? "");
    }
    function doubleQuotedValue(source, onError) {
      let res = "";
      for (let i = 1; i < source.length - 1; ++i) {
        const ch = source[i];
        if (ch === "\r" && source[i + 1] === "\n")
          continue;
        if (ch === "\n") {
          const { fold, offset } = foldNewline(source, i);
          res += fold;
          i = offset;
        } else if (ch === "\\") {
          let next = source[++i];
          const cc = escapeCodes[next];
          if (cc)
            res += cc;
          else if (next === "\n") {
            next = source[i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "\r" && source[i + 1] === "\n") {
            next = source[++i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "x" || next === "u" || next === "U") {
            const length = { x: 2, u: 4, U: 8 }[next];
            res += parseCharCode(source, i + 1, length, onError);
            i += length;
          } else {
            const raw = source.substr(i - 1, 2);
            onError(i - 1, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
            res += raw;
          }
        } else if (ch === " " || ch === "	") {
          const wsStart = i;
          let next = source[i + 1];
          while (next === " " || next === "	")
            next = source[++i + 1];
          if (next !== "\n" && !(next === "\r" && source[i + 2] === "\n"))
            res += i > wsStart ? source.slice(wsStart, i + 1) : ch;
        } else {
          res += ch;
        }
      }
      if (source[source.length - 1] !== '"' || source.length === 1)
        onError(source.length, "MISSING_CHAR", 'Missing closing "quote');
      return res;
    }
    function foldNewline(source, offset) {
      let fold = "";
      let ch = source[offset + 1];
      while (ch === " " || ch === "	" || ch === "\n" || ch === "\r") {
        if (ch === "\r" && source[offset + 2] !== "\n")
          break;
        if (ch === "\n")
          fold += "\n";
        offset += 1;
        ch = source[offset + 1];
      }
      if (!fold)
        fold = " ";
      return { fold, offset };
    }
    var escapeCodes = {
      "0": "\0",
      a: "\x07",
      b: "\b",
      e: "\x1B",
      f: "\f",
      n: "\n",
      r: "\r",
      t: "	",
      v: "\v",
      N: "\x85",
      _: "\xA0",
      L: "\u2028",
      P: "\u2029",
      " ": " ",
      '"': '"',
      "/": "/",
      "\\": "\\",
      "	": "	"
    };
    function parseCharCode(source, offset, length, onError) {
      const cc = source.substr(offset, length);
      const ok = cc.length === length && /^[0-9a-fA-F]+$/.test(cc);
      const code = ok ? parseInt(cc, 16) : NaN;
      if (isNaN(code)) {
        const raw = source.substr(offset - 2, length + 2);
        onError(offset - 2, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
        return raw;
      }
      return String.fromCodePoint(code);
    }
    exports2.resolveFlowScalar = resolveFlowScalar;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/compose-scalar.js
var require_compose_scalar3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/compose-scalar.js"(exports2) {
    "use strict";
    var identity = require_identity3();
    var Scalar = require_Scalar3();
    var resolveBlockScalar = require_resolve_block_scalar3();
    var resolveFlowScalar = require_resolve_flow_scalar3();
    function composeScalar(ctx, token, tagToken, onError) {
      const { value, type, comment, range } = token.type === "block-scalar" ? resolveBlockScalar.resolveBlockScalar(token, ctx.options.strict, onError) : resolveFlowScalar.resolveFlowScalar(token, ctx.options.strict, onError);
      const tagName = tagToken ? ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg)) : null;
      const tag = tagToken && tagName ? findScalarTagByName(ctx.schema, value, tagName, tagToken, onError) : token.type === "scalar" ? findScalarTagByTest(ctx, value, token, onError) : ctx.schema[identity.SCALAR];
      let scalar;
      try {
        const res = tag.resolve(value, (msg) => onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg), ctx.options);
        scalar = identity.isScalar(res) ? res : new Scalar.Scalar(res);
      } catch (error) {
        const msg = error instanceof Error ? error.message : String(error);
        onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg);
        scalar = new Scalar.Scalar(value);
      }
      scalar.range = range;
      scalar.source = value;
      if (type)
        scalar.type = type;
      if (tagName)
        scalar.tag = tagName;
      if (tag.format)
        scalar.format = tag.format;
      if (comment)
        scalar.comment = comment;
      return scalar;
    }
    function findScalarTagByName(schema, value, tagName, tagToken, onError) {
      if (tagName === "!")
        return schema[identity.SCALAR];
      const matchWithTest = [];
      for (const tag of schema.tags) {
        if (!tag.collection && tag.tag === tagName) {
          if (tag.default && tag.test)
            matchWithTest.push(tag);
          else
            return tag;
        }
      }
      for (const tag of matchWithTest)
        if (tag.test?.test(value))
          return tag;
      const kt = schema.knownTags[tagName];
      if (kt && !kt.collection) {
        schema.tags.push(Object.assign({}, kt, { default: false, test: void 0 }));
        return kt;
      }
      onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, tagName !== "tag:yaml.org,2002:str");
      return schema[identity.SCALAR];
    }
    function findScalarTagByTest({ directives, schema }, value, token, onError) {
      const tag = schema.tags.find((tag2) => tag2.default && tag2.test?.test(value)) || schema[identity.SCALAR];
      if (schema.compat) {
        const compat = schema.compat.find((tag2) => tag2.default && tag2.test?.test(value)) ?? schema[identity.SCALAR];
        if (tag.tag !== compat.tag) {
          const ts = directives.tagString(tag.tag);
          const cs = directives.tagString(compat.tag);
          const msg = `Value may be parsed as either ${ts} or ${cs}`;
          onError(token, "TAG_RESOLVE_FAILED", msg, true);
        }
      }
      return tag;
    }
    exports2.composeScalar = composeScalar;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/util-empty-scalar-position.js
var require_util_empty_scalar_position3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/util-empty-scalar-position.js"(exports2) {
    "use strict";
    function emptyScalarPosition(offset, before, pos) {
      if (before) {
        if (pos === null)
          pos = before.length;
        for (let i = pos - 1; i >= 0; --i) {
          let st = before[i];
          switch (st.type) {
            case "space":
            case "comment":
            case "newline":
              offset -= st.source.length;
              continue;
          }
          st = before[++i];
          while (st?.type === "space") {
            offset += st.source.length;
            st = before[++i];
          }
          break;
        }
      }
      return offset;
    }
    exports2.emptyScalarPosition = emptyScalarPosition;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/compose-node.js
var require_compose_node3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/compose-node.js"(exports2) {
    "use strict";
    var Alias = require_Alias3();
    var composeCollection = require_compose_collection3();
    var composeScalar = require_compose_scalar3();
    var resolveEnd = require_resolve_end3();
    var utilEmptyScalarPosition = require_util_empty_scalar_position3();
    var CN = { composeNode, composeEmptyNode };
    function composeNode(ctx, token, props, onError) {
      const { spaceBefore, comment, anchor, tag } = props;
      let node;
      let isSrcToken = true;
      switch (token.type) {
        case "alias":
          node = composeAlias(ctx, token, onError);
          if (anchor || tag)
            onError(token, "ALIAS_PROPS", "An alias node must not specify any properties");
          break;
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "block-scalar":
          node = composeScalar.composeScalar(ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        case "block-map":
        case "block-seq":
        case "flow-collection":
          node = composeCollection.composeCollection(CN, ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        default: {
          const message = token.type === "error" ? token.message : `Unsupported token (type: ${token.type})`;
          onError(token, "UNEXPECTED_TOKEN", message);
          node = composeEmptyNode(ctx, token.offset, void 0, null, props, onError);
          isSrcToken = false;
        }
      }
      if (anchor && node.anchor === "")
        onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        if (token.type === "scalar" && token.source === "")
          node.comment = comment;
        else
          node.commentBefore = comment;
      }
      if (ctx.options.keepSourceTokens && isSrcToken)
        node.srcToken = token;
      return node;
    }
    function composeEmptyNode(ctx, offset, before, pos, { spaceBefore, comment, anchor, tag, end }, onError) {
      const token = {
        type: "scalar",
        offset: utilEmptyScalarPosition.emptyScalarPosition(offset, before, pos),
        indent: -1,
        source: ""
      };
      const node = composeScalar.composeScalar(ctx, token, tag, onError);
      if (anchor) {
        node.anchor = anchor.source.substring(1);
        if (node.anchor === "")
          onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      }
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        node.comment = comment;
        node.range[2] = end;
      }
      return node;
    }
    function composeAlias({ options }, { offset, source, end }, onError) {
      const alias = new Alias.Alias(source.substring(1));
      if (alias.source === "")
        onError(offset, "BAD_ALIAS", "Alias cannot be an empty string");
      if (alias.source.endsWith(":"))
        onError(offset + source.length - 1, "BAD_ALIAS", "Alias ending in : is ambiguous", true);
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, options.strict, onError);
      alias.range = [offset, valueEnd, re.offset];
      if (re.comment)
        alias.comment = re.comment;
      return alias;
    }
    exports2.composeEmptyNode = composeEmptyNode;
    exports2.composeNode = composeNode;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/compose-doc.js
var require_compose_doc3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/compose-doc.js"(exports2) {
    "use strict";
    var Document = require_Document3();
    var composeNode = require_compose_node3();
    var resolveEnd = require_resolve_end3();
    var resolveProps = require_resolve_props3();
    function composeDoc(options, directives, { offset, start, value, end }, onError) {
      const opts = Object.assign({ _directives: directives }, options);
      const doc = new Document.Document(void 0, opts);
      const ctx = {
        atRoot: true,
        directives: doc.directives,
        options: doc.options,
        schema: doc.schema
      };
      const props = resolveProps.resolveProps(start, {
        indicator: "doc-start",
        next: value ?? end?.[0],
        offset,
        onError,
        startOnNewline: true
      });
      if (props.found) {
        doc.directives.docStart = true;
        if (value && (value.type === "block-map" || value.type === "block-seq") && !props.hasNewline)
          onError(props.end, "MISSING_CHAR", "Block collection cannot start on same line with directives-end marker");
      }
      doc.contents = value ? composeNode.composeNode(ctx, value, props, onError) : composeNode.composeEmptyNode(ctx, props.end, start, null, props, onError);
      const contentEnd = doc.contents.range[2];
      const re = resolveEnd.resolveEnd(end, contentEnd, false, onError);
      if (re.comment)
        doc.comment = re.comment;
      doc.range = [offset, contentEnd, re.offset];
      return doc;
    }
    exports2.composeDoc = composeDoc;
  }
});

// ../blueprint/node_modules/yaml/dist/compose/composer.js
var require_composer3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/compose/composer.js"(exports2) {
    "use strict";
    var directives = require_directives3();
    var Document = require_Document3();
    var errors = require_errors3();
    var identity = require_identity3();
    var composeDoc = require_compose_doc3();
    var resolveEnd = require_resolve_end3();
    function getErrorPos(src) {
      if (typeof src === "number")
        return [src, src + 1];
      if (Array.isArray(src))
        return src.length === 2 ? src : [src[0], src[1]];
      const { offset, source } = src;
      return [offset, offset + (typeof source === "string" ? source.length : 1)];
    }
    function parsePrelude(prelude) {
      let comment = "";
      let atComment = false;
      let afterEmptyLine = false;
      for (let i = 0; i < prelude.length; ++i) {
        const source = prelude[i];
        switch (source[0]) {
          case "#":
            comment += (comment === "" ? "" : afterEmptyLine ? "\n\n" : "\n") + (source.substring(1) || " ");
            atComment = true;
            afterEmptyLine = false;
            break;
          case "%":
            if (prelude[i + 1]?.[0] !== "#")
              i += 1;
            atComment = false;
            break;
          default:
            if (!atComment)
              afterEmptyLine = true;
            atComment = false;
        }
      }
      return { comment, afterEmptyLine };
    }
    var Composer = class {
      constructor(options = {}) {
        this.doc = null;
        this.atDirectives = false;
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
        this.onError = (source, code, message, warning) => {
          const pos = getErrorPos(source);
          if (warning)
            this.warnings.push(new errors.YAMLWarning(pos, code, message));
          else
            this.errors.push(new errors.YAMLParseError(pos, code, message));
        };
        this.directives = new directives.Directives({ version: options.version || "1.2" });
        this.options = options;
      }
      decorate(doc, afterDoc) {
        const { comment, afterEmptyLine } = parsePrelude(this.prelude);
        if (comment) {
          const dc = doc.contents;
          if (afterDoc) {
            doc.comment = doc.comment ? `${doc.comment}
${comment}` : comment;
          } else if (afterEmptyLine || doc.directives.docStart || !dc) {
            doc.commentBefore = comment;
          } else if (identity.isCollection(dc) && !dc.flow && dc.items.length > 0) {
            let it = dc.items[0];
            if (identity.isPair(it))
              it = it.key;
            const cb = it.commentBefore;
            it.commentBefore = cb ? `${comment}
${cb}` : comment;
          } else {
            const cb = dc.commentBefore;
            dc.commentBefore = cb ? `${comment}
${cb}` : comment;
          }
        }
        if (afterDoc) {
          Array.prototype.push.apply(doc.errors, this.errors);
          Array.prototype.push.apply(doc.warnings, this.warnings);
        } else {
          doc.errors = this.errors;
          doc.warnings = this.warnings;
        }
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
      }
      /**
       * Current stream status information.
       *
       * Mostly useful at the end of input for an empty stream.
       */
      streamInfo() {
        return {
          comment: parsePrelude(this.prelude).comment,
          directives: this.directives,
          errors: this.errors,
          warnings: this.warnings
        };
      }
      /**
       * Compose tokens into documents.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *compose(tokens, forceDoc = false, endOffset = -1) {
        for (const token of tokens)
          yield* this.next(token);
        yield* this.end(forceDoc, endOffset);
      }
      /** Advance the composer by one CST token. */
      *next(token) {
        if (process.env.LOG_STREAM)
          console.dir(token, { depth: null });
        switch (token.type) {
          case "directive":
            this.directives.add(token.source, (offset, message, warning) => {
              const pos = getErrorPos(token);
              pos[0] += offset;
              this.onError(pos, "BAD_DIRECTIVE", message, warning);
            });
            this.prelude.push(token.source);
            this.atDirectives = true;
            break;
          case "document": {
            const doc = composeDoc.composeDoc(this.options, this.directives, token, this.onError);
            if (this.atDirectives && !doc.directives.docStart)
              this.onError(token, "MISSING_CHAR", "Missing directives-end/doc-start indicator line");
            this.decorate(doc, false);
            if (this.doc)
              yield this.doc;
            this.doc = doc;
            this.atDirectives = false;
            break;
          }
          case "byte-order-mark":
          case "space":
            break;
          case "comment":
          case "newline":
            this.prelude.push(token.source);
            break;
          case "error": {
            const msg = token.source ? `${token.message}: ${JSON.stringify(token.source)}` : token.message;
            const error = new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg);
            if (this.atDirectives || !this.doc)
              this.errors.push(error);
            else
              this.doc.errors.push(error);
            break;
          }
          case "doc-end": {
            if (!this.doc) {
              const msg = "Unexpected doc-end without preceding document";
              this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg));
              break;
            }
            this.doc.directives.docEnd = true;
            const end = resolveEnd.resolveEnd(token.end, token.offset + token.source.length, this.doc.options.strict, this.onError);
            this.decorate(this.doc, true);
            if (end.comment) {
              const dc = this.doc.comment;
              this.doc.comment = dc ? `${dc}
${end.comment}` : end.comment;
            }
            this.doc.range[2] = end.offset;
            break;
          }
          default:
            this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", `Unsupported token ${token.type}`));
        }
      }
      /**
       * Call at end of input to yield any remaining document.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *end(forceDoc = false, endOffset = -1) {
        if (this.doc) {
          this.decorate(this.doc, true);
          yield this.doc;
          this.doc = null;
        } else if (forceDoc) {
          const opts = Object.assign({ _directives: this.directives }, this.options);
          const doc = new Document.Document(void 0, opts);
          if (this.atDirectives)
            this.onError(endOffset, "MISSING_CHAR", "Missing directives-end indicator line");
          doc.range = [0, endOffset, endOffset];
          this.decorate(doc, false);
          yield doc;
        }
      }
    };
    exports2.Composer = Composer;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/cst-scalar.js
var require_cst_scalar3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/cst-scalar.js"(exports2) {
    "use strict";
    var resolveBlockScalar = require_resolve_block_scalar3();
    var resolveFlowScalar = require_resolve_flow_scalar3();
    var errors = require_errors3();
    var stringifyString = require_stringifyString3();
    function resolveAsScalar(token, strict = true, onError) {
      if (token) {
        const _onError = (pos, code, message) => {
          const offset = typeof pos === "number" ? pos : Array.isArray(pos) ? pos[0] : pos.offset;
          if (onError)
            onError(offset, code, message);
          else
            throw new errors.YAMLParseError([offset, offset + 1], code, message);
        };
        switch (token.type) {
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return resolveFlowScalar.resolveFlowScalar(token, strict, _onError);
          case "block-scalar":
            return resolveBlockScalar.resolveBlockScalar(token, strict, _onError);
        }
      }
      return null;
    }
    function createScalarToken(value, context) {
      const { implicitKey = false, indent, inFlow = false, offset = -1, type = "PLAIN" } = context;
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey,
        indent: indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      const end = context.end ?? [
        { type: "newline", offset: -1, indent, source: "\n" }
      ];
      switch (source[0]) {
        case "|":
        case ">": {
          const he = source.indexOf("\n");
          const head = source.substring(0, he);
          const body = source.substring(he + 1) + "\n";
          const props = [
            { type: "block-scalar-header", offset, indent, source: head }
          ];
          if (!addEndtoBlockProps(props, end))
            props.push({ type: "newline", offset: -1, indent, source: "\n" });
          return { type: "block-scalar", offset, indent, props, source: body };
        }
        case '"':
          return { type: "double-quoted-scalar", offset, indent, source, end };
        case "'":
          return { type: "single-quoted-scalar", offset, indent, source, end };
        default:
          return { type: "scalar", offset, indent, source, end };
      }
    }
    function setScalarValue(token, value, context = {}) {
      let { afterKey = false, implicitKey = false, inFlow = false, type } = context;
      let indent = "indent" in token ? token.indent : null;
      if (afterKey && typeof indent === "number")
        indent += 2;
      if (!type)
        switch (token.type) {
          case "single-quoted-scalar":
            type = "QUOTE_SINGLE";
            break;
          case "double-quoted-scalar":
            type = "QUOTE_DOUBLE";
            break;
          case "block-scalar": {
            const header = token.props[0];
            if (header.type !== "block-scalar-header")
              throw new Error("Invalid block scalar header");
            type = header.source[0] === ">" ? "BLOCK_FOLDED" : "BLOCK_LITERAL";
            break;
          }
          default:
            type = "PLAIN";
        }
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey: implicitKey || indent === null,
        indent: indent !== null && indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      switch (source[0]) {
        case "|":
        case ">":
          setBlockScalarValue(token, source);
          break;
        case '"':
          setFlowScalarValue(token, source, "double-quoted-scalar");
          break;
        case "'":
          setFlowScalarValue(token, source, "single-quoted-scalar");
          break;
        default:
          setFlowScalarValue(token, source, "scalar");
      }
    }
    function setBlockScalarValue(token, source) {
      const he = source.indexOf("\n");
      const head = source.substring(0, he);
      const body = source.substring(he + 1) + "\n";
      if (token.type === "block-scalar") {
        const header = token.props[0];
        if (header.type !== "block-scalar-header")
          throw new Error("Invalid block scalar header");
        header.source = head;
        token.source = body;
      } else {
        const { offset } = token;
        const indent = "indent" in token ? token.indent : -1;
        const props = [
          { type: "block-scalar-header", offset, indent, source: head }
        ];
        if (!addEndtoBlockProps(props, "end" in token ? token.end : void 0))
          props.push({ type: "newline", offset: -1, indent, source: "\n" });
        for (const key of Object.keys(token))
          if (key !== "type" && key !== "offset")
            delete token[key];
        Object.assign(token, { type: "block-scalar", indent, props, source: body });
      }
    }
    function addEndtoBlockProps(props, end) {
      if (end)
        for (const st of end)
          switch (st.type) {
            case "space":
            case "comment":
              props.push(st);
              break;
            case "newline":
              props.push(st);
              return true;
          }
      return false;
    }
    function setFlowScalarValue(token, source, type) {
      switch (token.type) {
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          token.type = type;
          token.source = source;
          break;
        case "block-scalar": {
          const end = token.props.slice(1);
          let oa = source.length;
          if (token.props[0].type === "block-scalar-header")
            oa -= token.props[0].source.length;
          for (const tok of end)
            tok.offset += oa;
          delete token.props;
          Object.assign(token, { type, source, end });
          break;
        }
        case "block-map":
        case "block-seq": {
          const offset = token.offset + source.length;
          const nl = { type: "newline", offset, indent: token.indent, source: "\n" };
          delete token.items;
          Object.assign(token, { type, source, end: [nl] });
          break;
        }
        default: {
          const indent = "indent" in token ? token.indent : -1;
          const end = "end" in token && Array.isArray(token.end) ? token.end.filter((st) => st.type === "space" || st.type === "comment" || st.type === "newline") : [];
          for (const key of Object.keys(token))
            if (key !== "type" && key !== "offset")
              delete token[key];
          Object.assign(token, { type, indent, source, end });
        }
      }
    }
    exports2.createScalarToken = createScalarToken;
    exports2.resolveAsScalar = resolveAsScalar;
    exports2.setScalarValue = setScalarValue;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/cst-stringify.js
var require_cst_stringify3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/cst-stringify.js"(exports2) {
    "use strict";
    var stringify = (cst) => "type" in cst ? stringifyToken(cst) : stringifyItem(cst);
    function stringifyToken(token) {
      switch (token.type) {
        case "block-scalar": {
          let res = "";
          for (const tok of token.props)
            res += stringifyToken(tok);
          return res + token.source;
        }
        case "block-map":
        case "block-seq": {
          let res = "";
          for (const item of token.items)
            res += stringifyItem(item);
          return res;
        }
        case "flow-collection": {
          let res = token.start.source;
          for (const item of token.items)
            res += stringifyItem(item);
          for (const st of token.end)
            res += st.source;
          return res;
        }
        case "document": {
          let res = stringifyItem(token);
          if (token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
        default: {
          let res = token.source;
          if ("end" in token && token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
      }
    }
    function stringifyItem({ start, key, sep, value }) {
      let res = "";
      for (const st of start)
        res += st.source;
      if (key)
        res += stringifyToken(key);
      if (sep)
        for (const st of sep)
          res += st.source;
      if (value)
        res += stringifyToken(value);
      return res;
    }
    exports2.stringify = stringify;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/cst-visit.js
var require_cst_visit3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/cst-visit.js"(exports2) {
    "use strict";
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove item");
    function visit(cst, visitor) {
      if ("type" in cst && cst.type === "document")
        cst = { start: cst.start, value: cst.value };
      _visit(Object.freeze([]), cst, visitor);
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    visit.itemAtPath = (cst, path) => {
      let item = cst;
      for (const [field, index] of path) {
        const tok = item?.[field];
        if (tok && "items" in tok) {
          item = tok.items[index];
        } else
          return void 0;
      }
      return item;
    };
    visit.parentCollection = (cst, path) => {
      const parent = visit.itemAtPath(cst, path.slice(0, -1));
      const field = path[path.length - 1][0];
      const coll = parent?.[field];
      if (coll && "items" in coll)
        return coll;
      throw new Error("Parent collection not found");
    };
    function _visit(path, item, visitor) {
      let ctrl = visitor(item, path);
      if (typeof ctrl === "symbol")
        return ctrl;
      for (const field of ["key", "value"]) {
        const token = item[field];
        if (token && "items" in token) {
          for (let i = 0; i < token.items.length; ++i) {
            const ci = _visit(Object.freeze(path.concat([[field, i]])), token.items[i], visitor);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              token.items.splice(i, 1);
              i -= 1;
            }
          }
          if (typeof ctrl === "function" && field === "key")
            ctrl = ctrl(item, path);
        }
      }
      return typeof ctrl === "function" ? ctrl(item, path) : ctrl;
    }
    exports2.visit = visit;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/cst.js
var require_cst3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/cst.js"(exports2) {
    "use strict";
    var cstScalar = require_cst_scalar3();
    var cstStringify = require_cst_stringify3();
    var cstVisit = require_cst_visit3();
    var BOM = "\uFEFF";
    var DOCUMENT = "";
    var FLOW_END = "";
    var SCALAR = "";
    var isCollection = (token) => !!token && "items" in token;
    var isScalar = (token) => !!token && (token.type === "scalar" || token.type === "single-quoted-scalar" || token.type === "double-quoted-scalar" || token.type === "block-scalar");
    function prettyToken(token) {
      switch (token) {
        case BOM:
          return "<BOM>";
        case DOCUMENT:
          return "<DOC>";
        case FLOW_END:
          return "<FLOW_END>";
        case SCALAR:
          return "<SCALAR>";
        default:
          return JSON.stringify(token);
      }
    }
    function tokenType(source) {
      switch (source) {
        case BOM:
          return "byte-order-mark";
        case DOCUMENT:
          return "doc-mode";
        case FLOW_END:
          return "flow-error-end";
        case SCALAR:
          return "scalar";
        case "---":
          return "doc-start";
        case "...":
          return "doc-end";
        case "":
        case "\n":
        case "\r\n":
          return "newline";
        case "-":
          return "seq-item-ind";
        case "?":
          return "explicit-key-ind";
        case ":":
          return "map-value-ind";
        case "{":
          return "flow-map-start";
        case "}":
          return "flow-map-end";
        case "[":
          return "flow-seq-start";
        case "]":
          return "flow-seq-end";
        case ",":
          return "comma";
      }
      switch (source[0]) {
        case " ":
        case "	":
          return "space";
        case "#":
          return "comment";
        case "%":
          return "directive-line";
        case "*":
          return "alias";
        case "&":
          return "anchor";
        case "!":
          return "tag";
        case "'":
          return "single-quoted-scalar";
        case '"':
          return "double-quoted-scalar";
        case "|":
        case ">":
          return "block-scalar-header";
      }
      return null;
    }
    exports2.createScalarToken = cstScalar.createScalarToken;
    exports2.resolveAsScalar = cstScalar.resolveAsScalar;
    exports2.setScalarValue = cstScalar.setScalarValue;
    exports2.stringify = cstStringify.stringify;
    exports2.visit = cstVisit.visit;
    exports2.BOM = BOM;
    exports2.DOCUMENT = DOCUMENT;
    exports2.FLOW_END = FLOW_END;
    exports2.SCALAR = SCALAR;
    exports2.isCollection = isCollection;
    exports2.isScalar = isScalar;
    exports2.prettyToken = prettyToken;
    exports2.tokenType = tokenType;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/lexer.js
var require_lexer3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/lexer.js"(exports2) {
    "use strict";
    var cst = require_cst3();
    function isEmpty(ch) {
      switch (ch) {
        case void 0:
        case " ":
        case "\n":
        case "\r":
        case "	":
          return true;
        default:
          return false;
      }
    }
    var hexDigits = "0123456789ABCDEFabcdef".split("");
    var tagChars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz-#;/?:@&=+$_.!~*'()".split("");
    var invalidFlowScalarChars = ",[]{}".split("");
    var invalidAnchorChars = " ,[]{}\n\r	".split("");
    var isNotAnchorChar = (ch) => !ch || invalidAnchorChars.includes(ch);
    var Lexer = class {
      constructor() {
        this.atEnd = false;
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        this.buffer = "";
        this.flowKey = false;
        this.flowLevel = 0;
        this.indentNext = 0;
        this.indentValue = 0;
        this.lineEndPos = null;
        this.next = null;
        this.pos = 0;
      }
      /**
       * Generate YAML tokens from the `source` string. If `incomplete`,
       * a part of the last line may be left as a buffer for the next call.
       *
       * @returns A generator of lexical tokens
       */
      *lex(source, incomplete = false) {
        if (source) {
          this.buffer = this.buffer ? this.buffer + source : source;
          this.lineEndPos = null;
        }
        this.atEnd = !incomplete;
        let next = this.next ?? "stream";
        while (next && (incomplete || this.hasChars(1)))
          next = yield* this.parseNext(next);
      }
      atLineEnd() {
        let i = this.pos;
        let ch = this.buffer[i];
        while (ch === " " || ch === "	")
          ch = this.buffer[++i];
        if (!ch || ch === "#" || ch === "\n")
          return true;
        if (ch === "\r")
          return this.buffer[i + 1] === "\n";
        return false;
      }
      charAt(n) {
        return this.buffer[this.pos + n];
      }
      continueScalar(offset) {
        let ch = this.buffer[offset];
        if (this.indentNext > 0) {
          let indent = 0;
          while (ch === " ")
            ch = this.buffer[++indent + offset];
          if (ch === "\r") {
            const next = this.buffer[indent + offset + 1];
            if (next === "\n" || !next && !this.atEnd)
              return offset + indent + 1;
          }
          return ch === "\n" || indent >= this.indentNext || !ch && !this.atEnd ? offset + indent : -1;
        }
        if (ch === "-" || ch === ".") {
          const dt = this.buffer.substr(offset, 3);
          if ((dt === "---" || dt === "...") && isEmpty(this.buffer[offset + 3]))
            return -1;
        }
        return offset;
      }
      getLine() {
        let end = this.lineEndPos;
        if (typeof end !== "number" || end !== -1 && end < this.pos) {
          end = this.buffer.indexOf("\n", this.pos);
          this.lineEndPos = end;
        }
        if (end === -1)
          return this.atEnd ? this.buffer.substring(this.pos) : null;
        if (this.buffer[end - 1] === "\r")
          end -= 1;
        return this.buffer.substring(this.pos, end);
      }
      hasChars(n) {
        return this.pos + n <= this.buffer.length;
      }
      setNext(state) {
        this.buffer = this.buffer.substring(this.pos);
        this.pos = 0;
        this.lineEndPos = null;
        this.next = state;
        return null;
      }
      peek(n) {
        return this.buffer.substr(this.pos, n);
      }
      *parseNext(next) {
        switch (next) {
          case "stream":
            return yield* this.parseStream();
          case "line-start":
            return yield* this.parseLineStart();
          case "block-start":
            return yield* this.parseBlockStart();
          case "doc":
            return yield* this.parseDocument();
          case "flow":
            return yield* this.parseFlowCollection();
          case "quoted-scalar":
            return yield* this.parseQuotedScalar();
          case "block-scalar":
            return yield* this.parseBlockScalar();
          case "plain-scalar":
            return yield* this.parsePlainScalar();
        }
      }
      *parseStream() {
        let line = this.getLine();
        if (line === null)
          return this.setNext("stream");
        if (line[0] === cst.BOM) {
          yield* this.pushCount(1);
          line = line.substring(1);
        }
        if (line[0] === "%") {
          let dirEnd = line.length;
          const cs = line.indexOf("#");
          if (cs !== -1) {
            const ch = line[cs - 1];
            if (ch === " " || ch === "	")
              dirEnd = cs - 1;
          }
          while (true) {
            const ch = line[dirEnd - 1];
            if (ch === " " || ch === "	")
              dirEnd -= 1;
            else
              break;
          }
          const n = (yield* this.pushCount(dirEnd)) + (yield* this.pushSpaces(true));
          yield* this.pushCount(line.length - n);
          this.pushNewline();
          return "stream";
        }
        if (this.atLineEnd()) {
          const sp = yield* this.pushSpaces(true);
          yield* this.pushCount(line.length - sp);
          yield* this.pushNewline();
          return "stream";
        }
        yield cst.DOCUMENT;
        return yield* this.parseLineStart();
      }
      *parseLineStart() {
        const ch = this.charAt(0);
        if (!ch && !this.atEnd)
          return this.setNext("line-start");
        if (ch === "-" || ch === ".") {
          if (!this.atEnd && !this.hasChars(4))
            return this.setNext("line-start");
          const s = this.peek(3);
          if (s === "---" && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            this.indentValue = 0;
            this.indentNext = 0;
            return "doc";
          } else if (s === "..." && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            return "stream";
          }
        }
        this.indentValue = yield* this.pushSpaces(false);
        if (this.indentNext > this.indentValue && !isEmpty(this.charAt(1)))
          this.indentNext = this.indentValue;
        return yield* this.parseBlockStart();
      }
      *parseBlockStart() {
        const [ch0, ch1] = this.peek(2);
        if (!ch1 && !this.atEnd)
          return this.setNext("block-start");
        if ((ch0 === "-" || ch0 === "?" || ch0 === ":") && isEmpty(ch1)) {
          const n = (yield* this.pushCount(1)) + (yield* this.pushSpaces(true));
          this.indentNext = this.indentValue + 1;
          this.indentValue += n;
          return yield* this.parseBlockStart();
        }
        return "doc";
      }
      *parseDocument() {
        yield* this.pushSpaces(true);
        const line = this.getLine();
        if (line === null)
          return this.setNext("doc");
        let n = yield* this.pushIndicators();
        switch (line[n]) {
          case "#":
            yield* this.pushCount(line.length - n);
          case void 0:
            yield* this.pushNewline();
            return yield* this.parseLineStart();
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel = 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            return "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "doc";
          case '"':
          case "'":
            return yield* this.parseQuotedScalar();
          case "|":
          case ">":
            n += yield* this.parseBlockScalarHeader();
            n += yield* this.pushSpaces(true);
            yield* this.pushCount(line.length - n);
            yield* this.pushNewline();
            return yield* this.parseBlockScalar();
          default:
            return yield* this.parsePlainScalar();
        }
      }
      *parseFlowCollection() {
        let nl, sp;
        let indent = -1;
        do {
          nl = yield* this.pushNewline();
          if (nl > 0) {
            sp = yield* this.pushSpaces(false);
            this.indentValue = indent = sp;
          } else {
            sp = 0;
          }
          sp += yield* this.pushSpaces(true);
        } while (nl + sp > 0);
        const line = this.getLine();
        if (line === null)
          return this.setNext("flow");
        if (indent !== -1 && indent < this.indentNext && line[0] !== "#" || indent === 0 && (line.startsWith("---") || line.startsWith("...")) && isEmpty(line[3])) {
          const atFlowEndMarker = indent === this.indentNext - 1 && this.flowLevel === 1 && (line[0] === "]" || line[0] === "}");
          if (!atFlowEndMarker) {
            this.flowLevel = 0;
            yield cst.FLOW_END;
            return yield* this.parseLineStart();
          }
        }
        let n = 0;
        while (line[n] === ",") {
          n += yield* this.pushCount(1);
          n += yield* this.pushSpaces(true);
          this.flowKey = false;
        }
        n += yield* this.pushIndicators();
        switch (line[n]) {
          case void 0:
            return "flow";
          case "#":
            yield* this.pushCount(line.length - n);
            return "flow";
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel += 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            this.flowKey = true;
            this.flowLevel -= 1;
            return this.flowLevel ? "flow" : "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "flow";
          case '"':
          case "'":
            this.flowKey = true;
            return yield* this.parseQuotedScalar();
          case ":": {
            const next = this.charAt(1);
            if (this.flowKey || isEmpty(next) || next === ",") {
              this.flowKey = false;
              yield* this.pushCount(1);
              yield* this.pushSpaces(true);
              return "flow";
            }
          }
          default:
            this.flowKey = false;
            return yield* this.parsePlainScalar();
        }
      }
      *parseQuotedScalar() {
        const quote = this.charAt(0);
        let end = this.buffer.indexOf(quote, this.pos + 1);
        if (quote === "'") {
          while (end !== -1 && this.buffer[end + 1] === "'")
            end = this.buffer.indexOf("'", end + 2);
        } else {
          while (end !== -1) {
            let n = 0;
            while (this.buffer[end - 1 - n] === "\\")
              n += 1;
            if (n % 2 === 0)
              break;
            end = this.buffer.indexOf('"', end + 1);
          }
        }
        const qb = this.buffer.substring(0, end);
        let nl = qb.indexOf("\n", this.pos);
        if (nl !== -1) {
          while (nl !== -1) {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = qb.indexOf("\n", cs);
          }
          if (nl !== -1) {
            end = nl - (qb[nl - 1] === "\r" ? 2 : 1);
          }
        }
        if (end === -1) {
          if (!this.atEnd)
            return this.setNext("quoted-scalar");
          end = this.buffer.length;
        }
        yield* this.pushToIndex(end + 1, false);
        return this.flowLevel ? "flow" : "doc";
      }
      *parseBlockScalarHeader() {
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        let i = this.pos;
        while (true) {
          const ch = this.buffer[++i];
          if (ch === "+")
            this.blockScalarKeep = true;
          else if (ch > "0" && ch <= "9")
            this.blockScalarIndent = Number(ch) - 1;
          else if (ch !== "-")
            break;
        }
        return yield* this.pushUntil((ch) => isEmpty(ch) || ch === "#");
      }
      *parseBlockScalar() {
        let nl = this.pos - 1;
        let indent = 0;
        let ch;
        loop:
          for (let i = this.pos; ch = this.buffer[i]; ++i) {
            switch (ch) {
              case " ":
                indent += 1;
                break;
              case "\n":
                nl = i;
                indent = 0;
                break;
              case "\r": {
                const next = this.buffer[i + 1];
                if (!next && !this.atEnd)
                  return this.setNext("block-scalar");
                if (next === "\n")
                  break;
              }
              default:
                break loop;
            }
          }
        if (!ch && !this.atEnd)
          return this.setNext("block-scalar");
        if (indent >= this.indentNext) {
          if (this.blockScalarIndent === -1)
            this.indentNext = indent;
          else
            this.indentNext += this.blockScalarIndent;
          do {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = this.buffer.indexOf("\n", cs);
          } while (nl !== -1);
          if (nl === -1) {
            if (!this.atEnd)
              return this.setNext("block-scalar");
            nl = this.buffer.length;
          }
        }
        if (!this.blockScalarKeep) {
          do {
            let i = nl - 1;
            let ch2 = this.buffer[i];
            if (ch2 === "\r")
              ch2 = this.buffer[--i];
            const lastChar = i;
            while (ch2 === " " || ch2 === "	")
              ch2 = this.buffer[--i];
            if (ch2 === "\n" && i >= this.pos && i + 1 + indent > lastChar)
              nl = i;
            else
              break;
          } while (true);
        }
        yield cst.SCALAR;
        yield* this.pushToIndex(nl + 1, true);
        return yield* this.parseLineStart();
      }
      *parsePlainScalar() {
        const inFlow = this.flowLevel > 0;
        let end = this.pos - 1;
        let i = this.pos - 1;
        let ch;
        while (ch = this.buffer[++i]) {
          if (ch === ":") {
            const next = this.buffer[i + 1];
            if (isEmpty(next) || inFlow && next === ",")
              break;
            end = i;
          } else if (isEmpty(ch)) {
            let next = this.buffer[i + 1];
            if (ch === "\r") {
              if (next === "\n") {
                i += 1;
                ch = "\n";
                next = this.buffer[i + 1];
              } else
                end = i;
            }
            if (next === "#" || inFlow && invalidFlowScalarChars.includes(next))
              break;
            if (ch === "\n") {
              const cs = this.continueScalar(i + 1);
              if (cs === -1)
                break;
              i = Math.max(i, cs - 2);
            }
          } else {
            if (inFlow && invalidFlowScalarChars.includes(ch))
              break;
            end = i;
          }
        }
        if (!ch && !this.atEnd)
          return this.setNext("plain-scalar");
        yield cst.SCALAR;
        yield* this.pushToIndex(end + 1, true);
        return inFlow ? "flow" : "doc";
      }
      *pushCount(n) {
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos += n;
          return n;
        }
        return 0;
      }
      *pushToIndex(i, allowEmpty) {
        const s = this.buffer.slice(this.pos, i);
        if (s) {
          yield s;
          this.pos += s.length;
          return s.length;
        } else if (allowEmpty)
          yield "";
        return 0;
      }
      *pushIndicators() {
        switch (this.charAt(0)) {
          case "!":
            return (yield* this.pushTag()) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "&":
            return (yield* this.pushUntil(isNotAnchorChar)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "-":
          case "?":
          case ":": {
            const inFlow = this.flowLevel > 0;
            const ch1 = this.charAt(1);
            if (isEmpty(ch1) || inFlow && invalidFlowScalarChars.includes(ch1)) {
              if (!inFlow)
                this.indentNext = this.indentValue + 1;
              else if (this.flowKey)
                this.flowKey = false;
              return (yield* this.pushCount(1)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
            }
          }
        }
        return 0;
      }
      *pushTag() {
        if (this.charAt(1) === "<") {
          let i = this.pos + 2;
          let ch = this.buffer[i];
          while (!isEmpty(ch) && ch !== ">")
            ch = this.buffer[++i];
          return yield* this.pushToIndex(ch === ">" ? i + 1 : i, false);
        } else {
          let i = this.pos + 1;
          let ch = this.buffer[i];
          while (ch) {
            if (tagChars.includes(ch))
              ch = this.buffer[++i];
            else if (ch === "%" && hexDigits.includes(this.buffer[i + 1]) && hexDigits.includes(this.buffer[i + 2])) {
              ch = this.buffer[i += 3];
            } else
              break;
          }
          return yield* this.pushToIndex(i, false);
        }
      }
      *pushNewline() {
        const ch = this.buffer[this.pos];
        if (ch === "\n")
          return yield* this.pushCount(1);
        else if (ch === "\r" && this.charAt(1) === "\n")
          return yield* this.pushCount(2);
        else
          return 0;
      }
      *pushSpaces(allowTabs) {
        let i = this.pos - 1;
        let ch;
        do {
          ch = this.buffer[++i];
        } while (ch === " " || allowTabs && ch === "	");
        const n = i - this.pos;
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos = i;
        }
        return n;
      }
      *pushUntil(test) {
        let i = this.pos;
        let ch = this.buffer[i];
        while (!test(ch))
          ch = this.buffer[++i];
        return yield* this.pushToIndex(i, false);
      }
    };
    exports2.Lexer = Lexer;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/line-counter.js
var require_line_counter3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/line-counter.js"(exports2) {
    "use strict";
    var LineCounter = class {
      constructor() {
        this.lineStarts = [];
        this.addNewLine = (offset) => this.lineStarts.push(offset);
        this.linePos = (offset) => {
          let low = 0;
          let high = this.lineStarts.length;
          while (low < high) {
            const mid = low + high >> 1;
            if (this.lineStarts[mid] < offset)
              low = mid + 1;
            else
              high = mid;
          }
          if (this.lineStarts[low] === offset)
            return { line: low + 1, col: 1 };
          if (low === 0)
            return { line: 0, col: offset };
          const start = this.lineStarts[low - 1];
          return { line: low, col: offset - start + 1 };
        };
      }
    };
    exports2.LineCounter = LineCounter;
  }
});

// ../blueprint/node_modules/yaml/dist/parse/parser.js
var require_parser7 = __commonJS({
  "../blueprint/node_modules/yaml/dist/parse/parser.js"(exports2) {
    "use strict";
    var cst = require_cst3();
    var lexer = require_lexer3();
    function includesToken(list, type) {
      for (let i = 0; i < list.length; ++i)
        if (list[i].type === type)
          return true;
      return false;
    }
    function findNonEmptyIndex(list) {
      for (let i = 0; i < list.length; ++i) {
        switch (list[i].type) {
          case "space":
          case "comment":
          case "newline":
            break;
          default:
            return i;
        }
      }
      return -1;
    }
    function isFlowToken(token) {
      switch (token?.type) {
        case "alias":
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "flow-collection":
          return true;
        default:
          return false;
      }
    }
    function getPrevProps(parent) {
      switch (parent.type) {
        case "document":
          return parent.start;
        case "block-map": {
          const it = parent.items[parent.items.length - 1];
          return it.sep ?? it.start;
        }
        case "block-seq":
          return parent.items[parent.items.length - 1].start;
        default:
          return [];
      }
    }
    function getFirstKeyStartProps(prev) {
      if (prev.length === 0)
        return [];
      let i = prev.length;
      loop:
        while (--i >= 0) {
          switch (prev[i].type) {
            case "doc-start":
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
            case "newline":
              break loop;
          }
        }
      while (prev[++i]?.type === "space") {
      }
      return prev.splice(i, prev.length);
    }
    function fixFlowSeqItems(fc) {
      if (fc.start.type === "flow-seq-start") {
        for (const it of fc.items) {
          if (it.sep && !it.value && !includesToken(it.start, "explicit-key-ind") && !includesToken(it.sep, "map-value-ind")) {
            if (it.key)
              it.value = it.key;
            delete it.key;
            if (isFlowToken(it.value)) {
              if (it.value.end)
                Array.prototype.push.apply(it.value.end, it.sep);
              else
                it.value.end = it.sep;
            } else
              Array.prototype.push.apply(it.start, it.sep);
            delete it.sep;
          }
        }
      }
    }
    var Parser = class {
      /**
       * @param onNewLine - If defined, called separately with the start position of
       *   each new line (in `parse()`, including the start of input).
       */
      constructor(onNewLine) {
        this.atNewLine = true;
        this.atScalar = false;
        this.indent = 0;
        this.offset = 0;
        this.onKeyLine = false;
        this.stack = [];
        this.source = "";
        this.type = "";
        this.lexer = new lexer.Lexer();
        this.onNewLine = onNewLine;
      }
      /**
       * Parse `source` as a YAML stream.
       * If `incomplete`, a part of the last line may be left as a buffer for the next call.
       *
       * Errors are not thrown, but yielded as `{ type: 'error', message }` tokens.
       *
       * @returns A generator of tokens representing each directive, document, and other structure.
       */
      *parse(source, incomplete = false) {
        if (this.onNewLine && this.offset === 0)
          this.onNewLine(0);
        for (const lexeme of this.lexer.lex(source, incomplete))
          yield* this.next(lexeme);
        if (!incomplete)
          yield* this.end();
      }
      /**
       * Advance the parser by the `source` of one lexical token.
       */
      *next(source) {
        this.source = source;
        if (process.env.LOG_TOKENS)
          console.log("|", cst.prettyToken(source));
        if (this.atScalar) {
          this.atScalar = false;
          yield* this.step();
          this.offset += source.length;
          return;
        }
        const type = cst.tokenType(source);
        if (!type) {
          const message = `Not a YAML token: ${source}`;
          yield* this.pop({ type: "error", offset: this.offset, message, source });
          this.offset += source.length;
        } else if (type === "scalar") {
          this.atNewLine = false;
          this.atScalar = true;
          this.type = "scalar";
        } else {
          this.type = type;
          yield* this.step();
          switch (type) {
            case "newline":
              this.atNewLine = true;
              this.indent = 0;
              if (this.onNewLine)
                this.onNewLine(this.offset + source.length);
              break;
            case "space":
              if (this.atNewLine && source[0] === " ")
                this.indent += source.length;
              break;
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
              if (this.atNewLine)
                this.indent += source.length;
              break;
            case "doc-mode":
            case "flow-error-end":
              return;
            default:
              this.atNewLine = false;
          }
          this.offset += source.length;
        }
      }
      /** Call at end of input to push out any remaining constructions */
      *end() {
        while (this.stack.length > 0)
          yield* this.pop();
      }
      get sourceToken() {
        const st = {
          type: this.type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
        return st;
      }
      *step() {
        const top = this.peek(1);
        if (this.type === "doc-end" && (!top || top.type !== "doc-end")) {
          while (this.stack.length > 0)
            yield* this.pop();
          this.stack.push({
            type: "doc-end",
            offset: this.offset,
            source: this.source
          });
          return;
        }
        if (!top)
          return yield* this.stream();
        switch (top.type) {
          case "document":
            return yield* this.document(top);
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return yield* this.scalar(top);
          case "block-scalar":
            return yield* this.blockScalar(top);
          case "block-map":
            return yield* this.blockMap(top);
          case "block-seq":
            return yield* this.blockSequence(top);
          case "flow-collection":
            return yield* this.flowCollection(top);
          case "doc-end":
            return yield* this.documentEnd(top);
        }
        yield* this.pop();
      }
      peek(n) {
        return this.stack[this.stack.length - n];
      }
      *pop(error) {
        const token = error ?? this.stack.pop();
        if (!token) {
          const message = "Tried to pop an empty stack";
          yield { type: "error", offset: this.offset, source: "", message };
        } else if (this.stack.length === 0) {
          yield token;
        } else {
          const top = this.peek(1);
          if (token.type === "block-scalar") {
            token.indent = "indent" in top ? top.indent : 0;
          } else if (token.type === "flow-collection" && top.type === "document") {
            token.indent = 0;
          }
          if (token.type === "flow-collection")
            fixFlowSeqItems(token);
          switch (top.type) {
            case "document":
              top.value = token;
              break;
            case "block-scalar":
              top.props.push(token);
              break;
            case "block-map": {
              const it = top.items[top.items.length - 1];
              if (it.value) {
                top.items.push({ start: [], key: token, sep: [] });
                this.onKeyLine = true;
                return;
              } else if (it.sep) {
                it.value = token;
              } else {
                Object.assign(it, { key: token, sep: [] });
                this.onKeyLine = !includesToken(it.start, "explicit-key-ind");
                return;
              }
              break;
            }
            case "block-seq": {
              const it = top.items[top.items.length - 1];
              if (it.value)
                top.items.push({ start: [], value: token });
              else
                it.value = token;
              break;
            }
            case "flow-collection": {
              const it = top.items[top.items.length - 1];
              if (!it || it.value)
                top.items.push({ start: [], key: token, sep: [] });
              else if (it.sep)
                it.value = token;
              else
                Object.assign(it, { key: token, sep: [] });
              return;
            }
            default:
              yield* this.pop();
              yield* this.pop(token);
          }
          if ((top.type === "document" || top.type === "block-map" || top.type === "block-seq") && (token.type === "block-map" || token.type === "block-seq")) {
            const last = token.items[token.items.length - 1];
            if (last && !last.sep && !last.value && last.start.length > 0 && findNonEmptyIndex(last.start) === -1 && (token.indent === 0 || last.start.every((st) => st.type !== "comment" || st.indent < token.indent))) {
              if (top.type === "document")
                top.end = last.start;
              else
                top.items.push({ start: last.start });
              token.items.splice(-1, 1);
            }
          }
        }
      }
      *stream() {
        switch (this.type) {
          case "directive-line":
            yield { type: "directive", offset: this.offset, source: this.source };
            return;
          case "byte-order-mark":
          case "space":
          case "comment":
          case "newline":
            yield this.sourceToken;
            return;
          case "doc-mode":
          case "doc-start": {
            const doc = {
              type: "document",
              offset: this.offset,
              start: []
            };
            if (this.type === "doc-start")
              doc.start.push(this.sourceToken);
            this.stack.push(doc);
            return;
          }
        }
        yield {
          type: "error",
          offset: this.offset,
          message: `Unexpected ${this.type} token in YAML stream`,
          source: this.source
        };
      }
      *document(doc) {
        if (doc.value)
          return yield* this.lineEnd(doc);
        switch (this.type) {
          case "doc-start": {
            if (findNonEmptyIndex(doc.start) !== -1) {
              yield* this.pop();
              yield* this.step();
            } else
              doc.start.push(this.sourceToken);
            return;
          }
          case "anchor":
          case "tag":
          case "space":
          case "comment":
          case "newline":
            doc.start.push(this.sourceToken);
            return;
        }
        const bv = this.startBlockValue(doc);
        if (bv)
          this.stack.push(bv);
        else {
          yield {
            type: "error",
            offset: this.offset,
            message: `Unexpected ${this.type} token in YAML document`,
            source: this.source
          };
        }
      }
      *scalar(scalar) {
        if (this.type === "map-value-ind") {
          const prev = getPrevProps(this.peek(2));
          const start = getFirstKeyStartProps(prev);
          let sep;
          if (scalar.end) {
            sep = scalar.end;
            sep.push(this.sourceToken);
            delete scalar.end;
          } else
            sep = [this.sourceToken];
          const map = {
            type: "block-map",
            offset: scalar.offset,
            indent: scalar.indent,
            items: [{ start, key: scalar, sep }]
          };
          this.onKeyLine = true;
          this.stack[this.stack.length - 1] = map;
        } else
          yield* this.lineEnd(scalar);
      }
      *blockScalar(scalar) {
        switch (this.type) {
          case "space":
          case "comment":
          case "newline":
            scalar.props.push(this.sourceToken);
            return;
          case "scalar":
            scalar.source = this.source;
            this.atNewLine = true;
            this.indent = 0;
            if (this.onNewLine) {
              let nl = this.source.indexOf("\n") + 1;
              while (nl !== 0) {
                this.onNewLine(this.offset + nl);
                nl = this.source.indexOf("\n", nl) + 1;
              }
            }
            yield* this.pop();
            break;
          default:
            yield* this.pop();
            yield* this.step();
        }
      }
      *blockMap(map) {
        const it = map.items[map.items.length - 1];
        switch (this.type) {
          case "newline":
            this.onKeyLine = false;
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              it.start.push(this.sourceToken);
            }
            return;
          case "space":
          case "comment":
            if (it.value) {
              map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              if (this.atIndentedComment(it.start, map.indent)) {
                const prev = map.items[map.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  map.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
        }
        if (this.indent >= map.indent) {
          const atNextItem = !this.onKeyLine && this.indent === map.indent && it.sep;
          let start = [];
          if (atNextItem && it.sep && !it.value) {
            const nl = [];
            for (let i = 0; i < it.sep.length; ++i) {
              const st = it.sep[i];
              switch (st.type) {
                case "newline":
                  nl.push(i);
                  break;
                case "space":
                  break;
                case "comment":
                  if (st.indent > map.indent)
                    nl.length = 0;
                  break;
                default:
                  nl.length = 0;
              }
            }
            if (nl.length >= 2)
              start = it.sep.splice(nl[1]);
          }
          switch (this.type) {
            case "anchor":
            case "tag":
              if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
                this.onKeyLine = true;
              } else if (it.sep) {
                it.sep.push(this.sourceToken);
              } else {
                it.start.push(this.sourceToken);
              }
              return;
            case "explicit-key-ind":
              if (!it.sep && !includesToken(it.start, "explicit-key-ind")) {
                it.start.push(this.sourceToken);
              } else if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
              } else {
                this.stack.push({
                  type: "block-map",
                  offset: this.offset,
                  indent: this.indent,
                  items: [{ start: [this.sourceToken] }]
                });
              }
              this.onKeyLine = true;
              return;
            case "map-value-ind":
              if (includesToken(it.start, "explicit-key-ind")) {
                if (!it.sep) {
                  if (includesToken(it.start, "newline")) {
                    Object.assign(it, { key: null, sep: [this.sourceToken] });
                  } else {
                    const start2 = getFirstKeyStartProps(it.start);
                    this.stack.push({
                      type: "block-map",
                      offset: this.offset,
                      indent: this.indent,
                      items: [{ start: start2, key: null, sep: [this.sourceToken] }]
                    });
                  }
                } else if (it.value) {
                  map.items.push({ start: [], key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start, key: null, sep: [this.sourceToken] }]
                  });
                } else if (isFlowToken(it.key) && !includesToken(it.sep, "newline")) {
                  const start2 = getFirstKeyStartProps(it.start);
                  const key = it.key;
                  const sep = it.sep;
                  sep.push(this.sourceToken);
                  delete it.key, delete it.sep;
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: start2, key, sep }]
                  });
                } else if (start.length > 0) {
                  it.sep = it.sep.concat(start, this.sourceToken);
                } else {
                  it.sep.push(this.sourceToken);
                }
              } else {
                if (!it.sep) {
                  Object.assign(it, { key: null, sep: [this.sourceToken] });
                } else if (it.value || atNextItem) {
                  map.items.push({ start, key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: [], key: null, sep: [this.sourceToken] }]
                  });
                } else {
                  it.sep.push(this.sourceToken);
                }
              }
              this.onKeyLine = true;
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (atNextItem || it.value) {
                map.items.push({ start, key: fs, sep: [] });
                this.onKeyLine = true;
              } else if (it.sep) {
                this.stack.push(fs);
              } else {
                Object.assign(it, { key: fs, sep: [] });
                this.onKeyLine = true;
              }
              return;
            }
            default: {
              const bv = this.startBlockValue(map);
              if (bv) {
                if (atNextItem && bv.type !== "block-seq" && includesToken(it.start, "explicit-key-ind")) {
                  map.items.push({ start });
                }
                this.stack.push(bv);
                return;
              }
            }
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *blockSequence(seq) {
        const it = seq.items[seq.items.length - 1];
        switch (this.type) {
          case "newline":
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                seq.items.push({ start: [this.sourceToken] });
            } else
              it.start.push(this.sourceToken);
            return;
          case "space":
          case "comment":
            if (it.value)
              seq.items.push({ start: [this.sourceToken] });
            else {
              if (this.atIndentedComment(it.start, seq.indent)) {
                const prev = seq.items[seq.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  seq.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
          case "anchor":
          case "tag":
            if (it.value || this.indent <= seq.indent)
              break;
            it.start.push(this.sourceToken);
            return;
          case "seq-item-ind":
            if (this.indent !== seq.indent)
              break;
            if (it.value || includesToken(it.start, "seq-item-ind"))
              seq.items.push({ start: [this.sourceToken] });
            else
              it.start.push(this.sourceToken);
            return;
        }
        if (this.indent > seq.indent) {
          const bv = this.startBlockValue(seq);
          if (bv) {
            this.stack.push(bv);
            return;
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *flowCollection(fc) {
        const it = fc.items[fc.items.length - 1];
        if (this.type === "flow-error-end") {
          let top;
          do {
            yield* this.pop();
            top = this.peek(1);
          } while (top && top.type === "flow-collection");
        } else if (fc.end.length === 0) {
          switch (this.type) {
            case "comma":
            case "explicit-key-ind":
              if (!it || it.sep)
                fc.items.push({ start: [this.sourceToken] });
              else
                it.start.push(this.sourceToken);
              return;
            case "map-value-ind":
              if (!it || it.value)
                fc.items.push({ start: [], key: null, sep: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                Object.assign(it, { key: null, sep: [this.sourceToken] });
              return;
            case "space":
            case "comment":
            case "newline":
            case "anchor":
            case "tag":
              if (!it || it.value)
                fc.items.push({ start: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                it.start.push(this.sourceToken);
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (!it || it.value)
                fc.items.push({ start: [], key: fs, sep: [] });
              else if (it.sep)
                this.stack.push(fs);
              else
                Object.assign(it, { key: fs, sep: [] });
              return;
            }
            case "flow-map-end":
            case "flow-seq-end":
              fc.end.push(this.sourceToken);
              return;
          }
          const bv = this.startBlockValue(fc);
          if (bv)
            this.stack.push(bv);
          else {
            yield* this.pop();
            yield* this.step();
          }
        } else {
          const parent = this.peek(2);
          if (parent.type === "block-map" && (this.type === "map-value-ind" && parent.indent === fc.indent || this.type === "newline" && !parent.items[parent.items.length - 1].sep)) {
            yield* this.pop();
            yield* this.step();
          } else if (this.type === "map-value-ind" && parent.type !== "flow-collection") {
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            fixFlowSeqItems(fc);
            const sep = fc.end.splice(1, fc.end.length);
            sep.push(this.sourceToken);
            const map = {
              type: "block-map",
              offset: fc.offset,
              indent: fc.indent,
              items: [{ start, key: fc, sep }]
            };
            this.onKeyLine = true;
            this.stack[this.stack.length - 1] = map;
          } else {
            yield* this.lineEnd(fc);
          }
        }
      }
      flowScalar(type) {
        if (this.onNewLine) {
          let nl = this.source.indexOf("\n") + 1;
          while (nl !== 0) {
            this.onNewLine(this.offset + nl);
            nl = this.source.indexOf("\n", nl) + 1;
          }
        }
        return {
          type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
      }
      startBlockValue(parent) {
        switch (this.type) {
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return this.flowScalar(this.type);
          case "block-scalar-header":
            return {
              type: "block-scalar",
              offset: this.offset,
              indent: this.indent,
              props: [this.sourceToken],
              source: ""
            };
          case "flow-map-start":
          case "flow-seq-start":
            return {
              type: "flow-collection",
              offset: this.offset,
              indent: this.indent,
              start: this.sourceToken,
              items: [],
              end: []
            };
          case "seq-item-ind":
            return {
              type: "block-seq",
              offset: this.offset,
              indent: this.indent,
              items: [{ start: [this.sourceToken] }]
            };
          case "explicit-key-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            start.push(this.sourceToken);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start }]
            };
          }
          case "map-value-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start, key: null, sep: [this.sourceToken] }]
            };
          }
        }
        return null;
      }
      atIndentedComment(start, indent) {
        if (this.type !== "comment")
          return false;
        if (this.indent <= indent)
          return false;
        return start.every((st) => st.type === "newline" || st.type === "space");
      }
      *documentEnd(docEnd) {
        if (this.type !== "doc-mode") {
          if (docEnd.end)
            docEnd.end.push(this.sourceToken);
          else
            docEnd.end = [this.sourceToken];
          if (this.type === "newline")
            yield* this.pop();
        }
      }
      *lineEnd(token) {
        switch (this.type) {
          case "comma":
          case "doc-start":
          case "doc-end":
          case "flow-seq-end":
          case "flow-map-end":
          case "map-value-ind":
            yield* this.pop();
            yield* this.step();
            break;
          case "newline":
            this.onKeyLine = false;
          case "space":
          case "comment":
          default:
            if (token.end)
              token.end.push(this.sourceToken);
            else
              token.end = [this.sourceToken];
            if (this.type === "newline")
              yield* this.pop();
        }
      }
    };
    exports2.Parser = Parser;
  }
});

// ../blueprint/node_modules/yaml/dist/public-api.js
var require_public_api3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/public-api.js"(exports2) {
    "use strict";
    var composer = require_composer3();
    var Document = require_Document3();
    var errors = require_errors3();
    var log = require_log3();
    var lineCounter = require_line_counter3();
    var parser = require_parser7();
    function parseOptions(options) {
      const prettyErrors = options.prettyErrors !== false;
      const lineCounter$1 = options.lineCounter || prettyErrors && new lineCounter.LineCounter() || null;
      return { lineCounter: lineCounter$1, prettyErrors };
    }
    function parseAllDocuments(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      const docs = Array.from(composer$1.compose(parser$1.parse(source)));
      if (prettyErrors && lineCounter2)
        for (const doc of docs) {
          doc.errors.forEach(errors.prettifyError(source, lineCounter2));
          doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
        }
      if (docs.length > 0)
        return docs;
      return Object.assign([], { empty: true }, composer$1.streamInfo());
    }
    function parseDocument(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      let doc = null;
      for (const _doc of composer$1.compose(parser$1.parse(source), true, source.length)) {
        if (!doc)
          doc = _doc;
        else if (doc.options.logLevel !== "silent") {
          doc.errors.push(new errors.YAMLParseError(_doc.range.slice(0, 2), "MULTIPLE_DOCS", "Source contains multiple documents; please use YAML.parseAllDocuments()"));
          break;
        }
      }
      if (prettyErrors && lineCounter2) {
        doc.errors.forEach(errors.prettifyError(source, lineCounter2));
        doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
      }
      return doc;
    }
    function parse(src, reviver, options) {
      let _reviver = void 0;
      if (typeof reviver === "function") {
        _reviver = reviver;
      } else if (options === void 0 && reviver && typeof reviver === "object") {
        options = reviver;
      }
      const doc = parseDocument(src, options);
      if (!doc)
        return null;
      doc.warnings.forEach((warning) => log.warn(doc.options.logLevel, warning));
      if (doc.errors.length > 0) {
        if (doc.options.logLevel !== "silent")
          throw doc.errors[0];
        else
          doc.errors = [];
      }
      return doc.toJS(Object.assign({ reviver: _reviver }, options));
    }
    function stringify(value, replacer, options) {
      let _replacer = null;
      if (typeof replacer === "function" || Array.isArray(replacer)) {
        _replacer = replacer;
      } else if (options === void 0 && replacer) {
        options = replacer;
      }
      if (typeof options === "string")
        options = options.length;
      if (typeof options === "number") {
        const indent = Math.round(options);
        options = indent < 1 ? void 0 : indent > 8 ? { indent: 8 } : { indent };
      }
      if (value === void 0) {
        const { keepUndefined } = options ?? replacer ?? {};
        if (!keepUndefined)
          return void 0;
      }
      return new Document.Document(value, _replacer, options).toString(options);
    }
    exports2.parse = parse;
    exports2.parseAllDocuments = parseAllDocuments;
    exports2.parseDocument = parseDocument;
    exports2.stringify = stringify;
  }
});

// ../blueprint/node_modules/yaml/dist/index.js
var require_dist3 = __commonJS({
  "../blueprint/node_modules/yaml/dist/index.js"(exports2) {
    "use strict";
    var composer = require_composer3();
    var Document = require_Document3();
    var Schema = require_Schema3();
    var errors = require_errors3();
    var Alias = require_Alias3();
    var identity = require_identity3();
    var Pair = require_Pair3();
    var Scalar = require_Scalar3();
    var YAMLMap = require_YAMLMap3();
    var YAMLSeq = require_YAMLSeq3();
    var cst = require_cst3();
    var lexer = require_lexer3();
    var lineCounter = require_line_counter3();
    var parser = require_parser7();
    var publicApi = require_public_api3();
    var visit = require_visit3();
    exports2.Composer = composer.Composer;
    exports2.Document = Document.Document;
    exports2.Schema = Schema.Schema;
    exports2.YAMLError = errors.YAMLError;
    exports2.YAMLParseError = errors.YAMLParseError;
    exports2.YAMLWarning = errors.YAMLWarning;
    exports2.Alias = Alias.Alias;
    exports2.isAlias = identity.isAlias;
    exports2.isCollection = identity.isCollection;
    exports2.isDocument = identity.isDocument;
    exports2.isMap = identity.isMap;
    exports2.isNode = identity.isNode;
    exports2.isPair = identity.isPair;
    exports2.isScalar = identity.isScalar;
    exports2.isSeq = identity.isSeq;
    exports2.Pair = Pair.Pair;
    exports2.Scalar = Scalar.Scalar;
    exports2.YAMLMap = YAMLMap.YAMLMap;
    exports2.YAMLSeq = YAMLSeq.YAMLSeq;
    exports2.CST = cst;
    exports2.Lexer = lexer.Lexer;
    exports2.LineCounter = lineCounter.LineCounter;
    exports2.Parser = parser.Parser;
    exports2.parse = publicApi.parse;
    exports2.parseAllDocuments = publicApi.parseAllDocuments;
    exports2.parseDocument = publicApi.parseDocument;
    exports2.stringify = publicApi.stringify;
    exports2.visit = visit.visit;
    exports2.visitAsync = visit.visitAsync;
  }
});

// ../blueprint/node_modules/projen/lib/yaml.js
var require_yaml3 = __commonJS({
  "../blueprint/node_modules/projen/lib/yaml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.YamlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var YAML = require_dist3();
    var object_file_1 = require_object_file3();
    var YamlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.lineWidth = options.lineWidth ?? 0;
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          YAML.stringify(JSON.parse(json), {
            indent: 2,
            lineWidth: this.lineWidth
          })
        ].join("\n");
      }
    };
    exports2.YamlFile = YamlFile;
    _a = JSII_RTTI_SYMBOL_1;
    YamlFile[_a] = { fqn: "projen.YamlFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose.js
var require_docker_compose5 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerCompose = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_port_1 = require_docker_compose_port3();
    var docker_compose_render_1 = require_docker_compose_render3();
    var docker_compose_service_1 = require_docker_compose_service3();
    var component_1 = require_component3();
    var yaml_1 = require_yaml3();
    var DockerCompose = class extends component_1.Component {
      /**
       * Depends on a service name.
       */
      static serviceName(serviceName) {
        return {
          serviceName
        };
      }
      /**
       * Create a port mapping.
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      static portMapping(publishedPort, targetPort, options) {
        const protocol = options?.protocol ?? docker_compose_port_1.DockerComposeProtocol.TCP;
        return {
          target: targetPort,
          published: publishedPort,
          protocol,
          mode: "host"
        };
      }
      /**
       * Create a bind volume that binds a host path to the target path in the container.
       * @param sourcePath Host path name
       * @param targetPath Target path name
       */
      static bindVolume(sourcePath, targetPath) {
        return {
          bind(_volumeInfo) {
            return {
              type: "bind",
              source: sourcePath,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named volume and mount it to the target path. If you use this
       * named volume in several services, the volume will be shared. In this
       * case, the volume configuration of the first-provided options are used.
       *
       * @param volumeName Name of the volume
       * @param targetPath Target path
       * @param options volume configuration (default: docker compose defaults)
       */
      static namedVolume(volumeName, targetPath, options = {}) {
        return {
          bind(volumeInfo) {
            volumeInfo.addVolumeConfiguration(volumeName, options);
            return {
              type: "volume",
              source: volumeName,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named network and mount it to the target path. If you use this
       * named network in several services, the network will be shared. In this
       * case, the network configuration of the first-provided options are used.
       *
       * @param networkName Name of the network
       * @param options network configuration
       */
      static network(networkName, options = {}) {
        return {
          bind(networkInfo) {
            networkInfo.addNetworkConfiguration(networkName, options);
            return networkName;
          }
        };
      }
      constructor(project, props) {
        super(project);
        const nameSuffix = props?.nameSuffix ? `${props.nameSuffix}.yml` : "yml";
        new yaml_1.YamlFile(project, `docker-compose.${nameSuffix}`, {
          committed: true,
          readonly: true,
          obj: () => this._synthesizeDockerCompose()
        });
        if (props?.schemaVersion && !parseFloat(props.schemaVersion)) {
          throw Error("Version tag needs to be a number");
        }
        this.version = props?.schemaVersion ? props.schemaVersion : "3.3";
        this.services = {};
        const initialServices = props?.services ?? {};
        for (const [name, serviceDescription] of Object.entries(initialServices)) {
          this.addService(name, serviceDescription);
        }
      }
      /**
       * Add a service to the docker-compose file.
       * @param serviceName name of the service
       * @param description a service description
       */
      addService(serviceName, description) {
        const service = new docker_compose_service_1.DockerComposeService(serviceName, description);
        this.services[serviceName] = service;
        return service;
      }
      /**
       * @internal
       */
      _synthesizeDockerCompose() {
        if (Object.keys(this.services).length === 0) {
          throw new Error("DockerCompose requires at least one service");
        }
        return (0, docker_compose_render_1.renderDockerComposeFile)(this.services, this.version);
      }
    };
    exports2.DockerCompose = DockerCompose;
    _a = JSII_RTTI_SYMBOL_1;
    DockerCompose[_a] = { fqn: "projen.DockerCompose", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose-service.js
var require_docker_compose_service3 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose-service.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeService = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_1 = require_docker_compose5();
    var DockerComposeService = class {
      constructor(serviceName, serviceDescription) {
        if (!serviceDescription.imageBuild && !serviceDescription.image || serviceDescription.imageBuild && serviceDescription.image) {
          throw new Error(`A service ${serviceName} requires exactly one of a \`imageBuild\` or \`image\` key`);
        }
        this.serviceName = serviceName;
        this.command = serviceDescription.command;
        this.image = serviceDescription.image;
        this.imageBuild = serviceDescription.imageBuild;
        this.dependsOn = serviceDescription.dependsOn ?? [];
        this.volumes = serviceDescription.volumes ?? [];
        this.networks = serviceDescription.networks ?? [];
        this.ports = serviceDescription.ports ?? [];
        this.environment = serviceDescription.environment ?? {};
        this.labels = serviceDescription.labels ?? {};
        this.entrypoint = serviceDescription.entrypoint;
      }
      /**
       * Add a port mapping
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      addPort(publishedPort, targetPort, options) {
        this.ports?.push(docker_compose_1.DockerCompose.portMapping(publishedPort, targetPort, options));
      }
      /**
       * Add an environment variable
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addEnvironment(name, value) {
        this.environment[name] = value;
      }
      /**
       * Make the service depend on another service.
       * @param serviceName
       */
      addDependsOn(serviceName) {
        this.dependsOn.push(serviceName);
      }
      /**
       * Add a volume to the service.
       * @param volume
       */
      addVolume(volume) {
        this.volumes.push(volume);
      }
      /**
       * Add a network to the service.
       * @param network
       */
      addNetwork(network) {
        this.networks.push(network);
      }
      /**
       * Add a label
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addLabel(name, value) {
        this.labels[name] = value;
      }
    };
    exports2.DockerComposeService = DockerComposeService;
    _a = JSII_RTTI_SYMBOL_1;
    DockerComposeService[_a] = { fqn: "projen.DockerComposeService", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose-volume.js
var require_docker_compose_volume3 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose-volume.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/docker-compose-network.js
var require_docker_compose_network3 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/docker-compose-network.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/projen/lib/docker-compose/index.js
var require_docker_compose6 = __commonJS({
  "../blueprint/node_modules/projen/lib/docker-compose/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_docker_compose_port3(), exports2);
    __exportStar(require_docker_compose_service3(), exports2);
    __exportStar(require_docker_compose_volume3(), exports2);
    __exportStar(require_docker_compose_network3(), exports2);
    __exportStar(require_docker_compose5(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/gitattributes.js
var require_gitattributes3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitattributes.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitAttributesFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var GitAttributesFile = class extends file_1.FileBase {
      constructor(project) {
        super(project, ".gitattributes", {
          editGitignore: false
        });
        this.attributes = /* @__PURE__ */ new Map();
      }
      /**
       * Maps a set of attributes to a set of files.
       * @param glob Glob pattern to match files in the repo
       * @param attributes Attributes to assign to these files.
       */
      addAttributes(glob, ...attributes) {
        if (!this.attributes.has(glob)) {
          this.attributes.set(glob, /* @__PURE__ */ new Set());
        }
        const set = this.attributes.get(glob);
        for (const attribute of attributes) {
          set.add(attribute);
        }
      }
      /**
       * Add attributes necessary to mark these files as stored in LFS
       */
      addLfsPattern(glob) {
        this.addAttributes(glob, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
      }
      /**
       * Whether the current gitattributes file has any LFS patterns
       */
      get hasLfsPatterns() {
        return Array.from(this.attributes.values()).some((attrs) => attrs.has("filter=lfs"));
      }
      synthesizeContent(_) {
        const entries = Array.from(this.attributes.entries()).sort(([l], [r]) => l.localeCompare(r));
        if (entries.length === 0) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          ...entries.map(([name, attributes]) => `${name} ${Array.from(attributes).join(" ")}`)
        ].join("\n");
      }
    };
    exports2.GitAttributesFile = GitAttributesFile;
    _a = JSII_RTTI_SYMBOL_1;
    GitAttributesFile[_a] = { fqn: "projen.GitAttributesFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/gitpod.js
var require_gitpod3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitpod.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Gitpod = exports2.GitpodPortVisibility = exports2.GitpodOnOpen = exports2.GitpodOpenIn = exports2.GitpodOpenMode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var yaml_1 = require_yaml3();
    var GITPOD_FILE = ".gitpod.yml";
    var GitpodOpenMode;
    (function(GitpodOpenMode2) {
      GitpodOpenMode2["TAB_AFTER"] = "tab-after";
      GitpodOpenMode2["TAB_BEFORE"] = "tab-before";
      GitpodOpenMode2["SPLIT_RIGHT"] = "split-right";
      GitpodOpenMode2["SPLIT_LEFT"] = "split-left";
      GitpodOpenMode2["SPLIT_TOP"] = "split-top";
      GitpodOpenMode2["SPLIT_BOTTOM"] = "split-bottom";
    })(GitpodOpenMode || (exports2.GitpodOpenMode = GitpodOpenMode = {}));
    var GitpodOpenIn;
    (function(GitpodOpenIn2) {
      GitpodOpenIn2["BOTTOM"] = "bottom";
      GitpodOpenIn2["LEFT"] = "left";
      GitpodOpenIn2["RIGHT"] = "right";
      GitpodOpenIn2["MAIN"] = "main";
    })(GitpodOpenIn || (exports2.GitpodOpenIn = GitpodOpenIn = {}));
    var GitpodOnOpen;
    (function(GitpodOnOpen2) {
      GitpodOnOpen2["OPEN_BROWSER"] = "open-browser";
      GitpodOnOpen2["OPEN_PREVIEW"] = "open-preview";
      GitpodOnOpen2["NOTIFY"] = "notify";
      GitpodOnOpen2["IGNORE"] = "ignore";
    })(GitpodOnOpen || (exports2.GitpodOnOpen = GitpodOnOpen = {}));
    var GitpodPortVisibility;
    (function(GitpodPortVisibility2) {
      GitpodPortVisibility2["PUBLIC"] = "public";
      GitpodPortVisibility2["PRIVATE"] = "private";
    })(GitpodPortVisibility || (exports2.GitpodPortVisibility = GitpodPortVisibility = {}));
    var Gitpod = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.tasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.prebuilds) {
          this.addPrebuilds(options.prebuilds);
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        this.config = {
          image: () => this.renderDockerImage(),
          tasks: this.tasks,
          github: () => this.renderPrebuilds(),
          ports: this.ports,
          vscode: {
            extensions: this.vscodeExtensions
          }
        };
        new yaml_1.YamlFile(this.project, GITPOD_FILE, {
          obj: this.config,
          omitEmpty: true,
          // GitPod needs to read the file from the repository in order to work.
          committed: true
        });
      }
      /**
       * Add a custom Docker image or Dockerfile for the container.
       *
       * @param image The Docker image
       */
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Add tasks to run when gitpod starts.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and specify the other tasks as subtasks.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.tasks.push(...tasks.map((task) => ({
          name: task.name,
          command: `npx projen ${task.name}`
        })));
      }
      /**
       * Add a prebuilds configuration for the Gitpod App
       * @param config The configuration
       */
      addPrebuilds(config) {
        this.prebuilds = config;
      }
      /**
       * Add a task with more granular options.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and set the other tasks as subtasks.
       *
       * @param options The task parameters
       */
      addCustomTask(options) {
        this.tasks.push({
          name: options.name,
          command: options.command,
          openMode: options.openMode,
          openIn: options.openIn,
          before: options.before,
          init: options.init,
          prebuild: options.prebuild
        });
      }
      /**
       * Add ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports.map((port) => ({ port })));
      }
      /**
       * Add a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * These must be in the format defined in the Open VSX registry.
       * @example 'scala-lang.scala@0.3.9:O5XmjwY5Gz+0oDZAmqneJw=='
       * @see https://www.gitpod.io/docs/vscode-extensions/
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      renderDockerImage() {
        if (this.dockerImage?.image) {
          return this.dockerImage.image;
        } else if (this.dockerImage?.dockerFile) {
          return {
            file: this.dockerImage.dockerFile
          };
        } else {
          return void 0;
        }
      }
      renderPrebuilds() {
        if (this.prebuilds) {
          return {
            prebuilds: this.prebuilds
          };
        } else {
          return void 0;
        }
      }
    };
    exports2.Gitpod = Gitpod;
    _a = JSII_RTTI_SYMBOL_1;
    Gitpod[_a] = { fqn: "projen.Gitpod", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/ignore-file.js
var require_ignore_file3 = __commonJS({
  "../blueprint/node_modules/projen/lib/ignore-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IgnoreFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var IgnoreFile = class extends file_1.FileBase {
      /**
       *
       * @param project The project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param minify - whether comments/blank lines should be filtered
       */
      constructor(project, filePath, options) {
        super(project, filePath, { editGitignore: filePath !== ".gitignore" });
        this._patterns = new Array();
        this.filterCommentLines = options?.filterCommentLines ?? true;
        this.filterEmptyLines = options?.filterEmptyLines ?? true;
      }
      /**
       * Add ignore patterns. Files that match this pattern will be ignored. If the
       * pattern starts with a negation mark `!`, files that match will _not_ be
       * ignored.
       *
       * Comment lines (start with `#`) and blank lines ("") are filtered by default
       * but can be included using options specified when instantiating the component.
       *
       * @param patterns Ignore patterns.
       */
      addPatterns(...patterns) {
        for (const pattern of patterns) {
          const isComment = pattern.startsWith("#");
          const isEmptyLine = Boolean(pattern.trim().length === 0);
          if (isComment && this.filterCommentLines) {
            continue;
          }
          if (isEmptyLine && this.filterEmptyLines) {
            continue;
          }
          if (!isComment && !isEmptyLine) {
            this.normalizePatterns(pattern);
          }
          this._patterns.push(pattern);
        }
      }
      normalizePatterns(pattern) {
        const opposite = pattern.startsWith("!") ? pattern.slice(1) : "!" + pattern;
        remove(this._patterns, pattern);
        remove(this._patterns, opposite);
        if (pattern.endsWith("/")) {
          const prefix = opposite;
          for (const p of [...this._patterns]) {
            if (p.startsWith(prefix)) {
              remove(this._patterns, p);
            }
          }
        }
      }
      /**
       * Removes patterns previously added from the ignore file.
       *
       * If `addPattern()` is called after this, the pattern will be added again.
       *
       * @param patterns patters to remove.
       */
      removePatterns(...patterns) {
        for (const p of patterns) {
          remove(this._patterns, p);
        }
      }
      /**
       * Ignore the files that match these patterns.
       * @param patterns The patterns to match.
       */
      exclude(...patterns) {
        return this.addPatterns(...patterns);
      }
      /**
       * Always include the specified file patterns.
       * @param patterns Patterns to include in git commits.
       */
      include(...patterns) {
        for (let pattern of patterns) {
          if (!pattern.startsWith("!")) {
            pattern = "!" + pattern;
          }
          this.addPatterns(pattern);
        }
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          ...this._patterns
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
    };
    exports2.IgnoreFile = IgnoreFile;
    _a = JSII_RTTI_SYMBOL_1;
    IgnoreFile[_a] = { fqn: "projen.IgnoreFile", version: "0.71.112" };
    function remove(arr, value) {
      const idx = arr.indexOf(value);
      if (idx >= 0) {
        arr.splice(idx, 1);
      }
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/ini/ini.js
var require_ini5 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/ini/ini.js"(exports2, module2) {
    var { hasOwnProperty: hasOwnProperty2 } = Object.prototype;
    var eol = typeof process !== "undefined" && process.platform === "win32" ? "\r\n" : "\n";
    var encode = (obj, opt) => {
      const children = [];
      let out = "";
      if (typeof opt === "string") {
        opt = {
          section: opt,
          whitespace: false
        };
      } else {
        opt = opt || /* @__PURE__ */ Object.create(null);
        opt.whitespace = opt.whitespace === true;
      }
      const separator = opt.whitespace ? " = " : "=";
      for (const k of Object.keys(obj)) {
        const val = obj[k];
        if (val && Array.isArray(val)) {
          for (const item of val)
            out += safe(k + "[]") + separator + safe(item) + "\n";
        } else if (val && typeof val === "object")
          children.push(k);
        else
          out += safe(k) + separator + safe(val) + eol;
      }
      if (opt.section && out.length)
        out = "[" + safe(opt.section) + "]" + eol + out;
      for (const k of children) {
        const nk = dotSplit(k).join("\\.");
        const section = (opt.section ? opt.section + "." : "") + nk;
        const { whitespace } = opt;
        const child = encode(obj[k], {
          section,
          whitespace
        });
        if (out.length && child.length)
          out += eol;
        out += child;
      }
      return out;
    };
    var dotSplit = (str) => str.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((part) => part.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, ""));
    var decode = (str) => {
      const out = /* @__PURE__ */ Object.create(null);
      let p = out;
      let section = null;
      const re = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
      const lines = str.split(/[\r\n]+/g);
      for (const line of lines) {
        if (!line || line.match(/^\s*[;#]/))
          continue;
        const match = line.match(re);
        if (!match)
          continue;
        if (match[1] !== void 0) {
          section = unsafe(match[1]);
          if (section === "__proto__") {
            p = /* @__PURE__ */ Object.create(null);
            continue;
          }
          p = out[section] = out[section] || /* @__PURE__ */ Object.create(null);
          continue;
        }
        const keyRaw = unsafe(match[2]);
        const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === "[]";
        const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
        if (key === "__proto__")
          continue;
        const valueRaw = match[3] ? unsafe(match[4]) : true;
        const value = valueRaw === "true" || valueRaw === "false" || valueRaw === "null" ? JSON.parse(valueRaw) : valueRaw;
        if (isArray) {
          if (!hasOwnProperty2.call(p, key))
            p[key] = [];
          else if (!Array.isArray(p[key]))
            p[key] = [p[key]];
        }
        if (Array.isArray(p[key]))
          p[key].push(value);
        else
          p[key] = value;
      }
      const remove = [];
      for (const k of Object.keys(out)) {
        if (!hasOwnProperty2.call(out, k) || typeof out[k] !== "object" || Array.isArray(out[k]))
          continue;
        const parts = dotSplit(k);
        let p2 = out;
        const l = parts.pop();
        const nl = l.replace(/\\\./g, ".");
        for (const part of parts) {
          if (part === "__proto__")
            continue;
          if (!hasOwnProperty2.call(p2, part) || typeof p2[part] !== "object")
            p2[part] = /* @__PURE__ */ Object.create(null);
          p2 = p2[part];
        }
        if (p2 === out && nl === l)
          continue;
        p2[nl] = out[k];
        remove.push(k);
      }
      for (const del of remove)
        delete out[del];
      return out;
    };
    var isQuoted = (val) => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";
    var safe = (val) => typeof val !== "string" || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, "\\;").replace(/#/g, "\\#");
    var unsafe = (val, doUnesc) => {
      val = (val || "").trim();
      if (isQuoted(val)) {
        if (val.charAt(0) === "'")
          val = val.substr(1, val.length - 2);
        try {
          val = JSON.parse(val);
        } catch (_) {
        }
      } else {
        let esc = false;
        let unesc = "";
        for (let i = 0, l = val.length; i < l; i++) {
          const c = val.charAt(i);
          if (esc) {
            if ("\\;#".indexOf(c) !== -1)
              unesc += c;
            else
              unesc += "\\" + c;
            esc = false;
          } else if (";#".indexOf(c) !== -1)
            break;
          else if (c === "\\")
            esc = true;
          else
            unesc += c;
        }
        if (esc)
          unesc += "\\";
        return unesc.trim();
      }
      return val;
    };
    module2.exports = {
      parse: decode,
      decode,
      stringify: encode,
      encode,
      safe,
      unsafe
    };
  }
});

// ../blueprint/node_modules/projen/lib/ini.js
var require_ini6 = __commonJS({
  "../blueprint/node_modules/projen/lib/ini.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IniFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var INI = require_ini5();
    var object_file_1 = require_object_file3();
    var IniFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          INI.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.IniFile = IniFile;
    _a = JSII_RTTI_SYMBOL_1;
    IniFile[_a] = { fqn: "projen.IniFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/logger.js
var require_logger3 = __commonJS({
  "../blueprint/node_modules/projen/lib/logger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LogLevel = exports2.Logger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var chalk = require_source3();
    var common_1 = require_common9();
    var component_1 = require_component3();
    var logging_1 = require_logging3();
    var util_1 = require_util14();
    var Logger = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const defaultLevel = common_1.IS_TEST_RUN ? LogLevel.OFF : LogLevel.INFO;
        this.level = options.level ?? defaultLevel;
        this.usePrefix = options.usePrefix ?? false;
      }
      /**
       * Log a message to stderr with a given logging level. The message will be
       * printed as long as `logger.level` is set to the message's severity or higher.
       *
       * @param level Logging verbosity
       * @param text strings or objects to print
       */
      log(level, ...text) {
        if (level === LogLevel.OFF) {
          throw new Error("Cannot log a message with level LogLevel.OFF");
        }
        let maxLevel = this.level;
        if ((0, util_1.isTruthy)(process.env.DEBUG) && maxLevel < LogLevel.DEBUG) {
          maxLevel = LogLevel.DEBUG;
        }
        if (level <= maxLevel) {
          const color = this.colorForLogLevel(level) ?? ((...values) => values.join(" "));
          const prefix = this.usePrefix ? `[${this.project.name}] ` : "";
          console.error(`${logging_1.ICON} ${prefix}${color(...text)}`);
        }
      }
      /**
       * Log a message to stderr with VERBOSE severity
       * @param text strings or objects to print
       */
      verbose(...text) {
        this.log(LogLevel.VERBOSE, ...text);
      }
      /**
       * Log a message to stderr with DEBUG severity
       * @param text strings or objects to print
       */
      debug(...text) {
        this.log(LogLevel.DEBUG, ...text);
      }
      /**
       * Log a message to stderr with INFO severity
       * @param text strings or objects to print
       */
      info(...text) {
        this.log(LogLevel.INFO, ...text);
      }
      /**
       * Log a message to stderr with WARN severity
       * @param text strings or objects to print
       */
      warn(...text) {
        this.log(LogLevel.WARN, ...text);
      }
      /**
       * Log a message to stderr with ERROR severity
       * @param text strings or objects to print
       */
      error(...text) {
        this.log(LogLevel.ERROR, ...text);
      }
      colorForLogLevel(level) {
        switch (level) {
          case LogLevel.ERROR:
            return chalk.red;
          case LogLevel.WARN:
            return chalk.yellow;
          case LogLevel.INFO:
            return chalk.cyan;
          case LogLevel.DEBUG:
            return chalk.gray;
          case LogLevel.VERBOSE:
            return chalk.white;
          default:
            return chalk.white;
        }
      }
    };
    exports2.Logger = Logger;
    _a = JSII_RTTI_SYMBOL_1;
    Logger[_a] = { fqn: "projen.Logger", version: "0.71.112" };
    var LogLevel;
    (function(LogLevel2) {
      LogLevel2["OFF"] = "00.off";
      LogLevel2["ERROR"] = "10.error";
      LogLevel2["WARN"] = "20.warn";
      LogLevel2["INFO"] = "30.info";
      LogLevel2["DEBUG"] = "40.debug";
      LogLevel2["VERBOSE"] = "50.verbose";
    })(LogLevel || (exports2.LogLevel = LogLevel = {}));
  }
});

// ../blueprint/node_modules/projen/lib/license.js
var require_license3 = __commonJS({
  "../blueprint/node_modules/projen/lib/license.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.License = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var file_1 = require_file4();
    var License = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "LICENSE", {
          marker: false,
          // Allow the license to be displayed in the repositories.
          committed: true
        });
        const spdx = options.spdx;
        const textFile = `${__dirname + "/externals/projen/lib"}/../license-text/${spdx}.txt`;
        if (!fs.existsSync(textFile)) {
          throw new Error(`unsupported license ${spdx}`);
        }
        const years = options.copyrightPeriod ?? (/* @__PURE__ */ new Date()).getFullYear().toString();
        const owner = options.copyrightOwner;
        let text = fs.readFileSync(textFile, "utf-8");
        text = text.replace("$copyright_period", years);
        if (text.indexOf("$copyright_owner") !== -1) {
          if (!owner) {
            throw new Error(`The ${spdx} license requires "copyrightOwner" to be specified`);
          }
          text = text.replace("$copyright_owner", owner);
        }
        this.text = text;
      }
      synthesizeContent(_) {
        return this.text;
      }
    };
    exports2.License = License;
    _a = JSII_RTTI_SYMBOL_1;
    License[_a] = { fqn: "projen.License", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/makefile.js
var require_makefile3 = __commonJS({
  "../blueprint/node_modules/projen/lib/makefile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Makefile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var Makefile = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        const all = options.all ? options.all : [];
        const rules = options.rules ? options.rules : [];
        rules.forEach((e) => this.validateRule(e));
        this.all = {
          targets: ["all"],
          prerequisites: all,
          phony: true
        };
        this.rules = [this.all, ...rules];
      }
      /**
       * Add a target to all
       */
      addAll(target) {
        this.all.prerequisites.push(target);
        return this;
      }
      /**
       * Add multiple targets to all
       */
      addAlls(...targets) {
        targets.forEach((e) => this.addAll(e));
        return this;
      }
      /**
       * Add a rule to the Makefile.
       */
      addRule(rule) {
        this.validateRule(rule);
        this.rules.push(rule);
        return this;
      }
      /**
       * Add multiple rules to the Makefile.
       */
      addRules(...rules) {
        rules.forEach((e) => this.addRule(e));
        return this;
      }
      validateRule(rule) {
        if (!rule.targets || !rule.targets.length) {
          throw new Error('"targets" cannot be undefined or empty for items in "rules"');
        }
      }
      synthesizeContent(resolver) {
        const rules = resolver.resolve(this.rules);
        const lines = [
          ...rules.map((rule) => {
            const targets = rule.targets.join(" ");
            const prerequisites = (rule.prerequisites ? rule.prerequisites : []).join(" ");
            const recipe = rule.recipe ? rule.recipe : [];
            const phony = rule.phony ? [`.PHONY: ${targets}`] : [];
            return [
              ...phony,
              `${targets}: ${prerequisites}`.trim(),
              ...recipe.map((step) => `	${step}`)
            ].join("\n");
          })
        ];
        return `${lines.join("\n\n")}
`;
      }
    };
    exports2.Makefile = Makefile;
    _a = JSII_RTTI_SYMBOL_1;
    Makefile[_a] = { fqn: "projen.Makefile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/option-hints.js
var require_option_hints3 = __commonJS({
  "../blueprint/node_modules/projen/lib/option-hints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.InitProjectOptionHints = void 0;
    var InitProjectOptionHints;
    (function(InitProjectOptionHints2) {
      InitProjectOptionHints2["ALL"] = "all";
      InitProjectOptionHints2["FEATURED"] = "featured";
      InitProjectOptionHints2["NONE"] = "none";
    })(InitProjectOptionHints || (exports2.InitProjectOptionHints = InitProjectOptionHints = {}));
  }
});

// ../blueprint/node_modules/fs.realpath/old.js
var require_old3 = __commonJS({
  "../blueprint/node_modules/fs.realpath/old.js"(exports2) {
    var pathModule = require("path");
    var isWindows = process.platform === "win32";
    var fs = require("fs");
    var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
    function rethrow() {
      var callback;
      if (DEBUG) {
        var backtrace = new Error();
        callback = debugCallback;
      } else
        callback = missingCallback;
      return callback;
      function debugCallback(err) {
        if (err) {
          backtrace.message = err.message;
          err = backtrace;
          missingCallback(err);
        }
      }
      function missingCallback(err) {
        if (err) {
          if (process.throwDeprecation)
            throw err;
          else if (!process.noDeprecation) {
            var msg = "fs: missing callback " + (err.stack || err.message);
            if (process.traceDeprecation)
              console.trace(msg);
            else
              console.error(msg);
          }
        }
      }
    }
    function maybeCallback(cb) {
      return typeof cb === "function" ? cb : rethrow();
    }
    var normalize = pathModule.normalize;
    if (isWindows) {
      nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
    } else {
      nextPartRe = /(.*?)(?:[\/]+|$)/g;
    }
    var nextPartRe;
    if (isWindows) {
      splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
    } else {
      splitRootRe = /^[\/]*/;
    }
    var splitRootRe;
    exports2.realpathSync = function realpathSync(p, cache) {
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return cache[p];
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstatSync(base);
          knownHard[base] = true;
        }
      }
      while (pos < p.length) {
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          continue;
        }
        var resolvedLink;
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          resolvedLink = cache[base];
        } else {
          var stat = fs.lstatSync(base);
          if (!stat.isSymbolicLink()) {
            knownHard[base] = true;
            if (cache)
              cache[base] = base;
            continue;
          }
          var linkTarget = null;
          if (!isWindows) {
            var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
            if (seenLinks.hasOwnProperty(id)) {
              linkTarget = seenLinks[id];
            }
          }
          if (linkTarget === null) {
            fs.statSync(base);
            linkTarget = fs.readlinkSync(base);
          }
          resolvedLink = pathModule.resolve(previous, linkTarget);
          if (cache)
            cache[base] = resolvedLink;
          if (!isWindows)
            seenLinks[id] = linkTarget;
        }
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
      if (cache)
        cache[original] = p;
      return p;
    };
    exports2.realpath = function realpath(p, cache, cb) {
      if (typeof cb !== "function") {
        cb = maybeCallback(cache);
        cache = null;
      }
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return process.nextTick(cb.bind(null, null, cache[p]));
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstat(base, function(err) {
            if (err)
              return cb(err);
            knownHard[base] = true;
            LOOP();
          });
        } else {
          process.nextTick(LOOP);
        }
      }
      function LOOP() {
        if (pos >= p.length) {
          if (cache)
            cache[original] = p;
          return cb(null, p);
        }
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          return process.nextTick(LOOP);
        }
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          return gotResolvedLink(cache[base]);
        }
        return fs.lstat(base, gotStat);
      }
      function gotStat(err, stat) {
        if (err)
          return cb(err);
        if (!stat.isSymbolicLink()) {
          knownHard[base] = true;
          if (cache)
            cache[base] = base;
          return process.nextTick(LOOP);
        }
        if (!isWindows) {
          var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
          if (seenLinks.hasOwnProperty(id)) {
            return gotTarget(null, seenLinks[id], base);
          }
        }
        fs.stat(base, function(err2) {
          if (err2)
            return cb(err2);
          fs.readlink(base, function(err3, target) {
            if (!isWindows)
              seenLinks[id] = target;
            gotTarget(err3, target);
          });
        });
      }
      function gotTarget(err, target, base2) {
        if (err)
          return cb(err);
        var resolvedLink = pathModule.resolve(previous, target);
        if (cache)
          cache[base2] = resolvedLink;
        gotResolvedLink(resolvedLink);
      }
      function gotResolvedLink(resolvedLink) {
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
    };
  }
});

// ../blueprint/node_modules/fs.realpath/index.js
var require_fs3 = __commonJS({
  "../blueprint/node_modules/fs.realpath/index.js"(exports2, module2) {
    module2.exports = realpath;
    realpath.realpath = realpath;
    realpath.sync = realpathSync;
    realpath.realpathSync = realpathSync;
    realpath.monkeypatch = monkeypatch;
    realpath.unmonkeypatch = unmonkeypatch;
    var fs = require("fs");
    var origRealpath = fs.realpath;
    var origRealpathSync = fs.realpathSync;
    var version = process.version;
    var ok = /^v[0-5]\./.test(version);
    var old = require_old3();
    function newError(er) {
      return er && er.syscall === "realpath" && (er.code === "ELOOP" || er.code === "ENOMEM" || er.code === "ENAMETOOLONG");
    }
    function realpath(p, cache, cb) {
      if (ok) {
        return origRealpath(p, cache, cb);
      }
      if (typeof cache === "function") {
        cb = cache;
        cache = null;
      }
      origRealpath(p, cache, function(er, result) {
        if (newError(er)) {
          old.realpath(p, cache, cb);
        } else {
          cb(er, result);
        }
      });
    }
    function realpathSync(p, cache) {
      if (ok) {
        return origRealpathSync(p, cache);
      }
      try {
        return origRealpathSync(p, cache);
      } catch (er) {
        if (newError(er)) {
          return old.realpathSync(p, cache);
        } else {
          throw er;
        }
      }
    }
    function monkeypatch() {
      fs.realpath = realpath;
      fs.realpathSync = realpathSync;
    }
    function unmonkeypatch() {
      fs.realpath = origRealpath;
      fs.realpathSync = origRealpathSync;
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/minimatch/lib/path.js
var require_path3 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/minimatch/lib/path.js"(exports2, module2) {
    var isWindows = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows ? { sep: "\\" } : { sep: "/" };
  }
});

// ../blueprint/node_modules/balanced-match/index.js
var require_balanced_match3 = __commonJS({
  "../blueprint/node_modules/balanced-match/index.js"(exports2, module2) {
    "use strict";
    module2.exports = balanced;
    function balanced(a, b, str) {
      if (a instanceof RegExp)
        a = maybeMatch(a, str);
      if (b instanceof RegExp)
        b = maybeMatch(b, str);
      var r = range(a, b, str);
      return r && {
        start: r[0],
        end: r[1],
        pre: str.slice(0, r[0]),
        body: str.slice(r[0] + a.length, r[1]),
        post: str.slice(r[1] + b.length)
      };
    }
    function maybeMatch(reg, str) {
      var m = str.match(reg);
      return m ? m[0] : null;
    }
    balanced.range = range;
    function range(a, b, str) {
      var begs, beg, left, right, result;
      var ai = str.indexOf(a);
      var bi = str.indexOf(b, ai + 1);
      var i = ai;
      if (ai >= 0 && bi > 0) {
        if (a === b) {
          return [ai, bi];
        }
        begs = [];
        left = str.length;
        while (i >= 0 && !result) {
          if (i == ai) {
            begs.push(i);
            ai = str.indexOf(a, i + 1);
          } else if (begs.length == 1) {
            result = [begs.pop(), bi];
          } else {
            beg = begs.pop();
            if (beg < left) {
              left = beg;
              right = bi;
            }
            bi = str.indexOf(b, i + 1);
          }
          i = ai < bi && ai >= 0 ? ai : bi;
        }
        if (begs.length) {
          result = [left, right];
        }
      }
      return result;
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/brace-expansion/index.js
var require_brace_expansion3 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/brace-expansion/index.js"(exports2, module2) {
    var balanced = require_balanced_match3();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m = balanced("{", "}", str);
      if (!m)
        return str.split(",");
      var pre = m.pre;
      var body = m.body;
      var post = m.post;
      var p = pre.split(",");
      p[p.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p[p.length - 1] += postParts.shift();
        p.push.apply(p, postParts);
      }
      parts.push.apply(parts, p);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i, y) {
      return i <= y;
    }
    function gte(i, y) {
      return i >= y;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m = balanced("{", "}", str);
      if (!m)
        return [str];
      var pre = m.pre;
      var post = m.post.length ? expand(m.post, false) : [""];
      if (/\$$/.test(m.pre)) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + "{" + m.body + "}" + post[k];
          expansions.push(expansion);
        }
      } else {
        var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
        var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
        var isSequence = isNumericSequence || isAlphaSequence;
        var isOptions = m.body.indexOf(",") >= 0;
        if (!isSequence && !isOptions) {
          if (m.post.match(/,.*\}/)) {
            str = m.pre + "{" + m.body + escClose + m.post;
            return expand(str);
          }
          return [str];
        }
        var n;
        if (isSequence) {
          n = m.body.split(/\.\./);
        } else {
          n = parseCommaParts(m.body);
          if (n.length === 1) {
            n = expand(n[0], false).map(embrace);
            if (n.length === 1) {
              return post.map(function(p) {
                return m.pre + n[0] + p;
              });
            }
          }
        }
        var N;
        if (isSequence) {
          var x = numeric(n[0]);
          var y = numeric(n[1]);
          var width = Math.max(n[0].length, n[1].length);
          var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
          var test = lte;
          var reverse = y < x;
          if (reverse) {
            incr *= -1;
            test = gte;
          }
          var pad = n.some(isPadded);
          N = [];
          for (var i = x; test(i, y); i += incr) {
            var c;
            if (isAlphaSequence) {
              c = String.fromCharCode(i);
              if (c === "\\")
                c = "";
            } else {
              c = String(i);
              if (pad) {
                var need = width - c.length;
                if (need > 0) {
                  var z = new Array(need + 1).join("0");
                  if (i < 0)
                    c = "-" + z + c.slice(1);
                  else
                    c = z + c;
                }
              }
            }
            N.push(c);
          }
        } else {
          N = [];
          for (var j = 0; j < n.length; j++) {
            N.push.apply(N, expand(n[j], false));
          }
        }
        for (var j = 0; j < N.length; j++) {
          for (var k = 0; k < post.length; k++) {
            var expansion = pre + N[j] + post[k];
            if (!isTop || isSequence || expansion)
              expansions.push(expansion);
          }
        }
      }
      return expansions;
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/minimatch/minimatch.js
var require_minimatch3 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/minimatch/minimatch.js"(exports2, module2) {
    var minimatch = module2.exports = (p, pattern, options = {}) => {
      assertValidPattern(pattern);
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    };
    module2.exports = minimatch;
    var path = require_path3();
    minimatch.sep = path.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion3();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s) => s.split("").reduce((set, c) => {
      set[c] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options = {}) => (p, i, list) => minimatch(p, pattern, options);
    var ext = (a, b = {}) => {
      const t = {};
      Object.keys(a).forEach((k) => t[k] = a[k]);
      Object.keys(b).forEach((k) => t[k] = b[k]);
      return t;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m = (p, pattern, options) => orig(p, pattern, ext(def, options));
      m.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options) {
          super(pattern, ext(def, options));
        }
      };
      m.Minimatch.defaults = (options) => orig.defaults(ext(def, options)).Minimatch;
      m.filter = (pattern, options) => orig.filter(pattern, ext(def, options));
      m.defaults = (options) => orig.defaults(ext(def, options));
      m.makeRe = (pattern, options) => orig.makeRe(pattern, ext(def, options));
      m.braceExpand = (pattern, options) => orig.braceExpand(pattern, ext(def, options));
      m.match = (list, pattern, options) => orig.match(list, pattern, ext(def, options));
      return m;
    };
    minimatch.braceExpand = (pattern, options) => braceExpand(pattern, options);
    var braceExpand = (pattern, options = {}) => {
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options) => new Minimatch(pattern, options || {}).makeRe();
    minimatch.match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options);
      list = list.filter((f) => mm.match(f));
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s) => s.replace(/\\(.)/g, "$1");
    var charUnescape = (s) => s.replace(/\\([^-\]])/g, "$1");
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var braExpEscape = (s) => s.replace(/[[\]\\]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options) {
        assertValidPattern(pattern);
        if (!options)
          options = {};
        this.options = options;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options = this.options;
        if (!options.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options.debug)
          this.debug = (...args) => console.error(...args);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s) => s.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s, si, set2) => s.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s) => s.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i = 0; i < pattern.length && pattern.charAt(i) === "!"; i++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial) {
        var options = this.options;
        this.debug(
          "matchOne",
          { "this": this, file, pattern }
        );
        this.debug("matchOne", file.length, pattern.length);
        for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
          this.debug("matchOne loop");
          var p = pattern[pi];
          var f = file[fi];
          this.debug(pattern, p, f);
          if (p === false)
            return false;
          if (p === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p, f]);
            var fr = fi;
            var pr = pi + 1;
            if (pr === pl) {
              this.debug("** at the end");
              for (; fi < fl; fi++) {
                if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr < fl) {
              var swallowee = file[fr];
              this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug("globstar found match!", fr, fl, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file, fr, pattern, pr);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
              if (fr === fl)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p === "string") {
            hit = f === p;
            this.debug("string match", p, f, hit);
          } else {
            hit = f.match(p);
            this.debug("pattern match", p, f, hit);
          }
          if (!hit)
            return false;
        }
        if (fi === fl && pi === pl) {
          return true;
        } else if (fi === fl) {
          return partial;
        } else if (pi === pl) {
          return fi === fl - 1 && file[fi] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options = this.options;
        if (pattern === "**") {
          if (!options.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re = "";
        let hasMagic = false;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs;
        let pl;
        let sp;
        let dotTravAllowed = pattern.charAt(0) === ".";
        let dotFileAllowed = options.dot || dotTravAllowed;
        const patternStart = () => dotTravAllowed ? "" : dotFileAllowed ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const subPatternStart = (p) => p.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re += star;
                hasMagic = true;
                break;
              case "?":
                re += qmark;
                hasMagic = true;
                break;
              default:
                re += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re);
            stateChar = false;
          }
        };
        for (let i = 0, c; i < pattern.length && (c = pattern.charAt(i)); i++) {
          this.debug("%s	%s %s %j", pattern, i, re, c);
          if (escaping) {
            if (c === "/") {
              return false;
            }
            if (reSpecials[c]) {
              re += "\\";
            }
            re += c;
            escaping = false;
            continue;
          }
          switch (c) {
            case "/": {
              return false;
            }
            case "\\":
              if (inClass && pattern.charAt(i + 1) === "-") {
                re += c;
                continue;
              }
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
              if (inClass) {
                this.debug("  in class");
                if (c === "!" && i === classStart + 1)
                  c = "^";
                re += c;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c;
              if (options.noext)
                clearStateChar();
              continue;
            case "(": {
              if (inClass) {
                re += "(";
                continue;
              }
              if (!stateChar) {
                re += "\\(";
                continue;
              }
              const plEntry = {
                type: stateChar,
                start: i - 1,
                reStart: re.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              };
              this.debug(this.pattern, "	", plEntry);
              patternListStack.push(plEntry);
              re += plEntry.open;
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              this.debug("plType %j %j", stateChar, re);
              stateChar = false;
              continue;
            }
            case ")": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\)";
                continue;
              }
              patternListStack.pop();
              clearStateChar();
              hasMagic = true;
              pl = plEntry;
              re += pl.close;
              if (pl.type === "!") {
                negativeLists.push(Object.assign(pl, { reEnd: re.length }));
              }
              continue;
            }
            case "|": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\|";
                continue;
              }
              clearStateChar();
              re += "|";
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              continue;
            }
            case "[":
              clearStateChar();
              if (inClass) {
                re += "\\" + c;
                continue;
              }
              inClass = true;
              classStart = i;
              reClassStart = re.length;
              re += c;
              continue;
            case "]":
              if (i === classStart + 1 || !inClass) {
                re += "\\" + c;
                continue;
              }
              cs = pattern.substring(classStart + 1, i);
              try {
                RegExp("[" + braExpEscape(charUnescape(cs)) + "]");
                re += c;
              } catch (er) {
                re = re.substring(0, reClassStart) + "(?:$.)";
              }
              hasMagic = true;
              inClass = false;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c] && !(c === "^" && inClass)) {
                re += "\\";
              }
              re += c;
              break;
          }
        }
        if (inClass) {
          cs = pattern.slice(classStart + 1);
          sp = this.parse(cs, SUBPARSE);
          re = re.substring(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
          let tail;
          tail = re.slice(pl.reStart + pl.open.length);
          this.debug("setting tail", re, pl);
          tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_, $1, $2) => {
            if (!$2) {
              $2 = "\\";
            }
            return $1 + $1 + $2 + "|";
          });
          this.debug("tail=%j\n   %s", tail, tail, pl, re);
          const t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
          hasMagic = true;
          re = re.slice(0, pl.reStart) + t + "\\(" + tail;
        }
        clearStateChar();
        if (escaping) {
          re += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re.charAt(0)];
        for (let n = negativeLists.length - 1; n > -1; n--) {
          const nl = negativeLists[n];
          const nlBefore = re.slice(0, nl.reStart);
          const nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re.slice(nl.reEnd);
          const nlLast = re.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const closeParensBefore = nlBefore.split(")").length;
          const openParensBefore = nlBefore.split("(").length - closeParensBefore;
          let cleanAfter = nlAfter;
          for (let i = 0; i < openParensBefore; i++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "(?:$|\\/)" : "";
          re = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re !== "" && hasMagic) {
          re = "(?=.)" + re;
        }
        if (addPatternStart) {
          re = patternStart() + re;
        }
        if (isSub === SUBPARSE) {
          return [re, hasMagic];
        }
        if (options.nocase && !hasMagic) {
          hasMagic = pattern.toUpperCase() !== pattern.toLowerCase();
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re + "$", flags), {
            _glob: pattern,
            _src: re
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options = this.options;
        const twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
        const flags = options.nocase ? "i" : "";
        let re = set.map((pattern) => {
          pattern = pattern.map(
            (p) => typeof p === "string" ? regExpEscape(p) : p === GLOBSTAR ? GLOBSTAR : p._src
          ).reduce((set2, p) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p === GLOBSTAR)) {
              set2.push(p);
            }
            return set2;
          }, []);
          pattern.forEach((p, i) => {
            if (p !== GLOBSTAR || pattern[i - 1] === GLOBSTAR) {
              return;
            }
            if (i === 0) {
              if (pattern.length > 1) {
                pattern[i + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i + 1];
              } else {
                pattern[i] = twoStar;
              }
            } else if (i === pattern.length - 1) {
              pattern[i - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i + 1];
              pattern[i + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p) => p !== GLOBSTAR).join("/");
        }).join("|");
        re = "^(?:" + re + ")$";
        if (this.negate)
          re = "^(?!" + re + ").*$";
        try {
          this.regexp = new RegExp(re, flags);
        } catch (ex) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f, partial = this.partial) {
        this.debug("match", f, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f === "";
        if (f === "/" && partial)
          return true;
        const options = this.options;
        if (path.sep !== "/") {
          f = f.split(path.sep).join("/");
        }
        f = f.split(slashSplit);
        this.debug(this.pattern, "split", f);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i = f.length - 1; i >= 0; i--) {
          filename = f[i];
          if (filename)
            break;
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i];
          let file = f;
          if (options.matchBase && pattern.length === 1) {
            file = [filename];
          }
          const hit = this.matchOne(file, pattern, partial);
          if (hit) {
            if (options.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../blueprint/node_modules/inherits/inherits_browser.js
var require_inherits_browser3 = __commonJS({
  "../blueprint/node_modules/inherits/inherits_browser.js"(exports2, module2) {
    if (typeof Object.create === "function") {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          ctor.prototype = Object.create(superCtor.prototype, {
            constructor: {
              value: ctor,
              enumerable: false,
              writable: true,
              configurable: true
            }
          });
        }
      };
    } else {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          var TempCtor = function() {
          };
          TempCtor.prototype = superCtor.prototype;
          ctor.prototype = new TempCtor();
          ctor.prototype.constructor = ctor;
        }
      };
    }
  }
});

// ../blueprint/node_modules/inherits/inherits.js
var require_inherits3 = __commonJS({
  "../blueprint/node_modules/inherits/inherits.js"(exports2, module2) {
    try {
      util = require("util");
      if (typeof util.inherits !== "function")
        throw "";
      module2.exports = util.inherits;
    } catch (e) {
      module2.exports = require_inherits_browser3();
    }
    var util;
  }
});

// ../blueprint/node_modules/projen/node_modules/glob/common.js
var require_common10 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/glob/common.js"(exports2) {
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var fs = require("fs");
    var path = require("path");
    var minimatch = require_minimatch3();
    var isAbsolute = require("path").isAbsolute;
    var Minimatch = minimatch.Minimatch;
    function alphasort(a, b) {
      return a.localeCompare(b, "en");
    }
    function setupIgnores(self2, options) {
      self2.ignore = options.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options) {
      if (!options)
        options = {};
      if (options.matchBase && -1 === pattern.indexOf("/")) {
        if (options.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
      if (self2.windowsPathsNoEscape) {
        pattern = pattern.replace(/\\/g, "/");
      }
      self2.silent = !!options.silent;
      self2.pattern = pattern;
      self2.strict = options.strict !== false;
      self2.realpath = !!options.realpath;
      self2.realpathCache = options.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options.follow;
      self2.dot = !!options.dot;
      self2.mark = !!options.mark;
      self2.nodir = !!options.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options.sync;
      self2.nounique = !!options.nounique;
      self2.nonull = !!options.nonull;
      self2.nosort = !!options.nosort;
      self2.nocase = !!options.nocase;
      self2.stat = !!options.stat;
      self2.noprocess = !!options.noprocess;
      self2.absolute = !!options.absolute;
      self2.fs = options.fs || fs;
      self2.maxLength = options.maxLength || Infinity;
      self2.cache = options.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options, "cwd"))
        self2.cwd = path.resolve(cwd);
      else {
        self2.cwd = path.resolve(options.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options.root || path.resolve(self2.cwd, "/");
      self2.root = path.resolve(self2.root);
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      self2.nomount = !!options.nomount;
      if (process.platform === "win32") {
        self2.root = self2.root.replace(/\\/g, "/");
        self2.cwd = self2.cwd.replace(/\\/g, "/");
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      }
      options.nonegate = true;
      options.nocomment = true;
      self2.minimatch = new Minimatch(pattern, options);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i = 0, l = self2.matches.length; i < l; i++) {
        var matches = self2.matches[i];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m = Object.keys(matches);
          if (nou)
            all.push.apply(all, m);
          else
            m.forEach(function(m2) {
              all[m2] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i = 0; i < all.length; i++) {
          all[i] = self2._mark(all[i]);
        }
        if (self2.nodir) {
          all = all.filter(function(e) {
            var notDir = !/\/$/.test(e);
            var c = self2.cache[e] || self2.cache[makeAbs(self2, e)];
            if (notDir && c)
              notDir = c !== "DIR" && !Array.isArray(c);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m2) {
          return !isIgnored(self2, m2);
        });
      self2.found = all;
    }
    function mark(self2, p) {
      var abs = makeAbs(self2, p);
      var c = self2.cache[abs];
      var m = p;
      if (c) {
        var isDir = c === "DIR" || Array.isArray(c);
        var slash = p.slice(-1) === "/";
        if (isDir && !slash)
          m += "/";
        else if (!isDir && slash)
          m = m.slice(0, -1);
        if (m !== p) {
          var mabs = makeAbs(self2, m);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m;
    }
    function makeAbs(self2, f) {
      var abs = f;
      if (f.charAt(0) === "/") {
        abs = path.join(self2.root, f);
      } else if (isAbsolute(f) || f === "") {
        abs = f;
      } else if (self2.changedCwd) {
        abs = path.resolve(self2.cwd, f);
      } else {
        abs = path.resolve(f);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return item.matcher.match(path2) || !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
    function childrenIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/glob/sync.js
var require_sync3 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/glob/sync.js"(exports2, module2) {
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var rp = require_fs3();
    var minimatch = require_minimatch3();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob4().Glob;
    var util = require("util");
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var common = require_common10();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options) {
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options).found;
    }
    function GlobSync(pattern, options) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options);
      setopts(this, pattern, options);
      if (this.noprocess)
        return this;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert.ok(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index) {
          var set = self2.matches[index] = /* @__PURE__ */ Object.create(null);
          for (var p in matchset) {
            try {
              p = self2._makeAbs(p);
              var real = rp.realpathSync(p, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index, inGlobStar) {
      assert.ok(this instanceof GlobSync);
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return;
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e];
        else
          newPattern = [e];
        this._process(newPattern.concat(remain), index, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index, e) {
      if (isIgnored(this, e))
        return;
      var abs = this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute) {
        e = abs;
      }
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      if (this.stat)
        this._stat(e);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = this.fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return null;
        if (Array.isArray(c))
          return c;
      }
      try {
        return this._readdirEntries(abs, this.fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            throw error;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index) {
      var exists = this._stat(prefix);
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
    };
    GlobSync.prototype._stat = function(f) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return c;
        if (needDir && c === "FILE")
          return false;
      }
      var exists;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = this.fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = this.fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return false;
      return c;
    };
    GlobSync.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    GlobSync.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
  }
});

// ../blueprint/node_modules/wrappy/wrappy.js
var require_wrappy3 = __commonJS({
  "../blueprint/node_modules/wrappy/wrappy.js"(exports2, module2) {
    module2.exports = wrappy;
    function wrappy(fn, cb) {
      if (fn && cb)
        return wrappy(fn)(cb);
      if (typeof fn !== "function")
        throw new TypeError("need wrapper function");
      Object.keys(fn).forEach(function(k) {
        wrapper[k] = fn[k];
      });
      return wrapper;
      function wrapper() {
        var args = new Array(arguments.length);
        for (var i = 0; i < args.length; i++) {
          args[i] = arguments[i];
        }
        var ret = fn.apply(this, args);
        var cb2 = args[args.length - 1];
        if (typeof ret === "function" && ret !== cb2) {
          Object.keys(cb2).forEach(function(k) {
            ret[k] = cb2[k];
          });
        }
        return ret;
      }
    }
  }
});

// ../blueprint/node_modules/once/once.js
var require_once3 = __commonJS({
  "../blueprint/node_modules/once/once.js"(exports2, module2) {
    var wrappy = require_wrappy3();
    module2.exports = wrappy(once);
    module2.exports.strict = wrappy(onceStrict);
    once.proto = once(function() {
      Object.defineProperty(Function.prototype, "once", {
        value: function() {
          return once(this);
        },
        configurable: true
      });
      Object.defineProperty(Function.prototype, "onceStrict", {
        value: function() {
          return onceStrict(this);
        },
        configurable: true
      });
    });
    function once(fn) {
      var f = function() {
        if (f.called)
          return f.value;
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      f.called = false;
      return f;
    }
    function onceStrict(fn) {
      var f = function() {
        if (f.called)
          throw new Error(f.onceError);
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      var name = fn.name || "Function wrapped with `once`";
      f.onceError = name + " shouldn't be called more than once";
      f.called = false;
      return f;
    }
  }
});

// ../blueprint/node_modules/inflight/inflight.js
var require_inflight3 = __commonJS({
  "../blueprint/node_modules/inflight/inflight.js"(exports2, module2) {
    var wrappy = require_wrappy3();
    var reqs = /* @__PURE__ */ Object.create(null);
    var once = require_once3();
    module2.exports = wrappy(inflight);
    function inflight(key, cb) {
      if (reqs[key]) {
        reqs[key].push(cb);
        return null;
      } else {
        reqs[key] = [cb];
        return makeres(key);
      }
    }
    function makeres(key) {
      return once(function RES() {
        var cbs = reqs[key];
        var len = cbs.length;
        var args = slice(arguments);
        try {
          for (var i = 0; i < len; i++) {
            cbs[i].apply(null, args);
          }
        } finally {
          if (cbs.length > len) {
            cbs.splice(0, len);
            process.nextTick(function() {
              RES.apply(null, args);
            });
          } else {
            delete reqs[key];
          }
        }
      });
    }
    function slice(args) {
      var length = args.length;
      var array = [];
      for (var i = 0; i < length; i++)
        array[i] = args[i];
      return array;
    }
  }
});

// ../blueprint/node_modules/projen/node_modules/glob/glob.js
var require_glob4 = __commonJS({
  "../blueprint/node_modules/projen/node_modules/glob/glob.js"(exports2, module2) {
    module2.exports = glob;
    var rp = require_fs3();
    var minimatch = require_minimatch3();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits3();
    var EE = require("events").EventEmitter;
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var globSync = require_sync3();
    var common = require_common10();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight3();
    var util = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once = require_once3();
    function glob(pattern, options, cb) {
      if (typeof options === "function")
        cb = options, options = {};
      if (!options)
        options = {};
      if (options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options);
      }
      return new Glob(pattern, options, cb);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i = keys.length;
      while (i--) {
        origin[keys[i]] = add[keys[i]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options = extend({}, options_);
      options.noprocess = true;
      var g = new Glob(pattern, options);
      var set = g.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j = 0; j < set[0].length; j++) {
        if (typeof set[0][j] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options, cb) {
      if (typeof options === "function") {
        cb = options;
        options = null;
      }
      if (options && options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options, cb);
      setopts(this, pattern, options);
      this._didRealPath = false;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      if (typeof cb === "function") {
        cb = once(cb);
        this.on("error", cb);
        this.on("end", function(matches) {
          cb(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n === 0)
        return done();
      var sync = true;
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false, done);
      }
      sync = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n = this.matches.length;
      if (n === 0)
        return this._finish();
      var self2 = this;
      for (var i = 0; i < this.matches.length; i++)
        this._realpathSet(i, next);
      function next() {
        if (--n === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index, cb) {
      var matchset = this.matches[index];
      if (!matchset)
        return cb();
      var found = Object.keys(matchset);
      var self2 = this;
      var n = found.length;
      if (n === 0)
        return cb();
      var set = this.matches[index] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p, i) {
        p = self2._makeAbs(p);
        rp.realpath(p, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p] = true;
          else
            self2.emit("error", er);
          if (--n === 0) {
            self2.matches[index] = set;
            cb();
          }
        });
      });
    };
    Glob.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    Glob.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i = 0; i < eq.length; i++) {
            var e = eq[i];
            this._emitMatch(e[0], e[1]);
          }
        }
        if (this._processQueue.length) {
          var pq = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i = 0; i < pq.length; i++) {
            var p = pq[i];
            this._processing--;
            this._process(p[0], p[1], p[2], p[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index, inGlobStar, cb) {
      assert(this instanceof Glob);
      assert(typeof cb === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index, inGlobStar, cb]);
        return;
      }
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index, cb);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return cb();
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e = prefix + "/" + e;
          else
            e = prefix + e;
        }
        this._process([e].concat(remain), index, inGlobStar, cb);
      }
      cb();
    };
    Glob.prototype._emitMatch = function(index, e) {
      if (this.aborted)
        return;
      if (isIgnored(this, e))
        return;
      if (this.paused) {
        this._emitQueue.push([index, e]);
        return;
      }
      var abs = isAbsolute(e) ? e : this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute)
        e = abs;
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e, st);
      this.emit("match", e);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        self2.fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb();
        } else
          self2._readdir(abs, false, cb);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb) {
      if (this.aborted)
        return;
      cb = inflight("readdir\0" + abs + "\0" + inGlobStar, cb);
      if (!cb)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return cb();
        if (Array.isArray(c))
          return cb(null, c);
      }
      var self2 = this;
      self2.fs.readdir(abs, readdirCb(this, abs, cb));
    };
    function readdirCb(self2, abs, cb) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb);
        else
          self2._readdirEntries(abs, entries, cb);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return cb(null, entries);
    };
    Glob.prototype._readdirError = function(f, er, cb) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            this.emit("error", error);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false, cb);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb();
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true, cb);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true, cb);
      }
      cb();
    };
    Glob.prototype._processSimple = function(prefix, index, cb) {
      var self2 = this;
      this._stat(prefix, function(er, exists) {
        self2._processSimple2(prefix, index, er, exists, cb);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index, er, exists, cb) {
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return cb();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
      cb();
    };
    Glob.prototype._stat = function(f, cb) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return cb();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return cb(null, c);
        if (needDir && c === "FILE")
          return cb();
      }
      var exists;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb();
          else
            return cb(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        self2.fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return self2.fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f, abs, null, lstat, cb);
            else
              self2._stat2(f, abs, er2, stat2, cb);
          });
        } else {
          self2._stat2(f, abs, er, lstat, cb);
        }
      }
    };
    Glob.prototype._stat2 = function(f, abs, er, stat, cb) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb();
      }
      var needDir = f.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb(null, false, stat);
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return cb();
      return cb(null, c, stat);
    };
  }
});

// ../blueprint/node_modules/projen/lib/cleanup.js
var require_cleanup3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cleanup.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.cleanup = exports2.FILE_MANIFEST = void 0;
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob4();
    var common_1 = require_common9();
    var logging = require_logging3();
    exports2.FILE_MANIFEST = `${common_1.PROJEN_DIR}/files.json`;
    function cleanup(dir, newFiles, exclude) {
      try {
        const manifestFiles = getFilesFromManifest(dir);
        if (manifestFiles.length > 0) {
          removeFiles(findOrphanedFiles(dir, manifestFiles, newFiles));
        } else {
          removeFiles(findGeneratedFiles(dir, exclude));
        }
      } catch (e) {
        logging.warn(`warning: failed to clean up generated files: ${e.stack}`);
      }
    }
    exports2.cleanup = cleanup;
    function removeFiles(files) {
      for (const file of files) {
        fs.rmSync(file, { force: true, recursive: true });
      }
    }
    function findGeneratedFiles(dir, exclude) {
      const ignore = [
        ...readGitIgnore(dir),
        "node_modules/**",
        ...exclude,
        ".git/**"
      ];
      const files = glob.sync("**", {
        ignore,
        cwd: dir,
        dot: true,
        nodir: true,
        absolute: true
      });
      const generated = new Array();
      for (const file of files) {
        const contents = fs.readFileSync(file, "utf-8");
        if (contents.includes(common_1.PROJEN_MARKER)) {
          generated.push(file);
        }
      }
      return generated;
    }
    function findOrphanedFiles(dir, oldFiles, newFiles) {
      return oldFiles.filter((old) => !newFiles.includes(old)).map((f) => path.resolve(dir, f));
    }
    function getFilesFromManifest(dir) {
      try {
        const fileManifestPath = path.resolve(dir, exports2.FILE_MANIFEST);
        if (fs.existsSync(fileManifestPath)) {
          const fileManifest = JSON.parse(fs.readFileSync(fileManifestPath, "utf-8"));
          if (fileManifest.files) {
            return fileManifest.files;
          }
        }
      } catch (e) {
        logging.warn(`warning: unable to get files to clean from file manifest: ${e.stack}`);
      }
      return [];
    }
    function readGitIgnore(dir) {
      const filepath = path.join(dir, ".gitignore");
      if (!fs.existsSync(filepath)) {
        return [];
      }
      return fs.readFileSync(filepath, "utf-8").split("\n").filter((x) => x?.trim() !== "").filter((x) => !x.startsWith("#") && !x.startsWith("!")).map((x) => x.replace(/^\//, "")).map((x) => `${x}
${x}/**`).join("\n").split("\n");
    }
  }
});

// ../blueprint/node_modules/projen/lib/inventory.js
var require_inventory3 = __commonJS({
  "../blueprint/node_modules/projen/lib/inventory.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readJsiiManifest = exports2.toProjectType = exports2.resolveProjectType = exports2.readManifest = exports2.discover = void 0;
    var fs = require("fs");
    var path = require("path");
    var zlib_1 = require("zlib");
    var case_1 = require_Case3();
    var PROJEN_MODULE_ROOT = path.join(__dirname + "/externals/projen/lib", "..");
    var PROJECT_BASE_FQN = "projen.Project";
    function discover(...moduleDirs) {
      const jsii = discoverJsiiTypes(...moduleDirs);
      const result = new Array();
      for (const fqn of Object.keys(jsii)) {
        if (isProjectType(jsii, fqn)) {
          const p = toProjectType(jsii, fqn);
          result.push(p);
        }
      }
      return result.sort((r1, r2) => r1.pjid.localeCompare(r2.pjid));
    }
    exports2.discover = discover;
    function readManifest(dir) {
      const jsiiFile = path.join(dir, ".jsii");
      if (!fs.existsSync(jsiiFile)) {
        return void 0;
      }
      let manifest = JSON.parse(fs.readFileSync(jsiiFile, "utf-8"));
      if (manifest.schema === "jsii/file-redirect") {
        const compressedFile = path.join(dir, manifest.filename);
        if (!fs.existsSync(compressedFile)) {
          throw new Error(`${compressedFile} does not exist.`);
        }
        switch (manifest.compression) {
          case "gzip":
            manifest = JSON.parse((0, zlib_1.unzipSync)(fs.readFileSync(compressedFile)).toString());
            break;
          default:
            throw new Error(`Unsupported compression format: ${manifest.compression}`);
        }
      }
      return manifest;
    }
    exports2.readManifest = readManifest;
    function discoverJsiiTypes(...moduleDirs) {
      const jsii = {};
      const discoveredManifests = [];
      const discoverJsii = (dir) => {
        const manifest = readManifest(dir);
        if (!manifest) {
          return;
        }
        if (discoveredManifests.includes(manifest.fingerprint)) {
          return;
        }
        discoveredManifests.push(manifest.fingerprint);
        for (const [fqn, type] of Object.entries(manifest.types)) {
          jsii[fqn] = {
            ...type
          };
        }
        if (manifest.dependencies) {
          for (const dependency of Object.keys(manifest.dependencies)) {
            const nestedDependencyFolder = path.dirname(require.resolve(`${dependency}/package.json`, {
              paths: [dir]
            }));
            if (fs.existsSync(nestedDependencyFolder)) {
              discoverJsii(nestedDependencyFolder);
            }
          }
        }
      };
      for (const dir of [...moduleDirs, PROJEN_MODULE_ROOT]) {
        discoverJsii(dir);
        if (dir.includes("@") && fs.lstatSync(dir).isDirectory()) {
          const childDirs = fs.readdirSync(dir).map((file) => path.join(dir, file));
          for (const child of childDirs) {
            discoverJsii(child);
          }
        }
      }
      return jsii;
    }
    function resolveProjectType(projectFqn) {
      let [moduleName] = projectFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`, {
        paths: [process.cwd()]
      });
      const moduleFolder = path.dirname(jsiiManifestFile);
      const jsii = discoverJsiiTypes(moduleFolder);
      return toProjectType(jsii, projectFqn);
    }
    exports2.resolveProjectType = resolveProjectType;
    function toProjectType(jsii, fqn) {
      if (!isProjectType(jsii, fqn)) {
        throw new Error(`Fully qualified name "${fqn}" is not a valid project type.`);
      }
      const typeinfo = jsii[fqn];
      const typename = fqn.substring(fqn.indexOf(".") + 1);
      const docsurl = `https://projen.io/api/API.html#projen-${typename.toLocaleLowerCase().replace(/\./g, "-")}`;
      let pjid = typeinfo.docs?.custom?.pjid ?? (0, case_1.snake)(typename).replace(/_project$/, "");
      return {
        moduleName: typeinfo.assembly,
        typename,
        pjid,
        fqn,
        options: discoverOptions(jsii, fqn),
        docs: typeinfo.docs?.summary,
        docsurl
      };
    }
    exports2.toProjectType = toProjectType;
    function readJsiiManifest(jsiiFqn) {
      let [moduleName] = jsiiFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`);
      return JSON.parse(fs.readFileSync(jsiiManifestFile, "utf-8"));
    }
    exports2.readJsiiManifest = readJsiiManifest;
    function discoverOptions(jsii, fqn) {
      const options = {};
      const params = jsii[fqn]?.initializer?.parameters ?? [];
      const optionsParam = params[0];
      const optionsTypeFqn = optionsParam?.type?.fqn;
      if (params.length > 1 || params.length === 1 && optionsParam?.name !== "options") {
        throw new Error(`constructor for project ${fqn} must have a single "options" argument of a struct type. got ${JSON.stringify(params)}`);
      }
      addOptions(optionsTypeFqn);
      const opts = Object.values(options);
      return opts.sort((a, b) => a.name.localeCompare(b.name));
      function addOptions(ofqn, basePath = [], optional = false) {
        if (!ofqn) {
          return;
        }
        const struct = jsii[ofqn];
        if (!struct) {
          throw new Error(`unable to find options type ${ofqn} for project ${fqn}`);
        }
        for (const prop of struct.properties ?? []) {
          const propPath = [...basePath, prop.name];
          if (prop.name in options) {
            throw new Error(`duplicate option "${prop.name}" in ${fqn} (already declared in ${options[prop.name].parent})`);
          }
          let jsiiKind;
          if (prop.type?.fqn) {
            jsiiKind = jsii[prop.type?.fqn].kind;
          }
          const isOptional = optional || prop.optional;
          const defaultValue = sanitizeValue(prop.docs?.default);
          const pjnew = sanitizeValue(prop.docs?.custom?.pjnew);
          const initialValue = getInitialValue(defaultValue, pjnew, isOptional);
          if (initialValue) {
            checkDefaultIsParsable(prop.name, initialValue, prop.type);
          }
          options[prop.name] = filterUndefined({
            path: propPath,
            parent: struct.name,
            name: prop.name,
            fqn: prop.type?.fqn,
            docs: prop.docs.summary,
            simpleType: prop.type ? getSimpleTypeName(prop.type) : "unknown",
            fullType: prop.type,
            kind: jsiiKind,
            jsonLike: prop.type ? isJsonLike(jsii, prop.type) : void 0,
            switch: propPath.map((p) => (0, case_1.snake)(p).replace(/_/g, "-")).join("-"),
            default: defaultValue,
            initialValue,
            optional: isOptional,
            featured: prop.docs?.custom?.featured === "true",
            deprecated: prop.docs.stability === "deprecated" ? true : void 0
          });
        }
        for (const ifc of struct.interfaces ?? []) {
          addOptions(ifc);
        }
      }
    }
    function getInitialValue(defaultValue, pjnew, isOptional = false) {
      if (pjnew) {
        return pjnew;
      }
      if (!isOptional) {
        return defaultValue;
      }
      return void 0;
    }
    function sanitizeValue(val) {
      if (val === "undefined") {
        return void 0;
      }
      return val;
    }
    function getSimpleTypeName(type) {
      if (type?.primitive) {
        return type.primitive;
      } else if (type?.fqn) {
        return type.fqn.split(".").pop();
      } else {
        return "unknown";
      }
    }
    function isJsonLike(jsii, type) {
      if (type.primitive) {
        return true;
      } else if (type.fqn) {
        const kind = jsii[type.fqn].kind;
        if (["interface", "enum"].includes(kind)) {
          return true;
        }
      } else if (type.collection) {
        return isJsonLike(jsii, type.collection.elementtype);
      }
      return false;
    }
    function filterUndefined(obj) {
      const ret = {};
      for (const [k, v] of Object.entries(obj)) {
        if (v !== void 0) {
          ret[k] = v;
        }
      }
      return ret;
    }
    function isProjectType(jsii, fqn) {
      const type = jsii[fqn];
      if (!type) {
        throw new Error(`Could not find project type with fqn "${fqn}" in  .jsii file.`);
      }
      if (type.kind !== "class") {
        return false;
      }
      if (type.abstract) {
        return false;
      }
      if (type.docs?.deprecated) {
        return false;
      }
      let curr = type;
      while (true) {
        if (curr.fqn === PROJECT_BASE_FQN) {
          return true;
        }
        if (!curr.base) {
          return false;
        }
        curr = jsii[curr.base];
        if (!curr) {
          return false;
        }
      }
    }
    function isPrimitiveArray({ collection }) {
      return Boolean(collection?.kind === "array" && collection?.elementtype.primitive);
    }
    function isPrimitiveOrPrimitiveArray(type) {
      return Boolean(type?.primitive || isPrimitiveArray(type));
    }
    function checkDefaultIsParsable(prop, value, type) {
      if (!(type && isPrimitiveOrPrimitiveArray(type))) {
        throw new Error(`required option "${prop}" with a @default must use primitive types (string, number and boolean) or a primitive array. type found is: ${JSON.stringify(type)}`);
      }
      if (value.startsWith("$")) {
        return;
      }
      try {
        const parsed = JSON.parse(value);
        if (typeof parsed === type.primitive) {
          return;
        }
        if (Array.isArray(parsed) && isPrimitiveArray(type)) {
          if (parsed.length === 0) {
            return;
          }
          if (typeof parsed[0] === type?.collection?.elementtype.primitive) {
            return;
          }
        }
        throw new Error(`cannot parse @default value for mandatory option ${prop} as a ${type}: ${parsed}`);
      } catch (e) {
        throw new Error(`unable to JSON.parse() value "${value}" specified as @default for mandatory option "${prop}": ${e.message}`);
      }
    }
  }
});

// ../blueprint/node_modules/projen/lib/javascript/render-options.js
var require_render_options3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/render-options.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderJavaScriptOptions = exports2.ModuleImports = exports2.resolveInitProject = exports2.renderProjenInitOptions = void 0;
    var inventory = require_inventory3();
    var option_hints_1 = require_option_hints3();
    var PROJEN_NEW = "__new__";
    var TAB = makePadding(2);
    function renderProjenInitOptions(fqn, args, comments = option_hints_1.InitProjectOptionHints.NONE) {
      return {
        ...args,
        [PROJEN_NEW]: { fqn, args, comments }
      };
    }
    exports2.renderProjenInitOptions = renderProjenInitOptions;
    function resolveInitProject(opts) {
      const f = opts[PROJEN_NEW];
      if (!f) {
        return void 0;
      }
      const type = inventory.resolveProjectType(f.fqn);
      if (!type) {
        throw new Error(`unable to resolve project type for ${f.fqn}`);
      }
      return {
        args: f.args,
        fqn: f.fqn,
        type,
        comments: f.comments
      };
    }
    exports2.resolveInitProject = resolveInitProject;
    var ModuleImports = class {
      constructor() {
        this.imports = /* @__PURE__ */ new Map();
      }
      /**
       * Add a named import from a module
       */
      add(moduleName, importName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        moduleImports.add(importName);
        this.imports.set(moduleName, moduleImports);
      }
      /**
       * Get all named imports for a module
       */
      get(moduleName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        return Array.from(moduleImports);
      }
      /**
       * Get a list of all used modules
       */
      get modules() {
        return Array.from(this.imports.keys());
      }
      /**
       * Return all imports as ESM import statements
       */
      asEsmImports() {
        return this.all().map(([moduleName, namedImports]) => `import { ${[...namedImports].join(", ")} } from "${moduleName}";`);
      }
      /**
       * Return all imports as CJS require statements
       */
      asCjsRequire() {
        return this.all().map(([moduleName, namedImports]) => `const { ${[...namedImports].join(", ")} } = require("${moduleName}");`);
      }
      all() {
        const allImports = Object.fromEntries(this.imports);
        return Object.entries(allImports).map(([key, value]) => [
          key,
          Array.from(value).sort()
        ]);
      }
    };
    exports2.ModuleImports = ModuleImports;
    function renderJavaScriptOptions(opts) {
      const renders = {};
      const optionsWithDefaults = [];
      const allImports = new ModuleImports();
      for (const option of opts.type.options) {
        if (option.deprecated) {
          continue;
        }
        const optionName = option.name;
        if (opts.args[optionName] !== void 0) {
          const arg = opts.args[optionName];
          const { js, moduleName, importName } = renderArgAsJavaScript(arg, option);
          renders[optionName] = `${optionName}: ${js},`;
          optionsWithDefaults.push(optionName);
          if (moduleName && importName) {
            allImports.add(moduleName, importName);
            if (opts.prefixImports) {
              const prefix = `${opts.prefixImports}["${moduleName}"].`;
              renders[optionName] = `${optionName}: ${prefix}${js},`;
            }
          }
        } else {
          const defaultValue = option.default?.startsWith("-") ? void 0 : option.default ?? void 0;
          renders[optionName] = `// ${optionName}: ${defaultValue},`;
        }
      }
      const bootstrap = opts.bootstrap ?? false;
      if (bootstrap) {
        for (const arg of opts.omitFromBootstrap ?? []) {
          delete opts.args[arg];
        }
        renders[PROJEN_NEW] = `${PROJEN_NEW}: ${JSON.stringify({
          args: opts.args,
          fqn: opts.type.fqn,
          comments: opts.comments
        })},`;
        optionsWithDefaults.push(PROJEN_NEW);
      }
      const result = [];
      result.push("{");
      optionsWithDefaults.sort();
      for (const optionName of optionsWithDefaults) {
        result.push(`${TAB}${renders[optionName]}`);
      }
      if (result.length > 1) {
        result.push("");
      }
      if (opts.comments === option_hints_1.InitProjectOptionHints.ALL) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0);
        result.push(...renderCommentedOptionsByModule(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.FEATURED) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0 && opt.featured);
        result.push(...renderCommentedOptionsInOrder(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.NONE) {
      }
      if (result[result.length - 1] === "") {
        result.pop();
      }
      result.push("}");
      return { renderedOptions: result.join("\n"), imports: allImports };
    }
    exports2.renderJavaScriptOptions = renderJavaScriptOptions;
    function renderCommentedOptionsByModule(renders, options) {
      const optionsByModule = {};
      for (const option of options) {
        const parentModule = option.parent;
        optionsByModule[parentModule] = optionsByModule[parentModule] ?? [];
        optionsByModule[parentModule].push(option);
      }
      for (const parentModule in optionsByModule) {
        optionsByModule[parentModule].sort((o1, o2) => o1.name.localeCompare(o2.name));
      }
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const [moduleName, optionGroup] of Object.entries(optionsByModule).sort()) {
        result.push(`${TAB}/* ${moduleName} */`);
        for (const option of optionGroup) {
          const paramRender = renders[option.name];
          const docstring = option.docs || "No documentation found.";
          result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
        }
        result.push("");
      }
      return result;
    }
    function renderCommentedOptionsInOrder(renders, options) {
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const option of options) {
        const paramRender = renders[option.name];
        const docstring = option.docs || "No documentation found.";
        result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
      }
      return result;
    }
    function renderArgAsJavaScript(arg, option) {
      if (option.kind === "enum") {
        if (!option.fqn) {
          throw new Error(`fqn field is missing from enum option ${option.name}`);
        }
        const parts = option.fqn.split(".");
        const enumChoice = String(arg).toUpperCase().replace(/-/g, "_");
        const js = `${parts.slice(1).join(".")}.${enumChoice}`;
        const moduleName = parts[0];
        const importName = parts[1];
        return { js, moduleName, importName };
      } else if (option.jsonLike) {
        return { js: JSON.stringify(arg) };
      } else {
        throw new Error(`Unexpected option ${option.name} - cannot render a value for this option because it does not have a JSON-like type.`);
      }
    }
    function makePadding(paddingLength) {
      return " ".repeat(paddingLength);
    }
  }
});

// ../blueprint/node_modules/projen/lib/project-build.js
var require_project_build3 = __commonJS({
  "../blueprint/node_modules/projen/lib/project-build.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectBuild = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var ProjectBuild = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.preCompileTask = project.tasks.addTask("pre-compile", {
          description: "Prepare the project for compilation"
        });
        this.compileTask = project.tasks.addTask("compile", {
          description: "Only compile"
        });
        this.postCompileTask = project.tasks.addTask("post-compile", {
          description: "Runs after successful compilation"
        });
        this.testTask = project.tasks.addTask("test", {
          description: "Run tests"
        });
        this.packageTask = project.tasks.addTask("package", {
          description: "Creates the distribution package"
        });
        this.buildTask = project.tasks.addTask("build", {
          description: "Full release build"
        });
        if (!this.project.parent && this.project.defaultTask) {
          this.buildTask.spawn(this.project.defaultTask);
        }
        this.buildTask.spawn(this.preCompileTask);
        this.buildTask.spawn(this.compileTask);
        this.buildTask.spawn(this.postCompileTask);
        this.buildTask.spawn(this.testTask);
        this.buildTask.spawn(this.packageTask);
        this.buildTask.lock();
      }
    };
    exports2.ProjectBuild = ProjectBuild;
    _a = JSII_RTTI_SYMBOL_1;
    ProjectBuild[_a] = { fqn: "projen.ProjectBuild", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/projenrc-json.js
var require_projenrc_json3 = __commonJS({
  "../blueprint/node_modules/projen/lib/projenrc-json.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = exports2.ProjenrcJson = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var projenrc_1 = require_projenrc11();
    var ProjenrcJson = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.json";
        project.defaultTask?.env("FILENAME", this.filePath);
        project.defaultTask?.builtin("run-projenrc-json");
        this.generateProjenrc();
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const json = {
          type: bootstrap.fqn,
          ...bootstrap.args
        };
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, JSON.stringify(json, null, 2));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcJson = ProjenrcJson;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcJson[_a] = { fqn: "projen.ProjenrcJson", version: "0.71.112" };
    var Projenrc = class extends ProjenrcJson {
    };
    exports2.Projenrc = Projenrc;
    _b = JSII_RTTI_SYMBOL_1;
    Projenrc[_b] = { fqn: "projen.Projenrc", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/renovatebot.js
var require_renovatebot3 = __commonJS({
  "../blueprint/node_modules/projen/lib/renovatebot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Renovatebot = exports2.RenovatebotScheduleInterval = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var json_1 = require_json5();
    var RenovatebotScheduleInterval;
    (function(RenovatebotScheduleInterval2) {
      RenovatebotScheduleInterval2["ANY_TIME"] = "at any time";
      RenovatebotScheduleInterval2["EARLY_MONDAYS"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["DAILY"] = "before 2am";
      RenovatebotScheduleInterval2["WEEKLY"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["MONTHLY"] = "before 3am on the first day of the month";
      RenovatebotScheduleInterval2["QUARTERLY"] = "every 3 months on the first day of the month";
      RenovatebotScheduleInterval2["WEEKENDS"] = "every weekend";
      RenovatebotScheduleInterval2["WEEKDAYS"] = "every weekday";
    })(RenovatebotScheduleInterval || (exports2.RenovatebotScheduleInterval = RenovatebotScheduleInterval = {}));
    var Renovatebot = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this._project = project;
        this.explicitIgnores = options.ignore ?? [];
        this.labels = options.labels;
        this.scheduleInterval = options.scheduleInterval ?? [
          RenovatebotScheduleInterval.ANY_TIME
        ];
        (options.ignoreProjen ?? true) && this.explicitIgnores.push("projen");
        this.overrideConfig = options.overrideConfig ?? {};
        this.marker = options.marker ?? true;
      }
      // create actual file only here, so we know that all dependencies are added to the project
      preSynthesize() {
        this.createRenovateConfiguration();
      }
      createRenovateConfiguration() {
        const renovateIgnore = [
          ...new Set(this._project.deps.all.filter((dep) => dep.version || dep.type === dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(this.explicitIgnores))
        ];
        const config = {
          labels: this.labels,
          schedule: this.scheduleInterval,
          extends: [
            ":preserveSemverRanges",
            "config:base",
            "group:allNonMajor",
            "group:recommended",
            "group:monorepos"
          ],
          packageRules: [
            {
              matchDepTypes: ["devDependencies"],
              matchUpdateTypes: ["patch", "minor"],
              groupName: "devDependencies (non-major)"
            }
          ],
          ignoreDeps: renovateIgnore,
          ...this.overrideConfig
        };
        new json_1.JsonFile(this._project, "renovate.json5", {
          obj: config,
          committed: true,
          marker: this.marker
        });
      }
    };
    exports2.Renovatebot = Renovatebot;
    _a = JSII_RTTI_SYMBOL_1;
    Renovatebot[_a] = { fqn: "projen.Renovatebot", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/task.js
var require_task3 = __commonJS({
  "../blueprint/node_modules/projen/lib/task.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Task = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var logging_1 = require_logging3();
    var Task = class {
      constructor(name, props = {}) {
        this.name = name;
        this._description = props.description;
        this._conditions = props.condition ? [props.condition] : [];
        this.cwd = props.cwd;
        this._locked = false;
        this._env = props.env ?? {};
        this._steps = props.steps ?? [];
        this.requiredEnv = props.requiredEnv;
        if (props.exec && props.steps) {
          throw new Error("cannot specify both exec and steps");
        }
        if (props.exec) {
          this.exec(props.exec, { receiveArgs: props.receiveArgs });
        }
      }
      /**
       * Forbid additional changes to this task.
       */
      lock() {
        this._locked = true;
      }
      /**
       * Returns the description of this task.
       */
      get description() {
        return this._description;
      }
      /**
       * Sets the description of this task.
       */
      set description(desc) {
        this._description = desc;
      }
      /**
       * A command to execute which determines if the task should be skipped. If it
       * returns a zero exit code, the task will not be executed.
       */
      get condition() {
        if (this._conditions?.length) {
          return this._conditions.join(" && ");
        }
        return void 0;
      }
      /**
       * Add a command to execute which determines if the task should be skipped.
       *
       * If a condition already exists, the new condition will be appended with ` && ` delimiter.
       * @param condition The command to execute.
       * @see {@link Task.condition}
       */
      addCondition(...condition) {
        this._conditions.push(...condition);
      }
      /**
       * Reset the task so it no longer has any commands.
       * @param command the first command to add to the task after it was cleared.
       */
      reset(command, options = {}) {
        this.assertUnlocked();
        while (this._steps.length) {
          this._steps.shift();
        }
        if (command) {
          this.exec(command, options);
        }
      }
      /**
       * Executes a shell command
       * @param command Shell command
       * @param options Options
       */
      exec(command, options = {}) {
        this.assertUnlocked();
        this._steps.push({ exec: command, ...options });
      }
      /**
       * Execute a builtin task.
       *
       * Builtin tasks are programs bundled as part of projen itself and used as
       * helpers for various components.
       *
       * In the future we should support built-in tasks from external modules.
       *
       * @param name The name of the builtin task to execute (e.g.
       * `release/resolve-version`).
       */
      builtin(name) {
        this.assertUnlocked();
        this._steps.push({ builtin: name });
      }
      /**
       * Say something.
       * @param message Your message
       * @param options Options
       */
      say(message, options = {}) {
        this.assertUnlocked();
        this._steps.push({ say: message, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       *
       * @deprecated use `prependExec()`
       */
      prepend(shell, options = {}) {
        this.assertUnlocked();
        this.prependExec(shell, options);
      }
      /**
       * Spawns a sub-task.
       * @param subtask The subtask to execute.
       */
      spawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.push({ spawn: subtask.name, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       */
      prependExec(shell, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          exec: shell,
          ...options
        });
      }
      /**
       * Adds a spawn instruction at the beginning of the task.
       * @param subtask The subtask to execute.
       */
      prependSpawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          spawn: subtask.name,
          ...options
        });
      }
      /**
       * Says something at the beginning of the task.
       * @param message Your message
       */
      prependSay(message, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          say: message,
          ...options
        });
      }
      /**
       * Adds an environment variable to this task.
       * @param name The name of the variable
       * @param value The value. If the value is surrounded by `$()`, we will
       * evaluate it within a subshell and use the result as the value of the
       * environment variable.
       */
      env(name, value) {
        this.assertUnlocked();
        this._env[name] = value;
      }
      /**
       * Returns an immutable copy of all the step specifications of the task.
       */
      get steps() {
        if (!Array.isArray(this._steps)) {
          return [];
        }
        return [...this._steps];
      }
      /**
       * Renders a task spec into the manifest.
       *
       * @internal
       */
      _renderSpec() {
        const env = Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
        const steps = Array.isArray(this._steps) ? [...this._steps].map((s) => {
          return s.env ? {
            ...s,
            env: Object.keys(s.env).reduce((prev, curr) => ({
              ...prev,
              [curr]: this.getEnvString(curr, s.env[curr])
            }), {})
          } : s;
        }) : this._steps;
        return {
          name: this.name,
          description: this.description,
          env,
          requiredEnv: this.requiredEnv,
          steps,
          condition: this.condition,
          cwd: this.cwd
        };
      }
      assertUnlocked() {
        if (this._locked) {
          throw new Error(`Task "${this.name}" is locked for changes`);
        }
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Task = Task;
    _a = JSII_RTTI_SYMBOL_1;
    Task[_a] = { fqn: "projen.Task", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/task-runtime.js
var require_task_runtime3 = __commonJS({
  "../blueprint/node_modules/projen/lib/task-runtime.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskRuntime = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var child_process_1 = require("child_process");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path_1 = require("path");
    var path = require("path");
    var util_1 = require("util");
    var chalk_1 = require_source3();
    var common_1 = require_common9();
    var logging = require_logging3();
    var ENV_TRIM_LEN = 20;
    var ARGS_MARKER = "$@";
    var TaskRuntime = class _TaskRuntime {
      constructor(workdir) {
        this.workdir = (0, path_1.resolve)(workdir);
        const manifestPath = (0, path_1.join)(this.workdir, _TaskRuntime.MANIFEST_FILE);
        this.manifest = (0, fs_1.existsSync)(manifestPath) ? JSON.parse((0, fs_1.readFileSync)(manifestPath, "utf-8")) : { tasks: {} };
      }
      /**
       * The tasks in this project.
       */
      get tasks() {
        return Object.values(this.manifest.tasks ?? {});
      }
      /**
       * Find a task by name, or `undefined` if not found.
       */
      tryFindTask(name) {
        if (!this.manifest.tasks) {
          return void 0;
        }
        return this.manifest.tasks[name];
      }
      /**
       * Runs the task.
       * @param name The task name.
       */
      runTask(name, parents = [], args = []) {
        const task = this.tryFindTask(name);
        if (!task) {
          throw new Error(`cannot find command ${task}`);
        }
        new RunTask(this, task, parents, args);
      }
    };
    exports2.TaskRuntime = TaskRuntime;
    _a = JSII_RTTI_SYMBOL_1;
    TaskRuntime[_a] = { fqn: "projen.TaskRuntime", version: "0.71.112" };
    TaskRuntime.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "tasks.json");
    var RunTask = class {
      constructor(runtime, task, parents = [], args = []) {
        this.runtime = runtime;
        this.task = task;
        this.env = {};
        this.workdir = task.cwd ?? this.runtime.workdir;
        this.parents = parents;
        if (!task.steps || task.steps.length === 0) {
          this.logDebug((0, chalk_1.gray)("No actions have been specified for this task."));
          return;
        }
        this.env = this.resolveEnvironment(parents);
        const envlogs = [];
        for (const [k, v] of Object.entries(this.env)) {
          const vv = v ?? "";
          const trimmed = vv.length > ENV_TRIM_LEN ? vv.substr(0, ENV_TRIM_LEN) + "..." : vv;
          envlogs.push(`${k}=${trimmed}`);
        }
        if (envlogs.length) {
          this.logDebug((0, chalk_1.gray)(`${(0, chalk_1.underline)("env")}: ${envlogs.join(" ")}`));
        }
        if (!this.evalCondition(task)) {
          this.log("condition exited with non-zero - skipping");
          return;
        }
        const merged = { ...process.env, ...this.env };
        const missing = new Array();
        for (const name of task.requiredEnv ?? []) {
          if (!(name in merged)) {
            missing.push(name);
          }
        }
        if (missing.length > 0) {
          throw new Error(`missing required environment variables: ${missing.join(",")}`);
        }
        for (const step of task.steps) {
          if (!this.evalCondition(step)) {
            this.log("condition exited with non-zero - skipping");
            continue;
          }
          const argsList = [
            ...step.args || [],
            ...step.receiveArgs ? args : []
          ].map((a) => a.toString());
          if (step.say) {
            logging.info(this.fmtLog(step.say));
          }
          if (step.spawn) {
            this.runtime.runTask(step.spawn, [...this.parents, this.task.name], argsList);
          }
          const execs = step.exec ? [step.exec] : [];
          const env = this.evalEnvironment(step.env ?? {});
          if (step.builtin) {
            execs.push(this.renderBuiltin(step.builtin));
          }
          for (const exec of execs) {
            let command = "";
            let hasError = false;
            const cmd = exec.split(" ")[0];
            if ((0, os_1.platform)() == "win32" && ["mkdir", "mv", "rm", "cp"].includes(cmd)) {
              command = `shx ${exec}`;
            } else {
              command = exec;
            }
            if (command.includes(ARGS_MARKER)) {
              command = command.replace(ARGS_MARKER, argsList.join(" "));
            } else {
              command = [command, ...argsList].join(" ");
            }
            const cwd = step.cwd;
            try {
              const result = this.shell({
                command,
                cwd,
                extraEnv: env
              });
              hasError = result.status !== 0;
            } catch (e) {
              if (e?.message?.startsWith("non-zero exit code:")) {
                hasError = true;
              }
              throw e;
            }
            if (hasError) {
              throw new Error(`Task "${this.fullname}" failed when executing "${command}" (cwd: ${(0, path_1.resolve)(cwd ?? this.workdir)})`);
            }
          }
        }
      }
      /**
       * Determines if a task should be executed based on "condition".
       *
       * @returns true if the task should be executed or false if the condition
       * evaluates to false (exits with non-zero), indicating that the task should
       * be skipped.
       */
      evalCondition(taskOrStep) {
        if (!taskOrStep.condition) {
          return true;
        }
        this.log((0, chalk_1.gray)(`${(0, chalk_1.underline)("condition")}: ${taskOrStep.condition}`));
        const result = this.shell({
          command: taskOrStep.condition,
          logprefix: "condition: ",
          quiet: true
        });
        if (result.status === 0) {
          return true;
        } else {
          return false;
        }
      }
      /**
       * Evaluates environment variables from shell commands (e.g. `$(xx)`)
       */
      evalEnvironment(env) {
        const output = {};
        for (const [key, value] of Object.entries(env ?? {})) {
          if (String(value).startsWith("$(") && String(value).endsWith(")")) {
            const query = value.substring(2, value.length - 1);
            const result = this.shellEval({ command: query });
            if (result.status !== 0) {
              const error = result.error ? result.error.stack : result.stderr?.toString() ?? "unknown error";
              throw new Error(`unable to evaluate environment variable ${key}=${value}: ${error}`);
            }
            output[key] = result.stdout.toString("utf-8").trim();
          } else {
            output[key] = value;
          }
        }
        return output;
      }
      /**
       * Renders the runtime environment for a task. Namely, it supports this syntax
       * `$(xx)` for allowing environment to be evaluated by executing a shell
       * command and obtaining its result.
       */
      resolveEnvironment(parents) {
        let env = this.runtime.manifest.env ?? {};
        for (const parent of parents) {
          env = {
            ...env,
            ...this.runtime.tryFindTask(parent)?.env ?? {}
          };
        }
        env = {
          ...env,
          ...this.task.env ?? {}
        };
        return this.evalEnvironment(env ?? {});
      }
      /**
       * Returns the "full name" of the task which includes all it's parent task names concatenated by chevrons.
       */
      get fullname() {
        return [...this.parents, this.task.name].join(" \xBB ");
      }
      log(...args) {
        logging.verbose(this.fmtLog(...args));
      }
      logDebug(...args) {
        logging.debug(this.fmtLog(...args));
      }
      fmtLog(...args) {
        return (0, util_1.format)(`${(0, chalk_1.underline)(this.fullname)} |`, ...args);
      }
      shell(options) {
        const quiet = options.quiet ?? false;
        if (!quiet) {
          const log = new Array();
          if (options.logprefix) {
            log.push(options.logprefix);
          }
          log.push(options.command);
          if (options.cwd) {
            log.push(`(cwd: ${options.cwd})`);
          }
          this.log(log.join(" "));
        }
        const cwd = options.cwd ?? this.workdir;
        if (!(0, fs_1.existsSync)(cwd) || !(0, fs_1.statSync)(cwd).isDirectory()) {
          throw new Error(`invalid workdir (cwd): ${cwd} must be an existing directory`);
        }
        return (0, child_process_1.spawnSync)(options.command, {
          ...options,
          cwd,
          shell: true,
          stdio: "inherit",
          env: {
            ...process.env,
            ...this.env,
            ...options.extraEnv
          },
          ...options.spawnOptions
        });
      }
      shellEval(options) {
        return this.shell({
          quiet: true,
          ...options,
          spawnOptions: {
            stdio: ["inherit", "pipe", "inherit"]
          }
        });
      }
      renderBuiltin(builtin) {
        const moduleRoot = (0, path_1.dirname)(require.resolve("../package.json"));
        const program = require.resolve((0, path_1.join)(moduleRoot, "lib", `${builtin}.task.js`));
        return `${process.execPath} ${program}`;
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/tasks.js
var require_tasks3 = __commonJS({
  "../blueprint/node_modules/projen/lib/tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Tasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component3();
    var json_1 = require_json5();
    var logging_1 = require_logging3();
    var task_1 = require_task3();
    var task_runtime_1 = require_task_runtime3();
    var Tasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this._tasks = {};
        this._env = {};
        new json_1.JsonFile(project, task_runtime_1.TaskRuntime.MANIFEST_FILE, {
          omitEmpty: true,
          obj: {
            tasks: () => this.renderTasks(),
            env: () => this.renderEnv()
          }
        });
      }
      /**
       * All tasks.
       */
      get all() {
        return Object.values(this._tasks);
      }
      /**
       * Adds a task to a project.
       * @param name The name of the task
       * @param options Task options.
       */
      addTask(name, options = {}) {
        const task = new task_1.Task(name, options);
        if (this._tasks[name]) {
          throw new Error(`A task with the name ${name} already exists. To override it, call removeTask first and then create the new task.`);
        }
        this._tasks[name] = task;
        return task;
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        const dependentTasks = this.all.filter((task2) => task2.steps.find((step) => step.spawn == name));
        if (dependentTasks.length > 0) {
          const errList = dependentTasks.map((depTask) => depTask.name).join(", ");
          throw new Error(`Unable to remove task "${name}" because the following tasks depend on it: ${errList}`);
        }
        const task = this._tasks[name];
        if (task) {
          delete this._tasks[name];
          return task;
        } else {
          return void 0;
        }
      }
      /**
       * Adds global environment.
       * @param name Environment variable name
       * @param value Value
       */
      addEnvironment(name, value) {
        this._env[name] = value;
      }
      /**
       * Returns a copy of the currently global environment for this project.
       */
      get env() {
        return {
          ...this._env
        };
      }
      /**
       * Finds a task by name. Returns `undefined` if the task cannot be found.
       * @param name The name of the task
       */
      tryFind(name) {
        return this._tasks[name];
      }
      synthesize() {
        if (this.project.ejected) {
          fs.mkdirSync(path.join(this.project.outdir, "scripts"), {
            recursive: true
          });
          fs.copyFileSync(path.join(__dirname + "/externals/projen/lib", "..", "lib", "run-task.js"), path.join(this.project.outdir, "scripts", "run-task"));
          fs.chmodSync(path.join(this.project.outdir, "scripts", "run-task"), "755");
        }
      }
      renderTasks() {
        const tasks = {};
        for (const task of Object.values(this._tasks).sort((x, y) => x.name.localeCompare(y.name))) {
          tasks[task.name] = task._renderSpec();
        }
        return tasks;
      }
      renderEnv() {
        return Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Tasks = Tasks;
    _a = JSII_RTTI_SYMBOL_1;
    Tasks[_a] = { fqn: "projen.Tasks", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/project.js
var require_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectType = exports2.Project = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path = require("path");
    var glob = require_glob4();
    var cleanup_1 = require_cleanup3();
    var common_1 = require_common9();
    var dependencies_1 = require_dependencies3();
    var file_1 = require_file4();
    var gitattributes_1 = require_gitattributes3();
    var ignore_file_1 = require_ignore_file3();
    var render_options_1 = require_render_options3();
    var json_1 = require_json5();
    var logger_1 = require_logger3();
    var object_file_1 = require_object_file3();
    var project_build_1 = require_project_build3();
    var projenrc_json_1 = require_projenrc_json3();
    var renovatebot_1 = require_renovatebot3();
    var tasks_1 = require_tasks3();
    var util_1 = require_util14();
    var Project = class _Project {
      constructor(options) {
        this._components = new Array();
        this._subprojects = new Array();
        this.tips = new Array();
        this.initProject = (0, render_options_1.resolveInitProject)(options);
        this.name = options.name;
        this.parent = options.parent;
        this.excludeFromCleanup = [];
        this._ejected = (0, util_1.isTruthy)(process.env.PROJEN_EJECTING);
        if (this.ejected) {
          this.projenCommand = "scripts/run-task";
        } else {
          this.projenCommand = options.projenCommand ?? "npx projen";
        }
        this.outdir = this.determineOutdir(options.outdir);
        this.root = this.parent ? this.parent.root : this;
        this.parent?._addSubProject(this);
        this.gitattributes = new gitattributes_1.GitAttributesFile(this);
        this.annotateGenerated("/.projen/**");
        this.annotateGenerated(`/${this.gitattributes.path}`);
        if (options.gitOptions?.lfsPatterns) {
          for (const pattern of options.gitOptions.lfsPatterns) {
            this.gitattributes.addAttributes(pattern, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
          }
        }
        this.gitignore = new ignore_file_1.IgnoreFile(this, ".gitignore", options.gitIgnoreOptions);
        this.gitignore.exclude("node_modules/");
        this.gitignore.include(`/${this.gitattributes.path}`);
        this.tasks = new tasks_1.Tasks(this);
        if (!this.ejected) {
          this.defaultTask = this.tasks.addTask(_Project.DEFAULT_TASK, {
            description: "Synthesize project files"
          });
          if (this.parent) {
            this.defaultTask.exec(`${this.projenCommand} ${_Project.DEFAULT_TASK}`, {
              cwd: path.relative(this.outdir, this.root.outdir)
            });
          }
          if (!this.parent) {
            this.ejectTask = this.tasks.addTask("eject", {
              description: "Remove projen from the project",
              env: {
                PROJEN_EJECTING: "true"
              }
            });
            this.ejectTask.spawn(this.defaultTask);
          }
        }
        this.projectBuild = new project_build_1.ProjectBuild(this);
        this.deps = new dependencies_1.Dependencies(this);
        this.logger = new logger_1.Logger(this, options.logging);
        const projenrcJson = options.projenrcJson ?? false;
        if (!this.parent && projenrcJson) {
          new projenrc_json_1.ProjenrcJson(this, options.projenrcJsonOptions);
        }
        if (options.renovatebot) {
          new renovatebot_1.Renovatebot(this, options.renovatebotOptions);
        }
        this.commitGenerated = options.commitGenerated ?? true;
        if (!this.ejected) {
          new json_1.JsonFile(this, cleanup_1.FILE_MANIFEST, {
            omitEmpty: true,
            obj: () => ({
              // replace `\` with `/` to ensure paths match across platforms
              files: this.files.filter((f) => f.readonly).map((f) => f.path.replace(/\\/g, "/"))
            }),
            // This file is used by projen to track the generated files, so must be committed.
            committed: true
          });
        }
      }
      /**
       * Returns all the components within this project.
       */
      get components() {
        return [...this._components];
      }
      /**
       * Returns all the subprojects within this project.
       */
      get subprojects() {
        return [...this._subprojects];
      }
      /**
       * All files in this project.
       */
      get files() {
        const isFile = (c) => c instanceof file_1.FileBase;
        return this._components.filter(isFile).sort((f1, f2) => f1.path.localeCompare(f2.path));
      }
      /**
       * Adds a new task to this project. This will fail if the project already has
       * a task with this name.
       *
       * @param name The task name to add
       * @param props Task properties
       */
      addTask(name, props = {}) {
        return this.tasks.addTask(name, props);
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        return this.tasks.removeTask(name);
      }
      get buildTask() {
        return this.projectBuild.buildTask;
      }
      get compileTask() {
        return this.projectBuild.compileTask;
      }
      get testTask() {
        return this.projectBuild.testTask;
      }
      get preCompileTask() {
        return this.projectBuild.preCompileTask;
      }
      get postCompileTask() {
        return this.projectBuild.postCompileTask;
      }
      get packageTask() {
        return this.projectBuild.packageTask;
      }
      /**
       * Finds a file at the specified relative path within this project and all
       * its subprojects.
       *
       * @param filePath The file path. If this path is relative, it will be resolved
       * from the root of _this_ project.
       * @returns a `FileBase` or undefined if there is no file in that path
       */
      tryFindFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        for (const file of this.files) {
          if (absolute === file.absolutePath) {
            return file;
          }
        }
        for (const child of this._subprojects) {
          const file = child.tryFindFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Finds a json file by name.
       * @param filePath The file path.
       * @deprecated use `tryFindObjectFile`
       */
      tryFindJsonFile(filePath) {
        const file = this.tryFindObjectFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof json_1.JsonFile)) {
          throw new Error(`found file ${filePath} but it is not a JsonFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds an object file (like JsonFile, YamlFile, etc.) by name.
       * @param filePath The file path.
       */
      tryFindObjectFile(filePath) {
        const file = this.tryFindFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof object_file_1.ObjectFile)) {
          throw new Error(`found file ${filePath} but it is not a ObjectFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds a file at the specified relative path within this project and removes
       * it.
       *
       * @param filePath The file path. If this path is relative, it will be
       * resolved from the root of _this_ project.
       * @returns a `FileBase` if the file was found and removed, or undefined if
       * the file was not found.
       */
      tryRemoveFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        const isFile = (c) => c instanceof file_1.FileBase;
        const index = this._components.findIndex((c) => isFile(c) && c.absolutePath === absolute);
        if (index !== -1) {
          return this._components.splice(index, 1)[0];
        }
        for (const child of this._subprojects) {
          const file = child.tryRemoveFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Prints a "tip" message during synthesis.
       * @param message The message
       * @deprecated - use `project.logger.info(message)` to show messages during synthesis
       */
      addTip(message) {
        this.tips.push(message);
      }
      /**
       * Exclude the matching files from pre-synth cleanup. Can be used when, for example, some
       * source files include the projen marker and we don't want them to be erased during synth.
       *
       * @param globs The glob patterns to match
       */
      addExcludeFromCleanup(...globs) {
        this.excludeFromCleanup.push(...globs);
      }
      /**
       * Returns the shell command to execute in order to run a task.
       *
       * By default, this is `npx projen@<version> <task>`
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `npx projen@${common_1.PROJEN_VERSION} ${task.name}`;
      }
      /**
       * Exclude these files from the bundled package. Implemented by project types based on the
       * packaging mechanism. For example, `NodeProject` delegates this to `.npmignore`.
       *
       * @param _pattern The glob pattern to exclude
       */
      addPackageIgnore(_pattern) {
      }
      /**
       * Adds a .gitignore pattern.
       * @param pattern The glob pattern to ignore.
       */
      addGitIgnore(pattern) {
        this.gitignore.addPatterns(pattern);
      }
      /**
       * Consider a set of files as "generated". This method is implemented by
       * derived classes and used for example, to add git attributes to tell GitHub
       * that certain files are generated.
       *
       * @param _glob the glob pattern to match (could be a file path).
       */
      annotateGenerated(_glob) {
      }
      /**
       * Synthesize all project files into `outdir`.
       *
       * 1. Call "this.preSynthesize()"
       * 2. Delete all generated files
       * 3. Synthesize all sub-projects
       * 4. Synthesize all components of this project
       * 5. Call "postSynthesize()" for all components of this project
       * 6. Call "this.postSynthesize()"
       */
      synth() {
        const outdir = this.outdir;
        this.logger.debug("Synthesizing project...");
        this.preSynthesize();
        for (const comp of this._components) {
          comp.preSynthesize();
        }
        for (const subproject of this._subprojects) {
          this.addExcludeFromCleanup(subproject.outdir + "/**");
        }
        (0, cleanup_1.cleanup)(outdir, this.files.map((f) => f.path.replace(/\\/g, "/")), this.excludeFromCleanup);
        for (const subproject of this._subprojects) {
          subproject.synth();
        }
        for (const comp of this._components) {
          comp.synthesize();
        }
        if (!(0, util_1.isTruthy)(process.env.PROJEN_DISABLE_POST)) {
          for (const comp of this._components) {
            comp.postSynthesize();
          }
          this.postSynthesize();
        }
        if (this.ejected) {
          this.logger.debug("Ejecting project...");
          const files = glob.sync(".projenrc.*", {
            cwd: this.outdir,
            dot: true,
            nodir: true,
            absolute: true
          });
          for (const file of files) {
            (0, fs_1.renameSync)(file, `${file}.bak`);
          }
        }
        this.logger.debug("Synthesis complete");
      }
      /**
       * Whether or not the project is being ejected.
       */
      get ejected() {
        return this._ejected;
      }
      /**
       * Called before all components are synthesized.
       */
      preSynthesize() {
      }
      /**
       * Called after all components are synthesized. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
      /**
       * Adds a component to the project.
       * @internal
       */
      _addComponent(component) {
        this._components.push(component);
      }
      /**
       * Adds a sub-project to this project.
       *
       * This is automatically called when a new project is created with `parent`
       * pointing to this project, so there is no real need to call this manually.
       *
       * @param sub-project The child project to add.
       * @internal
       */
      _addSubProject(subproject) {
        if (subproject.parent !== this) {
          throw new Error('"parent" of child project must be this project');
        }
        for (const p of this._subprojects) {
          if (path.resolve(p.outdir) === path.resolve(subproject.outdir)) {
            throw new Error(`there is already a sub-project with "outdir": ${subproject.outdir}`);
          }
        }
        this._subprojects.push(subproject);
      }
      /**
       * Resolves the project's output directory.
       */
      determineOutdir(outdirOption) {
        if (this.parent && outdirOption && path.isAbsolute(outdirOption)) {
          throw new Error('"outdir" must be a relative path');
        }
        if (this.parent) {
          if (!outdirOption) {
            throw new Error('"outdir" must be specified for subprojects');
          }
          return path.resolve(this.parent.outdir, outdirOption);
        }
        if (common_1.IS_TEST_RUN && !outdirOption) {
          const realCwd = (0, fs_1.realpathSync)(process.cwd());
          const realTmp = (0, fs_1.realpathSync)((0, os_1.tmpdir)());
          if (realCwd.startsWith(realTmp)) {
            return path.resolve(realCwd, outdirOption ?? ".");
          }
          return (0, fs_1.mkdtempSync)(path.join((0, os_1.tmpdir)(), "projen."));
        }
        return path.resolve(outdirOption ?? ".");
      }
    };
    exports2.Project = Project;
    _a = JSII_RTTI_SYMBOL_1;
    Project[_a] = { fqn: "projen.Project", version: "0.71.112" };
    Project.DEFAULT_TASK = "default";
    var ProjectType;
    (function(ProjectType2) {
      ProjectType2["UNKNOWN"] = "unknown";
      ProjectType2["LIB"] = "lib";
      ProjectType2["APP"] = "app";
    })(ProjectType || (exports2.ProjectType = ProjectType = {}));
  }
});

// ../blueprint/node_modules/projen/lib/projects.js
var require_projects3 = __commonJS({
  "../blueprint/node_modules/projen/lib/projects.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projects = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var vm = require("vm");
    var inventory_1 = require_inventory3();
    var render_options_1 = require_render_options3();
    var option_hints_1 = require_option_hints3();
    var Projects = class {
      /**
       * Creates a new project with defaults.
       *
       * This function creates the project type in-process (with in VM) and calls
       * `.synth()` on it (if `options.synth` is not `false`).
       *
       * At the moment, it also generates a `.projenrc.js` file with the same code
       * that was just executed. In the future, this will also be done by the project
       * type, so we can easily support multiple languages of projenrc.
       *
       * An environment variable (PROJEN_CREATE_PROJECT=true) is set within the VM
       * so that custom project types can detect whether the current synthesis is the
       * result of a new project creation (and take additional steps accordingly)
       */
      static createProject(options) {
        createProject(options);
      }
      constructor() {
      }
    };
    exports2.Projects = Projects;
    _a = JSII_RTTI_SYMBOL_1;
    Projects[_a] = { fqn: "projen.Projects", version: "0.71.112" };
    function resolveModulePath(moduleName) {
      if (moduleName === "projen") {
        return "./index";
      }
      try {
        return path.dirname(require.resolve(path.join(moduleName, "package.json"), {
          paths: [process.cwd()]
        }));
      } catch (err) {
        throw new Error(`External project module '${moduleName}' could not be resolved.`);
      }
    }
    function createProject(opts) {
      const projectType = (0, inventory_1.resolveProjectType)(opts.projectFqn);
      const mod = resolveModulePath(projectType.moduleName);
      opts.projectOptions.outdir = opts.dir;
      const optionsImports = "_options" + Math.random().toString(36).slice(2);
      const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
        bootstrap: true,
        comments: opts.optionHints ?? option_hints_1.InitProjectOptionHints.FEATURED,
        type: projectType,
        args: opts.projectOptions,
        omitFromBootstrap: ["outdir"],
        prefixImports: optionsImports
      });
      const initProjectCode = new Array();
      const varName = "project" + Math.random().toString(36).slice(2);
      initProjectCode.push(`const ${varName} = new ${projectType.typename}(${renderedOptions});`);
      if (opts.synth ?? true) {
        initProjectCode.push(`${varName}.synth();`);
      }
      const mainModule = require(mod);
      const ctx = vm.createContext({
        ...mainModule,
        [optionsImports]: {
          ...imports.modules.reduce((optionsContext, currentModule) => ({
            ...optionsContext,
            // eslint-disable-next-line @typescript-eslint/no-require-imports
            [currentModule]: require(resolveModulePath(currentModule))
          }), {})
        }
      });
      const postSynth = opts.post ?? true;
      process.env.PROJEN_DISABLE_POST = (!postSynth).toString();
      process.env.PROJEN_CREATE_PROJECT = "true";
      vm.runInContext(initProjectCode.join("\n"), ctx);
    }
  }
});

// ../blueprint/node_modules/projen/lib/sample-file.js
var require_sample_file3 = __commonJS({
  "../blueprint/node_modules/projen/lib/sample-file.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleDir = exports2.SampleFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob4();
    var component_1 = require_component3();
    var util_1 = require_util14();
    var SampleFile = class extends component_1.Component {
      /**
       * Creates a new SampleFile object
       * @param project - the project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param options - the options for the file.
       */
      constructor(project, filePath, options) {
        super(project);
        if (options.contents && options.sourcePath) {
          throw new Error("Cannot specify both 'contents' and 'source' fields.");
        }
        if (!options.contents && !options.sourcePath) {
          throw new Error("Must specify at least one of 'contents' or 'source'.");
        }
        this.filePath = filePath;
        this.options = options;
      }
      synthesize() {
        let contents;
        if (this.options.contents) {
          contents = this.options.contents;
        } else if (this.options.sourcePath) {
          contents = fs.readFileSync(this.options.sourcePath);
        }
        this.writeOnceFileContents(this.project.outdir, this.filePath, contents ?? "");
      }
      /**
       * A helper function that will write the file once and return if it was written or not.
       * @param dir - the directory for the new file
       * @param filename - the filename for the new file
       * @param contents - the contents of the file to write
       * @return boolean - whether a new file was written or not.
       * @private
       */
      writeOnceFileContents(dir, filename, contents) {
        const fullFilename = path.join(dir, filename);
        if (fs.existsSync(fullFilename)) {
          return;
        }
        (0, util_1.writeFile)(fullFilename, contents, { readonly: false });
      }
    };
    exports2.SampleFile = SampleFile;
    _a = JSII_RTTI_SYMBOL_1;
    SampleFile[_a] = { fqn: "projen.SampleFile", version: "0.71.112" };
    var SampleDir = class extends component_1.Component {
      /**
       * Create sample files in the given directory if the given directory does not exist
       * @param project Parent project to add files to.
       * @param dir directory to add files to. If directory already exists, nothing is added.
       * @param options options for which files to create.
       */
      constructor(project, dir, options) {
        super(project);
        if (!options.files && !options.sourceDir) {
          throw new Error("Must specify at least one of 'files' or 'source'.");
        }
        this.dir = dir;
        this.options = options;
      }
      synthesize() {
        const fullOutdir = path.join(this.project.outdir, this.dir);
        if (fs.existsSync(fullOutdir)) {
          return;
        }
        fs.mkdirSync(fullOutdir, { recursive: true });
        if (this.options.sourceDir) {
          const basedir = this.options.sourceDir;
          const files = glob.sync("**", {
            cwd: basedir,
            nodir: true,
            dot: true
          });
          for (const file of files) {
            const sourcePath = path.join(basedir, file);
            const targetPath = path.join(fullOutdir, file);
            fs.mkdirSync(path.dirname(targetPath), { recursive: true });
            fs.copyFileSync(sourcePath, targetPath);
            fs.chmodSync(targetPath, (0, util_1.getFilePermissions)({ readonly: false, executable: false }));
          }
        }
        for (const filename in this.options.files) {
          (0, util_1.writeFile)(path.join(fullOutdir, filename), this.options.files[filename]);
        }
      }
    };
    exports2.SampleDir = SampleDir;
    _b = JSII_RTTI_SYMBOL_1;
    SampleDir[_b] = { fqn: "projen.SampleDir", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/readme.js
var require_readme3 = __commonJS({
  "../blueprint/node_modules/projen/lib/readme.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleReadme = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var sample_file_1 = require_sample_file3();
    var SampleReadme = class extends sample_file_1.SampleFile {
      constructor(project, props) {
        super(project, props?.filename ?? "README.md", {
          contents: props?.contents ?? "# replace this"
        });
      }
    };
    exports2.SampleReadme = SampleReadme;
    _a = JSII_RTTI_SYMBOL_1;
    SampleReadme[_a] = { fqn: "projen.SampleReadme", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/semver/internal/constants.js
var require_constants8 = __commonJS({
  "../blueprint/node_modules/semver/internal/constants.js"(exports2, module2) {
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH = 256;
    var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    module2.exports = {
      MAX_LENGTH,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
  }
});

// ../blueprint/node_modules/semver/internal/debug.js
var require_debug3 = __commonJS({
  "../blueprint/node_modules/semver/internal/debug.js"(exports2, module2) {
    var debug = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args) => console.error("SEMVER", ...args) : () => {
    };
    module2.exports = debug;
  }
});

// ../blueprint/node_modules/semver/internal/re.js
var require_re3 = __commonJS({
  "../blueprint/node_modules/semver/internal/re.js"(exports2, module2) {
    var { MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH } = require_constants8();
    var debug = require_debug3();
    exports2 = module2.exports = {};
    var re = exports2.re = [];
    var safeRe = exports2.safeRe = [];
    var src = exports2.src = [];
    var t = exports2.t = {};
    var R = 0;
    var LETTERDASHNUMBER = "[a-zA-Z0-9-]";
    var safeRegexReplacements = [
      ["\\s", 1],
      ["\\d", MAX_SAFE_COMPONENT_LENGTH],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH]
    ];
    var makeSafeRegex = (value) => {
      for (const [token, max] of safeRegexReplacements) {
        value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
      }
      return value;
    };
    var createToken = (name, value, isGlobal) => {
      const safe = makeSafeRegex(value);
      const index = R++;
      debug(name, index, value);
      t[name] = index;
      src[index] = value;
      re[index] = new RegExp(value, isGlobal ? "g" : void 0);
      safeRe[index] = new RegExp(safe, isGlobal ? "g" : void 0);
    };
    createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
    createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
    createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
    createToken("MAINVERSION", `(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})`);
    createToken("MAINVERSIONLOOSE", `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})`);
    createToken("PRERELEASEIDENTIFIER", `(?:${src[t.NUMERICIDENTIFIER]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src[t.NUMERICIDENTIFIERLOOSE]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASE", `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`);
    createToken("PRERELEASELOOSE", `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`);
    createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
    createToken("BUILD", `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`);
    createToken("FULLPLAIN", `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`);
    createToken("FULL", `^${src[t.FULLPLAIN]}$`);
    createToken("LOOSEPLAIN", `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`);
    createToken("LOOSE", `^${src[t.LOOSEPLAIN]}$`);
    createToken("GTLT", "((?:<|>)?=?)");
    createToken("XRANGEIDENTIFIERLOOSE", `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
    createToken("XRANGEIDENTIFIER", `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`);
    createToken("XRANGEPLAIN", `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`);
    createToken("XRANGELOOSE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:$|[^\\d])`);
    createToken("COERCERTL", src[t.COERCE], true);
    createToken("LONETILDE", "(?:~>?)");
    createToken("TILDETRIM", `(\\s*)${src[t.LONETILDE]}\\s+`, true);
    exports2.tildeTrimReplace = "$1~";
    createToken("TILDE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`);
    createToken("TILDELOOSE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("LONECARET", "(?:\\^)");
    createToken("CARETTRIM", `(\\s*)${src[t.LONECARET]}\\s+`, true);
    exports2.caretTrimReplace = "$1^";
    createToken("CARET", `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`);
    createToken("CARETLOOSE", `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COMPARATORLOOSE", `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`);
    createToken("COMPARATOR", `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`);
    createToken("COMPARATORTRIM", `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true);
    exports2.comparatorTrimReplace = "$1$2$3";
    createToken("HYPHENRANGE", `^\\s*(${src[t.XRANGEPLAIN]})\\s+-\\s+(${src[t.XRANGEPLAIN]})\\s*$`);
    createToken("HYPHENRANGELOOSE", `^\\s*(${src[t.XRANGEPLAINLOOSE]})\\s+-\\s+(${src[t.XRANGEPLAINLOOSE]})\\s*$`);
    createToken("STAR", "(<|>)?=?\\s*\\*");
    createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
    createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
  }
});

// ../blueprint/node_modules/semver/internal/parse-options.js
var require_parse_options3 = __commonJS({
  "../blueprint/node_modules/semver/internal/parse-options.js"(exports2, module2) {
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions = (options) => {
      if (!options) {
        return emptyOpts;
      }
      if (typeof options !== "object") {
        return looseOption;
      }
      return options;
    };
    module2.exports = parseOptions;
  }
});

// ../blueprint/node_modules/semver/internal/identifiers.js
var require_identifiers3 = __commonJS({
  "../blueprint/node_modules/semver/internal/identifiers.js"(exports2, module2) {
    var numeric = /^[0-9]+$/;
    var compareIdentifiers = (a, b) => {
      const anum = numeric.test(a);
      const bnum = numeric.test(b);
      if (anum && bnum) {
        a = +a;
        b = +b;
      }
      return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
    };
    var rcompareIdentifiers = (a, b) => compareIdentifiers(b, a);
    module2.exports = {
      compareIdentifiers,
      rcompareIdentifiers
    };
  }
});

// ../blueprint/node_modules/semver/classes/semver.js
var require_semver9 = __commonJS({
  "../blueprint/node_modules/semver/classes/semver.js"(exports2, module2) {
    var debug = require_debug3();
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = require_constants8();
    var { safeRe: re, t } = require_re3();
    var parseOptions = require_parse_options3();
    var { compareIdentifiers } = require_identifiers3();
    var SemVer = class _SemVer {
      constructor(version, options) {
        options = parseOptions(options);
        if (version instanceof _SemVer) {
          if (version.loose === !!options.loose && version.includePrerelease === !!options.includePrerelease) {
            return version;
          } else {
            version = version.version;
          }
        } else if (typeof version !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version}".`);
        }
        if (version.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version, options);
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m) {
          throw new TypeError(`Invalid Version: ${version}`);
        }
        this.raw = version;
        this.major = +m[1];
        this.minor = +m[2];
        this.patch = +m[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m[4].split(".").map((id) => {
            if (/^[0-9]+$/.test(id)) {
              const num = +id;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id;
          });
        }
        this.build = m[5] ? m[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i = 0;
        do {
          const a = this.prerelease[i];
          const b = other.prerelease[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        let i = 0;
        do {
          const a = this.build[i];
          const b = other.build[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i = this.prerelease.length;
              while (--i >= 0) {
                if (typeof this.prerelease[i] === "number") {
                  this.prerelease[i]++;
                  i = -2;
                }
              }
              if (i === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    module2.exports = SemVer;
  }
});

// ../blueprint/node_modules/semver/functions/parse.js
var require_parse7 = __commonJS({
  "../blueprint/node_modules/semver/functions/parse.js"(exports2, module2) {
    var SemVer = require_semver9();
    var parse = (version, options, throwErrors = false) => {
      if (version instanceof SemVer) {
        return version;
      }
      try {
        return new SemVer(version, options);
      } catch (er) {
        if (!throwErrors) {
          return null;
        }
        throw er;
      }
    };
    module2.exports = parse;
  }
});

// ../blueprint/node_modules/semver/functions/valid.js
var require_valid5 = __commonJS({
  "../blueprint/node_modules/semver/functions/valid.js"(exports2, module2) {
    var parse = require_parse7();
    var valid = (version, options) => {
      const v = parse(version, options);
      return v ? v.version : null;
    };
    module2.exports = valid;
  }
});

// ../blueprint/node_modules/semver/functions/clean.js
var require_clean3 = __commonJS({
  "../blueprint/node_modules/semver/functions/clean.js"(exports2, module2) {
    var parse = require_parse7();
    var clean = (version, options) => {
      const s = parse(version.trim().replace(/^[=v]+/, ""), options);
      return s ? s.version : null;
    };
    module2.exports = clean;
  }
});

// ../blueprint/node_modules/semver/functions/inc.js
var require_inc3 = __commonJS({
  "../blueprint/node_modules/semver/functions/inc.js"(exports2, module2) {
    var SemVer = require_semver9();
    var inc = (version, release, options, identifier, identifierBase) => {
      if (typeof options === "string") {
        identifierBase = identifier;
        identifier = options;
        options = void 0;
      }
      try {
        return new SemVer(
          version instanceof SemVer ? version.version : version,
          options
        ).inc(release, identifier, identifierBase).version;
      } catch (er) {
        return null;
      }
    };
    module2.exports = inc;
  }
});

// ../blueprint/node_modules/semver/functions/diff.js
var require_diff3 = __commonJS({
  "../blueprint/node_modules/semver/functions/diff.js"(exports2, module2) {
    var parse = require_parse7();
    var diff = (version1, version2) => {
      const v1 = parse(version1, null, true);
      const v2 = parse(version2, null, true);
      const comparison = v1.compare(v2);
      if (comparison === 0) {
        return null;
      }
      const v1Higher = comparison > 0;
      const highVersion = v1Higher ? v1 : v2;
      const lowVersion = v1Higher ? v2 : v1;
      const highHasPre = !!highVersion.prerelease.length;
      const lowHasPre = !!lowVersion.prerelease.length;
      if (lowHasPre && !highHasPre) {
        if (!lowVersion.patch && !lowVersion.minor) {
          return "major";
        }
        if (highVersion.patch) {
          return "patch";
        }
        if (highVersion.minor) {
          return "minor";
        }
        return "major";
      }
      const prefix = highHasPre ? "pre" : "";
      if (v1.major !== v2.major) {
        return prefix + "major";
      }
      if (v1.minor !== v2.minor) {
        return prefix + "minor";
      }
      if (v1.patch !== v2.patch) {
        return prefix + "patch";
      }
      return "prerelease";
    };
    module2.exports = diff;
  }
});

// ../blueprint/node_modules/semver/functions/major.js
var require_major3 = __commonJS({
  "../blueprint/node_modules/semver/functions/major.js"(exports2, module2) {
    var SemVer = require_semver9();
    var major = (a, loose) => new SemVer(a, loose).major;
    module2.exports = major;
  }
});

// ../blueprint/node_modules/semver/functions/minor.js
var require_minor3 = __commonJS({
  "../blueprint/node_modules/semver/functions/minor.js"(exports2, module2) {
    var SemVer = require_semver9();
    var minor = (a, loose) => new SemVer(a, loose).minor;
    module2.exports = minor;
  }
});

// ../blueprint/node_modules/semver/functions/patch.js
var require_patch3 = __commonJS({
  "../blueprint/node_modules/semver/functions/patch.js"(exports2, module2) {
    var SemVer = require_semver9();
    var patch = (a, loose) => new SemVer(a, loose).patch;
    module2.exports = patch;
  }
});

// ../blueprint/node_modules/semver/functions/prerelease.js
var require_prerelease3 = __commonJS({
  "../blueprint/node_modules/semver/functions/prerelease.js"(exports2, module2) {
    var parse = require_parse7();
    var prerelease = (version, options) => {
      const parsed = parse(version, options);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    };
    module2.exports = prerelease;
  }
});

// ../blueprint/node_modules/semver/functions/compare.js
var require_compare3 = __commonJS({
  "../blueprint/node_modules/semver/functions/compare.js"(exports2, module2) {
    var SemVer = require_semver9();
    var compare = (a, b, loose) => new SemVer(a, loose).compare(new SemVer(b, loose));
    module2.exports = compare;
  }
});

// ../blueprint/node_modules/semver/functions/rcompare.js
var require_rcompare3 = __commonJS({
  "../blueprint/node_modules/semver/functions/rcompare.js"(exports2, module2) {
    var compare = require_compare3();
    var rcompare = (a, b, loose) => compare(b, a, loose);
    module2.exports = rcompare;
  }
});

// ../blueprint/node_modules/semver/functions/compare-loose.js
var require_compare_loose3 = __commonJS({
  "../blueprint/node_modules/semver/functions/compare-loose.js"(exports2, module2) {
    var compare = require_compare3();
    var compareLoose = (a, b) => compare(a, b, true);
    module2.exports = compareLoose;
  }
});

// ../blueprint/node_modules/semver/functions/compare-build.js
var require_compare_build3 = __commonJS({
  "../blueprint/node_modules/semver/functions/compare-build.js"(exports2, module2) {
    var SemVer = require_semver9();
    var compareBuild = (a, b, loose) => {
      const versionA = new SemVer(a, loose);
      const versionB = new SemVer(b, loose);
      return versionA.compare(versionB) || versionA.compareBuild(versionB);
    };
    module2.exports = compareBuild;
  }
});

// ../blueprint/node_modules/semver/functions/sort.js
var require_sort3 = __commonJS({
  "../blueprint/node_modules/semver/functions/sort.js"(exports2, module2) {
    var compareBuild = require_compare_build3();
    var sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose));
    module2.exports = sort;
  }
});

// ../blueprint/node_modules/semver/functions/rsort.js
var require_rsort3 = __commonJS({
  "../blueprint/node_modules/semver/functions/rsort.js"(exports2, module2) {
    var compareBuild = require_compare_build3();
    var rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose));
    module2.exports = rsort;
  }
});

// ../blueprint/node_modules/semver/functions/gt.js
var require_gt3 = __commonJS({
  "../blueprint/node_modules/semver/functions/gt.js"(exports2, module2) {
    var compare = require_compare3();
    var gt = (a, b, loose) => compare(a, b, loose) > 0;
    module2.exports = gt;
  }
});

// ../blueprint/node_modules/semver/functions/lt.js
var require_lt3 = __commonJS({
  "../blueprint/node_modules/semver/functions/lt.js"(exports2, module2) {
    var compare = require_compare3();
    var lt = (a, b, loose) => compare(a, b, loose) < 0;
    module2.exports = lt;
  }
});

// ../blueprint/node_modules/semver/functions/eq.js
var require_eq3 = __commonJS({
  "../blueprint/node_modules/semver/functions/eq.js"(exports2, module2) {
    var compare = require_compare3();
    var eq = (a, b, loose) => compare(a, b, loose) === 0;
    module2.exports = eq;
  }
});

// ../blueprint/node_modules/semver/functions/neq.js
var require_neq3 = __commonJS({
  "../blueprint/node_modules/semver/functions/neq.js"(exports2, module2) {
    var compare = require_compare3();
    var neq = (a, b, loose) => compare(a, b, loose) !== 0;
    module2.exports = neq;
  }
});

// ../blueprint/node_modules/semver/functions/gte.js
var require_gte3 = __commonJS({
  "../blueprint/node_modules/semver/functions/gte.js"(exports2, module2) {
    var compare = require_compare3();
    var gte = (a, b, loose) => compare(a, b, loose) >= 0;
    module2.exports = gte;
  }
});

// ../blueprint/node_modules/semver/functions/lte.js
var require_lte3 = __commonJS({
  "../blueprint/node_modules/semver/functions/lte.js"(exports2, module2) {
    var compare = require_compare3();
    var lte = (a, b, loose) => compare(a, b, loose) <= 0;
    module2.exports = lte;
  }
});

// ../blueprint/node_modules/semver/functions/cmp.js
var require_cmp3 = __commonJS({
  "../blueprint/node_modules/semver/functions/cmp.js"(exports2, module2) {
    var eq = require_eq3();
    var neq = require_neq3();
    var gt = require_gt3();
    var gte = require_gte3();
    var lt = require_lt3();
    var lte = require_lte3();
    var cmp = (a, op, b, loose) => {
      switch (op) {
        case "===":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a === b;
        case "!==":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a !== b;
        case "":
        case "=":
        case "==":
          return eq(a, b, loose);
        case "!=":
          return neq(a, b, loose);
        case ">":
          return gt(a, b, loose);
        case ">=":
          return gte(a, b, loose);
        case "<":
          return lt(a, b, loose);
        case "<=":
          return lte(a, b, loose);
        default:
          throw new TypeError(`Invalid operator: ${op}`);
      }
    };
    module2.exports = cmp;
  }
});

// ../blueprint/node_modules/semver/functions/coerce.js
var require_coerce3 = __commonJS({
  "../blueprint/node_modules/semver/functions/coerce.js"(exports2, module2) {
    var SemVer = require_semver9();
    var parse = require_parse7();
    var { safeRe: re, t } = require_re3();
    var coerce = (version, options) => {
      if (version instanceof SemVer) {
        return version;
      }
      if (typeof version === "number") {
        version = String(version);
      }
      if (typeof version !== "string") {
        return null;
      }
      options = options || {};
      let match = null;
      if (!options.rtl) {
        match = version.match(re[t.COERCE]);
      } else {
        let next;
        while ((next = re[t.COERCERTL].exec(version)) && (!match || match.index + match[0].length !== version.length)) {
          if (!match || next.index + next[0].length !== match.index + match[0].length) {
            match = next;
          }
          re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
        }
        re[t.COERCERTL].lastIndex = -1;
      }
      if (match === null) {
        return null;
      }
      return parse(`${match[2]}.${match[3] || "0"}.${match[4] || "0"}`, options);
    };
    module2.exports = coerce;
  }
});

// ../blueprint/node_modules/yallist/iterator.js
var require_iterator3 = __commonJS({
  "../blueprint/node_modules/yallist/iterator.js"(exports2, module2) {
    "use strict";
    module2.exports = function(Yallist) {
      Yallist.prototype[Symbol.iterator] = function* () {
        for (let walker = this.head; walker; walker = walker.next) {
          yield walker.value;
        }
      };
    };
  }
});

// ../blueprint/node_modules/yallist/yallist.js
var require_yallist3 = __commonJS({
  "../blueprint/node_modules/yallist/yallist.js"(exports2, module2) {
    "use strict";
    module2.exports = Yallist;
    Yallist.Node = Node;
    Yallist.create = Yallist;
    function Yallist(list) {
      var self2 = this;
      if (!(self2 instanceof Yallist)) {
        self2 = new Yallist();
      }
      self2.tail = null;
      self2.head = null;
      self2.length = 0;
      if (list && typeof list.forEach === "function") {
        list.forEach(function(item) {
          self2.push(item);
        });
      } else if (arguments.length > 0) {
        for (var i = 0, l = arguments.length; i < l; i++) {
          self2.push(arguments[i]);
        }
      }
      return self2;
    }
    Yallist.prototype.removeNode = function(node) {
      if (node.list !== this) {
        throw new Error("removing node which does not belong to this list");
      }
      var next = node.next;
      var prev = node.prev;
      if (next) {
        next.prev = prev;
      }
      if (prev) {
        prev.next = next;
      }
      if (node === this.head) {
        this.head = next;
      }
      if (node === this.tail) {
        this.tail = prev;
      }
      node.list.length--;
      node.next = null;
      node.prev = null;
      node.list = null;
      return next;
    };
    Yallist.prototype.unshiftNode = function(node) {
      if (node === this.head) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var head = this.head;
      node.list = this;
      node.next = head;
      if (head) {
        head.prev = node;
      }
      this.head = node;
      if (!this.tail) {
        this.tail = node;
      }
      this.length++;
    };
    Yallist.prototype.pushNode = function(node) {
      if (node === this.tail) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var tail = this.tail;
      node.list = this;
      node.prev = tail;
      if (tail) {
        tail.next = node;
      }
      this.tail = node;
      if (!this.head) {
        this.head = node;
      }
      this.length++;
    };
    Yallist.prototype.push = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        push(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.unshift = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        unshift(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.pop = function() {
      if (!this.tail) {
        return void 0;
      }
      var res = this.tail.value;
      this.tail = this.tail.prev;
      if (this.tail) {
        this.tail.next = null;
      } else {
        this.head = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.shift = function() {
      if (!this.head) {
        return void 0;
      }
      var res = this.head.value;
      this.head = this.head.next;
      if (this.head) {
        this.head.prev = null;
      } else {
        this.tail = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.forEach = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.head, i = 0; walker !== null; i++) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.next;
      }
    };
    Yallist.prototype.forEachReverse = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.prev;
      }
    };
    Yallist.prototype.get = function(n) {
      for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
        walker = walker.next;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.getReverse = function(n) {
      for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
        walker = walker.prev;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.map = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.head; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.next;
      }
      return res;
    };
    Yallist.prototype.mapReverse = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.tail; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.prev;
      }
      return res;
    };
    Yallist.prototype.reduce = function(fn, initial) {
      var acc;
      var walker = this.head;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.head) {
        walker = this.head.next;
        acc = this.head.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = 0; walker !== null; i++) {
        acc = fn(acc, walker.value, i);
        walker = walker.next;
      }
      return acc;
    };
    Yallist.prototype.reduceReverse = function(fn, initial) {
      var acc;
      var walker = this.tail;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.tail) {
        walker = this.tail.prev;
        acc = this.tail.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = this.length - 1; walker !== null; i--) {
        acc = fn(acc, walker.value, i);
        walker = walker.prev;
      }
      return acc;
    };
    Yallist.prototype.toArray = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.head; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.next;
      }
      return arr;
    };
    Yallist.prototype.toArrayReverse = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.tail; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.prev;
      }
      return arr;
    };
    Yallist.prototype.slice = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
        walker = walker.next;
      }
      for (; walker !== null && i < to; i++, walker = walker.next) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.sliceReverse = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
        walker = walker.prev;
      }
      for (; walker !== null && i > from; i--, walker = walker.prev) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.splice = function(start, deleteCount, ...nodes) {
      if (start > this.length) {
        start = this.length - 1;
      }
      if (start < 0) {
        start = this.length + start;
      }
      for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
        walker = walker.next;
      }
      var ret = [];
      for (var i = 0; walker && i < deleteCount; i++) {
        ret.push(walker.value);
        walker = this.removeNode(walker);
      }
      if (walker === null) {
        walker = this.tail;
      }
      if (walker !== this.head && walker !== this.tail) {
        walker = walker.prev;
      }
      for (var i = 0; i < nodes.length; i++) {
        walker = insert(this, walker, nodes[i]);
      }
      return ret;
    };
    Yallist.prototype.reverse = function() {
      var head = this.head;
      var tail = this.tail;
      for (var walker = head; walker !== null; walker = walker.prev) {
        var p = walker.prev;
        walker.prev = walker.next;
        walker.next = p;
      }
      this.head = tail;
      this.tail = head;
      return this;
    };
    function insert(self2, node, value) {
      var inserted = node === self2.head ? new Node(value, null, node, self2) : new Node(value, node, node.next, self2);
      if (inserted.next === null) {
        self2.tail = inserted;
      }
      if (inserted.prev === null) {
        self2.head = inserted;
      }
      self2.length++;
      return inserted;
    }
    function push(self2, item) {
      self2.tail = new Node(item, self2.tail, null, self2);
      if (!self2.head) {
        self2.head = self2.tail;
      }
      self2.length++;
    }
    function unshift(self2, item) {
      self2.head = new Node(item, null, self2.head, self2);
      if (!self2.tail) {
        self2.tail = self2.head;
      }
      self2.length++;
    }
    function Node(value, prev, next, list) {
      if (!(this instanceof Node)) {
        return new Node(value, prev, next, list);
      }
      this.list = list;
      this.value = value;
      if (prev) {
        prev.next = this;
        this.prev = prev;
      } else {
        this.prev = null;
      }
      if (next) {
        next.prev = this;
        this.next = next;
      } else {
        this.next = null;
      }
    }
    try {
      require_iterator3()(Yallist);
    } catch (er) {
    }
  }
});

// ../blueprint/node_modules/semver/node_modules/lru-cache/index.js
var require_lru_cache3 = __commonJS({
  "../blueprint/node_modules/semver/node_modules/lru-cache/index.js"(exports2, module2) {
    "use strict";
    var Yallist = require_yallist3();
    var MAX = Symbol("max");
    var LENGTH = Symbol("length");
    var LENGTH_CALCULATOR = Symbol("lengthCalculator");
    var ALLOW_STALE = Symbol("allowStale");
    var MAX_AGE = Symbol("maxAge");
    var DISPOSE = Symbol("dispose");
    var NO_DISPOSE_ON_SET = Symbol("noDisposeOnSet");
    var LRU_LIST = Symbol("lruList");
    var CACHE = Symbol("cache");
    var UPDATE_AGE_ON_GET = Symbol("updateAgeOnGet");
    var naiveLength = () => 1;
    var LRUCache = class {
      constructor(options) {
        if (typeof options === "number")
          options = { max: options };
        if (!options)
          options = {};
        if (options.max && (typeof options.max !== "number" || options.max < 0))
          throw new TypeError("max must be a non-negative number");
        const max = this[MAX] = options.max || Infinity;
        const lc = options.length || naiveLength;
        this[LENGTH_CALCULATOR] = typeof lc !== "function" ? naiveLength : lc;
        this[ALLOW_STALE] = options.stale || false;
        if (options.maxAge && typeof options.maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        this[MAX_AGE] = options.maxAge || 0;
        this[DISPOSE] = options.dispose;
        this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
        this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
        this.reset();
      }
      // resize the cache when the max changes.
      set max(mL) {
        if (typeof mL !== "number" || mL < 0)
          throw new TypeError("max must be a non-negative number");
        this[MAX] = mL || Infinity;
        trim(this);
      }
      get max() {
        return this[MAX];
      }
      set allowStale(allowStale) {
        this[ALLOW_STALE] = !!allowStale;
      }
      get allowStale() {
        return this[ALLOW_STALE];
      }
      set maxAge(mA) {
        if (typeof mA !== "number")
          throw new TypeError("maxAge must be a non-negative number");
        this[MAX_AGE] = mA;
        trim(this);
      }
      get maxAge() {
        return this[MAX_AGE];
      }
      // resize the cache when the lengthCalculator changes.
      set lengthCalculator(lC) {
        if (typeof lC !== "function")
          lC = naiveLength;
        if (lC !== this[LENGTH_CALCULATOR]) {
          this[LENGTH_CALCULATOR] = lC;
          this[LENGTH] = 0;
          this[LRU_LIST].forEach((hit) => {
            hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
            this[LENGTH] += hit.length;
          });
        }
        trim(this);
      }
      get lengthCalculator() {
        return this[LENGTH_CALCULATOR];
      }
      get length() {
        return this[LENGTH];
      }
      get itemCount() {
        return this[LRU_LIST].length;
      }
      rforEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].tail; walker !== null; ) {
          const prev = walker.prev;
          forEachStep(this, fn, walker, thisp);
          walker = prev;
        }
      }
      forEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].head; walker !== null; ) {
          const next = walker.next;
          forEachStep(this, fn, walker, thisp);
          walker = next;
        }
      }
      keys() {
        return this[LRU_LIST].toArray().map((k) => k.key);
      }
      values() {
        return this[LRU_LIST].toArray().map((k) => k.value);
      }
      reset() {
        if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
          this[LRU_LIST].forEach((hit) => this[DISPOSE](hit.key, hit.value));
        }
        this[CACHE] = /* @__PURE__ */ new Map();
        this[LRU_LIST] = new Yallist();
        this[LENGTH] = 0;
      }
      dump() {
        return this[LRU_LIST].map((hit) => isStale(this, hit) ? false : {
          k: hit.key,
          v: hit.value,
          e: hit.now + (hit.maxAge || 0)
        }).toArray().filter((h) => h);
      }
      dumpLru() {
        return this[LRU_LIST];
      }
      set(key, value, maxAge) {
        maxAge = maxAge || this[MAX_AGE];
        if (maxAge && typeof maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        const now = maxAge ? Date.now() : 0;
        const len = this[LENGTH_CALCULATOR](value, key);
        if (this[CACHE].has(key)) {
          if (len > this[MAX]) {
            del(this, this[CACHE].get(key));
            return false;
          }
          const node = this[CACHE].get(key);
          const item = node.value;
          if (this[DISPOSE]) {
            if (!this[NO_DISPOSE_ON_SET])
              this[DISPOSE](key, item.value);
          }
          item.now = now;
          item.maxAge = maxAge;
          item.value = value;
          this[LENGTH] += len - item.length;
          item.length = len;
          this.get(key);
          trim(this);
          return true;
        }
        const hit = new Entry(key, value, len, now, maxAge);
        if (hit.length > this[MAX]) {
          if (this[DISPOSE])
            this[DISPOSE](key, value);
          return false;
        }
        this[LENGTH] += hit.length;
        this[LRU_LIST].unshift(hit);
        this[CACHE].set(key, this[LRU_LIST].head);
        trim(this);
        return true;
      }
      has(key) {
        if (!this[CACHE].has(key))
          return false;
        const hit = this[CACHE].get(key).value;
        return !isStale(this, hit);
      }
      get(key) {
        return get(this, key, true);
      }
      peek(key) {
        return get(this, key, false);
      }
      pop() {
        const node = this[LRU_LIST].tail;
        if (!node)
          return null;
        del(this, node);
        return node.value;
      }
      del(key) {
        del(this, this[CACHE].get(key));
      }
      load(arr) {
        this.reset();
        const now = Date.now();
        for (let l = arr.length - 1; l >= 0; l--) {
          const hit = arr[l];
          const expiresAt = hit.e || 0;
          if (expiresAt === 0)
            this.set(hit.k, hit.v);
          else {
            const maxAge = expiresAt - now;
            if (maxAge > 0) {
              this.set(hit.k, hit.v, maxAge);
            }
          }
        }
      }
      prune() {
        this[CACHE].forEach((value, key) => get(this, key, false));
      }
    };
    var get = (self2, key, doUse) => {
      const node = self2[CACHE].get(key);
      if (node) {
        const hit = node.value;
        if (isStale(self2, hit)) {
          del(self2, node);
          if (!self2[ALLOW_STALE])
            return void 0;
        } else {
          if (doUse) {
            if (self2[UPDATE_AGE_ON_GET])
              node.value.now = Date.now();
            self2[LRU_LIST].unshiftNode(node);
          }
        }
        return hit.value;
      }
    };
    var isStale = (self2, hit) => {
      if (!hit || !hit.maxAge && !self2[MAX_AGE])
        return false;
      const diff = Date.now() - hit.now;
      return hit.maxAge ? diff > hit.maxAge : self2[MAX_AGE] && diff > self2[MAX_AGE];
    };
    var trim = (self2) => {
      if (self2[LENGTH] > self2[MAX]) {
        for (let walker = self2[LRU_LIST].tail; self2[LENGTH] > self2[MAX] && walker !== null; ) {
          const prev = walker.prev;
          del(self2, walker);
          walker = prev;
        }
      }
    };
    var del = (self2, node) => {
      if (node) {
        const hit = node.value;
        if (self2[DISPOSE])
          self2[DISPOSE](hit.key, hit.value);
        self2[LENGTH] -= hit.length;
        self2[CACHE].delete(hit.key);
        self2[LRU_LIST].removeNode(node);
      }
    };
    var Entry = class {
      constructor(key, value, length, now, maxAge) {
        this.key = key;
        this.value = value;
        this.length = length;
        this.now = now;
        this.maxAge = maxAge || 0;
      }
    };
    var forEachStep = (self2, fn, node, thisp) => {
      let hit = node.value;
      if (isStale(self2, hit)) {
        del(self2, node);
        if (!self2[ALLOW_STALE])
          hit = void 0;
      }
      if (hit)
        fn.call(thisp, hit.value, hit.key, self2);
    };
    module2.exports = LRUCache;
  }
});

// ../blueprint/node_modules/semver/classes/range.js
var require_range3 = __commonJS({
  "../blueprint/node_modules/semver/classes/range.js"(exports2, module2) {
    var Range = class _Range {
      constructor(range, options) {
        options = parseOptions(options);
        if (range instanceof _Range) {
          if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
            return range;
          } else {
            return new _Range(range.raw, options);
          }
        }
        if (range instanceof Comparator) {
          this.raw = range.value;
          this.set = [[range]];
          this.format();
          return this;
        }
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        this.raw = range.trim().split(/\s+/).join(" ");
        this.set = this.raw.split("||").map((r) => this.parseRange(r)).filter((c) => c.length);
        if (!this.set.length) {
          throw new TypeError(`Invalid SemVer Range: ${this.raw}`);
        }
        if (this.set.length > 1) {
          const first = this.set[0];
          this.set = this.set.filter((c) => !isNullSet(c[0]));
          if (this.set.length === 0) {
            this.set = [first];
          } else if (this.set.length > 1) {
            for (const c of this.set) {
              if (c.length === 1 && isAny(c[0])) {
                this.set = [c];
                break;
              }
            }
          }
        }
        this.format();
      }
      format() {
        this.range = this.set.map((comps) => comps.join(" ").trim()).join("||").trim();
        return this.range;
      }
      toString() {
        return this.range;
      }
      parseRange(range) {
        const memoOpts = (this.options.includePrerelease && FLAG_INCLUDE_PRERELEASE) | (this.options.loose && FLAG_LOOSE);
        const memoKey = memoOpts + ":" + range;
        const cached = cache.get(memoKey);
        if (cached) {
          return cached;
        }
        const loose = this.options.loose;
        const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE];
        range = range.replace(hr, hyphenReplace(this.options.includePrerelease));
        debug("hyphen replace", range);
        range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace);
        debug("comparator trim", range);
        range = range.replace(re[t.TILDETRIM], tildeTrimReplace);
        debug("tilde trim", range);
        range = range.replace(re[t.CARETTRIM], caretTrimReplace);
        debug("caret trim", range);
        let rangeList = range.split(" ").map((comp) => parseComparator(comp, this.options)).join(" ").split(/\s+/).map((comp) => replaceGTE0(comp, this.options));
        if (loose) {
          rangeList = rangeList.filter((comp) => {
            debug("loose invalid filter", comp, this.options);
            return !!comp.match(re[t.COMPARATORLOOSE]);
          });
        }
        debug("range list", rangeList);
        const rangeMap = /* @__PURE__ */ new Map();
        const comparators = rangeList.map((comp) => new Comparator(comp, this.options));
        for (const comp of comparators) {
          if (isNullSet(comp)) {
            return [comp];
          }
          rangeMap.set(comp.value, comp);
        }
        if (rangeMap.size > 1 && rangeMap.has("")) {
          rangeMap.delete("");
        }
        const result = [...rangeMap.values()];
        cache.set(memoKey, result);
        return result;
      }
      intersects(range, options) {
        if (!(range instanceof _Range)) {
          throw new TypeError("a Range is required");
        }
        return this.set.some((thisComparators) => {
          return isSatisfiable(thisComparators, options) && range.set.some((rangeComparators) => {
            return isSatisfiable(rangeComparators, options) && thisComparators.every((thisComparator) => {
              return rangeComparators.every((rangeComparator) => {
                return thisComparator.intersects(rangeComparator, options);
              });
            });
          });
        });
      }
      // if ANY of the sets match ALL of its comparators, then pass
      test(version) {
        if (!version) {
          return false;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        for (let i = 0; i < this.set.length; i++) {
          if (testSet(this.set[i], version, this.options)) {
            return true;
          }
        }
        return false;
      }
    };
    module2.exports = Range;
    var LRU = require_lru_cache3();
    var cache = new LRU({ max: 1e3 });
    var parseOptions = require_parse_options3();
    var Comparator = require_comparator3();
    var debug = require_debug3();
    var SemVer = require_semver9();
    var {
      safeRe: re,
      t,
      comparatorTrimReplace,
      tildeTrimReplace,
      caretTrimReplace
    } = require_re3();
    var { FLAG_INCLUDE_PRERELEASE, FLAG_LOOSE } = require_constants8();
    var isNullSet = (c) => c.value === "<0.0.0-0";
    var isAny = (c) => c.value === "";
    var isSatisfiable = (comparators, options) => {
      let result = true;
      const remainingComparators = comparators.slice();
      let testComparator = remainingComparators.pop();
      while (result && remainingComparators.length) {
        result = remainingComparators.every((otherComparator) => {
          return testComparator.intersects(otherComparator, options);
        });
        testComparator = remainingComparators.pop();
      }
      return result;
    };
    var parseComparator = (comp, options) => {
      debug("comp", comp, options);
      comp = replaceCarets(comp, options);
      debug("caret", comp);
      comp = replaceTildes(comp, options);
      debug("tildes", comp);
      comp = replaceXRanges(comp, options);
      debug("xrange", comp);
      comp = replaceStars(comp, options);
      debug("stars", comp);
      return comp;
    };
    var isX = (id) => !id || id.toLowerCase() === "x" || id === "*";
    var replaceTildes = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceTilde(c, options)).join(" ");
    };
    var replaceTilde = (comp, options) => {
      const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE];
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("tilde", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0 <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`;
        } else if (pr) {
          debug("replaceTilde pr", pr);
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
        } else {
          ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`;
        }
        debug("tilde return", ret);
        return ret;
      });
    };
    var replaceCarets = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceCaret(c, options)).join(" ");
    };
    var replaceCaret = (comp, options) => {
      debug("caret", comp, options);
      const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET];
      const z = options.includePrerelease ? "-0" : "";
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("caret", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          if (M === "0") {
            ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`;
          } else {
            ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`;
          }
        } else if (pr) {
          debug("replaceCaret pr", pr);
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`;
          }
        } else {
          debug("no pr");
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`;
          }
        }
        debug("caret return", ret);
        return ret;
      });
    };
    var replaceXRanges = (comp, options) => {
      debug("replaceXRanges", comp, options);
      return comp.split(/\s+/).map((c) => replaceXRange(c, options)).join(" ");
    };
    var replaceXRange = (comp, options) => {
      comp = comp.trim();
      const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE];
      return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
        debug("xRange", comp, ret, gtlt, M, m, p, pr);
        const xM = isX(M);
        const xm = xM || isX(m);
        const xp = xm || isX(p);
        const anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        pr = options.includePrerelease ? "-0" : "";
        if (xM) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0-0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm) {
            m = 0;
          }
          p = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm) {
              M = +M + 1;
              m = 0;
              p = 0;
            } else {
              m = +m + 1;
              p = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm) {
              M = +M + 1;
            } else {
              m = +m + 1;
            }
          }
          if (gtlt === "<") {
            pr = "-0";
          }
          ret = `${gtlt + M}.${m}.${p}${pr}`;
        } else if (xm) {
          ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`;
        } else if (xp) {
          ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`;
        }
        debug("xRange return", ret);
        return ret;
      });
    };
    var replaceStars = (comp, options) => {
      debug("replaceStars", comp, options);
      return comp.trim().replace(re[t.STAR], "");
    };
    var replaceGTE0 = (comp, options) => {
      debug("replaceGTE0", comp, options);
      return comp.trim().replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], "");
    };
    var hyphenReplace = (incPr) => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) => {
      if (isX(fM)) {
        from = "";
      } else if (isX(fm)) {
        from = `>=${fM}.0.0${incPr ? "-0" : ""}`;
      } else if (isX(fp)) {
        from = `>=${fM}.${fm}.0${incPr ? "-0" : ""}`;
      } else if (fpr) {
        from = `>=${from}`;
      } else {
        from = `>=${from}${incPr ? "-0" : ""}`;
      }
      if (isX(tM)) {
        to = "";
      } else if (isX(tm)) {
        to = `<${+tM + 1}.0.0-0`;
      } else if (isX(tp)) {
        to = `<${tM}.${+tm + 1}.0-0`;
      } else if (tpr) {
        to = `<=${tM}.${tm}.${tp}-${tpr}`;
      } else if (incPr) {
        to = `<${tM}.${tm}.${+tp + 1}-0`;
      } else {
        to = `<=${to}`;
      }
      return `${from} ${to}`.trim();
    };
    var testSet = (set, version, options) => {
      for (let i = 0; i < set.length; i++) {
        if (!set[i].test(version)) {
          return false;
        }
      }
      if (version.prerelease.length && !options.includePrerelease) {
        for (let i = 0; i < set.length; i++) {
          debug(set[i].semver);
          if (set[i].semver === Comparator.ANY) {
            continue;
          }
          if (set[i].semver.prerelease.length > 0) {
            const allowed = set[i].semver;
            if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    };
  }
});

// ../blueprint/node_modules/semver/classes/comparator.js
var require_comparator3 = __commonJS({
  "../blueprint/node_modules/semver/classes/comparator.js"(exports2, module2) {
    var ANY = Symbol("SemVer ANY");
    var Comparator = class _Comparator {
      static get ANY() {
        return ANY;
      }
      constructor(comp, options) {
        options = parseOptions(options);
        if (comp instanceof _Comparator) {
          if (comp.loose === !!options.loose) {
            return comp;
          } else {
            comp = comp.value;
          }
        }
        comp = comp.trim().split(/\s+/).join(" ");
        debug("comparator", comp, options);
        this.options = options;
        this.loose = !!options.loose;
        this.parse(comp);
        if (this.semver === ANY) {
          this.value = "";
        } else {
          this.value = this.operator + this.semver.version;
        }
        debug("comp", this);
      }
      parse(comp) {
        const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
        const m = comp.match(r);
        if (!m) {
          throw new TypeError(`Invalid comparator: ${comp}`);
        }
        this.operator = m[1] !== void 0 ? m[1] : "";
        if (this.operator === "=") {
          this.operator = "";
        }
        if (!m[2]) {
          this.semver = ANY;
        } else {
          this.semver = new SemVer(m[2], this.options.loose);
        }
      }
      toString() {
        return this.value;
      }
      test(version) {
        debug("Comparator.test", version, this.options.loose);
        if (this.semver === ANY || version === ANY) {
          return true;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        return cmp(version, this.operator, this.semver, this.options);
      }
      intersects(comp, options) {
        if (!(comp instanceof _Comparator)) {
          throw new TypeError("a Comparator is required");
        }
        if (this.operator === "") {
          if (this.value === "") {
            return true;
          }
          return new Range(comp.value, options).test(this.value);
        } else if (comp.operator === "") {
          if (comp.value === "") {
            return true;
          }
          return new Range(this.value, options).test(comp.semver);
        }
        options = parseOptions(options);
        if (options.includePrerelease && (this.value === "<0.0.0-0" || comp.value === "<0.0.0-0")) {
          return false;
        }
        if (!options.includePrerelease && (this.value.startsWith("<0.0.0") || comp.value.startsWith("<0.0.0"))) {
          return false;
        }
        if (this.operator.startsWith(">") && comp.operator.startsWith(">")) {
          return true;
        }
        if (this.operator.startsWith("<") && comp.operator.startsWith("<")) {
          return true;
        }
        if (this.semver.version === comp.semver.version && this.operator.includes("=") && comp.operator.includes("=")) {
          return true;
        }
        if (cmp(this.semver, "<", comp.semver, options) && this.operator.startsWith(">") && comp.operator.startsWith("<")) {
          return true;
        }
        if (cmp(this.semver, ">", comp.semver, options) && this.operator.startsWith("<") && comp.operator.startsWith(">")) {
          return true;
        }
        return false;
      }
    };
    module2.exports = Comparator;
    var parseOptions = require_parse_options3();
    var { safeRe: re, t } = require_re3();
    var cmp = require_cmp3();
    var debug = require_debug3();
    var SemVer = require_semver9();
    var Range = require_range3();
  }
});

// ../blueprint/node_modules/semver/functions/satisfies.js
var require_satisfies3 = __commonJS({
  "../blueprint/node_modules/semver/functions/satisfies.js"(exports2, module2) {
    var Range = require_range3();
    var satisfies = (version, range, options) => {
      try {
        range = new Range(range, options);
      } catch (er) {
        return false;
      }
      return range.test(version);
    };
    module2.exports = satisfies;
  }
});

// ../blueprint/node_modules/semver/ranges/to-comparators.js
var require_to_comparators3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/to-comparators.js"(exports2, module2) {
    var Range = require_range3();
    var toComparators = (range, options) => new Range(range, options).set.map((comp) => comp.map((c) => c.value).join(" ").trim().split(" "));
    module2.exports = toComparators;
  }
});

// ../blueprint/node_modules/semver/ranges/max-satisfying.js
var require_max_satisfying3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/max-satisfying.js"(exports2, module2) {
    var SemVer = require_semver9();
    var Range = require_range3();
    var maxSatisfying = (versions, range, options) => {
      let max = null;
      let maxSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!max || maxSV.compare(v) === -1) {
            max = v;
            maxSV = new SemVer(max, options);
          }
        }
      });
      return max;
    };
    module2.exports = maxSatisfying;
  }
});

// ../blueprint/node_modules/semver/ranges/min-satisfying.js
var require_min_satisfying3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/min-satisfying.js"(exports2, module2) {
    var SemVer = require_semver9();
    var Range = require_range3();
    var minSatisfying = (versions, range, options) => {
      let min = null;
      let minSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!min || minSV.compare(v) === 1) {
            min = v;
            minSV = new SemVer(min, options);
          }
        }
      });
      return min;
    };
    module2.exports = minSatisfying;
  }
});

// ../blueprint/node_modules/semver/ranges/min-version.js
var require_min_version3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/min-version.js"(exports2, module2) {
    var SemVer = require_semver9();
    var Range = require_range3();
    var gt = require_gt3();
    var minVersion = (range, loose) => {
      range = new Range(range, loose);
      let minver = new SemVer("0.0.0");
      if (range.test(minver)) {
        return minver;
      }
      minver = new SemVer("0.0.0-0");
      if (range.test(minver)) {
        return minver;
      }
      minver = null;
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let setMin = null;
        comparators.forEach((comparator) => {
          const compver = new SemVer(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!setMin || gt(compver, setMin)) {
                setMin = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error(`Unexpected operation: ${comparator.operator}`);
          }
        });
        if (setMin && (!minver || gt(minver, setMin))) {
          minver = setMin;
        }
      }
      if (minver && range.test(minver)) {
        return minver;
      }
      return null;
    };
    module2.exports = minVersion;
  }
});

// ../blueprint/node_modules/semver/ranges/valid.js
var require_valid6 = __commonJS({
  "../blueprint/node_modules/semver/ranges/valid.js"(exports2, module2) {
    var Range = require_range3();
    var validRange = (range, options) => {
      try {
        return new Range(range, options).range || "*";
      } catch (er) {
        return null;
      }
    };
    module2.exports = validRange;
  }
});

// ../blueprint/node_modules/semver/ranges/outside.js
var require_outside3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/outside.js"(exports2, module2) {
    var SemVer = require_semver9();
    var Comparator = require_comparator3();
    var { ANY } = Comparator;
    var Range = require_range3();
    var satisfies = require_satisfies3();
    var gt = require_gt3();
    var lt = require_lt3();
    var lte = require_lte3();
    var gte = require_gte3();
    var outside = (version, range, hilo, options) => {
      version = new SemVer(version, options);
      range = new Range(range, options);
      let gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt;
          ltefn = gte;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version, range, options)) {
        return false;
      }
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let high = null;
        let low = null;
        comparators.forEach((comparator) => {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version, low.semver)) {
          return false;
        }
      }
      return true;
    };
    module2.exports = outside;
  }
});

// ../blueprint/node_modules/semver/ranges/gtr.js
var require_gtr3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/gtr.js"(exports2, module2) {
    var outside = require_outside3();
    var gtr = (version, range, options) => outside(version, range, ">", options);
    module2.exports = gtr;
  }
});

// ../blueprint/node_modules/semver/ranges/ltr.js
var require_ltr3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/ltr.js"(exports2, module2) {
    var outside = require_outside3();
    var ltr = (version, range, options) => outside(version, range, "<", options);
    module2.exports = ltr;
  }
});

// ../blueprint/node_modules/semver/ranges/intersects.js
var require_intersects3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/intersects.js"(exports2, module2) {
    var Range = require_range3();
    var intersects = (r1, r2, options) => {
      r1 = new Range(r1, options);
      r2 = new Range(r2, options);
      return r1.intersects(r2, options);
    };
    module2.exports = intersects;
  }
});

// ../blueprint/node_modules/semver/ranges/simplify.js
var require_simplify3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/simplify.js"(exports2, module2) {
    var satisfies = require_satisfies3();
    var compare = require_compare3();
    module2.exports = (versions, range, options) => {
      const set = [];
      let first = null;
      let prev = null;
      const v = versions.sort((a, b) => compare(a, b, options));
      for (const version of v) {
        const included = satisfies(version, range, options);
        if (included) {
          prev = version;
          if (!first) {
            first = version;
          }
        } else {
          if (prev) {
            set.push([first, prev]);
          }
          prev = null;
          first = null;
        }
      }
      if (first) {
        set.push([first, null]);
      }
      const ranges = [];
      for (const [min, max] of set) {
        if (min === max) {
          ranges.push(min);
        } else if (!max && min === v[0]) {
          ranges.push("*");
        } else if (!max) {
          ranges.push(`>=${min}`);
        } else if (min === v[0]) {
          ranges.push(`<=${max}`);
        } else {
          ranges.push(`${min} - ${max}`);
        }
      }
      const simplified = ranges.join(" || ");
      const original = typeof range.raw === "string" ? range.raw : String(range);
      return simplified.length < original.length ? simplified : range;
    };
  }
});

// ../blueprint/node_modules/semver/ranges/subset.js
var require_subset3 = __commonJS({
  "../blueprint/node_modules/semver/ranges/subset.js"(exports2, module2) {
    var Range = require_range3();
    var Comparator = require_comparator3();
    var { ANY } = Comparator;
    var satisfies = require_satisfies3();
    var compare = require_compare3();
    var subset = (sub, dom, options = {}) => {
      if (sub === dom) {
        return true;
      }
      sub = new Range(sub, options);
      dom = new Range(dom, options);
      let sawNonNull = false;
      OUTER:
        for (const simpleSub of sub.set) {
          for (const simpleDom of dom.set) {
            const isSub = simpleSubset(simpleSub, simpleDom, options);
            sawNonNull = sawNonNull || isSub !== null;
            if (isSub) {
              continue OUTER;
            }
          }
          if (sawNonNull) {
            return false;
          }
        }
      return true;
    };
    var minimumVersionWithPreRelease = [new Comparator(">=0.0.0-0")];
    var minimumVersion = [new Comparator(">=0.0.0")];
    var simpleSubset = (sub, dom, options) => {
      if (sub === dom) {
        return true;
      }
      if (sub.length === 1 && sub[0].semver === ANY) {
        if (dom.length === 1 && dom[0].semver === ANY) {
          return true;
        } else if (options.includePrerelease) {
          sub = minimumVersionWithPreRelease;
        } else {
          sub = minimumVersion;
        }
      }
      if (dom.length === 1 && dom[0].semver === ANY) {
        if (options.includePrerelease) {
          return true;
        } else {
          dom = minimumVersion;
        }
      }
      const eqSet = /* @__PURE__ */ new Set();
      let gt, lt;
      for (const c of sub) {
        if (c.operator === ">" || c.operator === ">=") {
          gt = higherGT(gt, c, options);
        } else if (c.operator === "<" || c.operator === "<=") {
          lt = lowerLT(lt, c, options);
        } else {
          eqSet.add(c.semver);
        }
      }
      if (eqSet.size > 1) {
        return null;
      }
      let gtltComp;
      if (gt && lt) {
        gtltComp = compare(gt.semver, lt.semver, options);
        if (gtltComp > 0) {
          return null;
        } else if (gtltComp === 0 && (gt.operator !== ">=" || lt.operator !== "<=")) {
          return null;
        }
      }
      for (const eq of eqSet) {
        if (gt && !satisfies(eq, String(gt), options)) {
          return null;
        }
        if (lt && !satisfies(eq, String(lt), options)) {
          return null;
        }
        for (const c of dom) {
          if (!satisfies(eq, String(c), options)) {
            return false;
          }
        }
        return true;
      }
      let higher, lower;
      let hasDomLT, hasDomGT;
      let needDomLTPre = lt && !options.includePrerelease && lt.semver.prerelease.length ? lt.semver : false;
      let needDomGTPre = gt && !options.includePrerelease && gt.semver.prerelease.length ? gt.semver : false;
      if (needDomLTPre && needDomLTPre.prerelease.length === 1 && lt.operator === "<" && needDomLTPre.prerelease[0] === 0) {
        needDomLTPre = false;
      }
      for (const c of dom) {
        hasDomGT = hasDomGT || c.operator === ">" || c.operator === ">=";
        hasDomLT = hasDomLT || c.operator === "<" || c.operator === "<=";
        if (gt) {
          if (needDomGTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomGTPre.major && c.semver.minor === needDomGTPre.minor && c.semver.patch === needDomGTPre.patch) {
              needDomGTPre = false;
            }
          }
          if (c.operator === ">" || c.operator === ">=") {
            higher = higherGT(gt, c, options);
            if (higher === c && higher !== gt) {
              return false;
            }
          } else if (gt.operator === ">=" && !satisfies(gt.semver, String(c), options)) {
            return false;
          }
        }
        if (lt) {
          if (needDomLTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomLTPre.major && c.semver.minor === needDomLTPre.minor && c.semver.patch === needDomLTPre.patch) {
              needDomLTPre = false;
            }
          }
          if (c.operator === "<" || c.operator === "<=") {
            lower = lowerLT(lt, c, options);
            if (lower === c && lower !== lt) {
              return false;
            }
          } else if (lt.operator === "<=" && !satisfies(lt.semver, String(c), options)) {
            return false;
          }
        }
        if (!c.operator && (lt || gt) && gtltComp !== 0) {
          return false;
        }
      }
      if (gt && hasDomLT && !lt && gtltComp !== 0) {
        return false;
      }
      if (lt && hasDomGT && !gt && gtltComp !== 0) {
        return false;
      }
      if (needDomGTPre || needDomLTPre) {
        return false;
      }
      return true;
    };
    var higherGT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp > 0 ? a : comp < 0 ? b : b.operator === ">" && a.operator === ">=" ? b : a;
    };
    var lowerLT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp < 0 ? a : comp > 0 ? b : b.operator === "<" && a.operator === "<=" ? b : a;
    };
    module2.exports = subset;
  }
});

// ../blueprint/node_modules/semver/index.js
var require_semver10 = __commonJS({
  "../blueprint/node_modules/semver/index.js"(exports2, module2) {
    var internalRe = require_re3();
    var constants = require_constants8();
    var SemVer = require_semver9();
    var identifiers = require_identifiers3();
    var parse = require_parse7();
    var valid = require_valid5();
    var clean = require_clean3();
    var inc = require_inc3();
    var diff = require_diff3();
    var major = require_major3();
    var minor = require_minor3();
    var patch = require_patch3();
    var prerelease = require_prerelease3();
    var compare = require_compare3();
    var rcompare = require_rcompare3();
    var compareLoose = require_compare_loose3();
    var compareBuild = require_compare_build3();
    var sort = require_sort3();
    var rsort = require_rsort3();
    var gt = require_gt3();
    var lt = require_lt3();
    var eq = require_eq3();
    var neq = require_neq3();
    var gte = require_gte3();
    var lte = require_lte3();
    var cmp = require_cmp3();
    var coerce = require_coerce3();
    var Comparator = require_comparator3();
    var Range = require_range3();
    var satisfies = require_satisfies3();
    var toComparators = require_to_comparators3();
    var maxSatisfying = require_max_satisfying3();
    var minSatisfying = require_min_satisfying3();
    var minVersion = require_min_version3();
    var validRange = require_valid6();
    var outside = require_outside3();
    var gtr = require_gtr3();
    var ltr = require_ltr3();
    var intersects = require_intersects3();
    var simplifyRange = require_simplify3();
    var subset = require_subset3();
    module2.exports = {
      parse,
      valid,
      clean,
      inc,
      diff,
      major,
      minor,
      patch,
      prerelease,
      compare,
      rcompare,
      compareLoose,
      compareBuild,
      sort,
      rsort,
      gt,
      lt,
      eq,
      neq,
      gte,
      lte,
      cmp,
      coerce,
      Comparator,
      Range,
      satisfies,
      toComparators,
      maxSatisfying,
      minSatisfying,
      minVersion,
      validRange,
      outside,
      gtr,
      ltr,
      intersects,
      simplifyRange,
      subset,
      SemVer,
      re: internalRe.re,
      src: internalRe.src,
      tokens: internalRe.t,
      SEMVER_SPEC_VERSION: constants.SEMVER_SPEC_VERSION,
      RELEASE_TYPES: constants.RELEASE_TYPES,
      compareIdentifiers: identifiers.compareIdentifiers,
      rcompareIdentifiers: identifiers.rcompareIdentifiers
    };
  }
});

// ../blueprint/node_modules/projen/lib/semver.js
var require_semver11 = __commonJS({
  "../blueprint/node_modules/projen/lib/semver.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Semver = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var Semver = class _Semver {
      static of(spec) {
        return new _Semver(spec);
      }
      /**
       * Latest version.
       */
      static latest() {
        return new _Semver("*");
      }
      /**
       * Accept only an exact version
       */
      static pinned(version) {
        return new _Semver(version);
      }
      /**
       * Accept any minor version.
       *
       * >= version
       * < next major version
       */
      static caret(version) {
        return new _Semver(`^${version}`);
      }
      /**
       * Accept patches.
       *
       * >= version
       * < next minor version
       */
      static tilde(version) {
        return new _Semver(`~${version}`);
      }
      constructor(spec) {
        this.spec = spec;
      }
      get version() {
        return semver.minVersion(this.spec)?.version;
      }
    };
    exports2.Semver = Semver;
    _a = JSII_RTTI_SYMBOL_1;
    Semver[_a] = { fqn: "projen.Semver", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/textfile.js
var require_textfile3 = __commonJS({
  "../blueprint/node_modules/projen/lib/textfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TextFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var TextFile = class extends file_1.FileBase {
      /**
       * Defines a text file.
       *
       * @param project The project
       * @param filePath File path
       * @param options Options
       */
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        this.lines = options.lines ?? [];
      }
      /**
       * Adds a line to the text file.
       * @param line the line to add (can use tokens)
       */
      addLine(line) {
        this.lines.push(line);
      }
      synthesizeContent(_) {
        return this.lines.join("\n");
      }
    };
    exports2.TextFile = TextFile;
    _a = JSII_RTTI_SYMBOL_1;
    TextFile[_a] = { fqn: "projen.TextFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/source-code.js
var require_source_code3 = __commonJS({
  "../blueprint/node_modules/projen/lib/source-code.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var textfile_1 = require_textfile3();
    var SourceCode = class extends component_1.Component {
      constructor(project, filePath, options = {}) {
        super(project);
        this.filePath = filePath;
        this.indentLevel = 0;
        this.indent = options.indent ?? 2;
        this.file = new textfile_1.TextFile(project, filePath, {
          readonly: options.readonly ?? true
        });
      }
      get marker() {
        return this.file.marker;
      }
      /**
       * Emit a line of code.
       * @param code The contents, if not specified, just adds a newline
       */
      line(code) {
        const spaces = this.indent * this.indentLevel;
        const prefix = " ".repeat(spaces);
        this.file.addLine((prefix + (code ?? "")).trimEnd());
      }
      /**
       * Opens a code block and increases the indentation level.
       *
       * @param code The code before the block starts (e.g. `export class {`).
       */
      open(code) {
        if (code) {
          this.line(code);
        }
        this.indentLevel++;
      }
      /**
       * Decreases the indentation level and closes a code block.
       *
       * @param code The code after the block is closed (e.g. `}`).
       */
      close(code) {
        if (this.indentLevel === 0) {
          throw new Error("Cannot decrease indent level below zero");
        }
        this.indentLevel--;
        if (code) {
          this.line(code);
        }
      }
    };
    exports2.SourceCode = SourceCode;
    _a = JSII_RTTI_SYMBOL_1;
    SourceCode[_a] = { fqn: "projen.SourceCode", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/task-model.js
var require_task_model3 = __commonJS({
  "../blueprint/node_modules/projen/lib/task-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/esprima/dist/esprima.js
var require_esprima3 = __commonJS({
  "../blueprint/node_modules/esprima/dist/esprima.js"(exports2, module2) {
    (function webpackUniversalModuleDefinition(root, factory) {
      if (typeof exports2 === "object" && typeof module2 === "object")
        module2.exports = factory();
      else if (typeof define === "function" && define.amd)
        define([], factory);
      else if (typeof exports2 === "object")
        exports2["esprima"] = factory();
      else
        root["esprima"] = factory();
    })(exports2, function() {
      return (
        /******/
        function(modules) {
          var installedModules = {};
          function __webpack_require__(moduleId) {
            if (installedModules[moduleId])
              return installedModules[moduleId].exports;
            var module3 = installedModules[moduleId] = {
              /******/
              exports: {},
              /******/
              id: moduleId,
              /******/
              loaded: false
              /******/
            };
            modules[moduleId].call(module3.exports, module3, module3.exports, __webpack_require__);
            module3.loaded = true;
            return module3.exports;
          }
          __webpack_require__.m = modules;
          __webpack_require__.c = installedModules;
          __webpack_require__.p = "";
          return __webpack_require__(0);
        }([
          /* 0 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var comment_handler_1 = __webpack_require__(1);
            var jsx_parser_1 = __webpack_require__(3);
            var parser_1 = __webpack_require__(8);
            var tokenizer_1 = __webpack_require__(15);
            function parse(code, options, delegate) {
              var commentHandler = null;
              var proxyDelegate = function(node, metadata) {
                if (delegate) {
                  delegate(node, metadata);
                }
                if (commentHandler) {
                  commentHandler.visit(node, metadata);
                }
              };
              var parserDelegate = typeof delegate === "function" ? proxyDelegate : null;
              var collectComment = false;
              if (options) {
                collectComment = typeof options.comment === "boolean" && options.comment;
                var attachComment = typeof options.attachComment === "boolean" && options.attachComment;
                if (collectComment || attachComment) {
                  commentHandler = new comment_handler_1.CommentHandler();
                  commentHandler.attach = attachComment;
                  options.comment = true;
                  parserDelegate = proxyDelegate;
                }
              }
              var isModule = false;
              if (options && typeof options.sourceType === "string") {
                isModule = options.sourceType === "module";
              }
              var parser;
              if (options && typeof options.jsx === "boolean" && options.jsx) {
                parser = new jsx_parser_1.JSXParser(code, options, parserDelegate);
              } else {
                parser = new parser_1.Parser(code, options, parserDelegate);
              }
              var program = isModule ? parser.parseModule() : parser.parseScript();
              var ast = program;
              if (collectComment && commentHandler) {
                ast.comments = commentHandler.comments;
              }
              if (parser.config.tokens) {
                ast.tokens = parser.tokens;
              }
              if (parser.config.tolerant) {
                ast.errors = parser.errorHandler.errors;
              }
              return ast;
            }
            exports3.parse = parse;
            function parseModule(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "module";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseModule = parseModule;
            function parseScript(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "script";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseScript = parseScript;
            function tokenize(code, options, delegate) {
              var tokenizer = new tokenizer_1.Tokenizer(code, options);
              var tokens;
              tokens = [];
              try {
                while (true) {
                  var token = tokenizer.getNextToken();
                  if (!token) {
                    break;
                  }
                  if (delegate) {
                    token = delegate(token);
                  }
                  tokens.push(token);
                }
              } catch (e) {
                tokenizer.errorHandler.tolerate(e);
              }
              if (tokenizer.errorHandler.tolerant) {
                tokens.errors = tokenizer.errors();
              }
              return tokens;
            }
            exports3.tokenize = tokenize;
            var syntax_1 = __webpack_require__(2);
            exports3.Syntax = syntax_1.Syntax;
            exports3.version = "4.0.1";
          },
          /* 1 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var CommentHandler = function() {
              function CommentHandler2() {
                this.attach = false;
                this.comments = [];
                this.stack = [];
                this.leading = [];
                this.trailing = [];
              }
              CommentHandler2.prototype.insertInnerComments = function(node, metadata) {
                if (node.type === syntax_1.Syntax.BlockStatement && node.body.length === 0) {
                  var innerComments = [];
                  for (var i = this.leading.length - 1; i >= 0; --i) {
                    var entry = this.leading[i];
                    if (metadata.end.offset >= entry.start) {
                      innerComments.unshift(entry.comment);
                      this.leading.splice(i, 1);
                      this.trailing.splice(i, 1);
                    }
                  }
                  if (innerComments.length) {
                    node.innerComments = innerComments;
                  }
                }
              };
              CommentHandler2.prototype.findTrailingComments = function(metadata) {
                var trailingComments = [];
                if (this.trailing.length > 0) {
                  for (var i = this.trailing.length - 1; i >= 0; --i) {
                    var entry_1 = this.trailing[i];
                    if (entry_1.start >= metadata.end.offset) {
                      trailingComments.unshift(entry_1.comment);
                    }
                  }
                  this.trailing.length = 0;
                  return trailingComments;
                }
                var entry = this.stack[this.stack.length - 1];
                if (entry && entry.node.trailingComments) {
                  var firstComment = entry.node.trailingComments[0];
                  if (firstComment && firstComment.range[0] >= metadata.end.offset) {
                    trailingComments = entry.node.trailingComments;
                    delete entry.node.trailingComments;
                  }
                }
                return trailingComments;
              };
              CommentHandler2.prototype.findLeadingComments = function(metadata) {
                var leadingComments = [];
                var target;
                while (this.stack.length > 0) {
                  var entry = this.stack[this.stack.length - 1];
                  if (entry && entry.start >= metadata.start.offset) {
                    target = entry.node;
                    this.stack.pop();
                  } else {
                    break;
                  }
                }
                if (target) {
                  var count = target.leadingComments ? target.leadingComments.length : 0;
                  for (var i = count - 1; i >= 0; --i) {
                    var comment = target.leadingComments[i];
                    if (comment.range[1] <= metadata.start.offset) {
                      leadingComments.unshift(comment);
                      target.leadingComments.splice(i, 1);
                    }
                  }
                  if (target.leadingComments && target.leadingComments.length === 0) {
                    delete target.leadingComments;
                  }
                  return leadingComments;
                }
                for (var i = this.leading.length - 1; i >= 0; --i) {
                  var entry = this.leading[i];
                  if (entry.start <= metadata.start.offset) {
                    leadingComments.unshift(entry.comment);
                    this.leading.splice(i, 1);
                  }
                }
                return leadingComments;
              };
              CommentHandler2.prototype.visitNode = function(node, metadata) {
                if (node.type === syntax_1.Syntax.Program && node.body.length > 0) {
                  return;
                }
                this.insertInnerComments(node, metadata);
                var trailingComments = this.findTrailingComments(metadata);
                var leadingComments = this.findLeadingComments(metadata);
                if (leadingComments.length > 0) {
                  node.leadingComments = leadingComments;
                }
                if (trailingComments.length > 0) {
                  node.trailingComments = trailingComments;
                }
                this.stack.push({
                  node,
                  start: metadata.start.offset
                });
              };
              CommentHandler2.prototype.visitComment = function(node, metadata) {
                var type = node.type[0] === "L" ? "Line" : "Block";
                var comment = {
                  type,
                  value: node.value
                };
                if (node.range) {
                  comment.range = node.range;
                }
                if (node.loc) {
                  comment.loc = node.loc;
                }
                this.comments.push(comment);
                if (this.attach) {
                  var entry = {
                    comment: {
                      type,
                      value: node.value,
                      range: [metadata.start.offset, metadata.end.offset]
                    },
                    start: metadata.start.offset
                  };
                  if (node.loc) {
                    entry.comment.loc = node.loc;
                  }
                  node.type = type;
                  this.leading.push(entry);
                  this.trailing.push(entry);
                }
              };
              CommentHandler2.prototype.visit = function(node, metadata) {
                if (node.type === "LineComment") {
                  this.visitComment(node, metadata);
                } else if (node.type === "BlockComment") {
                  this.visitComment(node, metadata);
                } else if (this.attach) {
                  this.visitNode(node, metadata);
                }
              };
              return CommentHandler2;
            }();
            exports3.CommentHandler = CommentHandler;
          },
          /* 2 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Syntax = {
              AssignmentExpression: "AssignmentExpression",
              AssignmentPattern: "AssignmentPattern",
              ArrayExpression: "ArrayExpression",
              ArrayPattern: "ArrayPattern",
              ArrowFunctionExpression: "ArrowFunctionExpression",
              AwaitExpression: "AwaitExpression",
              BlockStatement: "BlockStatement",
              BinaryExpression: "BinaryExpression",
              BreakStatement: "BreakStatement",
              CallExpression: "CallExpression",
              CatchClause: "CatchClause",
              ClassBody: "ClassBody",
              ClassDeclaration: "ClassDeclaration",
              ClassExpression: "ClassExpression",
              ConditionalExpression: "ConditionalExpression",
              ContinueStatement: "ContinueStatement",
              DoWhileStatement: "DoWhileStatement",
              DebuggerStatement: "DebuggerStatement",
              EmptyStatement: "EmptyStatement",
              ExportAllDeclaration: "ExportAllDeclaration",
              ExportDefaultDeclaration: "ExportDefaultDeclaration",
              ExportNamedDeclaration: "ExportNamedDeclaration",
              ExportSpecifier: "ExportSpecifier",
              ExpressionStatement: "ExpressionStatement",
              ForStatement: "ForStatement",
              ForOfStatement: "ForOfStatement",
              ForInStatement: "ForInStatement",
              FunctionDeclaration: "FunctionDeclaration",
              FunctionExpression: "FunctionExpression",
              Identifier: "Identifier",
              IfStatement: "IfStatement",
              ImportDeclaration: "ImportDeclaration",
              ImportDefaultSpecifier: "ImportDefaultSpecifier",
              ImportNamespaceSpecifier: "ImportNamespaceSpecifier",
              ImportSpecifier: "ImportSpecifier",
              Literal: "Literal",
              LabeledStatement: "LabeledStatement",
              LogicalExpression: "LogicalExpression",
              MemberExpression: "MemberExpression",
              MetaProperty: "MetaProperty",
              MethodDefinition: "MethodDefinition",
              NewExpression: "NewExpression",
              ObjectExpression: "ObjectExpression",
              ObjectPattern: "ObjectPattern",
              Program: "Program",
              Property: "Property",
              RestElement: "RestElement",
              ReturnStatement: "ReturnStatement",
              SequenceExpression: "SequenceExpression",
              SpreadElement: "SpreadElement",
              Super: "Super",
              SwitchCase: "SwitchCase",
              SwitchStatement: "SwitchStatement",
              TaggedTemplateExpression: "TaggedTemplateExpression",
              TemplateElement: "TemplateElement",
              TemplateLiteral: "TemplateLiteral",
              ThisExpression: "ThisExpression",
              ThrowStatement: "ThrowStatement",
              TryStatement: "TryStatement",
              UnaryExpression: "UnaryExpression",
              UpdateExpression: "UpdateExpression",
              VariableDeclaration: "VariableDeclaration",
              VariableDeclarator: "VariableDeclarator",
              WhileStatement: "WhileStatement",
              WithStatement: "WithStatement",
              YieldExpression: "YieldExpression"
            };
          },
          /* 3 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            var __extends = this && this.__extends || function() {
              var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d, b) {
                d.__proto__ = b;
              } || function(d, b) {
                for (var p in b)
                  if (b.hasOwnProperty(p))
                    d[p] = b[p];
              };
              return function(d, b) {
                extendStatics(d, b);
                function __() {
                  this.constructor = d;
                }
                d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
              };
            }();
            Object.defineProperty(exports3, "__esModule", { value: true });
            var character_1 = __webpack_require__(4);
            var JSXNode = __webpack_require__(5);
            var jsx_syntax_1 = __webpack_require__(6);
            var Node = __webpack_require__(7);
            var parser_1 = __webpack_require__(8);
            var token_1 = __webpack_require__(13);
            var xhtml_entities_1 = __webpack_require__(14);
            token_1.TokenName[
              100
              /* Identifier */
            ] = "JSXIdentifier";
            token_1.TokenName[
              101
              /* Text */
            ] = "JSXText";
            function getQualifiedElementName(elementName) {
              var qualifiedName;
              switch (elementName.type) {
                case jsx_syntax_1.JSXSyntax.JSXIdentifier:
                  var id = elementName;
                  qualifiedName = id.name;
                  break;
                case jsx_syntax_1.JSXSyntax.JSXNamespacedName:
                  var ns = elementName;
                  qualifiedName = getQualifiedElementName(ns.namespace) + ":" + getQualifiedElementName(ns.name);
                  break;
                case jsx_syntax_1.JSXSyntax.JSXMemberExpression:
                  var expr = elementName;
                  qualifiedName = getQualifiedElementName(expr.object) + "." + getQualifiedElementName(expr.property);
                  break;
                default:
                  break;
              }
              return qualifiedName;
            }
            var JSXParser = function(_super) {
              __extends(JSXParser2, _super);
              function JSXParser2(code, options, delegate) {
                return _super.call(this, code, options, delegate) || this;
              }
              JSXParser2.prototype.parsePrimaryExpression = function() {
                return this.match("<") ? this.parseJSXRoot() : _super.prototype.parsePrimaryExpression.call(this);
              };
              JSXParser2.prototype.startJSX = function() {
                this.scanner.index = this.startMarker.index;
                this.scanner.lineNumber = this.startMarker.line;
                this.scanner.lineStart = this.startMarker.index - this.startMarker.column;
              };
              JSXParser2.prototype.finishJSX = function() {
                this.nextToken();
              };
              JSXParser2.prototype.reenterJSX = function() {
                this.startJSX();
                this.expectJSX("}");
                if (this.config.tokens) {
                  this.tokens.pop();
                }
              };
              JSXParser2.prototype.createJSXNode = function() {
                this.collectComments();
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.createJSXChildNode = function() {
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.scanXHTMLEntity = function(quote) {
                var result = "&";
                var valid = true;
                var terminated = false;
                var numeric = false;
                var hex = false;
                while (!this.scanner.eof() && valid && !terminated) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === quote) {
                    break;
                  }
                  terminated = ch === ";";
                  result += ch;
                  ++this.scanner.index;
                  if (!terminated) {
                    switch (result.length) {
                      case 2:
                        numeric = ch === "#";
                        break;
                      case 3:
                        if (numeric) {
                          hex = ch === "x";
                          valid = hex || character_1.Character.isDecimalDigit(ch.charCodeAt(0));
                          numeric = numeric && !hex;
                        }
                        break;
                      default:
                        valid = valid && !(numeric && !character_1.Character.isDecimalDigit(ch.charCodeAt(0)));
                        valid = valid && !(hex && !character_1.Character.isHexDigit(ch.charCodeAt(0)));
                        break;
                    }
                  }
                }
                if (valid && terminated && result.length > 2) {
                  var str = result.substr(1, result.length - 2);
                  if (numeric && str.length > 1) {
                    result = String.fromCharCode(parseInt(str.substr(1), 10));
                  } else if (hex && str.length > 2) {
                    result = String.fromCharCode(parseInt("0" + str.substr(1), 16));
                  } else if (!numeric && !hex && xhtml_entities_1.XHTMLEntities[str]) {
                    result = xhtml_entities_1.XHTMLEntities[str];
                  }
                }
                return result;
              };
              JSXParser2.prototype.lexJSX = function() {
                var cp = this.scanner.source.charCodeAt(this.scanner.index);
                if (cp === 60 || cp === 62 || cp === 47 || cp === 58 || cp === 61 || cp === 123 || cp === 125) {
                  var value = this.scanner.source[this.scanner.index++];
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index - 1,
                    end: this.scanner.index
                  };
                }
                if (cp === 34 || cp === 39) {
                  var start = this.scanner.index;
                  var quote = this.scanner.source[this.scanner.index++];
                  var str = "";
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source[this.scanner.index++];
                    if (ch === quote) {
                      break;
                    } else if (ch === "&") {
                      str += this.scanXHTMLEntity(quote);
                    } else {
                      str += ch;
                    }
                  }
                  return {
                    type: 8,
                    value: str,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 46) {
                  var n1 = this.scanner.source.charCodeAt(this.scanner.index + 1);
                  var n2 = this.scanner.source.charCodeAt(this.scanner.index + 2);
                  var value = n1 === 46 && n2 === 46 ? "..." : ".";
                  var start = this.scanner.index;
                  this.scanner.index += value.length;
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 96) {
                  return {
                    type: 10,
                    value: "",
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index,
                    end: this.scanner.index
                  };
                }
                if (character_1.Character.isIdentifierStart(cp) && cp !== 92) {
                  var start = this.scanner.index;
                  ++this.scanner.index;
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source.charCodeAt(this.scanner.index);
                    if (character_1.Character.isIdentifierPart(ch) && ch !== 92) {
                      ++this.scanner.index;
                    } else if (ch === 45) {
                      ++this.scanner.index;
                    } else {
                      break;
                    }
                  }
                  var id = this.scanner.source.slice(start, this.scanner.index);
                  return {
                    type: 100,
                    value: id,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                return this.scanner.lex();
              };
              JSXParser2.prototype.nextJSXToken = function() {
                this.collectComments();
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = this.lexJSX();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                if (this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.nextJSXText = function() {
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var start = this.scanner.index;
                var text = "";
                while (!this.scanner.eof()) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === "{" || ch === "<") {
                    break;
                  }
                  ++this.scanner.index;
                  text += ch;
                  if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.scanner.lineNumber;
                    if (ch === "\r" && this.scanner.source[this.scanner.index] === "\n") {
                      ++this.scanner.index;
                    }
                    this.scanner.lineStart = this.scanner.index;
                  }
                }
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = {
                  type: 101,
                  value: text,
                  lineNumber: this.scanner.lineNumber,
                  lineStart: this.scanner.lineStart,
                  start,
                  end: this.scanner.index
                };
                if (text.length > 0 && this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.peekJSXToken = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.lexJSX();
                this.scanner.restoreState(state);
                return next;
              };
              JSXParser2.prototype.expectJSX = function(value) {
                var token = this.nextJSXToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              JSXParser2.prototype.matchJSX = function(value) {
                var next = this.peekJSXToken();
                return next.type === 7 && next.value === value;
              };
              JSXParser2.prototype.parseJSXIdentifier = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 100) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new JSXNode.JSXIdentifier(token.value));
              };
              JSXParser2.prototype.parseJSXElementName = function() {
                var node = this.createJSXNode();
                var elementName = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = elementName;
                  this.expectJSX(":");
                  var name_1 = this.parseJSXIdentifier();
                  elementName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_1));
                } else if (this.matchJSX(".")) {
                  while (this.matchJSX(".")) {
                    var object = elementName;
                    this.expectJSX(".");
                    var property = this.parseJSXIdentifier();
                    elementName = this.finalize(node, new JSXNode.JSXMemberExpression(object, property));
                  }
                }
                return elementName;
              };
              JSXParser2.prototype.parseJSXAttributeName = function() {
                var node = this.createJSXNode();
                var attributeName;
                var identifier = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = identifier;
                  this.expectJSX(":");
                  var name_2 = this.parseJSXIdentifier();
                  attributeName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_2));
                } else {
                  attributeName = identifier;
                }
                return attributeName;
              };
              JSXParser2.prototype.parseJSXStringLiteralAttribute = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 8) {
                  this.throwUnexpectedToken(token);
                }
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              JSXParser2.prototype.parseJSXExpressionAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.finishJSX();
                if (this.match("}")) {
                  this.tolerateError("JSX attributes must only be assigned a non-empty expression");
                }
                var expression = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXAttributeValue = function() {
                return this.matchJSX("{") ? this.parseJSXExpressionAttribute() : this.matchJSX("<") ? this.parseJSXElement() : this.parseJSXStringLiteralAttribute();
              };
              JSXParser2.prototype.parseJSXNameValueAttribute = function() {
                var node = this.createJSXNode();
                var name = this.parseJSXAttributeName();
                var value = null;
                if (this.matchJSX("=")) {
                  this.expectJSX("=");
                  value = this.parseJSXAttributeValue();
                }
                return this.finalize(node, new JSXNode.JSXAttribute(name, value));
              };
              JSXParser2.prototype.parseJSXSpreadAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.expectJSX("...");
                this.finishJSX();
                var argument = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXSpreadAttribute(argument));
              };
              JSXParser2.prototype.parseJSXAttributes = function() {
                var attributes = [];
                while (!this.matchJSX("/") && !this.matchJSX(">")) {
                  var attribute = this.matchJSX("{") ? this.parseJSXSpreadAttribute() : this.parseJSXNameValueAttribute();
                  attributes.push(attribute);
                }
                return attributes;
              };
              JSXParser2.prototype.parseJSXOpeningElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXBoundaryElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                if (this.matchJSX("/")) {
                  this.expectJSX("/");
                  var name_3 = this.parseJSXElementName();
                  this.expectJSX(">");
                  return this.finalize(node, new JSXNode.JSXClosingElement(name_3));
                }
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXEmptyExpression = function() {
                var node = this.createJSXChildNode();
                this.collectComments();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                return this.finalize(node, new JSXNode.JSXEmptyExpression());
              };
              JSXParser2.prototype.parseJSXExpressionContainer = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                var expression;
                if (this.matchJSX("}")) {
                  expression = this.parseJSXEmptyExpression();
                  this.expectJSX("}");
                } else {
                  this.finishJSX();
                  expression = this.parseAssignmentExpression();
                  this.reenterJSX();
                }
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXChildren = function() {
                var children = [];
                while (!this.scanner.eof()) {
                  var node = this.createJSXChildNode();
                  var token = this.nextJSXText();
                  if (token.start < token.end) {
                    var raw = this.getTokenRaw(token);
                    var child = this.finalize(node, new JSXNode.JSXText(token.value, raw));
                    children.push(child);
                  }
                  if (this.scanner.source[this.scanner.index] === "{") {
                    var container = this.parseJSXExpressionContainer();
                    children.push(container);
                  } else {
                    break;
                  }
                }
                return children;
              };
              JSXParser2.prototype.parseComplexJSXElement = function(el) {
                var stack = [];
                while (!this.scanner.eof()) {
                  el.children = el.children.concat(this.parseJSXChildren());
                  var node = this.createJSXChildNode();
                  var element = this.parseJSXBoundaryElement();
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXOpeningElement) {
                    var opening = element;
                    if (opening.selfClosing) {
                      var child = this.finalize(node, new JSXNode.JSXElement(opening, [], null));
                      el.children.push(child);
                    } else {
                      stack.push(el);
                      el = { node, opening, closing: null, children: [] };
                    }
                  }
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXClosingElement) {
                    el.closing = element;
                    var open_1 = getQualifiedElementName(el.opening.name);
                    var close_1 = getQualifiedElementName(el.closing.name);
                    if (open_1 !== close_1) {
                      this.tolerateError("Expected corresponding JSX closing tag for %0", open_1);
                    }
                    if (stack.length > 0) {
                      var child = this.finalize(el.node, new JSXNode.JSXElement(el.opening, el.children, el.closing));
                      el = stack[stack.length - 1];
                      el.children.push(child);
                      stack.pop();
                    } else {
                      break;
                    }
                  }
                }
                return el;
              };
              JSXParser2.prototype.parseJSXElement = function() {
                var node = this.createJSXNode();
                var opening = this.parseJSXOpeningElement();
                var children = [];
                var closing = null;
                if (!opening.selfClosing) {
                  var el = this.parseComplexJSXElement({ node, opening, closing, children });
                  children = el.children;
                  closing = el.closing;
                }
                return this.finalize(node, new JSXNode.JSXElement(opening, children, closing));
              };
              JSXParser2.prototype.parseJSXRoot = function() {
                if (this.config.tokens) {
                  this.tokens.pop();
                }
                this.startJSX();
                var element = this.parseJSXElement();
                this.finishJSX();
                return element;
              };
              JSXParser2.prototype.isStartOfExpression = function() {
                return _super.prototype.isStartOfExpression.call(this) || this.match("<");
              };
              return JSXParser2;
            }(parser_1.Parser);
            exports3.JSXParser = JSXParser;
          },
          /* 4 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var Regex = {
              // Unicode v8.0.0 NonAsciiIdentifierStart:
              NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE80-\uDEAA\uDF00-\uDF19]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]/,
              // Unicode v8.0.0 NonAsciiIdentifierPart:
              NonAsciiIdentifierPart: /[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B4\u08E3-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0AF9\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58-\u0C5A\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D5F-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA8FD\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDCA-\uDDCC\uDDD0-\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE37\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF00-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF50\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDDD8-\uDDDD\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9\uDF00-\uDF19\uDF1D-\uDF2B\uDF30-\uDF39]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD836[\uDE00-\uDE36\uDE3B-\uDE6C\uDE75\uDE84\uDE9B-\uDE9F\uDEA1-\uDEAF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/
            };
            exports3.Character = {
              /* tslint:disable:no-bitwise */
              fromCodePoint: function(cp) {
                return cp < 65536 ? String.fromCharCode(cp) : String.fromCharCode(55296 + (cp - 65536 >> 10)) + String.fromCharCode(56320 + (cp - 65536 & 1023));
              },
              // https://tc39.github.io/ecma262/#sec-white-space
              isWhiteSpace: function(cp) {
                return cp === 32 || cp === 9 || cp === 11 || cp === 12 || cp === 160 || cp >= 5760 && [5760, 8192, 8193, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8239, 8287, 12288, 65279].indexOf(cp) >= 0;
              },
              // https://tc39.github.io/ecma262/#sec-line-terminators
              isLineTerminator: function(cp) {
                return cp === 10 || cp === 13 || cp === 8232 || cp === 8233;
              },
              // https://tc39.github.io/ecma262/#sec-names-and-keywords
              isIdentifierStart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierStart.test(exports3.Character.fromCodePoint(cp));
              },
              isIdentifierPart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp >= 48 && cp <= 57 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierPart.test(exports3.Character.fromCodePoint(cp));
              },
              // https://tc39.github.io/ecma262/#sec-literals-numeric-literals
              isDecimalDigit: function(cp) {
                return cp >= 48 && cp <= 57;
              },
              isHexDigit: function(cp) {
                return cp >= 48 && cp <= 57 || cp >= 65 && cp <= 70 || cp >= 97 && cp <= 102;
              },
              isOctalDigit: function(cp) {
                return cp >= 48 && cp <= 55;
              }
            };
          },
          /* 5 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var jsx_syntax_1 = __webpack_require__(6);
            var JSXClosingElement = function() {
              function JSXClosingElement2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXClosingElement;
                this.name = name;
              }
              return JSXClosingElement2;
            }();
            exports3.JSXClosingElement = JSXClosingElement;
            var JSXElement = function() {
              function JSXElement2(openingElement, children, closingElement) {
                this.type = jsx_syntax_1.JSXSyntax.JSXElement;
                this.openingElement = openingElement;
                this.children = children;
                this.closingElement = closingElement;
              }
              return JSXElement2;
            }();
            exports3.JSXElement = JSXElement;
            var JSXEmptyExpression = function() {
              function JSXEmptyExpression2() {
                this.type = jsx_syntax_1.JSXSyntax.JSXEmptyExpression;
              }
              return JSXEmptyExpression2;
            }();
            exports3.JSXEmptyExpression = JSXEmptyExpression;
            var JSXExpressionContainer = function() {
              function JSXExpressionContainer2(expression) {
                this.type = jsx_syntax_1.JSXSyntax.JSXExpressionContainer;
                this.expression = expression;
              }
              return JSXExpressionContainer2;
            }();
            exports3.JSXExpressionContainer = JSXExpressionContainer;
            var JSXIdentifier = function() {
              function JSXIdentifier2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXIdentifier;
                this.name = name;
              }
              return JSXIdentifier2;
            }();
            exports3.JSXIdentifier = JSXIdentifier;
            var JSXMemberExpression = function() {
              function JSXMemberExpression2(object, property) {
                this.type = jsx_syntax_1.JSXSyntax.JSXMemberExpression;
                this.object = object;
                this.property = property;
              }
              return JSXMemberExpression2;
            }();
            exports3.JSXMemberExpression = JSXMemberExpression;
            var JSXAttribute = function() {
              function JSXAttribute2(name, value) {
                this.type = jsx_syntax_1.JSXSyntax.JSXAttribute;
                this.name = name;
                this.value = value;
              }
              return JSXAttribute2;
            }();
            exports3.JSXAttribute = JSXAttribute;
            var JSXNamespacedName = function() {
              function JSXNamespacedName2(namespace, name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXNamespacedName;
                this.namespace = namespace;
                this.name = name;
              }
              return JSXNamespacedName2;
            }();
            exports3.JSXNamespacedName = JSXNamespacedName;
            var JSXOpeningElement = function() {
              function JSXOpeningElement2(name, selfClosing, attributes) {
                this.type = jsx_syntax_1.JSXSyntax.JSXOpeningElement;
                this.name = name;
                this.selfClosing = selfClosing;
                this.attributes = attributes;
              }
              return JSXOpeningElement2;
            }();
            exports3.JSXOpeningElement = JSXOpeningElement;
            var JSXSpreadAttribute = function() {
              function JSXSpreadAttribute2(argument) {
                this.type = jsx_syntax_1.JSXSyntax.JSXSpreadAttribute;
                this.argument = argument;
              }
              return JSXSpreadAttribute2;
            }();
            exports3.JSXSpreadAttribute = JSXSpreadAttribute;
            var JSXText = function() {
              function JSXText2(value, raw) {
                this.type = jsx_syntax_1.JSXSyntax.JSXText;
                this.value = value;
                this.raw = raw;
              }
              return JSXText2;
            }();
            exports3.JSXText = JSXText;
          },
          /* 6 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.JSXSyntax = {
              JSXAttribute: "JSXAttribute",
              JSXClosingElement: "JSXClosingElement",
              JSXElement: "JSXElement",
              JSXEmptyExpression: "JSXEmptyExpression",
              JSXExpressionContainer: "JSXExpressionContainer",
              JSXIdentifier: "JSXIdentifier",
              JSXMemberExpression: "JSXMemberExpression",
              JSXNamespacedName: "JSXNamespacedName",
              JSXOpeningElement: "JSXOpeningElement",
              JSXSpreadAttribute: "JSXSpreadAttribute",
              JSXText: "JSXText"
            };
          },
          /* 7 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var ArrayExpression = function() {
              function ArrayExpression2(elements) {
                this.type = syntax_1.Syntax.ArrayExpression;
                this.elements = elements;
              }
              return ArrayExpression2;
            }();
            exports3.ArrayExpression = ArrayExpression;
            var ArrayPattern = function() {
              function ArrayPattern2(elements) {
                this.type = syntax_1.Syntax.ArrayPattern;
                this.elements = elements;
              }
              return ArrayPattern2;
            }();
            exports3.ArrayPattern = ArrayPattern;
            var ArrowFunctionExpression = function() {
              function ArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = false;
              }
              return ArrowFunctionExpression2;
            }();
            exports3.ArrowFunctionExpression = ArrowFunctionExpression;
            var AssignmentExpression = function() {
              function AssignmentExpression2(operator, left, right) {
                this.type = syntax_1.Syntax.AssignmentExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return AssignmentExpression2;
            }();
            exports3.AssignmentExpression = AssignmentExpression;
            var AssignmentPattern = function() {
              function AssignmentPattern2(left, right) {
                this.type = syntax_1.Syntax.AssignmentPattern;
                this.left = left;
                this.right = right;
              }
              return AssignmentPattern2;
            }();
            exports3.AssignmentPattern = AssignmentPattern;
            var AsyncArrowFunctionExpression = function() {
              function AsyncArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = true;
              }
              return AsyncArrowFunctionExpression2;
            }();
            exports3.AsyncArrowFunctionExpression = AsyncArrowFunctionExpression;
            var AsyncFunctionDeclaration = function() {
              function AsyncFunctionDeclaration2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionDeclaration2;
            }();
            exports3.AsyncFunctionDeclaration = AsyncFunctionDeclaration;
            var AsyncFunctionExpression = function() {
              function AsyncFunctionExpression2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionExpression2;
            }();
            exports3.AsyncFunctionExpression = AsyncFunctionExpression;
            var AwaitExpression = function() {
              function AwaitExpression2(argument) {
                this.type = syntax_1.Syntax.AwaitExpression;
                this.argument = argument;
              }
              return AwaitExpression2;
            }();
            exports3.AwaitExpression = AwaitExpression;
            var BinaryExpression = function() {
              function BinaryExpression2(operator, left, right) {
                var logical = operator === "||" || operator === "&&";
                this.type = logical ? syntax_1.Syntax.LogicalExpression : syntax_1.Syntax.BinaryExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return BinaryExpression2;
            }();
            exports3.BinaryExpression = BinaryExpression;
            var BlockStatement = function() {
              function BlockStatement2(body) {
                this.type = syntax_1.Syntax.BlockStatement;
                this.body = body;
              }
              return BlockStatement2;
            }();
            exports3.BlockStatement = BlockStatement;
            var BreakStatement = function() {
              function BreakStatement2(label) {
                this.type = syntax_1.Syntax.BreakStatement;
                this.label = label;
              }
              return BreakStatement2;
            }();
            exports3.BreakStatement = BreakStatement;
            var CallExpression = function() {
              function CallExpression2(callee, args) {
                this.type = syntax_1.Syntax.CallExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return CallExpression2;
            }();
            exports3.CallExpression = CallExpression;
            var CatchClause = function() {
              function CatchClause2(param, body) {
                this.type = syntax_1.Syntax.CatchClause;
                this.param = param;
                this.body = body;
              }
              return CatchClause2;
            }();
            exports3.CatchClause = CatchClause;
            var ClassBody = function() {
              function ClassBody2(body) {
                this.type = syntax_1.Syntax.ClassBody;
                this.body = body;
              }
              return ClassBody2;
            }();
            exports3.ClassBody = ClassBody;
            var ClassDeclaration = function() {
              function ClassDeclaration2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassDeclaration;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassDeclaration2;
            }();
            exports3.ClassDeclaration = ClassDeclaration;
            var ClassExpression = function() {
              function ClassExpression2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassExpression;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassExpression2;
            }();
            exports3.ClassExpression = ClassExpression;
            var ComputedMemberExpression = function() {
              function ComputedMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = true;
                this.object = object;
                this.property = property;
              }
              return ComputedMemberExpression2;
            }();
            exports3.ComputedMemberExpression = ComputedMemberExpression;
            var ConditionalExpression = function() {
              function ConditionalExpression2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.ConditionalExpression;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return ConditionalExpression2;
            }();
            exports3.ConditionalExpression = ConditionalExpression;
            var ContinueStatement = function() {
              function ContinueStatement2(label) {
                this.type = syntax_1.Syntax.ContinueStatement;
                this.label = label;
              }
              return ContinueStatement2;
            }();
            exports3.ContinueStatement = ContinueStatement;
            var DebuggerStatement = function() {
              function DebuggerStatement2() {
                this.type = syntax_1.Syntax.DebuggerStatement;
              }
              return DebuggerStatement2;
            }();
            exports3.DebuggerStatement = DebuggerStatement;
            var Directive = function() {
              function Directive2(expression, directive) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
                this.directive = directive;
              }
              return Directive2;
            }();
            exports3.Directive = Directive;
            var DoWhileStatement = function() {
              function DoWhileStatement2(body, test) {
                this.type = syntax_1.Syntax.DoWhileStatement;
                this.body = body;
                this.test = test;
              }
              return DoWhileStatement2;
            }();
            exports3.DoWhileStatement = DoWhileStatement;
            var EmptyStatement = function() {
              function EmptyStatement2() {
                this.type = syntax_1.Syntax.EmptyStatement;
              }
              return EmptyStatement2;
            }();
            exports3.EmptyStatement = EmptyStatement;
            var ExportAllDeclaration = function() {
              function ExportAllDeclaration2(source) {
                this.type = syntax_1.Syntax.ExportAllDeclaration;
                this.source = source;
              }
              return ExportAllDeclaration2;
            }();
            exports3.ExportAllDeclaration = ExportAllDeclaration;
            var ExportDefaultDeclaration = function() {
              function ExportDefaultDeclaration2(declaration) {
                this.type = syntax_1.Syntax.ExportDefaultDeclaration;
                this.declaration = declaration;
              }
              return ExportDefaultDeclaration2;
            }();
            exports3.ExportDefaultDeclaration = ExportDefaultDeclaration;
            var ExportNamedDeclaration = function() {
              function ExportNamedDeclaration2(declaration, specifiers, source) {
                this.type = syntax_1.Syntax.ExportNamedDeclaration;
                this.declaration = declaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ExportNamedDeclaration2;
            }();
            exports3.ExportNamedDeclaration = ExportNamedDeclaration;
            var ExportSpecifier = function() {
              function ExportSpecifier2(local, exported) {
                this.type = syntax_1.Syntax.ExportSpecifier;
                this.exported = exported;
                this.local = local;
              }
              return ExportSpecifier2;
            }();
            exports3.ExportSpecifier = ExportSpecifier;
            var ExpressionStatement = function() {
              function ExpressionStatement2(expression) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
              }
              return ExpressionStatement2;
            }();
            exports3.ExpressionStatement = ExpressionStatement;
            var ForInStatement = function() {
              function ForInStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForInStatement;
                this.left = left;
                this.right = right;
                this.body = body;
                this.each = false;
              }
              return ForInStatement2;
            }();
            exports3.ForInStatement = ForInStatement;
            var ForOfStatement = function() {
              function ForOfStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForOfStatement;
                this.left = left;
                this.right = right;
                this.body = body;
              }
              return ForOfStatement2;
            }();
            exports3.ForOfStatement = ForOfStatement;
            var ForStatement = function() {
              function ForStatement2(init, test, update, body) {
                this.type = syntax_1.Syntax.ForStatement;
                this.init = init;
                this.test = test;
                this.update = update;
                this.body = body;
              }
              return ForStatement2;
            }();
            exports3.ForStatement = ForStatement;
            var FunctionDeclaration = function() {
              function FunctionDeclaration2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionDeclaration2;
            }();
            exports3.FunctionDeclaration = FunctionDeclaration;
            var FunctionExpression = function() {
              function FunctionExpression2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionExpression2;
            }();
            exports3.FunctionExpression = FunctionExpression;
            var Identifier = function() {
              function Identifier2(name) {
                this.type = syntax_1.Syntax.Identifier;
                this.name = name;
              }
              return Identifier2;
            }();
            exports3.Identifier = Identifier;
            var IfStatement = function() {
              function IfStatement2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.IfStatement;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return IfStatement2;
            }();
            exports3.IfStatement = IfStatement;
            var ImportDeclaration = function() {
              function ImportDeclaration2(specifiers, source) {
                this.type = syntax_1.Syntax.ImportDeclaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ImportDeclaration2;
            }();
            exports3.ImportDeclaration = ImportDeclaration;
            var ImportDefaultSpecifier = function() {
              function ImportDefaultSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportDefaultSpecifier;
                this.local = local;
              }
              return ImportDefaultSpecifier2;
            }();
            exports3.ImportDefaultSpecifier = ImportDefaultSpecifier;
            var ImportNamespaceSpecifier = function() {
              function ImportNamespaceSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportNamespaceSpecifier;
                this.local = local;
              }
              return ImportNamespaceSpecifier2;
            }();
            exports3.ImportNamespaceSpecifier = ImportNamespaceSpecifier;
            var ImportSpecifier = function() {
              function ImportSpecifier2(local, imported) {
                this.type = syntax_1.Syntax.ImportSpecifier;
                this.local = local;
                this.imported = imported;
              }
              return ImportSpecifier2;
            }();
            exports3.ImportSpecifier = ImportSpecifier;
            var LabeledStatement = function() {
              function LabeledStatement2(label, body) {
                this.type = syntax_1.Syntax.LabeledStatement;
                this.label = label;
                this.body = body;
              }
              return LabeledStatement2;
            }();
            exports3.LabeledStatement = LabeledStatement;
            var Literal = function() {
              function Literal2(value, raw) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
              }
              return Literal2;
            }();
            exports3.Literal = Literal;
            var MetaProperty = function() {
              function MetaProperty2(meta, property) {
                this.type = syntax_1.Syntax.MetaProperty;
                this.meta = meta;
                this.property = property;
              }
              return MetaProperty2;
            }();
            exports3.MetaProperty = MetaProperty;
            var MethodDefinition = function() {
              function MethodDefinition2(key, computed, value, kind, isStatic) {
                this.type = syntax_1.Syntax.MethodDefinition;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.static = isStatic;
              }
              return MethodDefinition2;
            }();
            exports3.MethodDefinition = MethodDefinition;
            var Module = function() {
              function Module2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "module";
              }
              return Module2;
            }();
            exports3.Module = Module;
            var NewExpression = function() {
              function NewExpression2(callee, args) {
                this.type = syntax_1.Syntax.NewExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return NewExpression2;
            }();
            exports3.NewExpression = NewExpression;
            var ObjectExpression = function() {
              function ObjectExpression2(properties) {
                this.type = syntax_1.Syntax.ObjectExpression;
                this.properties = properties;
              }
              return ObjectExpression2;
            }();
            exports3.ObjectExpression = ObjectExpression;
            var ObjectPattern = function() {
              function ObjectPattern2(properties) {
                this.type = syntax_1.Syntax.ObjectPattern;
                this.properties = properties;
              }
              return ObjectPattern2;
            }();
            exports3.ObjectPattern = ObjectPattern;
            var Property = function() {
              function Property2(kind, key, computed, value, method, shorthand) {
                this.type = syntax_1.Syntax.Property;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.method = method;
                this.shorthand = shorthand;
              }
              return Property2;
            }();
            exports3.Property = Property;
            var RegexLiteral = function() {
              function RegexLiteral2(value, raw, pattern, flags) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
                this.regex = { pattern, flags };
              }
              return RegexLiteral2;
            }();
            exports3.RegexLiteral = RegexLiteral;
            var RestElement = function() {
              function RestElement2(argument) {
                this.type = syntax_1.Syntax.RestElement;
                this.argument = argument;
              }
              return RestElement2;
            }();
            exports3.RestElement = RestElement;
            var ReturnStatement = function() {
              function ReturnStatement2(argument) {
                this.type = syntax_1.Syntax.ReturnStatement;
                this.argument = argument;
              }
              return ReturnStatement2;
            }();
            exports3.ReturnStatement = ReturnStatement;
            var Script = function() {
              function Script2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "script";
              }
              return Script2;
            }();
            exports3.Script = Script;
            var SequenceExpression = function() {
              function SequenceExpression2(expressions) {
                this.type = syntax_1.Syntax.SequenceExpression;
                this.expressions = expressions;
              }
              return SequenceExpression2;
            }();
            exports3.SequenceExpression = SequenceExpression;
            var SpreadElement = function() {
              function SpreadElement2(argument) {
                this.type = syntax_1.Syntax.SpreadElement;
                this.argument = argument;
              }
              return SpreadElement2;
            }();
            exports3.SpreadElement = SpreadElement;
            var StaticMemberExpression = function() {
              function StaticMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = false;
                this.object = object;
                this.property = property;
              }
              return StaticMemberExpression2;
            }();
            exports3.StaticMemberExpression = StaticMemberExpression;
            var Super = function() {
              function Super2() {
                this.type = syntax_1.Syntax.Super;
              }
              return Super2;
            }();
            exports3.Super = Super;
            var SwitchCase = function() {
              function SwitchCase2(test, consequent) {
                this.type = syntax_1.Syntax.SwitchCase;
                this.test = test;
                this.consequent = consequent;
              }
              return SwitchCase2;
            }();
            exports3.SwitchCase = SwitchCase;
            var SwitchStatement = function() {
              function SwitchStatement2(discriminant, cases) {
                this.type = syntax_1.Syntax.SwitchStatement;
                this.discriminant = discriminant;
                this.cases = cases;
              }
              return SwitchStatement2;
            }();
            exports3.SwitchStatement = SwitchStatement;
            var TaggedTemplateExpression = function() {
              function TaggedTemplateExpression2(tag, quasi) {
                this.type = syntax_1.Syntax.TaggedTemplateExpression;
                this.tag = tag;
                this.quasi = quasi;
              }
              return TaggedTemplateExpression2;
            }();
            exports3.TaggedTemplateExpression = TaggedTemplateExpression;
            var TemplateElement = function() {
              function TemplateElement2(value, tail) {
                this.type = syntax_1.Syntax.TemplateElement;
                this.value = value;
                this.tail = tail;
              }
              return TemplateElement2;
            }();
            exports3.TemplateElement = TemplateElement;
            var TemplateLiteral = function() {
              function TemplateLiteral2(quasis, expressions) {
                this.type = syntax_1.Syntax.TemplateLiteral;
                this.quasis = quasis;
                this.expressions = expressions;
              }
              return TemplateLiteral2;
            }();
            exports3.TemplateLiteral = TemplateLiteral;
            var ThisExpression = function() {
              function ThisExpression2() {
                this.type = syntax_1.Syntax.ThisExpression;
              }
              return ThisExpression2;
            }();
            exports3.ThisExpression = ThisExpression;
            var ThrowStatement = function() {
              function ThrowStatement2(argument) {
                this.type = syntax_1.Syntax.ThrowStatement;
                this.argument = argument;
              }
              return ThrowStatement2;
            }();
            exports3.ThrowStatement = ThrowStatement;
            var TryStatement = function() {
              function TryStatement2(block, handler, finalizer) {
                this.type = syntax_1.Syntax.TryStatement;
                this.block = block;
                this.handler = handler;
                this.finalizer = finalizer;
              }
              return TryStatement2;
            }();
            exports3.TryStatement = TryStatement;
            var UnaryExpression = function() {
              function UnaryExpression2(operator, argument) {
                this.type = syntax_1.Syntax.UnaryExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = true;
              }
              return UnaryExpression2;
            }();
            exports3.UnaryExpression = UnaryExpression;
            var UpdateExpression = function() {
              function UpdateExpression2(operator, argument, prefix) {
                this.type = syntax_1.Syntax.UpdateExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = prefix;
              }
              return UpdateExpression2;
            }();
            exports3.UpdateExpression = UpdateExpression;
            var VariableDeclaration = function() {
              function VariableDeclaration2(declarations, kind) {
                this.type = syntax_1.Syntax.VariableDeclaration;
                this.declarations = declarations;
                this.kind = kind;
              }
              return VariableDeclaration2;
            }();
            exports3.VariableDeclaration = VariableDeclaration;
            var VariableDeclarator = function() {
              function VariableDeclarator2(id, init) {
                this.type = syntax_1.Syntax.VariableDeclarator;
                this.id = id;
                this.init = init;
              }
              return VariableDeclarator2;
            }();
            exports3.VariableDeclarator = VariableDeclarator;
            var WhileStatement = function() {
              function WhileStatement2(test, body) {
                this.type = syntax_1.Syntax.WhileStatement;
                this.test = test;
                this.body = body;
              }
              return WhileStatement2;
            }();
            exports3.WhileStatement = WhileStatement;
            var WithStatement = function() {
              function WithStatement2(object, body) {
                this.type = syntax_1.Syntax.WithStatement;
                this.object = object;
                this.body = body;
              }
              return WithStatement2;
            }();
            exports3.WithStatement = WithStatement;
            var YieldExpression = function() {
              function YieldExpression2(argument, delegate) {
                this.type = syntax_1.Syntax.YieldExpression;
                this.argument = argument;
                this.delegate = delegate;
              }
              return YieldExpression2;
            }();
            exports3.YieldExpression = YieldExpression;
          },
          /* 8 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var error_handler_1 = __webpack_require__(10);
            var messages_1 = __webpack_require__(11);
            var Node = __webpack_require__(7);
            var scanner_1 = __webpack_require__(12);
            var syntax_1 = __webpack_require__(2);
            var token_1 = __webpack_require__(13);
            var ArrowParameterPlaceHolder = "ArrowParameterPlaceHolder";
            var Parser = function() {
              function Parser2(code, options, delegate) {
                if (options === void 0) {
                  options = {};
                }
                this.config = {
                  range: typeof options.range === "boolean" && options.range,
                  loc: typeof options.loc === "boolean" && options.loc,
                  source: null,
                  tokens: typeof options.tokens === "boolean" && options.tokens,
                  comment: typeof options.comment === "boolean" && options.comment,
                  tolerant: typeof options.tolerant === "boolean" && options.tolerant
                };
                if (this.config.loc && options.source && options.source !== null) {
                  this.config.source = String(options.source);
                }
                this.delegate = delegate;
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = this.config.tolerant;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = this.config.comment;
                this.operatorPrecedence = {
                  ")": 0,
                  ";": 0,
                  ",": 0,
                  "=": 0,
                  "]": 0,
                  "||": 1,
                  "&&": 2,
                  "|": 3,
                  "^": 4,
                  "&": 5,
                  "==": 6,
                  "!=": 6,
                  "===": 6,
                  "!==": 6,
                  "<": 7,
                  ">": 7,
                  "<=": 7,
                  ">=": 7,
                  "<<": 8,
                  ">>": 8,
                  ">>>": 8,
                  "+": 9,
                  "-": 9,
                  "*": 11,
                  "/": 11,
                  "%": 11
                };
                this.lookahead = {
                  type: 2,
                  value: "",
                  lineNumber: this.scanner.lineNumber,
                  lineStart: 0,
                  start: 0,
                  end: 0
                };
                this.hasLineTerminator = false;
                this.context = {
                  isModule: false,
                  await: false,
                  allowIn: true,
                  allowStrictDirective: true,
                  allowYield: true,
                  firstCoverInitializedNameError: null,
                  isAssignmentTarget: false,
                  isBindingElement: false,
                  inFunctionBody: false,
                  inIteration: false,
                  inSwitch: false,
                  labelSet: {},
                  strict: false
                };
                this.tokens = [];
                this.startMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.lastMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.nextToken();
                this.lastMarker = {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              }
              Parser2.prototype.throwError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.lastMarker.line;
                var column = this.lastMarker.column + 1;
                throw this.errorHandler.createError(index, line, column, msg);
              };
              Parser2.prototype.tolerateError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.scanner.lineNumber;
                var column = this.lastMarker.column + 1;
                this.errorHandler.tolerateError(index, line, column, msg);
              };
              Parser2.prototype.unexpectedTokenError = function(token, message) {
                var msg = message || messages_1.Messages.UnexpectedToken;
                var value;
                if (token) {
                  if (!message) {
                    msg = token.type === 2 ? messages_1.Messages.UnexpectedEOS : token.type === 3 ? messages_1.Messages.UnexpectedIdentifier : token.type === 6 ? messages_1.Messages.UnexpectedNumber : token.type === 8 ? messages_1.Messages.UnexpectedString : token.type === 10 ? messages_1.Messages.UnexpectedTemplate : messages_1.Messages.UnexpectedToken;
                    if (token.type === 4) {
                      if (this.scanner.isFutureReservedWord(token.value)) {
                        msg = messages_1.Messages.UnexpectedReserved;
                      } else if (this.context.strict && this.scanner.isStrictModeReservedWord(token.value)) {
                        msg = messages_1.Messages.StrictReservedWord;
                      }
                    }
                  }
                  value = token.value;
                } else {
                  value = "ILLEGAL";
                }
                msg = msg.replace("%0", value);
                if (token && typeof token.lineNumber === "number") {
                  var index = token.start;
                  var line = token.lineNumber;
                  var lastMarkerLineStart = this.lastMarker.index - this.lastMarker.column;
                  var column = token.start - lastMarkerLineStart + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                } else {
                  var index = this.lastMarker.index;
                  var line = this.lastMarker.line;
                  var column = this.lastMarker.column + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                }
              };
              Parser2.prototype.throwUnexpectedToken = function(token, message) {
                throw this.unexpectedTokenError(token, message);
              };
              Parser2.prototype.tolerateUnexpectedToken = function(token, message) {
                this.errorHandler.tolerate(this.unexpectedTokenError(token, message));
              };
              Parser2.prototype.collectComments = function() {
                if (!this.config.comment) {
                  this.scanner.scanComments();
                } else {
                  var comments = this.scanner.scanComments();
                  if (comments.length > 0 && this.delegate) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var node = void 0;
                      node = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value: this.scanner.source.slice(e.slice[0], e.slice[1])
                      };
                      if (this.config.range) {
                        node.range = e.range;
                      }
                      if (this.config.loc) {
                        node.loc = e.loc;
                      }
                      var metadata = {
                        start: {
                          line: e.loc.start.line,
                          column: e.loc.start.column,
                          offset: e.range[0]
                        },
                        end: {
                          line: e.loc.end.line,
                          column: e.loc.end.column,
                          offset: e.range[1]
                        }
                      };
                      this.delegate(node, metadata);
                    }
                  }
                }
              };
              Parser2.prototype.getTokenRaw = function(token) {
                return this.scanner.source.slice(token.start, token.end);
              };
              Parser2.prototype.convertToken = function(token) {
                var t = {
                  type: token_1.TokenName[token.type],
                  value: this.getTokenRaw(token)
                };
                if (this.config.range) {
                  t.range = [token.start, token.end];
                }
                if (this.config.loc) {
                  t.loc = {
                    start: {
                      line: this.startMarker.line,
                      column: this.startMarker.column
                    },
                    end: {
                      line: this.scanner.lineNumber,
                      column: this.scanner.index - this.scanner.lineStart
                    }
                  };
                }
                if (token.type === 9) {
                  var pattern = token.pattern;
                  var flags = token.flags;
                  t.regex = { pattern, flags };
                }
                return t;
              };
              Parser2.prototype.nextToken = function() {
                var token = this.lookahead;
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                this.collectComments();
                if (this.scanner.index !== this.startMarker.index) {
                  this.startMarker.index = this.scanner.index;
                  this.startMarker.line = this.scanner.lineNumber;
                  this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                }
                var next = this.scanner.lex();
                this.hasLineTerminator = token.lineNumber !== next.lineNumber;
                if (next && this.context.strict && next.type === 3) {
                  if (this.scanner.isStrictModeReservedWord(next.value)) {
                    next.type = 4;
                  }
                }
                this.lookahead = next;
                if (this.config.tokens && next.type !== 2) {
                  this.tokens.push(this.convertToken(next));
                }
                return token;
              };
              Parser2.prototype.nextRegexToken = function() {
                this.collectComments();
                var token = this.scanner.scanRegExp();
                if (this.config.tokens) {
                  this.tokens.pop();
                  this.tokens.push(this.convertToken(token));
                }
                this.lookahead = token;
                this.nextToken();
                return token;
              };
              Parser2.prototype.createNode = function() {
                return {
                  index: this.startMarker.index,
                  line: this.startMarker.line,
                  column: this.startMarker.column
                };
              };
              Parser2.prototype.startNode = function(token, lastLineStart) {
                if (lastLineStart === void 0) {
                  lastLineStart = 0;
                }
                var column = token.start - token.lineStart;
                var line = token.lineNumber;
                if (column < 0) {
                  column += lastLineStart;
                  line--;
                }
                return {
                  index: token.start,
                  line,
                  column
                };
              };
              Parser2.prototype.finalize = function(marker, node) {
                if (this.config.range) {
                  node.range = [marker.index, this.lastMarker.index];
                }
                if (this.config.loc) {
                  node.loc = {
                    start: {
                      line: marker.line,
                      column: marker.column
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column
                    }
                  };
                  if (this.config.source) {
                    node.loc.source = this.config.source;
                  }
                }
                if (this.delegate) {
                  var metadata = {
                    start: {
                      line: marker.line,
                      column: marker.column,
                      offset: marker.index
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column,
                      offset: this.lastMarker.index
                    }
                  };
                  this.delegate(node, metadata);
                }
                return node;
              };
              Parser2.prototype.expect = function(value) {
                var token = this.nextToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.expectCommaSeparator = function() {
                if (this.config.tolerant) {
                  var token = this.lookahead;
                  if (token.type === 7 && token.value === ",") {
                    this.nextToken();
                  } else if (token.type === 7 && token.value === ";") {
                    this.nextToken();
                    this.tolerateUnexpectedToken(token);
                  } else {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.UnexpectedToken);
                  }
                } else {
                  this.expect(",");
                }
              };
              Parser2.prototype.expectKeyword = function(keyword) {
                var token = this.nextToken();
                if (token.type !== 4 || token.value !== keyword) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.match = function(value) {
                return this.lookahead.type === 7 && this.lookahead.value === value;
              };
              Parser2.prototype.matchKeyword = function(keyword) {
                return this.lookahead.type === 4 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchContextualKeyword = function(keyword) {
                return this.lookahead.type === 3 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchAssign = function() {
                if (this.lookahead.type !== 7) {
                  return false;
                }
                var op = this.lookahead.value;
                return op === "=" || op === "*=" || op === "**=" || op === "/=" || op === "%=" || op === "+=" || op === "-=" || op === "<<=" || op === ">>=" || op === ">>>=" || op === "&=" || op === "^=" || op === "|=";
              };
              Parser2.prototype.isolateCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                if (this.context.firstCoverInitializedNameError !== null) {
                  this.throwUnexpectedToken(this.context.firstCoverInitializedNameError);
                }
                this.context.isBindingElement = previousIsBindingElement;
                this.context.isAssignmentTarget = previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.inheritCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                this.context.isBindingElement = this.context.isBindingElement && previousIsBindingElement;
                this.context.isAssignmentTarget = this.context.isAssignmentTarget && previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError || this.context.firstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.consumeSemicolon = function() {
                if (this.match(";")) {
                  this.nextToken();
                } else if (!this.hasLineTerminator) {
                  if (this.lookahead.type !== 2 && !this.match("}")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.lastMarker.index = this.startMarker.index;
                  this.lastMarker.line = this.startMarker.line;
                  this.lastMarker.column = this.startMarker.column;
                }
              };
              Parser2.prototype.parsePrimaryExpression = function() {
                var node = this.createNode();
                var expr;
                var token, raw;
                switch (this.lookahead.type) {
                  case 3:
                    if ((this.context.isModule || this.context.await) && this.lookahead.value === "await") {
                      this.tolerateUnexpectedToken(this.lookahead);
                    }
                    expr = this.matchAsyncFunction() ? this.parseFunctionExpression() : this.finalize(node, new Node.Identifier(this.nextToken().value));
                    break;
                  case 6:
                  case 8:
                    if (this.context.strict && this.lookahead.octal) {
                      this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.StrictOctalLiteral);
                    }
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 1:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value === "true", raw));
                    break;
                  case 5:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(null, raw));
                    break;
                  case 10:
                    expr = this.parseTemplateLiteral();
                    break;
                  case 7:
                    switch (this.lookahead.value) {
                      case "(":
                        this.context.isBindingElement = false;
                        expr = this.inheritCoverGrammar(this.parseGroupExpression);
                        break;
                      case "[":
                        expr = this.inheritCoverGrammar(this.parseArrayInitializer);
                        break;
                      case "{":
                        expr = this.inheritCoverGrammar(this.parseObjectInitializer);
                        break;
                      case "/":
                      case "/=":
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                        this.scanner.index = this.startMarker.index;
                        token = this.nextRegexToken();
                        raw = this.getTokenRaw(token);
                        expr = this.finalize(node, new Node.RegexLiteral(token.regex, raw, token.pattern, token.flags));
                        break;
                      default:
                        expr = this.throwUnexpectedToken(this.nextToken());
                    }
                    break;
                  case 4:
                    if (!this.context.strict && this.context.allowYield && this.matchKeyword("yield")) {
                      expr = this.parseIdentifierName();
                    } else if (!this.context.strict && this.matchKeyword("let")) {
                      expr = this.finalize(node, new Node.Identifier(this.nextToken().value));
                    } else {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      if (this.matchKeyword("function")) {
                        expr = this.parseFunctionExpression();
                      } else if (this.matchKeyword("this")) {
                        this.nextToken();
                        expr = this.finalize(node, new Node.ThisExpression());
                      } else if (this.matchKeyword("class")) {
                        expr = this.parseClassExpression();
                      } else {
                        expr = this.throwUnexpectedToken(this.nextToken());
                      }
                    }
                    break;
                  default:
                    expr = this.throwUnexpectedToken(this.nextToken());
                }
                return expr;
              };
              Parser2.prototype.parseSpreadElement = function() {
                var node = this.createNode();
                this.expect("...");
                var arg = this.inheritCoverGrammar(this.parseAssignmentExpression);
                return this.finalize(node, new Node.SpreadElement(arg));
              };
              Parser2.prototype.parseArrayInitializer = function() {
                var node = this.createNode();
                var elements = [];
                this.expect("[");
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else if (this.match("...")) {
                    var element = this.parseSpreadElement();
                    if (!this.match("]")) {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      this.expect(",");
                    }
                    elements.push(element);
                  } else {
                    elements.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayExpression(elements));
              };
              Parser2.prototype.parsePropertyMethod = function(params) {
                this.context.isAssignmentTarget = false;
                this.context.isBindingElement = false;
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = params.simple;
                var body = this.isolateCoverGrammar(this.parseFunctionSourceElements);
                if (this.context.strict && params.firstRestricted) {
                  this.tolerateUnexpectedToken(params.firstRestricted, params.message);
                }
                if (this.context.strict && params.stricted) {
                  this.tolerateUnexpectedToken(params.stricted, params.message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                return body;
              };
              Parser2.prototype.parsePropertyMethodFunction = function() {
                var isGenerator = false;
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.parsePropertyMethodAsyncFunction = function() {
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                var previousAwait = this.context.await;
                this.context.allowYield = false;
                this.context.await = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                this.context.await = previousAwait;
                return this.finalize(node, new Node.AsyncFunctionExpression(null, params.params, method));
              };
              Parser2.prototype.parseObjectPropertyKey = function() {
                var node = this.createNode();
                var token = this.nextToken();
                var key;
                switch (token.type) {
                  case 8:
                  case 6:
                    if (this.context.strict && token.octal) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictOctalLiteral);
                    }
                    var raw = this.getTokenRaw(token);
                    key = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 3:
                  case 1:
                  case 5:
                  case 4:
                    key = this.finalize(node, new Node.Identifier(token.value));
                    break;
                  case 7:
                    if (token.value === "[") {
                      key = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      this.expect("]");
                    } else {
                      key = this.throwUnexpectedToken(token);
                    }
                    break;
                  default:
                    key = this.throwUnexpectedToken(token);
                }
                return key;
              };
              Parser2.prototype.isPropertyKey = function(key, value) {
                return key.type === syntax_1.Syntax.Identifier && key.name === value || key.type === syntax_1.Syntax.Literal && key.value === value;
              };
              Parser2.prototype.parseObjectProperty = function(hasProto) {
                var node = this.createNode();
                var token = this.lookahead;
                var kind;
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var shorthand = false;
                var isAsync = false;
                if (token.type === 3) {
                  var id = token.value;
                  this.nextToken();
                  computed = this.match("[");
                  isAsync = !this.hasLineTerminator && id === "async" && !this.match(":") && !this.match("(") && !this.match("*") && !this.match(",");
                  key = isAsync ? this.parseObjectPropertyKey() : this.finalize(node, new Node.Identifier(id));
                } else if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3 && !isAsync && token.value === "get" && lookaheadPropertyKey) {
                  kind = "get";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.context.allowYield = false;
                  value = this.parseGetterMethod();
                } else if (token.type === 3 && !isAsync && token.value === "set" && lookaheadPropertyKey) {
                  kind = "set";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseSetterMethod();
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                } else {
                  if (!key) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  kind = "init";
                  if (this.match(":") && !isAsync) {
                    if (!computed && this.isPropertyKey(key, "__proto__")) {
                      if (hasProto.value) {
                        this.tolerateError(messages_1.Messages.DuplicateProtoProperty);
                      }
                      hasProto.value = true;
                    }
                    this.nextToken();
                    value = this.inheritCoverGrammar(this.parseAssignmentExpression);
                  } else if (this.match("(")) {
                    value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                    method = true;
                  } else if (token.type === 3) {
                    var id = this.finalize(node, new Node.Identifier(token.value));
                    if (this.match("=")) {
                      this.context.firstCoverInitializedNameError = this.lookahead;
                      this.nextToken();
                      shorthand = true;
                      var init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      value = this.finalize(node, new Node.AssignmentPattern(id, init));
                    } else {
                      shorthand = true;
                      value = id;
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.Property(kind, key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectInitializer = function() {
                var node = this.createNode();
                this.expect("{");
                var properties = [];
                var hasProto = { value: false };
                while (!this.match("}")) {
                  properties.push(this.parseObjectProperty(hasProto));
                  if (!this.match("}")) {
                    this.expectCommaSeparator();
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectExpression(properties));
              };
              Parser2.prototype.parseTemplateHead = function() {
                assert_1.assert(this.lookahead.head, "Template literal must start with a template head");
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateElement = function() {
                if (this.lookahead.type !== 10) {
                  this.throwUnexpectedToken();
                }
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateLiteral = function() {
                var node = this.createNode();
                var expressions = [];
                var quasis = [];
                var quasi = this.parseTemplateHead();
                quasis.push(quasi);
                while (!quasi.tail) {
                  expressions.push(this.parseExpression());
                  quasi = this.parseTemplateElement();
                  quasis.push(quasi);
                }
                return this.finalize(node, new Node.TemplateLiteral(quasis, expressions));
              };
              Parser2.prototype.reinterpretExpressionAsPattern = function(expr) {
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                  case syntax_1.Syntax.MemberExpression:
                  case syntax_1.Syntax.RestElement:
                  case syntax_1.Syntax.AssignmentPattern:
                    break;
                  case syntax_1.Syntax.SpreadElement:
                    expr.type = syntax_1.Syntax.RestElement;
                    this.reinterpretExpressionAsPattern(expr.argument);
                    break;
                  case syntax_1.Syntax.ArrayExpression:
                    expr.type = syntax_1.Syntax.ArrayPattern;
                    for (var i = 0; i < expr.elements.length; i++) {
                      if (expr.elements[i] !== null) {
                        this.reinterpretExpressionAsPattern(expr.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectExpression:
                    expr.type = syntax_1.Syntax.ObjectPattern;
                    for (var i = 0; i < expr.properties.length; i++) {
                      this.reinterpretExpressionAsPattern(expr.properties[i].value);
                    }
                    break;
                  case syntax_1.Syntax.AssignmentExpression:
                    expr.type = syntax_1.Syntax.AssignmentPattern;
                    delete expr.operator;
                    this.reinterpretExpressionAsPattern(expr.left);
                    break;
                  default:
                    break;
                }
              };
              Parser2.prototype.parseGroupExpression = function() {
                var expr;
                this.expect("(");
                if (this.match(")")) {
                  this.nextToken();
                  if (!this.match("=>")) {
                    this.expect("=>");
                  }
                  expr = {
                    type: ArrowParameterPlaceHolder,
                    params: [],
                    async: false
                  };
                } else {
                  var startToken = this.lookahead;
                  var params = [];
                  if (this.match("...")) {
                    expr = this.parseRestElement(params);
                    this.expect(")");
                    if (!this.match("=>")) {
                      this.expect("=>");
                    }
                    expr = {
                      type: ArrowParameterPlaceHolder,
                      params: [expr],
                      async: false
                    };
                  } else {
                    var arrow = false;
                    this.context.isBindingElement = true;
                    expr = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    if (this.match(",")) {
                      var expressions = [];
                      this.context.isAssignmentTarget = false;
                      expressions.push(expr);
                      while (this.lookahead.type !== 2) {
                        if (!this.match(",")) {
                          break;
                        }
                        this.nextToken();
                        if (this.match(")")) {
                          this.nextToken();
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else if (this.match("...")) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          expressions.push(this.parseRestElement(params));
                          this.expect(")");
                          if (!this.match("=>")) {
                            this.expect("=>");
                          }
                          this.context.isBindingElement = false;
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else {
                          expressions.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                        }
                        if (arrow) {
                          break;
                        }
                      }
                      if (!arrow) {
                        expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                      }
                    }
                    if (!arrow) {
                      this.expect(")");
                      if (this.match("=>")) {
                        if (expr.type === syntax_1.Syntax.Identifier && expr.name === "yield") {
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: [expr],
                            async: false
                          };
                        }
                        if (!arrow) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          if (expr.type === syntax_1.Syntax.SequenceExpression) {
                            for (var i = 0; i < expr.expressions.length; i++) {
                              this.reinterpretExpressionAsPattern(expr.expressions[i]);
                            }
                          } else {
                            this.reinterpretExpressionAsPattern(expr);
                          }
                          var parameters = expr.type === syntax_1.Syntax.SequenceExpression ? expr.expressions : [expr];
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: parameters,
                            async: false
                          };
                        }
                      }
                      this.context.isBindingElement = false;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAssignmentExpression);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.isIdentifierName = function(token) {
                return token.type === 3 || token.type === 4 || token.type === 1 || token.type === 5;
              };
              Parser2.prototype.parseIdentifierName = function() {
                var node = this.createNode();
                var token = this.nextToken();
                if (!this.isIdentifierName(token)) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseNewExpression = function() {
                var node = this.createNode();
                var id = this.parseIdentifierName();
                assert_1.assert(id.name === "new", "New expression must start with `new`");
                var expr;
                if (this.match(".")) {
                  this.nextToken();
                  if (this.lookahead.type === 3 && this.context.inFunctionBody && this.lookahead.value === "target") {
                    var property = this.parseIdentifierName();
                    expr = new Node.MetaProperty(id, property);
                  } else {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  var callee = this.isolateCoverGrammar(this.parseLeftHandSideExpression);
                  var args = this.match("(") ? this.parseArguments() : [];
                  expr = new Node.NewExpression(callee, args);
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return this.finalize(node, expr);
              };
              Parser2.prototype.parseAsyncArgument = function() {
                var arg = this.parseAssignmentExpression();
                this.context.firstCoverInitializedNameError = null;
                return arg;
              };
              Parser2.prototype.parseAsyncArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAsyncArgument);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.parseLeftHandSideExpressionAllowCall = function() {
                var startToken = this.lookahead;
                var maybeAsync = this.matchContextualKeyword("async");
                var previousAllowIn = this.context.allowIn;
                this.context.allowIn = true;
                var expr;
                if (this.matchKeyword("super") && this.context.inFunctionBody) {
                  expr = this.createNode();
                  this.nextToken();
                  expr = this.finalize(expr, new Node.Super());
                  if (!this.match("(") && !this.match(".") && !this.match("[")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  expr = this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                }
                while (true) {
                  if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(this.startNode(startToken), new Node.StaticMemberExpression(expr, property));
                  } else if (this.match("(")) {
                    var asyncArrow = maybeAsync && startToken.lineNumber === this.lookahead.lineNumber;
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = false;
                    var args = asyncArrow ? this.parseAsyncArguments() : this.parseArguments();
                    expr = this.finalize(this.startNode(startToken), new Node.CallExpression(expr, args));
                    if (asyncArrow && this.match("=>")) {
                      for (var i = 0; i < args.length; ++i) {
                        this.reinterpretExpressionAsPattern(args[i]);
                      }
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: args,
                        async: true
                      };
                    }
                  } else if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(this.startNode(startToken), new Node.ComputedMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(this.startNode(startToken), new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                this.context.allowIn = previousAllowIn;
                return expr;
              };
              Parser2.prototype.parseSuper = function() {
                var node = this.createNode();
                this.expectKeyword("super");
                if (!this.match("[") && !this.match(".")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                return this.finalize(node, new Node.Super());
              };
              Parser2.prototype.parseLeftHandSideExpression = function() {
                assert_1.assert(this.context.allowIn, "callee of new expression always allow in keyword.");
                var node = this.startNode(this.lookahead);
                var expr = this.matchKeyword("super") && this.context.inFunctionBody ? this.parseSuper() : this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                while (true) {
                  if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(node, new Node.ComputedMemberExpression(expr, property));
                  } else if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(node, new Node.StaticMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(node, new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseUpdateExpression = function() {
                var expr;
                var startToken = this.lookahead;
                if (this.match("++") || this.match("--")) {
                  var node = this.startNode(startToken);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                    this.tolerateError(messages_1.Messages.StrictLHSPrefix);
                  }
                  if (!this.context.isAssignmentTarget) {
                    this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                  }
                  var prefix = true;
                  expr = this.finalize(node, new Node.UpdateExpression(token.value, expr, prefix));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else {
                  expr = this.inheritCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                  if (!this.hasLineTerminator && this.lookahead.type === 7) {
                    if (this.match("++") || this.match("--")) {
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                        this.tolerateError(messages_1.Messages.StrictLHSPostfix);
                      }
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      var operator = this.nextToken().value;
                      var prefix = false;
                      expr = this.finalize(this.startNode(startToken), new Node.UpdateExpression(operator, expr, prefix));
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseAwaitExpression = function() {
                var node = this.createNode();
                this.nextToken();
                var argument = this.parseUnaryExpression();
                return this.finalize(node, new Node.AwaitExpression(argument));
              };
              Parser2.prototype.parseUnaryExpression = function() {
                var expr;
                if (this.match("+") || this.match("-") || this.match("~") || this.match("!") || this.matchKeyword("delete") || this.matchKeyword("void") || this.matchKeyword("typeof")) {
                  var node = this.startNode(this.lookahead);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  expr = this.finalize(node, new Node.UnaryExpression(token.value, expr));
                  if (this.context.strict && expr.operator === "delete" && expr.argument.type === syntax_1.Syntax.Identifier) {
                    this.tolerateError(messages_1.Messages.StrictDelete);
                  }
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else if (this.context.await && this.matchContextualKeyword("await")) {
                  expr = this.parseAwaitExpression();
                } else {
                  expr = this.parseUpdateExpression();
                }
                return expr;
              };
              Parser2.prototype.parseExponentiationExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                if (expr.type !== syntax_1.Syntax.UnaryExpression && this.match("**")) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.BinaryExpression("**", left, right));
                }
                return expr;
              };
              Parser2.prototype.binaryPrecedence = function(token) {
                var op = token.value;
                var precedence;
                if (token.type === 7) {
                  precedence = this.operatorPrecedence[op] || 0;
                } else if (token.type === 4) {
                  precedence = op === "instanceof" || this.context.allowIn && op === "in" ? 7 : 0;
                } else {
                  precedence = 0;
                }
                return precedence;
              };
              Parser2.prototype.parseBinaryExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseExponentiationExpression);
                var token = this.lookahead;
                var prec = this.binaryPrecedence(token);
                if (prec > 0) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var markers = [startToken, this.lookahead];
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  var stack = [left, token.value, right];
                  var precedences = [prec];
                  while (true) {
                    prec = this.binaryPrecedence(this.lookahead);
                    if (prec <= 0) {
                      break;
                    }
                    while (stack.length > 2 && prec <= precedences[precedences.length - 1]) {
                      right = stack.pop();
                      var operator = stack.pop();
                      precedences.pop();
                      left = stack.pop();
                      markers.pop();
                      var node = this.startNode(markers[markers.length - 1]);
                      stack.push(this.finalize(node, new Node.BinaryExpression(operator, left, right)));
                    }
                    stack.push(this.nextToken().value);
                    precedences.push(prec);
                    markers.push(this.lookahead);
                    stack.push(this.isolateCoverGrammar(this.parseExponentiationExpression));
                  }
                  var i = stack.length - 1;
                  expr = stack[i];
                  var lastMarker = markers.pop();
                  while (i > 1) {
                    var marker = markers.pop();
                    var lastLineStart = lastMarker && lastMarker.lineStart;
                    var node = this.startNode(marker, lastLineStart);
                    var operator = stack[i - 1];
                    expr = this.finalize(node, new Node.BinaryExpression(operator, stack[i - 2], expr));
                    i -= 2;
                    lastMarker = marker;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseConditionalExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseBinaryExpression);
                if (this.match("?")) {
                  this.nextToken();
                  var previousAllowIn = this.context.allowIn;
                  this.context.allowIn = true;
                  var consequent = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowIn = previousAllowIn;
                  this.expect(":");
                  var alternate = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.ConditionalExpression(expr, consequent, alternate));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return expr;
              };
              Parser2.prototype.checkPatternParam = function(options, param) {
                switch (param.type) {
                  case syntax_1.Syntax.Identifier:
                    this.validateParam(options, param, param.name);
                    break;
                  case syntax_1.Syntax.RestElement:
                    this.checkPatternParam(options, param.argument);
                    break;
                  case syntax_1.Syntax.AssignmentPattern:
                    this.checkPatternParam(options, param.left);
                    break;
                  case syntax_1.Syntax.ArrayPattern:
                    for (var i = 0; i < param.elements.length; i++) {
                      if (param.elements[i] !== null) {
                        this.checkPatternParam(options, param.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectPattern:
                    for (var i = 0; i < param.properties.length; i++) {
                      this.checkPatternParam(options, param.properties[i].value);
                    }
                    break;
                  default:
                    break;
                }
                options.simple = options.simple && param instanceof Node.Identifier;
              };
              Parser2.prototype.reinterpretAsCoverFormalsList = function(expr) {
                var params = [expr];
                var options;
                var asyncArrow = false;
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                    break;
                  case ArrowParameterPlaceHolder:
                    params = expr.params;
                    asyncArrow = expr.async;
                    break;
                  default:
                    return null;
                }
                options = {
                  simple: true,
                  paramSet: {}
                };
                for (var i = 0; i < params.length; ++i) {
                  var param = params[i];
                  if (param.type === syntax_1.Syntax.AssignmentPattern) {
                    if (param.right.type === syntax_1.Syntax.YieldExpression) {
                      if (param.right.argument) {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                      param.right.type = syntax_1.Syntax.Identifier;
                      param.right.name = "yield";
                      delete param.right.argument;
                      delete param.right.delegate;
                    }
                  } else if (asyncArrow && param.type === syntax_1.Syntax.Identifier && param.name === "await") {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.checkPatternParam(options, param);
                  params[i] = param;
                }
                if (this.context.strict || !this.context.allowYield) {
                  for (var i = 0; i < params.length; ++i) {
                    var param = params[i];
                    if (param.type === syntax_1.Syntax.YieldExpression) {
                      this.throwUnexpectedToken(this.lookahead);
                    }
                  }
                }
                if (options.message === messages_1.Messages.StrictParamDupe) {
                  var token = this.context.strict ? options.stricted : options.firstRestricted;
                  this.throwUnexpectedToken(token, options.message);
                }
                return {
                  simple: options.simple,
                  params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.parseAssignmentExpression = function() {
                var expr;
                if (!this.context.allowYield && this.matchKeyword("yield")) {
                  expr = this.parseYieldExpression();
                } else {
                  var startToken = this.lookahead;
                  var token = startToken;
                  expr = this.parseConditionalExpression();
                  if (token.type === 3 && token.lineNumber === this.lookahead.lineNumber && token.value === "async") {
                    if (this.lookahead.type === 3 || this.matchKeyword("yield")) {
                      var arg = this.parsePrimaryExpression();
                      this.reinterpretExpressionAsPattern(arg);
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: [arg],
                        async: true
                      };
                    }
                  }
                  if (expr.type === ArrowParameterPlaceHolder || this.match("=>")) {
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    var isAsync = expr.async;
                    var list = this.reinterpretAsCoverFormalsList(expr);
                    if (list) {
                      if (this.hasLineTerminator) {
                        this.tolerateUnexpectedToken(this.lookahead);
                      }
                      this.context.firstCoverInitializedNameError = null;
                      var previousStrict = this.context.strict;
                      var previousAllowStrictDirective = this.context.allowStrictDirective;
                      this.context.allowStrictDirective = list.simple;
                      var previousAllowYield = this.context.allowYield;
                      var previousAwait = this.context.await;
                      this.context.allowYield = true;
                      this.context.await = isAsync;
                      var node = this.startNode(startToken);
                      this.expect("=>");
                      var body = void 0;
                      if (this.match("{")) {
                        var previousAllowIn = this.context.allowIn;
                        this.context.allowIn = true;
                        body = this.parseFunctionSourceElements();
                        this.context.allowIn = previousAllowIn;
                      } else {
                        body = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      }
                      var expression = body.type !== syntax_1.Syntax.BlockStatement;
                      if (this.context.strict && list.firstRestricted) {
                        this.throwUnexpectedToken(list.firstRestricted, list.message);
                      }
                      if (this.context.strict && list.stricted) {
                        this.tolerateUnexpectedToken(list.stricted, list.message);
                      }
                      expr = isAsync ? this.finalize(node, new Node.AsyncArrowFunctionExpression(list.params, body, expression)) : this.finalize(node, new Node.ArrowFunctionExpression(list.params, body, expression));
                      this.context.strict = previousStrict;
                      this.context.allowStrictDirective = previousAllowStrictDirective;
                      this.context.allowYield = previousAllowYield;
                      this.context.await = previousAwait;
                    }
                  } else {
                    if (this.matchAssign()) {
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier) {
                        var id = expr;
                        if (this.scanner.isRestrictedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictLHSAssignment);
                        }
                        if (this.scanner.isStrictModeReservedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                        }
                      }
                      if (!this.match("=")) {
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                      } else {
                        this.reinterpretExpressionAsPattern(expr);
                      }
                      token = this.nextToken();
                      var operator = token.value;
                      var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      expr = this.finalize(this.startNode(startToken), new Node.AssignmentExpression(operator, expr, right));
                      this.context.firstCoverInitializedNameError = null;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseExpression = function() {
                var startToken = this.lookahead;
                var expr = this.isolateCoverGrammar(this.parseAssignmentExpression);
                if (this.match(",")) {
                  var expressions = [];
                  expressions.push(expr);
                  while (this.lookahead.type !== 2) {
                    if (!this.match(",")) {
                      break;
                    }
                    this.nextToken();
                    expressions.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                  }
                  expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                }
                return expr;
              };
              Parser2.prototype.parseStatementListItem = function() {
                var statement;
                this.context.isAssignmentTarget = true;
                this.context.isBindingElement = true;
                if (this.lookahead.type === 4) {
                  switch (this.lookahead.value) {
                    case "export":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalExportDeclaration);
                      }
                      statement = this.parseExportDeclaration();
                      break;
                    case "import":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalImportDeclaration);
                      }
                      statement = this.parseImportDeclaration();
                      break;
                    case "const":
                      statement = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "function":
                      statement = this.parseFunctionDeclaration();
                      break;
                    case "class":
                      statement = this.parseClassDeclaration();
                      break;
                    case "let":
                      statement = this.isLexicalDeclaration() ? this.parseLexicalDeclaration({ inFor: false }) : this.parseStatement();
                      break;
                    default:
                      statement = this.parseStatement();
                      break;
                  }
                } else {
                  statement = this.parseStatement();
                }
                return statement;
              };
              Parser2.prototype.parseBlock = function() {
                var node = this.createNode();
                this.expect("{");
                var block = [];
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  block.push(this.parseStatementListItem());
                }
                this.expect("}");
                return this.finalize(node, new Node.BlockStatement(block));
              };
              Parser2.prototype.parseLexicalBinding = function(kind, options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, kind);
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (kind === "const") {
                  if (!this.matchKeyword("in") && !this.matchContextualKeyword("of")) {
                    if (this.match("=")) {
                      this.nextToken();
                      init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                    } else {
                      this.throwError(messages_1.Messages.DeclarationMissingInitializer, "const");
                    }
                  }
                } else if (!options.inFor && id.type !== syntax_1.Syntax.Identifier || this.match("=")) {
                  this.expect("=");
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseBindingList = function(kind, options) {
                var list = [this.parseLexicalBinding(kind, options)];
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseLexicalBinding(kind, options));
                }
                return list;
              };
              Parser2.prototype.isLexicalDeclaration = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.scanner.lex();
                this.scanner.restoreState(state);
                return next.type === 3 || next.type === 7 && next.value === "[" || next.type === 7 && next.value === "{" || next.type === 4 && next.value === "let" || next.type === 4 && next.value === "yield";
              };
              Parser2.prototype.parseLexicalDeclaration = function(options) {
                var node = this.createNode();
                var kind = this.nextToken().value;
                assert_1.assert(kind === "let" || kind === "const", "Lexical declaration must be either let or const");
                var declarations = this.parseBindingList(kind, options);
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, kind));
              };
              Parser2.prototype.parseBindingRestElement = function(params, kind) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params, kind);
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseArrayPattern = function(params, kind) {
                var node = this.createNode();
                this.expect("[");
                var elements = [];
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else {
                    if (this.match("...")) {
                      elements.push(this.parseBindingRestElement(params, kind));
                      break;
                    } else {
                      elements.push(this.parsePatternWithDefault(params, kind));
                    }
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayPattern(elements));
              };
              Parser2.prototype.parsePropertyPattern = function(params, kind) {
                var node = this.createNode();
                var computed = false;
                var shorthand = false;
                var method = false;
                var key;
                var value;
                if (this.lookahead.type === 3) {
                  var keyToken = this.lookahead;
                  key = this.parseVariableIdentifier();
                  var init = this.finalize(node, new Node.Identifier(keyToken.value));
                  if (this.match("=")) {
                    params.push(keyToken);
                    shorthand = true;
                    this.nextToken();
                    var expr = this.parseAssignmentExpression();
                    value = this.finalize(this.startNode(keyToken), new Node.AssignmentPattern(init, expr));
                  } else if (!this.match(":")) {
                    params.push(keyToken);
                    shorthand = true;
                    value = init;
                  } else {
                    this.expect(":");
                    value = this.parsePatternWithDefault(params, kind);
                  }
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.expect(":");
                  value = this.parsePatternWithDefault(params, kind);
                }
                return this.finalize(node, new Node.Property("init", key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectPattern = function(params, kind) {
                var node = this.createNode();
                var properties = [];
                this.expect("{");
                while (!this.match("}")) {
                  properties.push(this.parsePropertyPattern(params, kind));
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectPattern(properties));
              };
              Parser2.prototype.parsePattern = function(params, kind) {
                var pattern;
                if (this.match("[")) {
                  pattern = this.parseArrayPattern(params, kind);
                } else if (this.match("{")) {
                  pattern = this.parseObjectPattern(params, kind);
                } else {
                  if (this.matchKeyword("let") && (kind === "const" || kind === "let")) {
                    this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.LetInLexicalBinding);
                  }
                  params.push(this.lookahead);
                  pattern = this.parseVariableIdentifier(kind);
                }
                return pattern;
              };
              Parser2.prototype.parsePatternWithDefault = function(params, kind) {
                var startToken = this.lookahead;
                var pattern = this.parsePattern(params, kind);
                if (this.match("=")) {
                  this.nextToken();
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = true;
                  var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowYield = previousAllowYield;
                  pattern = this.finalize(this.startNode(startToken), new Node.AssignmentPattern(pattern, right));
                }
                return pattern;
              };
              Parser2.prototype.parseVariableIdentifier = function(kind) {
                var node = this.createNode();
                var token = this.nextToken();
                if (token.type === 4 && token.value === "yield") {
                  if (this.context.strict) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else if (!this.context.allowYield) {
                    this.throwUnexpectedToken(token);
                  }
                } else if (token.type !== 3) {
                  if (this.context.strict && token.type === 4 && this.scanner.isStrictModeReservedWord(token.value)) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else {
                    if (this.context.strict || token.value !== "let" || kind !== "var") {
                      this.throwUnexpectedToken(token);
                    }
                  }
                } else if ((this.context.isModule || this.context.await) && token.type === 3 && token.value === "await") {
                  this.tolerateUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseVariableDeclaration = function(options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, "var");
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (this.match("=")) {
                  this.nextToken();
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                } else if (id.type !== syntax_1.Syntax.Identifier && !options.inFor) {
                  this.expect("=");
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseVariableDeclarationList = function(options) {
                var opt = { inFor: options.inFor };
                var list = [];
                list.push(this.parseVariableDeclaration(opt));
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseVariableDeclaration(opt));
                }
                return list;
              };
              Parser2.prototype.parseVariableStatement = function() {
                var node = this.createNode();
                this.expectKeyword("var");
                var declarations = this.parseVariableDeclarationList({ inFor: false });
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, "var"));
              };
              Parser2.prototype.parseEmptyStatement = function() {
                var node = this.createNode();
                this.expect(";");
                return this.finalize(node, new Node.EmptyStatement());
              };
              Parser2.prototype.parseExpressionStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseIfClause = function() {
                if (this.context.strict && this.matchKeyword("function")) {
                  this.tolerateError(messages_1.Messages.StrictFunction);
                }
                return this.parseStatement();
              };
              Parser2.prototype.parseIfStatement = function() {
                var node = this.createNode();
                var consequent;
                var alternate = null;
                this.expectKeyword("if");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  consequent = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  consequent = this.parseIfClause();
                  if (this.matchKeyword("else")) {
                    this.nextToken();
                    alternate = this.parseIfClause();
                  }
                }
                return this.finalize(node, new Node.IfStatement(test, consequent, alternate));
              };
              Parser2.prototype.parseDoWhileStatement = function() {
                var node = this.createNode();
                this.expectKeyword("do");
                var previousInIteration = this.context.inIteration;
                this.context.inIteration = true;
                var body = this.parseStatement();
                this.context.inIteration = previousInIteration;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                } else {
                  this.expect(")");
                  if (this.match(";")) {
                    this.nextToken();
                  }
                }
                return this.finalize(node, new Node.DoWhileStatement(body, test));
              };
              Parser2.prototype.parseWhileStatement = function() {
                var node = this.createNode();
                var body;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.parseStatement();
                  this.context.inIteration = previousInIteration;
                }
                return this.finalize(node, new Node.WhileStatement(test, body));
              };
              Parser2.prototype.parseForStatement = function() {
                var init = null;
                var test = null;
                var update = null;
                var forIn = true;
                var left, right;
                var node = this.createNode();
                this.expectKeyword("for");
                this.expect("(");
                if (this.match(";")) {
                  this.nextToken();
                } else {
                  if (this.matchKeyword("var")) {
                    init = this.createNode();
                    this.nextToken();
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    var declarations = this.parseVariableDeclarationList({ inFor: true });
                    this.context.allowIn = previousAllowIn;
                    if (declarations.length === 1 && this.matchKeyword("in")) {
                      var decl = declarations[0];
                      if (decl.init && (decl.id.type === syntax_1.Syntax.ArrayPattern || decl.id.type === syntax_1.Syntax.ObjectPattern || this.context.strict)) {
                        this.tolerateError(messages_1.Messages.ForInOfLoopInitializer, "for-in");
                      }
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.expect(";");
                    }
                  } else if (this.matchKeyword("const") || this.matchKeyword("let")) {
                    init = this.createNode();
                    var kind = this.nextToken().value;
                    if (!this.context.strict && this.lookahead.value === "in") {
                      init = this.finalize(init, new Node.Identifier(kind));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else {
                      var previousAllowIn = this.context.allowIn;
                      this.context.allowIn = false;
                      var declarations = this.parseBindingList(kind, { inFor: true });
                      this.context.allowIn = previousAllowIn;
                      if (declarations.length === 1 && declarations[0].init === null && this.matchKeyword("in")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseExpression();
                        init = null;
                      } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseAssignmentExpression();
                        init = null;
                        forIn = false;
                      } else {
                        this.consumeSemicolon();
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                      }
                    }
                  } else {
                    var initStartToken = this.lookahead;
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    init = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    this.context.allowIn = previousAllowIn;
                    if (this.matchKeyword("in")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForIn);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (this.matchContextualKeyword("of")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForLoop);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      if (this.match(",")) {
                        var initSeq = [init];
                        while (this.match(",")) {
                          this.nextToken();
                          initSeq.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                        }
                        init = this.finalize(this.startNode(initStartToken), new Node.SequenceExpression(initSeq));
                      }
                      this.expect(";");
                    }
                  }
                }
                if (typeof left === "undefined") {
                  if (!this.match(";")) {
                    test = this.parseExpression();
                  }
                  this.expect(";");
                  if (!this.match(")")) {
                    update = this.parseExpression();
                  }
                }
                var body;
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.isolateCoverGrammar(this.parseStatement);
                  this.context.inIteration = previousInIteration;
                }
                return typeof left === "undefined" ? this.finalize(node, new Node.ForStatement(init, test, update, body)) : forIn ? this.finalize(node, new Node.ForInStatement(left, right, body)) : this.finalize(node, new Node.ForOfStatement(left, right, body));
              };
              Parser2.prototype.parseContinueStatement = function() {
                var node = this.createNode();
                this.expectKeyword("continue");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  label = id;
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration) {
                  this.throwError(messages_1.Messages.IllegalContinue);
                }
                return this.finalize(node, new Node.ContinueStatement(label));
              };
              Parser2.prototype.parseBreakStatement = function() {
                var node = this.createNode();
                this.expectKeyword("break");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                  label = id;
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration && !this.context.inSwitch) {
                  this.throwError(messages_1.Messages.IllegalBreak);
                }
                return this.finalize(node, new Node.BreakStatement(label));
              };
              Parser2.prototype.parseReturnStatement = function() {
                if (!this.context.inFunctionBody) {
                  this.tolerateError(messages_1.Messages.IllegalReturn);
                }
                var node = this.createNode();
                this.expectKeyword("return");
                var hasArgument = !this.match(";") && !this.match("}") && !this.hasLineTerminator && this.lookahead.type !== 2 || this.lookahead.type === 8 || this.lookahead.type === 10;
                var argument = hasArgument ? this.parseExpression() : null;
                this.consumeSemicolon();
                return this.finalize(node, new Node.ReturnStatement(argument));
              };
              Parser2.prototype.parseWithStatement = function() {
                if (this.context.strict) {
                  this.tolerateError(messages_1.Messages.StrictModeWith);
                }
                var node = this.createNode();
                var body;
                this.expectKeyword("with");
                this.expect("(");
                var object = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  body = this.parseStatement();
                }
                return this.finalize(node, new Node.WithStatement(object, body));
              };
              Parser2.prototype.parseSwitchCase = function() {
                var node = this.createNode();
                var test;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  test = null;
                } else {
                  this.expectKeyword("case");
                  test = this.parseExpression();
                }
                this.expect(":");
                var consequent = [];
                while (true) {
                  if (this.match("}") || this.matchKeyword("default") || this.matchKeyword("case")) {
                    break;
                  }
                  consequent.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.SwitchCase(test, consequent));
              };
              Parser2.prototype.parseSwitchStatement = function() {
                var node = this.createNode();
                this.expectKeyword("switch");
                this.expect("(");
                var discriminant = this.parseExpression();
                this.expect(")");
                var previousInSwitch = this.context.inSwitch;
                this.context.inSwitch = true;
                var cases = [];
                var defaultFound = false;
                this.expect("{");
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  var clause = this.parseSwitchCase();
                  if (clause.test === null) {
                    if (defaultFound) {
                      this.throwError(messages_1.Messages.MultipleDefaultsInSwitch);
                    }
                    defaultFound = true;
                  }
                  cases.push(clause);
                }
                this.expect("}");
                this.context.inSwitch = previousInSwitch;
                return this.finalize(node, new Node.SwitchStatement(discriminant, cases));
              };
              Parser2.prototype.parseLabelledStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                var statement;
                if (expr.type === syntax_1.Syntax.Identifier && this.match(":")) {
                  this.nextToken();
                  var id = expr;
                  var key = "$" + id.name;
                  if (Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.Redeclaration, "Label", id.name);
                  }
                  this.context.labelSet[key] = true;
                  var body = void 0;
                  if (this.matchKeyword("class")) {
                    this.tolerateUnexpectedToken(this.lookahead);
                    body = this.parseClassDeclaration();
                  } else if (this.matchKeyword("function")) {
                    var token = this.lookahead;
                    var declaration = this.parseFunctionDeclaration();
                    if (this.context.strict) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunction);
                    } else if (declaration.generator) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.GeneratorInLegacyContext);
                    }
                    body = declaration;
                  } else {
                    body = this.parseStatement();
                  }
                  delete this.context.labelSet[key];
                  statement = new Node.LabeledStatement(id, body);
                } else {
                  this.consumeSemicolon();
                  statement = new Node.ExpressionStatement(expr);
                }
                return this.finalize(node, statement);
              };
              Parser2.prototype.parseThrowStatement = function() {
                var node = this.createNode();
                this.expectKeyword("throw");
                if (this.hasLineTerminator) {
                  this.throwError(messages_1.Messages.NewlineAfterThrow);
                }
                var argument = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ThrowStatement(argument));
              };
              Parser2.prototype.parseCatchClause = function() {
                var node = this.createNode();
                this.expectKeyword("catch");
                this.expect("(");
                if (this.match(")")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                var params = [];
                var param = this.parsePattern(params);
                var paramMap = {};
                for (var i = 0; i < params.length; i++) {
                  var key = "$" + params[i].value;
                  if (Object.prototype.hasOwnProperty.call(paramMap, key)) {
                    this.tolerateError(messages_1.Messages.DuplicateBinding, params[i].value);
                  }
                  paramMap[key] = true;
                }
                if (this.context.strict && param.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(param.name)) {
                    this.tolerateError(messages_1.Messages.StrictCatchVariable);
                  }
                }
                this.expect(")");
                var body = this.parseBlock();
                return this.finalize(node, new Node.CatchClause(param, body));
              };
              Parser2.prototype.parseFinallyClause = function() {
                this.expectKeyword("finally");
                return this.parseBlock();
              };
              Parser2.prototype.parseTryStatement = function() {
                var node = this.createNode();
                this.expectKeyword("try");
                var block = this.parseBlock();
                var handler = this.matchKeyword("catch") ? this.parseCatchClause() : null;
                var finalizer = this.matchKeyword("finally") ? this.parseFinallyClause() : null;
                if (!handler && !finalizer) {
                  this.throwError(messages_1.Messages.NoCatchOrFinally);
                }
                return this.finalize(node, new Node.TryStatement(block, handler, finalizer));
              };
              Parser2.prototype.parseDebuggerStatement = function() {
                var node = this.createNode();
                this.expectKeyword("debugger");
                this.consumeSemicolon();
                return this.finalize(node, new Node.DebuggerStatement());
              };
              Parser2.prototype.parseStatement = function() {
                var statement;
                switch (this.lookahead.type) {
                  case 1:
                  case 5:
                  case 6:
                  case 8:
                  case 10:
                  case 9:
                    statement = this.parseExpressionStatement();
                    break;
                  case 7:
                    var value = this.lookahead.value;
                    if (value === "{") {
                      statement = this.parseBlock();
                    } else if (value === "(") {
                      statement = this.parseExpressionStatement();
                    } else if (value === ";") {
                      statement = this.parseEmptyStatement();
                    } else {
                      statement = this.parseExpressionStatement();
                    }
                    break;
                  case 3:
                    statement = this.matchAsyncFunction() ? this.parseFunctionDeclaration() : this.parseLabelledStatement();
                    break;
                  case 4:
                    switch (this.lookahead.value) {
                      case "break":
                        statement = this.parseBreakStatement();
                        break;
                      case "continue":
                        statement = this.parseContinueStatement();
                        break;
                      case "debugger":
                        statement = this.parseDebuggerStatement();
                        break;
                      case "do":
                        statement = this.parseDoWhileStatement();
                        break;
                      case "for":
                        statement = this.parseForStatement();
                        break;
                      case "function":
                        statement = this.parseFunctionDeclaration();
                        break;
                      case "if":
                        statement = this.parseIfStatement();
                        break;
                      case "return":
                        statement = this.parseReturnStatement();
                        break;
                      case "switch":
                        statement = this.parseSwitchStatement();
                        break;
                      case "throw":
                        statement = this.parseThrowStatement();
                        break;
                      case "try":
                        statement = this.parseTryStatement();
                        break;
                      case "var":
                        statement = this.parseVariableStatement();
                        break;
                      case "while":
                        statement = this.parseWhileStatement();
                        break;
                      case "with":
                        statement = this.parseWithStatement();
                        break;
                      default:
                        statement = this.parseExpressionStatement();
                        break;
                    }
                    break;
                  default:
                    statement = this.throwUnexpectedToken(this.lookahead);
                }
                return statement;
              };
              Parser2.prototype.parseFunctionSourceElements = function() {
                var node = this.createNode();
                this.expect("{");
                var body = this.parseDirectivePrologues();
                var previousLabelSet = this.context.labelSet;
                var previousInIteration = this.context.inIteration;
                var previousInSwitch = this.context.inSwitch;
                var previousInFunctionBody = this.context.inFunctionBody;
                this.context.labelSet = {};
                this.context.inIteration = false;
                this.context.inSwitch = false;
                this.context.inFunctionBody = true;
                while (this.lookahead.type !== 2) {
                  if (this.match("}")) {
                    break;
                  }
                  body.push(this.parseStatementListItem());
                }
                this.expect("}");
                this.context.labelSet = previousLabelSet;
                this.context.inIteration = previousInIteration;
                this.context.inSwitch = previousInSwitch;
                this.context.inFunctionBody = previousInFunctionBody;
                return this.finalize(node, new Node.BlockStatement(body));
              };
              Parser2.prototype.validateParam = function(options, param, name) {
                var key = "$" + name;
                if (this.context.strict) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  }
                  if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                } else if (!options.firstRestricted) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  } else if (this.scanner.isStrictModeReservedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictReservedWord;
                  } else if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                }
                if (typeof Object.defineProperty === "function") {
                  Object.defineProperty(options.paramSet, key, { value: true, enumerable: true, writable: true, configurable: true });
                } else {
                  options.paramSet[key] = true;
                }
              };
              Parser2.prototype.parseRestElement = function(params) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params);
                if (this.match("=")) {
                  this.throwError(messages_1.Messages.DefaultRestParameter);
                }
                if (!this.match(")")) {
                  this.throwError(messages_1.Messages.ParameterAfterRestParameter);
                }
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseFormalParameter = function(options) {
                var params = [];
                var param = this.match("...") ? this.parseRestElement(params) : this.parsePatternWithDefault(params);
                for (var i = 0; i < params.length; i++) {
                  this.validateParam(options, params[i], params[i].value);
                }
                options.simple = options.simple && param instanceof Node.Identifier;
                options.params.push(param);
              };
              Parser2.prototype.parseFormalParameters = function(firstRestricted) {
                var options;
                options = {
                  simple: true,
                  params: [],
                  firstRestricted
                };
                this.expect("(");
                if (!this.match(")")) {
                  options.paramSet = {};
                  while (this.lookahead.type !== 2) {
                    this.parseFormalParameter(options);
                    if (this.match(")")) {
                      break;
                    }
                    this.expect(",");
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return {
                  simple: options.simple,
                  params: options.params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.matchAsyncFunction = function() {
                var match = this.matchContextualKeyword("async");
                if (match) {
                  var state = this.scanner.saveState();
                  this.scanner.scanComments();
                  var next = this.scanner.lex();
                  this.scanner.restoreState(state);
                  match = state.lineNumber === next.lineNumber && next.type === 4 && next.value === "function";
                }
                return match;
              };
              Parser2.prototype.parseFunctionDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted = null;
                if (!identifierIsOptional || !this.match("(")) {
                  var token = this.lookahead;
                  id = this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionDeclaration(id, params, body)) : this.finalize(node, new Node.FunctionDeclaration(id, params, body, isGenerator));
              };
              Parser2.prototype.parseFunctionExpression = function() {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted;
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                if (!this.match("(")) {
                  var token = this.lookahead;
                  id = !this.context.strict && !isGenerator && this.matchKeyword("yield") ? this.parseIdentifierName() : this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionExpression(id, params, body)) : this.finalize(node, new Node.FunctionExpression(id, params, body, isGenerator));
              };
              Parser2.prototype.parseDirective = function() {
                var token = this.lookahead;
                var node = this.createNode();
                var expr = this.parseExpression();
                var directive = expr.type === syntax_1.Syntax.Literal ? this.getTokenRaw(token).slice(1, -1) : null;
                this.consumeSemicolon();
                return this.finalize(node, directive ? new Node.Directive(expr, directive) : new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseDirectivePrologues = function() {
                var firstRestricted = null;
                var body = [];
                while (true) {
                  var token = this.lookahead;
                  if (token.type !== 8) {
                    break;
                  }
                  var statement = this.parseDirective();
                  body.push(statement);
                  var directive = statement.directive;
                  if (typeof directive !== "string") {
                    break;
                  }
                  if (directive === "use strict") {
                    this.context.strict = true;
                    if (firstRestricted) {
                      this.tolerateUnexpectedToken(firstRestricted, messages_1.Messages.StrictOctalLiteral);
                    }
                    if (!this.context.allowStrictDirective) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.IllegalLanguageModeDirective);
                    }
                  } else {
                    if (!firstRestricted && token.octal) {
                      firstRestricted = token;
                    }
                  }
                }
                return body;
              };
              Parser2.prototype.qualifiedPropertyName = function(token) {
                switch (token.type) {
                  case 3:
                  case 8:
                  case 1:
                  case 5:
                  case 6:
                  case 4:
                    return true;
                  case 7:
                    return token.value === "[";
                  default:
                    break;
                }
                return false;
              };
              Parser2.prototype.parseGetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length > 0) {
                  this.tolerateError(messages_1.Messages.BadGetterArity);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseSetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length !== 1) {
                  this.tolerateError(messages_1.Messages.BadSetterArity);
                } else if (formalParameters.params[0] instanceof Node.RestElement) {
                  this.tolerateError(messages_1.Messages.BadSetterRestParameter);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseGeneratorMethod = function() {
                var node = this.createNode();
                var isGenerator = true;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                this.context.allowYield = false;
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.isStartOfExpression = function() {
                var start = true;
                var value = this.lookahead.value;
                switch (this.lookahead.type) {
                  case 7:
                    start = value === "[" || value === "(" || value === "{" || value === "+" || value === "-" || value === "!" || value === "~" || value === "++" || value === "--" || value === "/" || value === "/=";
                    break;
                  case 4:
                    start = value === "class" || value === "delete" || value === "function" || value === "let" || value === "new" || value === "super" || value === "this" || value === "typeof" || value === "void" || value === "yield";
                    break;
                  default:
                    break;
                }
                return start;
              };
              Parser2.prototype.parseYieldExpression = function() {
                var node = this.createNode();
                this.expectKeyword("yield");
                var argument = null;
                var delegate = false;
                if (!this.hasLineTerminator) {
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = false;
                  delegate = this.match("*");
                  if (delegate) {
                    this.nextToken();
                    argument = this.parseAssignmentExpression();
                  } else if (this.isStartOfExpression()) {
                    argument = this.parseAssignmentExpression();
                  }
                  this.context.allowYield = previousAllowYield;
                }
                return this.finalize(node, new Node.YieldExpression(argument, delegate));
              };
              Parser2.prototype.parseClassElement = function(hasConstructor) {
                var token = this.lookahead;
                var node = this.createNode();
                var kind = "";
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var isStatic = false;
                var isAsync = false;
                if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  var id = key;
                  if (id.name === "static" && (this.qualifiedPropertyName(this.lookahead) || this.match("*"))) {
                    token = this.lookahead;
                    isStatic = true;
                    computed = this.match("[");
                    if (this.match("*")) {
                      this.nextToken();
                    } else {
                      key = this.parseObjectPropertyKey();
                    }
                  }
                  if (token.type === 3 && !this.hasLineTerminator && token.value === "async") {
                    var punctuator = this.lookahead.value;
                    if (punctuator !== ":" && punctuator !== "(" && punctuator !== "*") {
                      isAsync = true;
                      token = this.lookahead;
                      key = this.parseObjectPropertyKey();
                      if (token.type === 3 && token.value === "constructor") {
                        this.tolerateUnexpectedToken(token, messages_1.Messages.ConstructorIsAsync);
                      }
                    }
                  }
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3) {
                  if (token.value === "get" && lookaheadPropertyKey) {
                    kind = "get";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    this.context.allowYield = false;
                    value = this.parseGetterMethod();
                  } else if (token.value === "set" && lookaheadPropertyKey) {
                    kind = "set";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    value = this.parseSetterMethod();
                  }
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                }
                if (!kind && key && this.match("(")) {
                  kind = "init";
                  value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                  method = true;
                }
                if (!kind) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                if (kind === "init") {
                  kind = "method";
                }
                if (!computed) {
                  if (isStatic && this.isPropertyKey(key, "prototype")) {
                    this.throwUnexpectedToken(token, messages_1.Messages.StaticPrototype);
                  }
                  if (!isStatic && this.isPropertyKey(key, "constructor")) {
                    if (kind !== "method" || !method || value && value.generator) {
                      this.throwUnexpectedToken(token, messages_1.Messages.ConstructorSpecialMethod);
                    }
                    if (hasConstructor.value) {
                      this.throwUnexpectedToken(token, messages_1.Messages.DuplicateConstructor);
                    } else {
                      hasConstructor.value = true;
                    }
                    kind = "constructor";
                  }
                }
                return this.finalize(node, new Node.MethodDefinition(key, computed, value, kind, isStatic));
              };
              Parser2.prototype.parseClassElementList = function() {
                var body = [];
                var hasConstructor = { value: false };
                this.expect("{");
                while (!this.match("}")) {
                  if (this.match(";")) {
                    this.nextToken();
                  } else {
                    body.push(this.parseClassElement(hasConstructor));
                  }
                }
                this.expect("}");
                return body;
              };
              Parser2.prototype.parseClassBody = function() {
                var node = this.createNode();
                var elementList = this.parseClassElementList();
                return this.finalize(node, new Node.ClassBody(elementList));
              };
              Parser2.prototype.parseClassDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = identifierIsOptional && this.lookahead.type !== 3 ? null : this.parseVariableIdentifier();
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassDeclaration(id, superClass, classBody));
              };
              Parser2.prototype.parseClassExpression = function() {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = this.lookahead.type === 3 ? this.parseVariableIdentifier() : null;
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassExpression(id, superClass, classBody));
              };
              Parser2.prototype.parseModule = function() {
                this.context.strict = true;
                this.context.isModule = true;
                this.scanner.isModule = true;
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Module(body));
              };
              Parser2.prototype.parseScript = function() {
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Script(body));
              };
              Parser2.prototype.parseModuleSpecifier = function() {
                var node = this.createNode();
                if (this.lookahead.type !== 8) {
                  this.throwError(messages_1.Messages.InvalidModuleSpecifier);
                }
                var token = this.nextToken();
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              Parser2.prototype.parseImportSpecifier = function() {
                var node = this.createNode();
                var imported;
                var local;
                if (this.lookahead.type === 3) {
                  imported = this.parseVariableIdentifier();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  }
                } else {
                  imported = this.parseIdentifierName();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.ImportSpecifier(local, imported));
              };
              Parser2.prototype.parseNamedImports = function() {
                this.expect("{");
                var specifiers = [];
                while (!this.match("}")) {
                  specifiers.push(this.parseImportSpecifier());
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return specifiers;
              };
              Parser2.prototype.parseImportDefaultSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportDefaultSpecifier(local));
              };
              Parser2.prototype.parseImportNamespaceSpecifier = function() {
                var node = this.createNode();
                this.expect("*");
                if (!this.matchContextualKeyword("as")) {
                  this.throwError(messages_1.Messages.NoAsAfterImportNamespace);
                }
                this.nextToken();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportNamespaceSpecifier(local));
              };
              Parser2.prototype.parseImportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalImportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("import");
                var src;
                var specifiers = [];
                if (this.lookahead.type === 8) {
                  src = this.parseModuleSpecifier();
                } else {
                  if (this.match("{")) {
                    specifiers = specifiers.concat(this.parseNamedImports());
                  } else if (this.match("*")) {
                    specifiers.push(this.parseImportNamespaceSpecifier());
                  } else if (this.isIdentifierName(this.lookahead) && !this.matchKeyword("default")) {
                    specifiers.push(this.parseImportDefaultSpecifier());
                    if (this.match(",")) {
                      this.nextToken();
                      if (this.match("*")) {
                        specifiers.push(this.parseImportNamespaceSpecifier());
                      } else if (this.match("{")) {
                        specifiers = specifiers.concat(this.parseNamedImports());
                      } else {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  src = this.parseModuleSpecifier();
                }
                this.consumeSemicolon();
                return this.finalize(node, new Node.ImportDeclaration(specifiers, src));
              };
              Parser2.prototype.parseExportSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                var exported = local;
                if (this.matchContextualKeyword("as")) {
                  this.nextToken();
                  exported = this.parseIdentifierName();
                }
                return this.finalize(node, new Node.ExportSpecifier(local, exported));
              };
              Parser2.prototype.parseExportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalExportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("export");
                var exportDeclaration;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  if (this.matchKeyword("function")) {
                    var declaration = this.parseFunctionDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchKeyword("class")) {
                    var declaration = this.parseClassDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchContextualKeyword("async")) {
                    var declaration = this.matchAsyncFunction() ? this.parseFunctionDeclaration(true) : this.parseAssignmentExpression();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else {
                    if (this.matchContextualKeyword("from")) {
                      this.throwError(messages_1.Messages.UnexpectedToken, this.lookahead.value);
                    }
                    var declaration = this.match("{") ? this.parseObjectInitializer() : this.match("[") ? this.parseArrayInitializer() : this.parseAssignmentExpression();
                    this.consumeSemicolon();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  }
                } else if (this.match("*")) {
                  this.nextToken();
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  var src = this.parseModuleSpecifier();
                  this.consumeSemicolon();
                  exportDeclaration = this.finalize(node, new Node.ExportAllDeclaration(src));
                } else if (this.lookahead.type === 4) {
                  var declaration = void 0;
                  switch (this.lookahead.value) {
                    case "let":
                    case "const":
                      declaration = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "var":
                    case "class":
                    case "function":
                      declaration = this.parseStatementListItem();
                      break;
                    default:
                      this.throwUnexpectedToken(this.lookahead);
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else if (this.matchAsyncFunction()) {
                  var declaration = this.parseFunctionDeclaration();
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else {
                  var specifiers = [];
                  var source = null;
                  var isExportFromIdentifier = false;
                  this.expect("{");
                  while (!this.match("}")) {
                    isExportFromIdentifier = isExportFromIdentifier || this.matchKeyword("default");
                    specifiers.push(this.parseExportSpecifier());
                    if (!this.match("}")) {
                      this.expect(",");
                    }
                  }
                  this.expect("}");
                  if (this.matchContextualKeyword("from")) {
                    this.nextToken();
                    source = this.parseModuleSpecifier();
                    this.consumeSemicolon();
                  } else if (isExportFromIdentifier) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  } else {
                    this.consumeSemicolon();
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(null, specifiers, source));
                }
                return exportDeclaration;
              };
              return Parser2;
            }();
            exports3.Parser = Parser;
          },
          /* 9 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            function assert(condition, message) {
              if (!condition) {
                throw new Error("ASSERT: " + message);
              }
            }
            exports3.assert = assert;
          },
          /* 10 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var ErrorHandler = function() {
              function ErrorHandler2() {
                this.errors = [];
                this.tolerant = false;
              }
              ErrorHandler2.prototype.recordError = function(error) {
                this.errors.push(error);
              };
              ErrorHandler2.prototype.tolerate = function(error) {
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              ErrorHandler2.prototype.constructError = function(msg, column) {
                var error = new Error(msg);
                try {
                  throw error;
                } catch (base) {
                  if (Object.create && Object.defineProperty) {
                    error = Object.create(base);
                    Object.defineProperty(error, "column", { value: column });
                  }
                }
                return error;
              };
              ErrorHandler2.prototype.createError = function(index, line, col, description) {
                var msg = "Line " + line + ": " + description;
                var error = this.constructError(msg, col);
                error.index = index;
                error.lineNumber = line;
                error.description = description;
                return error;
              };
              ErrorHandler2.prototype.throwError = function(index, line, col, description) {
                throw this.createError(index, line, col, description);
              };
              ErrorHandler2.prototype.tolerateError = function(index, line, col, description) {
                var error = this.createError(index, line, col, description);
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              return ErrorHandler2;
            }();
            exports3.ErrorHandler = ErrorHandler;
          },
          /* 11 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Messages = {
              BadGetterArity: "Getter must not have any formal parameters",
              BadSetterArity: "Setter must have exactly one formal parameter",
              BadSetterRestParameter: "Setter function argument must not be a rest parameter",
              ConstructorIsAsync: "Class constructor may not be an async method",
              ConstructorSpecialMethod: "Class constructor may not be an accessor",
              DeclarationMissingInitializer: "Missing initializer in %0 declaration",
              DefaultRestParameter: "Unexpected token =",
              DuplicateBinding: "Duplicate binding %0",
              DuplicateConstructor: "A class may only have one constructor",
              DuplicateProtoProperty: "Duplicate __proto__ fields are not allowed in object literals",
              ForInOfLoopInitializer: "%0 loop variable declaration may not have an initializer",
              GeneratorInLegacyContext: "Generator declarations are not allowed in legacy contexts",
              IllegalBreak: "Illegal break statement",
              IllegalContinue: "Illegal continue statement",
              IllegalExportDeclaration: "Unexpected token",
              IllegalImportDeclaration: "Unexpected token",
              IllegalLanguageModeDirective: "Illegal 'use strict' directive in function with non-simple parameter list",
              IllegalReturn: "Illegal return statement",
              InvalidEscapedReservedWord: "Keyword must not contain escaped characters",
              InvalidHexEscapeSequence: "Invalid hexadecimal escape sequence",
              InvalidLHSInAssignment: "Invalid left-hand side in assignment",
              InvalidLHSInForIn: "Invalid left-hand side in for-in",
              InvalidLHSInForLoop: "Invalid left-hand side in for-loop",
              InvalidModuleSpecifier: "Unexpected token",
              InvalidRegExp: "Invalid regular expression",
              LetInLexicalBinding: "let is disallowed as a lexically bound name",
              MissingFromClause: "Unexpected token",
              MultipleDefaultsInSwitch: "More than one default clause in switch statement",
              NewlineAfterThrow: "Illegal newline after throw",
              NoAsAfterImportNamespace: "Unexpected token",
              NoCatchOrFinally: "Missing catch or finally after try",
              ParameterAfterRestParameter: "Rest parameter must be last formal parameter",
              Redeclaration: "%0 '%1' has already been declared",
              StaticPrototype: "Classes may not have static property named prototype",
              StrictCatchVariable: "Catch variable may not be eval or arguments in strict mode",
              StrictDelete: "Delete of an unqualified identifier in strict mode.",
              StrictFunction: "In strict mode code, functions can only be declared at top level or inside a block",
              StrictFunctionName: "Function name may not be eval or arguments in strict mode",
              StrictLHSAssignment: "Assignment to eval or arguments is not allowed in strict mode",
              StrictLHSPostfix: "Postfix increment/decrement may not have eval or arguments operand in strict mode",
              StrictLHSPrefix: "Prefix increment/decrement may not have eval or arguments operand in strict mode",
              StrictModeWith: "Strict mode code may not include a with statement",
              StrictOctalLiteral: "Octal literals are not allowed in strict mode.",
              StrictParamDupe: "Strict mode function may not have duplicate parameter names",
              StrictParamName: "Parameter name eval or arguments is not allowed in strict mode",
              StrictReservedWord: "Use of future reserved word in strict mode",
              StrictVarName: "Variable name may not be eval or arguments in strict mode",
              TemplateOctalLiteral: "Octal literals are not allowed in template strings.",
              UnexpectedEOS: "Unexpected end of input",
              UnexpectedIdentifier: "Unexpected identifier",
              UnexpectedNumber: "Unexpected number",
              UnexpectedReserved: "Unexpected reserved word",
              UnexpectedString: "Unexpected string",
              UnexpectedTemplate: "Unexpected quasi %0",
              UnexpectedToken: "Unexpected token %0",
              UnexpectedTokenIllegal: "Unexpected token ILLEGAL",
              UnknownLabel: "Undefined label '%0'",
              UnterminatedRegExp: "Invalid regular expression: missing /"
            };
          },
          /* 12 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var character_1 = __webpack_require__(4);
            var messages_1 = __webpack_require__(11);
            function hexValue(ch) {
              return "0123456789abcdef".indexOf(ch.toLowerCase());
            }
            function octalValue(ch) {
              return "01234567".indexOf(ch);
            }
            var Scanner = function() {
              function Scanner2(code, handler) {
                this.source = code;
                this.errorHandler = handler;
                this.trackComment = false;
                this.isModule = false;
                this.length = code.length;
                this.index = 0;
                this.lineNumber = code.length > 0 ? 1 : 0;
                this.lineStart = 0;
                this.curlyStack = [];
              }
              Scanner2.prototype.saveState = function() {
                return {
                  index: this.index,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart
                };
              };
              Scanner2.prototype.restoreState = function(state) {
                this.index = state.index;
                this.lineNumber = state.lineNumber;
                this.lineStart = state.lineStart;
              };
              Scanner2.prototype.eof = function() {
                return this.index >= this.length;
              };
              Scanner2.prototype.throwUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                return this.errorHandler.throwError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.tolerateUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                this.errorHandler.tolerateError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.skipSingleLineComment = function(offset) {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - offset;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - offset
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  ++this.index;
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (this.trackComment) {
                      loc.end = {
                        line: this.lineNumber,
                        column: this.index - this.lineStart - 1
                      };
                      var entry = {
                        multiLine: false,
                        slice: [start + offset, this.index - 1],
                        range: [start, this.index - 1],
                        loc
                      };
                      comments.push(entry);
                    }
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    return comments;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: false,
                    slice: [start + offset, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                return comments;
              };
              Scanner2.prototype.skipMultiLineComment = function() {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - 2;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - 2
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (ch === 13 && this.source.charCodeAt(this.index + 1) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    ++this.index;
                    this.lineStart = this.index;
                  } else if (ch === 42) {
                    if (this.source.charCodeAt(this.index + 1) === 47) {
                      this.index += 2;
                      if (this.trackComment) {
                        loc.end = {
                          line: this.lineNumber,
                          column: this.index - this.lineStart
                        };
                        var entry = {
                          multiLine: true,
                          slice: [start + 2, this.index - 2],
                          range: [start, this.index],
                          loc
                        };
                        comments.push(entry);
                      }
                      return comments;
                    }
                    ++this.index;
                  } else {
                    ++this.index;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: true,
                    slice: [start + 2, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                this.tolerateUnexpectedToken();
                return comments;
              };
              Scanner2.prototype.scanComments = function() {
                var comments;
                if (this.trackComment) {
                  comments = [];
                }
                var start = this.index === 0;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isWhiteSpace(ch)) {
                    ++this.index;
                  } else if (character_1.Character.isLineTerminator(ch)) {
                    ++this.index;
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    start = true;
                  } else if (ch === 47) {
                    ch = this.source.charCodeAt(this.index + 1);
                    if (ch === 47) {
                      this.index += 2;
                      var comment = this.skipSingleLineComment(2);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                      start = true;
                    } else if (ch === 42) {
                      this.index += 2;
                      var comment = this.skipMultiLineComment();
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (start && ch === 45) {
                    if (this.source.charCodeAt(this.index + 1) === 45 && this.source.charCodeAt(this.index + 2) === 62) {
                      this.index += 3;
                      var comment = this.skipSingleLineComment(3);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (ch === 60 && !this.isModule) {
                    if (this.source.slice(this.index + 1, this.index + 4) === "!--") {
                      this.index += 4;
                      var comment = this.skipSingleLineComment(4);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else {
                    break;
                  }
                }
                return comments;
              };
              Scanner2.prototype.isFutureReservedWord = function(id) {
                switch (id) {
                  case "enum":
                  case "export":
                  case "import":
                  case "super":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isStrictModeReservedWord = function(id) {
                switch (id) {
                  case "implements":
                  case "interface":
                  case "package":
                  case "private":
                  case "protected":
                  case "public":
                  case "static":
                  case "yield":
                  case "let":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isRestrictedWord = function(id) {
                return id === "eval" || id === "arguments";
              };
              Scanner2.prototype.isKeyword = function(id) {
                switch (id.length) {
                  case 2:
                    return id === "if" || id === "in" || id === "do";
                  case 3:
                    return id === "var" || id === "for" || id === "new" || id === "try" || id === "let";
                  case 4:
                    return id === "this" || id === "else" || id === "case" || id === "void" || id === "with" || id === "enum";
                  case 5:
                    return id === "while" || id === "break" || id === "catch" || id === "throw" || id === "const" || id === "yield" || id === "class" || id === "super";
                  case 6:
                    return id === "return" || id === "typeof" || id === "delete" || id === "switch" || id === "export" || id === "import";
                  case 7:
                    return id === "default" || id === "finally" || id === "extends";
                  case 8:
                    return id === "function" || id === "continue" || id === "debugger";
                  case 10:
                    return id === "instanceof";
                  default:
                    return false;
                }
              };
              Scanner2.prototype.codePointAt = function(i) {
                var cp = this.source.charCodeAt(i);
                if (cp >= 55296 && cp <= 56319) {
                  var second = this.source.charCodeAt(i + 1);
                  if (second >= 56320 && second <= 57343) {
                    var first = cp;
                    cp = (first - 55296) * 1024 + second - 56320 + 65536;
                  }
                }
                return cp;
              };
              Scanner2.prototype.scanHexEscape = function(prefix) {
                var len = prefix === "u" ? 4 : 2;
                var code = 0;
                for (var i = 0; i < len; ++i) {
                  if (!this.eof() && character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    code = code * 16 + hexValue(this.source[this.index++]);
                  } else {
                    return null;
                  }
                }
                return String.fromCharCode(code);
              };
              Scanner2.prototype.scanUnicodeCodePointEscape = function() {
                var ch = this.source[this.index];
                var code = 0;
                if (ch === "}") {
                  this.throwUnexpectedToken();
                }
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  if (!character_1.Character.isHexDigit(ch.charCodeAt(0))) {
                    break;
                  }
                  code = code * 16 + hexValue(ch);
                }
                if (code > 1114111 || ch !== "}") {
                  this.throwUnexpectedToken();
                }
                return character_1.Character.fromCodePoint(code);
              };
              Scanner2.prototype.getIdentifier = function() {
                var start = this.index++;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (ch === 92) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  } else if (ch >= 55296 && ch < 57343) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  }
                  if (character_1.Character.isIdentifierPart(ch)) {
                    ++this.index;
                  } else {
                    break;
                  }
                }
                return this.source.slice(start, this.index);
              };
              Scanner2.prototype.getComplexIdentifier = function() {
                var cp = this.codePointAt(this.index);
                var id = character_1.Character.fromCodePoint(cp);
                this.index += id.length;
                var ch;
                if (cp === 92) {
                  if (this.source.charCodeAt(this.index) !== 117) {
                    this.throwUnexpectedToken();
                  }
                  ++this.index;
                  if (this.source[this.index] === "{") {
                    ++this.index;
                    ch = this.scanUnicodeCodePointEscape();
                  } else {
                    ch = this.scanHexEscape("u");
                    if (ch === null || ch === "\\" || !character_1.Character.isIdentifierStart(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken();
                    }
                  }
                  id = ch;
                }
                while (!this.eof()) {
                  cp = this.codePointAt(this.index);
                  if (!character_1.Character.isIdentifierPart(cp)) {
                    break;
                  }
                  ch = character_1.Character.fromCodePoint(cp);
                  id += ch;
                  this.index += ch.length;
                  if (cp === 92) {
                    id = id.substr(0, id.length - 1);
                    if (this.source.charCodeAt(this.index) !== 117) {
                      this.throwUnexpectedToken();
                    }
                    ++this.index;
                    if (this.source[this.index] === "{") {
                      ++this.index;
                      ch = this.scanUnicodeCodePointEscape();
                    } else {
                      ch = this.scanHexEscape("u");
                      if (ch === null || ch === "\\" || !character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                        this.throwUnexpectedToken();
                      }
                    }
                    id += ch;
                  }
                }
                return id;
              };
              Scanner2.prototype.octalToDecimal = function(ch) {
                var octal = ch !== "0";
                var code = octalValue(ch);
                if (!this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                  octal = true;
                  code = code * 8 + octalValue(this.source[this.index++]);
                  if ("0123".indexOf(ch) >= 0 && !this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    code = code * 8 + octalValue(this.source[this.index++]);
                  }
                }
                return {
                  code,
                  octal
                };
              };
              Scanner2.prototype.scanIdentifier = function() {
                var type;
                var start = this.index;
                var id = this.source.charCodeAt(start) === 92 ? this.getComplexIdentifier() : this.getIdentifier();
                if (id.length === 1) {
                  type = 3;
                } else if (this.isKeyword(id)) {
                  type = 4;
                } else if (id === "null") {
                  type = 5;
                } else if (id === "true" || id === "false") {
                  type = 1;
                } else {
                  type = 3;
                }
                if (type !== 3 && start + id.length !== this.index) {
                  var restore = this.index;
                  this.index = start;
                  this.tolerateUnexpectedToken(messages_1.Messages.InvalidEscapedReservedWord);
                  this.index = restore;
                }
                return {
                  type,
                  value: id,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanPunctuator = function() {
                var start = this.index;
                var str = this.source[this.index];
                switch (str) {
                  case "(":
                  case "{":
                    if (str === "{") {
                      this.curlyStack.push("{");
                    }
                    ++this.index;
                    break;
                  case ".":
                    ++this.index;
                    if (this.source[this.index] === "." && this.source[this.index + 1] === ".") {
                      this.index += 2;
                      str = "...";
                    }
                    break;
                  case "}":
                    ++this.index;
                    this.curlyStack.pop();
                    break;
                  case ")":
                  case ";":
                  case ",":
                  case "[":
                  case "]":
                  case ":":
                  case "?":
                  case "~":
                    ++this.index;
                    break;
                  default:
                    str = this.source.substr(this.index, 4);
                    if (str === ">>>=") {
                      this.index += 4;
                    } else {
                      str = str.substr(0, 3);
                      if (str === "===" || str === "!==" || str === ">>>" || str === "<<=" || str === ">>=" || str === "**=") {
                        this.index += 3;
                      } else {
                        str = str.substr(0, 2);
                        if (str === "&&" || str === "||" || str === "==" || str === "!=" || str === "+=" || str === "-=" || str === "*=" || str === "/=" || str === "++" || str === "--" || str === "<<" || str === ">>" || str === "&=" || str === "|=" || str === "^=" || str === "%=" || str === "<=" || str === ">=" || str === "=>" || str === "**") {
                          this.index += 2;
                        } else {
                          str = this.source[this.index];
                          if ("<>=!+-*%&|^/".indexOf(str) >= 0) {
                            ++this.index;
                          }
                        }
                      }
                    }
                }
                if (this.index === start) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 7,
                  value: str,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanHexLiteral = function(start) {
                var num = "";
                while (!this.eof()) {
                  if (!character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt("0x" + num, 16),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanBinaryLiteral = function(start) {
                var num = "";
                var ch;
                while (!this.eof()) {
                  ch = this.source[this.index];
                  if (ch !== "0" && ch !== "1") {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (!this.eof()) {
                  ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isIdentifierStart(ch) || character_1.Character.isDecimalDigit(ch)) {
                    this.throwUnexpectedToken();
                  }
                }
                return {
                  type: 6,
                  value: parseInt(num, 2),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanOctalLiteral = function(prefix, start) {
                var num = "";
                var octal = false;
                if (character_1.Character.isOctalDigit(prefix.charCodeAt(0))) {
                  octal = true;
                  num = "0" + this.source[this.index++];
                } else {
                  ++this.index;
                }
                while (!this.eof()) {
                  if (!character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (!octal && num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index)) || character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt(num, 8),
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.isImplicitOctalLiteral = function() {
                for (var i = this.index + 1; i < this.length; ++i) {
                  var ch = this.source[i];
                  if (ch === "8" || ch === "9") {
                    return false;
                  }
                  if (!character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                    return true;
                  }
                }
                return true;
              };
              Scanner2.prototype.scanNumericLiteral = function() {
                var start = this.index;
                var ch = this.source[start];
                assert_1.assert(character_1.Character.isDecimalDigit(ch.charCodeAt(0)) || ch === ".", "Numeric literal must start with a decimal digit or a decimal point");
                var num = "";
                if (ch !== ".") {
                  num = this.source[this.index++];
                  ch = this.source[this.index];
                  if (num === "0") {
                    if (ch === "x" || ch === "X") {
                      ++this.index;
                      return this.scanHexLiteral(start);
                    }
                    if (ch === "b" || ch === "B") {
                      ++this.index;
                      return this.scanBinaryLiteral(start);
                    }
                    if (ch === "o" || ch === "O") {
                      return this.scanOctalLiteral(ch, start);
                    }
                    if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                      if (this.isImplicitOctalLiteral()) {
                        return this.scanOctalLiteral(ch, start);
                      }
                    }
                  }
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === ".") {
                  num += this.source[this.index++];
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === "e" || ch === "E") {
                  num += this.source[this.index++];
                  ch = this.source[this.index];
                  if (ch === "+" || ch === "-") {
                    num += this.source[this.index++];
                  }
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                      num += this.source[this.index++];
                    }
                  } else {
                    this.throwUnexpectedToken();
                  }
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseFloat(num),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanStringLiteral = function() {
                var start = this.index;
                var quote = this.source[start];
                assert_1.assert(quote === "'" || quote === '"', "String literal must starts with a quote");
                ++this.index;
                var octal = false;
                var str = "";
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === quote) {
                    quote = "";
                    break;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!ch || !character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            str += this.scanUnicodeCodePointEscape();
                          } else {
                            var unescaped_1 = this.scanHexEscape(ch);
                            if (unescaped_1 === null) {
                              this.throwUnexpectedToken();
                            }
                            str += unescaped_1;
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          str += unescaped;
                          break;
                        case "n":
                          str += "\n";
                          break;
                        case "r":
                          str += "\r";
                          break;
                        case "t":
                          str += "	";
                          break;
                        case "b":
                          str += "\b";
                          break;
                        case "f":
                          str += "\f";
                          break;
                        case "v":
                          str += "\v";
                          break;
                        case "8":
                        case "9":
                          str += ch;
                          this.tolerateUnexpectedToken();
                          break;
                        default:
                          if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            var octToDec = this.octalToDecimal(ch);
                            octal = octToDec.octal || octal;
                            str += String.fromCharCode(octToDec.code);
                          } else {
                            str += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    break;
                  } else {
                    str += ch;
                  }
                }
                if (quote !== "") {
                  this.index = start;
                  this.throwUnexpectedToken();
                }
                return {
                  type: 8,
                  value: str,
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanTemplate = function() {
                var cooked = "";
                var terminated = false;
                var start = this.index;
                var head = this.source[start] === "`";
                var tail = false;
                var rawOffset = 2;
                ++this.index;
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === "`") {
                    rawOffset = 1;
                    tail = true;
                    terminated = true;
                    break;
                  } else if (ch === "$") {
                    if (this.source[this.index] === "{") {
                      this.curlyStack.push("${");
                      ++this.index;
                      terminated = true;
                      break;
                    }
                    cooked += ch;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "n":
                          cooked += "\n";
                          break;
                        case "r":
                          cooked += "\r";
                          break;
                        case "t":
                          cooked += "	";
                          break;
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            cooked += this.scanUnicodeCodePointEscape();
                          } else {
                            var restore = this.index;
                            var unescaped_2 = this.scanHexEscape(ch);
                            if (unescaped_2 !== null) {
                              cooked += unescaped_2;
                            } else {
                              this.index = restore;
                              cooked += ch;
                            }
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          cooked += unescaped;
                          break;
                        case "b":
                          cooked += "\b";
                          break;
                        case "f":
                          cooked += "\f";
                          break;
                        case "v":
                          cooked += "\v";
                          break;
                        default:
                          if (ch === "0") {
                            if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                              this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                            }
                            cooked += "\0";
                          } else if (character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                          } else {
                            cooked += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.lineNumber;
                    if (ch === "\r" && this.source[this.index] === "\n") {
                      ++this.index;
                    }
                    this.lineStart = this.index;
                    cooked += "\n";
                  } else {
                    cooked += ch;
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken();
                }
                if (!head) {
                  this.curlyStack.pop();
                }
                return {
                  type: 10,
                  value: this.source.slice(start + 1, this.index - rawOffset),
                  cooked,
                  head,
                  tail,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.testRegExp = function(pattern, flags) {
                var astralSubstitute = "\uFFFF";
                var tmp = pattern;
                var self2 = this;
                if (flags.indexOf("u") >= 0) {
                  tmp = tmp.replace(/\\u\{([0-9a-fA-F]+)\}|\\u([a-fA-F0-9]{4})/g, function($0, $1, $2) {
                    var codePoint = parseInt($1 || $2, 16);
                    if (codePoint > 1114111) {
                      self2.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                    }
                    if (codePoint <= 65535) {
                      return String.fromCharCode(codePoint);
                    }
                    return astralSubstitute;
                  }).replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, astralSubstitute);
                }
                try {
                  RegExp(tmp);
                } catch (e) {
                  this.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                }
                try {
                  return new RegExp(pattern, flags);
                } catch (exception) {
                  return null;
                }
              };
              Scanner2.prototype.scanRegExpBody = function() {
                var ch = this.source[this.index];
                assert_1.assert(ch === "/", "Regular expression literal must start with a slash");
                var str = this.source[this.index++];
                var classMarker = false;
                var terminated = false;
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  str += ch;
                  if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                    }
                    str += ch;
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                  } else if (classMarker) {
                    if (ch === "]") {
                      classMarker = false;
                    }
                  } else {
                    if (ch === "/") {
                      terminated = true;
                      break;
                    } else if (ch === "[") {
                      classMarker = true;
                    }
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                }
                return str.substr(1, str.length - 2);
              };
              Scanner2.prototype.scanRegExpFlags = function() {
                var str = "";
                var flags = "";
                while (!this.eof()) {
                  var ch = this.source[this.index];
                  if (!character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                    break;
                  }
                  ++this.index;
                  if (ch === "\\" && !this.eof()) {
                    ch = this.source[this.index];
                    if (ch === "u") {
                      ++this.index;
                      var restore = this.index;
                      var char = this.scanHexEscape("u");
                      if (char !== null) {
                        flags += char;
                        for (str += "\\u"; restore < this.index; ++restore) {
                          str += this.source[restore];
                        }
                      } else {
                        this.index = restore;
                        flags += "u";
                        str += "\\u";
                      }
                      this.tolerateUnexpectedToken();
                    } else {
                      str += "\\";
                      this.tolerateUnexpectedToken();
                    }
                  } else {
                    flags += ch;
                    str += ch;
                  }
                }
                return flags;
              };
              Scanner2.prototype.scanRegExp = function() {
                var start = this.index;
                var pattern = this.scanRegExpBody();
                var flags = this.scanRegExpFlags();
                var value = this.testRegExp(pattern, flags);
                return {
                  type: 9,
                  value: "",
                  pattern,
                  flags,
                  regex: value,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.lex = function() {
                if (this.eof()) {
                  return {
                    type: 2,
                    value: "",
                    lineNumber: this.lineNumber,
                    lineStart: this.lineStart,
                    start: this.index,
                    end: this.index
                  };
                }
                var cp = this.source.charCodeAt(this.index);
                if (character_1.Character.isIdentifierStart(cp)) {
                  return this.scanIdentifier();
                }
                if (cp === 40 || cp === 41 || cp === 59) {
                  return this.scanPunctuator();
                }
                if (cp === 39 || cp === 34) {
                  return this.scanStringLiteral();
                }
                if (cp === 46) {
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index + 1))) {
                    return this.scanNumericLiteral();
                  }
                  return this.scanPunctuator();
                }
                if (character_1.Character.isDecimalDigit(cp)) {
                  return this.scanNumericLiteral();
                }
                if (cp === 96 || cp === 125 && this.curlyStack[this.curlyStack.length - 1] === "${") {
                  return this.scanTemplate();
                }
                if (cp >= 55296 && cp < 57343) {
                  if (character_1.Character.isIdentifierStart(this.codePointAt(this.index))) {
                    return this.scanIdentifier();
                  }
                }
                return this.scanPunctuator();
              };
              return Scanner2;
            }();
            exports3.Scanner = Scanner;
          },
          /* 13 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.TokenName = {};
            exports3.TokenName[
              1
              /* BooleanLiteral */
            ] = "Boolean";
            exports3.TokenName[
              2
              /* EOF */
            ] = "<end>";
            exports3.TokenName[
              3
              /* Identifier */
            ] = "Identifier";
            exports3.TokenName[
              4
              /* Keyword */
            ] = "Keyword";
            exports3.TokenName[
              5
              /* NullLiteral */
            ] = "Null";
            exports3.TokenName[
              6
              /* NumericLiteral */
            ] = "Numeric";
            exports3.TokenName[
              7
              /* Punctuator */
            ] = "Punctuator";
            exports3.TokenName[
              8
              /* StringLiteral */
            ] = "String";
            exports3.TokenName[
              9
              /* RegularExpression */
            ] = "RegularExpression";
            exports3.TokenName[
              10
              /* Template */
            ] = "Template";
          },
          /* 14 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.XHTMLEntities = {
              quot: '"',
              amp: "&",
              apos: "'",
              gt: ">",
              nbsp: "\xA0",
              iexcl: "\xA1",
              cent: "\xA2",
              pound: "\xA3",
              curren: "\xA4",
              yen: "\xA5",
              brvbar: "\xA6",
              sect: "\xA7",
              uml: "\xA8",
              copy: "\xA9",
              ordf: "\xAA",
              laquo: "\xAB",
              not: "\xAC",
              shy: "\xAD",
              reg: "\xAE",
              macr: "\xAF",
              deg: "\xB0",
              plusmn: "\xB1",
              sup2: "\xB2",
              sup3: "\xB3",
              acute: "\xB4",
              micro: "\xB5",
              para: "\xB6",
              middot: "\xB7",
              cedil: "\xB8",
              sup1: "\xB9",
              ordm: "\xBA",
              raquo: "\xBB",
              frac14: "\xBC",
              frac12: "\xBD",
              frac34: "\xBE",
              iquest: "\xBF",
              Agrave: "\xC0",
              Aacute: "\xC1",
              Acirc: "\xC2",
              Atilde: "\xC3",
              Auml: "\xC4",
              Aring: "\xC5",
              AElig: "\xC6",
              Ccedil: "\xC7",
              Egrave: "\xC8",
              Eacute: "\xC9",
              Ecirc: "\xCA",
              Euml: "\xCB",
              Igrave: "\xCC",
              Iacute: "\xCD",
              Icirc: "\xCE",
              Iuml: "\xCF",
              ETH: "\xD0",
              Ntilde: "\xD1",
              Ograve: "\xD2",
              Oacute: "\xD3",
              Ocirc: "\xD4",
              Otilde: "\xD5",
              Ouml: "\xD6",
              times: "\xD7",
              Oslash: "\xD8",
              Ugrave: "\xD9",
              Uacute: "\xDA",
              Ucirc: "\xDB",
              Uuml: "\xDC",
              Yacute: "\xDD",
              THORN: "\xDE",
              szlig: "\xDF",
              agrave: "\xE0",
              aacute: "\xE1",
              acirc: "\xE2",
              atilde: "\xE3",
              auml: "\xE4",
              aring: "\xE5",
              aelig: "\xE6",
              ccedil: "\xE7",
              egrave: "\xE8",
              eacute: "\xE9",
              ecirc: "\xEA",
              euml: "\xEB",
              igrave: "\xEC",
              iacute: "\xED",
              icirc: "\xEE",
              iuml: "\xEF",
              eth: "\xF0",
              ntilde: "\xF1",
              ograve: "\xF2",
              oacute: "\xF3",
              ocirc: "\xF4",
              otilde: "\xF5",
              ouml: "\xF6",
              divide: "\xF7",
              oslash: "\xF8",
              ugrave: "\xF9",
              uacute: "\xFA",
              ucirc: "\xFB",
              uuml: "\xFC",
              yacute: "\xFD",
              thorn: "\xFE",
              yuml: "\xFF",
              OElig: "\u0152",
              oelig: "\u0153",
              Scaron: "\u0160",
              scaron: "\u0161",
              Yuml: "\u0178",
              fnof: "\u0192",
              circ: "\u02C6",
              tilde: "\u02DC",
              Alpha: "\u0391",
              Beta: "\u0392",
              Gamma: "\u0393",
              Delta: "\u0394",
              Epsilon: "\u0395",
              Zeta: "\u0396",
              Eta: "\u0397",
              Theta: "\u0398",
              Iota: "\u0399",
              Kappa: "\u039A",
              Lambda: "\u039B",
              Mu: "\u039C",
              Nu: "\u039D",
              Xi: "\u039E",
              Omicron: "\u039F",
              Pi: "\u03A0",
              Rho: "\u03A1",
              Sigma: "\u03A3",
              Tau: "\u03A4",
              Upsilon: "\u03A5",
              Phi: "\u03A6",
              Chi: "\u03A7",
              Psi: "\u03A8",
              Omega: "\u03A9",
              alpha: "\u03B1",
              beta: "\u03B2",
              gamma: "\u03B3",
              delta: "\u03B4",
              epsilon: "\u03B5",
              zeta: "\u03B6",
              eta: "\u03B7",
              theta: "\u03B8",
              iota: "\u03B9",
              kappa: "\u03BA",
              lambda: "\u03BB",
              mu: "\u03BC",
              nu: "\u03BD",
              xi: "\u03BE",
              omicron: "\u03BF",
              pi: "\u03C0",
              rho: "\u03C1",
              sigmaf: "\u03C2",
              sigma: "\u03C3",
              tau: "\u03C4",
              upsilon: "\u03C5",
              phi: "\u03C6",
              chi: "\u03C7",
              psi: "\u03C8",
              omega: "\u03C9",
              thetasym: "\u03D1",
              upsih: "\u03D2",
              piv: "\u03D6",
              ensp: "\u2002",
              emsp: "\u2003",
              thinsp: "\u2009",
              zwnj: "\u200C",
              zwj: "\u200D",
              lrm: "\u200E",
              rlm: "\u200F",
              ndash: "\u2013",
              mdash: "\u2014",
              lsquo: "\u2018",
              rsquo: "\u2019",
              sbquo: "\u201A",
              ldquo: "\u201C",
              rdquo: "\u201D",
              bdquo: "\u201E",
              dagger: "\u2020",
              Dagger: "\u2021",
              bull: "\u2022",
              hellip: "\u2026",
              permil: "\u2030",
              prime: "\u2032",
              Prime: "\u2033",
              lsaquo: "\u2039",
              rsaquo: "\u203A",
              oline: "\u203E",
              frasl: "\u2044",
              euro: "\u20AC",
              image: "\u2111",
              weierp: "\u2118",
              real: "\u211C",
              trade: "\u2122",
              alefsym: "\u2135",
              larr: "\u2190",
              uarr: "\u2191",
              rarr: "\u2192",
              darr: "\u2193",
              harr: "\u2194",
              crarr: "\u21B5",
              lArr: "\u21D0",
              uArr: "\u21D1",
              rArr: "\u21D2",
              dArr: "\u21D3",
              hArr: "\u21D4",
              forall: "\u2200",
              part: "\u2202",
              exist: "\u2203",
              empty: "\u2205",
              nabla: "\u2207",
              isin: "\u2208",
              notin: "\u2209",
              ni: "\u220B",
              prod: "\u220F",
              sum: "\u2211",
              minus: "\u2212",
              lowast: "\u2217",
              radic: "\u221A",
              prop: "\u221D",
              infin: "\u221E",
              ang: "\u2220",
              and: "\u2227",
              or: "\u2228",
              cap: "\u2229",
              cup: "\u222A",
              int: "\u222B",
              there4: "\u2234",
              sim: "\u223C",
              cong: "\u2245",
              asymp: "\u2248",
              ne: "\u2260",
              equiv: "\u2261",
              le: "\u2264",
              ge: "\u2265",
              sub: "\u2282",
              sup: "\u2283",
              nsub: "\u2284",
              sube: "\u2286",
              supe: "\u2287",
              oplus: "\u2295",
              otimes: "\u2297",
              perp: "\u22A5",
              sdot: "\u22C5",
              lceil: "\u2308",
              rceil: "\u2309",
              lfloor: "\u230A",
              rfloor: "\u230B",
              loz: "\u25CA",
              spades: "\u2660",
              clubs: "\u2663",
              hearts: "\u2665",
              diams: "\u2666",
              lang: "\u27E8",
              rang: "\u27E9"
            };
          },
          /* 15 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var error_handler_1 = __webpack_require__(10);
            var scanner_1 = __webpack_require__(12);
            var token_1 = __webpack_require__(13);
            var Reader = function() {
              function Reader2() {
                this.values = [];
                this.curly = this.paren = -1;
              }
              Reader2.prototype.beforeFunctionExpression = function(t) {
                return [
                  "(",
                  "{",
                  "[",
                  "in",
                  "typeof",
                  "instanceof",
                  "new",
                  "return",
                  "case",
                  "delete",
                  "throw",
                  "void",
                  // assignment operators
                  "=",
                  "+=",
                  "-=",
                  "*=",
                  "**=",
                  "/=",
                  "%=",
                  "<<=",
                  ">>=",
                  ">>>=",
                  "&=",
                  "|=",
                  "^=",
                  ",",
                  // binary/unary operators
                  "+",
                  "-",
                  "*",
                  "**",
                  "/",
                  "%",
                  "++",
                  "--",
                  "<<",
                  ">>",
                  ">>>",
                  "&",
                  "|",
                  "^",
                  "!",
                  "~",
                  "&&",
                  "||",
                  "?",
                  ":",
                  "===",
                  "==",
                  ">=",
                  "<=",
                  "<",
                  ">",
                  "!=",
                  "!=="
                ].indexOf(t) >= 0;
              };
              Reader2.prototype.isRegexStart = function() {
                var previous = this.values[this.values.length - 1];
                var regex = previous !== null;
                switch (previous) {
                  case "this":
                  case "]":
                    regex = false;
                    break;
                  case ")":
                    var keyword = this.values[this.paren - 1];
                    regex = keyword === "if" || keyword === "while" || keyword === "for" || keyword === "with";
                    break;
                  case "}":
                    regex = false;
                    if (this.values[this.curly - 3] === "function") {
                      var check = this.values[this.curly - 4];
                      regex = check ? !this.beforeFunctionExpression(check) : false;
                    } else if (this.values[this.curly - 4] === "function") {
                      var check = this.values[this.curly - 5];
                      regex = check ? !this.beforeFunctionExpression(check) : true;
                    }
                    break;
                  default:
                    break;
                }
                return regex;
              };
              Reader2.prototype.push = function(token) {
                if (token.type === 7 || token.type === 4) {
                  if (token.value === "{") {
                    this.curly = this.values.length;
                  } else if (token.value === "(") {
                    this.paren = this.values.length;
                  }
                  this.values.push(token.value);
                } else {
                  this.values.push(null);
                }
              };
              return Reader2;
            }();
            var Tokenizer = function() {
              function Tokenizer2(code, config) {
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = config ? typeof config.tolerant === "boolean" && config.tolerant : false;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = config ? typeof config.comment === "boolean" && config.comment : false;
                this.trackRange = config ? typeof config.range === "boolean" && config.range : false;
                this.trackLoc = config ? typeof config.loc === "boolean" && config.loc : false;
                this.buffer = [];
                this.reader = new Reader();
              }
              Tokenizer2.prototype.errors = function() {
                return this.errorHandler.errors;
              };
              Tokenizer2.prototype.getNextToken = function() {
                if (this.buffer.length === 0) {
                  var comments = this.scanner.scanComments();
                  if (this.scanner.trackComment) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var value = this.scanner.source.slice(e.slice[0], e.slice[1]);
                      var comment = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value
                      };
                      if (this.trackRange) {
                        comment.range = e.range;
                      }
                      if (this.trackLoc) {
                        comment.loc = e.loc;
                      }
                      this.buffer.push(comment);
                    }
                  }
                  if (!this.scanner.eof()) {
                    var loc = void 0;
                    if (this.trackLoc) {
                      loc = {
                        start: {
                          line: this.scanner.lineNumber,
                          column: this.scanner.index - this.scanner.lineStart
                        },
                        end: {}
                      };
                    }
                    var startRegex = this.scanner.source[this.scanner.index] === "/" && this.reader.isRegexStart();
                    var token = startRegex ? this.scanner.scanRegExp() : this.scanner.lex();
                    this.reader.push(token);
                    var entry = {
                      type: token_1.TokenName[token.type],
                      value: this.scanner.source.slice(token.start, token.end)
                    };
                    if (this.trackRange) {
                      entry.range = [token.start, token.end];
                    }
                    if (this.trackLoc) {
                      loc.end = {
                        line: this.scanner.lineNumber,
                        column: this.scanner.index - this.scanner.lineStart
                      };
                      entry.loc = loc;
                    }
                    if (token.type === 9) {
                      var pattern = token.pattern;
                      var flags = token.flags;
                      entry.regex = { pattern, flags };
                    }
                    this.buffer.push(entry);
                  }
                }
                return this.buffer.shift();
              };
              return Tokenizer2;
            }();
            exports3.Tokenizer = Tokenizer;
          }
          /******/
        ])
      );
    });
  }
});

// ../blueprint/node_modules/core-util-is/lib/util.js
var require_util15 = __commonJS({
  "../blueprint/node_modules/core-util-is/lib/util.js"(exports2) {
    function isArray(arg) {
      if (Array.isArray) {
        return Array.isArray(arg);
      }
      return objectToString(arg) === "[object Array]";
    }
    exports2.isArray = isArray;
    function isBoolean(arg) {
      return typeof arg === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNull(arg) {
      return arg === null;
    }
    exports2.isNull = isNull;
    function isNullOrUndefined(arg) {
      return arg == null;
    }
    exports2.isNullOrUndefined = isNullOrUndefined;
    function isNumber(arg) {
      return typeof arg === "number";
    }
    exports2.isNumber = isNumber;
    function isString(arg) {
      return typeof arg === "string";
    }
    exports2.isString = isString;
    function isSymbol(arg) {
      return typeof arg === "symbol";
    }
    exports2.isSymbol = isSymbol;
    function isUndefined(arg) {
      return arg === void 0;
    }
    exports2.isUndefined = isUndefined;
    function isRegExp(re) {
      return objectToString(re) === "[object RegExp]";
    }
    exports2.isRegExp = isRegExp;
    function isObject(arg) {
      return typeof arg === "object" && arg !== null;
    }
    exports2.isObject = isObject;
    function isDate(d) {
      return objectToString(d) === "[object Date]";
    }
    exports2.isDate = isDate;
    function isError(e) {
      return objectToString(e) === "[object Error]" || e instanceof Error;
    }
    exports2.isError = isError;
    function isFunction(arg) {
      return typeof arg === "function";
    }
    exports2.isFunction = isFunction;
    function isPrimitive(arg) {
      return arg === null || typeof arg === "boolean" || typeof arg === "number" || typeof arg === "string" || typeof arg === "symbol" || // ES6 symbol
      typeof arg === "undefined";
    }
    exports2.isPrimitive = isPrimitive;
    exports2.isBuffer = require("buffer").Buffer.isBuffer;
    function objectToString(o) {
      return Object.prototype.toString.call(o);
    }
  }
});

// ../blueprint/node_modules/array-timsort/src/index.js
var require_src6 = __commonJS({
  "../blueprint/node_modules/array-timsort/src/index.js"(exports2, module2) {
    var DEFAULT_MIN_MERGE = 32;
    var DEFAULT_MIN_GALLOPING = 7;
    var DEFAULT_TMP_STORAGE_LENGTH = 256;
    var POWERS_OF_TEN = [1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8, 1e9];
    var results;
    var log10 = (x) => x < 1e5 ? x < 100 ? x < 10 ? 0 : 1 : x < 1e4 ? x < 1e3 ? 2 : 3 : 4 : x < 1e7 ? x < 1e6 ? 5 : 6 : x < 1e9 ? x < 1e8 ? 7 : 8 : 9;
    function alphabeticalCompare(a, b) {
      if (a === b) {
        return 0;
      }
      if (~~a === a && ~~b === b) {
        if (a === 0 || b === 0) {
          return a < b ? -1 : 1;
        }
        if (a < 0 || b < 0) {
          if (b >= 0) {
            return -1;
          }
          if (a >= 0) {
            return 1;
          }
          a = -a;
          b = -b;
        }
        const al = log10(a);
        const bl = log10(b);
        let t = 0;
        if (al < bl) {
          a *= POWERS_OF_TEN[bl - al - 1];
          b /= 10;
          t = -1;
        } else if (al > bl) {
          b *= POWERS_OF_TEN[al - bl - 1];
          a /= 10;
          t = 1;
        }
        if (a === b) {
          return t;
        }
        return a < b ? -1 : 1;
      }
      const aStr = String(a);
      const bStr = String(b);
      if (aStr === bStr) {
        return 0;
      }
      return aStr < bStr ? -1 : 1;
    }
    function minRunLength(n) {
      let r = 0;
      while (n >= DEFAULT_MIN_MERGE) {
        r |= n & 1;
        n >>= 1;
      }
      return n + r;
    }
    function makeAscendingRun(array, lo, hi, compare) {
      let runHi = lo + 1;
      if (runHi === hi) {
        return 1;
      }
      if (compare(array[runHi++], array[lo]) < 0) {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) < 0) {
          runHi++;
        }
        reverseRun(array, lo, runHi);
        reverseRun(results, lo, runHi);
      } else {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) >= 0) {
          runHi++;
        }
      }
      return runHi - lo;
    }
    function reverseRun(array, lo, hi) {
      hi--;
      while (lo < hi) {
        const t = array[lo];
        array[lo++] = array[hi];
        array[hi--] = t;
      }
    }
    function binaryInsertionSort(array, lo, hi, start, compare) {
      if (start === lo) {
        start++;
      }
      for (; start < hi; start++) {
        const pivot = array[start];
        const pivotIndex = results[start];
        let left = lo;
        let right = start;
        while (left < right) {
          const mid = left + right >>> 1;
          if (compare(pivot, array[mid]) < 0) {
            right = mid;
          } else {
            left = mid + 1;
          }
        }
        let n = start - left;
        switch (n) {
          case 3:
            array[left + 3] = array[left + 2];
            results[left + 3] = results[left + 2];
          case 2:
            array[left + 2] = array[left + 1];
            results[left + 2] = results[left + 1];
          case 1:
            array[left + 1] = array[left];
            results[left + 1] = results[left];
            break;
          default:
            while (n > 0) {
              array[left + n] = array[left + n - 1];
              results[left + n] = results[left + n - 1];
              n--;
            }
        }
        array[left] = pivot;
        results[left] = pivotIndex;
      }
    }
    function gallopLeft(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) > 0) {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) > 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      } else {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) <= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) > 0) {
          lastOffset = m + 1;
        } else {
          offset = m;
        }
      }
      return offset;
    }
    function gallopRight(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) < 0) {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) < 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      } else {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) >= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) < 0) {
          offset = m;
        } else {
          lastOffset = m + 1;
        }
      }
      return offset;
    }
    var TimSort = class {
      constructor(array, compare) {
        this.array = array;
        this.compare = compare;
        const { length } = array;
        this.length = length;
        this.minGallop = DEFAULT_MIN_GALLOPING;
        this.tmpStorageLength = length < 2 * DEFAULT_TMP_STORAGE_LENGTH ? length >>> 1 : DEFAULT_TMP_STORAGE_LENGTH;
        this.tmp = new Array(this.tmpStorageLength);
        this.tmpIndex = new Array(this.tmpStorageLength);
        this.stackLength = length < 120 ? 5 : length < 1542 ? 10 : length < 119151 ? 19 : 40;
        this.runStart = new Array(this.stackLength);
        this.runLength = new Array(this.stackLength);
        this.stackSize = 0;
      }
      /**
       * Push a new run on TimSort's stack.
       *
       * @param {number} runStart - Start index of the run in the original array.
       * @param {number} runLength - Length of the run;
       */
      pushRun(runStart, runLength) {
        this.runStart[this.stackSize] = runStart;
        this.runLength[this.stackSize] = runLength;
        this.stackSize += 1;
      }
      /**
       * Merge runs on TimSort's stack so that the following holds for all i:
       * 1) runLength[i - 3] > runLength[i - 2] + runLength[i - 1]
       * 2) runLength[i - 2] > runLength[i - 1]
       */
      mergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n >= 1 && this.runLength[n - 1] <= this.runLength[n] + this.runLength[n + 1] || n >= 2 && this.runLength[n - 2] <= this.runLength[n] + this.runLength[n - 1]) {
            if (this.runLength[n - 1] < this.runLength[n + 1]) {
              n--;
            }
          } else if (this.runLength[n] > this.runLength[n + 1]) {
            break;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge all runs on TimSort's stack until only one remains.
       */
      forceMergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n > 0 && this.runLength[n - 1] < this.runLength[n + 1]) {
            n--;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge the runs on the stack at positions i and i+1. Must be always be called
       * with i=stackSize-2 or i=stackSize-3 (that is, we merge on top of the stack).
       *
       * @param {number} i - Index of the run to merge in TimSort's stack.
       */
      mergeAt(i) {
        const { compare } = this;
        const { array } = this;
        let start1 = this.runStart[i];
        let length1 = this.runLength[i];
        const start2 = this.runStart[i + 1];
        let length2 = this.runLength[i + 1];
        this.runLength[i] = length1 + length2;
        if (i === this.stackSize - 3) {
          this.runStart[i + 1] = this.runStart[i + 2];
          this.runLength[i + 1] = this.runLength[i + 2];
        }
        this.stackSize--;
        const k = gallopRight(array[start2], array, start1, length1, 0, compare);
        start1 += k;
        length1 -= k;
        if (length1 === 0) {
          return;
        }
        length2 = gallopLeft(
          array[start1 + length1 - 1],
          array,
          start2,
          length2,
          length2 - 1,
          compare
        );
        if (length2 === 0) {
          return;
        }
        if (length1 <= length2) {
          this.mergeLow(start1, length1, start2, length2);
        } else {
          this.mergeHigh(start1, length1, start2, length2);
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length <= run2.length as it uses
       * TimSort temporary array to store run1. Use mergeHigh if run1.length >
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeLow(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length1; i++) {
          tmp[i] = array[start1 + i];
          tmpIndex[i] = results[start1 + i];
        }
        let cursor1 = 0;
        let cursor2 = start2;
        let dest = start1;
        array[dest] = array[cursor2];
        results[dest] = results[cursor2];
        dest++;
        cursor2++;
        if (--length2 === 0) {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
          return;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(array[cursor2], tmp[cursor1]) < 0) {
              array[dest] = array[cursor2];
              results[dest] = results[cursor2];
              dest++;
              cursor2++;
              count2++;
              count1 = 0;
              if (--length2 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor1];
              results[dest] = tmpIndex[cursor1];
              dest++;
              cursor1++;
              count1++;
              count2 = 0;
              if (--length1 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = gallopRight(array[cursor2], tmp, cursor1, length1, 0, compare);
            if (count1 !== 0) {
              for (i = 0; i < count1; i++) {
                array[dest + i] = tmp[cursor1 + i];
                results[dest + i] = tmpIndex[cursor1 + i];
              }
              dest += count1;
              cursor1 += count1;
              length1 -= count1;
              if (length1 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor2];
            results[dest] = results[cursor2];
            dest++;
            cursor2++;
            if (--length2 === 0) {
              exit = true;
              break;
            }
            count2 = gallopLeft(tmp[cursor1], array, cursor2, length2, 0, compare);
            if (count2 !== 0) {
              for (i = 0; i < count2; i++) {
                array[dest + i] = array[cursor2 + i];
                results[dest + i] = results[cursor2 + i];
              }
              dest += count2;
              cursor2 += count2;
              length2 -= count2;
              if (length2 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor1];
            results[dest] = tmpIndex[cursor1];
            dest++;
            cursor1++;
            if (--length1 === 1) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
        } else if (length1 === 0) {
          throw new Error("mergeLow preconditions were not respected");
        } else {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length > run2.length as it uses
       * TimSort temporary array to store run2. Use mergeLow if run1.length <=
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeHigh(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length2; i++) {
          tmp[i] = array[start2 + i];
          tmpIndex[i] = results[start2 + i];
        }
        let cursor1 = start1 + length1 - 1;
        let cursor2 = length2 - 1;
        let dest = start2 + length2 - 1;
        let customCursor = 0;
        let customDest = 0;
        array[dest] = array[cursor1];
        results[dest] = results[cursor1];
        dest--;
        cursor1--;
        if (--length1 === 0) {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
          return;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(tmp[cursor2], array[cursor1]) < 0) {
              array[dest] = array[cursor1];
              results[dest] = results[cursor1];
              dest--;
              cursor1--;
              count1++;
              count2 = 0;
              if (--length1 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor2];
              results[dest] = tmpIndex[cursor2];
              dest--;
              cursor2--;
              count2++;
              count1 = 0;
              if (--length2 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = length1 - gallopRight(
              tmp[cursor2],
              array,
              start1,
              length1,
              length1 - 1,
              compare
            );
            if (count1 !== 0) {
              dest -= count1;
              cursor1 -= count1;
              length1 -= count1;
              customDest = dest + 1;
              customCursor = cursor1 + 1;
              for (i = count1 - 1; i >= 0; i--) {
                array[customDest + i] = array[customCursor + i];
                results[customDest + i] = results[customCursor + i];
              }
              if (length1 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor2];
            results[dest] = tmpIndex[cursor2];
            dest--;
            cursor2--;
            if (--length2 === 1) {
              exit = true;
              break;
            }
            count2 = length2 - gallopLeft(
              array[cursor1],
              tmp,
              0,
              length2,
              length2 - 1,
              compare
            );
            if (count2 !== 0) {
              dest -= count2;
              cursor2 -= count2;
              length2 -= count2;
              customDest = dest + 1;
              customCursor = cursor2 + 1;
              for (i = 0; i < count2; i++) {
                array[customDest + i] = tmp[customCursor + i];
                results[customDest + i] = tmpIndex[customCursor + i];
              }
              if (length2 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor1];
            results[dest] = results[cursor1];
            dest--;
            cursor1--;
            if (--length1 === 0) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
        } else if (length2 === 0) {
          throw new Error("mergeHigh preconditions were not respected");
        } else {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
        }
      }
    };
    function sort(array, compare, lo, hi) {
      if (!Array.isArray(array)) {
        throw new TypeError(
          `The "array" argument must be an array. Received ${array}`
        );
      }
      results = [];
      const { length } = array;
      let i = 0;
      while (i < length) {
        results[i] = i++;
      }
      if (!compare) {
        compare = alphabeticalCompare;
      } else if (typeof compare !== "function") {
        hi = lo;
        lo = compare;
        compare = alphabeticalCompare;
      }
      if (!lo) {
        lo = 0;
      }
      if (!hi) {
        hi = length;
      }
      let remaining = hi - lo;
      if (remaining < 2) {
        return results;
      }
      let runLength = 0;
      if (remaining < DEFAULT_MIN_MERGE) {
        runLength = makeAscendingRun(array, lo, hi, compare);
        binaryInsertionSort(array, lo, hi, lo + runLength, compare);
        return results;
      }
      const ts = new TimSort(array, compare);
      const minRun = minRunLength(remaining);
      do {
        runLength = makeAscendingRun(array, lo, hi, compare);
        if (runLength < minRun) {
          let force = remaining;
          if (force > minRun) {
            force = minRun;
          }
          binaryInsertionSort(array, lo, lo + force, lo + runLength, compare);
          runLength = force;
        }
        ts.pushRun(lo, runLength);
        ts.mergeRuns();
        remaining -= runLength;
        lo += runLength;
      } while (remaining !== 0);
      ts.forceMergeRuns();
      return results;
    }
    module2.exports = {
      sort
    };
  }
});

// ../blueprint/node_modules/has-own-prop/index.js
var require_has_own_prop3 = __commonJS({
  "../blueprint/node_modules/has-own-prop/index.js"(exports2, module2) {
    "use strict";
    var hasOwnProp = Object.prototype.hasOwnProperty;
    module2.exports = (object, property) => hasOwnProp.call(object, property);
  }
});

// ../blueprint/node_modules/comment-json/src/common.js
var require_common11 = __commonJS({
  "../blueprint/node_modules/comment-json/src/common.js"(exports2, module2) {
    var hasOwnProperty2 = require_has_own_prop3();
    var {
      isObject,
      isArray,
      isString,
      isNumber
    } = require_util15();
    var PREFIX_BEFORE = "before";
    var PREFIX_AFTER_PROP = "after-prop";
    var PREFIX_AFTER_COLON = "after-colon";
    var PREFIX_AFTER_VALUE = "after-value";
    var PREFIX_AFTER = "after";
    var PREFIX_BEFORE_ALL = "before-all";
    var PREFIX_AFTER_ALL = "after-all";
    var BRACKET_OPEN = "[";
    var BRACKET_CLOSE = "]";
    var CURLY_BRACKET_OPEN = "{";
    var CURLY_BRACKET_CLOSE = "}";
    var COMMA = ",";
    var EMPTY = "";
    var MINUS = "-";
    var SYMBOL_PREFIXES = [
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER
    ];
    var NON_PROP_SYMBOL_KEYS = [
      PREFIX_BEFORE,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL
    ].map(Symbol.for);
    var COLON = ":";
    var UNDEFINED = void 0;
    var symbol = (prefix, key) => Symbol.for(prefix + COLON + key);
    var define2 = (target, key, value) => Object.defineProperty(target, key, {
      value,
      writable: true,
      configurable: true
    });
    var copy_comments_by_kind = (target, source, target_key, source_key, prefix, remove_source) => {
      const source_prop = symbol(prefix, source_key);
      if (!hasOwnProperty2(source, source_prop)) {
        return;
      }
      const target_prop = target_key === source_key ? source_prop : symbol(prefix, target_key);
      define2(target, target_prop, source[source_prop]);
      if (remove_source) {
        delete source[source_prop];
      }
    };
    var copy_comments = (target, source, target_key, source_key, remove_source) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        copy_comments_by_kind(
          target,
          source,
          target_key,
          source_key,
          prefix,
          remove_source
        );
      });
    };
    var swap_comments = (array, from, to) => {
      if (from === to) {
        return;
      }
      SYMBOL_PREFIXES.forEach((prefix) => {
        const target_prop = symbol(prefix, to);
        if (!hasOwnProperty2(array, target_prop)) {
          copy_comments_by_kind(array, array, to, from, prefix, true);
          return;
        }
        const comments = array[target_prop];
        delete array[target_prop];
        copy_comments_by_kind(array, array, to, from, prefix, true);
        define2(array, symbol(prefix, from), comments);
      });
    };
    var assign_non_prop_comments = (target, source) => {
      NON_PROP_SYMBOL_KEYS.forEach((key) => {
        const comments = source[key];
        if (comments) {
          define2(target, key, comments);
        }
      });
    };
    var assign = (target, source, keys) => {
      keys.forEach((key) => {
        if (!isString(key) && !isNumber(key)) {
          return;
        }
        if (!hasOwnProperty2(source, key)) {
          return;
        }
        target[key] = source[key];
        copy_comments(target, source, key, key);
      });
      return target;
    };
    module2.exports = {
      SYMBOL_PREFIXES,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      symbol,
      define: define2,
      copy_comments,
      swap_comments,
      assign_non_prop_comments,
      assign(target, source, keys) {
        if (!isObject(target)) {
          throw new TypeError("Cannot convert undefined or null to object");
        }
        if (!isObject(source)) {
          return target;
        }
        if (keys === UNDEFINED) {
          keys = Object.keys(source);
          assign_non_prop_comments(target, source);
        } else if (!isArray(keys)) {
          throw new TypeError("keys must be array or undefined");
        } else if (keys.length === 0) {
          assign_non_prop_comments(target, source);
        }
        return assign(target, source, keys);
      }
    };
  }
});

// ../blueprint/node_modules/comment-json/src/array.js
var require_array3 = __commonJS({
  "../blueprint/node_modules/comment-json/src/array.js"(exports2, module2) {
    var { isArray } = require_util15();
    var { sort } = require_src6();
    var {
      SYMBOL_PREFIXES,
      UNDEFINED,
      symbol,
      copy_comments,
      swap_comments
    } = require_common11();
    var reverse_comments = (array) => {
      const { length } = array;
      let i = 0;
      const max = length / 2;
      for (; i < max; i++) {
        swap_comments(array, i, length - i - 1);
      }
    };
    var move_comment = (target, source, i, offset, remove) => {
      copy_comments(target, source, i + offset, i, remove);
    };
    var move_comments = (target, source, start, count, offset, remove) => {
      if (offset > 0) {
        let i2 = count;
        while (i2-- > 0) {
          move_comment(target, source, start + i2, offset, remove);
        }
        return;
      }
      let i = 0;
      while (i < count) {
        const ii = i++;
        move_comment(target, source, start + ii, offset, remove);
      }
    };
    var remove_comments = (array, key) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        const prop = symbol(prefix, key);
        delete array[prop];
      });
    };
    var get_mapped = (map, key) => {
      let mapped = key;
      while (mapped in map) {
        mapped = map[mapped];
      }
      return mapped;
    };
    var CommentArray = class _CommentArray extends Array {
      // - deleteCount + items.length
      // We should avoid `splice(begin, deleteCount, ...items)`,
      // because `splice(0, undefined)` is not equivalent to `splice(0)`,
      // as well as:
      // - slice
      splice(...args) {
        const { length } = this;
        const ret = super.splice(...args);
        let [begin, deleteCount, ...items] = args;
        if (begin < 0) {
          begin += length;
        }
        if (arguments.length === 1) {
          deleteCount = length - begin;
        } else {
          deleteCount = Math.min(length - begin, deleteCount);
        }
        const {
          length: item_length
        } = items;
        const offset = item_length - deleteCount;
        const start = begin + deleteCount;
        const count = length - start;
        move_comments(this, this, start, count, offset, true);
        return ret;
      }
      slice(...args) {
        const { length } = this;
        const array = super.slice(...args);
        if (!array.length) {
          return new _CommentArray();
        }
        let [begin, before] = args;
        if (before === UNDEFINED) {
          before = length;
        } else if (before < 0) {
          before += length;
        }
        if (begin < 0) {
          begin += length;
        } else if (begin === UNDEFINED) {
          begin = 0;
        }
        move_comments(array, this, begin, before - begin, -begin);
        return array;
      }
      unshift(...items) {
        const { length } = this;
        const ret = super.unshift(...items);
        const {
          length: items_length
        } = items;
        if (items_length > 0) {
          move_comments(this, this, 0, length, items_length, true);
        }
        return ret;
      }
      shift() {
        const ret = super.shift();
        const { length } = this;
        remove_comments(this, 0);
        move_comments(this, this, 1, length, -1, true);
        return ret;
      }
      reverse() {
        super.reverse();
        reverse_comments(this);
        return this;
      }
      pop() {
        const ret = super.pop();
        remove_comments(this, this.length);
        return ret;
      }
      concat(...items) {
        let { length } = this;
        const ret = super.concat(...items);
        if (!items.length) {
          return ret;
        }
        move_comments(ret, this, 0, this.length, 0);
        items.forEach((item) => {
          const prev = length;
          length += isArray(item) ? item.length : 1;
          if (!(item instanceof _CommentArray)) {
            return;
          }
          move_comments(ret, item, 0, item.length, prev);
        });
        return ret;
      }
      sort(...args) {
        const result = sort(
          this,
          ...args.slice(0, 1)
        );
        const map = /* @__PURE__ */ Object.create(null);
        result.forEach((source_index, index) => {
          if (source_index === index) {
            return;
          }
          const real_source_index = get_mapped(map, source_index);
          if (real_source_index === index) {
            return;
          }
          map[index] = real_source_index;
          swap_comments(this, index, real_source_index);
        });
        return this;
      }
    };
    module2.exports = {
      CommentArray
    };
  }
});

// ../blueprint/node_modules/comment-json/src/parse.js
var require_parse8 = __commonJS({
  "../blueprint/node_modules/comment-json/src/parse.js"(exports2, module2) {
    var esprima = require_esprima3();
    var {
      CommentArray
    } = require_array3();
    var {
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      define: define2,
      assign_non_prop_comments
    } = require_common11();
    var tokenize = (code) => esprima.tokenize(code, {
      comment: true,
      loc: true
    });
    var previous_hosts = [];
    var comments_host = null;
    var unassigned_comments = null;
    var previous_props = [];
    var last_prop;
    var remove_comments = false;
    var inline = false;
    var tokens = null;
    var last = null;
    var current = null;
    var index;
    var reviver = null;
    var clean = () => {
      previous_props.length = previous_hosts.length = 0;
      last = null;
      last_prop = UNDEFINED;
    };
    var free = () => {
      clean();
      tokens.length = 0;
      unassigned_comments = comments_host = tokens = last = current = reviver = null;
    };
    var symbolFor = (prefix) => Symbol.for(
      last_prop !== UNDEFINED ? prefix + COLON + last_prop : prefix
    );
    var transform = (k, v) => reviver ? reviver(k, v) : v;
    var unexpected = () => {
      const error = new SyntaxError(`Unexpected token ${current.value.slice(0, 1)}`);
      Object.assign(error, current.loc.start);
      throw error;
    };
    var unexpected_end = () => {
      const error = new SyntaxError("Unexpected end of JSON input");
      Object.assign(error, last ? last.loc.end : {
        line: 1,
        column: 0
      });
      throw error;
    };
    var next = () => {
      const new_token = tokens[++index];
      inline = current && new_token && current.loc.end.line === new_token.loc.start.line || false;
      last = current;
      current = new_token;
    };
    var type = () => {
      if (!current) {
        unexpected_end();
      }
      return current.type === "Punctuator" ? current.value : current.type;
    };
    var is = (t) => type() === t;
    var expect = (a) => {
      if (!is(a)) {
        unexpected();
      }
    };
    var set_comments_host = (new_host) => {
      previous_hosts.push(comments_host);
      comments_host = new_host;
    };
    var restore_comments_host = () => {
      comments_host = previous_hosts.pop();
    };
    var assign_after_comments = () => {
      if (!unassigned_comments) {
        return;
      }
      const after_comments = [];
      for (const comment of unassigned_comments) {
        if (comment.inline) {
          after_comments.push(comment);
        } else {
          break;
        }
      }
      const { length } = after_comments;
      if (!length) {
        return;
      }
      if (length === unassigned_comments.length) {
        unassigned_comments = null;
      } else {
        unassigned_comments.splice(0, length);
      }
      define2(comments_host, symbolFor(PREFIX_AFTER), after_comments);
    };
    var assign_comments = (prefix) => {
      if (!unassigned_comments) {
        return;
      }
      define2(comments_host, symbolFor(prefix), unassigned_comments);
      unassigned_comments = null;
    };
    var parse_comments = (prefix) => {
      const comments = [];
      while (current && (is("LineComment") || is("BlockComment"))) {
        const comment = {
          ...current,
          inline
        };
        comments.push(comment);
        next();
      }
      if (remove_comments) {
        return;
      }
      if (!comments.length) {
        return;
      }
      if (prefix) {
        define2(comments_host, symbolFor(prefix), comments);
        return;
      }
      unassigned_comments = comments;
    };
    var set_prop = (prop, push) => {
      if (push) {
        previous_props.push(last_prop);
      }
      last_prop = prop;
    };
    var restore_prop = () => {
      last_prop = previous_props.pop();
    };
    var parse_object = () => {
      const obj = {};
      set_comments_host(obj);
      set_prop(UNDEFINED, true);
      let started = false;
      let name;
      parse_comments();
      while (!is(CURLY_BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(CURLY_BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        expect("String");
        name = JSON.parse(current.value);
        set_prop(name);
        assign_comments(PREFIX_BEFORE);
        next();
        parse_comments(PREFIX_AFTER_PROP);
        expect(COLON);
        next();
        parse_comments(PREFIX_AFTER_COLON);
        obj[name] = transform(name, walk());
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return obj;
    };
    var parse_array = () => {
      const array = new CommentArray();
      set_comments_host(array);
      set_prop(UNDEFINED, true);
      let started = false;
      let i = 0;
      parse_comments();
      while (!is(BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        set_prop(i);
        assign_comments(PREFIX_BEFORE);
        array[i] = transform(i, walk());
        i++;
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return array;
    };
    function walk() {
      let tt = type();
      if (tt === CURLY_BRACKET_OPEN) {
        next();
        return parse_object();
      }
      if (tt === BRACKET_OPEN) {
        next();
        return parse_array();
      }
      let negative = EMPTY;
      if (tt === MINUS) {
        next();
        tt = type();
        negative = MINUS;
      }
      let v;
      switch (tt) {
        case "String":
        case "Boolean":
        case "Null":
        case "Numeric":
          v = current.value;
          next();
          return JSON.parse(negative + v);
        default:
      }
    }
    var isObject = (subject) => Object(subject) === subject;
    var parse = (code, rev, no_comments) => {
      clean();
      tokens = tokenize(code);
      reviver = rev;
      remove_comments = no_comments;
      if (!tokens.length) {
        unexpected_end();
      }
      index = -1;
      next();
      set_comments_host({});
      parse_comments(PREFIX_BEFORE_ALL);
      let result = walk();
      parse_comments(PREFIX_AFTER_ALL);
      if (current) {
        unexpected();
      }
      if (!no_comments && result !== null) {
        if (!isObject(result)) {
          result = new Object(result);
        }
        assign_non_prop_comments(result, comments_host);
      }
      restore_comments_host();
      result = transform("", result);
      free();
      return result;
    };
    module2.exports = {
      parse,
      tokenize
    };
  }
});

// ../blueprint/node_modules/repeat-string/index.js
var require_repeat_string3 = __commonJS({
  "../blueprint/node_modules/repeat-string/index.js"(exports2, module2) {
    "use strict";
    var res = "";
    var cache;
    module2.exports = repeat;
    function repeat(str, num) {
      if (typeof str !== "string") {
        throw new TypeError("expected a string");
      }
      if (num === 1)
        return str;
      if (num === 2)
        return str + str;
      var max = str.length * num;
      if (cache !== str || typeof cache === "undefined") {
        cache = str;
        res = "";
      } else if (res.length >= max) {
        return res.substr(0, max);
      }
      while (max > res.length && num > 1) {
        if (num & 1) {
          res += str;
        }
        num >>= 1;
        str += str;
      }
      res += str;
      res = res.substr(0, max);
      return res;
    }
  }
});

// ../blueprint/node_modules/comment-json/src/stringify.js
var require_stringify8 = __commonJS({
  "../blueprint/node_modules/comment-json/src/stringify.js"(exports2, module2) {
    var {
      isArray,
      isObject,
      isFunction,
      isNumber,
      isString
    } = require_util15();
    var repeat = require_repeat_string3();
    var {
      PREFIX_BEFORE_ALL,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      EMPTY,
      UNDEFINED
    } = require_common11();
    var ESCAPABLE = /[\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var SPACE = " ";
    var LF = "\n";
    var STR_NULL = "null";
    var BEFORE = (prop) => `${PREFIX_BEFORE}:${prop}`;
    var AFTER_PROP = (prop) => `${PREFIX_AFTER_PROP}:${prop}`;
    var AFTER_COLON = (prop) => `${PREFIX_AFTER_COLON}:${prop}`;
    var AFTER_VALUE = (prop) => `${PREFIX_AFTER_VALUE}:${prop}`;
    var AFTER = (prop) => `${PREFIX_AFTER}:${prop}`;
    var meta = {
      "\b": "\\b",
      "	": "\\t",
      "\n": "\\n",
      "\f": "\\f",
      "\r": "\\r",
      '"': '\\"',
      "\\": "\\\\"
    };
    var escape = (string) => {
      ESCAPABLE.lastIndex = 0;
      if (!ESCAPABLE.test(string)) {
        return string;
      }
      return string.replace(ESCAPABLE, (a) => {
        const c = meta[a];
        return typeof c === "string" ? c : a;
      });
    };
    var quote = (string) => `"${escape(string)}"`;
    var comment_stringify = (value, line) => line ? `//${value}` : `/*${value}*/`;
    var process_comments = (host, symbol_tag, deeper_gap, display_block) => {
      const comments = host[Symbol.for(symbol_tag)];
      if (!comments || !comments.length) {
        return EMPTY;
      }
      let is_line_comment = false;
      const str = comments.reduce((prev, {
        inline,
        type,
        value
      }) => {
        const delimiter = inline ? SPACE : LF + deeper_gap;
        is_line_comment = type === "LineComment";
        return prev + delimiter + comment_stringify(value, is_line_comment);
      }, EMPTY);
      return display_block || is_line_comment ? str + LF + deeper_gap : str;
    };
    var replacer = null;
    var indent = EMPTY;
    var clean = () => {
      replacer = null;
      indent = EMPTY;
    };
    var join = (one, two, gap) => one ? two ? one + two.trim() + LF + gap : one.trimRight() + LF + gap : two ? two.trimRight() + LF + gap : EMPTY;
    var join_content = (inside, value, gap) => {
      const comment = process_comments(value, PREFIX_BEFORE, gap + indent, true);
      return join(comment, inside, gap);
    };
    var array_stringify = (value, gap) => {
      const deeper_gap = gap + indent;
      const { length } = value;
      let inside = EMPTY;
      let after_comma = EMPTY;
      for (let i = 0; i < length; i++) {
        if (i !== 0) {
          inside += COMMA;
        }
        const before = join(
          after_comma,
          process_comments(value, BEFORE(i), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += stringify(i, value, deeper_gap) || STR_NULL;
        inside += process_comments(value, AFTER_VALUE(i), deeper_gap);
        after_comma = process_comments(value, AFTER(i), deeper_gap);
      }
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return BRACKET_OPEN + join_content(inside, value, gap) + BRACKET_CLOSE;
    };
    var object_stringify = (value, gap) => {
      if (!value) {
        return "null";
      }
      const deeper_gap = gap + indent;
      let inside = EMPTY;
      let after_comma = EMPTY;
      let first = true;
      const keys = isArray(replacer) ? replacer : Object.keys(value);
      const iteratee = (key) => {
        const sv = stringify(key, value, deeper_gap);
        if (sv === UNDEFINED) {
          return;
        }
        if (!first) {
          inside += COMMA;
        }
        first = false;
        const before = join(
          after_comma,
          process_comments(value, BEFORE(key), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += quote(key) + process_comments(value, AFTER_PROP(key), deeper_gap) + COLON + process_comments(value, AFTER_COLON(key), deeper_gap) + SPACE + sv + process_comments(value, AFTER_VALUE(key), deeper_gap);
        after_comma = process_comments(value, AFTER(key), deeper_gap);
      };
      keys.forEach(iteratee);
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return CURLY_BRACKET_OPEN + join_content(inside, value, gap) + CURLY_BRACKET_CLOSE;
    };
    function stringify(key, holder, gap) {
      let value = holder[key];
      if (isObject(value) && isFunction(value.toJSON)) {
        value = value.toJSON(key);
      }
      if (isFunction(replacer)) {
        value = replacer.call(holder, key, value);
      }
      switch (typeof value) {
        case "string":
          return quote(value);
        case "number":
          return Number.isFinite(value) ? String(value) : STR_NULL;
        case "boolean":
        case "null":
          return String(value);
        case "object":
          return isArray(value) ? array_stringify(value, gap) : object_stringify(value, gap);
        default:
      }
    }
    var get_indent = (space) => isString(space) ? space : isNumber(space) ? repeat(SPACE, space) : EMPTY;
    var { toString } = Object.prototype;
    var PRIMITIVE_OBJECT_TYPES = [
      "[object Number]",
      "[object String]",
      "[object Boolean]"
    ];
    var is_primitive_object = (subject) => {
      if (typeof subject !== "object") {
        return false;
      }
      const str = toString.call(subject);
      return PRIMITIVE_OBJECT_TYPES.includes(str);
    };
    module2.exports = (value, replacer_, space) => {
      const indent_ = get_indent(space);
      if (!indent_) {
        return JSON.stringify(value, replacer_);
      }
      if (!isFunction(replacer_) && !isArray(replacer_)) {
        replacer_ = null;
      }
      replacer = replacer_;
      indent = indent_;
      const str = is_primitive_object(value) ? JSON.stringify(value) : stringify("", { "": value }, EMPTY);
      clean();
      return isObject(value) ? process_comments(value, PREFIX_BEFORE_ALL, EMPTY).trimLeft() + str + process_comments(value, PREFIX_AFTER_ALL, EMPTY).trimRight() : str;
    };
  }
});

// ../blueprint/node_modules/comment-json/src/index.js
var require_src7 = __commonJS({
  "../blueprint/node_modules/comment-json/src/index.js"(exports2, module2) {
    var { parse, tokenize } = require_parse8();
    var stringify = require_stringify8();
    var { CommentArray } = require_array3();
    var { assign } = require_common11();
    module2.exports = {
      parse,
      stringify,
      tokenize,
      CommentArray,
      assign
    };
  }
});

// ../blueprint/node_modules/projen/lib/util/synth.js
var require_synth3 = __commonJS({
  "../blueprint/node_modules/projen/lib/util/synth.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.directorySnapshot = exports2.synthSnapshot = void 0;
    var fs = require("fs");
    var os = require("os");
    var path = require("path");
    var JSONC = require_src7();
    var comment_json_1 = require_src7();
    var glob_1 = require_glob4();
    var json_1 = require_json5();
    function synthSnapshot(project, options = {}) {
      if (!path.resolve(project.outdir).startsWith(os.tmpdir()) && !project.outdir.includes("project-temp-dir")) {
        throw new Error("Trying to capture a snapshot of a project outside of tmpdir, which implies this test might corrupt an existing project");
      }
      const synthed = Symbol.for("synthed");
      if (synthed in project) {
        throw new Error("duplicate synth()");
      }
      project[synthed] = true;
      const ENV_PROJEN_DISABLE_POST = process.env.PROJEN_DISABLE_POST;
      try {
        process.env.PROJEN_DISABLE_POST = "true";
        project.synth();
        const ignoreExts = ["png", "ico"];
        return directorySnapshot(project.outdir, {
          ...options,
          excludeGlobs: ignoreExts.map((ext) => `**/*.${ext}`),
          supportJsonComments: project.files.some(
            // At least one json file in project supports comments
            (file) => file instanceof json_1.JsonFile && file.supportsComments
          )
        });
      } finally {
        fs.rmSync(project.outdir, { force: true, recursive: true });
        if (ENV_PROJEN_DISABLE_POST === void 0) {
          delete process.env.PROJEN_DISABLE_POST;
        } else {
          process.env.PROJEN_DISABLE_POST = ENV_PROJEN_DISABLE_POST;
        }
      }
    }
    exports2.synthSnapshot = synthSnapshot;
    function isJsonLikeFile(filePath) {
      const file = filePath.toLowerCase();
      return file.endsWith(".json") || file.endsWith(".json5") || file.endsWith(".jsonc");
    }
    function directorySnapshot(root, options = {}) {
      const output = {};
      const files = glob_1.glob.sync("**", {
        ignore: [".git/**", ...options.excludeGlobs ?? []],
        cwd: root,
        nodir: true,
        dot: true
      });
      const parseJson = options.parseJson ?? true;
      for (const file of files) {
        const filePath = path.join(root, file);
        let content;
        if (!options.onlyFileNames) {
          content = fs.readFileSync(filePath, "utf-8");
          if (parseJson && isJsonLikeFile(filePath)) {
            content = cleanCommentArrays(JSONC.parse(content, void 0, !options.supportJsonComments));
          }
        } else {
          content = true;
        }
        output[file] = content;
      }
      return output;
    }
    exports2.directorySnapshot = directorySnapshot;
    function cleanCommentArrays(obj) {
      if (Array.isArray(obj) || isCommentArrayWithoutComments(obj)) {
        return Array.from(obj).map(cleanCommentArrays);
      }
      if (obj instanceof Object) {
        for (const p of Object.keys(obj)) {
          if (isCommentArrayWithoutComments(obj[p])) {
            obj[p] = Array.from(obj[p]).map(cleanCommentArrays);
          } else if (obj[p] instanceof Object) {
            obj[p] = cleanCommentArrays(obj[p]);
          }
        }
      }
      return obj;
    }
    function isCommentArrayWithoutComments(obj) {
      return obj instanceof comment_json_1.CommentArray && Object.getOwnPropertySymbols(obj).length === 0;
    }
  }
});

// ../blueprint/node_modules/projen/lib/testing.js
var require_testing3 = __commonJS({
  "../blueprint/node_modules/projen/lib/testing.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Testing = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var synth_1 = require_synth3();
    var Testing = class {
      /**
       * Produces a simple JS object that represents the contents of the projects with field names being file paths.
       * @param project the project to produce a snapshot for
       * @return { [filename:string]: any }
       */
      static synth(project, options = {}) {
        return (0, synth_1.synthSnapshot)(project, options);
      }
      constructor() {
      }
      // utility
    };
    exports2.Testing = Testing;
    _a = JSII_RTTI_SYMBOL_1;
    Testing[_a] = { fqn: "projen.Testing", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/parser.js
var require_parser8 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/parser.js"(exports2, module2) {
    "use strict";
    var ParserEND = 1114112;
    var ParserError = class _ParserError extends Error {
      /* istanbul ignore next */
      constructor(msg, filename, linenumber) {
        super("[ParserError] " + msg, filename, linenumber);
        this.name = "ParserError";
        this.code = "ParserError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _ParserError);
      }
    };
    var State = class {
      constructor(parser) {
        this.parser = parser;
        this.buf = "";
        this.returned = null;
        this.result = null;
        this.resultTable = null;
        this.resultArr = null;
      }
    };
    var Parser = class {
      constructor() {
        this.pos = 0;
        this.col = 0;
        this.line = 0;
        this.obj = {};
        this.ctx = this.obj;
        this.stack = [];
        this._buf = "";
        this.char = null;
        this.ii = 0;
        this.state = new State(this.parseStart);
      }
      parse(str) {
        if (str.length === 0 || str.length == null)
          return;
        this._buf = String(str);
        this.ii = -1;
        this.char = -1;
        let getNext;
        while (getNext === false || this.nextChar()) {
          getNext = this.runOne();
        }
        this._buf = null;
      }
      nextChar() {
        if (this.char === 10) {
          ++this.line;
          this.col = -1;
        }
        ++this.ii;
        this.char = this._buf.codePointAt(this.ii);
        ++this.pos;
        ++this.col;
        return this.haveBuffer();
      }
      haveBuffer() {
        return this.ii < this._buf.length;
      }
      runOne() {
        return this.state.parser.call(this, this.state.returned);
      }
      finish() {
        this.char = ParserEND;
        let last;
        do {
          last = this.state.parser;
          this.runOne();
        } while (this.state.parser !== last);
        this.ctx = null;
        this.state = null;
        this._buf = null;
        return this.obj;
      }
      next(fn) {
        if (typeof fn !== "function")
          throw new ParserError("Tried to set state to non-existent state: " + JSON.stringify(fn));
        this.state.parser = fn;
      }
      goto(fn) {
        this.next(fn);
        return this.runOne();
      }
      call(fn, returnWith) {
        if (returnWith)
          this.next(returnWith);
        this.stack.push(this.state);
        this.state = new State(fn);
      }
      callNow(fn, returnWith) {
        this.call(fn, returnWith);
        return this.runOne();
      }
      return(value) {
        if (this.stack.length === 0)
          throw this.error(new ParserError("Stack underflow"));
        if (value === void 0)
          value = this.state.buf;
        this.state = this.stack.pop();
        this.state.returned = value;
      }
      returnNow(value) {
        this.return(value);
        return this.runOne();
      }
      consume() {
        if (this.char === ParserEND)
          throw this.error(new ParserError("Unexpected end-of-buffer"));
        this.state.buf += this._buf[this.ii];
      }
      error(err) {
        err.line = this.line;
        err.col = this.col;
        err.pos = this.pos;
        return err;
      }
      /* istanbul ignore next */
      parseStart() {
        throw new ParserError("Must declare a parseStart method");
      }
    };
    Parser.END = ParserEND;
    Parser.Error = ParserError;
    module2.exports = Parser;
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/create-datetime.js
var require_create_datetime3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/create-datetime.js"(exports2, module2) {
    "use strict";
    module2.exports = (value) => {
      const date = new Date(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/format-num.js
var require_format_num3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/format-num.js"(exports2, module2) {
    "use strict";
    module2.exports = (d, num) => {
      num = String(num);
      while (num.length < d)
        num = "0" + num;
      return num;
    };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/create-datetime-float.js
var require_create_datetime_float3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/create-datetime-float.js"(exports2, module2) {
    "use strict";
    var f = require_format_num3();
    var FloatingDateTime = class extends Date {
      constructor(value) {
        super(value + "Z");
        this.isFloating = true;
      }
      toISOString() {
        const date = `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
        const time = `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
        return `${date}T${time}`;
      }
    };
    module2.exports = (value) => {
      const date = new FloatingDateTime(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/create-date.js
var require_create_date3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/create-date.js"(exports2, module2) {
    "use strict";
    var f = require_format_num3();
    var DateTime = global.Date;
    var Date2 = class extends DateTime {
      constructor(value) {
        super(value);
        this.isDate = true;
      }
      toISOString() {
        return `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Date2(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/create-time.js
var require_create_time3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/create-time.js"(exports2, module2) {
    "use strict";
    var f = require_format_num3();
    var Time = class extends Date {
      constructor(value) {
        super(`0000-01-01T${value}Z`);
        this.isTime = true;
      }
      toISOString() {
        return `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Time(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../blueprint/node_modules/@iarna/toml/lib/toml-parser.js
var require_toml_parser3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/lib/toml-parser.js"(exports, module) {
    "use strict";
    module.exports = makeParserClass(require_parser8());
    module.exports.makeParserClass = makeParserClass;
    var TomlError = class _TomlError extends Error {
      constructor(msg) {
        super(msg);
        this.name = "TomlError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _TomlError);
        this.fromTOML = true;
        this.wrapped = null;
      }
    };
    TomlError.wrap = (err) => {
      const terr = new TomlError(err.message);
      terr.code = err.code;
      terr.wrapped = err;
      return terr;
    };
    module.exports.TomlError = TomlError;
    var createDateTime = require_create_datetime3();
    var createDateTimeFloat = require_create_datetime_float3();
    var createDate = require_create_date3();
    var createTime = require_create_time3();
    var CTRL_I = 9;
    var CTRL_J = 10;
    var CTRL_M = 13;
    var CTRL_CHAR_BOUNDARY = 31;
    var CHAR_SP = 32;
    var CHAR_QUOT = 34;
    var CHAR_NUM = 35;
    var CHAR_APOS = 39;
    var CHAR_PLUS = 43;
    var CHAR_COMMA = 44;
    var CHAR_HYPHEN = 45;
    var CHAR_PERIOD = 46;
    var CHAR_0 = 48;
    var CHAR_1 = 49;
    var CHAR_7 = 55;
    var CHAR_9 = 57;
    var CHAR_COLON = 58;
    var CHAR_EQUALS = 61;
    var CHAR_A = 65;
    var CHAR_E = 69;
    var CHAR_F = 70;
    var CHAR_T = 84;
    var CHAR_U = 85;
    var CHAR_Z = 90;
    var CHAR_LOWBAR = 95;
    var CHAR_a = 97;
    var CHAR_b = 98;
    var CHAR_e = 101;
    var CHAR_f = 102;
    var CHAR_i = 105;
    var CHAR_l = 108;
    var CHAR_n = 110;
    var CHAR_o = 111;
    var CHAR_r = 114;
    var CHAR_s = 115;
    var CHAR_t = 116;
    var CHAR_u = 117;
    var CHAR_x = 120;
    var CHAR_z = 122;
    var CHAR_LCUB = 123;
    var CHAR_RCUB = 125;
    var CHAR_LSQB = 91;
    var CHAR_BSOL = 92;
    var CHAR_RSQB = 93;
    var CHAR_DEL = 127;
    var SURROGATE_FIRST = 55296;
    var SURROGATE_LAST = 57343;
    var escapes = {
      [CHAR_b]: "\b",
      [CHAR_t]: "	",
      [CHAR_n]: "\n",
      [CHAR_f]: "\f",
      [CHAR_r]: "\r",
      [CHAR_QUOT]: '"',
      [CHAR_BSOL]: "\\"
    };
    function isDigit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isHexit(cp) {
      return cp >= CHAR_A && cp <= CHAR_F || cp >= CHAR_a && cp <= CHAR_f || cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isBit(cp) {
      return cp === CHAR_1 || cp === CHAR_0;
    }
    function isOctit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_7;
    }
    function isAlphaNumQuoteHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_APOS || cp === CHAR_QUOT || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    function isAlphaNumHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    var _type = Symbol("type");
    var _declared = Symbol("declared");
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var defineProperty = Object.defineProperty;
    var descriptor = { configurable: true, enumerable: true, writable: true, value: void 0 };
    function hasKey(obj, key) {
      if (hasOwnProperty.call(obj, key))
        return true;
      if (key === "__proto__")
        defineProperty(obj, "__proto__", descriptor);
      return false;
    }
    var INLINE_TABLE = Symbol("inline-table");
    function InlineTable() {
      return Object.defineProperties({}, {
        [_type]: { value: INLINE_TABLE }
      });
    }
    function isInlineTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_TABLE;
    }
    var TABLE = Symbol("table");
    function Table() {
      return Object.defineProperties({}, {
        [_type]: { value: TABLE },
        [_declared]: { value: false, writable: true }
      });
    }
    function isTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === TABLE;
    }
    var _contentType = Symbol("content-type");
    var INLINE_LIST = Symbol("inline-list");
    function InlineList(type) {
      return Object.defineProperties([], {
        [_type]: { value: INLINE_LIST },
        [_contentType]: { value: type }
      });
    }
    function isInlineList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_LIST;
    }
    var LIST = Symbol("list");
    function List() {
      return Object.defineProperties([], {
        [_type]: { value: LIST }
      });
    }
    function isList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === LIST;
    }
    var _custom;
    try {
      const utilInspect = eval("require('util').inspect");
      _custom = utilInspect.custom;
    } catch (_) {
    }
    var _inspect = _custom || "inspect";
    var BoxedBigInt = class {
      constructor(value) {
        try {
          this.value = global.BigInt.asIntN(64, value);
        } catch (_) {
          this.value = null;
        }
        Object.defineProperty(this, _type, { value: INTEGER });
      }
      isNaN() {
        return this.value === null;
      }
      /* istanbul ignore next */
      toString() {
        return String(this.value);
      }
      /* istanbul ignore next */
      [_inspect]() {
        return `[BigInt: ${this.toString()}]}`;
      }
      valueOf() {
        return this.value;
      }
    };
    var INTEGER = Symbol("integer");
    function Integer(value) {
      let num = Number(value);
      if (Object.is(num, -0))
        num = 0;
      if (global.BigInt && !Number.isSafeInteger(num)) {
        return new BoxedBigInt(value);
      } else {
        return Object.defineProperties(new Number(num), {
          isNaN: { value: function() {
            return isNaN(this);
          } },
          [_type]: { value: INTEGER },
          [_inspect]: { value: () => `[Integer: ${value}]` }
        });
      }
    }
    function isInteger(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INTEGER;
    }
    var FLOAT = Symbol("float");
    function Float(value) {
      return Object.defineProperties(new Number(value), {
        [_type]: { value: FLOAT },
        [_inspect]: { value: () => `[Float: ${value}]` }
      });
    }
    function isFloat(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === FLOAT;
    }
    function tomlType(value) {
      const type = typeof value;
      if (type === "object") {
        if (value === null)
          return "null";
        if (value instanceof Date)
          return "datetime";
        if (_type in value) {
          switch (value[_type]) {
            case INLINE_TABLE:
              return "inline-table";
            case INLINE_LIST:
              return "inline-list";
            case TABLE:
              return "table";
            case LIST:
              return "list";
            case FLOAT:
              return "float";
            case INTEGER:
              return "integer";
          }
        }
      }
      return type;
    }
    function makeParserClass(Parser) {
      class TOMLParser extends Parser {
        constructor() {
          super();
          this.ctx = this.obj = Table();
        }
        /* MATCH HELPER */
        atEndOfWord() {
          return this.char === CHAR_NUM || this.char === CTRL_I || this.char === CHAR_SP || this.atEndOfLine();
        }
        atEndOfLine() {
          return this.char === Parser.END || this.char === CTRL_J || this.char === CTRL_M;
        }
        parseStart() {
          if (this.char === Parser.END) {
            return null;
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseTableOrList);
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (isAlphaNumQuoteHyphen(this.char)) {
            return this.callNow(this.parseAssignStatement);
          } else {
            throw this.error(new TomlError(`Unknown character "${this.char}"`));
          }
        }
        // HELPER, this strips any whitespace and comments to the end of the line
        // then RETURNS. Last state in a production.
        parseWhitespaceToEOL() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.goto(this.parseComment);
          } else if (this.char === Parser.END || this.char === CTRL_J) {
            return this.return();
          } else {
            throw this.error(new TomlError("Unexpected character, expected only whitespace or comments till end of line"));
          }
        }
        /* ASSIGNMENT: key = value */
        parseAssignStatement() {
          return this.callNow(this.parseAssign, this.recordAssignStatement);
        }
        recordAssignStatement(kv) {
          let target = this.ctx;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseWhitespaceToEOL);
        }
        /* ASSSIGNMENT expression, key = value possibly inside an inline table */
        parseAssign() {
          return this.callNow(this.parseKeyword, this.recordAssignKeyword);
        }
        recordAssignKeyword(key) {
          if (this.state.resultTable) {
            this.state.resultTable.push(key);
          } else {
            this.state.resultTable = [key];
          }
          return this.goto(this.parseAssignKeywordPreDot);
        }
        parseAssignKeywordPreDot() {
          if (this.char === CHAR_PERIOD) {
            return this.next(this.parseAssignKeywordPostDot);
          } else if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.goto(this.parseAssignEqual);
          }
        }
        parseAssignKeywordPostDot() {
          if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.callNow(this.parseKeyword, this.recordAssignKeyword);
          }
        }
        parseAssignEqual() {
          if (this.char === CHAR_EQUALS) {
            return this.next(this.parseAssignPreValue);
          } else {
            throw this.error(new TomlError('Invalid character, expected "="'));
          }
        }
        parseAssignPreValue() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseValue, this.recordAssignValue);
          }
        }
        recordAssignValue(value) {
          return this.returnNow({ key: this.state.resultTable, value });
        }
        /* COMMENTS: #...eol */
        parseComment() {
          do {
            if (this.char === Parser.END || this.char === CTRL_J) {
              return this.return();
            }
          } while (this.nextChar());
        }
        /* TABLES AND LISTS, [foo] and [[foo]] */
        parseTableOrList() {
          if (this.char === CHAR_LSQB) {
            this.next(this.parseList);
          } else {
            return this.goto(this.parseTable);
          }
        }
        /* TABLE [foo.bar.baz] */
        parseTable() {
          this.ctx = this.obj;
          return this.goto(this.parseTableNext);
        }
        parseTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseTableMore);
          }
        }
        parseTableMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (hasKey(this.ctx, keyword) && (!isTable(this.ctx[keyword]) || this.ctx[keyword][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            } else {
              this.ctx = this.ctx[keyword] = this.ctx[keyword] || Table();
              this.ctx[_declared] = true;
            }
            return this.next(this.parseWhitespaceToEOL);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            return this.next(this.parseTableNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* LIST [[a.b.c]] */
        parseList() {
          this.ctx = this.obj;
          return this.goto(this.parseListNext);
        }
        parseListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseListMore);
          }
        }
        parseListMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx[keyword] = List();
            }
            if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isList(this.ctx[keyword])) {
              const next = Table();
              this.ctx[keyword].push(next);
              this.ctx = next;
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListEnd);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isInlineTable(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline table"));
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        parseListEnd(keyword) {
          if (this.char === CHAR_RSQB) {
            return this.next(this.parseWhitespaceToEOL);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* VALUE string, number, boolean, inline list, inline object */
        parseValue() {
          if (this.char === Parser.END) {
            throw this.error(new TomlError("Key without value"));
          } else if (this.char === CHAR_QUOT) {
            return this.next(this.parseDoubleString);
          }
          if (this.char === CHAR_APOS) {
            return this.next(this.parseSingleString);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            return this.goto(this.parseNumberSign);
          } else if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseNumberOrDateTime);
          } else if (this.char === CHAR_t || this.char === CHAR_f) {
            return this.goto(this.parseBoolean);
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseInlineList, this.recordValue);
          } else if (this.char === CHAR_LCUB) {
            return this.call(this.parseInlineTable, this.recordValue);
          } else {
            throw this.error(new TomlError("Unexpected character, expecting string, number, datetime, boolean, inline array or inline table"));
          }
        }
        recordValue(value) {
          return this.returnNow(value);
        }
        parseInf() {
          if (this.char === CHAR_n) {
            return this.next(this.parseInf2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseInf2() {
          if (this.char === CHAR_f) {
            if (this.state.buf === "-") {
              return this.return(-Infinity);
            } else {
              return this.return(Infinity);
            }
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseNan() {
          if (this.char === CHAR_a) {
            return this.next(this.parseNan2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        parseNan2() {
          if (this.char === CHAR_n) {
            return this.return(NaN);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        /* KEYS, barewords or basic, literal, or dotted */
        parseKeyword() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseBasicString);
          } else if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralString);
          } else {
            return this.goto(this.parseBareKey);
          }
        }
        /* KEYS: barewords */
        parseBareKey() {
          do {
            if (this.char === Parser.END) {
              throw this.error(new TomlError("Key ended without value"));
            } else if (isAlphaNumHyphen(this.char)) {
              this.consume();
            } else if (this.state.buf.length === 0) {
              throw this.error(new TomlError("Empty bare keys are not allowed"));
            } else {
              return this.returnNow();
            }
          } while (this.nextChar());
        }
        /* STRINGS, single quoted (literal) */
        parseSingleString() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiStringMaybe);
          } else {
            return this.goto(this.parseLiteralString);
          }
        }
        parseLiteralString() {
          do {
            if (this.char === CHAR_APOS) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiStringMaybe() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseLiteralMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseLiteralMultiStringContent);
          } else {
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiStringContent() {
          do {
            if (this.char === CHAR_APOS) {
              return this.next(this.parseLiteralMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiEnd() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiEnd2);
          } else {
            this.state.buf += "'";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiEnd2() {
          if (this.char === CHAR_APOS) {
            return this.return();
          } else {
            this.state.buf += "''";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        /* STRINGS double quoted */
        parseDoubleString() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiStringMaybe);
          } else {
            return this.goto(this.parseBasicString);
          }
        }
        parseBasicString() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseEscape, this.recordEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        recordEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseBasicString);
        }
        parseMultiStringMaybe() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseMultiStringContent);
          } else {
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiStringContent() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseMultiEscape, this.recordMultiEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.next(this.parseMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        errorControlCharInString() {
          let displayCode = "\\u00";
          if (this.char < 16) {
            displayCode += "0";
          }
          displayCode += this.char.toString(16);
          return this.error(new TomlError(`Control characters (codes < 0x1f and 0x7f) are not allowed in strings, use ${displayCode} instead`));
        }
        recordMultiEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseMultiStringContent);
        }
        parseMultiEnd() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiEnd2);
          } else {
            this.state.buf += '"';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEnd2() {
          if (this.char === CHAR_QUOT) {
            return this.return();
          } else {
            this.state.buf += '""';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEscape() {
          if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else if (this.char === CHAR_SP || this.char === CTRL_I) {
            return this.next(this.parsePreMultiTrim);
          } else {
            return this.goto(this.parseEscape);
          }
        }
        parsePreMultiTrim() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else {
            throw this.error(new TomlError("Can't escape whitespace"));
          }
        }
        parseMultiTrim() {
          if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else {
            return this.returnNow();
          }
        }
        parseEscape() {
          if (this.char in escapes) {
            return this.return(escapes[this.char]);
          } else if (this.char === CHAR_u) {
            return this.call(this.parseSmallUnicode, this.parseUnicodeReturn);
          } else if (this.char === CHAR_U) {
            return this.call(this.parseLargeUnicode, this.parseUnicodeReturn);
          } else {
            throw this.error(new TomlError("Unknown escape character: " + this.char));
          }
        }
        parseUnicodeReturn(char) {
          try {
            const codePoint = parseInt(char, 16);
            if (codePoint >= SURROGATE_FIRST && codePoint <= SURROGATE_LAST) {
              throw this.error(new TomlError("Invalid unicode, character in range 0xD800 - 0xDFFF is reserved"));
            }
            return this.returnNow(String.fromCodePoint(codePoint));
          } catch (err) {
            throw this.error(TomlError.wrap(err));
          }
        }
        parseSmallUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 4)
              return this.return();
          }
        }
        parseLargeUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 8)
              return this.return();
          }
        }
        /* NUMBERS */
        parseNumberSign() {
          this.consume();
          return this.next(this.parseMaybeSignedInfOrNan);
        }
        parseMaybeSignedInfOrNan() {
          if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else {
            return this.callNow(this.parseNoUnder, this.parseNumberIntegerStart);
          }
        }
        parseNumberIntegerStart() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberIntegerExponentOrDecimal);
          } else {
            return this.goto(this.parseNumberInteger);
          }
        }
        parseNumberIntegerExponentOrDecimal() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseNumberInteger() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseNoUnder() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD || this.char === CHAR_E || this.char === CHAR_e) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNoUnderHexOctBinLiteral() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNumberFloat() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        parseNumberExponentSign() {
          if (isDigit(this.char)) {
            return this.goto(this.parseNumberExponent);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.call(this.parseNoUnder, this.parseNumberExponent);
          } else {
            throw this.error(new TomlError("Unexpected character, expected -, + or digit"));
          }
        }
        parseNumberExponent() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        /* NUMBERS or DATETIMES  */
        parseNumberOrDateTime() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberBaseOrDateTime);
          } else {
            return this.goto(this.parseNumberOrDateTimeOnly);
          }
        }
        parseNumberOrDateTimeOnly() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length > 4)
              this.next(this.parseNumberInteger);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_HYPHEN) {
            return this.goto(this.parseDateTime);
          } else if (this.char === CHAR_COLON) {
            return this.goto(this.parseOnlyTimeHour);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseDateTimeOnly() {
          if (this.state.buf.length < 4) {
            if (isDigit(this.char)) {
              return this.consume();
            } else if (this.char === CHAR_COLON) {
              return this.goto(this.parseOnlyTimeHour);
            } else {
              throw this.error(new TomlError("Expected digit while parsing year part of a date"));
            }
          } else {
            if (this.char === CHAR_HYPHEN) {
              return this.goto(this.parseDateTime);
            } else {
              throw this.error(new TomlError("Expected hyphen (-) while parsing year part of date"));
            }
          }
        }
        parseNumberBaseOrDateTime() {
          if (this.char === CHAR_b) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerBin);
          } else if (this.char === CHAR_o) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerOct);
          } else if (this.char === CHAR_x) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerHex);
          } else if (this.char === CHAR_PERIOD) {
            return this.goto(this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseDateTimeOnly);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseIntegerHex() {
          if (isHexit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerOct() {
          if (isOctit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerBin() {
          if (isBit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        /* DATETIME */
        parseDateTime() {
          if (this.state.buf.length < 4) {
            throw this.error(new TomlError("Years less than 1000 must be zero padded to four characters"));
          }
          this.state.result = this.state.buf;
          this.state.buf = "";
          return this.next(this.parseDateMonth);
        }
        parseDateMonth() {
          if (this.char === CHAR_HYPHEN) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Months less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseDateDay);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseDateDay() {
          if (this.char === CHAR_T || this.char === CHAR_SP) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Days less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseStartTimeHour);
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result + "-" + this.state.buf));
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseStartTimeHour() {
          if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result));
          } else {
            return this.goto(this.parseTimeHour);
          }
        }
        parseTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result += "T" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeMin);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              this.state.result += ":" + this.state.buf;
              this.state.buf = "";
              return this.next(this.parseTimeZoneOrFraction);
            }
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseOnlyTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result = this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeMin);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              return this.next(this.parseOnlyTimeFractionMaybe);
            }
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeFractionMaybe() {
          this.state.result += ":" + this.state.buf;
          if (this.char === CHAR_PERIOD) {
            this.state.buf = "";
            this.next(this.parseOnlyTimeFraction);
          } else {
            return this.return(createTime(this.state.result));
          }
        }
        parseOnlyTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.atEndOfWord()) {
            if (this.state.buf.length === 0)
              throw this.error(new TomlError("Expected digit in milliseconds"));
            return this.returnNow(createTime(this.state.result + "." + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneOrFraction() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            this.next(this.parseDateTimeFraction);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseDateTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 1) {
            throw this.error(new TomlError("Expected digit in milliseconds"));
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneHour() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.next(this.parseTimeZoneSep);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        parseTimeZoneSep() {
          if (this.char === CHAR_COLON) {
            this.consume();
            this.next(this.parseTimeZoneMin);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected colon"));
          }
        }
        parseTimeZoneMin() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.return(createDateTime(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        /* BOOLEAN */
        parseBoolean() {
          if (this.char === CHAR_t) {
            this.consume();
            return this.next(this.parseTrue_r);
          } else if (this.char === CHAR_f) {
            this.consume();
            return this.next(this.parseFalse_a);
          }
        }
        parseTrue_r() {
          if (this.char === CHAR_r) {
            this.consume();
            return this.next(this.parseTrue_u);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_u() {
          if (this.char === CHAR_u) {
            this.consume();
            return this.next(this.parseTrue_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_e() {
          if (this.char === CHAR_e) {
            return this.return(true);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_a() {
          if (this.char === CHAR_a) {
            this.consume();
            return this.next(this.parseFalse_l);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_l() {
          if (this.char === CHAR_l) {
            this.consume();
            return this.next(this.parseFalse_s);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_s() {
          if (this.char === CHAR_s) {
            this.consume();
            return this.next(this.parseFalse_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_e() {
          if (this.char === CHAR_e) {
            return this.return(false);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        /* INLINE LISTS */
        parseInlineList() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === Parser.END) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_RSQB) {
            return this.return(this.state.resultArr || InlineList());
          } else {
            return this.callNow(this.parseValue, this.recordInlineListValue);
          }
        }
        recordInlineListValue(value) {
          if (this.state.resultArr) {
            const listType = this.state.resultArr[_contentType];
            const valueType = tomlType(value);
            if (listType !== valueType) {
              throw this.error(new TomlError(`Inline lists must be a single type, not a mix of ${listType} and ${valueType}`));
            }
          } else {
            this.state.resultArr = InlineList(tomlType(value));
          }
          if (isFloat(value) || isInteger(value)) {
            this.state.resultArr.push(value.valueOf());
          } else {
            this.state.resultArr.push(value);
          }
          return this.goto(this.parseInlineListNext);
        }
        parseInlineListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineList);
          } else if (this.char === CHAR_RSQB) {
            return this.goto(this.parseInlineList);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
        /* INLINE TABLE */
        parseInlineTable() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_RCUB) {
            return this.return(this.state.resultTable || InlineTable());
          } else {
            if (!this.state.resultTable)
              this.state.resultTable = InlineTable();
            return this.callNow(this.parseAssign, this.recordInlineTableValue);
          }
        }
        recordInlineTableValue(kv) {
          let target = this.state.resultTable;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseInlineTableNext);
        }
        parseInlineTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineTable);
          } else if (this.char === CHAR_RCUB) {
            return this.goto(this.parseInlineTable);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
      }
      return TOMLParser;
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/parse-pretty-error.js
var require_parse_pretty_error3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/parse-pretty-error.js"(exports2, module2) {
    "use strict";
    module2.exports = prettyError;
    function prettyError(err, buf) {
      if (err.pos == null || err.line == null)
        return err;
      let msg = err.message;
      msg += ` at row ${err.line + 1}, col ${err.col + 1}, pos ${err.pos}:
`;
      if (buf && buf.split) {
        const lines = buf.split(/\n/);
        const lineNumWidth = String(Math.min(lines.length, err.line + 3)).length;
        let linePadding = " ";
        while (linePadding.length < lineNumWidth)
          linePadding += " ";
        for (let ii = Math.max(0, err.line - 1); ii < Math.min(lines.length, err.line + 2); ++ii) {
          let lineNum = String(ii + 1);
          if (lineNum.length < lineNumWidth)
            lineNum = " " + lineNum;
          if (err.line === ii) {
            msg += lineNum + "> " + lines[ii] + "\n";
            msg += linePadding + "  ";
            for (let hh = 0; hh < err.col; ++hh) {
              msg += " ";
            }
            msg += "^\n";
          } else {
            msg += lineNum + ": " + lines[ii] + "\n";
          }
        }
      }
      err.message = msg + "\n";
      return err;
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/parse-string.js
var require_parse_string3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/parse-string.js"(exports2, module2) {
    "use strict";
    module2.exports = parseString;
    var TOMLParser = require_toml_parser3();
    var prettyError = require_parse_pretty_error3();
    function parseString(str) {
      if (global.Buffer && global.Buffer.isBuffer(str)) {
        str = str.toString("utf8");
      }
      const parser = new TOMLParser();
      try {
        parser.parse(str);
        return parser.finish();
      } catch (err) {
        throw prettyError(err, str);
      }
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/parse-async.js
var require_parse_async3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/parse-async.js"(exports2, module2) {
    "use strict";
    module2.exports = parseAsync;
    var TOMLParser = require_toml_parser3();
    var prettyError = require_parse_pretty_error3();
    function parseAsync(str, opts) {
      if (!opts)
        opts = {};
      const index = 0;
      const blocksize = opts.blocksize || 40960;
      const parser = new TOMLParser();
      return new Promise((resolve, reject) => {
        setImmediate(parseAsyncNext, index, blocksize, resolve, reject);
      });
      function parseAsyncNext(index2, blocksize2, resolve, reject) {
        if (index2 >= str.length) {
          try {
            return resolve(parser.finish());
          } catch (err) {
            return reject(prettyError(err, str));
          }
        }
        try {
          parser.parse(str.slice(index2, index2 + blocksize2));
          setImmediate(parseAsyncNext, index2 + blocksize2, blocksize2, resolve, reject);
        } catch (err) {
          reject(prettyError(err, str));
        }
      }
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/parse-stream.js
var require_parse_stream3 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/parse-stream.js"(exports2, module2) {
    "use strict";
    module2.exports = parseStream;
    var stream = require("stream");
    var TOMLParser = require_toml_parser3();
    function parseStream(stm) {
      if (stm) {
        return parseReadable(stm);
      } else {
        return parseTransform(stm);
      }
    }
    function parseReadable(stm) {
      const parser = new TOMLParser();
      stm.setEncoding("utf8");
      return new Promise((resolve, reject) => {
        let readable;
        let ended = false;
        let errored = false;
        function finish() {
          ended = true;
          if (readable)
            return;
          try {
            resolve(parser.finish());
          } catch (err) {
            reject(err);
          }
        }
        function error(err) {
          errored = true;
          reject(err);
        }
        stm.once("end", finish);
        stm.once("error", error);
        readNext();
        function readNext() {
          readable = true;
          let data;
          while ((data = stm.read()) !== null) {
            try {
              parser.parse(data);
            } catch (err) {
              return error(err);
            }
          }
          readable = false;
          if (ended)
            return finish();
          if (errored)
            return;
          stm.once("readable", readNext);
        }
      });
    }
    function parseTransform() {
      const parser = new TOMLParser();
      return new stream.Transform({
        objectMode: true,
        transform(chunk, encoding, cb) {
          try {
            parser.parse(chunk.toString(encoding));
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        },
        flush(cb) {
          try {
            this.push(parser.finish());
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        }
      });
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/parse.js
var require_parse9 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/parse.js"(exports2, module2) {
    "use strict";
    module2.exports = require_parse_string3();
    module2.exports.async = require_parse_async3();
    module2.exports.stream = require_parse_stream3();
    module2.exports.prettyError = require_parse_pretty_error3();
  }
});

// ../blueprint/node_modules/@iarna/toml/stringify.js
var require_stringify9 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/stringify.js"(exports2, module2) {
    "use strict";
    module2.exports = stringify;
    module2.exports.value = stringifyInline;
    function stringify(obj) {
      if (obj === null)
        throw typeError("null");
      if (obj === void 0)
        throw typeError("undefined");
      if (typeof obj !== "object")
        throw typeError(typeof obj);
      if (typeof obj.toJSON === "function")
        obj = obj.toJSON();
      if (obj == null)
        return null;
      const type = tomlType2(obj);
      if (type !== "table")
        throw typeError(type);
      return stringifyObject("", "", obj);
    }
    function typeError(type) {
      return new Error("Can only stringify objects, not " + type);
    }
    function arrayOneTypeError() {
      return new Error("Array values can't have mixed types");
    }
    function getInlineKeys(obj) {
      return Object.keys(obj).filter((key) => isInline(obj[key]));
    }
    function getComplexKeys(obj) {
      return Object.keys(obj).filter((key) => !isInline(obj[key]));
    }
    function toJSON(obj) {
      let nobj = Array.isArray(obj) ? [] : Object.prototype.hasOwnProperty.call(obj, "__proto__") ? { ["__proto__"]: void 0 } : {};
      for (let prop of Object.keys(obj)) {
        if (obj[prop] && typeof obj[prop].toJSON === "function" && !("toISOString" in obj[prop])) {
          nobj[prop] = obj[prop].toJSON();
        } else {
          nobj[prop] = obj[prop];
        }
      }
      return nobj;
    }
    function stringifyObject(prefix, indent, obj) {
      obj = toJSON(obj);
      var inlineKeys;
      var complexKeys;
      inlineKeys = getInlineKeys(obj);
      complexKeys = getComplexKeys(obj);
      var result = [];
      var inlineIndent = indent || "";
      inlineKeys.forEach((key) => {
        var type = tomlType2(obj[key]);
        if (type !== "undefined" && type !== "null") {
          result.push(inlineIndent + stringifyKey(key) + " = " + stringifyAnyInline(obj[key], true));
        }
      });
      if (result.length > 0)
        result.push("");
      var complexIndent = prefix && inlineKeys.length > 0 ? indent + "  " : "";
      complexKeys.forEach((key) => {
        result.push(stringifyComplex(prefix, complexIndent, key, obj[key]));
      });
      return result.join("\n");
    }
    function isInline(value) {
      switch (tomlType2(value)) {
        case "undefined":
        case "null":
        case "integer":
        case "nan":
        case "float":
        case "boolean":
        case "string":
        case "datetime":
          return true;
        case "array":
          return value.length === 0 || tomlType2(value[0]) !== "table";
        case "table":
          return Object.keys(value).length === 0;
        default:
          return false;
      }
    }
    function tomlType2(value) {
      if (value === void 0) {
        return "undefined";
      } else if (value === null) {
        return "null";
      } else if (typeof value === "bigint" || Number.isInteger(value) && !Object.is(value, -0)) {
        return "integer";
      } else if (typeof value === "number") {
        return "float";
      } else if (typeof value === "boolean") {
        return "boolean";
      } else if (typeof value === "string") {
        return "string";
      } else if ("toISOString" in value) {
        return isNaN(value) ? "undefined" : "datetime";
      } else if (Array.isArray(value)) {
        return "array";
      } else {
        return "table";
      }
    }
    function stringifyKey(key) {
      var keyStr = String(key);
      if (/^[-A-Za-z0-9_]+$/.test(keyStr)) {
        return keyStr;
      } else {
        return stringifyBasicString(keyStr);
      }
    }
    function stringifyBasicString(str) {
      return '"' + escapeString(str).replace(/"/g, '\\"') + '"';
    }
    function stringifyLiteralString(str) {
      return "'" + str + "'";
    }
    function numpad(num, str) {
      while (str.length < num)
        str = "0" + str;
      return str;
    }
    function escapeString(str) {
      return str.replace(/\\/g, "\\\\").replace(/[\b]/g, "\\b").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\f/g, "\\f").replace(/\r/g, "\\r").replace(/([\u0000-\u001f\u007f])/, (c) => "\\u" + numpad(4, c.codePointAt(0).toString(16)));
    }
    function stringifyMultilineString(str) {
      let escaped = str.split(/\n/).map((str2) => {
        return escapeString(str2).replace(/"(?="")/g, '\\"');
      }).join("\n");
      if (escaped.slice(-1) === '"')
        escaped += "\\\n";
      return '"""\n' + escaped + '"""';
    }
    function stringifyAnyInline(value, multilineOk) {
      let type = tomlType2(value);
      if (type === "string") {
        if (multilineOk && /\n/.test(value)) {
          type = "string-multiline";
        } else if (!/[\b\t\n\f\r']/.test(value) && /"/.test(value)) {
          type = "string-literal";
        }
      }
      return stringifyInline(value, type);
    }
    function stringifyInline(value, type) {
      if (!type)
        type = tomlType2(value);
      switch (type) {
        case "string-multiline":
          return stringifyMultilineString(value);
        case "string":
          return stringifyBasicString(value);
        case "string-literal":
          return stringifyLiteralString(value);
        case "integer":
          return stringifyInteger(value);
        case "float":
          return stringifyFloat(value);
        case "boolean":
          return stringifyBoolean(value);
        case "datetime":
          return stringifyDatetime(value);
        case "array":
          return stringifyInlineArray(value.filter((_) => tomlType2(_) !== "null" && tomlType2(_) !== "undefined" && tomlType2(_) !== "nan"));
        case "table":
          return stringifyInlineTable(value);
        default:
          throw typeError(type);
      }
    }
    function stringifyInteger(value) {
      return String(value).replace(/\B(?=(\d{3})+(?!\d))/g, "_");
    }
    function stringifyFloat(value) {
      if (value === Infinity) {
        return "inf";
      } else if (value === -Infinity) {
        return "-inf";
      } else if (Object.is(value, NaN)) {
        return "nan";
      } else if (Object.is(value, -0)) {
        return "-0.0";
      }
      var chunks = String(value).split(".");
      var int = chunks[0];
      var dec = chunks[1] || 0;
      return stringifyInteger(int) + "." + dec;
    }
    function stringifyBoolean(value) {
      return String(value);
    }
    function stringifyDatetime(value) {
      return value.toISOString();
    }
    function isNumber(type) {
      return type === "float" || type === "integer";
    }
    function arrayType(values) {
      var contentType = tomlType2(values[0]);
      if (values.every((_) => tomlType2(_) === contentType))
        return contentType;
      if (values.every((_) => isNumber(tomlType2(_))))
        return "float";
      return "mixed";
    }
    function validateArray(values) {
      const type = arrayType(values);
      if (type === "mixed") {
        throw arrayOneTypeError();
      }
      return type;
    }
    function stringifyInlineArray(values) {
      values = toJSON(values);
      const type = validateArray(values);
      var result = "[";
      var stringified = values.map((_) => stringifyInline(_, type));
      if (stringified.join(", ").length > 60 || /\n/.test(stringified)) {
        result += "\n  " + stringified.join(",\n  ") + "\n";
      } else {
        result += " " + stringified.join(", ") + (stringified.length > 0 ? " " : "");
      }
      return result + "]";
    }
    function stringifyInlineTable(value) {
      value = toJSON(value);
      var result = [];
      Object.keys(value).forEach((key) => {
        result.push(stringifyKey(key) + " = " + stringifyAnyInline(value[key], false));
      });
      return "{ " + result.join(", ") + (result.length > 0 ? " " : "") + "}";
    }
    function stringifyComplex(prefix, indent, key, value) {
      var valueType = tomlType2(value);
      if (valueType === "array") {
        return stringifyArrayOfTables(prefix, indent, key, value);
      } else if (valueType === "table") {
        return stringifyComplexTable(prefix, indent, key, value);
      } else {
        throw typeError(valueType);
      }
    }
    function stringifyArrayOfTables(prefix, indent, key, values) {
      values = toJSON(values);
      validateArray(values);
      var firstValueType = tomlType2(values[0]);
      if (firstValueType !== "table")
        throw typeError(firstValueType);
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      values.forEach((table) => {
        if (result.length > 0)
          result += "\n";
        result += indent + "[[" + fullKey + "]]\n";
        result += stringifyObject(fullKey + ".", indent, table);
      });
      return result;
    }
    function stringifyComplexTable(prefix, indent, key, value) {
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      if (getInlineKeys(value).length > 0) {
        result += indent + "[" + fullKey + "]\n";
      }
      return result + stringifyObject(fullKey + ".", indent, value);
    }
  }
});

// ../blueprint/node_modules/@iarna/toml/toml.js
var require_toml5 = __commonJS({
  "../blueprint/node_modules/@iarna/toml/toml.js"(exports2) {
    "use strict";
    exports2.parse = require_parse9();
    exports2.stringify = require_stringify9();
  }
});

// ../blueprint/node_modules/projen/lib/toml.js
var require_toml6 = __commonJS({
  "../blueprint/node_modules/projen/lib/toml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TomlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml5();
    var object_file_1 = require_object_file3();
    var TomlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          TOML.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.TomlFile = TomlFile;
    _a = JSII_RTTI_SYMBOL_1;
    TomlFile[_a] = { fqn: "projen.TomlFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/version.js
var require_version3 = __commonJS({
  "../blueprint/node_modules/projen/lib/version.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Version = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component3();
    var Version = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.changelogFileName = "changelog.md";
        this.versionFileName = "version.txt";
        this.releaseTagFileName = "releasetag.txt";
        const versionInputFile = options.versionInputFile;
        const changesSinceLastRelease = '! git log --oneline -1 | grep -q "chore(release):"';
        const changelogFile = path_1.posix.join(options.artifactsDirectory, this.changelogFileName);
        const bumpFile = path_1.posix.join(options.artifactsDirectory, this.versionFileName);
        const releaseTagFile = path_1.posix.join(options.artifactsDirectory, this.releaseTagFileName);
        const env = {
          OUTFILE: versionInputFile,
          CHANGELOG: changelogFile,
          BUMPFILE: bumpFile,
          RELEASETAG: releaseTagFile,
          RELEASE_TAG_PREFIX: options.tagPrefix ?? "",
          // doesn't work if custom configuration is long
          VERSIONRCOPTIONS: JSON.stringify(options.versionrcOptions)
        };
        this.bumpTask = project.addTask("bump", {
          description: "Bumps version based on latest git tag and generates a changelog entry",
          condition: changesSinceLastRelease,
          env
        });
        this.bumpTask.builtin("release/bump-version");
        this.unbumpTask = project.addTask("unbump", {
          description: "Restores version to 0.0.0",
          env
        });
        this.unbumpTask.builtin("release/reset-version");
        project.addGitIgnore(`/${changelogFile}`);
        project.addGitIgnore(`/${bumpFile}`);
        project.addPackageIgnore(`/${changelogFile}`);
        project.addPackageIgnore(`/${bumpFile}`);
      }
    };
    exports2.Version = Version;
    _a = JSII_RTTI_SYMBOL_1;
    Version[_a] = { fqn: "projen.Version", version: "0.71.112" };
    Version.STANDARD_VERSION = "standard-version@^9";
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/interfaces.js
var require_interfaces9 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DefaultBuilderOptions = {
      version: "1.0",
      encoding: void 0,
      standalone: void 0,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      skipWhitespaceOnlyText: true,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      },
      invalidCharReplacement: void 0,
      parser: void 0
    };
    exports2.XMLBuilderOptionKeys = new Set(Object.keys(exports2.DefaultBuilderOptions));
    exports2.DefaultXMLBuilderCBOptions = {
      format: "xml",
      wellFormed: false,
      prettyPrint: false,
      indent: "  ",
      newline: "\n",
      offset: 0,
      width: 0,
      allowEmptyTags: false,
      spaceBeforeSlash: false,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      }
    };
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/FixedSizeSet.js
var require_FixedSizeSet3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/FixedSizeSet.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet = (
      /** @class */
      function() {
        function FixedSizeSet2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Set();
          this._limit = limit;
        }
        FixedSizeSet2.prototype.add = function(item) {
          this._items.add(item);
          if (this._items.size > this._limit) {
            var it_1 = this._items.values().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return this;
        };
        FixedSizeSet2.prototype.delete = function(item) {
          return this._items.delete(item);
        };
        FixedSizeSet2.prototype.has = function(item) {
          return this._items.has(item);
        };
        FixedSizeSet2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(FixedSizeSet2.prototype, "size", {
          /**
           * Gets the number of items in the set.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        FixedSizeSet2.prototype.forEach = function(callback, thisArg) {
          var _this = this;
          this._items.forEach(function(e) {
            return callback.call(thisArg, e, e, _this);
          });
        };
        FixedSizeSet2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(FixedSizeSet2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the set.
           */
          get: function() {
            return "FixedSizeSet";
          },
          enumerable: true,
          configurable: true
        });
        return FixedSizeSet2;
      }()
    );
    exports2.FixedSizeSet = FixedSizeSet;
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/ObjectCache.js
var require_ObjectCache3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/ObjectCache.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectCache = (
      /** @class */
      function() {
        function ObjectCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        ObjectCache2.prototype.get = function(key) {
          return this._items.get(key);
        };
        ObjectCache2.prototype.set = function(key, value) {
          this._items.set(key, value);
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
        };
        ObjectCache2.prototype.delete = function(key) {
          return this._items.delete(key);
        };
        ObjectCache2.prototype.has = function(key) {
          return this._items.has(key);
        };
        ObjectCache2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(ObjectCache2.prototype, "size", {
          /**
           * Gets the number of items in the cache.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        ObjectCache2.prototype.forEach = function(callback, thisArg) {
          this._items.forEach(function(v, k) {
            return callback.call(thisArg, k, v);
          });
        };
        ObjectCache2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(ObjectCache2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the cache.
           */
          get: function() {
            return "ObjectCache";
          },
          enumerable: true,
          configurable: true
        });
        return ObjectCache2;
      }()
    );
    exports2.ObjectCache = ObjectCache;
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/CompareCache.js
var require_CompareCache3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/CompareCache.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CompareCache = (
      /** @class */
      function() {
        function CompareCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        CompareCache2.prototype.check = function(objA, objB) {
          if (this._items.get(objA) === objB)
            return true;
          else if (this._items.get(objB) === objA)
            return false;
          var result = Math.random() < 0.5;
          if (result) {
            this._items.set(objA, objB);
          } else {
            this._items.set(objB, objA);
          }
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return result;
        };
        return CompareCache2;
      }()
    );
    exports2.CompareCache = CompareCache;
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/Lazy.js
var require_Lazy3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/Lazy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Lazy = (
      /** @class */
      function() {
        function Lazy2(initFunc) {
          this._initialized = false;
          this._value = void 0;
          this._initFunc = initFunc;
        }
        Object.defineProperty(Lazy2.prototype, "value", {
          /**
           * Gets the value of the object.
           */
          get: function() {
            if (!this._initialized) {
              this._value = this._initFunc();
              this._initialized = true;
            }
            return this._value;
          },
          enumerable: true,
          configurable: true
        });
        return Lazy2;
      }()
    );
    exports2.Lazy = Lazy;
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/StringWalker.js
var require_StringWalker3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/StringWalker.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var StringWalker = (
      /** @class */
      function() {
        function StringWalker2(input) {
          this._pointer = 0;
          this._chars = Array.from(input);
          this._length = this._chars.length;
        }
        Object.defineProperty(StringWalker2.prototype, "eof", {
          /**
           * Determines if the current position is beyond the end of string.
           */
          get: function() {
            return this._pointer >= this._length;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(StringWalker2.prototype, "length", {
          /**
           * Returns the number of code points in the input string.
           */
          get: function() {
            return this._length;
          },
          enumerable: true,
          configurable: true
        });
        StringWalker2.prototype.codePoint = function() {
          if (this._codePoint === void 0) {
            if (this.eof) {
              this._codePoint = -1;
            } else {
              var cp = this._chars[this._pointer].codePointAt(0);
              if (cp !== void 0) {
                this._codePoint = cp;
              } else {
                this._codePoint = -1;
              }
            }
          }
          return this._codePoint;
        };
        StringWalker2.prototype.c = function() {
          if (this._c === void 0) {
            this._c = this.eof ? "" : this._chars[this._pointer];
          }
          return this._c;
        };
        StringWalker2.prototype.remaining = function() {
          if (this._remaining === void 0) {
            this._remaining = this.eof ? "" : this._chars.slice(this._pointer + 1).join("");
          }
          return this._remaining;
        };
        StringWalker2.prototype.substring = function() {
          if (this._substring === void 0) {
            this._substring = this.eof ? "" : this._chars.slice(this._pointer).join("");
          }
          return this._substring;
        };
        Object.defineProperty(StringWalker2.prototype, "pointer", {
          /**
           * Gets or sets the current position.
           */
          get: function() {
            return this._pointer;
          },
          set: function(val) {
            if (val === this._pointer)
              return;
            this._pointer = val;
            this._codePoint = void 0;
            this._c = void 0;
            this._remaining = void 0;
            this._substring = void 0;
          },
          enumerable: true,
          configurable: true
        });
        return StringWalker2;
      }()
    );
    exports2.StringWalker = StringWalker;
  }
});

// ../blueprint/node_modules/@oozcitak/util/lib/index.js
var require_lib12 = __commonJS({
  "../blueprint/node_modules/@oozcitak/util/lib/index.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet_1 = require_FixedSizeSet3();
    exports2.FixedSizeSet = FixedSizeSet_1.FixedSizeSet;
    var ObjectCache_1 = require_ObjectCache3();
    exports2.ObjectCache = ObjectCache_1.ObjectCache;
    var CompareCache_1 = require_CompareCache3();
    exports2.CompareCache = CompareCache_1.CompareCache;
    var Lazy_1 = require_Lazy3();
    exports2.Lazy = Lazy_1.Lazy;
    var StringWalker_1 = require_StringWalker3();
    exports2.StringWalker = StringWalker_1.StringWalker;
    function applyMixin(baseClass, mixinClass) {
      var overrides = [];
      for (var _i = 2; _i < arguments.length; _i++) {
        overrides[_i - 2] = arguments[_i];
      }
      Object.getOwnPropertyNames(mixinClass.prototype).forEach(function(name) {
        if (name !== "constructor") {
          if (overrides.indexOf(name) !== -1) {
            var orgPropDesc = Object.getOwnPropertyDescriptor(baseClass.prototype, name);
            if (orgPropDesc) {
              Object.defineProperty(baseClass.prototype, "_" + name, orgPropDesc);
            }
          }
          var propDesc = Object.getOwnPropertyDescriptor(mixinClass.prototype, name);
          if (propDesc) {
            Object.defineProperty(baseClass.prototype, name, propDesc);
          }
        }
      });
    }
    exports2.applyMixin = applyMixin;
    function applyDefaults(obj, defaults, overwrite) {
      if (overwrite === void 0) {
        overwrite = false;
      }
      var result = clone(obj || {});
      forEachObject(defaults, function(key, val) {
        if (isPlainObject(val)) {
          result[key] = applyDefaults(result[key], val, overwrite);
        } else if (overwrite || result[key] === void 0) {
          result[key] = val;
        }
      });
      return result;
    }
    exports2.applyDefaults = applyDefaults;
    function forEachArray(arr, callback, thisArg) {
      arr.forEach(callback, thisArg);
    }
    exports2.forEachArray = forEachArray;
    function forEachObject(obj, callback, thisArg) {
      if (isMap(obj)) {
        obj.forEach(function(value, key2) {
          return callback.call(thisArg, key2, value);
        });
      } else {
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            callback.call(thisArg, key, obj[key]);
          }
        }
      }
    }
    exports2.forEachObject = forEachObject;
    function arrayLength(obj) {
      if (isSet(obj)) {
        return obj.size;
      } else {
        return obj.length;
      }
    }
    exports2.arrayLength = arrayLength;
    function objectLength(obj) {
      if (isMap(obj)) {
        return obj.size;
      } else {
        return Object.keys(obj).length;
      }
    }
    exports2.objectLength = objectLength;
    function getObjectValue(obj, key) {
      if (isMap(obj)) {
        return obj.get(key);
      } else {
        return obj[key];
      }
    }
    exports2.getObjectValue = getObjectValue;
    function removeObjectValue(obj, key) {
      if (isMap(obj)) {
        obj.delete(key);
      } else {
        delete obj[key];
      }
    }
    exports2.removeObjectValue = removeObjectValue;
    function clone(obj) {
      var e_1, _a;
      if (isFunction(obj)) {
        return obj;
      } else if (isArray(obj)) {
        var result = [];
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
            var item = obj_1_1.value;
            result.push(clone(item));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (isObject(obj)) {
        var result = {};
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            var val = obj[key];
            result[key] = clone(val);
          }
        }
        return result;
      } else {
        return obj;
      }
    }
    exports2.clone = clone;
    function isBoolean(x) {
      return typeof x === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNumber(x) {
      return typeof x === "number";
    }
    exports2.isNumber = isNumber;
    function isString(x) {
      return typeof x === "string";
    }
    exports2.isString = isString;
    function isFunction(x) {
      return !!x && Object.prototype.toString.call(x) === "[object Function]";
    }
    exports2.isFunction = isFunction;
    function isObject(x) {
      var type = typeof x;
      return !!x && (type === "function" || type === "object");
    }
    exports2.isObject = isObject;
    function isArray(x) {
      return Array.isArray(x);
    }
    exports2.isArray = isArray;
    function isSet(x) {
      return x instanceof Set;
    }
    exports2.isSet = isSet;
    function isMap(x) {
      return x instanceof Map;
    }
    exports2.isMap = isMap;
    function isEmpty(x) {
      if (isArray(x)) {
        return !x.length;
      } else if (isSet(x)) {
        return !x.size;
      } else if (isMap(x)) {
        return !x.size;
      } else if (isObject(x)) {
        for (var key in x) {
          if (x.hasOwnProperty(key)) {
            return false;
          }
        }
        return true;
      }
      return false;
    }
    exports2.isEmpty = isEmpty;
    function isPlainObject(x) {
      if (isObject(x)) {
        var proto = Object.getPrototypeOf(x);
        var ctor = proto.constructor;
        return proto && ctor && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
      }
      return false;
    }
    exports2.isPlainObject = isPlainObject;
    function isIterable(x) {
      return x && typeof x[Symbol.iterator] === "function";
    }
    exports2.isIterable = isIterable;
    function getValue(obj) {
      if (isFunction(obj.valueOf)) {
        return obj.valueOf();
      } else {
        return obj;
      }
    }
    exports2.getValue = getValue;
    function utf8Encode(input) {
      var bytes = new Uint8Array(input.length * 4);
      var byteIndex = 0;
      for (var i = 0; i < input.length; i++) {
        var char = input.charCodeAt(i);
        if (char < 128) {
          bytes[byteIndex++] = char;
          continue;
        } else if (char < 2048) {
          bytes[byteIndex++] = char >> 6 | 192;
        } else {
          if (char > 55295 && char < 56320) {
            if (++i >= input.length) {
              throw new Error("Incomplete surrogate pair.");
            }
            var c2 = input.charCodeAt(i);
            if (c2 < 56320 || c2 > 57343) {
              throw new Error("Invalid surrogate character.");
            }
            char = 65536 + ((char & 1023) << 10) + (c2 & 1023);
            bytes[byteIndex++] = char >> 18 | 240;
            bytes[byteIndex++] = char >> 12 & 63 | 128;
          } else {
            bytes[byteIndex++] = char >> 12 | 224;
          }
          bytes[byteIndex++] = char >> 6 & 63 | 128;
        }
        bytes[byteIndex++] = char & 63 | 128;
      }
      return bytes.subarray(0, byteIndex);
    }
    exports2.utf8Encode = utf8Encode;
    function utf8Decode(bytes) {
      var result = "";
      var i = 0;
      while (i < bytes.length) {
        var c = bytes[i++];
        if (c > 127) {
          if (c > 191 && c < 224) {
            if (i >= bytes.length) {
              throw new Error("Incomplete 2-byte sequence.");
            }
            c = (c & 31) << 6 | bytes[i++] & 63;
          } else if (c > 223 && c < 240) {
            if (i + 1 >= bytes.length) {
              throw new Error("Incomplete 3-byte sequence.");
            }
            c = (c & 15) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else if (c > 239 && c < 248) {
            if (i + 2 >= bytes.length) {
              throw new Error("Incomplete 4-byte sequence.");
            }
            c = (c & 7) << 18 | (bytes[i++] & 63) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else {
            throw new Error("Unknown multi-byte start.");
          }
        }
        if (c <= 65535) {
          result += String.fromCharCode(c);
        } else if (c <= 1114111) {
          c -= 65536;
          result += String.fromCharCode(c >> 10 | 55296);
          result += String.fromCharCode(c & 1023 | 56320);
        } else {
          throw new Error("Code point exceeds UTF-16 limit.");
        }
      }
      return result;
    }
    exports2.utf8Decode = utf8Decode;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/interfaces.js
var require_interfaces10 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BoundaryPosition;
    (function(BoundaryPosition2) {
      BoundaryPosition2[BoundaryPosition2["Before"] = 0] = "Before";
      BoundaryPosition2[BoundaryPosition2["Equal"] = 1] = "Equal";
      BoundaryPosition2[BoundaryPosition2["After"] = 2] = "After";
    })(BoundaryPosition = exports2.BoundaryPosition || (exports2.BoundaryPosition = {}));
    var EventPhase;
    (function(EventPhase2) {
      EventPhase2[EventPhase2["None"] = 0] = "None";
      EventPhase2[EventPhase2["Capturing"] = 1] = "Capturing";
      EventPhase2[EventPhase2["AtTarget"] = 2] = "AtTarget";
      EventPhase2[EventPhase2["Bubbling"] = 3] = "Bubbling";
    })(EventPhase = exports2.EventPhase || (exports2.EventPhase = {}));
    var NodeType;
    (function(NodeType2) {
      NodeType2[NodeType2["Element"] = 1] = "Element";
      NodeType2[NodeType2["Attribute"] = 2] = "Attribute";
      NodeType2[NodeType2["Text"] = 3] = "Text";
      NodeType2[NodeType2["CData"] = 4] = "CData";
      NodeType2[NodeType2["EntityReference"] = 5] = "EntityReference";
      NodeType2[NodeType2["Entity"] = 6] = "Entity";
      NodeType2[NodeType2["ProcessingInstruction"] = 7] = "ProcessingInstruction";
      NodeType2[NodeType2["Comment"] = 8] = "Comment";
      NodeType2[NodeType2["Document"] = 9] = "Document";
      NodeType2[NodeType2["DocumentType"] = 10] = "DocumentType";
      NodeType2[NodeType2["DocumentFragment"] = 11] = "DocumentFragment";
      NodeType2[NodeType2["Notation"] = 12] = "Notation";
    })(NodeType = exports2.NodeType || (exports2.NodeType = {}));
    var Position;
    (function(Position2) {
      Position2[Position2["Disconnected"] = 1] = "Disconnected";
      Position2[Position2["Preceding"] = 2] = "Preceding";
      Position2[Position2["Following"] = 4] = "Following";
      Position2[Position2["Contains"] = 8] = "Contains";
      Position2[Position2["ContainedBy"] = 16] = "ContainedBy";
      Position2[Position2["ImplementationSpecific"] = 32] = "ImplementationSpecific";
    })(Position = exports2.Position || (exports2.Position = {}));
    var FilterResult;
    (function(FilterResult2) {
      FilterResult2[FilterResult2["Accept"] = 1] = "Accept";
      FilterResult2[FilterResult2["Reject"] = 2] = "Reject";
      FilterResult2[FilterResult2["Skip"] = 3] = "Skip";
    })(FilterResult = exports2.FilterResult || (exports2.FilterResult = {}));
    var WhatToShow;
    (function(WhatToShow2) {
      WhatToShow2[WhatToShow2["All"] = 4294967295] = "All";
      WhatToShow2[WhatToShow2["Element"] = 1] = "Element";
      WhatToShow2[WhatToShow2["Attribute"] = 2] = "Attribute";
      WhatToShow2[WhatToShow2["Text"] = 4] = "Text";
      WhatToShow2[WhatToShow2["CDataSection"] = 8] = "CDataSection";
      WhatToShow2[WhatToShow2["EntityReference"] = 16] = "EntityReference";
      WhatToShow2[WhatToShow2["Entity"] = 32] = "Entity";
      WhatToShow2[WhatToShow2["ProcessingInstruction"] = 64] = "ProcessingInstruction";
      WhatToShow2[WhatToShow2["Comment"] = 128] = "Comment";
      WhatToShow2[WhatToShow2["Document"] = 256] = "Document";
      WhatToShow2[WhatToShow2["DocumentType"] = 512] = "DocumentType";
      WhatToShow2[WhatToShow2["DocumentFragment"] = 1024] = "DocumentFragment";
      WhatToShow2[WhatToShow2["Notation"] = 2048] = "Notation";
    })(WhatToShow = exports2.WhatToShow || (exports2.WhatToShow = {}));
    var HowToCompare;
    (function(HowToCompare2) {
      HowToCompare2[HowToCompare2["StartToStart"] = 0] = "StartToStart";
      HowToCompare2[HowToCompare2["StartToEnd"] = 1] = "StartToEnd";
      HowToCompare2[HowToCompare2["EndToEnd"] = 2] = "EndToEnd";
      HowToCompare2[HowToCompare2["EndToStart"] = 3] = "EndToStart";
    })(HowToCompare = exports2.HowToCompare || (exports2.HowToCompare = {}));
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js
var require_LocalNameSet3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var LocalNameSet = (
      /** @class */
      function() {
        function LocalNameSet2() {
          this._items = {};
          this._nullItems = {};
        }
        LocalNameSet2.prototype.set = function(ns, localName) {
          if (ns === null) {
            this._nullItems[localName] = true;
          } else if (this._items[ns]) {
            this._items[ns][localName] = true;
          } else {
            this._items[ns] = {};
            this._items[ns][localName] = true;
          }
        };
        LocalNameSet2.prototype.has = function(ns, localName) {
          if (ns === null) {
            return this._nullItems[localName] === true;
          } else if (this._items[ns]) {
            return this._items[ns][localName] === true;
          } else {
            return false;
          }
        };
        return LocalNameSet2;
      }()
    );
    exports2.LocalNameSet = LocalNameSet;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js
var require_NamespacePrefixMap3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NamespacePrefixMap = (
      /** @class */
      function() {
        function NamespacePrefixMap2() {
          this._items = {};
          this._nullItems = [];
        }
        NamespacePrefixMap2.prototype.copy = function() {
          var mapCopy = new NamespacePrefixMap2();
          for (var key in this._items) {
            mapCopy._items[key] = this._items[key].slice(0);
          }
          mapCopy._nullItems = this._nullItems.slice(0);
          return mapCopy;
        };
        NamespacePrefixMap2.prototype.get = function(preferredPrefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return null;
          }
          var prefix = null;
          for (var i = 0; i < candidatesList.length; i++) {
            prefix = candidatesList[i];
            if (prefix === preferredPrefix) {
              return prefix;
            }
          }
          return prefix;
        };
        NamespacePrefixMap2.prototype.has = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return false;
          }
          return candidatesList.indexOf(prefix) !== -1;
        };
        NamespacePrefixMap2.prototype.hasPrefix = function(prefix) {
          if (this._nullItems.indexOf(prefix) !== -1)
            return true;
          for (var key in this._items) {
            if (this._items[key].indexOf(prefix) !== -1)
              return true;
          }
          return false;
        };
        NamespacePrefixMap2.prototype.set = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (ns !== null && candidatesList === null) {
            this._items[ns] = [prefix];
          } else {
            candidatesList.push(prefix);
          }
        };
        return NamespacePrefixMap2;
      }()
    );
    exports2.NamespacePrefixMap = NamespacePrefixMap;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/CodePoints.js
var require_CodePoints3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/CodePoints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Surrogate = /[\uD800-\uDFFF]/;
    exports2.ScalarValue = /[\uD800-\uDFFF]/;
    exports2.NonCharacter = /[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/;
    exports2.ASCIICodePoint = /[\u0000-\u007F]/;
    exports2.ASCIITabOrNewLine = /[\t\n\r]/;
    exports2.ASCIIWhiteSpace = /[\t\n\f\r ]/;
    exports2.C0Control = /[\u0000-\u001F]/;
    exports2.C0ControlOrSpace = /[\u0000-\u001F ]/;
    exports2.Control = /[\u0000-\u001F\u007F-\u009F]/;
    exports2.ASCIIDigit = /[0-9]/;
    exports2.ASCIIUpperHexDigit = /[0-9A-F]/;
    exports2.ASCIILowerHexDigit = /[0-9a-f]/;
    exports2.ASCIIHexDigit = /[0-9A-Fa-f]/;
    exports2.ASCIIUpperAlpha = /[A-Z]/;
    exports2.ASCIILowerAlpha = /[a-z]/;
    exports2.ASCIIAlpha = /[A-Za-z]/;
    exports2.ASCIIAlphanumeric = /[0-9A-Za-z]/;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Base64.js
var require_Base643 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Base64.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints3();
    function forgivingBase64Encode(input) {
      return Buffer.from(input).toString("base64");
    }
    exports2.forgivingBase64Encode = forgivingBase64Encode;
    function forgivingBase64Decode(input) {
      if (input === "")
        return "";
      input = input.replace(CodePoints_1.ASCIIWhiteSpace, "");
      if (input.length % 4 === 0) {
        if (input.endsWith("==")) {
          input = input.substr(0, input.length - 2);
        } else if (input.endsWith("=")) {
          input = input.substr(0, input.length - 1);
        }
      }
      if (input.length % 4 === 1)
        return null;
      if (!/[0-9A-Za-z+/]/.test(input))
        return null;
      return Buffer.from(input, "base64").toString("utf8");
    }
    exports2.forgivingBase64Decode = forgivingBase64Decode;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Byte.js
var require_Byte3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Byte.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function isASCIIByte(byte) {
      return byte >= 0 && byte <= 127;
    }
    exports2.isASCIIByte = isASCIIByte;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/ByteSequence.js
var require_ByteSequence3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/ByteSequence.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    function length(list) {
      return list.length;
    }
    exports2.length = length;
    function byteLowercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 65 && c <= 90) {
          list[i] = c + 32;
        }
      }
    }
    exports2.byteLowercase = byteLowercase;
    function byteUppercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 97 && c <= 122) {
          list[i] = c - 32;
        }
      }
    }
    exports2.byteUppercase = byteUppercase;
    function byteCaseInsensitiveMatch(listA, listB) {
      if (listA.length !== listB.length)
        return false;
      for (var i = 0; i < listA.length; i++) {
        var a = listA[i];
        var b = listB[i];
        if (a >= 65 && a <= 90)
          a += 32;
        if (b >= 65 && b <= 90)
          b += 32;
        if (a !== b)
          return false;
      }
      return true;
    }
    exports2.byteCaseInsensitiveMatch = byteCaseInsensitiveMatch;
    function startsWith(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        if (listA[i] !== listB[i])
          return false;
        i++;
      }
    }
    exports2.startsWith = startsWith;
    function byteLessThan(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        var a = listA[i];
        var b = listB[i];
        if (a < b)
          return true;
        else if (a > b)
          return false;
        i++;
      }
    }
    exports2.byteLessThan = byteLessThan;
    function isomorphicDecode(list) {
      return String.fromCodePoint.apply(String, __spread(list));
    }
    exports2.isomorphicDecode = isomorphicDecode;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/JSON.js
var require_JSON3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/JSON.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    function parseJSONFromBytes(bytes) {
      var jsonText = util_1.utf8Decode(bytes);
      return JSON.parse.call(void 0, jsonText);
    }
    exports2.parseJSONFromBytes = parseJSONFromBytes;
    function serializeJSONToBytes(value) {
      var jsonString = JSON.stringify.call(void 0, value);
      return util_1.utf8Encode(jsonString);
    }
    exports2.serializeJSONToBytes = serializeJSONToBytes;
    function parseJSONIntoInfraValues(jsonText) {
      var jsValue = JSON.parse.call(void 0, jsonText);
      return convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue);
    }
    exports2.parseJSONIntoInfraValues = parseJSONIntoInfraValues;
    function convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue) {
      var e_1, _a;
      if (jsValue === null || util_1.isString(jsValue) || util_1.isNumber(jsValue))
        return jsValue;
      if (util_1.isArray(jsValue)) {
        var result = new Array();
        try {
          for (var jsValue_1 = __values(jsValue), jsValue_1_1 = jsValue_1.next(); !jsValue_1_1.done; jsValue_1_1 = jsValue_1.next()) {
            var jsValueAtIndex = jsValue_1_1.value;
            result.push(convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtIndex));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (jsValue_1_1 && !jsValue_1_1.done && (_a = jsValue_1.return))
              _a.call(jsValue_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (util_1.isObject(jsValue)) {
        var result = /* @__PURE__ */ new Map();
        for (var key in jsValue) {
          if (jsValue.hasOwnProperty(key)) {
            var jsValueAtKey = jsValue[key];
            result.set(key, convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtKey));
          }
        }
        return result;
      }
      return jsValue;
    }
    exports2.convertAJSONDerivedJavaScriptValueToAnInfraValue = convertAJSONDerivedJavaScriptValueToAnInfraValue;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/List.js
var require_List3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/List.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    function append(list, item) {
      list.push(item);
    }
    exports2.append = append;
    function extend(listA, listB) {
      listA.push.apply(listA, __spread(listB));
    }
    exports2.extend = extend;
    function prepend(list, item) {
      list.unshift(item);
    }
    exports2.prepend = prepend;
    function replace(list, conditionOrItem, newItem) {
      var e_1, _a;
      var i = 0;
      try {
        for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
          var oldItem = list_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              list[i] = newItem;
            }
          } else if (oldItem === conditionOrItem) {
            list[i] = newItem;
            return;
          }
          i++;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (list_1_1 && !list_1_1.done && (_a = list_1.return))
            _a.call(list_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.replace = replace;
    function insert(list, item, index) {
      list.splice(index, 0, item);
    }
    exports2.insert = insert;
    function remove(list, conditionOrItem) {
      var i = list.length;
      while (i--) {
        var oldItem = list[i];
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            list.splice(i, 1);
          }
        } else if (oldItem === conditionOrItem) {
          list.splice(i, 1);
          return;
        }
      }
    }
    exports2.remove = remove;
    function empty(list) {
      list.length = 0;
    }
    exports2.empty = empty;
    function contains(list, conditionOrItem) {
      var e_2, _a;
      try {
        for (var list_2 = __values(list), list_2_1 = list_2.next(); !list_2_1.done; list_2_1 = list_2.next()) {
          var oldItem = list_2_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          } else if (oldItem === conditionOrItem) {
            return true;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (list_2_1 && !list_2_1.done && (_a = list_2.return))
            _a.call(list_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(list, condition) {
      var e_3, _a;
      if (condition === void 0) {
        return list.length;
      } else {
        var count = 0;
        try {
          for (var list_3 = __values(list), list_3_1 = list_3.next(); !list_3_1.done; list_3_1 = list_3.next()) {
            var item = list_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (list_3_1 && !list_3_1.done && (_a = list_3.return))
              _a.call(list_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(list) {
      return list.length === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(list, condition) {
      var list_4, list_4_1, item, e_4_1;
      var e_4, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(list)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            list_4 = __values(list), list_4_1 = list_4.next();
            _b.label = 3;
          case 3:
            if (!!list_4_1.done)
              return [3, 6];
            item = list_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            list_4_1 = list_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_4_1 = _b.sent();
            e_4 = { error: e_4_1 };
            return [3, 9];
          case 8:
            try {
              if (list_4_1 && !list_4_1.done && (_a = list_4.return))
                _a.call(list_4);
            } finally {
              if (e_4)
                throw e_4.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(list) {
      return new (Array.bind.apply(Array, __spread([void 0], list)))();
    }
    exports2.clone = clone;
    function sortInAscendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Map.js
var require_Map3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Map.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    function get(map, key) {
      return map.get(key);
    }
    exports2.get = get;
    function set(map, key, val) {
      map.set(key, val);
    }
    exports2.set = set;
    function remove(map, conditionOrItem) {
      var e_1, _a, e_2, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        map.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var map_1 = __values(map), map_1_1 = map_1.next(); !map_1_1.done; map_1_1 = map_1.next()) {
            var item = map_1_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item[0]);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (map_1_1 && !map_1_1.done && (_a = map_1.return))
              _a.call(map_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var key = toRemove_1_1.value;
            map.delete(key);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function contains(map, conditionOrItem) {
      var e_3, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return map.has(conditionOrItem);
      } else {
        try {
          for (var map_2 = __values(map), map_2_1 = map_2.next(); !map_2_1.done; map_2_1 = map_2.next()) {
            var item = map_2_1.value;
            if (!!conditionOrItem.call(null, item)) {
              return true;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (map_2_1 && !map_2_1.done && (_a = map_2.return))
              _a.call(map_2);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return false;
      }
    }
    exports2.contains = contains;
    function keys(map) {
      return new Set(map.keys());
    }
    exports2.keys = keys;
    function values(map) {
      return __spread(map.values());
    }
    exports2.values = values;
    function size(map, condition) {
      var e_4, _a;
      if (condition === void 0) {
        return map.size;
      } else {
        var count = 0;
        try {
          for (var map_3 = __values(map), map_3_1 = map_3.next(); !map_3_1.done; map_3_1 = map_3.next()) {
            var item = map_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (map_3_1 && !map_3_1.done && (_a = map_3.return))
              _a.call(map_3);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(map) {
      return map.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(map, condition) {
      var map_4, map_4_1, item, e_5_1;
      var e_5, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(map)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            map_4 = __values(map), map_4_1 = map_4.next();
            _b.label = 3;
          case 3:
            if (!!map_4_1.done)
              return [3, 6];
            item = map_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            map_4_1 = map_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_5_1 = _b.sent();
            e_5 = { error: e_5_1 };
            return [3, 9];
          case 8:
            try {
              if (map_4_1 && !map_4_1.done && (_a = map_4.return))
                _a.call(map_4);
            } finally {
              if (e_5)
                throw e_5.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(map) {
      return new Map(map);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Map(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Map(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Namespace.js
var require_Namespace3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Namespace.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HTML = "http://www.w3.org/1999/xhtml";
    exports2.XML = "http://www.w3.org/XML/1998/namespace";
    exports2.XMLNS = "http://www.w3.org/2000/xmlns/";
    exports2.MathML = "http://www.w3.org/1998/Math/MathML";
    exports2.SVG = "http://www.w3.org/2000/svg";
    exports2.XLink = "http://www.w3.org/1999/xlink";
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Queue.js
var require_Queue3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Queue.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function enqueue(list, item) {
      list.push(item);
    }
    exports2.enqueue = enqueue;
    function dequeue(list) {
      return list.shift() || null;
    }
    exports2.dequeue = dequeue;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Set.js
var require_Set3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Set.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    function append(set, item) {
      set.add(item);
    }
    exports2.append = append;
    function extend(setA, setB) {
      setB.forEach(setA.add, setA);
    }
    exports2.extend = extend;
    function prepend(set, item) {
      var cloned = new Set(set);
      set.clear();
      set.add(item);
      cloned.forEach(set.add, set);
    }
    exports2.prepend = prepend;
    function replace(set, conditionOrItem, newItem) {
      var e_1, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var set_1 = __values(set), set_1_1 = set_1.next(); !set_1_1.done; set_1_1 = set_1.next()) {
          var oldItem = set_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              newSet.add(newItem);
            } else {
              newSet.add(oldItem);
            }
          } else if (oldItem === conditionOrItem) {
            newSet.add(newItem);
          } else {
            newSet.add(oldItem);
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set_1_1 && !set_1_1.done && (_a = set_1.return))
            _a.call(set_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.replace = replace;
    function insert(set, item, index) {
      var e_2, _a;
      var newSet = /* @__PURE__ */ new Set();
      var i = 0;
      try {
        for (var set_2 = __values(set), set_2_1 = set_2.next(); !set_2_1.done; set_2_1 = set_2.next()) {
          var oldItem = set_2_1.value;
          if (i === index)
            newSet.add(item);
          newSet.add(oldItem);
          i++;
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (set_2_1 && !set_2_1.done && (_a = set_2.return))
            _a.call(set_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.insert = insert;
    function remove(set, conditionOrItem) {
      var e_3, _a, e_4, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        set.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var set_3 = __values(set), set_3_1 = set_3.next(); !set_3_1.done; set_3_1 = set_3.next()) {
            var item = set_3_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (set_3_1 && !set_3_1.done && (_a = set_3.return))
              _a.call(set_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var oldItem = toRemove_1_1.value;
            set.delete(oldItem);
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function empty(set) {
      set.clear();
    }
    exports2.empty = empty;
    function contains(set, conditionOrItem) {
      var e_5, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return set.has(conditionOrItem);
      } else {
        try {
          for (var set_4 = __values(set), set_4_1 = set_4.next(); !set_4_1.done; set_4_1 = set_4.next()) {
            var oldItem = set_4_1.value;
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          }
        } catch (e_5_1) {
          e_5 = { error: e_5_1 };
        } finally {
          try {
            if (set_4_1 && !set_4_1.done && (_a = set_4.return))
              _a.call(set_4);
          } finally {
            if (e_5)
              throw e_5.error;
          }
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(set, condition) {
      var e_6, _a;
      if (condition === void 0) {
        return set.size;
      } else {
        var count = 0;
        try {
          for (var set_5 = __values(set), set_5_1 = set_5.next(); !set_5_1.done; set_5_1 = set_5.next()) {
            var item = set_5_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_6_1) {
          e_6 = { error: e_6_1 };
        } finally {
          try {
            if (set_5_1 && !set_5_1.done && (_a = set_5.return))
              _a.call(set_5);
          } finally {
            if (e_6)
              throw e_6.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(set) {
      return set.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(set, condition) {
      var set_6, set_6_1, item, e_7_1;
      var e_7, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(set)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            set_6 = __values(set), set_6_1 = set_6.next();
            _b.label = 3;
          case 3:
            if (!!set_6_1.done)
              return [3, 6];
            item = set_6_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            set_6_1 = set_6.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_7_1 = _b.sent();
            e_7 = { error: e_7_1 };
            return [3, 9];
          case 8:
            try {
              if (set_6_1 && !set_6_1.done && (_a = set_6.return))
                _a.call(set_6);
            } finally {
              if (e_7)
                throw e_7.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(set) {
      return new Set(set);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Set(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Set(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
    function isSubsetOf(subset, superset) {
      var e_8, _a;
      try {
        for (var subset_1 = __values(subset), subset_1_1 = subset_1.next(); !subset_1_1.done; subset_1_1 = subset_1.next()) {
          var item = subset_1_1.value;
          if (!superset.has(item))
            return false;
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (subset_1_1 && !subset_1_1.done && (_a = subset_1.return))
            _a.call(subset_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return true;
    }
    exports2.isSubsetOf = isSubsetOf;
    function isSupersetOf(superset, subset) {
      return isSubsetOf(subset, superset);
    }
    exports2.isSupersetOf = isSupersetOf;
    function intersection(setA, setB) {
      var e_9, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var setA_1 = __values(setA), setA_1_1 = setA_1.next(); !setA_1_1.done; setA_1_1 = setA_1.next()) {
          var item = setA_1_1.value;
          if (setB.has(item))
            newSet.add(item);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (setA_1_1 && !setA_1_1.done && (_a = setA_1.return))
            _a.call(setA_1);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return newSet;
    }
    exports2.intersection = intersection;
    function union(setA, setB) {
      var newSet = new Set(setA);
      setB.forEach(newSet.add, newSet);
      return newSet;
    }
    exports2.union = union;
    function range(n, m) {
      var newSet = /* @__PURE__ */ new Set();
      for (var i = n; i <= m; i++) {
        newSet.add(i);
      }
      return newSet;
    }
    exports2.range = range;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/Stack.js
var require_Stack3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/Stack.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function push(list, item) {
      list.push(item);
    }
    exports2.push = push;
    function pop(list) {
      return list.pop() || null;
    }
    exports2.pop = pop;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/String.js
var require_String3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/String.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints3();
    var ByteSequence_1 = require_ByteSequence3();
    var Byte_1 = require_Byte3();
    var util_1 = require_lib12();
    function isCodeUnitPrefix(a, b) {
      var i = 0;
      while (true) {
        var aCodeUnit = i < a.length ? a.charCodeAt(i) : null;
        var bCodeUnit = i < b.length ? b.charCodeAt(i) : null;
        if (aCodeUnit === null)
          return true;
        if (aCodeUnit !== bCodeUnit)
          return false;
        i++;
      }
    }
    exports2.isCodeUnitPrefix = isCodeUnitPrefix;
    function isCodeUnitLessThan(a, b) {
      if (isCodeUnitPrefix(b, a))
        return false;
      if (isCodeUnitPrefix(a, b))
        return true;
      for (var i = 0; i < Math.min(a.length, b.length); i++) {
        var aCodeUnit = a.charCodeAt(i);
        var bCodeUnit = b.charCodeAt(i);
        if (aCodeUnit === bCodeUnit)
          continue;
        return aCodeUnit < bCodeUnit;
      }
      return false;
    }
    exports2.isCodeUnitLessThan = isCodeUnitLessThan;
    function isomorphicEncode(str) {
      var e_1, _a;
      var codePoints = Array.from(str);
      var bytes = new Uint8Array(codePoints.length);
      var i = 0;
      try {
        for (var str_1 = __values(str), str_1_1 = str_1.next(); !str_1_1.done; str_1_1 = str_1.next()) {
          var codePoint = str_1_1.value;
          var byte = codePoint.codePointAt(0);
          console.assert(byte !== void 0 && byte <= 255, "isomorphicEncode requires string bytes to be less than or equal to 0x00FF.");
          if (byte !== void 0 && byte <= 255) {
            bytes[i++] = byte;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (str_1_1 && !str_1_1.done && (_a = str_1.return))
            _a.call(str_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return bytes;
    }
    exports2.isomorphicEncode = isomorphicEncode;
    function isASCIIString(str) {
      return /^[\u0000-\u007F]*$/.test(str);
    }
    exports2.isASCIIString = isASCIIString;
    function asciiLowercase(str) {
      var e_2, _a;
      var result = "";
      try {
        for (var str_2 = __values(str), str_2_1 = str_2.next(); !str_2_1.done; str_2_1 = str_2.next()) {
          var c = str_2_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 65 && code <= 90) {
            result += String.fromCodePoint(code + 32);
          } else {
            result += c;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (str_2_1 && !str_2_1.done && (_a = str_2.return))
            _a.call(str_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return result;
    }
    exports2.asciiLowercase = asciiLowercase;
    function asciiUppercase(str) {
      var e_3, _a;
      var result = "";
      try {
        for (var str_3 = __values(str), str_3_1 = str_3.next(); !str_3_1.done; str_3_1 = str_3.next()) {
          var c = str_3_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 97 && code <= 122) {
            result += String.fromCodePoint(code - 32);
          } else {
            result += c;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (str_3_1 && !str_3_1.done && (_a = str_3.return))
            _a.call(str_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.asciiUppercase = asciiUppercase;
    function asciiCaseInsensitiveMatch(a, b) {
      return asciiLowercase(a) === asciiLowercase(b);
    }
    exports2.asciiCaseInsensitiveMatch = asciiCaseInsensitiveMatch;
    function asciiEncode(str) {
      console.assert(isASCIIString(str), "asciiEncode requires an ASCII string.");
      return isomorphicEncode(str);
    }
    exports2.asciiEncode = asciiEncode;
    function asciiDecode(bytes) {
      var e_4, _a;
      try {
        for (var bytes_1 = __values(bytes), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
          var byte = bytes_1_1.value;
          console.assert(Byte_1.isASCIIByte(byte), "asciiDecode requires an ASCII byte sequence.");
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (bytes_1_1 && !bytes_1_1.done && (_a = bytes_1.return))
            _a.call(bytes_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return ByteSequence_1.isomorphicDecode(bytes);
    }
    exports2.asciiDecode = asciiDecode;
    function stripNewlines(str) {
      return str.replace(/[\n\r]/g, "");
    }
    exports2.stripNewlines = stripNewlines;
    function normalizeNewlines(str) {
      return str.replace(/\r\n/g, "\n").replace(/\r/g, "\n");
    }
    exports2.normalizeNewlines = normalizeNewlines;
    function stripLeadingAndTrailingASCIIWhitespace(str) {
      return str.replace(/^[\t\n\f\r ]+/, "").replace(/[\t\n\f\r ]+$/, "");
    }
    exports2.stripLeadingAndTrailingASCIIWhitespace = stripLeadingAndTrailingASCIIWhitespace;
    function stripAndCollapseASCIIWhitespace(str) {
      return stripLeadingAndTrailingASCIIWhitespace(str.replace(/[\t\n\f\r ]{2,}/g, " "));
    }
    exports2.stripAndCollapseASCIIWhitespace = stripAndCollapseASCIIWhitespace;
    function collectASequenceOfCodePoints(condition, input, options) {
      if (!util_1.isArray(input))
        return collectASequenceOfCodePoints(condition, Array.from(input), options);
      var result = "";
      while (options.position < input.length && !!condition.call(null, input[options.position])) {
        result += input[options.position];
        options.position++;
      }
      return result;
    }
    exports2.collectASequenceOfCodePoints = collectASequenceOfCodePoints;
    function skipASCIIWhitespace(input, options) {
      collectASequenceOfCodePoints(function(str) {
        return CodePoints_1.ASCIIWhiteSpace.test(str);
      }, input, options);
    }
    exports2.skipASCIIWhitespace = skipASCIIWhitespace;
    function strictlySplit(input, delimiter) {
      if (!util_1.isArray(input))
        return strictlySplit(Array.from(input), delimiter);
      var options = { position: 0 };
      var tokens = [];
      var token = collectASequenceOfCodePoints(function(str) {
        return delimiter !== str;
      }, input, options);
      tokens.push(token);
      while (options.position < input.length) {
        console.assert(input[options.position] === delimiter, "strictlySplit found no delimiter in input string.");
        options.position++;
        token = collectASequenceOfCodePoints(function(str) {
          return delimiter !== str;
        }, input, options);
        tokens.push(token);
      }
      return tokens;
    }
    exports2.strictlySplit = strictlySplit;
    function splitAStringOnASCIIWhitespace(input) {
      if (!util_1.isArray(input))
        return splitAStringOnASCIIWhitespace(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      skipASCIIWhitespace(input, options);
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return !CodePoints_1.ASCIIWhiteSpace.test(str);
        }, input, options);
        tokens.push(token);
        skipASCIIWhitespace(input, options);
      }
      return tokens;
    }
    exports2.splitAStringOnASCIIWhitespace = splitAStringOnASCIIWhitespace;
    function splitAStringOnCommas(input) {
      if (!util_1.isArray(input))
        return splitAStringOnCommas(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return str !== ",";
        }, input, options);
        tokens.push(stripLeadingAndTrailingASCIIWhitespace(token));
        if (options.position < input.length) {
          console.assert(input[options.position] === ",", "splitAStringOnCommas found no delimiter in input string.");
          options.position++;
        }
      }
      return tokens;
    }
    exports2.splitAStringOnCommas = splitAStringOnCommas;
    function concatenate(list, separator) {
      if (separator === void 0) {
        separator = "";
      }
      if (list.length === 0)
        return "";
      return list.join(separator);
    }
    exports2.concatenate = concatenate;
  }
});

// ../blueprint/node_modules/@oozcitak/infra/lib/index.js
var require_lib13 = __commonJS({
  "../blueprint/node_modules/@oozcitak/infra/lib/index.js"(exports2) {
    "use strict";
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (Object.hasOwnProperty.call(mod, k))
            result[k] = mod[k];
      }
      result["default"] = mod;
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var base64 = __importStar(require_Base643());
    exports2.base64 = base64;
    var byte = __importStar(require_Byte3());
    exports2.byte = byte;
    var byteSequence = __importStar(require_ByteSequence3());
    exports2.byteSequence = byteSequence;
    var codePoint = __importStar(require_CodePoints3());
    exports2.codePoint = codePoint;
    var json = __importStar(require_JSON3());
    exports2.json = json;
    var list = __importStar(require_List3());
    exports2.list = list;
    var map = __importStar(require_Map3());
    exports2.map = map;
    var namespace = __importStar(require_Namespace3());
    exports2.namespace = namespace;
    var queue = __importStar(require_Queue3());
    exports2.queue = queue;
    var set = __importStar(require_Set3());
    exports2.set = set;
    var stack = __importStar(require_Stack3());
    exports2.stack = stack;
    var string = __importStar(require_String3());
    exports2.string = string;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js
var require_WebIDLAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function idl_defineConst(o, name, value) {
      Object.defineProperty(o, name, { writable: false, enumerable: true, configurable: false, value });
    }
    exports2.idl_defineConst = idl_defineConst;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js
var require_DOMImplementationImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var DOMImplementationImpl = (
      /** @class */
      function() {
        function DOMImplementationImpl2(document) {
          this._associatedDocument = document || DOMImpl_1.dom.window.document;
        }
        DOMImplementationImpl2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
          algorithm_1.namespace_validate(qualifiedName);
          return algorithm_1.create_documentType(this._associatedDocument, qualifiedName, publicId, systemId);
        };
        DOMImplementationImpl2.prototype.createDocument = function(namespace, qualifiedName, doctype) {
          if (doctype === void 0) {
            doctype = null;
          }
          var document = algorithm_1.create_xmlDocument();
          var element = null;
          if (qualifiedName) {
            element = algorithm_1.document_internalCreateElementNS(document, namespace, qualifiedName);
          }
          if (doctype)
            document.appendChild(doctype);
          if (element)
            document.appendChild(element);
          document._origin = this._associatedDocument._origin;
          if (namespace === infra_1.namespace.HTML)
            document._contentType = "application/xhtml+xml";
          else if (namespace === infra_1.namespace.SVG)
            document._contentType = "image/svg+xml";
          else
            document._contentType = "application/xml";
          return document;
        };
        DOMImplementationImpl2.prototype.createHTMLDocument = function(title) {
          var doc = algorithm_1.create_document();
          doc._type = "html";
          doc._contentType = "text/html";
          doc.appendChild(algorithm_1.create_documentType(doc, "html", "", ""));
          var htmlElement = algorithm_1.element_createAnElement(doc, "html", infra_1.namespace.HTML);
          doc.appendChild(htmlElement);
          var headElement = algorithm_1.element_createAnElement(doc, "head", infra_1.namespace.HTML);
          htmlElement.appendChild(headElement);
          if (title !== void 0) {
            var titleElement = algorithm_1.element_createAnElement(doc, "title", infra_1.namespace.HTML);
            headElement.appendChild(titleElement);
            var textElement = algorithm_1.create_text(doc, title);
            titleElement.appendChild(textElement);
          }
          var bodyElement = algorithm_1.element_createAnElement(doc, "body", infra_1.namespace.HTML);
          htmlElement.appendChild(bodyElement);
          doc._origin = this._associatedDocument._origin;
          return doc;
        };
        DOMImplementationImpl2.prototype.hasFeature = function() {
          return true;
        };
        DOMImplementationImpl2._create = function(document) {
          return new DOMImplementationImpl2(document);
        };
        return DOMImplementationImpl2;
      }()
    );
    exports2.DOMImplementationImpl = DOMImplementationImpl;
    WebIDLAlgorithm_1.idl_defineConst(DOMImplementationImpl.prototype, "_ID", "@oozcitak/dom");
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMException.js
var require_DOMException3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMException.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException = (
      /** @class */
      function(_super) {
        __extends(DOMException2, _super);
        function DOMException2(name, message) {
          if (message === void 0) {
            message = "";
          }
          var _this = _super.call(this, message) || this;
          _this.name = name;
          return _this;
        }
        return DOMException2;
      }(Error)
    );
    exports2.DOMException = DOMException;
    var DOMStringSizeError = (
      /** @class */
      function(_super) {
        __extends(DOMStringSizeError2, _super);
        function DOMStringSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DOMStringSizeError", message) || this;
        }
        return DOMStringSizeError2;
      }(DOMException)
    );
    exports2.DOMStringSizeError = DOMStringSizeError;
    var WrongDocumentError = (
      /** @class */
      function(_super) {
        __extends(WrongDocumentError2, _super);
        function WrongDocumentError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "WrongDocumentError", "The object is in the wrong document. " + message) || this;
        }
        return WrongDocumentError2;
      }(DOMException)
    );
    exports2.WrongDocumentError = WrongDocumentError;
    var NoDataAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoDataAllowedError2, _super);
        function NoDataAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoDataAllowedError", message) || this;
        }
        return NoDataAllowedError2;
      }(DOMException)
    );
    exports2.NoDataAllowedError = NoDataAllowedError;
    var NoModificationAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoModificationAllowedError2, _super);
        function NoModificationAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoModificationAllowedError", "The object can not be modified. " + message) || this;
        }
        return NoModificationAllowedError2;
      }(DOMException)
    );
    exports2.NoModificationAllowedError = NoModificationAllowedError;
    var NotSupportedError = (
      /** @class */
      function(_super) {
        __extends(NotSupportedError2, _super);
        function NotSupportedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotSupportedError", "The operation is not supported. " + message) || this;
        }
        return NotSupportedError2;
      }(DOMException)
    );
    exports2.NotSupportedError = NotSupportedError;
    var InUseAttributeError = (
      /** @class */
      function(_super) {
        __extends(InUseAttributeError2, _super);
        function InUseAttributeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InUseAttributeError", message) || this;
        }
        return InUseAttributeError2;
      }(DOMException)
    );
    exports2.InUseAttributeError = InUseAttributeError;
    var InvalidStateError = (
      /** @class */
      function(_super) {
        __extends(InvalidStateError2, _super);
        function InvalidStateError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidStateError", "The object is in an invalid state. " + message) || this;
        }
        return InvalidStateError2;
      }(DOMException)
    );
    exports2.InvalidStateError = InvalidStateError;
    var InvalidModificationError = (
      /** @class */
      function(_super) {
        __extends(InvalidModificationError2, _super);
        function InvalidModificationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidModificationError", "The object can not be modified in this way. " + message) || this;
        }
        return InvalidModificationError2;
      }(DOMException)
    );
    exports2.InvalidModificationError = InvalidModificationError;
    var NamespaceError = (
      /** @class */
      function(_super) {
        __extends(NamespaceError2, _super);
        function NamespaceError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NamespaceError", "The operation is not allowed by Namespaces in XML. [XMLNS] " + message) || this;
        }
        return NamespaceError2;
      }(DOMException)
    );
    exports2.NamespaceError = NamespaceError;
    var InvalidAccessError = (
      /** @class */
      function(_super) {
        __extends(InvalidAccessError2, _super);
        function InvalidAccessError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidAccessError", "The object does not support the operation or argument. " + message) || this;
        }
        return InvalidAccessError2;
      }(DOMException)
    );
    exports2.InvalidAccessError = InvalidAccessError;
    var ValidationError = (
      /** @class */
      function(_super) {
        __extends(ValidationError2, _super);
        function ValidationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "ValidationError", message) || this;
        }
        return ValidationError2;
      }(DOMException)
    );
    exports2.ValidationError = ValidationError;
    var TypeMismatchError = (
      /** @class */
      function(_super) {
        __extends(TypeMismatchError2, _super);
        function TypeMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TypeMismatchError", message) || this;
        }
        return TypeMismatchError2;
      }(DOMException)
    );
    exports2.TypeMismatchError = TypeMismatchError;
    var SecurityError = (
      /** @class */
      function(_super) {
        __extends(SecurityError2, _super);
        function SecurityError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SecurityError", "The operation is insecure. " + message) || this;
        }
        return SecurityError2;
      }(DOMException)
    );
    exports2.SecurityError = SecurityError;
    var NetworkError = (
      /** @class */
      function(_super) {
        __extends(NetworkError2, _super);
        function NetworkError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NetworkError", "A network error occurred. " + message) || this;
        }
        return NetworkError2;
      }(DOMException)
    );
    exports2.NetworkError = NetworkError;
    var AbortError = (
      /** @class */
      function(_super) {
        __extends(AbortError2, _super);
        function AbortError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "AbortError", "The operation was aborted. " + message) || this;
        }
        return AbortError2;
      }(DOMException)
    );
    exports2.AbortError = AbortError;
    var URLMismatchError = (
      /** @class */
      function(_super) {
        __extends(URLMismatchError2, _super);
        function URLMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "URLMismatchError", "The given URL does not match another URL. " + message) || this;
        }
        return URLMismatchError2;
      }(DOMException)
    );
    exports2.URLMismatchError = URLMismatchError;
    var QuotaExceededError = (
      /** @class */
      function(_super) {
        __extends(QuotaExceededError2, _super);
        function QuotaExceededError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "QuotaExceededError", "The quota has been exceeded. " + message) || this;
        }
        return QuotaExceededError2;
      }(DOMException)
    );
    exports2.QuotaExceededError = QuotaExceededError;
    var TimeoutError = (
      /** @class */
      function(_super) {
        __extends(TimeoutError2, _super);
        function TimeoutError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TimeoutError", "The operation timed out. " + message) || this;
        }
        return TimeoutError2;
      }(DOMException)
    );
    exports2.TimeoutError = TimeoutError;
    var InvalidNodeTypeError = (
      /** @class */
      function(_super) {
        __extends(InvalidNodeTypeError2, _super);
        function InvalidNodeTypeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidNodeTypeError", "The supplied node is incorrect or has an incorrect ancestor for this operation. " + message) || this;
        }
        return InvalidNodeTypeError2;
      }(DOMException)
    );
    exports2.InvalidNodeTypeError = InvalidNodeTypeError;
    var DataCloneError = (
      /** @class */
      function(_super) {
        __extends(DataCloneError2, _super);
        function DataCloneError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DataCloneError", "The object can not be cloned. " + message) || this;
        }
        return DataCloneError2;
      }(DOMException)
    );
    exports2.DataCloneError = DataCloneError;
    var NotImplementedError = (
      /** @class */
      function(_super) {
        __extends(NotImplementedError2, _super);
        function NotImplementedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotImplementedError", "The DOM method is not implemented by this module. " + message) || this;
        }
        return NotImplementedError2;
      }(DOMException)
    );
    exports2.NotImplementedError = NotImplementedError;
    var HierarchyRequestError = (
      /** @class */
      function(_super) {
        __extends(HierarchyRequestError2, _super);
        function HierarchyRequestError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "HierarchyRequestError", "The operation would yield an incorrect node tree. " + message) || this;
        }
        return HierarchyRequestError2;
      }(DOMException)
    );
    exports2.HierarchyRequestError = HierarchyRequestError;
    var NotFoundError = (
      /** @class */
      function(_super) {
        __extends(NotFoundError2, _super);
        function NotFoundError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotFoundError", "The object can not be found here. " + message) || this;
        }
        return NotFoundError2;
      }(DOMException)
    );
    exports2.NotFoundError = NotFoundError;
    var IndexSizeError = (
      /** @class */
      function(_super) {
        __extends(IndexSizeError2, _super);
        function IndexSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "IndexSizeError", "The index is not in the allowed range. " + message) || this;
        }
        return IndexSizeError2;
      }(DOMException)
    );
    exports2.IndexSizeError = IndexSizeError;
    var SyntaxError2 = (
      /** @class */
      function(_super) {
        __extends(SyntaxError3, _super);
        function SyntaxError3(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SyntaxError", "The string did not match the expected pattern. " + message) || this;
        }
        return SyntaxError3;
      }(DOMException)
    );
    exports2.SyntaxError = SyntaxError2;
    var InvalidCharacterError = (
      /** @class */
      function(_super) {
        __extends(InvalidCharacterError2, _super);
        function InvalidCharacterError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidCharacterError", "The string contains invalid characters. " + message) || this;
        }
        return InvalidCharacterError2;
      }(DOMException)
    );
    exports2.InvalidCharacterError = InvalidCharacterError;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/util/Guard.js
var require_Guard3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/util/Guard.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var Guard = (
      /** @class */
      function() {
        function Guard2() {
        }
        Guard2.isNode = function(a) {
          return !!a && a._nodeType !== void 0;
        };
        Guard2.isDocumentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Document;
        };
        Guard2.isDocumentTypeNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentType;
        };
        Guard2.isDocumentFragmentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentFragment;
        };
        Guard2.isAttrNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Attribute;
        };
        Guard2.isCharacterDataNode = function(a) {
          if (!Guard2.isNode(a))
            return false;
          var type = a._nodeType;
          return type === interfaces_1.NodeType.Text || type === interfaces_1.NodeType.ProcessingInstruction || type === interfaces_1.NodeType.Comment || type === interfaces_1.NodeType.CData;
        };
        Guard2.isTextNode = function(a) {
          return Guard2.isNode(a) && (a._nodeType === interfaces_1.NodeType.Text || a._nodeType === interfaces_1.NodeType.CData);
        };
        Guard2.isExclusiveTextNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Text;
        };
        Guard2.isCDATASectionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.CData;
        };
        Guard2.isCommentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Comment;
        };
        Guard2.isProcessingInstructionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.ProcessingInstruction;
        };
        Guard2.isElementNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Element;
        };
        Guard2.isCustomElementNode = function(a) {
          return Guard2.isElementNode(a) && a._customElementState === "custom";
        };
        Guard2.isShadowRoot = function(a) {
          return !!a && a.host !== void 0;
        };
        Guard2.isMouseEvent = function(a) {
          return !!a && a.screenX !== void 0 && a.screenY != void 0;
        };
        Guard2.isSlotable = function(a) {
          return !!a && a._name !== void 0 && a._assignedSlot !== void 0 && (Guard2.isTextNode(a) || Guard2.isElementNode(a));
        };
        Guard2.isSlot = function(a) {
          return !!a && a._name !== void 0 && a._assignedNodes !== void 0 && Guard2.isElementNode(a);
        };
        Guard2.isWindow = function(a) {
          return !!a && a.navigator !== void 0;
        };
        Guard2.isEventListener = function(a) {
          return !!a && a.handleEvent !== void 0;
        };
        Guard2.isRegisteredObserver = function(a) {
          return !!a && a.observer !== void 0 && a.options !== void 0;
        };
        Guard2.isTransientRegisteredObserver = function(a) {
          return !!a && a.source !== void 0 && Guard2.isRegisteredObserver(a);
        };
        return Guard2;
      }()
    );
    exports2.Guard = Guard;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/util/Cast.js
var require_Cast3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/util/Cast.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Guard_1 = require_Guard3();
    var Cast = (
      /** @class */
      function() {
        function Cast2() {
        }
        Cast2.asNode = function(a) {
          if (Guard_1.Guard.isNode(a)) {
            return a;
          } else {
            throw new Error("Invalid object. Node expected.");
          }
        };
        return Cast2;
      }()
    );
    exports2.Cast = Cast;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/util/EmptySet.js
var require_EmptySet3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/util/EmptySet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EmptySet = (
      /** @class */
      function() {
        function EmptySet2() {
        }
        Object.defineProperty(EmptySet2.prototype, "size", {
          get: function() {
            return 0;
          },
          enumerable: true,
          configurable: true
        });
        EmptySet2.prototype.add = function(value) {
          throw new Error("Cannot add to an empty set.");
        };
        EmptySet2.prototype.clear = function() {
        };
        EmptySet2.prototype.delete = function(value) {
          return false;
        };
        EmptySet2.prototype.forEach = function(callbackfn, thisArg) {
        };
        EmptySet2.prototype.has = function(value) {
          return false;
        };
        EmptySet2.prototype[Symbol.iterator] = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.entries = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.keys = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.values = function() {
          return new EmptySetIterator();
        };
        Object.defineProperty(EmptySet2.prototype, Symbol.toStringTag, {
          get: function() {
            return "EmptySet";
          },
          enumerable: true,
          configurable: true
        });
        return EmptySet2;
      }()
    );
    exports2.EmptySet = EmptySet;
    var EmptySetIterator = (
      /** @class */
      function() {
        function EmptySetIterator2() {
        }
        EmptySetIterator2.prototype[Symbol.iterator] = function() {
          return this;
        };
        EmptySetIterator2.prototype.next = function() {
          return { done: true, value: null };
        };
        return EmptySetIterator2;
      }()
    );
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/util/index.js
var require_util16 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/util/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Cast_1 = require_Cast3();
    exports2.Cast = Cast_1.Cast;
    var Guard_1 = require_Guard3();
    exports2.Guard = Guard_1.Guard;
    var EmptySet_1 = require_EmptySet3();
    exports2.EmptySet = EmptySet_1.EmptySet;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js
var require_EventTargetImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException3();
    var util_1 = require_util16();
    var algorithm_1 = require_algorithm3();
    var EventTargetImpl = (
      /** @class */
      function() {
        function EventTargetImpl2() {
        }
        Object.defineProperty(EventTargetImpl2.prototype, "_eventListenerList", {
          get: function() {
            return this.__eventListenerList || (this.__eventListenerList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventTargetImpl2.prototype, "_eventHandlerMap", {
          get: function() {
            return this.__eventHandlerMap || (this.__eventHandlerMap = {});
          },
          enumerable: true,
          configurable: true
        });
        EventTargetImpl2.prototype.addEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { passive: false, once: false, capture: false };
          }
          var _a = __read(algorithm_1.eventTarget_flattenMore(options), 3), capture = _a[0], passive = _a[1], once = _a[2];
          var listenerCallback;
          if (!callback) {
            return;
          } else if (util_1.Guard.isEventListener(callback)) {
            listenerCallback = callback;
          } else {
            listenerCallback = { handleEvent: callback };
          }
          algorithm_1.eventTarget_addEventListener(this, {
            type,
            callback: listenerCallback,
            capture,
            passive,
            once,
            removed: false
          });
        };
        EventTargetImpl2.prototype.removeEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { capture: false };
          }
          var capture = algorithm_1.eventTarget_flatten(options);
          if (!callback)
            return;
          for (var i = 0; i < this._eventListenerList.length; i++) {
            var entry = this._eventListenerList[i];
            if (entry.type !== type || entry.capture !== capture)
              continue;
            if (util_1.Guard.isEventListener(callback) && entry.callback === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            } else if (callback && entry.callback.handleEvent === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            }
          }
        };
        EventTargetImpl2.prototype.dispatchEvent = function(event) {
          if (event._dispatchFlag || !event._initializedFlag) {
            throw new DOMException_1.InvalidStateError();
          }
          event._isTrusted = false;
          return algorithm_1.event_dispatch(event, this);
        };
        EventTargetImpl2.prototype._getTheParent = function(event) {
          return null;
        };
        return EventTargetImpl2;
      }()
    );
    exports2.EventTargetImpl = EventTargetImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js
var require_WindowImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl3();
    var util_1 = require_lib12();
    var algorithm_1 = require_algorithm3();
    var WindowImpl = (
      /** @class */
      function(_super) {
        __extends(WindowImpl2, _super);
        function WindowImpl2() {
          var _this = _super.call(this) || this;
          _this._signalSlots = /* @__PURE__ */ new Set();
          _this._mutationObserverMicrotaskQueued = false;
          _this._mutationObservers = /* @__PURE__ */ new Set();
          _this._iteratorList = new util_1.FixedSizeSet();
          _this._associatedDocument = algorithm_1.create_document();
          return _this;
        }
        Object.defineProperty(WindowImpl2.prototype, "document", {
          /** @inheritdoc */
          get: function() {
            return this._associatedDocument;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(WindowImpl2.prototype, "event", {
          /** @inheritdoc */
          get: function() {
            return this._currentEvent;
          },
          enumerable: true,
          configurable: true
        });
        WindowImpl2._create = function() {
          return new WindowImpl2();
        };
        return WindowImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.WindowImpl = WindowImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/url/lib/interfaces.js
var require_interfaces11 = __commonJS({
  "../blueprint/node_modules/@oozcitak/url/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ParserState;
    (function(ParserState2) {
      ParserState2[ParserState2["SchemeStart"] = 0] = "SchemeStart";
      ParserState2[ParserState2["Scheme"] = 1] = "Scheme";
      ParserState2[ParserState2["NoScheme"] = 2] = "NoScheme";
      ParserState2[ParserState2["SpecialRelativeOrAuthority"] = 3] = "SpecialRelativeOrAuthority";
      ParserState2[ParserState2["PathOrAuthority"] = 4] = "PathOrAuthority";
      ParserState2[ParserState2["Relative"] = 5] = "Relative";
      ParserState2[ParserState2["RelativeSlash"] = 6] = "RelativeSlash";
      ParserState2[ParserState2["SpecialAuthoritySlashes"] = 7] = "SpecialAuthoritySlashes";
      ParserState2[ParserState2["SpecialAuthorityIgnoreSlashes"] = 8] = "SpecialAuthorityIgnoreSlashes";
      ParserState2[ParserState2["Authority"] = 9] = "Authority";
      ParserState2[ParserState2["Host"] = 10] = "Host";
      ParserState2[ParserState2["Hostname"] = 11] = "Hostname";
      ParserState2[ParserState2["Port"] = 12] = "Port";
      ParserState2[ParserState2["File"] = 13] = "File";
      ParserState2[ParserState2["FileSlash"] = 14] = "FileSlash";
      ParserState2[ParserState2["FileHost"] = 15] = "FileHost";
      ParserState2[ParserState2["PathStart"] = 16] = "PathStart";
      ParserState2[ParserState2["Path"] = 17] = "Path";
      ParserState2[ParserState2["CannotBeABaseURLPath"] = 18] = "CannotBeABaseURLPath";
      ParserState2[ParserState2["Query"] = 19] = "Query";
      ParserState2[ParserState2["Fragment"] = 20] = "Fragment";
    })(ParserState = exports2.ParserState || (exports2.ParserState = {}));
    exports2.OpaqueOrigin = ["", "", null, null];
  }
});

// ../blueprint/node_modules/@oozcitak/url/lib/URLAlgorithm.js
var require_URLAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/url/lib/URLAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var interfaces_1 = require_interfaces11();
    var infra_1 = require_lib13();
    var url_1 = require("url");
    var _validationErrorCallback;
    var _defaultPorts = {
      "ftp": 21,
      "file": null,
      "http": 80,
      "https": 443,
      "ws": 80,
      "wss": 443
    };
    var _c0ControlPercentEncodeSet = /[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _fragmentPercentEncodeSet = /[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _pathPercentEncodeSet = /[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _userInfoPercentEncodeSet = /[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _urlCodePoints = /[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/;
    var _forbiddenHostCodePoint = /[\0\t\f\r #%/:?@\[\\\]]/;
    function setValidationErrorCallback(validationErrorCallback) {
      _validationErrorCallback = validationErrorCallback;
    }
    exports2.setValidationErrorCallback = setValidationErrorCallback;
    function validationError(message) {
      if (_validationErrorCallback !== void 0) {
        _validationErrorCallback.call(null, "Validation Error: " + message);
      }
    }
    function newURL() {
      return {
        scheme: "",
        username: "",
        password: "",
        host: null,
        port: null,
        path: [],
        query: null,
        fragment: null,
        _cannotBeABaseURLFlag: false,
        _blobURLEntry: null
      };
    }
    exports2.newURL = newURL;
    function isSpecialScheme(scheme) {
      return scheme in _defaultPorts;
    }
    exports2.isSpecialScheme = isSpecialScheme;
    function isSpecial(url) {
      return isSpecialScheme(url.scheme);
    }
    exports2.isSpecial = isSpecial;
    function defaultPort(scheme) {
      return _defaultPorts[scheme] || null;
    }
    exports2.defaultPort = defaultPort;
    function includesCredentials(url) {
      return url.username !== "" || url.password !== "";
    }
    exports2.includesCredentials = includesCredentials;
    function cannotHaveAUsernamePasswordPort(url) {
      return url.host === null || url.host === "" || url._cannotBeABaseURLFlag || url.scheme === "file";
    }
    exports2.cannotHaveAUsernamePasswordPort = cannotHaveAUsernamePasswordPort;
    function urlSerializer(url, excludeFragmentFlag) {
      var e_1, _a;
      if (excludeFragmentFlag === void 0) {
        excludeFragmentFlag = false;
      }
      var output = url.scheme + ":";
      if (url.host !== null) {
        output += "//";
        if (includesCredentials(url)) {
          output += url.username;
          if (url.password !== "") {
            output += ":" + url.password;
          }
          output += "@";
        }
        output += hostSerializer(url.host);
        if (url.port !== null) {
          output += ":" + url.port;
        }
      } else if (url.host === null && url.scheme === "file") {
        output += "//";
      }
      if (url._cannotBeABaseURLFlag) {
        output += url.path[0];
      } else {
        try {
          for (var _b = __values(url.path), _c = _b.next(); !_c.done; _c = _b.next()) {
            var str = _c.value;
            output += "/" + str;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      if (url.query !== null) {
        output += "?" + url.query;
      }
      if (!excludeFragmentFlag && url.fragment !== null) {
        output += "#" + url.fragment;
      }
      return output;
    }
    exports2.urlSerializer = urlSerializer;
    function hostSerializer(host) {
      if (util_1.isNumber(host)) {
        return iPv4Serializer(host);
      } else if (util_1.isArray(host)) {
        return "[" + iPv6Serializer(host) + "]";
      } else {
        return host;
      }
    }
    exports2.hostSerializer = hostSerializer;
    function iPv4Serializer(address) {
      var output = "";
      var n = address;
      for (var i = 1; i <= 4; i++) {
        output = (n % 256).toString() + output;
        if (i !== 4) {
          output = "." + output;
        }
        n = Math.floor(n / 256);
      }
      return output;
    }
    exports2.iPv4Serializer = iPv4Serializer;
    function iPv6Serializer(address) {
      var output = "";
      var compress = null;
      var lastIndex = -1;
      var count = 0;
      var lastCount = 0;
      for (var i = 0; i < 8; i++) {
        if (address[i] !== 0)
          continue;
        count = 1;
        for (var j = i + 1; j < 8; j++) {
          if (address[j] !== 0)
            break;
          count++;
          continue;
        }
        if (count > lastCount) {
          lastCount = count;
          lastIndex = i;
        }
      }
      if (lastCount > 1)
        compress = lastIndex;
      var ignore0 = false;
      for (var pieceIndex = 0; pieceIndex < 8; pieceIndex++) {
        if (ignore0 && address[pieceIndex] === 0)
          continue;
        if (ignore0)
          ignore0 = false;
        if (compress === pieceIndex) {
          output += pieceIndex === 0 ? "::" : ":";
          ignore0 = true;
          continue;
        }
        output += address[pieceIndex].toString(16);
        if (pieceIndex !== 7)
          output += ":";
      }
      return output;
    }
    exports2.iPv6Serializer = iPv6Serializer;
    function urlParser(input, baseURL, encodingOverride) {
      var url = basicURLParser(input, baseURL, encodingOverride);
      if (url === null)
        return null;
      if (url.scheme !== "blob")
        return url;
      var entry = resolveABlobURL(url);
      if (entry !== null) {
        url._blobURLEntry = entry;
      } else {
        url._blobURLEntry = null;
      }
      return url;
    }
    exports2.urlParser = urlParser;
    function basicURLParser(input, baseURL, encodingOverride, url, stateOverride) {
      var e_2, _a, e_3, _b;
      if (url === void 0) {
        url = newURL();
        var leadingControlOrSpace = /^[\u0000-\u001F\u0020]+/;
        var trailingControlOrSpace = /[\u0000-\u001F\u0020]+$/;
        if (leadingControlOrSpace.test(input) || trailingControlOrSpace.test(input)) {
          validationError("Input string contains leading or trailing control characters or space.");
        }
        input = input.replace(leadingControlOrSpace, "");
        input = input.replace(trailingControlOrSpace, "");
      }
      var tabOrNewline = /[\u0009\u000A\u000D]/g;
      if (tabOrNewline.test(input)) {
        validationError("Input string contains tab or newline characters.");
      }
      input = input.replace(tabOrNewline, "");
      var state = stateOverride === void 0 ? interfaces_1.ParserState.SchemeStart : stateOverride;
      if (baseURL === void 0)
        baseURL = null;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      var buffer = "";
      var atFlag = false;
      var arrayFlag = false;
      var passwordTokenSeenFlag = false;
      var EOF = "";
      var walker = new util_1.StringWalker(input);
      while (true) {
        switch (state) {
          case interfaces_1.ParserState.SchemeStart:
            if (infra_1.codePoint.ASCIIAlpha.test(walker.c())) {
              buffer += walker.c().toLowerCase();
              state = interfaces_1.ParserState.Scheme;
            } else if (stateOverride === void 0) {
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer--;
            } else {
              validationError("Invalid scheme start character.");
              return null;
            }
            break;
          case interfaces_1.ParserState.Scheme:
            if (infra_1.codePoint.ASCIIAlphanumeric.test(walker.c()) || walker.c() === "+" || walker.c() === "-" || walker.c() === ".") {
              buffer += walker.c().toLowerCase();
            } else if (walker.c() === ":") {
              if (stateOverride !== void 0) {
                if (isSpecialScheme(url.scheme) && !isSpecialScheme(buffer))
                  return url;
                if (!isSpecialScheme(url.scheme) && isSpecialScheme(buffer))
                  return url;
                if ((includesCredentials(url) || url.port !== null) && buffer === "file")
                  return url;
                if (url.scheme === "file" && (url.host === "" || url.host === null))
                  return url;
              }
              url.scheme = buffer;
              if (stateOverride !== void 0) {
                if (url.port === defaultPort(url.scheme)) {
                  url.port = null;
                }
                return url;
              }
              buffer = "";
              if (url.scheme === "file") {
                if (!walker.remaining().startsWith("//")) {
                  validationError("Invalid file URL scheme, '//' expected.");
                }
                state = interfaces_1.ParserState.File;
              } else if (isSpecial(url) && baseURL !== null && baseURL.scheme === url.scheme) {
                state = interfaces_1.ParserState.SpecialRelativeOrAuthority;
              } else if (isSpecial(url)) {
                state = interfaces_1.ParserState.SpecialAuthoritySlashes;
              } else if (walker.remaining().startsWith("/")) {
                state = interfaces_1.ParserState.PathOrAuthority;
                walker.pointer++;
              } else {
                url._cannotBeABaseURLFlag = true;
                url.path.push("");
                state = interfaces_1.ParserState.CannotBeABaseURLPath;
              }
            } else if (stateOverride === void 0) {
              buffer = "";
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer = 0;
              continue;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.NoScheme:
            if (baseURL === null || baseURL._cannotBeABaseURLFlag && walker.c() !== "#") {
              validationError("Invalid input string.");
              return null;
            } else if (baseURL._cannotBeABaseURLFlag && walker.c() === "#") {
              url.scheme = baseURL.scheme;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              url.fragment = "";
              url._cannotBeABaseURLFlag = true;
              state = interfaces_1.ParserState.Fragment;
            } else if (baseURL.scheme !== "file") {
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            } else {
              state = interfaces_1.ParserState.File;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialRelativeOrAuthority:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Invalid input string.");
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.PathOrAuthority:
            if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Relative:
            if (baseURL === null) {
              throw new Error("Invalid parser state. Base URL is null.");
            }
            url.scheme = baseURL.scheme;
            switch (walker.c()) {
              case EOF:
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                break;
              case "/":
                state = interfaces_1.ParserState.RelativeSlash;
                break;
              case "?":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = "";
                state = interfaces_1.ParserState.Query;
                break;
              case "#":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
                break;
              default:
                if (isSpecial(url) && walker.c() === "\\") {
                  validationError("Invalid input string.");
                  state = interfaces_1.ParserState.RelativeSlash;
                } else {
                  url.username = baseURL.username;
                  url.password = baseURL.password;
                  url.host = baseURL.host;
                  url.port = baseURL.port;
                  url.path = infra_1.list.clone(baseURL.path);
                  if (url.path.length !== 0)
                    url.path.splice(url.path.length - 1, 1);
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                }
                break;
            }
            break;
          case interfaces_1.ParserState.RelativeSlash:
            if (isSpecial(url) && (walker.c() === "/" || walker.c() === "\\")) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            } else if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              if (baseURL === null) {
                throw new Error("Invalid parser state. Base URL is null.");
              }
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthoritySlashes:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Expected '//'.");
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes:
            if (walker.c() !== "/" && walker.c() !== "\\") {
              state = interfaces_1.ParserState.Authority;
              walker.pointer--;
            } else {
              validationError("Unexpected '/' or '\\'.");
            }
            break;
          case interfaces_1.ParserState.Authority:
            if (walker.c() === "@") {
              validationError("Unexpected '@'.");
              if (atFlag)
                buffer = "%40" + buffer;
              atFlag = true;
              try {
                for (var buffer_1 = (e_2 = void 0, __values(buffer)), buffer_1_1 = buffer_1.next(); !buffer_1_1.done; buffer_1_1 = buffer_1.next()) {
                  var codePoint = buffer_1_1.value;
                  if (codePoint === ":" && !passwordTokenSeenFlag) {
                    passwordTokenSeenFlag = true;
                    continue;
                  }
                  var encodedCodePoints = utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
                  if (passwordTokenSeenFlag) {
                    url.password += encodedCodePoints;
                  } else {
                    url.username += encodedCodePoints;
                  }
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (buffer_1_1 && !buffer_1_1.done && (_a = buffer_1.return))
                    _a.call(buffer_1);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              buffer = "";
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              if (atFlag && buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              walker.pointer -= buffer.length + 1;
              buffer = "";
              state = interfaces_1.ParserState.Host;
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Host:
          case interfaces_1.ParserState.Hostname:
            if (stateOverride !== void 0 && url.scheme === "file") {
              walker.pointer--;
              state = interfaces_1.ParserState.FileHost;
            } else if (walker.c() === ":" && !arrayFlag) {
              if (buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.Port;
              if (stateOverride === interfaces_1.ParserState.Hostname)
                return url;
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              walker.pointer--;
              if (isSpecial(url) && buffer === "") {
                validationError("Invalid input string.");
                return null;
              } else if (stateOverride !== void 0 && buffer === "" && (includesCredentials(url) || url.port !== null)) {
                validationError("Invalid input string.");
                return url;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.PathStart;
              if (stateOverride !== void 0)
                return url;
            } else {
              if (walker.c() === "[")
                arrayFlag = true;
              if (walker.c() === "]")
                arrayFlag = false;
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Port:
            if (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              buffer += walker.c();
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\" || stateOverride) {
              if (buffer !== "") {
                if (buffer !== "") {
                  var port = parseInt(buffer, 10);
                  if (port > Math.pow(2, 16) - 1) {
                    validationError("Invalid port number.");
                    return null;
                  }
                  url.port = port === defaultPort(url.scheme) ? null : port;
                  buffer = "";
                }
              }
              if (stateOverride !== void 0) {
                return url;
              }
              state = interfaces_1.ParserState.PathStart;
              walker.pointer--;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.File:
            url.scheme = "file";
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileSlash;
            } else if (baseURL !== null && baseURL.scheme === "file") {
              switch (walker.c()) {
                case EOF:
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  break;
                case "?":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = "";
                  state = interfaces_1.ParserState.Query;
                  break;
                case "#":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  url.fragment = "";
                  state = interfaces_1.ParserState.Fragment;
                  break;
                default:
                  if (!startsWithAWindowsDriveLetter(walker.substring())) {
                    url.host = baseURL.host;
                    url.path = infra_1.list.clone(baseURL.path);
                    shorten(url);
                  } else {
                    validationError("Unexpected windows drive letter in input string.");
                  }
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                  break;
              }
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileSlash:
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileHost;
            } else {
              if (baseURL !== null && baseURL.scheme === "file" && !startsWithAWindowsDriveLetter(walker.substring())) {
                if (isNormalizedWindowsDriveLetter(baseURL.path[0])) {
                  url.path.push(baseURL.path[0]);
                } else {
                  url.host = baseURL.host;
                }
              }
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileHost:
            if (walker.c() === EOF || walker.c() === "/" || walker.c() === "\\" || walker.c() === "?" || walker.c() === "#") {
              walker.pointer--;
              if (stateOverride === void 0 && isWindowsDriveLetter(buffer)) {
                validationError("Unexpected windows drive letter in input string.");
                state = interfaces_1.ParserState.Path;
              } else if (buffer === "") {
                url.host = "";
                if (stateOverride !== void 0)
                  return url;
                state = interfaces_1.ParserState.PathStart;
              } else {
                var host = hostParser(buffer, !isSpecial(url));
                if (host === null)
                  return null;
                if (host === "localhost")
                  host = "";
                url.host = host;
                if (stateOverride !== void 0)
                  return url;
                buffer = "";
                state = interfaces_1.ParserState.PathStart;
              }
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.PathStart:
            if (isSpecial(url)) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/" && walker.c() !== "\\")
                walker.pointer--;
            } else if (stateOverride === void 0 && walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/")
                walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Path:
            if (walker.c() === EOF || walker.c() === "/" || isSpecial(url) && walker.c() === "\\" || stateOverride === void 0 && (walker.c() === "?" || walker.c() === "#")) {
              if (isSpecial(url) && walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              if (isDoubleDotPathSegment(buffer)) {
                shorten(url);
                if (walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                  url.path.push("");
                }
              } else if (isSingleDotPathSegment(buffer) && walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                url.path.push("");
              } else if (!isSingleDotPathSegment(buffer)) {
                if (url.scheme === "file" && url.path.length === 0 && isWindowsDriveLetter(buffer)) {
                  if (url.host !== null && url.host !== "") {
                    validationError("Invalid input string.");
                    url.host = "";
                  }
                  var bufferCodePoints = Array.from(buffer);
                  buffer = bufferCodePoints.slice(0, 1) + ":" + bufferCodePoints.slice(2);
                }
                url.path.push(buffer);
              }
              buffer = "";
              if (url.scheme === "file" && (walker.c() === EOF || walker.c() === "?" || walker.c() === "#")) {
                while (url.path.length > 1 && url.path[0] === "") {
                  validationError("Invalid input string.");
                  url.path.splice(0, 1);
                }
              }
              if (walker.c() === "?") {
                url.query = "";
                state = interfaces_1.ParserState.Query;
              }
              if (walker.c() === "#") {
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
              }
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              buffer += utf8PercentEncode(walker.c(), _pathPercentEncodeSet);
            }
            break;
          case interfaces_1.ParserState.CannotBeABaseURLPath:
            if (walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else {
              if (walker.c() !== EOF && !_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (walker.c() !== EOF) {
                url.path[0] += utf8PercentEncode(walker.c(), _c0ControlPercentEncodeSet);
              }
            }
            break;
          case interfaces_1.ParserState.Query:
            if (encoding !== "UTF-8" && (!isSpecial(url) || url.scheme === "ws" || url.scheme === "wss")) {
              encoding = "UTF-8";
            }
            if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (encoding.toUpperCase() !== "UTF-8") {
                throw new Error("Only UTF-8 encoding is supported.");
              }
              var bytes = util_1.utf8Encode(walker.c());
              if (bytes.length >= 3 && bytes[0] === 38 && bytes[1] === 35 && bytes[bytes.length - 1] === 59) {
                bytes = bytes.subarray(2, bytes.length - 1);
                url.query += "%26%23" + infra_1.byteSequence.isomorphicDecode(bytes) + "%3B";
              } else {
                try {
                  for (var bytes_1 = (e_3 = void 0, __values(bytes)), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
                    var byte = bytes_1_1.value;
                    if (byte < 33 || byte > 126 || byte === 34 || byte === 35 || byte === 60 || byte === 62 || byte === 39 && isSpecial(url)) {
                      url.query += percentEncode(byte);
                    } else {
                      url.query += String.fromCharCode(byte);
                    }
                  }
                } catch (e_3_1) {
                  e_3 = { error: e_3_1 };
                } finally {
                  try {
                    if (bytes_1_1 && !bytes_1_1.done && (_b = bytes_1.return))
                      _b.call(bytes_1);
                  } finally {
                    if (e_3)
                      throw e_3.error;
                  }
                }
              }
            }
            break;
          case interfaces_1.ParserState.Fragment:
            if (walker.c() === EOF) {
            } else if (walker.c() === "\0") {
              validationError("NULL character in input string.");
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Unexpected character in fragment string.");
              }
              if (walker.c() === "%" && !/^[A-Za-z0-9][A-Za-z0-9]/.test(walker.remaining())) {
                validationError("Unexpected character in fragment string.");
              }
              url.fragment += utf8PercentEncode(walker.c(), _fragmentPercentEncodeSet);
            }
            break;
        }
        if (walker.eof)
          break;
        else
          walker.pointer++;
      }
      return url;
    }
    exports2.basicURLParser = basicURLParser;
    function setTheUsername(url, username) {
      var e_4, _a;
      var result = "";
      try {
        for (var username_1 = __values(username), username_1_1 = username_1.next(); !username_1_1.done; username_1_1 = username_1.next()) {
          var codePoint = username_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (username_1_1 && !username_1_1.done && (_a = username_1.return))
            _a.call(username_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      url.username = result;
    }
    exports2.setTheUsername = setTheUsername;
    function setThePassword(url, password) {
      var e_5, _a;
      var result = "";
      try {
        for (var password_1 = __values(password), password_1_1 = password_1.next(); !password_1_1.done; password_1_1 = password_1.next()) {
          var codePoint = password_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (password_1_1 && !password_1_1.done && (_a = password_1.return))
            _a.call(password_1);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      url.password = result;
    }
    exports2.setThePassword = setThePassword;
    function isSingleDotPathSegment(str) {
      return str === "." || str.toLowerCase() === "%2e";
    }
    exports2.isSingleDotPathSegment = isSingleDotPathSegment;
    function isDoubleDotPathSegment(str) {
      var lowerStr = str.toLowerCase();
      return lowerStr === ".." || lowerStr === ".%2e" || lowerStr === "%2e." || lowerStr === "%2e%2e";
    }
    exports2.isDoubleDotPathSegment = isDoubleDotPathSegment;
    function shorten(url) {
      var path = url.path;
      if (path.length === 0)
        return;
      if (url.scheme === "file" && path.length === 1 && isNormalizedWindowsDriveLetter(path[0]))
        return;
      url.path.splice(url.path.length - 1, 1);
    }
    exports2.shorten = shorten;
    function isNormalizedWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && str[1] === ":";
    }
    exports2.isNormalizedWindowsDriveLetter = isNormalizedWindowsDriveLetter;
    function isWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && (str[1] === ":" || str[1] === "|");
    }
    exports2.isWindowsDriveLetter = isWindowsDriveLetter;
    function startsWithAWindowsDriveLetter(str) {
      return str.length >= 2 && isWindowsDriveLetter(str) && (str.length === 2 || (str[2] === "/" || str[2] === "\\" || str[2] === "?" || str[2] === "#"));
    }
    exports2.startsWithAWindowsDriveLetter = startsWithAWindowsDriveLetter;
    function hostParser(input, isNotSpecial) {
      if (isNotSpecial === void 0) {
        isNotSpecial = false;
      }
      if (input.startsWith("[")) {
        if (!input.endsWith("]")) {
          validationError("Expected ']' after '['.");
          return null;
        }
        return iPv6Parser(input.substring(1, input.length - 1));
      }
      if (isNotSpecial) {
        return opaqueHostParser(input);
      }
      var domain = util_1.utf8Decode(stringPercentDecode(input));
      var asciiDomain = domainToASCII(domain);
      if (asciiDomain === null) {
        validationError("Invalid domain.");
        return null;
      }
      if (_forbiddenHostCodePoint.test(asciiDomain)) {
        validationError("Invalid domain.");
        return null;
      }
      var ipv4Host = iPv4Parser(asciiDomain);
      if (ipv4Host === null || util_1.isNumber(ipv4Host))
        return ipv4Host;
      return asciiDomain;
    }
    exports2.hostParser = hostParser;
    function iPv4NumberParser(input, validationErrorFlag) {
      if (validationErrorFlag === void 0) {
        validationErrorFlag = { value: false };
      }
      var R = 10;
      if (input.startsWith("0x") || input.startsWith("0X")) {
        validationErrorFlag.value = true;
        input = input.substr(2);
        R = 16;
      } else if (input.length >= 2 && input[0] === "0") {
        validationErrorFlag.value = true;
        input = input.substr(1);
        R = 8;
      }
      if (input === "")
        return 0;
      var radixRDigits = R === 10 ? /^[0-9]+$/ : R === 16 ? /^[0-9A-Fa-f]+$/ : /^[0-7]+$/;
      if (!radixRDigits.test(input))
        return null;
      return parseInt(input, R);
    }
    exports2.iPv4NumberParser = iPv4NumberParser;
    function iPv4Parser(input) {
      var e_6, _a, e_7, _b;
      var validationErrorFlag = { value: false };
      var parts = input.split(".");
      if (parts[parts.length - 1] === "") {
        validationErrorFlag.value = true;
        if (parts.length > 1)
          parts.pop();
      }
      if (parts.length > 4)
        return input;
      var numbers = [];
      try {
        for (var parts_1 = __values(parts), parts_1_1 = parts_1.next(); !parts_1_1.done; parts_1_1 = parts_1.next()) {
          var part = parts_1_1.value;
          if (part === "")
            return input;
          var n = iPv4NumberParser(part, validationErrorFlag);
          if (n === null)
            return input;
          numbers.push(n);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return))
            _a.call(parts_1);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (validationErrorFlag.value)
        validationError("Invalid IP v4 address.");
      for (var i = 0; i < numbers.length; i++) {
        var item = numbers[i];
        if (item > 255) {
          validationError("Invalid IP v4 address.");
          if (i < numbers.length - 1)
            return null;
        }
      }
      if (numbers[numbers.length - 1] >= Math.pow(256, 5 - numbers.length)) {
        validationError("Invalid IP v4 address.");
        return null;
      }
      var ipv4 = numbers[numbers.length - 1];
      numbers.pop();
      var counter = 0;
      try {
        for (var numbers_1 = __values(numbers), numbers_1_1 = numbers_1.next(); !numbers_1_1.done; numbers_1_1 = numbers_1.next()) {
          var n = numbers_1_1.value;
          ipv4 += n * Math.pow(256, 3 - counter);
          counter++;
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (numbers_1_1 && !numbers_1_1.done && (_b = numbers_1.return))
            _b.call(numbers_1);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
      return ipv4;
    }
    exports2.iPv4Parser = iPv4Parser;
    function iPv6Parser(input) {
      var _a;
      var EOF = "";
      var address = [0, 0, 0, 0, 0, 0, 0, 0];
      var pieceIndex = 0;
      var compress = null;
      var walker = new util_1.StringWalker(input);
      if (walker.c() === ":") {
        if (!walker.remaining().startsWith(":")) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer += 2;
        pieceIndex += 1;
        compress = pieceIndex;
      }
      while (walker.c() !== EOF) {
        if (pieceIndex === 8) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        if (walker.c() === ":") {
          if (compress !== null) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer++;
          pieceIndex++;
          compress = pieceIndex;
          continue;
        }
        var value = 0;
        var length = 0;
        while (length < 4 && infra_1.codePoint.ASCIIHexDigit.test(walker.c())) {
          value = value * 16 + parseInt(walker.c(), 16);
          walker.pointer++;
          length++;
        }
        if (walker.c() === ".") {
          if (length === 0) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer -= length;
          if (pieceIndex > 6) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          var numbersSeen = 0;
          while (walker.c() !== EOF) {
            var ipv4Piece = null;
            if (numbersSeen > 0) {
              if (walker.c() === "." && numbersSeen < 4) {
                walker.pointer++;
              } else {
                validationError("Invalid IP v6 address.");
                return null;
              }
            }
            if (!infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            while (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              var number = parseInt(walker.c(), 10);
              if (ipv4Piece === null) {
                ipv4Piece = number;
              } else if (ipv4Piece === 0) {
                validationError("Invalid IP v6 address.");
                return null;
              } else {
                ipv4Piece = ipv4Piece * 10 + number;
              }
              if (ipv4Piece > 255) {
                validationError("Invalid IP v6 address.");
                return null;
              }
              walker.pointer++;
            }
            if (ipv4Piece === null) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
            numbersSeen++;
            if (numbersSeen === 2 || numbersSeen === 4)
              pieceIndex++;
          }
          if (numbersSeen !== 4) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          break;
        } else if (walker.c() === ":") {
          walker.pointer++;
          if (walker.c() === EOF) {
            validationError("Invalid IP v6 address.");
            return null;
          }
        } else if (walker.c() !== EOF) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        address[pieceIndex] = value;
        pieceIndex++;
      }
      if (compress !== null) {
        var swaps = pieceIndex - compress;
        pieceIndex = 7;
        while (pieceIndex !== 0 && swaps > 0) {
          _a = __read([address[compress + swaps - 1], address[pieceIndex]], 2), address[pieceIndex] = _a[0], address[compress + swaps - 1] = _a[1];
          pieceIndex--;
          swaps--;
        }
      } else if (compress === null && pieceIndex !== 8) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      return address;
    }
    exports2.iPv6Parser = iPv6Parser;
    function opaqueHostParser(input) {
      var e_8, _a;
      var forbiddenChars = /[\x00\t\f\r #/:?@\[\\\]]/;
      if (forbiddenChars.test(input)) {
        validationError("Invalid host string.");
        return null;
      }
      var output = "";
      try {
        for (var input_1 = __values(input), input_1_1 = input_1.next(); !input_1_1.done; input_1_1 = input_1.next()) {
          var codePoint = input_1_1.value;
          output += utf8PercentEncode(codePoint, _c0ControlPercentEncodeSet);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (input_1_1 && !input_1_1.done && (_a = input_1.return))
            _a.call(input_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return output;
    }
    exports2.opaqueHostParser = opaqueHostParser;
    function resolveABlobURL(url) {
      return null;
    }
    exports2.resolveABlobURL = resolveABlobURL;
    function percentEncode(value) {
      return "%" + ("00" + value.toString(16).toUpperCase()).slice(-2);
    }
    exports2.percentEncode = percentEncode;
    function percentDecode(input) {
      var isHexDigit = function(byte2) {
        return byte2 >= 48 && byte2 <= 57 || byte2 >= 65 && byte2 <= 70 || byte2 >= 97 && byte2 <= 102;
      };
      var output = new Uint8Array(input.length);
      var n = 0;
      for (var i = 0; i < input.length; i++) {
        var byte = input[i];
        if (byte !== 37) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && i >= input.length - 2) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && (!isHexDigit(input[i + 1]) || !isHexDigit(input[i + 2]))) {
          output[n] = byte;
          n++;
        } else {
          var bytePoint = parseInt(util_1.utf8Decode(Uint8Array.of(input[i + 1], input[i + 2])), 16);
          output[n] = bytePoint;
          n++;
          i += 2;
        }
      }
      return output.subarray(0, n);
    }
    exports2.percentDecode = percentDecode;
    function stringPercentDecode(input) {
      return percentDecode(util_1.utf8Encode(input));
    }
    exports2.stringPercentDecode = stringPercentDecode;
    function utf8PercentEncode(codePoint, percentEncodeSet) {
      var e_9, _a;
      if (!percentEncodeSet.test(codePoint))
        return codePoint;
      var bytes = util_1.utf8Encode(codePoint);
      var result = "";
      try {
        for (var bytes_2 = __values(bytes), bytes_2_1 = bytes_2.next(); !bytes_2_1.done; bytes_2_1 = bytes_2.next()) {
          var byte = bytes_2_1.value;
          result += percentEncode(byte);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (bytes_2_1 && !bytes_2_1.done && (_a = bytes_2.return))
            _a.call(bytes_2);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    }
    exports2.utf8PercentEncode = utf8PercentEncode;
    function hostEquals(hostA, hostB) {
      return hostA === hostB;
    }
    exports2.hostEquals = hostEquals;
    function urlEquals(urlA, urlB, excludeFragmentsFlag) {
      if (excludeFragmentsFlag === void 0) {
        excludeFragmentsFlag = false;
      }
      return urlSerializer(urlA, excludeFragmentsFlag) === urlSerializer(urlB, excludeFragmentsFlag);
    }
    exports2.urlEquals = urlEquals;
    function urlEncodedStringParser(input) {
      return urlEncodedParser(util_1.utf8Encode(input));
    }
    exports2.urlEncodedStringParser = urlEncodedStringParser;
    function urlEncodedParser(input) {
      var e_10, _a, e_11, _b;
      var sequences = [];
      var currentSequence = [];
      try {
        for (var input_2 = __values(input), input_2_1 = input_2.next(); !input_2_1.done; input_2_1 = input_2.next()) {
          var byte = input_2_1.value;
          if (byte === 38) {
            sequences.push(Uint8Array.from(currentSequence));
            currentSequence = [];
          } else {
            currentSequence.push(byte);
          }
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (input_2_1 && !input_2_1.done && (_a = input_2.return))
            _a.call(input_2);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (currentSequence.length !== 0) {
        sequences.push(Uint8Array.from(currentSequence));
      }
      var output = [];
      try {
        for (var sequences_1 = __values(sequences), sequences_1_1 = sequences_1.next(); !sequences_1_1.done; sequences_1_1 = sequences_1.next()) {
          var bytes = sequences_1_1.value;
          if (bytes.length === 0)
            continue;
          var index = bytes.indexOf(61);
          var name = index !== -1 ? bytes.slice(0, index) : bytes;
          var value = index !== -1 ? bytes.slice(index + 1) : new Uint8Array();
          for (var i = 0; i < name.length; i++)
            if (name[i] === 43)
              name[i] = 32;
          for (var i = 0; i < value.length; i++)
            if (value[i] === 43)
              value[i] = 32;
          var nameString = util_1.utf8Decode(name);
          var valueString = util_1.utf8Decode(value);
          output.push([nameString, valueString]);
        }
      } catch (e_11_1) {
        e_11 = { error: e_11_1 };
      } finally {
        try {
          if (sequences_1_1 && !sequences_1_1.done && (_b = sequences_1.return))
            _b.call(sequences_1);
        } finally {
          if (e_11)
            throw e_11.error;
        }
      }
      return output;
    }
    exports2.urlEncodedParser = urlEncodedParser;
    function urlEncodedByteSerializer(input) {
      var e_12, _a;
      var output = "";
      try {
        for (var input_3 = __values(input), input_3_1 = input_3.next(); !input_3_1.done; input_3_1 = input_3.next()) {
          var byte = input_3_1.value;
          if (byte === 32) {
            output += "+";
          } else if (byte === 42 || byte === 45 || byte === 46 || byte >= 48 && byte <= 57 || byte >= 65 && byte <= 90 || byte === 95 || byte >= 97 && byte <= 122) {
            output += String.fromCodePoint(byte);
          } else {
            output += percentEncode(byte);
          }
        }
      } catch (e_12_1) {
        e_12 = { error: e_12_1 };
      } finally {
        try {
          if (input_3_1 && !input_3_1.done && (_a = input_3.return))
            _a.call(input_3);
        } finally {
          if (e_12)
            throw e_12.error;
        }
      }
      return output;
    }
    exports2.urlEncodedByteSerializer = urlEncodedByteSerializer;
    function urlEncodedSerializer(tuples, encodingOverride) {
      var e_13, _a;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      if (encoding.toUpperCase() !== "UTF-8") {
        throw new Error("Only UTF-8 encoding is supported.");
      }
      var output = "";
      try {
        for (var tuples_1 = __values(tuples), tuples_1_1 = tuples_1.next(); !tuples_1_1.done; tuples_1_1 = tuples_1.next()) {
          var tuple = tuples_1_1.value;
          var name = urlEncodedByteSerializer(util_1.utf8Encode(tuple[0]));
          var value = tuple[1];
          value = urlEncodedByteSerializer(util_1.utf8Encode(value));
          if (output !== "")
            output += "&";
          output += name + "=" + value;
        }
      } catch (e_13_1) {
        e_13 = { error: e_13_1 };
      } finally {
        try {
          if (tuples_1_1 && !tuples_1_1.done && (_a = tuples_1.return))
            _a.call(tuples_1);
        } finally {
          if (e_13)
            throw e_13.error;
        }
      }
      return output;
    }
    exports2.urlEncodedSerializer = urlEncodedSerializer;
    function origin(url) {
      switch (url.scheme) {
        case "blob":
          if (url._blobURLEntry !== null) {
          }
          var parsedURL = basicURLParser(url.path[0]);
          if (parsedURL === null)
            return interfaces_1.OpaqueOrigin;
          else
            return origin(parsedURL);
        case "ftp":
        case "http":
        case "https":
        case "ws":
        case "wss":
          return [url.scheme, url.host === null ? "" : url.host, url.port, null];
        case "file":
          return interfaces_1.OpaqueOrigin;
        default:
          return interfaces_1.OpaqueOrigin;
      }
    }
    exports2.origin = origin;
    function domainToASCII(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToASCII(domain);
      if (result === "") {
        validationError("Invalid domain name.");
        return null;
      }
      return result;
    }
    exports2.domainToASCII = domainToASCII;
    function domainToUnicode(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToUnicode(domain);
      if (result === "") {
        validationError("Invalid domain name.");
      }
      return result;
    }
    exports2.domainToUnicode = domainToUnicode;
    function asciiSerializationOfAnOrigin(origin2) {
      if (origin2[0] === "" && origin2[1] === "" && origin2[2] === null && origin2[3] === null) {
        return "null";
      }
      var result = origin2[0] + "://" + hostSerializer(origin2[1]);
      if (origin2[2] !== null)
        result += ":" + origin2[2].toString();
      return result;
    }
    exports2.asciiSerializationOfAnOrigin = asciiSerializationOfAnOrigin;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js
var require_NodeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var interfaces_1 = require_interfaces10();
    var EventTargetImpl_1 = require_EventTargetImpl3();
    var util_1 = require_util16();
    var DOMException_1 = require_DOMException3();
    var algorithm_1 = require_algorithm3();
    var URLAlgorithm_1 = require_URLAlgorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var NodeImpl = (
      /** @class */
      function(_super) {
        __extends(NodeImpl2, _super);
        function NodeImpl2() {
          var _this = _super.call(this) || this;
          _this._parent = null;
          _this._firstChild = null;
          _this._lastChild = null;
          _this._previousSibling = null;
          _this._nextSibling = null;
          return _this;
        }
        Object.defineProperty(NodeImpl2.prototype, "_childNodes", {
          get: function() {
            return this.__childNodes || (this.__childNodes = algorithm_1.create_nodeList(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverride || DOMImpl_1.dom.window._associatedDocument;
          },
          set: function(val) {
            this._nodeDocumentOverride = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_registeredObserverList", {
          get: function() {
            return this.__registeredObserverList || (this.__registeredObserverList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeType", {
          /** @inheritdoc */
          get: function() {
            return this._nodeType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeName", {
          /**
           * Returns a string appropriate for the type of node.
           */
          get: function() {
            if (util_1.Guard.isElementNode(this)) {
              return this._htmlUppercasedQualifiedName;
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._qualifiedName;
            } else if (util_1.Guard.isExclusiveTextNode(this)) {
              return "#text";
            } else if (util_1.Guard.isCDATASectionNode(this)) {
              return "#cdata-section";
            } else if (util_1.Guard.isProcessingInstructionNode(this)) {
              return this._target;
            } else if (util_1.Guard.isCommentNode(this)) {
              return "#comment";
            } else if (util_1.Guard.isDocumentNode(this)) {
              return "#document";
            } else if (util_1.Guard.isDocumentTypeNode(this)) {
              return this._name;
            } else if (util_1.Guard.isDocumentFragmentNode(this)) {
              return "#document-fragment";
            } else {
              return "";
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "baseURI", {
          /**
           * Gets the absolute base URL of the node.
           */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._nodeDocument._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "isConnected", {
          /**
           * Returns whether the node is rooted to a document node.
           */
          get: function() {
            return util_1.Guard.isElementNode(this) && algorithm_1.shadowTree_isConnected(this);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "ownerDocument", {
          /**
           * Returns the parent document.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Document)
              return null;
            else
              return this._nodeDocument;
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.getRootNode = function(options) {
          return algorithm_1.tree_rootNode(this, !!options && options.composed);
        };
        Object.defineProperty(NodeImpl2.prototype, "parentNode", {
          /**
           * Returns the parent node.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Attribute) {
              return null;
            } else {
              return this._parent;
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "parentElement", {
          /**
           * Returns the parent element.
           */
          get: function() {
            if (this._parent && util_1.Guard.isElementNode(this._parent)) {
              return this._parent;
            } else {
              return null;
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.hasChildNodes = function() {
          return this._firstChild !== null;
        };
        Object.defineProperty(NodeImpl2.prototype, "childNodes", {
          /**
           * Returns a {@link NodeList} of child nodes.
           */
          get: function() {
            return this._childNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "firstChild", {
          /**
           * Returns the first child node.
           */
          get: function() {
            return this._firstChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "lastChild", {
          /**
           * Returns the last child node.
           */
          get: function() {
            return this._lastChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "previousSibling", {
          /**
           * Returns the previous sibling node.
           */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nextSibling", {
          /**
           * Returns the next sibling node.
           */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeValue", {
          /**
           * Gets or sets the data associated with a {@link CharacterData} node or the
           * value of an {@link @Attr} node. For other node types returns `null`.
           */
          get: function() {
            if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "textContent", {
          /**
           * Returns the concatenation of data of all the {@link Text}
           * node descendants in tree order. When set, replaces the text
           * contents of the node with the given value.
           */
          get: function() {
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              return algorithm_1.text_descendantTextContent(this);
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              algorithm_1.node_stringReplaceAll(value, this);
            } else if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, algorithm_1.tree_nodeLength(this), value);
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.normalize = function() {
          var e_1, _a, e_2, _b;
          var descendantNodes = [];
          var node = algorithm_1.tree_getFirstDescendantNode(this, false, false, function(e) {
            return util_1.Guard.isExclusiveTextNode(e);
          });
          while (node !== null) {
            descendantNodes.push(node);
            node = algorithm_1.tree_getNextDescendantNode(this, node, false, false, function(e) {
              return util_1.Guard.isExclusiveTextNode(e);
            });
          }
          for (var i = 0; i < descendantNodes.length; i++) {
            var node_1 = descendantNodes[i];
            if (node_1._parent === null)
              continue;
            var length = algorithm_1.tree_nodeLength(node_1);
            if (length === 0) {
              algorithm_1.mutation_remove(node_1, node_1._parent);
              continue;
            }
            var textSiblings = [];
            var data = "";
            try {
              for (var _c = (e_1 = void 0, __values(algorithm_1.text_contiguousExclusiveTextNodes(node_1))), _d = _c.next(); !_d.done; _d = _c.next()) {
                var sibling = _d.value;
                textSiblings.push(sibling);
                data += sibling._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            algorithm_1.characterData_replaceData(node_1, length, 0, data);
            if (DOMImpl_1.dom.rangeList.size !== 0) {
              var currentNode = node_1._nextSibling;
              while (currentNode !== null && util_1.Guard.isExclusiveTextNode(currentNode)) {
                var cn = currentNode;
                var index = algorithm_1.tree_index(cn);
                try {
                  for (var _e = (e_2 = void 0, __values(DOMImpl_1.dom.rangeList)), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var range = _f.value;
                    if (range._start[0] === cn) {
                      range._start[0] = node_1;
                      range._start[1] += length;
                    }
                    if (range._end[0] === cn) {
                      range._end[0] = node_1;
                      range._end[1] += length;
                    }
                    if (range._start[0] === cn._parent && range._start[1] === index) {
                      range._start[0] = node_1;
                      range._start[1] = length;
                    }
                    if (range._end[0] === cn._parent && range._end[1] === index) {
                      range._end[0] = node_1;
                      range._end[1] = length;
                    }
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_f && !_f.done && (_b = _e.return))
                      _b.call(_e);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                length += algorithm_1.tree_nodeLength(currentNode);
                currentNode = currentNode._nextSibling;
              }
            }
            for (var i_1 = 0; i_1 < textSiblings.length; i_1++) {
              var sibling = textSiblings[i_1];
              if (sibling._parent === null)
                continue;
              algorithm_1.mutation_remove(sibling, sibling._parent);
            }
          }
        };
        NodeImpl2.prototype.cloneNode = function(deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isShadowRoot(this))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(this, null, deep);
        };
        NodeImpl2.prototype.isEqualNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return node !== null && algorithm_1.node_equals(this, node);
        };
        NodeImpl2.prototype.isSameNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return this === node;
        };
        NodeImpl2.prototype.compareDocumentPosition = function(other) {
          if (other === this)
            return 0;
          var node1 = other;
          var node2 = this;
          var attr1 = null;
          var attr2 = null;
          if (util_1.Guard.isAttrNode(node1)) {
            attr1 = node1;
            node1 = attr1._element;
          }
          if (util_1.Guard.isAttrNode(node2)) {
            attr2 = node2;
            node2 = attr2._element;
            if (attr1 && node1 && node1 === node2) {
              for (var i = 0; i < node2._attributeList.length; i++) {
                var attr = node2._attributeList[i];
                if (algorithm_1.node_equals(attr, attr1)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Preceding;
                } else if (algorithm_1.node_equals(attr, attr2)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Following;
                }
              }
            }
          }
          if (node1 === null || node2 === null || algorithm_1.tree_rootNode(node1) !== algorithm_1.tree_rootNode(node2)) {
            return interfaces_1.Position.Disconnected | interfaces_1.Position.ImplementationSpecific | (DOMImpl_1.dom.compareCache.check(this, other) ? interfaces_1.Position.Preceding : interfaces_1.Position.Following);
          }
          if (!attr1 && algorithm_1.tree_isAncestorOf(node2, node1) || attr2 && node1 === node2) {
            return interfaces_1.Position.Contains | interfaces_1.Position.Preceding;
          }
          if (!attr2 && algorithm_1.tree_isDescendantOf(node2, node1) || attr1 && node1 === node2) {
            return interfaces_1.Position.ContainedBy | interfaces_1.Position.Following;
          }
          if (algorithm_1.tree_isPreceding(node2, node1))
            return interfaces_1.Position.Preceding;
          return interfaces_1.Position.Following;
        };
        NodeImpl2.prototype.contains = function(other) {
          if (other === null)
            return false;
          return algorithm_1.tree_isDescendantOf(this, other, true);
        };
        NodeImpl2.prototype.lookupPrefix = function(namespace) {
          if (!namespace)
            return null;
          if (util_1.Guard.isElementNode(this)) {
            return algorithm_1.node_locateANamespacePrefix(this, namespace);
          } else if (util_1.Guard.isDocumentNode(this)) {
            if (this.documentElement === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this.documentElement, namespace);
            }
          } else if (util_1.Guard.isDocumentTypeNode(this) || util_1.Guard.isDocumentFragmentNode(this)) {
            return null;
          } else if (util_1.Guard.isAttrNode(this)) {
            if (this._element === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this._element, namespace);
            }
          } else {
            if (this._parent !== null && util_1.Guard.isElementNode(this._parent)) {
              return algorithm_1.node_locateANamespacePrefix(this._parent, namespace);
            } else {
              return null;
            }
          }
        };
        NodeImpl2.prototype.lookupNamespaceURI = function(prefix) {
          return algorithm_1.node_locateANamespace(this, prefix || null);
        };
        NodeImpl2.prototype.isDefaultNamespace = function(namespace) {
          if (!namespace)
            namespace = null;
          var defaultNamespace = algorithm_1.node_locateANamespace(this, null);
          return defaultNamespace === namespace;
        };
        NodeImpl2.prototype.insertBefore = function(newChild, refChild) {
          return algorithm_1.mutation_preInsert(newChild, this, refChild);
        };
        NodeImpl2.prototype.appendChild = function(newChild) {
          return algorithm_1.mutation_append(newChild, this);
        };
        NodeImpl2.prototype.replaceChild = function(newChild, oldChild) {
          return algorithm_1.mutation_replace(oldChild, newChild, this);
        };
        NodeImpl2.prototype.removeChild = function(oldChild) {
          return algorithm_1.mutation_preRemove(oldChild, this);
        };
        NodeImpl2.prototype._getTheParent = function(event) {
          if (util_1.Guard.isSlotable(this) && algorithm_1.shadowTree_isAssigned(this)) {
            return this._assignedSlot;
          } else {
            return this._parent;
          }
        };
        NodeImpl2.ELEMENT_NODE = 1;
        NodeImpl2.ATTRIBUTE_NODE = 2;
        NodeImpl2.TEXT_NODE = 3;
        NodeImpl2.CDATA_SECTION_NODE = 4;
        NodeImpl2.ENTITY_REFERENCE_NODE = 5;
        NodeImpl2.ENTITY_NODE = 6;
        NodeImpl2.PROCESSING_INSTRUCTION_NODE = 7;
        NodeImpl2.COMMENT_NODE = 8;
        NodeImpl2.DOCUMENT_NODE = 9;
        NodeImpl2.DOCUMENT_TYPE_NODE = 10;
        NodeImpl2.DOCUMENT_FRAGMENT_NODE = 11;
        NodeImpl2.NOTATION_NODE = 12;
        NodeImpl2.DOCUMENT_POSITION_DISCONNECTED = 1;
        NodeImpl2.DOCUMENT_POSITION_PRECEDING = 2;
        NodeImpl2.DOCUMENT_POSITION_FOLLOWING = 4;
        NodeImpl2.DOCUMENT_POSITION_CONTAINS = 8;
        NodeImpl2.DOCUMENT_POSITION_CONTAINED_BY = 16;
        NodeImpl2.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 32;
        return NodeImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.NodeImpl = NodeImpl;
    NodeImpl.prototype._children = new util_1.EmptySet();
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ELEMENT_NODE", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ATTRIBUTE_NODE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "TEXT_NODE", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "CDATA_SECTION_NODE", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_REFERENCE_NODE", 5);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_NODE", 6);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "PROCESSING_INSTRUCTION_NODE", 7);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "COMMENT_NODE", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_NODE", 9);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_TYPE_NODE", 10);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_FRAGMENT_NODE", 11);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "NOTATION_NODE", 12);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_DISCONNECTED", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_PRECEDING", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_FOLLOWING", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINS", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINED_BY", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC", 32);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js
var require_DocumentImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var interfaces_1 = require_interfaces10();
    var DOMException_1 = require_DOMException3();
    var NodeImpl_1 = require_NodeImpl3();
    var util_1 = require_util16();
    var util_2 = require_lib12();
    var infra_1 = require_lib13();
    var URLAlgorithm_1 = require_URLAlgorithm3();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var DocumentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentImpl2, _super);
        function DocumentImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._encoding = {
            name: "UTF-8",
            labels: ["unicode-1-1-utf-8", "utf-8", "utf8"]
          };
          _this._contentType = "application/xml";
          _this._URL = {
            scheme: "about",
            username: "",
            password: "",
            host: null,
            port: null,
            path: ["blank"],
            query: null,
            fragment: null,
            _cannotBeABaseURLFlag: true,
            _blobURLEntry: null
          };
          _this._origin = null;
          _this._type = "xml";
          _this._mode = "no-quirks";
          _this._documentElement = null;
          _this._hasNamespaces = false;
          _this._nodeDocumentOverwrite = null;
          return _this;
        }
        Object.defineProperty(DocumentImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverwrite || this;
          },
          set: function(val) {
            this._nodeDocumentOverwrite = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "implementation", {
          /** @inheritdoc */
          get: function() {
            return this._implementation || (this._implementation = algorithm_1.create_domImplementation(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "URL", {
          /** @inheritdoc */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentURI", {
          /** @inheritdoc */
          get: function() {
            return this.URL;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "origin", {
          /** @inheritdoc */
          get: function() {
            return "null";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "compatMode", {
          /** @inheritdoc */
          get: function() {
            return this._mode === "quirks" ? "BackCompat" : "CSS1Compat";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "characterSet", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "charset", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "inputEncoding", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "contentType", {
          /** @inheritdoc */
          get: function() {
            return this._contentType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "doctype", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            try {
              for (var _b = __values(this._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var child = _c.value;
                if (util_1.Guard.isDocumentTypeNode(child))
                  return child;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentElement", {
          /** @inheritdoc */
          get: function() {
            return this._documentElement;
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        DocumentImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        DocumentImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        DocumentImpl2.prototype.createElement = function(localName, options) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html")
            localName = localName.toLowerCase();
          var is = null;
          if (options !== void 0) {
            if (util_2.isString(options)) {
              is = options;
            } else {
              is = options.is;
            }
          }
          var namespace = this._type === "html" || this._contentType === "application/xhtml+xml" ? infra_1.namespace.HTML : null;
          return algorithm_1.element_createAnElement(this, localName, namespace, null, is, true);
        };
        DocumentImpl2.prototype.createElementNS = function(namespace, qualifiedName, options) {
          return algorithm_1.document_internalCreateElementNS(this, namespace, qualifiedName, options);
        };
        DocumentImpl2.prototype.createDocumentFragment = function() {
          return algorithm_1.create_documentFragment(this);
        };
        DocumentImpl2.prototype.createTextNode = function(data) {
          return algorithm_1.create_text(this, data);
        };
        DocumentImpl2.prototype.createCDATASection = function(data) {
          if (this._type === "html")
            throw new DOMException_1.NotSupportedError();
          if (data.indexOf("]]>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_cdataSection(this, data);
        };
        DocumentImpl2.prototype.createComment = function(data) {
          return algorithm_1.create_comment(this, data);
        };
        DocumentImpl2.prototype.createProcessingInstruction = function(target, data) {
          if (!algorithm_1.xml_isName(target))
            throw new DOMException_1.InvalidCharacterError();
          if (data.indexOf("?>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_processingInstruction(this, target, data);
        };
        DocumentImpl2.prototype.importNode = function(node, deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isDocumentNode(node) || util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(node, this, deep);
        };
        DocumentImpl2.prototype.adoptNode = function(node) {
          if (util_1.Guard.isDocumentNode(node))
            throw new DOMException_1.NotSupportedError();
          if (util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.HierarchyRequestError();
          algorithm_1.document_adopt(node, this);
          return node;
        };
        DocumentImpl2.prototype.createAttribute = function(localName) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html") {
            localName = localName.toLowerCase();
          }
          var attr = algorithm_1.create_attr(this, localName);
          return attr;
        };
        DocumentImpl2.prototype.createAttributeNS = function(namespace, qualifiedName) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          var attr = algorithm_1.create_attr(this, localName);
          attr._namespace = ns;
          attr._namespacePrefix = prefix;
          return attr;
        };
        DocumentImpl2.prototype.createEvent = function(eventInterface) {
          return algorithm_1.event_createLegacyEvent(eventInterface);
        };
        DocumentImpl2.prototype.createRange = function() {
          var range = algorithm_1.create_range();
          range._start = [this, 0];
          range._end = [this, 0];
          return range;
        };
        DocumentImpl2.prototype.createNodeIterator = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var iterator = algorithm_1.create_nodeIterator(root, root, true);
          iterator._whatToShow = whatToShow;
          iterator._iteratorCollection = algorithm_1.create_nodeList(root);
          if (util_2.isFunction(filter)) {
            iterator._filter = algorithm_1.create_nodeFilter();
            iterator._filter.acceptNode = filter;
          } else {
            iterator._filter = filter;
          }
          return iterator;
        };
        DocumentImpl2.prototype.createTreeWalker = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var walker = algorithm_1.create_treeWalker(root, root);
          walker._whatToShow = whatToShow;
          if (util_2.isFunction(filter)) {
            walker._filter = algorithm_1.create_nodeFilter();
            walker._filter.acceptNode = filter;
          } else {
            walker._filter = filter;
          }
          return walker;
        };
        DocumentImpl2.prototype._getTheParent = function(event) {
          if (event._type === "load") {
            return null;
          } else {
            return DOMImpl_1.dom.window;
          }
        };
        DocumentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentImpl2.prototype, "children", {
          // MIXIN: DocumentOrShadowRoot
          // No elements
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        return DocumentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentImpl = DocumentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentImpl.prototype, "_nodeType", interfaces_1.NodeType.Document);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js
var require_XMLDocumentImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentImpl_1 = require_DocumentImpl3();
    var XMLDocumentImpl = (
      /** @class */
      function(_super) {
        __extends(XMLDocumentImpl2, _super);
        function XMLDocumentImpl2() {
          return _super.call(this) || this;
        }
        return XMLDocumentImpl2;
      }(DocumentImpl_1.DocumentImpl)
    );
    exports2.XMLDocumentImpl = XMLDocumentImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js
var require_AbortControllerImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm3();
    var AbortControllerImpl = (
      /** @class */
      function() {
        function AbortControllerImpl2() {
          this._signal = algorithm_1.create_abortSignal();
        }
        Object.defineProperty(AbortControllerImpl2.prototype, "signal", {
          /** @inheritdoc */
          get: function() {
            return this._signal;
          },
          enumerable: true,
          configurable: true
        });
        AbortControllerImpl2.prototype.abort = function() {
          algorithm_1.abort_signalAbort(this._signal);
        };
        return AbortControllerImpl2;
      }()
    );
    exports2.AbortControllerImpl = AbortControllerImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js
var require_AbortSignalImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl3();
    var algorithm_1 = require_algorithm3();
    var AbortSignalImpl = (
      /** @class */
      function(_super) {
        __extends(AbortSignalImpl2, _super);
        function AbortSignalImpl2() {
          var _this = _super.call(this) || this;
          _this._abortedFlag = false;
          _this._abortAlgorithms = /* @__PURE__ */ new Set();
          return _this;
        }
        Object.defineProperty(AbortSignalImpl2.prototype, "aborted", {
          /** @inheritdoc */
          get: function() {
            return this._abortedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbortSignalImpl2.prototype, "onabort", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.event_getterEventHandlerIDLAttribute(this, "onabort");
          },
          set: function(val) {
            algorithm_1.event_setterEventHandlerIDLAttribute(this, "onabort", val);
          },
          enumerable: true,
          configurable: true
        });
        AbortSignalImpl2._create = function() {
          return new AbortSignalImpl2();
        };
        return AbortSignalImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.AbortSignalImpl = AbortSignalImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js
var require_DocumentTypeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var NodeImpl_1 = require_NodeImpl3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var DocumentTypeImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentTypeImpl2, _super);
        function DocumentTypeImpl2(name, publicId, systemId) {
          var _this = _super.call(this) || this;
          _this._name = "";
          _this._publicId = "";
          _this._systemId = "";
          _this._name = name;
          _this._publicId = publicId;
          _this._systemId = systemId;
          return _this;
        }
        Object.defineProperty(DocumentTypeImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "publicId", {
          /** @inheritdoc */
          get: function() {
            return this._publicId;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "systemId", {
          /** @inheritdoc */
          get: function() {
            return this._systemId;
          },
          enumerable: true,
          configurable: true
        });
        DocumentTypeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2._create = function(document, name, publicId, systemId) {
          if (publicId === void 0) {
            publicId = "";
          }
          if (systemId === void 0) {
            systemId = "";
          }
          var node = new DocumentTypeImpl2(name, publicId, systemId);
          node._nodeDocument = document;
          return node;
        };
        return DocumentTypeImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentTypeImpl = DocumentTypeImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentTypeImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentType);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js
var require_ElementImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var NodeImpl_1 = require_NodeImpl3();
    var DOMException_1 = require_DOMException3();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var ElementImpl = (
      /** @class */
      function(_super) {
        __extends(ElementImpl2, _super);
        function ElementImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._localName = "";
          _this._customElementState = "undefined";
          _this._customElementDefinition = null;
          _this._is = null;
          _this._shadowRoot = null;
          _this._attributeList = algorithm_1.create_namedNodeMap(_this);
          _this._attributeChangeSteps = [];
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(ElementImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "tagName", {
          /** @inheritdoc */
          get: function() {
            return this._htmlUppercasedQualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "id", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "id");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "id", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "className", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "class");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "class", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "classList", {
          /** @inheritdoc */
          get: function() {
            var attr = algorithm_1.element_getAnAttributeByName("class", this);
            if (attr === null) {
              attr = algorithm_1.create_attr(this._nodeDocument, "class");
            }
            return algorithm_1.create_domTokenList(this, attr);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "slot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "slot");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "slot", value);
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.hasAttributes = function() {
          return this._attributeList.length !== 0;
        };
        Object.defineProperty(ElementImpl2.prototype, "attributes", {
          /** @inheritdoc */
          get: function() {
            return this._attributeList;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.getAttributeNames = function() {
          var e_1, _a;
          var names = [];
          try {
            for (var _b = __values(this._attributeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              names.push(attr._qualifiedName);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return names;
        };
        ElementImpl2.prototype.getAttribute = function(qualifiedName) {
          var attr = algorithm_1.element_getAnAttributeByName(qualifiedName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.getAttributeNS = function(namespace, localName) {
          var attr = algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.setAttribute = function(qualifiedName, value) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
            attribute._value = value;
            algorithm_1.element_append(attribute, this);
            return;
          }
          algorithm_1.element_change(attribute, this, value);
        };
        ElementImpl2.prototype.setAttributeNS = function(namespace, qualifiedName, value) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          algorithm_1.element_setAnAttributeValue(this, localName, value, prefix, ns);
        };
        ElementImpl2.prototype.removeAttribute = function(qualifiedName) {
          algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.removeAttributeNS = function(namespace, localName) {
          algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.hasAttribute = function(qualifiedName) {
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.toggleAttribute = function(qualifiedName, force) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            if (force === void 0 || force === true) {
              attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
              attribute._value = "";
              algorithm_1.element_append(attribute, this);
              return true;
            }
            return false;
          } else if (force === void 0 || force === false) {
            algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
            return false;
          }
          return true;
        };
        ElementImpl2.prototype.hasAttributeNS = function(namespace, localName) {
          var ns = namespace || null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._namespace === ns && attr._localName === localName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.getAttributeNode = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.getAttributeNodeNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.setAttributeNode = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.setAttributeNodeNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.removeAttributeNode = function(attr) {
          var found = false;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attribute = this._attributeList[i];
            if (attribute === attr) {
              found = true;
              break;
            }
          }
          if (!found)
            throw new DOMException_1.NotFoundError();
          algorithm_1.element_remove(attr, this);
          return attr;
        };
        ElementImpl2.prototype.attachShadow = function(init) {
          if (this._namespace !== infra_1.namespace.HTML)
            throw new DOMException_1.NotSupportedError();
          if (!algorithm_1.customElement_isValidCustomElementName(this._localName) && !algorithm_1.customElement_isValidShadowHostName(this._localName))
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.customElement_isValidCustomElementName(this._localName) || this._is !== null) {
            var definition = algorithm_1.customElement_lookUpACustomElementDefinition(this._nodeDocument, this._namespace, this._localName, this._is);
            if (definition !== null && definition.disableShadow === true) {
              throw new DOMException_1.NotSupportedError();
            }
          }
          if (this._shadowRoot !== null)
            throw new DOMException_1.NotSupportedError();
          var shadow = algorithm_1.create_shadowRoot(this._nodeDocument, this);
          shadow._mode = init.mode;
          this._shadowRoot = shadow;
          return shadow;
        };
        Object.defineProperty(ElementImpl2.prototype, "shadowRoot", {
          /** @inheritdoc */
          get: function() {
            var shadow = this._shadowRoot;
            if (shadow === null || shadow.mode === "closed")
              return null;
            else
              return shadow;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.closest = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.matches = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.webkitMatchesSelector = function(selectors) {
          return this.matches(selectors);
        };
        ElementImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        ElementImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        ElementImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        ElementImpl2.prototype.insertAdjacentElement = function(where, element) {
          return algorithm_1.element_insertAdjacent(this, where, element);
        };
        ElementImpl2.prototype.insertAdjacentText = function(where, data) {
          var text = algorithm_1.create_text(this._nodeDocument, data);
          algorithm_1.element_insertAdjacent(this, where, text);
        };
        Object.defineProperty(ElementImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "_htmlUppercasedQualifiedName", {
          /**
           * Returns the upper-cased qualified name for a html element.
           */
          get: function() {
            var qualifiedName = this._qualifiedName;
            if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
              qualifiedName = qualifiedName.toUpperCase();
            }
            return qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2._create = function(document, localName, namespace, namespacePrefix) {
          if (namespace === void 0) {
            namespace = null;
          }
          if (namespacePrefix === void 0) {
            namespacePrefix = null;
          }
          var node = new ElementImpl2();
          node._localName = localName;
          node._namespace = namespace;
          node._namespacePrefix = namespacePrefix;
          node._nodeDocument = document;
          return node;
        };
        return ElementImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.ElementImpl = ElementImpl;
    WebIDLAlgorithm_1.idl_defineConst(ElementImpl.prototype, "_nodeType", interfaces_1.NodeType.Element);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js
var require_DocumentFragmentImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var NodeImpl_1 = require_NodeImpl3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var DocumentFragmentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentFragmentImpl2, _super);
        function DocumentFragmentImpl2(host) {
          if (host === void 0) {
            host = null;
          }
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._host = host;
          return _this;
        }
        DocumentFragmentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentFragmentImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentFragmentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2._create = function(document, host) {
          if (host === void 0) {
            host = null;
          }
          var node = new DocumentFragmentImpl2(host);
          node._nodeDocument = document;
          return node;
        };
        return DocumentFragmentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentFragmentImpl = DocumentFragmentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentFragmentImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentFragment);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js
var require_ShadowRootImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl3();
    var util_1 = require_lib12();
    var algorithm_1 = require_algorithm3();
    var ShadowRootImpl = (
      /** @class */
      function(_super) {
        __extends(ShadowRootImpl2, _super);
        function ShadowRootImpl2(host, mode) {
          var _this = _super.call(this) || this;
          _this._host = host;
          _this._mode = mode;
          return _this;
        }
        Object.defineProperty(ShadowRootImpl2.prototype, "mode", {
          /** @inheritdoc */
          get: function() {
            return this._mode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ShadowRootImpl2.prototype, "host", {
          /** @inheritdoc */
          get: function() {
            return this._host;
          },
          enumerable: true,
          configurable: true
        });
        ShadowRootImpl2.prototype._getTheParent = function(event) {
          if (!event._composedFlag && !util_1.isEmpty(event._path) && algorithm_1.tree_rootNode(event._path[0].invocationTarget) === this) {
            return null;
          } else {
            return this._host;
          }
        };
        ShadowRootImpl2._create = function(document, host) {
          return new ShadowRootImpl2(host, "closed");
        };
        return ShadowRootImpl2;
      }(DocumentFragmentImpl_1.DocumentFragmentImpl)
    );
    exports2.ShadowRootImpl = ShadowRootImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js
var require_AttrImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var NodeImpl_1 = require_NodeImpl3();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var AttrImpl = (
      /** @class */
      function(_super) {
        __extends(AttrImpl2, _super);
        function AttrImpl2(localName) {
          var _this = _super.call(this) || this;
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._element = null;
          _this._value = "";
          _this._localName = localName;
          return _this;
        }
        Object.defineProperty(AttrImpl2.prototype, "ownerElement", {
          /** @inheritdoc */
          get: function() {
            return this._element;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return this._value;
          },
          set: function(value) {
            algorithm_1.attr_setAnExistingAttributeValue(this, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix !== null ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        AttrImpl2._create = function(document, localName) {
          var node = new AttrImpl2(localName);
          node._nodeDocument = document;
          return node;
        };
        return AttrImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.AttrImpl = AttrImpl;
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "_nodeType", interfaces_1.NodeType.Attribute);
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "specified", true);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js
var require_CharacterDataImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NodeImpl_1 = require_NodeImpl3();
    var algorithm_1 = require_algorithm3();
    var CharacterDataImpl = (
      /** @class */
      function(_super) {
        __extends(CharacterDataImpl2, _super);
        function CharacterDataImpl2(data) {
          var _this = _super.call(this) || this;
          _this._data = data;
          return _this;
        }
        Object.defineProperty(CharacterDataImpl2.prototype, "data", {
          /** @inheritdoc */
          get: function() {
            return this._data;
          },
          set: function(value) {
            algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._data.length;
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.substringData = function(offset, count) {
          return algorithm_1.characterData_substringData(this, offset, count);
        };
        CharacterDataImpl2.prototype.appendData = function(data) {
          return algorithm_1.characterData_replaceData(this, this._data.length, 0, data);
        };
        CharacterDataImpl2.prototype.insertData = function(offset, data) {
          algorithm_1.characterData_replaceData(this, offset, 0, data);
        };
        CharacterDataImpl2.prototype.deleteData = function(offset, count) {
          algorithm_1.characterData_replaceData(this, offset, count, "");
        };
        CharacterDataImpl2.prototype.replaceData = function(offset, count, data) {
          algorithm_1.characterData_replaceData(this, offset, count, data);
        };
        Object.defineProperty(CharacterDataImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        return CharacterDataImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.CharacterDataImpl = CharacterDataImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/TextImpl.js
var require_TextImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/TextImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var CharacterDataImpl_1 = require_CharacterDataImpl3();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var TextImpl = (
      /** @class */
      function(_super) {
        __extends(TextImpl2, _super);
        function TextImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          var _this = _super.call(this, data) || this;
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(TextImpl2.prototype, "wholeText", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var text = "";
            try {
              for (var _b = __values(algorithm_1.text_contiguousTextNodes(this, true)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                text = text + node._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return text;
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2.prototype.splitText = function(offset) {
          return algorithm_1.text_split(this, offset);
        };
        Object.defineProperty(TextImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new TextImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return TextImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.TextImpl = TextImpl;
    WebIDLAlgorithm_1.idl_defineConst(TextImpl.prototype, "_nodeType", interfaces_1.NodeType.Text);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js
var require_CDATASectionImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TextImpl_1 = require_TextImpl3();
    var interfaces_1 = require_interfaces10();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var CDATASectionImpl = (
      /** @class */
      function(_super) {
        __extends(CDATASectionImpl2, _super);
        function CDATASectionImpl2(data) {
          return _super.call(this, data) || this;
        }
        CDATASectionImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CDATASectionImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CDATASectionImpl2;
      }(TextImpl_1.TextImpl)
    );
    exports2.CDATASectionImpl = CDATASectionImpl;
    WebIDLAlgorithm_1.idl_defineConst(CDATASectionImpl.prototype, "_nodeType", interfaces_1.NodeType.CData);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js
var require_CommentImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var CharacterDataImpl_1 = require_CharacterDataImpl3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var CommentImpl = (
      /** @class */
      function(_super) {
        __extends(CommentImpl2, _super);
        function CommentImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          return _super.call(this, data) || this;
        }
        CommentImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CommentImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CommentImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.CommentImpl = CommentImpl;
    WebIDLAlgorithm_1.idl_defineConst(CommentImpl.prototype, "_nodeType", interfaces_1.NodeType.Comment);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js
var require_ProcessingInstructionImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var CharacterDataImpl_1 = require_CharacterDataImpl3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var ProcessingInstructionImpl = (
      /** @class */
      function(_super) {
        __extends(ProcessingInstructionImpl2, _super);
        function ProcessingInstructionImpl2(target, data) {
          var _this = _super.call(this, data) || this;
          _this._target = target;
          return _this;
        }
        Object.defineProperty(ProcessingInstructionImpl2.prototype, "target", {
          /**
           * Gets the target of the {@link ProcessingInstruction} node.
           */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        ProcessingInstructionImpl2._create = function(document, target, data) {
          var node = new ProcessingInstructionImpl2(target, data);
          node._nodeDocument = document;
          return node;
        };
        return ProcessingInstructionImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.ProcessingInstructionImpl = ProcessingInstructionImpl;
    WebIDLAlgorithm_1.idl_defineConst(ProcessingInstructionImpl.prototype, "_nodeType", interfaces_1.NodeType.ProcessingInstruction);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js
var require_HTMLCollectionImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var util_1 = require_util16();
    var util_2 = require_lib12();
    var HTMLCollectionImpl = (
      /** @class */
      function() {
        function HTMLCollectionImpl2(root, filter) {
          this._live = true;
          this._root = root;
          this._filter = filter;
          return new Proxy(this, this);
        }
        Object.defineProperty(HTMLCollectionImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            var _this = this;
            var count = 0;
            var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
            while (node !== null) {
              count++;
              node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
                return util_1.Guard.isElementNode(e) && _this._filter(e);
              });
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        HTMLCollectionImpl2.prototype.item = function(index) {
          var _this = this;
          var i = 0;
          var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (node !== null) {
            if (i === index)
              return node;
            else
              i++;
            node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype.namedItem = function(key) {
          var _this = this;
          if (key === "")
            return null;
          var ele = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (ele != null) {
            if (ele._uniqueIdentifier === key) {
              return ele;
            } else if (ele._namespace === infra_1.namespace.HTML) {
              for (var i = 0; i < ele._attributeList.length; i++) {
                var attr = ele._attributeList[i];
                if (attr._localName === "name" && attr._namespace === null && attr._namespacePrefix === null && attr._value === key)
                  return ele;
              }
            }
            ele = algorithm_1.tree_getNextDescendantNode(this._root, ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype[Symbol.iterator] = function() {
          var root = this._root;
          var filter = this._filter;
          var currentNode = algorithm_1.tree_getFirstDescendantNode(root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && filter(e);
          });
          return {
            next: function() {
              if (currentNode === null) {
                return { done: true, value: null };
              } else {
                var result = { done: false, value: currentNode };
                currentNode = algorithm_1.tree_getNextDescendantNode(root, currentNode, false, false, function(e) {
                  return util_1.Guard.isElementNode(e) && filter(e);
                });
                return result;
              }
            }
          };
        };
        HTMLCollectionImpl2.prototype.get = function(target, key, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return target.namedItem(key) || void 0;
          } else {
            return target.item(index) || void 0;
          }
        };
        HTMLCollectionImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          var node = isNaN(index) ? target.namedItem(key) || void 0 : target.item(index) || void 0;
          if (node && node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        HTMLCollectionImpl2._create = function(root, filter) {
          if (filter === void 0) {
            filter = function() {
              return true;
            };
          }
          return new HTMLCollectionImpl2(root, filter);
        };
        HTMLCollectionImpl2.reservedNames = [
          "_root",
          "_live",
          "_filter",
          "length",
          "item",
          "namedItem",
          "get",
          "set"
        ];
        return HTMLCollectionImpl2;
      }()
    );
    exports2.HTMLCollectionImpl = HTMLCollectionImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js
var require_NodeListImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_lib12();
    var algorithm_1 = require_algorithm3();
    var NodeListImpl = (
      /** @class */
      function() {
        function NodeListImpl2(root) {
          this._live = true;
          this._filter = null;
          this._length = 0;
          this._root = root;
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._root._children.size;
          },
          enumerable: true,
          configurable: true
        });
        NodeListImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          if (index < this.length / 2) {
            var i = 0;
            var node = this._root._firstChild;
            while (node !== null && i !== index) {
              node = node._nextSibling;
              i++;
            }
            return node;
          } else {
            var i = this.length - 1;
            var node = this._root._lastChild;
            while (node !== null && i !== index) {
              node = node._previousSibling;
              i--;
            }
            return node;
          }
        };
        NodeListImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype[Symbol.iterator] = function() {
          return this._root._children[Symbol.iterator]();
        };
        NodeListImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._root._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target.item(index) || void 0;
        };
        NodeListImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          var node = target.item(index) || void 0;
          if (!node)
            return false;
          if (node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        NodeListImpl2._create = function(root) {
          return new NodeListImpl2(root);
        };
        return NodeListImpl2;
      }()
    );
    exports2.NodeListImpl = NodeListImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js
var require_NodeListStaticImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_lib12();
    var NodeListStaticImpl = (
      /** @class */
      function() {
        function NodeListStaticImpl2(root) {
          this._live = false;
          this._items = [];
          this._length = 0;
          this._root = root;
          this._items = [];
          this._filter = function(node) {
            return true;
          };
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListStaticImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._items.length;
          },
          enumerable: true,
          configurable: true
        });
        NodeListStaticImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          return this._items[index];
        };
        NodeListStaticImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype[Symbol.iterator] = function() {
          var it = this._items[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        NodeListStaticImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._items), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListStaticImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target._items[index] || void 0;
        };
        NodeListStaticImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          if (index >= 0 && index < target._items.length) {
            target._items[index] = value;
            return true;
          } else {
            return false;
          }
        };
        NodeListStaticImpl2._create = function(root, items) {
          var list = new NodeListStaticImpl2(root);
          list._items = items;
          return list;
        };
        return NodeListStaticImpl2;
      }()
    );
    exports2.NodeListStaticImpl = NodeListStaticImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js
var require_NamedNodeMapImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException3();
    var algorithm_1 = require_algorithm3();
    var NamedNodeMapImpl = (
      /** @class */
      function(_super) {
        __extends(NamedNodeMapImpl2, _super);
        function NamedNodeMapImpl2(element) {
          var _this = _super.call(this) || this;
          _this._element = element;
          Object.setPrototypeOf(_this, NamedNodeMapImpl2.prototype);
          return _this;
        }
        NamedNodeMapImpl2.prototype._asArray = function() {
          return this;
        };
        NamedNodeMapImpl2.prototype.item = function(index) {
          return this[index] || null;
        };
        NamedNodeMapImpl2.prototype.getNamedItem = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this._element);
        };
        NamedNodeMapImpl2.prototype.getNamedItemNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItem = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItemNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.removeNamedItem = function(qualifiedName) {
          var attr = algorithm_1.element_removeAnAttributeByName(qualifiedName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2.prototype.removeNamedItemNS = function(namespace, localName) {
          var attr = algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2._create = function(element) {
          return new NamedNodeMapImpl2(element);
        };
        return NamedNodeMapImpl2;
      }(Array)
    );
    exports2.NamedNodeMapImpl = NamedNodeMapImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js
var require_AbstractRangeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl = (
      /** @class */
      function() {
        function AbstractRangeImpl2() {
        }
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startNode", {
          get: function() {
            return this._start[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startOffset", {
          get: function() {
            return this._start[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endNode", {
          get: function() {
            return this._end[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endOffset", {
          get: function() {
            return this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_collapsed", {
          get: function() {
            return this._start[0] === this._end[0] && this._start[1] === this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startContainer", {
          /** @inheritdoc */
          get: function() {
            return this._startNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startOffset", {
          /** @inheritdoc */
          get: function() {
            return this._startOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endContainer", {
          /** @inheritdoc */
          get: function() {
            return this._endNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endOffset", {
          /** @inheritdoc */
          get: function() {
            return this._endOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "collapsed", {
          /** @inheritdoc */
          get: function() {
            return this._collapsed;
          },
          enumerable: true,
          configurable: true
        });
        return AbstractRangeImpl2;
      }()
    );
    exports2.AbstractRangeImpl = AbstractRangeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js
var require_RangeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var interfaces_1 = require_interfaces10();
    var AbstractRangeImpl_1 = require_AbstractRangeImpl3();
    var DOMException_1 = require_DOMException3();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var util_1 = require_util16();
    var RangeImpl = (
      /** @class */
      function(_super) {
        __extends(RangeImpl2, _super);
        function RangeImpl2() {
          var _this = _super.call(this) || this;
          var doc = DOMImpl_1.dom.window._associatedDocument;
          _this._start = [doc, 0];
          _this._end = [doc, 0];
          DOMImpl_1.dom.rangeList.add(_this);
          return _this;
        }
        Object.defineProperty(RangeImpl2.prototype, "commonAncestorContainer", {
          /** @inheritdoc */
          get: function() {
            var container = this._start[0];
            while (!algorithm_1.tree_isAncestorOf(this._end[0], container, true)) {
              if (container._parent === null) {
                throw new Error("Parent node  is null.");
              }
              container = container._parent;
            }
            return container;
          },
          enumerable: true,
          configurable: true
        });
        RangeImpl2.prototype.setStart = function(node, offset) {
          algorithm_1.range_setTheStart(this, node, offset);
        };
        RangeImpl2.prototype.setEnd = function(node, offset) {
          algorithm_1.range_setTheEnd(this, node, offset);
        };
        RangeImpl2.prototype.setStartBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setStartAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.setEndBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setEndAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.collapse = function(toStart) {
          if (toStart) {
            this._end = this._start;
          } else {
            this._start = this._end;
          }
        };
        RangeImpl2.prototype.selectNode = function(node) {
          algorithm_1.range_select(node, this);
        };
        RangeImpl2.prototype.selectNodeContents = function(node) {
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          var length = algorithm_1.tree_nodeLength(node);
          this._start = [node, 0];
          this._end = [node, length];
        };
        RangeImpl2.prototype.compareBoundaryPoints = function(how, sourceRange) {
          if (how !== interfaces_1.HowToCompare.StartToStart && how !== interfaces_1.HowToCompare.StartToEnd && how !== interfaces_1.HowToCompare.EndToEnd && how !== interfaces_1.HowToCompare.EndToStart)
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.range_root(this) !== algorithm_1.range_root(sourceRange))
            throw new DOMException_1.WrongDocumentError();
          var thisPoint;
          var otherPoint;
          switch (how) {
            case interfaces_1.HowToCompare.StartToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.StartToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.EndToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._end;
              break;
            case interfaces_1.HowToCompare.EndToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._end;
              break;
            default:
              throw new DOMException_1.NotSupportedError();
          }
          var position = algorithm_1.boundaryPoint_position(thisPoint, otherPoint);
          if (position === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (position === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.deleteContents = function() {
          var e_1, _a, e_2, _b;
          if (algorithm_1.range_collapsed(this))
            return;
          var originalStartNode = this._startNode;
          var originalStartOffset = this._startOffset;
          var originalEndNode = this._endNode;
          var originalEndOffset = this._endOffset;
          if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
            return;
          }
          var nodesToRemove = [];
          try {
            for (var _c = __values(algorithm_1.range_getContainedNodes(this)), _d = _c.next(); !_d.done; _d = _c.next()) {
              var node = _d.value;
              var parent = node._parent;
              if (parent !== null && algorithm_1.range_isContained(parent, this)) {
                continue;
              }
              nodesToRemove.push(node);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_d && !_d.done && (_a = _c.return))
                _a.call(_c);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          var newNode;
          var newOffset;
          if (algorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
            newNode = originalStartNode;
            newOffset = originalStartOffset;
          } else {
            var referenceNode = originalStartNode;
            while (referenceNode._parent !== null && !algorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent, true)) {
              referenceNode = referenceNode._parent;
            }
            if (referenceNode._parent === null) {
              throw new Error("Parent node is null.");
            }
            newNode = referenceNode._parent;
            newOffset = algorithm_1.tree_index(referenceNode) + 1;
          }
          if (util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, algorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
          }
          try {
            for (var nodesToRemove_1 = __values(nodesToRemove), nodesToRemove_1_1 = nodesToRemove_1.next(); !nodesToRemove_1_1.done; nodesToRemove_1_1 = nodesToRemove_1.next()) {
              var node = nodesToRemove_1_1.value;
              if (node._parent) {
                algorithm_1.mutation_remove(node, node._parent);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (nodesToRemove_1_1 && !nodesToRemove_1_1.done && (_b = nodesToRemove_1.return))
                _b.call(nodesToRemove_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isCharacterDataNode(originalEndNode)) {
            algorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
          }
          this._start = [newNode, newOffset];
          this._end = [newNode, newOffset];
        };
        RangeImpl2.prototype.extractContents = function() {
          return algorithm_1.range_extract(this);
        };
        RangeImpl2.prototype.cloneContents = function() {
          return algorithm_1.range_cloneTheContents(this);
        };
        RangeImpl2.prototype.insertNode = function(node) {
          return algorithm_1.range_insert(node, this);
        };
        RangeImpl2.prototype.surroundContents = function(newParent) {
          var e_3, _a;
          try {
            for (var _b = __values(algorithm_1.range_getPartiallyContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              if (!util_1.Guard.isTextNode(node)) {
                throw new DOMException_1.InvalidStateError();
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (util_1.Guard.isDocumentNode(newParent) || util_1.Guard.isDocumentTypeNode(newParent) || util_1.Guard.isDocumentFragmentNode(newParent)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          var fragment = algorithm_1.range_extract(this);
          if (newParent._children.size !== 0) {
            algorithm_1.mutation_replaceAll(null, newParent);
          }
          algorithm_1.range_insert(newParent, this);
          algorithm_1.mutation_append(fragment, newParent);
          algorithm_1.range_select(newParent, this);
        };
        RangeImpl2.prototype.cloneRange = function() {
          return algorithm_1.create_range(this._start, this._end);
        };
        RangeImpl2.prototype.detach = function() {
          DOMImpl_1.dom.rangeList.delete(this);
        };
        RangeImpl2.prototype.isPointInRange = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before || algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return false;
          }
          return true;
        };
        RangeImpl2.prototype.comparePoint = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this))
            throw new DOMException_1.WrongDocumentError();
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.intersectsNode = function(node) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          var parent = node._parent;
          if (parent === null)
            return true;
          var offset = algorithm_1.tree_index(node);
          if (algorithm_1.boundaryPoint_position([parent, offset], this._end) === interfaces_1.BoundaryPosition.Before && algorithm_1.boundaryPoint_position([parent, offset + 1], this._start) === interfaces_1.BoundaryPosition.After) {
            return true;
          }
          return false;
        };
        RangeImpl2.prototype.toString = function() {
          var e_4, _a;
          var s = "";
          if (this._startNode === this._endNode && util_1.Guard.isTextNode(this._startNode)) {
            return this._startNode._data.substring(this._startOffset, this._endOffset);
          }
          if (util_1.Guard.isTextNode(this._startNode)) {
            s += this._startNode._data.substring(this._startOffset);
          }
          try {
            for (var _b = __values(algorithm_1.range_getContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var child = _c.value;
              if (util_1.Guard.isTextNode(child)) {
                s += child._data;
              }
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (util_1.Guard.isTextNode(this._endNode)) {
            s += this._endNode._data.substring(0, this._endOffset);
          }
          return s;
        };
        RangeImpl2._create = function(start, end) {
          var range = new RangeImpl2();
          if (start)
            range._start = start;
          if (end)
            range._end = end;
          return range;
        };
        RangeImpl2.START_TO_START = 0;
        RangeImpl2.START_TO_END = 1;
        RangeImpl2.END_TO_END = 2;
        RangeImpl2.END_TO_START = 3;
        return RangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.RangeImpl = RangeImpl;
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_START", 0);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_END", 1);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_END", 2);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_START", 3);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js
var require_TraverserImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var TraverserImpl = (
      /** @class */
      function() {
        function TraverserImpl2(root) {
          this._activeFlag = false;
          this._root = root;
          this._whatToShow = interfaces_1.WhatToShow.All;
          this._filter = null;
        }
        Object.defineProperty(TraverserImpl2.prototype, "root", {
          /** @inheritdoc */
          get: function() {
            return this._root;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "whatToShow", {
          /** @inheritdoc */
          get: function() {
            return this._whatToShow;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "filter", {
          /** @inheritdoc */
          get: function() {
            return this._filter;
          },
          enumerable: true,
          configurable: true
        });
        return TraverserImpl2;
      }()
    );
    exports2.TraverserImpl = TraverserImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js
var require_NodeIteratorImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TraverserImpl_1 = require_TraverserImpl3();
    var algorithm_1 = require_algorithm3();
    var NodeIteratorImpl = (
      /** @class */
      function(_super) {
        __extends(NodeIteratorImpl2, _super);
        function NodeIteratorImpl2(root, reference, pointerBeforeReference) {
          var _this = _super.call(this, root) || this;
          _this._iteratorCollection = void 0;
          _this._reference = reference;
          _this._pointerBeforeReference = pointerBeforeReference;
          algorithm_1.nodeIterator_iteratorList().add(_this);
          return _this;
        }
        Object.defineProperty(NodeIteratorImpl2.prototype, "referenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._reference;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeIteratorImpl2.prototype, "pointerBeforeReferenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._pointerBeforeReference;
          },
          enumerable: true,
          configurable: true
        });
        NodeIteratorImpl2.prototype.nextNode = function() {
          return algorithm_1.nodeIterator_traverse(this, true);
        };
        NodeIteratorImpl2.prototype.previousNode = function() {
          return algorithm_1.nodeIterator_traverse(this, false);
        };
        NodeIteratorImpl2.prototype.detach = function() {
          algorithm_1.nodeIterator_iteratorList().delete(this);
        };
        NodeIteratorImpl2._create = function(root, reference, pointerBeforeReference) {
          return new NodeIteratorImpl2(root, reference, pointerBeforeReference);
        };
        return NodeIteratorImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.NodeIteratorImpl = NodeIteratorImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js
var require_TreeWalkerImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var TraverserImpl_1 = require_TraverserImpl3();
    var algorithm_1 = require_algorithm3();
    var TreeWalkerImpl = (
      /** @class */
      function(_super) {
        __extends(TreeWalkerImpl2, _super);
        function TreeWalkerImpl2(root, current) {
          var _this = _super.call(this, root) || this;
          _this._current = current;
          return _this;
        }
        Object.defineProperty(TreeWalkerImpl2.prototype, "currentNode", {
          /** @inheritdoc */
          get: function() {
            return this._current;
          },
          set: function(value) {
            this._current = value;
          },
          enumerable: true,
          configurable: true
        });
        TreeWalkerImpl2.prototype.parentNode = function() {
          var node = this._current;
          while (node !== null && node !== this._root) {
            node = node._parent;
            if (node !== null && algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.firstChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, true);
        };
        TreeWalkerImpl2.prototype.lastChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, false);
        };
        TreeWalkerImpl2.prototype.nextSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, true);
        };
        TreeWalkerImpl2.prototype.previousNode = function() {
          var node = this._current;
          while (node !== this._root) {
            var sibling = node._previousSibling;
            while (sibling) {
              node = sibling;
              var result = algorithm_1.traversal_filter(this, node);
              while (result !== interfaces_1.FilterResult.Reject && node._lastChild) {
                node = node._lastChild;
                result = algorithm_1.traversal_filter(this, node);
              }
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
              sibling = node._previousSibling;
            }
            if (node === this._root || node._parent === null) {
              return null;
            }
            node = node._parent;
            if (algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.previousSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, false);
        };
        TreeWalkerImpl2.prototype.nextNode = function() {
          var node = this._current;
          var result = interfaces_1.FilterResult.Accept;
          while (true) {
            while (result !== interfaces_1.FilterResult.Reject && node._firstChild) {
              node = node._firstChild;
              result = algorithm_1.traversal_filter(this, node);
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
            }
            var sibling = null;
            var temporary = node;
            while (temporary !== null) {
              if (temporary === this._root) {
                return null;
              }
              sibling = temporary._nextSibling;
              if (sibling !== null) {
                node = sibling;
                break;
              }
              temporary = temporary._parent;
            }
            result = algorithm_1.traversal_filter(this, node);
            if (result === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
        };
        TreeWalkerImpl2._create = function(root, current) {
          return new TreeWalkerImpl2(root, current);
        };
        return TreeWalkerImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.TreeWalkerImpl = TreeWalkerImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js
var require_NodeFilterImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var NodeFilterImpl = (
      /** @class */
      function() {
        function NodeFilterImpl2() {
        }
        NodeFilterImpl2.prototype.acceptNode = function(node) {
          return interfaces_1.FilterResult.Accept;
        };
        NodeFilterImpl2._create = function() {
          return new NodeFilterImpl2();
        };
        NodeFilterImpl2.FILTER_ACCEPT = 1;
        NodeFilterImpl2.FILTER_REJECT = 2;
        NodeFilterImpl2.FILTER_SKIP = 3;
        NodeFilterImpl2.SHOW_ALL = 4294967295;
        NodeFilterImpl2.SHOW_ELEMENT = 1;
        NodeFilterImpl2.SHOW_ATTRIBUTE = 2;
        NodeFilterImpl2.SHOW_TEXT = 4;
        NodeFilterImpl2.SHOW_CDATA_SECTION = 8;
        NodeFilterImpl2.SHOW_ENTITY_REFERENCE = 16;
        NodeFilterImpl2.SHOW_ENTITY = 32;
        NodeFilterImpl2.SHOW_PROCESSING_INSTRUCTION = 64;
        NodeFilterImpl2.SHOW_COMMENT = 128;
        NodeFilterImpl2.SHOW_DOCUMENT = 256;
        NodeFilterImpl2.SHOW_DOCUMENT_TYPE = 512;
        NodeFilterImpl2.SHOW_DOCUMENT_FRAGMENT = 1024;
        NodeFilterImpl2.SHOW_NOTATION = 2048;
        return NodeFilterImpl2;
      }()
    );
    exports2.NodeFilterImpl = NodeFilterImpl;
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_ACCEPT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_REJECT", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_SKIP", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ALL", 4294967295);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ELEMENT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ATTRIBUTE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_TEXT", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_CDATA_SECTION", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY_REFERENCE", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY", 32);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_PROCESSING_INSTRUCTION", 64);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_COMMENT", 128);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT", 256);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_TYPE", 512);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_FRAGMENT", 1024);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_NOTATION", 2048);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js
var require_MutationRecordImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MutationRecordImpl = (
      /** @class */
      function() {
        function MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          this._type = type;
          this._target = target;
          this._addedNodes = addedNodes;
          this._removedNodes = removedNodes;
          this._previousSibling = previousSibling;
          this._nextSibling = nextSibling;
          this._attributeName = attributeName;
          this._attributeNamespace = attributeNamespace;
          this._oldValue = oldValue;
        }
        Object.defineProperty(MutationRecordImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "addedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._addedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "removedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._removedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "previousSibling", {
          /** @inheritdoc */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "nextSibling", {
          /** @inheritdoc */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeName", {
          /** @inheritdoc */
          get: function() {
            return this._attributeName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeNamespace", {
          /** @inheritdoc */
          get: function() {
            return this._attributeNamespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "oldValue", {
          /** @inheritdoc */
          get: function() {
            return this._oldValue;
          },
          enumerable: true,
          configurable: true
        });
        MutationRecordImpl2._create = function(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          return new MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
        };
        return MutationRecordImpl2;
      }()
    );
    exports2.MutationRecordImpl = MutationRecordImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js
var require_DOMTokenListImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var DOMException_1 = require_DOMException3();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var DOMTokenListImpl = (
      /** @class */
      function() {
        function DOMTokenListImpl2(element, attribute) {
          this._element = element;
          this._attribute = attribute;
          this._tokenSet = /* @__PURE__ */ new Set();
          var localName = attribute._localName;
          var value = algorithm_1.element_getAnAttributeValue(element, localName);
          var thisObj = this;
          function updateTokenSet(element2, localName2, oldValue, value2, namespace) {
            if (localName2 === thisObj._attribute._localName && namespace === null) {
              if (!value2)
                thisObj._tokenSet.clear();
              else
                thisObj._tokenSet = algorithm_1.orderedSet_parse(value2);
            }
          }
          this._element._attributeChangeSteps.push(updateTokenSet);
          if (DOMImpl_1.dom.features.steps) {
            algorithm_1.dom_runAttributeChangeSteps(element, localName, value, value, null);
          }
        }
        Object.defineProperty(DOMTokenListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._tokenSet.size;
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype.item = function(index) {
          var e_1, _a;
          var i = 0;
          try {
            for (var _b = __values(this._tokenSet), _c = _b.next(); !_c.done; _c = _b.next()) {
              var token = _c.value;
              if (i === index)
                return token;
              i++;
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return null;
        };
        DOMTokenListImpl2.prototype.contains = function(token) {
          return this._tokenSet.has(token);
        };
        DOMTokenListImpl2.prototype.add = function() {
          var e_2, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_1 = __values(tokens), tokens_1_1 = tokens_1.next(); !tokens_1_1.done; tokens_1_1 = tokens_1.next()) {
              var token = tokens_1_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot add an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.add(token);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (tokens_1_1 && !tokens_1_1.done && (_a = tokens_1.return))
                _a.call(tokens_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.remove = function() {
          var e_3, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_2 = __values(tokens), tokens_2_1 = tokens_2.next(); !tokens_2_1.done; tokens_2_1 = tokens_2.next()) {
              var token = tokens_2_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot remove an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.delete(token);
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (tokens_2_1 && !tokens_2_1.done && (_a = tokens_2.return))
                _a.call(tokens_2);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.toggle = function(token, force) {
          if (force === void 0) {
            force = void 0;
          }
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot toggle an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (this._tokenSet.has(token)) {
            if (force === void 0 || force === false) {
              this._tokenSet.delete(token);
              algorithm_1.tokenList_updateSteps(this);
              return false;
            }
            return true;
          }
          if (force === void 0 || force === true) {
            this._tokenSet.add(token);
            algorithm_1.tokenList_updateSteps(this);
            return true;
          }
          return false;
        };
        DOMTokenListImpl2.prototype.replace = function(token, newToken) {
          if (token === "" || newToken === "") {
            throw new DOMException_1.SyntaxError("Cannot replace an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token) || infra_1.codePoint.ASCIIWhiteSpace.test(newToken)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (!this._tokenSet.has(token))
            return false;
          infra_1.set.replace(this._tokenSet, token, newToken);
          algorithm_1.tokenList_updateSteps(this);
          return true;
        };
        DOMTokenListImpl2.prototype.supports = function(token) {
          return algorithm_1.tokenList_validationSteps(this, token);
        };
        Object.defineProperty(DOMTokenListImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.tokenList_serializeSteps(this);
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this._element, this._attribute._localName, value);
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype[Symbol.iterator] = function() {
          var it = this._tokenSet[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        DOMTokenListImpl2._create = function(element, attribute) {
          return new DOMTokenListImpl2(element, attribute);
        };
        return DOMTokenListImpl2;
      }()
    );
    exports2.DOMTokenListImpl = DOMTokenListImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js
var require_CreateAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImplementationImpl_1 = require_DOMImplementationImpl3();
    var WindowImpl_1 = require_WindowImpl3();
    var XMLDocumentImpl_1 = require_XMLDocumentImpl3();
    var DocumentImpl_1 = require_DocumentImpl3();
    var AbortControllerImpl_1 = require_AbortControllerImpl3();
    var AbortSignalImpl_1 = require_AbortSignalImpl3();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl3();
    var ElementImpl_1 = require_ElementImpl3();
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl3();
    var ShadowRootImpl_1 = require_ShadowRootImpl3();
    var AttrImpl_1 = require_AttrImpl3();
    var TextImpl_1 = require_TextImpl3();
    var CDATASectionImpl_1 = require_CDATASectionImpl3();
    var CommentImpl_1 = require_CommentImpl3();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl3();
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl3();
    var NodeListImpl_1 = require_NodeListImpl3();
    var NodeListStaticImpl_1 = require_NodeListStaticImpl3();
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl3();
    var RangeImpl_1 = require_RangeImpl3();
    var NodeIteratorImpl_1 = require_NodeIteratorImpl3();
    var TreeWalkerImpl_1 = require_TreeWalkerImpl3();
    var NodeFilterImpl_1 = require_NodeFilterImpl3();
    var MutationRecordImpl_1 = require_MutationRecordImpl3();
    var DOMTokenListImpl_1 = require_DOMTokenListImpl3();
    function create_domImplementation(document) {
      return DOMImplementationImpl_1.DOMImplementationImpl._create(document);
    }
    exports2.create_domImplementation = create_domImplementation;
    function create_window() {
      return WindowImpl_1.WindowImpl._create();
    }
    exports2.create_window = create_window;
    function create_xmlDocument() {
      return new XMLDocumentImpl_1.XMLDocumentImpl();
    }
    exports2.create_xmlDocument = create_xmlDocument;
    function create_document() {
      return new DocumentImpl_1.DocumentImpl();
    }
    exports2.create_document = create_document;
    function create_abortController() {
      return new AbortControllerImpl_1.AbortControllerImpl();
    }
    exports2.create_abortController = create_abortController;
    function create_abortSignal() {
      return AbortSignalImpl_1.AbortSignalImpl._create();
    }
    exports2.create_abortSignal = create_abortSignal;
    function create_documentType(document, name, publicId, systemId) {
      return DocumentTypeImpl_1.DocumentTypeImpl._create(document, name, publicId, systemId);
    }
    exports2.create_documentType = create_documentType;
    function create_element(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_element = create_element;
    function create_htmlElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlElement = create_htmlElement;
    function create_htmlUnknownElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlUnknownElement = create_htmlUnknownElement;
    function create_documentFragment(document) {
      return DocumentFragmentImpl_1.DocumentFragmentImpl._create(document);
    }
    exports2.create_documentFragment = create_documentFragment;
    function create_shadowRoot(document, host) {
      return ShadowRootImpl_1.ShadowRootImpl._create(document, host);
    }
    exports2.create_shadowRoot = create_shadowRoot;
    function create_attr(document, localName) {
      return AttrImpl_1.AttrImpl._create(document, localName);
    }
    exports2.create_attr = create_attr;
    function create_text(document, data) {
      return TextImpl_1.TextImpl._create(document, data);
    }
    exports2.create_text = create_text;
    function create_cdataSection(document, data) {
      return CDATASectionImpl_1.CDATASectionImpl._create(document, data);
    }
    exports2.create_cdataSection = create_cdataSection;
    function create_comment(document, data) {
      return CommentImpl_1.CommentImpl._create(document, data);
    }
    exports2.create_comment = create_comment;
    function create_processingInstruction(document, target, data) {
      return ProcessingInstructionImpl_1.ProcessingInstructionImpl._create(document, target, data);
    }
    exports2.create_processingInstruction = create_processingInstruction;
    function create_htmlCollection(root, filter) {
      if (filter === void 0) {
        filter = function() {
          return true;
        };
      }
      return HTMLCollectionImpl_1.HTMLCollectionImpl._create(root, filter);
    }
    exports2.create_htmlCollection = create_htmlCollection;
    function create_nodeList(root) {
      return NodeListImpl_1.NodeListImpl._create(root);
    }
    exports2.create_nodeList = create_nodeList;
    function create_nodeListStatic(root, items) {
      return NodeListStaticImpl_1.NodeListStaticImpl._create(root, items);
    }
    exports2.create_nodeListStatic = create_nodeListStatic;
    function create_namedNodeMap(element) {
      return NamedNodeMapImpl_1.NamedNodeMapImpl._create(element);
    }
    exports2.create_namedNodeMap = create_namedNodeMap;
    function create_range(start, end) {
      return RangeImpl_1.RangeImpl._create(start, end);
    }
    exports2.create_range = create_range;
    function create_nodeIterator(root, reference, pointerBeforeReference) {
      return NodeIteratorImpl_1.NodeIteratorImpl._create(root, reference, pointerBeforeReference);
    }
    exports2.create_nodeIterator = create_nodeIterator;
    function create_treeWalker(root, current) {
      return TreeWalkerImpl_1.TreeWalkerImpl._create(root, current);
    }
    exports2.create_treeWalker = create_treeWalker;
    function create_nodeFilter() {
      return NodeFilterImpl_1.NodeFilterImpl._create();
    }
    exports2.create_nodeFilter = create_nodeFilter;
    function create_mutationRecord(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      return MutationRecordImpl_1.MutationRecordImpl._create(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
    }
    exports2.create_mutationRecord = create_mutationRecord;
    function create_domTokenList(element, attribute) {
      return DOMTokenListImpl_1.DOMTokenListImpl._create(element, attribute);
    }
    exports2.create_domTokenList = create_domTokenList;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js
var require_DOMImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var DOMImpl = (
      /** @class */
      function() {
        function DOMImpl2() {
          this._features = {
            mutationObservers: true,
            customElements: true,
            slots: true,
            steps: true
          };
          this._window = null;
          this._compareCache = new util_1.CompareCache();
          this._rangeList = new util_1.FixedSizeSet();
        }
        DOMImpl2.prototype.setFeatures = function(features) {
          if (features === void 0)
            features = true;
          if (util_1.isObject(features)) {
            for (var key in features) {
              this._features[key] = features[key] || false;
            }
          } else {
            for (var key in this._features) {
              this._features[key] = features;
            }
          }
        };
        Object.defineProperty(DOMImpl2.prototype, "features", {
          /**
           * Gets DOM algorithm features.
           */
          get: function() {
            return this._features;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "window", {
          /**
           * Gets the DOM window.
           */
          get: function() {
            if (this._window === null) {
              this._window = CreateAlgorithm_1.create_window();
            }
            return this._window;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "compareCache", {
          /**
           * Gets the global node compare cache.
           */
          get: function() {
            return this._compareCache;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "rangeList", {
          /**
           * Gets the global range list.
           */
          get: function() {
            return this._rangeList;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2, "instance", {
          /**
           * Returns the instance of `DOM`.
           */
          get: function() {
            if (!DOMImpl2._instance) {
              DOMImpl2._instance = new DOMImpl2();
            }
            return DOMImpl2._instance;
          },
          enumerable: true,
          configurable: true
        });
        return DOMImpl2;
      }()
    );
    exports2.dom = DOMImpl.instance;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/EventImpl.js
var require_EventImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/EventImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var algorithm_1 = require_algorithm3();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm3();
    var EventImpl = (
      /** @class */
      function() {
        function EventImpl2(type, eventInit) {
          this._target = null;
          this._relatedTarget = null;
          this._touchTargetList = [];
          this._path = [];
          this._currentTarget = null;
          this._eventPhase = interfaces_1.EventPhase.None;
          this._stopPropagationFlag = false;
          this._stopImmediatePropagationFlag = false;
          this._canceledFlag = false;
          this._inPassiveListenerFlag = false;
          this._composedFlag = false;
          this._initializedFlag = false;
          this._dispatchFlag = false;
          this._isTrusted = false;
          this._bubbles = false;
          this._cancelable = false;
          this._type = type;
          if (eventInit) {
            this._bubbles = eventInit.bubbles || false;
            this._cancelable = eventInit.cancelable || false;
            this._composedFlag = eventInit.composed || false;
          }
          this._initializedFlag = true;
          this._timeStamp = (/* @__PURE__ */ new Date()).getTime();
        }
        Object.defineProperty(EventImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "srcElement", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "currentTarget", {
          /** @inheritdoc */
          get: function() {
            return this._currentTarget;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.composedPath = function() {
          var composedPath = [];
          var path = this._path;
          if (path.length === 0)
            return composedPath;
          var currentTarget = this._currentTarget;
          if (currentTarget === null) {
            throw new Error("Event currentTarget is null.");
          }
          composedPath.push(currentTarget);
          var currentTargetIndex = 0;
          var currentTargetHiddenSubtreeLevel = 0;
          var index = path.length - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentTargetHiddenSubtreeLevel++;
            }
            if (path[index].invocationTarget === currentTarget) {
              currentTargetIndex = index;
              break;
            }
            if (path[index].slotInClosedTree) {
              currentTargetHiddenSubtreeLevel--;
            }
            index--;
          }
          var currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          var maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.unshift(path[index].invocationTarget);
            }
            if (path[index].slotInClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index--;
          }
          currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex + 1;
          while (index < path.length) {
            if (path[index].slotInClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.push(path[index].invocationTarget);
            }
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index++;
          }
          return composedPath;
        };
        Object.defineProperty(EventImpl2.prototype, "eventPhase", {
          /** @inheritdoc */
          get: function() {
            return this._eventPhase;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopPropagation = function() {
          this._stopPropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "cancelBubble", {
          /** @inheritdoc */
          get: function() {
            return this._stopPropagationFlag;
          },
          set: function(value) {
            if (value)
              this.stopPropagation();
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopImmediatePropagation = function() {
          this._stopPropagationFlag = true;
          this._stopImmediatePropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "bubbles", {
          /** @inheritdoc */
          get: function() {
            return this._bubbles;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "cancelable", {
          /** @inheritdoc */
          get: function() {
            return this._cancelable;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "returnValue", {
          /** @inheritdoc */
          get: function() {
            return !this._canceledFlag;
          },
          set: function(value) {
            if (!value) {
              algorithm_1.event_setTheCanceledFlag(this);
            }
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.preventDefault = function() {
          algorithm_1.event_setTheCanceledFlag(this);
        };
        Object.defineProperty(EventImpl2.prototype, "defaultPrevented", {
          /** @inheritdoc */
          get: function() {
            return this._canceledFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "composed", {
          /** @inheritdoc */
          get: function() {
            return this._composedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "isTrusted", {
          /** @inheritdoc */
          get: function() {
            return this._isTrusted;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "timeStamp", {
          /** @inheritdoc */
          get: function() {
            return this._timeStamp;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.initEvent = function(type, bubbles, cancelable) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
        };
        EventImpl2.NONE = 0;
        EventImpl2.CAPTURING_PHASE = 1;
        EventImpl2.AT_TARGET = 2;
        EventImpl2.BUBBLING_PHASE = 3;
        return EventImpl2;
      }()
    );
    exports2.EventImpl = EventImpl;
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "NONE", 0);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "CAPTURING_PHASE", 1);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "AT_TARGET", 2);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "BUBBLING_PHASE", 3);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js
var require_CustomEventImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventImpl_1 = require_EventImpl3();
    var algorithm_1 = require_algorithm3();
    var CustomEventImpl = (
      /** @class */
      function(_super) {
        __extends(CustomEventImpl2, _super);
        function CustomEventImpl2(type, eventInit) {
          var _this = _super.call(this, type, eventInit) || this;
          _this._detail = null;
          _this._detail = eventInit && eventInit.detail || null;
          return _this;
        }
        Object.defineProperty(CustomEventImpl2.prototype, "detail", {
          /** @inheritdoc */
          get: function() {
            return this._detail;
          },
          enumerable: true,
          configurable: true
        });
        CustomEventImpl2.prototype.initCustomEvent = function(type, bubbles, cancelable, detail) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (detail === void 0) {
            detail = null;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
          this._detail = detail;
        };
        return CustomEventImpl2;
      }(EventImpl_1.EventImpl)
    );
    exports2.CustomEventImpl = CustomEventImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js
var require_TreeAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util16();
    var interfaces_1 = require_interfaces10();
    function _getNextDescendantNode(root, node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow && util_1.Guard.isElementNode(node) && util_1.Guard.isShadowRoot(node.shadowRoot)) {
        if (node.shadowRoot._firstChild)
          return node.shadowRoot._firstChild;
      }
      if (node._firstChild)
        return node._firstChild;
      if (node === root)
        return null;
      if (node._nextSibling)
        return node._nextSibling;
      var parent = node._parent;
      while (parent && parent !== root) {
        if (parent._nextSibling)
          return parent._nextSibling;
        parent = parent._parent;
      }
      return null;
    }
    function _emptyIterator() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        return {
          next: function() {
            return { done: true, value: null };
          }
        };
      }, _a;
    }
    function tree_getFirstDescendantNode(node, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var firstNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = _getNextDescendantNode(node, firstNode, shadow);
      }
      return firstNode;
    }
    exports2.tree_getFirstDescendantNode = tree_getFirstDescendantNode;
    function tree_getNextDescendantNode(node, currentNode, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var nextNode = _getNextDescendantNode(node, currentNode, shadow);
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = _getNextDescendantNode(node, nextNode, shadow);
      }
      return nextNode;
    }
    exports2.tree_getNextDescendantNode = tree_getNextDescendantNode;
    function tree_getDescendantNodes(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantNodes = tree_getDescendantNodes;
    function tree_getDescendantElements(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = tree_getDescendantNodes(node, self2, shadow, function(e) {
          return util_1.Guard.isElementNode(e);
        })[Symbol.iterator]();
        var currentNode = it.next().value;
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = it.next().value;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = it.next().value;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantElements = tree_getDescendantElements;
    function tree_getSiblingNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!node._parent || node._parent._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node._parent ? node._parent._firstChild : null;
        return {
          next: function() {
            while (currentNode && (filter && !filter(currentNode) || !self2 && currentNode === node)) {
              currentNode = currentNode._nextSibling;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = currentNode._nextSibling;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getSiblingNodes = tree_getSiblingNodes;
    function tree_getFirstAncestorNode(node, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var firstNode = self2 ? node : node._parent;
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = firstNode._parent;
      }
      return firstNode;
    }
    exports2.tree_getFirstAncestorNode = tree_getFirstAncestorNode;
    function tree_getNextAncestorNode(node, currentNode, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var nextNode = currentNode._parent;
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = nextNode._parent;
      }
      return nextNode;
    }
    exports2.tree_getNextAncestorNode = tree_getNextAncestorNode;
    function tree_getAncestorNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!self2 && !node._parent) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = tree_getFirstAncestorNode(node, self2, filter);
        return {
          next: function() {
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = tree_getNextAncestorNode(node, currentNode, self2, filter);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getAncestorNodes = tree_getAncestorNodes;
    function tree_getCommonAncestor(nodeA, nodeB) {
      if (nodeA === nodeB) {
        return nodeA._parent;
      }
      var parentsA = [];
      var parentsB = [];
      var pA = tree_getFirstAncestorNode(nodeA, true);
      while (pA !== null) {
        parentsA.push(pA);
        pA = tree_getNextAncestorNode(nodeA, pA, true);
      }
      var pB = tree_getFirstAncestorNode(nodeB, true);
      while (pB !== null) {
        parentsB.push(pB);
        pB = tree_getNextAncestorNode(nodeB, pB, true);
      }
      var pos1 = parentsA.length;
      var pos2 = parentsB.length;
      var parent = null;
      for (var i = Math.min(pos1, pos2); i > 0; i--) {
        var parent1 = parentsA[--pos1];
        var parent2 = parentsB[--pos2];
        if (parent1 !== parent2) {
          break;
        }
        parent = parent1;
      }
      return parent;
    }
    exports2.tree_getCommonAncestor = tree_getCommonAncestor;
    function tree_getFollowingNode(root, node) {
      if (node._firstChild) {
        return node._firstChild;
      } else if (node._nextSibling) {
        return node._nextSibling;
      } else {
        while (true) {
          var parent = node._parent;
          if (parent === null || parent === root) {
            return null;
          } else if (parent._nextSibling) {
            return parent._nextSibling;
          } else {
            node = parent;
          }
        }
      }
    }
    exports2.tree_getFollowingNode = tree_getFollowingNode;
    function tree_getPrecedingNode(root, node) {
      if (node === root) {
        return null;
      }
      if (node._previousSibling) {
        node = node._previousSibling;
        if (node._lastChild) {
          return node._lastChild;
        } else {
          return node;
        }
      } else {
        return node._parent;
      }
    }
    exports2.tree_getPrecedingNode = tree_getPrecedingNode;
    function tree_isConstrained(node) {
      var e_1, _a, e_2, _b, e_3, _c;
      switch (node._nodeType) {
        case interfaces_1.NodeType.Document:
          var hasDocType = false;
          var hasElement = false;
          try {
            for (var _d = __values(node._children), _e = _d.next(); !_e.done; _e = _d.next()) {
              var childNode = _e.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.Comment:
                  break;
                case interfaces_1.NodeType.DocumentType:
                  if (hasDocType || hasElement)
                    return false;
                  hasDocType = true;
                  break;
                case interfaces_1.NodeType.Element:
                  if (hasElement)
                    return false;
                  hasElement = true;
                  break;
                default:
                  return false;
              }
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_e && !_e.done && (_a = _d.return))
                _a.call(_d);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentFragment:
        case interfaces_1.NodeType.Element:
          try {
            for (var _f = __values(node._children), _g = _f.next(); !_g.done; _g = _f.next()) {
              var childNode = _g.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.Element:
                case interfaces_1.NodeType.Text:
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.CData:
                case interfaces_1.NodeType.Comment:
                  break;
                default:
                  return false;
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_g && !_g.done && (_b = _f.return))
                _b.call(_f);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentType:
        case interfaces_1.NodeType.Text:
        case interfaces_1.NodeType.ProcessingInstruction:
        case interfaces_1.NodeType.CData:
        case interfaces_1.NodeType.Comment:
          return !node.hasChildNodes();
      }
      try {
        for (var _h = __values(node._children), _j = _h.next(); !_j.done; _j = _h.next()) {
          var childNode = _j.value;
          if (!tree_isConstrained(childNode))
            return false;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_j && !_j.done && (_c = _h.return))
            _c.call(_h);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return true;
    }
    exports2.tree_isConstrained = tree_isConstrained;
    function tree_nodeLength(node) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        return 0;
      } else if (util_1.Guard.isCharacterDataNode(node)) {
        return node._data.length;
      } else {
        return node._children.size;
      }
    }
    exports2.tree_nodeLength = tree_nodeLength;
    function tree_isEmpty(node) {
      return tree_nodeLength(node) === 0;
    }
    exports2.tree_isEmpty = tree_isEmpty;
    function tree_rootNode(node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow) {
        var root = tree_rootNode(node, false);
        if (util_1.Guard.isShadowRoot(root))
          return tree_rootNode(root._host, true);
        else
          return root;
      } else {
        if (!node._parent)
          return node;
        else
          return tree_rootNode(node._parent);
      }
    }
    exports2.tree_rootNode = tree_rootNode;
    function tree_isDescendantOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var child = tree_getFirstDescendantNode(node, self2, shadow);
      while (child !== null) {
        if (child === other) {
          return true;
        }
        child = tree_getNextDescendantNode(node, child, self2, shadow);
      }
      return false;
    }
    exports2.tree_isDescendantOf = tree_isDescendantOf;
    function tree_isAncestorOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var ancestor = self2 ? node : shadow && util_1.Guard.isShadowRoot(node) ? node._host : node._parent;
      while (ancestor !== null) {
        if (ancestor === other)
          return true;
        ancestor = shadow && util_1.Guard.isShadowRoot(ancestor) ? ancestor._host : ancestor._parent;
      }
      return false;
    }
    exports2.tree_isAncestorOf = tree_isAncestorOf;
    function tree_isHostIncludingAncestorOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (tree_isAncestorOf(node, other, self2))
        return true;
      var root = tree_rootNode(node);
      if (util_1.Guard.isDocumentFragmentNode(root) && root._host !== null && tree_isHostIncludingAncestorOf(root._host, other, self2))
        return true;
      return false;
    }
    exports2.tree_isHostIncludingAncestorOf = tree_isHostIncludingAncestorOf;
    function tree_isSiblingOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (node === other) {
        if (self2)
          return true;
      } else {
        return node._parent !== null && node._parent === other._parent;
      }
      return false;
    }
    exports2.tree_isSiblingOf = tree_isSiblingOf;
    function tree_isPreceding(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos < nodePos;
    }
    exports2.tree_isPreceding = tree_isPreceding;
    function tree_isFollowing(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos > nodePos;
    }
    exports2.tree_isFollowing = tree_isFollowing;
    function tree_isParentOf(node, other) {
      return node._parent === other;
    }
    exports2.tree_isParentOf = tree_isParentOf;
    function tree_isChildOf(node, other) {
      return other._parent === node;
    }
    exports2.tree_isChildOf = tree_isChildOf;
    function tree_previousSibling(node) {
      return node._previousSibling;
    }
    exports2.tree_previousSibling = tree_previousSibling;
    function tree_nextSibling(node) {
      return node._nextSibling;
    }
    exports2.tree_nextSibling = tree_nextSibling;
    function tree_firstChild(node) {
      return node._firstChild;
    }
    exports2.tree_firstChild = tree_firstChild;
    function tree_lastChild(node) {
      return node._lastChild;
    }
    exports2.tree_lastChild = tree_lastChild;
    function tree_treePosition(node) {
      var root = tree_rootNode(node);
      var pos = 0;
      var childNode = tree_getFirstDescendantNode(root);
      while (childNode !== null) {
        pos++;
        if (childNode === node)
          return pos;
        childNode = tree_getNextDescendantNode(root, childNode);
      }
      return -1;
    }
    exports2.tree_treePosition = tree_treePosition;
    function tree_index(node) {
      var n = 0;
      while (node._previousSibling !== null) {
        n++;
        node = node._previousSibling;
      }
      return n;
    }
    exports2.tree_index = tree_index;
    function tree_retarget(a, b) {
      while (true) {
        if (!a || !util_1.Guard.isNode(a)) {
          return a;
        }
        var rootOfA = tree_rootNode(a);
        if (!util_1.Guard.isShadowRoot(rootOfA)) {
          return a;
        }
        if (b && util_1.Guard.isNode(b) && tree_isAncestorOf(rootOfA, b, true, true)) {
          return a;
        }
        a = rootOfA.host;
      }
    }
    exports2.tree_retarget = tree_retarget;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js
var require_MutationObserverAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var infra_1 = require_lib13();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var EventAlgorithm_1 = require_EventAlgorithm3();
    function observer_queueAMutationObserverMicrotask() {
      var window2 = DOMImpl_1.dom.window;
      if (window2._mutationObserverMicrotaskQueued)
        return;
      window2._mutationObserverMicrotaskQueued = true;
      Promise.resolve().then(function() {
        observer_notifyMutationObservers();
      });
    }
    exports2.observer_queueAMutationObserverMicrotask = observer_queueAMutationObserverMicrotask;
    function observer_notifyMutationObservers() {
      var e_1, _a, e_2, _b;
      var window2 = DOMImpl_1.dom.window;
      window2._mutationObserverMicrotaskQueued = false;
      var notifySet = infra_1.set.clone(window2._mutationObservers);
      var signalSet = infra_1.set.clone(window2._signalSlots);
      infra_1.set.empty(window2._signalSlots);
      var _loop_1 = function(mo2) {
        var records = infra_1.list.clone(mo2._recordQueue);
        infra_1.list.empty(mo2._recordQueue);
        for (var i = 0; i < mo2._nodeList.length; i++) {
          var node = mo2._nodeList[i];
          infra_1.list.remove(node._registeredObserverList, function(observer) {
            return util_1.Guard.isTransientRegisteredObserver(observer) && observer.observer === mo2;
          });
        }
        if (!infra_1.list.isEmpty(records)) {
          try {
            mo2._callback.call(mo2, records, mo2);
          } catch (err) {
          }
        }
      };
      try {
        for (var notifySet_1 = __values(notifySet), notifySet_1_1 = notifySet_1.next(); !notifySet_1_1.done; notifySet_1_1 = notifySet_1.next()) {
          var mo = notifySet_1_1.value;
          _loop_1(mo);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (notifySet_1_1 && !notifySet_1_1.done && (_a = notifySet_1.return))
            _a.call(notifySet_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        try {
          for (var signalSet_1 = __values(signalSet), signalSet_1_1 = signalSet_1.next(); !signalSet_1_1.done; signalSet_1_1 = signalSet_1.next()) {
            var slot = signalSet_1_1.value;
            EventAlgorithm_1.event_fireAnEvent("slotchange", slot, void 0, { bubbles: true });
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (signalSet_1_1 && !signalSet_1_1.done && (_b = signalSet_1.return))
              _b.call(signalSet_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.observer_notifyMutationObservers = observer_notifyMutationObservers;
    function observer_queueMutationRecord(type, target, name, namespace, oldValue, addedNodes, removedNodes, previousSibling, nextSibling) {
      var e_3, _a;
      var interestedObservers = /* @__PURE__ */ new Map();
      var node = TreeAlgorithm_1.tree_getFirstAncestorNode(target, true);
      while (node !== null) {
        for (var i = 0; i < node._registeredObserverList.length; i++) {
          var registered = node._registeredObserverList[i];
          var options = registered.options;
          if (node !== target && !options.subtree)
            continue;
          if (type === "attributes" && !options.attributes)
            continue;
          if (type === "attributes" && options.attributeFilter && (!options.attributeFilter.indexOf(name || "") || namespace !== null))
            continue;
          if (type === "characterData" && !options.characterData)
            continue;
          if (type === "childList" && !options.childList)
            continue;
          var mo = registered.observer;
          if (!interestedObservers.has(mo)) {
            interestedObservers.set(mo, null);
          }
          if (type === "attributes" && options.attributeOldValue || type === "characterData" && options.characterDataOldValue) {
            interestedObservers.set(mo, oldValue);
          }
        }
        node = TreeAlgorithm_1.tree_getNextAncestorNode(target, node, true);
      }
      try {
        for (var interestedObservers_1 = __values(interestedObservers), interestedObservers_1_1 = interestedObservers_1.next(); !interestedObservers_1_1.done; interestedObservers_1_1 = interestedObservers_1.next()) {
          var _b = __read(interestedObservers_1_1.value, 2), observer = _b[0], mappedOldValue = _b[1];
          var record = CreateAlgorithm_1.create_mutationRecord(type, target, CreateAlgorithm_1.create_nodeListStatic(target, addedNodes), CreateAlgorithm_1.create_nodeListStatic(target, removedNodes), previousSibling, nextSibling, name, namespace, mappedOldValue);
          var queue = observer._recordQueue;
          queue.push(record);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (interestedObservers_1_1 && !interestedObservers_1_1.done && (_a = interestedObservers_1.return))
            _a.call(interestedObservers_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      observer_queueAMutationObserverMicrotask();
    }
    exports2.observer_queueMutationRecord = observer_queueMutationRecord;
    function observer_queueTreeMutationRecord(target, addedNodes, removedNodes, previousSibling, nextSibling) {
      observer_queueMutationRecord("childList", target, null, null, null, addedNodes, removedNodes, previousSibling, nextSibling);
    }
    exports2.observer_queueTreeMutationRecord = observer_queueTreeMutationRecord;
    function observer_queueAttributeMutationRecord(target, name, namespace, oldValue) {
      observer_queueMutationRecord("attributes", target, name, namespace, oldValue, [], [], null, null);
    }
    exports2.observer_queueAttributeMutationRecord = observer_queueAttributeMutationRecord;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js
var require_ShadowTreeAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var util_2 = require_lib12();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm3();
    function shadowTree_signalASlotChange(slot) {
      var window2 = DOMImpl_1.dom.window;
      window2._signalSlots.add(slot);
      MutationObserverAlgorithm_1.observer_queueAMutationObserverMicrotask();
    }
    exports2.shadowTree_signalASlotChange = shadowTree_signalASlotChange;
    function shadowTree_isConnected(element) {
      return util_1.Guard.isDocumentNode(TreeAlgorithm_1.tree_rootNode(element, true));
    }
    exports2.shadowTree_isConnected = shadowTree_isConnected;
    function shadowTree_isAssigned(slotable) {
      return slotable._assignedSlot !== null;
    }
    exports2.shadowTree_isAssigned = shadowTree_isAssigned;
    function shadowTree_findASlot(slotable, openFlag) {
      if (openFlag === void 0) {
        openFlag = false;
      }
      var node = util_1.Cast.asNode(slotable);
      var parent = node._parent;
      if (parent === null)
        return null;
      var shadow = parent._shadowRoot || null;
      if (shadow === null)
        return null;
      if (openFlag && shadow._mode !== "open")
        return null;
      var child = TreeAlgorithm_1.tree_getFirstDescendantNode(shadow, false, true, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (child !== null) {
        if (child._name === slotable._name)
          return child;
        child = TreeAlgorithm_1.tree_getNextDescendantNode(shadow, child, false, true, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
      return null;
    }
    exports2.shadowTree_findASlot = shadowTree_findASlot;
    function shadowTree_findSlotables(slot) {
      var e_1, _a;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var host = root._host;
      try {
        for (var _b = __values(host._children), _c = _b.next(); !_c.done; _c = _b.next()) {
          var slotable = _c.value;
          if (util_1.Guard.isSlotable(slotable)) {
            var foundSlot = shadowTree_findASlot(slotable);
            if (foundSlot === slot) {
              result.push(slotable);
            }
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findSlotables = shadowTree_findSlotables;
    function shadowTree_findFlattenedSlotables(slot) {
      var e_2, _a, e_3, _b;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var slotables = shadowTree_findSlotables(slot);
      if (util_2.isEmpty(slotables)) {
        try {
          for (var _c = __values(slot._children), _d = _c.next(); !_d.done; _d = _c.next()) {
            var slotable = _d.value;
            if (util_1.Guard.isSlotable(slotable)) {
              slotables.push(slotable);
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      try {
        for (var slotables_1 = __values(slotables), slotables_1_1 = slotables_1.next(); !slotables_1_1.done; slotables_1_1 = slotables_1.next()) {
          var node = slotables_1_1.value;
          if (util_1.Guard.isSlot(node) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(node))) {
            var temporaryResult = shadowTree_findFlattenedSlotables(node);
            result.push.apply(result, __spread(temporaryResult));
          } else {
            result.push(node);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (slotables_1_1 && !slotables_1_1.done && (_b = slotables_1.return))
            _b.call(slotables_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findFlattenedSlotables = shadowTree_findFlattenedSlotables;
    function shadowTree_assignSlotables(slot) {
      var e_4, _a;
      var slotables = shadowTree_findSlotables(slot);
      if (slotables.length === slot._assignedNodes.length) {
        var nodesIdentical = true;
        for (var i = 0; i < slotables.length; i++) {
          if (slotables[i] !== slot._assignedNodes[i]) {
            nodesIdentical = false;
            break;
          }
        }
        if (!nodesIdentical) {
          shadowTree_signalASlotChange(slot);
        }
      }
      slot._assignedNodes = slotables;
      try {
        for (var slotables_2 = __values(slotables), slotables_2_1 = slotables_2.next(); !slotables_2_1.done; slotables_2_1 = slotables_2.next()) {
          var slotable = slotables_2_1.value;
          slotable._assignedSlot = slot;
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (slotables_2_1 && !slotables_2_1.done && (_a = slotables_2.return))
            _a.call(slotables_2);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    exports2.shadowTree_assignSlotables = shadowTree_assignSlotables;
    function shadowTree_assignSlotablesForATree(root) {
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(root, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (descendant !== null) {
        shadowTree_assignSlotables(descendant);
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(root, descendant, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
    }
    exports2.shadowTree_assignSlotablesForATree = shadowTree_assignSlotablesForATree;
    function shadowTree_assignASlot(slotable) {
      var slot = shadowTree_findASlot(slotable);
      if (slot !== null) {
        shadowTree_assignSlotables(slot);
      }
    }
    exports2.shadowTree_assignASlot = shadowTree_assignASlot;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js
var require_DOMAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var util_1 = require_util16();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm3();
    var supportedTokens = /* @__PURE__ */ new Map();
    function dom_runRemovingSteps(removedNode, oldParent) {
    }
    exports2.dom_runRemovingSteps = dom_runRemovingSteps;
    function dom_runCloningSteps(copy, node, document, cloneChildrenFlag) {
    }
    exports2.dom_runCloningSteps = dom_runCloningSteps;
    function dom_runAdoptingSteps(node, oldDocument) {
    }
    exports2.dom_runAdoptingSteps = dom_runAdoptingSteps;
    function dom_runAttributeChangeSteps(element, localName, oldValue, value, namespace) {
      var e_1, _a;
      if (DOMImpl_1.dom.features.slots) {
        updateASlotablesName.call(element, element, localName, oldValue, value, namespace);
        updateASlotsName.call(element, element, localName, oldValue, value, namespace);
      }
      updateAnElementID.call(element, element, localName, value, namespace);
      try {
        for (var _b = __values(element._attributeChangeSteps), _c = _b.next(); !_c.done; _c = _b.next()) {
          var step = _c.value;
          step.call(element, element, localName, oldValue, value, namespace);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.dom_runAttributeChangeSteps = dom_runAttributeChangeSteps;
    function dom_runInsertionSteps(insertedNode) {
    }
    exports2.dom_runInsertionSteps = dom_runInsertionSteps;
    function dom_runNodeIteratorPreRemovingSteps(nodeIterator, toBeRemoved) {
      removeNodeIterator.call(nodeIterator, nodeIterator, toBeRemoved);
    }
    exports2.dom_runNodeIteratorPreRemovingSteps = dom_runNodeIteratorPreRemovingSteps;
    function dom_hasSupportedTokens(attributeName) {
      return supportedTokens.has(attributeName);
    }
    exports2.dom_hasSupportedTokens = dom_hasSupportedTokens;
    function dom_getSupportedTokens(attributeName) {
      return supportedTokens.get(attributeName) || /* @__PURE__ */ new Set();
    }
    exports2.dom_getSupportedTokens = dom_getSupportedTokens;
    function dom_runEventConstructingSteps(event) {
    }
    exports2.dom_runEventConstructingSteps = dom_runEventConstructingSteps;
    function dom_runChildTextContentChangeSteps(parent) {
    }
    exports2.dom_runChildTextContentChangeSteps = dom_runChildTextContentChangeSteps;
    function removeNodeIterator(nodeIterator, toBeRemovedNode) {
      if (toBeRemovedNode === nodeIterator._root || !TreeAlgorithm_1.tree_isAncestorOf(nodeIterator._reference, toBeRemovedNode, true)) {
        return;
      }
      if (nodeIterator._pointerBeforeReference) {
        while (true) {
          var nextNode = TreeAlgorithm_1.tree_getFollowingNode(nodeIterator._root, toBeRemovedNode);
          if (nextNode !== null && TreeAlgorithm_1.tree_isDescendantOf(nodeIterator._root, nextNode, true) && !TreeAlgorithm_1.tree_isDescendantOf(toBeRemovedNode, nextNode, true)) {
            nodeIterator._reference = nextNode;
            return;
          } else if (nextNode === null) {
            nodeIterator._pointerBeforeReference = false;
            return;
          }
        }
      }
      if (toBeRemovedNode._previousSibling === null) {
        if (toBeRemovedNode._parent !== null) {
          nodeIterator._reference = toBeRemovedNode._parent;
        }
      } else {
        var referenceNode = toBeRemovedNode._previousSibling;
        var childNode = TreeAlgorithm_1.tree_getFirstDescendantNode(toBeRemovedNode._previousSibling, true, false);
        while (childNode !== null) {
          if (childNode !== null) {
            referenceNode = childNode;
          }
          childNode = TreeAlgorithm_1.tree_getNextDescendantNode(toBeRemovedNode._previousSibling, childNode, true, false);
        }
        nodeIterator._reference = referenceNode;
      }
    }
    function updateASlotsName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlot(element) && localName === "name" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(element));
      }
    }
    function updateASlotablesName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlotable(element) && localName === "slot" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        if (ShadowTreeAlgorithm_1.shadowTree_isAssigned(element)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(element._assignedSlot);
        }
        ShadowTreeAlgorithm_1.shadowTree_assignASlot(element);
      }
    }
    function updateAnElementID(element, localName, value, namespace) {
      if (localName === "id" && namespace === null) {
        if (!value)
          element._uniqueIdentifier = void 0;
        else
          element._uniqueIdentifier = value;
      }
    }
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js
var require_EventAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var interfaces_1 = require_interfaces10();
    var util_1 = require_util16();
    var CustomEventImpl_1 = require_CustomEventImpl3();
    var EventImpl_1 = require_EventImpl3();
    var DOMException_1 = require_DOMException3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    function event_setTheCanceledFlag(event) {
      if (event._cancelable && !event._inPassiveListenerFlag) {
        event._canceledFlag = true;
      }
    }
    exports2.event_setTheCanceledFlag = event_setTheCanceledFlag;
    function event_initialize(event, type, bubbles, cancelable) {
      event._initializedFlag = true;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      event._canceledFlag = false;
      event._isTrusted = false;
      event._target = null;
      event._type = type;
      event._bubbles = bubbles;
      event._cancelable = cancelable;
    }
    exports2.event_initialize = event_initialize;
    function event_createAnEvent(eventInterface, realm) {
      if (realm === void 0) {
        realm = void 0;
      }
      if (realm === void 0)
        realm = null;
      var dictionary = {};
      var event = event_innerEventCreationSteps(eventInterface, realm, /* @__PURE__ */ new Date(), dictionary);
      event._isTrusted = true;
      return event;
    }
    exports2.event_createAnEvent = event_createAnEvent;
    function event_innerEventCreationSteps(eventInterface, realm, time, dictionary) {
      var event = new eventInterface("");
      event._initializedFlag = true;
      event._timeStamp = time.getTime();
      Object.assign(event, dictionary);
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runEventConstructingSteps(event);
      }
      return event;
    }
    exports2.event_innerEventCreationSteps = event_innerEventCreationSteps;
    function event_dispatch(event, target, legacyTargetOverrideFlag, legacyOutputDidListenersThrowFlag) {
      var e_1, _a, e_2, _b;
      if (legacyTargetOverrideFlag === void 0) {
        legacyTargetOverrideFlag = false;
      }
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var clearTargets = false;
      event._dispatchFlag = true;
      var targetOverride = target;
      if (legacyTargetOverrideFlag) {
        var doc = target._associatedDocument;
        if (util_1.Guard.isDocumentNode(doc)) {
          targetOverride = doc;
        }
      }
      var activationTarget = null;
      var relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, target);
      if (target !== relatedTarget || target === event._relatedTarget) {
        var touchTargets = [];
        try {
          for (var _c = __values(event._touchTargetList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var touchTarget = _d.value;
            touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, target));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        event_appendToAnEventPath(event, target, targetOverride, relatedTarget, touchTargets, false);
        var isActivationEvent = util_1.Guard.isMouseEvent(event) && event._type === "click";
        if (isActivationEvent && target._activationBehavior !== void 0) {
          activationTarget = target;
        }
        var slotable = util_1.Guard.isSlotable(target) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(target) ? target : null;
        var slotInClosedTree = false;
        var parent = target._getTheParent(event);
        while (parent !== null && util_1.Guard.isNode(parent)) {
          if (slotable !== null) {
            if (!util_1.Guard.isSlot(parent)) {
              throw new Error("Parent node of a slotable should be a slot.");
            }
            slotable = null;
            var root = TreeAlgorithm_1.tree_rootNode(parent, true);
            if (util_1.Guard.isShadowRoot(root) && root._mode === "closed") {
              slotInClosedTree = true;
            }
          }
          if (util_1.Guard.isSlotable(parent) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(parent)) {
            slotable = parent;
          }
          relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, parent);
          touchTargets = [];
          try {
            for (var _e = (e_2 = void 0, __values(event._touchTargetList)), _f = _e.next(); !_f.done; _f = _e.next()) {
              var touchTarget = _f.value;
              touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, parent));
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_f && !_f.done && (_b = _e.return))
                _b.call(_e);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isWindow(parent) || util_1.Guard.isNode(parent) && util_1.Guard.isNode(target) && TreeAlgorithm_1.tree_isAncestorOf(TreeAlgorithm_1.tree_rootNode(target, true), parent, true, true)) {
            if (isActivationEvent && event._bubbles && activationTarget === null && parent._activationBehavior) {
              activationTarget = parent;
            }
            event_appendToAnEventPath(event, parent, null, relatedTarget, touchTargets, slotInClosedTree);
          } else if (parent === relatedTarget) {
            parent = null;
          } else {
            target = parent;
            if (isActivationEvent && activationTarget === null && target._activationBehavior) {
              activationTarget = target;
            }
            event_appendToAnEventPath(event, parent, target, relatedTarget, touchTargets, slotInClosedTree);
          }
          if (parent !== null) {
            parent = parent._getTheParent(event);
          }
          slotInClosedTree = false;
        }
        var clearTargetsStruct = null;
        var path = event._path;
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            clearTargetsStruct = struct;
            break;
          }
        }
        if (clearTargetsStruct !== null) {
          if (util_1.Guard.isNode(clearTargetsStruct.shadowAdjustedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.shadowAdjustedTarget, true))) {
            clearTargets = true;
          } else if (util_1.Guard.isNode(clearTargetsStruct.relatedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.relatedTarget, true))) {
            clearTargets = true;
          } else {
            for (var j = 0; j < clearTargetsStruct.touchTargetList.length; j++) {
              var struct = clearTargetsStruct.touchTargetList[j];
              if (util_1.Guard.isNode(struct) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(struct, true))) {
                clearTargets = true;
                break;
              }
            }
          }
        }
        if (activationTarget !== null && activationTarget._legacyPreActivationBehavior !== void 0) {
          activationTarget._legacyPreActivationBehavior(event);
        }
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            event._eventPhase = interfaces_1.EventPhase.Capturing;
          }
          event_invoke(struct, event, "capturing", legacyOutputDidListenersThrowFlag);
        }
        for (var i = 0; i < path.length; i++) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            if (!event._bubbles)
              continue;
            event._eventPhase = interfaces_1.EventPhase.Bubbling;
          }
          event_invoke(struct, event, "bubbling", legacyOutputDidListenersThrowFlag);
        }
      }
      event._eventPhase = interfaces_1.EventPhase.None;
      event._currentTarget = null;
      event._path = [];
      event._dispatchFlag = false;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      if (clearTargets) {
        event._target = null;
        event._relatedTarget = null;
        event._touchTargetList = [];
      }
      if (activationTarget !== null) {
        if (!event._canceledFlag && activationTarget._activationBehavior !== void 0) {
          activationTarget._activationBehavior(event);
        } else if (activationTarget._legacyCanceledActivationBehavior !== void 0) {
          activationTarget._legacyCanceledActivationBehavior(event);
        }
      }
      return !event._canceledFlag;
    }
    exports2.event_dispatch = event_dispatch;
    function event_appendToAnEventPath(event, invocationTarget, shadowAdjustedTarget, relatedTarget, touchTargets, slotInClosedTree) {
      var invocationTargetInShadowTree = false;
      if (util_1.Guard.isNode(invocationTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(invocationTarget))) {
        invocationTargetInShadowTree = true;
      }
      var rootOfClosedTree = false;
      if (util_1.Guard.isShadowRoot(invocationTarget) && invocationTarget._mode === "closed") {
        rootOfClosedTree = true;
      }
      event._path.push({
        invocationTarget,
        invocationTargetInShadowTree,
        shadowAdjustedTarget,
        relatedTarget,
        touchTargetList: touchTargets,
        rootOfClosedTree,
        slotInClosedTree
      });
    }
    exports2.event_appendToAnEventPath = event_appendToAnEventPath;
    function event_invoke(struct, event, phase, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var path = event._path;
      var index = -1;
      for (var i = 0; i < path.length; i++) {
        if (path[i] === struct) {
          index = i;
          break;
        }
      }
      if (index !== -1) {
        var item = path[index];
        if (item.shadowAdjustedTarget !== null) {
          event._target = item.shadowAdjustedTarget;
        } else if (index > 0) {
          item = path[index - 1];
          if (item.shadowAdjustedTarget !== null) {
            event._target = item.shadowAdjustedTarget;
          }
        }
      }
      event._relatedTarget = struct.relatedTarget;
      event._touchTargetList = struct.touchTargetList;
      if (event._stopPropagationFlag)
        return;
      event._currentTarget = struct.invocationTarget;
      var currentTarget = event._currentTarget;
      var targetListeners = currentTarget._eventListenerList;
      var listeners = new (Array.bind.apply(Array, __spread([void 0], targetListeners)))();
      var found = event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
      if (!found && event._isTrusted) {
        var originalEventType = event._type;
        if (originalEventType === "animationend") {
          event._type = "webkitAnimationEnd";
        } else if (originalEventType === "animationiteration") {
          event._type = "webkitAnimationIteration";
        } else if (originalEventType === "animationstart") {
          event._type = "webkitAnimationStart";
        } else if (originalEventType === "transitionend") {
          event._type = "webkitTransitionEnd";
        }
        event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
        event._type = originalEventType;
      }
    }
    exports2.event_invoke = event_invoke;
    function event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var found = false;
      for (var i = 0; i < listeners.length; i++) {
        var listener = listeners[i];
        if (!listener.removed) {
          if (event._type !== listener.type)
            continue;
          found = true;
          if (phase === "capturing" && !listener.capture)
            continue;
          if (phase === "bubbling" && listener.capture)
            continue;
          if (listener.once && event._currentTarget !== null) {
            var impl = event._currentTarget;
            var index = -1;
            for (var i_1 = 0; i_1 < impl._eventListenerList.length; i_1++) {
              if (impl._eventListenerList[i_1] === listener) {
                index = i_1;
                break;
              }
            }
            if (index !== -1) {
              impl._eventListenerList.splice(index, 1);
            }
          }
          var globalObject = void 0;
          var currentEvent = void 0;
          if (util_1.Guard.isWindow(globalObject)) {
            currentEvent = globalObject._currentEvent;
            if (struct.invocationTargetInShadowTree === false) {
              globalObject._currentEvent = event;
            }
          }
          if (listener.passive)
            event._inPassiveListenerFlag = true;
          try {
            listener.callback.handleEvent.call(event._currentTarget, event);
          } catch (err) {
            legacyOutputDidListenersThrowFlag.value = true;
          }
          if (listener.passive)
            event._inPassiveListenerFlag = false;
          if (util_1.Guard.isWindow(globalObject)) {
            globalObject._currentEvent = currentEvent;
          }
          if (event._stopImmediatePropagationFlag)
            return found;
        }
      }
      return found;
    }
    exports2.event_innerInvoke = event_innerInvoke;
    function event_fireAnEvent(e, target, eventConstructor, idlAttributes, legacyTargetOverrideFlag) {
      if (eventConstructor === void 0) {
        eventConstructor = EventImpl_1.EventImpl;
      }
      var event = event_createAnEvent(eventConstructor);
      event._type = e;
      if (idlAttributes) {
        for (var key in idlAttributes) {
          var idlObj = event;
          idlObj[key] = idlAttributes[key];
        }
      }
      return event_dispatch(event, target, legacyTargetOverrideFlag);
    }
    exports2.event_fireAnEvent = event_fireAnEvent;
    function event_createLegacyEvent(eventInterface) {
      var constructor = null;
      switch (eventInterface.toLowerCase()) {
        case "beforeunloadevent":
          break;
        case "compositionevent":
          break;
        case "customevent":
          constructor = CustomEventImpl_1.CustomEventImpl;
          break;
        case "devicemotionevent":
          break;
        case "deviceorientationevent":
          break;
        case "dragevent":
          break;
        case "event":
        case "events":
          constructor = EventImpl_1.EventImpl;
          break;
        case "focusevent":
          break;
        case "hashchangeevent":
          break;
        case "htmlevents":
          break;
        case "keyboardevent":
          break;
        case "messageevent":
          break;
        case "mouseevent":
          break;
        case "mouseevents":
          break;
        case "storageevent":
          break;
        case "svgevents":
          break;
        case "textevent":
          break;
        case "touchevent":
          break;
        case "uievent":
          break;
        case "uievents":
          break;
      }
      if (constructor === null) {
        throw new DOMException_1.NotSupportedError("Event constructor not found for interface " + eventInterface + ".");
      }
      var event = new constructor("");
      event._type = "";
      event._timeStamp = (/* @__PURE__ */ new Date()).getTime();
      event._isTrusted = false;
      event._initializedFlag = false;
      return event;
    }
    exports2.event_createLegacyEvent = event_createLegacyEvent;
    function event_getterEventHandlerIDLAttribute(thisObj, name) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return null;
      return event_getTheCurrentValueOfAnEventHandler(eventTarget, name);
    }
    exports2.event_getterEventHandlerIDLAttribute = event_getterEventHandlerIDLAttribute;
    function event_setterEventHandlerIDLAttribute(thisObj, name, value) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return;
      if (value === null) {
        event_deactivateAnEventHandler(eventTarget, name);
      } else {
        var handlerMap = eventTarget._eventHandlerMap;
        var eventHandler = handlerMap["onabort"];
        if (eventHandler !== void 0) {
          eventHandler.value = value;
        }
        event_activateAnEventHandler(eventTarget, name);
      }
    }
    exports2.event_setterEventHandlerIDLAttribute = event_setterEventHandlerIDLAttribute;
    function event_determineTheTargetOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_determineTheTargetOfAnEventHandler = event_determineTheTargetOfAnEventHandler;
    function event_getTheCurrentValueOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_getTheCurrentValueOfAnEventHandler = event_getTheCurrentValueOfAnEventHandler;
    function event_activateAnEventHandler(eventTarget, name) {
    }
    exports2.event_activateAnEventHandler = event_activateAnEventHandler;
    function event_deactivateAnEventHandler(eventTarget, name) {
    }
    exports2.event_deactivateAnEventHandler = event_deactivateAnEventHandler;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js
var require_AbortAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventAlgorithm_1 = require_EventAlgorithm3();
    function abort_add(algorithm, signal) {
      if (signal._abortedFlag)
        return;
      signal._abortAlgorithms.add(algorithm);
    }
    exports2.abort_add = abort_add;
    function abort_remove(algorithm, signal) {
      signal._abortAlgorithms.delete(algorithm);
    }
    exports2.abort_remove = abort_remove;
    function abort_signalAbort(signal) {
      var e_1, _a;
      if (signal._abortedFlag)
        return;
      signal._abortedFlag = true;
      try {
        for (var _b = __values(signal._abortAlgorithms), _c = _b.next(); !_c.done; _c = _b.next()) {
          var algorithm = _c.value;
          algorithm.call(signal);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      signal._abortAlgorithms.clear();
      EventAlgorithm_1.event_fireAnEvent("abort", signal);
    }
    exports2.abort_signalAbort = abort_signalAbort;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js
var require_CustomElementAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var PotentialCustomElementName = /[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/;
    var NamesWithHyphen = /* @__PURE__ */ new Set([
      "annotation-xml",
      "color-profile",
      "font-face",
      "font-face-src",
      "font-face-uri",
      "font-face-format",
      "font-face-name",
      "missing-glyph"
    ]);
    var ElementNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    var VoidElementNames = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    var ShadowHostNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    function customElement_isValidCustomElementName(name) {
      if (!PotentialCustomElementName.test(name))
        return false;
      if (NamesWithHyphen.has(name))
        return false;
      return true;
    }
    exports2.customElement_isValidCustomElementName = customElement_isValidCustomElementName;
    function customElement_isValidElementName(name) {
      return ElementNames.has(name);
    }
    exports2.customElement_isValidElementName = customElement_isValidElementName;
    function customElement_isVoidElementName(name) {
      return VoidElementNames.has(name);
    }
    exports2.customElement_isVoidElementName = customElement_isVoidElementName;
    function customElement_isValidShadowHostName(name) {
      return ShadowHostNames.has(name);
    }
    exports2.customElement_isValidShadowHostName = customElement_isValidShadowHostName;
    function customElement_enqueueACustomElementUpgradeReaction(element, definition) {
    }
    exports2.customElement_enqueueACustomElementUpgradeReaction = customElement_enqueueACustomElementUpgradeReaction;
    function customElement_enqueueACustomElementCallbackReaction(element, callbackName, args) {
    }
    exports2.customElement_enqueueACustomElementCallbackReaction = customElement_enqueueACustomElementCallbackReaction;
    function customElement_upgrade(definition, element) {
    }
    exports2.customElement_upgrade = customElement_upgrade;
    function customElement_tryToUpgrade(element) {
    }
    exports2.customElement_tryToUpgrade = customElement_tryToUpgrade;
    function customElement_lookUpACustomElementDefinition(document, namespace, localName, is) {
      return null;
    }
    exports2.customElement_lookUpACustomElementDefinition = customElement_lookUpACustomElementDefinition;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js
var require_TraversalAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var DOMException_1 = require_DOMException3();
    function traversal_filter(traverser, node) {
      if (traverser._activeFlag) {
        throw new DOMException_1.InvalidStateError();
      }
      var n = node._nodeType - 1;
      var mask = 1 << n;
      if ((traverser.whatToShow & mask) === 0) {
        return interfaces_1.FilterResult.Skip;
      }
      if (!traverser.filter) {
        return interfaces_1.FilterResult.Accept;
      }
      traverser._activeFlag = true;
      var result = interfaces_1.FilterResult.Reject;
      try {
        result = traverser.filter.acceptNode(node);
      } catch (err) {
        traverser._activeFlag = false;
        throw err;
      }
      traverser._activeFlag = false;
      return result;
    }
    exports2.traversal_filter = traversal_filter;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js
var require_NodeIteratorAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var interfaces_1 = require_interfaces10();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    function nodeIterator_traverse(iterator, forward) {
      var node = iterator._reference;
      var beforeNode = iterator._pointerBeforeReference;
      while (true) {
        if (forward) {
          if (!beforeNode) {
            var nextNode = TreeAlgorithm_1.tree_getFollowingNode(iterator._root, node);
            if (nextNode) {
              node = nextNode;
            } else {
              return null;
            }
          } else {
            beforeNode = false;
          }
        } else {
          if (beforeNode) {
            var prevNode = TreeAlgorithm_1.tree_getPrecedingNode(iterator.root, node);
            if (prevNode) {
              node = prevNode;
            } else {
              return null;
            }
          } else {
            beforeNode = true;
          }
        }
        var result = TraversalAlgorithm_1.traversal_filter(iterator, node);
        if (result === interfaces_1.FilterResult.Accept) {
          break;
        }
      }
      iterator._reference = node;
      iterator._pointerBeforeReference = beforeNode;
      return node;
    }
    exports2.nodeIterator_traverse = nodeIterator_traverse;
    function nodeIterator_iteratorList() {
      return DOMImpl_1.dom.window._iteratorList;
    }
    exports2.nodeIterator_iteratorList = nodeIterator_iteratorList;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js
var require_XMLAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function xml_isName(name) {
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 58 || n === 95 || // ':' or '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isName = xml_isName;
    function xml_isQName(name) {
      var colonFound = false;
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 95 || // '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        } else if (i !== 0 && n === 58) {
          if (colonFound)
            return false;
          if (i === name.length - 1)
            return false;
          colonFound = true;
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isQName = xml_isQName;
    function xml_isLegalChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < chars.length - 1) {
          var n2 = chars.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 1114111) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isLegalChar = xml_isLegalChar;
    function xml_isPubidChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n >= 39 && n <= 59 || // ['()*+,-./] | [0-9] | [:;]
        n === 32 || n === 13 || n === 10 || // #x20 | #xD | #xA
        n >= 35 && n <= 37 || // [#$%]
        n === 33 || // !
        n === 61 || n === 63 || n === 64 || n === 95) {
          continue;
        } else {
          return false;
        }
      }
      return true;
    }
    exports2.xml_isPubidChar = xml_isPubidChar;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js
var require_NamespaceAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException3();
    var infra_1 = require_lib13();
    var XMLAlgorithm_1 = require_XMLAlgorithm3();
    function namespace_validate(qualifiedName) {
      if (!XMLAlgorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML name: " + qualifiedName);
      if (!XMLAlgorithm_1.xml_isQName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML qualified name: " + qualifiedName + ".");
    }
    exports2.namespace_validate = namespace_validate;
    function namespace_validateAndExtract(namespace, qualifiedName) {
      if (!namespace)
        namespace = null;
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      if (prefix && namespace === null)
        throw new DOMException_1.NamespaceError("Qualified name includes a prefix but the namespace is null.");
      if (prefix === "xml" && namespace !== infra_1.namespace.XML)
        throw new DOMException_1.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');
      if (namespace !== infra_1.namespace.XMLNS && (prefix === "xmlns" || qualifiedName === "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');
      if (namespace === infra_1.namespace.XMLNS && (prefix !== "xmlns" && qualifiedName !== "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');
      return [namespace, prefix, localName];
    }
    exports2.namespace_validateAndExtract = namespace_validateAndExtract;
    function namespace_extractQName(qualifiedName) {
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      return [prefix, localName];
    }
    exports2.namespace_extractQName = namespace_extractQName;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js
var require_DocumentAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var util_2 = require_lib12();
    var ElementImpl_1 = require_ElementImpl3();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var NamespaceAlgorithm_1 = require_NamespaceAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    var ElementAlgorithm_1 = require_ElementAlgorithm3();
    var MutationAlgorithm_1 = require_MutationAlgorithm3();
    function document_elementInterface(name, namespace) {
      return ElementImpl_1.ElementImpl;
    }
    exports2.document_elementInterface = document_elementInterface;
    function document_internalCreateElementNS(document, namespace, qualifiedName, options) {
      var _a = __read(NamespaceAlgorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      var is = null;
      if (options !== void 0) {
        if (util_2.isString(options)) {
          is = options;
        } else {
          is = options.is;
        }
      }
      return ElementAlgorithm_1.element_createAnElement(document, localName, ns, prefix, is, true);
    }
    exports2.document_internalCreateElementNS = document_internalCreateElementNS;
    function document_adopt(node, document) {
      var e_1, _a;
      if (node._nodeDocument === document && node._parent === null) {
        return;
      }
      var oldDocument = node._nodeDocument;
      if (node._parent)
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      if (document !== oldDocument) {
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, true);
        while (inclusiveDescendant !== null) {
          inclusiveDescendant._nodeDocument = document;
          if (util_1.Guard.isElementNode(inclusiveDescendant)) {
            try {
              for (var _b = (e_1 = void 0, __values(inclusiveDescendant._attributeList._asArray())), _c = _b.next(); !_c.done; _c = _b.next()) {
                var attr = _c.value;
                attr._nodeDocument = document;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && inclusiveDescendant._customElementState === "custom") {
              CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "adoptedCallback", [oldDocument, document]);
            }
          }
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runAdoptingSteps(inclusiveDescendant, oldDocument);
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, inclusiveDescendant, true, true);
        }
      }
    }
    exports2.document_adopt = document_adopt;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js
var require_MutationAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var DOMException_1 = require_DOMException3();
    var interfaces_1 = require_interfaces10();
    var util_1 = require_util16();
    var util_2 = require_lib12();
    var infra_1 = require_lib13();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var NodeIteratorAlgorithm_1 = require_NodeIteratorAlgorithm3();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm3();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm3();
    function mutation_ensurePreInsertionValidity(node, parent, child) {
      var e_1, _a, e_2, _b, e_3, _c, e_4, _d;
      var parentNodeType = parent._nodeType;
      var nodeNodeType = node._nodeType;
      var childNodeType = child ? child._nodeType : null;
      if (parentNodeType !== interfaces_1.NodeType.Document && parentNodeType !== interfaces_1.NodeType.DocumentFragment && parentNodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child !== null && child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (nodeNodeType !== interfaces_1.NodeType.DocumentFragment && nodeNodeType !== interfaces_1.NodeType.DocumentType && nodeNodeType !== interfaces_1.NodeType.Element && nodeNodeType !== interfaces_1.NodeType.Text && nodeNodeType !== interfaces_1.NodeType.ProcessingInstruction && nodeNodeType !== interfaces_1.NodeType.CData && nodeNodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.Text && parentNodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.DocumentType && parentNodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parentNodeType === interfaces_1.NodeType.Document) {
        if (nodeNodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (child) {
              if (childNodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              var doctypeChild = child._nextSibling;
              while (doctypeChild) {
                if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                  throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
                doctypeChild = doctypeChild._nextSibling;
              }
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (child) {
            if (childNodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (child) {
            var elementChild = child._previousSibling;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._previousSibling;
            }
          } else {
            var elementChild = parent._firstChild;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._nextSibling;
            }
          }
        }
      }
    }
    exports2.mutation_ensurePreInsertionValidity = mutation_ensurePreInsertionValidity;
    function mutation_preInsert(node, parent, child) {
      mutation_ensurePreInsertionValidity(node, parent, child);
      var referenceChild = child;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      mutation_insert(node, parent, referenceChild);
      return node;
    }
    exports2.mutation_preInsert = mutation_preInsert;
    function mutation_insert(node, parent, child, suppressObservers) {
      var e_5, _a;
      if (child === null && node._nodeType !== interfaces_1.NodeType.DocumentFragment) {
        mutation_insert_single(node, parent, suppressObservers);
        return;
      }
      var count = node._nodeType === interfaces_1.NodeType.DocumentFragment ? node._children.size : 1;
      if (child !== null) {
        if (DOMImpl_1.dom.rangeList.size !== 0) {
          var index_1 = TreeAlgorithm_1.tree_index(child);
          try {
            for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var range = _c.value;
              if (range._start[0] === parent && range._start[1] > index_1) {
                range._start[1] += count;
              }
              if (range._end[0] === parent && range._end[1] > index_1) {
                range._end[1] += count;
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        }
      }
      var nodes = node._nodeType === interfaces_1.NodeType.DocumentFragment ? new (Array.bind.apply(Array, __spread([void 0], node._children)))() : [node];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        while (node._firstChild) {
          mutation_remove(node._firstChild, node, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(node, [], nodes, null, null);
        }
      }
      var previousSibling = child ? child._previousSibling : parent._lastChild;
      var index = child === null ? -1 : TreeAlgorithm_1.tree_index(child);
      for (var i = 0; i < nodes.length; i++) {
        var node_1 = nodes[i];
        if (util_1.Guard.isElementNode(node_1)) {
          if (util_1.Guard.isDocumentNode(parent)) {
            parent._documentElement = node_1;
          }
          if (!node_1._nodeDocument._hasNamespaces && (node_1._namespace !== null || node_1._namespacePrefix !== null)) {
            node_1._nodeDocument._hasNamespaces = true;
          }
        }
        node_1._parent = parent;
        if (child === null) {
          infra_1.set.append(parent._children, node_1);
        } else {
          infra_1.set.insert(parent._children, node_1, index);
          index++;
        }
        if (parent._firstChild === null) {
          node_1._previousSibling = null;
          node_1._nextSibling = null;
          parent._firstChild = node_1;
          parent._lastChild = node_1;
        } else {
          var prev = child ? child._previousSibling : parent._lastChild;
          var next = child ? child : null;
          node_1._previousSibling = prev;
          node_1._nextSibling = next;
          if (prev)
            prev._nextSibling = node_1;
          if (next)
            next._previousSibling = node_1;
          if (!prev)
            parent._firstChild = node_1;
          if (!next)
            parent._lastChild = node_1;
        }
        if (DOMImpl_1.dom.features.slots) {
          if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node_1)) {
            ShadowTreeAlgorithm_1.shadowTree_assignASlot(node_1);
          }
        }
        if (DOMImpl_1.dom.features.steps) {
          if (util_1.Guard.isTextNode(node_1)) {
            DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
            ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node_1));
        }
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node_1, true, true);
        while (inclusiveDescendant !== null) {
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runInsertionSteps(inclusiveDescendant);
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && ShadowTreeAlgorithm_1.shadowTree_isConnected(inclusiveDescendant)) {
              if (util_1.Guard.isCustomElementNode(inclusiveDescendant)) {
                CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "connectedCallback", []);
              } else {
                CustomElementAlgorithm_1.customElement_tryToUpgrade(inclusiveDescendant);
              }
            }
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node_1, inclusiveDescendant, true, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, [], previousSibling, child);
        }
      }
    }
    exports2.mutation_insert = mutation_insert;
    function mutation_insert_single(node, parent, suppressObservers) {
      var previousSibling = parent._lastChild;
      if (util_1.Guard.isElementNode(node)) {
        if (util_1.Guard.isDocumentNode(parent)) {
          parent._documentElement = node;
        }
        if (!node._nodeDocument._hasNamespaces && (node._namespace !== null || node._namespacePrefix !== null)) {
          node._nodeDocument._hasNamespaces = true;
        }
      }
      node._parent = parent;
      parent._children.add(node);
      if (parent._firstChild === null) {
        node._previousSibling = null;
        node._nextSibling = null;
        parent._firstChild = node;
        parent._lastChild = node;
      } else {
        var prev = parent._lastChild;
        node._previousSibling = prev;
        node._nextSibling = null;
        if (prev)
          prev._nextSibling = node;
        if (!prev)
          parent._firstChild = node;
        parent._lastChild = node;
      }
      if (DOMImpl_1.dom.features.slots) {
        if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignASlot(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node));
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runInsertionSteps(node);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isElementNode(node) && ShadowTreeAlgorithm_1.shadowTree_isConnected(node)) {
          if (util_1.Guard.isCustomElementNode(node)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "connectedCallback", []);
          } else {
            CustomElementAlgorithm_1.customElement_tryToUpgrade(node);
          }
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [node], [], previousSibling, null);
        }
      }
    }
    function mutation_append(node, parent) {
      return mutation_preInsert(node, parent, null);
    }
    exports2.mutation_append = mutation_append;
    function mutation_replace(child, node, parent) {
      var e_6, _a, e_7, _b, e_8, _c, e_9, _d;
      if (parent._nodeType !== interfaces_1.NodeType.Document && parent._nodeType !== interfaces_1.NodeType.DocumentFragment && parent._nodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (node._nodeType !== interfaces_1.NodeType.DocumentFragment && node._nodeType !== interfaces_1.NodeType.DocumentType && node._nodeType !== interfaces_1.NodeType.Element && node._nodeType !== interfaces_1.NodeType.Text && node._nodeType !== interfaces_1.NodeType.ProcessingInstruction && node._nodeType !== interfaces_1.NodeType.CData && node._nodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.Text && parent._nodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.DocumentType && parent._nodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parent._nodeType === interfaces_1.NodeType.Document) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_7_1) {
              e_7 = { error: e_7_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_7)
                  throw e_7.error;
              }
            }
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (node._nodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          var doctypeChild = child._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            doctypeChild = doctypeChild._nextSibling;
          }
        } else if (node._nodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          var elementChild = child._previousSibling;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._previousSibling;
          }
        }
      }
      var referenceChild = child._nextSibling;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      var previousSibling = child._previousSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      var removedNodes = [];
      if (child._parent !== null) {
        removedNodes.push(child);
        mutation_remove(child, child._parent, true);
      }
      var nodes = [];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        nodes = Array.from(node._children);
      } else {
        nodes.push(node);
      }
      mutation_insert(node, parent, referenceChild, true);
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, removedNodes, previousSibling, referenceChild);
      }
      return child;
    }
    exports2.mutation_replace = mutation_replace;
    function mutation_replaceAll(node, parent) {
      var e_10, _a;
      if (node !== null) {
        DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      }
      var removedNodes = Array.from(parent._children);
      var addedNodes = [];
      if (node && node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        addedNodes = Array.from(node._children);
      } else if (node !== null) {
        addedNodes.push(node);
      }
      try {
        for (var removedNodes_1 = __values(removedNodes), removedNodes_1_1 = removedNodes_1.next(); !removedNodes_1_1.done; removedNodes_1_1 = removedNodes_1.next()) {
          var childNode = removedNodes_1_1.value;
          mutation_remove(childNode, parent, true);
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (removedNodes_1_1 && !removedNodes_1_1.done && (_a = removedNodes_1.return))
            _a.call(removedNodes_1);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (node !== null) {
        mutation_insert(node, parent, null, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, addedNodes, removedNodes, null, null);
      }
    }
    exports2.mutation_replaceAll = mutation_replaceAll;
    function mutation_preRemove(child, parent) {
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      mutation_remove(child, parent);
      return child;
    }
    exports2.mutation_preRemove = mutation_preRemove;
    function mutation_remove(node, parent, suppressObservers) {
      var e_11, _a, e_12, _b, e_13, _c, e_14, _d;
      if (DOMImpl_1.dom.rangeList.size !== 0) {
        var index = TreeAlgorithm_1.tree_index(node);
        try {
          for (var _e = __values(DOMImpl_1.dom.rangeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var range = _f.value;
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._start[0], true)) {
              range._start = [parent, index];
            }
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._end[0], true)) {
              range._end = [parent, index];
            }
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1]--;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1]--;
            }
          }
        } catch (e_11_1) {
          e_11 = { error: e_11_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_11)
              throw e_11.error;
          }
        }
        try {
          for (var _g = __values(DOMImpl_1.dom.rangeList), _h = _g.next(); !_h.done; _h = _g.next()) {
            var range = _h.value;
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1] -= 1;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1] -= 1;
            }
          }
        } catch (e_12_1) {
          e_12 = { error: e_12_1 };
        } finally {
          try {
            if (_h && !_h.done && (_b = _g.return))
              _b.call(_g);
          } finally {
            if (e_12)
              throw e_12.error;
          }
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        try {
          for (var _j = __values(NodeIteratorAlgorithm_1.nodeIterator_iteratorList()), _k = _j.next(); !_k.done; _k = _j.next()) {
            var iterator = _k.value;
            if (iterator._root._nodeDocument === node._nodeDocument) {
              DOMAlgorithm_1.dom_runNodeIteratorPreRemovingSteps(iterator, node);
            }
          }
        } catch (e_13_1) {
          e_13 = { error: e_13_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_13)
              throw e_13.error;
          }
        }
      }
      var oldPreviousSibling = node._previousSibling;
      var oldNextSibling = node._nextSibling;
      if (util_1.Guard.isDocumentNode(parent) && util_1.Guard.isElementNode(node)) {
        parent._documentElement = null;
      }
      node._parent = null;
      parent._children.delete(node);
      var prev = node._previousSibling;
      var next = node._nextSibling;
      node._previousSibling = null;
      node._nextSibling = null;
      if (prev)
        prev._nextSibling = next;
      if (next)
        next._previousSibling = prev;
      if (!prev)
        parent._firstChild = next;
      if (!next)
        parent._lastChild = prev;
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isSlotable(node) && node._assignedSlot !== null && ShadowTreeAlgorithm_1.shadowTree_isAssigned(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(node._assignedSlot);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        var descendant_1 = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
        if (descendant_1 !== null) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(parent));
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runRemovingSteps(node, parent);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(node)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "disconnectedCallback", []);
        }
      }
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, true);
      while (descendant !== null) {
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runRemovingSteps(descendant, node);
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isCustomElementNode(descendant)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(descendant, "disconnectedCallback", []);
          }
        }
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, descendant, false, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        var inclusiveAncestor = TreeAlgorithm_1.tree_getFirstAncestorNode(parent, true);
        while (inclusiveAncestor !== null) {
          try {
            for (var _l = (e_14 = void 0, __values(inclusiveAncestor._registeredObserverList)), _m = _l.next(); !_m.done; _m = _l.next()) {
              var registered = _m.value;
              if (registered.options.subtree) {
                node._registeredObserverList.push({
                  observer: registered.observer,
                  options: registered.options,
                  source: registered
                });
              }
            }
          } catch (e_14_1) {
            e_14 = { error: e_14_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_14)
                throw e_14.error;
            }
          }
          inclusiveAncestor = TreeAlgorithm_1.tree_getNextAncestorNode(parent, inclusiveAncestor, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [], [node], oldPreviousSibling, oldNextSibling);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
    }
    exports2.mutation_remove = mutation_remove;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js
var require_ElementAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var infra_1 = require_lib13();
    var util_1 = require_util16();
    var DOMException_1 = require_DOMException3();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm3();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    var MutationAlgorithm_1 = require_MutationAlgorithm3();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm3();
    function element_has(attribute, element) {
      return element._attributeList._asArray().indexOf(attribute) !== -1;
    }
    exports2.element_has = element_has;
    function element_change(attribute, element, value) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, value, attribute._namespace);
      }
      attribute._value = value;
    }
    exports2.element_change = element_change;
    function element_append(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, null);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, null, attribute._value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, null, attribute._value, attribute._namespace);
      }
      element._attributeList._asArray().push(attribute);
      attribute._element = element;
      if (!element._nodeDocument._hasNamespaces && (attribute._namespace !== null || attribute._namespacePrefix !== null || attribute._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_append = element_append;
    function element_remove(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, null, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, null, attribute._namespace);
      }
      var index = element._attributeList._asArray().indexOf(attribute);
      element._attributeList._asArray().splice(index, 1);
      attribute._element = null;
    }
    exports2.element_remove = element_remove;
    function element_replace(oldAttr, newAttr, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, oldAttr._localName, oldAttr._namespace, oldAttr._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace);
      }
      var index = element._attributeList._asArray().indexOf(oldAttr);
      if (index !== -1) {
        element._attributeList._asArray()[index] = newAttr;
      }
      oldAttr._element = null;
      newAttr._element = element;
      if (!element._nodeDocument._hasNamespaces && (newAttr._namespace !== null || newAttr._namespacePrefix !== null || newAttr._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_replace = element_replace;
    function element_getAnAttributeByName(qualifiedName, element) {
      if (element._namespace === infra_1.namespace.HTML && element._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      return element._attributeList._asArray().find(function(attr) {
        return attr._qualifiedName === qualifiedName;
      }) || null;
    }
    exports2.element_getAnAttributeByName = element_getAnAttributeByName;
    function element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var ns = namespace || null;
      return element._attributeList._asArray().find(function(attr) {
        return attr._namespace === ns && attr._localName === localName;
      }) || null;
    }
    exports2.element_getAnAttributeByNamespaceAndLocalName = element_getAnAttributeByNamespaceAndLocalName;
    function element_getAnAttributeValue(element, localName, namespace) {
      if (namespace === void 0) {
        namespace = "";
      }
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr === null)
        return "";
      else
        return attr._value;
    }
    exports2.element_getAnAttributeValue = element_getAnAttributeValue;
    function element_setAnAttribute(attr, element) {
      if (attr._element !== null && attr._element !== element)
        throw new DOMException_1.InUseAttributeError("This attribute already exists in the document: " + attr._qualifiedName + " as a child of " + attr._element._qualifiedName + ".");
      var oldAttr = element_getAnAttributeByNamespaceAndLocalName(attr._namespace || "", attr._localName, element);
      if (oldAttr === attr)
        return attr;
      if (oldAttr !== null) {
        element_replace(oldAttr, attr, element);
      } else {
        element_append(attr, element);
      }
      return oldAttr;
    }
    exports2.element_setAnAttribute = element_setAnAttribute;
    function element_setAnAttributeValue(element, localName, value, prefix, namespace) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (namespace === void 0) {
        namespace = null;
      }
      var attribute = element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, element);
      if (attribute === null) {
        var newAttr = CreateAlgorithm_1.create_attr(element._nodeDocument, localName);
        newAttr._namespace = namespace;
        newAttr._namespacePrefix = prefix;
        newAttr._value = value;
        element_append(newAttr, element);
        return;
      }
      element_change(attribute, element, value);
    }
    exports2.element_setAnAttributeValue = element_setAnAttributeValue;
    function element_removeAnAttributeByName(qualifiedName, element) {
      var attr = element_getAnAttributeByName(qualifiedName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByName = element_removeAnAttributeByName;
    function element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByNamespaceAndLocalName = element_removeAnAttributeByNamespaceAndLocalName;
    function element_createAnElement(document, localName, namespace, prefix, is, synchronousCustomElementsFlag) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (is === void 0) {
        is = null;
      }
      if (synchronousCustomElementsFlag === void 0) {
        synchronousCustomElementsFlag = false;
      }
      var result = null;
      if (!DOMImpl_1.dom.features.customElements) {
        result = CreateAlgorithm_1.create_element(document, localName, namespace, prefix);
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        return result;
      }
      var definition = CustomElementAlgorithm_1.customElement_lookUpACustomElementDefinition(document, namespace, localName, is);
      if (definition !== null && definition.name !== definition.localName) {
        var elemenInterface = DocumentAlgorithm_1.document_elementInterface(localName, infra_1.namespace.HTML);
        result = new elemenInterface();
        result._localName = localName;
        result._namespace = infra_1.namespace.HTML;
        result._namespacePrefix = prefix;
        result._customElementState = "undefined";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (synchronousCustomElementsFlag) {
          CustomElementAlgorithm_1.customElement_upgrade(definition, result);
        } else {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else if (definition !== null) {
        if (synchronousCustomElementsFlag) {
          try {
            var C = definition.constructor;
            var result_1 = new C();
            console.assert(result_1._customElementState !== void 0);
            console.assert(result_1._customElementDefinition !== void 0);
            console.assert(result_1._namespace === infra_1.namespace.HTML);
            if (result_1._attributeList.length !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has attributes.");
            if (result_1._children.size !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has child nodes.");
            if (result_1._parent !== null)
              throw new DOMException_1.NotSupportedError("Custom element already has a parent node.");
            if (result_1._nodeDocument !== document)
              throw new DOMException_1.NotSupportedError("Custom element is already in a document.");
            if (result_1._localName !== localName)
              throw new DOMException_1.NotSupportedError("Custom element has a different local name.");
            result_1._namespacePrefix = prefix;
            result_1._is = null;
          } catch (e) {
            result = CreateAlgorithm_1.create_htmlUnknownElement(document, localName, infra_1.namespace.HTML, prefix);
            result._customElementState = "failed";
            result._customElementDefinition = null;
            result._is = null;
          }
        } else {
          result = CreateAlgorithm_1.create_htmlElement(document, localName, infra_1.namespace.HTML, prefix);
          result._customElementState = "undefined";
          result._customElementDefinition = null;
          result._is = null;
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else {
        var elementInterface = DocumentAlgorithm_1.document_elementInterface(localName, namespace);
        result = new elementInterface();
        result._localName = localName;
        result._namespace = namespace;
        result._namespacePrefix = prefix;
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (namespace === infra_1.namespace.HTML && (is !== null || CustomElementAlgorithm_1.customElement_isValidCustomElementName(localName))) {
          result._customElementState = "undefined";
        }
      }
      if (result === null) {
        throw new Error("Unable to create element.");
      }
      return result;
    }
    exports2.element_createAnElement = element_createAnElement;
    function element_insertAdjacent(element, where, node) {
      switch (where.toLowerCase()) {
        case "beforebegin":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element);
        case "afterbegin":
          return MutationAlgorithm_1.mutation_preInsert(node, element, element._firstChild);
        case "beforeend":
          return MutationAlgorithm_1.mutation_preInsert(node, element, null);
        case "afterend":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element._nextSibling);
        default:
          throw new DOMException_1.SyntaxError(`Invalid 'where' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected`);
      }
    }
    exports2.element_insertAdjacent = element_insertAdjacent;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js
var require_AttrAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ElementAlgorithm_1 = require_ElementAlgorithm3();
    function attr_setAnExistingAttributeValue(attribute, value) {
      if (attribute._element === null) {
        attribute._value = value;
      } else {
        ElementAlgorithm_1.element_change(attribute, attribute._element, value);
      }
    }
    exports2.attr_setAnExistingAttributeValue = attr_setAnExistingAttributeValue;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js
var require_BoundaryPointAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    function boundaryPoint_position(bp, relativeTo) {
      var nodeA = bp[0];
      var offsetA = bp[1];
      var nodeB = relativeTo[0];
      var offsetB = relativeTo[1];
      console.assert(TreeAlgorithm_1.tree_rootNode(nodeA) === TreeAlgorithm_1.tree_rootNode(nodeB), "Boundary points must share the same root node.");
      if (nodeA === nodeB) {
        if (offsetA === offsetB) {
          return interfaces_1.BoundaryPosition.Equal;
        } else if (offsetA < offsetB) {
          return interfaces_1.BoundaryPosition.Before;
        } else {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      if (TreeAlgorithm_1.tree_isFollowing(nodeB, nodeA)) {
        var pos = boundaryPoint_position([nodeB, offsetB], [nodeA, offsetA]);
        if (pos === interfaces_1.BoundaryPosition.Before) {
          return interfaces_1.BoundaryPosition.After;
        } else if (pos === interfaces_1.BoundaryPosition.After) {
          return interfaces_1.BoundaryPosition.Before;
        }
      }
      if (TreeAlgorithm_1.tree_isAncestorOf(nodeB, nodeA)) {
        var child = nodeB;
        while (!TreeAlgorithm_1.tree_isChildOf(nodeA, child)) {
          if (child._parent !== null) {
            child = child._parent;
          }
        }
        if (TreeAlgorithm_1.tree_index(child) < offsetA) {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      return interfaces_1.BoundaryPosition.Before;
    }
    exports2.boundaryPoint_position = boundaryPoint_position;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js
var require_CharacterDataAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var DOMException_1 = require_DOMException3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    function characterData_replaceData(node, offset, count, data) {
      var e_1, _a;
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        count = length - offset;
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueMutationRecord("characterData", node, null, null, node._data, [], [], null, null);
      }
      var newData = node._data.substring(0, offset) + data + node._data.substring(offset + count);
      node._data = newData;
      try {
        for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var range = _c.value;
          if (range._start[0] === node && range._start[1] > offset && range._start[1] <= offset + count) {
            range._start[1] = offset;
          }
          if (range._end[0] === node && range._end[1] > offset && range._end[1] <= offset + count) {
            range._end[1] = offset;
          }
          if (range._start[0] === node && range._start[1] > offset + count) {
            range._start[1] += data.length - count;
          }
          if (range._end[0] === node && range._end[1] > offset + count) {
            range._end[1] += data.length - count;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node) && node._parent !== null) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(node._parent);
        }
      }
    }
    exports2.characterData_replaceData = characterData_replaceData;
    function characterData_substringData(node, offset, count) {
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        return node._data.substr(offset);
      } else {
        return node._data.substr(offset, count);
      }
    }
    exports2.characterData_substringData = characterData_substringData;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js
var require_OrderedSetAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib13();
    function orderedSet_parse(value) {
      var inputTokens = infra_1.string.splitAStringOnASCIIWhitespace(value);
      return new Set(inputTokens);
    }
    exports2.orderedSet_parse = orderedSet_parse;
    function orderedSet_serialize(tokens) {
      return __spread(tokens).join(" ");
    }
    exports2.orderedSet_serialize = orderedSet_serialize;
    function orderedSet_sanitize(value) {
      return orderedSet_serialize(orderedSet_parse(value));
    }
    exports2.orderedSet_sanitize = orderedSet_sanitize;
    function orderedSet_contains(set1, set2, caseSensitive) {
      var e_1, _a, e_2, _b;
      try {
        for (var set2_1 = __values(set2), set2_1_1 = set2_1.next(); !set2_1_1.done; set2_1_1 = set2_1.next()) {
          var val2 = set2_1_1.value;
          var found = false;
          try {
            for (var set1_1 = (e_2 = void 0, __values(set1)), set1_1_1 = set1_1.next(); !set1_1_1.done; set1_1_1 = set1_1.next()) {
              var val1 = set1_1_1.value;
              if (caseSensitive) {
                if (val1 === val2) {
                  found = true;
                  break;
                }
              } else {
                if (val1.toUpperCase() === val2.toUpperCase()) {
                  found = true;
                  break;
                }
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (set1_1_1 && !set1_1_1.done && (_b = set1_1.return))
                _b.call(set1_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (!found)
            return false;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set2_1_1 && !set2_1_1.done && (_a = set2_1.return))
            _a.call(set2_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return true;
    }
    exports2.orderedSet_contains = orderedSet_contains;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js
var require_DOMTokenListAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    var ElementAlgorithm_1 = require_ElementAlgorithm3();
    function tokenList_validationSteps(tokenList, token) {
      if (!DOMAlgorithm_1.dom_hasSupportedTokens(tokenList._attribute._localName)) {
        throw new TypeError("There are no supported tokens defined for attribute name: '" + tokenList._attribute._localName + "'.");
      }
      return DOMAlgorithm_1.dom_getSupportedTokens(tokenList._attribute._localName).has(token.toLowerCase());
    }
    exports2.tokenList_validationSteps = tokenList_validationSteps;
    function tokenList_updateSteps(tokenList) {
      if (!tokenList._element.hasAttribute(tokenList._attribute._localName) && tokenList._tokenSet.size === 0) {
        return;
      }
      ElementAlgorithm_1.element_setAnAttributeValue(tokenList._element, tokenList._attribute._localName, OrderedSetAlgorithm_1.orderedSet_serialize(tokenList._tokenSet));
    }
    exports2.tokenList_updateSteps = tokenList_updateSteps;
    function tokenList_serializeSteps(tokenList) {
      return ElementAlgorithm_1.element_getAnAttributeValue(tokenList._element, tokenList._attribute._localName);
    }
    exports2.tokenList_serializeSteps = tokenList_serializeSteps;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js
var require_EventTargetAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    function eventTarget_flatten(options) {
      if (util_1.isBoolean(options)) {
        return options;
      } else {
        return options.capture || false;
      }
    }
    exports2.eventTarget_flatten = eventTarget_flatten;
    function eventTarget_flattenMore(options) {
      var capture = eventTarget_flatten(options);
      var once = false;
      var passive = false;
      if (!util_1.isBoolean(options)) {
        once = options.once || false;
        passive = options.passive || false;
      }
      return [capture, passive, once];
    }
    exports2.eventTarget_flattenMore = eventTarget_flattenMore;
    function eventTarget_addEventListener(eventTarget, listener) {
      if (listener.callback === null)
        return;
      for (var i = 0; i < eventTarget._eventListenerList.length; i++) {
        var entry = eventTarget._eventListenerList[i];
        if (entry.type === listener.type && entry.callback.handleEvent === listener.callback.handleEvent && entry.capture === listener.capture) {
          return;
        }
      }
      eventTarget._eventListenerList.push(listener);
    }
    exports2.eventTarget_addEventListener = eventTarget_addEventListener;
    function eventTarget_removeEventListener(eventTarget, listener, index) {
      listener.removed = true;
      eventTarget._eventListenerList.splice(index, 1);
    }
    exports2.eventTarget_removeEventListener = eventTarget_removeEventListener;
    function eventTarget_removeAllEventListeners(eventTarget) {
      var e_1, _a;
      try {
        for (var _b = __values(eventTarget._eventListenerList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var e = _c.value;
          e.removed = true;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      eventTarget._eventListenerList.length = 0;
    }
    exports2.eventTarget_removeAllEventListeners = eventTarget_removeAllEventListeners;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js
var require_NodeAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var infra_1 = require_lib13();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm3();
    var DOMAlgorithm_1 = require_DOMAlgorithm3();
    var MutationAlgorithm_1 = require_MutationAlgorithm3();
    var ElementAlgorithm_1 = require_ElementAlgorithm3();
    function node_stringReplaceAll(str, parent) {
      var node = null;
      if (str !== "") {
        node = CreateAlgorithm_1.create_text(parent._nodeDocument, str);
      }
      MutationAlgorithm_1.mutation_replaceAll(node, parent);
    }
    exports2.node_stringReplaceAll = node_stringReplaceAll;
    function node_clone(node, document, cloneChildrenFlag) {
      var e_1, _a, e_2, _b;
      if (document === void 0) {
        document = null;
      }
      if (cloneChildrenFlag === void 0) {
        cloneChildrenFlag = false;
      }
      if (document === null)
        document = node._nodeDocument;
      var copy;
      if (util_1.Guard.isElementNode(node)) {
        copy = ElementAlgorithm_1.element_createAnElement(document, node._localName, node._namespace, node._namespacePrefix, node._is, false);
        try {
          for (var _c = __values(node._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attribute = _d.value;
            var copyAttribute = node_clone(attribute, document);
            ElementAlgorithm_1.element_append(copyAttribute, copy);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        if (util_1.Guard.isDocumentNode(node)) {
          var doc = CreateAlgorithm_1.create_document();
          doc._encoding = node._encoding;
          doc._contentType = node._contentType;
          doc._URL = node._URL;
          doc._origin = node._origin;
          doc._type = node._type;
          doc._mode = node._mode;
          copy = doc;
        } else if (util_1.Guard.isDocumentTypeNode(node)) {
          var doctype = CreateAlgorithm_1.create_documentType(document, node._name, node._publicId, node._systemId);
          copy = doctype;
        } else if (util_1.Guard.isAttrNode(node)) {
          var attr = CreateAlgorithm_1.create_attr(document, node.localName);
          attr._namespace = node._namespace;
          attr._namespacePrefix = node._namespacePrefix;
          attr._value = node._value;
          copy = attr;
        } else if (util_1.Guard.isExclusiveTextNode(node)) {
          copy = CreateAlgorithm_1.create_text(document, node._data);
        } else if (util_1.Guard.isCDATASectionNode(node)) {
          copy = CreateAlgorithm_1.create_cdataSection(document, node._data);
        } else if (util_1.Guard.isCommentNode(node)) {
          copy = CreateAlgorithm_1.create_comment(document, node._data);
        } else if (util_1.Guard.isProcessingInstructionNode(node)) {
          copy = CreateAlgorithm_1.create_processingInstruction(document, node._target, node._data);
        } else if (util_1.Guard.isDocumentFragmentNode(node)) {
          copy = CreateAlgorithm_1.create_documentFragment(document);
        } else {
          copy = Object.create(node);
        }
      }
      if (util_1.Guard.isDocumentNode(copy)) {
        copy._nodeDocument = copy;
        document = copy;
      } else {
        copy._nodeDocument = document;
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runCloningSteps(copy, node, document, cloneChildrenFlag);
      }
      if (cloneChildrenFlag) {
        try {
          for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
            var child = _f.value;
            var childCopy = node_clone(child, document, true);
            MutationAlgorithm_1.mutation_append(childCopy, copy);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      return copy;
    }
    exports2.node_clone = node_clone;
    function node_equals(a, b) {
      var e_3, _a, e_4, _b;
      if (a._nodeType !== b._nodeType)
        return false;
      if (util_1.Guard.isDocumentTypeNode(a) && util_1.Guard.isDocumentTypeNode(b)) {
        if (a._name !== b._name || a._publicId !== b._publicId || a._systemId !== b._systemId)
          return false;
      } else if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        if (a._namespace !== b._namespace || a._namespacePrefix !== b._namespacePrefix || a._localName !== b._localName || a._attributeList.length !== b._attributeList.length)
          return false;
      } else if (util_1.Guard.isAttrNode(a) && util_1.Guard.isAttrNode(b)) {
        if (a._namespace !== b._namespace || a._localName !== b._localName || a._value !== b._value)
          return false;
      } else if (util_1.Guard.isProcessingInstructionNode(a) && util_1.Guard.isProcessingInstructionNode(b)) {
        if (a._target !== b._target || a._data !== b._data)
          return false;
      } else if (util_1.Guard.isCharacterDataNode(a) && util_1.Guard.isCharacterDataNode(b)) {
        if (a._data !== b._data)
          return false;
      }
      if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        var attrMap = {};
        try {
          for (var _c = __values(a._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attrA = _d.value;
            attrMap[attrA._localName] = attrA;
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var _e = __values(b._attributeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var attrB = _f.value;
            var attrA = attrMap[attrB._localName];
            if (!attrA)
              return false;
            if (!node_equals(attrA, attrB))
              return false;
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      if (a._children.size !== b._children.size)
        return false;
      var itA = a._children[Symbol.iterator]();
      var itB = b._children[Symbol.iterator]();
      var resultA = itA.next();
      var resultB = itB.next();
      while (!resultA.done && !resultB.done) {
        var child1 = resultA.value;
        var child2 = resultB.value;
        if (!node_equals(child1, child2))
          return false;
        resultA = itA.next();
        resultB = itB.next();
      }
      return true;
    }
    exports2.node_equals = node_equals;
    function node_listOfElementsWithQualifiedName(qualifiedName, root) {
      if (qualifiedName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (root._nodeDocument._type === "html") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          if (ele._namespace === infra_1.namespace.HTML && ele._qualifiedName === qualifiedName.toLowerCase()) {
            return true;
          } else if (ele._namespace !== infra_1.namespace.HTML && ele._qualifiedName === qualifiedName) {
            return true;
          } else {
            return false;
          }
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._qualifiedName === qualifiedName;
        });
      }
    }
    exports2.node_listOfElementsWithQualifiedName = node_listOfElementsWithQualifiedName;
    function node_listOfElementsWithNamespace(namespace, localName, root) {
      if (namespace === "")
        namespace = null;
      if (namespace === "*" && localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (namespace === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName;
        });
      } else if (localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._namespace === namespace;
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName && ele._namespace === namespace;
        });
      }
    }
    exports2.node_listOfElementsWithNamespace = node_listOfElementsWithNamespace;
    function node_listOfElementsWithClassNames(classNames, root) {
      var classes = OrderedSetAlgorithm_1.orderedSet_parse(classNames);
      if (classes.size === 0) {
        return CreateAlgorithm_1.create_htmlCollection(root, function() {
          return false;
        });
      }
      var caseSensitive = root._nodeDocument._mode !== "quirks";
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        var eleClasses = ele.classList;
        return OrderedSetAlgorithm_1.orderedSet_contains(eleClasses._tokenSet, classes, caseSensitive);
      });
    }
    exports2.node_listOfElementsWithClassNames = node_listOfElementsWithClassNames;
    function node_locateANamespacePrefix(element, namespace) {
      if (element._namespace === namespace && element._namespacePrefix !== null) {
        return element._namespacePrefix;
      }
      for (var i = 0; i < element._attributeList.length; i++) {
        var attr = element._attributeList[i];
        if (attr._namespacePrefix === "xmlns" && attr._value === namespace) {
          return attr._localName;
        }
      }
      if (element._parent && util_1.Guard.isElementNode(element._parent)) {
        return node_locateANamespacePrefix(element._parent, namespace);
      }
      return null;
    }
    exports2.node_locateANamespacePrefix = node_locateANamespacePrefix;
    function node_locateANamespace(node, prefix) {
      if (util_1.Guard.isElementNode(node)) {
        if (node._namespace !== null && node._namespacePrefix === prefix) {
          return node._namespace;
        }
        for (var i = 0; i < node._attributeList.length; i++) {
          var attr = node._attributeList[i];
          if (attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === "xmlns" && attr._localName === prefix) {
            return attr._value || null;
          }
          if (prefix === null && attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === null && attr._localName === "xmlns") {
            return attr._value || null;
          }
        }
        if (node.parentElement === null)
          return null;
        return node_locateANamespace(node.parentElement, prefix);
      } else if (util_1.Guard.isDocumentNode(node)) {
        if (node.documentElement === null)
          return null;
        return node_locateANamespace(node.documentElement, prefix);
      } else if (util_1.Guard.isDocumentTypeNode(node) || util_1.Guard.isDocumentFragmentNode(node)) {
        return null;
      } else if (util_1.Guard.isAttrNode(node)) {
        if (node._element === null)
          return null;
        return node_locateANamespace(node._element, prefix);
      } else {
        if (!node._parent || !util_1.Guard.isElementNode(node._parent))
          return null;
        return node_locateANamespace(node._parent, prefix);
      }
    }
    exports2.node_locateANamespace = node_locateANamespace;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js
var require_ParentNodeAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    function parentNode_convertNodesIntoANode(nodes, document) {
      var e_1, _a;
      var node = null;
      for (var i = 0; i < nodes.length; i++) {
        var item = nodes[i];
        if (util_1.isString(item)) {
          var text = CreateAlgorithm_1.create_text(document, item);
          nodes[i] = text;
        }
      }
      if (nodes.length === 1) {
        node = nodes[0];
      } else {
        node = CreateAlgorithm_1.create_documentFragment(document);
        var ns = node;
        try {
          for (var nodes_1 = __values(nodes), nodes_1_1 = nodes_1.next(); !nodes_1_1.done; nodes_1_1 = nodes_1.next()) {
            var item = nodes_1_1.value;
            ns.appendChild(item);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (nodes_1_1 && !nodes_1_1.done && (_a = nodes_1.return))
              _a.call(nodes_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      return node;
    }
    exports2.parentNode_convertNodesIntoANode = parentNode_convertNodesIntoANode;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js
var require_TextAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var DOMException_1 = require_DOMException3();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm3();
    var MutationAlgorithm_1 = require_MutationAlgorithm3();
    function text_contiguousTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousTextNodes = text_contiguousTextNodes;
    function text_contiguousExclusiveTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isExclusiveTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousExclusiveTextNodes = text_contiguousExclusiveTextNodes;
    function text_descendantTextContent(node) {
      var contents = "";
      var text = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, false, function(e) {
        return util_1.Guard.isTextNode(e);
      });
      while (text !== null) {
        contents += text._data;
        text = TreeAlgorithm_1.tree_getNextDescendantNode(node, text, false, false, function(e) {
          return util_1.Guard.isTextNode(e);
        });
      }
      return contents;
    }
    exports2.text_descendantTextContent = text_descendantTextContent;
    function text_split(node, offset) {
      var e_1, _a;
      var length = node._data.length;
      if (offset > length) {
        throw new DOMException_1.IndexSizeError();
      }
      var count = length - offset;
      var newData = CharacterDataAlgorithm_1.characterData_substringData(node, offset, count);
      var newNode = CreateAlgorithm_1.create_text(node._nodeDocument, newData);
      var parent = node._parent;
      if (parent !== null) {
        MutationAlgorithm_1.mutation_insert(newNode, parent, node._nextSibling);
        try {
          for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
            var range = _c.value;
            if (range._start[0] === node && range._start[1] > offset) {
              range._start[0] = newNode;
              range._start[1] -= offset;
            }
            if (range._end[0] === node && range._end[1] > offset) {
              range._end[0] = newNode;
              range._end[1] -= offset;
            }
            var index = TreeAlgorithm_1.tree_index(node);
            if (range._start[0] === parent && range._start[1] === index + 1) {
              range._start[1]++;
            }
            if (range._end[0] === parent && range._end[1] === index + 1) {
              range._end[1]++;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      CharacterDataAlgorithm_1.characterData_replaceData(node, offset, count, "");
      return newNode;
    }
    exports2.text_split = text_split;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js
var require_RangeAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var DOMException_1 = require_DOMException3();
    var util_1 = require_util16();
    var CreateAlgorithm_1 = require_CreateAlgorithm3();
    var TreeAlgorithm_1 = require_TreeAlgorithm3();
    var BoundaryPointAlgorithm_1 = require_BoundaryPointAlgorithm3();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm3();
    var NodeAlgorithm_1 = require_NodeAlgorithm3();
    var MutationAlgorithm_1 = require_MutationAlgorithm3();
    var TextAlgorithm_1 = require_TextAlgorithm3();
    function range_collapsed(range) {
      return range._startNode === range._endNode && range._startOffset === range._endOffset;
    }
    exports2.range_collapsed = range_collapsed;
    function range_root(range) {
      return TreeAlgorithm_1.tree_rootNode(range._startNode);
    }
    exports2.range_root = range_root;
    function range_isContained(node, range) {
      return TreeAlgorithm_1.tree_rootNode(node) === range_root(range) && BoundaryPointAlgorithm_1.boundaryPoint_position([node, 0], range._start) === interfaces_1.BoundaryPosition.After && BoundaryPointAlgorithm_1.boundaryPoint_position([node, TreeAlgorithm_1.tree_nodeLength(node)], range._end) === interfaces_1.BoundaryPosition.Before;
    }
    exports2.range_isContained = range_isContained;
    function range_isPartiallyContained(node, range) {
      var startCheck = TreeAlgorithm_1.tree_isAncestorOf(range._startNode, node, true);
      var endCheck = TreeAlgorithm_1.tree_isAncestorOf(range._endNode, node, true);
      return startCheck && !endCheck || !startCheck && endCheck;
    }
    exports2.range_isPartiallyContained = range_isPartiallyContained;
    function range_setTheStart(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._end) === interfaces_1.BoundaryPosition.After) {
        range._end = bp;
      }
      range._start = bp;
    }
    exports2.range_setTheStart = range_setTheStart;
    function range_setTheEnd(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._start) === interfaces_1.BoundaryPosition.Before) {
        range._start = bp;
      }
      range._end = bp;
    }
    exports2.range_setTheEnd = range_setTheEnd;
    function range_select(node, range) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError();
      var index = TreeAlgorithm_1.tree_index(node);
      range._start = [parent, index];
      range._end = [parent, index + 1];
    }
    exports2.range_select = range_select;
    function range_extract(range) {
      var e_1, _a, e_2, _b, e_3, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
        return fragment;
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      var newNode;
      var newOffset;
      if (TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        newNode = originalStartNode;
        newOffset = originalStartOffset;
      } else {
        var referenceNode = originalStartNode;
        while (referenceNode._parent !== null && !TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent)) {
          referenceNode = referenceNode._parent;
        }
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        newNode = referenceNode._parent;
        newOffset = 1 + TreeAlgorithm_1.tree_index(referenceNode);
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_1 = __values(containedChildren), containedChildren_1_1 = containedChildren_1.next(); !containedChildren_1_1.done; containedChildren_1_1 = containedChildren_1.next()) {
          var child = containedChildren_1_1.value;
          MutationAlgorithm_1.mutation_append(child, fragment);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (containedChildren_1_1 && !containedChildren_1_1.done && (_c = containedChildren_1.return))
            _c.call(containedChildren_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      range._start = [newNode, newOffset];
      range._end = [newNode, newOffset];
      return fragment;
    }
    exports2.range_extract = range_extract;
    function range_cloneTheContents(range) {
      var e_4, _a, e_5, _b, e_6, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_cloneTheContents(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_2 = __values(containedChildren), containedChildren_2_1 = containedChildren_2.next(); !containedChildren_2_1.done; containedChildren_2_1 = containedChildren_2.next()) {
          var child = containedChildren_2_1.value;
          var clone = NodeAlgorithm_1.node_clone(child);
          MutationAlgorithm_1.mutation_append(clone, fragment);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (containedChildren_2_1 && !containedChildren_2_1.done && (_c = containedChildren_2.return))
            _c.call(containedChildren_2);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        fragment.append(clone);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      return fragment;
    }
    exports2.range_cloneTheContents = range_cloneTheContents;
    function range_insert(node, range) {
      var e_7, _a;
      if (util_1.Guard.isProcessingInstructionNode(range._startNode) || util_1.Guard.isCommentNode(range._startNode) || util_1.Guard.isTextNode(range._startNode) && range._startNode._parent === null || range._startNode === node) {
        throw new DOMException_1.HierarchyRequestError();
      }
      var referenceNode = null;
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = range._startNode;
      } else {
        var index = 0;
        try {
          for (var _b = __values(range._startNode._children), _c = _b.next(); !_c.done; _c = _b.next()) {
            var child = _c.value;
            if (index === range._startOffset) {
              referenceNode = child;
              break;
            }
            index++;
          }
        } catch (e_7_1) {
          e_7 = { error: e_7_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_7)
              throw e_7.error;
          }
        }
      }
      var parent;
      if (referenceNode === null) {
        parent = range._startNode;
      } else {
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        parent = referenceNode._parent;
      }
      MutationAlgorithm_1.mutation_ensurePreInsertionValidity(node, parent, referenceNode);
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = TextAlgorithm_1.text_split(range._startNode, range._startOffset);
      }
      if (node === referenceNode) {
        referenceNode = node._nextSibling;
      }
      if (node._parent !== null) {
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      }
      var newOffset = referenceNode === null ? TreeAlgorithm_1.tree_nodeLength(parent) : TreeAlgorithm_1.tree_index(referenceNode);
      if (util_1.Guard.isDocumentFragmentNode(node)) {
        newOffset += TreeAlgorithm_1.tree_nodeLength(node);
      } else {
        newOffset++;
      }
      MutationAlgorithm_1.mutation_preInsert(node, parent, referenceNode);
      if (range_collapsed(range)) {
        range._end = [parent, newOffset];
      }
    }
    exports2.range_insert = range_insert;
    function range_getContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getContainedNodes = range_getContainedNodes;
    function range_getPartiallyContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isPartiallyContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getPartiallyContainedNodes = range_getPartiallyContainedNodes;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js
var require_SelectorsAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException3();
    function selectors_scopeMatchASelectorsString(selectors, node) {
      throw new DOMException_1.NotSupportedError();
    }
    exports2.selectors_scopeMatchASelectorsString = selectors_scopeMatchASelectorsString;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js
var require_TreeWalkerAlgorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm3();
    function treeWalker_traverseChildren(walker, first) {
      var node = first ? walker._current._firstChild : walker._current._lastChild;
      while (node !== null) {
        var result = TraversalAlgorithm_1.traversal_filter(walker, node);
        if (result === interfaces_1.FilterResult.Accept) {
          walker._current = node;
          return node;
        } else if (result === interfaces_1.FilterResult.Skip) {
          var child = first ? node._firstChild : node._lastChild;
          if (child !== null) {
            node = child;
            continue;
          }
        }
        while (node !== null) {
          var sibling = first ? node._nextSibling : node._previousSibling;
          if (sibling !== null) {
            node = sibling;
            break;
          }
          var parent = node._parent;
          if (parent === null || parent === walker._root || parent === walker._current) {
            return null;
          }
          node = parent;
        }
      }
      return null;
    }
    exports2.treeWalker_traverseChildren = treeWalker_traverseChildren;
    function treeWalker_traverseSiblings(walker, next) {
      var node = walker._current;
      if (node === walker._root)
        return null;
      while (true) {
        var sibling = next ? node._nextSibling : node._previousSibling;
        while (sibling !== null) {
          node = sibling;
          var result = TraversalAlgorithm_1.traversal_filter(walker, node);
          if (result === interfaces_1.FilterResult.Accept) {
            walker._current = node;
            return node;
          }
          sibling = next ? node._firstChild : node._lastChild;
          if (result === interfaces_1.FilterResult.Reject || sibling === null) {
            sibling = next ? node._nextSibling : node._previousSibling;
          }
        }
        node = node._parent;
        if (node === null || node === walker._root) {
          return null;
        }
        if (TraversalAlgorithm_1.traversal_filter(walker, node) === interfaces_1.FilterResult.Accept) {
          return null;
        }
      }
    }
    exports2.treeWalker_traverseSiblings = treeWalker_traverseSiblings;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/algorithm/index.js
var require_algorithm3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/algorithm/index.js"(exports2) {
    "use strict";
    function __export(m) {
      for (var p in m)
        if (!exports2.hasOwnProperty(p))
          exports2[p] = m[p];
    }
    Object.defineProperty(exports2, "__esModule", { value: true });
    __export(require_AbortAlgorithm3());
    __export(require_AttrAlgorithm3());
    __export(require_BoundaryPointAlgorithm3());
    __export(require_CharacterDataAlgorithm3());
    __export(require_CreateAlgorithm3());
    __export(require_CustomElementAlgorithm3());
    __export(require_DocumentAlgorithm3());
    __export(require_DOMAlgorithm3());
    __export(require_DOMTokenListAlgorithm3());
    __export(require_ElementAlgorithm3());
    __export(require_EventAlgorithm3());
    __export(require_EventTargetAlgorithm3());
    __export(require_MutationAlgorithm3());
    __export(require_MutationObserverAlgorithm3());
    __export(require_NamespaceAlgorithm3());
    __export(require_NodeAlgorithm3());
    __export(require_NodeIteratorAlgorithm3());
    __export(require_OrderedSetAlgorithm3());
    __export(require_ParentNodeAlgorithm3());
    __export(require_RangeAlgorithm3());
    __export(require_SelectorsAlgorithm3());
    __export(require_ShadowTreeAlgorithm3());
    __export(require_TextAlgorithm3());
    __export(require_TraversalAlgorithm3());
    __export(require_TreeAlgorithm3());
    __export(require_TreeWalkerAlgorithm3());
    __export(require_WebIDLAlgorithm3());
    __export(require_XMLAlgorithm3());
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/constants.js
var require_constants9 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.nonEntityAmpersandRegex = /&(?![A-Za-z]+;|#\d+;)/g;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/BaseWriter.js
var require_BaseWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/BaseWriter.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var LocalNameSet_1 = require_LocalNameSet3();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap3();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var constants_1 = require_constants9();
    var BaseWriter = (
      /** @class */
      function() {
        function BaseWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
        }
        BaseWriter2.prototype.declaration = function(version, encoding, standalone) {
        };
        BaseWriter2.prototype.docType = function(name, publicId, systemId) {
        };
        BaseWriter2.prototype.comment = function(data) {
        };
        BaseWriter2.prototype.text = function(data) {
        };
        BaseWriter2.prototype.instruction = function(target, data) {
        };
        BaseWriter2.prototype.cdata = function(data) {
        };
        BaseWriter2.prototype.openTagBegin = function(name) {
        };
        BaseWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
        };
        BaseWriter2.prototype.closeTag = function(name) {
        };
        BaseWriter2.prototype.attributes = function(attributes) {
          var e_1, _a;
          try {
            for (var attributes_1 = __values(attributes), attributes_1_1 = attributes_1.next(); !attributes_1_1.done; attributes_1_1 = attributes_1.next()) {
              var attr = attributes_1_1.value;
              this.attribute(attr[1] === null ? attr[2] : attr[1] + ":" + attr[2], attr[3]);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (attributes_1_1 && !attributes_1_1.done && (_a = attributes_1.return))
                _a.call(attributes_1);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        BaseWriter2.prototype.attribute = function(name, value) {
        };
        BaseWriter2.prototype.beginElement = function(name) {
        };
        BaseWriter2.prototype.endElement = function(name) {
        };
        BaseWriter2.prototype.serializeNode = function(node, requireWellFormed) {
          var hasNamespaces = node._nodeDocument !== void 0 && node._nodeDocument._hasNamespaces;
          this.level = 0;
          this.currentNode = node;
          if (hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          } else {
            this._serializeNode(node, requireWellFormed);
          }
        };
        BaseWriter2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeNode = function(node, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElement(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocument(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          var attributes = [];
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this.beginElement(qualifiedName);
            this.openTagBegin(qualifiedName);
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                "xmlns",
                prefix,
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                null,
                "xmlns",
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            }
          }
          attributes.push.apply(attributes, __spread(this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed)));
          this.attributes(attributes);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && BaseWriter2._VoidElementNames.has(node.localName)) {
            this.openTagEnd(qualifiedName, true, true);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                this.level++;
                this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
                this.level--;
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_3, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          var attributes = this._serializeAttributes(node, requireWellFormed);
          this.attributes(attributes);
          if (!node.hasChildNodes()) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this.level++;
              this._serializeNode(childNode, requireWellFormed);
              this.level--;
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_4, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_5, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        BaseWriter2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          this.comment(node.data);
        };
        BaseWriter2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var markup = node.data.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this.text(markup);
        };
        BaseWriter2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_6, _a;
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_7, _a;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          this.docType(node.name, node.publicId, node.systemId);
        };
        BaseWriter2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          this.instruction(node.target, node.data);
        };
        BaseWriter2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          this.cdata(node.data);
        };
        BaseWriter2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_8, _a;
          var result = [];
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result.push([
                    null,
                    "xmlns",
                    candidatePrefix,
                    this._serializeAttributeValue(attributeNamespace, requireWellFormed)
                  ]);
                }
              }
              var attrName = "";
              if (candidatePrefix !== null) {
                attrName = candidatePrefix;
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                attributeNamespace,
                candidatePrefix,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = [];
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                null,
                null,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_10, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_10_1) {
            e_10 = { error: e_10_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_10)
                throw e_10.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        BaseWriter2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value.toString();
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        BaseWriter2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          return value.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        BaseWriter2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return BaseWriter2;
      }()
    );
    exports2.BaseWriter = BaseWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js
var require_ObjectWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var interfaces_1 = require_interfaces10();
    var BaseWriter_1 = require_BaseWriter3();
    var ObjectWriter = (
      /** @class */
      function(_super) {
        __extends(ObjectWriter2, _super);
        function ObjectWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "object",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        ObjectWriter2.prototype.serialize = function(node) {
          this._currentList = [];
          this._currentIndex = 0;
          this._listRegister = [this._currentList];
          this.serializeNode(node, this._writerOptions.wellFormed);
          return this._process(this._currentList, this._writerOptions);
        };
        ObjectWriter2.prototype._process = function(items, options) {
          var _a, _b, _c, _d, _e, _f, _g;
          if (items.length === 0)
            return {};
          var namesSeen = {};
          var hasNonUniqueNames = false;
          var textCount = 0;
          var commentCount = 0;
          var instructionCount = 0;
          var cdataCount = 0;
          for (var i = 0; i < items.length; i++) {
            var item = items[i];
            var key = Object.keys(item)[0];
            switch (key) {
              case "@":
                continue;
              case "#":
                textCount++;
                break;
              case "!":
                commentCount++;
                break;
              case "?":
                instructionCount++;
                break;
              case "$":
                cdataCount++;
                break;
              default:
                if (namesSeen[key]) {
                  hasNonUniqueNames = true;
                } else {
                  namesSeen[key] = true;
                }
                break;
            }
          }
          var defAttrKey = this._getAttrKey();
          var defTextKey = this._getNodeKey(interfaces_1.NodeType.Text);
          var defCommentKey = this._getNodeKey(interfaces_1.NodeType.Comment);
          var defInstructionKey = this._getNodeKey(interfaces_1.NodeType.ProcessingInstruction);
          var defCdataKey = this._getNodeKey(interfaces_1.NodeType.CData);
          if (textCount === 1 && items.length === 1 && util_1.isString(items[0]["#"])) {
            return items[0]["#"];
          } else if (hasNonUniqueNames) {
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              if (key === "@") {
                var attrs = item["@"];
                var attrKeys = Object.keys(attrs);
                if (attrKeys.length === 1) {
                  obj[defAttrKey + attrKeys[0]] = attrs[attrKeys[0]];
                } else {
                  obj[defAttrKey] = item["@"];
                }
              }
            }
            var result = [];
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  break;
                case "#":
                  result.push((_a = {}, _a[defTextKey] = item["#"], _a));
                  break;
                case "!":
                  result.push((_b = {}, _b[defCommentKey] = item["!"], _b));
                  break;
                case "?":
                  result.push((_c = {}, _c[defInstructionKey] = item["?"], _c));
                  break;
                case "$":
                  result.push((_d = {}, _d[defCdataKey] = item["$"], _d));
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_1 = 0; i_1 < listOfLists.length; i_1++) {
                      eleGroup.push(this._process(listOfLists[i_1], options));
                    }
                    result.push((_e = {}, _e[key] = eleGroup, _e));
                  } else {
                    if (options.verbose) {
                      result.push((_f = {}, _f[key] = [this._process(ele[key], options)], _f));
                    } else {
                      result.push((_g = {}, _g[key] = this._process(ele[key], options), _g));
                    }
                  }
                  break;
              }
            }
            obj[defTextKey] = result;
            return obj;
          } else {
            var textId = 1;
            var commentId = 1;
            var instructionId = 1;
            var cdataId = 1;
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  var attrs = item["@"];
                  var attrKeys = Object.keys(attrs);
                  if (!options.group || attrKeys.length === 1) {
                    for (var attrName in attrs) {
                      obj[defAttrKey + attrName] = attrs[attrName];
                    }
                  } else {
                    obj[defAttrKey] = attrs;
                  }
                  break;
                case "#":
                  textId = this._processSpecItem(item["#"], obj, options.group, defTextKey, textCount, textId);
                  break;
                case "!":
                  commentId = this._processSpecItem(item["!"], obj, options.group, defCommentKey, commentCount, commentId);
                  break;
                case "?":
                  instructionId = this._processSpecItem(item["?"], obj, options.group, defInstructionKey, instructionCount, instructionId);
                  break;
                case "$":
                  cdataId = this._processSpecItem(item["$"], obj, options.group, defCdataKey, cdataCount, cdataId);
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_2 = 0; i_2 < listOfLists.length; i_2++) {
                      eleGroup.push(this._process(listOfLists[i_2], options));
                    }
                    obj[key] = eleGroup;
                  } else {
                    if (options.verbose) {
                      obj[key] = [this._process(ele[key], options)];
                    } else {
                      obj[key] = this._process(ele[key], options);
                    }
                  }
                  break;
              }
            }
            return obj;
          }
        };
        ObjectWriter2.prototype._processSpecItem = function(item, obj, group, defKey, count, id) {
          var e_1, _a;
          if (!group && util_1.isArray(item) && count + item.length > 2) {
            try {
              for (var item_1 = __values(item), item_1_1 = item_1.next(); !item_1_1.done; item_1_1 = item_1.next()) {
                var subItem = item_1_1.value;
                var key = defKey + (id++).toString();
                obj[key] = subItem;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (item_1_1 && !item_1_1.done && (_a = item_1.return))
                  _a.call(item_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var key = count > 1 ? defKey + (id++).toString() : defKey;
            obj[key] = item;
          }
          return id;
        };
        ObjectWriter2.prototype.beginElement = function(name) {
          var _a, _b;
          var childItems = [];
          if (this._currentList.length === 0) {
            this._currentList.push((_a = {}, _a[name] = childItems, _a));
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isElementNode(lastItem, name)) {
              if (lastItem[name].length !== 0 && util_1.isArray(lastItem[name][0])) {
                var listOfLists = lastItem[name];
                listOfLists.push(childItems);
              } else {
                lastItem[name] = [lastItem[name], childItems];
              }
            } else {
              this._currentList.push((_b = {}, _b[name] = childItems, _b));
            }
          }
          this._currentIndex++;
          if (this._listRegister.length > this._currentIndex) {
            this._listRegister[this._currentIndex] = childItems;
          } else {
            this._listRegister.push(childItems);
          }
          this._currentList = childItems;
        };
        ObjectWriter2.prototype.endElement = function() {
          this._currentList = this._listRegister[--this._currentIndex];
        };
        ObjectWriter2.prototype.attribute = function(name, value) {
          var _a, _b;
          if (this._currentList.length === 0) {
            this._currentList.push({ "@": (_a = {}, _a[name] = value, _a) });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isAttrNode(lastItem)) {
              lastItem["@"][name] = value;
            } else {
              this._currentList.push({ "@": (_b = {}, _b[name] = value, _b) });
            }
          }
        };
        ObjectWriter2.prototype.comment = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "!": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCommentNode(lastItem)) {
              if (util_1.isArray(lastItem["!"])) {
                lastItem["!"].push(data);
              } else {
                lastItem["!"] = [lastItem["!"], data];
              }
            } else {
              this._currentList.push({ "!": data });
            }
          }
        };
        ObjectWriter2.prototype.text = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "#": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isTextNode(lastItem)) {
              if (util_1.isArray(lastItem["#"])) {
                lastItem["#"].push(data);
              } else {
                lastItem["#"] = [lastItem["#"], data];
              }
            } else {
              this._currentList.push({ "#": data });
            }
          }
        };
        ObjectWriter2.prototype.instruction = function(target, data) {
          var value = data === "" ? target : target + " " + data;
          if (this._currentList.length === 0) {
            this._currentList.push({ "?": value });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isInstructionNode(lastItem)) {
              if (util_1.isArray(lastItem["?"])) {
                lastItem["?"].push(value);
              } else {
                lastItem["?"] = [lastItem["?"], value];
              }
            } else {
              this._currentList.push({ "?": value });
            }
          }
        };
        ObjectWriter2.prototype.cdata = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "$": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCDATANode(lastItem)) {
              if (util_1.isArray(lastItem["$"])) {
                lastItem["$"].push(data);
              } else {
                lastItem["$"] = [lastItem["$"], data];
              }
            } else {
              this._currentList.push({ "$": data });
            }
          }
        };
        ObjectWriter2.prototype._isAttrNode = function(x) {
          return "@" in x;
        };
        ObjectWriter2.prototype._isTextNode = function(x) {
          return "#" in x;
        };
        ObjectWriter2.prototype._isCommentNode = function(x) {
          return "!" in x;
        };
        ObjectWriter2.prototype._isInstructionNode = function(x) {
          return "?" in x;
        };
        ObjectWriter2.prototype._isCDATANode = function(x) {
          return "$" in x;
        };
        ObjectWriter2.prototype._isElementNode = function(x, name) {
          return name in x;
        };
        ObjectWriter2.prototype._getAttrKey = function() {
          return this._builderOptions.convert.att;
        };
        ObjectWriter2.prototype._getNodeKey = function(nodeType) {
          switch (nodeType) {
            case interfaces_1.NodeType.Comment:
              return this._builderOptions.convert.comment;
            case interfaces_1.NodeType.Text:
              return this._builderOptions.convert.text;
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._builderOptions.convert.ins;
            case interfaces_1.NodeType.CData:
              return this._builderOptions.convert.cdata;
            default:
              throw new Error("Invalid node type.");
          }
        };
        return ObjectWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.ObjectWriter = ObjectWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/MapWriter.js
var require_MapWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/MapWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var ObjectWriter_1 = require_ObjectWriter3();
    var BaseWriter_1 = require_BaseWriter3();
    var MapWriter = (
      /** @class */
      function(_super) {
        __extends(MapWriter2, _super);
        function MapWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "map",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        MapWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false,
            verbose: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._convertObject(val);
        };
        MapWriter2.prototype._convertObject = function(obj) {
          if (util_1.isArray(obj)) {
            for (var i = 0; i < obj.length; i++) {
              obj[i] = this._convertObject(obj[i]);
            }
            return obj;
          } else if (util_1.isObject(obj)) {
            var map = /* @__PURE__ */ new Map();
            for (var key in obj) {
              map.set(key, this._convertObject(obj[key]));
            }
            return map;
          } else {
            return obj;
          }
        };
        return MapWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.MapWriter = MapWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/XMLWriter.js
var require_XMLWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/XMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var interfaces_1 = require_interfaces10();
    var BaseWriter_1 = require_BaseWriter3();
    var util_2 = require_util16();
    var XMLWriter = (
      /** @class */
      function(_super) {
        __extends(XMLWriter2, _super);
        function XMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._indentation = {};
          _this._lengthToLastNewline = 0;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            headless: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            width: 0,
            allowEmptyTags: false,
            indentTextOnlyNodes: false,
            spaceBeforeSlash: false
          });
          return _this;
        }
        XMLWriter2.prototype.serialize = function(node) {
          this._refs = { suppressPretty: false, emptyNode: false, markup: "" };
          if (node.nodeType === interfaces_1.NodeType.Document && !this._writerOptions.headless) {
            this.declaration(this._builderOptions.version, this._builderOptions.encoding, this._builderOptions.standalone);
          }
          this.serializeNode(node, this._writerOptions.wellFormed);
          if (this._writerOptions.prettyPrint && this._refs.markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            this._refs.markup = this._refs.markup.slice(0, -this._writerOptions.newline.length);
          }
          return this._refs.markup;
        };
        XMLWriter2.prototype.declaration = function(version, encoding, standalone) {
          this._beginLine();
          this._refs.markup += '<?xml version="' + version + '"';
          if (encoding !== void 0) {
            this._refs.markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            this._refs.markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          this._refs.markup += "?>";
          this._endLine();
        };
        XMLWriter2.prototype.docType = function(name, publicId, systemId) {
          this._beginLine();
          if (publicId && systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            this._refs.markup += "<!DOCTYPE " + name + ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.openTagBegin = function(name) {
          this._beginLine();
          this._refs.markup += "<" + name;
        };
        XMLWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          if (this._writerOptions.prettyPrint && !selfClosing && !voidElement) {
            var textOnlyNode = true;
            var emptyNode = true;
            var childNode = this.currentNode.firstChild;
            var cdataCount = 0;
            var textCount = 0;
            while (childNode) {
              if (util_2.Guard.isExclusiveTextNode(childNode)) {
                textCount++;
              } else if (util_2.Guard.isCDATASectionNode(childNode)) {
                cdataCount++;
              } else {
                textOnlyNode = false;
                emptyNode = false;
                break;
              }
              if (childNode.data !== "") {
                emptyNode = false;
              }
              childNode = childNode.nextSibling;
            }
            this._refs.suppressPretty = !this._writerOptions.indentTextOnlyNodes && textOnlyNode && (cdataCount <= 1 && textCount === 0 || cdataCount === 0);
            this._refs.emptyNode = emptyNode;
          }
          if ((voidElement || selfClosing || this._refs.emptyNode) && this._writerOptions.allowEmptyTags) {
            this._refs.markup += "></" + name + ">";
          } else {
            this._refs.markup += voidElement ? " />" : selfClosing || this._refs.emptyNode ? this._writerOptions.spaceBeforeSlash ? " />" : "/>" : ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.closeTag = function(name) {
          if (!this._refs.emptyNode) {
            this._beginLine();
            this._refs.markup += "</" + name + ">";
          }
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          this._endLine();
        };
        XMLWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._refs.markup.length - this._lengthToLastNewline + 1 + str.length > this._writerOptions.width) {
            this._endLine();
            this._beginLine();
            this._refs.markup += this._indent(1) + str;
          } else {
            this._refs.markup += " " + str;
          }
        };
        XMLWriter2.prototype.text = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += data;
            this._endLine();
          }
        };
        XMLWriter2.prototype.cdata = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += "<![CDATA[" + data + "]]>";
            this._endLine();
          }
        };
        XMLWriter2.prototype.comment = function(data) {
          this._beginLine();
          this._refs.markup += "<!--" + data + "-->";
          this._endLine();
        };
        XMLWriter2.prototype.instruction = function(target, data) {
          this._beginLine();
          this._refs.markup += "<?" + (data === "" ? target : target + " " + data) + "?>";
          this._endLine();
        };
        XMLWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._indent(this._writerOptions.offset + this.level);
          }
        };
        XMLWriter2.prototype._endLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._writerOptions.newline;
            this._lengthToLastNewline = this._refs.markup.length;
          }
        };
        XMLWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else if (this._indentation[level] !== void 0) {
            return this._indentation[level];
          } else {
            var str = this._writerOptions.indent.repeat(level);
            this._indentation[level] = str;
            return str;
          }
        };
        return XMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.XMLWriter = XMLWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/JSONWriter.js
var require_JSONWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/JSONWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter3();
    var util_1 = require_lib12();
    var BaseWriter_1 = require_BaseWriter3();
    var JSONWriter = (
      /** @class */
      function(_super) {
        __extends(JSONWriter2, _super);
        function JSONWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          return _this;
        }
        JSONWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._beginLine(this._writerOptions, 0) + this._convertObject(val, this._writerOptions);
        };
        JSONWriter2.prototype._convertObject = function(obj, options, level) {
          var e_1, _a;
          var _this = this;
          if (level === void 0) {
            level = 0;
          }
          var markup = "";
          var isLeaf = this._isLeafNode(obj);
          if (util_1.isArray(obj)) {
            markup += "[";
            var len = obj.length;
            var i = 0;
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._endLine(options, level + 1) + this._beginLine(options, level + 1) + this._convertObject(val, options, level + 1);
                if (i < len - 1) {
                  markup += ",";
                }
                i++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            markup += this._endLine(options, level) + this._beginLine(options, level);
            markup += "]";
          } else if (util_1.isObject(obj)) {
            markup += "{";
            var len_1 = util_1.objectLength(obj);
            var i_1 = 0;
            util_1.forEachObject(obj, function(key, val2) {
              if (isLeaf && options.prettyPrint) {
                markup += " ";
              } else {
                markup += _this._endLine(options, level + 1) + _this._beginLine(options, level + 1);
              }
              markup += _this._key(key);
              if (options.prettyPrint) {
                markup += " ";
              }
              markup += _this._convertObject(val2, options, level + 1);
              if (i_1 < len_1 - 1) {
                markup += ",";
              }
              i_1++;
            }, this);
            if (isLeaf && options.prettyPrint) {
              markup += " ";
            } else {
              markup += this._endLine(options, level) + this._beginLine(options, level);
            }
            markup += "}";
          } else {
            markup += this._val(obj);
          }
          return markup;
        };
        JSONWriter2.prototype._beginLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            var indentLevel = options.offset + level + 1;
            if (indentLevel > 0) {
              return new Array(indentLevel).join(options.indent);
            }
          }
          return "";
        };
        JSONWriter2.prototype._endLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            return options.newline;
          }
        };
        JSONWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        JSONWriter2.prototype._isLeafNode = function(obj) {
          return this._descendantCount(obj) <= 1;
        };
        JSONWriter2.prototype._descendantCount = function(obj, count) {
          var _this = this;
          if (count === void 0) {
            count = 0;
          }
          if (util_1.isArray(obj)) {
            util_1.forEachArray(obj, function(val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else if (util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else {
            count++;
          }
          return count;
        };
        return JSONWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.JSONWriter = JSONWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js
var require_YAMLWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter3();
    var util_1 = require_lib12();
    var BaseWriter_1 = require_BaseWriter3();
    var YAMLWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLWriter2, _super);
        function YAMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          if (_this._writerOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (_this._writerOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          var markup = this._beginLine(this._writerOptions, 0) + "---" + this._endLine(this._writerOptions) + this._convertObject(val, this._writerOptions, 0);
          if (markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            markup = markup.slice(0, -this._writerOptions.newline.length);
          }
          return markup;
        };
        YAMLWriter2.prototype._convertObject = function(obj, options, level, suppressIndent) {
          var e_1, _a;
          var _this = this;
          if (suppressIndent === void 0) {
            suppressIndent = false;
          }
          var markup = "";
          if (util_1.isArray(obj)) {
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._beginLine(options, level, true);
                if (!util_1.isObject(val)) {
                  markup += this._val(val) + this._endLine(options);
                } else if (util_1.isEmpty(val)) {
                  markup += '""' + this._endLine(options);
                } else {
                  markup += this._convertObject(val, options, level, true);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            util_1.forEachObject(obj, function(key, val2) {
              if (suppressIndent) {
                markup += _this._key(key);
                suppressIndent = false;
              } else {
                markup += _this._beginLine(options, level) + _this._key(key);
              }
              if (!util_1.isObject(val2)) {
                markup += " " + _this._val(val2) + _this._endLine(options);
              } else if (util_1.isEmpty(val2)) {
                markup += ' ""' + _this._endLine(options);
              } else {
                markup += _this._endLine(options) + _this._convertObject(val2, options, level + 1);
              }
            }, this);
          }
          return markup;
        };
        YAMLWriter2.prototype._beginLine = function(options, level, isArray) {
          if (isArray === void 0) {
            isArray = false;
          }
          var indentLevel = options.offset + level + 1;
          var chars = new Array(indentLevel).join(options.indent);
          if (isArray) {
            return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
          } else {
            return chars;
          }
        };
        YAMLWriter2.prototype._endLine = function(options) {
          return options.newline;
        };
        YAMLWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.YAMLWriter = YAMLWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/index.js
var require_writers3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MapWriter_1 = require_MapWriter3();
    exports2.MapWriter = MapWriter_1.MapWriter;
    var XMLWriter_1 = require_XMLWriter3();
    exports2.XMLWriter = XMLWriter_1.XMLWriter;
    var ObjectWriter_1 = require_ObjectWriter3();
    exports2.ObjectWriter = ObjectWriter_1.ObjectWriter;
    var JSONWriter_1 = require_JSONWriter3();
    exports2.JSONWriter = JSONWriter_1.JSONWriter;
    var YAMLWriter_1 = require_YAMLWriter3();
    exports2.YAMLWriter = YAMLWriter_1.YAMLWriter;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js
var require_ChildNodeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util16();
    var algorithm_1 = require_algorithm3();
    var ChildNodeImpl = (
      /** @class */
      function() {
        function ChildNodeImpl2() {
        }
        ChildNodeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (parent === null)
            return;
          var viablePreviousSibling = context._previousSibling;
          var flag = true;
          while (flag && viablePreviousSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viablePreviousSibling) {
                viablePreviousSibling = viablePreviousSibling._previousSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (viablePreviousSibling === null)
            viablePreviousSibling = parent._firstChild;
          else
            viablePreviousSibling = viablePreviousSibling._nextSibling;
          algorithm_1.mutation_preInsert(node, parent, viablePreviousSibling);
        };
        ChildNodeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (context._parent === parent)
            algorithm_1.mutation_replace(context, node, parent);
          else
            algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.remove = function() {
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          algorithm_1.mutation_remove(context, parent);
        };
        return ChildNodeImpl2;
      }()
    );
    exports2.ChildNodeImpl = ChildNodeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js
var require_DocumentOrShadowRootImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentOrShadowRootImpl = (
      /** @class */
      function() {
        function DocumentOrShadowRootImpl2() {
        }
        return DocumentOrShadowRootImpl2;
      }()
    );
    exports2.DocumentOrShadowRootImpl = DocumentOrShadowRootImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js
var require_MutationObserverImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl3();
    var util_1 = require_util16();
    var infra_1 = require_lib13();
    var MutationObserverImpl = (
      /** @class */
      function() {
        function MutationObserverImpl2(callback) {
          this._nodeList = [];
          this._recordQueue = [];
          this._callback = callback;
          var window2 = DOMImpl_1.dom.window;
          infra_1.set.append(window2._mutationObservers, this);
        }
        MutationObserverImpl2.prototype.observe = function(target, options) {
          var e_1, _a;
          options = options || {
            childList: false,
            subtree: false
          };
          if ((options.attributeOldValue !== void 0 || options.attributeFilter !== void 0) && options.attributes === void 0) {
            options.attributes = true;
          }
          if (options.characterDataOldValue !== void 0 && options.characterData === void 0) {
            options.characterData = true;
          }
          if (!options.childList && !options.attributes && !options.characterData) {
            throw new TypeError();
          }
          if (options.attributeOldValue && !options.attributes) {
            throw new TypeError();
          }
          if (options.attributeFilter !== void 0 && !options.attributes) {
            throw new TypeError();
          }
          if (options.characterDataOldValue && !options.characterData) {
            throw new TypeError();
          }
          var isRegistered = false;
          var coptions = options;
          var _loop_1 = function(registered2) {
            var e_2, _a2;
            if (registered2.observer === this_1) {
              isRegistered = true;
              try {
                for (var _b2 = (e_2 = void 0, __values(this_1._nodeList)), _c2 = _b2.next(); !_c2.done; _c2 = _b2.next()) {
                  var node = _c2.value;
                  infra_1.list.remove(node._registeredObserverList, function(ob) {
                    return util_1.Guard.isTransientRegisteredObserver(ob) && ob.source === registered2;
                  });
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (_c2 && !_c2.done && (_a2 = _b2.return))
                    _a2.call(_b2);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              registered2.options = coptions;
            }
          };
          var this_1 = this;
          try {
            for (var _b = __values(target._registeredObserverList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var registered = _c.value;
              _loop_1(registered);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (!isRegistered) {
            target._registeredObserverList.push({ observer: this, options });
            this._nodeList.push(target);
          }
        };
        MutationObserverImpl2.prototype.disconnect = function() {
          var e_3, _a;
          var _this = this;
          try {
            for (var _b = __values(this._nodeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              infra_1.list.remove(node._registeredObserverList, function(ob) {
                return ob.observer === _this;
              });
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this._recordQueue = [];
        };
        MutationObserverImpl2.prototype.takeRecords = function() {
          var records = this._recordQueue;
          this._recordQueue = [];
          return records;
        };
        return MutationObserverImpl2;
      }()
    );
    exports2.MutationObserverImpl = MutationObserverImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js
var require_NonDocumentTypeChildNodeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util16();
    var NonDocumentTypeChildNodeImpl = (
      /** @class */
      function() {
        function NonDocumentTypeChildNodeImpl2() {
        }
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "previousElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._previousSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "nextElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._nextSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        return NonDocumentTypeChildNodeImpl2;
      }()
    );
    exports2.NonDocumentTypeChildNodeImpl = NonDocumentTypeChildNodeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js
var require_NonElementParentNodeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util16();
    var algorithm_1 = require_algorithm3();
    var NonElementParentNodeImpl = (
      /** @class */
      function() {
        function NonElementParentNodeImpl2() {
        }
        NonElementParentNodeImpl2.prototype.getElementById = function(id) {
          var ele = algorithm_1.tree_getFirstDescendantNode(util_1.Cast.asNode(this), false, false, function(e) {
            return util_1.Guard.isElementNode(e);
          });
          while (ele !== null) {
            if (ele._uniqueIdentifier === id) {
              return ele;
            }
            ele = algorithm_1.tree_getNextDescendantNode(util_1.Cast.asNode(this), ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e);
            });
          }
          return null;
        };
        return NonElementParentNodeImpl2;
      }()
    );
    exports2.NonElementParentNodeImpl = NonElementParentNodeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js
var require_ParentNodeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util16();
    var algorithm_1 = require_algorithm3();
    var ParentNodeImpl = (
      /** @class */
      function() {
        function ParentNodeImpl2() {
        }
        Object.defineProperty(ParentNodeImpl2.prototype, "children", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.create_htmlCollection(util_1.Cast.asNode(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "firstElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._firstChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "lastElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._lastChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "childElementCount", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var count = 0;
            try {
              for (var _b = __values(util_1.Cast.asNode(this)._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                if (util_1.Guard.isElementNode(childNode))
                  count++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        ParentNodeImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_preInsert(childNode, node, node._firstChild);
        };
        ParentNodeImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_append(childNode, node);
        };
        ParentNodeImpl2.prototype.querySelector = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return result.length === 0 ? null : result[0];
        };
        ParentNodeImpl2.prototype.querySelectorAll = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return algorithm_1.create_nodeListStatic(node, result);
        };
        return ParentNodeImpl2;
      }()
    );
    exports2.ParentNodeImpl = ParentNodeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js
var require_SlotableImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm3();
    var SlotableImpl = (
      /** @class */
      function() {
        function SlotableImpl2() {
        }
        Object.defineProperty(SlotableImpl2.prototype, "_name", {
          get: function() {
            return this.__name || "";
          },
          set: function(val) {
            this.__name = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "_assignedSlot", {
          get: function() {
            return this.__assignedSlot || null;
          },
          set: function(val) {
            this.__assignedSlot = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "assignedSlot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.shadowTree_findASlot(this, true);
          },
          enumerable: true,
          configurable: true
        });
        return SlotableImpl2;
      }()
    );
    exports2.SlotableImpl = SlotableImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js
var require_StaticRangeImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl_1 = require_AbstractRangeImpl3();
    var DOMException_1 = require_DOMException3();
    var util_1 = require_util16();
    var StaticRangeImpl = (
      /** @class */
      function(_super) {
        __extends(StaticRangeImpl2, _super);
        function StaticRangeImpl2(init) {
          var _this = _super.call(this) || this;
          if (util_1.Guard.isDocumentTypeNode(init.startContainer) || util_1.Guard.isAttrNode(init.startContainer) || util_1.Guard.isDocumentTypeNode(init.endContainer) || util_1.Guard.isAttrNode(init.endContainer)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          _this._start = [init.startContainer, init.startOffset];
          _this._end = [init.endContainer, init.endOffset];
          return _this;
        }
        return StaticRangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.StaticRangeImpl = StaticRangeImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/dom/index.js
var require_dom5 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/dom/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var AbortControllerImpl_1 = require_AbortControllerImpl3();
    exports2.AbortController = AbortControllerImpl_1.AbortControllerImpl;
    var AbortSignalImpl_1 = require_AbortSignalImpl3();
    exports2.AbortSignal = AbortSignalImpl_1.AbortSignalImpl;
    var AbstractRangeImpl_1 = require_AbstractRangeImpl3();
    exports2.AbstractRange = AbstractRangeImpl_1.AbstractRangeImpl;
    var AttrImpl_1 = require_AttrImpl3();
    exports2.Attr = AttrImpl_1.AttrImpl;
    var CDATASectionImpl_1 = require_CDATASectionImpl3();
    exports2.CDATASection = CDATASectionImpl_1.CDATASectionImpl;
    var CharacterDataImpl_1 = require_CharacterDataImpl3();
    exports2.CharacterData = CharacterDataImpl_1.CharacterDataImpl;
    var ChildNodeImpl_1 = require_ChildNodeImpl3();
    var CommentImpl_1 = require_CommentImpl3();
    exports2.Comment = CommentImpl_1.CommentImpl;
    var CustomEventImpl_1 = require_CustomEventImpl3();
    exports2.CustomEvent = CustomEventImpl_1.CustomEventImpl;
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl3();
    exports2.DocumentFragment = DocumentFragmentImpl_1.DocumentFragmentImpl;
    var DocumentImpl_1 = require_DocumentImpl3();
    exports2.Document = DocumentImpl_1.DocumentImpl;
    var DocumentOrShadowRootImpl_1 = require_DocumentOrShadowRootImpl3();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl3();
    exports2.DocumentType = DocumentTypeImpl_1.DocumentTypeImpl;
    var DOMImpl_1 = require_DOMImpl3();
    exports2.dom = DOMImpl_1.dom;
    var DOMImplementationImpl_1 = require_DOMImplementationImpl3();
    exports2.DOMImplementation = DOMImplementationImpl_1.DOMImplementationImpl;
    var DOMTokenListImpl_1 = require_DOMTokenListImpl3();
    exports2.DOMTokenList = DOMTokenListImpl_1.DOMTokenListImpl;
    var ElementImpl_1 = require_ElementImpl3();
    exports2.Element = ElementImpl_1.ElementImpl;
    var EventImpl_1 = require_EventImpl3();
    exports2.Event = EventImpl_1.EventImpl;
    var EventTargetImpl_1 = require_EventTargetImpl3();
    exports2.EventTarget = EventTargetImpl_1.EventTargetImpl;
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl3();
    exports2.HTMLCollection = HTMLCollectionImpl_1.HTMLCollectionImpl;
    var MutationObserverImpl_1 = require_MutationObserverImpl3();
    exports2.MutationObserver = MutationObserverImpl_1.MutationObserverImpl;
    var MutationRecordImpl_1 = require_MutationRecordImpl3();
    exports2.MutationRecord = MutationRecordImpl_1.MutationRecordImpl;
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl3();
    exports2.NamedNodeMap = NamedNodeMapImpl_1.NamedNodeMapImpl;
    var NodeFilterImpl_1 = require_NodeFilterImpl3();
    exports2.NodeFilter = NodeFilterImpl_1.NodeFilterImpl;
    var NodeImpl_1 = require_NodeImpl3();
    exports2.Node = NodeImpl_1.NodeImpl;
    var NodeIteratorImpl_1 = require_NodeIteratorImpl3();
    exports2.NodeIterator = NodeIteratorImpl_1.NodeIteratorImpl;
    var NodeListImpl_1 = require_NodeListImpl3();
    exports2.NodeList = NodeListImpl_1.NodeListImpl;
    var NodeListStaticImpl_1 = require_NodeListStaticImpl3();
    exports2.NodeListStatic = NodeListStaticImpl_1.NodeListStaticImpl;
    var NonDocumentTypeChildNodeImpl_1 = require_NonDocumentTypeChildNodeImpl3();
    var NonElementParentNodeImpl_1 = require_NonElementParentNodeImpl3();
    var ParentNodeImpl_1 = require_ParentNodeImpl3();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl3();
    exports2.ProcessingInstruction = ProcessingInstructionImpl_1.ProcessingInstructionImpl;
    var RangeImpl_1 = require_RangeImpl3();
    exports2.Range = RangeImpl_1.RangeImpl;
    var ShadowRootImpl_1 = require_ShadowRootImpl3();
    exports2.ShadowRoot = ShadowRootImpl_1.ShadowRootImpl;
    var SlotableImpl_1 = require_SlotableImpl3();
    var StaticRangeImpl_1 = require_StaticRangeImpl3();
    exports2.StaticRange = StaticRangeImpl_1.StaticRangeImpl;
    var TextImpl_1 = require_TextImpl3();
    exports2.Text = TextImpl_1.TextImpl;
    var TraverserImpl_1 = require_TraverserImpl3();
    exports2.Traverser = TraverserImpl_1.TraverserImpl;
    var TreeWalkerImpl_1 = require_TreeWalkerImpl3();
    exports2.TreeWalker = TreeWalkerImpl_1.TreeWalkerImpl;
    var WindowImpl_1 = require_WindowImpl3();
    exports2.Window = WindowImpl_1.WindowImpl;
    var XMLDocumentImpl_1 = require_XMLDocumentImpl3();
    exports2.XMLDocument = XMLDocumentImpl_1.XMLDocumentImpl;
    util_1.applyMixin(ElementImpl_1.ElementImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentTypeImpl_1.DocumentTypeImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ShadowRootImpl_1.ShadowRootImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(TextImpl_1.TextImpl, SlotableImpl_1.SlotableImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, SlotableImpl_1.SlotableImpl);
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/parser/interfaces.js
var require_interfaces12 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/parser/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TokenType;
    (function(TokenType2) {
      TokenType2[TokenType2["EOF"] = 0] = "EOF";
      TokenType2[TokenType2["Declaration"] = 1] = "Declaration";
      TokenType2[TokenType2["DocType"] = 2] = "DocType";
      TokenType2[TokenType2["Element"] = 3] = "Element";
      TokenType2[TokenType2["Text"] = 4] = "Text";
      TokenType2[TokenType2["CDATA"] = 5] = "CDATA";
      TokenType2[TokenType2["PI"] = 6] = "PI";
      TokenType2[TokenType2["Comment"] = 7] = "Comment";
      TokenType2[TokenType2["ClosingTag"] = 8] = "ClosingTag";
    })(TokenType = exports2.TokenType || (exports2.TokenType = {}));
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js
var require_XMLStringLexer3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces12();
    var XMLStringLexer = (
      /** @class */
      function() {
        function XMLStringLexer2(str, options) {
          this._options = {
            skipWhitespaceOnlyText: false
          };
          this.err = { line: -1, col: -1, index: -1, str: "" };
          this._str = str;
          this._index = 0;
          this._length = str.length;
          if (options) {
            this._options.skipWhitespaceOnlyText = options.skipWhitespaceOnlyText || false;
          }
        }
        XMLStringLexer2.prototype.nextToken = function() {
          if (this.eof()) {
            return { type: interfaces_1.TokenType.EOF };
          }
          var token = this.skipIfStartsWith("<") ? this.openBracket() : this.text();
          if (this._options.skipWhitespaceOnlyText) {
            if (token.type === interfaces_1.TokenType.Text && XMLStringLexer2.isWhiteSpaceToken(token)) {
              token = this.nextToken();
            }
          }
          return token;
        };
        XMLStringLexer2.prototype.openBracket = function() {
          if (this.skipIfStartsWith("?")) {
            if (this.skipIfStartsWith("xml")) {
              if (XMLStringLexer2.isSpace(this._str[this._index])) {
                return this.declaration();
              } else {
                this.seek(-3);
                return this.pi();
              }
            } else {
              return this.pi();
            }
          } else if (this.skipIfStartsWith("!")) {
            if (this.skipIfStartsWith("--")) {
              return this.comment();
            } else if (this.skipIfStartsWith("[CDATA[")) {
              return this.cdata();
            } else if (this.skipIfStartsWith("DOCTYPE")) {
              return this.doctype();
            } else {
              this.throwError("Invalid '!' in opening tag.");
            }
          } else if (this.skipIfStartsWith("/")) {
            return this.closeTag();
          } else {
            return this.openTag();
          }
        };
        XMLStringLexer2.prototype.declaration = function() {
          var version = "";
          var encoding = "";
          var standalone = "";
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith("?>")) {
              return { type: interfaces_1.TokenType.Declaration, version, encoding, standalone };
            } else {
              var _a = __read(this.attribute(), 2), attName = _a[0], attValue = _a[1];
              if (attName === "version")
                version = attValue;
              else if (attName === "encoding")
                encoding = attValue;
              else if (attName === "standalone")
                standalone = attValue;
              else
                this.throwError("Invalid attribute name: " + attName);
            }
          }
          this.throwError("Missing declaration end symbol `?>`");
        };
        XMLStringLexer2.prototype.doctype = function() {
          var pubId = "";
          var sysId = "";
          this.skipSpace();
          var name = this.takeUntil2("[", ">", true);
          this.skipSpace();
          if (this.skipIfStartsWith("PUBLIC")) {
            pubId = this.quotedString();
            sysId = this.quotedString();
          } else if (this.skipIfStartsWith("SYSTEM")) {
            sysId = this.quotedString();
          }
          this.skipSpace();
          if (this.skipIfStartsWith("[")) {
            this.skipUntil("]");
            if (!this.skipIfStartsWith("]")) {
              this.throwError("Missing end bracket of DTD internal subset");
            }
          }
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing doctype end symbol `>`");
          }
          return { type: interfaces_1.TokenType.DocType, name, pubId, sysId };
        };
        XMLStringLexer2.prototype.pi = function() {
          var target = this.takeUntilStartsWith("?>", true);
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.skipSpace();
          if (this.skipIfStartsWith("?>")) {
            return { type: interfaces_1.TokenType.PI, target, data: "" };
          }
          var data = this.takeUntilStartsWith("?>");
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.seek(2);
          return { type: interfaces_1.TokenType.PI, target, data };
        };
        XMLStringLexer2.prototype.text = function() {
          var data = this.takeUntil("<");
          return { type: interfaces_1.TokenType.Text, data };
        };
        XMLStringLexer2.prototype.comment = function() {
          var data = this.takeUntilStartsWith("-->");
          if (this.eof()) {
            this.throwError("Missing comment end symbol `-->`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.Comment, data };
        };
        XMLStringLexer2.prototype.cdata = function() {
          var data = this.takeUntilStartsWith("]]>");
          if (this.eof()) {
            this.throwError("Missing CDATA end symbol `]>`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.CDATA, data };
        };
        XMLStringLexer2.prototype.openTag = function() {
          this.skipSpace();
          var name = this.takeUntil2(">", "/", true);
          this.skipSpace();
          if (this.skipIfStartsWith(">")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: false };
          } else if (this.skipIfStartsWith("/>")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: true };
          }
          var attributes = [];
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith(">")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: false };
            } else if (this.skipIfStartsWith("/>")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: true };
            }
            var attr = this.attribute();
            attributes.push(attr);
          }
          this.throwError("Missing opening element tag end symbol `>`");
        };
        XMLStringLexer2.prototype.closeTag = function() {
          this.skipSpace();
          var name = this.takeUntil(">", true);
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing closing element tag end symbol `>`");
          }
          return { type: interfaces_1.TokenType.ClosingTag, name };
        };
        XMLStringLexer2.prototype.attribute = function() {
          this.skipSpace();
          var name = this.takeUntil("=", true);
          this.skipSpace();
          if (!this.skipIfStartsWith("=")) {
            this.throwError("Missing equals sign before attribute value");
          }
          var value = this.quotedString();
          return [name, value];
        };
        XMLStringLexer2.prototype.quotedString = function() {
          this.skipSpace();
          var startQuote = this.take(1);
          if (!XMLStringLexer2.isQuote(startQuote)) {
            this.throwError("Missing start quote character before quoted value");
          }
          var value = this.takeUntil(startQuote);
          if (!this.skipIfStartsWith(startQuote)) {
            this.throwError("Missing end quote character after quoted value");
          }
          return value;
        };
        XMLStringLexer2.prototype.eof = function() {
          return this._index >= this._length;
        };
        XMLStringLexer2.prototype.skipIfStartsWith = function(str) {
          var strLength = str.length;
          if (strLength === 1) {
            if (this._str[this._index] === str) {
              this._index++;
              return true;
            } else {
              return false;
            }
          }
          for (var i = 0; i < strLength; i++) {
            if (this._str[this._index + i] !== str[i])
              return false;
          }
          this._index += strLength;
          return true;
        };
        XMLStringLexer2.prototype.seek = function(count) {
          this._index += count;
          if (this._index < 0)
            this._index = 0;
          if (this._index > this._length)
            this._index = this._length;
        };
        XMLStringLexer2.prototype.skipSpace = function() {
          while (!this.eof() && XMLStringLexer2.isSpace(this._str[this._index])) {
            this._index++;
          }
        };
        XMLStringLexer2.prototype.take = function(count) {
          if (count === 1) {
            return this._str[this._index++];
          }
          var startIndex = this._index;
          this.seek(count);
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil = function(char, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil2 = function(char1, char2, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char1 && c !== char2 && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntilStartsWith = function(str, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          var strLength = str.length;
          while (this._index < this._length) {
            var match = true;
            for (var i = 0; i < strLength; i++) {
              var c = this._str[this._index + i];
              var char = str[i];
              if (space && XMLStringLexer2.isSpace(c)) {
                return this._str.slice(startIndex, this._index);
              } else if (c !== char) {
                this._index++;
                match = false;
                break;
              }
            }
            if (match)
              return this._str.slice(startIndex, this._index);
          }
          this._index = this._length;
          return this._str.slice(startIndex);
        };
        XMLStringLexer2.prototype.skipUntil = function(char) {
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char) {
              this._index++;
            } else {
              break;
            }
          }
        };
        XMLStringLexer2.isWhiteSpaceToken = function(token) {
          var str = token.data;
          for (var i = 0; i < str.length; i++) {
            var c = str[i];
            if (c !== " " && c !== "\n" && c !== "\r" && c !== "	" && c !== "\f")
              return false;
          }
          return true;
        };
        XMLStringLexer2.isSpace = function(char) {
          return char === " " || char === "\n" || char === "\r" || char === "	";
        };
        XMLStringLexer2.isQuote = function(char) {
          return char === '"' || char === "'";
        };
        XMLStringLexer2.prototype.throwError = function(msg) {
          var regexp = /\r\n|\r|\n/g;
          var match = null;
          var line = 0;
          var firstNewLineIndex = 0;
          var lastNewlineIndex = this._str.length;
          while ((match = regexp.exec(this._str)) !== null) {
            if (match === null)
              break;
            line++;
            if (match.index < this._index)
              firstNewLineIndex = regexp.lastIndex;
            if (match.index > this._index) {
              lastNewlineIndex = match.index;
              break;
            }
          }
          this.err = {
            line,
            col: this._index - firstNewLineIndex,
            index: this._index,
            str: this._str.substring(firstNewLineIndex, lastNewlineIndex)
          };
          throw new Error(msg + "\nIndex: " + this.err.index + "\nLn: " + this.err.line + ", Col: " + this.err.col + "\nInput: " + this.err.str);
        };
        XMLStringLexer2.prototype[Symbol.iterator] = function() {
          this._index = 0;
          return {
            next: function() {
              var token = this.nextToken();
              if (token.type === interfaces_1.TokenType.EOF) {
                return { done: true, value: null };
              } else {
                return { done: false, value: token };
              }
            }.bind(this)
          };
        };
        return XMLStringLexer2;
      }()
    );
    exports2.XMLStringLexer = XMLStringLexer;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js
var require_XMLParserImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer3();
    var interfaces_1 = require_interfaces12();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var LocalNameSet_1 = require_LocalNameSet3();
    var XMLParserImpl = (
      /** @class */
      function() {
        function XMLParserImpl2() {
        }
        XMLParserImpl2.prototype.parse = function(source) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(source, { skipWhitespaceOnlyText: true });
          var doc = algorithm_1.create_document();
          var context = doc;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                if (declaration.version !== "1.0") {
                  throw new Error("Invalid xml version: " + declaration.version);
                }
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                if (!algorithm_1.xml_isPubidChar(doctype.pubId)) {
                  throw new Error("DocType public identifier does not match PubidChar construct.");
                }
                if (!algorithm_1.xml_isLegalChar(doctype.sysId) || doctype.sysId.indexOf('"') !== -1 && doctype.sysId.indexOf("'") !== -1) {
                  throw new Error("DocType system identifier contains invalid characters.");
                }
                context.appendChild(doc.implementation.createDocumentType(doctype.name, doctype.pubId, doctype.sysId));
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                if (!algorithm_1.xml_isLegalChar(cdata.data) || cdata.data.indexOf("]]>") !== -1) {
                  throw new Error("CDATA contains invalid characters.");
                }
                context.appendChild(doc.createCDATASection(cdata.data));
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                if (!algorithm_1.xml_isLegalChar(comment.data) || comment.data.indexOf("--") !== -1 || comment.data.endsWith("-")) {
                  throw new Error("Comment data contains invalid characters.");
                }
                context.appendChild(doc.createComment(comment.data));
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                if (pi.target.indexOf(":") !== -1 || /^xml$/i.test(pi.target)) {
                  throw new Error("Processing instruction target contains invalid characters.");
                }
                if (!algorithm_1.xml_isLegalChar(pi.data) || pi.data.indexOf("?>") !== -1) {
                  throw new Error("Processing instruction data contains invalid characters.");
                }
                context.appendChild(doc.createProcessingInstruction(pi.target, pi.data));
                break;
              case interfaces_1.TokenType.Text:
                var text = token;
                if (!algorithm_1.xml_isLegalChar(text.data)) {
                  throw new Error("Text data contains invalid characters.");
                }
                context.appendChild(doc.createTextNode(this._decodeText(text.data)));
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var _c = __read(algorithm_1.namespace_extractQName(element.name), 2), prefix = _c[0], localName = _c[1];
                if (localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(localName)) {
                  throw new Error("Node local name contains invalid characters.");
                }
                if (prefix === "xmlns") {
                  throw new Error("An element cannot have the 'xmlns' prefix.");
                }
                var namespace = context.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? doc.createElementNS(namespace, element.name) : doc.createElement(element.name);
                context.appendChild(elementNode);
                var localNameSet = new LocalNameSet_1.LocalNameSet();
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (localNameSet.has(attNamespace, attLocalName)) {
                      throw new Error("Element contains duplicate attributes.");
                    }
                    localNameSet.set(attNamespace, attLocalName);
                    if (attNamespace === infra_1.namespace.XMLNS) {
                      if (attValue === infra_1.namespace.XMLNS) {
                        throw new Error("XMLNS namespace is reserved.");
                      }
                    }
                    if (attLocalName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attLocalName)) {
                      throw new Error("Attribute local name contains invalid characters.");
                    }
                    if (attPrefix === "xmlns" && attValue === "") {
                      throw new Error("Empty XML namespace is not allowed.");
                    }
                    if (attNamespace !== null)
                      elementNode.setAttributeNS(attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      elementNode.setAttribute(attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                var closingTag = token;
                if (closingTag.name !== context.nodeName) {
                  throw new Error("Closing tag name does not match opening tag name.");
                }
                if (context._parent) {
                  context = context._parent;
                }
                break;
            }
            token = lexer.nextToken();
          }
          return doc;
        };
        XMLParserImpl2.prototype._decodeText = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        XMLParserImpl2.prototype._decodeAttributeValue = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        return XMLParserImpl2;
      }()
    );
    exports2.XMLParserImpl = XMLParserImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js
var require_DOMParserImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm3();
    var XMLParserImpl_1 = require_XMLParserImpl3();
    var DOMParserImpl = (
      /** @class */
      function() {
        function DOMParserImpl2() {
        }
        DOMParserImpl2.prototype.parseFromString = function(source, mimeType) {
          if (mimeType === "text/html")
            throw new Error("HTML parser not implemented.");
          try {
            var parser = new XMLParserImpl_1.XMLParserImpl();
            var doc = parser.parse(source);
            doc._contentType = mimeType;
            return doc;
          } catch (e) {
            var errorNS = "http://www.mozilla.org/newlayout/xml/parsererror.xml";
            var doc = algorithm_1.create_xmlDocument();
            var root = doc.createElementNS(errorNS, "parsererror");
            var ele = doc.createElementNS(errorNS, "error");
            ele.setAttribute("message", e.message);
            root.appendChild(ele);
            doc.appendChild(root);
            return doc;
          }
        };
        return DOMParserImpl2;
      }()
    );
    exports2.DOMParserImpl = DOMParserImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/parser/index.js
var require_parser9 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/parser/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMParserImpl_1 = require_DOMParserImpl3();
    exports2.DOMParser = DOMParserImpl_1.DOMParserImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js
var require_XMLSerializerImpl3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces10();
    var LocalNameSet_1 = require_LocalNameSet3();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap3();
    var DOMException_1 = require_DOMException3();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var XMLSerializerImpl = (
      /** @class */
      function() {
        function XMLSerializerImpl2() {
        }
        XMLSerializerImpl2.prototype.serializeToString = function(root) {
          return this._xmlSerialization(root, false);
        };
        XMLSerializerImpl2.prototype._xmlSerialization = function(node, requireWellFormed) {
          if (node._nodeDocument === void 0 || node._nodeDocument._hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            try {
              return this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            } catch (_a) {
              throw new DOMException_1.InvalidStateError();
            }
          } else {
            try {
              return this._serializeNode(node, requireWellFormed);
            } catch (_b) {
              throw new DOMException_1.InvalidStateError();
            }
          }
        };
        XMLSerializerImpl2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeNode = function(node, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElement(node, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocument(node, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragment(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_1, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var markup = "<";
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            markup += qualifiedName;
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              markup += qualifiedName;
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              markup += qualifiedName;
              markup += " xmlns:" + prefix + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
              markup += ' xmlns="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
            }
          }
          markup += this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && XMLSerializerImpl2._VoidElementNames.has(node.localName)) {
            markup += " /";
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                markup += this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          return "<!--" + node.data + "-->";
        };
        XMLSerializerImpl2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var result = "";
          for (var i = 0; i < node.data.length; i++) {
            var c = node.data[i];
            if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_3, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          return node.publicId && node.systemId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '" "' + node.systemId + '">' : node.publicId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '">' : node.systemId ? "<!DOCTYPE " + node.name + ' SYSTEM "' + node.systemId + '">' : "<!DOCTYPE " + node.name + ">";
        };
        XMLSerializerImpl2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          return "<?" + (node.data === "" ? node.target : node.target + " " + node.data) + "?>";
        };
        XMLSerializerImpl2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          return "<![CDATA[" + node.data + "]]>";
        };
        XMLSerializerImpl2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_4, _a;
          var result = "";
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!ignoreNamespaceDefinitionAttribute && !requireWellFormed && attr.namespaceURI === null) {
                result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result += " xmlns:" + candidatePrefix + '="' + this._serializeAttributeValue(attributeNamespace, requireWellFormed) + '"';
                }
              }
              result += " ";
              if (candidatePrefix !== null) {
                result += candidatePrefix + ":";
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_5, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLSerializerImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLSerializerImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          var result = "";
          for (var i = 0; i < value.length; i++) {
            var c = value[i];
            if (c === '"')
              result += "&quot;";
            else if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_6, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          var markup = "<" + qualifiedName;
          markup += this._serializeAttributes(node, requireWellFormed);
          if (node._children.size === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_7, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_8, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = "";
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLSerializerImpl2;
      }()
    );
    exports2.XMLSerializerImpl = XMLSerializerImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/serializer/index.js
var require_serializer3 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/serializer/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLSerializerImpl_1 = require_XMLSerializerImpl3();
    exports2.XMLSerializer = XMLSerializerImpl_1.XMLSerializerImpl;
  }
});

// ../blueprint/node_modules/@oozcitak/dom/lib/index.js
var require_lib14 = __commonJS({
  "../blueprint/node_modules/@oozcitak/dom/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom5();
    dom_1.dom.setFeatures(true);
    var dom_2 = require_dom5();
    exports2.DOMImplementation = dom_2.DOMImplementation;
    var parser_1 = require_parser9();
    exports2.DOMParser = parser_1.DOMParser;
    var serializer_1 = require_serializer3();
    exports2.XMLSerializer = serializer_1.XMLSerializer;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/dom.js
var require_dom6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/dom.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_lib14();
    var dom_2 = require_dom5();
    var util_1 = require_lib12();
    dom_2.dom.setFeatures(false);
    function createDocument() {
      var impl = new dom_1.DOMImplementation();
      var doc = impl.createDocument(null, "root", null);
      if (doc.documentElement) {
        doc.removeChild(doc.documentElement);
      }
      return doc;
    }
    exports2.createDocument = createDocument;
    function sanitizeInput(str, replacement) {
      if (str == null) {
        return str;
      } else if (replacement === void 0) {
        return str + "";
      } else {
        var result = "";
        str = str + "";
        for (var i = 0; i < str.length; i++) {
          var n = str.charCodeAt(i);
          if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
            result += str.charAt(i);
          } else if (n >= 55296 && n <= 56319 && i < str.length - 1) {
            var n2 = str.charCodeAt(i + 1);
            if (n2 >= 56320 && n2 <= 57343) {
              n = (n - 55296) * 1024 + n2 - 56320 + 65536;
              result += String.fromCodePoint(n);
              i++;
            } else {
              result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
            }
          } else {
            result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
          }
        }
        return result;
      }
    }
    exports2.sanitizeInput = sanitizeInput;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/BaseReader.js
var require_BaseReader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/BaseReader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom6();
    var BaseReader = (
      /** @class */
      function() {
        function BaseReader2(builderOptions) {
          this._builderOptions = builderOptions;
          if (builderOptions.parser) {
            Object.assign(this, builderOptions.parser);
          }
        }
        BaseReader2.prototype._docType = function(parent, name, publicId, systemId) {
          return parent.dtd({ name, pubID: publicId, sysID: systemId });
        };
        BaseReader2.prototype._comment = function(parent, data) {
          return parent.com(data);
        };
        BaseReader2.prototype._text = function(parent, data) {
          return parent.txt(data);
        };
        BaseReader2.prototype._instruction = function(parent, target, data) {
          return parent.ins(target, data);
        };
        BaseReader2.prototype._cdata = function(parent, data) {
          return parent.dat(data);
        };
        BaseReader2.prototype._element = function(parent, namespace, name) {
          return namespace === void 0 ? parent.ele(name) : parent.ele(namespace, name);
        };
        BaseReader2.prototype._attribute = function(parent, namespace, name, value) {
          return namespace === void 0 ? parent.att(name, value) : parent.att(namespace, name, value);
        };
        BaseReader2.prototype._sanitize = function(str) {
          return dom_1.sanitizeInput(str, this._builderOptions.invalidCharReplacement);
        };
        BaseReader2.prototype._decodeText = function(text) {
          if (text == null)
            return text;
          return text.replace(/&(quot|amp|apos|lt|gt);/g, function(_match, tag) {
            return BaseReader2._entityTable[tag];
          }).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g, function(_match, hexStr, numStr) {
            return String.fromCodePoint(parseInt(hexStr || numStr, hexStr ? 16 : 10));
          });
        };
        BaseReader2.prototype._decodeAttributeValue = function(text) {
          return this._decodeText(text);
        };
        BaseReader2.prototype.parse = function(node, obj) {
          return this._parse(node, obj);
        };
        BaseReader2.prototype.docType = function(parent, name, publicId, systemId) {
          return this._docType(parent, name, publicId, systemId);
        };
        BaseReader2.prototype.comment = function(parent, data) {
          return this._comment(parent, data);
        };
        BaseReader2.prototype.text = function(parent, data) {
          return this._text(parent, data);
        };
        BaseReader2.prototype.instruction = function(parent, target, data) {
          return this._instruction(parent, target, data);
        };
        BaseReader2.prototype.cdata = function(parent, data) {
          return this._cdata(parent, data);
        };
        BaseReader2.prototype.element = function(parent, namespace, name) {
          return this._element(parent, namespace, name);
        };
        BaseReader2.prototype.attribute = function(parent, namespace, name, value) {
          return this._attribute(parent, namespace, name, value);
        };
        BaseReader2.prototype.sanitize = function(str) {
          return this._sanitize(str);
        };
        BaseReader2._entityTable = {
          "lt": "<",
          "gt": ">",
          "amp": "&",
          "quot": '"',
          "apos": "'"
        };
        return BaseReader2;
      }()
    );
    exports2.BaseReader = BaseReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/XMLReader.js
var require_XMLReader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/XMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer3();
    var interfaces_1 = require_interfaces12();
    var interfaces_2 = require_interfaces10();
    var infra_1 = require_lib13();
    var algorithm_1 = require_algorithm3();
    var BaseReader_1 = require_BaseReader3();
    var XMLReader = (
      /** @class */
      function(_super) {
        __extends(XMLReader2, _super);
        function XMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        XMLReader2.prototype._parse = function(node, str) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(str, { skipWhitespaceOnlyText: this._builderOptions.skipWhitespaceOnlyText });
          var lastChild = node;
          var context = node;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                var version = this.sanitize(declaration.version);
                if (version !== "1.0") {
                  throw new Error("Invalid xml version: " + version);
                }
                var builderOptions = {
                  version
                };
                if (declaration.encoding) {
                  builderOptions.encoding = this.sanitize(declaration.encoding);
                }
                if (declaration.standalone) {
                  builderOptions.standalone = this.sanitize(declaration.standalone) === "yes";
                }
                context.set(builderOptions);
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                context = this.docType(context, this.sanitize(doctype.name), this.sanitize(doctype.pubId), this.sanitize(doctype.sysId)) || context;
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                context = this.cdata(context, this.sanitize(cdata.data)) || context;
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                context = this.comment(context, this.sanitize(comment.data)) || context;
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                context = this.instruction(context, this.sanitize(pi.target), this.sanitize(pi.data)) || context;
                break;
              case interfaces_1.TokenType.Text:
                if (context.node.nodeType === interfaces_2.NodeType.Document)
                  break;
                var text = token;
                context = this.text(context, this._decodeText(this.sanitize(text.data))) || context;
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var elementName = this.sanitize(element.name);
                var _c = __read(algorithm_1.namespace_extractQName(elementName), 1), prefix = _c[0];
                var namespace = context.node.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? this.element(context, namespace, elementName) : this.element(context, void 0, elementName);
                if (elementNode === void 0)
                  break;
                if (context.node === node.node)
                  lastChild = elementNode;
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.node.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.node.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (attNamespace !== null)
                      this.attribute(elementNode, attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      this.attribute(elementNode, void 0, attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                if (context.node.parentNode) {
                  context = context.up();
                }
                break;
            }
            token = lexer.nextToken();
          }
          return lastChild;
        };
        return XMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.XMLReader = XMLReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/ObjectReader.js
var require_ObjectReader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/ObjectReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib12();
    var BaseReader_1 = require_BaseReader3();
    var ObjectReader = (
      /** @class */
      function(_super) {
        __extends(ObjectReader2, _super);
        function ObjectReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        ObjectReader2.prototype._parse = function(node, obj) {
          var _this = this;
          var options = this._builderOptions;
          var lastChild = null;
          if (util_1.isFunction(obj)) {
            lastChild = this.parse(node, obj.apply(this));
          } else if (util_1.isArray(obj) || util_1.isSet(obj)) {
            util_1.forEachArray(obj, function(item) {
              return lastChild = _this.parse(node, item);
            }, this);
          } else if (util_1.isMap(obj) || util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              if (util_1.isFunction(val)) {
                val = val.apply(_this);
              }
              if (!options.ignoreConverters && key.indexOf(options.convert.att) === 0) {
                if (key === options.convert.att) {
                  if (util_1.isArray(val) || util_1.isSet(val)) {
                    throw new Error("Invalid attribute: " + val.toString() + ". " + node._debugInfo());
                  } else {
                    util_1.forEachObject(val, function(attrKey, attrVal) {
                      lastChild = _this.attribute(node, void 0, _this.sanitize(attrKey), _this._decodeAttributeValue(_this.sanitize(attrVal))) || lastChild;
                    });
                  }
                } else {
                  lastChild = _this.attribute(node, void 0, _this.sanitize(key.substr(options.convert.att.length)), _this._decodeAttributeValue(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.text) === 0) {
                if (util_1.isMap(val) || util_1.isObject(val)) {
                  lastChild = _this.parse(node, val);
                } else {
                  lastChild = _this.text(node, _this._decodeText(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.cdata) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.cdata(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.cdata(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.comment) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.comment(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.comment(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.ins) === 0) {
                if (util_1.isString(val)) {
                  var insIndex = val.indexOf(" ");
                  var insTarget = insIndex === -1 ? val : val.substr(0, insIndex);
                  var insValue = insIndex === -1 ? "" : val.substr(insIndex + 1);
                  lastChild = _this.instruction(node, _this.sanitize(insTarget), _this.sanitize(insValue)) || lastChild;
                } else if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    var insIndex2 = item.indexOf(" ");
                    var insTarget2 = insIndex2 === -1 ? item : item.substr(0, insIndex2);
                    var insValue2 = insIndex2 === -1 ? "" : item.substr(insIndex2 + 1);
                    lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                } else {
                  util_1.forEachObject(val, function(insTarget2, insValue2) {
                    return lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                }
              } else if ((util_1.isArray(val) || util_1.isSet(val)) && util_1.isEmpty(val)) {
              } else if ((util_1.isMap(val) || util_1.isObject(val)) && util_1.isEmpty(val)) {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              } else if (!options.keepNullNodes && val == null) {
              } else if (util_1.isArray(val) || util_1.isSet(val)) {
                util_1.forEachArray(val, function(item) {
                  var childNode = {};
                  childNode[key] = item;
                  lastChild = _this.parse(node, childNode);
                }, _this);
              } else if (util_1.isMap(val) || util_1.isObject(val)) {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.parse(parent, val);
                }
              } else if (val != null && val !== "") {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.text(parent, _this._decodeText(_this.sanitize(val)));
                }
              } else {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              }
            }, this);
          } else if (!options.keepNullNodes && obj == null) {
          } else {
            lastChild = this.text(node, this._decodeText(this.sanitize(obj))) || lastChild;
          }
          return lastChild || node;
        };
        return ObjectReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.ObjectReader = ObjectReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/JSONReader.js
var require_JSONReader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/JSONReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader3();
    var BaseReader_1 = require_BaseReader3();
    var JSONReader = (
      /** @class */
      function(_super) {
        __extends(JSONReader2, _super);
        function JSONReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        JSONReader2.prototype._parse = function(node, str) {
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, JSON.parse(str));
        };
        return JSONReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.JSONReader = JSONReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js
var require_common12 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js"(exports2, module2) {
    "use strict";
    function isNothing(subject) {
      return typeof subject === "undefined" || subject === null;
    }
    function isObject(subject) {
      return typeof subject === "object" && subject !== null;
    }
    function toArray(sequence) {
      if (Array.isArray(sequence))
        return sequence;
      else if (isNothing(sequence))
        return [];
      return [sequence];
    }
    function extend(target, source) {
      var index, length, key, sourceKeys;
      if (source) {
        sourceKeys = Object.keys(source);
        for (index = 0, length = sourceKeys.length; index < length; index += 1) {
          key = sourceKeys[index];
          target[key] = source[key];
        }
      }
      return target;
    }
    function repeat(string, count) {
      var result = "", cycle;
      for (cycle = 0; cycle < count; cycle += 1) {
        result += string;
      }
      return result;
    }
    function isNegativeZero(number) {
      return number === 0 && Number.NEGATIVE_INFINITY === 1 / number;
    }
    module2.exports.isNothing = isNothing;
    module2.exports.isObject = isObject;
    module2.exports.toArray = toArray;
    module2.exports.repeat = repeat;
    module2.exports.isNegativeZero = isNegativeZero;
    module2.exports.extend = extend;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js
var require_exception3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js"(exports2, module2) {
    "use strict";
    function YAMLException(reason, mark) {
      Error.call(this);
      this.name = "YAMLException";
      this.reason = reason;
      this.mark = mark;
      this.message = (this.reason || "(unknown reason)") + (this.mark ? " " + this.mark.toString() : "");
      if (Error.captureStackTrace) {
        Error.captureStackTrace(this, this.constructor);
      } else {
        this.stack = new Error().stack || "";
      }
    }
    YAMLException.prototype = Object.create(Error.prototype);
    YAMLException.prototype.constructor = YAMLException;
    YAMLException.prototype.toString = function toString(compact) {
      var result = this.name + ": ";
      result += this.reason || "(unknown reason)";
      if (!compact && this.mark) {
        result += " " + this.mark.toString();
      }
      return result;
    };
    module2.exports = YAMLException;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js
var require_mark3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    function Mark(name, buffer, position, line, column) {
      this.name = name;
      this.buffer = buffer;
      this.position = position;
      this.line = line;
      this.column = column;
    }
    Mark.prototype.getSnippet = function getSnippet(indent, maxLength) {
      var head, start, tail, end, snippet;
      if (!this.buffer)
        return null;
      indent = indent || 4;
      maxLength = maxLength || 75;
      head = "";
      start = this.position;
      while (start > 0 && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(start - 1)) === -1) {
        start -= 1;
        if (this.position - start > maxLength / 2 - 1) {
          head = " ... ";
          start += 5;
          break;
        }
      }
      tail = "";
      end = this.position;
      while (end < this.buffer.length && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(end)) === -1) {
        end += 1;
        if (end - this.position > maxLength / 2 - 1) {
          tail = " ... ";
          end -= 5;
          break;
        }
      }
      snippet = this.buffer.slice(start, end);
      return common.repeat(" ", indent) + head + snippet + tail + "\n" + common.repeat(" ", indent + this.position - start + head.length) + "^";
    };
    Mark.prototype.toString = function toString(compact) {
      var snippet, where = "";
      if (this.name) {
        where += 'in "' + this.name + '" ';
      }
      where += "at line " + (this.line + 1) + ", column " + (this.column + 1);
      if (!compact) {
        snippet = this.getSnippet();
        if (snippet) {
          where += ":\n" + snippet;
        }
      }
      return where;
    };
    module2.exports = Mark;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js
var require_type3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js"(exports2, module2) {
    "use strict";
    var YAMLException = require_exception3();
    var TYPE_CONSTRUCTOR_OPTIONS = [
      "kind",
      "resolve",
      "construct",
      "instanceOf",
      "predicate",
      "represent",
      "defaultStyle",
      "styleAliases"
    ];
    var YAML_NODE_KINDS = [
      "scalar",
      "sequence",
      "mapping"
    ];
    function compileStyleAliases(map) {
      var result = {};
      if (map !== null) {
        Object.keys(map).forEach(function(style) {
          map[style].forEach(function(alias) {
            result[String(alias)] = style;
          });
        });
      }
      return result;
    }
    function Type(tag, options) {
      options = options || {};
      Object.keys(options).forEach(function(name) {
        if (TYPE_CONSTRUCTOR_OPTIONS.indexOf(name) === -1) {
          throw new YAMLException('Unknown option "' + name + '" is met in definition of "' + tag + '" YAML type.');
        }
      });
      this.tag = tag;
      this.kind = options["kind"] || null;
      this.resolve = options["resolve"] || function() {
        return true;
      };
      this.construct = options["construct"] || function(data) {
        return data;
      };
      this.instanceOf = options["instanceOf"] || null;
      this.predicate = options["predicate"] || null;
      this.represent = options["represent"] || null;
      this.defaultStyle = options["defaultStyle"] || null;
      this.styleAliases = compileStyleAliases(options["styleAliases"] || null);
      if (YAML_NODE_KINDS.indexOf(this.kind) === -1) {
        throw new YAMLException('Unknown kind "' + this.kind + '" is specified for "' + tag + '" YAML type.');
      }
    }
    module2.exports = Type;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js
var require_schema12 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    var YAMLException = require_exception3();
    var Type = require_type3();
    function compileList(schema, name, result) {
      var exclude = [];
      schema.include.forEach(function(includedSchema) {
        result = compileList(includedSchema, name, result);
      });
      schema[name].forEach(function(currentType) {
        result.forEach(function(previousType, previousIndex) {
          if (previousType.tag === currentType.tag && previousType.kind === currentType.kind) {
            exclude.push(previousIndex);
          }
        });
        result.push(currentType);
      });
      return result.filter(function(type, index) {
        return exclude.indexOf(index) === -1;
      });
    }
    function compileMap() {
      var result = {
        scalar: {},
        sequence: {},
        mapping: {},
        fallback: {}
      }, index, length;
      function collectType(type) {
        result[type.kind][type.tag] = result["fallback"][type.tag] = type;
      }
      for (index = 0, length = arguments.length; index < length; index += 1) {
        arguments[index].forEach(collectType);
      }
      return result;
    }
    function Schema(definition) {
      this.include = definition.include || [];
      this.implicit = definition.implicit || [];
      this.explicit = definition.explicit || [];
      this.implicit.forEach(function(type) {
        if (type.loadKind && type.loadKind !== "scalar") {
          throw new YAMLException("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.");
        }
      });
      this.compiledImplicit = compileList(this, "implicit", []);
      this.compiledExplicit = compileList(this, "explicit", []);
      this.compiledTypeMap = compileMap(this.compiledImplicit, this.compiledExplicit);
    }
    Schema.DEFAULT = null;
    Schema.create = function createSchema() {
      var schemas, types;
      switch (arguments.length) {
        case 1:
          schemas = Schema.DEFAULT;
          types = arguments[0];
          break;
        case 2:
          schemas = arguments[0];
          types = arguments[1];
          break;
        default:
          throw new YAMLException("Wrong number of arguments for Schema.create function");
      }
      schemas = common.toArray(schemas);
      types = common.toArray(types);
      if (!schemas.every(function(schema) {
        return schema instanceof Schema;
      })) {
        throw new YAMLException("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");
      }
      if (!types.every(function(type) {
        return type instanceof Type;
      })) {
        throw new YAMLException("Specified list of YAML types (or a single Type object) contains a non-Type object.");
      }
      return new Schema({
        include: schemas,
        explicit: types
      });
    };
    module2.exports = Schema;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js
var require_str3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    module2.exports = new Type("tag:yaml.org,2002:str", {
      kind: "scalar",
      construct: function(data) {
        return data !== null ? data : "";
      }
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js
var require_seq6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    module2.exports = new Type("tag:yaml.org,2002:seq", {
      kind: "sequence",
      construct: function(data) {
        return data !== null ? data : [];
      }
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js
var require_map6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    module2.exports = new Type("tag:yaml.org,2002:map", {
      kind: "mapping",
      construct: function(data) {
        return data !== null ? data : {};
      }
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js
var require_failsafe3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema12();
    module2.exports = new Schema({
      explicit: [
        require_str3(),
        require_seq6(),
        require_map6()
      ]
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js
var require_null6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    function resolveYamlNull(data) {
      if (data === null)
        return true;
      var max = data.length;
      return max === 1 && data === "~" || max === 4 && (data === "null" || data === "Null" || data === "NULL");
    }
    function constructYamlNull() {
      return null;
    }
    function isNull(object) {
      return object === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:null", {
      kind: "scalar",
      resolve: resolveYamlNull,
      construct: constructYamlNull,
      predicate: isNull,
      represent: {
        canonical: function() {
          return "~";
        },
        lowercase: function() {
          return "null";
        },
        uppercase: function() {
          return "NULL";
        },
        camelcase: function() {
          return "Null";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js
var require_bool9 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    function resolveYamlBoolean(data) {
      if (data === null)
        return false;
      var max = data.length;
      return max === 4 && (data === "true" || data === "True" || data === "TRUE") || max === 5 && (data === "false" || data === "False" || data === "FALSE");
    }
    function constructYamlBoolean(data) {
      return data === "true" || data === "True" || data === "TRUE";
    }
    function isBoolean(object) {
      return Object.prototype.toString.call(object) === "[object Boolean]";
    }
    module2.exports = new Type("tag:yaml.org,2002:bool", {
      kind: "scalar",
      resolve: resolveYamlBoolean,
      construct: constructYamlBoolean,
      predicate: isBoolean,
      represent: {
        lowercase: function(object) {
          return object ? "true" : "false";
        },
        uppercase: function(object) {
          return object ? "TRUE" : "FALSE";
        },
        camelcase: function(object) {
          return object ? "True" : "False";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js
var require_int9 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    var Type = require_type3();
    function isHexCode(c) {
      return 48 <= c && c <= 57 || 65 <= c && c <= 70 || 97 <= c && c <= 102;
    }
    function isOctCode(c) {
      return 48 <= c && c <= 55;
    }
    function isDecCode(c) {
      return 48 <= c && c <= 57;
    }
    function resolveYamlInteger(data) {
      if (data === null)
        return false;
      var max = data.length, index = 0, hasDigits = false, ch;
      if (!max)
        return false;
      ch = data[index];
      if (ch === "-" || ch === "+") {
        ch = data[++index];
      }
      if (ch === "0") {
        if (index + 1 === max)
          return true;
        ch = data[++index];
        if (ch === "b") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (ch !== "0" && ch !== "1")
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        if (ch === "x") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (!isHexCode(data.charCodeAt(index)))
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        for (; index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (!isOctCode(data.charCodeAt(index)))
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      if (ch === "_")
        return false;
      for (; index < max; index++) {
        ch = data[index];
        if (ch === "_")
          continue;
        if (ch === ":")
          break;
        if (!isDecCode(data.charCodeAt(index))) {
          return false;
        }
        hasDigits = true;
      }
      if (!hasDigits || ch === "_")
        return false;
      if (ch !== ":")
        return true;
      return /^(:[0-5]?[0-9])+$/.test(data.slice(index));
    }
    function constructYamlInteger(data) {
      var value = data, sign = 1, ch, base, digits = [];
      if (value.indexOf("_") !== -1) {
        value = value.replace(/_/g, "");
      }
      ch = value[0];
      if (ch === "-" || ch === "+") {
        if (ch === "-")
          sign = -1;
        value = value.slice(1);
        ch = value[0];
      }
      if (value === "0")
        return 0;
      if (ch === "0") {
        if (value[1] === "b")
          return sign * parseInt(value.slice(2), 2);
        if (value[1] === "x")
          return sign * parseInt(value, 16);
        return sign * parseInt(value, 8);
      }
      if (value.indexOf(":") !== -1) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseInt(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseInt(value, 10);
    }
    function isInteger2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 === 0 && !common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:int", {
      kind: "scalar",
      resolve: resolveYamlInteger,
      construct: constructYamlInteger,
      predicate: isInteger2,
      represent: {
        binary: function(obj) {
          return obj >= 0 ? "0b" + obj.toString(2) : "-0b" + obj.toString(2).slice(1);
        },
        octal: function(obj) {
          return obj >= 0 ? "0" + obj.toString(8) : "-0" + obj.toString(8).slice(1);
        },
        decimal: function(obj) {
          return obj.toString(10);
        },
        /* eslint-disable max-len */
        hexadecimal: function(obj) {
          return obj >= 0 ? "0x" + obj.toString(16).toUpperCase() : "-0x" + obj.toString(16).toUpperCase().slice(1);
        }
      },
      defaultStyle: "decimal",
      styleAliases: {
        binary: [2, "bin"],
        octal: [8, "oct"],
        decimal: [10, "dec"],
        hexadecimal: [16, "hex"]
      }
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js
var require_float9 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    var Type = require_type3();
    var YAML_FLOAT_PATTERN = new RegExp(
      // 2.5e4, 2.5 and integers
      "^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*|[-+]?\\.(?:inf|Inf|INF)|\\.(?:nan|NaN|NAN))$"
    );
    function resolveYamlFloat(data) {
      if (data === null)
        return false;
      if (!YAML_FLOAT_PATTERN.test(data) || // Quick hack to not allow integers end with `_`
      // Probably should update regexp & check speed
      data[data.length - 1] === "_") {
        return false;
      }
      return true;
    }
    function constructYamlFloat(data) {
      var value, sign, base, digits;
      value = data.replace(/_/g, "").toLowerCase();
      sign = value[0] === "-" ? -1 : 1;
      digits = [];
      if ("+-".indexOf(value[0]) >= 0) {
        value = value.slice(1);
      }
      if (value === ".inf") {
        return sign === 1 ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
      } else if (value === ".nan") {
        return NaN;
      } else if (value.indexOf(":") >= 0) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseFloat(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseFloat(value, 10);
    }
    var SCIENTIFIC_WITHOUT_DOT = /^[-+]?[0-9]+e/;
    function representYamlFloat(object, style) {
      var res;
      if (isNaN(object)) {
        switch (style) {
          case "lowercase":
            return ".nan";
          case "uppercase":
            return ".NAN";
          case "camelcase":
            return ".NaN";
        }
      } else if (Number.POSITIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return ".inf";
          case "uppercase":
            return ".INF";
          case "camelcase":
            return ".Inf";
        }
      } else if (Number.NEGATIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return "-.inf";
          case "uppercase":
            return "-.INF";
          case "camelcase":
            return "-.Inf";
        }
      } else if (common.isNegativeZero(object)) {
        return "-0.0";
      }
      res = object.toString(10);
      return SCIENTIFIC_WITHOUT_DOT.test(res) ? res.replace("e", ".e") : res;
    }
    function isFloat2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 !== 0 || common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:float", {
      kind: "scalar",
      resolve: resolveYamlFloat,
      construct: constructYamlFloat,
      predicate: isFloat2,
      represent: representYamlFloat,
      defaultStyle: "lowercase"
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js
var require_json6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema12();
    module2.exports = new Schema({
      include: [
        require_failsafe3()
      ],
      implicit: [
        require_null6(),
        require_bool9(),
        require_int9(),
        require_float9()
      ]
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js
var require_core6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema12();
    module2.exports = new Schema({
      include: [
        require_json6()
      ]
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js
var require_timestamp6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    var YAML_DATE_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])$"
    );
    var YAML_TIMESTAMP_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9]?)-([0-9][0-9]?)(?:[Tt]|[ \\t]+)([0-9][0-9]?):([0-9][0-9]):([0-9][0-9])(?:\\.([0-9]*))?(?:[ \\t]*(Z|([-+])([0-9][0-9]?)(?::([0-9][0-9]))?))?$"
    );
    function resolveYamlTimestamp(data) {
      if (data === null)
        return false;
      if (YAML_DATE_REGEXP.exec(data) !== null)
        return true;
      if (YAML_TIMESTAMP_REGEXP.exec(data) !== null)
        return true;
      return false;
    }
    function constructYamlTimestamp(data) {
      var match, year, month, day, hour, minute, second, fraction = 0, delta = null, tz_hour, tz_minute, date;
      match = YAML_DATE_REGEXP.exec(data);
      if (match === null)
        match = YAML_TIMESTAMP_REGEXP.exec(data);
      if (match === null)
        throw new Error("Date resolve error");
      year = +match[1];
      month = +match[2] - 1;
      day = +match[3];
      if (!match[4]) {
        return new Date(Date.UTC(year, month, day));
      }
      hour = +match[4];
      minute = +match[5];
      second = +match[6];
      if (match[7]) {
        fraction = match[7].slice(0, 3);
        while (fraction.length < 3) {
          fraction += "0";
        }
        fraction = +fraction;
      }
      if (match[9]) {
        tz_hour = +match[10];
        tz_minute = +(match[11] || 0);
        delta = (tz_hour * 60 + tz_minute) * 6e4;
        if (match[9] === "-")
          delta = -delta;
      }
      date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));
      if (delta)
        date.setTime(date.getTime() - delta);
      return date;
    }
    function representYamlTimestamp(object) {
      return object.toISOString();
    }
    module2.exports = new Type("tag:yaml.org,2002:timestamp", {
      kind: "scalar",
      resolve: resolveYamlTimestamp,
      construct: constructYamlTimestamp,
      instanceOf: Date,
      represent: representYamlTimestamp
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js
var require_merge3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    function resolveYamlMerge(data) {
      return data === "<<" || data === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:merge", {
      kind: "scalar",
      resolve: resolveYamlMerge
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js
var require_binary6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js"(exports2, module2) {
    "use strict";
    var NodeBuffer;
    try {
      _require = require;
      NodeBuffer = _require("buffer").Buffer;
    } catch (__) {
    }
    var _require;
    var Type = require_type3();
    var BASE64_MAP = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\n\r";
    function resolveYamlBinary(data) {
      if (data === null)
        return false;
      var code, idx, bitlen = 0, max = data.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        code = map.indexOf(data.charAt(idx));
        if (code > 64)
          continue;
        if (code < 0)
          return false;
        bitlen += 6;
      }
      return bitlen % 8 === 0;
    }
    function constructYamlBinary(data) {
      var idx, tailbits, input = data.replace(/[\r\n=]/g, ""), max = input.length, map = BASE64_MAP, bits = 0, result = [];
      for (idx = 0; idx < max; idx++) {
        if (idx % 4 === 0 && idx) {
          result.push(bits >> 16 & 255);
          result.push(bits >> 8 & 255);
          result.push(bits & 255);
        }
        bits = bits << 6 | map.indexOf(input.charAt(idx));
      }
      tailbits = max % 4 * 6;
      if (tailbits === 0) {
        result.push(bits >> 16 & 255);
        result.push(bits >> 8 & 255);
        result.push(bits & 255);
      } else if (tailbits === 18) {
        result.push(bits >> 10 & 255);
        result.push(bits >> 2 & 255);
      } else if (tailbits === 12) {
        result.push(bits >> 4 & 255);
      }
      if (NodeBuffer) {
        return NodeBuffer.from ? NodeBuffer.from(result) : new NodeBuffer(result);
      }
      return result;
    }
    function representYamlBinary(object) {
      var result = "", bits = 0, idx, tail, max = object.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        if (idx % 3 === 0 && idx) {
          result += map[bits >> 18 & 63];
          result += map[bits >> 12 & 63];
          result += map[bits >> 6 & 63];
          result += map[bits & 63];
        }
        bits = (bits << 8) + object[idx];
      }
      tail = max % 3;
      if (tail === 0) {
        result += map[bits >> 18 & 63];
        result += map[bits >> 12 & 63];
        result += map[bits >> 6 & 63];
        result += map[bits & 63];
      } else if (tail === 2) {
        result += map[bits >> 10 & 63];
        result += map[bits >> 4 & 63];
        result += map[bits << 2 & 63];
        result += map[64];
      } else if (tail === 1) {
        result += map[bits >> 2 & 63];
        result += map[bits << 4 & 63];
        result += map[64];
        result += map[64];
      }
      return result;
    }
    function isBinary(object) {
      return NodeBuffer && NodeBuffer.isBuffer(object);
    }
    module2.exports = new Type("tag:yaml.org,2002:binary", {
      kind: "scalar",
      resolve: resolveYamlBinary,
      construct: constructYamlBinary,
      predicate: isBinary,
      represent: representYamlBinary
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js
var require_omap6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var _toString = Object.prototype.toString;
    function resolveYamlOmap(data) {
      if (data === null)
        return true;
      var objectKeys = [], index, length, pair, pairKey, pairHasKey, object = data;
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        pairHasKey = false;
        if (_toString.call(pair) !== "[object Object]")
          return false;
        for (pairKey in pair) {
          if (_hasOwnProperty.call(pair, pairKey)) {
            if (!pairHasKey)
              pairHasKey = true;
            else
              return false;
          }
        }
        if (!pairHasKey)
          return false;
        if (objectKeys.indexOf(pairKey) === -1)
          objectKeys.push(pairKey);
        else
          return false;
      }
      return true;
    }
    function constructYamlOmap(data) {
      return data !== null ? data : [];
    }
    module2.exports = new Type("tag:yaml.org,2002:omap", {
      kind: "sequence",
      resolve: resolveYamlOmap,
      construct: constructYamlOmap
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js
var require_pairs6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    var _toString = Object.prototype.toString;
    function resolveYamlPairs(data) {
      if (data === null)
        return true;
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        if (_toString.call(pair) !== "[object Object]")
          return false;
        keys = Object.keys(pair);
        if (keys.length !== 1)
          return false;
        result[index] = [keys[0], pair[keys[0]]];
      }
      return true;
    }
    function constructYamlPairs(data) {
      if (data === null)
        return [];
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        keys = Object.keys(pair);
        result[index] = [keys[0], pair[keys[0]]];
      }
      return result;
    }
    module2.exports = new Type("tag:yaml.org,2002:pairs", {
      kind: "sequence",
      resolve: resolveYamlPairs,
      construct: constructYamlPairs
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js
var require_set6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function resolveYamlSet(data) {
      if (data === null)
        return true;
      var key, object = data;
      for (key in object) {
        if (_hasOwnProperty.call(object, key)) {
          if (object[key] !== null)
            return false;
        }
      }
      return true;
    }
    function constructYamlSet(data) {
      return data !== null ? data : {};
    }
    module2.exports = new Type("tag:yaml.org,2002:set", {
      kind: "mapping",
      resolve: resolveYamlSet,
      construct: constructYamlSet
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js
var require_default_safe3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema12();
    module2.exports = new Schema({
      include: [
        require_core6()
      ],
      implicit: [
        require_timestamp6(),
        require_merge3()
      ],
      explicit: [
        require_binary6(),
        require_omap6(),
        require_pairs6(),
        require_set6()
      ]
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js
var require_undefined3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    function resolveJavascriptUndefined() {
      return true;
    }
    function constructJavascriptUndefined() {
      return void 0;
    }
    function representJavascriptUndefined() {
      return "";
    }
    function isUndefined(object) {
      return typeof object === "undefined";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/undefined", {
      kind: "scalar",
      resolve: resolveJavascriptUndefined,
      construct: constructJavascriptUndefined,
      predicate: isUndefined,
      represent: representJavascriptUndefined
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js
var require_regexp3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js"(exports2, module2) {
    "use strict";
    var Type = require_type3();
    function resolveJavascriptRegExp(data) {
      if (data === null)
        return false;
      if (data.length === 0)
        return false;
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        if (modifiers.length > 3)
          return false;
        if (regexp[regexp.length - modifiers.length - 1] !== "/")
          return false;
      }
      return true;
    }
    function constructJavascriptRegExp(data) {
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        regexp = regexp.slice(1, regexp.length - modifiers.length - 1);
      }
      return new RegExp(regexp, modifiers);
    }
    function representJavascriptRegExp(object) {
      var result = "/" + object.source + "/";
      if (object.global)
        result += "g";
      if (object.multiline)
        result += "m";
      if (object.ignoreCase)
        result += "i";
      return result;
    }
    function isRegExp(object) {
      return Object.prototype.toString.call(object) === "[object RegExp]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/regexp", {
      kind: "scalar",
      resolve: resolveJavascriptRegExp,
      construct: constructJavascriptRegExp,
      predicate: isRegExp,
      represent: representJavascriptRegExp
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js
var require_function3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js"(exports2, module2) {
    "use strict";
    var esprima;
    try {
      _require = require;
      esprima = _require("esprima");
    } catch (_) {
      if (typeof window !== "undefined")
        esprima = window.esprima;
    }
    var _require;
    var Type = require_type3();
    function resolveJavascriptFunction(data) {
      if (data === null)
        return false;
      try {
        var source = "(" + data + ")", ast = esprima.parse(source, { range: true });
        if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
          return false;
        }
        return true;
      } catch (err) {
        return false;
      }
    }
    function constructJavascriptFunction(data) {
      var source = "(" + data + ")", ast = esprima.parse(source, { range: true }), params = [], body;
      if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
        throw new Error("Failed to resolve function");
      }
      ast.body[0].expression.params.forEach(function(param) {
        params.push(param.name);
      });
      body = ast.body[0].expression.body.range;
      if (ast.body[0].expression.body.type === "BlockStatement") {
        return new Function(params, source.slice(body[0] + 1, body[1] - 1));
      }
      return new Function(params, "return " + source.slice(body[0], body[1]));
    }
    function representJavascriptFunction(object) {
      return object.toString();
    }
    function isFunction(object) {
      return Object.prototype.toString.call(object) === "[object Function]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/function", {
      kind: "scalar",
      resolve: resolveJavascriptFunction,
      construct: constructJavascriptFunction,
      predicate: isFunction,
      represent: representJavascriptFunction
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js
var require_default_full3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema12();
    module2.exports = Schema.DEFAULT = new Schema({
      include: [
        require_default_safe3()
      ],
      explicit: [
        require_undefined3(),
        require_regexp3(),
        require_function3()
      ]
    });
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js
var require_loader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    var YAMLException = require_exception3();
    var Mark = require_mark3();
    var DEFAULT_SAFE_SCHEMA = require_default_safe3();
    var DEFAULT_FULL_SCHEMA = require_default_full3();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CONTEXT_FLOW_IN = 1;
    var CONTEXT_FLOW_OUT = 2;
    var CONTEXT_BLOCK_IN = 3;
    var CONTEXT_BLOCK_OUT = 4;
    var CHOMPING_CLIP = 1;
    var CHOMPING_STRIP = 2;
    var CHOMPING_KEEP = 3;
    var PATTERN_NON_PRINTABLE = /[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var PATTERN_NON_ASCII_LINE_BREAKS = /[\x85\u2028\u2029]/;
    var PATTERN_FLOW_INDICATORS = /[,\[\]\{\}]/;
    var PATTERN_TAG_HANDLE = /^(?:!|!!|![a-z\-]+!)$/i;
    var PATTERN_TAG_URI = /^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;
    function _class(obj) {
      return Object.prototype.toString.call(obj);
    }
    function is_EOL(c) {
      return c === 10 || c === 13;
    }
    function is_WHITE_SPACE(c) {
      return c === 9 || c === 32;
    }
    function is_WS_OR_EOL(c) {
      return c === 9 || c === 32 || c === 10 || c === 13;
    }
    function is_FLOW_INDICATOR(c) {
      return c === 44 || c === 91 || c === 93 || c === 123 || c === 125;
    }
    function fromHexCode(c) {
      var lc;
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      lc = c | 32;
      if (97 <= lc && lc <= 102) {
        return lc - 97 + 10;
      }
      return -1;
    }
    function escapedHexLen(c) {
      if (c === 120) {
        return 2;
      }
      if (c === 117) {
        return 4;
      }
      if (c === 85) {
        return 8;
      }
      return 0;
    }
    function fromDecimalCode(c) {
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      return -1;
    }
    function simpleEscapeSequence(c) {
      return c === 48 ? "\0" : c === 97 ? "\x07" : c === 98 ? "\b" : c === 116 ? "	" : c === 9 ? "	" : c === 110 ? "\n" : c === 118 ? "\v" : c === 102 ? "\f" : c === 114 ? "\r" : c === 101 ? "\x1B" : c === 32 ? " " : c === 34 ? '"' : c === 47 ? "/" : c === 92 ? "\\" : c === 78 ? "\x85" : c === 95 ? "\xA0" : c === 76 ? "\u2028" : c === 80 ? "\u2029" : "";
    }
    function charFromCodepoint(c) {
      if (c <= 65535) {
        return String.fromCharCode(c);
      }
      return String.fromCharCode(
        (c - 65536 >> 10) + 55296,
        (c - 65536 & 1023) + 56320
      );
    }
    var simpleEscapeCheck = new Array(256);
    var simpleEscapeMap = new Array(256);
    for (i = 0; i < 256; i++) {
      simpleEscapeCheck[i] = simpleEscapeSequence(i) ? 1 : 0;
      simpleEscapeMap[i] = simpleEscapeSequence(i);
    }
    var i;
    function State(input, options) {
      this.input = input;
      this.filename = options["filename"] || null;
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.onWarning = options["onWarning"] || null;
      this.legacy = options["legacy"] || false;
      this.json = options["json"] || false;
      this.listener = options["listener"] || null;
      this.implicitTypes = this.schema.compiledImplicit;
      this.typeMap = this.schema.compiledTypeMap;
      this.length = input.length;
      this.position = 0;
      this.line = 0;
      this.lineStart = 0;
      this.lineIndent = 0;
      this.documents = [];
    }
    function generateError(state, message) {
      return new YAMLException(
        message,
        new Mark(state.filename, state.input, state.position, state.line, state.position - state.lineStart)
      );
    }
    function throwError(state, message) {
      throw generateError(state, message);
    }
    function throwWarning(state, message) {
      if (state.onWarning) {
        state.onWarning.call(null, generateError(state, message));
      }
    }
    var directiveHandlers = {
      YAML: function handleYamlDirective(state, name, args) {
        var match, major, minor;
        if (state.version !== null) {
          throwError(state, "duplication of %YAML directive");
        }
        if (args.length !== 1) {
          throwError(state, "YAML directive accepts exactly one argument");
        }
        match = /^([0-9]+)\.([0-9]+)$/.exec(args[0]);
        if (match === null) {
          throwError(state, "ill-formed argument of the YAML directive");
        }
        major = parseInt(match[1], 10);
        minor = parseInt(match[2], 10);
        if (major !== 1) {
          throwError(state, "unacceptable YAML version of the document");
        }
        state.version = args[0];
        state.checkLineBreaks = minor < 2;
        if (minor !== 1 && minor !== 2) {
          throwWarning(state, "unsupported YAML version of the document");
        }
      },
      TAG: function handleTagDirective(state, name, args) {
        var handle, prefix;
        if (args.length !== 2) {
          throwError(state, "TAG directive accepts exactly two arguments");
        }
        handle = args[0];
        prefix = args[1];
        if (!PATTERN_TAG_HANDLE.test(handle)) {
          throwError(state, "ill-formed tag handle (first argument) of the TAG directive");
        }
        if (_hasOwnProperty.call(state.tagMap, handle)) {
          throwError(state, 'there is a previously declared suffix for "' + handle + '" tag handle');
        }
        if (!PATTERN_TAG_URI.test(prefix)) {
          throwError(state, "ill-formed tag prefix (second argument) of the TAG directive");
        }
        state.tagMap[handle] = prefix;
      }
    };
    function captureSegment(state, start, end, checkJson) {
      var _position, _length, _character, _result;
      if (start < end) {
        _result = state.input.slice(start, end);
        if (checkJson) {
          for (_position = 0, _length = _result.length; _position < _length; _position += 1) {
            _character = _result.charCodeAt(_position);
            if (!(_character === 9 || 32 <= _character && _character <= 1114111)) {
              throwError(state, "expected valid JSON character");
            }
          }
        } else if (PATTERN_NON_PRINTABLE.test(_result)) {
          throwError(state, "the stream contains non-printable characters");
        }
        state.result += _result;
      }
    }
    function mergeMappings(state, destination, source, overridableKeys) {
      var sourceKeys, key, index, quantity;
      if (!common.isObject(source)) {
        throwError(state, "cannot merge mappings; the provided source object is unacceptable");
      }
      sourceKeys = Object.keys(source);
      for (index = 0, quantity = sourceKeys.length; index < quantity; index += 1) {
        key = sourceKeys[index];
        if (!_hasOwnProperty.call(destination, key)) {
          destination[key] = source[key];
          overridableKeys[key] = true;
        }
      }
    }
    function storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, startLine, startPos) {
      var index, quantity;
      if (Array.isArray(keyNode)) {
        keyNode = Array.prototype.slice.call(keyNode);
        for (index = 0, quantity = keyNode.length; index < quantity; index += 1) {
          if (Array.isArray(keyNode[index])) {
            throwError(state, "nested arrays are not supported inside keys");
          }
          if (typeof keyNode === "object" && _class(keyNode[index]) === "[object Object]") {
            keyNode[index] = "[object Object]";
          }
        }
      }
      if (typeof keyNode === "object" && _class(keyNode) === "[object Object]") {
        keyNode = "[object Object]";
      }
      keyNode = String(keyNode);
      if (_result === null) {
        _result = {};
      }
      if (keyTag === "tag:yaml.org,2002:merge") {
        if (Array.isArray(valueNode)) {
          for (index = 0, quantity = valueNode.length; index < quantity; index += 1) {
            mergeMappings(state, _result, valueNode[index], overridableKeys);
          }
        } else {
          mergeMappings(state, _result, valueNode, overridableKeys);
        }
      } else {
        if (!state.json && !_hasOwnProperty.call(overridableKeys, keyNode) && _hasOwnProperty.call(_result, keyNode)) {
          state.line = startLine || state.line;
          state.position = startPos || state.position;
          throwError(state, "duplicated mapping key");
        }
        _result[keyNode] = valueNode;
        delete overridableKeys[keyNode];
      }
      return _result;
    }
    function readLineBreak(state) {
      var ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 10) {
        state.position++;
      } else if (ch === 13) {
        state.position++;
        if (state.input.charCodeAt(state.position) === 10) {
          state.position++;
        }
      } else {
        throwError(state, "a line break is expected");
      }
      state.line += 1;
      state.lineStart = state.position;
    }
    function skipSeparationSpace(state, allowComments, checkIndent) {
      var lineBreaks = 0, ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        while (is_WHITE_SPACE(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        if (allowComments && ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (ch !== 10 && ch !== 13 && ch !== 0);
        }
        if (is_EOL(ch)) {
          readLineBreak(state);
          ch = state.input.charCodeAt(state.position);
          lineBreaks++;
          state.lineIndent = 0;
          while (ch === 32) {
            state.lineIndent++;
            ch = state.input.charCodeAt(++state.position);
          }
        } else {
          break;
        }
      }
      if (checkIndent !== -1 && lineBreaks !== 0 && state.lineIndent < checkIndent) {
        throwWarning(state, "deficient indentation");
      }
      return lineBreaks;
    }
    function testDocumentSeparator(state) {
      var _position = state.position, ch;
      ch = state.input.charCodeAt(_position);
      if ((ch === 45 || ch === 46) && ch === state.input.charCodeAt(_position + 1) && ch === state.input.charCodeAt(_position + 2)) {
        _position += 3;
        ch = state.input.charCodeAt(_position);
        if (ch === 0 || is_WS_OR_EOL(ch)) {
          return true;
        }
      }
      return false;
    }
    function writeFoldedLines(state, count) {
      if (count === 1) {
        state.result += " ";
      } else if (count > 1) {
        state.result += common.repeat("\n", count - 1);
      }
    }
    function readPlainScalar(state, nodeIndent, withinFlowCollection) {
      var preceding, following, captureStart, captureEnd, hasPendingContent, _line, _lineStart, _lineIndent, _kind = state.kind, _result = state.result, ch;
      ch = state.input.charCodeAt(state.position);
      if (is_WS_OR_EOL(ch) || is_FLOW_INDICATOR(ch) || ch === 35 || ch === 38 || ch === 42 || ch === 33 || ch === 124 || ch === 62 || ch === 39 || ch === 34 || ch === 37 || ch === 64 || ch === 96) {
        return false;
      }
      if (ch === 63 || ch === 45) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
          return false;
        }
      }
      state.kind = "scalar";
      state.result = "";
      captureStart = captureEnd = state.position;
      hasPendingContent = false;
      while (ch !== 0) {
        if (ch === 58) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
            break;
          }
        } else if (ch === 35) {
          preceding = state.input.charCodeAt(state.position - 1);
          if (is_WS_OR_EOL(preceding)) {
            break;
          }
        } else if (state.position === state.lineStart && testDocumentSeparator(state) || withinFlowCollection && is_FLOW_INDICATOR(ch)) {
          break;
        } else if (is_EOL(ch)) {
          _line = state.line;
          _lineStart = state.lineStart;
          _lineIndent = state.lineIndent;
          skipSeparationSpace(state, false, -1);
          if (state.lineIndent >= nodeIndent) {
            hasPendingContent = true;
            ch = state.input.charCodeAt(state.position);
            continue;
          } else {
            state.position = captureEnd;
            state.line = _line;
            state.lineStart = _lineStart;
            state.lineIndent = _lineIndent;
            break;
          }
        }
        if (hasPendingContent) {
          captureSegment(state, captureStart, captureEnd, false);
          writeFoldedLines(state, state.line - _line);
          captureStart = captureEnd = state.position;
          hasPendingContent = false;
        }
        if (!is_WHITE_SPACE(ch)) {
          captureEnd = state.position + 1;
        }
        ch = state.input.charCodeAt(++state.position);
      }
      captureSegment(state, captureStart, captureEnd, false);
      if (state.result) {
        return true;
      }
      state.kind = _kind;
      state.result = _result;
      return false;
    }
    function readSingleQuotedScalar(state, nodeIndent) {
      var ch, captureStart, captureEnd;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 39) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 39) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (ch === 39) {
            captureStart = state.position;
            state.position++;
            captureEnd = state.position;
          } else {
            return true;
          }
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a single quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a single quoted scalar");
    }
    function readDoubleQuotedScalar(state, nodeIndent) {
      var captureStart, captureEnd, hexLength, hexResult, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 34) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 34) {
          captureSegment(state, captureStart, state.position, true);
          state.position++;
          return true;
        } else if (ch === 92) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (is_EOL(ch)) {
            skipSeparationSpace(state, false, nodeIndent);
          } else if (ch < 256 && simpleEscapeCheck[ch]) {
            state.result += simpleEscapeMap[ch];
            state.position++;
          } else if ((tmp = escapedHexLen(ch)) > 0) {
            hexLength = tmp;
            hexResult = 0;
            for (; hexLength > 0; hexLength--) {
              ch = state.input.charCodeAt(++state.position);
              if ((tmp = fromHexCode(ch)) >= 0) {
                hexResult = (hexResult << 4) + tmp;
              } else {
                throwError(state, "expected hexadecimal character");
              }
            }
            state.result += charFromCodepoint(hexResult);
            state.position++;
          } else {
            throwError(state, "unknown escape sequence");
          }
          captureStart = captureEnd = state.position;
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a double quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a double quoted scalar");
    }
    function readFlowCollection(state, nodeIndent) {
      var readNext = true, _line, _tag = state.tag, _result, _anchor = state.anchor, following, terminator, isPair, isExplicitPair, isMapping, overridableKeys = {}, keyNode, keyTag, valueNode, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 91) {
        terminator = 93;
        isMapping = false;
        _result = [];
      } else if (ch === 123) {
        terminator = 125;
        isMapping = true;
        _result = {};
      } else {
        return false;
      }
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(++state.position);
      while (ch !== 0) {
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === terminator) {
          state.position++;
          state.tag = _tag;
          state.anchor = _anchor;
          state.kind = isMapping ? "mapping" : "sequence";
          state.result = _result;
          return true;
        } else if (!readNext) {
          throwError(state, "missed comma between flow collection entries");
        }
        keyTag = keyNode = valueNode = null;
        isPair = isExplicitPair = false;
        if (ch === 63) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following)) {
            isPair = isExplicitPair = true;
            state.position++;
            skipSeparationSpace(state, true, nodeIndent);
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
        keyTag = state.tag;
        keyNode = state.result;
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if ((isExplicitPair || state.line === _line) && ch === 58) {
          isPair = true;
          ch = state.input.charCodeAt(++state.position);
          skipSeparationSpace(state, true, nodeIndent);
          composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
          valueNode = state.result;
        }
        if (isMapping) {
          storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode);
        } else if (isPair) {
          _result.push(storeMappingPair(state, null, overridableKeys, keyTag, keyNode, valueNode));
        } else {
          _result.push(keyNode);
        }
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === 44) {
          readNext = true;
          ch = state.input.charCodeAt(++state.position);
        } else {
          readNext = false;
        }
      }
      throwError(state, "unexpected end of the stream within a flow collection");
    }
    function readBlockScalar(state, nodeIndent) {
      var captureStart, folding, chomping = CHOMPING_CLIP, didReadContent = false, detectedIndent = false, textIndent = nodeIndent, emptyLines = 0, atMoreIndented = false, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 124) {
        folding = false;
      } else if (ch === 62) {
        folding = true;
      } else {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      while (ch !== 0) {
        ch = state.input.charCodeAt(++state.position);
        if (ch === 43 || ch === 45) {
          if (CHOMPING_CLIP === chomping) {
            chomping = ch === 43 ? CHOMPING_KEEP : CHOMPING_STRIP;
          } else {
            throwError(state, "repeat of a chomping mode identifier");
          }
        } else if ((tmp = fromDecimalCode(ch)) >= 0) {
          if (tmp === 0) {
            throwError(state, "bad explicit indentation width of a block scalar; it cannot be less than one");
          } else if (!detectedIndent) {
            textIndent = nodeIndent + tmp - 1;
            detectedIndent = true;
          } else {
            throwError(state, "repeat of an indentation width identifier");
          }
        } else {
          break;
        }
      }
      if (is_WHITE_SPACE(ch)) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (is_WHITE_SPACE(ch));
        if (ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (!is_EOL(ch) && ch !== 0);
        }
      }
      while (ch !== 0) {
        readLineBreak(state);
        state.lineIndent = 0;
        ch = state.input.charCodeAt(state.position);
        while ((!detectedIndent || state.lineIndent < textIndent) && ch === 32) {
          state.lineIndent++;
          ch = state.input.charCodeAt(++state.position);
        }
        if (!detectedIndent && state.lineIndent > textIndent) {
          textIndent = state.lineIndent;
        }
        if (is_EOL(ch)) {
          emptyLines++;
          continue;
        }
        if (state.lineIndent < textIndent) {
          if (chomping === CHOMPING_KEEP) {
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (chomping === CHOMPING_CLIP) {
            if (didReadContent) {
              state.result += "\n";
            }
          }
          break;
        }
        if (folding) {
          if (is_WHITE_SPACE(ch)) {
            atMoreIndented = true;
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (atMoreIndented) {
            atMoreIndented = false;
            state.result += common.repeat("\n", emptyLines + 1);
          } else if (emptyLines === 0) {
            if (didReadContent) {
              state.result += " ";
            }
          } else {
            state.result += common.repeat("\n", emptyLines);
          }
        } else {
          state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
        }
        didReadContent = true;
        detectedIndent = true;
        emptyLines = 0;
        captureStart = state.position;
        while (!is_EOL(ch) && ch !== 0) {
          ch = state.input.charCodeAt(++state.position);
        }
        captureSegment(state, captureStart, state.position, false);
      }
      return true;
    }
    function readBlockSequence(state, nodeIndent) {
      var _line, _tag = state.tag, _anchor = state.anchor, _result = [], following, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        if (ch !== 45) {
          break;
        }
        following = state.input.charCodeAt(state.position + 1);
        if (!is_WS_OR_EOL(following)) {
          break;
        }
        detected = true;
        state.position++;
        if (skipSeparationSpace(state, true, -1)) {
          if (state.lineIndent <= nodeIndent) {
            _result.push(null);
            ch = state.input.charCodeAt(state.position);
            continue;
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_BLOCK_IN, false, true);
        _result.push(state.result);
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if ((state.line === _line || state.lineIndent > nodeIndent) && ch !== 0) {
          throwError(state, "bad indentation of a sequence entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "sequence";
        state.result = _result;
        return true;
      }
      return false;
    }
    function readBlockMapping(state, nodeIndent, flowIndent) {
      var following, allowCompact, _line, _pos, _tag = state.tag, _anchor = state.anchor, _result = {}, overridableKeys = {}, keyTag = null, keyNode = null, valueNode = null, atExplicitKey = false, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        following = state.input.charCodeAt(state.position + 1);
        _line = state.line;
        _pos = state.position;
        if ((ch === 63 || ch === 58) && is_WS_OR_EOL(following)) {
          if (ch === 63) {
            if (atExplicitKey) {
              storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
              keyTag = keyNode = valueNode = null;
            }
            detected = true;
            atExplicitKey = true;
            allowCompact = true;
          } else if (atExplicitKey) {
            atExplicitKey = false;
            allowCompact = true;
          } else {
            throwError(state, "incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line");
          }
          state.position += 1;
          ch = following;
        } else if (composeNode(state, flowIndent, CONTEXT_FLOW_OUT, false, true)) {
          if (state.line === _line) {
            ch = state.input.charCodeAt(state.position);
            while (is_WHITE_SPACE(ch)) {
              ch = state.input.charCodeAt(++state.position);
            }
            if (ch === 58) {
              ch = state.input.charCodeAt(++state.position);
              if (!is_WS_OR_EOL(ch)) {
                throwError(state, "a whitespace character is expected after the key-value separator within a block mapping");
              }
              if (atExplicitKey) {
                storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
                keyTag = keyNode = valueNode = null;
              }
              detected = true;
              atExplicitKey = false;
              allowCompact = false;
              keyTag = state.tag;
              keyNode = state.result;
            } else if (detected) {
              throwError(state, "can not read an implicit mapping pair; a colon is missed");
            } else {
              state.tag = _tag;
              state.anchor = _anchor;
              return true;
            }
          } else if (detected) {
            throwError(state, "can not read a block mapping entry; a multiline key may not be an implicit key");
          } else {
            state.tag = _tag;
            state.anchor = _anchor;
            return true;
          }
        } else {
          break;
        }
        if (state.line === _line || state.lineIndent > nodeIndent) {
          if (composeNode(state, nodeIndent, CONTEXT_BLOCK_OUT, true, allowCompact)) {
            if (atExplicitKey) {
              keyNode = state.result;
            } else {
              valueNode = state.result;
            }
          }
          if (!atExplicitKey) {
            storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, _line, _pos);
            keyTag = keyNode = valueNode = null;
          }
          skipSeparationSpace(state, true, -1);
          ch = state.input.charCodeAt(state.position);
        }
        if (state.lineIndent > nodeIndent && ch !== 0) {
          throwError(state, "bad indentation of a mapping entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (atExplicitKey) {
        storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "mapping";
        state.result = _result;
      }
      return detected;
    }
    function readTagProperty(state) {
      var _position, isVerbatim = false, isNamed = false, tagHandle, tagName, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 33)
        return false;
      if (state.tag !== null) {
        throwError(state, "duplication of a tag property");
      }
      ch = state.input.charCodeAt(++state.position);
      if (ch === 60) {
        isVerbatim = true;
        ch = state.input.charCodeAt(++state.position);
      } else if (ch === 33) {
        isNamed = true;
        tagHandle = "!!";
        ch = state.input.charCodeAt(++state.position);
      } else {
        tagHandle = "!";
      }
      _position = state.position;
      if (isVerbatim) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (ch !== 0 && ch !== 62);
        if (state.position < state.length) {
          tagName = state.input.slice(_position, state.position);
          ch = state.input.charCodeAt(++state.position);
        } else {
          throwError(state, "unexpected end of the stream within a verbatim tag");
        }
      } else {
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          if (ch === 33) {
            if (!isNamed) {
              tagHandle = state.input.slice(_position - 1, state.position + 1);
              if (!PATTERN_TAG_HANDLE.test(tagHandle)) {
                throwError(state, "named tag handle cannot contain such characters");
              }
              isNamed = true;
              _position = state.position + 1;
            } else {
              throwError(state, "tag suffix cannot contain exclamation marks");
            }
          }
          ch = state.input.charCodeAt(++state.position);
        }
        tagName = state.input.slice(_position, state.position);
        if (PATTERN_FLOW_INDICATORS.test(tagName)) {
          throwError(state, "tag suffix cannot contain flow indicator characters");
        }
      }
      if (tagName && !PATTERN_TAG_URI.test(tagName)) {
        throwError(state, "tag name cannot contain such characters: " + tagName);
      }
      if (isVerbatim) {
        state.tag = tagName;
      } else if (_hasOwnProperty.call(state.tagMap, tagHandle)) {
        state.tag = state.tagMap[tagHandle] + tagName;
      } else if (tagHandle === "!") {
        state.tag = "!" + tagName;
      } else if (tagHandle === "!!") {
        state.tag = "tag:yaml.org,2002:" + tagName;
      } else {
        throwError(state, 'undeclared tag handle "' + tagHandle + '"');
      }
      return true;
    }
    function readAnchorProperty(state) {
      var _position, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 38)
        return false;
      if (state.anchor !== null) {
        throwError(state, "duplication of an anchor property");
      }
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an anchor node must contain at least one character");
      }
      state.anchor = state.input.slice(_position, state.position);
      return true;
    }
    function readAlias(state) {
      var _position, alias, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 42)
        return false;
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an alias node must contain at least one character");
      }
      alias = state.input.slice(_position, state.position);
      if (!_hasOwnProperty.call(state.anchorMap, alias)) {
        throwError(state, 'unidentified alias "' + alias + '"');
      }
      state.result = state.anchorMap[alias];
      skipSeparationSpace(state, true, -1);
      return true;
    }
    function composeNode(state, parentIndent, nodeContext, allowToSeek, allowCompact) {
      var allowBlockStyles, allowBlockScalars, allowBlockCollections, indentStatus = 1, atNewLine = false, hasContent = false, typeIndex, typeQuantity, type, flowIndent, blockIndent;
      if (state.listener !== null) {
        state.listener("open", state);
      }
      state.tag = null;
      state.anchor = null;
      state.kind = null;
      state.result = null;
      allowBlockStyles = allowBlockScalars = allowBlockCollections = CONTEXT_BLOCK_OUT === nodeContext || CONTEXT_BLOCK_IN === nodeContext;
      if (allowToSeek) {
        if (skipSeparationSpace(state, true, -1)) {
          atNewLine = true;
          if (state.lineIndent > parentIndent) {
            indentStatus = 1;
          } else if (state.lineIndent === parentIndent) {
            indentStatus = 0;
          } else if (state.lineIndent < parentIndent) {
            indentStatus = -1;
          }
        }
      }
      if (indentStatus === 1) {
        while (readTagProperty(state) || readAnchorProperty(state)) {
          if (skipSeparationSpace(state, true, -1)) {
            atNewLine = true;
            allowBlockCollections = allowBlockStyles;
            if (state.lineIndent > parentIndent) {
              indentStatus = 1;
            } else if (state.lineIndent === parentIndent) {
              indentStatus = 0;
            } else if (state.lineIndent < parentIndent) {
              indentStatus = -1;
            }
          } else {
            allowBlockCollections = false;
          }
        }
      }
      if (allowBlockCollections) {
        allowBlockCollections = atNewLine || allowCompact;
      }
      if (indentStatus === 1 || CONTEXT_BLOCK_OUT === nodeContext) {
        if (CONTEXT_FLOW_IN === nodeContext || CONTEXT_FLOW_OUT === nodeContext) {
          flowIndent = parentIndent;
        } else {
          flowIndent = parentIndent + 1;
        }
        blockIndent = state.position - state.lineStart;
        if (indentStatus === 1) {
          if (allowBlockCollections && (readBlockSequence(state, blockIndent) || readBlockMapping(state, blockIndent, flowIndent)) || readFlowCollection(state, flowIndent)) {
            hasContent = true;
          } else {
            if (allowBlockScalars && readBlockScalar(state, flowIndent) || readSingleQuotedScalar(state, flowIndent) || readDoubleQuotedScalar(state, flowIndent)) {
              hasContent = true;
            } else if (readAlias(state)) {
              hasContent = true;
              if (state.tag !== null || state.anchor !== null) {
                throwError(state, "alias node should not have any properties");
              }
            } else if (readPlainScalar(state, flowIndent, CONTEXT_FLOW_IN === nodeContext)) {
              hasContent = true;
              if (state.tag === null) {
                state.tag = "?";
              }
            }
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else if (indentStatus === 0) {
          hasContent = allowBlockCollections && readBlockSequence(state, blockIndent);
        }
      }
      if (state.tag !== null && state.tag !== "!") {
        if (state.tag === "?") {
          if (state.result !== null && state.kind !== "scalar") {
            throwError(state, 'unacceptable node kind for !<?> tag; it should be "scalar", not "' + state.kind + '"');
          }
          for (typeIndex = 0, typeQuantity = state.implicitTypes.length; typeIndex < typeQuantity; typeIndex += 1) {
            type = state.implicitTypes[typeIndex];
            if (type.resolve(state.result)) {
              state.result = type.construct(state.result);
              state.tag = type.tag;
              if (state.anchor !== null) {
                state.anchorMap[state.anchor] = state.result;
              }
              break;
            }
          }
        } else if (_hasOwnProperty.call(state.typeMap[state.kind || "fallback"], state.tag)) {
          type = state.typeMap[state.kind || "fallback"][state.tag];
          if (state.result !== null && type.kind !== state.kind) {
            throwError(state, "unacceptable node kind for !<" + state.tag + '> tag; it should be "' + type.kind + '", not "' + state.kind + '"');
          }
          if (!type.resolve(state.result)) {
            throwError(state, "cannot resolve a node with !<" + state.tag + "> explicit tag");
          } else {
            state.result = type.construct(state.result);
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else {
          throwError(state, "unknown tag !<" + state.tag + ">");
        }
      }
      if (state.listener !== null) {
        state.listener("close", state);
      }
      return state.tag !== null || state.anchor !== null || hasContent;
    }
    function readDocument(state) {
      var documentStart = state.position, _position, directiveName, directiveArgs, hasDirectives = false, ch;
      state.version = null;
      state.checkLineBreaks = state.legacy;
      state.tagMap = {};
      state.anchorMap = {};
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if (state.lineIndent > 0 || ch !== 37) {
          break;
        }
        hasDirectives = true;
        ch = state.input.charCodeAt(++state.position);
        _position = state.position;
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        directiveName = state.input.slice(_position, state.position);
        directiveArgs = [];
        if (directiveName.length < 1) {
          throwError(state, "directive name must not be less than one character in length");
        }
        while (ch !== 0) {
          while (is_WHITE_SPACE(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          if (ch === 35) {
            do {
              ch = state.input.charCodeAt(++state.position);
            } while (ch !== 0 && !is_EOL(ch));
            break;
          }
          if (is_EOL(ch))
            break;
          _position = state.position;
          while (ch !== 0 && !is_WS_OR_EOL(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          directiveArgs.push(state.input.slice(_position, state.position));
        }
        if (ch !== 0)
          readLineBreak(state);
        if (_hasOwnProperty.call(directiveHandlers, directiveName)) {
          directiveHandlers[directiveName](state, directiveName, directiveArgs);
        } else {
          throwWarning(state, 'unknown document directive "' + directiveName + '"');
        }
      }
      skipSeparationSpace(state, true, -1);
      if (state.lineIndent === 0 && state.input.charCodeAt(state.position) === 45 && state.input.charCodeAt(state.position + 1) === 45 && state.input.charCodeAt(state.position + 2) === 45) {
        state.position += 3;
        skipSeparationSpace(state, true, -1);
      } else if (hasDirectives) {
        throwError(state, "directives end mark is expected");
      }
      composeNode(state, state.lineIndent - 1, CONTEXT_BLOCK_OUT, false, true);
      skipSeparationSpace(state, true, -1);
      if (state.checkLineBreaks && PATTERN_NON_ASCII_LINE_BREAKS.test(state.input.slice(documentStart, state.position))) {
        throwWarning(state, "non-ASCII line breaks are interpreted as content");
      }
      state.documents.push(state.result);
      if (state.position === state.lineStart && testDocumentSeparator(state)) {
        if (state.input.charCodeAt(state.position) === 46) {
          state.position += 3;
          skipSeparationSpace(state, true, -1);
        }
        return;
      }
      if (state.position < state.length - 1) {
        throwError(state, "end of the stream or a document separator is expected");
      } else {
        return;
      }
    }
    function loadDocuments(input, options) {
      input = String(input);
      options = options || {};
      if (input.length !== 0) {
        if (input.charCodeAt(input.length - 1) !== 10 && input.charCodeAt(input.length - 1) !== 13) {
          input += "\n";
        }
        if (input.charCodeAt(0) === 65279) {
          input = input.slice(1);
        }
      }
      var state = new State(input, options);
      var nullpos = input.indexOf("\0");
      if (nullpos !== -1) {
        state.position = nullpos;
        throwError(state, "null byte is not allowed in input");
      }
      state.input += "\0";
      while (state.input.charCodeAt(state.position) === 32) {
        state.lineIndent += 1;
        state.position += 1;
      }
      while (state.position < state.length - 1) {
        readDocument(state);
      }
      return state.documents;
    }
    function loadAll(input, iterator, options) {
      if (iterator !== null && typeof iterator === "object" && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      var documents = loadDocuments(input, options);
      if (typeof iterator !== "function") {
        return documents;
      }
      for (var index = 0, length = documents.length; index < length; index += 1) {
        iterator(documents[index]);
      }
    }
    function load(input, options) {
      var documents = loadDocuments(input, options);
      if (documents.length === 0) {
        return void 0;
      } else if (documents.length === 1) {
        return documents[0];
      }
      throw new YAMLException("expected a single document in the stream, but found more");
    }
    function safeLoadAll(input, iterator, options) {
      if (typeof iterator === "object" && iterator !== null && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      return loadAll(input, iterator, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    function safeLoad(input, options) {
      return load(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.loadAll = loadAll;
    module2.exports.load = load;
    module2.exports.safeLoadAll = safeLoadAll;
    module2.exports.safeLoad = safeLoad;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js
var require_dumper3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js"(exports2, module2) {
    "use strict";
    var common = require_common12();
    var YAMLException = require_exception3();
    var DEFAULT_FULL_SCHEMA = require_default_full3();
    var DEFAULT_SAFE_SCHEMA = require_default_safe3();
    var _toString = Object.prototype.toString;
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CHAR_TAB = 9;
    var CHAR_LINE_FEED = 10;
    var CHAR_CARRIAGE_RETURN = 13;
    var CHAR_SPACE = 32;
    var CHAR_EXCLAMATION = 33;
    var CHAR_DOUBLE_QUOTE = 34;
    var CHAR_SHARP = 35;
    var CHAR_PERCENT = 37;
    var CHAR_AMPERSAND = 38;
    var CHAR_SINGLE_QUOTE = 39;
    var CHAR_ASTERISK = 42;
    var CHAR_COMMA2 = 44;
    var CHAR_MINUS = 45;
    var CHAR_COLON2 = 58;
    var CHAR_EQUALS2 = 61;
    var CHAR_GREATER_THAN = 62;
    var CHAR_QUESTION = 63;
    var CHAR_COMMERCIAL_AT = 64;
    var CHAR_LEFT_SQUARE_BRACKET = 91;
    var CHAR_RIGHT_SQUARE_BRACKET = 93;
    var CHAR_GRAVE_ACCENT = 96;
    var CHAR_LEFT_CURLY_BRACKET = 123;
    var CHAR_VERTICAL_LINE = 124;
    var CHAR_RIGHT_CURLY_BRACKET = 125;
    var ESCAPE_SEQUENCES = {};
    ESCAPE_SEQUENCES[0] = "\\0";
    ESCAPE_SEQUENCES[7] = "\\a";
    ESCAPE_SEQUENCES[8] = "\\b";
    ESCAPE_SEQUENCES[9] = "\\t";
    ESCAPE_SEQUENCES[10] = "\\n";
    ESCAPE_SEQUENCES[11] = "\\v";
    ESCAPE_SEQUENCES[12] = "\\f";
    ESCAPE_SEQUENCES[13] = "\\r";
    ESCAPE_SEQUENCES[27] = "\\e";
    ESCAPE_SEQUENCES[34] = '\\"';
    ESCAPE_SEQUENCES[92] = "\\\\";
    ESCAPE_SEQUENCES[133] = "\\N";
    ESCAPE_SEQUENCES[160] = "\\_";
    ESCAPE_SEQUENCES[8232] = "\\L";
    ESCAPE_SEQUENCES[8233] = "\\P";
    var DEPRECATED_BOOLEANS_SYNTAX = [
      "y",
      "Y",
      "yes",
      "Yes",
      "YES",
      "on",
      "On",
      "ON",
      "n",
      "N",
      "no",
      "No",
      "NO",
      "off",
      "Off",
      "OFF"
    ];
    function compileStyleMap(schema, map) {
      var result, keys, index, length, tag, style, type;
      if (map === null)
        return {};
      result = {};
      keys = Object.keys(map);
      for (index = 0, length = keys.length; index < length; index += 1) {
        tag = keys[index];
        style = String(map[tag]);
        if (tag.slice(0, 2) === "!!") {
          tag = "tag:yaml.org,2002:" + tag.slice(2);
        }
        type = schema.compiledTypeMap["fallback"][tag];
        if (type && _hasOwnProperty.call(type.styleAliases, style)) {
          style = type.styleAliases[style];
        }
        result[tag] = style;
      }
      return result;
    }
    function encodeHex(character) {
      var string, handle, length;
      string = character.toString(16).toUpperCase();
      if (character <= 255) {
        handle = "x";
        length = 2;
      } else if (character <= 65535) {
        handle = "u";
        length = 4;
      } else if (character <= 4294967295) {
        handle = "U";
        length = 8;
      } else {
        throw new YAMLException("code point within a string may not be greater than 0xFFFFFFFF");
      }
      return "\\" + handle + common.repeat("0", length - string.length) + string;
    }
    function State(options) {
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.indent = Math.max(1, options["indent"] || 2);
      this.noArrayIndent = options["noArrayIndent"] || false;
      this.skipInvalid = options["skipInvalid"] || false;
      this.flowLevel = common.isNothing(options["flowLevel"]) ? -1 : options["flowLevel"];
      this.styleMap = compileStyleMap(this.schema, options["styles"] || null);
      this.sortKeys = options["sortKeys"] || false;
      this.lineWidth = options["lineWidth"] || 80;
      this.noRefs = options["noRefs"] || false;
      this.noCompatMode = options["noCompatMode"] || false;
      this.condenseFlow = options["condenseFlow"] || false;
      this.implicitTypes = this.schema.compiledImplicit;
      this.explicitTypes = this.schema.compiledExplicit;
      this.tag = null;
      this.result = "";
      this.duplicates = [];
      this.usedDuplicates = null;
    }
    function indentString(string, spaces) {
      var ind = common.repeat(" ", spaces), position = 0, next = -1, result = "", line, length = string.length;
      while (position < length) {
        next = string.indexOf("\n", position);
        if (next === -1) {
          line = string.slice(position);
          position = length;
        } else {
          line = string.slice(position, next + 1);
          position = next + 1;
        }
        if (line.length && line !== "\n")
          result += ind;
        result += line;
      }
      return result;
    }
    function generateNextLine(state, level) {
      return "\n" + common.repeat(" ", state.indent * level);
    }
    function testImplicitResolving(state, str) {
      var index, length, type;
      for (index = 0, length = state.implicitTypes.length; index < length; index += 1) {
        type = state.implicitTypes[index];
        if (type.resolve(str)) {
          return true;
        }
      }
      return false;
    }
    function isWhitespace(c) {
      return c === CHAR_SPACE || c === CHAR_TAB;
    }
    function isPrintable(c) {
      return 32 <= c && c <= 126 || 161 <= c && c <= 55295 && c !== 8232 && c !== 8233 || 57344 <= c && c <= 65533 && c !== 65279 || 65536 <= c && c <= 1114111;
    }
    function isNsChar(c) {
      return isPrintable(c) && !isWhitespace(c) && c !== 65279 && c !== CHAR_CARRIAGE_RETURN && c !== CHAR_LINE_FEED;
    }
    function isPlainSafe(c, prev) {
      return isPrintable(c) && c !== 65279 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_COLON2 && (c !== CHAR_SHARP || prev && isNsChar(prev));
    }
    function isPlainSafeFirst(c) {
      return isPrintable(c) && c !== 65279 && !isWhitespace(c) && c !== CHAR_MINUS && c !== CHAR_QUESTION && c !== CHAR_COLON2 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_SHARP && c !== CHAR_AMPERSAND && c !== CHAR_ASTERISK && c !== CHAR_EXCLAMATION && c !== CHAR_VERTICAL_LINE && c !== CHAR_EQUALS2 && c !== CHAR_GREATER_THAN && c !== CHAR_SINGLE_QUOTE && c !== CHAR_DOUBLE_QUOTE && c !== CHAR_PERCENT && c !== CHAR_COMMERCIAL_AT && c !== CHAR_GRAVE_ACCENT;
    }
    function needIndentIndicator(string) {
      var leadingSpaceRe = /^\n* /;
      return leadingSpaceRe.test(string);
    }
    var STYLE_PLAIN = 1;
    var STYLE_SINGLE = 2;
    var STYLE_LITERAL = 3;
    var STYLE_FOLDED = 4;
    var STYLE_DOUBLE = 5;
    function chooseScalarStyle(string, singleLineOnly, indentPerLevel, lineWidth, testAmbiguousType) {
      var i;
      var char, prev_char;
      var hasLineBreak = false;
      var hasFoldableLine = false;
      var shouldTrackWidth = lineWidth !== -1;
      var previousLineBreak = -1;
      var plain = isPlainSafeFirst(string.charCodeAt(0)) && !isWhitespace(string.charCodeAt(string.length - 1));
      if (singleLineOnly) {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
      } else {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (char === CHAR_LINE_FEED) {
            hasLineBreak = true;
            if (shouldTrackWidth) {
              hasFoldableLine = hasFoldableLine || // Foldable line = too long, and not more-indented.
              i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ";
              previousLineBreak = i;
            }
          } else if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
        hasFoldableLine = hasFoldableLine || shouldTrackWidth && (i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ");
      }
      if (!hasLineBreak && !hasFoldableLine) {
        return plain && !testAmbiguousType(string) ? STYLE_PLAIN : STYLE_SINGLE;
      }
      if (indentPerLevel > 9 && needIndentIndicator(string)) {
        return STYLE_DOUBLE;
      }
      return hasFoldableLine ? STYLE_FOLDED : STYLE_LITERAL;
    }
    function writeScalar(state, string, level, iskey) {
      state.dump = function() {
        if (string.length === 0) {
          return "''";
        }
        if (!state.noCompatMode && DEPRECATED_BOOLEANS_SYNTAX.indexOf(string) !== -1) {
          return "'" + string + "'";
        }
        var indent = state.indent * Math.max(1, level);
        var lineWidth = state.lineWidth === -1 ? -1 : Math.max(Math.min(state.lineWidth, 40), state.lineWidth - indent);
        var singleLineOnly = iskey || state.flowLevel > -1 && level >= state.flowLevel;
        function testAmbiguity(string2) {
          return testImplicitResolving(state, string2);
        }
        switch (chooseScalarStyle(string, singleLineOnly, state.indent, lineWidth, testAmbiguity)) {
          case STYLE_PLAIN:
            return string;
          case STYLE_SINGLE:
            return "'" + string.replace(/'/g, "''") + "'";
          case STYLE_LITERAL:
            return "|" + blockHeader(string, state.indent) + dropEndingNewline(indentString(string, indent));
          case STYLE_FOLDED:
            return ">" + blockHeader(string, state.indent) + dropEndingNewline(indentString(foldString(string, lineWidth), indent));
          case STYLE_DOUBLE:
            return '"' + escapeString(string, lineWidth) + '"';
          default:
            throw new YAMLException("impossible error: invalid scalar style");
        }
      }();
    }
    function blockHeader(string, indentPerLevel) {
      var indentIndicator = needIndentIndicator(string) ? String(indentPerLevel) : "";
      var clip = string[string.length - 1] === "\n";
      var keep = clip && (string[string.length - 2] === "\n" || string === "\n");
      var chomp = keep ? "+" : clip ? "" : "-";
      return indentIndicator + chomp + "\n";
    }
    function dropEndingNewline(string) {
      return string[string.length - 1] === "\n" ? string.slice(0, -1) : string;
    }
    function foldString(string, width) {
      var lineRe = /(\n+)([^\n]*)/g;
      var result = function() {
        var nextLF = string.indexOf("\n");
        nextLF = nextLF !== -1 ? nextLF : string.length;
        lineRe.lastIndex = nextLF;
        return foldLine(string.slice(0, nextLF), width);
      }();
      var prevMoreIndented = string[0] === "\n" || string[0] === " ";
      var moreIndented;
      var match;
      while (match = lineRe.exec(string)) {
        var prefix = match[1], line = match[2];
        moreIndented = line[0] === " ";
        result += prefix + (!prevMoreIndented && !moreIndented && line !== "" ? "\n" : "") + foldLine(line, width);
        prevMoreIndented = moreIndented;
      }
      return result;
    }
    function foldLine(line, width) {
      if (line === "" || line[0] === " ")
        return line;
      var breakRe = / [^ ]/g;
      var match;
      var start = 0, end, curr = 0, next = 0;
      var result = "";
      while (match = breakRe.exec(line)) {
        next = match.index;
        if (next - start > width) {
          end = curr > start ? curr : next;
          result += "\n" + line.slice(start, end);
          start = end + 1;
        }
        curr = next;
      }
      result += "\n";
      if (line.length - start > width && curr > start) {
        result += line.slice(start, curr) + "\n" + line.slice(curr + 1);
      } else {
        result += line.slice(start);
      }
      return result.slice(1);
    }
    function escapeString(string) {
      var result = "";
      var char, nextChar;
      var escapeSeq;
      for (var i = 0; i < string.length; i++) {
        char = string.charCodeAt(i);
        if (char >= 55296 && char <= 56319) {
          nextChar = string.charCodeAt(i + 1);
          if (nextChar >= 56320 && nextChar <= 57343) {
            result += encodeHex((char - 55296) * 1024 + nextChar - 56320 + 65536);
            i++;
            continue;
          }
        }
        escapeSeq = ESCAPE_SEQUENCES[char];
        result += !escapeSeq && isPrintable(char) ? string[i] : escapeSeq || encodeHex(char);
      }
      return result;
    }
    function writeFlowSequence(state, level, object) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level, object[index], false, false)) {
          if (index !== 0)
            _result += "," + (!state.condenseFlow ? " " : "");
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = "[" + _result + "]";
    }
    function writeBlockSequence(state, level, object, compact) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level + 1, object[index], true, true)) {
          if (!compact || index !== 0) {
            _result += generateNextLine(state, level);
          }
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            _result += "-";
          } else {
            _result += "- ";
          }
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = _result || "[]";
    }
    function writeFlowMapping(state, level, object) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, pairBuffer;
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (index !== 0)
          pairBuffer += ", ";
        if (state.condenseFlow)
          pairBuffer += '"';
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level, objectKey, false, false)) {
          continue;
        }
        if (state.dump.length > 1024)
          pairBuffer += "? ";
        pairBuffer += state.dump + (state.condenseFlow ? '"' : "") + ":" + (state.condenseFlow ? "" : " ");
        if (!writeNode(state, level, objectValue, false, false)) {
          continue;
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = "{" + _result + "}";
    }
    function writeBlockMapping(state, level, object, compact) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, explicitPair, pairBuffer;
      if (state.sortKeys === true) {
        objectKeyList.sort();
      } else if (typeof state.sortKeys === "function") {
        objectKeyList.sort(state.sortKeys);
      } else if (state.sortKeys) {
        throw new YAMLException("sortKeys must be a boolean or a function");
      }
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (!compact || index !== 0) {
          pairBuffer += generateNextLine(state, level);
        }
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level + 1, objectKey, true, true, true)) {
          continue;
        }
        explicitPair = state.tag !== null && state.tag !== "?" || state.dump && state.dump.length > 1024;
        if (explicitPair) {
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            pairBuffer += "?";
          } else {
            pairBuffer += "? ";
          }
        }
        pairBuffer += state.dump;
        if (explicitPair) {
          pairBuffer += generateNextLine(state, level);
        }
        if (!writeNode(state, level + 1, objectValue, true, explicitPair)) {
          continue;
        }
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          pairBuffer += ":";
        } else {
          pairBuffer += ": ";
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = _result || "{}";
    }
    function detectType(state, object, explicit) {
      var _result, typeList, index, length, type, style;
      typeList = explicit ? state.explicitTypes : state.implicitTypes;
      for (index = 0, length = typeList.length; index < length; index += 1) {
        type = typeList[index];
        if ((type.instanceOf || type.predicate) && (!type.instanceOf || typeof object === "object" && object instanceof type.instanceOf) && (!type.predicate || type.predicate(object))) {
          state.tag = explicit ? type.tag : "?";
          if (type.represent) {
            style = state.styleMap[type.tag] || type.defaultStyle;
            if (_toString.call(type.represent) === "[object Function]") {
              _result = type.represent(object, style);
            } else if (_hasOwnProperty.call(type.represent, style)) {
              _result = type.represent[style](object, style);
            } else {
              throw new YAMLException("!<" + type.tag + '> tag resolver accepts not "' + style + '" style');
            }
            state.dump = _result;
          }
          return true;
        }
      }
      return false;
    }
    function writeNode(state, level, object, block, compact, iskey) {
      state.tag = null;
      state.dump = object;
      if (!detectType(state, object, false)) {
        detectType(state, object, true);
      }
      var type = _toString.call(state.dump);
      if (block) {
        block = state.flowLevel < 0 || state.flowLevel > level;
      }
      var objectOrArray = type === "[object Object]" || type === "[object Array]", duplicateIndex, duplicate;
      if (objectOrArray) {
        duplicateIndex = state.duplicates.indexOf(object);
        duplicate = duplicateIndex !== -1;
      }
      if (state.tag !== null && state.tag !== "?" || duplicate || state.indent !== 2 && level > 0) {
        compact = false;
      }
      if (duplicate && state.usedDuplicates[duplicateIndex]) {
        state.dump = "*ref_" + duplicateIndex;
      } else {
        if (objectOrArray && duplicate && !state.usedDuplicates[duplicateIndex]) {
          state.usedDuplicates[duplicateIndex] = true;
        }
        if (type === "[object Object]") {
          if (block && Object.keys(state.dump).length !== 0) {
            writeBlockMapping(state, level, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowMapping(state, level, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object Array]") {
          var arrayLevel = state.noArrayIndent && level > 0 ? level - 1 : level;
          if (block && state.dump.length !== 0) {
            writeBlockSequence(state, arrayLevel, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowSequence(state, arrayLevel, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object String]") {
          if (state.tag !== "?") {
            writeScalar(state, state.dump, level, iskey);
          }
        } else {
          if (state.skipInvalid)
            return false;
          throw new YAMLException("unacceptable kind of an object to dump " + type);
        }
        if (state.tag !== null && state.tag !== "?") {
          state.dump = "!<" + state.tag + "> " + state.dump;
        }
      }
      return true;
    }
    function getDuplicateReferences(object, state) {
      var objects = [], duplicatesIndexes = [], index, length;
      inspectNode(object, objects, duplicatesIndexes);
      for (index = 0, length = duplicatesIndexes.length; index < length; index += 1) {
        state.duplicates.push(objects[duplicatesIndexes[index]]);
      }
      state.usedDuplicates = new Array(length);
    }
    function inspectNode(object, objects, duplicatesIndexes) {
      var objectKeyList, index, length;
      if (object !== null && typeof object === "object") {
        index = objects.indexOf(object);
        if (index !== -1) {
          if (duplicatesIndexes.indexOf(index) === -1) {
            duplicatesIndexes.push(index);
          }
        } else {
          objects.push(object);
          if (Array.isArray(object)) {
            for (index = 0, length = object.length; index < length; index += 1) {
              inspectNode(object[index], objects, duplicatesIndexes);
            }
          } else {
            objectKeyList = Object.keys(object);
            for (index = 0, length = objectKeyList.length; index < length; index += 1) {
              inspectNode(object[objectKeyList[index]], objects, duplicatesIndexes);
            }
          }
        }
      }
    }
    function dump(input, options) {
      options = options || {};
      var state = new State(options);
      if (!state.noRefs)
        getDuplicateReferences(input, state);
      if (writeNode(state, 0, input, true, true))
        return state.dump + "\n";
      return "";
    }
    function safeDump(input, options) {
      return dump(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.dump = dump;
    module2.exports.safeDump = safeDump;
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js
var require_js_yaml5 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js"(exports2, module2) {
    "use strict";
    var loader = require_loader3();
    var dumper = require_dumper3();
    function deprecated(name) {
      return function() {
        throw new Error("Function " + name + " is deprecated and cannot be used.");
      };
    }
    module2.exports.Type = require_type3();
    module2.exports.Schema = require_schema12();
    module2.exports.FAILSAFE_SCHEMA = require_failsafe3();
    module2.exports.JSON_SCHEMA = require_json6();
    module2.exports.CORE_SCHEMA = require_core6();
    module2.exports.DEFAULT_SAFE_SCHEMA = require_default_safe3();
    module2.exports.DEFAULT_FULL_SCHEMA = require_default_full3();
    module2.exports.load = loader.load;
    module2.exports.loadAll = loader.loadAll;
    module2.exports.safeLoad = loader.safeLoad;
    module2.exports.safeLoadAll = loader.safeLoadAll;
    module2.exports.dump = dumper.dump;
    module2.exports.safeDump = dumper.safeDump;
    module2.exports.YAMLException = require_exception3();
    module2.exports.MINIMAL_SCHEMA = require_failsafe3();
    module2.exports.SAFE_SCHEMA = require_default_safe3();
    module2.exports.DEFAULT_SCHEMA = require_default_full3();
    module2.exports.scan = deprecated("scan");
    module2.exports.parse = deprecated("parse");
    module2.exports.compose = deprecated("compose");
    module2.exports.addConstructor = deprecated("addConstructor");
  }
});

// ../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/index.js
var require_js_yaml6 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/node_modules/js-yaml/index.js"(exports2, module2) {
    "use strict";
    var yaml = require_js_yaml5();
    module2.exports = yaml;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/YAMLReader.js
var require_YAMLReader3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/YAMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader3();
    var BaseReader_1 = require_BaseReader3();
    var js_yaml_1 = require_js_yaml6();
    var YAMLReader = (
      /** @class */
      function(_super) {
        __extends(YAMLReader2, _super);
        function YAMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        YAMLReader2.prototype._parse = function(node, str) {
          var result = js_yaml_1.safeLoad(str);
          if (result === void 0) {
            throw new Error("Unable to parse YAML document.");
          }
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, result);
        };
        return YAMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.YAMLReader = YAMLReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/readers/index.js
var require_readers3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/readers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLReader_1 = require_XMLReader3();
    exports2.XMLReader = XMLReader_1.XMLReader;
    var ObjectReader_1 = require_ObjectReader3();
    exports2.ObjectReader = ObjectReader_1.ObjectReader;
    var JSONReader_1 = require_JSONReader3();
    exports2.JSONReader = JSONReader_1.JSONReader;
    var YAMLReader_1 = require_YAMLReader3();
    exports2.YAMLReader = YAMLReader_1.YAMLReader;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js
var require_XMLBuilderImpl3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces9();
    var util_1 = require_lib12();
    var writers_1 = require_writers3();
    var interfaces_2 = require_interfaces10();
    var util_2 = require_util16();
    var algorithm_1 = require_algorithm3();
    var dom_1 = require_dom6();
    var infra_1 = require_lib13();
    var readers_1 = require_readers3();
    var XMLBuilderImpl = (
      /** @class */
      function() {
        function XMLBuilderImpl2(domNode) {
          this._domNode = domNode;
        }
        Object.defineProperty(XMLBuilderImpl2.prototype, "node", {
          /** @inheritdoc */
          get: function() {
            return this._domNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(XMLBuilderImpl2.prototype, "options", {
          /** @inheritdoc */
          get: function() {
            return this._options;
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype.set = function(options) {
          this._options = util_1.applyDefaults(
            util_1.applyDefaults(this._options, options, true),
            // apply user settings
            interfaces_1.DefaultBuilderOptions
          );
          return this;
        };
        XMLBuilderImpl2.prototype.ele = function(p1, p2, p3) {
          var _a, _b, _c;
          var namespace;
          var name;
          var attributes;
          if (util_1.isObject(p1)) {
            return new readers_1.ObjectReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*</.test(p1)) {
            return new readers_1.XMLReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*[\{\[]/.test(p1)) {
            return new readers_1.JSONReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^(\s*|(#.*)|(%.*))*---/.test(p1)) {
            return new readers_1.YAMLReader(this._options).parse(this, p1);
          }
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2)) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], attributes = _a[2];
          } else if (p1 !== null) {
            _b = __read([void 0, p1, util_1.isObject(p2) ? p2 : void 0], 3), namespace = _b[0], name = _b[1], attributes = _b[2];
          } else {
            throw new Error("Element name cannot be null. " + this._debugInfo());
          }
          if (attributes) {
            attributes = util_1.getValue(attributes);
          }
          _c = __read(this._extractNamespace(dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement), dom_1.sanitizeInput(name, this._options.invalidCharReplacement), true), 2), namespace = _c[0], name = _c[1];
          if (namespace === void 0) {
            var _d = __read(algorithm_1.namespace_extractQName(name), 1), prefix = _d[0];
            namespace = this.node.lookupNamespaceURI(prefix);
          }
          var childNode = namespace !== void 0 && namespace !== null ? this._doc.createElementNS(namespace, name) : this._doc.createElement(name);
          this.node.appendChild(childNode);
          var builder = new XMLBuilderImpl2(childNode);
          var oldDocType = this._doc.doctype;
          if (childNode === this._doc.documentElement && oldDocType !== null) {
            var docType = this._doc.implementation.createDocumentType(this._doc.documentElement.tagName, oldDocType.publicId, oldDocType.systemId);
            this._doc.replaceChild(docType, oldDocType);
          }
          if (attributes && !util_1.isEmpty(attributes)) {
            builder.att(attributes);
          }
          return builder;
        };
        XMLBuilderImpl2.prototype.remove = function() {
          var parent = this.up();
          parent.node.removeChild(this.node);
          return parent;
        };
        XMLBuilderImpl2.prototype.att = function(p1, p2, p3) {
          var _a, _b, _c;
          var _this = this;
          if (util_1.isMap(p1) || util_1.isObject(p1)) {
            util_1.forEachObject(p1, function(attName, attValue) {
              return _this.att(attName, attValue);
            }, this);
            return this;
          }
          if (p1 !== void 0 && p1 !== null)
            p1 = util_1.getValue(p1 + "");
          if (p2 !== void 0 && p2 !== null)
            p2 = util_1.getValue(p2 + "");
          if (p3 !== void 0 && p3 !== null)
            p3 = util_1.getValue(p3 + "");
          var namespace;
          var name;
          var value;
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2) && (p3 === null || util_1.isString(p3))) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], value = _a[2];
          } else if (util_1.isString(p1) && (p2 == null || util_1.isString(p2))) {
            _b = __read([void 0, p1, p2], 3), namespace = _b[0], name = _b[1], value = _b[2];
          } else {
            throw new Error("Attribute name and value not specified. " + this._debugInfo());
          }
          if (this._options.keepNullAttributes && value == null) {
            value = "";
          } else if (value == null) {
            return this;
          }
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be assigned to an element node.");
          }
          var ele = this.node;
          _c = __read(this._extractNamespace(namespace, name, false), 2), namespace = _c[0], name = _c[1];
          name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
          namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
          value = dom_1.sanitizeInput(value, this._options.invalidCharReplacement);
          var _d = __read(algorithm_1.namespace_extractQName(name), 2), prefix = _d[0], localName = _d[1];
          var _e = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 1), elePrefix = _e[0];
          var eleNamespace = null;
          if (prefix === "xmlns") {
            namespace = infra_1.namespace.XMLNS;
            if (ele.namespaceURI === null && elePrefix === localName) {
              eleNamespace = value;
            }
          } else if (prefix === null && localName === "xmlns" && elePrefix === null) {
            namespace = infra_1.namespace.XMLNS;
            eleNamespace = value;
          }
          if (eleNamespace !== null) {
            this._updateNamespace(eleNamespace);
            ele = this.node;
          }
          if (namespace !== void 0) {
            ele.setAttributeNS(namespace, name, value);
          } else {
            ele.setAttribute(name, value);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.removeAtt = function(p1, p2) {
          var _this = this;
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be removed from an element node.");
          }
          p1 = util_1.getValue(p1);
          if (p2 !== void 0) {
            p2 = util_1.getValue(p2);
          }
          var namespace;
          var name;
          if (p1 !== null && p2 === void 0) {
            name = p1;
          } else if ((p1 === null || util_1.isString(p1)) && p2 !== void 0) {
            namespace = p1;
            name = p2;
          } else {
            throw new Error("Attribute namespace must be a string. " + this._debugInfo());
          }
          if (util_1.isArray(name) || util_1.isSet(name)) {
            util_1.forEachArray(name, function(attName) {
              return namespace === void 0 ? _this.removeAtt(attName) : _this.removeAtt(namespace, attName);
            }, this);
          } else if (namespace !== void 0) {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
            this.node.removeAttributeNS(namespace, name);
          } else {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            this.node.removeAttribute(name);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.txt = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createTextNode(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.com = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createComment(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.dat = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createCDATASection(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.ins = function(target, content) {
          var _this = this;
          if (content === void 0) {
            content = "";
          }
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          if (util_1.isArray(target) || util_1.isSet(target)) {
            util_1.forEachArray(target, function(item) {
              item += "";
              var insIndex = item.indexOf(" ");
              var insTarget = insIndex === -1 ? item : item.substr(0, insIndex);
              var insValue = insIndex === -1 ? "" : item.substr(insIndex + 1);
              _this.ins(insTarget, insValue);
            }, this);
          } else if (util_1.isMap(target) || util_1.isObject(target)) {
            util_1.forEachObject(target, function(insTarget, insValue) {
              return _this.ins(insTarget, insValue);
            }, this);
          } else {
            var child = this._doc.createProcessingInstruction(dom_1.sanitizeInput(target, this._options.invalidCharReplacement), dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
            this.node.appendChild(child);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.dec = function(options) {
          this._options.version = options.version || "1.0";
          this._options.encoding = options.encoding;
          this._options.standalone = options.standalone;
          return this;
        };
        XMLBuilderImpl2.prototype.dtd = function(options) {
          var name = dom_1.sanitizeInput(options && options.name || (this._doc.documentElement ? this._doc.documentElement.tagName : "ROOT"), this._options.invalidCharReplacement);
          var pubID = dom_1.sanitizeInput(options && options.pubID || "", this._options.invalidCharReplacement);
          var sysID = dom_1.sanitizeInput(options && options.sysID || "", this._options.invalidCharReplacement);
          if (this._doc.documentElement !== null && name !== this._doc.documentElement.tagName) {
            throw new Error("DocType name does not match document element name.");
          }
          var docType = this._doc.implementation.createDocumentType(name, pubID, sysID);
          if (this._doc.doctype !== null) {
            this._doc.replaceChild(docType, this._doc.doctype);
          } else {
            this._doc.insertBefore(docType, this._doc.documentElement);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.import = function(node) {
          var e_1, _a;
          var hostNode = this._domNode;
          var hostDoc = this._doc;
          var importedNode = node.node;
          if (util_2.Guard.isDocumentNode(importedNode)) {
            var elementNode = importedNode.documentElement;
            if (elementNode === null) {
              throw new Error("Imported document has no document element node. " + this._debugInfo());
            }
            var clone = hostDoc.importNode(elementNode, true);
            hostNode.appendChild(clone);
            var _b = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _b[0];
            var namespace = hostNode.lookupNamespaceURI(prefix);
            new XMLBuilderImpl2(clone)._updateNamespace(namespace);
          } else if (util_2.Guard.isDocumentFragmentNode(importedNode)) {
            try {
              for (var _c = __values(importedNode.childNodes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var childNode = _d.value;
                var clone = hostDoc.importNode(childNode, true);
                hostNode.appendChild(clone);
                if (util_2.Guard.isElementNode(clone)) {
                  var _e = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _e[0];
                  var namespace = hostNode.lookupNamespaceURI(prefix);
                  new XMLBuilderImpl2(clone)._updateNamespace(namespace);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var clone = hostDoc.importNode(importedNode, true);
            hostNode.appendChild(clone);
            if (util_2.Guard.isElementNode(clone)) {
              var _f = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _f[0];
              var namespace = hostNode.lookupNamespaceURI(prefix);
              new XMLBuilderImpl2(clone)._updateNamespace(namespace);
            }
          }
          return this;
        };
        XMLBuilderImpl2.prototype.doc = function() {
          if (this._doc._isFragment) {
            var node = this.node;
            while (node && node.nodeType !== interfaces_2.NodeType.DocumentFragment) {
              node = node.parentNode;
            }
            if (node === null) {
              throw new Error("Node has no parent node while searching for document fragment ancestor. " + this._debugInfo());
            }
            return new XMLBuilderImpl2(node);
          } else {
            return new XMLBuilderImpl2(this._doc);
          }
        };
        XMLBuilderImpl2.prototype.root = function() {
          var ele = this._doc.documentElement;
          if (!ele) {
            throw new Error("Document root element is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(ele);
        };
        XMLBuilderImpl2.prototype.up = function() {
          var parent = this._domNode.parentNode;
          if (!parent) {
            throw new Error("Parent node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(parent);
        };
        XMLBuilderImpl2.prototype.prev = function() {
          var node = this._domNode.previousSibling;
          if (!node) {
            throw new Error("Previous sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.next = function() {
          var node = this._domNode.nextSibling;
          if (!node) {
            throw new Error("Next sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.first = function() {
          var node = this._domNode.firstChild;
          if (!node) {
            throw new Error("First child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.last = function() {
          var node = this._domNode.lastChild;
          if (!node) {
            throw new Error("Last child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.each = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var nextResult = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
            callback.call(thisArg, new XMLBuilderImpl2(result[0]), result[1], result[2]);
            result = nextResult;
          }
          return this;
        };
        XMLBuilderImpl2.prototype.map = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            return result.push(callback.call(thisArg, node, index, level));
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.reduce = function(callback, initialValue, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var value = initialValue;
          this.each(function(node, index, level) {
            return value = callback.call(thisArg, value, node, index, level);
          }, self2, recursive);
          return value;
        };
        XMLBuilderImpl2.prototype.find = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return builder;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return void 0;
        };
        XMLBuilderImpl2.prototype.filter = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            if (predicate.call(thisArg, node, index, level)) {
              result.push(node);
            }
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.every = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (!predicate.call(thisArg, builder, result[1], result[2])) {
              return false;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return true;
        };
        XMLBuilderImpl2.prototype.some = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return true;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return false;
        };
        XMLBuilderImpl2.prototype.toArray = function(self2, recursive) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node) {
            return result.push(node);
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.toString = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.toObject = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "object";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.end = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this.doc()._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype._getFirstDescendantNode = function(root, self2, recursive) {
          if (self2)
            return [this._domNode, 0, 0];
          else if (recursive)
            return this._getNextDescendantNode(root, root, recursive, 0, 0);
          else
            return [this._domNode.firstChild, 0, 1];
        };
        XMLBuilderImpl2.prototype._getNextDescendantNode = function(root, node, recursive, index, level) {
          if (recursive) {
            if (node.firstChild)
              return [node.firstChild, 0, level + 1];
            if (node === root)
              return [null, -1, -1];
            if (node.nextSibling)
              return [node.nextSibling, index + 1, level];
            var parent = node.parentNode;
            while (parent && parent !== root) {
              if (parent.nextSibling)
                return [parent.nextSibling, algorithm_1.tree_index(parent.nextSibling), level - 1];
              parent = parent.parentNode;
              level--;
            }
          } else {
            if (root === node)
              return [node.firstChild, 0, level + 1];
            else
              return [node.nextSibling, index + 1, level];
          }
          return [null, -1, -1];
        };
        XMLBuilderImpl2.prototype._serialize = function(writerOptions) {
          if (writerOptions.format === "xml") {
            var writer = new writers_1.XMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "map") {
            var writer = new writers_1.MapWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "object") {
            var writer = new writers_1.ObjectWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "json") {
            var writer = new writers_1.JSONWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "yaml") {
            var writer = new writers_1.YAMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else {
            throw new Error("Invalid writer format: " + writerOptions.format + ". " + this._debugInfo());
          }
        };
        XMLBuilderImpl2.prototype._extractNamespace = function(namespace, name, ele) {
          var atIndex = name.indexOf("@");
          if (atIndex > 0) {
            if (namespace === void 0)
              namespace = name.slice(atIndex + 1);
            name = name.slice(0, atIndex);
          }
          if (namespace === void 0) {
            namespace = ele ? this._options.defaultNamespace.ele : this._options.defaultNamespace.att;
          } else if (namespace !== null && namespace[0] === "@") {
            var alias = namespace.slice(1);
            namespace = this._options.namespaceAlias[alias];
            if (namespace === void 0) {
              throw new Error("Namespace alias `" + alias + "` is not defined. " + this._debugInfo());
            }
          }
          return [namespace, name];
        };
        XMLBuilderImpl2.prototype._updateNamespace = function(ns) {
          var e_2, _a, e_3, _b;
          var ele = this._domNode;
          if (util_2.Guard.isElementNode(ele) && ns !== null && ele.namespaceURI !== ns) {
            var _c = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 2), elePrefix = _c[0], eleLocalName = _c[1];
            var newEle = algorithm_1.create_element(this._doc, eleLocalName, ns, elePrefix);
            try {
              for (var _d = __values(ele.attributes), _e = _d.next(); !_e.done; _e = _d.next()) {
                var attr = _e.value;
                var attrQName = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                var _f = __read(algorithm_1.namespace_extractQName(attrQName), 1), attrPrefix = _f[0];
                var newAttrNS = attr.namespaceURI;
                if (newAttrNS === null && attrPrefix !== null) {
                  newAttrNS = ele.lookupNamespaceURI(attrPrefix);
                }
                if (newAttrNS === null) {
                  newEle.setAttribute(attrQName, attr.value);
                } else {
                  newEle.setAttributeNS(newAttrNS, attrQName, attr.value);
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            var parent = ele.parentNode;
            if (parent === null) {
              throw new Error("Parent node is null." + this._debugInfo());
            }
            parent.replaceChild(newEle, ele);
            this._domNode = newEle;
            try {
              for (var _g = __values(ele.childNodes), _h = _g.next(); !_h.done; _h = _g.next()) {
                var childNode = _h.value;
                var newChildNode = childNode.cloneNode(true);
                newEle.appendChild(newChildNode);
                if (util_2.Guard.isElementNode(newChildNode)) {
                  var _j = __read(algorithm_1.namespace_extractQName(newChildNode.prefix ? newChildNode.prefix + ":" + newChildNode.localName : newChildNode.localName), 1), newChildNodePrefix = _j[0];
                  var newChildNodeNS = newEle.lookupNamespaceURI(newChildNodePrefix);
                  new XMLBuilderImpl2(newChildNode)._updateNamespace(newChildNodeNS);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_doc", {
          /**
           * Returns the document owning this node.
           */
          get: function() {
            var node = this.node;
            if (util_2.Guard.isDocumentNode(node)) {
              return node;
            } else {
              var docNode = node.ownerDocument;
              if (!docNode)
                throw new Error("Owner document is null. " + this._debugInfo());
              return docNode;
            }
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype._debugInfo = function(name) {
          var node = this.node;
          var parentNode = node.parentNode;
          name = name || node.nodeName;
          var parentName = parentNode ? parentNode.nodeName : "";
          if (!parentName) {
            return "node: <" + name + ">";
          } else {
            return "node: <" + name + ">, parent: <" + parentName + ">";
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_options", {
          /**
           * Gets or sets builder options.
           */
          get: function() {
            var doc = this._doc;
            if (doc._xmlBuilderOptions === void 0) {
              throw new Error("Builder options is not set.");
            }
            return doc._xmlBuilderOptions;
          },
          set: function(value) {
            var doc = this._doc;
            doc._xmlBuilderOptions = value;
          },
          enumerable: true,
          configurable: true
        });
        return XMLBuilderImpl2;
      }()
    );
    exports2.XMLBuilderImpl = XMLBuilderImpl;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js
var require_BuilderFunctions3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces9();
    var util_1 = require_lib12();
    var util_2 = require_util16();
    var _1 = require_builder3();
    var dom_1 = require_dom6();
    function builder(p1, p2) {
      var options = formatBuilderOptions(isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var nodes = util_2.Guard.isNode(p1) || util_1.isArray(p1) ? p1 : p2;
      if (nodes === void 0) {
        throw new Error("Invalid arguments.");
      }
      if (util_1.isArray(nodes)) {
        var builders = [];
        for (var i = 0; i < nodes.length; i++) {
          var builder_1 = new _1.XMLBuilderImpl(nodes[i]);
          builder_1.set(options);
          builders.push(builder_1);
        }
        return builders;
      } else {
        var builder_2 = new _1.XMLBuilderImpl(nodes);
        builder_2.set(options);
        return builder_2;
      }
    }
    exports2.builder = builder;
    function create(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options);
      var builder2 = new _1.XMLBuilderImpl(doc);
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.create = create;
    function fragment(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options, true);
      var builder2 = new _1.XMLBuilderImpl(doc.createDocumentFragment());
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.fragment = fragment;
    function convert(p1, p2, p3) {
      var builderOptions;
      var contents;
      var convertOptions;
      if (isXMLBuilderCreateOptions(p1) && p2 !== void 0) {
        builderOptions = p1;
        contents = p2;
        convertOptions = p3;
      } else {
        builderOptions = interfaces_1.DefaultBuilderOptions;
        contents = p1;
        convertOptions = p2 || void 0;
      }
      return create(builderOptions, contents).end(convertOptions);
    }
    exports2.convert = convert;
    function isXMLBuilderCreateOptions(obj) {
      if (!util_1.isPlainObject(obj))
        return false;
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          if (!interfaces_1.XMLBuilderOptionKeys.has(key))
            return false;
        }
      }
      return true;
    }
    function formatBuilderOptions(createOptions) {
      if (createOptions === void 0) {
        createOptions = {};
      }
      var options = util_1.applyDefaults(createOptions, interfaces_1.DefaultBuilderOptions);
      if (options.convert.att.length === 0 || options.convert.ins.length === 0 || options.convert.text.length === 0 || options.convert.cdata.length === 0 || options.convert.comment.length === 0) {
        throw new Error("JS object converter strings cannot be zero length.");
      }
      return options;
    }
    function setOptions(doc, options, isFragment) {
      var docWithSettings = doc;
      docWithSettings._xmlBuilderOptions = options;
      docWithSettings._isFragment = isFragment;
    }
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js
var require_BaseCBWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter = (
      /** @class */
      function() {
        function BaseCBWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
          this._writerOptions = builderOptions;
        }
        return BaseCBWriter2;
      }()
    );
    exports2.BaseCBWriter = BaseCBWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js
var require_XMLCBWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter3();
    var XMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(XMLCBWriter2, _super);
        function XMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._lineLength = 0;
          return _this;
        }
        XMLCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        XMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          var markup = this._beginLine() + "<?xml";
          markup += ' version="' + version + '"';
          if (encoding !== void 0) {
            markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          markup += "?>";
          return markup;
        };
        XMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          var markup = this._beginLine();
          if (publicId && systemId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            markup += "<!DOCTYPE " + name + ">";
          }
          return markup;
        };
        XMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + "<!--" + data + "-->";
        };
        XMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + data;
        };
        XMLCBWriter2.prototype.instruction = function(target, data) {
          if (data) {
            return this._beginLine() + "<?" + target + " " + data + "?>";
          } else {
            return this._beginLine() + "<?" + target + "?>";
          }
        };
        XMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + "<![CDATA[" + data + "]]>";
        };
        XMLCBWriter2.prototype.openTagBegin = function(name) {
          this._lineLength += 1 + name.length;
          return this._beginLine() + "<" + name;
        };
        XMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (voidElement) {
            return " />";
          } else if (selfClosing) {
            if (this._writerOptions.allowEmptyTags) {
              return "></" + name + ">";
            } else if (this._writerOptions.spaceBeforeSlash) {
              return " />";
            } else {
              return "/>";
            }
          } else {
            return ">";
          }
        };
        XMLCBWriter2.prototype.closeTag = function(name) {
          return this._beginLine() + "</" + name + ">";
        };
        XMLCBWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._lineLength + 1 + str.length > this._writerOptions.width) {
            str = this._beginLine() + this._indent(1) + str;
            this._lineLength = str.length;
            return str;
          } else {
            this._lineLength += 1 + str.length;
            return " " + str;
          }
        };
        XMLCBWriter2.prototype.beginElement = function(name) {
        };
        XMLCBWriter2.prototype.endElement = function(name) {
        };
        XMLCBWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint) {
            var str = (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level);
            this._lineLength = str.length;
            return str;
          } else {
            return "";
          }
        };
        XMLCBWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level);
          }
        };
        return XMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.XMLCBWriter = XMLCBWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js
var require_JSONCBWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter3();
    var JSONCBWriter = (
      /** @class */
      function(_super) {
        __extends(JSONCBWriter2, _super);
        function JSONCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._hasChildren = [];
          _this._additionalLevel = 0;
          return _this;
        }
        JSONCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        JSONCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        JSONCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        JSONCBWriter2.prototype.comment = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.comment) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.text = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.text) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.instruction = function(target, data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.ins) + this._sep() + this._val(data ? target + " " + data : target) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.cdata = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.cdata) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.attribute = function(name, value) {
          return this._comma() + this._beginLine(1) + "{" + this._sep() + this._key(this._builderOptions.convert.att + name) + this._sep() + this._val(value) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._comma() + this._beginLine() + "{" + this._sep() + this._key(name) + this._sep() + "{";
          this._additionalLevel++;
          this.hasData = true;
          str += this._beginLine() + this._key(this._builderOptions.convert.text) + this._sep() + "[";
          this._hasChildren.push(false);
          return str;
        };
        JSONCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            var str = this._sep() + "]";
            this._additionalLevel--;
            str += this._beginLine() + "}" + this._sep() + "}";
            return str;
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype.closeTag = function(name) {
          var str = this._beginLine() + "]";
          this._additionalLevel--;
          str += this._beginLine() + "}" + this._sep() + "}";
          return str;
        };
        JSONCBWriter2.prototype.beginElement = function(name) {
        };
        JSONCBWriter2.prototype.endElement = function(name) {
          this._hasChildren.pop();
        };
        JSONCBWriter2.prototype._beginLine = function(additionalOffset) {
          if (additionalOffset === void 0) {
            additionalOffset = 0;
          }
          if (this._writerOptions.prettyPrint) {
            return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level + additionalOffset);
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype._indent = function(level) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level + this._additionalLevel);
          }
        };
        JSONCBWriter2.prototype._comma = function() {
          var str = this._hasChildren[this._hasChildren.length - 1] ? "," : "";
          if (this._hasChildren.length > 0) {
            this._hasChildren[this._hasChildren.length - 1] = true;
          }
          return str;
        };
        JSONCBWriter2.prototype._sep = function() {
          return this._writerOptions.prettyPrint ? " " : "";
        };
        JSONCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return JSONCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.JSONCBWriter = JSONCBWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js
var require_YAMLCBWriter3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter3();
    var YAMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLCBWriter2, _super);
        function YAMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._rootWritten = false;
          _this._additionalLevel = 0;
          if (builderOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (builderOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLCBWriter2.prototype.frontMatter = function() {
          return this._beginLine() + "---";
        };
        YAMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        YAMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        YAMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.comment) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.text) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.instruction = function(target, data) {
          return this._beginLine() + this._key(this._builderOptions.convert.ins) + " " + this._val(data ? target + " " + data : target);
        };
        YAMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.cdata) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.attribute = function(name, value) {
          this._additionalLevel++;
          var str = this._beginLine() + this._key(this._builderOptions.convert.att + name) + " " + this._val(value);
          this._additionalLevel--;
          return str;
        };
        YAMLCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._beginLine() + this._key(name);
          if (!this._rootWritten) {
            this._rootWritten = true;
          }
          this.hasData = true;
          this._additionalLevel++;
          str += this._beginLine(true) + this._key(this._builderOptions.convert.text);
          return str;
        };
        YAMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            return " " + this._val("");
          }
          return "";
        };
        YAMLCBWriter2.prototype.closeTag = function(name) {
          this._additionalLevel--;
          return "";
        };
        YAMLCBWriter2.prototype.beginElement = function(name) {
        };
        YAMLCBWriter2.prototype.endElement = function(name) {
        };
        YAMLCBWriter2.prototype._beginLine = function(suppressArray) {
          if (suppressArray === void 0) {
            suppressArray = false;
          }
          return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level, suppressArray);
        };
        YAMLCBWriter2.prototype._indent = function(level, suppressArray) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            var chars = this._writerOptions.indent.repeat(level + this._additionalLevel);
            if (!suppressArray && this._rootWritten) {
              return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
            }
            return chars;
          }
        };
        YAMLCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.YAMLCBWriter = YAMLCBWriter;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js
var require_XMLBuilderCBImpl3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces9();
    var util_1 = require_lib12();
    var BuilderFunctions_1 = require_BuilderFunctions3();
    var algorithm_1 = require_algorithm3();
    var infra_1 = require_lib13();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap3();
    var LocalNameSet_1 = require_LocalNameSet3();
    var util_2 = require_util16();
    var XMLCBWriter_1 = require_XMLCBWriter3();
    var JSONCBWriter_1 = require_JSONCBWriter3();
    var YAMLCBWriter_1 = require_YAMLCBWriter3();
    var events_1 = require("events");
    var XMLBuilderCBImpl = (
      /** @class */
      function(_super) {
        __extends(XMLBuilderCBImpl2, _super);
        function XMLBuilderCBImpl2(options, fragment) {
          if (fragment === void 0) {
            fragment = false;
          }
          var _this = _super.call(this) || this;
          _this._hasDeclaration = false;
          _this._docTypeName = "";
          _this._hasDocumentElement = false;
          _this._currentElementSerialized = false;
          _this._openTags = [];
          _this._ended = false;
          _this._fragment = fragment;
          _this._options = util_1.applyDefaults(options || {}, interfaces_1.DefaultXMLBuilderCBOptions);
          _this._builderOptions = {
            defaultNamespace: _this._options.defaultNamespace,
            namespaceAlias: _this._options.namespaceAlias
          };
          if (_this._options.format === "json") {
            _this._writer = new JSONCBWriter_1.JSONCBWriter(_this._options);
          } else if (_this._options.format === "yaml") {
            _this._writer = new YAMLCBWriter_1.YAMLCBWriter(_this._options);
          } else {
            _this._writer = new XMLCBWriter_1.XMLCBWriter(_this._options);
          }
          if (_this._options.data !== void 0) {
            _this.on("data", _this._options.data);
          }
          if (_this._options.end !== void 0) {
            _this.on("end", _this._options.end);
          }
          if (_this._options.error !== void 0) {
            _this.on("error", _this._options.error);
          }
          _this._prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
          _this._prefixMap.set("xml", infra_1.namespace.XML);
          _this._prefixIndex = { value: 1 };
          _this._push(_this._writer.frontMatter());
          return _this;
        }
        XMLBuilderCBImpl2.prototype.ele = function(p1, p2, p3) {
          var e_1, _a;
          if (util_1.isObject(p1) || util_1.isString(p1) && (/^\s*</.test(p1) || /^\s*[\{\[]/.test(p1) || /^(\s*|(#.*)|(%.*))*---/.test(p1))) {
            var frag = BuilderFunctions_1.fragment().set(this._options);
            try {
              frag.ele(p1);
            } catch (err) {
              this.emit("error", err);
              return this;
            }
            try {
              for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                this._fromNode(node);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return this;
          }
          this._serializeOpenTag(true);
          if (!this._fragment && this._hasDocumentElement && this._writer.level === 0) {
            this.emit("error", new Error("Document cannot have multiple document element nodes."));
            return this;
          }
          try {
            this._currentElement = BuilderFunctions_1.fragment(this._builderOptions).ele(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (!this._fragment && !this._hasDocumentElement && this._docTypeName !== "" && this._currentElement.node._qualifiedName !== this._docTypeName) {
            this.emit("error", new Error("Document element name does not match DocType declaration name."));
            return this;
          }
          this._currentElementSerialized = false;
          if (!this._fragment) {
            this._hasDocumentElement = true;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.att = function(p1, p2, p3) {
          if (this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert an attribute node as child of a document node."));
            return this;
          }
          try {
            this._currentElement.att(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.com = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).com(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            this.emit("error", new Error("Comment data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.comment(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.txt = function(content) {
          if (!this._fragment && this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert a text node as child of a document node."));
            return this;
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).txt(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", new Error("Text data contains invalid characters (well-formed required)."));
            return this;
          }
          var markup = node.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this._push(this._writer.text(markup));
          return this;
        };
        XMLBuilderCBImpl2.prototype.ins = function(target, content) {
          if (content === void 0) {
            content = "";
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).ins(target, content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            this.emit("error", new Error("Processing instruction target contains invalid characters (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", Error("Processing instruction data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.instruction(node.target, node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dat = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).dat(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          this._push(this._writer.cdata(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dec = function(options) {
          if (options === void 0) {
            options = { version: "1.0" };
          }
          if (this._fragment) {
            this.emit("error", Error("Cannot insert an XML declaration into a document fragment."));
            return this;
          }
          if (this._hasDeclaration) {
            this.emit("error", Error("XML declaration is already inserted."));
            return this;
          }
          this._push(this._writer.declaration(options.version || "1.0", options.encoding, options.standalone));
          this._hasDeclaration = true;
          return this;
        };
        XMLBuilderCBImpl2.prototype.dtd = function(options) {
          if (this._fragment) {
            this.emit("error", Error("Cannot insert a DocType declaration into a document fragment."));
            return this;
          }
          if (this._docTypeName !== "") {
            this.emit("error", new Error("DocType declaration is already inserted."));
            return this;
          }
          if (this._hasDocumentElement) {
            this.emit("error", new Error("Cannot insert DocType declaration after document element."));
            return this;
          }
          var node;
          try {
            node = BuilderFunctions_1.create().dtd(options).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            this.emit("error", new Error("DocType public identifier does not match PubidChar construct (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            this.emit("error", new Error("DocType system identifier contains invalid characters (well-formed required)."));
            return this;
          }
          this._docTypeName = options.name;
          this._push(this._writer.docType(options.name, node.publicId, node.systemId));
          return this;
        };
        XMLBuilderCBImpl2.prototype.import = function(node) {
          var e_2, _a;
          var frag = BuilderFunctions_1.fragment().set(this._options);
          try {
            frag.import(node);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          try {
            for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node_1 = _c.value;
              this._fromNode(node_1);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.up = function() {
          this._serializeOpenTag(false);
          this._serializeCloseTag();
          return this;
        };
        XMLBuilderCBImpl2.prototype.end = function() {
          this._serializeOpenTag(false);
          while (this._openTags.length > 0) {
            this._serializeCloseTag();
          }
          this._push(null);
          return this;
        };
        XMLBuilderCBImpl2.prototype._serializeOpenTag = function(hasChildren) {
          if (this._currentElementSerialized)
            return;
          if (this._currentElement === void 0)
            return;
          var node = this._currentElement.node;
          if (this._options.wellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            this.emit("error", new Error("Node local name contains invalid characters (well-formed required)."));
            return;
          }
          var qualifiedName = "";
          var ignoreNamespaceDefinitionAttribute = false;
          var map = this._prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = this._openTags.length === 0 ? null : this._openTags[this._openTags.length - 1][1];
          var ns = node.namespaceURI;
          if (ns === null)
            ns = inheritedNS;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this._writer.beginElement(qualifiedName);
            this._push(this._writer.openTagBegin(qualifiedName));
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (this._options.wellFormed) {
                this.emit("error", new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));
                return;
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, this._prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns:" + prefix, this._serializeAttributeValue(ns, this._options.wellFormed)));
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns", this._serializeAttributeValue(ns, this._options.wellFormed)));
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            }
          }
          this._serializeAttributes(node, map, this._prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, this._options.wellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && !hasChildren && XMLBuilderCBImpl2._VoidElementNames.has(node.localName)) {
            this._push(this._writer.openTagEnd(qualifiedName, true, true));
            this._writer.endElement(qualifiedName);
          } else if (!isHTML && !hasChildren) {
            this._push(this._writer.openTagEnd(qualifiedName, true, false));
            this._writer.endElement(qualifiedName);
          } else {
            this._push(this._writer.openTagEnd(qualifiedName, false, false));
          }
          this._currentElementSerialized = true;
          this._openTags.push([qualifiedName, inheritedNS, this._prefixMap, hasChildren]);
          if (this._isPrefixMapModified(this._prefixMap, map)) {
            this._prefixMap = map;
          }
          this._writer.level++;
        };
        XMLBuilderCBImpl2.prototype._serializeCloseTag = function() {
          this._writer.level--;
          var lastEle = this._openTags.pop();
          if (lastEle === void 0) {
            this.emit("error", new Error("Last element is undefined."));
            return;
          }
          var _a = __read(lastEle, 4), qualifiedName = _a[0], ns = _a[1], map = _a[2], hasChildren = _a[3];
          this._prefixMap = map;
          if (!hasChildren)
            return;
          this._push(this._writer.closeTag(qualifiedName));
          this._writer.endElement(qualifiedName);
        };
        XMLBuilderCBImpl2.prototype._push = function(data) {
          if (data === null) {
            this._ended = true;
            this.emit("end");
          } else if (this._ended) {
            this.emit("error", new Error("Cannot push to ended stream."));
          } else if (data.length !== 0) {
            this._writer.hasData = true;
            this.emit("data", data, this._writer.level);
          }
        };
        XMLBuilderCBImpl2.prototype._fromNode = function(node) {
          var e_3, _a, e_4, _b;
          if (util_2.Guard.isElementNode(node)) {
            var name = node.prefix ? node.prefix + ":" + node.localName : node.localName;
            if (node.namespaceURI !== null) {
              this.ele(node.namespaceURI, name);
            } else {
              this.ele(name);
            }
            try {
              for (var _c = __values(node.attributes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var attr = _d.value;
                var name_1 = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                if (attr.namespaceURI !== null) {
                  this.att(attr.namespaceURI, name_1, attr.value);
                } else {
                  this.att(name_1, attr.value);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
            try {
              for (var _e = __values(node.childNodes), _f = _e.next(); !_f.done; _f = _e.next()) {
                var child = _f.value;
                this._fromNode(child);
              }
            } catch (e_4_1) {
              e_4 = { error: e_4_1 };
            } finally {
              try {
                if (_f && !_f.done && (_b = _e.return))
                  _b.call(_e);
              } finally {
                if (e_4)
                  throw e_4.error;
              }
            }
            this.up();
          } else if (util_2.Guard.isExclusiveTextNode(node) && node.data) {
            this.txt(node.data);
          } else if (util_2.Guard.isCommentNode(node)) {
            this.com(node.data);
          } else if (util_2.Guard.isCDATASectionNode(node)) {
            this.dat(node.data);
          } else if (util_2.Guard.isProcessingInstructionNode(node)) {
            this.ins(node.target, node.data);
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributes = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_5, _a;
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                this._push(this._writer.attribute(attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                this.emit("error", new Error("Element contains duplicate attributes (well-formed required)."));
                return;
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    this.emit("error", new Error("XMLNS namespace is reserved (well-formed required)."));
                    return;
                  }
                  if (requireWellFormed && attr.value === "") {
                    this.emit("error", new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));
                    return;
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  this._push(this._writer.attribute("xmlns:" + candidatePrefix, this._serializeAttributeValue(attributeNamespace, this._options.wellFormed)));
                }
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                this.emit("error", new Error("Attribute local name contains invalid characters (well-formed required)."));
                return;
              }
              this._push(this._writer.attribute((candidatePrefix !== null ? candidatePrefix + ":" : "") + attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            this.emit("error", new Error("Invalid characters in attribute value."));
            return "";
          }
          if (value === null)
            return "";
          return value.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        XMLBuilderCBImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_6, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLBuilderCBImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLBuilderCBImpl2.prototype._isPrefixMapModified = function(originalMap, newMap) {
          var items1 = originalMap._items;
          var items2 = newMap._items;
          var nullItems1 = originalMap._nullItems;
          var nullItems2 = newMap._nullItems;
          for (var key in items2) {
            var arr1 = items1[key];
            if (arr1 === void 0)
              return true;
            var arr2 = items2[key];
            if (arr1.length !== arr2.length)
              return true;
            for (var i = 0; i < arr1.length; i++) {
              if (arr1[i] !== arr2[i])
                return true;
            }
          }
          if (nullItems1.length !== nullItems2.length)
            return true;
          for (var i = 0; i < nullItems1.length; i++) {
            if (nullItems1[i] !== nullItems2[i])
              return true;
          }
          return false;
        };
        XMLBuilderCBImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLBuilderCBImpl2;
      }(events_1.EventEmitter)
    );
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js
var require_BuilderFunctionsCB3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _1 = require_builder3();
    function createCB(options) {
      return new _1.XMLBuilderCBImpl(options);
    }
    exports2.createCB = createCB;
    function fragmentCB(options) {
      return new _1.XMLBuilderCBImpl(options, true);
    }
    exports2.fragmentCB = fragmentCB;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/builder/index.js
var require_builder3 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/builder/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLBuilderImpl_1 = require_XMLBuilderImpl3();
    exports2.XMLBuilderImpl = XMLBuilderImpl_1.XMLBuilderImpl;
    var XMLBuilderCBImpl_1 = require_XMLBuilderCBImpl3();
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl_1.XMLBuilderCBImpl;
    var BuilderFunctions_1 = require_BuilderFunctions3();
    exports2.builder = BuilderFunctions_1.builder;
    exports2.create = BuilderFunctions_1.create;
    exports2.fragment = BuilderFunctions_1.fragment;
    exports2.convert = BuilderFunctions_1.convert;
    var BuilderFunctionsCB_1 = require_BuilderFunctionsCB3();
    exports2.createCB = BuilderFunctionsCB_1.createCB;
    exports2.fragmentCB = BuilderFunctionsCB_1.fragmentCB;
  }
});

// ../blueprint/node_modules/xmlbuilder2/lib/index.js
var require_lib15 = __commonJS({
  "../blueprint/node_modules/xmlbuilder2/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var builder_1 = require_builder3();
    exports2.builder = builder_1.builder;
    exports2.create = builder_1.create;
    exports2.fragment = builder_1.fragment;
    exports2.convert = builder_1.convert;
    exports2.createCB = builder_1.createCB;
    exports2.fragmentCB = builder_1.fragmentCB;
  }
});

// ../blueprint/node_modules/projen/lib/xmlfile.js
var require_xmlfile3 = __commonJS({
  "../blueprint/node_modules/projen/lib/xmlfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.XmlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var xmlbuilder2_1 = require_lib15();
    var object_file_1 = require_object_file3();
    var XmlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const obj = super.synthesizeContent(resolver);
        if (!obj) {
          return void 0;
        }
        const xmlString = (0, xmlbuilder2_1.create)({ encoding: "UTF-8" }, obj).end({
          prettyPrint: true,
          indent: " ".repeat(4)
        });
        return [
          xmlString,
          ...this.marker ? [`<!-- ${this.marker} -->`] : []
        ].join("\n");
      }
    };
    exports2.XmlFile = XmlFile;
    _a = JSII_RTTI_SYMBOL_1;
    XmlFile[_a] = { fqn: "projen.XmlFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/web/tailwind.js
var require_tailwind3 = __commonJS({
  "../blueprint/node_modules/projen/lib/web/tailwind.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TailwindConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var json_1 = require_json5();
    var TailwindConfig = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "tailwind.config.json";
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: {
            purge: [],
            darkMode: false,
            theme: {
              extend: {}
            },
            variants: {
              extend: {}
            },
            plugins: []
          }
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.TailwindConfig = TailwindConfig;
    _a = JSII_RTTI_SYMBOL_1;
    TailwindConfig[_a] = { fqn: "projen.web.TailwindConfig", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/web/postcss.js
var require_postcss3 = __commonJS({
  "../blueprint/node_modules/projen/lib/web/postcss.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PostCss = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var tailwind_1 = require_tailwind3();
    var json_1 = require_json5();
    var PostCss = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "postcss.config.json";
        project.addDeps("postcss");
        const config = { plugins: {} };
        if (options?.tailwind ?? true) {
          config.plugins.tailwindcss = {};
          config.plugins.autoprefixer = {};
          this.tailwind = new tailwind_1.TailwindConfig(project, options?.tailwindOptions);
          config.plugins.tailwindcss.config = this.tailwind.fileName;
          project.addDeps("tailwindcss", "autoprefixer");
        }
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: config,
          marker: false
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.PostCss = PostCss;
    _a = JSII_RTTI_SYMBOL_1;
    PostCss[_a] = { fqn: "projen.web.PostCss", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/util.js
var require_util17 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tryResolveDependencyVersion = exports2.tryResolveModuleManifest = exports2.tryResolveManifestPathFromSearch = exports2.tryResolveManifestPathFromPath = exports2.tryResolveManifestPathFromDefaultExport = exports2.tryResolveModuleManifestPath = exports2.tryResolveModule = exports2.minVersion = exports2.extractCodeArtifactDetails = exports2.codeArtifactRegex = exports2.renderBundleName = void 0;
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver10();
    var util_1 = require_util14();
    function renderBundleName(entrypoint) {
      const parts = (0, path_1.join)(entrypoint).split(path_1.sep);
      if (parts[0] === "src") {
        parts.shift();
      }
      const p = parts.join(path_1.sep);
      const dir = (0, path_1.dirname)(p);
      const base = (0, path_1.basename)(p, (0, path_1.extname)(p));
      return (0, path_1.join)(dir, base);
    }
    exports2.renderBundleName = renderBundleName;
    exports2.codeArtifactRegex = /^https:\/\/(?<registry>(?<domain>[^\.]+)-(?<accountId>\d{12})\.d\.codeartifact\.(?<region>[^\.]+).*\.amazonaws\.com\/.*\/(?<repository>[^\/.]+)\/)/;
    function extractCodeArtifactDetails(registryUrl) {
      const match = registryUrl.match(exports2.codeArtifactRegex);
      if (match?.groups) {
        const { domain, accountId, region, repository, registry } = match.groups;
        return { domain, accountId, region, repository, registry };
      }
      throw new Error("Could not get CodeArtifact details from npm Registry");
    }
    exports2.extractCodeArtifactDetails = extractCodeArtifactDetails;
    function minVersion(version) {
      if (semver.validRange(version)) {
        return semver.minVersion(version)?.version;
      } else {
        return version;
      }
    }
    exports2.minVersion = minVersion;
    function tryResolveModule(moduleId, options) {
      try {
        return require.resolve(moduleId, options);
      } catch {
        return void 0;
      }
    }
    exports2.tryResolveModule = tryResolveModule;
    function tryResolveModuleManifestPath(moduleId, options) {
      const manifestId = `${moduleId}/package.json`;
      return tryResolveModule(manifestId, options);
    }
    exports2.tryResolveModuleManifestPath = tryResolveModuleManifestPath;
    function tryResolveManifestPathFromDefaultExport(moduleId, options) {
      const defaultExportPath = tryResolveModule(moduleId, options);
      if (!defaultExportPath) {
        return void 0;
      }
      const moduleDir = (0, util_1.findUp)("package.json", defaultExportPath);
      if (!moduleDir) {
        return void 0;
      }
      return (0, path_1.join)(moduleDir, "package.json");
    }
    exports2.tryResolveManifestPathFromDefaultExport = tryResolveManifestPathFromDefaultExport;
    function tryResolveManifestPathFromPath(moduleId, basePath) {
      const base = basePath.includes("node_modules") ? basePath : (0, path_1.join)(basePath, "node_modules");
      const filePath = (0, path_1.resolve)(base, ...moduleId.split("/"), "package.json");
      if ((0, fs_1.existsSync)(filePath)) {
        return filePath;
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromPath = tryResolveManifestPathFromPath;
    function tryResolveManifestPathFromSearch(moduleId, options) {
      const searchPaths = [
        ...options?.paths ?? [],
        ...require.resolve.paths(moduleId) ?? []
      ];
      for (const path of searchPaths) {
        const result = tryResolveManifestPathFromPath(moduleId, path);
        if (result) {
          return result;
        }
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromSearch = tryResolveManifestPathFromSearch;
    function tryResolveModuleManifest(moduleId, options) {
      const strategies = [
        tryResolveModuleManifestPath,
        tryResolveManifestPathFromDefaultExport,
        tryResolveManifestPathFromSearch
      ];
      for (const strategy of strategies) {
        const result = strategy(moduleId, options);
        if (result) {
          try {
            const manifest = JSON.parse((0, fs_1.readFileSync)(result, "utf8"));
            if (manifest.name === moduleId) {
              return manifest;
            }
          } catch {
          }
        }
      }
      return void 0;
    }
    exports2.tryResolveModuleManifest = tryResolveModuleManifest;
    function tryResolveDependencyVersion(dependencyName, options) {
      const manifest = tryResolveModuleManifest(dependencyName, options);
      if (!manifest) {
        return void 0;
      }
      return manifest?.version;
    }
    exports2.tryResolveDependencyVersion = tryResolveDependencyVersion;
  }
});

// ../blueprint/node_modules/projen/lib/javascript/bundler.js
var require_bundler3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/bundler.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Bundler = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var util_1 = require_util17();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var Bundler = class _Bundler extends component_1.Component {
      /**
       * Returns the `Bundler` instance associated with a project or `undefined` if
       * there is no Bundler.
       * @param project The project
       * @returns A bundler
       */
      static of(project) {
        const isBundler = (o) => o instanceof _Bundler;
        return project.components.find(isBundler);
      }
      /**
       * Creates a `Bundler`.
       */
      constructor(project, options = {}) {
        super(project);
        this.esbuildVersion = options.esbuildVersion;
        this.bundledir = options.assetsDir ?? "assets";
        this.addToPreCompile = options.addToPreCompile ?? true;
        this.loaders = options.loaders;
      }
      /**
       * Gets or creates the singleton "bundle" task of the project.
       *
       * If the project doesn't have a "bundle" task, it will be created and spawned
       * during the pre-compile phase.
       */
      get bundleTask() {
        if (!this._task) {
          this.addBundlingSupport();
          this._task = this.project.tasks.addTask("bundle", {
            description: "Prepare assets"
          });
          if (this.addToPreCompile) {
            this.project.preCompileTask.spawn(this._task);
          }
        }
        return this._task;
      }
      /**
       * Adds a task to the project which bundles a specific entrypoint and all of
       * its dependencies into a single javascript output file.
       *
       * @param entrypoint The relative path of the artifact within the project
       * @param options Bundling options
       */
      addBundle(entrypoint, options) {
        const name = (0, util_1.renderBundleName)(entrypoint);
        const outdir = path.posix.join(this.bundledir, name);
        const outfile = path.posix.join(outdir, options.outfile ?? "index.js");
        const args = [
          "esbuild",
          "--bundle",
          entrypoint,
          `--target="${options.target}"`,
          `--platform="${options.platform}"`,
          `--outfile="${outfile}"`
        ];
        const tsconfig = options.tsconfigPath ?? false;
        if (tsconfig) {
          args.push(`--tsconfig="${tsconfig}"`);
        }
        for (const x of options.externals ?? []) {
          args.push(`--external:${x}`);
        }
        const sourcemap = options.sourcemap ?? false;
        if (sourcemap) {
          args.push("--sourcemap");
        }
        const loaders = options.loaders ?? false ? options.loaders : this.loaders ?? false;
        if (loaders) {
          for (let [extension, loader] of Object.entries(loaders)) {
            args.push(`--loader:.${extension}=${loader}`);
          }
        }
        const bundleTask = this.project.addTask(`bundle:${name}`, {
          description: `Create a JavaScript bundle from ${entrypoint}`,
          exec: args.join(" ")
        });
        this.bundleTask.spawn(bundleTask);
        if (options.executable ?? false) {
          bundleTask.exec(`chmod +x ${outfile}`);
        }
        let watchTask;
        const watch = options.watchTask ?? true;
        if (watch) {
          watchTask = this.project.addTask(`bundle:${name}:watch`, {
            description: `Continuously update the JavaScript bundle from ${entrypoint}`,
            exec: `${args.join(" ")} --watch`
          });
        }
        return {
          bundleTask,
          watchTask,
          outdir,
          outfile
        };
      }
      /**
       * Add bundling support to a project. This is called implicitly when
       * `bundleTask` is referenced first. It adds the dependency on `esbuild`,
       * gitignore/npmignore, etc.
       */
      addBundlingSupport() {
        const ignoreEntry = `/${this.bundledir}/`;
        this.project.addGitIgnore(ignoreEntry);
        this.project.addPackageIgnore(`!${ignoreEntry}`);
        const dep = this.esbuildVersion ? `esbuild@${this.esbuildVersion}` : "esbuild";
        this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
      }
    };
    exports2.Bundler = Bundler;
    _a = JSII_RTTI_SYMBOL_1;
    Bundler[_a] = { fqn: "projen.javascript.Bundler", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/prettier.js
var require_prettier3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/prettier.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Prettier = exports2.TrailingComma = exports2.QuoteProps = exports2.ProseWrap = exports2.HTMLWhitespaceSensitivity = exports2.EndOfLine = exports2.EmbeddedLanguageFormatting = exports2.ArrowParens = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var ignore_file_1 = require_ignore_file3();
    var json_1 = require_json5();
    var source_code_1 = require_source_code3();
    var yaml_1 = require_yaml3();
    var ArrowParens;
    (function(ArrowParens2) {
      ArrowParens2["ALWAYS"] = "always";
      ArrowParens2["AVOID"] = "avoid";
    })(ArrowParens || (exports2.ArrowParens = ArrowParens = {}));
    var EmbeddedLanguageFormatting;
    (function(EmbeddedLanguageFormatting2) {
      EmbeddedLanguageFormatting2["AUTO"] = "auto";
      EmbeddedLanguageFormatting2["OFF"] = "off";
    })(EmbeddedLanguageFormatting || (exports2.EmbeddedLanguageFormatting = EmbeddedLanguageFormatting = {}));
    var EndOfLine;
    (function(EndOfLine2) {
      EndOfLine2["AUTO"] = "auto";
      EndOfLine2["CR"] = "cr";
      EndOfLine2["CRLF"] = "crlf";
      EndOfLine2["LF"] = "lf";
    })(EndOfLine || (exports2.EndOfLine = EndOfLine = {}));
    var HTMLWhitespaceSensitivity;
    (function(HTMLWhitespaceSensitivity2) {
      HTMLWhitespaceSensitivity2["CSS"] = "css";
      HTMLWhitespaceSensitivity2["IGNORE"] = "ignore";
      HTMLWhitespaceSensitivity2["STRICT"] = "strict";
    })(HTMLWhitespaceSensitivity || (exports2.HTMLWhitespaceSensitivity = HTMLWhitespaceSensitivity = {}));
    var ProseWrap;
    (function(ProseWrap2) {
      ProseWrap2["ALWAYS"] = "always";
      ProseWrap2["NEVER"] = "never";
      ProseWrap2["PRESERVE"] = "preserve";
    })(ProseWrap || (exports2.ProseWrap = ProseWrap = {}));
    var QuoteProps;
    (function(QuoteProps2) {
      QuoteProps2["ASNEEDED"] = "as-needed";
      QuoteProps2["CONSISTENT"] = "consistent";
      QuoteProps2["PRESERVE"] = "preserve";
    })(QuoteProps || (exports2.QuoteProps = QuoteProps = {}));
    var TrailingComma;
    (function(TrailingComma2) {
      TrailingComma2["ALL"] = "all";
      TrailingComma2["ES5"] = "es5";
      TrailingComma2["NONE"] = "none";
    })(TrailingComma || (exports2.TrailingComma = TrailingComma = {}));
    var Prettier = class _Prettier extends component_1.Component {
      static of(project) {
        const isPrettier = (c) => c instanceof _Prettier;
        return project.components.find(isPrettier);
      }
      constructor(project, options) {
        super(project);
        this._overrides = options.overrides ?? [];
        if (options.ignoreFile ?? true) {
          this.ignoreFile = new ignore_file_1.IgnoreFile(project, ".prettierignore", options.ignoreFileOptions);
        }
        project.addDevDeps("prettier");
        this.settings = {
          ...options.settings
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".prettierrc.yml", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".prettierrc.json", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: false
          });
        }
      }
      /**
       * Add a prettier override
       * @see https://prettier.io/docs/en/configuration.html#configuration-overrides
       * @param {PrettierOverride} override
       */
      addOverride(override) {
        this._overrides.push(override);
      }
      /**
       * Defines Prettier ignore Patterns
       * these patterns will be added to the file .prettierignore
       *
       * @param pattern filepatterns so exclude from prettier formatting
       */
      addIgnorePattern(pattern) {
        this.ignoreFile?.addPatterns(pattern);
      }
      /**
       *  Returns all Prettier overrides
       */
      get overrides() {
        return [...this._overrides];
      }
      preSynthesize() {
        const isSourceCode = (c) => c instanceof source_code_1.SourceCode;
        this.project.components.filter(isSourceCode).forEach((c) => {
          this.addIgnorePattern(c.filePath);
        });
      }
    };
    exports2.Prettier = Prettier;
    _a = JSII_RTTI_SYMBOL_1;
    Prettier[_a] = { fqn: "projen.javascript.Prettier", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/eslint.js
var require_eslint3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/eslint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Eslint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var prettier_1 = require_prettier3();
    var common_1 = require_common9();
    var component_1 = require_component3();
    var json_1 = require_json5();
    var yaml_1 = require_yaml3();
    var Eslint = class _Eslint extends component_1.Component {
      /**
       * Returns the singletone Eslint component of a project or undefined if there is none.
       */
      static of(project) {
        const isEslint = (c) => c instanceof _Eslint;
        return project.components.find(isEslint);
      }
      constructor(project, options) {
        super(project);
        this.overrides = [];
        this._plugins = new Array();
        this._extends = new Array();
        this.nodeProject = project;
        project.addDevDeps("eslint@^8", "@typescript-eslint/eslint-plugin@^5", "@typescript-eslint/parser@^5", "eslint-import-resolver-node", "eslint-import-resolver-typescript", "eslint-plugin-import");
        if (options.aliasMap) {
          project.addDevDeps("eslint-import-resolver-alias");
        }
        const lintProjenRc = options.lintProjenRc ?? true;
        const lintProjenRcFile = options.lintProjenRcFile ?? common_1.PROJEN_RC;
        const devdirs = options.devdirs ?? [];
        this._lintPatterns = [
          ...options.dirs,
          ...devdirs,
          ...lintProjenRc && lintProjenRcFile ? [lintProjenRcFile] : []
        ];
        this._fileExtensions = options.fileExtensions ?? [".ts"];
        this._allowDevDeps = new Set((devdirs ?? []).map((dir) => `**/${dir}/**`));
        this.eslintTask = project.addTask("eslint", {
          description: "Runs eslint against the codebase"
        });
        this.updateTask();
        project.testTask.spawn(this.eslintTask);
        project.npmignore?.exclude("/.eslintrc.json");
        this._formattingRules = {
          // see https://github.com/typescript-eslint/typescript-eslint/blob/master/packages/eslint-plugin/docs/rules/indent.md
          indent: ["off"],
          "@typescript-eslint/indent": ["error", 2],
          // Style
          quotes: ["error", "single", { avoidEscape: true }],
          "comma-dangle": ["error", "always-multiline"],
          "comma-spacing": ["error", { before: false, after: true }],
          "no-multi-spaces": ["error", { ignoreEOLComments: false }],
          "array-bracket-spacing": ["error", "never"],
          "array-bracket-newline": ["error", "consistent"],
          "object-curly-spacing": ["error", "always"],
          "object-curly-newline": ["error", { multiline: true, consistent: true }],
          "object-property-newline": [
            "error",
            { allowAllPropertiesOnSameLine: true }
          ],
          "keyword-spacing": ["error"],
          "brace-style": ["error", "1tbs", { allowSingleLine: true }],
          "space-before-blocks": ["error"],
          curly: ["error", "multi-line", "consistent"],
          "@typescript-eslint/member-delimiter-style": ["error"],
          // Require semicolons
          semi: ["error", "always"],
          // Max line lengths
          "max-len": [
            "error",
            {
              code: 150,
              ignoreUrls: true,
              ignoreStrings: true,
              ignoreTemplateLiterals: true,
              ignoreComments: true,
              ignoreRegExpLiterals: true
            }
          ],
          // Don't unnecessarily quote properties
          "quote-props": ["error", "consistent-as-needed"]
        };
        this.rules = {
          // Require use of the `import { foo } from 'bar';` form instead of `import foo = require('bar');`
          "@typescript-eslint/no-require-imports": ["error"],
          // Require all imported dependencies are actually declared in package.json
          "import/no-extraneous-dependencies": [
            "error",
            {
              // Only allow importing devDependencies from "devdirs".
              devDependencies: () => this.renderDevDepsAllowList(),
              optionalDependencies: false,
              peerDependencies: true
              // Allow importing peer dependencies (that aren't also direct dependencies)
            }
          ],
          // Require all imported libraries actually resolve (!!required for import/no-extraneous-dependencies to work!!)
          "import/no-unresolved": ["error"],
          // Require an ordering on all imports
          "import/order": [
            "warn",
            {
              groups: ["builtin", "external"],
              alphabetize: { order: "asc", caseInsensitive: true }
            }
          ],
          // Cannot import from the same module twice
          "no-duplicate-imports": ["error"],
          // Cannot shadow names
          "no-shadow": ["off"],
          "@typescript-eslint/no-shadow": ["error"],
          // Required spacing in property declarations (copied from TSLint, defaults are good)
          "key-spacing": ["error"],
          // No multiple empty lines
          "no-multiple-empty-lines": ["error"],
          // One of the easiest mistakes to make
          "@typescript-eslint/no-floating-promises": ["error"],
          // Make sure that inside try/catch blocks, promises are 'return await'ed
          // (must disable the base rule as it can report incorrect errors)
          "no-return-await": ["off"],
          "@typescript-eslint/return-await": ["error"],
          // Useless diff results
          "no-trailing-spaces": ["error"],
          // Must use foo.bar instead of foo['bar'] if possible
          "dot-notation": ["error"],
          // Are you sure | is not a typo for || ?
          "no-bitwise": ["error"],
          // Member ordering
          "@typescript-eslint/member-ordering": [
            "error",
            {
              default: [
                "public-static-field",
                "public-static-method",
                "protected-static-field",
                "protected-static-method",
                "private-static-field",
                "private-static-method",
                "field",
                // Constructors
                "constructor",
                // Methods
                "method"
              ]
            }
          ]
        };
        if (lintProjenRc) {
          this.overrides = [
            {
              files: [lintProjenRcFile || common_1.PROJEN_RC],
              rules: {
                "@typescript-eslint/no-require-imports": "off",
                "import/no-extraneous-dependencies": "off"
              }
            }
          ];
        }
        this.ignorePatterns = options.ignorePatterns ?? [
          "*.js",
          // @deprecated
          ...lintProjenRc ? [`!${lintProjenRcFile || common_1.PROJEN_RC}`] : [],
          "*.d.ts",
          "node_modules/",
          "*.generated.ts",
          "coverage"
        ];
        const tsconfig = options.tsconfigPath ?? "./tsconfig.json";
        this.addPlugins("@typescript-eslint");
        this.addPlugins("import");
        this.addExtends("plugin:import/typescript");
        this.config = {
          env: {
            jest: true,
            node: true
          },
          root: true,
          plugins: () => this._plugins,
          parser: "@typescript-eslint/parser",
          parserOptions: {
            ecmaVersion: 2018,
            sourceType: "module",
            project: tsconfig
          },
          extends: () => this._extends,
          settings: {
            "import/parsers": {
              "@typescript-eslint/parser": [".ts", ".tsx"]
            },
            "import/resolver": {
              ...options.aliasMap && {
                alias: {
                  map: Object.entries(options.aliasMap).map(([k, v]) => [k, v]),
                  extensions: options.aliasExtensions
                }
              },
              node: {},
              typescript: {
                project: tsconfig,
                ...options.tsAlwaysTryTypes !== false && { alwaysTryTypes: true }
              }
            }
          },
          ignorePatterns: this.ignorePatterns,
          rules: () => ({ ...this._formattingRules, ...this.rules }),
          overrides: this.overrides
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".eslintrc.yml", {
            obj: this.config,
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".eslintrc.json", {
            obj: this.config,
            // https://eslint.org/docs/latest/user-guide/configuring/configuration-files#comments-in-configuration-files
            marker: true,
            allowComments: true
          });
        }
        if (options.prettier || prettier_1.Prettier.of(project)) {
          this.enablePrettier();
        }
      }
      /**
       * Add a file, glob pattern or directory with source files to lint (e.g. [ "src" ])
       */
      addLintPattern(pattern) {
        this._lintPatterns.push(pattern);
        this.updateTask();
      }
      /**
       * Add an eslint rule.
       */
      addRules(rules) {
        for (const [k, v] of Object.entries(rules)) {
          this.rules[k] = v;
        }
      }
      /**
       * Adds an eslint plugin
       * @param plugins The names of plugins to add
       */
      addPlugins(...plugins) {
        this._plugins.push(...plugins);
      }
      /**
       * Add an eslint override.
       */
      addOverride(override) {
        this.overrides.push(override);
      }
      /**
       * Do not lint these files.
       */
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      /**
       * Adds an `extends` item to the eslint configuration.
       * @param extendList The list of "extends" to add.
       */
      addExtends(...extendList) {
        this._extends.push(...extendList);
      }
      /**
       * Add a glob file pattern which allows importing dev dependencies.
       * @param pattern glob pattern.
       */
      allowDevDeps(pattern) {
        this._allowDevDeps.add(pattern);
      }
      /**
       * Enables prettier for code formatting.
       */
      enablePrettier() {
        this.nodeProject.addDevDeps("prettier", "eslint-plugin-prettier", "eslint-config-prettier");
        this.addPlugins("prettier");
        this._formattingRules = {
          "prettier/prettier": ["error"]
        };
        this.addExtends("prettier", "plugin:prettier/recommended");
      }
      renderDevDepsAllowList() {
        return Array.from(this._allowDevDeps);
      }
      /**
       * Update the task with the current list of lint patterns and file extensions
       */
      updateTask() {
        this.eslintTask.reset([
          "eslint",
          `--ext ${this._fileExtensions.join(",")}`,
          "--fix",
          "--no-error-on-unmatched-pattern",
          ...this._lintPatterns
        ].join(" "));
      }
    };
    exports2.Eslint = Eslint;
    _a = JSII_RTTI_SYMBOL_1;
    Eslint[_a] = { fqn: "projen.javascript.Eslint", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/jest.js
var require_jest3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/jest.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Jest = exports2.JestReporter = exports2.UpdateSnapshot = exports2.WatchPlugin = exports2.Transform = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver10();
    var component_1 = require_component3();
    var javascript_1 = require_javascript3();
    var json_1 = require_json5();
    var DEFAULT_TEST_REPORTS_DIR = "test-reports";
    var Transform = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.Transform = Transform;
    _a = JSII_RTTI_SYMBOL_1;
    Transform[_a] = { fqn: "projen.javascript.Transform", version: "0.71.112" };
    var WatchPlugin = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.WatchPlugin = WatchPlugin;
    _b = JSII_RTTI_SYMBOL_1;
    WatchPlugin[_b] = { fqn: "projen.javascript.WatchPlugin", version: "0.71.112" };
    var UpdateSnapshot;
    (function(UpdateSnapshot2) {
      UpdateSnapshot2["ALWAYS"] = "always";
      UpdateSnapshot2["NEVER"] = "never";
    })(UpdateSnapshot || (exports2.UpdateSnapshot = UpdateSnapshot = {}));
    var JestReporter = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options == null) {
          return this.name;
        }
        return [this.name, this.options];
      }
    };
    exports2.JestReporter = JestReporter;
    _c = JSII_RTTI_SYMBOL_1;
    JestReporter[_c] = { fqn: "projen.javascript.JestReporter", version: "0.71.112" };
    var Jest = class _Jest extends component_1.Component {
      /**
       * Returns the singletone Jest component of a project or undefined if there is none.
       */
      static of(project) {
        const isJest = (c) => c instanceof _Jest;
        return project.components.find(isJest);
      }
      constructor(project, options = {}) {
        super(project);
        if (options.typescriptConfig) {
          throw new Error('"jestOptions.typescriptConfig" is deprecated. Use "typescriptProject.tsconfigDev" instead');
        }
        project.root.annotateGenerated("*.snap");
        this.jestVersion = options.jestVersion ? `@${options.jestVersion}` : "";
        project.addDevDeps(`jest${this.jestVersion}`);
        this.jestConfig = {
          ...options.jestConfig,
          additionalOptions: void 0,
          ...options.jestConfig?.additionalOptions
        };
        this.extraCliOptions = options.extraCliOptions ?? [];
        this.ignorePatterns = this.jestConfig?.testPathIgnorePatterns ?? options.ignorePatterns ?? ["/node_modules/"];
        this.watchIgnorePatterns = this.jestConfig?.watchPathIgnorePatterns ?? [
          "/node_modules/"
        ];
        this.coverageReporters = this.jestConfig?.coverageReporters ?? [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ];
        this.testMatch = this.jestConfig?.testMatch ?? [
          "**/__tests__/**/*.[jt]s?(x)",
          "**/?(*.)+(spec|test).[tj]s?(x)"
        ];
        const coverageDirectory = this.jestConfig?.coverageDirectory ?? "coverage";
        this.reporters = [];
        if (options.preserveDefaultReporters ?? true) {
          this.reporters.unshift(new JestReporter("default"));
        }
        this.config = {
          ...this.jestConfig,
          clearMocks: this.jestConfig?.clearMocks ?? true,
          collectCoverage: options.coverage ?? this.jestConfig?.collectCoverage ?? true,
          coverageReporters: this.coverageReporters,
          coverageDirectory,
          coveragePathIgnorePatterns: this.jestConfig?.coveragePathIgnorePatterns ?? this.ignorePatterns,
          testPathIgnorePatterns: this.ignorePatterns,
          watchPathIgnorePatterns: this.watchIgnorePatterns,
          testMatch: this.testMatch,
          reporters: this.reporters,
          snapshotResolver: () => this._snapshotResolver
        };
        if (options.junitReporting ?? true) {
          const reportsDir = DEFAULT_TEST_REPORTS_DIR;
          this.addReporter(new JestReporter("jest-junit", { outputDirectory: reportsDir }));
          project.addDevDeps("jest-junit@^15");
          project.gitignore.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
          project.npmignore?.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
        }
        if (this.jestConfig?.reporters) {
          for (const reporter of this.jestConfig.reporters) {
            this.addReporter(reporter);
          }
        }
        if (this.jestConfig?.coverageThreshold) {
          this.config.coverageThreshold = {
            global: this.jestConfig?.coverageThreshold
          };
        }
        this.configureTestCommand(options.updateSnapshot ?? UpdateSnapshot.ALWAYS);
        if (options.configFilePath) {
          this.file = new json_1.JsonFile(project, options.configFilePath, {
            obj: this.config
          });
          project.npmignore?.addPatterns(`/${this.file.path}`);
        } else {
          project.addFields({ jest: this.config });
        }
        const coverageDirectoryPath = path.posix.join("/", coverageDirectory, "/");
        project.npmignore?.exclude(coverageDirectoryPath);
        project.gitignore.exclude(coverageDirectoryPath);
        if (options.coverageText ?? true) {
          this.coverageReporters.push("text");
        }
      }
      /**
       * Adds a test match pattern.
       * @param pattern glob pattern to match for tests
       */
      addTestMatch(pattern) {
        this.testMatch.push(pattern);
      }
      /**
       * Adds a watch ignore pattern.
       * @param pattern The pattern (regular expression).
       */
      addWatchIgnorePattern(pattern) {
        this.watchIgnorePatterns.push(pattern);
      }
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      addReporter(reporter) {
        this.reporters.push(reporter);
      }
      /**
       * Adds a a setup file to Jest's setupFiles configuration.
       * @param file File path to setup file
       */
      addSetupFile(file) {
        if (!this.config.setupFiles) {
          this.config.setupFiles = [];
        }
        this.config.setupFiles.push(file);
      }
      /**
       * Adds a a setup file to Jest's setupFilesAfterEnv configuration.
       * @param file File path to setup file
       */
      addSetupFileAfterEnv(file) {
        if (!this.config.setupFilesAfterEnv) {
          this.config.setupFilesAfterEnv = [];
        }
        this.config.setupFilesAfterEnv.push(file);
      }
      addSnapshotResolver(file) {
        this._snapshotResolver = file;
      }
      configureTestCommand(updateSnapshot) {
        const jestOpts = ["--passWithNoTests", ...this.extraCliOptions];
        const jestConfigOpts = this.file && this.file.path != "jest.config.json" ? ` -c ${this.file.path}` : "";
        if (this.project instanceof javascript_1.NodeProject && this.project.package.minNodeVersion && semver.gte(this.project.package.minNodeVersion, "14.0.0")) {
          jestOpts.push("--coverageProvider=v8");
        }
        if (updateSnapshot === UpdateSnapshot.ALWAYS) {
          jestOpts.push("--updateSnapshot");
        } else {
          jestOpts.push("--ci");
          const testUpdate = this.project.tasks.tryFind("test:update");
          if (!testUpdate) {
            this.project.addTask("test:update", {
              description: "Update jest snapshots",
              exec: `jest --updateSnapshot ${jestOpts.join(" ")}${jestConfigOpts}`,
              receiveArgs: true
            });
          }
        }
        this.project.testTask.exec(`jest ${jestOpts.join(" ")}${jestConfigOpts}`, {
          receiveArgs: true
        });
        const testWatch = this.project.tasks.tryFind("test:watch");
        if (!testWatch) {
          this.project.addTask("test:watch", {
            description: "Run jest in watch mode",
            exec: `jest --watch${jestConfigOpts}`
          });
        }
      }
    };
    exports2.Jest = Jest;
    _d = JSII_RTTI_SYMBOL_1;
    Jest[_d] = { fqn: "projen.javascript.Jest", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/constants.js
var require_constants10 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PERMISSION_BACKUP_FILE = exports2.DEFAULT_GITHUB_ACTIONS_USER = exports2.BUILD_ARTIFACT_NAME = void 0;
    exports2.BUILD_ARTIFACT_NAME = "build-artifact";
    exports2.DEFAULT_GITHUB_ACTIONS_USER = {
      name: "github-actions",
      email: "github-actions@github.com"
    };
    exports2.PERMISSION_BACKUP_FILE = "permissions-backup.acl";
  }
});

// ../blueprint/node_modules/projen/lib/github/workflows-model.js
var require_workflows_model3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/workflows-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AppPermission = exports2.JobPermission = void 0;
    var JobPermission;
    (function(JobPermission2) {
      JobPermission2["READ"] = "read";
      JobPermission2["WRITE"] = "write";
      JobPermission2["NONE"] = "none";
    })(JobPermission || (exports2.JobPermission = JobPermission = {}));
    var AppPermission;
    (function(AppPermission2) {
      AppPermission2["READ"] = "read";
      AppPermission2["WRITE"] = "write";
      AppPermission2["ADMIN"] = "admin";
    })(AppPermission || (exports2.AppPermission = AppPermission = {}));
  }
});

// ../blueprint/node_modules/projen/lib/release/publisher.js
var require_publisher3 = __commonJS({
  "../blueprint/node_modules/projen/lib/release/publisher.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isAwsCodeArtifactRegistry = exports2.CodeArtifactAuthProvider = exports2.Publisher = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var constants_1 = require_constants10();
    var workflows_model_1 = require_workflows_model3();
    var node_package_1 = require_node_package3();
    var PUBLIB_VERSION = "latest";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var ARTIFACTS_DOWNLOAD_DIR = "dist";
    var GITHUB_PACKAGES_MAVEN_REPOSITORY = "https://maven.pkg.github.com";
    var GITHUB_PACKAGES_NUGET_REPOSITORY = "https://nuget.pkg.github.com";
    var AWS_CODEARTIFACT_REGISTRY_REGEX = /.codeartifact.*.amazonaws.com/;
    var PUBLIB_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
    var Publisher = class _Publisher extends component_1.Component {
      constructor(project, options) {
        super(project);
        this._jobFactories = [];
        this._gitHubPrePublishing = [];
        this.buildJobId = options.buildJobId;
        this.artifactName = options.artifactName;
        this.publibVersion = options.publibVersion ?? options.jsiiReleaseVersion ?? PUBLIB_VERSION;
        this.jsiiReleaseVersion = this.publibVersion;
        this.condition = options.condition;
        this.dryRun = options.dryRun ?? false;
        this.workflowNodeVersion = options.workflowNodeVersion ?? "16.x";
        this.workflowContainerImage = options.workflowContainerImage;
        this.failureIssue = options.failureIssue ?? false;
        this.failureIssueLabel = options.failureIssueLabel ?? "failed-release";
        this.runsOn = options.workflowRunsOn ?? ["ubuntu-latest"];
        this.publishTasks = options.publishTasks ?? false;
      }
      /**
       * Called by `Release` to add the publishing jobs to a release workflow
       * associated with a specific branch.
       * @param branch The branch name
       * @param options Branch options
       *
       * @internal
       */
      _renderJobsForBranch(branch, options) {
        let jobs = {};
        for (const factory of this._jobFactories) {
          jobs = {
            ...jobs,
            ...factory(branch, options)
          };
        }
        return jobs;
      }
      /**
       * Adds pre publishing steps for the GitHub release job.
       *
       * @param steps The steps.
       */
      addGitHubPrePublishingSteps(...steps) {
        this._gitHubPrePublishing.push(...steps);
      }
      /**
       * Publish to git.
       *
       * This includes generating a project-level changelog and release tags.
       *
       * @param options Options
       */
      publishToGit(options) {
        const releaseTagFile = options.releaseTagFile;
        const versionFile = options.versionFile;
        const changelog = options.changelogFile;
        const projectChangelogFile = options.projectChangelogFile;
        const gitBranch = options.gitBranch ?? "main";
        const taskName = gitBranch === "main" || gitBranch === "master" ? _Publisher.PUBLISH_GIT_TASK_NAME : `${_Publisher.PUBLISH_GIT_TASK_NAME}:${gitBranch}`;
        const publishTask = this.project.addTask(taskName, {
          description: "Prepends the release changelog onto the project changelog, creates a release commit, and tags the release",
          env: {
            CHANGELOG: changelog,
            RELEASE_TAG_FILE: releaseTagFile,
            PROJECT_CHANGELOG_FILE: projectChangelogFile ?? "",
            VERSION_FILE: versionFile
          },
          condition: '! git log --oneline -1 | grep -q "chore(release):"'
        });
        if (projectChangelogFile) {
          publishTask.builtin("release/update-changelog");
        }
        publishTask.builtin("release/tag-version");
        if (options.gitPushCommand !== "") {
          const gitPushCommand = options.gitPushCommand || `git push --follow-tags origin ${gitBranch}`;
          publishTask.exec(gitPushCommand);
        }
        return publishTask;
      }
      /**
       * Creates a GitHub Release.
       * @param options Options
       */
      publishToGitHubReleases(options) {
        this.addPublishJob((_branch, branchOptions) => {
          return {
            name: "github",
            registryName: "GitHub Releases",
            prePublishSteps: options.prePublishSteps ?? this._gitHubPrePublishing,
            publishTools: options.publishTools,
            permissions: {
              contents: workflows_model_1.JobPermission.WRITE
            },
            workflowEnv: {
              GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}",
              GITHUB_REPOSITORY: "${{ github.repository }}",
              GITHUB_REF: "${{ github.ref }}"
            },
            run: this.githubReleaseCommand(options, branchOptions)
          };
        });
      }
      /**
       * Publishes artifacts from `js/**` to npm.
       * @param options Options
       */
      publishToNpm(options = {}) {
        const isGitHubPackages = options.registry?.startsWith(GITHUB_PACKAGES_REGISTRY);
        const isAwsCodeArtifact = isAwsCodeArtifactRegistry(options.registry);
        const isAwsCodeArtifactWithOidc = isAwsCodeArtifact && options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC;
        const npmToken = (0, node_package_1.defaultNpmToken)(options.npmTokenSecret, options.registry);
        if (options.distTag) {
          this.project.logger.warn("The `distTag` option is deprecated. Use the npmDistTag option instead.");
        }
        const prePublishSteps = options.prePublishSteps ?? [];
        if (isAwsCodeArtifactWithOidc) {
          if (options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret) {
            throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
          } else if (!options.codeArtifactOptions?.roleToAssume) {
            throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
          }
          const regionCaptureRegex = /codeartifact\.(.+)\.amazonaws\.com/;
          const region = options.registry?.match(regionCaptureRegex)?.[1];
          prePublishSteps.push({
            name: "Configure AWS Credentials via GitHub OIDC Provider",
            uses: "aws-actions/configure-aws-credentials@v2",
            with: {
              "role-to-assume": options.codeArtifactOptions.roleToAssume,
              "aws-region": region
            }
          });
        }
        this.addPublishJob((_branch, branchOptions) => {
          if (branchOptions.npmDistTag && options.distTag) {
            throw new Error("cannot set branch-level npmDistTag and npmDistTag in publishToNpm()");
          }
          return {
            name: "npm",
            publishTools: PUBLIB_TOOLCHAIN.js,
            prePublishSteps,
            run: this.publibCommand("publib-npm"),
            registryName: "npm",
            env: {
              NPM_DIST_TAG: branchOptions.npmDistTag ?? options.distTag ?? "latest",
              NPM_REGISTRY: options.registry
            },
            permissions: {
              idToken: isAwsCodeArtifactWithOidc ? workflows_model_1.JobPermission.WRITE : void 0,
              contents: workflows_model_1.JobPermission.READ,
              packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
            },
            workflowEnv: {
              NPM_TOKEN: npmToken ? secret(npmToken) : void 0,
              // if we are publishing to AWS CodeArtifact, pass AWS access keys that will be used to generate NPM_TOKEN using AWS CLI.
              AWS_ACCESS_KEY_ID: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID") : void 0,
              AWS_SECRET_ACCESS_KEY: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY") : void 0,
              AWS_ROLE_TO_ASSUME: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? options.codeArtifactOptions?.roleToAssume : void 0
            }
          };
        });
      }
      /**
       * Publishes artifacts from `dotnet/**` to NuGet Gallery.
       * @param options Options
       */
      publishToNuget(options = {}) {
        const isGitHubPackages = options.nugetServer?.startsWith(GITHUB_PACKAGES_NUGET_REPOSITORY);
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "nuget",
          publishTools: PUBLIB_TOOLCHAIN.dotnet,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-nuget"),
          registryName: "NuGet Gallery",
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          },
          workflowEnv: {
            NUGET_API_KEY: secret(isGitHubPackages ? "GITHUB_TOKEN" : options.nugetApiKeySecret ?? "NUGET_API_KEY"),
            NUGET_SERVER: options.nugetServer ?? void 0
          }
        }));
      }
      /**
       * Publishes artifacts from `java/**` to Maven.
       * @param options Options
       */
      publishToMaven(options = {}) {
        const isGitHubPackages = options.mavenRepositoryUrl?.startsWith(GITHUB_PACKAGES_MAVEN_REPOSITORY);
        const isGitHubActor = isGitHubPackages && options.mavenUsername == void 0;
        const mavenServerId = options.mavenServerId ?? (isGitHubPackages ? "github" : void 0);
        if (isGitHubPackages && mavenServerId != "github") {
          throw new Error('publishing to GitHub Packages requires the "mavenServerId" to be "github"');
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "maven",
          registryName: "Maven Central",
          publishTools: PUBLIB_TOOLCHAIN.java,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-maven"),
          env: {
            MAVEN_ENDPOINT: options.mavenEndpoint,
            MAVEN_SERVER_ID: mavenServerId,
            MAVEN_REPOSITORY_URL: options.mavenRepositoryUrl
          },
          workflowEnv: {
            MAVEN_GPG_PRIVATE_KEY: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeySecret ?? "MAVEN_GPG_PRIVATE_KEY"),
            MAVEN_GPG_PRIVATE_KEY_PASSPHRASE: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeyPassphrase ?? "MAVEN_GPG_PRIVATE_KEY_PASSPHRASE"),
            MAVEN_PASSWORD: secret(options.mavenPassword ?? (isGitHubPackages ? "GITHUB_TOKEN" : "MAVEN_PASSWORD")),
            MAVEN_USERNAME: isGitHubActor ? "${{ github.actor }}" : secret(options.mavenUsername ?? "MAVEN_USERNAME"),
            MAVEN_STAGING_PROFILE_ID: isGitHubPackages ? void 0 : secret(options.mavenStagingProfileId ?? "MAVEN_STAGING_PROFILE_ID")
          },
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          }
        }));
      }
      /**
       * Publishes wheel artifacts from `python` to PyPI.
       * @param options Options
       */
      publishToPyPi(options = {}) {
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "pypi",
          registryName: "PyPI",
          publishTools: PUBLIB_TOOLCHAIN.python,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-pypi"),
          env: {
            TWINE_REPOSITORY_URL: options.twineRegistryUrl
          },
          workflowEnv: {
            TWINE_USERNAME: secret(options.twineUsernameSecret ?? "TWINE_USERNAME"),
            TWINE_PASSWORD: secret(options.twinePasswordSecret ?? "TWINE_PASSWORD")
          }
        }));
      }
      /**
       * Adds a go publishing job.
       * @param options Options
       */
      publishToGo(options = {}) {
        const prePublishSteps = options.prePublishSteps ?? [];
        const workflowEnv = {};
        if (options.githubUseSsh) {
          workflowEnv.GITHUB_USE_SSH = "true";
          workflowEnv.SSH_AUTH_SOCK = "/tmp/ssh_agent.sock";
          prePublishSteps.push({
            name: "Setup GitHub deploy key",
            run: 'ssh-agent -a ${SSH_AUTH_SOCK} && ssh-add - <<< "${GITHUB_DEPLOY_KEY}"',
            env: {
              GITHUB_DEPLOY_KEY: secret(options.githubDeployKeySecret ?? "GO_GITHUB_DEPLOY_KEY"),
              SSH_AUTH_SOCK: workflowEnv.SSH_AUTH_SOCK
            }
          });
        } else {
          workflowEnv.GITHUB_TOKEN = secret(options.githubTokenSecret ?? "GO_GITHUB_TOKEN");
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "golang",
          publishTools: PUBLIB_TOOLCHAIN.go,
          prePublishSteps,
          run: this.publibCommand("publib-golang"),
          registryName: "GitHub Go Module Repository",
          env: {
            GITHUB_REPO: options.githubRepo,
            GIT_BRANCH: options.gitBranch,
            GIT_USER_NAME: options.gitUserName ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.name,
            GIT_USER_EMAIL: options.gitUserEmail ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.email,
            GIT_COMMIT_MESSAGE: options.gitCommitMessage
          },
          workflowEnv
        }));
      }
      addPublishJob(factory) {
        this._jobFactories.push((branch, branchOptions) => {
          const opts = factory(branch, branchOptions);
          const jobname = `release_${opts.name}`;
          if (jobname in this._jobFactories) {
            throw new Error(`Duplicate job with name "${jobname}"`);
          }
          const commandToRun = this.dryRun ? `echo "DRY RUN: ${opts.run}"` : opts.run;
          const requiredEnv = new Array();
          const jobEnv = { ...opts.env };
          const workflowEnvEntries = Object.entries(opts.workflowEnv ?? {}).filter(([_, value]) => value != void 0);
          for (const [name, expression] of workflowEnvEntries) {
            requiredEnv.push(name);
            jobEnv[name] = expression;
          }
          if (this.publishTasks) {
            const branchSuffix = branch === "main" || branch === "master" ? "" : `:${branch}`;
            const task = this.project.addTask(`publish:${opts.name.toLocaleLowerCase()}${branchSuffix}`, {
              description: `Publish this package to ${opts.registryName}`,
              env: opts.env,
              requiredEnv
            });
            task.exec(`test "$(git branch --show-current)" = "${branch}"`);
            task.exec(commandToRun);
          }
          const steps = [
            {
              name: "Download build artifacts",
              uses: "actions/download-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: ARTIFACTS_DOWNLOAD_DIR
                // this must be "dist" for publib
              }
            },
            {
              name: "Restore build artifact permissions",
              continueOnError: true,
              run: [
                `cd ${ARTIFACTS_DOWNLOAD_DIR} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
              ].join("\n")
            },
            ...opts.prePublishSteps,
            {
              name: "Release",
              // it would have been nice if we could just run "projen publish:xxx" here but that is not possible because this job does not checkout sources
              run: commandToRun,
              env: jobEnv
            }
          ];
          const perms = opts.permissions ?? { contents: workflows_model_1.JobPermission.READ };
          const container = this.workflowContainerImage ? {
            image: this.workflowContainerImage
          } : void 0;
          if (this.failureIssue) {
            steps.push(...[
              {
                name: "Extract Version",
                if: "${{ failure() }}",
                id: "extract-version",
                run: 'echo "VERSION=$(cat dist/version.txt)" >> $GITHUB_OUTPUT'
              },
              {
                name: "Create Issue",
                if: "${{ failure() }}",
                uses: "imjohnbo/issue-bot@v3",
                with: {
                  labels: this.failureIssueLabel,
                  title: `Publishing v\${{ steps.extract-version.outputs.VERSION }} to ${opts.registryName} failed`,
                  body: "See https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}"
                },
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                }
              }
            ]);
            Object.assign(perms, { issues: workflows_model_1.JobPermission.WRITE });
          }
          return {
            [jobname]: {
              tools: {
                node: { version: this.workflowNodeVersion },
                ...opts.publishTools
              },
              name: `Publish to ${opts.registryName}`,
              permissions: perms,
              if: this.condition,
              needs: [this.buildJobId],
              runsOn: this.runsOn,
              container,
              steps
            }
          };
        });
      }
      publibCommand(command) {
        return `npx -p publib@${this.publibVersion} ${command}`;
      }
      githubReleaseCommand(options, branchOptions) {
        const changelogFile = options.changelogFile;
        const releaseTagFile = options.releaseTagFile;
        const releaseTag = `$(cat ${releaseTagFile})`;
        const ghReleaseCommand = [
          `gh release create ${releaseTag}`,
          "-R $GITHUB_REPOSITORY",
          `-F ${changelogFile}`,
          `-t ${releaseTag}`,
          "--target $GITHUB_REF"
        ];
        if (branchOptions.prerelease) {
          ghReleaseCommand.push("-p");
        }
        const ghRelease = ghReleaseCommand.join(" ");
        const idempotentRelease = [
          "errout=$(mktemp);",
          `${ghRelease} 2> $errout && true;`,
          "exitcode=$?;",
          'if [ $exitcode -ne 0 ] && ! grep -q "Release.tag_name already exists" $errout; then',
          "cat $errout;",
          "exit $exitcode;",
          "fi"
        ].join(" ");
        return idempotentRelease;
      }
    };
    exports2.Publisher = Publisher;
    _a = JSII_RTTI_SYMBOL_1;
    Publisher[_a] = { fqn: "projen.release.Publisher", version: "0.71.112" };
    Publisher.PUBLISH_GIT_TASK_NAME = "publish:git";
    function secret(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    function isAwsCodeArtifactRegistry(registryUrl) {
      return registryUrl && AWS_CODEARTIFACT_REGISTRY_REGEX.test(registryUrl);
    }
    exports2.isAwsCodeArtifactRegistry = isAwsCodeArtifactRegistry;
  }
});

// ../blueprint/node_modules/projen/lib/release/release-trigger.js
var require_release_trigger3 = __commonJS({
  "../blueprint/node_modules/projen/lib/release/release-trigger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReleaseTrigger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var ReleaseTrigger = class _ReleaseTrigger {
      /**
       * Creates a manual release trigger.
       *
       * Use this option if you want totally manual releases.
       *
       * This will give you a release task that, in addition to the normal
       * release activities will trigger a `publish:git` task. This task will
       * handle project-level changelog management, release tagging, and pushing
       * these artifacts to origin.
       *
       * The command used for pushing can be customised by specifying
       * `gitPushCommand`. Set to an empty string to disable pushing entirely.
       *
       * Simply run `yarn release` to trigger a manual release.
       *
       * @param options release options
       */
      static manual(options = {}) {
        let changelogPath;
        if (options.changelog ?? true) {
          changelogPath = options.changelogPath ?? "CHANGELOG.md";
        }
        return new _ReleaseTrigger({
          changelogPath,
          gitPushCommand: options.gitPushCommand
        });
      }
      /**
       * Creates a scheduled release trigger.
       *
       * Automated releases will occur based on the provided cron schedule.
       *
       * @param options release options.
       */
      static scheduled(options) {
        return new _ReleaseTrigger({
          schedule: options.schedule
        });
      }
      /**
       * Creates a continuous release trigger.
       *
       * Automated releases will occur on every commit.
       */
      static continuous() {
        return new _ReleaseTrigger({
          continuous: true
        });
      }
      constructor(options = {}) {
        this.isContinuous = options.continuous ?? false;
        this.schedule = options.schedule;
        this.changelogPath = options.changelogPath;
        this.gitPushCommand = options.gitPushCommand;
      }
      /**
       * Whether or not this is a manual release trigger.
       */
      get isManual() {
        return !(this.isContinuous || this.schedule);
      }
    };
    exports2.ReleaseTrigger = ReleaseTrigger;
    _a = JSII_RTTI_SYMBOL_1;
    ReleaseTrigger[_a] = { fqn: "projen.release.ReleaseTrigger", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/actions-provider.js
var require_actions_provider3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/actions-provider.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubActionsProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var GitHubActionsProvider = class {
      constructor() {
        this.actions = /* @__PURE__ */ new Map();
      }
      /**
       * Define an override for a given action.
       *
       * Specify the action name without a version to override all usages of the action.
       * You can also override a specific action version, by providing the version string.
       * Specific overrides take precedence over overrides without a version.
       *
       * If an override for the same action name is set multiple times, the last override is used.
       *
       * @example
       * // Force any use of `actions/checkout` to use a pin a specific commit
       * project.github.actions.set("actions/checkout", "actions/checkout@aaaaaa");
       *
       * // But pin usage of `v3` to a different commit
       * project.github.actions.set("actions/checkout@v3", "actions/checkout@ffffff");
       */
      set(action, override) {
        this.actions.set(action, override);
      }
      /**
       * Resolve an action name to the version that should be used,
       * taking into account any overrides.
       */
      get(action) {
        const parts = action.split("@", 1);
        return this.actions.get(action) ?? this.actions.get(parts[0]) ?? action;
      }
    };
    exports2.GitHubActionsProvider = GitHubActionsProvider;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubActionsProvider[_a] = { fqn: "projen.github.GitHubActionsProvider", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/dependabot.js
var require_dependabot3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/dependabot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Dependabot = exports2.VersioningStrategy = exports2.DependabotScheduleInterval = exports2.DependabotRegistryType = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var util_1 = require_util14();
    var yaml_1 = require_yaml3();
    var DependabotRegistryType;
    (function(DependabotRegistryType2) {
      DependabotRegistryType2["COMPOSER_REGISTRY"] = "composer-registry";
      DependabotRegistryType2["DOCKER_REGISTRY"] = "docker-registry";
      DependabotRegistryType2["GIT"] = "git";
      DependabotRegistryType2["HEX_ORGANIZATION"] = "hex-organization";
      DependabotRegistryType2["MAVEN_REPOSITORY"] = "maven-repository";
      DependabotRegistryType2["NPM_REGISTRY"] = "npm-registry";
      DependabotRegistryType2["NUGET_FEED"] = "nuget-feed";
      DependabotRegistryType2["PYTHON_INDEX"] = "python-index";
      DependabotRegistryType2["RUBYGEMS_SERVER"] = "rubygems-server";
      DependabotRegistryType2["TERRAFORM_REGISTRY"] = "terraform-registry";
    })(DependabotRegistryType || (exports2.DependabotRegistryType = DependabotRegistryType = {}));
    var DependabotScheduleInterval;
    (function(DependabotScheduleInterval2) {
      DependabotScheduleInterval2["DAILY"] = "daily";
      DependabotScheduleInterval2["WEEKLY"] = "weekly";
      DependabotScheduleInterval2["MONTHLY"] = "monthly";
    })(DependabotScheduleInterval || (exports2.DependabotScheduleInterval = DependabotScheduleInterval = {}));
    var VersioningStrategy;
    (function(VersioningStrategy2) {
      VersioningStrategy2["LOCKFILE_ONLY"] = "lockfile-only";
      VersioningStrategy2["AUTO"] = "auto";
      VersioningStrategy2["WIDEN"] = "widen";
      VersioningStrategy2["INCREASE"] = "increase";
      VersioningStrategy2["INCREASE_IF_NECESSARY"] = "increase-if-necessary";
    })(VersioningStrategy || (exports2.VersioningStrategy = VersioningStrategy = {}));
    var Dependabot = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const project = github.project;
        this.ignore = [];
        this.ignoresProjen = options.ignoreProjen ?? true;
        const registries = options.registries ? (0, util_1.kebabCaseKeys)(options.registries) : void 0;
        this.config = {
          version: 2,
          registries,
          updates: [
            {
              "package-ecosystem": "npm",
              "versioning-strategy": "lockfile-only",
              directory: "/",
              schedule: {
                interval: options.scheduleInterval ?? DependabotScheduleInterval.DAILY
              },
              ignore: () => this.ignore.length > 0 ? this.ignore : void 0,
              labels: options.labels ? options.labels : void 0,
              registries: registries ? Object.keys(registries) : void 0
            }
          ]
        };
        new yaml_1.YamlFile(project, ".github/dependabot.yml", {
          obj: this.config,
          committed: true
        });
        for (const i of options.ignore ?? []) {
          this.addIgnore(i.dependencyName, ...i.versions ?? []);
        }
        if (this.ignoresProjen) {
          this.addIgnore("projen");
        }
      }
      /**
       * Ignores a dependency from automatic updates.
       *
       * @param dependencyName Use to ignore updates for dependencies with matching
       * names, optionally using `*` to match zero or more characters.
       * @param versions Use to ignore specific versions or ranges of versions. If
       * you want to define a range, use the standard pattern for the package
       * manager (for example: `^1.0.0` for npm, or `~> 2.0` for Bundler).
       */
      addIgnore(dependencyName, ...versions) {
        this.ignore.push({
          "dependency-name": dependencyName,
          versions: () => versions.length > 0 ? versions : void 0
        });
      }
    };
    exports2.Dependabot = Dependabot;
    _a = JSII_RTTI_SYMBOL_1;
    Dependabot[_a] = { fqn: "projen.github.Dependabot", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/github-credentials.js
var require_github_credentials3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/github-credentials.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubCredentials = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var util_1 = require_util14();
    var GithubCredentials = class _GithubCredentials {
      /**
       * Provide API access through a GitHub personal access token.
       *
       * The token must be added as a secret to the GitHub repo, and the name of the
       * secret can be specified here.
       *
       * @see https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/creating-a-personal-access-token
       * @default - a secret named "PROJEN_GITHUB_TOKEN"
       */
      static fromPersonalAccessToken(options = {}) {
        return new _GithubCredentials({
          setupSteps: [],
          tokenRef: `\${{ secrets.${options.secret ?? "PROJEN_GITHUB_TOKEN"} }}`
        });
      }
      /**
       * Provide API access through a GitHub App.
       *
       * The GitHub App must be installed on the GitHub repo, its App ID and a
       * private key must be added as secrets to the repo. The name of the secrets
       * can be specified here.
       *
       * @see https://docs.github.com/en/developers/apps/building-github-apps/creating-a-github-app
       * @see https://projen.io/github.html#github-app
       * @default - app id stored in "PROJEN_APP_ID" and private key stored in "PROJEN_APP_PRIVATE_KEY" with all permissions attached to the app
       */
      static fromApp(options = {}) {
        const appIdSecret = options.appIdSecret ?? "PROJEN_APP_ID";
        const privateKeySecret = options.privateKeySecret ?? "PROJEN_APP_PRIVATE_KEY";
        return new _GithubCredentials({
          setupSteps: [
            {
              name: "Generate token",
              id: "generate_token",
              uses: "tibdex/github-app-token@021a2405c7f990db57f5eae5397423dcc554159c",
              with: {
                app_id: `\${{ secrets.${appIdSecret} }}`,
                private_key: `\${{ secrets.${privateKeySecret} }}`,
                permissions: options.permissions ? JSON.stringify((0, util_1.snakeCaseKeys)(options.permissions)) : void 0
              }
            }
          ],
          tokenRef: "${{ steps.generate_token.outputs.token }}"
        });
      }
      constructor(options) {
        this.options = options;
      }
      /**
       * Setup steps to obtain GitHub credentials.
       */
      get setupSteps() {
        return [...this.options.setupSteps];
      }
      /**
       * The value to use in a workflow when a GitHub token is expected. This
       * typically looks like "${{ some.path.to.a.value }}".
       */
      get tokenRef() {
        return this.options.tokenRef;
      }
    };
    exports2.GithubCredentials = GithubCredentials;
    _a = JSII_RTTI_SYMBOL_1;
    GithubCredentials[_a] = { fqn: "projen.github.GithubCredentials", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/mergify.js
var require_mergify3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/mergify.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Mergify = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var util_1 = require_util14();
    var yaml_1 = require_yaml3();
    var Mergify = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.rules = new Array();
        this.queues = new Array();
        for (const rule of options.rules ?? []) {
          this.addRule(rule);
        }
        for (const queue of options.queues ?? []) {
          this.addQueue(queue);
        }
      }
      createYamlFile() {
        if (this.yamlFile == null) {
          this.yamlFile = new yaml_1.YamlFile(this.project, ".mergify.yml", {
            obj: {
              queue_rules: () => this.queues.map((q) => (0, util_1.snakeCaseKeys)(q, false)),
              pull_request_rules: this.rules
            },
            // Mergify needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      addRule(rule) {
        this.rules.push(rule);
        this.createYamlFile();
      }
      addQueue(queue) {
        this.queues.push(queue);
        this.createYamlFile();
      }
    };
    exports2.Mergify = Mergify;
    _a = JSII_RTTI_SYMBOL_1;
    Mergify[_a] = { fqn: "projen.github.Mergify", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/pr-template.js
var require_pr_template3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/pr-template.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestTemplate = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var textfile_1 = require_textfile3();
    var PullRequestTemplate = class extends textfile_1.TextFile {
      constructor(github, options = {}) {
        super(github.project, ".github/pull_request_template.md", {
          lines: options.lines && options.lines?.length > 0 ? options.lines : ["Fixes #"],
          marker: false,
          // GitHub needs to read the file from the repository in order to work.
          committed: true
        });
      }
    };
    exports2.PullRequestTemplate = PullRequestTemplate;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestTemplate[_a] = { fqn: "projen.github.PullRequestTemplate", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/pull-request-lint.js
var require_pull_request_lint3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/pull-request-lint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestLint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model3();
    var component_1 = require_component3();
    var PullRequestLint = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        if (options.semanticTitle ?? true) {
          const opts = options.semanticTitleOptions ?? {};
          const types = opts.types ?? ["feat", "fix", "chore"];
          const validateJob = {
            name: "Validate PR title",
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "amannn/action-semantic-pull-request@v5.0.2",
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                },
                with: {
                  types: types.join("\n"),
                  requireScope: opts.requireScope ?? false
                }
              }
            ]
          };
          const workflow = github.addWorkflow("pull-request-lint");
          workflow.on({
            pullRequestTarget: {
              types: [
                "labeled",
                "opened",
                "synchronize",
                "reopened",
                "ready_for_review",
                "edited"
              ]
            }
          });
          workflow.addJobs({ validate: validateJob });
        }
      }
    };
    exports2.PullRequestLint = PullRequestLint;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestLint[_a] = { fqn: "projen.github.PullRequestLint", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/workflows.js
var require_workflows3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/workflows.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var case_1 = require_Case3();
    var _resolve_1 = require_resolve3();
    var component_1 = require_component3();
    var util_1 = require_util14();
    var yaml_1 = require_yaml3();
    var GithubWorkflow = class extends component_1.Component {
      constructor(github, name, options = {}) {
        super(github.project);
        this.events = {};
        this.jobs = {};
        this.name = name;
        this.concurrency = options.concurrency;
        this.projenCredentials = github.projenCredentials;
        this.actions = github.actions;
        const workflowsEnabled = github.workflowsEnabled || options.force;
        if (workflowsEnabled) {
          this.file = new yaml_1.YamlFile(this.project, `.github/workflows/${name.toLocaleLowerCase()}.yml`, {
            obj: () => this.renderWorkflow(),
            // GitHub needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      /**
       * Add events to triggers the workflow.
       *
       * @param events The event(s) to trigger the workflow.
       */
      on(events) {
        this.events = {
          ...this.events,
          ...events
        };
      }
      /**
       * Adds a single job to the workflow.
       * @param id The job name (unique within the workflow)
       * @param job The job specification
       */
      addJob(id, job) {
        this.addJobs({ [id]: job });
      }
      /**
       * Add jobs to the workflow.
       *
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        verifyJobConstraints(jobs);
        this.jobs = {
          ...this.jobs,
          ...jobs
        };
      }
      /**
       * Get a single job from the workflow.
       * @param id The job name (unique within the workflow)
       */
      getJob(id) {
        return this.jobs[id];
      }
      /**
       * Updates a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      updateJob(id, job) {
        this.updateJobs({ [id]: job });
      }
      /**
       * Updates jobs for this worklow
       * Does a complete replace, it does not try to merge the jobs
       *
       * @param jobs Jobs to update.
       */
      updateJobs(jobs) {
        verifyJobConstraints(jobs);
        const newJobIds = Object.keys(jobs);
        const updatedJobs = Object.entries(this.jobs).map(([jobId, job]) => {
          if (newJobIds.includes(jobId)) {
            return [jobId, jobs[jobId]];
          }
          return [jobId, job];
        });
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      /**
       * Removes a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      removeJob(id) {
        const updatedJobs = Object.entries(this.jobs).filter(([jobId]) => jobId !== id);
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      renderWorkflow() {
        return {
          name: this.name,
          "run-name": this.runName,
          on: snakeCaseKeys(this.events),
          concurrency: this.concurrency,
          jobs: renderJobs(this.jobs, this.actions)
        };
      }
    };
    exports2.GithubWorkflow = GithubWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    GithubWorkflow[_a] = { fqn: "projen.github.GithubWorkflow", version: "0.71.112" };
    function snakeCaseKeys(obj) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map(snakeCaseKeys);
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null) {
          v = snakeCaseKeys(v);
        }
        result[(0, case_1.snake)(k)] = v;
      }
      return result;
    }
    function renderJobs(jobs, actions) {
      const result = {};
      for (const [name, job] of Object.entries(jobs)) {
        result[name] = renderJob(job);
      }
      return result;
      function renderJob(job) {
        const steps = new Array();
        if ("uses" in job) {
          return {
            name: job.name,
            needs: arrayOrScalar(job.needs),
            if: job.if,
            permissions: (0, util_1.kebabCaseKeys)(job.permissions),
            concurrency: job.concurrency,
            uses: job.uses,
            with: job.with,
            secrets: job.secrets,
            strategy: renderJobStrategy(job.strategy)
          };
        }
        if (job.tools) {
          steps.push(...setupTools(job.tools));
        }
        const userDefinedSteps = (0, util_1.kebabCaseKeys)((0, _resolve_1.resolve)(job.steps), false);
        steps.push(...userDefinedSteps);
        return {
          name: job.name,
          needs: arrayOrScalar(job.needs),
          "runs-on": arrayOrScalar(job.runsOn),
          permissions: (0, util_1.kebabCaseKeys)(job.permissions),
          environment: job.environment,
          concurrency: job.concurrency,
          outputs: renderJobOutputs(job.outputs),
          env: job.env,
          defaults: (0, util_1.kebabCaseKeys)(job.defaults),
          if: job.if,
          steps: steps.map(renderStep),
          "timeout-minutes": job.timeoutMinutes,
          strategy: renderJobStrategy(job.strategy),
          "continue-on-error": job.continueOnError,
          container: job.container,
          services: job.services
        };
      }
      function renderJobOutputs(output) {
        if (output == null) {
          return void 0;
        }
        const rendered = {};
        for (const [name, { stepId, outputName }] of Object.entries(output)) {
          rendered[name] = `\${{ steps.${stepId}.outputs.${outputName} }}`;
        }
        return rendered;
      }
      function renderJobStrategy(strategy) {
        if (strategy == null) {
          return void 0;
        }
        const rendered = {
          "max-parallel": strategy.maxParallel,
          "fail-fast": strategy.failFast
        };
        if (strategy.matrix) {
          const matrix = {
            include: strategy.matrix.include,
            exclude: strategy.matrix.exclude
          };
          for (const [key, values] of Object.entries(strategy.matrix.domain ?? {})) {
            if (key in matrix) {
              throw new Error(`Illegal job strategy matrix key: ${key}`);
            }
            matrix[key] = values;
          }
          rendered.matrix = matrix;
        }
        return rendered;
      }
      function renderStep(step) {
        return {
          name: step.name,
          id: step.id,
          if: step.if,
          uses: step.uses && actions.get(step.uses),
          env: step.env,
          run: step.run,
          with: step.with,
          "continue-on-error": step.continueOnError,
          "timeout-minutes": step.timeoutMinutes,
          "working-directory": step.workingDirectory
        };
      }
    }
    function arrayOrScalar(arr) {
      if (arr == null || arr.length === 0) {
        return arr;
      }
      if (arr.length === 1) {
        return arr[0];
      }
      return arr;
    }
    function setupTools(tools) {
      const steps = [];
      if (tools.java) {
        steps.push({
          uses: "actions/setup-java@v3",
          with: { distribution: "temurin", "java-version": tools.java.version }
        });
      }
      if (tools.node) {
        steps.push({
          uses: "actions/setup-node@v3",
          with: { "node-version": tools.node.version }
        });
      }
      if (tools.python) {
        steps.push({
          uses: "actions/setup-python@v4",
          with: { "python-version": tools.python.version }
        });
      }
      if (tools.go) {
        steps.push({
          uses: "actions/setup-go@v3",
          with: { "go-version": tools.go.version }
        });
      }
      if (tools.dotnet) {
        steps.push({
          uses: "actions/setup-dotnet@v3",
          with: { "dotnet-version": tools.dotnet.version }
        });
      }
      return steps;
    }
    function verifyJobConstraints(jobs) {
      for (const [id, job] of Object.entries(jobs)) {
        if (!job.permissions) {
          throw new Error(`${id}: all workflow jobs must have a "permissions" clause to ensure workflow can operate in restricted repositories`);
        }
      }
      for (const [id, job] of Object.entries(jobs)) {
        if (!("uses" in job)) {
          if ("runsOn" in job && job.runsOn.length === 0) {
            throw new Error(`${id}: at least one runner selector labels must be provided in "runsOn" to ensure a runner instance can be selected`);
          }
        }
      }
    }
  }
});

// ../blueprint/node_modules/projen/lib/github/github.js
var require_github5 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/github.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHub = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var actions_provider_1 = require_actions_provider3();
    var dependabot_1 = require_dependabot3();
    var github_credentials_1 = require_github_credentials3();
    var mergify_1 = require_mergify3();
    var pr_template_1 = require_pr_template3();
    var pull_request_lint_1 = require_pull_request_lint3();
    var workflows_1 = require_workflows3();
    var component_1 = require_component3();
    var GitHub = class _GitHub extends component_1.Component {
      /**
       * Returns the `GitHub` component of a project or `undefined` if the project
       * does not have a GitHub component.
       */
      static of(project) {
        const isGitHub = (c) => c instanceof _GitHub;
        return project.components.find(isGitHub);
      }
      constructor(project, options = {}) {
        super(project);
        this.actions = new actions_provider_1.GitHubActionsProvider();
        this.workflowsEnabled = options.workflows ?? true;
        this._downloadLfs = options.downloadLfs;
        if (options.projenCredentials && options.projenTokenSecret) {
          throw new Error("projenTokenSecret is deprecated, please use projenCredentials instead");
        }
        if (options.projenTokenSecret) {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: options.projenTokenSecret
          });
        } else if (options.projenCredentials) {
          this.projenCredentials = options.projenCredentials;
        } else {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: "PROJEN_GITHUB_TOKEN"
          });
        }
        if (options.mergify ?? true) {
          this.mergify = new mergify_1.Mergify(this, options.mergifyOptions);
        }
        if (options.pullRequestLint ?? true) {
          new pull_request_lint_1.PullRequestLint(this, options.pullRequestLintOptions);
        }
      }
      /**
       * All workflows.
       */
      get workflows() {
        const isWorkflow = (c) => c instanceof workflows_1.GithubWorkflow;
        return this.project.components.filter(isWorkflow).sort((w1, w2) => w1.name.localeCompare(w2.name));
      }
      /**
       * Adds a workflow to the project.
       * @param name Name of the workflow
       * @returns a GithubWorkflow instance
       */
      addWorkflow(name) {
        const workflow = new workflows_1.GithubWorkflow(this, name);
        return workflow;
      }
      addPullRequestTemplate(...content) {
        return new pr_template_1.PullRequestTemplate(this, { lines: content });
      }
      addDependabot(options) {
        return new dependabot_1.Dependabot(this, options);
      }
      /**
       * Finds a GitHub workflow by name. Returns `undefined` if the workflow cannot be found.
       * @param name The name of the GitHub workflow
       */
      tryFindWorkflow(name) {
        return this.workflows.find((w) => w.name === name);
      }
      /**
       * Whether downloading from LFS is enabled for this GitHub project
       */
      get downloadLfs() {
        return this._downloadLfs ?? this.project.gitattributes.hasLfsPatterns;
      }
    };
    exports2.GitHub = GitHub;
    _a = JSII_RTTI_SYMBOL_1;
    GitHub[_a] = { fqn: "projen.github.GitHub", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/auto-merge.js
var require_auto_merge3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/auto-merge.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoMerge = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var AutoMerge = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.lazyConditions = new Array();
        const mergify = github.mergify;
        if (!mergify) {
          throw new Error("auto merging requires mergify to be enabled");
        }
        const blockingLabels = options.blockingLabels ?? ["do-not-merge"];
        const blockingCondition = blockingLabels?.length ? [`-label~=(${blockingLabels.join("|")})`] : [];
        const mergeAction = {
          delete_head_branch: {},
          queue: {
            // squash all commits into a single commit when merging
            // method: "squash",
            method: "squash",
            name: "default",
            // use PR title+body as the commit message
            commit_message_template: [
              "{{ title }} (#{{ number }})",
              "",
              "{{ body }}"
            ].join("\n")
          }
        };
        const approvedReviews = options.approvedReviews ?? 1;
        this.addConditions(`#approved-reviews-by>=${approvedReviews}`);
        this.addConditions(...blockingCondition);
        mergify.addRule({
          name: "Automatic merge on approval and successful build",
          actions: mergeAction,
          conditions: () => this.renderConditions()
        });
        mergify.addQueue({
          name: "default",
          updateMethod: "merge",
          conditions: () => this.renderConditions()
        });
        this.project.addPackageIgnore("/.mergify.yml");
      }
      /**
       * Adds conditions to the auto merge rule.
       * @param conditions The conditions to add (mergify syntax)
       */
      addConditions(...conditions) {
        this.addConditionsLater({ render: () => conditions });
      }
      /**
       * Adds conditions that will be rendered only during synthesis.
       * @param later The later
       */
      addConditionsLater(later) {
        this.lazyConditions.push(later);
      }
      renderConditions() {
        const output = new Array();
        for (const later of this.lazyConditions) {
          output.push(...later.render());
        }
        return output;
      }
    };
    exports2.AutoMerge = AutoMerge;
    _a = JSII_RTTI_SYMBOL_1;
    AutoMerge[_a] = { fqn: "projen.github.AutoMerge", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/auto-approve.js
var require_auto_approve3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/auto-approve.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoApprove = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model3();
    var component_1 = require_component3();
    var AutoApprove = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.label = options.label ?? "auto-approve";
        const usernames = options.allowedUsernames ?? ["github-actions[bot]"];
        let condition = `contains(github.event.pull_request.labels.*.name, '${this.label}')`;
        if (usernames.length > 0) {
          condition += " && (";
          condition += usernames.map((u) => `github.event.pull_request.user.login == '${u}'`).join(" || ");
          condition += ")";
        }
        const secret = options.secret ?? "GITHUB_TOKEN";
        const approveJob = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          permissions: {
            pullRequests: workflows_model_1.JobPermission.WRITE
          },
          if: condition,
          steps: [
            {
              uses: "hmarr/auto-approve-action@v2.2.1",
              with: {
                "github-token": `\${{ secrets.${secret} }}`
              }
            }
          ]
        };
        const workflow = github.addWorkflow("auto-approve");
        workflow.on({
          // The 'pull request' event gives the workflow 'read-only' permissions on some
          // pull requests (such as the ones from dependabot) when using the `GITHUB_TOKEN`
          // security token. This prevents the workflow from approving these pull requests.
          // Github has placed this guard so as to prevent security attacks by simply opening
          // a pull request and triggering a workflow on a commit that was not vetted to make
          // unintended changes to the repository.
          //
          // Instead use the 'pull request target' event here that gives the Github workflow
          // 'read-write' permissions. This is safe because, this event, unlike the 'pull request'
          // event references the BASE commit of the pull request and not the HEAD commit.
          pullRequestTarget: {
            types: [
              "labeled",
              "opened",
              "synchronize",
              "reopened",
              "ready_for_review"
            ]
          }
        });
        workflow.addJobs({ approve: approveJob });
      }
    };
    exports2.AutoApprove = AutoApprove;
    _a = JSII_RTTI_SYMBOL_1;
    AutoApprove[_a] = { fqn: "projen.github.AutoApprove", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/stale-util.js
var require_stale_util3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/stale-util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderBehavior = void 0;
    function renderBehavior(behavior, opts) {
      const enabled = behavior?.enabled ?? true;
      if (!enabled) {
        return { daysBeforeStale: -1, daysBeforeClose: -1 };
      }
      const exemptLabels = behavior?.exemptLabels ?? ["backlog"];
      const messageSuffix = exemptLabels.length > 0 ? ` If you wish to exclude this issue from being marked as stale, add the "${exemptLabels[0]}" label.` : "";
      return {
        daysBeforeStale: behavior?.daysBeforeStale ?? opts.stale,
        daysBeforeClose: behavior?.daysBeforeClose ?? opts.close,
        staleMessage: behavior?.staleMessage ?? `This ${opts.type} is now marked as stale because it hasn't seen activity for a while. Add a comment or it will be closed soon.${messageSuffix}`,
        closeMessage: behavior?.closeMessage ?? `Closing this ${opts.type} as it hasn't seen activity for a while. Please add a comment @mentioning a maintainer to reopen.${messageSuffix}`,
        staleLabel: behavior?.staleLabel ?? "stale",
        exemptLabels
      };
    }
    exports2.renderBehavior = renderBehavior;
  }
});

// ../blueprint/node_modules/projen/lib/github/stale.js
var require_stale3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/stale.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Stale = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var stale_util_1 = require_stale_util3();
    var workflows_model_1 = require_workflows_model3();
    var component_1 = require_component3();
    var Stale = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const stale = github.addWorkflow("stale");
        stale.on({
          schedule: [{ cron: "0 1 * * *" }],
          workflowDispatch: {}
        });
        const pullRequests = (0, stale_util_1.renderBehavior)(options.pullRequest, {
          stale: 14,
          close: 2,
          type: "pull request"
        });
        const issues = (0, stale_util_1.renderBehavior)(options.issues, {
          stale: 60,
          close: 7,
          type: "issue"
        });
        const renderExemptLabels = (exemptLabels) => {
          if (!exemptLabels || exemptLabels.length === 0) {
            return void 0;
          }
          return exemptLabels.join(",");
        };
        stale.addJobs({
          stale: {
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              issues: workflows_model_1.JobPermission.WRITE,
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "actions/stale@v4",
                with: {
                  // disable global
                  "days-before-stale": -1,
                  "days-before-close": -1,
                  // pull requests
                  "days-before-pr-stale": pullRequests.daysBeforeStale,
                  "days-before-pr-close": pullRequests.daysBeforeClose,
                  "stale-pr-message": pullRequests.staleMessage,
                  "close-pr-message": pullRequests.closeMessage,
                  "stale-pr-label": pullRequests.staleLabel,
                  "exempt-pr-labels": renderExemptLabels(pullRequests.exemptLabels),
                  // issues
                  "days-before-issue-stale": issues.daysBeforeStale,
                  "days-before-issue-close": issues.daysBeforeClose,
                  "stale-issue-message": issues.staleMessage,
                  "close-issue-message": issues.closeMessage,
                  "stale-issue-label": issues.staleLabel,
                  "exempt-issue-labels": renderExemptLabels(issues.exemptLabels)
                }
              }
            ]
          }
        });
      }
    };
    exports2.Stale = Stale;
    _a = JSII_RTTI_SYMBOL_1;
    Stale[_a] = { fqn: "projen.github.Stale", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/workflow-actions.js
var require_workflow_actions3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/workflow-actions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowActions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants10();
    function context(value) {
      return `\${{ ${value} }}`;
    }
    var REPO = context("github.repository");
    var RUN_ID = context("github.run_id");
    var RUN_URL = `https://github.com/${REPO}/actions/runs/${RUN_ID}`;
    var GIT_PATCH_FILE_DEFAULT = ".repo.patch";
    var RUNNER_TEMP = "${{ runner.temp }}";
    var WorkflowActions = class {
      /**
       * Creates a .patch file from the current git diff and uploads it as an
       * artifact. Use `checkoutWithPatch` to download and apply in another job.
       *
       * If a patch was uploaded, the action can optionally fail the job.
       *
       * @param options Options
       * @returns Job steps
       */
      static uploadGitPatch(options) {
        const MUTATIONS_FOUND = `steps.${options.stepId}.outputs.${options.outputName}`;
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        const steps = [
          {
            id: options.stepId,
            name: options.stepName ?? "Find mutations",
            run: [
              "git add .",
              `git diff --staged --patch --exit-code > ${GIT_PATCH_FILE} || echo "${options.outputName}=true" >> $GITHUB_OUTPUT`
            ].join("\n")
          },
          {
            if: MUTATIONS_FOUND,
            name: "Upload patch",
            uses: "actions/upload-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: GIT_PATCH_FILE }
          }
        ];
        if (options.mutationError) {
          steps.push({
            name: "Fail build on mutation",
            if: MUTATIONS_FOUND,
            run: [
              `echo "::error::${options.mutationError}"`,
              `cat ${GIT_PATCH_FILE}`,
              "exit 1"
            ].join("\n")
          });
        }
        return steps;
      }
      /**
       * Checks out a repository and applies a git patch that was created using
       * `uploadGitPatch`.
       *
       * @param options Options
       * @returns Job steps
       */
      static checkoutWithPatch(options = {}) {
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              token: options.token,
              ref: options.ref,
              repository: options.repository,
              ...options.lfs ? { lfs: true } : {}
            }
          },
          {
            name: "Download patch",
            uses: "actions/download-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: RUNNER_TEMP }
          },
          {
            name: "Apply patch",
            run: `[ -s ${RUNNER_TEMP}/${GIT_PATCH_FILE} ] && git apply ${RUNNER_TEMP}/${GIT_PATCH_FILE} || echo "Empty patch. Skipping."`
          }
        ];
      }
      /**
       * Configures the git identity (user name and email).
       * @param id The identity to use
       * @returns Job steps
       */
      static setupGitIdentity(id) {
        return [
          {
            name: "Set git identity",
            run: [
              `git config user.name "${id.name}"`,
              `git config user.email "${id.email}"`
            ].join("\n")
          }
        ];
      }
      /**
       * A step that creates a pull request based on the current repo state.
       *
       * @param options Options
       * @returns Job steps
       */
      static createPullRequest(options) {
        const workflowName = options.workflowName;
        const branchName = options.branchName ?? `github-actions/${workflowName}`;
        const stepId = options.stepId ?? "create-pr";
        const stepName = options.stepName ?? "Create Pull Request";
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const committer = `${gitIdentity.name} <${gitIdentity.email}>`;
        const pullRequestDescription = options.pullRequestDescription.trimEnd().endsWith(".") ? options.pullRequestDescription.trimEnd() : `${options.pullRequestDescription.trimEnd()}.`;
        const title = options.pullRequestTitle;
        const description = [
          `${pullRequestDescription} See details in [workflow run].`,
          "",
          `[Workflow Run]: ${RUN_URL}`,
          "",
          "------",
          "",
          `*Automatically created by projen via the "${workflowName}" workflow*`
        ].join("\n");
        return [
          {
            name: stepName,
            id: stepId,
            uses: "peter-evans/create-pull-request@v4",
            with: {
              token: options.credentials?.tokenRef,
              "commit-message": `${title}

${description}`,
              branch: branchName,
              base: options.baseBranch,
              title,
              labels: options.labels?.join(",") || void 0,
              assignees: options.assignees?.join(",") || void 0,
              body: description,
              author: committer,
              committer,
              signoff: options.signoff ?? true
            }
          }
        ];
      }
    };
    exports2.WorkflowActions = WorkflowActions;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowActions[_a] = { fqn: "projen.github.WorkflowActions", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/workflow-jobs.js
var require_workflow_jobs3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/workflow-jobs.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowJobs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_github6();
    var constants_1 = require_constants10();
    var WorkflowJobs = class {
      /**
       * Creates a pull request with the changes of a patch file.
       *
       * @returns Job
       */
      static pullRequestFromPatch(options) {
        const jobName = options.jobName ?? "Create Pull Request";
        const runsOn = options.runsOn ?? ["ubuntu-latest"];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const steps = [
          ...options.credentials?.setupSteps || [],
          ..._1.WorkflowActions.checkoutWithPatch(options.patch),
          ..._1.WorkflowActions.setupGitIdentity(gitIdentity),
          ..._1.WorkflowActions.createPullRequest({
            ...options,
            gitIdentity
          })
        ];
        return {
          name: jobName,
          if: `\${{ needs.${options.patch.jobId}.outputs.${options.patch.outputName} }}`,
          needs: [options.patch.jobId],
          permissions: {
            contents: _1.workflows.JobPermission.READ
          },
          runsOn,
          steps
        };
      }
    };
    exports2.WorkflowJobs = WorkflowJobs;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowJobs[_a] = { fqn: "projen.github.WorkflowJobs", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/task-workflow.js
var require_task_workflow3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/task-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants10();
    var workflow_actions_1 = require_workflow_actions3();
    var workflows_1 = require_workflows3();
    var DEFAULT_JOB_ID = "build";
    var TaskWorkflow = class extends workflows_1.GithubWorkflow {
      constructor(github, options) {
        super(github, options.name);
        this.jobId = options.jobId ?? DEFAULT_JOB_ID;
        this.github = github;
        this.artifactsDirectory = options.artifactsDirectory;
        if (options.triggers) {
          if (options.triggers.issueComment) {
            throw new Error('Trigger "issueComment" should not be used due to a security concern');
          }
          this.on(options.triggers);
        }
        this.on({
          workflowDispatch: {}
          // allow manual triggering
        });
        const preCheckoutSteps = options.preCheckoutSteps ?? [];
        const checkoutWith = {};
        if (options.downloadLfs ?? github.downloadLfs) {
          checkoutWith.lfs = true;
        }
        Object.assign(checkoutWith, options.checkoutWith ?? {});
        const preBuildSteps = options.preBuildSteps ?? [];
        const postBuildSteps = options.postBuildSteps ?? [];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        if (this.artifactsDirectory) {
          postBuildSteps.push({
            name: "Upload artifact",
            uses: "actions/upload-artifact@v3",
            // Setting to always will ensure that this step will run even if
            // the previous ones have failed (e.g. coverage report, internal logs, etc)
            if: "always()",
            with: {
              name: this.artifactsDirectory,
              path: this.artifactsDirectory
            }
          });
        }
        const job = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          container: options.container,
          env: options.env,
          permissions: options.permissions,
          if: options.condition,
          outputs: options.outputs,
          steps: [
            ...preCheckoutSteps,
            // check out sources.
            {
              name: "Checkout",
              uses: "actions/checkout@v3",
              ...Object.keys(checkoutWith).length > 0 ? { with: checkoutWith } : {}
            },
            // sets git identity so we can push later
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(gitIdentity),
            ...preBuildSteps,
            // run the main build task
            {
              name: options.task.name,
              run: this.github.project.runTaskCommand(options.task)
            },
            ...postBuildSteps
          ]
        };
        this.addJobs({ [this.jobId]: job });
      }
    };
    exports2.TaskWorkflow = TaskWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    TaskWorkflow[_a] = { fqn: "projen.github.TaskWorkflow", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/clobber.js
var require_clobber3 = __commonJS({
  "../blueprint/node_modules/projen/lib/clobber.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Clobber = void 0;
    var component_1 = require_component3();
    var Clobber = class extends component_1.Component {
      constructor(project) {
        super(project);
        const task = this.project.addTask("clobber", {
          description: "hard resets to HEAD of origin and cleans the local repo",
          condition: "git diff --exit-code > /dev/null",
          env: {
            BRANCH: "$(git branch --show-current)"
          }
        });
        task.exec("git checkout -b scratch", {
          name: 'save current HEAD in "scratch" branch'
        });
        task.exec("git checkout $BRANCH");
        task.exec("git fetch origin", { name: "fetch latest changes from origin" });
        task.exec("git reset --hard origin/$BRANCH", {
          name: "hard reset to origin commit"
        });
        task.exec("git clean -fdx", { name: "clean all untracked files" });
        task.say('ready to rock! (unpushed commits are under the "scratch" branch)');
      }
    };
    exports2.Clobber = Clobber;
  }
});

// ../blueprint/node_modules/projen/lib/vscode/devcontainer.js
var require_devcontainer3 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/devcontainer.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevContainer = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var json_1 = require_json5();
    var DEVCONTAINER_FILE = ".devcontainer.json";
    var DevContainer = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.postCreateTasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.features = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        if (options.features) {
          this.addFeatures(...options.features);
        }
        this.config = {
          image: () => this.dockerImage?.image,
          build: {
            dockerfile: () => this.dockerImage?.dockerFile
          },
          postCreateCommand: () => this.renderTasks(),
          forwardPorts: this.ports,
          extensions: this.vscodeExtensions,
          features: () => this.renderFeatures()
        };
        new json_1.JsonFile(this.project, DEVCONTAINER_FILE, {
          obj: this.config,
          omitEmpty: true
        });
      }
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Adds tasks to run when the container starts. Tasks will be run in sequence.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.postCreateTasks.push(...tasks);
      }
      /**
       * Adds ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports);
      }
      /**
       * Adds a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      /**
       * Adds a list of VSCode features that should be automatically installed
       * in the container.
       *
       * @param features featureName and version(optional default: latest)
       */
      addFeatures(...features) {
        this.features.push(...features);
      }
      renderTasks() {
        if (this.postCreateTasks.length !== 0) {
          return this.postCreateTasks.map((task) => `( npx projen ${task.name} )`).join(" && ");
        } else {
          return void 0;
        }
      }
      renderFeatures() {
        if (this.features.length === 0) {
          return void 0;
        }
        return this.features.reduce((pv, feature) => {
          pv[feature.name] = {
            version: feature.version ?? "latest"
          };
          return pv;
        }, {});
      }
    };
    exports2.DevContainer = DevContainer;
    _a = JSII_RTTI_SYMBOL_1;
    DevContainer[_a] = { fqn: "projen.vscode.DevContainer", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/vscode/extensions.js
var require_extensions3 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/extensions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeRecommendedExtensions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var json_1 = require_json5();
    var VsCodeRecommendedExtensions = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.recommendations = [];
        this.unwantedRecommendations = [];
        new json_1.JsonFile(vscode.project, ".vscode/extensions.json", {
          omitEmpty: true,
          allowComments: true,
          obj: {
            recommendations: this.recommendations,
            unwantedRecommendations: this.unwantedRecommendations
          }
        });
      }
      /**
       * Adds a list of VS Code extensions as recommendations for this workspace.
       *
       * @param extensions The extension IDs
       */
      addRecommendations(...extensions) {
        this.recommendations.push(...extensions);
      }
      /**
       * Marks a list of VS Code extensions as unwanted recommendations for this workspace.
       * VS Code should not be recommend these extensions for users of this workspace.
       *
       * @param extensions The extension IDs
       */
      addUnwantedRecommendations(...extensions) {
        this.unwantedRecommendations.push(...extensions);
      }
    };
    exports2.VsCodeRecommendedExtensions = VsCodeRecommendedExtensions;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeRecommendedExtensions[_a] = { fqn: "projen.vscode.VsCodeRecommendedExtensions", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/vscode/launch-config.js
var require_launch_config3 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/launch-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeLaunchConfig = exports2.InternalConsoleOptions = exports2.Console = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var json_1 = require_json5();
    var Console;
    (function(Console2) {
      Console2["INTERNAL_CONSOLE"] = "internalConsole";
      Console2["INTEGRATED_TERMINAL"] = "integratedTerminal";
      Console2["EXTERNAL_TERMINAL"] = "externalTerminal";
    })(Console || (exports2.Console = Console = {}));
    var InternalConsoleOptions;
    (function(InternalConsoleOptions2) {
      InternalConsoleOptions2["NEVER_OPEN"] = "neverOpen";
      InternalConsoleOptions2["OPEN_ON_FIRST_SESSION_START"] = "openOnFirstSessionStart";
      InternalConsoleOptions2["OPEN_ON_SESSION_START"] = "openOnSessionStart";
    })(InternalConsoleOptions || (exports2.InternalConsoleOptions = InternalConsoleOptions = {}));
    var VsCodeLaunchConfig = class _VsCodeLaunchConfig extends component_1.Component {
      static renderLaunchConfig(cfg) {
        if (!cfg.env) {
          return cfg;
        }
        return {
          ...cfg,
          env: Object.fromEntries(Object.entries(cfg.env).map(([key, value]) => [
            key,
            value === false ? null : value
          ]))
        };
      }
      constructor(vscode) {
        super(vscode.project);
        this.content = {
          version: "0.2.0",
          configurations: []
        };
        new json_1.JsonFile(vscode.project, ".vscode/launch.json", {
          obj: () => ({
            ...this.content,
            configurations: this.content.configurations.map(_VsCodeLaunchConfig.renderLaunchConfig)
          })
        });
      }
      /**
       * Adds a VsCodeLaunchConfigurationEntry (e.g. a node.js debugger) to `.vscode/launch.json.
       * Each configuration entry has following mandatory fields: type, request and name.
       * See https://code.visualstudio.com/docs/editor/debugging#_launchjson-attributes for details.
       * @param cfg VsCodeLaunchConfigurationEntry
       */
      addConfiguration(cfg) {
        this.content.configurations.push(cfg);
      }
    };
    exports2.VsCodeLaunchConfig = VsCodeLaunchConfig;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeLaunchConfig[_a] = { fqn: "projen.vscode.VsCodeLaunchConfig", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/vscode/settings.js
var require_settings3 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/settings.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeSettings = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var json_1 = require_json5();
    var VsCodeSettings = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.content = {};
        new json_1.JsonFile(vscode.project, ".vscode/settings.json", {
          omitEmpty: false,
          obj: this.content
        });
      }
      /**
       * Adds a workspace setting
       *
       * @param setting The setting ID
       * @param value The value of the setting
       * @param language Scope the setting to a specific language
       */
      addSetting(setting, value, language) {
        if (language) {
          this.content[`[${language}]`] = this.content[`[${language}]`] ?? {};
          this.content[`[${language}]`][setting] = value;
        } else {
          this.content[setting] = value;
        }
      }
      /**
       * Adds a workspace setting
       *
       * @param settings Array structure: [setting: string, value: any, languages?: string[]]
       */
      addSettings(settings, languages) {
        if (Array.isArray(languages)) {
          languages.forEach((language) => {
            Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, language));
          });
        } else {
          Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, languages));
        }
      }
    };
    exports2.VsCodeSettings = VsCodeSettings;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeSettings[_a] = { fqn: "projen.vscode.VsCodeSettings", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/vscode/vscode.js
var require_vscode5 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/vscode.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var extensions_1 = require_extensions3();
    var launch_config_1 = require_launch_config3();
    var settings_1 = require_settings3();
    var component_1 = require_component3();
    var VsCode = class extends component_1.Component {
      constructor(project) {
        super(project);
      }
      get launchConfiguration() {
        if (!this._launchConfig) {
          this._launchConfig = new launch_config_1.VsCodeLaunchConfig(this);
        }
        return this._launchConfig;
      }
      get settings() {
        if (!this._settings) {
          this._settings = new settings_1.VsCodeSettings(this);
        }
        return this._settings;
      }
      get extensions() {
        if (!this._extensions) {
          this._extensions = new extensions_1.VsCodeRecommendedExtensions(this);
        }
        return this._extensions;
      }
    };
    exports2.VsCode = VsCode;
    _a = JSII_RTTI_SYMBOL_1;
    VsCode[_a] = { fqn: "projen.vscode.VsCode", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/vscode/index.js
var require_vscode6 = __commonJS({
  "../blueprint/node_modules/projen/lib/vscode/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_devcontainer3(), exports2);
    __exportStar(require_extensions3(), exports2);
    __exportStar(require_launch_config3(), exports2);
    __exportStar(require_settings3(), exports2);
    __exportStar(require_vscode5(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/github/github-project.js
var require_github_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/github-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var auto_approve_1 = require_auto_approve3();
    var github_1 = require_github5();
    var stale_1 = require_stale3();
    var clobber_1 = require_clobber3();
    var gitpod_1 = require_gitpod3();
    var project_1 = require_project3();
    var readme_1 = require_readme3();
    var vscode_1 = require_vscode6();
    var GitHubProject = class extends project_1.Project {
      constructor(options) {
        super(options);
        this.projectType = options.projectType ?? project_1.ProjectType.UNKNOWN;
        const github = options.github ?? (this.parent ? false : true);
        this.github = github ? new github_1.GitHub(this, {
          projenTokenSecret: options.projenTokenSecret,
          projenCredentials: options.projenCredentials,
          mergify: options.mergify,
          mergifyOptions: options.mergifyOptions,
          ...options.githubOptions
        }) : void 0;
        const vscode = options.vscode ?? (this.parent ? false : true);
        this.vscode = vscode ? new vscode_1.VsCode(this) : void 0;
        this.gitpod = options.gitpod ? new gitpod_1.Gitpod(this) : void 0;
        this.devContainer = options.devContainer ? new vscode_1.DevContainer(this) : void 0;
        if (options.clobber ?? !this.parent) {
          new clobber_1.Clobber(this);
        }
        new readme_1.SampleReadme(this, options.readme);
        if (options.autoApproveOptions && this.github) {
          this.autoApprove = new auto_approve_1.AutoApprove(this.github, options.autoApproveOptions);
        }
        const stale = options.stale ?? false;
        if (stale && this.github) {
          new stale_1.Stale(this.github, options.staleOptions);
        }
      }
      /**
       * Marks the provided file(s) as being generated. This is achieved using the
       * github-linguist attributes. Generated files do not count against the
       * repository statistics and language breakdown.
       *
       * @param glob the glob pattern to match (could be a file path).
       *
       * @see https://github.com/github/linguist/blob/master/docs/overrides.md
       */
      annotateGenerated(glob) {
        this.gitattributes.addAttributes(glob, "linguist-generated");
      }
    };
    exports2.GitHubProject = GitHubProject;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubProject[_a] = { fqn: "projen.github.GitHubProject", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/github/index.js
var require_github6 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.workflows = void 0;
    __exportStar(require_github5(), exports2);
    __exportStar(require_dependabot3(), exports2);
    __exportStar(require_workflows3(), exports2);
    __exportStar(require_actions_provider3(), exports2);
    __exportStar(require_mergify3(), exports2);
    __exportStar(require_pr_template3(), exports2);
    __exportStar(require_mergify3(), exports2);
    __exportStar(require_auto_merge3(), exports2);
    __exportStar(require_auto_approve3(), exports2);
    __exportStar(require_stale3(), exports2);
    __exportStar(require_pull_request_lint3(), exports2);
    __exportStar(require_github_credentials3(), exports2);
    __exportStar(require_workflow_actions3(), exports2);
    __exportStar(require_workflow_jobs3(), exports2);
    __exportStar(require_task_workflow3(), exports2);
    __exportStar(require_github_project3(), exports2);
    exports2.workflows = require_workflows_model3();
  }
});

// ../blueprint/node_modules/projen/lib/release/release.js
var require_release5 = __commonJS({
  "../blueprint/node_modules/projen/lib/release/release.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Release = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var publisher_1 = require_publisher3();
    var release_trigger_1 = require_release_trigger3();
    var component_1 = require_component3();
    var github_1 = require_github6();
    var constants_1 = require_constants10();
    var workflows_model_1 = require_workflows_model3();
    var version_1 = require_version3();
    var BUILD_JOBID = "release";
    var GIT_REMOTE_STEPID = "git_remote";
    var LATEST_COMMIT_OUTPUT = "latest_commit";
    var Release = class _Release extends component_1.Component {
      /**
       * Returns the `Release` component of a project or `undefined` if the project
       * does not have a Release component.
       */
      static of(project) {
        const isRelease = (c) => c instanceof _Release;
        return project.components.find(isRelease);
      }
      constructor(project, options) {
        super(project);
        this._branches = new Array();
        this.jobs = {};
        if (Array.isArray(options.releaseBranches)) {
          throw new Error('"releaseBranches" is no longer an array. See type annotations');
        }
        this.github = project.github;
        this.buildTask = options.task;
        this.preBuildSteps = options.releaseWorkflowSetupSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.versionFile = options.versionFile;
        this.releaseTrigger = options.releaseTrigger ?? release_trigger_1.ReleaseTrigger.continuous();
        this.containerImage = options.workflowContainerImage;
        this.workflowRunsOn = options.workflowRunsOn;
        this.workflowPermissions = {
          contents: workflows_model_1.JobPermission.WRITE,
          ...options.workflowPermissions
        };
        this._branchHooks = [];
        if (!((options.releaseEveryCommit ?? true) || options.releaseSchedule || options.releaseTrigger)) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.manual({ changelog: false });
        }
        if (options.releaseSchedule) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.scheduled({
            schedule: options.releaseSchedule
          });
        }
        this.version = new version_1.Version(project, {
          versionInputFile: this.versionFile,
          artifactsDirectory: this.artifactsDirectory,
          versionrcOptions: options.versionrcOptions,
          tagPrefix: options.releaseTagPrefix
        });
        this.publisher = new publisher_1.Publisher(project, {
          artifactName: this.artifactsDirectory,
          condition: `needs.${BUILD_JOBID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha`,
          buildJobId: BUILD_JOBID,
          jsiiReleaseVersion: options.jsiiReleaseVersion,
          failureIssue: options.releaseFailureIssue,
          failureIssueLabel: options.releaseFailureIssueLabel,
          workflowRunsOn: options.workflowRunsOn,
          publishTasks: options.publishTasks,
          dryRun: options.publishDryRun,
          workflowNodeVersion: options.workflowNodeVersion,
          workflowContainerImage: options.workflowContainerImage
        });
        const githubRelease = options.githubRelease ?? true;
        if (githubRelease) {
          this.publisher.publishToGitHubReleases({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName)
          });
        }
        this.defaultBranch = this._addBranch(options.branch, {
          prerelease: options.prerelease,
          majorVersion: options.majorVersion,
          minMajorVersion: options.minMajorVersion,
          workflowName: options.releaseWorkflowName ?? "release",
          tagPrefix: options.releaseTagPrefix,
          npmDistTag: options.npmDistTag
        });
        for (const [name, opts] of Object.entries(options.releaseBranches ?? {})) {
          this.addBranch(name, opts);
        }
      }
      /**
       * Add a hook that should be run for every branch (including those that will
       * be added by future `addBranch` calls).
       * @internal
       */
      _forEachBranch(hook) {
        for (const branch of this._branches) {
          hook(branch.name);
        }
        this._branchHooks.push(hook);
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      addBranch(branch, options) {
        this._addBranch(branch, options);
        for (const hook of this._branchHooks) {
          hook(branch);
        }
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      _addBranch(branch, options) {
        if (this._branches.find((b) => b.name === branch)) {
          throw new Error(`The release branch ${branch} is already defined`);
        }
        if (this.defaultBranch && options.majorVersion && this.defaultBranch.majorVersion === void 0) {
          throw new Error('you must specify "majorVersion" for the default branch when adding multiple release branches');
        }
        const releaseBranch = {
          name: branch,
          ...options,
          workflow: this.createWorkflow(branch, options)
        };
        this._branches.push(releaseBranch);
        return releaseBranch;
      }
      preSynthesize() {
        for (const branch of this._branches) {
          if (!branch.workflow) {
            continue;
          }
          branch.workflow.addJobs(this.publisher._renderJobsForBranch(branch.name, branch));
          branch.workflow.addJobs(this.jobs);
        }
      }
      /**
       * Adds jobs to all release workflows.
       * @param jobs The jobs to add (name => job)
       */
      addJobs(jobs) {
        for (const [name, job] of Object.entries(jobs)) {
          this.jobs[name] = job;
        }
      }
      /**
       * Retrieve all release branch names
       */
      get branches() {
        return this._branches.map((b) => b.name);
      }
      /**
       * @returns a workflow or `undefined` if github integration is disabled.
       */
      createWorkflow(branchName, branch) {
        const workflowName = branch.workflowName ?? `release-${branchName}`;
        const noNewCommits = `\${{ steps.${GIT_REMOTE_STEPID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha }}`;
        const preBuildSteps = [...this.preBuildSteps];
        const env = {
          RELEASE: "true"
        };
        if (branch.majorVersion !== void 0) {
          env.MAJOR = branch.majorVersion.toString();
        }
        if (branch.minMajorVersion !== void 0) {
          if (branch.majorVersion !== void 0) {
            throw new Error(`minMajorVersion and majorVersion cannot be used together.`);
          }
          env.MIN_MAJOR = branch.minMajorVersion.toString();
        }
        if (branch.prerelease) {
          env.PRERELEASE = branch.prerelease;
        }
        if (branch.tagPrefix) {
          env.RELEASE_TAG_PREFIX = branch.tagPrefix;
        }
        const releaseTaskName = branchName === "main" || branchName === "master" ? "release" : `release:${branchName}`;
        const releaseTask = this.project.addTask(releaseTaskName, {
          description: `Prepare a release from "${branchName}" branch`,
          env
        });
        releaseTask.exec(`rm -fr ${this.artifactsDirectory}`);
        releaseTask.spawn(this.version.bumpTask);
        releaseTask.spawn(this.buildTask);
        releaseTask.spawn(this.version.unbumpTask);
        releaseTask.exec(_Release.ANTI_TAMPER_CMD);
        if (this.releaseTrigger.isManual) {
          const publishTask = this.publisher.publishToGit({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName),
            projectChangelogFile: this.releaseTrigger.changelogPath,
            gitBranch: branchName,
            gitPushCommand: this.releaseTrigger.gitPushCommand
          });
          releaseTask.spawn(publishTask);
        }
        const postBuildSteps = [...this.postBuildSteps];
        postBuildSteps.push({
          name: "Check for new commits",
          id: GIT_REMOTE_STEPID,
          run: `echo "${LATEST_COMMIT_OUTPUT}=$(git ls-remote origin -h \${{ github.ref }} | cut -f1)" >> $GITHUB_OUTPUT`
        });
        postBuildSteps.push({
          name: "Backup artifact permissions",
          if: noNewCommits,
          continueOnError: true,
          run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
        }, {
          name: "Upload artifact",
          if: noNewCommits,
          uses: "actions/upload-artifact@v3",
          with: {
            name: constants_1.BUILD_ARTIFACT_NAME,
            path: this.artifactsDirectory
          }
        });
        if (this.github && !this.releaseTrigger.isManual) {
          return new github_1.TaskWorkflow(this.github, {
            name: workflowName,
            jobId: BUILD_JOBID,
            outputs: {
              latest_commit: {
                stepId: GIT_REMOTE_STEPID,
                outputName: LATEST_COMMIT_OUTPUT
              }
            },
            triggers: {
              schedule: this.releaseTrigger.schedule ? [{ cron: this.releaseTrigger.schedule }] : void 0,
              push: this.releaseTrigger.isContinuous ? { branches: [branchName] } : void 0
            },
            container: this.containerImage ? { image: this.containerImage } : void 0,
            env: {
              CI: "true"
            },
            permissions: this.workflowPermissions,
            checkoutWith: {
              // we must use 'fetch-depth=0' in order to fetch all tags
              // otherwise tags are not checked out
              "fetch-depth": 0
            },
            preBuildSteps,
            task: releaseTask,
            postBuildSteps,
            runsOn: this.workflowRunsOn
          });
        } else {
          return void 0;
        }
      }
    };
    exports2.Release = Release;
    _a = JSII_RTTI_SYMBOL_1;
    Release[_a] = { fqn: "projen.release.Release", version: "0.71.112" };
    Release.ANTI_TAMPER_CMD = "git diff --ignore-space-at-eol --exit-code";
  }
});

// ../blueprint/node_modules/projen/lib/release/index.js
var require_release6 = __commonJS({
  "../blueprint/node_modules/projen/lib/release/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_release5(), exports2);
    __exportStar(require_publisher3(), exports2);
    __exportStar(require_release_trigger3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/javascript/node-package.js
var require_node_package3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/node-package.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaultNpmToken = exports2.NpmAccess = exports2.NodePackageManager = exports2.NodePackage = exports2.CodeArtifactAuthProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver10();
    var util_1 = require_util17();
    var _resolve_1 = require_resolve3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var json_1 = require_json5();
    var release_1 = require_release6();
    var task_runtime_1 = require_task_runtime3();
    var util_2 = require_util14();
    var UNLICENSED = "UNLICENSED";
    var DEFAULT_NPM_REGISTRY_URL = "https://registry.npmjs.org/";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var DEFAULT_NPM_TOKEN_SECRET = "NPM_TOKEN";
    var DEFAULT_GITHUB_TOKEN_SECRET = "GITHUB_TOKEN";
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    var NodePackage = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.scripts = {};
        this.scriptsToBeRemoved = /* @__PURE__ */ new Set();
        this.keywords = /* @__PURE__ */ new Set();
        this.bin = {};
        this.engines = {};
        this.packageName = options.packageName ?? project.name;
        this.peerDependencyOptions = {
          pinnedDevDependency: true,
          ...options.peerDependencyOptions
        };
        this.allowLibraryDependencies = options.allowLibraryDependencies ?? true;
        this.packageManager = options.packageManager ?? NodePackageManager.YARN;
        this.entrypoint = options.entrypoint ?? "lib/index.js";
        this.lockFile = determineLockfile(this.packageManager);
        this.project.annotateGenerated(`/${this.lockFile}`);
        const { npmAccess, npmRegistry, npmRegistryUrl, npmTokenSecret, codeArtifactOptions, scopedPackagesOptions } = this.parseNpmOptions(options);
        this.npmAccess = npmAccess;
        this.npmRegistry = npmRegistry;
        this.npmRegistryUrl = npmRegistryUrl;
        this.npmTokenSecret = npmTokenSecret;
        this.codeArtifactOptions = codeArtifactOptions;
        this.scopedPackagesOptions = scopedPackagesOptions;
        this.processDeps(options);
        this.addCodeArtifactLoginScript();
        const prev = this.readPackageJson() ?? {};
        this.manifest = {
          name: this.packageName,
          description: options.description,
          repository: !options.repository ? void 0 : {
            type: "git",
            url: options.repository,
            directory: options.repositoryDirectory
          },
          bin: () => this.renderBin(),
          scripts: () => this.renderScripts(),
          author: this.renderAuthor(options),
          devDependencies: {},
          peerDependencies: {},
          dependencies: {},
          bundledDependencies: [],
          ...this.renderPackageResolutions(),
          keywords: () => this.renderKeywords(),
          engines: () => this.renderEngines(),
          main: this.entrypoint !== "" ? this.entrypoint : void 0,
          license: () => this.license ?? UNLICENSED,
          homepage: options.homepage,
          publishConfig: () => this.renderPublishConfig(),
          typesVersions: prev?.typesVersions,
          // in release CI builds we bump the version before we run "build" so we want
          // to preserve the version number. otherwise, we always set it to 0.0.0
          version: this.determineVersion(prev?.version),
          bugs: options.bugsEmail || options.bugsUrl ? {
            email: options.bugsEmail,
            url: options.bugsUrl
          } : void 0
        };
        for (const [cmdname, shell] of Object.entries(options.scripts ?? {})) {
          project.addTask(cmdname, { exec: shell });
        }
        this.file = new json_1.JsonFile(this.project, "package.json", {
          obj: this.manifest,
          readonly: false,
          newline: true,
          committed: true
          // needs to be committed so users can install the dependencies
        });
        this.addKeywords(...options.keywords ?? []);
        this.addBin(options.bin ?? {});
        if (options.autoDetectBin ?? true) {
          this.autoDiscoverBinaries();
        }
        this.minNodeVersion = options.minNodeVersion;
        this.maxNodeVersion = options.maxNodeVersion;
        this.pnpmVersion = options.pnpmVersion ?? "7";
        this.addNodeEngine();
        if (options.licensed ?? true) {
          this.license = options.license ?? "Apache-2.0";
        }
        this.installTask = project.addTask("install", {
          description: "Install project dependencies and update lockfile (non-frozen)",
          exec: this.installAndUpdateLockfileCommand
        });
        this.installCiTask = project.addTask("install:ci", {
          description: "Install project dependencies using frozen lockfile",
          exec: this.installCommand
        });
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.RUNTIME);
        }
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        if (Object.keys(deps).length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add peer dependencies to an APP project: ${Object.keys(deps).join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.PEER);
        }
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        if (deps.length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add bundled dependencies to an APP project: ${deps.join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUNDLED);
        }
      }
      /**
       * Adds an `engines` requirement to your package.
       * @param engine The engine (e.g. `node`)
       * @param version The semantic version requirement (e.g. `^10`)
       */
      addEngine(engine, version) {
        this.engines[engine] = version;
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        for (const k of keywords) {
          this.keywords.add(k);
        }
      }
      addBin(bins) {
        for (const [k, v] of Object.entries(bins)) {
          this.bin[k] = v;
        }
      }
      /**
       * Add a npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.scripts[name] = command;
      }
      /**
       * Removes an npm script (always successful).
       *
       * @param name The name of the script.
       */
      removeScript(name) {
        this.scriptsToBeRemoved.add(name);
        delete this.scripts[name];
      }
      /**
       * Indicates if a script by the given name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.project.tasks.tryFind(name) !== void 0;
      }
      /**
       * Directly set fields in `package.json`.
       * @escape
       * @param name field name
       * @param value field value
       */
      addField(name, value) {
        this.manifest[name] = value;
      }
      /**
       * Sets the package version.
       * @param version Package version.
       */
      addVersion(version) {
        this.manifest.version = version;
      }
      /**
       * Defines resolutions for dependencies to change the normally resolved
       * version of a dependency to something else.
       *
       * @param resolutions Names resolutions to be added. Specify a version or
       * range with this syntax:
       * `module@^7`
       */
      addPackageResolutions(...resolutions) {
        for (const resolution of resolutions) {
          this.project.deps.addDependency(resolution, dependencies_1.DependencyType.OVERRIDE);
        }
      }
      /**
       * Returns the command to execute in order to install all dependencies (always frozen).
       */
      get installCommand() {
        return this.renderInstallCommand(true);
      }
      /**
       * Renders `yarn install` or `npm install` with lockfile update (not frozen)
       */
      get installAndUpdateLockfileCommand() {
        return this.renderInstallCommand(false);
      }
      /**
       * Render a package manager specific command to upgrade all requested dependencies.
       */
      renderUpgradePackagesCommand(exclude, include) {
        const project = this.project;
        function upgradePackages(command) {
          return () => {
            if (exclude.length === 0 && !include) {
              return command;
            }
            return `${command} ${project.deps.all.filter((d) => d.type !== dependencies_1.DependencyType.OVERRIDE).map((d) => d.name).filter((d) => include ? include.includes(d) : true).filter((d) => !exclude.includes(d)).join(" ")}`;
          };
        }
        let lazy = void 0;
        switch (this.packageManager) {
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
            lazy = upgradePackages("yarn upgrade");
            break;
          case NodePackageManager.NPM:
            lazy = upgradePackages("npm update");
            break;
          case NodePackageManager.PNPM:
            lazy = upgradePackages("pnpm update");
            break;
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
        return lazy;
      }
      /**
       * Attempt to resolve the currently installed version for a given dependency.
       *
       * @remarks
       * This method will first look through the current project's dependencies.
       * If found and semantically valid (not '*'), that will be used.
       * Otherwise, it will fall back to locating a `package.json` manifest for the dependency
       * through node's internal resolution reading the version from there.
       *
       * @param dependencyName Dependency to resolve for.
       */
      tryResolveDependencyVersion(dependencyName) {
        try {
          const fromDeps = this.project.deps.tryGetDependency(dependencyName);
          const version = semver.coerce(fromDeps?.version, { loose: true });
          if (version) {
            return version.format();
          }
        } catch {
        }
        return (0, util_1.tryResolveDependencyVersion)(dependencyName, {
          paths: [this.project.outdir]
        });
      }
      // ---------------------------------------------------------------------------------------
      preSynthesize() {
        super.preSynthesize();
        this._renderedDeps = this.renderDependencies();
      }
      postSynthesize() {
        super.postSynthesize();
        if (this.file.changed || !(0, fs_1.existsSync)((0, path_1.join)(this.project.outdir, "node_modules"))) {
          this.installDependencies();
        }
        if (this.resolveDepsAndWritePackageJson()) {
          this.installDependencies();
        }
      }
      /**
       * The command which executes "projen".
       */
      get projenCommand() {
        return this.project.projenCommand;
      }
      /**
       * Returns `true` if we are running within a CI build.
       */
      get isAutomatedBuild() {
        return (0, util_2.isTruthy)(process.env.CI);
      }
      determineVersion(currVersion) {
        if (!this.isReleaseBuild) {
          return "0.0.0";
        }
        return currVersion ?? "0.0.0";
      }
      /**
       * Returns `true` if this is a CI release build.
       */
      get isReleaseBuild() {
        return (0, util_2.isTruthy)(process.env.RELEASE);
      }
      // -------------------------------------------------------------------------------------------
      parseNpmOptions(options) {
        let npmRegistryUrl = options.npmRegistryUrl;
        if (options.npmRegistry) {
          if (npmRegistryUrl) {
            throw new Error('cannot use the deprecated "npmRegistry" together with "npmRegistryUrl". please use "npmRegistryUrl" instead.');
          }
          npmRegistryUrl = `https://${options.npmRegistry}`;
        }
        const npmr = new URL(npmRegistryUrl ?? DEFAULT_NPM_REGISTRY_URL);
        if (!npmr || !npmr.hostname || !npmr.href) {
          throw new Error(`unable to determine npm registry host from url ${npmRegistryUrl}. Is this really a URL?`);
        }
        const npmAccess = options.npmAccess ?? defaultNpmAccess(this.packageName);
        if (!isScoped(this.packageName) && npmAccess === NpmAccess.RESTRICTED) {
          throw new Error(`"npmAccess" cannot be RESTRICTED for non-scoped npm package "${this.packageName}"`);
        }
        const isAwsCodeArtifact = (0, release_1.isAwsCodeArtifactRegistry)(npmRegistryUrl);
        const hasScopedPackage = options.scopedPackagesOptions && options.scopedPackagesOptions.length !== 0;
        if (isAwsCodeArtifact) {
          if (options.npmTokenSecret) {
            throw new Error('"npmTokenSecret" must not be specified when publishing AWS CodeArtifact.');
          } else if (options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC) {
            if (options.codeArtifactOptions.accessKeyIdSecret || options.codeArtifactOptions.secretAccessKeySecret) {
              throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
            } else if (!options.codeArtifactOptions.roleToAssume) {
              throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
            }
          }
        } else {
          if ((options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret || options.codeArtifactOptions?.roleToAssume) && !hasScopedPackage) {
            throw new Error("codeArtifactOptions must only be specified when publishing AWS CodeArtifact or used in scoped packages.");
          }
        }
        let codeArtifactOptions;
        if (isAwsCodeArtifact || hasScopedPackage) {
          const authProvider = options.codeArtifactOptions?.authProvider ?? CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          const isAccessSecretKeyPairAuth = authProvider === CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          codeArtifactOptions = {
            authProvider,
            accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret ?? (isAccessSecretKeyPairAuth ? "AWS_ACCESS_KEY_ID" : void 0),
            secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret ?? (isAccessSecretKeyPairAuth ? "AWS_SECRET_ACCESS_KEY" : void 0),
            roleToAssume: options.codeArtifactOptions?.roleToAssume
          };
        }
        return {
          npmAccess,
          npmRegistry: npmr.hostname + this.renderNpmRegistryPath(npmr.pathname),
          npmRegistryUrl: npmr.href,
          npmTokenSecret: defaultNpmToken(options.npmTokenSecret, npmr.hostname),
          codeArtifactOptions,
          scopedPackagesOptions: this.parseScopedPackagesOptions(options.scopedPackagesOptions)
        };
      }
      parseScopedPackagesOptions(scopedPackagesOptions) {
        if (!scopedPackagesOptions) {
          return void 0;
        }
        return scopedPackagesOptions.map((option) => {
          if (!isScoped(option.scope)) {
            throw new Error(`Scope must start with "@" in options, found ${option.scope}`);
          }
          if (!(0, release_1.isAwsCodeArtifactRegistry)(option.registryUrl)) {
            throw new Error(`Only AWS Code artifact scoped registry is supported for now, found ${option.registryUrl}`);
          }
          const result = {
            registryUrl: option.registryUrl,
            scope: option.scope
          };
          return result;
        });
      }
      addCodeArtifactLoginScript() {
        if (!this.scopedPackagesOptions || this.scopedPackagesOptions.length === 0) {
          return;
        }
        this.project.addTask("ca:login", {
          requiredEnv: ["AWS_ACCESS_KEY_ID", "AWS_SECRET_ACCESS_KEY"],
          steps: [
            { exec: "which aws" },
            ...this.scopedPackagesOptions.map((scopedPackagesOption) => {
              const { registryUrl, scope } = scopedPackagesOption;
              const { domain, region, accountId, registry } = (0, util_1.extractCodeArtifactDetails)(registryUrl);
              const commands = [
                `npm config set ${scope}:registry ${registryUrl}`,
                `CODEARTIFACT_AUTH_TOKEN=$(aws codeartifact get-authorization-token --domain ${domain} --region ${region} --domain-owner ${accountId} --query authorizationToken --output text)`,
                `npm config set //${registry}:_authToken=$CODEARTIFACT_AUTH_TOKEN`,
                `npm config set //${registry}:always-auth=true`
              ];
              return {
                exec: commands.join("; ")
              };
            })
          ]
        });
      }
      addNodeEngine() {
        if (!this.minNodeVersion && !this.maxNodeVersion) {
          return;
        }
        let nodeVersion = "";
        if (this.minNodeVersion) {
          nodeVersion += `>= ${this.minNodeVersion}`;
        }
        if (this.maxNodeVersion) {
          nodeVersion += ` <= ${this.maxNodeVersion}`;
        }
        this.addEngine("node", nodeVersion);
      }
      renderNpmRegistryPath(path) {
        if (!path || path == "/") {
          return "";
        } else {
          return path;
        }
      }
      renderInstallCommand(frozen) {
        switch (this.packageManager) {
          case NodePackageManager.YARN:
            return [
              "yarn install",
              "--check-files",
              ...frozen ? ["--frozen-lockfile"] : []
            ].join(" ");
          case NodePackageManager.YARN2:
            return ["yarn install", ...frozen ? ["--immutable"] : []].join(" ");
          case NodePackageManager.NPM:
            return frozen ? "npm ci" : "npm install";
          case NodePackageManager.PNPM:
            return frozen ? "pnpm i --frozen-lockfile" : "pnpm i --no-frozen-lockfile";
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
      }
      processDeps(options) {
        this.addDeps(...options.deps ?? []);
        this.addDevDeps(...options.devDeps ?? []);
        this.addPeerDeps(...options.peerDeps ?? []);
        this.addBundledDeps(...options.bundledDeps ?? []);
      }
      renderDependencies() {
        const devDependencies = {};
        const peerDependencies = {};
        const dependencies = {};
        const bundledDependencies = new Array();
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const dep of this.project.deps.all.filter((d) => d.type === dependencies_1.DependencyType.PEER)) {
            let req = dep.name;
            if (this.project.deps.tryGetDependency(dep.name, dependencies_1.DependencyType.RUNTIME)) {
              continue;
            }
            if (dep.version) {
              const ver = (0, util_1.minVersion)(dep.version);
              if (!ver) {
                throw new Error(`unable to determine minimum semver for peer dependency ${dep.name}@${dep.version}`);
              }
              req += "@" + ver;
            }
            this.addDevDeps(req);
          }
        }
        for (const dep of this.project.deps.all) {
          let version = dep.version ?? "*";
          let name = dep.name;
          if (name.startsWith("file:")) {
            const localDependencyPath = name.substring(5);
            const depPackageJson = (0, path_1.resolve)(this.project.outdir, localDependencyPath, "package.json");
            const pkgFile = (0, fs_1.readFileSync)(depPackageJson, "utf8");
            const pkg2 = JSON.parse(pkgFile);
            version = localDependencyPath;
            name = pkg2.name;
          }
          switch (dep.type) {
            case dependencies_1.DependencyType.BUNDLED:
              bundledDependencies.push(name);
              if (this.project.deps.all.find((d) => d.name === name && d.type === dependencies_1.DependencyType.PEER)) {
                throw new Error(`unable to bundle "${name}". it cannot appear as a peer dependency`);
              }
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.PEER:
              peerDependencies[name] = version;
              break;
            case dependencies_1.DependencyType.RUNTIME:
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.TEST:
            case dependencies_1.DependencyType.DEVENV:
            case dependencies_1.DependencyType.BUILD:
              devDependencies[name] = version;
              break;
          }
        }
        const normalize = (obj) => () => (0, util_2.sorted)(obj);
        this.manifest.devDependencies = normalize(devDependencies);
        this.manifest.peerDependencies = normalize(peerDependencies);
        this.manifest.dependencies = normalize(dependencies);
        this.manifest.bundledDependencies = (0, util_2.sorted)(bundledDependencies);
        const pkg = this.readPackageJson();
        if (!pkg) {
          return { devDependencies, peerDependencies, dependencies };
        }
        const readDeps = (user, current = {}) => {
          for (const [name, userVersion] of Object.entries(user)) {
            const currentVersion = current[name];
            if (userVersion !== "*" || !currentVersion || currentVersion === "*") {
              continue;
            }
            user[name] = currentVersion;
          }
          for (const name of Object.keys(current ?? {})) {
            if (!user[name]) {
              this.project.logger.verbose(`${name}: removed`);
            }
          }
        };
        readDeps(devDependencies, pkg.devDependencies);
        readDeps(dependencies, pkg.dependencies);
        readDeps(peerDependencies, pkg.peerDependencies);
        return { devDependencies, dependencies, peerDependencies };
      }
      /**
       * Resolves any deps that do not have a specified version (e.g. `*`) and
       * update `package.json` if needed.
       *
       * @returns `true` if package.json was updated or `false` if not.
       */
      resolveDepsAndWritePackageJson() {
        const outdir = this.project.outdir;
        const rootPackageJson = (0, path_1.join)(outdir, "package.json");
        const original = (0, fs_1.readFileSync)(rootPackageJson, "utf8");
        const pkg = JSON.parse(original);
        const resolveDeps = (current, user) => {
          const result = {};
          current = current ?? {};
          user = user ?? {};
          for (const [name, currentDefinition] of Object.entries(user)) {
            let desiredVersion = currentDefinition;
            if (currentDefinition === "*") {
              const resolvedVersion = (0, util_1.tryResolveDependencyVersion)(name, {
                paths: [this.project.outdir]
              });
              if (!resolvedVersion) {
                this.project.logger.warn(`unable to resolve version for ${name} from installed modules`);
                continue;
              }
              desiredVersion = `^${resolvedVersion}`;
            }
            if (currentDefinition !== desiredVersion) {
              this.project.logger.verbose(`${name}: ${currentDefinition} => ${desiredVersion}`);
            }
            result[name] = desiredVersion;
          }
          for (const name of Object.keys(current)) {
            if (!result[name]) {
              this.project.logger.verbose(`${name} removed`);
            }
          }
          return result;
        };
        const rendered = this._renderedDeps;
        if (!rendered) {
          throw new Error("assertion failed");
        }
        const deps = resolveDeps(pkg.dependencies, rendered.dependencies);
        const devDeps = resolveDeps(pkg.devDependencies, rendered.devDependencies);
        const peerDeps = resolveDeps(pkg.peerDependencies, rendered.peerDependencies);
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const [name, version] of Object.entries(peerDeps)) {
            if (deps[name] || rendered.devDependencies[name] !== "*") {
              continue;
            }
            const ver = (0, util_1.minVersion)(version);
            if (!ver) {
              throw new Error(`unable to determine minimum semver for peer dependency ${name}@${version}`);
            }
            devDeps[name] = ver;
          }
        }
        pkg.dependencies = (0, util_2.sorted)(deps);
        pkg.devDependencies = (0, util_2.sorted)(devDeps);
        pkg.peerDependencies = (0, util_2.sorted)(peerDeps);
        const updated = JSON.stringify(pkg, void 0, 2) + "\n";
        if (original === updated) {
          return false;
        }
        (0, util_2.writeFile)(rootPackageJson, updated);
        return true;
      }
      renderPackageResolutions() {
        const render = () => {
          const overridingDependencies = this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.OVERRIDE);
          if (!overridingDependencies.length) {
            return void 0;
          }
          return Object.fromEntries(overridingDependencies.map(({ name, version = "*" }) => [name, version]));
        };
        switch (this.packageManager) {
          case NodePackageManager.NPM:
            return { overrides: render };
          case NodePackageManager.PNPM:
            return { pnpm: { overrides: render } };
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
          default:
            return { resolutions: render };
        }
      }
      renderPublishConfig() {
        return (0, _resolve_1.resolve)({
          registry: this.npmRegistryUrl !== DEFAULT_NPM_REGISTRY_URL ? this.npmRegistryUrl : void 0,
          access: this.npmAccess !== defaultNpmAccess(this.packageName) ? this.npmAccess : void 0
        }, { omitEmpty: true });
      }
      renderKeywords() {
        const kwds = Array.from(this.keywords);
        return (0, util_2.sorted)(kwds.sort());
      }
      renderEngines() {
        return (0, util_2.sorted)(this.engines);
      }
      autoDiscoverBinaries() {
        const binrel = "bin";
        const bindir = (0, path_1.join)(this.project.outdir, binrel);
        if ((0, fs_1.existsSync)(bindir)) {
          for (const file of (0, fs_1.readdirSync)(bindir)) {
            try {
              (0, fs_1.accessSync)((0, path_1.join)(bindir, file), fs_1.constants.X_OK);
              this.bin[file] = (0, path_1.join)(binrel, file).replace(/\\/g, "/");
            } catch (e) {
            }
          }
        }
      }
      renderAuthor(options) {
        let author;
        if (options.authorName) {
          author = {
            name: options.authorName,
            email: options.authorEmail,
            url: options.authorUrl,
            organization: options.authorOrganization ?? false
          };
        } else {
          if (options.authorEmail || options.authorUrl || options.authorOrganization !== void 0) {
            throw new Error('"authorName" is required if specifying "authorEmail" or "authorUrl"');
          }
        }
        return author;
      }
      renderBin() {
        return (0, util_2.sorted)(this.bin);
      }
      renderScripts() {
        const result = {};
        const tasks = this.project.tasks.all.filter((t) => (
          // Must remove to prevent overriding built-in npm command (which would loop)
          t.name !== this.installTask.name && t.name !== this.installCiTask.name
        )).sort((x, y) => x.name.localeCompare(y.name));
        for (const task of tasks) {
          if (this.scriptsToBeRemoved.has(task.name)) {
            continue;
          }
          result[task.name] = this.npmScriptForTask(task);
        }
        return {
          ...result,
          ...this.scripts
        };
      }
      npmScriptForTask(task) {
        return `${this.projenCommand} ${task.name}`;
      }
      readPackageJson() {
        const file = (0, path_1.join)(this.project.outdir, "package.json");
        if (!(0, fs_1.existsSync)(file)) {
          return void 0;
        }
        return JSON.parse((0, fs_1.readFileSync)(file, "utf-8"));
      }
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        const taskToRun = this.isAutomatedBuild ? this.installCiTask : this.installTask;
        runtime.runTask(taskToRun.name);
      }
    };
    exports2.NodePackage = NodePackage;
    _a = JSII_RTTI_SYMBOL_1;
    NodePackage[_a] = { fqn: "projen.javascript.NodePackage", version: "0.71.112" };
    var NodePackageManager;
    (function(NodePackageManager2) {
      NodePackageManager2["YARN"] = "yarn";
      NodePackageManager2["YARN2"] = "yarn2";
      NodePackageManager2["NPM"] = "npm";
      NodePackageManager2["PNPM"] = "pnpm";
    })(NodePackageManager || (exports2.NodePackageManager = NodePackageManager = {}));
    var NpmAccess;
    (function(NpmAccess2) {
      NpmAccess2["PUBLIC"] = "public";
      NpmAccess2["RESTRICTED"] = "restricted";
    })(NpmAccess || (exports2.NpmAccess = NpmAccess = {}));
    function isScoped(packageName) {
      return packageName.includes("@");
    }
    function defaultNpmAccess(packageName) {
      return isScoped(packageName) ? NpmAccess.RESTRICTED : NpmAccess.PUBLIC;
    }
    function defaultNpmToken(npmToken, registry) {
      if ((0, release_1.isAwsCodeArtifactRegistry)(registry)) {
        return void 0;
      }
      const isGitHubPackages = registry === GITHUB_PACKAGES_REGISTRY;
      return npmToken ?? (isGitHubPackages ? DEFAULT_GITHUB_TOKEN_SECRET : DEFAULT_NPM_TOKEN_SECRET);
    }
    exports2.defaultNpmToken = defaultNpmToken;
    function determineLockfile(packageManager) {
      if (packageManager === NodePackageManager.YARN || packageManager === NodePackageManager.YARN2) {
        return "yarn.lock";
      } else if (packageManager === NodePackageManager.NPM) {
        return "package-lock.json";
      } else if (packageManager === NodePackageManager.PNPM) {
        return "pnpm-lock.yaml";
      }
      throw new Error(`unsupported package manager ${packageManager}`);
    }
  }
});

// ../blueprint/node_modules/projen/lib/javascript/projenrc.js
var require_projenrc12 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var eslint_1 = require_eslint3();
    var render_options_1 = require_render_options3();
    var projenrc_1 = require_projenrc11();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.js";
        project.defaultTask?.exec(`node ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        const eslint = eslint_1.Eslint.of(this.project);
        eslint?.addLintPattern(this.filePath);
        eslint?.addIgnorePattern(`!${this.filePath}`);
        eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          comments: bootstrap.comments,
          args: bootstrap.args,
          type: bootstrap.type
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asCjsRequire());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.javascript.Projenrc", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/build/build-workflow.js
var require_build_workflow3 = __commonJS({
  "../blueprint/node_modules/projen/lib/build/build-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BuildWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var github_1 = require_github6();
    var constants_1 = require_constants10();
    var workflow_actions_1 = require_workflow_actions3();
    var workflows_model_1 = require_workflows_model3();
    var javascript_1 = require_javascript3();
    var PULL_REQUEST_REF = "${{ github.event.pull_request.head.ref }}";
    var PULL_REQUEST_REPOSITORY = "${{ github.event.pull_request.head.repo.full_name }}";
    var BUILD_JOBID = "build";
    var SELF_MUTATION_STEP = "self_mutation";
    var SELF_MUTATION_HAPPENED_OUTPUT = "self_mutation_happened";
    var IS_FORK = "github.event.pull_request.head.repo.full_name != github.repository";
    var NOT_FORK = `!(${IS_FORK})`;
    var SELF_MUTATION_CONDITION = `needs.${BUILD_JOBID}.outputs.${SELF_MUTATION_HAPPENED_OUTPUT}`;
    var BuildWorkflow = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.defaultRunners = ["ubuntu-latest"];
        this._postBuildJobs = [];
        const github = github_1.GitHub.of(project);
        if (!github) {
          throw new Error("BuildWorkflow is currently only supported for GitHub projects");
        }
        this.github = github;
        this.preBuildSteps = options.preBuildSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.buildTask = options.buildTask;
        this.artifactsDirectory = options.artifactsDirectory;
        this.name = options.name ?? "build";
        const mutableBuilds = options.mutableBuild ?? true;
        this.workflow = new github_1.GithubWorkflow(github, this.name);
        this.workflow.on(options.workflowTriggers ?? {
          pullRequest: {},
          workflowDispatch: {}
          // allow manual triggering
        });
        this.addBuildJob(options);
        if (mutableBuilds) {
          this.addSelfMutationJob(options);
        }
        if (project instanceof javascript_1.NodeProject) {
          project.addPackageIgnore(constants_1.PERMISSION_BACKUP_FILE);
        }
      }
      addBuildJob(options) {
        this.workflow.addJob(BUILD_JOBID, {
          runsOn: options.runsOn ?? this.defaultRunners,
          container: options.containerImage ? { image: options.containerImage } : void 0,
          env: {
            CI: "true",
            ...options.env
          },
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE,
            ...options.permissions
          },
          steps: () => this.renderBuildSteps(),
          outputs: {
            [SELF_MUTATION_HAPPENED_OUTPUT]: {
              stepId: SELF_MUTATION_STEP,
              outputName: SELF_MUTATION_HAPPENED_OUTPUT
            }
          }
        });
      }
      /**
       * Returns a list of job IDs that are part of the build.
       */
      get buildJobIds() {
        return [BUILD_JOBID, ...this._postBuildJobs];
      }
      /**
       * Adds steps that are executed after the build.
       * @param steps The job steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      /**
       * Adds another job to the build workflow which is executed after the build
       * job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param id The id of the new job
       * @param job The job specification
       */
      addPostBuildJob(id, job) {
        const steps = [];
        if (this.artifactsDirectory) {
          steps.push({
            name: "Download build artifacts",
            uses: "actions/download-artifact@v3",
            with: {
              name: constants_1.BUILD_ARTIFACT_NAME,
              path: this.artifactsDirectory
            }
          }, {
            name: "Restore build artifact permissions",
            continueOnError: true,
            run: [
              `cd ${this.artifactsDirectory} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
            ].join("\n")
          });
        }
        steps.push(...job.steps ?? []);
        this.workflow.addJob(id, {
          needs: [BUILD_JOBID],
          // only run if build did not self-mutate
          if: `! ${SELF_MUTATION_CONDITION}`,
          ...job,
          steps
        });
        this._postBuildJobs.push(id);
      }
      /**
       * Run a task as a job within the build workflow which is executed after the
       * build job succeeded.
       *
       * The job will have access to build artifacts and will install project
       * dependencies in order to be able to run any commands used in the tasks.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobTask(task, options = {}) {
        this.addPostBuildJobCommands(`post-build-${task.name}`, [`${this.project.projenCommand} ${task.name}`], {
          checkoutRepo: true,
          installDeps: true,
          tools: options.tools,
          runsOn: options.runsOn
        });
      }
      /**
       * Run a sequence of commands as a job within the build workflow which is
       * executed after the build job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobCommands(id, commands, options) {
        const steps = [];
        if (options?.checkoutRepo) {
          steps.push({
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          });
        }
        if (options?.checkoutRepo && options?.installDeps && this.project instanceof javascript_1.NodeProject) {
          steps.push({
            name: "Install dependencies",
            run: `${this.project.package.installCommand}`
          });
        }
        steps.push({ run: commands.join("\n") });
        this.addPostBuildJob(id, {
          permissions: {
            contents: workflows_model_1.JobPermission.READ
          },
          tools: options?.tools,
          runsOn: options?.runsOn ?? this.defaultRunners,
          steps
        });
      }
      addSelfMutationJob(options) {
        this.workflow.addJob("self-mutation", {
          runsOn: options.runsOn ?? this.defaultRunners,
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE
          },
          needs: [BUILD_JOBID],
          if: `always() && ${SELF_MUTATION_CONDITION} && ${NOT_FORK}`,
          steps: [
            ...this.workflow.projenCredentials.setupSteps,
            ...workflow_actions_1.WorkflowActions.checkoutWithPatch({
              // we need to use a PAT so that our push will trigger the build workflow
              token: this.workflow.projenCredentials.tokenRef,
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              lfs: this.github.downloadLfs
            }),
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(this.gitIdentity),
            {
              name: "Push changes",
              env: {
                PULL_REQUEST_REF
              },
              run: [
                "git add .",
                'git commit -s -m "chore: self mutation"',
                `git push origin HEAD:$PULL_REQUEST_REF`
              ].join("\n")
            }
          ]
        });
      }
      /**
       * Called (lazily) during synth to render the build job steps.
       */
      renderBuildSteps() {
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          },
          ...this.preBuildSteps,
          {
            name: this.buildTask.name,
            run: this.github.project.runTaskCommand(this.buildTask)
          },
          ...this.postBuildSteps,
          // check for mutations and upload a git patch file as an artifact
          ...workflow_actions_1.WorkflowActions.uploadGitPatch({
            stepId: SELF_MUTATION_STEP,
            outputName: SELF_MUTATION_HAPPENED_OUTPUT,
            mutationError: "Files were changed during build (see build log). If this was triggered from a fork, you will need to update your branch."
          }),
          // upload the build artifact only if we have post-build jobs (otherwise, there's no point)
          ...this._postBuildJobs.length == 0 ? [] : [
            {
              name: "Backup artifact permissions",
              continueOnError: true,
              run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
            },
            {
              name: "Upload artifact",
              uses: "actions/upload-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: this.artifactsDirectory
              }
            }
          ]
        ];
      }
    };
    exports2.BuildWorkflow = BuildWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    BuildWorkflow[_a] = { fqn: "projen.build.BuildWorkflow", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/build/index.js
var require_build3 = __commonJS({
  "../blueprint/node_modules/projen/lib/build/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_build_workflow3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/github/util.js
var require_util18 = __commonJS({
  "../blueprint/node_modules/projen/lib/github/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.secretToString = void 0;
    function secretToString(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    exports2.secretToString = secretToString;
  }
});

// ../blueprint/node_modules/projen/lib/javascript/node-project.js
var require_node_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/node-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NodeProject = exports2.AutoRelease = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var bundler_1 = require_bundler3();
    var jest_1 = require_jest3();
    var node_package_1 = require_node_package3();
    var projenrc_1 = require_projenrc12();
    var build_1 = require_build3();
    var common_1 = require_common9();
    var github_1 = require_github6();
    var constants_1 = require_constants10();
    var util_1 = require_util18();
    var workflows_model_1 = require_workflows_model3();
    var ignore_file_1 = require_ignore_file3();
    var javascript_1 = require_javascript3();
    var license_1 = require_license3();
    var release_1 = require_release6();
    var util_2 = require_util14();
    var version_1 = require_version3();
    var PROJEN_SCRIPT = "projen";
    var AutoRelease;
    (function(AutoRelease2) {
      AutoRelease2[AutoRelease2["EVERY_COMMIT"] = 0] = "EVERY_COMMIT";
      AutoRelease2[AutoRelease2["DAILY"] = 1] = "DAILY";
    })(AutoRelease || (exports2.AutoRelease = AutoRelease = {}));
    var NodeProject = class extends github_1.GitHubProject {
      /**
       * @deprecated use `package.allowLibraryDependencies`
       */
      get allowLibraryDependencies() {
        return this.package.allowLibraryDependencies;
      }
      /**
       * @deprecated use `package.entrypoint`
       */
      get entrypoint() {
        return this.package.entrypoint;
      }
      /**
       * Minimum node.js version required by this package.
       */
      get minNodeVersion() {
        return this.package.minNodeVersion;
      }
      /**
       * Maximum node version required by this package.
       */
      get maxNodeVersion() {
        return this.package.maxNodeVersion;
      }
      /**
       * The package manager to use.
       *
       * @deprecated use `package.packageManager`
       */
      get packageManager() {
        return this.package.packageManager;
      }
      /**
       * @deprecated use `package.addField(x, y)`
       */
      get manifest() {
        return this.package.manifest;
      }
      constructor(options) {
        super(options);
        this.package = new node_package_1.NodePackage(this, options);
        this.workflowBootstrapSteps = options.workflowBootstrapSteps ?? [];
        this.workflowGitIdentity = options.workflowGitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.workflowPackageCache = options.workflowPackageCache ?? false;
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.artifactsJavascriptDirectory = (0, path_1.join)(this.artifactsDirectory, "js");
        this.runScriptCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.NPM:
              return "npm run";
            case node_package_1.NodePackageManager.YARN:
            case node_package_1.NodePackageManager.YARN2:
              return "yarn run";
            case node_package_1.NodePackageManager.PNPM:
              return "pnpm run";
            default:
              throw new Error(`unexpected package manager ${this.packageManager}`);
          }
        })();
        const envCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.PNPM:
              return '$(pnpm -c exec "node --print process.env.PATH")';
            default:
              return '$(npx -c "node --print process.env.PATH")';
          }
        })();
        this.nodeVersion = options.workflowNodeVersion ?? this.package.minNodeVersion;
        this.tasks.addEnvironment("PATH", envCommand);
        this.addLicense(options);
        if (options.npmignoreEnabled ?? true) {
          this.npmignore = new ignore_file_1.IgnoreFile(this, ".npmignore", options.npmIgnoreOptions);
        }
        this.addDefaultGitIgnore();
        if (options.gitignore?.length) {
          for (const i of options.gitignore) {
            this.gitignore.exclude(i);
          }
        }
        if (options.npmignore?.length) {
          if (!this.npmignore) {
            throw new Error('.npmignore is not defined for an APP project type. Add "npmIgnore: true" to override this');
          }
          for (const i of options.npmignore) {
            this.npmignore.exclude(i);
          }
        }
        if (!this.ejected) {
          this.setScript(PROJEN_SCRIPT, this.package.projenCommand);
        }
        this.npmignore?.exclude(`/${common_1.PROJEN_RC}`);
        this.npmignore?.exclude(`/${common_1.PROJEN_DIR}/`);
        this.gitignore.include(`/${common_1.PROJEN_RC}`);
        const projen = options.projenDevDependency ?? true;
        if (projen && !this.ejected) {
          const postfix = options.projenVersion ? `@${options.projenVersion}` : "";
          this.addDevDeps(`projen${postfix}`);
        }
        if (!options.defaultReleaseBranch) {
          throw new Error('"defaultReleaseBranch" is temporarily a required option while we migrate its default value from "master" to "main"');
        }
        const buildEnabled = options.buildWorkflow ?? (this.parent ? false : true);
        if (options.jest ?? true) {
          this.jest = new jest_1.Jest(this, options.jestOptions);
        }
        const requiresIdTokenPermission = (options.scopedPackagesOptions ?? []).length > 0 && options.codeArtifactOptions?.authProvider === release_1.CodeArtifactAuthProvider.GITHUB_OIDC;
        const workflowPermissions = {
          idToken: requiresIdTokenPermission ? workflows_model_1.JobPermission.WRITE : void 0
        };
        if (buildEnabled && this.github) {
          this.buildWorkflow = new build_1.BuildWorkflow(this, {
            buildTask: this.buildTask,
            artifactsDirectory: this.artifactsDirectory,
            containerImage: options.workflowContainerImage,
            gitIdentity: this.workflowGitIdentity,
            mutableBuild: options.mutableBuild,
            preBuildSteps: this.renderWorkflowSetup({
              mutable: options.mutableBuild ?? true
            }),
            postBuildSteps: options.postBuildSteps,
            runsOn: options.workflowRunsOn,
            workflowTriggers: options.buildWorkflowTriggers,
            permissions: workflowPermissions
          });
          this.buildWorkflow.addPostBuildSteps(...this.renderUploadCoverageJobStep(options));
        }
        const release = options.release ?? options.releaseWorkflow ?? (this.parent ? false : true);
        if (release) {
          this.addDevDeps(version_1.Version.STANDARD_VERSION);
          this.release = new release_1.Release(this, {
            versionFile: "package.json",
            task: this.buildTask,
            branch: options.defaultReleaseBranch ?? "main",
            artifactsDirectory: this.artifactsDirectory,
            ...options,
            releaseWorkflowSetupSteps: [
              ...this.renderWorkflowSetup({ mutable: false }),
              ...options.releaseWorkflowSetupSteps ?? []
            ],
            postBuildSteps: [
              ...options.postBuildSteps ?? [],
              ...this.renderUploadCoverageJobStep(options)
            ],
            workflowNodeVersion: this.nodeVersion,
            workflowPermissions
          });
          this.publisher = this.release.publisher;
          const nodePackageToReleaseCodeArtifactAuthProviderMapping = {
            [node_package_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR]: release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR,
            [node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC]: release_1.CodeArtifactAuthProvider.GITHUB_OIDC
          };
          if (options.releaseToNpm ?? false) {
            const codeArtifactOptions = (0, release_1.isAwsCodeArtifactRegistry)(this.package.npmRegistry) ? {
              accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret,
              secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret,
              roleToAssume: options.codeArtifactOptions?.roleToAssume,
              authProvider: options.codeArtifactOptions?.authProvider ? nodePackageToReleaseCodeArtifactAuthProviderMapping[options.codeArtifactOptions.authProvider] : release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR
            } : {};
            this.release.publisher.publishToNpm({
              registry: this.package.npmRegistry,
              npmTokenSecret: this.package.npmTokenSecret,
              codeArtifactOptions
            });
          }
        } else {
          if (options.releaseToNpm) {
            throw new Error('"releaseToNpm" is not supported if "release" is not set');
          }
          if (options.releaseEveryCommit) {
            throw new Error('"releaseEveryCommit" is not supported if "release" is not set');
          }
          if (options.releaseSchedule) {
            throw new Error('"releaseSchedule" is not supported if "release" is not set');
          }
        }
        if ((options.autoMerge ?? true) && this.github?.mergify && this.buildWorkflow?.buildJobIds) {
          this.autoMerge = new github_1.AutoMerge(this.github, options.autoMergeOptions);
          this.autoMerge.addConditionsLater({
            render: () => this.buildWorkflow?.buildJobIds.map((id) => `status-success=${id}`) ?? []
          });
        }
        const dependabot = options.dependabot ?? false;
        const depsUpgrade = options.depsUpgrade ?? !dependabot;
        if (dependabot && depsUpgrade) {
          throw new Error("'dependabot' cannot be configured together with 'depsUpgrade'");
        }
        const depsAutoApprove = options.autoApproveUpgrades ?? false;
        if (depsAutoApprove && !this.autoApprove && this.github) {
          throw new Error("Automatic approval of dependencies upgrades requires configuring `autoApproveOptions`");
        }
        const autoApproveLabel = (condition) => condition && this.autoApprove?.label ? [this.autoApprove.label] : void 0;
        if (dependabot) {
          const defaultOptions = {
            labels: autoApproveLabel(depsAutoApprove)
          };
          this.github?.addDependabot((0, util_2.deepMerge)([defaultOptions, options.dependabotOptions ?? {}]));
        }
        if (depsUpgrade) {
          const defaultOptions = {
            workflowOptions: {
              container: options.workflowContainerImage ? {
                image: options.workflowContainerImage
              } : void 0,
              labels: autoApproveLabel(depsAutoApprove),
              gitIdentity: this.workflowGitIdentity,
              permissions: workflowPermissions
            }
          };
          this.upgradeWorkflow = new javascript_1.UpgradeDependencies(this, (0, util_2.deepMerge)([defaultOptions, options.depsUpgradeOptions ?? {}]));
        }
        if (options.pullRequestTemplate ?? true) {
          this.github?.addPullRequestTemplate(...options.pullRequestTemplateContents ?? []);
        }
        const projenrcJs = options.projenrcJs ?? !options.projenrcJson;
        if (!this.parent && projenrcJs) {
          new projenrc_1.Projenrc(this, options.projenrcJsOptions);
        }
        this.bundler = new bundler_1.Bundler(this, options.bundlerOptions);
        if (options.package ?? true) {
          this.packageTask.exec(`mkdir -p ${this.artifactsJavascriptDirectory}`);
          this.packageTask.exec(`mv $(npm pack) ${this.artifactsJavascriptDirectory}/`);
        }
        if (options.prettier ?? false) {
          this.prettier = new javascript_1.Prettier(this, { ...options.prettierOptions });
        }
        this.npmrc = new javascript_1.NpmConfig(this, {
          omitEmpty: true
        });
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          this.npmrc.addConfig("resolution-mode", "highest");
        }
      }
      renderUploadCoverageJobStep(options) {
        if ((options.codeCov || options.codeCovTokenSecret) && this.jest?.config) {
          return [
            {
              name: "Upload coverage to Codecov",
              uses: "codecov/codecov-action@v3",
              with: options.codeCovTokenSecret ? {
                token: `\${{ secrets.${options.codeCovTokenSecret} }}`,
                directory: this.jest.config.coverageDirectory
              } : {
                directory: this.jest.config.coverageDirectory
              }
            }
          ];
        } else {
          return [];
        }
      }
      addBins(bins) {
        this.package.addBin(bins);
      }
      /**
       * Replaces the contents of an npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.package.setScript(name, command);
      }
      /**
       * Replaces the contents of multiple npm package.json scripts.
       * @param scripts The scripts to set
       */
      addScripts(scripts) {
        for (const [name, command] of Object.entries(scripts)) {
          this.package.setScript(name, command);
        }
      }
      /**
       * Removes the npm script (always successful).
       * @param name The name of the script.
       */
      removeScript(name) {
        this.package.removeScript(name);
      }
      /**
       * Indicates if a script by the name name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.package.hasScript(name);
      }
      /**
       * DEPRECATED
       * @deprecated use `project.compileTask.exec()`
       */
      addCompileCommand(...commands) {
        for (const c of commands) {
          this.compileTask.exec(c);
        }
      }
      /**
       * DEPRECATED
       * @deprecated use `project.testTask.exec()`
       */
      addTestCommand(...commands) {
        for (const c of commands) {
          this.testTask.exec(c);
        }
      }
      /**
       * Directly set fields in `package.json`.
       * @param fields The fields to set
       */
      addFields(fields) {
        for (const [name, value] of Object.entries(fields)) {
          this.package.addField(name, value);
        }
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        this.package.addKeywords(...keywords);
      }
      /**
       * Get steps for scoped package access
       *
       * @param codeArtifactOptions Details of logging in to AWS
       * @returns array of job steps required for each private scoped packages
       */
      getScopedPackageSteps(codeArtifactOptions) {
        const parsedCodeArtifactOptions = {
          accessKeyIdSecret: codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID",
          secretAccessKeySecret: codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY",
          roleToAssume: codeArtifactOptions?.roleToAssume,
          authProvider: codeArtifactOptions?.authProvider
        };
        if (parsedCodeArtifactOptions.authProvider === node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        if (parsedCodeArtifactOptions.roleToAssume) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-access-key-id": (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
                "aws-secret-access-key": (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret),
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        return [
          {
            name: "AWS CodeArtifact Login",
            run: `${this.runScriptCommand} ca:login`,
            env: {
              AWS_ACCESS_KEY_ID: (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
              AWS_SECRET_ACCESS_KEY: (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret)
            }
          }
        ];
      }
      /**
       * Returns the set of workflow steps which should be executed to bootstrap a
       * workflow.
       *
       * @param options Options.
       * @returns Job steps
       */
      renderWorkflowSetup(options = {}) {
        const install = new Array();
        install.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          install.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        if (this.nodeVersion || this.workflowPackageCache) {
          const cache = this.package.packageManager === node_package_1.NodePackageManager.YARN ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.YARN2 ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.PNPM ? "pnpm" : "npm";
          install.push({
            name: "Setup Node.js",
            uses: "actions/setup-node@v3",
            with: {
              ...this.nodeVersion && {
                "node-version": this.nodeVersion
              },
              ...this.workflowPackageCache && {
                cache
              }
            }
          });
        }
        const mutable = options.mutable ?? false;
        if (this.package.scopedPackagesOptions) {
          install.push(...this.getScopedPackageSteps(this.package.codeArtifactOptions));
        }
        install.push({
          name: "Install dependencies",
          run: mutable ? this.package.installAndUpdateLockfileCommand : this.package.installCommand
        });
        return install;
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        return this.package.addDeps(...deps);
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        return this.package.addDevDeps(...deps);
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        return this.package.addPeerDeps(...deps);
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        return this.package.addBundledDeps(...deps);
      }
      addPackageIgnore(pattern) {
        this.npmignore?.addPatterns(pattern);
      }
      addLicense(options) {
        if (this.package.license) {
          new license_1.License(this, {
            spdx: this.package.license,
            copyrightOwner: options.copyrightOwner ?? options.authorName,
            copyrightPeriod: options.copyrightPeriod
          });
        }
      }
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Logs", "logs", "*.log", "npm-debug.log*", "yarn-debug.log*", "yarn-error.log*", "lerna-debug.log*", "# Diagnostic reports (https://nodejs.org/api/report.html)", "report.[0-9]*.[0-9]*.[0-9]*.[0-9]*.json", "# Runtime data", "pids", "*.pid", "*.seed", "*.pid.lock", "# Directory for instrumented libs generated by jscoverage/JSCover", "lib-cov", "# Coverage directory used by tools like istanbul", "coverage", "*.lcov", "# nyc test coverage", ".nyc_output", "# Compiled binary addons (https://nodejs.org/api/addons.html)", "build/Release", "# Dependency directories", "node_modules/", "jspm_packages/", "# TypeScript cache", "*.tsbuildinfo", "# Optional eslint cache", ".eslintcache", "# Output of 'npm pack'", "*.tgz", "# Yarn Integrity file", ".yarn-integrity", "# parcel-bundler cache (https://parceljs.org/)", ".cache");
      }
      /**
       * Returns the shell command to execute in order to run a task. This will
       * typically be `npx projen TASK`.
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `${this.package.projenCommand} ${task.name}`;
      }
      /**
       * The job ID of the build workflow.
       */
      get buildWorkflowJobId() {
        return this.buildWorkflow?.buildJobIds[0];
      }
    };
    exports2.NodeProject = NodeProject;
    _a = JSII_RTTI_SYMBOL_1;
    NodeProject[_a] = { fqn: "projen.javascript.NodeProject", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/npm-config.js
var require_npm_config3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/npm-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NpmConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var ini_1 = require_ini6();
    var NpmConfig = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.config = {};
        new ini_1.IniFile(project, ".npmrc", {
          obj: this.config,
          omitEmpty: options.omitEmpty
        });
        if (options.registry) {
          this.addRegistry(options.registry);
        }
      }
      /**
       * configure a scoped registry
       *
       * @param url the URL of the registry to use
       * @param scope the scope the registry is used for; leave empty for the default registry
       */
      addRegistry(url, scope) {
        this.addConfig(scope ? `${scope}:registry` : "registry", url);
      }
      /**
       * configure a generic property
       *
       * @param name the name of the property
       * @param value the value of the property
       */
      addConfig(name, value) {
        this.config[name] = value;
      }
    };
    exports2.NpmConfig = NpmConfig;
    _a = JSII_RTTI_SYMBOL_1;
    NpmConfig[_a] = { fqn: "projen.javascript.NpmConfig", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/typescript-config.js
var require_typescript_config3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/typescript-config.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypescriptConfig = exports2.TypescriptConfigExtends = exports2.TypeScriptJsxMode = exports2.TypeScriptImportsNotUsedAsValues = exports2.TypeScriptModuleResolution = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver10();
    var _1 = require_javascript3();
    var component_1 = require_component3();
    var json_1 = require_json5();
    var TypeScriptModuleResolution;
    (function(TypeScriptModuleResolution2) {
      TypeScriptModuleResolution2["CLASSIC"] = "classic";
      TypeScriptModuleResolution2["NODE"] = "node";
      TypeScriptModuleResolution2["NODE16"] = "node16";
      TypeScriptModuleResolution2["NODE_NEXT"] = "nodenext";
      TypeScriptModuleResolution2["BUNDLER"] = "bundler";
    })(TypeScriptModuleResolution || (exports2.TypeScriptModuleResolution = TypeScriptModuleResolution = {}));
    var TypeScriptImportsNotUsedAsValues;
    (function(TypeScriptImportsNotUsedAsValues2) {
      TypeScriptImportsNotUsedAsValues2["REMOVE"] = "remove";
      TypeScriptImportsNotUsedAsValues2["PRESERVE"] = "preserve";
      TypeScriptImportsNotUsedAsValues2["ERROR"] = "error";
    })(TypeScriptImportsNotUsedAsValues || (exports2.TypeScriptImportsNotUsedAsValues = TypeScriptImportsNotUsedAsValues = {}));
    var TypeScriptJsxMode;
    (function(TypeScriptJsxMode2) {
      TypeScriptJsxMode2["PRESERVE"] = "preserve";
      TypeScriptJsxMode2["REACT"] = "react";
      TypeScriptJsxMode2["REACT_NATIVE"] = "react-native";
      TypeScriptJsxMode2["REACT_JSX"] = "react-jsx";
      TypeScriptJsxMode2["REACT_JSXDEV"] = "react-jsxdev";
    })(TypeScriptJsxMode || (exports2.TypeScriptJsxMode = TypeScriptJsxMode = {}));
    var TypescriptConfigExtends = class _TypescriptConfigExtends {
      /**
       * Factory for creation from array of file paths.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than one value in `paths`.
       *
       * @param paths Absolute or relative paths to base `tsconfig.json` files.
       */
      static fromPaths(paths) {
        return new _TypescriptConfigExtends(paths);
      }
      /**
       * Factory for creation from array of other `TypescriptConfig` instances.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than on value in `configs`.
       *
       * @param configs Base `TypescriptConfig` instances.
       */
      static fromTypescriptConfigs(configs) {
        const paths = configs.map((config) => config.file.absolutePath);
        return _TypescriptConfigExtends.fromPaths(paths);
      }
      constructor(bases) {
        this.bases = bases;
      }
      toJSON() {
        return this.bases;
      }
    };
    exports2.TypescriptConfigExtends = TypescriptConfigExtends;
    _a = JSII_RTTI_SYMBOL_1;
    TypescriptConfigExtends[_a] = { fqn: "projen.javascript.TypescriptConfigExtends", version: "0.71.112" };
    var TypescriptConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const fileName = options.fileName ?? "tsconfig.json";
        this._extends = options.extends ?? TypescriptConfigExtends.fromPaths([]);
        this.include = options.include ?? ["**/*.ts"];
        this.exclude = options.exclude ?? ["node_modules"];
        this.fileName = fileName;
        this.compilerOptions = options.compilerOptions;
        this.file = new json_1.JsonFile(project, fileName, {
          allowComments: true,
          obj: {
            extends: () => this.renderExtends(),
            compilerOptions: this.compilerOptions,
            include: () => this.include,
            exclude: () => this.exclude
          }
        });
        if (project instanceof _1.NodeProject) {
          project.npmignore?.exclude(`/${fileName}`);
        }
      }
      /**
       * Render appropriate value for `extends` field.
       * @private
       */
      renderExtends() {
        if (this.extends.length <= 1) {
          return this.extends[0];
        }
        return this.extends;
      }
      /**
       * Resolve valid TypeScript extends paths relative to this config.
       *
       * @remarks
       * This will only resolve the relative path from this config to another given
       * an absolute path as input. Any non-absolute path or other string will be returned as is.
       * This is to preserve manually specified relative paths as well as npm import paths.
       *
       * @param configPath Path to resolve against.
       */
      resolveExtendsPath(configPath) {
        if (!path.isAbsolute(configPath))
          return configPath;
        const relativeConfig = path.relative(path.dirname(this.file.absolutePath), configPath);
        const { dir, ...pathParts } = path.parse(relativeConfig);
        const configDir = dir ? path.format({ dir: dir.startsWith("..") ? "" : ".", base: dir }) : ".";
        return path.format({ ...pathParts, dir: configDir });
      }
      /**
       * Validate usage of `extends` against current TypeScript version.
       * @private
       */
      validateExtends() {
        const project = this.project;
        const hasOneOrNoneExtends = this.extends.length <= 1;
        const isNodeProject = project instanceof _1.NodeProject;
        if (hasOneOrNoneExtends || !isNodeProject) {
          return;
        }
        const tsVersion = semver.coerce(project.package.tryResolveDependencyVersion("typescript"), { loose: true });
        if (tsVersion && tsVersion.major < 5) {
          this.project.logger.warn("TypeScript < 5.0.0 can only extend from a single base config.", `TypeScript Version: ${tsVersion.format()}`, `File: ${this.file.absolutePath}`, `Extends: ${this.extends}`);
        }
      }
      /**
       * Array of base `tsconfig.json` paths.
       * Any absolute paths are resolved relative to this instance,
       * while any relative paths are used as is.
       */
      get extends() {
        return this._extends.toJSON().map((value) => this.resolveExtendsPath(value));
      }
      /**
       * Extend from base `TypescriptConfig` instance.
       *
       * @remarks
       * TypeScript 5.0+ is required to extend from more than one base `TypescriptConfig`.
       *
       * @param value Base `TypescriptConfig` instance.
       */
      addExtends(value) {
        this._extends = TypescriptConfigExtends.fromPaths([
          ...this._extends.toJSON(),
          value.file.absolutePath
        ]);
      }
      addInclude(pattern) {
        this.include.push(pattern);
      }
      addExclude(pattern) {
        this.exclude.push(pattern);
      }
      preSynthesize() {
        super.preSynthesize();
        this.validateExtends();
      }
    };
    exports2.TypescriptConfig = TypescriptConfig;
    _b = JSII_RTTI_SYMBOL_1;
    TypescriptConfig[_b] = { fqn: "projen.javascript.TypescriptConfig", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/javascript/upgrade-dependencies.js
var require_upgrade_dependencies3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/upgrade-dependencies.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.UpgradeDependenciesSchedule = exports2.UpgradeDependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var github_1 = require_github6();
    var constants_1 = require_constants10();
    var workflow_actions_1 = require_workflow_actions3();
    var workflows_model_1 = require_workflows_model3();
    var release_1 = require_release6();
    var CREATE_PATCH_STEP_ID = "create_patch";
    var PATCH_CREATED_OUTPUT = "patch_created";
    var UpgradeDependencies = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.workflows = [];
        this._project = project;
        this.options = options;
        this.pullRequestTitle = options.pullRequestTitle ?? "upgrade dependencies";
        this.gitIdentity = options.workflowOptions?.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.permissions = {
          contents: workflows_model_1.JobPermission.READ,
          ...options.workflowOptions?.permissions
        };
        this.postBuildSteps = [];
        this.containerOptions = options.workflowOptions?.container;
        project.addDevDeps("npm-check-updates@^16");
        this.postUpgradeTask = project.tasks.tryFind("post-upgrade") ?? project.tasks.addTask("post-upgrade", {
          description: "Runs after upgrading dependencies"
        });
        this.upgradeTask = project.addTask(options.taskName ?? "upgrade", {
          // this task should not run in CI mode because its designed to
          // update package.json and lock files.
          env: { CI: "0" },
          description: this.pullRequestTitle,
          steps: { toJSON: () => this.renderTaskSteps() }
        });
        this.upgradeTask.lock();
        if (this.upgradeTask && project.github && (options.workflow ?? true)) {
          if (options.workflowOptions?.branches) {
            for (const branch of options.workflowOptions.branches) {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            }
          } else if (release_1.Release.of(project)) {
            const release = release_1.Release.of(project);
            release._forEachBranch((branch) => {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            });
          } else {
            const defaultBranch = void 0;
            this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, defaultBranch));
          }
        }
      }
      /**
       * Add steps to execute a successful build.
       * @param steps workflow steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      renderTaskSteps() {
        const exclude = this.options.exclude ?? [];
        const ncuExcludes = [
          ...new Set(this.project.deps.all.filter((dep) => dep.version && dep.version[0] !== "^" && dep.type !== dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(exclude))
        ];
        const ncuIncludes = this.options.include?.filter((item) => !ncuExcludes.includes(item));
        const includeLength = this.options.include?.length ?? 0;
        const ncuIncludesLength = ncuIncludes?.length ?? 0;
        if (includeLength > 0 && ncuIncludesLength === 0) {
          return [{ exec: "echo No dependencies to upgrade." }];
        }
        const steps = new Array();
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand([], ["npm-check-updates"])
        });
        for (const dep of ["dev", "optional", "peer", "prod", "bundle"]) {
          const ncuCommand = [
            "npm-check-updates",
            "--dep",
            dep,
            "--upgrade",
            "--target=minor"
          ];
          if (ncuIncludes) {
            ncuCommand.push(`--filter='${ncuIncludes.join(",")}'`);
          } else if (ncuExcludes.length > 0) {
            ncuCommand.push(`--reject='${ncuExcludes.join(",")}'`);
          }
          steps.push({ exec: ncuCommand.join(" ") });
        }
        steps.push({ exec: this._project.package.installAndUpdateLockfileCommand });
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand(exclude, this.options.include)
        });
        steps.push({ exec: this._project.projenCommand });
        steps.push({ spawn: this.postUpgradeTask.name });
        return steps;
      }
      createWorkflow(task, github, branch) {
        const schedule = this.options.workflowOptions?.schedule ?? UpgradeDependenciesSchedule.DAILY;
        const workflowName = `${task.name}${branch ? `-${branch.replace(/\//g, "-")}` : ""}`;
        const workflow = github.addWorkflow(workflowName);
        const triggers = {
          workflowDispatch: {},
          schedule: schedule.cron.length > 0 ? schedule.cron.map((e) => ({ cron: e })) : void 0
        };
        workflow.on(triggers);
        const upgrade = this.createUpgrade(task, github, branch);
        const pr = this.createPr(workflow, upgrade);
        const jobs = {};
        jobs[upgrade.jobId] = upgrade.job;
        jobs[pr.jobId] = pr.job;
        workflow.addJobs(jobs);
        return workflow;
      }
      createUpgrade(task, github, branch) {
        const runsOn = this.options.workflowOptions?.runsOn ?? ["ubuntu-latest"];
        const with_ = {
          ...branch ? { ref: branch } : {},
          ...github.downloadLfs ? { lfs: true } : {}
        };
        const steps = [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: Object.keys(with_).length > 0 ? with_ : void 0
          },
          ...this._project.renderWorkflowSetup({ mutable: false }),
          {
            name: "Upgrade dependencies",
            run: this._project.runTaskCommand(task)
          }
        ];
        steps.push(...this.postBuildSteps);
        steps.push(...workflow_actions_1.WorkflowActions.uploadGitPatch({
          stepId: CREATE_PATCH_STEP_ID,
          outputName: PATCH_CREATED_OUTPUT
        }));
        return {
          job: {
            name: "Upgrade",
            container: this.containerOptions,
            permissions: this.permissions,
            runsOn: runsOn ?? ["ubuntu-latest"],
            steps,
            outputs: {
              [PATCH_CREATED_OUTPUT]: {
                stepId: CREATE_PATCH_STEP_ID,
                outputName: PATCH_CREATED_OUTPUT
              }
            }
          },
          jobId: "upgrade",
          ref: branch
        };
      }
      createPr(workflow, upgrade) {
        const credentials = this.options.workflowOptions?.projenCredentials ?? workflow.projenCredentials;
        return {
          job: github_1.WorkflowJobs.pullRequestFromPatch({
            patch: {
              jobId: upgrade.jobId,
              outputName: PATCH_CREATED_OUTPUT,
              ref: upgrade.ref
            },
            workflowName: workflow.name,
            credentials,
            runsOn: this.options.workflowOptions?.runsOn,
            pullRequestTitle: `chore(deps): ${this.pullRequestTitle}`,
            pullRequestDescription: "Upgrades project dependencies.",
            gitIdentity: this.gitIdentity,
            assignees: this.options.workflowOptions?.assignees,
            labels: this.options.workflowOptions?.labels,
            signoff: this.options.signoff
          }),
          jobId: "pr"
        };
      }
    };
    exports2.UpgradeDependencies = UpgradeDependencies;
    _a = JSII_RTTI_SYMBOL_1;
    UpgradeDependencies[_a] = { fqn: "projen.javascript.UpgradeDependencies", version: "0.71.112" };
    var UpgradeDependenciesSchedule = class _UpgradeDependenciesSchedule {
      /**
       * Create a schedule from a raw cron expression.
       */
      static expressions(cron) {
        return new _UpgradeDependenciesSchedule(cron);
      }
      constructor(cron) {
        this.cron = cron;
      }
    };
    exports2.UpgradeDependenciesSchedule = UpgradeDependenciesSchedule;
    _b = JSII_RTTI_SYMBOL_1;
    UpgradeDependenciesSchedule[_b] = { fqn: "projen.javascript.UpgradeDependenciesSchedule", version: "0.71.112" };
    UpgradeDependenciesSchedule.NEVER = new UpgradeDependenciesSchedule([]);
    UpgradeDependenciesSchedule.DAILY = new UpgradeDependenciesSchedule(["0 0 * * *"]);
    UpgradeDependenciesSchedule.WEEKDAY = new UpgradeDependenciesSchedule([
      "0 0 * * 1-5"
    ]);
    UpgradeDependenciesSchedule.WEEKLY = new UpgradeDependenciesSchedule([
      "0 0 * * 1"
    ]);
    UpgradeDependenciesSchedule.MONTHLY = new UpgradeDependenciesSchedule([
      "0 0 1 * *"
    ]);
  }
});

// ../blueprint/node_modules/projen/lib/javascript/index.js
var require_javascript3 = __commonJS({
  "../blueprint/node_modules/projen/lib/javascript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_bundler3(), exports2);
    __exportStar(require_eslint3(), exports2);
    __exportStar(require_jest3(), exports2);
    __exportStar(require_node_package3(), exports2);
    __exportStar(require_node_project3(), exports2);
    __exportStar(require_npm_config3(), exports2);
    __exportStar(require_prettier3(), exports2);
    __exportStar(require_projenrc12(), exports2);
    __exportStar(require_typescript_config3(), exports2);
    __exportStar(require_upgrade_dependencies3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/typescript/projenrc.js
var require_projenrc13 = __commonJS({
  "../blueprint/node_modules/projen/lib/typescript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var render_options_1 = require_render_options3();
    var projenrc_1 = require_projenrc11();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this._tsProject = project;
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this._swc = options.swc ?? false;
        this.addDefaultTask();
        this.generateProjenrc();
      }
      addDefaultTask() {
        const deps = ["ts-node"];
        if (this._swc) {
          deps.push("@swc/core");
        }
        this._tsProject.addDevDeps(...deps);
        const tsNode = this._swc ? "ts-node --swc" : "ts-node";
        this._tsProject.defaultTask?.exec(`${tsNode} --project ${this._tsProject.tsconfigDev.fileName} ${this.filePath}`);
      }
      preSynthesize() {
        this._tsProject.tsconfigDev.addInclude(this.filePath);
        this._tsProject.tsconfigDev.addInclude(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addLintPattern(this._projenCodeDir);
        this._tsProject.eslint?.addLintPattern(this.filePath);
        this._tsProject.eslint?.allowDevDeps(this.filePath);
        this._tsProject.eslint?.allowDevDeps(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addIgnorePattern(`!${this.filePath}`);
        this._tsProject.eslint?.addIgnorePattern(`!${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.typescript.Projenrc", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/typescript/projenrc-ts.js
var require_projenrc_ts3 = __commonJS({
  "../blueprint/node_modules/projen/lib/typescript/projenrc-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcTs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var javascript_1 = require_javascript3();
    var render_options_1 = require_render_options3();
    var projenrc_1 = require_projenrc11();
    var ProjenrcTs = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this.tsconfig = new javascript_1.TypescriptConfig(project, {
          fileName: options.tsconfigFileName ?? "tsconfig.projen.json",
          compilerOptions: {}
        });
        project.defaultTask?.exec(`npx -y ts-node --project ${this.tsconfig.fileName} ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        this.tsconfig.addInclude(this.filePath);
        this.tsconfig.addInclude(`${this._projenCodeDir}/**/*.ts`);
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcTs = ProjenrcTs;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcTs[_a] = { fqn: "projen.typescript.ProjenrcTs", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/typescript/typescript.js
var require_typescript5 = __commonJS({
  "../blueprint/node_modules/projen/lib/typescript/typescript.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.mergeTsconfigOptions = exports2.TypeScriptLibraryProject = exports2.TypeScriptAppProject = exports2.TypeScriptProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver10();
    var common_1 = require_common9();
    var component_1 = require_component3();
    var javascript_1 = require_javascript3();
    var sample_file_1 = require_sample_file3();
    var textfile_1 = require_textfile3();
    var typescript_1 = require_typescript6();
    var util_1 = require_util14();
    var TypeScriptProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          ...options,
          // disable .projenrc.js if typescript is enabled
          projenrcJs: options.projenrcTs ? false : options.projenrcJs,
          jestOptions: {
            ...options.jestOptions,
            jestConfig: {
              ...options.jestOptions?.jestConfig,
              testMatch: options.jestOptions?.jestConfig?.testMatch ?? []
            }
          }
        });
        this.srcdir = options.srcdir ?? "src";
        this.libdir = options.libdir ?? "lib";
        this.docgen = options.docgen;
        this.docsDirectory = options.docsDirectory ?? "docs/";
        this.compileTask.exec("tsc --build");
        this.watchTask = this.addTask("watch", {
          description: "Watch & compile in the background",
          exec: "tsc --build -w"
        });
        this.testdir = options.testdir ?? "test";
        this.gitignore.include(`/${this.testdir}/`);
        this.npmignore?.exclude(`/${this.testdir}/`);
        const compiledTests = this.testdir.startsWith(this.srcdir + path.posix.sep);
        if (options.entrypointTypes || this.entrypoint !== "") {
          const entrypointTypes = options.entrypointTypes ?? `${path.join(path.dirname(this.entrypoint), path.basename(this.entrypoint, ".js")).replace(/\\/g, "/")}.d.ts`;
          this.package.addField("types", entrypointTypes);
        }
        const compilerOptionDefaults = {
          alwaysStrict: true,
          declaration: true,
          esModuleInterop: true,
          experimentalDecorators: true,
          inlineSourceMap: true,
          inlineSources: true,
          lib: ["es2019"],
          module: "CommonJS",
          noEmitOnError: false,
          noFallthroughCasesInSwitch: true,
          noImplicitAny: true,
          noImplicitReturns: true,
          noImplicitThis: true,
          noUnusedLocals: true,
          noUnusedParameters: true,
          resolveJsonModule: true,
          strict: true,
          strictNullChecks: true,
          strictPropertyInitialization: true,
          stripInternal: true,
          target: "ES2019"
        };
        if (options.disableTsconfigDev && options.disableTsconfig) {
          throw new Error("Cannot specify both 'disableTsconfigDev' and 'disableTsconfig' fields.");
        }
        if (!options.disableTsconfig) {
          this.tsconfig = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            include: [`${this.srcdir}/**/*.ts`],
            // exclude: ['node_modules'], // TODO: shouldn't we exclude node_modules?
            compilerOptions: {
              rootDir: this.srcdir,
              outDir: this.libdir,
              ...compilerOptionDefaults
            }
          }, options.tsconfig));
        }
        if (options.disableTsconfigDev) {
          this.tsconfigDev = this.tsconfig;
        } else {
          const tsconfigDevFile = options.tsconfigDevFile ?? "tsconfig.dev.json";
          this.tsconfigDev = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            fileName: tsconfigDevFile,
            include: [
              common_1.PROJEN_RC,
              `${this.srcdir}/**/*.ts`,
              `${this.testdir}/**/*.ts`
            ],
            exclude: ["node_modules"],
            compilerOptions: compilerOptionDefaults
          }, options.tsconfig, options.tsconfigDev));
        }
        this.gitignore.include(`/${this.srcdir}/`);
        this.npmignore?.exclude(`/${this.srcdir}/`);
        if (this.srcdir !== this.libdir) {
          this.gitignore.exclude(`/${this.libdir}`);
        } else {
          this.gitignore.exclude(`/${this.libdir}/**/*.js`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts.map`);
        }
        this.npmignore?.include(`/${this.libdir}/`);
        this.npmignore?.include(`/${this.libdir}/**/*.js`);
        this.npmignore?.include(`/${this.libdir}/**/*.d.ts`);
        this.gitignore.exclude("/dist/");
        this.npmignore?.exclude("dist");
        this.npmignore?.exclude("/tsconfig.json");
        this.npmignore?.exclude("/.github/");
        this.npmignore?.exclude("/.vscode/");
        this.npmignore?.exclude("/.idea/");
        this.npmignore?.exclude("/.projenrc.js");
        this.npmignore?.exclude("tsconfig.tsbuildinfo");
        if (this.jest) {
          if (compiledTests) {
            this.addJestCompiled(this.jest);
          } else {
            this.addJestNoCompile(this.jest);
          }
        }
        if (options.eslint ?? true) {
          this.eslint = new javascript_1.Eslint(this, {
            tsconfigPath: `./${this.tsconfigDev.fileName}`,
            dirs: [this.srcdir],
            devdirs: [this.testdir, "build-tools"],
            fileExtensions: [".ts", ".tsx"],
            lintProjenRc: false,
            ...options.eslintOptions
          });
          this.tsconfigEslint = this.tsconfigDev;
        }
        if (!this.parent && options.projenrcTs) {
          new typescript_1.Projenrc(this, options.projenrcTsOptions);
        }
        const tsver = options.typescriptVersion ? `@${options.typescriptVersion}` : "";
        this.addDevDeps(
          `typescript${tsver}`,
          // @types/node versions numbers match the node runtime versions' major.minor, however, new
          // releases are only created when API changes are included in a node release... We might for
          // example have dependencies that require `node >= 12.22`, but as 12.21 and 12.22 did not
          // include API changes, `@types/node@12.20.x` is the "correct" version to use. As it is not
          // possible to easily determine the correct version to use, we pick up the latest version.
          //
          // Additionally, we default to tracking the 12.x line, as the current earliest LTS release of
          // node is 12.x, so this is what corresponds to the broadest compatibility with supported node
          // runtimes.
          `@types/node@^${semver.major(this.package.minNodeVersion ?? "16.0.0")}`
        );
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        if (this.docgen) {
          new typescript_1.TypedocDocgen(this);
        }
      }
      /**
       * Tests are compiled to `lib/TESTDIR`, so we don't need jest to compile them
       * for us. just run them directly from javascript.
       */
      addJestCompiled(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`);
        const testout = path.posix.relative(this.srcdir, this.testdir);
        const libtest = path.posix.join(this.libdir, testout);
        const srctest = this.testdir;
        this.npmignore?.exclude(`/${libtest}/`);
        jest.addTestMatch(`**/${libtest}/**/?(*.)+(spec|test).js?(x)`);
        jest.addWatchIgnorePattern(`/${this.srcdir}/`);
        const resolveSnapshotPath = (test, ext) => {
          const fullpath = test.replace(libtest, srctest);
          return path.join(path.dirname(fullpath), "__snapshots__", path.basename(fullpath, ".js") + ".ts" + ext);
        };
        const resolveTestPath = (snap, ext) => {
          const filename = path.basename(snap, ".ts" + ext) + ".js";
          const dir = path.dirname(path.dirname(snap)).replace(srctest, libtest);
          return path.join(dir, filename);
        };
        const resolver = new textfile_1.TextFile(this, path.posix.join(common_1.PROJEN_DIR, "jest-snapshot-resolver.js"));
        if (!resolver.marker) {
          resolver.addLine(`// ${resolver.marker}`);
        }
        resolver.addLine('const path = require("path");');
        resolver.addLine(`const libtest = "${libtest}";`);
        resolver.addLine(`const srctest= "${srctest}";`);
        resolver.addLine("module.exports = {");
        resolver.addLine(`  resolveSnapshotPath: ${resolveSnapshotPath.toString()},`);
        resolver.addLine(`  resolveTestPath: ${resolveTestPath.toString()},`);
        resolver.addLine("  testPathForConsistencyCheck: path.join('some', '__tests__', 'example.test.js')");
        resolver.addLine("};");
        jest.addSnapshotResolver(`./${resolver.path}`);
      }
      addJestNoCompile(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`, `ts-jest${jest.jestVersion}`);
        jest.addTestMatch(`<rootDir>/${this.srcdir}/**/__tests__/**/*.ts?(x)`);
        jest.addTestMatch(`<rootDir>/(${this.testdir}|${this.srcdir})/**/*(*.)@(spec|test).ts?(x)`);
        if (!jest.config.preset) {
          jest.config.preset = "ts-jest";
        }
        jest.config.globals = (0, util_1.deepMerge)([
          {
            "ts-jest": {
              tsconfig: this.tsconfigDev.fileName
            }
          },
          jest.config.globals
        ]);
      }
    };
    exports2.TypeScriptProject = TypeScriptProject;
    _a = JSII_RTTI_SYMBOL_1;
    TypeScriptProject[_a] = { fqn: "projen.typescript.TypeScriptProject", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        const srcCode = [
          "export class Hello {",
          "  public sayHello() {",
          "    return 'hello, world!';",
          "  }",
          "}"
        ].join("\n");
        const testCode = [
          "import { Hello } from '../src';",
          "",
          "test('hello', () => {",
          "  expect(new Hello().sayHello()).toBe('hello, world!');",
          "});"
        ].join("\n");
        new sample_file_1.SampleDir(project, project.srcdir, {
          files: {
            "index.ts": srcCode
          }
        });
        if (project.jest) {
          new sample_file_1.SampleDir(project, project.testdir, {
            files: {
              "hello.test.ts": testCode
            }
          });
        }
      }
    };
    var TypeScriptAppProject = class extends TypeScriptProject {
      constructor(options) {
        super({
          allowLibraryDependencies: false,
          releaseWorkflow: false,
          entrypoint: "",
          package: false,
          ...options
        });
      }
    };
    exports2.TypeScriptAppProject = TypeScriptAppProject;
    _b = JSII_RTTI_SYMBOL_1;
    TypeScriptAppProject[_b] = { fqn: "projen.typescript.TypeScriptAppProject", version: "0.71.112" };
    var TypeScriptLibraryProject = class extends TypeScriptProject {
    };
    exports2.TypeScriptLibraryProject = TypeScriptLibraryProject;
    _c = JSII_RTTI_SYMBOL_1;
    TypeScriptLibraryProject[_c] = { fqn: "projen.typescript.TypeScriptLibraryProject", version: "0.71.112" };
    function mergeTsconfigOptions(...options) {
      const definedOptions = options.filter(Boolean);
      return definedOptions.reduce((previous, current) => ({
        ...previous,
        ...current,
        include: [...previous.include ?? [], ...current.include ?? []],
        exclude: [...previous.exclude ?? [], ...current.exclude ?? []],
        compilerOptions: {
          ...previous.compilerOptions,
          ...current.compilerOptions
        }
      }), { compilerOptions: {} });
    }
    exports2.mergeTsconfigOptions = mergeTsconfigOptions;
  }
});

// ../blueprint/node_modules/projen/lib/typescript/typescript-typedoc.js
var require_typescript_typedoc3 = __commonJS({
  "../blueprint/node_modules/projen/lib/typescript/typescript-typedoc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypedocDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TypedocDocgen = class {
      constructor(project) {
        project.addDevDeps("typedoc");
        const docgen = project.addTask("docgen", {
          description: `Generate TypeScript API reference ${project.docsDirectory}`,
          exec: `typedoc ${project.srcdir} --disableSources --out ${project.docsDirectory}`
        });
        project.postCompileTask.spawn(docgen);
      }
    };
    exports2.TypedocDocgen = TypedocDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    TypedocDocgen[_a] = { fqn: "projen.typescript.TypedocDocgen", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/typescript/index.js
var require_typescript6 = __commonJS({
  "../blueprint/node_modules/projen/lib/typescript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_projenrc13(), exports2);
    __exportStar(require_projenrc_ts3(), exports2);
    __exportStar(require_typescript5(), exports2);
    __exportStar(require_typescript_typedoc3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/web/next.js
var require_next3 = __commonJS({
  "../blueprint/node_modules/projen/lib/web/next.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NextComponent = exports2.NextJsTypeScriptProject = exports2.NextJsProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var postcss_1 = require_postcss3();
    var component_1 = require_component3();
    var javascript_1 = require_javascript3();
    var sample_file_1 = require_sample_file3();
    var typescript_1 = require_typescript6();
    var util_1 = require_util14();
    var NextJsProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          minNodeVersion: "12.22.0",
          workflowNodeVersion: "16.x",
          ...options
        });
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: false, tailwind: this.tailwind });
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "js",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsProject = NextJsProject;
    _a = JSII_RTTI_SYMBOL_1;
    NextJsProject[_a] = { fqn: "projen.web.NextJsProject", version: "0.71.112" };
    var NextJsTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "pages",
          eslint: false,
          minNodeVersion: "12.22.0",
          jest: false,
          workflowNodeVersion: "16.x",
          tsconfig: {
            include: ["**/*.ts", "**/*.tsx"],
            compilerOptions: {
              // required by Next.js
              esModuleInterop: true,
              module: "CommonJS",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              isolatedModules: true,
              resolveJsonModule: true,
              jsx: javascript_1.TypeScriptJsxMode.PRESERVE,
              // recommended by Next.js
              allowJs: true,
              skipLibCheck: true,
              forceConsistentCasingInFileNames: true,
              noEmit: true,
              lib: ["dom", "dom.iterable", "esnext"],
              strict: false,
              target: "es5",
              incremental: true
            }
          }
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: true, tailwind: this.tailwind });
        if (this.tsconfig) {
          this.tsconfig.file.readonly = false;
        }
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsTypeScriptProject = NextJsTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    NextJsTypeScriptProject[_b] = { fqn: "projen.web.NextJsTypeScriptProject", version: "0.71.112" };
    var NextComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        this.tailwind = options.tailwind ?? true;
        project.addDeps("next", "react", "react-dom");
        if (this.typescript) {
          project.addDevDeps("@types/react", "@types/react-dom");
        }
        if (this.tailwind) {
          new postcss_1.PostCss(project, { tailwind: true });
        }
        project.addTask("dev", {
          description: "Starts the Next.js application in development mode",
          exec: "next dev"
        });
        project.compileTask.exec("next build");
        project.addTask("export", {
          description: "Exports the application for production deployment",
          exec: "next export"
        });
        project.addTask("server", {
          description: "Starts the Next.js application in production mode",
          exec: "next start"
        });
        project.addTask("telemetry", {
          description: "Checks the status of Next.js telemetry collection",
          exec: "next telemetry"
        });
        project.npmignore?.exclude("# Next.js", "/.next/");
        project.gitignore.exclude("# Next.js", "/.next/");
      }
    };
    exports2.NextComponent = NextComponent;
    _c = JSII_RTTI_SYMBOL_1;
    NextComponent[_c] = { fqn: "projen.web.NextComponent", version: "0.71.112" };
    var NextSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "js";
        this.srcdir = options.srcdir;
        this.assetsdir = options.assetsdir;
        this.tailwind = options.tailwind;
        const indexJs = [
          'import Head from "next/head"',
          "",
          "export default function Home() {",
          "  return (",
          '    <div className="container">',
          "      <Head>",
          "        <title>Create Next App</title>",
          "      </Head>",
          "",
          "      <main>",
          '        <h1 className="title">',
          '          Welcome to <a href="https://nextjs.org">Next.js!</a>',
          "        </h1>",
          "",
          '        <p className="description">',
          "          Get started by editing <code>pages/index.js</code>",
          "        </p>",
          "",
          '        <div className="grid">',
          '          <a href="https://nextjs.org/docs" className="card">',
          "            <h3>Documentation &rarr;</h3>",
          "            <p>Find in-depth information about Next.js features and API.</p>",
          "          </a>",
          "",
          '          <a href="https://nextjs.org/learn" className="card">',
          "            <h3>Learn &rarr;</h3>",
          "            <p>Learn about Next.js in an interactive course with quizzes!</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://github.com/vercel/next.js/tree/master/examples"',
          '            className="card"',
          "          >",
          "            <h3>Examples &rarr;</h3>",
          "            <p>Discover and deploy boilerplate example Next.js projects.</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://vercel.com/import?filter=next.js&utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '            className="card"',
          "          >",
          "            <h3>Deploy &rarr;</h3>",
          "            <p>",
          "              Instantly deploy your Next.js site to a public URL with Vercel.",
          "            </p>",
          "          </a>",
          "        </div>",
          "      </main>",
          "",
          "      <footer>",
          "        <a",
          '          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Powered by Vercel",
          '          <img src="/vercel.svg" alt="Vercel Logo" className="logo" />',
          "        </a>",
          "      </footer>",
          "",
          "      <style jsx>{`",
          "        .container {",
          "          min-height: 100vh;",
          "          padding: 0 0.5rem;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        main {",
          "          padding: 5rem 0;",
          "          flex: 1;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer {",
          "          width: 100%;",
          "          height: 100px;",
          "          border-top: 1px solid #eaeaea;",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer img {",
          "          margin-left: 0.5rem;",
          "        }",
          "",
          "        footer a {",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        a {",
          "          color: inherit;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a {",
          "          color: #0070f3;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a:hover,",
          "        .title a:focus,",
          "        .title a:active {",
          "          text-decoration: underline;",
          "        }",
          "",
          "        .title {",
          "          margin: 0;",
          "          line-height: 1.15;",
          "          font-size: 4rem;",
          "        }",
          "",
          "        .title,",
          "        .description {",
          "          text-align: center;",
          "        }",
          "",
          "        .description {",
          "          line-height: 1.5;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        code {",
          "          background: #fafafa;",
          "          border-radius: 5px;",
          "          padding: 0.75rem;",
          "          font-size: 1.1rem;",
          "          font-family: Menlo, Monaco, Lucida Console, Liberation Mono,",
          "            DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace;",
          "        }",
          "",
          "        .grid {",
          "          display: flex;",
          "          align-items: center;",
          "          justify-content: center;",
          "          flex-wrap: wrap;",
          "",
          "          max-width: 800px;",
          "          margin-top: 3rem;",
          "        }",
          "",
          "        .card {",
          "          margin: 1rem;",
          "          flex-basis: 45%;",
          "          padding: 1.5rem;",
          "          text-align: left;",
          "          color: inherit;",
          "          text-decoration: none;",
          "          border: 1px solid #eaeaea;",
          "          border-radius: 10px;",
          "          transition: color 0.15s ease, border-color 0.15s ease;",
          "        }",
          "",
          "        .card:hover,",
          "        .card:focus,",
          "        .card:active {",
          "          color: #0070f3;",
          "          border-color: #0070f3;",
          "        }",
          "",
          "        .card h3 {",
          "          margin: 0 0 1rem 0;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        .card p {",
          "          margin: 0;",
          "          font-size: 1.25rem;",
          "          line-height: 1.5;",
          "        }",
          "",
          "        .logo {",
          "          height: 1em;",
          "        }",
          "",
          "        @media (max-width: 600px) {",
          "          .grid {",
          "            width: 100%;",
          "            flex-direction: column;",
          "          }",
          "        }",
          "      `}</style>",
          "",
          "      <style jsx global>{`",
          "        html,",
          "        body {",
          "          padding: 0;",
          "          margin: 0;",
          "          font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,",
          "            Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue,",
          "            sans-serif;",
          "        }",
          "",
          "        * {",
          "          box-sizing: border-box;",
          "        }",
          "      `}</style>",
          "    </div>",
          "  )",
          "}",
          ""
        ];
        if (this.tailwind) {
          indexJs.unshift('import "tailwindcss/tailwind.css"');
        }
        const vercelSvg = [
          '<svg width="283" height="64" viewBox="0 0 283 64" fill="none" ',
          '    xmlns="http://www.w3.org/2000/svg">',
          '    <path d="M141.04 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.46 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM248.72 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.45 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM200.24 34c0 6 3.92 10 10 10 4.12 0 7.21-1.87 8.8-4.92l7.68 4.43c-3.18 5.3-9.14 8.49-16.48 8.49-11.05 0-19-7.2-19-18s7.96-18 19-18c7.34 0 13.29 3.19 16.48 8.49l-7.68 4.43c-1.59-3.05-4.68-4.92-8.8-4.92-6.07 0-10 4-10 10zm82.48-29v46h-9V5h9zM36.95 0L73.9 64H0L36.95 0zm92.38 5l-27.71 48L73.91 5H84.3l17.32 30 17.32-30h10.39zm58.91 12v9.69c-1-.29-2.06-.49-3.2-.49-5.81 0-10 4-10 10V51h-9V17h9v9.2c0-5.08 5.91-9.2 13.2-9.2z" fill="#000"/>',
          "</svg>"
        ];
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            ["index." + this.fileExt]: indexJs.join("\n")
          }
        });
        new sample_file_1.SampleDir(project, this.assetsdir, {
          files: {
            "vercel.svg": vercelSvg.join("\n")
          }
        });
        new sample_file_1.SampleFile(project, "next-env.d.ts", {
          contents: [
            '/// <reference types="next" />',
            '/// <reference types="next/types/global" />',
            '/// <reference types="next/image-types/global" />',
            "// NOTE: This file should not be edited",
            "// see https://nextjs.org/docs/basic-features/typescript for more information.",
            ""
          ].join("\n")
        });
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/web/react.js
var require_react3 = __commonJS({
  "../blueprint/node_modules/projen/lib/web/react.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReactTypeDef = exports2.ReactComponent = exports2.ReactTypeScriptProject = exports2.ReactProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var component_1 = require_component3();
    var file_1 = require_file4();
    var javascript_1 = require_javascript3();
    var sample_file_1 = require_sample_file3();
    var source_code_1 = require_source_code3();
    var typescript_1 = require_typescript6();
    var util_1 = require_util14();
    var ReactProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          ...options
        });
        this.srcdir = options.srcdir ?? "src";
        new ReactComponent(this, { typescript: false, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "jsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
      }
    };
    exports2.ReactProject = ReactProject;
    _a = JSII_RTTI_SYMBOL_1;
    ReactProject[_a] = { fqn: "projen.web.ReactProject", version: "0.71.112" };
    var ReactTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "src",
          eslint: true,
          jest: false,
          tsconfig: {
            include: ["src"],
            compilerOptions: {
              target: "es5",
              lib: ["dom", "dom.iterable", "esnext"],
              allowJs: true,
              skipLibCheck: true,
              esModuleInterop: true,
              allowSyntheticDefaultImports: true,
              strict: true,
              forceConsistentCasingInFileNames: true,
              noFallthroughCasesInSwitch: true,
              module: "commonjs",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              resolveJsonModule: true,
              isolatedModules: true,
              noEmit: true,
              jsx: javascript_1.TypeScriptJsxMode.REACT_JSX
            }
          },
          typescriptVersion: options.typescriptVersion ?? "^4.0.3"
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "src";
        this.eslint?.addRules({
          "import/no-extraneous-dependencies": [
            "error",
            {
              devDependencies: ["**/src/**/*.test.tsx", "**/src/setupTests.ts"],
              optionalDependencies: false,
              peerDependencies: true
            }
          ]
        });
        new ReactComponent(this, { typescript: true, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
        this.package.addPackageResolutions(
          // https://github.com/DefinitelyTyped/DefinitelyTyped/issues/62300
          "@types/express@4.17.13",
          "@types/express-serve-static-core@4.17.30"
        );
      }
    };
    exports2.ReactTypeScriptProject = ReactTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    ReactTypeScriptProject[_b] = { fqn: "projen.web.ReactTypeScriptProject", version: "0.71.112" };
    var ReactComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        project.compileTask.reset();
        project.addDeps("react", "react-dom", "react-scripts@^5", "web-vitals");
        project.addDevDeps("@testing-library/jest-dom", "@testing-library/react", "@testing-library/user-event");
        if (this.typescript) {
          project.addDevDeps("@types/jest", "@types/react", "@types/react-dom");
        }
        const rewire = options.rewire ?? false;
        if (rewire) {
          const overridesPath = ".projen/react-config-overrides.js";
          project.addDevDeps("react-app-rewired");
          project.addFields({ "config-overrides-path": overridesPath });
          const configOverrides = new source_code_1.SourceCode(this.project, overridesPath);
          if (!configOverrides.marker) {
            configOverrides.line(`// ${configOverrides.marker}`);
          }
          configOverrides.line("/**");
          configOverrides.line(" * Override CRA configuration without needing to eject.");
          configOverrides.line(" *");
          configOverrides.line(" * @see https://www.npmjs.com/package/react-app-rewired");
          configOverrides.line(" */");
          configOverrides.open("module.exports = function override(config, env) {");
          for (const [key, value] of Object.entries(rewire)) {
            configOverrides.line(`config.${key} = ${JSON.stringify(value)};`);
          }
          configOverrides.line("return config;");
          configOverrides.close("};");
        }
        const reactScripts = rewire ? "react-app-rewired" : "react-scripts";
        project.addTask("dev", {
          description: "Starts the react application",
          exec: `${reactScripts} start`
        });
        project.compileTask.exec(`${reactScripts} build`);
        project.testTask.exec(`${reactScripts} test --watchAll=false`);
        const testWatch = project.tasks.tryFind("test:watch");
        testWatch?.reset(`${reactScripts} test`);
        project.npmignore?.exclude("# Build", "/build/");
        project.gitignore.exclude("# Build", "/build/");
        project.package.addField("eslintConfig", {
          extends: ["react-app", "react-app/jest"]
        });
        project.package.addField("browserslist", {
          production: [">0.2%", "not dead", "not op_mini all"],
          development: [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
          ]
        });
      }
    };
    exports2.ReactComponent = ReactComponent;
    _c = JSII_RTTI_SYMBOL_1;
    ReactComponent[_c] = { fqn: "projen.web.ReactComponent", version: "0.71.112" };
    var ReactSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "jsx";
        this.srcdir = options.srcdir;
        const logoSvg = [
          '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3">',
          '    <g fill="#61DAFB">',
          '        <path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/>',
          '        <circle cx="420.9" cy="296.5" r="45.7"/>',
          '        <path d="M520.5 78.1z"/>',
          "    </g>",
          "</svg>",
          ""
        ];
        const appJsx = [
          "import logo from './logo.svg';",
          "import './App.css'",
          "",
          "function App() {",
          "  return (",
          '   <div className="App">',
          '      <header className="App-header">',
          '        <img src={logo} className="App-logo" alt="logo" />',
          "        <p>",
          `          Edit <code>src/App.${this.fileExt}</code> and save to reload.`,
          "        </p>",
          '        <a className="App-link"',
          '          href="https://reactjs.org"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Learn React",
          "        </a>",
          "      </header>",
          "    </div>",
          "  );",
          "}",
          "",
          "export default App;",
          ""
        ];
        const appCss = [
          ".App {",
          "  text-align: center;",
          "}",
          "",
          ".App-logo {",
          "  height: 40vmin;",
          "  pointer-events: none;",
          "}",
          "",
          "@media (prefers-reduced-motion: no-preference) {",
          "  .App-logo {",
          "    animation: App-logo-spin infinite 20s linear;",
          "  }",
          "}",
          "",
          ".App-header {",
          "  background-color: #282c34;",
          "  min-height: 100vh;",
          "  display: flex;",
          "  flex-direction: column;",
          "  align-items: center;",
          "  justify-content: center;",
          "  font-size: calc(10px + 2vmin);",
          "  color: white;",
          "}",
          "",
          ".App-link {",
          "  color: #61dafb;",
          "}",
          "",
          "@keyframes App-logo-spin {",
          "  from {",
          "    transform: rotate(0deg);",
          "  }",
          "  to {",
          "    transform: rotate(360deg);",
          "  }",
          "}",
          ""
        ];
        const appTestJsx = [
          "import { render, screen } from '@testing-library/react';",
          "import App from './App';",
          "",
          "test('renders learn react link', () => {",
          "  render(<App />);",
          "  const linkElement = screen.getByText(/learn react/i);",
          "  expect(linkElement).toBeInTheDocument();",
          "});",
          ""
        ];
        const indexJsx = [
          "import React from 'react';",
          "import ReactDOM from 'react-dom';",
          "import './index.css';",
          "import App from './App';",
          "import reportWebVitals from './reportWebVitals';",
          "",
          "ReactDOM.render(",
          "  <React.StrictMode>",
          "    <App />",
          "  </React.StrictMode>,",
          "  document.getElementById('root')",
          ");",
          "",
          "// If you want to start measuring performance in your app, pass a function",
          "// to log results (for example: reportWebVitals(console.log))",
          "// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals",
          "reportWebVitals();",
          ""
        ];
        const indexCss = [
          "body {",
          "  margin: 0;",
          "  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',",
          "    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',",
          "    sans-serif;",
          "  -webkit-font-smoothing: antialiased;",
          "  -moz-osx-font-smoothing: grayscale;",
          "}",
          "",
          "code {",
          "  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',",
          "    monospace;",
          "}",
          ""
        ];
        const reportWebVitalsJs = [
          "import { ReportHandler } from 'web-vitals';",
          "",
          "const reportWebVitals = (onPerfEntry?: ReportHandler) => {",
          "  if (onPerfEntry && onPerfEntry instanceof Function) {",
          "    import('web-vitals').then(",
          "      ({ getCLS, getFID, getFCP, getLCP, getTTFB }) => {",
          "        getCLS(onPerfEntry);",
          "        getFID(onPerfEntry);",
          "        getFCP(onPerfEntry);",
          "        getLCP(onPerfEntry);",
          "        getTTFB(onPerfEntry);",
          "      },",
          "      () => {}",
          "    );",
          "  }",
          "};",
          "",
          "export default reportWebVitals;"
        ];
        const setupTestsJs = [
          "// jest-dom adds custom jest matchers for asserting on DOM nodes.",
          "// allows you to do things like:",
          "// expect(element).toHaveTextContent(/react/i)",
          "// learn more: https://github.com/testing-library/jest-dom",
          "import '@testing-library/jest-dom';",
          ""
        ];
        const reactTypeDef = ['/// <reference types="react-scripts" />'];
        const fileExtWithoutX = this.fileExt.replace("x", "");
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            "react-app-env.d.ts": reactTypeDef.join("\n"),
            "logo.svg": logoSvg.join("\n"),
            ["App." + this.fileExt]: appJsx.join("\n"),
            ["App.test." + this.fileExt]: appTestJsx.join("\n"),
            "App.css": appCss.join("\n"),
            ["index." + this.fileExt]: indexJsx.join("\n"),
            "index.css": indexCss.join("\n"),
            ["reportWebVitals." + fileExtWithoutX]: reportWebVitalsJs.join("\n"),
            ["setupTests." + fileExtWithoutX]: setupTestsJs.join("\n")
          }
        });
      }
    };
    var ReactTypeDef = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(_) {
        return ['/// <reference types="react-scripts" />'].join("\n");
      }
    };
    exports2.ReactTypeDef = ReactTypeDef;
    _d = JSII_RTTI_SYMBOL_1;
    ReactTypeDef[_d] = { fqn: "projen.web.ReactTypeDef", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/web/index.js
var require_web3 = __commonJS({
  "../blueprint/node_modules/projen/lib/web/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_next3(), exports2);
    __exportStar(require_postcss3(), exports2);
    __exportStar(require_react3(), exports2);
    __exportStar(require_tailwind3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/gitlab/configuration.js
var require_configuration3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitlab/configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CiConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case3();
    var component_1 = require_component3();
    var yaml_1 = require_yaml3();
    var CiConfiguration = class extends component_1.Component {
      constructor(project, name, options) {
        super(project);
        this.defaultAfterScript = [];
        this.defaultBeforeScript = [];
        this.defaultServices = [];
        this.defaultTags = [];
        this.include = [];
        this.stages = [];
        this.variables = {};
        this.jobs = {};
        this.project = project;
        this.name = path.parse(name).name;
        this.path = this.name === "gitlab-ci" ? ".gitlab-ci.yml" : `.gitlab/ci-templates/${name.toLocaleLowerCase()}.yml`;
        this.file = new yaml_1.YamlFile(this.project, this.path, {
          obj: () => this.renderCI(),
          // GitLab needs to read the file from the repository in order to work.
          committed: true
        });
        const defaults = options?.default;
        if (defaults) {
          this.defaultAfterScript.push(...defaults.afterScript ?? []);
          this.defaultArtifacts = defaults.artifacts;
          defaults.beforeScript && this.defaultBeforeScript.push(...defaults.beforeScript);
          this.defaultCache = defaults.cache;
          this.defaultImage = defaults.image;
          this.defaultInterruptible = defaults.interruptible;
          this.defaultRetry = defaults.retry;
          defaults.services && this.addServices(...defaults.services);
          defaults.tags && this.defaultTags.push(...defaults.tags);
          this.defaultTimeout = defaults.timeout;
        }
        this.pages = options?.pages;
        this.workflow = options?.workflow;
        if (options?.stages) {
          this.addStages(...options.stages);
        }
        if (options?.variables) {
          this.addGlobalVariables(options.variables);
        }
        if (options?.jobs) {
          this.addJobs(options.jobs);
        }
      }
      /**
       * Add additional yml/yaml files to the CI includes
       * @param includes The includes to add.
       */
      addIncludes(...includes) {
        for (const additional of includes) {
          this.assertIsValidInclude(additional);
          for (const existing of this.include) {
            if (this.areEqualIncludes(existing, additional)) {
              throw new Error(`${this.name}: GitLab CI ${existing} already contains one or more templates specified in ${additional}.`);
            }
          }
          this.include.push(additional);
        }
      }
      /**
       * Throw an error if the provided Include is invalid.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param include the Include to validate.
       */
      assertIsValidInclude(include) {
        const combos = [
          include.local,
          include.file && include.project,
          include.remote,
          include.template
        ];
        const len = combos.filter((x) => Boolean(x)).length;
        if (len !== 1) {
          throw new Error(`${this.name}: GitLab CI include ${include} contains ${len} property combination(s).
        A valid include configuration specifies *one* of the following property combinations.
        * local
        * file, project
        * remote
        * template  
        `);
        }
      }
      /**
       * Check if the equality of Includes.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param x First include to compare.
       * @param y Second include to compare.
       * @returns Whether the includes are equal.
       */
      areEqualIncludes(x, y) {
        if (x.local === y.local && x.local !== void 0) {
          return true;
        } else if (x.template === y.template && x.template !== void 0) {
          return true;
        } else if (x.remote === y.remote && x.remote !== void 0) {
          return true;
        } else if (x.project === y.project && x.ref === y.ref) {
          const xFiles = x.file ? x.file : [];
          const yFiles = y.file ? y.file : [];
          const allFiles = xFiles.concat(yFiles);
          return new Set(allFiles).size !== allFiles.length;
        }
        return false;
      }
      /**
       * Add additional services.
       * @param services The services to add.
       */
      addServices(...services) {
        for (const additional of services) {
          for (const existing of this.defaultServices) {
            if (additional.name === existing.name && additional.alias === existing.alias) {
              throw new Error(`${this.name}: GitLab CI already contains service ${additional}.`);
            }
          }
          this.defaultServices.push(additional);
        }
      }
      /**
       * Add a globally defined variable to the CI configuration.
       * @param variables The variables to add.
       */
      addGlobalVariables(variables) {
        for (const [key, value] of Object.entries(variables)) {
          if (this.variables[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains variable ${key}.`);
          }
          this.variables[key] = value;
        }
      }
      /**
       * Add stages to the CI configuration if not already present.
       * @param stages stages to add.
       */
      addStages(...stages) {
        for (const stage of stages) {
          if (!this.stages.includes(stage)) {
            this.stages.push(stage);
          }
        }
      }
      /**
       * Add jobs and their stages to the CI configuration.
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        for (const [key, value] of Object.entries(jobs)) {
          if (this.jobs[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains job ${key}.`);
          }
          this.jobs[key] = value;
          if (value.stage) {
            this.addStages(value.stage);
          }
        }
      }
      renderCI() {
        return {
          default: this.renderDefault(),
          include: this.include.length > 0 ? snakeCaseKeys(this.include) : void 0,
          pages: snakeCaseKeys(this.pages),
          services: this.defaultServices.length > 0 ? snakeCaseKeys(this.defaultServices) : void 0,
          variables: Object.entries(this.variables).length > 0 ? this.variables : void 0,
          workflow: snakeCaseKeys(this.workflow),
          stages: this.stages.length > 0 ? this.stages : void 0,
          // we do not want to change job names
          // as they can be hidden (https://docs.gitlab.com/ee/ci/jobs/index.html#hide-jobs)
          // or referenced in extends
          ...snakeCaseKeys(this.jobs, true)
        };
      }
      renderDefault() {
        const defaults = {
          afterScript: this.defaultAfterScript.length > 0 ? this.defaultAfterScript : void 0,
          artifacts: this.defaultArtifacts,
          beforeScript: this.defaultBeforeScript.length > 0 ? this.defaultBeforeScript : void 0,
          cache: this.defaultCache,
          image: this.defaultImage,
          interruptible: this.defaultInterruptible,
          retry: this.defaultRetry,
          services: this.defaultServices.length > 0 ? this.defaultServices : void 0,
          tags: this.defaultTags.length > 0 ? this.defaultTags : void 0,
          timeout: this.defaultTimeout
        };
        return Object.values(defaults).filter((x) => x).length ? snakeCaseKeys(defaults) : void 0;
      }
    };
    exports2.CiConfiguration = CiConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    CiConfiguration[_a] = { fqn: "projen.gitlab.CiConfiguration", version: "0.71.112" };
    function snakeCaseKeys(obj, skipTopLevel = false) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map((o) => snakeCaseKeys(o));
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null && k !== "variables") {
          v = snakeCaseKeys(v);
        }
        result[skipTopLevel ? k : (0, case_1.snake)(k)] = v;
      }
      return result;
    }
  }
});

// ../blueprint/node_modules/projen/lib/gitlab/configuration-model.js
var require_configuration_model3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitlab/configuration-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowWhen = exports2.Strategy = exports2.LinkType = exports2.DefaultElement = exports2.KubernetesEnum = exports2.DeploymentTier = exports2.Action = exports2.JobWhen = exports2.CacheWhen = exports2.CachePolicy = void 0;
    var CachePolicy;
    (function(CachePolicy2) {
      CachePolicy2["PULL"] = "pull";
      CachePolicy2["PUSH"] = "push";
      CachePolicy2["PULL_PUSH"] = "pull-push";
    })(CachePolicy || (exports2.CachePolicy = CachePolicy = {}));
    var CacheWhen;
    (function(CacheWhen2) {
      CacheWhen2["ALWAYS"] = "always";
      CacheWhen2["ON_FAILURE"] = "on_failure";
      CacheWhen2["ON_SUCCESS"] = "on_success";
    })(CacheWhen || (exports2.CacheWhen = CacheWhen = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["DELAYED"] = "delayed";
      JobWhen2["MANUAL"] = "manual";
      JobWhen2["NEVER"] = "never";
      JobWhen2["ON_FAILURE"] = "on_failure";
      JobWhen2["ON_SUCCESS"] = "on_success";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var Action;
    (function(Action2) {
      Action2["PREPARE"] = "prepare";
      Action2["START"] = "start";
      Action2["STOP"] = "stop";
    })(Action || (exports2.Action = Action = {}));
    var DeploymentTier;
    (function(DeploymentTier2) {
      DeploymentTier2["DEVELOPMENT"] = "development";
      DeploymentTier2["OTHER"] = "other";
      DeploymentTier2["PRODUCTION"] = "production";
      DeploymentTier2["STAGING"] = "staging";
      DeploymentTier2["TESTING"] = "testing";
    })(DeploymentTier || (exports2.DeploymentTier = DeploymentTier = {}));
    var KubernetesEnum;
    (function(KubernetesEnum2) {
      KubernetesEnum2["ACTIVE"] = "active";
    })(KubernetesEnum || (exports2.KubernetesEnum = KubernetesEnum = {}));
    var DefaultElement;
    (function(DefaultElement2) {
      DefaultElement2["AFTER_SCRIPT"] = "after_script";
      DefaultElement2["ARTIFACTS"] = "artifacts";
      DefaultElement2["BEFORE_SCRIPT"] = "before_script";
      DefaultElement2["CACHE"] = "cache";
      DefaultElement2["IMAGE"] = "image";
      DefaultElement2["INTERRUPTIBLE"] = "interruptible";
      DefaultElement2["RETRY"] = "retry";
      DefaultElement2["SERVICES"] = "services";
      DefaultElement2["TAGS"] = "tags";
      DefaultElement2["TIMEOUT"] = "timeout";
    })(DefaultElement || (exports2.DefaultElement = DefaultElement = {}));
    var LinkType;
    (function(LinkType2) {
      LinkType2["IMAGE"] = "image";
      LinkType2["OTHER"] = "other";
      LinkType2["PACKAGE"] = "package";
      LinkType2["RUNBOOK"] = "runbook";
    })(LinkType || (exports2.LinkType = LinkType = {}));
    var Strategy;
    (function(Strategy2) {
      Strategy2["DEPEND"] = "depend";
    })(Strategy || (exports2.Strategy = Strategy = {}));
    var WorkflowWhen;
    (function(WorkflowWhen2) {
      WorkflowWhen2["ALWAYS"] = "always";
      WorkflowWhen2["NEVER"] = "never";
    })(WorkflowWhen || (exports2.WorkflowWhen = WorkflowWhen = {}));
  }
});

// ../blueprint/node_modules/projen/lib/gitlab/nested-configuration.js
var require_nested_configuration3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitlab/nested-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NestedConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration3();
    var NestedConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, parent, name, options) {
        super(project, name, options);
        this.parent = parent;
      }
    };
    exports2.NestedConfiguration = NestedConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    NestedConfiguration[_a] = { fqn: "projen.gitlab.NestedConfiguration", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/gitlab/gitlab-configuration.js
var require_gitlab_configuration3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitlab/gitlab-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitlabConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration3();
    var nested_configuration_1 = require_nested_configuration3();
    var GitlabConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, options) {
        super(project, "gitlab-ci", options);
        this.nestedTemplates = {};
      }
      /**
       * Creates and adds nested templates to the includes of the main CI.
       * Additionally adds their stages to the main CI if they are not already present.
       * You can futher customize nested templates through the `nestedTemplates` property.
       * E.g. gitlabConfig.nestedTemplates['templateName']?.addStages('stageName')
       * @param config a record the names and configuraitons of the templates.
       */
      createNestedTemplates(config) {
        for (const [name, options] of Object.entries(config)) {
          if (this.nestedTemplates[name] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains template "${name}".`);
          }
          const template = new nested_configuration_1.NestedConfiguration(this.project, this, name, options);
          this.nestedTemplates[template.name] = template;
          this.addIncludes({ local: template.path });
          this.addStages(...template.stages);
        }
      }
    };
    exports2.GitlabConfiguration = GitlabConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    GitlabConfiguration[_a] = { fqn: "projen.gitlab.GitlabConfiguration", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/gitlab/index.js
var require_gitlab3 = __commonJS({
  "../blueprint/node_modules/projen/lib/gitlab/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_configuration3(), exports2);
    __exportStar(require_configuration_model3(), exports2);
    __exportStar(require_gitlab_configuration3(), exports2);
    __exportStar(require_nested_configuration3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/circleci/circleci.js
var require_circleci5 = __commonJS({
  "../blueprint/node_modules/projen/lib/circleci/circleci.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isObjectContainingFieldExactly = exports2.Circleci = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var util_1 = require_util14();
    var yaml_1 = require_yaml3();
    var Circleci = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.renderJobs = (jobs = []) => {
          let result = [];
          for (const job of jobs ?? []) {
            const { identifier, orbParameters, ...reduced } = job;
            if ((0, exports2.isObjectContainingFieldExactly)(job, "identifier")) {
              result = [...result, identifier];
            } else {
              result = [
                ...result,
                { [identifier]: { ...reduced, ...orbParameters } }
              ];
            }
          }
          return result;
        };
        this.snakeCase = (input) => {
          const snakeCaseKeyWords = [
            "awsAuth",
            "workingDirectory",
            "resourceClass",
            "dockerLayerCaching",
            "noOutputTimeout"
          ];
          return (0, util_1.snakeCaseKeys)(input, true, snakeCaseKeyWords);
        };
        this.options = options;
        this.orbs = options.orbs ?? {};
        this.workflows = options.workflows ?? [];
        this.jobs = options.jobs ?? [];
        this.file = new yaml_1.YamlFile(project, ".circleci/config.yml", {
          obj: () => this.renderCircleCi()
        });
      }
      /**
       * function to prepare the rendering of the yaml file.
       * Objects with dynamic keys like workflows and jobs required the field `identifier` to be set.
       * Those object will be reduced by `identifier` field before rendering
       * @private
       */
      renderCircleCi() {
        const workflowRecords = {};
        for (const workflow of this.workflows) {
          const { identifier, ...reduced } = workflow;
          reduced.jobs = this.renderJobs(workflow.jobs);
          workflowRecords[identifier] = this.snakeCase(reduced);
        }
        const jobRecords = {};
        for (const job of this.jobs) {
          const { identifier, ...reduced } = job;
          jobRecords[identifier] = this.snakeCase(reduced);
        }
        return {
          version: this.options.version || 2.1,
          setup: this.options.setup,
          orbs: this.orbs,
          jobs: Object.keys(jobRecords).length > 0 ? jobRecords : void 0,
          workflows: workflowRecords
        };
      }
      /**
       * add new workflow to existing pipeline
       * @param workflow
       */
      addWorkflow(workflow) {
        this.workflows = [...this.workflows, workflow];
      }
      /**
       * Add a Circleci Orb to pipeline. Will throw error if the orb already exists
       * @param name
       * @param orb
       */
      addOrb(name, orb) {
        if (this.orbs[name] !== void 0) {
          throw new Error(`Circleci Config already contains an orb named ${name}.`);
        }
        this.orbs[name] = orb;
      }
    };
    exports2.Circleci = Circleci;
    _a = JSII_RTTI_SYMBOL_1;
    Circleci[_a] = { fqn: "projen.circleci.Circleci", version: "0.71.112" };
    var isObjectContainingFieldExactly = (obj, field) => {
      return Object.keys(obj).length == 1 && Object.keys(obj).includes(field);
    };
    exports2.isObjectContainingFieldExactly = isObjectContainingFieldExactly;
  }
});

// ../blueprint/node_modules/projen/lib/circleci/constant.js
var require_constant3 = __commonJS({
  "../blueprint/node_modules/projen/lib/circleci/constant.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FilterMainBranchOnly = void 0;
    exports2.FilterMainBranchOnly = {
      branches: { only: ["master", "main"] }
    };
  }
});

// ../blueprint/node_modules/projen/lib/circleci/model.js
var require_model3 = __commonJS({
  "../blueprint/node_modules/projen/lib/circleci/model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PipelineParameterType = exports2.JobWhen = exports2.ResourceClass = exports2.JobType = void 0;
    var JobType;
    (function(JobType2) {
      JobType2["APPROVAL"] = "approval";
    })(JobType || (exports2.JobType = JobType = {}));
    var ResourceClass;
    (function(ResourceClass2) {
      ResourceClass2["SMALL"] = "small";
      ResourceClass2["MEDIUM"] = "medium";
      ResourceClass2["MEDIUM_PLUS"] = "medium+";
      ResourceClass2["LARGE_X"] = "xlarge";
      ResourceClass2["LARGE_2X"] = "2xlarge";
      ResourceClass2["LARGE_2X_PLUS"] = "2xlarge+";
    })(ResourceClass || (exports2.ResourceClass = ResourceClass = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["ON_SUCCESS"] = "on_success";
      JobWhen2["ON_FAIL"] = "on_fail";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var PipelineParameterType;
    (function(PipelineParameterType2) {
      PipelineParameterType2["STRING"] = "string";
      PipelineParameterType2["BOOLEAN"] = "boolean";
      PipelineParameterType2["INTEGER"] = "integer";
      PipelineParameterType2["ENUM"] = "enum";
    })(PipelineParameterType || (exports2.PipelineParameterType = PipelineParameterType = {}));
  }
});

// ../blueprint/node_modules/projen/lib/circleci/index.js
var require_circleci6 = __commonJS({
  "../blueprint/node_modules/projen/lib/circleci/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_circleci5(), exports2);
    __exportStar(require_constant3(), exports2);
    __exportStar(require_model3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/util/semver.js
var require_semver12 = __commonJS({
  "../blueprint/node_modules/projen/lib/util/semver.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.toReleaseVersion = exports2.toPythonVersionRange = exports2.toNuGetVersionRange = exports2.toMavenVersionRange = exports2.TargetName = void 0;
    var util_1 = require("util");
    var semver_1 = require_semver10();
    var TargetName;
    (function(TargetName2) {
      TargetName2[TargetName2["JAVA"] = 0] = "JAVA";
      TargetName2[TargetName2["DOTNET"] = 1] = "DOTNET";
      TargetName2[TargetName2["PYTHON"] = 2] = "PYTHON";
      TargetName2[TargetName2["GO"] = 3] = "GO";
      TargetName2[TargetName2["JAVASCRIPT"] = 4] = "JAVASCRIPT";
    })(TargetName || (exports2.TargetName = TargetName = {}));
    function toMavenVersionRange(semverRange, suffix) {
      return toBracketNotation(semverRange, suffix, {
        semver: false,
        target: TargetName.JAVA
      });
    }
    exports2.toMavenVersionRange = toMavenVersionRange;
    function toNuGetVersionRange(semverRange) {
      return toBracketNotation(semverRange, void 0, {
        semver: false,
        target: TargetName.DOTNET
      });
    }
    exports2.toNuGetVersionRange = toNuGetVersionRange;
    function toPythonVersionRange(semverRange) {
      const range = new semver_1.Range(semverRange);
      return range.set.map((set) => set.map((comp) => {
        const versionId = toReleaseVersion(comp.semver.raw?.replace(/-0$/, "") ?? "0.0.0", TargetName.PYTHON);
        switch (comp.operator) {
          case "":
            return comp.value === "" ? ">=0.0.0" : `==${versionId}`;
          case "=":
            return `==${versionId}`;
          default:
            return `${comp.operator}${versionId}`;
        }
      }).join(", ")).join(", ");
    }
    exports2.toPythonVersionRange = toPythonVersionRange;
    function toReleaseVersion(assemblyVersion, target) {
      const version = (0, semver_1.parse)(assemblyVersion);
      if (version == null) {
        throw new Error(`Unable to parse the provided assembly version: "${assemblyVersion}"`);
      }
      if (version.prerelease.length === 0) {
        return assemblyVersion;
      }
      switch (target) {
        case TargetName.PYTHON:
          const [label, sequence, ...rest] = version.prerelease;
          if (rest.filter((elt) => elt !== 0).length > 0 || sequence == null) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) components to python: ${(0, util_1.inspect)(version.prerelease)}. The format should be 'X.Y.Z-label.sequence', where sequence is a positive integer, and label is "dev", "pre", "alpha", beta", or "rc"`);
          }
          if (!Number.isInteger(sequence)) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as sequence ${(0, util_1.inspect)(sequence)} is not an integer`);
          }
          const baseVersion = `${version.major}.${version.minor}.${version.patch}`;
          switch (label) {
            case "dev":
            case "pre":
              return `${baseVersion}.dev${sequence}`;
            case "alpha":
              return `${baseVersion}a${sequence}`;
            case "beta":
              return `${baseVersion}b${sequence}`;
            case "rc":
              return `${baseVersion}rc${sequence}`;
            default:
              throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as label ${(0, util_1.inspect)(label)} is not mapped (only "dev", "pre", "alpha", "beta" and "rc" are)`);
          }
        case TargetName.DOTNET:
        case TargetName.GO:
        case TargetName.JAVA:
        case TargetName.JAVASCRIPT:
          break;
      }
      return assemblyVersion;
    }
    exports2.toReleaseVersion = toReleaseVersion;
    function toBracketNotation(semverRange, suffix, { semver = true, target = TargetName.JAVASCRIPT } = {}) {
      if (semverRange === "*") {
        semverRange = ">=0.0.0";
      }
      const range = new semver_1.Range(semverRange);
      if (semverRange === range.range) {
        return semverRange;
      }
      return range.set.map((set) => {
        if (set.length === 1) {
          const version = set[0].semver.raw;
          if (!version && range.raw === ">=0.0.0") {
            return "[0.0.0,)";
          }
          switch (set[0].operator || "=") {
            case "=":
              return `[${addSuffix(version)}]`;
            case ">":
              return `(${addSuffix(version)},)`;
            case ">=":
              return `[${addSuffix(version)},)`;
            case "<":
              return `(,${addSuffix(version, !semver)})`;
            case "<=":
              return `(,${addSuffix(version)}]`;
          }
        } else if (set.length === 2) {
          const nugetRange = toBracketRange(set[0], set[1]);
          if (nugetRange) {
            return nugetRange;
          }
        }
        throw new Error(`Unsupported SemVer range set in ${semverRange}: ${set.map((comp) => comp.value).join(", ")}`);
      }).join(", ");
      function toBracketRange(left, right) {
        if (left.operator.startsWith("<") && right.operator.startsWith(">")) {
          [left, right] = [right, left];
        }
        if (left.operator === "" && left.value === "") {
          left = new semver_1.Comparator(">=0.0.0", left.options);
        }
        if (!left.operator.startsWith(">") || !right.operator.startsWith("<")) {
          return void 0;
        }
        const leftBrace = left.operator.endsWith("=") ? "[" : "(";
        const rightBrace = right.operator.endsWith("=") ? "]" : ")";
        return `${leftBrace}${addSuffix(left.semver.raw)},${addSuffix(right.semver.raw, right.operator === "<" && !semver)}${rightBrace}`;
      }
      function addSuffix(str, trimDashZero = false) {
        if (!str) {
          return "";
        }
        if (trimDashZero) {
          str = str.replace(/-0$/, "");
        }
        return suffix ? `${str}${suffix}` : toReleaseVersion(str, target);
      }
    }
  }
});

// ../blueprint/node_modules/projen/lib/java/pom.js
var require_pom3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/pom.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pom = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _resolve_1 = require_resolve3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var semver_1 = require_semver12();
    var xmlfile_1 = require_xmlfile3();
    var POM_XML_ATTRS = {
      "@xsi:schemaLocation": "http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd",
      "@xmlns": "http://maven.apache.org/POM/4.0.0",
      "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
    };
    var Pom = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.properties = {};
        this.repositories = [];
        this.fileName = "pom.xml";
        this.groupId = options.groupId;
        this.artifactId = options.artifactId;
        this.version = options.version;
        this.packaging = options.packaging ?? "jar";
        this.name = project.name;
        this.description = options.description;
        this.url = options.url;
        new xmlfile_1.XmlFile(project, this.fileName, { obj: () => this.synthPom() });
      }
      /**
       * Adds a key/value property to the pom.
       * @param key the key
       * @param value the value
       */
      addProperty(key, value) {
        this.properties[key] = value;
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.TEST);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        for (const dep of options.dependencies ?? []) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
        return this.project.deps.addDependency(spec, dependencies_1.DependencyType.BUILD, options);
      }
      /**
       * Adds a repository to the pom
       * @param repository the repository to add
       */
      addRepository(repository) {
        this.repositories.push(repository);
      }
      synthPom() {
        return (0, _resolve_1.resolve)({
          project: {
            ...POM_XML_ATTRS,
            modelVersion: "4.0.0",
            groupId: this.groupId,
            artifactId: this.artifactId,
            version: this.version,
            packaging: this.packaging,
            name: this.name,
            description: this.description,
            url: this.url,
            properties: this.properties,
            ...this.synthRepositories(),
            ...this.synthDependencies()
          }
        }, { omitEmpty: true });
      }
      synthDependencies() {
        const deps = this.project.deps.all;
        if (deps.length === 0) {
          return;
        }
        const dependencies = [];
        const plugins = [];
        for (const dep of deps) {
          switch (dep.type) {
            case dependencies_1.DependencyType.PEER:
            case dependencies_1.DependencyType.RUNTIME:
              dependencies.push(mavenCoords(dep));
              break;
            case dependencies_1.DependencyType.TEST:
              dependencies.push({
                ...mavenCoords(dep),
                scope: "test"
              });
              break;
            case dependencies_1.DependencyType.BUILD:
              plugins.push({
                ...mavenCoords(dep),
                ...pluginConfig(dep.metadata)
              });
              break;
            default:
              throw new Error(`unsupported dependency type: ${dep.type}`);
          }
        }
        return {
          build: { plugins: { plugin: plugins } },
          dependencies: { dependency: dependencies }
        };
      }
      synthRepositories() {
        if (this.repositories.length === 0) {
          return;
        }
        return {
          repositories: { repository: this.repositories }
        };
      }
    };
    exports2.Pom = Pom;
    _a = JSII_RTTI_SYMBOL_1;
    Pom[_a] = { fqn: "projen.java.Pom", version: "0.71.112" };
    function mavenCoords(dep) {
      const name = dep.name;
      const parts = name.split("/");
      if (parts.length !== 2) {
        throw new Error(`invalid maven coordinates in dependency named "${name}". format is "<groupId>/<artifactId>". For example "org.junit.jupiter/junit-jupiter-engine"`);
      }
      return {
        groupId: parts[0],
        artifactId: parts[1],
        version: dep.version ? (0, semver_1.toMavenVersionRange)(dep.version) : void 0
      };
    }
    function pluginConfig(options = {}) {
      return {
        configuration: options.configuration,
        dependencies: options.dependencies && options.dependencies.length > 0 ? {
          dependency: options.dependencies?.map((d) => mavenCoords(dependencies_1.Dependencies.parseDependency(d)))
        } : void 0,
        executions: options.executions?.map((e) => ({
          execution: {
            id: e.id,
            goals: e.goals.map((goal) => ({ goal })),
            phase: e.phase
          }
        }))
      };
    }
  }
});

// ../blueprint/node_modules/projen/lib/java/junit.js
var require_junit3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/junit.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Junit = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component3();
    var sample_file_1 = require_sample_file3();
    var TESTDIR = (0, path_1.join)("src", "test", "java");
    var Junit = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pom = options.pom;
        const version = options.version ?? "5.7.0";
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-api@${version}`);
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-engine@${version}`);
        project.testTask.exec("mvn test");
        const javaPackage = options.sampleJavaPackage ?? "org.acme";
        const javaPackagePath = javaPackage.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)(TESTDIR, ...javaPackagePath), {
          files: {
            "MyTest.java": [
              `package ${javaPackage};`,
              "",
              "import org.junit.jupiter.api.Test;",
              "",
              "public class MyTest {",
              "  @Test",
              "  public void testHello() {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.Junit = Junit;
    _a = JSII_RTTI_SYMBOL_1;
    Junit[_a] = { fqn: "projen.java.Junit", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/java/maven-compile.js
var require_maven_compile3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/maven-compile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenCompile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var MavenCompile = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        project.gitignore.exclude("target");
        pom.addPlugin("org.apache.maven.plugins/maven-compiler-plugin@3.8.1", {
          configuration: {
            source: options.source ?? "1.8",
            target: options.target ?? "1.8"
          }
        });
        project.compileTask.exec("mvn compiler:compile");
      }
    };
    exports2.MavenCompile = MavenCompile;
    _a = JSII_RTTI_SYMBOL_1;
    MavenCompile[_a] = { fqn: "projen.java.MavenCompile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/java/maven-packaging.js
var require_maven_packaging3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/maven-packaging.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenPackaging = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var MavenPackaging = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        pom.addPlugin("org.apache.maven.plugins/maven-jar-plugin@3.2.0", {
          configuration: {
            archive: {
              index: true,
              manifest: {
                addDefaultImplementationEntries: true,
                addDefaultSpecificationEntries: true
              }
            }
          }
        });
        if (options.sources ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-source-plugin@3.2.1", {
            executions: [{ id: "attach-sources", goals: ["jar"] }]
          });
        }
        if (options.javadocs ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-javadoc-plugin@3.2.0", {
            executions: [{ id: "attach-javadocs", goals: ["jar"] }],
            configuration: {
              failOnError: false,
              show: "protected",
              sourceFileExcludes: { exclude: options.javadocsExclude },
              detectJavaApiLink: false,
              additionalJOptions: {
                additionalJOption: [
                  "-J-XX:+TieredCompilation",
                  "-J-XX:TieredStopAtLevel=1"
                ]
              }
            }
          });
        }
        const env = {
          MAVEN_OPTS: "-XX:+TieredCompilation -XX:TieredStopAtLevel=1"
        };
        this.distdir = options.distdir ?? "dist/java";
        for (const [k, v] of Object.entries(env)) {
          this.project.packageTask.env(k, v);
        }
        this.project.packageTask.exec(`mkdir -p ${this.distdir}`);
        this.project.packageTask.exec(`mvn deploy -D=altDeploymentRepository=local::default::file:///$PWD/${this.distdir}`);
        project.gitignore.exclude(this.distdir);
      }
    };
    exports2.MavenPackaging = MavenPackaging;
    _a = JSII_RTTI_SYMBOL_1;
    MavenPackaging[_a] = { fqn: "projen.java.MavenPackaging", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/java/maven-sample.js
var require_maven_sample3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/maven-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component3();
    var sample_file_1 = require_sample_file3();
    var MavenSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pkg = options.package.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            "Main.java": [
              ...options.package ? [`package ${options.package};`] : [],
              "",
              "public class Main {",
              "  public static void main(final String[] args) {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.MavenSample = MavenSample;
    _a = JSII_RTTI_SYMBOL_1;
    MavenSample[_a] = { fqn: "projen.java.MavenSample", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/java/projenrc.js
var require_projenrc14 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getJavaImport = exports2.generateJavaOptionNames = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var common_1 = require_common9();
    var dependencies_1 = require_dependencies3();
    var inventory_1 = require_inventory3();
    var projenrc_1 = require_projenrc11();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, pom, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.className = options.className ?? "projenrc";
        this.testScope = options.testScope ?? true;
        const depType = this.testScope ? dependencies_1.DependencyType.TEST : dependencies_1.DependencyType.RUNTIME;
        const execOpts = this.testScope ? ' -Dexec.classpathScope="test"' : "";
        const compileGoal = this.testScope ? "compiler:testCompile" : "compiler:compile";
        project.deps.addDependency(`io.github.cdklabs/projen@${projenVersion}`, depType);
        pom.addPlugin("org.codehaus.mojo/exec-maven-plugin@3.0.0");
        project.defaultTask?.exec(`mvn ${compileGoal} --quiet`);
        project.defaultTask?.exec(`mvn exec:java --quiet -Dexec.mainClass=${this.className}${execOpts}`);
        this.generateProjenrc();
      }
      get javaClass() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return split[0];
        }
        return split[split.length - 1];
      }
      get javaPackage() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return [];
        }
        return split.slice(0, split.length - 2);
      }
      /**
       * The path of the projenrc file.
       */
      get filePath() {
        const dir = this.testScope ? "src/test/java" : "src/main/java";
        const javaFile = (0, path_1.join)(this.project.outdir, dir, ...this.javaPackage, this.javaClass + ".java");
        return (0, path_1.relative)(this.project.outdir, javaFile);
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const javaTarget = jsiiManifest.targets.java;
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const jsiiOptionsType = jsiiManifest.types[optionsTypeFqn];
        if (!jsiiOptionsType) {
          this.project.logger.warn(`cannot find jsii type for project options: ${optionsTypeFqn}`);
          return;
        }
        if ((0, fs_1.existsSync)(this.filePath)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const openBlock = (line = "") => {
          emit(line + " {");
          indent++;
        };
        const closeBlock = () => {
          indent--;
          emit("}");
        };
        const optionFqns = generateJavaOptionNames(bootstrap.type.options, jsiiManifest);
        if (this.javaPackage.length > 0) {
          emit(`package ${this.javaPackage.join(".")};`);
          emit();
        }
        const { renderedOptions, imports } = renderJavaOptions(2, jsiiOptionsType.name, optionFqns, bootstrap.args);
        emit(`import ${getJavaImport(jsiiType, jsiiManifest)};`);
        emit(`import ${getJavaImport(jsiiOptionsType, jsiiManifest)};`);
        for (const optionTypeName of imports) {
          emit(`import ${javaTarget.package}.${optionTypeName};`);
        }
        emit();
        openBlock(`public class ${this.javaClass}`);
        openBlock("public static void main(String[] args)");
        emit(`${jsiiType.name} project = new ${jsiiType.name}(${renderedOptions});`);
        emit("project.synth();");
        closeBlock();
        closeBlock();
        const filePath = (0, path_1.join)(this.project.outdir, this.filePath);
        (0, fs_1.mkdirSync)((0, path_1.dirname)(filePath), { recursive: true });
        (0, fs_1.writeFileSync)(filePath, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${this.filePath}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.java.Projenrc", version: "0.71.112" };
    function generateJavaOptionNames(options, jsiiManifest) {
      const optionFqns = {};
      for (const option of options) {
        if (option.fqn && jsiiManifest.types[option.fqn]) {
          optionFqns[option.name] = toJavaFullTypeName(jsiiManifest.types[option.fqn]);
        }
      }
      return optionFqns;
    }
    exports2.generateJavaOptionNames = generateJavaOptionNames;
    function renderJavaOptions(indent, optionsTypeName, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [`${optionsTypeName}.builder()`];
      for (const [name, value] of Object.entries(initOptions)) {
        const { javaValue, importName } = toJavaValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`.${toJavaProperty(name)}(${javaValue})`);
      }
      lines.push(".build()");
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`);
      return { renderedOptions, imports };
    }
    function toJavaProperty(prop) {
      return prop;
    }
    function toJavaValue(value, name, optionFqns) {
      if (typeof value === "string" && optionFqns[name] !== void 0) {
        const parts = optionFqns[name].split(".");
        const base = parts[parts.length - 1];
        const choice = String(value).toUpperCase().replace(/-/g, "_");
        return { javaValue: `${base}.${choice}`, importName: optionFqns[name] };
      } else {
        return { javaValue: JSON.stringify(value) };
      }
    }
    function toJavaFullTypeName(jsiiType) {
      return [jsiiType.namespace, jsiiType.name].filter((x) => x).join(".");
    }
    function getJavaImport(jsiiType, jsiiManifest) {
      const packageName = jsiiManifest?.submodules?.[`${jsiiType.assembly}.${jsiiType?.namespace}`]?.targets?.java?.package || [jsiiManifest.targets.java.package, jsiiType.namespace].filter((x) => x).join(".");
      return `${packageName}.${jsiiType.name}`;
    }
    exports2.getJavaImport = getJavaImport;
  }
});

// ../blueprint/node_modules/projen/lib/java/java-project.js
var require_java_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/java-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JavaProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var junit_1 = require_junit3();
    var maven_compile_1 = require_maven_compile3();
    var maven_packaging_1 = require_maven_packaging3();
    var maven_sample_1 = require_maven_sample3();
    var pom_1 = require_pom3();
    var projenrc_1 = require_projenrc14();
    var github_1 = require_github6();
    var util_1 = require_util14();
    var JavaProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        this.distdir = options.distdir ?? "dist/java";
        this.pom = new pom_1.Pom(this, options);
        const rcFileTypeOptions = [options.projenrcJava, options.projenrcJson];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcJava and projenrcJson can be selected.");
        }
        if (!this.parent && (options.projenrcJava ?? !(0, util_1.anySelected)(rcFileTypeOptions))) {
          this.projenrc = new projenrc_1.Projenrc(this, this.pom, options.projenrcJavaOptions);
        }
        const sampleJavaPackage = options.sampleJavaPackage ?? "org.acme";
        if (options.junit ?? true) {
          this.junit = new junit_1.Junit(this, {
            pom: this.pom,
            sampleJavaPackage,
            ...options.junitOptions
          });
        }
        if (options.sample ?? true) {
          new maven_sample_1.MavenSample(this, { package: sampleJavaPackage });
        }
        this.pom.addProperty("project.build.sourceEncoding", "UTF-8");
        this.gitignore.exclude(".classpath");
        this.gitignore.exclude(".project");
        this.gitignore.exclude(".settings");
        this.compile = new maven_compile_1.MavenCompile(this, this.pom, options.compileOptions);
        this.packaging = new maven_packaging_1.MavenPackaging(this, this.pom, options.packagingOptions);
        this.addPlugin("org.apache.maven.plugins/maven-enforcer-plugin@3.0.0-M3", {
          executions: [{ id: "enforce-maven", goals: ["enforce"] }],
          configuration: {
            rules: [{ requireMavenVersion: [{ version: "3.6" }] }]
          }
        });
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.testDeps ?? []) {
          this.addTestDependency(dep);
        }
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        return this.pom.addDependency(spec);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        return this.pom.addTestDependency(spec);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        return this.pom.addPlugin(spec, options);
      }
    };
    exports2.JavaProject = JavaProject;
    _a = JSII_RTTI_SYMBOL_1;
    JavaProject[_a] = { fqn: "projen.java.JavaProject", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/java/index.js
var require_java3 = __commonJS({
  "../blueprint/node_modules/projen/lib/java/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pom3(), exports2);
    __exportStar(require_java_project3(), exports2);
    __exportStar(require_maven_sample3(), exports2);
    __exportStar(require_maven_compile3(), exports2);
    __exportStar(require_maven_packaging3(), exports2);
    __exportStar(require_junit3(), exports2);
    __exportStar(require_projenrc14(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/python/requirements-file.js
var require_requirements_file3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/requirements-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.RequirementsFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var dependencies_1 = require_dependencies3();
    var file_1 = require_file4();
    var semver_1 = require_semver12();
    var RequirementsFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath);
        this.packages = new Array();
        this.packageProvider = options.packageProvider;
      }
      /**
       * Adds the specified packages provided in semver format.
       *
       * Comment lines (start with `#`) are ignored.
       *
       * @param packages Package version in format `<module>@<semver>`
       */
      addPackages(...packages) {
        for (let pkg of packages) {
          if (pkg.startsWith("#")) {
            this.packages.push(pkg);
          } else {
            const { name, version } = dependencies_1.Dependencies.parseDependency(pkg);
            if (version) {
              this.packages.push(`${name}${(0, semver_1.toPythonVersionRange)(version)}`);
            } else {
              this.packages.push(name);
            }
          }
        }
      }
      formatDependency(dep) {
        if (dep.version) {
          return `${dep.name}${(0, semver_1.toPythonVersionRange)(dep.version)}`;
        } else {
          return dep.name;
        }
      }
      synthesizeContent(resolver) {
        const allPackages = [...this.packages];
        if (this.packageProvider) {
          allPackages.push(...this.packageProvider.packages.map((dep) => this.formatDependency(dep)));
        }
        return `${resolver.resolve([...this.marker ? [`# ${this.marker}`] : [], ...allPackages]).join("\n")}
`;
      }
    };
    exports2.RequirementsFile = RequirementsFile;
    _a = JSII_RTTI_SYMBOL_1;
    RequirementsFile[_a] = { fqn: "projen.python.RequirementsFile", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/pip.js
var require_pip3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/pip.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pip = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var requirements_file_1 = require_requirements_file3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var task_runtime_1 = require_task_runtime3();
    var Pip = class extends component_1.Component {
      constructor(project, _options = {}) {
        super(project);
        new requirements_file_1.RequirementsFile(project, "requirements.txt", {
          packageProvider: new RuntimeDependencyProvider(project)
        });
        new requirements_file_1.RequirementsFile(project, "requirements-dev.txt", {
          packageProvider: new DevDependencyProvider(project)
        });
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies"
        });
        this.installTask.exec("pip install --upgrade pip");
        this.installTask.exec("pip install -r requirements.txt");
        this.installTask.exec("pip install -r requirements-dev.txt");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Pip = Pip;
    _a = JSII_RTTI_SYMBOL_1;
    Pip[_a] = { fqn: "projen.python.Pip", version: "0.71.112" };
    var RuntimeDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.RUNTIME);
      }
    };
    var DevDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.DEVENV);
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/python/poetry.js
var require_poetry3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/poetry.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PoetryPyproject = exports2.Poetry = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml5();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var task_runtime_1 = require_task_runtime3();
    var toml_1 = require_toml6();
    var util_1 = require_util14();
    var Poetry = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies",
          exec: "poetry update"
        });
        this.project.tasks.addEnvironment("VIRTUAL_ENV", "$(poetry env info -p)");
        this.project.tasks.addEnvironment("PATH", "$(echo $(poetry env info -p)/bin:$PATH)");
        project.packageTask.exec("poetry build");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "poetry publish -r testpypi"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package to PyPI.",
          exec: "poetry publish"
        });
        new PoetryPyproject(project, {
          name: project.name,
          version: options.version,
          description: options.description ?? "",
          license: options.license,
          authors: [`${options.authorName} <${options.authorEmail}>`],
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.poetryOptions,
          dependencies: () => this.synthDependencies(),
          devDependencies: () => this.synthDevDependencies()
        });
        new toml_1.TomlFile(project, "poetry.toml", {
          committed: false,
          obj: {
            repositories: {
              testpypi: {
                url: "https://test.pypi.org/legacy/"
              }
            }
          }
        });
      }
      synthDependencies() {
        const dependencies = {};
        let pythonDefined = false;
        for (const pkg of this.project.deps.all) {
          if (pkg.name === "python") {
            pythonDefined = true;
          }
          if (pkg.type === dependencies_1.DependencyType.RUNTIME) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        if (!pythonDefined) {
          dependencies.python = "^3.7";
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      synthDevDependencies() {
        const dependencies = {};
        for (const pkg of this.project.deps.all) {
          if ([dependencies_1.DependencyType.DEVENV].includes(pkg.type)) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      /**
       * Allow for poetry dependencies to specify metadata, eg `mypackage@{ version="1.2.3", extras = ["my-package-extra"] }`
       * @param dependencies poetry dependencies object
       * @private
       */
      permitDependenciesWithMetadata(dependencies) {
        const parseVersionMetadata = (version) => {
          try {
            return TOML.parse(`version = ${version}`).version;
          } catch (e) {
            return version;
          }
        };
        return Object.fromEntries(Object.entries(dependencies).map(([key, value]) => [
          key,
          parseVersionMetadata(value)
        ]));
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const result = (0, util_1.execOrUndefined)("which poetry", {
          cwd: this.project.outdir
        });
        if (!result) {
          this.project.logger.info("Unable to setup an environment since poetry is not installed. Please install poetry (https://python-poetry.org/docs/) or use a different component for managing environments such as 'venv'.");
        }
        let envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
          cwd: this.project.outdir
        });
        if (!envPath) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)("poetry env use python", { cwd: this.project.outdir });
          envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ${envPath}}).`);
        }
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Poetry = Poetry;
    _a = JSII_RTTI_SYMBOL_1;
    Poetry[_a] = { fqn: "projen.python.Poetry", version: "0.71.112" };
    var PoetryPyproject = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const decamelisedOptions = (0, util_1.decamelizeKeysRecursively)(options, {
          separator: "-"
        });
        this.file = new toml_1.TomlFile(project, "pyproject.toml", {
          omitEmpty: false,
          obj: {
            "build-system": {
              requires: ["poetry_core>=1.0.0"],
              "build-backend": "poetry.core.masonry.api"
            },
            tool: {
              poetry: {
                ...decamelisedOptions
              }
            }
          }
        });
      }
    };
    exports2.PoetryPyproject = PoetryPyproject;
    _b = JSII_RTTI_SYMBOL_1;
    PoetryPyproject[_b] = { fqn: "projen.python.PoetryPyproject", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/projenrc.js
var require_projenrc15 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolvePythonImportName = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var case_1 = require_Case3();
    var common_1 = require_common9();
    var dependencies_1 = require_dependencies3();
    var inventory_1 = require_inventory3();
    var projenrc_1 = require_projenrc11();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.filePath = options.filename ?? ".projenrc.py";
        this.pythonExec = options.pythonExec ?? "python";
        project.deps.addDependency(`projen@${projenVersion}`, dependencies_1.DependencyType.DEVENV);
        project.defaultTask?.exec(`${this.pythonExec} .projenrc.py`);
        this.generateProjenrc();
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const pythonFile = (0, path_1.join)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(pythonFile)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const optionFqns = {};
        for (const option of bootstrap.type.options) {
          if (option.fqn) {
            optionFqns[option.name] = option.fqn;
          }
        }
        const { renderedOptions, imports } = renderPythonOptions(indent, optionFqns, bootstrap.args);
        const importName = resolvePythonImportName(jsiiFqn, jsiiManifest);
        emit(toPythonImport(importName));
        for (const fqn of imports) {
          emit(toPythonImport(fqn));
        }
        emit();
        emit(`project = ${jsiiType.name}(${renderedOptions})`);
        emit();
        emit("project.synth()");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(pythonFile), { recursive: true });
        (0, fs_1.writeFileSync)(pythonFile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${pythonFile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.python.Projenrc", version: "0.71.112" };
    function resolvePythonImportName(jsiiFqn, jsiiManifest) {
      const moduleName = jsiiManifest?.targets?.python?.module;
      return moduleName ? [moduleName, ...jsiiFqn.split(".").slice(1)].join(".") : jsiiFqn;
    }
    exports2.resolvePythonImportName = resolvePythonImportName;
    function renderPythonOptions(indent, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [""];
      for (const [name, value] of Object.entries(initOptions)) {
        const { pythonValue, importName } = toPythonValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`${toPythonProperty(name)}=${pythonValue},`);
      }
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`).concat("\n");
      return { renderedOptions, imports };
    }
    function toPythonProperty(prop) {
      return (0, case_1.snake)(prop);
    }
    function toPythonValue(value, name, optionFqns) {
      if (typeof value === "boolean") {
        return { pythonValue: value ? "True" : "False" };
      } else if (typeof value === "number") {
        return { pythonValue: JSON.stringify(value) };
      } else if (typeof value === "string") {
        if (optionFqns[name] !== void 0) {
          const parts = optionFqns[name].split(".");
          const base = parts[parts.length - 1];
          const choice = String(value).toUpperCase().replace(/-/g, "_");
          return { pythonValue: `${base}.${choice}`, importName: optionFqns[name] };
        } else {
          return { pythonValue: JSON.stringify(value) };
        }
      } else if (value === void 0 || value === null) {
        return { pythonValue: "None" };
      } else {
        return { pythonValue: JSON.stringify(value) };
      }
    }
    function toPythonImport(fqn) {
      const parts = fqn.split(".");
      if (parts.length === 1) {
        return `import ${parts[0]}`;
      } else {
        return `from ${parts.slice(0, -1).join(".")} import ${parts[parts.length - 1]}`;
      }
    }
  }
});

// ../blueprint/node_modules/projen/lib/python/pytest.js
var require_pytest3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/pytest.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pytest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var Pytest = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const version = options.version ?? "6.2.1";
        this.testdir = options.testdir ?? "tests";
        project.deps.addDependency(`pytest@${version}`, dependencies_1.DependencyType.TEST);
        project.testTask.exec([
          "pytest",
          ...options.maxFailures ? [`--maxfail=${options.maxFailures}`] : []
        ].join(" "));
      }
    };
    exports2.Pytest = Pytest;
    _a = JSII_RTTI_SYMBOL_1;
    Pytest[_a] = { fqn: "projen.python.Pytest", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/pytest-sample.js
var require_pytest_sample3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/pytest-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PytestSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var __1 = require_lib16();
    var PytestSample = class extends __1.Component {
      constructor(project, options) {
        super(project);
        new __1.SampleDir(project, options.testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "",
              `from ${options.moduleName}.example import hello`,
              "",
              "@pytest.mark.parametrize(",
              '    ("name", "expected"),',
              "    [",
              '        ("A. Musing", "Hello A. Musing!"),',
              '        ("traveler", "Hello traveler!"),',
              '        ("projen developer", "Hello projen developer!"),',
              "    ],",
              ")",
              "def test_hello(name, expected):",
              '    """Example test with parametrization."""',
              "    assert hello(name) == expected",
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PytestSample = PytestSample;
    _a = JSII_RTTI_SYMBOL_1;
    PytestSample[_a] = { fqn: "projen.python.PytestSample", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/python-env.js
var require_python_env3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/python-env.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/projen/lib/python/python-deps.js
var require_python_deps3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/python-deps.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/projen/lib/python/python-packaging.js
var require_python_packaging3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/python-packaging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/node_modules/projen/lib/python/python-sample.js
var require_python_sample3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/python-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var sample_file_1 = require_sample_file3();
    var PythonSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        new sample_file_1.SampleDir(project, options.dir, {
          files: {
            "__init__.py": '__version__ = "0.1.0"\n',
            "__main__.py": [
              "from .example import hello",
              "",
              'if __name__ == "__main__":',
              '    name = input("What is your name? ")',
              "    print(hello(name))",
              ""
            ].join("\n"),
            "example.py": [
              "def hello(name: str) -> str:",
              '    """A simple greeting.',
              "    Args:",
              "        name (str): Name to greet.",
              "    Returns:",
              "        str: greeting message",
              '    """',
              '    return f"Hello {name}!"',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PythonSample = PythonSample;
    _a = JSII_RTTI_SYMBOL_1;
    PythonSample[_a] = { fqn: "projen.python.PythonSample", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/setuppy.js
var require_setuppy3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/setuppy.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SetupPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file4();
    var SetupPy = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "setup.py");
        this.setupConfig = {
          name: project.name,
          packages: options.packages,
          python_requires: ">=3.7",
          classifiers: [
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3 :: Only",
            "Programming Language :: Python :: 3.7",
            "Programming Language :: Python :: 3.8",
            "Programming Language :: Python :: 3.9",
            "Programming Language :: Python :: 3.10"
          ],
          ...options ? this.renameFields(options) : []
        };
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          "import json",
          "from setuptools import setup",
          "",
          "kwargs = json.loads(",
          '    """',
          JSON.stringify(this.setupConfig, null, 4),
          '"""',
          ")",
          "",
          "setup(**kwargs)"
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
      // modify some key names since JSII interfaces require fields to be camelCase
      renameFields(options) {
        const obj = {};
        for (const [key, value] of Object.entries(options)) {
          switch (key) {
            case "authorName":
              obj.author = value;
              break;
            case "authorEmail":
              obj.author_email = value;
              break;
            case "homepage":
              obj.url = value;
              break;
            case "additionalOptions":
              Object.assign(obj, this.renameFields(value));
              break;
            default:
              obj[key] = value;
          }
        }
        return obj;
      }
    };
    exports2.SetupPy = SetupPy;
    _a = JSII_RTTI_SYMBOL_1;
    SetupPy[_a] = { fqn: "projen.python.SetupPy", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/setuptools.js
var require_setuptools3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/setuptools.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Setuptools = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var setuppy_1 = require_setuppy3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var Setuptools = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        project.deps.addDependency("wheel@0.36.2", dependencies_1.DependencyType.DEVENV);
        project.deps.addDependency("twine@3.3.0", dependencies_1.DependencyType.DEVENV);
        project.packageTask.exec("python setup.py sdist bdist_wheel");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload --repository-url https://test.pypi.org/legacy/ dist/*"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload dist/*"
        });
        const packages = options.packageName ? [options.packageName] : void 0;
        new setuppy_1.SetupPy(project, {
          name: project.name,
          packages,
          authorName: options.authorName,
          authorEmail: options.authorEmail,
          version: options.version,
          description: options.description,
          license: options.license,
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.setupConfig
        });
      }
    };
    exports2.Setuptools = Setuptools;
    _a = JSII_RTTI_SYMBOL_1;
    Setuptools[_a] = { fqn: "projen.python.Setuptools", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/venv.js
var require_venv3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/venv.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Venv = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component3();
    var util_1 = require_util14();
    var Venv = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.envdir = options.envdir ?? ".env";
        this.pythonExec = options.pythonExec ?? "python";
        this.project.addGitIgnore(`/${this.envdir}`);
        this.project.tasks.addEnvironment("VIRTUAL_ENV", `$(echo $PWD/${this.envdir})`);
        this.project.tasks.addEnvironment("PATH", `$(echo $PWD/${this.envdir}/bin:$PATH)`);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const absoluteEnvdir = path.join(this.project.outdir, this.envdir);
        if (!fs.existsSync(absoluteEnvdir)) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)(`${this.pythonExec} -m venv ${this.envdir}`, {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ./${this.envdir}).`);
        }
      }
    };
    exports2.Venv = Venv;
    _a = JSII_RTTI_SYMBOL_1;
    Venv[_a] = { fqn: "projen.python.Venv", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/python-project.js
var require_python_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/python-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var pip_1 = require_pip3();
    var poetry_1 = require_poetry3();
    var projenrc_1 = require_projenrc15();
    var pytest_1 = require_pytest3();
    var pytest_sample_1 = require_pytest_sample3();
    var python_sample_1 = require_python_sample3();
    var setuptools_1 = require_setuptools3();
    var venv_1 = require_venv3();
    var github_1 = require_github6();
    var projenrc_2 = require_projenrc12();
    var project_1 = require_project3();
    var typescript_1 = require_typescript6();
    var util_1 = require_util14();
    var PYTHON_PROJECT_NAME_REGEX = /^[A-Za-z0-9-_\.]+$/;
    var PythonProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        if (!PYTHON_PROJECT_NAME_REGEX.test(options.name)) {
          throw new Error("Python projects must only consist of alphanumeric characters, hyphens, and underscores.");
        }
        this.moduleName = options.moduleName;
        this.version = options.version;
        const rcFileTypeOptions = [
          options.projenrcPython,
          options.projenrcJs,
          options.projenrcJson,
          options.projenrcTs
        ];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcPython, projenrcJs, projenrcTs, and projenrcJson can be selected.");
        }
        const poetry = options.poetry ?? false;
        const pip = options.pip ?? !poetry;
        const venv = options.venv ?? !poetry;
        const setuptools = options.setuptools ?? (!poetry && this.projectType === project_1.ProjectType.LIB);
        if (poetry && (pip || venv || setuptools)) {
          throw new Error("poetry is true - pip, venv, and setuptools must be undefined or false");
        }
        if (!this.parent) {
          if (options.projenrcPython ?? !(0, util_1.anySelected)(rcFileTypeOptions)) {
            new projenrc_1.Projenrc(this, {
              pythonExec: options.pythonExec,
              ...options.projenrcPythonOptions
            });
          }
          if (options.projenrcJs ?? false) {
            new projenrc_2.Projenrc(this, options.projenrcJsOptions);
          }
          if (options.projenrcTs ?? false) {
            new typescript_1.ProjenrcTs(this, options.projenrcTsOptions);
          }
        }
        if (venv) {
          this.envManager = new venv_1.Venv(this, {
            pythonExec: options.pythonExec,
            ...options.venvOptions
          });
        }
        if (pip) {
          this.depsManager = new pip_1.Pip(this);
        }
        if (setuptools) {
          this.packagingManager = new setuptools_1.Setuptools(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            setupConfig: options.setupConfig
          });
        }
        if (poetry) {
          const poetryProject = new poetry_1.Poetry(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            poetryOptions: {
              readme: options.readme?.filename ?? "README.md",
              ...options.poetryOptions
            }
          });
          this.depsManager = poetryProject;
          this.envManager = poetryProject;
          this.packagingManager = poetryProject;
        }
        if (!this.envManager) {
          throw new Error("At least one tool must be chosen for managing the environment (venv, conda, pipenv, or poetry).");
        }
        if (!this.depsManager) {
          throw new Error("At least one tool must be chosen for managing dependencies (pip, conda, pipenv, or poetry).");
        }
        if (!this.packagingManager && this.projectType === project_1.ProjectType.LIB) {
          throw new Error("At least one tool must be chosen for managing packaging (setuptools or poetry).");
        }
        if (Number(venv) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing the environment (venv, conda, pipenv, or poetry)");
        }
        if (Number(pip) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing dependencies (pip, conda, pipenv, or poetry)");
        }
        if (Number(setuptools) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing packaging (setuptools or poetry)");
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new pytest_sample_1.PytestSample(this, {
            moduleName: this.moduleName,
            testdir: this.pytest.testdir
          });
        }
        if (options.sample ?? true) {
          new python_sample_1.PythonSample(this, {
            dir: this.moduleName
          });
        }
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.devDeps ?? []) {
          this.addDevDependency(dep);
        }
        this.addDefaultGitIgnore();
      }
      /**
       * Adds default gitignore options for a Python project based on
       * https://github.com/github/gitignore/blob/master/Python.gitignore
       */
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Byte-compiled / optimized / DLL files", "__pycache__/", "*.py[cod]", "*$py.class", "", "# C extensions", "*.so", "", "# Distribution / packaging", ".Python", "build/", "develop-eggs/", "dist/", "downloads/", "eggs/", ".eggs/", "lib/", "lib64/", "parts/", "sdist/", "var/", "wheels/", "share/python-wheels/", "*.egg-info/", ".installed.cfg", "*.egg", "MANIFEST", "", "# PyInstaller", "#  Usually these files are written by a python script from a template", "#  before PyInstaller builds the exe, so as to inject date/other infos into it.", "*.manifest", "*.spec", "", "# Installer logs", "pip-log.txt", "pip-delete-this-directory.txt", "", "# Unit test / coverage reports", "htmlcov/", ".tox/", ".nox/", ".coverage", ".coverage.*", ".cache", "nosetests.xml", "coverage.xml", "*.cover", "*.py,cover", ".hypothesis/", ".pytest_cache/", "cover/", "", "# Translations", "*.mo", "*.pot", "", "# Django stuff:", "*.log", "local_settings.py", "db.sqlite3", "db.sqlite3-journal", "", "# Flask stuff:", "instance/", ".webassets-cache", "", "# Scrapy stuff:", ".scrapy", "", "# Sphinx documentation", "docs/_build/", "", "# PyBuilder", ".pybuilder/", "target/", "", "# Jupyter Notebook", ".ipynb_checkpoints", "", "# IPython", "profile_default/", "ipython_config.py", "", "# PEP 582; used by e.g. github.com/David-OConnor/pyflow", "__pypackages__/", "", "# Celery stuff", "celerybeat-schedule", "celerybeat.pid", "", "# SageMath parsed files", "*.sage.py", "", "# Environments", ".env", ".venv", "env/", "venv/", "ENV/", "env.bak/", "venv.bak/", "", "# Spyder project settings", ".spyderproject", ".spyproject", "", "# Rope project settings", ".ropeproject", "", "# mkdocs documentation", "/site", "", "# mypy", ".mypy_cache/", ".dmypy.json", "dmypy.json", "", "# Pyre type checker", ".pyre/", "", "# pytype static type analyzer", ".pytype/", "", "# Cython debug symbols", "cython_debug/");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        return this.depsManager.addDependency(spec);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        return this.depsManager.addDevDependency(spec);
      }
      postSynthesize() {
        super.postSynthesize();
        this.envManager.setupEnvironment();
        this.depsManager.installDependencies();
      }
    };
    exports2.PythonProject = PythonProject;
    _a = JSII_RTTI_SYMBOL_1;
    PythonProject[_a] = { fqn: "projen.python.PythonProject", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/python/index.js
var require_python3 = __commonJS({
  "../blueprint/node_modules/projen/lib/python/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pip3(), exports2);
    __exportStar(require_poetry3(), exports2);
    __exportStar(require_projenrc15(), exports2);
    __exportStar(require_pytest3(), exports2);
    __exportStar(require_pytest_sample3(), exports2);
    __exportStar(require_python_env3(), exports2);
    __exportStar(require_python_deps3(), exports2);
    __exportStar(require_python_packaging3(), exports2);
    __exportStar(require_python_project3(), exports2);
    __exportStar(require_python_sample3(), exports2);
    __exportStar(require_requirements_file3(), exports2);
    __exportStar(require_setuppy3(), exports2);
    __exportStar(require_setuptools3(), exports2);
    __exportStar(require_venv3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/internal.js
var require_internal5 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertToPosixPath = exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = exports2.TYPESCRIPT_LAMBDA_EXT = exports2.FEATURE_FLAGS = void 0;
    var path_1 = require("path");
    exports2.FEATURE_FLAGS = [
      "aws-cdk:enableDiffNoFail",
      "@aws-cdk/aws-apigateway:usagePlanKeyOrderInsensitiveId",
      "@aws-cdk/core:enableStackNameDuplicates",
      "@aws-cdk/core:stackRelativeExports",
      "@aws-cdk/aws-ecr-assets:dockerIgnoreSupport",
      "@aws-cdk/aws-secretsmanager:parseOwnedSecretName",
      "@aws-cdk/aws-kms:defaultKeyPolicies",
      "@aws-cdk/aws-s3:grantWriteWithoutAcl",
      "@aws-cdk/aws-ecs-patterns:removeDefaultDesiredCount",
      "@aws-cdk/aws-rds:lowercaseDbIdentifier",
      "@aws-cdk/aws-efs:defaultEncryptionAtRest",
      "@aws-cdk/aws-lambda:recognizeVersionProps",
      "@aws-cdk/aws-cloudfront:defaultSecurityPolicyTLSv1.2_2021"
    ];
    exports2.TYPESCRIPT_LAMBDA_EXT = ".lambda.ts";
    exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = ".edge-lambda.ts";
    exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = ".lambda-extension.ts";
    function convertToPosixPath(p) {
      return p.split(path_1.sep).join(path_1.posix.sep);
    }
    exports2.convertToPosixPath = convertToPosixPath;
  }
});

// ../blueprint/node_modules/projen/lib/cdk/consts.js
var require_consts3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/consts.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JSII_TOOLCHAIN = void 0;
    exports2.JSII_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
  }
});

// ../blueprint/node_modules/projen/lib/cdk/jsii-docgen.js
var require_jsii_docgen3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/jsii-docgen.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var JsiiDocgen = class {
      constructor(project, options = {}) {
        project.addDevDeps("jsii-docgen");
        const filePath = options.filePath ?? "API.md";
        const docgen = project.addTask("docgen", {
          description: "Generate API.md from .jsii manifest",
          exec: `jsii-docgen -o ${filePath}`
        });
        project.postCompileTask.spawn(docgen);
        project.gitignore.include(`/${filePath}`);
        project.annotateGenerated(`/${filePath}`);
      }
    };
    exports2.JsiiDocgen = JsiiDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiDocgen[_a] = { fqn: "projen.cdk.JsiiDocgen", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk/jsii-project.js
var require_jsii_project3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/jsii-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiProject = exports2.Stability = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver_1 = require_semver10();
    var consts_1 = require_consts3();
    var jsii_docgen_1 = require_jsii_docgen3();
    var javascript_1 = require_javascript3();
    var typescript_1 = require_typescript6();
    var util_1 = require_util14();
    var EMAIL_REGEX = /(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/;
    var URL_REGEX = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[\-;:&=\+\$,\w]+@)?[A-Za-z0-9\.\-]+|(?:www\.|[\-;:&=\+\$,\w]+@)[A-Za-z0-9\.\-]+)((?:\/[\+~%\/\.\w\-_]*)?\??(?:[\-\+=&;%@\.\w_]*)#?(?:[\.\!\/\\\w]*))?)/;
    var REPO_TEMP_DIRECTORY = ".repo";
    var Stability;
    (function(Stability2) {
      Stability2["EXPERIMENTAL"] = "experimental";
      Stability2["STABLE"] = "stable";
      Stability2["DEPRECATED"] = "deprecated";
    })(Stability || (exports2.Stability = Stability = {}));
    var JsiiProject = class extends typescript_1.TypeScriptProject {
      constructor(options) {
        const { authorEmail, authorUrl } = parseAuthorAddress(options);
        const usesLegacyJsii = options.jsiiVersion == null || options.jsiiVersion !== "*" && new semver_1.Range(options.jsiiVersion).intersects(new semver_1.Range("1.x"));
        const defaultOptions = {
          repository: options.repositoryUrl,
          authorName: options.author,
          authorEmail,
          authorUrl,
          jestOptions: usesLegacyJsii ? { jestVersion: "^27" } : void 0
        };
        const forcedOptions = {
          releaseToNpm: false,
          disableTsconfig: true,
          docgen: false
          // we use jsii-docgen here so disable typescript docgen
        };
        const mergedOptions = (0, util_1.deepMerge)([
          defaultOptions,
          options,
          forcedOptions
        ]);
        super(mergedOptions);
        const srcdir = this.srcdir;
        const libdir = this.libdir;
        this.addFields({ types: `${libdir}/index.d.ts` });
        const compressAssembly = options.compressAssembly ?? false;
        const jsiiFlags = ["--silence-warnings=reserved-word"];
        if (compressAssembly) {
          jsiiFlags.push("--compress-assembly");
        }
        const compatIgnore = options.compatIgnore ?? ".compatignore";
        this.addFields({ stability: options.stability ?? Stability.STABLE });
        if (options.stability === Stability.DEPRECATED) {
          this.addFields({ deprecated: true });
        }
        const compatTask = this.addTask("compat", {
          description: "Perform API compatibility check against latest version",
          exec: `jsii-diff npm:$(node -p "require('./package.json').name") -k --ignore-file ${compatIgnore} || (echo "
UNEXPECTED BREAKING CHANGES: add keys such as 'removed:constructs.Node.of' to ${compatIgnore} to skip.
" && exit 1)`
        });
        const compat = options.compat ?? false;
        if (compat) {
          this.compileTask.spawn(compatTask);
        }
        this.compileTask.reset(["jsii", ...jsiiFlags].join(" "));
        this.watchTask.reset(["jsii", "-w", ...jsiiFlags].join(" "));
        this.packageAllTask = this.addTask("package-all", {
          description: "Packages artifacts for all target languages"
        });
        const prepareRepoForCI = [
          `rsync -a . .repo --exclude .git --exclude node_modules`,
          `rm -rf ${this.artifactsDirectory}`,
          `mv .repo ${this.artifactsDirectory}`
        ].join(" && ");
        this.packageTask.reset(`if [ ! -z \${CI} ]; then ${prepareRepoForCI}; else ${this.runTaskCommand(this.packageAllTask)}; fi`);
        const targets = {};
        const jsii = {
          outdir: this.artifactsDirectory,
          targets,
          tsc: {
            outDir: libdir,
            rootDir: srcdir
          }
        };
        if (options.excludeTypescript) {
          jsii.excludeTypescript = options.excludeTypescript;
        }
        this.addFields({ jsii });
        this.release?.publisher.addGitHubPrePublishingSteps({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Collect GitHub Metadata",
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        const extraJobOptions = {
          ...options.workflowRunsOn ? { runsOn: options.workflowRunsOn } : {},
          ...options.workflowContainerImage ? { container: { image: options.workflowContainerImage } } : {}
        };
        if (options.releaseToNpm != false) {
          const task = this.addPackagingTask("js");
          this.release?.publisher.publishToNpm({
            ...this.pacmakForLanguage("js", task),
            registry: this.package.npmRegistry,
            npmTokenSecret: this.package.npmTokenSecret,
            codeArtifactOptions: options.codeArtifactOptions
          });
          this.addPackagingTarget("js", task, extraJobOptions);
        }
        if ("java" in options) {
          throw new Error('the "java" option is now called "publishToMaven"');
        }
        if (options.publishToMaven) {
          targets.java = {
            package: options.publishToMaven.javaPackage,
            maven: {
              groupId: options.publishToMaven.mavenGroupId,
              artifactId: options.publishToMaven.mavenArtifactId
            }
          };
          const task = this.addPackagingTask("java");
          this.release?.publisher.publishToMaven({
            ...this.pacmakForLanguage("java", task),
            ...options.publishToMaven
          });
          this.addPackagingTarget("java", task, extraJobOptions);
        }
        const pypi = options.publishToPypi ?? options.python;
        if (pypi) {
          targets.python = {
            distName: pypi.distName,
            module: pypi.module
          };
          const task = this.addPackagingTask("python");
          this.release?.publisher.publishToPyPi({
            ...this.pacmakForLanguage("python", task),
            ...pypi
          });
          this.addPackagingTarget("python", task, extraJobOptions);
        }
        const nuget = options.publishToNuget ?? options.dotnet;
        if (nuget) {
          targets.dotnet = {
            namespace: nuget.dotNetNamespace,
            packageId: nuget.packageId,
            iconUrl: nuget.iconUrl
          };
          const task = this.addPackagingTask("dotnet");
          this.release?.publisher.publishToNuget({
            ...this.pacmakForLanguage("dotnet", task),
            ...nuget
          });
          this.addPackagingTarget("dotnet", task, extraJobOptions);
        }
        const golang = options.publishToGo;
        if (golang) {
          targets.go = {
            moduleName: golang.moduleName,
            packageName: golang.packageName
          };
          const task = this.addPackagingTask("go");
          this.release?.publisher.publishToGo({
            ...this.pacmakForLanguage("go", task),
            ...golang
          });
          this.addPackagingTarget("go", task, extraJobOptions);
        }
        const jsiiSuffix = options.jsiiVersion === "*" ? (
          // If jsiiVersion is "*", don't specify anything so the user can manage.
          ""
        ) : (
          // Otherwise, use `jsiiVersion` or fall back to `1.x`.
          `@${options.jsiiVersion ?? "1.x"}`
        );
        this.addDevDeps(`jsii${jsiiSuffix}`, "jsii-diff", "jsii-pacmak");
        this.gitignore.exclude(".jsii", "tsconfig.json");
        this.npmignore?.include(".jsii");
        if (options.docgen ?? true) {
          new jsii_docgen_1.JsiiDocgen(this, { filePath: options.docgenFilePath });
        }
        if (this.npmignore) {
          this.npmignore.readonly = false;
        }
        if (usesLegacyJsii) {
          this.package.addPackageResolutions("@types/prettier@2.6.0");
          this.package.addPackageResolutions("@types/babel__traverse@7.18.2");
        }
      }
      /**
       * Adds a target language to the build workflow and creates a package task.
       * @param language
       * @returns
       */
      addPackagingTarget(language, packTask, extraJobOptions) {
        if (!this.buildWorkflow) {
          return;
        }
        const pacmak = this.pacmakForLanguage(language, packTask);
        this.buildWorkflow.addPostBuildJob(`package-${language}`, {
          runsOn: ["ubuntu-latest"],
          permissions: {},
          tools: {
            node: { version: this.nodeVersion ?? "16.x" },
            ...pacmak.publishTools
          },
          steps: pacmak.prePublishSteps ?? [],
          ...extraJobOptions
        });
      }
      addPackagingTask(language) {
        const packageTask = this.tasks.addTask(`package:${language}`, {
          description: `Create ${language} language bindings`
        });
        packageTask.exec(`jsii-pacmak -v --target ${language}`);
        this.packageAllTask.spawn(packageTask);
        return packageTask;
      }
      pacmakForLanguage(target, packTask) {
        const prePublishSteps = [];
        prePublishSteps.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === javascript_1.NodePackageManager.PNPM) {
          prePublishSteps.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        prePublishSteps.push({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Install Dependencies",
          run: `cd ${REPO_TEMP_DIRECTORY} && ${this.package.installCommand}`
        }, {
          name: `Create ${target} artifact`,
          run: `cd ${REPO_TEMP_DIRECTORY} && npx projen ${packTask.name}`
        }, {
          name: `Collect ${target} Artifact`,
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        return {
          publishTools: consts_1.JSII_TOOLCHAIN[target],
          prePublishSteps
        };
      }
    };
    exports2.JsiiProject = JsiiProject;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiProject[_a] = { fqn: "projen.cdk.JsiiProject", version: "0.71.112" };
    function parseAuthorAddress(options) {
      let authorEmail = options.authorEmail;
      let authorUrl = options.authorUrl;
      if (options.authorAddress) {
        if (options.authorEmail && options.authorEmail !== options.authorAddress) {
          throw new Error("authorEmail is deprecated and cannot be used in conjunction with authorAddress");
        }
        if (options.authorUrl && options.authorUrl !== options.authorAddress) {
          throw new Error("authorUrl is deprecated and cannot be used in conjunction with authorAddress.");
        }
        if (EMAIL_REGEX.test(options.authorAddress)) {
          authorEmail = options.authorAddress;
        } else if (URL_REGEX.test(options.authorAddress)) {
          authorUrl = options.authorAddress;
        } else {
          throw new Error(`authorAddress must be either an email address or a URL: ${options.authorAddress}`);
        }
      }
      return { authorEmail, authorUrl };
    }
  }
});

// ../blueprint/node_modules/projen/lib/cdk/construct-lib.js
var require_construct_lib3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/construct-lib.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var jsii_project_1 = require_jsii_project3();
    var ConstructLibrary = class extends jsii_project_1.JsiiProject {
      constructor(options) {
        super(options);
        this.addKeywords("cdk");
        if (options.catalog) {
          this.package.addField("awscdkio", {
            twitter: options.catalog.twitter,
            announce: options.catalog.announce
          });
        }
      }
    };
    exports2.ConstructLibrary = ConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibrary[_a] = { fqn: "projen.cdk.ConstructLibrary", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk/internal.js
var require_internal6 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TYPESCRIPT_INTEG_EXT = void 0;
    exports2.TYPESCRIPT_INTEG_EXT = ".integ.ts";
  }
});

// ../blueprint/node_modules/projen/lib/cdk/integration-test-base.js
var require_integration_test_base3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/integration-test-base.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal6();
    var component_1 = require_component3();
    var IntegrationTestBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const entry = options.entrypoint;
        const name = options.name ?? (0, path_1.basename)(entry, internal_1.TYPESCRIPT_INTEG_EXT);
        this.name = name;
        const dir = (0, path_1.dirname)(entry);
        const tmpRoot = (0, path_1.join)(dir, ".tmp");
        project.addGitIgnore(tmpRoot);
        project.addPackageIgnore(tmpRoot);
        this.tmpDir = (0, path_1.join)(tmpRoot, `${name}.integ`);
        this.snapshotDir = (0, path_1.join)(dir, `${name}.integ.snapshot`);
        project.addPackageIgnore(this.snapshotDir);
        this.deployTask = project.addTask(`integ:${name}:deploy`, {
          description: `deploy integration test '${name}' and capture snapshot`
        });
        this.snapshotTask = project.addTask(`integ:${name}:snapshot`, {
          description: `update snapshot for integration test "${name}"`
        });
        this.assertTask = project.addTask(`integ:${name}:assert`, {
          description: `assert the snapshot of integration test '${name}'`,
          exec: `[ -d "${this.snapshotDir}" ] || (echo "No snapshot available for integration test '${name}'. Run 'projen ${this.deployTask.name}' to capture." && exit 1)`
        });
        project.testTask.spawn(this.assertTask);
        let snapshotAllTask = project.tasks.tryFind("integ:snapshot-all");
        if (!snapshotAllTask) {
          snapshotAllTask = project.addTask("integ:snapshot-all", {
            description: "update snapshot for all integration tests"
          });
        }
        snapshotAllTask.spawn(this.snapshotTask);
      }
    };
    exports2.IntegrationTestBase = IntegrationTestBase;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestBase[_a] = { fqn: "projen.cdk.IntegrationTestBase", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk/auto-discover-base.js
var require_auto_discover_base3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/auto-discover-base.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscoverBase = exports2.AutoDiscoverBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var glob = require_glob4();
    var internal_1 = require_internal6();
    var component_1 = require_component3();
    var AutoDiscoverBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const cwd = path.posix.join(this.project.outdir, options.projectdir);
        this.entrypoints = glob.sync(`**/*${options.extension}`, { cwd }).map((p) => path.posix.join(options.projectdir, p));
      }
    };
    exports2.AutoDiscoverBase = AutoDiscoverBase;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscoverBase[_a] = { fqn: "projen.cdk.AutoDiscoverBase", version: "0.71.112" };
    var IntegrationTestAutoDiscoverBase = class extends AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          extension: internal_1.TYPESCRIPT_INTEG_EXT,
          projectdir: options.testdir
        });
      }
    };
    exports2.IntegrationTestAutoDiscoverBase = IntegrationTestAutoDiscoverBase;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscoverBase[_b] = { fqn: "projen.cdk.IntegrationTestAutoDiscoverBase", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk/index.js
var require_cdk3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_construct_lib3(), exports2);
    __exportStar(require_jsii_docgen3(), exports2);
    __exportStar(require_jsii_project3(), exports2);
    __exportStar(require_integration_test_base3(), exports2);
    __exportStar(require_auto_discover_base3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/integration-test.js
var require_integration_test5 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal5();
    var cdk_1 = require_cdk3();
    var dependencies_1 = require_dependencies3();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("aws-cdk")) {
          project.deps.addDependency(`aws-cdk@^${options.cdkDeps.cdkMajorVersion}`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        const opts = [
          `--app "${app}"`,
          "--no-notices",
          "--no-version-reporting",
          // don't inject cloudformation metadata into template
          "--no-asset-metadata"
        ];
        const pathMetadata = options.pathMetadata ?? false;
        if (!pathMetadata) {
          opts.push("--no-path-metadata");
        }
        if (options.cdkDeps.cdkMajorVersion === 1) {
          const features = [
            ...internal_1.FEATURE_FLAGS,
            "@aws-cdk/core:newStyleStackSynthesis"
            // simplifies asset coordinates in synth output
          ];
          for (const feature of features) {
            opts.push(`--context ${feature}=true`);
          }
        }
        const cdkopts = opts.join(" ");
        const stacks = options.stacks ?? ["**"];
        const stackOpts = stacks.map((stack) => `'${stack}'`).join(" ");
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk deploy ${cdkopts} ${stackOpts} --require-approval=never -o ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.watchTask = project.addTask(`integ:${this.name}:watch`, {
          description: `watch integration test '${this.name}' (without updating snapshots)`,
          exec: `cdk watch ${cdkopts} ${stackOpts} -o ${deployDir}`
        });
        this.destroyTask = project.addTask(`integ:${this.name}:destroy`, {
          description: `destroy integration test '${this.name}'`,
          exec: `cdk destroy --app ${this.snapshotDir} ${stackOpts} --no-version-reporting`
        });
        const destroyAfterDeploy = options.destroyAfterDeploy ?? true;
        if (destroyAfterDeploy) {
          this.deployTask.spawn(this.destroyTask);
        }
        this.snapshotTask.exec(`cdk synth ${cdkopts} -o ${this.snapshotDir} > /dev/null`);
        const exclude = ["asset.*", "cdk.out", "manifest.json", "tree.json"];
        this.assertTask.exec(`cdk synth ${cdkopts} -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff -r ${exclude.map((x) => `-x ${x}`).join(" ")} ${this.snapshotDir}/ ${assertDir}/`);
        for (const x of exclude) {
          project.addGitIgnore(`${this.snapshotDir}/${x}`);
          project.addGitIgnore(`${this.snapshotDir}/**/${x}`);
        }
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.awscdk.IntegrationTest", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/lambda-function.js
var require_lambda_function3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/lambda-function.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaRuntime = exports2.LambdaFunction = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case3();
    var internal_1 = require_internal5();
    var component_1 = require_component3();
    var javascript_1 = require_javascript3();
    var source_code_1 = require_source_code3();
    var LambdaFunction = class extends component_1.Component {
      /**
       * Defines a pre-bundled AWS Lambda function construct from handler code.
       *
       * @param project The project to use
       * @param options Options
       */
      constructor(project, options) {
        super(project);
        const cdkDeps = options.cdkDeps;
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const runtime = options.runtime ?? LambdaRuntime.NODEJS_16_X;
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const entrypoint = options.entrypoint;
        if (!entrypoint.endsWith(internal_1.TYPESCRIPT_LAMBDA_EXT) && !entrypoint.endsWith(internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT)) {
          throw new Error(`${entrypoint} must have a ${internal_1.TYPESCRIPT_LAMBDA_EXT} or ${internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT} extension`);
        }
        const basePath = path.posix.join(path.dirname(entrypoint), path.basename(entrypoint, options.edgeLambda ? internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT : internal_1.TYPESCRIPT_LAMBDA_EXT));
        const constructFile = options.constructFile ?? `${basePath}-function.ts`;
        if (path.extname(constructFile) !== ".ts") {
          throw new Error(`Construct file name "${constructFile}" must have a .ts extension`);
        }
        const constructName = options.constructName ?? (0, case_1.pascal)(path.basename(basePath)) + "Function";
        const propsType = `${constructName}Props`;
        const bundle = bundler.addBundle(entrypoint, {
          target: runtime.esbuildTarget,
          platform: runtime.esbuildPlatform,
          externals: runtime.defaultExternals,
          ...options.bundlingOptions,
          tsconfigPath: project?.tsconfigDev?.fileName
        });
        const outfileAbs = path.join(project.outdir, bundle.outfile);
        const constructAbs = path.join(project.outdir, constructFile);
        const relativeOutfile = path.relative(path.dirname(constructAbs), path.dirname(outfileAbs));
        const src = new source_code_1.SourceCode(project, constructFile);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from '@aws-cdk/aws-cloudfront';");
            cdkDeps.addV1Dependencies("@aws-cdk/aws-cloudfront");
          }
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from 'aws-cdk-lib/aws-cloudfront';");
          }
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export interface ${propsType} extends cloudfront.experimental.EdgeFunctionProps {`);
        } else {
          src.open(`export interface ${propsType} extends lambda.FunctionOptions {`);
        }
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * An AWS Lambda function which executes ${(0, internal_1.convertToPosixPath)(basePath)}.`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export class ${constructName} extends cloudfront.experimental.EdgeFunction {`);
        } else {
          src.open(`export class ${constructName} extends lambda.Function {`);
        }
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: '${(0, internal_1.convertToPosixPath)(entrypoint)}',`);
        src.line("...props,");
        src.line(`runtime: new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        src.line("handler: 'index.handler',");
        src.line(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk", '${(0, internal_1.convertToPosixPath)(relativeOutfile)}')),`);
        src.close("});");
        if ((options.awsSdkConnectionReuse ?? true) && !options.edgeLambda) {
          src.line("this.addEnvironment('AWS_NODEJS_CONNECTION_REUSE_ENABLED', '1', { removeInEdge: true });");
        }
        src.close("}");
        src.close("}");
        this.project.logger.verbose(`${basePath}: construct "${constructName}" generated under "${constructFile}"`);
        this.project.logger.verbose(`${basePath}: bundle task "${bundle.bundleTask.name}"`);
        if (bundle.watchTask) {
          this.project.logger.verbose(`${basePath}: bundle watch task "${bundle.watchTask.name}"`);
        }
      }
    };
    exports2.LambdaFunction = LambdaFunction;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaFunction[_a] = { fqn: "projen.awscdk.LambdaFunction", version: "0.71.112" };
    var LambdaRuntime = class {
      constructor(functionRuntime, esbuildTarget, options) {
        this.functionRuntime = functionRuntime;
        this.esbuildTarget = esbuildTarget;
        this.esbuildPlatform = "node";
        this.defaultExternals = options?.defaultExternals ?? ["@aws-sdk/*"];
      }
    };
    exports2.LambdaRuntime = LambdaRuntime;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaRuntime[_b] = { fqn: "projen.awscdk.LambdaRuntime", version: "0.71.112" };
    LambdaRuntime.NODEJS_10_X = new LambdaRuntime("nodejs10.x", "node10", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_12_X = new LambdaRuntime("nodejs12.x", "node12", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_14_X = new LambdaRuntime("nodejs14.x", "node14", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_16_X = new LambdaRuntime("nodejs16.x", "node16", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_18_X = new LambdaRuntime("nodejs18.x", "node18");
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/lambda-extension.js
var require_lambda_extension3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/lambda-extension.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaExtension = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var case_1 = require_Case3();
    var internal_1 = require_internal5();
    var lambda_function_1 = require_lambda_function3();
    var component_1 = require_component3();
    var javascript_1 = require_javascript3();
    var source_code_1 = require_source_code3();
    var LambdaExtension = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const basePath = (0, path_1.join)((0, path_1.dirname)(options.entrypoint), (0, path_1.basename)(options.entrypoint, internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT));
        const name = options.name ?? (0, path_1.basename)(basePath);
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const compatibleRuntimes = options.compatibleRuntimes ?? [
          lambda_function_1.LambdaRuntime.NODEJS_18_X,
          lambda_function_1.LambdaRuntime.NODEJS_16_X,
          lambda_function_1.LambdaRuntime.NODEJS_14_X,
          lambda_function_1.LambdaRuntime.NODEJS_12_X
        ];
        if (compatibleRuntimes.length === 0) {
          throw new Error("Compatible runtimes must include at least one runtime");
        }
        const [bundlerRuntime] = compatibleRuntimes.sort((a, b) => a.functionRuntime.localeCompare(b.functionRuntime));
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const bundle = bundler.addBundle(options.entrypoint, {
          platform: bundlerRuntime.esbuildPlatform,
          target: bundlerRuntime.esbuildTarget,
          externals: bundlerRuntime.defaultExternals,
          outfile: `extensions/${name}`,
          // Make the output executable because Lambda expects to run
          // extensions as stand-alone programs alongside the main lambda
          // process.
          executable: true,
          ...options.bundlingOptions
        });
        const constructFile = options.constructFile ?? `${basePath}-layer-version.ts`;
        new LambdaLayerConstruct(project, {
          constructFile,
          constructName: options.constructName,
          assetDir: bundle.outdir,
          compatibleRuntimes,
          description: `Provides a Lambda Extension \`${name}\` from ${(0, internal_1.convertToPosixPath)(options.entrypoint)}`,
          cdkDeps: options.cdkDeps
        });
      }
    };
    exports2.LambdaExtension = LambdaExtension;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaExtension[_a] = { fqn: "projen.awscdk.LambdaExtension", version: "0.71.112" };
    var LambdaLayerConstruct = class extends source_code_1.SourceCode {
      constructor(project, options) {
        super(project, options.constructFile);
        const src = this;
        const cdkDeps = options.cdkDeps;
        const constructName = options.constructName ?? (0, case_1.pascal)((0, path_1.basename)(options.constructFile, ".ts"));
        const propsType = `${constructName}Props`;
        const assetDir = (0, path_1.relative)((0, path_1.dirname)(options.constructFile), options.assetDir);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        src.open(`export interface ${propsType} extends lambda.LayerVersionOptions {`);
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * ${options.description}`);
        src.line(" */");
        src.open(`export class ${constructName} extends lambda.LayerVersion {`);
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: ${encodeCodeString(options.description)},`);
        src.line("...props,");
        src.open("compatibleRuntimes: [");
        for (const runtime of options.compatibleRuntimes) {
          src.line(`new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        }
        src.close("],");
        src.open(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk",`);
        src.line(`${encodeCodeString((0, internal_1.convertToPosixPath)(assetDir))})),`);
        src.close();
        src.close("});");
        src.close("}");
        src.close("}");
      }
    };
    function encodeCodeString(value) {
      const json = JSON.stringify(value);
      const escapedString = json.substring(1, json.length - 1).replace(/'/g, "\\'");
      return `'${escapedString}'`;
    }
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/auto-discover.js
var require_auto_discover5 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    var _e;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoDiscover = exports2.LambdaExtensionAutoDiscover = exports2.EdgeLambdaAutoDiscover = exports2.LambdaAutoDiscover = exports2.IntegrationTestAutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test5();
    var internal_1 = require_internal5();
    var lambda_extension_1 = require_lambda_extension3();
    var lambda_function_1 = require_lambda_function3();
    var cdk_1 = require_cdk3();
    var component_1 = require_component3();
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            ...options.integrationTestOptions
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_a] = { fqn: "projen.awscdk.IntegrationTestAutoDiscover", version: "0.71.112" };
    var LambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions
          });
        }
      }
    };
    exports2.LambdaAutoDiscover = LambdaAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaAutoDiscover[_b] = { fqn: "projen.awscdk.LambdaAutoDiscover", version: "0.71.112" };
    var EdgeLambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions,
            edgeLambda: true
          });
        }
      }
    };
    exports2.EdgeLambdaAutoDiscover = EdgeLambdaAutoDiscover;
    _c = JSII_RTTI_SYMBOL_1;
    EdgeLambdaAutoDiscover[_c] = { fqn: "projen.awscdk.EdgeLambdaAutoDiscover", version: "0.71.112" };
    var LambdaExtensionAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_extension_1.LambdaExtension(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaExtensionOptions
          });
        }
      }
    };
    exports2.LambdaExtensionAutoDiscover = LambdaExtensionAutoDiscover;
    _d = JSII_RTTI_SYMBOL_1;
    LambdaExtensionAutoDiscover[_d] = { fqn: "projen.awscdk.LambdaExtensionAutoDiscover", version: "0.71.112" };
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.lambdaAutoDiscover ?? true) {
          new LambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.edgeLambdaAutoDiscover ?? true) {
          new EdgeLambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.lambdaExtensionAutoDiscover ?? true) {
          new LambdaExtensionAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaExtensionOptions: options.lambdaExtensionOptions
          });
        }
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            testdir: options.testdir,
            tsconfigPath: options.tsconfigPath,
            integrationTestOptions: options.integrationTestOptions
          });
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _e = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_e] = { fqn: "projen.awscdk.AutoDiscover", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-deps.js
var require_awscdk_deps3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var AwsCdkDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkDependenciesAsDeps = options.cdkDependenciesAsDeps ?? true;
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdkVersion = framework.range;
        this.cdkMajorVersion = framework.major;
        this.cdkMinimumVersion = framework.minimum;
        this.addFrameworkDependency(options);
        this.addV1AssertionLibraryDependency(options);
        this.addConstructsDependency(options.constructsVersion);
        this.addV1Dependencies(...options.cdkDependencies ?? []);
        this.addV1DevDependencies(...options.cdkTestDependencies ?? []);
      }
      preSynthesize() {
        const depNames = Array.from(new Set(this.project.deps.all.map((dep) => dep.name)));
        const v1Deps = depNames.filter((dep) => [PACKAGE_AWS_CDK_VERSION.V1].includes(cdkVersionOfPackage(dep))).sort();
        if (this.cdkMajorVersion === 2 && v1Deps.length > 0) {
          this.project.logger.warn(`WARNING: Found CDK v1 deps in your project, even though your "cdkVersion" is 2.x: [${v1Deps.join(", ")}]. Check out https://docs.aws.amazon.com/cdk/v2/guide/migrating-v2.html for more information about using CDK v2 dependencies.`);
        }
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * The type of dependency is determined by the `dependencyType` option.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1Dependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1Dependencies() is not supported for CDK 2.x and above, use addDeps() or addPeerDeps() instead");
        }
        this.addV1DependenciesByType(this.dependencyType, ...deps);
        if (this.cdkDependenciesAsDeps) {
          this.addV1DependenciesByType(dependencies_1.DependencyType.RUNTIME, ...deps);
        }
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps fully qualified names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1DevDependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1DevDependencies() is not supported for CDK 2.x and above, use addDevDeps()/addTestDeps() instead");
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.BUILD, ...deps);
      }
      addConstructsDependency(requestedVersion) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const defaultVersion = this.cdkMajorVersion === 1 ? "3.2.27" : "10.0.5";
        const versionRequirement = `^${requestedVersion ?? defaultVersion}`;
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdkMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      /**
       * Adds a dependency on the AWS CDK framework (e.g. `@aws-cdk/core` for V1 or `aws-cdk-lib` for V1).
       */
      addFrameworkDependency(options) {
        switch (this.cdkMajorVersion) {
          case 1:
            this.addV1Dependencies(this._packageNames.coreV1);
            break;
          case 2:
            if (options.cdkDependencies !== void 0) {
              throw new Error('cdkDependencies is not used for CDK 2.x. Use "peerDeps" or "deps" instead');
            }
            if (options.cdkDependenciesAsDeps !== void 0) {
              throw new Error("cdkDependenciesAsDeps is not used for CDK 2.x");
            }
            if (options.cdkTestDependencies !== void 0) {
              throw new Error('cdkTestDependencies is not used for CDK 2.x. Use "devDeps" or "testDeps" instead');
            }
            this.project.deps.addDependency(`${this._packageNames.coreV2}@${this.cdkVersion}`, this.dependencyType);
            break;
          default:
            throw new Error(`Unsupported AWS CDK major version ${this.cdkMajorVersion}.x`);
        }
      }
      addV1AssertionLibraryDependency(options) {
        if (this.cdkMajorVersion !== 1) {
          if (options.cdkAssert !== void 0) {
            throw new Error("cdkAssert is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          if (options.cdkAssertions !== void 0) {
            throw new Error("cdkAssertion is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          return;
        }
        const testDeps = new Array();
        if ((options.cdkAssert ?? true) && this._packageNames.assert) {
          testDeps.push(this._packageNames.assert);
        }
        if (semver.gte(this.cdkMinimumVersion, "1.111.0") && (options.cdkAssertions ?? true)) {
          testDeps.push(this._packageNames.assertions);
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.TEST, ...testDeps);
      }
      /**
       * Adds a set of dependencies with the user-specified dependency type.
       * @param deps The set of dependency specifications
       */
      addV1DependenciesByType(type, ...modules) {
        for (const module3 of modules) {
          this.project.deps.addDependency(`${module3}@${this.cdkVersion}`, type);
        }
      }
    };
    exports2.AwsCdkDeps = AwsCdkDeps;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDeps[_a] = { fqn: "projen.awscdk.AwsCdkDeps", version: "0.71.112" };
    var PACKAGE_AWS_CDK_VERSION;
    (function(PACKAGE_AWS_CDK_VERSION2) {
      PACKAGE_AWS_CDK_VERSION2["V1"] = "v1";
      PACKAGE_AWS_CDK_VERSION2["V2"] = "v2";
      PACKAGE_AWS_CDK_VERSION2["EITHER"] = "either";
      PACKAGE_AWS_CDK_VERSION2["UNKNOWN"] = "unknown";
    })(PACKAGE_AWS_CDK_VERSION || (PACKAGE_AWS_CDK_VERSION = {}));
    function cdkVersionOfPackage(packageName) {
      if (packageName === "aws-cdk-lib") {
        return PACKAGE_AWS_CDK_VERSION.V2;
      } else if (packageName.startsWith("@aws-cdk/")) {
        if (packageName.endsWith("-alpha")) {
          return PACKAGE_AWS_CDK_VERSION.V2;
        } else if (AWS_CDK_V1_V2_SCOPED_PACKAGES.includes(packageName)) {
          return PACKAGE_AWS_CDK_VERSION.EITHER;
        } else {
          return PACKAGE_AWS_CDK_VERSION.V1;
        }
      } else {
        return PACKAGE_AWS_CDK_VERSION.UNKNOWN;
      }
    }
    var AWS_CDK_V1_V2_SCOPED_PACKAGES = [
      "@aws-cdk/cfnspec",
      "@aws-cdk/cx-api",
      "@aws-cdk/region-info",
      "@aws-cdk/cloud-assembly-schema",
      "@aws-cdk/assert",
      "@aws-cdk/cloudformation-diff",
      "@aws-cdk/integ-runner"
    ];
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdkVersion);
      if (!ver) {
        throw new Error(`"cdkVersion" cannot be parsed as a semver version: ${options.cdkVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdkVersionPinning ? options.cdkVersion : `^${options.cdkVersion}`,
        major: ver.major
      };
    }
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-java.js
var require_awscdk_deps_java3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJava = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps3();
    var AwsCdkDepsJava = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "software.amazon.awscdk/core",
          coreV2: "software.amazon.awscdk/aws-cdk-lib",
          constructs: "software.constructs/constructs",
          assertions: "software.amazon.awscdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJava = AwsCdkDepsJava;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJava[_a] = { fqn: "projen.awscdk.AwsCdkDepsJava", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/cdk-config.js
var require_cdk_config3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/cdk-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ApprovalLevel = exports2.CdkConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var internal_1 = require_internal5();
    var component_1 = require_component3();
    var json_1 = require_json5();
    var CdkConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkout = options.cdkout ?? "cdk.out";
        this._include = options.watchIncludes ?? [];
        this._exclude = options.watchExcludes ?? [];
        const context = { ...options.context };
        const fflags = options.featureFlags ?? true;
        if (fflags) {
          for (const flag of internal_1.FEATURE_FLAGS) {
            context[flag] = true;
          }
        }
        this.json = new json_1.JsonFile(project, "cdk.json", {
          omitEmpty: true,
          obj: {
            app: options.app,
            context,
            requireApproval: options.requireApproval,
            output: this.cdkout,
            build: options.buildCommand,
            watch: {
              include: () => this._include,
              exclude: () => this._exclude
            }
          }
        });
        project.gitignore.exclude(`/${this.cdkout}/`);
        project.gitignore.exclude(".cdk.staging/");
      }
      /**
       * Add includes to `cdk.json`.
       * @param patterns The includes to add.
       */
      addIncludes(...patterns) {
        this._include.push(...patterns);
      }
      /**
       * Add excludes to `cdk.json`.
       * @param patterns The excludes to add.
       */
      addExcludes(...patterns) {
        this._exclude.push(...patterns);
      }
      /**
       * List of glob patterns to be included by CDK.
       */
      get include() {
        return [...this._include];
      }
      /**
       * List of glob patterns to be excluded by CDK.
       */
      get exclude() {
        return [...this._exclude];
      }
    };
    exports2.CdkConfig = CdkConfig;
    _a = JSII_RTTI_SYMBOL_1;
    CdkConfig[_a] = { fqn: "projen.awscdk.CdkConfig", version: "0.71.112" };
    var ApprovalLevel;
    (function(ApprovalLevel2) {
      ApprovalLevel2["NEVER"] = "never";
      ApprovalLevel2["ANY_CHANGE"] = "any-change";
      ApprovalLevel2["BROADENING"] = "broadening";
    })(ApprovalLevel || (exports2.ApprovalLevel = ApprovalLevel = {}));
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/cdk-tasks.js
var require_cdk_tasks3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/cdk-tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CdkTasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component3();
    var CdkTasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.synth = project.addTask("synth", {
          description: "Synthesizes your cdk app into cdk.out",
          exec: "cdk synth"
        });
        this.synthSilent = project.addTask("synth:silent", {
          description: 'Synthesizes your cdk app into cdk.out and suppresses the template in stdout (part of "yarn build")',
          exec: "cdk synth -q"
        });
        this.deploy = project.addTask("deploy", {
          description: "Deploys your CDK app to the AWS cloud",
          exec: "cdk deploy",
          receiveArgs: true
        });
        this.destroy = project.addTask("destroy", {
          description: "Destroys your cdk app in the AWS cloud",
          exec: "cdk destroy",
          receiveArgs: true
        });
        this.diff = project.addTask("diff", {
          description: "Diffs the currently deployed app against your code",
          exec: "cdk diff"
        });
        const watch = project.tasks.tryFind("watch") ?? project.addTask("watch");
        watch.reset();
        watch.description = "Watches changes in your source code and rebuilds and deploys to the current account";
        watch.exec("cdk deploy --hotswap");
        watch.exec("cdk watch");
        this.watch = watch;
      }
    };
    exports2.CdkTasks = CdkTasks;
    _a = JSII_RTTI_SYMBOL_1;
    CdkTasks[_a] = { fqn: "projen.awscdk.CdkTasks", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-app-java.js
var require_awscdk_app_java3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-app-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkJavaApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var awscdk_deps_java_1 = require_awscdk_deps_java3();
    var cdk_config_1 = require_cdk_config3();
    var cdk_tasks_1 = require_cdk_tasks3();
    var __1 = require_lib16();
    var java_1 = require_java3();
    var AwsCdkJavaApp = class extends java_1.JavaProject {
      constructor(options) {
        const mainClassComponents = options.mainClass.split(".");
        const mainPackage = mainClassComponents.slice(0, -1);
        const mainClassName = mainClassComponents[mainClassComponents.length - 1];
        super({
          ...options,
          sample: false,
          sampleJavaPackage: mainPackage.join(".")
        });
        this.mainClass = options.mainClass;
        this.mainPackage = mainPackage.join(".");
        this.mainClassName = mainClassName;
        this.cdkDeps = new awscdk_deps_java_1.AwsCdkDepsJava(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synth);
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `mvn exec:java --quiet -Dexec.mainClass=${this.mainClass}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          ...options
        });
        if (options.sample ?? true) {
          this.addSample();
        }
      }
      /**
       * Adds an AWS CDK module dependencies
       *
       * @param modules The list of modules to depend on (e.g. "software.amazon.awscdk/aws-lambda", "software.amazon.awscdk/aws-iam", etc)
       * @deprecated In CDK 2.x all modules are available by default. Alpha modules should be added using the standard 'deps'
       */
      addCdkDependency(...modules) {
        for (const m of modules) {
          this.cdkDeps.addV1Dependencies(m);
        }
      }
      addSample() {
        const pkg = this.mainPackage.split(".");
        const javaFile = `${this.mainClassName}.java`;
        new __1.SampleDir(this, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            [javaFile]: [
              `package ${pkg.join(".")};`,
              "",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.App;" : "import software.amazon.awscdk.App;",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.Stack;" : "import software.amazon.awscdk.Stack;",
              "",
              `public class ${this.mainClassName} {`,
              "  public static void main(final String[] args) {",
              "    App app = new App();",
              `    new Stack(app, "${this.name}");`,
              "    app.synth();",
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkJavaApp = AwsCdkJavaApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkJavaApp[_a] = { fqn: "projen.awscdk.AwsCdkJavaApp", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-py.js
var require_awscdk_deps_py3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps3();
    var AwsCdkDepsPy = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "aws_cdk.core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "aws_cdk.assert",
          assertions: "aws_cdk.assertions"
        };
      }
    };
    exports2.AwsCdkDepsPy = AwsCdkDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsPy[_a] = { fqn: "projen.awscdk.AwsCdkDepsPy", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js
var require_awscdk_pytest_sample3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPytestSample = void 0;
    var __1 = require_lib16();
    var AwsCdkPytestSample = class extends __1.Component {
      constructor(project, testdir) {
        super(project);
        new __1.SampleDir(project, testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "from aws_cdk import App",
              "from aws_cdk.assertions import Template",
              "",
              `from ${project.moduleName}.main import MyStack`,
              "",
              "@pytest.fixture(scope='module')",
              "def template():",
              "  app = App()",
              '  stack = MyStack(app, "my-stack-test")',
              "  template = Template.from_stack(stack)",
              "  yield template",
              "",
              `def test_no_buckets_found(template):`,
              '  template.resource_count_is("AWS::S3::Bucket", 0)',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkPytestSample = AwsCdkPytestSample;
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-app-py.js
var require_awscdk_app_py3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_awscdk3();
    var awscdk_deps_py_1 = require_awscdk_deps_py3();
    var awscdk_pytest_sample_1 = require_awscdk_pytest_sample3();
    var __1 = require_lib16();
    var pytest_1 = require_pytest3();
    var python_project_1 = require_python_project3();
    var AwsCdkPythonApp = class extends python_project_1.PythonProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdkDeps = new awscdk_deps_py_1.AwsCdkDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        this.testdir = options.testdir ?? "tests";
        this.cdkTasks = new _1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        this.cdkConfig = new _1.CdkConfig(this, {
          app: `python ${this.appEntrypoint}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          watchIncludes: ["**"],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "requirements*.txt",
            "source.bat",
            "**/__init__.py",
            "python/__pycache__",
            "tests"
          ],
          ...options
        });
        if (options.sample ?? true) {
          new AppCode(this, "app.py", this.cdkDeps.cdkMajorVersion);
          new MyStackCode(this, this.moduleName, this.cdkDeps.cdkMajorVersion);
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new awscdk_pytest_sample_1.AwsCdkPytestSample(this, this.pytest.testdir);
        }
      }
    };
    exports2.AwsCdkPythonApp = AwsCdkPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkPythonApp[_a] = { fqn: "projen.awscdk.AwsCdkPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, fileName, cdkVersion) {
        super(project);
        let versionImport;
        if (cdkVersion < 2) {
          versionImport = "from aws_cdk.core import App, Environment";
        } else {
          versionImport = "from aws_cdk import App, Environment";
        }
        new __1.SampleFile(project, fileName, {
          contents: [
            "import os",
            versionImport,
            `from ${project.moduleName}.main import MyStack`,
            "",
            "# for development, use account/region from cdk cli",
            "dev_env = Environment(",
            "  account=os.getenv('CDK_DEFAULT_ACCOUNT'),",
            "  region=os.getenv('CDK_DEFAULT_REGION')",
            ")",
            "",
            "app = App()",
            `MyStack(app, "${this.project.name}-dev", env=dev_env)`,
            `# MyStack(app, "${this.project.name}-prod", env=prod_env)`,
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
    var MyStackCode = class extends __1.Component {
      constructor(project, dir, cdkMajorVersion) {
        super(project);
        let appFile = [];
        appFile.push("import os");
        if (cdkMajorVersion < 2) {
          appFile.push("from aws_cdk.core import Construct, Stack");
        } else {
          appFile.push("from aws_cdk import Stack");
          appFile.push("from constructs import Construct");
        }
        appFile.push("");
        appFile.push("");
        appFile.push("class MyStack(Stack):");
        appFile.push("  def __init__(self, scope: Construct, construct_id: str, **kwargs) -> None:");
        appFile.push("    super().__init__(scope, construct_id, **kwargs)");
        appFile.push("");
        appFile.push("    # The code that defines your stack goes here");
        appFile.push("");
        new __1.SampleDir(project, dir, {
          files: {
            "__init__.py": "",
            "main.py": appFile.join("\n")
          }
        });
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-js.js
var require_awscdk_deps_js3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-deps-js.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps3();
    var AwsCdkDepsJs = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "@aws-cdk/core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "@aws-cdk/assert",
          assertions: "@aws-cdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJs = AwsCdkDepsJs;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJs[_a] = { fqn: "projen.awscdk.AwsCdkDepsJs", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-app-ts.js
var require_awscdk_app_ts3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover5();
    var awscdk_deps_js_1 = require_awscdk_deps_js3();
    var cdk_config_1 = require_cdk_config3();
    var cdk_tasks_1 = require_cdk_tasks3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var typescript_1 = require_typescript6();
    var AwsCdkTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({
          ...options,
          sampleCode: false,
          bundlerOptions: {
            ...options.bundlerOptions,
            // we invoke the "bundle" task as part of the build step in cdk.json so
            // we don't want it to be added to the pre-compile phase.
            addToPreCompile: false
          }
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        this.addDevDeps(`aws-cdk@${this.cdkDeps.cdkVersion}`);
        this.compileTask.reset();
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        const tsConfigFile = this.tsconfig?.fileName;
        if (!tsConfigFile) {
          throw new Error("Expecting tsconfig.json");
        }
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `npx ts-node -P ${tsConfigFile} --prefer-ts-exts ${path.posix.join(this.srcdir, this.appEntrypoint)}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          buildCommand: this.runTaskCommand(this.bundler.bundleTask),
          watchIncludes: [`${this.srcdir}/**/*.ts`, `${this.testdir}/**/*.ts`],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "**/*.d.ts",
            "**/*.js",
            "tsconfig.json",
            "package*.json",
            "yarn.lock",
            "node_modules"
          ],
          ...options
        });
        this.gitignore.exclude(".parcel-cache/");
        this.npmignore?.exclude(`${this.cdkConfig.cdkout}/`);
        this.npmignore?.exclude(".cdk.staging/");
        if (this.tsconfig) {
          this.tsconfig.exclude.push(this.cdkConfig.cdkout);
        }
        this.addDevDeps("ts-node");
        if (options.sampleCode ?? true) {
          new SampleCode(this, this.cdkDeps.cdkMajorVersion);
        }
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * Adds an AWS CDK module dependencies
       * @param modules The list of modules to depend on
       */
      addCdkDependency(...modules) {
        return this.cdkDeps.addV1Dependencies(...modules);
      }
    };
    exports2.AwsCdkTypeScriptApp = AwsCdkTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkTypeScriptApp[_a] = { fqn: "projen.awscdk.AwsCdkTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project, cdkMajorVersion) {
        super(project);
        this.cdkMajorVersion = cdkMajorVersion;
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcImports = new Array();
        if (this.cdkMajorVersion < 2) {
          srcImports.push("import { App, Construct, Stack, StackProps } from '@aws-cdk/core';");
        } else {
          srcImports.push("import { App, Stack, StackProps } from 'aws-cdk-lib';");
          srcImports.push("import { Construct } from 'constructs';");
        }
        const srcCode = `${srcImports.join("\n")}

export class MyStack extends Stack {
  constructor(scope: Construct, id: string, props: StackProps = {}) {
    super(scope, id, props);

    // define resources here...
  }
}

// for development, use account/region from cdk cli
const devEnv = {
  account: process.env.CDK_DEFAULT_ACCOUNT,
  region: process.env.CDK_DEFAULT_REGION,
};

const app = new App();

new MyStack(app, '${this.project.name}-dev', { env: devEnv });
// new MyStack(app, '${this.project.name}-prod', { env: prodEnv });

app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
        const testdir = path.join(outdir, this.appProject.testdir);
        if (fs.existsSync(testdir) && fs.readdirSync(testdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const testImports = new Array();
        if (this.cdkMajorVersion < 2) {
          testImports.push("import { App } from '@aws-cdk/core';");
          testImports.push("import { Template } from '@aws-cdk/assertions';");
        } else {
          testImports.push("import { App } from 'aws-cdk-lib';");
          testImports.push("import { Template } from 'aws-cdk-lib/assertions';");
        }
        const appEntrypointName = path.basename(this.appProject.appEntrypoint, ".ts");
        const testCode = `${testImports.join("\n")}
import { MyStack } from '../${this.appProject.srcdir}/${appEntrypointName}';

test('Snapshot', () => {
  const app = new App();
  const stack = new MyStack(app, 'test');

  const template = Template.fromStack(stack);
  expect(template.toJSON()).toMatchSnapshot();
});`;
        fs.mkdirSync(testdir, { recursive: true });
        fs.writeFileSync(path.join(testdir, `${appEntrypointName}.test.ts`), testCode);
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/awscdk-construct.js
var require_awscdk_construct3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/awscdk-construct.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryAws = exports2.AwsCdkConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var auto_discover_1 = require_auto_discover5();
    var awscdk_deps_js_1 = require_awscdk_deps_js3();
    var cdk_1 = require_cdk3();
    var dependencies_1 = require_dependencies3();
    var AwsCdkConstructLibrary = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        const cdkMajorVersion = semver.parse(options.cdkVersion)?.major;
        super({
          peerDependencyOptions: cdkMajorVersion === 1 ? {
            pinnedDevDependency: false
          } : void 0,
          workflowNodeVersion: options.minNodeVersion ?? "16.x",
          ...options
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          // since this we are a library, dependencies should be added a peers
          dependencyType: dependencies_1.DependencyType.PEER,
          ...options
        });
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * The target CDK version for this library.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      /**
       * @deprecated use `cdkVersion`
       */
      get version() {
        return this.cdkVersion;
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * Since this is a library project, dependencies will be added as peer dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1Dependencies()`
       */
      addCdkDependencies(...deps) {
        return this.cdkDeps.addV1Dependencies(...deps);
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1DevDependencies()`
       */
      addCdkTestDependencies(...deps) {
        return this.cdkDeps.addV1DevDependencies(...deps);
      }
    };
    exports2.AwsCdkConstructLibrary = AwsCdkConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkConstructLibrary[_a] = { fqn: "projen.awscdk.AwsCdkConstructLibrary", version: "0.71.112" };
    var ConstructLibraryAws = class extends AwsCdkConstructLibrary {
    };
    exports2.ConstructLibraryAws = ConstructLibraryAws;
    _b = JSII_RTTI_SYMBOL_1;
    ConstructLibraryAws[_b] = { fqn: "projen.awscdk.ConstructLibraryAws", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/awscdk/index.js
var require_awscdk3 = __commonJS({
  "../blueprint/node_modules/projen/lib/awscdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover5(), exports2);
    __exportStar(require_awscdk_app_java3(), exports2);
    __exportStar(require_awscdk_app_py3(), exports2);
    __exportStar(require_awscdk_app_ts3(), exports2);
    __exportStar(require_awscdk_construct3(), exports2);
    __exportStar(require_awscdk_deps3(), exports2);
    __exportStar(require_awscdk_deps_java3(), exports2);
    __exportStar(require_awscdk_deps_js3(), exports2);
    __exportStar(require_awscdk_deps_py3(), exports2);
    __exportStar(require_cdk_config3(), exports2);
    __exportStar(require_cdk_tasks3(), exports2);
    __exportStar(require_integration_test5(), exports2);
    __exportStar(require_lambda_function3(), exports2);
    __exportStar(require_lambda_extension3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/integration-test.js
var require_integration_test6 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var cdk_1 = require_cdk3();
    var dependencies_1 = require_dependencies3();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("cdk8s-cli")) {
          project.deps.addDependency(`cdk8s-cli`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk8s synth --app "${app}" -o ${deployDir}`);
        this.deployTask.exec(`kubectl apply -f ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.snapshotTask.exec(`rm -fr ${this.snapshotDir}`);
        this.snapshotTask.exec(`cdk8s synth --app "${app}" -o ${this.snapshotDir}`);
        this.assertTask.exec(`cdk8s synth --app "${app}" -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff ${this.snapshotDir}/ ${assertDir}/`);
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.cdk8s.IntegrationTest", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/auto-discover.js
var require_auto_discover6 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscover = exports2.AutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test6();
    var cdk_1 = require_cdk3();
    var component_1 = require_component3();
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, options);
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_a] = { fqn: "projen.cdk8s.AutoDiscover", version: "0.71.112" };
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            tsconfigPath: options.tsconfigPath
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_b] = { fqn: "projen.cdk8s.IntegrationTestAutoDiscover", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps.js
var require_cdk8s_deps3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var Cdk8sDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdk8sVersion = framework.range;
        this.cdk8sMajorVersion = framework.major;
        this.cdk8sMinimumVersion = framework.minimum;
        this.addConstructsDependency(options.constructsVersion, options.constructsVersionPinning);
        this.addFrameworkDependency(options.cdk8sVersion, options.cdk8sVersionPinning);
        if (options.cdk8sCliDependency) {
          this.addClientDependency(options.cdk8sCliVersion, options.cdk8sCliVersionPinning);
        }
        if (options.cdk8sPlus ?? true) {
          const k8MinorVersion = options.k8sMinorVersion ?? 22;
          this.addCdk8sPlusDependency(
            k8MinorVersion,
            options.cdk8sPlusVersion,
            // (project instanceof Cdk8sPythonApp) ? true : false,
            options.cdk8sPlusVersionPinning
          );
        }
      }
      getVersionRequirement(requestedVersion, v1Version, v2Version, pinning) {
        const defaultVersion = this.cdk8sMajorVersion === 1 ? v1Version : v2Version;
        const version = `${requestedVersion ?? defaultVersion}`;
        const versionRequirement = pinning ? `${version}` : `^${version}`;
        return versionRequirement;
      }
      addCdk8sPlusDependency(k8MinorVersion, requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.0.0-beta.222", "2.0.0-rc.26", pinning);
        const cdk8sPlusMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sPlusMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s-plus version '${versionRequirement}'`);
        }
        const cdk8sPlusLib = this._packageNames.cdk8sPlus.concat("-", k8MinorVersion.toString());
        this.project.deps.addDependency(`${cdk8sPlusLib}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addClientDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.1.34", "2.0.28", pinning);
        const cdk8sCliMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sCliMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8sClient}@${versionRequirement}`, dependencies_1.DependencyType.BUILD);
        return versionRequirement;
      }
      addFrameworkDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.6.33", "2.3.33", pinning);
        const cdk8sMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8s}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addConstructsDependency(requestedVersion, pinning) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const versionRequirement = this.getVersionRequirement(requestedVersion, "3.4.39", "10.1.42", pinning);
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdk8sMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
    };
    exports2.Cdk8sDeps = Cdk8sDeps;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDeps[_a] = { fqn: "projen.cdk8s.Cdk8sDeps", version: "0.71.112" };
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdk8sVersion);
      if (!ver) {
        throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`,
        major: ver.major
      };
    }
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js
var require_cdk8s_deps_py3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_1 = require_cdk8s_deps3();
    var Cdk8sDepsPy = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsPy = Cdk8sDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDepsPy[_a] = { fqn: "projen.cdk8s.Cdk8sDepsPy", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-app-py.js
var require_cdk8s_app_py3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_py_1 = require_cdk8s_deps_py3();
    var __1 = require_lib16();
    var python_project_1 = require_python_project3();
    var Cdk8sPythonApp = class extends python_project_1.PythonProject {
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdk8sDeps = new cdk8s_deps_py_1.Cdk8sDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          cdk8sCliDependency: false,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        const synth = this.addTask("synth", {
          description: "Synthesizes your cdk8s app into dist",
          exec: "cdk8s synth"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        new __1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "python",
            app: `python ${this.appEntrypoint}`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sample ?? true) {
          new AppCode(this, this.appEntrypoint);
        }
      }
    };
    exports2.Cdk8sPythonApp = Cdk8sPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sPythonApp[_a] = { fqn: "projen.cdk8s.Cdk8sPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, filename) {
        super(project);
        new __1.SampleFile(project, filename, {
          contents: [
            "from constructs import Construct",
            "from cdk8s import App, Chart",
            "",
            "",
            "class MyChart(Chart):",
            "  def __init__(self, scope: Construct, id:str):",
            "    super().__init__(scope, id)",
            "",
            "",
            "app = App()",
            'MyChart(app, "${project.name}")',
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js
var require_cdk8s_deps_js3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsJs = void 0;
    var cdk8s_deps_1 = require_cdk8s_deps3();
    var Cdk8sDepsJs = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          cdk8sClient: "cdk8s-cli",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsJs = Cdk8sDepsJs;
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js
var require_cdk8s_app_ts3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover6();
    var cdk8s_deps_js_1 = require_cdk8s_deps_js3();
    var component_1 = require_component3();
    var dependencies_1 = require_dependencies3();
    var typescript_1 = require_typescript6();
    var yaml_1 = require_yaml3();
    var Cdk8sTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        super({
          ...options,
          sampleCode: false
        });
        this.cdk8sDeps = new cdk8s_deps_js_1.Cdk8sDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          cdk8sCliDependency: true,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        if (this.srcdir !== "src") {
          throw new Error('sources are expected under the "src" directory');
        }
        if (this.testdir !== "test") {
          throw new Error('test sources are expected under the "test" directory');
        }
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        const synth = this.addTask("synth", {
          description: 'Synthesizes your cdk8s app into dist (part of "yarn build")',
          exec: "cdk8s synth"
        });
        this.addTask("import", {
          description: "Imports API objects to your app by generating constructs.",
          exec: "cdk8s import -o src/imports"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        const appEntrypointBaseName = path.basename(this.appEntrypoint, ".ts");
        new yaml_1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "typescript",
            app: `node lib/${appEntrypointBaseName}.js`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.Cdk8sTypeScriptApp = Cdk8sTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sTypeScriptApp[_a] = { fqn: "projen.cdk8s.Cdk8sTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcCode = `import { Construct } from 'constructs';
import { App, Chart, ChartProps, ApiObject } from 'cdk8s';

export class MyChart extends Chart {
  constructor(scope: Construct, id: string, props: ChartProps = { }) {
    super(scope, id, props);

    const label = { app: 'hello-k8s' };



    new ApiObject(this, 'deployment', {
      apiVersion: "v1",
      kind: "Pod",
      metadata: {
          namespace: "frontend",
          name: "nginx",
          labels: label,
      },
      spec: {
          containers: [{
              name: "nginx",
              image: "nginx:1.14-alpine",
              resources: {
                  limits: {
                      memory: "20Mi",
                      cpu: 0.2,
                  },
              },
          }],
      },
    });
  }
}

const app = new App();
new MyChart(app, 'hello');
app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
      }
    };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/cdk8s-construct.js
var require_cdk8s_construct3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/cdk8s-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdk8s = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var auto_discover_1 = require_auto_discover6();
    var cdk_1 = require_cdk3();
    var ConstructLibraryCdk8s = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        const cdk8sVersion = semver.parse(options.cdk8sVersion);
        if (!cdk8sVersion) {
          throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
        }
        this.cdk8sVersion = options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`;
        const defaultConstructsVersion = cdk8sVersion.major === 1 ? "3.3.196" : "10.0.0";
        const resolvedConstructsVersion = options.constructsVersion ?? defaultConstructsVersion;
        const resolvedMajorConstructVersion = semver.parse(resolvedConstructsVersion)?.major;
        if (!resolvedMajorConstructVersion) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${options.constructsVersion}`);
        }
        switch (cdk8sVersion.major) {
          case 1:
            if (resolvedMajorConstructVersion !== 3) {
              throw new Error("cdk8s 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (resolvedMajorConstructVersion !== 10) {
              throw new Error("cdk8s 2.x requires constructs 10.x");
            }
            break;
        }
        this.constructsVersion = options.constructsVersionPinning ? resolvedConstructsVersion : `^${resolvedConstructsVersion}`;
        this.addPeerDeps(`constructs@${this.constructsVersion}`, `cdk8s@${this.cdk8sVersion}`);
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.ConstructLibraryCdk8s = ConstructLibraryCdk8s;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdk8s[_a] = { fqn: "projen.cdk8s.ConstructLibraryCdk8s", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdk8s/index.js
var require_cdk8s3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdk8s/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover6(), exports2);
    __exportStar(require_cdk8s_app_py3(), exports2);
    __exportStar(require_cdk8s_app_ts3(), exports2);
    __exportStar(require_cdk8s_construct3(), exports2);
    __exportStar(require_integration_test6(), exports2);
    __exportStar(require_cdk8s_deps3(), exports2);
    __exportStar(require_cdk8s_deps_py3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/cdktf/cdktf-construct.js
var require_cdktf_construct3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdktf/cdktf-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdktf = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver10();
    var cdk_1 = require_cdk3();
    var ConstructLibraryCdktf = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdktfVersion) {
          throw new Error("Required field cdktfVersion is not specified.");
        }
        function getDefaultConstructVersion() {
          const semverCDKTFVersion = semver.coerce(options.cdktfVersion);
          if (semverCDKTFVersion && semver.lte(semverCDKTFVersion, "0.5.0")) {
            return "^3.0.0";
          }
          return "^10.0.12";
        }
        const ver = options.cdktfVersion;
        const constructVersion = options.constructsVersion ?? getDefaultConstructVersion();
        this.addPeerDeps(`constructs@${constructVersion}`, `cdktf@${ver}`);
        this.addKeywords("cdktf");
      }
    };
    exports2.ConstructLibraryCdktf = ConstructLibraryCdktf;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdktf[_a] = { fqn: "projen.cdktf.ConstructLibraryCdktf", version: "0.71.112" };
  }
});

// ../blueprint/node_modules/projen/lib/cdktf/index.js
var require_cdktf3 = __commonJS({
  "../blueprint/node_modules/projen/lib/cdktf/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_cdktf_construct3(), exports2);
  }
});

// ../blueprint/node_modules/projen/lib/index.js
var require_lib16 = __commonJS({
  "../blueprint/node_modules/projen/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.build = exports2.cdk = exports2.cdktf = exports2.cdk8s = exports2.awscdk = exports2.release = exports2.javascript = exports2.typescript = exports2.python = exports2.java = exports2.vscode = exports2.circleci = exports2.gitlab = exports2.github = exports2.web = void 0;
    __exportStar(require_component3(), exports2);
    __exportStar(require_dev_env3(), exports2);
    __exportStar(require_dependencies3(), exports2);
    __exportStar(require_docker_compose6(), exports2);
    __exportStar(require_file4(), exports2);
    __exportStar(require_gitattributes3(), exports2);
    __exportStar(require_gitpod3(), exports2);
    __exportStar(require_ignore_file3(), exports2);
    __exportStar(require_ini6(), exports2);
    __exportStar(require_json5(), exports2);
    __exportStar(require_json_patch3(), exports2);
    __exportStar(require_logger3(), exports2);
    __exportStar(require_license3(), exports2);
    __exportStar(require_makefile3(), exports2);
    __exportStar(require_object_file3(), exports2);
    __exportStar(require_option_hints3(), exports2);
    __exportStar(require_project3(), exports2);
    __exportStar(require_project_build3(), exports2);
    __exportStar(require_projects3(), exports2);
    __exportStar(require_projenrc11(), exports2);
    __exportStar(require_projenrc_json3(), exports2);
    __exportStar(require_readme3(), exports2);
    __exportStar(require_renovatebot3(), exports2);
    __exportStar(require_sample_file3(), exports2);
    __exportStar(require_semver11(), exports2);
    __exportStar(require_source_code3(), exports2);
    __exportStar(require_task3(), exports2);
    __exportStar(require_tasks3(), exports2);
    __exportStar(require_task_model3(), exports2);
    __exportStar(require_task_runtime3(), exports2);
    __exportStar(require_testing3(), exports2);
    __exportStar(require_textfile3(), exports2);
    __exportStar(require_toml6(), exports2);
    __exportStar(require_version3(), exports2);
    __exportStar(require_yaml3(), exports2);
    __exportStar(require_xmlfile3(), exports2);
    exports2.web = require_web3();
    exports2.github = require_github6();
    exports2.gitlab = require_gitlab3();
    exports2.circleci = require_circleci6();
    exports2.vscode = require_vscode6();
    exports2.java = require_java3();
    exports2.python = require_python3();
    exports2.typescript = require_typescript6();
    exports2.javascript = require_javascript3();
    exports2.release = require_release6();
    exports2.awscdk = require_awscdk3();
    exports2.cdk8s = require_cdk8s3();
    exports2.cdktf = require_cdktf3();
    exports2.cdk = require_cdk3();
    exports2.build = require_build3();
  }
});

// ../blueprint/lib/resynthesis/context-file.js
var require_context_file = __commonJS({
  "../blueprint/lib/resynthesis/context-file.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createContextFile = exports2.destructurePath = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    function destructurePath(absoluteFilePath, absoluteBundlePath) {
      const relativePath = path.relative(absoluteBundlePath, absoluteFilePath);
      const splitpath = path.posix.normalize(relativePath).split("/");
      let resourcePrefix = splitpath.shift();
      if (!resourcePrefix) {
        return {
          absolutePath: absoluteFilePath,
          absoluteBundlePath,
          filepath: path.join(...splitpath)
        };
      }
      let subdirectory = splitpath.shift();
      if (!subdirectory) {
        return {
          absolutePath: absoluteFilePath,
          absoluteBundlePath,
          resourcePrefix,
          filepath: path.join(...splitpath)
        };
      }
      return {
        absolutePath: absoluteFilePath,
        absoluteBundlePath,
        resourcePrefix,
        subdirectory,
        filepath: path.join(...splitpath)
      };
    }
    exports2.destructurePath = destructurePath;
    function createContextFile(bundlepath, resourcePrefix, repositoryName, filepath) {
      const absoluteRepoLocation = path.join(bundlepath, resourcePrefix, repositoryName);
      const absoluteFileLocation = path.join(absoluteRepoLocation, filepath);
      if (fs.existsSync(absoluteFileLocation) && fs.lstatSync(absoluteRepoLocation).isDirectory() && fs.lstatSync(absoluteFileLocation).isFile()) {
        return {
          repositoryName,
          path: filepath,
          buffer: fs.readFileSync(absoluteFileLocation)
        };
      }
      return void 0;
    }
    exports2.createContextFile = createContextFile;
  }
});

// ../blueprint/node_modules/lodash/lodash.js
var require_lodash = __commonJS({
  "../blueprint/node_modules/lodash/lodash.js"(exports2, module2) {
    (function() {
      var undefined2;
      var VERSION = "4.17.21";
      var LARGE_ARRAY_SIZE = 200;
      var CORE_ERROR_TEXT = "Unsupported core-js use. Try https://npms.io/search?q=ponyfill.", FUNC_ERROR_TEXT = "Expected a function", INVALID_TEMPL_VAR_ERROR_TEXT = "Invalid `variable` option passed into `_.template`";
      var HASH_UNDEFINED = "__lodash_hash_undefined__";
      var MAX_MEMOIZE_SIZE = 500;
      var PLACEHOLDER = "__lodash_placeholder__";
      var CLONE_DEEP_FLAG = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG = 4;
      var COMPARE_PARTIAL_FLAG = 1, COMPARE_UNORDERED_FLAG = 2;
      var WRAP_BIND_FLAG = 1, WRAP_BIND_KEY_FLAG = 2, WRAP_CURRY_BOUND_FLAG = 4, WRAP_CURRY_FLAG = 8, WRAP_CURRY_RIGHT_FLAG = 16, WRAP_PARTIAL_FLAG = 32, WRAP_PARTIAL_RIGHT_FLAG = 64, WRAP_ARY_FLAG = 128, WRAP_REARG_FLAG = 256, WRAP_FLIP_FLAG = 512;
      var DEFAULT_TRUNC_LENGTH = 30, DEFAULT_TRUNC_OMISSION = "...";
      var HOT_COUNT = 800, HOT_SPAN = 16;
      var LAZY_FILTER_FLAG = 1, LAZY_MAP_FLAG = 2, LAZY_WHILE_FLAG = 3;
      var INFINITY = 1 / 0, MAX_SAFE_INTEGER = 9007199254740991, MAX_INTEGER = 17976931348623157e292, NAN = 0 / 0;
      var MAX_ARRAY_LENGTH = 4294967295, MAX_ARRAY_INDEX = MAX_ARRAY_LENGTH - 1, HALF_MAX_ARRAY_LENGTH = MAX_ARRAY_LENGTH >>> 1;
      var wrapFlags = [
        ["ary", WRAP_ARY_FLAG],
        ["bind", WRAP_BIND_FLAG],
        ["bindKey", WRAP_BIND_KEY_FLAG],
        ["curry", WRAP_CURRY_FLAG],
        ["curryRight", WRAP_CURRY_RIGHT_FLAG],
        ["flip", WRAP_FLIP_FLAG],
        ["partial", WRAP_PARTIAL_FLAG],
        ["partialRight", WRAP_PARTIAL_RIGHT_FLAG],
        ["rearg", WRAP_REARG_FLAG]
      ];
      var argsTag = "[object Arguments]", arrayTag = "[object Array]", asyncTag = "[object AsyncFunction]", boolTag = "[object Boolean]", dateTag = "[object Date]", domExcTag = "[object DOMException]", errorTag = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag = "[object Map]", numberTag = "[object Number]", nullTag = "[object Null]", objectTag = "[object Object]", promiseTag = "[object Promise]", proxyTag = "[object Proxy]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag = "[object Symbol]", undefinedTag = "[object Undefined]", weakMapTag = "[object WeakMap]", weakSetTag = "[object WeakSet]";
      var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
      var reEmptyStringLeading = /\b__p \+= '';/g, reEmptyStringMiddle = /\b(__p \+=) '' \+/g, reEmptyStringTrailing = /(__e\(.*?\)|\b__t\)) \+\n'';/g;
      var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g, reUnescapedHtml = /[&<>"']/g, reHasEscapedHtml = RegExp(reEscapedHtml.source), reHasUnescapedHtml = RegExp(reUnescapedHtml.source);
      var reEscape = /<%-([\s\S]+?)%>/g, reEvaluate = /<%([\s\S]+?)%>/g, reInterpolate = /<%=([\s\S]+?)%>/g;
      var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, reIsPlainProp = /^\w*$/, rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;
      var reRegExpChar = /[\\^$.*+?()[\]{}|]/g, reHasRegExpChar = RegExp(reRegExpChar.source);
      var reTrimStart = /^\s+/;
      var reWhitespace = /\s/;
      var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/, reSplitDetails = /,? & /;
      var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
      var reForbiddenIdentifierChars = /[()=,{}\[\]\/\s]/;
      var reEscapeChar = /\\(\\)?/g;
      var reEsTemplate = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g;
      var reFlags = /\w*$/;
      var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
      var reIsBinary = /^0b[01]+$/i;
      var reIsHostCtor = /^\[object .+?Constructor\]$/;
      var reIsOctal = /^0o[0-7]+$/i;
      var reIsUint = /^(?:0|[1-9]\d*)$/;
      var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
      var reNoMatch = /($^)/;
      var reUnescapedString = /['\n\r\u2028\u2029\\]/g;
      var rsAstralRange = "\\ud800-\\udfff", rsComboMarksRange = "\\u0300-\\u036f", reComboHalfMarksRange = "\\ufe20-\\ufe2f", rsComboSymbolsRange = "\\u20d0-\\u20ff", rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange, rsDingbatRange = "\\u2700-\\u27bf", rsLowerRange = "a-z\\xdf-\\xf6\\xf8-\\xff", rsMathOpRange = "\\xac\\xb1\\xd7\\xf7", rsNonCharRange = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", rsPunctuationRange = "\\u2000-\\u206f", rsSpaceRange = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", rsUpperRange = "A-Z\\xc0-\\xd6\\xd8-\\xde", rsVarRange = "\\ufe0e\\ufe0f", rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;
      var rsApos = "['\u2019]", rsAstral = "[" + rsAstralRange + "]", rsBreak = "[" + rsBreakRange + "]", rsCombo = "[" + rsComboRange + "]", rsDigits = "\\d+", rsDingbat = "[" + rsDingbatRange + "]", rsLower = "[" + rsLowerRange + "]", rsMisc = "[^" + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + "]", rsFitz = "\\ud83c[\\udffb-\\udfff]", rsModifier = "(?:" + rsCombo + "|" + rsFitz + ")", rsNonAstral = "[^" + rsAstralRange + "]", rsRegional = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsUpper = "[" + rsUpperRange + "]", rsZWJ = "\\u200d";
      var rsMiscLower = "(?:" + rsLower + "|" + rsMisc + ")", rsMiscUpper = "(?:" + rsUpper + "|" + rsMisc + ")", rsOptContrLower = "(?:" + rsApos + "(?:d|ll|m|re|s|t|ve))?", rsOptContrUpper = "(?:" + rsApos + "(?:D|LL|M|RE|S|T|VE))?", reOptMod = rsModifier + "?", rsOptVar = "[" + rsVarRange + "]?", rsOptJoin = "(?:" + rsZWJ + "(?:" + [rsNonAstral, rsRegional, rsSurrPair].join("|") + ")" + rsOptVar + reOptMod + ")*", rsOrdLower = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", rsOrdUpper = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", rsSeq = rsOptVar + reOptMod + rsOptJoin, rsEmoji = "(?:" + [rsDingbat, rsRegional, rsSurrPair].join("|") + ")" + rsSeq, rsSymbol = "(?:" + [rsNonAstral + rsCombo + "?", rsCombo, rsRegional, rsSurrPair, rsAstral].join("|") + ")";
      var reApos = RegExp(rsApos, "g");
      var reComboMark = RegExp(rsCombo, "g");
      var reUnicode = RegExp(rsFitz + "(?=" + rsFitz + ")|" + rsSymbol + rsSeq, "g");
      var reUnicodeWord = RegExp([
        rsUpper + "?" + rsLower + "+" + rsOptContrLower + "(?=" + [rsBreak, rsUpper, "$"].join("|") + ")",
        rsMiscUpper + "+" + rsOptContrUpper + "(?=" + [rsBreak, rsUpper + rsMiscLower, "$"].join("|") + ")",
        rsUpper + "?" + rsMiscLower + "+" + rsOptContrLower,
        rsUpper + "+" + rsOptContrUpper,
        rsOrdUpper,
        rsOrdLower,
        rsDigits,
        rsEmoji
      ].join("|"), "g");
      var reHasUnicode = RegExp("[" + rsZWJ + rsAstralRange + rsComboRange + rsVarRange + "]");
      var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
      var contextProps = [
        "Array",
        "Buffer",
        "DataView",
        "Date",
        "Error",
        "Float32Array",
        "Float64Array",
        "Function",
        "Int8Array",
        "Int16Array",
        "Int32Array",
        "Map",
        "Math",
        "Object",
        "Promise",
        "RegExp",
        "Set",
        "String",
        "Symbol",
        "TypeError",
        "Uint8Array",
        "Uint8ClampedArray",
        "Uint16Array",
        "Uint32Array",
        "WeakMap",
        "_",
        "clearTimeout",
        "isFinite",
        "parseInt",
        "setTimeout"
      ];
      var templateCounter = -1;
      var typedArrayTags = {};
      typedArrayTags[float32Tag] = typedArrayTags[float64Tag] = typedArrayTags[int8Tag] = typedArrayTags[int16Tag] = typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] = typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] = typedArrayTags[uint32Tag] = true;
      typedArrayTags[argsTag] = typedArrayTags[arrayTag] = typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] = typedArrayTags[dataViewTag] = typedArrayTags[dateTag] = typedArrayTags[errorTag] = typedArrayTags[funcTag] = typedArrayTags[mapTag] = typedArrayTags[numberTag] = typedArrayTags[objectTag] = typedArrayTags[regexpTag] = typedArrayTags[setTag] = typedArrayTags[stringTag] = typedArrayTags[weakMapTag] = false;
      var cloneableTags = {};
      cloneableTags[argsTag] = cloneableTags[arrayTag] = cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] = cloneableTags[boolTag] = cloneableTags[dateTag] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag] = cloneableTags[numberTag] = cloneableTags[objectTag] = cloneableTags[regexpTag] = cloneableTags[setTag] = cloneableTags[stringTag] = cloneableTags[symbolTag] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
      cloneableTags[errorTag] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
      var deburredLetters = {
        // Latin-1 Supplement block.
        "\xC0": "A",
        "\xC1": "A",
        "\xC2": "A",
        "\xC3": "A",
        "\xC4": "A",
        "\xC5": "A",
        "\xE0": "a",
        "\xE1": "a",
        "\xE2": "a",
        "\xE3": "a",
        "\xE4": "a",
        "\xE5": "a",
        "\xC7": "C",
        "\xE7": "c",
        "\xD0": "D",
        "\xF0": "d",
        "\xC8": "E",
        "\xC9": "E",
        "\xCA": "E",
        "\xCB": "E",
        "\xE8": "e",
        "\xE9": "e",
        "\xEA": "e",
        "\xEB": "e",
        "\xCC": "I",
        "\xCD": "I",
        "\xCE": "I",
        "\xCF": "I",
        "\xEC": "i",
        "\xED": "i",
        "\xEE": "i",
        "\xEF": "i",
        "\xD1": "N",
        "\xF1": "n",
        "\xD2": "O",
        "\xD3": "O",
        "\xD4": "O",
        "\xD5": "O",
        "\xD6": "O",
        "\xD8": "O",
        "\xF2": "o",
        "\xF3": "o",
        "\xF4": "o",
        "\xF5": "o",
        "\xF6": "o",
        "\xF8": "o",
        "\xD9": "U",
        "\xDA": "U",
        "\xDB": "U",
        "\xDC": "U",
        "\xF9": "u",
        "\xFA": "u",
        "\xFB": "u",
        "\xFC": "u",
        "\xDD": "Y",
        "\xFD": "y",
        "\xFF": "y",
        "\xC6": "Ae",
        "\xE6": "ae",
        "\xDE": "Th",
        "\xFE": "th",
        "\xDF": "ss",
        // Latin Extended-A block.
        "\u0100": "A",
        "\u0102": "A",
        "\u0104": "A",
        "\u0101": "a",
        "\u0103": "a",
        "\u0105": "a",
        "\u0106": "C",
        "\u0108": "C",
        "\u010A": "C",
        "\u010C": "C",
        "\u0107": "c",
        "\u0109": "c",
        "\u010B": "c",
        "\u010D": "c",
        "\u010E": "D",
        "\u0110": "D",
        "\u010F": "d",
        "\u0111": "d",
        "\u0112": "E",
        "\u0114": "E",
        "\u0116": "E",
        "\u0118": "E",
        "\u011A": "E",
        "\u0113": "e",
        "\u0115": "e",
        "\u0117": "e",
        "\u0119": "e",
        "\u011B": "e",
        "\u011C": "G",
        "\u011E": "G",
        "\u0120": "G",
        "\u0122": "G",
        "\u011D": "g",
        "\u011F": "g",
        "\u0121": "g",
        "\u0123": "g",
        "\u0124": "H",
        "\u0126": "H",
        "\u0125": "h",
        "\u0127": "h",
        "\u0128": "I",
        "\u012A": "I",
        "\u012C": "I",
        "\u012E": "I",
        "\u0130": "I",
        "\u0129": "i",
        "\u012B": "i",
        "\u012D": "i",
        "\u012F": "i",
        "\u0131": "i",
        "\u0134": "J",
        "\u0135": "j",
        "\u0136": "K",
        "\u0137": "k",
        "\u0138": "k",
        "\u0139": "L",
        "\u013B": "L",
        "\u013D": "L",
        "\u013F": "L",
        "\u0141": "L",
        "\u013A": "l",
        "\u013C": "l",
        "\u013E": "l",
        "\u0140": "l",
        "\u0142": "l",
        "\u0143": "N",
        "\u0145": "N",
        "\u0147": "N",
        "\u014A": "N",
        "\u0144": "n",
        "\u0146": "n",
        "\u0148": "n",
        "\u014B": "n",
        "\u014C": "O",
        "\u014E": "O",
        "\u0150": "O",
        "\u014D": "o",
        "\u014F": "o",
        "\u0151": "o",
        "\u0154": "R",
        "\u0156": "R",
        "\u0158": "R",
        "\u0155": "r",
        "\u0157": "r",
        "\u0159": "r",
        "\u015A": "S",
        "\u015C": "S",
        "\u015E": "S",
        "\u0160": "S",
        "\u015B": "s",
        "\u015D": "s",
        "\u015F": "s",
        "\u0161": "s",
        "\u0162": "T",
        "\u0164": "T",
        "\u0166": "T",
        "\u0163": "t",
        "\u0165": "t",
        "\u0167": "t",
        "\u0168": "U",
        "\u016A": "U",
        "\u016C": "U",
        "\u016E": "U",
        "\u0170": "U",
        "\u0172": "U",
        "\u0169": "u",
        "\u016B": "u",
        "\u016D": "u",
        "\u016F": "u",
        "\u0171": "u",
        "\u0173": "u",
        "\u0174": "W",
        "\u0175": "w",
        "\u0176": "Y",
        "\u0177": "y",
        "\u0178": "Y",
        "\u0179": "Z",
        "\u017B": "Z",
        "\u017D": "Z",
        "\u017A": "z",
        "\u017C": "z",
        "\u017E": "z",
        "\u0132": "IJ",
        "\u0133": "ij",
        "\u0152": "Oe",
        "\u0153": "oe",
        "\u0149": "'n",
        "\u017F": "s"
      };
      var htmlEscapes = {
        "&": "&amp;",
        "<": "&lt;",
        ">": "&gt;",
        '"': "&quot;",
        "'": "&#39;"
      };
      var htmlUnescapes = {
        "&amp;": "&",
        "&lt;": "<",
        "&gt;": ">",
        "&quot;": '"',
        "&#39;": "'"
      };
      var stringEscapes = {
        "\\": "\\",
        "'": "'",
        "\n": "n",
        "\r": "r",
        "\u2028": "u2028",
        "\u2029": "u2029"
      };
      var freeParseFloat = parseFloat, freeParseInt = parseInt;
      var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
      var freeSelf = typeof self == "object" && self && self.Object === Object && self;
      var root = freeGlobal || freeSelf || Function("return this")();
      var freeExports = typeof exports2 == "object" && exports2 && !exports2.nodeType && exports2;
      var freeModule = freeExports && typeof module2 == "object" && module2 && !module2.nodeType && module2;
      var moduleExports = freeModule && freeModule.exports === freeExports;
      var freeProcess = moduleExports && freeGlobal.process;
      var nodeUtil = function() {
        try {
          var types = freeModule && freeModule.require && freeModule.require("util").types;
          if (types) {
            return types;
          }
          return freeProcess && freeProcess.binding && freeProcess.binding("util");
        } catch (e) {
        }
      }();
      var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer, nodeIsDate = nodeUtil && nodeUtil.isDate, nodeIsMap = nodeUtil && nodeUtil.isMap, nodeIsRegExp = nodeUtil && nodeUtil.isRegExp, nodeIsSet = nodeUtil && nodeUtil.isSet, nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;
      function apply(func, thisArg, args) {
        switch (args.length) {
          case 0:
            return func.call(thisArg);
          case 1:
            return func.call(thisArg, args[0]);
          case 2:
            return func.call(thisArg, args[0], args[1]);
          case 3:
            return func.call(thisArg, args[0], args[1], args[2]);
        }
        return func.apply(thisArg, args);
      }
      function arrayAggregator(array, setter, iteratee, accumulator) {
        var index = -1, length = array == null ? 0 : array.length;
        while (++index < length) {
          var value = array[index];
          setter(accumulator, value, iteratee(value), array);
        }
        return accumulator;
      }
      function arrayEach(array, iteratee) {
        var index = -1, length = array == null ? 0 : array.length;
        while (++index < length) {
          if (iteratee(array[index], index, array) === false) {
            break;
          }
        }
        return array;
      }
      function arrayEachRight(array, iteratee) {
        var length = array == null ? 0 : array.length;
        while (length--) {
          if (iteratee(array[length], length, array) === false) {
            break;
          }
        }
        return array;
      }
      function arrayEvery(array, predicate) {
        var index = -1, length = array == null ? 0 : array.length;
        while (++index < length) {
          if (!predicate(array[index], index, array)) {
            return false;
          }
        }
        return true;
      }
      function arrayFilter(array, predicate) {
        var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
        while (++index < length) {
          var value = array[index];
          if (predicate(value, index, array)) {
            result[resIndex++] = value;
          }
        }
        return result;
      }
      function arrayIncludes(array, value) {
        var length = array == null ? 0 : array.length;
        return !!length && baseIndexOf(array, value, 0) > -1;
      }
      function arrayIncludesWith(array, value, comparator) {
        var index = -1, length = array == null ? 0 : array.length;
        while (++index < length) {
          if (comparator(value, array[index])) {
            return true;
          }
        }
        return false;
      }
      function arrayMap(array, iteratee) {
        var index = -1, length = array == null ? 0 : array.length, result = Array(length);
        while (++index < length) {
          result[index] = iteratee(array[index], index, array);
        }
        return result;
      }
      function arrayPush(array, values) {
        var index = -1, length = values.length, offset = array.length;
        while (++index < length) {
          array[offset + index] = values[index];
        }
        return array;
      }
      function arrayReduce(array, iteratee, accumulator, initAccum) {
        var index = -1, length = array == null ? 0 : array.length;
        if (initAccum && length) {
          accumulator = array[++index];
        }
        while (++index < length) {
          accumulator = iteratee(accumulator, array[index], index, array);
        }
        return accumulator;
      }
      function arrayReduceRight(array, iteratee, accumulator, initAccum) {
        var length = array == null ? 0 : array.length;
        if (initAccum && length) {
          accumulator = array[--length];
        }
        while (length--) {
          accumulator = iteratee(accumulator, array[length], length, array);
        }
        return accumulator;
      }
      function arraySome(array, predicate) {
        var index = -1, length = array == null ? 0 : array.length;
        while (++index < length) {
          if (predicate(array[index], index, array)) {
            return true;
          }
        }
        return false;
      }
      var asciiSize = baseProperty("length");
      function asciiToArray(string) {
        return string.split("");
      }
      function asciiWords(string) {
        return string.match(reAsciiWord) || [];
      }
      function baseFindKey(collection, predicate, eachFunc) {
        var result;
        eachFunc(collection, function(value, key, collection2) {
          if (predicate(value, key, collection2)) {
            result = key;
            return false;
          }
        });
        return result;
      }
      function baseFindIndex(array, predicate, fromIndex, fromRight) {
        var length = array.length, index = fromIndex + (fromRight ? 1 : -1);
        while (fromRight ? index-- : ++index < length) {
          if (predicate(array[index], index, array)) {
            return index;
          }
        }
        return -1;
      }
      function baseIndexOf(array, value, fromIndex) {
        return value === value ? strictIndexOf(array, value, fromIndex) : baseFindIndex(array, baseIsNaN, fromIndex);
      }
      function baseIndexOfWith(array, value, fromIndex, comparator) {
        var index = fromIndex - 1, length = array.length;
        while (++index < length) {
          if (comparator(array[index], value)) {
            return index;
          }
        }
        return -1;
      }
      function baseIsNaN(value) {
        return value !== value;
      }
      function baseMean(array, iteratee) {
        var length = array == null ? 0 : array.length;
        return length ? baseSum(array, iteratee) / length : NAN;
      }
      function baseProperty(key) {
        return function(object) {
          return object == null ? undefined2 : object[key];
        };
      }
      function basePropertyOf(object) {
        return function(key) {
          return object == null ? undefined2 : object[key];
        };
      }
      function baseReduce(collection, iteratee, accumulator, initAccum, eachFunc) {
        eachFunc(collection, function(value, index, collection2) {
          accumulator = initAccum ? (initAccum = false, value) : iteratee(accumulator, value, index, collection2);
        });
        return accumulator;
      }
      function baseSortBy(array, comparer) {
        var length = array.length;
        array.sort(comparer);
        while (length--) {
          array[length] = array[length].value;
        }
        return array;
      }
      function baseSum(array, iteratee) {
        var result, index = -1, length = array.length;
        while (++index < length) {
          var current = iteratee(array[index]);
          if (current !== undefined2) {
            result = result === undefined2 ? current : result + current;
          }
        }
        return result;
      }
      function baseTimes(n, iteratee) {
        var index = -1, result = Array(n);
        while (++index < n) {
          result[index] = iteratee(index);
        }
        return result;
      }
      function baseToPairs(object, props) {
        return arrayMap(props, function(key) {
          return [key, object[key]];
        });
      }
      function baseTrim(string) {
        return string ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
      }
      function baseUnary(func) {
        return function(value) {
          return func(value);
        };
      }
      function baseValues(object, props) {
        return arrayMap(props, function(key) {
          return object[key];
        });
      }
      function cacheHas(cache, key) {
        return cache.has(key);
      }
      function charsStartIndex(strSymbols, chrSymbols) {
        var index = -1, length = strSymbols.length;
        while (++index < length && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {
        }
        return index;
      }
      function charsEndIndex(strSymbols, chrSymbols) {
        var index = strSymbols.length;
        while (index-- && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {
        }
        return index;
      }
      function countHolders(array, placeholder) {
        var length = array.length, result = 0;
        while (length--) {
          if (array[length] === placeholder) {
            ++result;
          }
        }
        return result;
      }
      var deburrLetter = basePropertyOf(deburredLetters);
      var escapeHtmlChar = basePropertyOf(htmlEscapes);
      function escapeStringChar(chr) {
        return "\\" + stringEscapes[chr];
      }
      function getValue(object, key) {
        return object == null ? undefined2 : object[key];
      }
      function hasUnicode(string) {
        return reHasUnicode.test(string);
      }
      function hasUnicodeWord(string) {
        return reHasUnicodeWord.test(string);
      }
      function iteratorToArray(iterator) {
        var data, result = [];
        while (!(data = iterator.next()).done) {
          result.push(data.value);
        }
        return result;
      }
      function mapToArray(map) {
        var index = -1, result = Array(map.size);
        map.forEach(function(value, key) {
          result[++index] = [key, value];
        });
        return result;
      }
      function overArg(func, transform) {
        return function(arg) {
          return func(transform(arg));
        };
      }
      function replaceHolders(array, placeholder) {
        var index = -1, length = array.length, resIndex = 0, result = [];
        while (++index < length) {
          var value = array[index];
          if (value === placeholder || value === PLACEHOLDER) {
            array[index] = PLACEHOLDER;
            result[resIndex++] = index;
          }
        }
        return result;
      }
      function setToArray(set) {
        var index = -1, result = Array(set.size);
        set.forEach(function(value) {
          result[++index] = value;
        });
        return result;
      }
      function setToPairs(set) {
        var index = -1, result = Array(set.size);
        set.forEach(function(value) {
          result[++index] = [value, value];
        });
        return result;
      }
      function strictIndexOf(array, value, fromIndex) {
        var index = fromIndex - 1, length = array.length;
        while (++index < length) {
          if (array[index] === value) {
            return index;
          }
        }
        return -1;
      }
      function strictLastIndexOf(array, value, fromIndex) {
        var index = fromIndex + 1;
        while (index--) {
          if (array[index] === value) {
            return index;
          }
        }
        return index;
      }
      function stringSize(string) {
        return hasUnicode(string) ? unicodeSize(string) : asciiSize(string);
      }
      function stringToArray(string) {
        return hasUnicode(string) ? unicodeToArray(string) : asciiToArray(string);
      }
      function trimmedEndIndex(string) {
        var index = string.length;
        while (index-- && reWhitespace.test(string.charAt(index))) {
        }
        return index;
      }
      var unescapeHtmlChar = basePropertyOf(htmlUnescapes);
      function unicodeSize(string) {
        var result = reUnicode.lastIndex = 0;
        while (reUnicode.test(string)) {
          ++result;
        }
        return result;
      }
      function unicodeToArray(string) {
        return string.match(reUnicode) || [];
      }
      function unicodeWords(string) {
        return string.match(reUnicodeWord) || [];
      }
      var runInContext = function runInContext2(context) {
        context = context == null ? root : _.defaults(root.Object(), context, _.pick(root, contextProps));
        var Array2 = context.Array, Date2 = context.Date, Error2 = context.Error, Function2 = context.Function, Math2 = context.Math, Object2 = context.Object, RegExp2 = context.RegExp, String2 = context.String, TypeError2 = context.TypeError;
        var arrayProto = Array2.prototype, funcProto = Function2.prototype, objectProto = Object2.prototype;
        var coreJsData = context["__core-js_shared__"];
        var funcToString = funcProto.toString;
        var hasOwnProperty2 = objectProto.hasOwnProperty;
        var idCounter = 0;
        var maskSrcKey = function() {
          var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
          return uid ? "Symbol(src)_1." + uid : "";
        }();
        var nativeObjectToString = objectProto.toString;
        var objectCtorString = funcToString.call(Object2);
        var oldDash = root._;
        var reIsNative = RegExp2(
          "^" + funcToString.call(hasOwnProperty2).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
        );
        var Buffer2 = moduleExports ? context.Buffer : undefined2, Symbol2 = context.Symbol, Uint8Array2 = context.Uint8Array, allocUnsafe = Buffer2 ? Buffer2.allocUnsafe : undefined2, getPrototype = overArg(Object2.getPrototypeOf, Object2), objectCreate = Object2.create, propertyIsEnumerable = objectProto.propertyIsEnumerable, splice = arrayProto.splice, spreadableSymbol = Symbol2 ? Symbol2.isConcatSpreadable : undefined2, symIterator = Symbol2 ? Symbol2.iterator : undefined2, symToStringTag = Symbol2 ? Symbol2.toStringTag : undefined2;
        var defineProperty2 = function() {
          try {
            var func = getNative(Object2, "defineProperty");
            func({}, "", {});
            return func;
          } catch (e) {
          }
        }();
        var ctxClearTimeout = context.clearTimeout !== root.clearTimeout && context.clearTimeout, ctxNow = Date2 && Date2.now !== root.Date.now && Date2.now, ctxSetTimeout = context.setTimeout !== root.setTimeout && context.setTimeout;
        var nativeCeil = Math2.ceil, nativeFloor = Math2.floor, nativeGetSymbols = Object2.getOwnPropertySymbols, nativeIsBuffer = Buffer2 ? Buffer2.isBuffer : undefined2, nativeIsFinite = context.isFinite, nativeJoin = arrayProto.join, nativeKeys = overArg(Object2.keys, Object2), nativeMax = Math2.max, nativeMin = Math2.min, nativeNow = Date2.now, nativeParseInt = context.parseInt, nativeRandom = Math2.random, nativeReverse = arrayProto.reverse;
        var DataView = getNative(context, "DataView"), Map2 = getNative(context, "Map"), Promise2 = getNative(context, "Promise"), Set2 = getNative(context, "Set"), WeakMap2 = getNative(context, "WeakMap"), nativeCreate = getNative(Object2, "create");
        var metaMap = WeakMap2 && new WeakMap2();
        var realNames = {};
        var dataViewCtorString = toSource(DataView), mapCtorString = toSource(Map2), promiseCtorString = toSource(Promise2), setCtorString = toSource(Set2), weakMapCtorString = toSource(WeakMap2);
        var symbolProto = Symbol2 ? Symbol2.prototype : undefined2, symbolValueOf = symbolProto ? symbolProto.valueOf : undefined2, symbolToString = symbolProto ? symbolProto.toString : undefined2;
        function lodash(value) {
          if (isObjectLike(value) && !isArray(value) && !(value instanceof LazyWrapper)) {
            if (value instanceof LodashWrapper) {
              return value;
            }
            if (hasOwnProperty2.call(value, "__wrapped__")) {
              return wrapperClone(value);
            }
          }
          return new LodashWrapper(value);
        }
        var baseCreate = function() {
          function object() {
          }
          return function(proto) {
            if (!isObject(proto)) {
              return {};
            }
            if (objectCreate) {
              return objectCreate(proto);
            }
            object.prototype = proto;
            var result2 = new object();
            object.prototype = undefined2;
            return result2;
          };
        }();
        function baseLodash() {
        }
        function LodashWrapper(value, chainAll) {
          this.__wrapped__ = value;
          this.__actions__ = [];
          this.__chain__ = !!chainAll;
          this.__index__ = 0;
          this.__values__ = undefined2;
        }
        lodash.templateSettings = {
          /**
           * Used to detect `data` property values to be HTML-escaped.
           *
           * @memberOf _.templateSettings
           * @type {RegExp}
           */
          "escape": reEscape,
          /**
           * Used to detect code to be evaluated.
           *
           * @memberOf _.templateSettings
           * @type {RegExp}
           */
          "evaluate": reEvaluate,
          /**
           * Used to detect `data` property values to inject.
           *
           * @memberOf _.templateSettings
           * @type {RegExp}
           */
          "interpolate": reInterpolate,
          /**
           * Used to reference the data object in the template text.
           *
           * @memberOf _.templateSettings
           * @type {string}
           */
          "variable": "",
          /**
           * Used to import variables into the compiled template.
           *
           * @memberOf _.templateSettings
           * @type {Object}
           */
          "imports": {
            /**
             * A reference to the `lodash` function.
             *
             * @memberOf _.templateSettings.imports
             * @type {Function}
             */
            "_": lodash
          }
        };
        lodash.prototype = baseLodash.prototype;
        lodash.prototype.constructor = lodash;
        LodashWrapper.prototype = baseCreate(baseLodash.prototype);
        LodashWrapper.prototype.constructor = LodashWrapper;
        function LazyWrapper(value) {
          this.__wrapped__ = value;
          this.__actions__ = [];
          this.__dir__ = 1;
          this.__filtered__ = false;
          this.__iteratees__ = [];
          this.__takeCount__ = MAX_ARRAY_LENGTH;
          this.__views__ = [];
        }
        function lazyClone() {
          var result2 = new LazyWrapper(this.__wrapped__);
          result2.__actions__ = copyArray(this.__actions__);
          result2.__dir__ = this.__dir__;
          result2.__filtered__ = this.__filtered__;
          result2.__iteratees__ = copyArray(this.__iteratees__);
          result2.__takeCount__ = this.__takeCount__;
          result2.__views__ = copyArray(this.__views__);
          return result2;
        }
        function lazyReverse() {
          if (this.__filtered__) {
            var result2 = new LazyWrapper(this);
            result2.__dir__ = -1;
            result2.__filtered__ = true;
          } else {
            result2 = this.clone();
            result2.__dir__ *= -1;
          }
          return result2;
        }
        function lazyValue() {
          var array = this.__wrapped__.value(), dir = this.__dir__, isArr = isArray(array), isRight = dir < 0, arrLength = isArr ? array.length : 0, view = getView(0, arrLength, this.__views__), start = view.start, end = view.end, length = end - start, index = isRight ? end : start - 1, iteratees = this.__iteratees__, iterLength = iteratees.length, resIndex = 0, takeCount = nativeMin(length, this.__takeCount__);
          if (!isArr || !isRight && arrLength == length && takeCount == length) {
            return baseWrapperValue(array, this.__actions__);
          }
          var result2 = [];
          outer:
            while (length-- && resIndex < takeCount) {
              index += dir;
              var iterIndex = -1, value = array[index];
              while (++iterIndex < iterLength) {
                var data = iteratees[iterIndex], iteratee2 = data.iteratee, type = data.type, computed = iteratee2(value);
                if (type == LAZY_MAP_FLAG) {
                  value = computed;
                } else if (!computed) {
                  if (type == LAZY_FILTER_FLAG) {
                    continue outer;
                  } else {
                    break outer;
                  }
                }
              }
              result2[resIndex++] = value;
            }
          return result2;
        }
        LazyWrapper.prototype = baseCreate(baseLodash.prototype);
        LazyWrapper.prototype.constructor = LazyWrapper;
        function Hash(entries) {
          var index = -1, length = entries == null ? 0 : entries.length;
          this.clear();
          while (++index < length) {
            var entry = entries[index];
            this.set(entry[0], entry[1]);
          }
        }
        function hashClear() {
          this.__data__ = nativeCreate ? nativeCreate(null) : {};
          this.size = 0;
        }
        function hashDelete(key) {
          var result2 = this.has(key) && delete this.__data__[key];
          this.size -= result2 ? 1 : 0;
          return result2;
        }
        function hashGet(key) {
          var data = this.__data__;
          if (nativeCreate) {
            var result2 = data[key];
            return result2 === HASH_UNDEFINED ? undefined2 : result2;
          }
          return hasOwnProperty2.call(data, key) ? data[key] : undefined2;
        }
        function hashHas(key) {
          var data = this.__data__;
          return nativeCreate ? data[key] !== undefined2 : hasOwnProperty2.call(data, key);
        }
        function hashSet(key, value) {
          var data = this.__data__;
          this.size += this.has(key) ? 0 : 1;
          data[key] = nativeCreate && value === undefined2 ? HASH_UNDEFINED : value;
          return this;
        }
        Hash.prototype.clear = hashClear;
        Hash.prototype["delete"] = hashDelete;
        Hash.prototype.get = hashGet;
        Hash.prototype.has = hashHas;
        Hash.prototype.set = hashSet;
        function ListCache(entries) {
          var index = -1, length = entries == null ? 0 : entries.length;
          this.clear();
          while (++index < length) {
            var entry = entries[index];
            this.set(entry[0], entry[1]);
          }
        }
        function listCacheClear() {
          this.__data__ = [];
          this.size = 0;
        }
        function listCacheDelete(key) {
          var data = this.__data__, index = assocIndexOf(data, key);
          if (index < 0) {
            return false;
          }
          var lastIndex = data.length - 1;
          if (index == lastIndex) {
            data.pop();
          } else {
            splice.call(data, index, 1);
          }
          --this.size;
          return true;
        }
        function listCacheGet(key) {
          var data = this.__data__, index = assocIndexOf(data, key);
          return index < 0 ? undefined2 : data[index][1];
        }
        function listCacheHas(key) {
          return assocIndexOf(this.__data__, key) > -1;
        }
        function listCacheSet(key, value) {
          var data = this.__data__, index = assocIndexOf(data, key);
          if (index < 0) {
            ++this.size;
            data.push([key, value]);
          } else {
            data[index][1] = value;
          }
          return this;
        }
        ListCache.prototype.clear = listCacheClear;
        ListCache.prototype["delete"] = listCacheDelete;
        ListCache.prototype.get = listCacheGet;
        ListCache.prototype.has = listCacheHas;
        ListCache.prototype.set = listCacheSet;
        function MapCache(entries) {
          var index = -1, length = entries == null ? 0 : entries.length;
          this.clear();
          while (++index < length) {
            var entry = entries[index];
            this.set(entry[0], entry[1]);
          }
        }
        function mapCacheClear() {
          this.size = 0;
          this.__data__ = {
            "hash": new Hash(),
            "map": new (Map2 || ListCache)(),
            "string": new Hash()
          };
        }
        function mapCacheDelete(key) {
          var result2 = getMapData(this, key)["delete"](key);
          this.size -= result2 ? 1 : 0;
          return result2;
        }
        function mapCacheGet(key) {
          return getMapData(this, key).get(key);
        }
        function mapCacheHas(key) {
          return getMapData(this, key).has(key);
        }
        function mapCacheSet(key, value) {
          var data = getMapData(this, key), size2 = data.size;
          data.set(key, value);
          this.size += data.size == size2 ? 0 : 1;
          return this;
        }
        MapCache.prototype.clear = mapCacheClear;
        MapCache.prototype["delete"] = mapCacheDelete;
        MapCache.prototype.get = mapCacheGet;
        MapCache.prototype.has = mapCacheHas;
        MapCache.prototype.set = mapCacheSet;
        function SetCache(values2) {
          var index = -1, length = values2 == null ? 0 : values2.length;
          this.__data__ = new MapCache();
          while (++index < length) {
            this.add(values2[index]);
          }
        }
        function setCacheAdd(value) {
          this.__data__.set(value, HASH_UNDEFINED);
          return this;
        }
        function setCacheHas(value) {
          return this.__data__.has(value);
        }
        SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
        SetCache.prototype.has = setCacheHas;
        function Stack(entries) {
          var data = this.__data__ = new ListCache(entries);
          this.size = data.size;
        }
        function stackClear() {
          this.__data__ = new ListCache();
          this.size = 0;
        }
        function stackDelete(key) {
          var data = this.__data__, result2 = data["delete"](key);
          this.size = data.size;
          return result2;
        }
        function stackGet(key) {
          return this.__data__.get(key);
        }
        function stackHas(key) {
          return this.__data__.has(key);
        }
        function stackSet(key, value) {
          var data = this.__data__;
          if (data instanceof ListCache) {
            var pairs = data.__data__;
            if (!Map2 || pairs.length < LARGE_ARRAY_SIZE - 1) {
              pairs.push([key, value]);
              this.size = ++data.size;
              return this;
            }
            data = this.__data__ = new MapCache(pairs);
          }
          data.set(key, value);
          this.size = data.size;
          return this;
        }
        Stack.prototype.clear = stackClear;
        Stack.prototype["delete"] = stackDelete;
        Stack.prototype.get = stackGet;
        Stack.prototype.has = stackHas;
        Stack.prototype.set = stackSet;
        function arrayLikeKeys(value, inherited) {
          var isArr = isArray(value), isArg = !isArr && isArguments(value), isBuff = !isArr && !isArg && isBuffer(value), isType = !isArr && !isArg && !isBuff && isTypedArray(value), skipIndexes = isArr || isArg || isBuff || isType, result2 = skipIndexes ? baseTimes(value.length, String2) : [], length = result2.length;
          for (var key in value) {
            if ((inherited || hasOwnProperty2.call(value, key)) && !(skipIndexes && // Safari 9 has enumerable `arguments.length` in strict mode.
            (key == "length" || // Node.js 0.10 has enumerable non-index properties on buffers.
            isBuff && (key == "offset" || key == "parent") || // PhantomJS 2 has enumerable non-index properties on typed arrays.
            isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || // Skip index properties.
            isIndex(key, length)))) {
              result2.push(key);
            }
          }
          return result2;
        }
        function arraySample(array) {
          var length = array.length;
          return length ? array[baseRandom(0, length - 1)] : undefined2;
        }
        function arraySampleSize(array, n) {
          return shuffleSelf(copyArray(array), baseClamp(n, 0, array.length));
        }
        function arrayShuffle(array) {
          return shuffleSelf(copyArray(array));
        }
        function assignMergeValue(object, key, value) {
          if (value !== undefined2 && !eq(object[key], value) || value === undefined2 && !(key in object)) {
            baseAssignValue(object, key, value);
          }
        }
        function assignValue(object, key, value) {
          var objValue = object[key];
          if (!(hasOwnProperty2.call(object, key) && eq(objValue, value)) || value === undefined2 && !(key in object)) {
            baseAssignValue(object, key, value);
          }
        }
        function assocIndexOf(array, key) {
          var length = array.length;
          while (length--) {
            if (eq(array[length][0], key)) {
              return length;
            }
          }
          return -1;
        }
        function baseAggregator(collection, setter, iteratee2, accumulator) {
          baseEach(collection, function(value, key, collection2) {
            setter(accumulator, value, iteratee2(value), collection2);
          });
          return accumulator;
        }
        function baseAssign(object, source) {
          return object && copyObject(source, keys(source), object);
        }
        function baseAssignIn(object, source) {
          return object && copyObject(source, keysIn(source), object);
        }
        function baseAssignValue(object, key, value) {
          if (key == "__proto__" && defineProperty2) {
            defineProperty2(object, key, {
              "configurable": true,
              "enumerable": true,
              "value": value,
              "writable": true
            });
          } else {
            object[key] = value;
          }
        }
        function baseAt(object, paths) {
          var index = -1, length = paths.length, result2 = Array2(length), skip = object == null;
          while (++index < length) {
            result2[index] = skip ? undefined2 : get(object, paths[index]);
          }
          return result2;
        }
        function baseClamp(number, lower, upper) {
          if (number === number) {
            if (upper !== undefined2) {
              number = number <= upper ? number : upper;
            }
            if (lower !== undefined2) {
              number = number >= lower ? number : lower;
            }
          }
          return number;
        }
        function baseClone(value, bitmask, customizer, key, object, stack) {
          var result2, isDeep = bitmask & CLONE_DEEP_FLAG, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG;
          if (customizer) {
            result2 = object ? customizer(value, key, object, stack) : customizer(value);
          }
          if (result2 !== undefined2) {
            return result2;
          }
          if (!isObject(value)) {
            return value;
          }
          var isArr = isArray(value);
          if (isArr) {
            result2 = initCloneArray(value);
            if (!isDeep) {
              return copyArray(value, result2);
            }
          } else {
            var tag = getTag(value), isFunc = tag == funcTag || tag == genTag;
            if (isBuffer(value)) {
              return cloneBuffer(value, isDeep);
            }
            if (tag == objectTag || tag == argsTag || isFunc && !object) {
              result2 = isFlat || isFunc ? {} : initCloneObject(value);
              if (!isDeep) {
                return isFlat ? copySymbolsIn(value, baseAssignIn(result2, value)) : copySymbols(value, baseAssign(result2, value));
              }
            } else {
              if (!cloneableTags[tag]) {
                return object ? value : {};
              }
              result2 = initCloneByTag(value, tag, isDeep);
            }
          }
          stack || (stack = new Stack());
          var stacked = stack.get(value);
          if (stacked) {
            return stacked;
          }
          stack.set(value, result2);
          if (isSet(value)) {
            value.forEach(function(subValue) {
              result2.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
            });
          } else if (isMap(value)) {
            value.forEach(function(subValue, key2) {
              result2.set(key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
            });
          }
          var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;
          var props = isArr ? undefined2 : keysFunc(value);
          arrayEach(props || value, function(subValue, key2) {
            if (props) {
              key2 = subValue;
              subValue = value[key2];
            }
            assignValue(result2, key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
          });
          return result2;
        }
        function baseConforms(source) {
          var props = keys(source);
          return function(object) {
            return baseConformsTo(object, source, props);
          };
        }
        function baseConformsTo(object, source, props) {
          var length = props.length;
          if (object == null) {
            return !length;
          }
          object = Object2(object);
          while (length--) {
            var key = props[length], predicate = source[key], value = object[key];
            if (value === undefined2 && !(key in object) || !predicate(value)) {
              return false;
            }
          }
          return true;
        }
        function baseDelay(func, wait, args) {
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          return setTimeout2(function() {
            func.apply(undefined2, args);
          }, wait);
        }
        function baseDifference(array, values2, iteratee2, comparator) {
          var index = -1, includes2 = arrayIncludes, isCommon = true, length = array.length, result2 = [], valuesLength = values2.length;
          if (!length) {
            return result2;
          }
          if (iteratee2) {
            values2 = arrayMap(values2, baseUnary(iteratee2));
          }
          if (comparator) {
            includes2 = arrayIncludesWith;
            isCommon = false;
          } else if (values2.length >= LARGE_ARRAY_SIZE) {
            includes2 = cacheHas;
            isCommon = false;
            values2 = new SetCache(values2);
          }
          outer:
            while (++index < length) {
              var value = array[index], computed = iteratee2 == null ? value : iteratee2(value);
              value = comparator || value !== 0 ? value : 0;
              if (isCommon && computed === computed) {
                var valuesIndex = valuesLength;
                while (valuesIndex--) {
                  if (values2[valuesIndex] === computed) {
                    continue outer;
                  }
                }
                result2.push(value);
              } else if (!includes2(values2, computed, comparator)) {
                result2.push(value);
              }
            }
          return result2;
        }
        var baseEach = createBaseEach(baseForOwn);
        var baseEachRight = createBaseEach(baseForOwnRight, true);
        function baseEvery(collection, predicate) {
          var result2 = true;
          baseEach(collection, function(value, index, collection2) {
            result2 = !!predicate(value, index, collection2);
            return result2;
          });
          return result2;
        }
        function baseExtremum(array, iteratee2, comparator) {
          var index = -1, length = array.length;
          while (++index < length) {
            var value = array[index], current = iteratee2(value);
            if (current != null && (computed === undefined2 ? current === current && !isSymbol(current) : comparator(current, computed))) {
              var computed = current, result2 = value;
            }
          }
          return result2;
        }
        function baseFill(array, value, start, end) {
          var length = array.length;
          start = toInteger(start);
          if (start < 0) {
            start = -start > length ? 0 : length + start;
          }
          end = end === undefined2 || end > length ? length : toInteger(end);
          if (end < 0) {
            end += length;
          }
          end = start > end ? 0 : toLength(end);
          while (start < end) {
            array[start++] = value;
          }
          return array;
        }
        function baseFilter(collection, predicate) {
          var result2 = [];
          baseEach(collection, function(value, index, collection2) {
            if (predicate(value, index, collection2)) {
              result2.push(value);
            }
          });
          return result2;
        }
        function baseFlatten(array, depth, predicate, isStrict, result2) {
          var index = -1, length = array.length;
          predicate || (predicate = isFlattenable);
          result2 || (result2 = []);
          while (++index < length) {
            var value = array[index];
            if (depth > 0 && predicate(value)) {
              if (depth > 1) {
                baseFlatten(value, depth - 1, predicate, isStrict, result2);
              } else {
                arrayPush(result2, value);
              }
            } else if (!isStrict) {
              result2[result2.length] = value;
            }
          }
          return result2;
        }
        var baseFor = createBaseFor();
        var baseForRight = createBaseFor(true);
        function baseForOwn(object, iteratee2) {
          return object && baseFor(object, iteratee2, keys);
        }
        function baseForOwnRight(object, iteratee2) {
          return object && baseForRight(object, iteratee2, keys);
        }
        function baseFunctions(object, props) {
          return arrayFilter(props, function(key) {
            return isFunction(object[key]);
          });
        }
        function baseGet(object, path) {
          path = castPath(path, object);
          var index = 0, length = path.length;
          while (object != null && index < length) {
            object = object[toKey(path[index++])];
          }
          return index && index == length ? object : undefined2;
        }
        function baseGetAllKeys(object, keysFunc, symbolsFunc) {
          var result2 = keysFunc(object);
          return isArray(object) ? result2 : arrayPush(result2, symbolsFunc(object));
        }
        function baseGetTag(value) {
          if (value == null) {
            return value === undefined2 ? undefinedTag : nullTag;
          }
          return symToStringTag && symToStringTag in Object2(value) ? getRawTag(value) : objectToString(value);
        }
        function baseGt(value, other) {
          return value > other;
        }
        function baseHas(object, key) {
          return object != null && hasOwnProperty2.call(object, key);
        }
        function baseHasIn(object, key) {
          return object != null && key in Object2(object);
        }
        function baseInRange(number, start, end) {
          return number >= nativeMin(start, end) && number < nativeMax(start, end);
        }
        function baseIntersection(arrays, iteratee2, comparator) {
          var includes2 = comparator ? arrayIncludesWith : arrayIncludes, length = arrays[0].length, othLength = arrays.length, othIndex = othLength, caches = Array2(othLength), maxLength = Infinity, result2 = [];
          while (othIndex--) {
            var array = arrays[othIndex];
            if (othIndex && iteratee2) {
              array = arrayMap(array, baseUnary(iteratee2));
            }
            maxLength = nativeMin(array.length, maxLength);
            caches[othIndex] = !comparator && (iteratee2 || length >= 120 && array.length >= 120) ? new SetCache(othIndex && array) : undefined2;
          }
          array = arrays[0];
          var index = -1, seen = caches[0];
          outer:
            while (++index < length && result2.length < maxLength) {
              var value = array[index], computed = iteratee2 ? iteratee2(value) : value;
              value = comparator || value !== 0 ? value : 0;
              if (!(seen ? cacheHas(seen, computed) : includes2(result2, computed, comparator))) {
                othIndex = othLength;
                while (--othIndex) {
                  var cache = caches[othIndex];
                  if (!(cache ? cacheHas(cache, computed) : includes2(arrays[othIndex], computed, comparator))) {
                    continue outer;
                  }
                }
                if (seen) {
                  seen.push(computed);
                }
                result2.push(value);
              }
            }
          return result2;
        }
        function baseInverter(object, setter, iteratee2, accumulator) {
          baseForOwn(object, function(value, key, object2) {
            setter(accumulator, iteratee2(value), key, object2);
          });
          return accumulator;
        }
        function baseInvoke(object, path, args) {
          path = castPath(path, object);
          object = parent(object, path);
          var func = object == null ? object : object[toKey(last(path))];
          return func == null ? undefined2 : apply(func, object, args);
        }
        function baseIsArguments(value) {
          return isObjectLike(value) && baseGetTag(value) == argsTag;
        }
        function baseIsArrayBuffer(value) {
          return isObjectLike(value) && baseGetTag(value) == arrayBufferTag;
        }
        function baseIsDate(value) {
          return isObjectLike(value) && baseGetTag(value) == dateTag;
        }
        function baseIsEqual(value, other, bitmask, customizer, stack) {
          if (value === other) {
            return true;
          }
          if (value == null || other == null || !isObjectLike(value) && !isObjectLike(other)) {
            return value !== value && other !== other;
          }
          return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
        }
        function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
          var objIsArr = isArray(object), othIsArr = isArray(other), objTag = objIsArr ? arrayTag : getTag(object), othTag = othIsArr ? arrayTag : getTag(other);
          objTag = objTag == argsTag ? objectTag : objTag;
          othTag = othTag == argsTag ? objectTag : othTag;
          var objIsObj = objTag == objectTag, othIsObj = othTag == objectTag, isSameTag = objTag == othTag;
          if (isSameTag && isBuffer(object)) {
            if (!isBuffer(other)) {
              return false;
            }
            objIsArr = true;
            objIsObj = false;
          }
          if (isSameTag && !objIsObj) {
            stack || (stack = new Stack());
            return objIsArr || isTypedArray(object) ? equalArrays(object, other, bitmask, customizer, equalFunc, stack) : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
          }
          if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
            var objIsWrapped = objIsObj && hasOwnProperty2.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty2.call(other, "__wrapped__");
            if (objIsWrapped || othIsWrapped) {
              var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
              stack || (stack = new Stack());
              return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
            }
          }
          if (!isSameTag) {
            return false;
          }
          stack || (stack = new Stack());
          return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
        }
        function baseIsMap(value) {
          return isObjectLike(value) && getTag(value) == mapTag;
        }
        function baseIsMatch(object, source, matchData, customizer) {
          var index = matchData.length, length = index, noCustomizer = !customizer;
          if (object == null) {
            return !length;
          }
          object = Object2(object);
          while (index--) {
            var data = matchData[index];
            if (noCustomizer && data[2] ? data[1] !== object[data[0]] : !(data[0] in object)) {
              return false;
            }
          }
          while (++index < length) {
            data = matchData[index];
            var key = data[0], objValue = object[key], srcValue = data[1];
            if (noCustomizer && data[2]) {
              if (objValue === undefined2 && !(key in object)) {
                return false;
              }
            } else {
              var stack = new Stack();
              if (customizer) {
                var result2 = customizer(objValue, srcValue, key, object, source, stack);
              }
              if (!(result2 === undefined2 ? baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG, customizer, stack) : result2)) {
                return false;
              }
            }
          }
          return true;
        }
        function baseIsNative(value) {
          if (!isObject(value) || isMasked(value)) {
            return false;
          }
          var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
          return pattern.test(toSource(value));
        }
        function baseIsRegExp(value) {
          return isObjectLike(value) && baseGetTag(value) == regexpTag;
        }
        function baseIsSet(value) {
          return isObjectLike(value) && getTag(value) == setTag;
        }
        function baseIsTypedArray(value) {
          return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
        }
        function baseIteratee(value) {
          if (typeof value == "function") {
            return value;
          }
          if (value == null) {
            return identity;
          }
          if (typeof value == "object") {
            return isArray(value) ? baseMatchesProperty(value[0], value[1]) : baseMatches(value);
          }
          return property(value);
        }
        function baseKeys(object) {
          if (!isPrototype(object)) {
            return nativeKeys(object);
          }
          var result2 = [];
          for (var key in Object2(object)) {
            if (hasOwnProperty2.call(object, key) && key != "constructor") {
              result2.push(key);
            }
          }
          return result2;
        }
        function baseKeysIn(object) {
          if (!isObject(object)) {
            return nativeKeysIn(object);
          }
          var isProto = isPrototype(object), result2 = [];
          for (var key in object) {
            if (!(key == "constructor" && (isProto || !hasOwnProperty2.call(object, key)))) {
              result2.push(key);
            }
          }
          return result2;
        }
        function baseLt(value, other) {
          return value < other;
        }
        function baseMap(collection, iteratee2) {
          var index = -1, result2 = isArrayLike(collection) ? Array2(collection.length) : [];
          baseEach(collection, function(value, key, collection2) {
            result2[++index] = iteratee2(value, key, collection2);
          });
          return result2;
        }
        function baseMatches(source) {
          var matchData = getMatchData(source);
          if (matchData.length == 1 && matchData[0][2]) {
            return matchesStrictComparable(matchData[0][0], matchData[0][1]);
          }
          return function(object) {
            return object === source || baseIsMatch(object, source, matchData);
          };
        }
        function baseMatchesProperty(path, srcValue) {
          if (isKey(path) && isStrictComparable(srcValue)) {
            return matchesStrictComparable(toKey(path), srcValue);
          }
          return function(object) {
            var objValue = get(object, path);
            return objValue === undefined2 && objValue === srcValue ? hasIn(object, path) : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
          };
        }
        function baseMerge(object, source, srcIndex, customizer, stack) {
          if (object === source) {
            return;
          }
          baseFor(source, function(srcValue, key) {
            stack || (stack = new Stack());
            if (isObject(srcValue)) {
              baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
            } else {
              var newValue = customizer ? customizer(safeGet(object, key), srcValue, key + "", object, source, stack) : undefined2;
              if (newValue === undefined2) {
                newValue = srcValue;
              }
              assignMergeValue(object, key, newValue);
            }
          }, keysIn);
        }
        function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
          var objValue = safeGet(object, key), srcValue = safeGet(source, key), stacked = stack.get(srcValue);
          if (stacked) {
            assignMergeValue(object, key, stacked);
            return;
          }
          var newValue = customizer ? customizer(objValue, srcValue, key + "", object, source, stack) : undefined2;
          var isCommon = newValue === undefined2;
          if (isCommon) {
            var isArr = isArray(srcValue), isBuff = !isArr && isBuffer(srcValue), isTyped = !isArr && !isBuff && isTypedArray(srcValue);
            newValue = srcValue;
            if (isArr || isBuff || isTyped) {
              if (isArray(objValue)) {
                newValue = objValue;
              } else if (isArrayLikeObject(objValue)) {
                newValue = copyArray(objValue);
              } else if (isBuff) {
                isCommon = false;
                newValue = cloneBuffer(srcValue, true);
              } else if (isTyped) {
                isCommon = false;
                newValue = cloneTypedArray(srcValue, true);
              } else {
                newValue = [];
              }
            } else if (isPlainObject(srcValue) || isArguments(srcValue)) {
              newValue = objValue;
              if (isArguments(objValue)) {
                newValue = toPlainObject(objValue);
              } else if (!isObject(objValue) || isFunction(objValue)) {
                newValue = initCloneObject(srcValue);
              }
            } else {
              isCommon = false;
            }
          }
          if (isCommon) {
            stack.set(srcValue, newValue);
            mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
            stack["delete"](srcValue);
          }
          assignMergeValue(object, key, newValue);
        }
        function baseNth(array, n) {
          var length = array.length;
          if (!length) {
            return;
          }
          n += n < 0 ? length : 0;
          return isIndex(n, length) ? array[n] : undefined2;
        }
        function baseOrderBy(collection, iteratees, orders) {
          if (iteratees.length) {
            iteratees = arrayMap(iteratees, function(iteratee2) {
              if (isArray(iteratee2)) {
                return function(value) {
                  return baseGet(value, iteratee2.length === 1 ? iteratee2[0] : iteratee2);
                };
              }
              return iteratee2;
            });
          } else {
            iteratees = [identity];
          }
          var index = -1;
          iteratees = arrayMap(iteratees, baseUnary(getIteratee()));
          var result2 = baseMap(collection, function(value, key, collection2) {
            var criteria = arrayMap(iteratees, function(iteratee2) {
              return iteratee2(value);
            });
            return { "criteria": criteria, "index": ++index, "value": value };
          });
          return baseSortBy(result2, function(object, other) {
            return compareMultiple(object, other, orders);
          });
        }
        function basePick(object, paths) {
          return basePickBy(object, paths, function(value, path) {
            return hasIn(object, path);
          });
        }
        function basePickBy(object, paths, predicate) {
          var index = -1, length = paths.length, result2 = {};
          while (++index < length) {
            var path = paths[index], value = baseGet(object, path);
            if (predicate(value, path)) {
              baseSet(result2, castPath(path, object), value);
            }
          }
          return result2;
        }
        function basePropertyDeep(path) {
          return function(object) {
            return baseGet(object, path);
          };
        }
        function basePullAll(array, values2, iteratee2, comparator) {
          var indexOf2 = comparator ? baseIndexOfWith : baseIndexOf, index = -1, length = values2.length, seen = array;
          if (array === values2) {
            values2 = copyArray(values2);
          }
          if (iteratee2) {
            seen = arrayMap(array, baseUnary(iteratee2));
          }
          while (++index < length) {
            var fromIndex = 0, value = values2[index], computed = iteratee2 ? iteratee2(value) : value;
            while ((fromIndex = indexOf2(seen, computed, fromIndex, comparator)) > -1) {
              if (seen !== array) {
                splice.call(seen, fromIndex, 1);
              }
              splice.call(array, fromIndex, 1);
            }
          }
          return array;
        }
        function basePullAt(array, indexes) {
          var length = array ? indexes.length : 0, lastIndex = length - 1;
          while (length--) {
            var index = indexes[length];
            if (length == lastIndex || index !== previous) {
              var previous = index;
              if (isIndex(index)) {
                splice.call(array, index, 1);
              } else {
                baseUnset(array, index);
              }
            }
          }
          return array;
        }
        function baseRandom(lower, upper) {
          return lower + nativeFloor(nativeRandom() * (upper - lower + 1));
        }
        function baseRange(start, end, step, fromRight) {
          var index = -1, length = nativeMax(nativeCeil((end - start) / (step || 1)), 0), result2 = Array2(length);
          while (length--) {
            result2[fromRight ? length : ++index] = start;
            start += step;
          }
          return result2;
        }
        function baseRepeat(string, n) {
          var result2 = "";
          if (!string || n < 1 || n > MAX_SAFE_INTEGER) {
            return result2;
          }
          do {
            if (n % 2) {
              result2 += string;
            }
            n = nativeFloor(n / 2);
            if (n) {
              string += string;
            }
          } while (n);
          return result2;
        }
        function baseRest(func, start) {
          return setToString(overRest(func, start, identity), func + "");
        }
        function baseSample(collection) {
          return arraySample(values(collection));
        }
        function baseSampleSize(collection, n) {
          var array = values(collection);
          return shuffleSelf(array, baseClamp(n, 0, array.length));
        }
        function baseSet(object, path, value, customizer) {
          if (!isObject(object)) {
            return object;
          }
          path = castPath(path, object);
          var index = -1, length = path.length, lastIndex = length - 1, nested = object;
          while (nested != null && ++index < length) {
            var key = toKey(path[index]), newValue = value;
            if (key === "__proto__" || key === "constructor" || key === "prototype") {
              return object;
            }
            if (index != lastIndex) {
              var objValue = nested[key];
              newValue = customizer ? customizer(objValue, key, nested) : undefined2;
              if (newValue === undefined2) {
                newValue = isObject(objValue) ? objValue : isIndex(path[index + 1]) ? [] : {};
              }
            }
            assignValue(nested, key, newValue);
            nested = nested[key];
          }
          return object;
        }
        var baseSetData = !metaMap ? identity : function(func, data) {
          metaMap.set(func, data);
          return func;
        };
        var baseSetToString = !defineProperty2 ? identity : function(func, string) {
          return defineProperty2(func, "toString", {
            "configurable": true,
            "enumerable": false,
            "value": constant(string),
            "writable": true
          });
        };
        function baseShuffle(collection) {
          return shuffleSelf(values(collection));
        }
        function baseSlice(array, start, end) {
          var index = -1, length = array.length;
          if (start < 0) {
            start = -start > length ? 0 : length + start;
          }
          end = end > length ? length : end;
          if (end < 0) {
            end += length;
          }
          length = start > end ? 0 : end - start >>> 0;
          start >>>= 0;
          var result2 = Array2(length);
          while (++index < length) {
            result2[index] = array[index + start];
          }
          return result2;
        }
        function baseSome(collection, predicate) {
          var result2;
          baseEach(collection, function(value, index, collection2) {
            result2 = predicate(value, index, collection2);
            return !result2;
          });
          return !!result2;
        }
        function baseSortedIndex(array, value, retHighest) {
          var low = 0, high = array == null ? low : array.length;
          if (typeof value == "number" && value === value && high <= HALF_MAX_ARRAY_LENGTH) {
            while (low < high) {
              var mid = low + high >>> 1, computed = array[mid];
              if (computed !== null && !isSymbol(computed) && (retHighest ? computed <= value : computed < value)) {
                low = mid + 1;
              } else {
                high = mid;
              }
            }
            return high;
          }
          return baseSortedIndexBy(array, value, identity, retHighest);
        }
        function baseSortedIndexBy(array, value, iteratee2, retHighest) {
          var low = 0, high = array == null ? 0 : array.length;
          if (high === 0) {
            return 0;
          }
          value = iteratee2(value);
          var valIsNaN = value !== value, valIsNull = value === null, valIsSymbol = isSymbol(value), valIsUndefined = value === undefined2;
          while (low < high) {
            var mid = nativeFloor((low + high) / 2), computed = iteratee2(array[mid]), othIsDefined = computed !== undefined2, othIsNull = computed === null, othIsReflexive = computed === computed, othIsSymbol = isSymbol(computed);
            if (valIsNaN) {
              var setLow = retHighest || othIsReflexive;
            } else if (valIsUndefined) {
              setLow = othIsReflexive && (retHighest || othIsDefined);
            } else if (valIsNull) {
              setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
            } else if (valIsSymbol) {
              setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
            } else if (othIsNull || othIsSymbol) {
              setLow = false;
            } else {
              setLow = retHighest ? computed <= value : computed < value;
            }
            if (setLow) {
              low = mid + 1;
            } else {
              high = mid;
            }
          }
          return nativeMin(high, MAX_ARRAY_INDEX);
        }
        function baseSortedUniq(array, iteratee2) {
          var index = -1, length = array.length, resIndex = 0, result2 = [];
          while (++index < length) {
            var value = array[index], computed = iteratee2 ? iteratee2(value) : value;
            if (!index || !eq(computed, seen)) {
              var seen = computed;
              result2[resIndex++] = value === 0 ? 0 : value;
            }
          }
          return result2;
        }
        function baseToNumber(value) {
          if (typeof value == "number") {
            return value;
          }
          if (isSymbol(value)) {
            return NAN;
          }
          return +value;
        }
        function baseToString(value) {
          if (typeof value == "string") {
            return value;
          }
          if (isArray(value)) {
            return arrayMap(value, baseToString) + "";
          }
          if (isSymbol(value)) {
            return symbolToString ? symbolToString.call(value) : "";
          }
          var result2 = value + "";
          return result2 == "0" && 1 / value == -INFINITY ? "-0" : result2;
        }
        function baseUniq(array, iteratee2, comparator) {
          var index = -1, includes2 = arrayIncludes, length = array.length, isCommon = true, result2 = [], seen = result2;
          if (comparator) {
            isCommon = false;
            includes2 = arrayIncludesWith;
          } else if (length >= LARGE_ARRAY_SIZE) {
            var set2 = iteratee2 ? null : createSet(array);
            if (set2) {
              return setToArray(set2);
            }
            isCommon = false;
            includes2 = cacheHas;
            seen = new SetCache();
          } else {
            seen = iteratee2 ? [] : result2;
          }
          outer:
            while (++index < length) {
              var value = array[index], computed = iteratee2 ? iteratee2(value) : value;
              value = comparator || value !== 0 ? value : 0;
              if (isCommon && computed === computed) {
                var seenIndex = seen.length;
                while (seenIndex--) {
                  if (seen[seenIndex] === computed) {
                    continue outer;
                  }
                }
                if (iteratee2) {
                  seen.push(computed);
                }
                result2.push(value);
              } else if (!includes2(seen, computed, comparator)) {
                if (seen !== result2) {
                  seen.push(computed);
                }
                result2.push(value);
              }
            }
          return result2;
        }
        function baseUnset(object, path) {
          path = castPath(path, object);
          object = parent(object, path);
          return object == null || delete object[toKey(last(path))];
        }
        function baseUpdate(object, path, updater, customizer) {
          return baseSet(object, path, updater(baseGet(object, path)), customizer);
        }
        function baseWhile(array, predicate, isDrop, fromRight) {
          var length = array.length, index = fromRight ? length : -1;
          while ((fromRight ? index-- : ++index < length) && predicate(array[index], index, array)) {
          }
          return isDrop ? baseSlice(array, fromRight ? 0 : index, fromRight ? index + 1 : length) : baseSlice(array, fromRight ? index + 1 : 0, fromRight ? length : index);
        }
        function baseWrapperValue(value, actions) {
          var result2 = value;
          if (result2 instanceof LazyWrapper) {
            result2 = result2.value();
          }
          return arrayReduce(actions, function(result3, action) {
            return action.func.apply(action.thisArg, arrayPush([result3], action.args));
          }, result2);
        }
        function baseXor(arrays, iteratee2, comparator) {
          var length = arrays.length;
          if (length < 2) {
            return length ? baseUniq(arrays[0]) : [];
          }
          var index = -1, result2 = Array2(length);
          while (++index < length) {
            var array = arrays[index], othIndex = -1;
            while (++othIndex < length) {
              if (othIndex != index) {
                result2[index] = baseDifference(result2[index] || array, arrays[othIndex], iteratee2, comparator);
              }
            }
          }
          return baseUniq(baseFlatten(result2, 1), iteratee2, comparator);
        }
        function baseZipObject(props, values2, assignFunc) {
          var index = -1, length = props.length, valsLength = values2.length, result2 = {};
          while (++index < length) {
            var value = index < valsLength ? values2[index] : undefined2;
            assignFunc(result2, props[index], value);
          }
          return result2;
        }
        function castArrayLikeObject(value) {
          return isArrayLikeObject(value) ? value : [];
        }
        function castFunction(value) {
          return typeof value == "function" ? value : identity;
        }
        function castPath(value, object) {
          if (isArray(value)) {
            return value;
          }
          return isKey(value, object) ? [value] : stringToPath(toString(value));
        }
        var castRest = baseRest;
        function castSlice(array, start, end) {
          var length = array.length;
          end = end === undefined2 ? length : end;
          return !start && end >= length ? array : baseSlice(array, start, end);
        }
        var clearTimeout2 = ctxClearTimeout || function(id) {
          return root.clearTimeout(id);
        };
        function cloneBuffer(buffer, isDeep) {
          if (isDeep) {
            return buffer.slice();
          }
          var length = buffer.length, result2 = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
          buffer.copy(result2);
          return result2;
        }
        function cloneArrayBuffer(arrayBuffer) {
          var result2 = new arrayBuffer.constructor(arrayBuffer.byteLength);
          new Uint8Array2(result2).set(new Uint8Array2(arrayBuffer));
          return result2;
        }
        function cloneDataView(dataView, isDeep) {
          var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
          return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
        }
        function cloneRegExp(regexp) {
          var result2 = new regexp.constructor(regexp.source, reFlags.exec(regexp));
          result2.lastIndex = regexp.lastIndex;
          return result2;
        }
        function cloneSymbol(symbol) {
          return symbolValueOf ? Object2(symbolValueOf.call(symbol)) : {};
        }
        function cloneTypedArray(typedArray, isDeep) {
          var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
          return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
        }
        function compareAscending(value, other) {
          if (value !== other) {
            var valIsDefined = value !== undefined2, valIsNull = value === null, valIsReflexive = value === value, valIsSymbol = isSymbol(value);
            var othIsDefined = other !== undefined2, othIsNull = other === null, othIsReflexive = other === other, othIsSymbol = isSymbol(other);
            if (!othIsNull && !othIsSymbol && !valIsSymbol && value > other || valIsSymbol && othIsDefined && othIsReflexive && !othIsNull && !othIsSymbol || valIsNull && othIsDefined && othIsReflexive || !valIsDefined && othIsReflexive || !valIsReflexive) {
              return 1;
            }
            if (!valIsNull && !valIsSymbol && !othIsSymbol && value < other || othIsSymbol && valIsDefined && valIsReflexive && !valIsNull && !valIsSymbol || othIsNull && valIsDefined && valIsReflexive || !othIsDefined && valIsReflexive || !othIsReflexive) {
              return -1;
            }
          }
          return 0;
        }
        function compareMultiple(object, other, orders) {
          var index = -1, objCriteria = object.criteria, othCriteria = other.criteria, length = objCriteria.length, ordersLength = orders.length;
          while (++index < length) {
            var result2 = compareAscending(objCriteria[index], othCriteria[index]);
            if (result2) {
              if (index >= ordersLength) {
                return result2;
              }
              var order = orders[index];
              return result2 * (order == "desc" ? -1 : 1);
            }
          }
          return object.index - other.index;
        }
        function composeArgs(args, partials, holders, isCurried) {
          var argsIndex = -1, argsLength = args.length, holdersLength = holders.length, leftIndex = -1, leftLength = partials.length, rangeLength = nativeMax(argsLength - holdersLength, 0), result2 = Array2(leftLength + rangeLength), isUncurried = !isCurried;
          while (++leftIndex < leftLength) {
            result2[leftIndex] = partials[leftIndex];
          }
          while (++argsIndex < holdersLength) {
            if (isUncurried || argsIndex < argsLength) {
              result2[holders[argsIndex]] = args[argsIndex];
            }
          }
          while (rangeLength--) {
            result2[leftIndex++] = args[argsIndex++];
          }
          return result2;
        }
        function composeArgsRight(args, partials, holders, isCurried) {
          var argsIndex = -1, argsLength = args.length, holdersIndex = -1, holdersLength = holders.length, rightIndex = -1, rightLength = partials.length, rangeLength = nativeMax(argsLength - holdersLength, 0), result2 = Array2(rangeLength + rightLength), isUncurried = !isCurried;
          while (++argsIndex < rangeLength) {
            result2[argsIndex] = args[argsIndex];
          }
          var offset = argsIndex;
          while (++rightIndex < rightLength) {
            result2[offset + rightIndex] = partials[rightIndex];
          }
          while (++holdersIndex < holdersLength) {
            if (isUncurried || argsIndex < argsLength) {
              result2[offset + holders[holdersIndex]] = args[argsIndex++];
            }
          }
          return result2;
        }
        function copyArray(source, array) {
          var index = -1, length = source.length;
          array || (array = Array2(length));
          while (++index < length) {
            array[index] = source[index];
          }
          return array;
        }
        function copyObject(source, props, object, customizer) {
          var isNew = !object;
          object || (object = {});
          var index = -1, length = props.length;
          while (++index < length) {
            var key = props[index];
            var newValue = customizer ? customizer(object[key], source[key], key, object, source) : undefined2;
            if (newValue === undefined2) {
              newValue = source[key];
            }
            if (isNew) {
              baseAssignValue(object, key, newValue);
            } else {
              assignValue(object, key, newValue);
            }
          }
          return object;
        }
        function copySymbols(source, object) {
          return copyObject(source, getSymbols(source), object);
        }
        function copySymbolsIn(source, object) {
          return copyObject(source, getSymbolsIn(source), object);
        }
        function createAggregator(setter, initializer) {
          return function(collection, iteratee2) {
            var func = isArray(collection) ? arrayAggregator : baseAggregator, accumulator = initializer ? initializer() : {};
            return func(collection, setter, getIteratee(iteratee2, 2), accumulator);
          };
        }
        function createAssigner(assigner) {
          return baseRest(function(object, sources) {
            var index = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : undefined2, guard = length > 2 ? sources[2] : undefined2;
            customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : undefined2;
            if (guard && isIterateeCall(sources[0], sources[1], guard)) {
              customizer = length < 3 ? undefined2 : customizer;
              length = 1;
            }
            object = Object2(object);
            while (++index < length) {
              var source = sources[index];
              if (source) {
                assigner(object, source, index, customizer);
              }
            }
            return object;
          });
        }
        function createBaseEach(eachFunc, fromRight) {
          return function(collection, iteratee2) {
            if (collection == null) {
              return collection;
            }
            if (!isArrayLike(collection)) {
              return eachFunc(collection, iteratee2);
            }
            var length = collection.length, index = fromRight ? length : -1, iterable = Object2(collection);
            while (fromRight ? index-- : ++index < length) {
              if (iteratee2(iterable[index], index, iterable) === false) {
                break;
              }
            }
            return collection;
          };
        }
        function createBaseFor(fromRight) {
          return function(object, iteratee2, keysFunc) {
            var index = -1, iterable = Object2(object), props = keysFunc(object), length = props.length;
            while (length--) {
              var key = props[fromRight ? length : ++index];
              if (iteratee2(iterable[key], key, iterable) === false) {
                break;
              }
            }
            return object;
          };
        }
        function createBind(func, bitmask, thisArg) {
          var isBind = bitmask & WRAP_BIND_FLAG, Ctor = createCtor(func);
          function wrapper() {
            var fn = this && this !== root && this instanceof wrapper ? Ctor : func;
            return fn.apply(isBind ? thisArg : this, arguments);
          }
          return wrapper;
        }
        function createCaseFirst(methodName) {
          return function(string) {
            string = toString(string);
            var strSymbols = hasUnicode(string) ? stringToArray(string) : undefined2;
            var chr = strSymbols ? strSymbols[0] : string.charAt(0);
            var trailing = strSymbols ? castSlice(strSymbols, 1).join("") : string.slice(1);
            return chr[methodName]() + trailing;
          };
        }
        function createCompounder(callback) {
          return function(string) {
            return arrayReduce(words(deburr(string).replace(reApos, "")), callback, "");
          };
        }
        function createCtor(Ctor) {
          return function() {
            var args = arguments;
            switch (args.length) {
              case 0:
                return new Ctor();
              case 1:
                return new Ctor(args[0]);
              case 2:
                return new Ctor(args[0], args[1]);
              case 3:
                return new Ctor(args[0], args[1], args[2]);
              case 4:
                return new Ctor(args[0], args[1], args[2], args[3]);
              case 5:
                return new Ctor(args[0], args[1], args[2], args[3], args[4]);
              case 6:
                return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
              case 7:
                return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
            }
            var thisBinding = baseCreate(Ctor.prototype), result2 = Ctor.apply(thisBinding, args);
            return isObject(result2) ? result2 : thisBinding;
          };
        }
        function createCurry(func, bitmask, arity) {
          var Ctor = createCtor(func);
          function wrapper() {
            var length = arguments.length, args = Array2(length), index = length, placeholder = getHolder(wrapper);
            while (index--) {
              args[index] = arguments[index];
            }
            var holders = length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder ? [] : replaceHolders(args, placeholder);
            length -= holders.length;
            if (length < arity) {
              return createRecurry(
                func,
                bitmask,
                createHybrid,
                wrapper.placeholder,
                undefined2,
                args,
                holders,
                undefined2,
                undefined2,
                arity - length
              );
            }
            var fn = this && this !== root && this instanceof wrapper ? Ctor : func;
            return apply(fn, this, args);
          }
          return wrapper;
        }
        function createFind(findIndexFunc) {
          return function(collection, predicate, fromIndex) {
            var iterable = Object2(collection);
            if (!isArrayLike(collection)) {
              var iteratee2 = getIteratee(predicate, 3);
              collection = keys(collection);
              predicate = function(key) {
                return iteratee2(iterable[key], key, iterable);
              };
            }
            var index = findIndexFunc(collection, predicate, fromIndex);
            return index > -1 ? iterable[iteratee2 ? collection[index] : index] : undefined2;
          };
        }
        function createFlow(fromRight) {
          return flatRest(function(funcs) {
            var length = funcs.length, index = length, prereq = LodashWrapper.prototype.thru;
            if (fromRight) {
              funcs.reverse();
            }
            while (index--) {
              var func = funcs[index];
              if (typeof func != "function") {
                throw new TypeError2(FUNC_ERROR_TEXT);
              }
              if (prereq && !wrapper && getFuncName(func) == "wrapper") {
                var wrapper = new LodashWrapper([], true);
              }
            }
            index = wrapper ? index : length;
            while (++index < length) {
              func = funcs[index];
              var funcName = getFuncName(func), data = funcName == "wrapper" ? getData(func) : undefined2;
              if (data && isLaziable(data[0]) && data[1] == (WRAP_ARY_FLAG | WRAP_CURRY_FLAG | WRAP_PARTIAL_FLAG | WRAP_REARG_FLAG) && !data[4].length && data[9] == 1) {
                wrapper = wrapper[getFuncName(data[0])].apply(wrapper, data[3]);
              } else {
                wrapper = func.length == 1 && isLaziable(func) ? wrapper[funcName]() : wrapper.thru(func);
              }
            }
            return function() {
              var args = arguments, value = args[0];
              if (wrapper && args.length == 1 && isArray(value)) {
                return wrapper.plant(value).value();
              }
              var index2 = 0, result2 = length ? funcs[index2].apply(this, args) : value;
              while (++index2 < length) {
                result2 = funcs[index2].call(this, result2);
              }
              return result2;
            };
          });
        }
        function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary2, arity) {
          var isAry = bitmask & WRAP_ARY_FLAG, isBind = bitmask & WRAP_BIND_FLAG, isBindKey = bitmask & WRAP_BIND_KEY_FLAG, isCurried = bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG), isFlip = bitmask & WRAP_FLIP_FLAG, Ctor = isBindKey ? undefined2 : createCtor(func);
          function wrapper() {
            var length = arguments.length, args = Array2(length), index = length;
            while (index--) {
              args[index] = arguments[index];
            }
            if (isCurried) {
              var placeholder = getHolder(wrapper), holdersCount = countHolders(args, placeholder);
            }
            if (partials) {
              args = composeArgs(args, partials, holders, isCurried);
            }
            if (partialsRight) {
              args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
            }
            length -= holdersCount;
            if (isCurried && length < arity) {
              var newHolders = replaceHolders(args, placeholder);
              return createRecurry(
                func,
                bitmask,
                createHybrid,
                wrapper.placeholder,
                thisArg,
                args,
                newHolders,
                argPos,
                ary2,
                arity - length
              );
            }
            var thisBinding = isBind ? thisArg : this, fn = isBindKey ? thisBinding[func] : func;
            length = args.length;
            if (argPos) {
              args = reorder(args, argPos);
            } else if (isFlip && length > 1) {
              args.reverse();
            }
            if (isAry && ary2 < length) {
              args.length = ary2;
            }
            if (this && this !== root && this instanceof wrapper) {
              fn = Ctor || createCtor(fn);
            }
            return fn.apply(thisBinding, args);
          }
          return wrapper;
        }
        function createInverter(setter, toIteratee) {
          return function(object, iteratee2) {
            return baseInverter(object, setter, toIteratee(iteratee2), {});
          };
        }
        function createMathOperation(operator, defaultValue) {
          return function(value, other) {
            var result2;
            if (value === undefined2 && other === undefined2) {
              return defaultValue;
            }
            if (value !== undefined2) {
              result2 = value;
            }
            if (other !== undefined2) {
              if (result2 === undefined2) {
                return other;
              }
              if (typeof value == "string" || typeof other == "string") {
                value = baseToString(value);
                other = baseToString(other);
              } else {
                value = baseToNumber(value);
                other = baseToNumber(other);
              }
              result2 = operator(value, other);
            }
            return result2;
          };
        }
        function createOver(arrayFunc) {
          return flatRest(function(iteratees) {
            iteratees = arrayMap(iteratees, baseUnary(getIteratee()));
            return baseRest(function(args) {
              var thisArg = this;
              return arrayFunc(iteratees, function(iteratee2) {
                return apply(iteratee2, thisArg, args);
              });
            });
          });
        }
        function createPadding(length, chars) {
          chars = chars === undefined2 ? " " : baseToString(chars);
          var charsLength = chars.length;
          if (charsLength < 2) {
            return charsLength ? baseRepeat(chars, length) : chars;
          }
          var result2 = baseRepeat(chars, nativeCeil(length / stringSize(chars)));
          return hasUnicode(chars) ? castSlice(stringToArray(result2), 0, length).join("") : result2.slice(0, length);
        }
        function createPartial(func, bitmask, thisArg, partials) {
          var isBind = bitmask & WRAP_BIND_FLAG, Ctor = createCtor(func);
          function wrapper() {
            var argsIndex = -1, argsLength = arguments.length, leftIndex = -1, leftLength = partials.length, args = Array2(leftLength + argsLength), fn = this && this !== root && this instanceof wrapper ? Ctor : func;
            while (++leftIndex < leftLength) {
              args[leftIndex] = partials[leftIndex];
            }
            while (argsLength--) {
              args[leftIndex++] = arguments[++argsIndex];
            }
            return apply(fn, isBind ? thisArg : this, args);
          }
          return wrapper;
        }
        function createRange(fromRight) {
          return function(start, end, step) {
            if (step && typeof step != "number" && isIterateeCall(start, end, step)) {
              end = step = undefined2;
            }
            start = toFinite(start);
            if (end === undefined2) {
              end = start;
              start = 0;
            } else {
              end = toFinite(end);
            }
            step = step === undefined2 ? start < end ? 1 : -1 : toFinite(step);
            return baseRange(start, end, step, fromRight);
          };
        }
        function createRelationalOperation(operator) {
          return function(value, other) {
            if (!(typeof value == "string" && typeof other == "string")) {
              value = toNumber(value);
              other = toNumber(other);
            }
            return operator(value, other);
          };
        }
        function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary2, arity) {
          var isCurry = bitmask & WRAP_CURRY_FLAG, newHolders = isCurry ? holders : undefined2, newHoldersRight = isCurry ? undefined2 : holders, newPartials = isCurry ? partials : undefined2, newPartialsRight = isCurry ? undefined2 : partials;
          bitmask |= isCurry ? WRAP_PARTIAL_FLAG : WRAP_PARTIAL_RIGHT_FLAG;
          bitmask &= ~(isCurry ? WRAP_PARTIAL_RIGHT_FLAG : WRAP_PARTIAL_FLAG);
          if (!(bitmask & WRAP_CURRY_BOUND_FLAG)) {
            bitmask &= ~(WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG);
          }
          var newData = [
            func,
            bitmask,
            thisArg,
            newPartials,
            newHolders,
            newPartialsRight,
            newHoldersRight,
            argPos,
            ary2,
            arity
          ];
          var result2 = wrapFunc.apply(undefined2, newData);
          if (isLaziable(func)) {
            setData(result2, newData);
          }
          result2.placeholder = placeholder;
          return setWrapToString(result2, func, bitmask);
        }
        function createRound(methodName) {
          var func = Math2[methodName];
          return function(number, precision) {
            number = toNumber(number);
            precision = precision == null ? 0 : nativeMin(toInteger(precision), 292);
            if (precision && nativeIsFinite(number)) {
              var pair = (toString(number) + "e").split("e"), value = func(pair[0] + "e" + (+pair[1] + precision));
              pair = (toString(value) + "e").split("e");
              return +(pair[0] + "e" + (+pair[1] - precision));
            }
            return func(number);
          };
        }
        var createSet = !(Set2 && 1 / setToArray(new Set2([, -0]))[1] == INFINITY) ? noop : function(values2) {
          return new Set2(values2);
        };
        function createToPairs(keysFunc) {
          return function(object) {
            var tag = getTag(object);
            if (tag == mapTag) {
              return mapToArray(object);
            }
            if (tag == setTag) {
              return setToPairs(object);
            }
            return baseToPairs(object, keysFunc(object));
          };
        }
        function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary2, arity) {
          var isBindKey = bitmask & WRAP_BIND_KEY_FLAG;
          if (!isBindKey && typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          var length = partials ? partials.length : 0;
          if (!length) {
            bitmask &= ~(WRAP_PARTIAL_FLAG | WRAP_PARTIAL_RIGHT_FLAG);
            partials = holders = undefined2;
          }
          ary2 = ary2 === undefined2 ? ary2 : nativeMax(toInteger(ary2), 0);
          arity = arity === undefined2 ? arity : toInteger(arity);
          length -= holders ? holders.length : 0;
          if (bitmask & WRAP_PARTIAL_RIGHT_FLAG) {
            var partialsRight = partials, holdersRight = holders;
            partials = holders = undefined2;
          }
          var data = isBindKey ? undefined2 : getData(func);
          var newData = [
            func,
            bitmask,
            thisArg,
            partials,
            holders,
            partialsRight,
            holdersRight,
            argPos,
            ary2,
            arity
          ];
          if (data) {
            mergeData(newData, data);
          }
          func = newData[0];
          bitmask = newData[1];
          thisArg = newData[2];
          partials = newData[3];
          holders = newData[4];
          arity = newData[9] = newData[9] === undefined2 ? isBindKey ? 0 : func.length : nativeMax(newData[9] - length, 0);
          if (!arity && bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG)) {
            bitmask &= ~(WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG);
          }
          if (!bitmask || bitmask == WRAP_BIND_FLAG) {
            var result2 = createBind(func, bitmask, thisArg);
          } else if (bitmask == WRAP_CURRY_FLAG || bitmask == WRAP_CURRY_RIGHT_FLAG) {
            result2 = createCurry(func, bitmask, arity);
          } else if ((bitmask == WRAP_PARTIAL_FLAG || bitmask == (WRAP_BIND_FLAG | WRAP_PARTIAL_FLAG)) && !holders.length) {
            result2 = createPartial(func, bitmask, thisArg, partials);
          } else {
            result2 = createHybrid.apply(undefined2, newData);
          }
          var setter = data ? baseSetData : setData;
          return setWrapToString(setter(result2, newData), func, bitmask);
        }
        function customDefaultsAssignIn(objValue, srcValue, key, object) {
          if (objValue === undefined2 || eq(objValue, objectProto[key]) && !hasOwnProperty2.call(object, key)) {
            return srcValue;
          }
          return objValue;
        }
        function customDefaultsMerge(objValue, srcValue, key, object, source, stack) {
          if (isObject(objValue) && isObject(srcValue)) {
            stack.set(srcValue, objValue);
            baseMerge(objValue, srcValue, undefined2, customDefaultsMerge, stack);
            stack["delete"](srcValue);
          }
          return objValue;
        }
        function customOmitClone(value) {
          return isPlainObject(value) ? undefined2 : value;
        }
        function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
          var isPartial = bitmask & COMPARE_PARTIAL_FLAG, arrLength = array.length, othLength = other.length;
          if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
            return false;
          }
          var arrStacked = stack.get(array);
          var othStacked = stack.get(other);
          if (arrStacked && othStacked) {
            return arrStacked == other && othStacked == array;
          }
          var index = -1, result2 = true, seen = bitmask & COMPARE_UNORDERED_FLAG ? new SetCache() : undefined2;
          stack.set(array, other);
          stack.set(other, array);
          while (++index < arrLength) {
            var arrValue = array[index], othValue = other[index];
            if (customizer) {
              var compared = isPartial ? customizer(othValue, arrValue, index, other, array, stack) : customizer(arrValue, othValue, index, array, other, stack);
            }
            if (compared !== undefined2) {
              if (compared) {
                continue;
              }
              result2 = false;
              break;
            }
            if (seen) {
              if (!arraySome(other, function(othValue2, othIndex) {
                if (!cacheHas(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
                  return seen.push(othIndex);
                }
              })) {
                result2 = false;
                break;
              }
            } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
              result2 = false;
              break;
            }
          }
          stack["delete"](array);
          stack["delete"](other);
          return result2;
        }
        function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
          switch (tag) {
            case dataViewTag:
              if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
                return false;
              }
              object = object.buffer;
              other = other.buffer;
            case arrayBufferTag:
              if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array2(object), new Uint8Array2(other))) {
                return false;
              }
              return true;
            case boolTag:
            case dateTag:
            case numberTag:
              return eq(+object, +other);
            case errorTag:
              return object.name == other.name && object.message == other.message;
            case regexpTag:
            case stringTag:
              return object == other + "";
            case mapTag:
              var convert = mapToArray;
            case setTag:
              var isPartial = bitmask & COMPARE_PARTIAL_FLAG;
              convert || (convert = setToArray);
              if (object.size != other.size && !isPartial) {
                return false;
              }
              var stacked = stack.get(object);
              if (stacked) {
                return stacked == other;
              }
              bitmask |= COMPARE_UNORDERED_FLAG;
              stack.set(object, other);
              var result2 = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
              stack["delete"](object);
              return result2;
            case symbolTag:
              if (symbolValueOf) {
                return symbolValueOf.call(object) == symbolValueOf.call(other);
              }
          }
          return false;
        }
        function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
          var isPartial = bitmask & COMPARE_PARTIAL_FLAG, objProps = getAllKeys(object), objLength = objProps.length, othProps = getAllKeys(other), othLength = othProps.length;
          if (objLength != othLength && !isPartial) {
            return false;
          }
          var index = objLength;
          while (index--) {
            var key = objProps[index];
            if (!(isPartial ? key in other : hasOwnProperty2.call(other, key))) {
              return false;
            }
          }
          var objStacked = stack.get(object);
          var othStacked = stack.get(other);
          if (objStacked && othStacked) {
            return objStacked == other && othStacked == object;
          }
          var result2 = true;
          stack.set(object, other);
          stack.set(other, object);
          var skipCtor = isPartial;
          while (++index < objLength) {
            key = objProps[index];
            var objValue = object[key], othValue = other[key];
            if (customizer) {
              var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
            }
            if (!(compared === undefined2 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
              result2 = false;
              break;
            }
            skipCtor || (skipCtor = key == "constructor");
          }
          if (result2 && !skipCtor) {
            var objCtor = object.constructor, othCtor = other.constructor;
            if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
              result2 = false;
            }
          }
          stack["delete"](object);
          stack["delete"](other);
          return result2;
        }
        function flatRest(func) {
          return setToString(overRest(func, undefined2, flatten), func + "");
        }
        function getAllKeys(object) {
          return baseGetAllKeys(object, keys, getSymbols);
        }
        function getAllKeysIn(object) {
          return baseGetAllKeys(object, keysIn, getSymbolsIn);
        }
        var getData = !metaMap ? noop : function(func) {
          return metaMap.get(func);
        };
        function getFuncName(func) {
          var result2 = func.name + "", array = realNames[result2], length = hasOwnProperty2.call(realNames, result2) ? array.length : 0;
          while (length--) {
            var data = array[length], otherFunc = data.func;
            if (otherFunc == null || otherFunc == func) {
              return data.name;
            }
          }
          return result2;
        }
        function getHolder(func) {
          var object = hasOwnProperty2.call(lodash, "placeholder") ? lodash : func;
          return object.placeholder;
        }
        function getIteratee() {
          var result2 = lodash.iteratee || iteratee;
          result2 = result2 === iteratee ? baseIteratee : result2;
          return arguments.length ? result2(arguments[0], arguments[1]) : result2;
        }
        function getMapData(map2, key) {
          var data = map2.__data__;
          return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
        }
        function getMatchData(object) {
          var result2 = keys(object), length = result2.length;
          while (length--) {
            var key = result2[length], value = object[key];
            result2[length] = [key, value, isStrictComparable(value)];
          }
          return result2;
        }
        function getNative(object, key) {
          var value = getValue(object, key);
          return baseIsNative(value) ? value : undefined2;
        }
        function getRawTag(value) {
          var isOwn = hasOwnProperty2.call(value, symToStringTag), tag = value[symToStringTag];
          try {
            value[symToStringTag] = undefined2;
            var unmasked = true;
          } catch (e) {
          }
          var result2 = nativeObjectToString.call(value);
          if (unmasked) {
            if (isOwn) {
              value[symToStringTag] = tag;
            } else {
              delete value[symToStringTag];
            }
          }
          return result2;
        }
        var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
          if (object == null) {
            return [];
          }
          object = Object2(object);
          return arrayFilter(nativeGetSymbols(object), function(symbol) {
            return propertyIsEnumerable.call(object, symbol);
          });
        };
        var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
          var result2 = [];
          while (object) {
            arrayPush(result2, getSymbols(object));
            object = getPrototype(object);
          }
          return result2;
        };
        var getTag = baseGetTag;
        if (DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag || Map2 && getTag(new Map2()) != mapTag || Promise2 && getTag(Promise2.resolve()) != promiseTag || Set2 && getTag(new Set2()) != setTag || WeakMap2 && getTag(new WeakMap2()) != weakMapTag) {
          getTag = function(value) {
            var result2 = baseGetTag(value), Ctor = result2 == objectTag ? value.constructor : undefined2, ctorString = Ctor ? toSource(Ctor) : "";
            if (ctorString) {
              switch (ctorString) {
                case dataViewCtorString:
                  return dataViewTag;
                case mapCtorString:
                  return mapTag;
                case promiseCtorString:
                  return promiseTag;
                case setCtorString:
                  return setTag;
                case weakMapCtorString:
                  return weakMapTag;
              }
            }
            return result2;
          };
        }
        function getView(start, end, transforms) {
          var index = -1, length = transforms.length;
          while (++index < length) {
            var data = transforms[index], size2 = data.size;
            switch (data.type) {
              case "drop":
                start += size2;
                break;
              case "dropRight":
                end -= size2;
                break;
              case "take":
                end = nativeMin(end, start + size2);
                break;
              case "takeRight":
                start = nativeMax(start, end - size2);
                break;
            }
          }
          return { "start": start, "end": end };
        }
        function getWrapDetails(source) {
          var match = source.match(reWrapDetails);
          return match ? match[1].split(reSplitDetails) : [];
        }
        function hasPath(object, path, hasFunc) {
          path = castPath(path, object);
          var index = -1, length = path.length, result2 = false;
          while (++index < length) {
            var key = toKey(path[index]);
            if (!(result2 = object != null && hasFunc(object, key))) {
              break;
            }
            object = object[key];
          }
          if (result2 || ++index != length) {
            return result2;
          }
          length = object == null ? 0 : object.length;
          return !!length && isLength(length) && isIndex(key, length) && (isArray(object) || isArguments(object));
        }
        function initCloneArray(array) {
          var length = array.length, result2 = new array.constructor(length);
          if (length && typeof array[0] == "string" && hasOwnProperty2.call(array, "index")) {
            result2.index = array.index;
            result2.input = array.input;
          }
          return result2;
        }
        function initCloneObject(object) {
          return typeof object.constructor == "function" && !isPrototype(object) ? baseCreate(getPrototype(object)) : {};
        }
        function initCloneByTag(object, tag, isDeep) {
          var Ctor = object.constructor;
          switch (tag) {
            case arrayBufferTag:
              return cloneArrayBuffer(object);
            case boolTag:
            case dateTag:
              return new Ctor(+object);
            case dataViewTag:
              return cloneDataView(object, isDeep);
            case float32Tag:
            case float64Tag:
            case int8Tag:
            case int16Tag:
            case int32Tag:
            case uint8Tag:
            case uint8ClampedTag:
            case uint16Tag:
            case uint32Tag:
              return cloneTypedArray(object, isDeep);
            case mapTag:
              return new Ctor();
            case numberTag:
            case stringTag:
              return new Ctor(object);
            case regexpTag:
              return cloneRegExp(object);
            case setTag:
              return new Ctor();
            case symbolTag:
              return cloneSymbol(object);
          }
        }
        function insertWrapDetails(source, details) {
          var length = details.length;
          if (!length) {
            return source;
          }
          var lastIndex = length - 1;
          details[lastIndex] = (length > 1 ? "& " : "") + details[lastIndex];
          details = details.join(length > 2 ? ", " : " ");
          return source.replace(reWrapComment, "{\n/* [wrapped with " + details + "] */\n");
        }
        function isFlattenable(value) {
          return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
        }
        function isIndex(value, length) {
          var type = typeof value;
          length = length == null ? MAX_SAFE_INTEGER : length;
          return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
        }
        function isIterateeCall(value, index, object) {
          if (!isObject(object)) {
            return false;
          }
          var type = typeof index;
          if (type == "number" ? isArrayLike(object) && isIndex(index, object.length) : type == "string" && index in object) {
            return eq(object[index], value);
          }
          return false;
        }
        function isKey(value, object) {
          if (isArray(value)) {
            return false;
          }
          var type = typeof value;
          if (type == "number" || type == "symbol" || type == "boolean" || value == null || isSymbol(value)) {
            return true;
          }
          return reIsPlainProp.test(value) || !reIsDeepProp.test(value) || object != null && value in Object2(object);
        }
        function isKeyable(value) {
          var type = typeof value;
          return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
        }
        function isLaziable(func) {
          var funcName = getFuncName(func), other = lodash[funcName];
          if (typeof other != "function" || !(funcName in LazyWrapper.prototype)) {
            return false;
          }
          if (func === other) {
            return true;
          }
          var data = getData(other);
          return !!data && func === data[0];
        }
        function isMasked(func) {
          return !!maskSrcKey && maskSrcKey in func;
        }
        var isMaskable = coreJsData ? isFunction : stubFalse;
        function isPrototype(value) {
          var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto;
          return value === proto;
        }
        function isStrictComparable(value) {
          return value === value && !isObject(value);
        }
        function matchesStrictComparable(key, srcValue) {
          return function(object) {
            if (object == null) {
              return false;
            }
            return object[key] === srcValue && (srcValue !== undefined2 || key in Object2(object));
          };
        }
        function memoizeCapped(func) {
          var result2 = memoize(func, function(key) {
            if (cache.size === MAX_MEMOIZE_SIZE) {
              cache.clear();
            }
            return key;
          });
          var cache = result2.cache;
          return result2;
        }
        function mergeData(data, source) {
          var bitmask = data[1], srcBitmask = source[1], newBitmask = bitmask | srcBitmask, isCommon = newBitmask < (WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG | WRAP_ARY_FLAG);
          var isCombo = srcBitmask == WRAP_ARY_FLAG && bitmask == WRAP_CURRY_FLAG || srcBitmask == WRAP_ARY_FLAG && bitmask == WRAP_REARG_FLAG && data[7].length <= source[8] || srcBitmask == (WRAP_ARY_FLAG | WRAP_REARG_FLAG) && source[7].length <= source[8] && bitmask == WRAP_CURRY_FLAG;
          if (!(isCommon || isCombo)) {
            return data;
          }
          if (srcBitmask & WRAP_BIND_FLAG) {
            data[2] = source[2];
            newBitmask |= bitmask & WRAP_BIND_FLAG ? 0 : WRAP_CURRY_BOUND_FLAG;
          }
          var value = source[3];
          if (value) {
            var partials = data[3];
            data[3] = partials ? composeArgs(partials, value, source[4]) : value;
            data[4] = partials ? replaceHolders(data[3], PLACEHOLDER) : source[4];
          }
          value = source[5];
          if (value) {
            partials = data[5];
            data[5] = partials ? composeArgsRight(partials, value, source[6]) : value;
            data[6] = partials ? replaceHolders(data[5], PLACEHOLDER) : source[6];
          }
          value = source[7];
          if (value) {
            data[7] = value;
          }
          if (srcBitmask & WRAP_ARY_FLAG) {
            data[8] = data[8] == null ? source[8] : nativeMin(data[8], source[8]);
          }
          if (data[9] == null) {
            data[9] = source[9];
          }
          data[0] = source[0];
          data[1] = newBitmask;
          return data;
        }
        function nativeKeysIn(object) {
          var result2 = [];
          if (object != null) {
            for (var key in Object2(object)) {
              result2.push(key);
            }
          }
          return result2;
        }
        function objectToString(value) {
          return nativeObjectToString.call(value);
        }
        function overRest(func, start, transform2) {
          start = nativeMax(start === undefined2 ? func.length - 1 : start, 0);
          return function() {
            var args = arguments, index = -1, length = nativeMax(args.length - start, 0), array = Array2(length);
            while (++index < length) {
              array[index] = args[start + index];
            }
            index = -1;
            var otherArgs = Array2(start + 1);
            while (++index < start) {
              otherArgs[index] = args[index];
            }
            otherArgs[start] = transform2(array);
            return apply(func, this, otherArgs);
          };
        }
        function parent(object, path) {
          return path.length < 2 ? object : baseGet(object, baseSlice(path, 0, -1));
        }
        function reorder(array, indexes) {
          var arrLength = array.length, length = nativeMin(indexes.length, arrLength), oldArray = copyArray(array);
          while (length--) {
            var index = indexes[length];
            array[length] = isIndex(index, arrLength) ? oldArray[index] : undefined2;
          }
          return array;
        }
        function safeGet(object, key) {
          if (key === "constructor" && typeof object[key] === "function") {
            return;
          }
          if (key == "__proto__") {
            return;
          }
          return object[key];
        }
        var setData = shortOut(baseSetData);
        var setTimeout2 = ctxSetTimeout || function(func, wait) {
          return root.setTimeout(func, wait);
        };
        var setToString = shortOut(baseSetToString);
        function setWrapToString(wrapper, reference, bitmask) {
          var source = reference + "";
          return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
        }
        function shortOut(func) {
          var count = 0, lastCalled = 0;
          return function() {
            var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
            lastCalled = stamp;
            if (remaining > 0) {
              if (++count >= HOT_COUNT) {
                return arguments[0];
              }
            } else {
              count = 0;
            }
            return func.apply(undefined2, arguments);
          };
        }
        function shuffleSelf(array, size2) {
          var index = -1, length = array.length, lastIndex = length - 1;
          size2 = size2 === undefined2 ? length : size2;
          while (++index < size2) {
            var rand = baseRandom(index, lastIndex), value = array[rand];
            array[rand] = array[index];
            array[index] = value;
          }
          array.length = size2;
          return array;
        }
        var stringToPath = memoizeCapped(function(string) {
          var result2 = [];
          if (string.charCodeAt(0) === 46) {
            result2.push("");
          }
          string.replace(rePropName, function(match, number, quote, subString) {
            result2.push(quote ? subString.replace(reEscapeChar, "$1") : number || match);
          });
          return result2;
        });
        function toKey(value) {
          if (typeof value == "string" || isSymbol(value)) {
            return value;
          }
          var result2 = value + "";
          return result2 == "0" && 1 / value == -INFINITY ? "-0" : result2;
        }
        function toSource(func) {
          if (func != null) {
            try {
              return funcToString.call(func);
            } catch (e) {
            }
            try {
              return func + "";
            } catch (e) {
            }
          }
          return "";
        }
        function updateWrapDetails(details, bitmask) {
          arrayEach(wrapFlags, function(pair) {
            var value = "_." + pair[0];
            if (bitmask & pair[1] && !arrayIncludes(details, value)) {
              details.push(value);
            }
          });
          return details.sort();
        }
        function wrapperClone(wrapper) {
          if (wrapper instanceof LazyWrapper) {
            return wrapper.clone();
          }
          var result2 = new LodashWrapper(wrapper.__wrapped__, wrapper.__chain__);
          result2.__actions__ = copyArray(wrapper.__actions__);
          result2.__index__ = wrapper.__index__;
          result2.__values__ = wrapper.__values__;
          return result2;
        }
        function chunk(array, size2, guard) {
          if (guard ? isIterateeCall(array, size2, guard) : size2 === undefined2) {
            size2 = 1;
          } else {
            size2 = nativeMax(toInteger(size2), 0);
          }
          var length = array == null ? 0 : array.length;
          if (!length || size2 < 1) {
            return [];
          }
          var index = 0, resIndex = 0, result2 = Array2(nativeCeil(length / size2));
          while (index < length) {
            result2[resIndex++] = baseSlice(array, index, index += size2);
          }
          return result2;
        }
        function compact(array) {
          var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result2 = [];
          while (++index < length) {
            var value = array[index];
            if (value) {
              result2[resIndex++] = value;
            }
          }
          return result2;
        }
        function concat() {
          var length = arguments.length;
          if (!length) {
            return [];
          }
          var args = Array2(length - 1), array = arguments[0], index = length;
          while (index--) {
            args[index - 1] = arguments[index];
          }
          return arrayPush(isArray(array) ? copyArray(array) : [array], baseFlatten(args, 1));
        }
        var difference = baseRest(function(array, values2) {
          return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values2, 1, isArrayLikeObject, true)) : [];
        });
        var differenceBy = baseRest(function(array, values2) {
          var iteratee2 = last(values2);
          if (isArrayLikeObject(iteratee2)) {
            iteratee2 = undefined2;
          }
          return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values2, 1, isArrayLikeObject, true), getIteratee(iteratee2, 2)) : [];
        });
        var differenceWith = baseRest(function(array, values2) {
          var comparator = last(values2);
          if (isArrayLikeObject(comparator)) {
            comparator = undefined2;
          }
          return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values2, 1, isArrayLikeObject, true), undefined2, comparator) : [];
        });
        function drop(array, n, guard) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          n = guard || n === undefined2 ? 1 : toInteger(n);
          return baseSlice(array, n < 0 ? 0 : n, length);
        }
        function dropRight(array, n, guard) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          n = guard || n === undefined2 ? 1 : toInteger(n);
          n = length - n;
          return baseSlice(array, 0, n < 0 ? 0 : n);
        }
        function dropRightWhile(array, predicate) {
          return array && array.length ? baseWhile(array, getIteratee(predicate, 3), true, true) : [];
        }
        function dropWhile(array, predicate) {
          return array && array.length ? baseWhile(array, getIteratee(predicate, 3), true) : [];
        }
        function fill(array, value, start, end) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          if (start && typeof start != "number" && isIterateeCall(array, value, start)) {
            start = 0;
            end = length;
          }
          return baseFill(array, value, start, end);
        }
        function findIndex(array, predicate, fromIndex) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return -1;
          }
          var index = fromIndex == null ? 0 : toInteger(fromIndex);
          if (index < 0) {
            index = nativeMax(length + index, 0);
          }
          return baseFindIndex(array, getIteratee(predicate, 3), index);
        }
        function findLastIndex(array, predicate, fromIndex) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return -1;
          }
          var index = length - 1;
          if (fromIndex !== undefined2) {
            index = toInteger(fromIndex);
            index = fromIndex < 0 ? nativeMax(length + index, 0) : nativeMin(index, length - 1);
          }
          return baseFindIndex(array, getIteratee(predicate, 3), index, true);
        }
        function flatten(array) {
          var length = array == null ? 0 : array.length;
          return length ? baseFlatten(array, 1) : [];
        }
        function flattenDeep(array) {
          var length = array == null ? 0 : array.length;
          return length ? baseFlatten(array, INFINITY) : [];
        }
        function flattenDepth(array, depth) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          depth = depth === undefined2 ? 1 : toInteger(depth);
          return baseFlatten(array, depth);
        }
        function fromPairs(pairs) {
          var index = -1, length = pairs == null ? 0 : pairs.length, result2 = {};
          while (++index < length) {
            var pair = pairs[index];
            result2[pair[0]] = pair[1];
          }
          return result2;
        }
        function head(array) {
          return array && array.length ? array[0] : undefined2;
        }
        function indexOf(array, value, fromIndex) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return -1;
          }
          var index = fromIndex == null ? 0 : toInteger(fromIndex);
          if (index < 0) {
            index = nativeMax(length + index, 0);
          }
          return baseIndexOf(array, value, index);
        }
        function initial(array) {
          var length = array == null ? 0 : array.length;
          return length ? baseSlice(array, 0, -1) : [];
        }
        var intersection = baseRest(function(arrays) {
          var mapped = arrayMap(arrays, castArrayLikeObject);
          return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped) : [];
        });
        var intersectionBy = baseRest(function(arrays) {
          var iteratee2 = last(arrays), mapped = arrayMap(arrays, castArrayLikeObject);
          if (iteratee2 === last(mapped)) {
            iteratee2 = undefined2;
          } else {
            mapped.pop();
          }
          return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped, getIteratee(iteratee2, 2)) : [];
        });
        var intersectionWith = baseRest(function(arrays) {
          var comparator = last(arrays), mapped = arrayMap(arrays, castArrayLikeObject);
          comparator = typeof comparator == "function" ? comparator : undefined2;
          if (comparator) {
            mapped.pop();
          }
          return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped, undefined2, comparator) : [];
        });
        function join(array, separator) {
          return array == null ? "" : nativeJoin.call(array, separator);
        }
        function last(array) {
          var length = array == null ? 0 : array.length;
          return length ? array[length - 1] : undefined2;
        }
        function lastIndexOf(array, value, fromIndex) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return -1;
          }
          var index = length;
          if (fromIndex !== undefined2) {
            index = toInteger(fromIndex);
            index = index < 0 ? nativeMax(length + index, 0) : nativeMin(index, length - 1);
          }
          return value === value ? strictLastIndexOf(array, value, index) : baseFindIndex(array, baseIsNaN, index, true);
        }
        function nth(array, n) {
          return array && array.length ? baseNth(array, toInteger(n)) : undefined2;
        }
        var pull = baseRest(pullAll);
        function pullAll(array, values2) {
          return array && array.length && values2 && values2.length ? basePullAll(array, values2) : array;
        }
        function pullAllBy(array, values2, iteratee2) {
          return array && array.length && values2 && values2.length ? basePullAll(array, values2, getIteratee(iteratee2, 2)) : array;
        }
        function pullAllWith(array, values2, comparator) {
          return array && array.length && values2 && values2.length ? basePullAll(array, values2, undefined2, comparator) : array;
        }
        var pullAt = flatRest(function(array, indexes) {
          var length = array == null ? 0 : array.length, result2 = baseAt(array, indexes);
          basePullAt(array, arrayMap(indexes, function(index) {
            return isIndex(index, length) ? +index : index;
          }).sort(compareAscending));
          return result2;
        });
        function remove(array, predicate) {
          var result2 = [];
          if (!(array && array.length)) {
            return result2;
          }
          var index = -1, indexes = [], length = array.length;
          predicate = getIteratee(predicate, 3);
          while (++index < length) {
            var value = array[index];
            if (predicate(value, index, array)) {
              result2.push(value);
              indexes.push(index);
            }
          }
          basePullAt(array, indexes);
          return result2;
        }
        function reverse(array) {
          return array == null ? array : nativeReverse.call(array);
        }
        function slice(array, start, end) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          if (end && typeof end != "number" && isIterateeCall(array, start, end)) {
            start = 0;
            end = length;
          } else {
            start = start == null ? 0 : toInteger(start);
            end = end === undefined2 ? length : toInteger(end);
          }
          return baseSlice(array, start, end);
        }
        function sortedIndex(array, value) {
          return baseSortedIndex(array, value);
        }
        function sortedIndexBy(array, value, iteratee2) {
          return baseSortedIndexBy(array, value, getIteratee(iteratee2, 2));
        }
        function sortedIndexOf(array, value) {
          var length = array == null ? 0 : array.length;
          if (length) {
            var index = baseSortedIndex(array, value);
            if (index < length && eq(array[index], value)) {
              return index;
            }
          }
          return -1;
        }
        function sortedLastIndex(array, value) {
          return baseSortedIndex(array, value, true);
        }
        function sortedLastIndexBy(array, value, iteratee2) {
          return baseSortedIndexBy(array, value, getIteratee(iteratee2, 2), true);
        }
        function sortedLastIndexOf(array, value) {
          var length = array == null ? 0 : array.length;
          if (length) {
            var index = baseSortedIndex(array, value, true) - 1;
            if (eq(array[index], value)) {
              return index;
            }
          }
          return -1;
        }
        function sortedUniq(array) {
          return array && array.length ? baseSortedUniq(array) : [];
        }
        function sortedUniqBy(array, iteratee2) {
          return array && array.length ? baseSortedUniq(array, getIteratee(iteratee2, 2)) : [];
        }
        function tail(array) {
          var length = array == null ? 0 : array.length;
          return length ? baseSlice(array, 1, length) : [];
        }
        function take(array, n, guard) {
          if (!(array && array.length)) {
            return [];
          }
          n = guard || n === undefined2 ? 1 : toInteger(n);
          return baseSlice(array, 0, n < 0 ? 0 : n);
        }
        function takeRight(array, n, guard) {
          var length = array == null ? 0 : array.length;
          if (!length) {
            return [];
          }
          n = guard || n === undefined2 ? 1 : toInteger(n);
          n = length - n;
          return baseSlice(array, n < 0 ? 0 : n, length);
        }
        function takeRightWhile(array, predicate) {
          return array && array.length ? baseWhile(array, getIteratee(predicate, 3), false, true) : [];
        }
        function takeWhile(array, predicate) {
          return array && array.length ? baseWhile(array, getIteratee(predicate, 3)) : [];
        }
        var union = baseRest(function(arrays) {
          return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
        });
        var unionBy = baseRest(function(arrays) {
          var iteratee2 = last(arrays);
          if (isArrayLikeObject(iteratee2)) {
            iteratee2 = undefined2;
          }
          return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), getIteratee(iteratee2, 2));
        });
        var unionWith = baseRest(function(arrays) {
          var comparator = last(arrays);
          comparator = typeof comparator == "function" ? comparator : undefined2;
          return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), undefined2, comparator);
        });
        function uniq(array) {
          return array && array.length ? baseUniq(array) : [];
        }
        function uniqBy(array, iteratee2) {
          return array && array.length ? baseUniq(array, getIteratee(iteratee2, 2)) : [];
        }
        function uniqWith(array, comparator) {
          comparator = typeof comparator == "function" ? comparator : undefined2;
          return array && array.length ? baseUniq(array, undefined2, comparator) : [];
        }
        function unzip(array) {
          if (!(array && array.length)) {
            return [];
          }
          var length = 0;
          array = arrayFilter(array, function(group) {
            if (isArrayLikeObject(group)) {
              length = nativeMax(group.length, length);
              return true;
            }
          });
          return baseTimes(length, function(index) {
            return arrayMap(array, baseProperty(index));
          });
        }
        function unzipWith(array, iteratee2) {
          if (!(array && array.length)) {
            return [];
          }
          var result2 = unzip(array);
          if (iteratee2 == null) {
            return result2;
          }
          return arrayMap(result2, function(group) {
            return apply(iteratee2, undefined2, group);
          });
        }
        var without = baseRest(function(array, values2) {
          return isArrayLikeObject(array) ? baseDifference(array, values2) : [];
        });
        var xor = baseRest(function(arrays) {
          return baseXor(arrayFilter(arrays, isArrayLikeObject));
        });
        var xorBy = baseRest(function(arrays) {
          var iteratee2 = last(arrays);
          if (isArrayLikeObject(iteratee2)) {
            iteratee2 = undefined2;
          }
          return baseXor(arrayFilter(arrays, isArrayLikeObject), getIteratee(iteratee2, 2));
        });
        var xorWith = baseRest(function(arrays) {
          var comparator = last(arrays);
          comparator = typeof comparator == "function" ? comparator : undefined2;
          return baseXor(arrayFilter(arrays, isArrayLikeObject), undefined2, comparator);
        });
        var zip = baseRest(unzip);
        function zipObject(props, values2) {
          return baseZipObject(props || [], values2 || [], assignValue);
        }
        function zipObjectDeep(props, values2) {
          return baseZipObject(props || [], values2 || [], baseSet);
        }
        var zipWith = baseRest(function(arrays) {
          var length = arrays.length, iteratee2 = length > 1 ? arrays[length - 1] : undefined2;
          iteratee2 = typeof iteratee2 == "function" ? (arrays.pop(), iteratee2) : undefined2;
          return unzipWith(arrays, iteratee2);
        });
        function chain(value) {
          var result2 = lodash(value);
          result2.__chain__ = true;
          return result2;
        }
        function tap(value, interceptor) {
          interceptor(value);
          return value;
        }
        function thru(value, interceptor) {
          return interceptor(value);
        }
        var wrapperAt = flatRest(function(paths) {
          var length = paths.length, start = length ? paths[0] : 0, value = this.__wrapped__, interceptor = function(object) {
            return baseAt(object, paths);
          };
          if (length > 1 || this.__actions__.length || !(value instanceof LazyWrapper) || !isIndex(start)) {
            return this.thru(interceptor);
          }
          value = value.slice(start, +start + (length ? 1 : 0));
          value.__actions__.push({
            "func": thru,
            "args": [interceptor],
            "thisArg": undefined2
          });
          return new LodashWrapper(value, this.__chain__).thru(function(array) {
            if (length && !array.length) {
              array.push(undefined2);
            }
            return array;
          });
        });
        function wrapperChain() {
          return chain(this);
        }
        function wrapperCommit() {
          return new LodashWrapper(this.value(), this.__chain__);
        }
        function wrapperNext() {
          if (this.__values__ === undefined2) {
            this.__values__ = toArray(this.value());
          }
          var done = this.__index__ >= this.__values__.length, value = done ? undefined2 : this.__values__[this.__index__++];
          return { "done": done, "value": value };
        }
        function wrapperToIterator() {
          return this;
        }
        function wrapperPlant(value) {
          var result2, parent2 = this;
          while (parent2 instanceof baseLodash) {
            var clone2 = wrapperClone(parent2);
            clone2.__index__ = 0;
            clone2.__values__ = undefined2;
            if (result2) {
              previous.__wrapped__ = clone2;
            } else {
              result2 = clone2;
            }
            var previous = clone2;
            parent2 = parent2.__wrapped__;
          }
          previous.__wrapped__ = value;
          return result2;
        }
        function wrapperReverse() {
          var value = this.__wrapped__;
          if (value instanceof LazyWrapper) {
            var wrapped = value;
            if (this.__actions__.length) {
              wrapped = new LazyWrapper(this);
            }
            wrapped = wrapped.reverse();
            wrapped.__actions__.push({
              "func": thru,
              "args": [reverse],
              "thisArg": undefined2
            });
            return new LodashWrapper(wrapped, this.__chain__);
          }
          return this.thru(reverse);
        }
        function wrapperValue() {
          return baseWrapperValue(this.__wrapped__, this.__actions__);
        }
        var countBy = createAggregator(function(result2, value, key) {
          if (hasOwnProperty2.call(result2, key)) {
            ++result2[key];
          } else {
            baseAssignValue(result2, key, 1);
          }
        });
        function every(collection, predicate, guard) {
          var func = isArray(collection) ? arrayEvery : baseEvery;
          if (guard && isIterateeCall(collection, predicate, guard)) {
            predicate = undefined2;
          }
          return func(collection, getIteratee(predicate, 3));
        }
        function filter(collection, predicate) {
          var func = isArray(collection) ? arrayFilter : baseFilter;
          return func(collection, getIteratee(predicate, 3));
        }
        var find = createFind(findIndex);
        var findLast = createFind(findLastIndex);
        function flatMap(collection, iteratee2) {
          return baseFlatten(map(collection, iteratee2), 1);
        }
        function flatMapDeep(collection, iteratee2) {
          return baseFlatten(map(collection, iteratee2), INFINITY);
        }
        function flatMapDepth(collection, iteratee2, depth) {
          depth = depth === undefined2 ? 1 : toInteger(depth);
          return baseFlatten(map(collection, iteratee2), depth);
        }
        function forEach(collection, iteratee2) {
          var func = isArray(collection) ? arrayEach : baseEach;
          return func(collection, getIteratee(iteratee2, 3));
        }
        function forEachRight(collection, iteratee2) {
          var func = isArray(collection) ? arrayEachRight : baseEachRight;
          return func(collection, getIteratee(iteratee2, 3));
        }
        var groupBy = createAggregator(function(result2, value, key) {
          if (hasOwnProperty2.call(result2, key)) {
            result2[key].push(value);
          } else {
            baseAssignValue(result2, key, [value]);
          }
        });
        function includes(collection, value, fromIndex, guard) {
          collection = isArrayLike(collection) ? collection : values(collection);
          fromIndex = fromIndex && !guard ? toInteger(fromIndex) : 0;
          var length = collection.length;
          if (fromIndex < 0) {
            fromIndex = nativeMax(length + fromIndex, 0);
          }
          return isString(collection) ? fromIndex <= length && collection.indexOf(value, fromIndex) > -1 : !!length && baseIndexOf(collection, value, fromIndex) > -1;
        }
        var invokeMap = baseRest(function(collection, path, args) {
          var index = -1, isFunc = typeof path == "function", result2 = isArrayLike(collection) ? Array2(collection.length) : [];
          baseEach(collection, function(value) {
            result2[++index] = isFunc ? apply(path, value, args) : baseInvoke(value, path, args);
          });
          return result2;
        });
        var keyBy = createAggregator(function(result2, value, key) {
          baseAssignValue(result2, key, value);
        });
        function map(collection, iteratee2) {
          var func = isArray(collection) ? arrayMap : baseMap;
          return func(collection, getIteratee(iteratee2, 3));
        }
        function orderBy(collection, iteratees, orders, guard) {
          if (collection == null) {
            return [];
          }
          if (!isArray(iteratees)) {
            iteratees = iteratees == null ? [] : [iteratees];
          }
          orders = guard ? undefined2 : orders;
          if (!isArray(orders)) {
            orders = orders == null ? [] : [orders];
          }
          return baseOrderBy(collection, iteratees, orders);
        }
        var partition = createAggregator(function(result2, value, key) {
          result2[key ? 0 : 1].push(value);
        }, function() {
          return [[], []];
        });
        function reduce(collection, iteratee2, accumulator) {
          var func = isArray(collection) ? arrayReduce : baseReduce, initAccum = arguments.length < 3;
          return func(collection, getIteratee(iteratee2, 4), accumulator, initAccum, baseEach);
        }
        function reduceRight(collection, iteratee2, accumulator) {
          var func = isArray(collection) ? arrayReduceRight : baseReduce, initAccum = arguments.length < 3;
          return func(collection, getIteratee(iteratee2, 4), accumulator, initAccum, baseEachRight);
        }
        function reject(collection, predicate) {
          var func = isArray(collection) ? arrayFilter : baseFilter;
          return func(collection, negate(getIteratee(predicate, 3)));
        }
        function sample(collection) {
          var func = isArray(collection) ? arraySample : baseSample;
          return func(collection);
        }
        function sampleSize(collection, n, guard) {
          if (guard ? isIterateeCall(collection, n, guard) : n === undefined2) {
            n = 1;
          } else {
            n = toInteger(n);
          }
          var func = isArray(collection) ? arraySampleSize : baseSampleSize;
          return func(collection, n);
        }
        function shuffle(collection) {
          var func = isArray(collection) ? arrayShuffle : baseShuffle;
          return func(collection);
        }
        function size(collection) {
          if (collection == null) {
            return 0;
          }
          if (isArrayLike(collection)) {
            return isString(collection) ? stringSize(collection) : collection.length;
          }
          var tag = getTag(collection);
          if (tag == mapTag || tag == setTag) {
            return collection.size;
          }
          return baseKeys(collection).length;
        }
        function some(collection, predicate, guard) {
          var func = isArray(collection) ? arraySome : baseSome;
          if (guard && isIterateeCall(collection, predicate, guard)) {
            predicate = undefined2;
          }
          return func(collection, getIteratee(predicate, 3));
        }
        var sortBy = baseRest(function(collection, iteratees) {
          if (collection == null) {
            return [];
          }
          var length = iteratees.length;
          if (length > 1 && isIterateeCall(collection, iteratees[0], iteratees[1])) {
            iteratees = [];
          } else if (length > 2 && isIterateeCall(iteratees[0], iteratees[1], iteratees[2])) {
            iteratees = [iteratees[0]];
          }
          return baseOrderBy(collection, baseFlatten(iteratees, 1), []);
        });
        var now = ctxNow || function() {
          return root.Date.now();
        };
        function after(n, func) {
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          n = toInteger(n);
          return function() {
            if (--n < 1) {
              return func.apply(this, arguments);
            }
          };
        }
        function ary(func, n, guard) {
          n = guard ? undefined2 : n;
          n = func && n == null ? func.length : n;
          return createWrap(func, WRAP_ARY_FLAG, undefined2, undefined2, undefined2, undefined2, n);
        }
        function before(n, func) {
          var result2;
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          n = toInteger(n);
          return function() {
            if (--n > 0) {
              result2 = func.apply(this, arguments);
            }
            if (n <= 1) {
              func = undefined2;
            }
            return result2;
          };
        }
        var bind = baseRest(function(func, thisArg, partials) {
          var bitmask = WRAP_BIND_FLAG;
          if (partials.length) {
            var holders = replaceHolders(partials, getHolder(bind));
            bitmask |= WRAP_PARTIAL_FLAG;
          }
          return createWrap(func, bitmask, thisArg, partials, holders);
        });
        var bindKey = baseRest(function(object, key, partials) {
          var bitmask = WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG;
          if (partials.length) {
            var holders = replaceHolders(partials, getHolder(bindKey));
            bitmask |= WRAP_PARTIAL_FLAG;
          }
          return createWrap(key, bitmask, object, partials, holders);
        });
        function curry(func, arity, guard) {
          arity = guard ? undefined2 : arity;
          var result2 = createWrap(func, WRAP_CURRY_FLAG, undefined2, undefined2, undefined2, undefined2, undefined2, arity);
          result2.placeholder = curry.placeholder;
          return result2;
        }
        function curryRight(func, arity, guard) {
          arity = guard ? undefined2 : arity;
          var result2 = createWrap(func, WRAP_CURRY_RIGHT_FLAG, undefined2, undefined2, undefined2, undefined2, undefined2, arity);
          result2.placeholder = curryRight.placeholder;
          return result2;
        }
        function debounce(func, wait, options) {
          var lastArgs, lastThis, maxWait, result2, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          wait = toNumber(wait) || 0;
          if (isObject(options)) {
            leading = !!options.leading;
            maxing = "maxWait" in options;
            maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
            trailing = "trailing" in options ? !!options.trailing : trailing;
          }
          function invokeFunc(time) {
            var args = lastArgs, thisArg = lastThis;
            lastArgs = lastThis = undefined2;
            lastInvokeTime = time;
            result2 = func.apply(thisArg, args);
            return result2;
          }
          function leadingEdge(time) {
            lastInvokeTime = time;
            timerId = setTimeout2(timerExpired, wait);
            return leading ? invokeFunc(time) : result2;
          }
          function remainingWait(time) {
            var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
            return maxing ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
          }
          function shouldInvoke(time) {
            var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime;
            return lastCallTime === undefined2 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
          }
          function timerExpired() {
            var time = now();
            if (shouldInvoke(time)) {
              return trailingEdge(time);
            }
            timerId = setTimeout2(timerExpired, remainingWait(time));
          }
          function trailingEdge(time) {
            timerId = undefined2;
            if (trailing && lastArgs) {
              return invokeFunc(time);
            }
            lastArgs = lastThis = undefined2;
            return result2;
          }
          function cancel() {
            if (timerId !== undefined2) {
              clearTimeout2(timerId);
            }
            lastInvokeTime = 0;
            lastArgs = lastCallTime = lastThis = timerId = undefined2;
          }
          function flush() {
            return timerId === undefined2 ? result2 : trailingEdge(now());
          }
          function debounced() {
            var time = now(), isInvoking = shouldInvoke(time);
            lastArgs = arguments;
            lastThis = this;
            lastCallTime = time;
            if (isInvoking) {
              if (timerId === undefined2) {
                return leadingEdge(lastCallTime);
              }
              if (maxing) {
                clearTimeout2(timerId);
                timerId = setTimeout2(timerExpired, wait);
                return invokeFunc(lastCallTime);
              }
            }
            if (timerId === undefined2) {
              timerId = setTimeout2(timerExpired, wait);
            }
            return result2;
          }
          debounced.cancel = cancel;
          debounced.flush = flush;
          return debounced;
        }
        var defer = baseRest(function(func, args) {
          return baseDelay(func, 1, args);
        });
        var delay = baseRest(function(func, wait, args) {
          return baseDelay(func, toNumber(wait) || 0, args);
        });
        function flip(func) {
          return createWrap(func, WRAP_FLIP_FLAG);
        }
        function memoize(func, resolver) {
          if (typeof func != "function" || resolver != null && typeof resolver != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          var memoized = function() {
            var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
            if (cache.has(key)) {
              return cache.get(key);
            }
            var result2 = func.apply(this, args);
            memoized.cache = cache.set(key, result2) || cache;
            return result2;
          };
          memoized.cache = new (memoize.Cache || MapCache)();
          return memoized;
        }
        memoize.Cache = MapCache;
        function negate(predicate) {
          if (typeof predicate != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          return function() {
            var args = arguments;
            switch (args.length) {
              case 0:
                return !predicate.call(this);
              case 1:
                return !predicate.call(this, args[0]);
              case 2:
                return !predicate.call(this, args[0], args[1]);
              case 3:
                return !predicate.call(this, args[0], args[1], args[2]);
            }
            return !predicate.apply(this, args);
          };
        }
        function once(func) {
          return before(2, func);
        }
        var overArgs = castRest(function(func, transforms) {
          transforms = transforms.length == 1 && isArray(transforms[0]) ? arrayMap(transforms[0], baseUnary(getIteratee())) : arrayMap(baseFlatten(transforms, 1), baseUnary(getIteratee()));
          var funcsLength = transforms.length;
          return baseRest(function(args) {
            var index = -1, length = nativeMin(args.length, funcsLength);
            while (++index < length) {
              args[index] = transforms[index].call(this, args[index]);
            }
            return apply(func, this, args);
          });
        });
        var partial = baseRest(function(func, partials) {
          var holders = replaceHolders(partials, getHolder(partial));
          return createWrap(func, WRAP_PARTIAL_FLAG, undefined2, partials, holders);
        });
        var partialRight = baseRest(function(func, partials) {
          var holders = replaceHolders(partials, getHolder(partialRight));
          return createWrap(func, WRAP_PARTIAL_RIGHT_FLAG, undefined2, partials, holders);
        });
        var rearg = flatRest(function(func, indexes) {
          return createWrap(func, WRAP_REARG_FLAG, undefined2, undefined2, undefined2, indexes);
        });
        function rest(func, start) {
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          start = start === undefined2 ? start : toInteger(start);
          return baseRest(func, start);
        }
        function spread(func, start) {
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          start = start == null ? 0 : nativeMax(toInteger(start), 0);
          return baseRest(function(args) {
            var array = args[start], otherArgs = castSlice(args, 0, start);
            if (array) {
              arrayPush(otherArgs, array);
            }
            return apply(func, this, otherArgs);
          });
        }
        function throttle(func, wait, options) {
          var leading = true, trailing = true;
          if (typeof func != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT);
          }
          if (isObject(options)) {
            leading = "leading" in options ? !!options.leading : leading;
            trailing = "trailing" in options ? !!options.trailing : trailing;
          }
          return debounce(func, wait, {
            "leading": leading,
            "maxWait": wait,
            "trailing": trailing
          });
        }
        function unary(func) {
          return ary(func, 1);
        }
        function wrap(value, wrapper) {
          return partial(castFunction(wrapper), value);
        }
        function castArray() {
          if (!arguments.length) {
            return [];
          }
          var value = arguments[0];
          return isArray(value) ? value : [value];
        }
        function clone(value) {
          return baseClone(value, CLONE_SYMBOLS_FLAG);
        }
        function cloneWith(value, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          return baseClone(value, CLONE_SYMBOLS_FLAG, customizer);
        }
        function cloneDeep(value) {
          return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
        }
        function cloneDeepWith(value, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG, customizer);
        }
        function conformsTo(object, source) {
          return source == null || baseConformsTo(object, source, keys(source));
        }
        function eq(value, other) {
          return value === other || value !== value && other !== other;
        }
        var gt = createRelationalOperation(baseGt);
        var gte = createRelationalOperation(function(value, other) {
          return value >= other;
        });
        var isArguments = baseIsArguments(function() {
          return arguments;
        }()) ? baseIsArguments : function(value) {
          return isObjectLike(value) && hasOwnProperty2.call(value, "callee") && !propertyIsEnumerable.call(value, "callee");
        };
        var isArray = Array2.isArray;
        var isArrayBuffer = nodeIsArrayBuffer ? baseUnary(nodeIsArrayBuffer) : baseIsArrayBuffer;
        function isArrayLike(value) {
          return value != null && isLength(value.length) && !isFunction(value);
        }
        function isArrayLikeObject(value) {
          return isObjectLike(value) && isArrayLike(value);
        }
        function isBoolean(value) {
          return value === true || value === false || isObjectLike(value) && baseGetTag(value) == boolTag;
        }
        var isBuffer = nativeIsBuffer || stubFalse;
        var isDate = nodeIsDate ? baseUnary(nodeIsDate) : baseIsDate;
        function isElement(value) {
          return isObjectLike(value) && value.nodeType === 1 && !isPlainObject(value);
        }
        function isEmpty(value) {
          if (value == null) {
            return true;
          }
          if (isArrayLike(value) && (isArray(value) || typeof value == "string" || typeof value.splice == "function" || isBuffer(value) || isTypedArray(value) || isArguments(value))) {
            return !value.length;
          }
          var tag = getTag(value);
          if (tag == mapTag || tag == setTag) {
            return !value.size;
          }
          if (isPrototype(value)) {
            return !baseKeys(value).length;
          }
          for (var key in value) {
            if (hasOwnProperty2.call(value, key)) {
              return false;
            }
          }
          return true;
        }
        function isEqual(value, other) {
          return baseIsEqual(value, other);
        }
        function isEqualWith(value, other, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          var result2 = customizer ? customizer(value, other) : undefined2;
          return result2 === undefined2 ? baseIsEqual(value, other, undefined2, customizer) : !!result2;
        }
        function isError(value) {
          if (!isObjectLike(value)) {
            return false;
          }
          var tag = baseGetTag(value);
          return tag == errorTag || tag == domExcTag || typeof value.message == "string" && typeof value.name == "string" && !isPlainObject(value);
        }
        function isFinite2(value) {
          return typeof value == "number" && nativeIsFinite(value);
        }
        function isFunction(value) {
          if (!isObject(value)) {
            return false;
          }
          var tag = baseGetTag(value);
          return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
        }
        function isInteger2(value) {
          return typeof value == "number" && value == toInteger(value);
        }
        function isLength(value) {
          return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
        }
        function isObject(value) {
          var type = typeof value;
          return value != null && (type == "object" || type == "function");
        }
        function isObjectLike(value) {
          return value != null && typeof value == "object";
        }
        var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;
        function isMatch(object, source) {
          return object === source || baseIsMatch(object, source, getMatchData(source));
        }
        function isMatchWith(object, source, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          return baseIsMatch(object, source, getMatchData(source), customizer);
        }
        function isNaN2(value) {
          return isNumber(value) && value != +value;
        }
        function isNative(value) {
          if (isMaskable(value)) {
            throw new Error2(CORE_ERROR_TEXT);
          }
          return baseIsNative(value);
        }
        function isNull(value) {
          return value === null;
        }
        function isNil(value) {
          return value == null;
        }
        function isNumber(value) {
          return typeof value == "number" || isObjectLike(value) && baseGetTag(value) == numberTag;
        }
        function isPlainObject(value) {
          if (!isObjectLike(value) || baseGetTag(value) != objectTag) {
            return false;
          }
          var proto = getPrototype(value);
          if (proto === null) {
            return true;
          }
          var Ctor = hasOwnProperty2.call(proto, "constructor") && proto.constructor;
          return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
        }
        var isRegExp = nodeIsRegExp ? baseUnary(nodeIsRegExp) : baseIsRegExp;
        function isSafeInteger(value) {
          return isInteger2(value) && value >= -MAX_SAFE_INTEGER && value <= MAX_SAFE_INTEGER;
        }
        var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;
        function isString(value) {
          return typeof value == "string" || !isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag;
        }
        function isSymbol(value) {
          return typeof value == "symbol" || isObjectLike(value) && baseGetTag(value) == symbolTag;
        }
        var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;
        function isUndefined(value) {
          return value === undefined2;
        }
        function isWeakMap(value) {
          return isObjectLike(value) && getTag(value) == weakMapTag;
        }
        function isWeakSet(value) {
          return isObjectLike(value) && baseGetTag(value) == weakSetTag;
        }
        var lt = createRelationalOperation(baseLt);
        var lte = createRelationalOperation(function(value, other) {
          return value <= other;
        });
        function toArray(value) {
          if (!value) {
            return [];
          }
          if (isArrayLike(value)) {
            return isString(value) ? stringToArray(value) : copyArray(value);
          }
          if (symIterator && value[symIterator]) {
            return iteratorToArray(value[symIterator]());
          }
          var tag = getTag(value), func = tag == mapTag ? mapToArray : tag == setTag ? setToArray : values;
          return func(value);
        }
        function toFinite(value) {
          if (!value) {
            return value === 0 ? value : 0;
          }
          value = toNumber(value);
          if (value === INFINITY || value === -INFINITY) {
            var sign = value < 0 ? -1 : 1;
            return sign * MAX_INTEGER;
          }
          return value === value ? value : 0;
        }
        function toInteger(value) {
          var result2 = toFinite(value), remainder = result2 % 1;
          return result2 === result2 ? remainder ? result2 - remainder : result2 : 0;
        }
        function toLength(value) {
          return value ? baseClamp(toInteger(value), 0, MAX_ARRAY_LENGTH) : 0;
        }
        function toNumber(value) {
          if (typeof value == "number") {
            return value;
          }
          if (isSymbol(value)) {
            return NAN;
          }
          if (isObject(value)) {
            var other = typeof value.valueOf == "function" ? value.valueOf() : value;
            value = isObject(other) ? other + "" : other;
          }
          if (typeof value != "string") {
            return value === 0 ? value : +value;
          }
          value = baseTrim(value);
          var isBinary = reIsBinary.test(value);
          return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
        }
        function toPlainObject(value) {
          return copyObject(value, keysIn(value));
        }
        function toSafeInteger(value) {
          return value ? baseClamp(toInteger(value), -MAX_SAFE_INTEGER, MAX_SAFE_INTEGER) : value === 0 ? value : 0;
        }
        function toString(value) {
          return value == null ? "" : baseToString(value);
        }
        var assign = createAssigner(function(object, source) {
          if (isPrototype(source) || isArrayLike(source)) {
            copyObject(source, keys(source), object);
            return;
          }
          for (var key in source) {
            if (hasOwnProperty2.call(source, key)) {
              assignValue(object, key, source[key]);
            }
          }
        });
        var assignIn = createAssigner(function(object, source) {
          copyObject(source, keysIn(source), object);
        });
        var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
          copyObject(source, keysIn(source), object, customizer);
        });
        var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
          copyObject(source, keys(source), object, customizer);
        });
        var at = flatRest(baseAt);
        function create(prototype, properties) {
          var result2 = baseCreate(prototype);
          return properties == null ? result2 : baseAssign(result2, properties);
        }
        var defaults = baseRest(function(object, sources) {
          object = Object2(object);
          var index = -1;
          var length = sources.length;
          var guard = length > 2 ? sources[2] : undefined2;
          if (guard && isIterateeCall(sources[0], sources[1], guard)) {
            length = 1;
          }
          while (++index < length) {
            var source = sources[index];
            var props = keysIn(source);
            var propsIndex = -1;
            var propsLength = props.length;
            while (++propsIndex < propsLength) {
              var key = props[propsIndex];
              var value = object[key];
              if (value === undefined2 || eq(value, objectProto[key]) && !hasOwnProperty2.call(object, key)) {
                object[key] = source[key];
              }
            }
          }
          return object;
        });
        var defaultsDeep = baseRest(function(args) {
          args.push(undefined2, customDefaultsMerge);
          return apply(mergeWith, undefined2, args);
        });
        function findKey(object, predicate) {
          return baseFindKey(object, getIteratee(predicate, 3), baseForOwn);
        }
        function findLastKey(object, predicate) {
          return baseFindKey(object, getIteratee(predicate, 3), baseForOwnRight);
        }
        function forIn(object, iteratee2) {
          return object == null ? object : baseFor(object, getIteratee(iteratee2, 3), keysIn);
        }
        function forInRight(object, iteratee2) {
          return object == null ? object : baseForRight(object, getIteratee(iteratee2, 3), keysIn);
        }
        function forOwn(object, iteratee2) {
          return object && baseForOwn(object, getIteratee(iteratee2, 3));
        }
        function forOwnRight(object, iteratee2) {
          return object && baseForOwnRight(object, getIteratee(iteratee2, 3));
        }
        function functions(object) {
          return object == null ? [] : baseFunctions(object, keys(object));
        }
        function functionsIn(object) {
          return object == null ? [] : baseFunctions(object, keysIn(object));
        }
        function get(object, path, defaultValue) {
          var result2 = object == null ? undefined2 : baseGet(object, path);
          return result2 === undefined2 ? defaultValue : result2;
        }
        function has(object, path) {
          return object != null && hasPath(object, path, baseHas);
        }
        function hasIn(object, path) {
          return object != null && hasPath(object, path, baseHasIn);
        }
        var invert = createInverter(function(result2, value, key) {
          if (value != null && typeof value.toString != "function") {
            value = nativeObjectToString.call(value);
          }
          result2[value] = key;
        }, constant(identity));
        var invertBy = createInverter(function(result2, value, key) {
          if (value != null && typeof value.toString != "function") {
            value = nativeObjectToString.call(value);
          }
          if (hasOwnProperty2.call(result2, value)) {
            result2[value].push(key);
          } else {
            result2[value] = [key];
          }
        }, getIteratee);
        var invoke = baseRest(baseInvoke);
        function keys(object) {
          return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
        }
        function keysIn(object) {
          return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
        }
        function mapKeys(object, iteratee2) {
          var result2 = {};
          iteratee2 = getIteratee(iteratee2, 3);
          baseForOwn(object, function(value, key, object2) {
            baseAssignValue(result2, iteratee2(value, key, object2), value);
          });
          return result2;
        }
        function mapValues(object, iteratee2) {
          var result2 = {};
          iteratee2 = getIteratee(iteratee2, 3);
          baseForOwn(object, function(value, key, object2) {
            baseAssignValue(result2, key, iteratee2(value, key, object2));
          });
          return result2;
        }
        var merge = createAssigner(function(object, source, srcIndex) {
          baseMerge(object, source, srcIndex);
        });
        var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
          baseMerge(object, source, srcIndex, customizer);
        });
        var omit = flatRest(function(object, paths) {
          var result2 = {};
          if (object == null) {
            return result2;
          }
          var isDeep = false;
          paths = arrayMap(paths, function(path) {
            path = castPath(path, object);
            isDeep || (isDeep = path.length > 1);
            return path;
          });
          copyObject(object, getAllKeysIn(object), result2);
          if (isDeep) {
            result2 = baseClone(result2, CLONE_DEEP_FLAG | CLONE_FLAT_FLAG | CLONE_SYMBOLS_FLAG, customOmitClone);
          }
          var length = paths.length;
          while (length--) {
            baseUnset(result2, paths[length]);
          }
          return result2;
        });
        function omitBy(object, predicate) {
          return pickBy(object, negate(getIteratee(predicate)));
        }
        var pick = flatRest(function(object, paths) {
          return object == null ? {} : basePick(object, paths);
        });
        function pickBy(object, predicate) {
          if (object == null) {
            return {};
          }
          var props = arrayMap(getAllKeysIn(object), function(prop) {
            return [prop];
          });
          predicate = getIteratee(predicate);
          return basePickBy(object, props, function(value, path) {
            return predicate(value, path[0]);
          });
        }
        function result(object, path, defaultValue) {
          path = castPath(path, object);
          var index = -1, length = path.length;
          if (!length) {
            length = 1;
            object = undefined2;
          }
          while (++index < length) {
            var value = object == null ? undefined2 : object[toKey(path[index])];
            if (value === undefined2) {
              index = length;
              value = defaultValue;
            }
            object = isFunction(value) ? value.call(object) : value;
          }
          return object;
        }
        function set(object, path, value) {
          return object == null ? object : baseSet(object, path, value);
        }
        function setWith(object, path, value, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          return object == null ? object : baseSet(object, path, value, customizer);
        }
        var toPairs = createToPairs(keys);
        var toPairsIn = createToPairs(keysIn);
        function transform(object, iteratee2, accumulator) {
          var isArr = isArray(object), isArrLike = isArr || isBuffer(object) || isTypedArray(object);
          iteratee2 = getIteratee(iteratee2, 4);
          if (accumulator == null) {
            var Ctor = object && object.constructor;
            if (isArrLike) {
              accumulator = isArr ? new Ctor() : [];
            } else if (isObject(object)) {
              accumulator = isFunction(Ctor) ? baseCreate(getPrototype(object)) : {};
            } else {
              accumulator = {};
            }
          }
          (isArrLike ? arrayEach : baseForOwn)(object, function(value, index, object2) {
            return iteratee2(accumulator, value, index, object2);
          });
          return accumulator;
        }
        function unset(object, path) {
          return object == null ? true : baseUnset(object, path);
        }
        function update(object, path, updater) {
          return object == null ? object : baseUpdate(object, path, castFunction(updater));
        }
        function updateWith(object, path, updater, customizer) {
          customizer = typeof customizer == "function" ? customizer : undefined2;
          return object == null ? object : baseUpdate(object, path, castFunction(updater), customizer);
        }
        function values(object) {
          return object == null ? [] : baseValues(object, keys(object));
        }
        function valuesIn(object) {
          return object == null ? [] : baseValues(object, keysIn(object));
        }
        function clamp(number, lower, upper) {
          if (upper === undefined2) {
            upper = lower;
            lower = undefined2;
          }
          if (upper !== undefined2) {
            upper = toNumber(upper);
            upper = upper === upper ? upper : 0;
          }
          if (lower !== undefined2) {
            lower = toNumber(lower);
            lower = lower === lower ? lower : 0;
          }
          return baseClamp(toNumber(number), lower, upper);
        }
        function inRange(number, start, end) {
          start = toFinite(start);
          if (end === undefined2) {
            end = start;
            start = 0;
          } else {
            end = toFinite(end);
          }
          number = toNumber(number);
          return baseInRange(number, start, end);
        }
        function random(lower, upper, floating) {
          if (floating && typeof floating != "boolean" && isIterateeCall(lower, upper, floating)) {
            upper = floating = undefined2;
          }
          if (floating === undefined2) {
            if (typeof upper == "boolean") {
              floating = upper;
              upper = undefined2;
            } else if (typeof lower == "boolean") {
              floating = lower;
              lower = undefined2;
            }
          }
          if (lower === undefined2 && upper === undefined2) {
            lower = 0;
            upper = 1;
          } else {
            lower = toFinite(lower);
            if (upper === undefined2) {
              upper = lower;
              lower = 0;
            } else {
              upper = toFinite(upper);
            }
          }
          if (lower > upper) {
            var temp = lower;
            lower = upper;
            upper = temp;
          }
          if (floating || lower % 1 || upper % 1) {
            var rand = nativeRandom();
            return nativeMin(lower + rand * (upper - lower + freeParseFloat("1e-" + ((rand + "").length - 1))), upper);
          }
          return baseRandom(lower, upper);
        }
        var camelCase = createCompounder(function(result2, word, index) {
          word = word.toLowerCase();
          return result2 + (index ? capitalize(word) : word);
        });
        function capitalize(string) {
          return upperFirst(toString(string).toLowerCase());
        }
        function deburr(string) {
          string = toString(string);
          return string && string.replace(reLatin, deburrLetter).replace(reComboMark, "");
        }
        function endsWith(string, target, position) {
          string = toString(string);
          target = baseToString(target);
          var length = string.length;
          position = position === undefined2 ? length : baseClamp(toInteger(position), 0, length);
          var end = position;
          position -= target.length;
          return position >= 0 && string.slice(position, end) == target;
        }
        function escape(string) {
          string = toString(string);
          return string && reHasUnescapedHtml.test(string) ? string.replace(reUnescapedHtml, escapeHtmlChar) : string;
        }
        function escapeRegExp(string) {
          string = toString(string);
          return string && reHasRegExpChar.test(string) ? string.replace(reRegExpChar, "\\$&") : string;
        }
        var kebabCase = createCompounder(function(result2, word, index) {
          return result2 + (index ? "-" : "") + word.toLowerCase();
        });
        var lowerCase = createCompounder(function(result2, word, index) {
          return result2 + (index ? " " : "") + word.toLowerCase();
        });
        var lowerFirst = createCaseFirst("toLowerCase");
        function pad(string, length, chars) {
          string = toString(string);
          length = toInteger(length);
          var strLength = length ? stringSize(string) : 0;
          if (!length || strLength >= length) {
            return string;
          }
          var mid = (length - strLength) / 2;
          return createPadding(nativeFloor(mid), chars) + string + createPadding(nativeCeil(mid), chars);
        }
        function padEnd(string, length, chars) {
          string = toString(string);
          length = toInteger(length);
          var strLength = length ? stringSize(string) : 0;
          return length && strLength < length ? string + createPadding(length - strLength, chars) : string;
        }
        function padStart(string, length, chars) {
          string = toString(string);
          length = toInteger(length);
          var strLength = length ? stringSize(string) : 0;
          return length && strLength < length ? createPadding(length - strLength, chars) + string : string;
        }
        function parseInt2(string, radix, guard) {
          if (guard || radix == null) {
            radix = 0;
          } else if (radix) {
            radix = +radix;
          }
          return nativeParseInt(toString(string).replace(reTrimStart, ""), radix || 0);
        }
        function repeat(string, n, guard) {
          if (guard ? isIterateeCall(string, n, guard) : n === undefined2) {
            n = 1;
          } else {
            n = toInteger(n);
          }
          return baseRepeat(toString(string), n);
        }
        function replace() {
          var args = arguments, string = toString(args[0]);
          return args.length < 3 ? string : string.replace(args[1], args[2]);
        }
        var snakeCase = createCompounder(function(result2, word, index) {
          return result2 + (index ? "_" : "") + word.toLowerCase();
        });
        function split(string, separator, limit) {
          if (limit && typeof limit != "number" && isIterateeCall(string, separator, limit)) {
            separator = limit = undefined2;
          }
          limit = limit === undefined2 ? MAX_ARRAY_LENGTH : limit >>> 0;
          if (!limit) {
            return [];
          }
          string = toString(string);
          if (string && (typeof separator == "string" || separator != null && !isRegExp(separator))) {
            separator = baseToString(separator);
            if (!separator && hasUnicode(string)) {
              return castSlice(stringToArray(string), 0, limit);
            }
          }
          return string.split(separator, limit);
        }
        var startCase = createCompounder(function(result2, word, index) {
          return result2 + (index ? " " : "") + upperFirst(word);
        });
        function startsWith(string, target, position) {
          string = toString(string);
          position = position == null ? 0 : baseClamp(toInteger(position), 0, string.length);
          target = baseToString(target);
          return string.slice(position, position + target.length) == target;
        }
        function template(string, options, guard) {
          var settings = lodash.templateSettings;
          if (guard && isIterateeCall(string, options, guard)) {
            options = undefined2;
          }
          string = toString(string);
          options = assignInWith({}, options, settings, customDefaultsAssignIn);
          var imports = assignInWith({}, options.imports, settings.imports, customDefaultsAssignIn), importsKeys = keys(imports), importsValues = baseValues(imports, importsKeys);
          var isEscaping, isEvaluating, index = 0, interpolate = options.interpolate || reNoMatch, source = "__p += '";
          var reDelimiters = RegExp2(
            (options.escape || reNoMatch).source + "|" + interpolate.source + "|" + (interpolate === reInterpolate ? reEsTemplate : reNoMatch).source + "|" + (options.evaluate || reNoMatch).source + "|$",
            "g"
          );
          var sourceURL = "//# sourceURL=" + (hasOwnProperty2.call(options, "sourceURL") ? (options.sourceURL + "").replace(/\s/g, " ") : "lodash.templateSources[" + ++templateCounter + "]") + "\n";
          string.replace(reDelimiters, function(match, escapeValue, interpolateValue, esTemplateValue, evaluateValue, offset) {
            interpolateValue || (interpolateValue = esTemplateValue);
            source += string.slice(index, offset).replace(reUnescapedString, escapeStringChar);
            if (escapeValue) {
              isEscaping = true;
              source += "' +\n__e(" + escapeValue + ") +\n'";
            }
            if (evaluateValue) {
              isEvaluating = true;
              source += "';\n" + evaluateValue + ";\n__p += '";
            }
            if (interpolateValue) {
              source += "' +\n((__t = (" + interpolateValue + ")) == null ? '' : __t) +\n'";
            }
            index = offset + match.length;
            return match;
          });
          source += "';\n";
          var variable = hasOwnProperty2.call(options, "variable") && options.variable;
          if (!variable) {
            source = "with (obj) {\n" + source + "\n}\n";
          } else if (reForbiddenIdentifierChars.test(variable)) {
            throw new Error2(INVALID_TEMPL_VAR_ERROR_TEXT);
          }
          source = (isEvaluating ? source.replace(reEmptyStringLeading, "") : source).replace(reEmptyStringMiddle, "$1").replace(reEmptyStringTrailing, "$1;");
          source = "function(" + (variable || "obj") + ") {\n" + (variable ? "" : "obj || (obj = {});\n") + "var __t, __p = ''" + (isEscaping ? ", __e = _.escape" : "") + (isEvaluating ? ", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n" : ";\n") + source + "return __p\n}";
          var result2 = attempt(function() {
            return Function2(importsKeys, sourceURL + "return " + source).apply(undefined2, importsValues);
          });
          result2.source = source;
          if (isError(result2)) {
            throw result2;
          }
          return result2;
        }
        function toLower(value) {
          return toString(value).toLowerCase();
        }
        function toUpper(value) {
          return toString(value).toUpperCase();
        }
        function trim(string, chars, guard) {
          string = toString(string);
          if (string && (guard || chars === undefined2)) {
            return baseTrim(string);
          }
          if (!string || !(chars = baseToString(chars))) {
            return string;
          }
          var strSymbols = stringToArray(string), chrSymbols = stringToArray(chars), start = charsStartIndex(strSymbols, chrSymbols), end = charsEndIndex(strSymbols, chrSymbols) + 1;
          return castSlice(strSymbols, start, end).join("");
        }
        function trimEnd(string, chars, guard) {
          string = toString(string);
          if (string && (guard || chars === undefined2)) {
            return string.slice(0, trimmedEndIndex(string) + 1);
          }
          if (!string || !(chars = baseToString(chars))) {
            return string;
          }
          var strSymbols = stringToArray(string), end = charsEndIndex(strSymbols, stringToArray(chars)) + 1;
          return castSlice(strSymbols, 0, end).join("");
        }
        function trimStart(string, chars, guard) {
          string = toString(string);
          if (string && (guard || chars === undefined2)) {
            return string.replace(reTrimStart, "");
          }
          if (!string || !(chars = baseToString(chars))) {
            return string;
          }
          var strSymbols = stringToArray(string), start = charsStartIndex(strSymbols, stringToArray(chars));
          return castSlice(strSymbols, start).join("");
        }
        function truncate(string, options) {
          var length = DEFAULT_TRUNC_LENGTH, omission = DEFAULT_TRUNC_OMISSION;
          if (isObject(options)) {
            var separator = "separator" in options ? options.separator : separator;
            length = "length" in options ? toInteger(options.length) : length;
            omission = "omission" in options ? baseToString(options.omission) : omission;
          }
          string = toString(string);
          var strLength = string.length;
          if (hasUnicode(string)) {
            var strSymbols = stringToArray(string);
            strLength = strSymbols.length;
          }
          if (length >= strLength) {
            return string;
          }
          var end = length - stringSize(omission);
          if (end < 1) {
            return omission;
          }
          var result2 = strSymbols ? castSlice(strSymbols, 0, end).join("") : string.slice(0, end);
          if (separator === undefined2) {
            return result2 + omission;
          }
          if (strSymbols) {
            end += result2.length - end;
          }
          if (isRegExp(separator)) {
            if (string.slice(end).search(separator)) {
              var match, substring = result2;
              if (!separator.global) {
                separator = RegExp2(separator.source, toString(reFlags.exec(separator)) + "g");
              }
              separator.lastIndex = 0;
              while (match = separator.exec(substring)) {
                var newEnd = match.index;
              }
              result2 = result2.slice(0, newEnd === undefined2 ? end : newEnd);
            }
          } else if (string.indexOf(baseToString(separator), end) != end) {
            var index = result2.lastIndexOf(separator);
            if (index > -1) {
              result2 = result2.slice(0, index);
            }
          }
          return result2 + omission;
        }
        function unescape(string) {
          string = toString(string);
          return string && reHasEscapedHtml.test(string) ? string.replace(reEscapedHtml, unescapeHtmlChar) : string;
        }
        var upperCase = createCompounder(function(result2, word, index) {
          return result2 + (index ? " " : "") + word.toUpperCase();
        });
        var upperFirst = createCaseFirst("toUpperCase");
        function words(string, pattern, guard) {
          string = toString(string);
          pattern = guard ? undefined2 : pattern;
          if (pattern === undefined2) {
            return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
          }
          return string.match(pattern) || [];
        }
        var attempt = baseRest(function(func, args) {
          try {
            return apply(func, undefined2, args);
          } catch (e) {
            return isError(e) ? e : new Error2(e);
          }
        });
        var bindAll = flatRest(function(object, methodNames) {
          arrayEach(methodNames, function(key) {
            key = toKey(key);
            baseAssignValue(object, key, bind(object[key], object));
          });
          return object;
        });
        function cond(pairs) {
          var length = pairs == null ? 0 : pairs.length, toIteratee = getIteratee();
          pairs = !length ? [] : arrayMap(pairs, function(pair) {
            if (typeof pair[1] != "function") {
              throw new TypeError2(FUNC_ERROR_TEXT);
            }
            return [toIteratee(pair[0]), pair[1]];
          });
          return baseRest(function(args) {
            var index = -1;
            while (++index < length) {
              var pair = pairs[index];
              if (apply(pair[0], this, args)) {
                return apply(pair[1], this, args);
              }
            }
          });
        }
        function conforms(source) {
          return baseConforms(baseClone(source, CLONE_DEEP_FLAG));
        }
        function constant(value) {
          return function() {
            return value;
          };
        }
        function defaultTo(value, defaultValue) {
          return value == null || value !== value ? defaultValue : value;
        }
        var flow = createFlow();
        var flowRight = createFlow(true);
        function identity(value) {
          return value;
        }
        function iteratee(func) {
          return baseIteratee(typeof func == "function" ? func : baseClone(func, CLONE_DEEP_FLAG));
        }
        function matches(source) {
          return baseMatches(baseClone(source, CLONE_DEEP_FLAG));
        }
        function matchesProperty(path, srcValue) {
          return baseMatchesProperty(path, baseClone(srcValue, CLONE_DEEP_FLAG));
        }
        var method = baseRest(function(path, args) {
          return function(object) {
            return baseInvoke(object, path, args);
          };
        });
        var methodOf = baseRest(function(object, args) {
          return function(path) {
            return baseInvoke(object, path, args);
          };
        });
        function mixin(object, source, options) {
          var props = keys(source), methodNames = baseFunctions(source, props);
          if (options == null && !(isObject(source) && (methodNames.length || !props.length))) {
            options = source;
            source = object;
            object = this;
            methodNames = baseFunctions(source, keys(source));
          }
          var chain2 = !(isObject(options) && "chain" in options) || !!options.chain, isFunc = isFunction(object);
          arrayEach(methodNames, function(methodName) {
            var func = source[methodName];
            object[methodName] = func;
            if (isFunc) {
              object.prototype[methodName] = function() {
                var chainAll = this.__chain__;
                if (chain2 || chainAll) {
                  var result2 = object(this.__wrapped__), actions = result2.__actions__ = copyArray(this.__actions__);
                  actions.push({ "func": func, "args": arguments, "thisArg": object });
                  result2.__chain__ = chainAll;
                  return result2;
                }
                return func.apply(object, arrayPush([this.value()], arguments));
              };
            }
          });
          return object;
        }
        function noConflict() {
          if (root._ === this) {
            root._ = oldDash;
          }
          return this;
        }
        function noop() {
        }
        function nthArg(n) {
          n = toInteger(n);
          return baseRest(function(args) {
            return baseNth(args, n);
          });
        }
        var over = createOver(arrayMap);
        var overEvery = createOver(arrayEvery);
        var overSome = createOver(arraySome);
        function property(path) {
          return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
        }
        function propertyOf(object) {
          return function(path) {
            return object == null ? undefined2 : baseGet(object, path);
          };
        }
        var range = createRange();
        var rangeRight = createRange(true);
        function stubArray() {
          return [];
        }
        function stubFalse() {
          return false;
        }
        function stubObject() {
          return {};
        }
        function stubString() {
          return "";
        }
        function stubTrue() {
          return true;
        }
        function times(n, iteratee2) {
          n = toInteger(n);
          if (n < 1 || n > MAX_SAFE_INTEGER) {
            return [];
          }
          var index = MAX_ARRAY_LENGTH, length = nativeMin(n, MAX_ARRAY_LENGTH);
          iteratee2 = getIteratee(iteratee2);
          n -= MAX_ARRAY_LENGTH;
          var result2 = baseTimes(length, iteratee2);
          while (++index < n) {
            iteratee2(index);
          }
          return result2;
        }
        function toPath(value) {
          if (isArray(value)) {
            return arrayMap(value, toKey);
          }
          return isSymbol(value) ? [value] : copyArray(stringToPath(toString(value)));
        }
        function uniqueId(prefix) {
          var id = ++idCounter;
          return toString(prefix) + id;
        }
        var add = createMathOperation(function(augend, addend) {
          return augend + addend;
        }, 0);
        var ceil = createRound("ceil");
        var divide = createMathOperation(function(dividend, divisor) {
          return dividend / divisor;
        }, 1);
        var floor = createRound("floor");
        function max(array) {
          return array && array.length ? baseExtremum(array, identity, baseGt) : undefined2;
        }
        function maxBy(array, iteratee2) {
          return array && array.length ? baseExtremum(array, getIteratee(iteratee2, 2), baseGt) : undefined2;
        }
        function mean(array) {
          return baseMean(array, identity);
        }
        function meanBy(array, iteratee2) {
          return baseMean(array, getIteratee(iteratee2, 2));
        }
        function min(array) {
          return array && array.length ? baseExtremum(array, identity, baseLt) : undefined2;
        }
        function minBy(array, iteratee2) {
          return array && array.length ? baseExtremum(array, getIteratee(iteratee2, 2), baseLt) : undefined2;
        }
        var multiply = createMathOperation(function(multiplier, multiplicand) {
          return multiplier * multiplicand;
        }, 1);
        var round = createRound("round");
        var subtract = createMathOperation(function(minuend, subtrahend) {
          return minuend - subtrahend;
        }, 0);
        function sum(array) {
          return array && array.length ? baseSum(array, identity) : 0;
        }
        function sumBy(array, iteratee2) {
          return array && array.length ? baseSum(array, getIteratee(iteratee2, 2)) : 0;
        }
        lodash.after = after;
        lodash.ary = ary;
        lodash.assign = assign;
        lodash.assignIn = assignIn;
        lodash.assignInWith = assignInWith;
        lodash.assignWith = assignWith;
        lodash.at = at;
        lodash.before = before;
        lodash.bind = bind;
        lodash.bindAll = bindAll;
        lodash.bindKey = bindKey;
        lodash.castArray = castArray;
        lodash.chain = chain;
        lodash.chunk = chunk;
        lodash.compact = compact;
        lodash.concat = concat;
        lodash.cond = cond;
        lodash.conforms = conforms;
        lodash.constant = constant;
        lodash.countBy = countBy;
        lodash.create = create;
        lodash.curry = curry;
        lodash.curryRight = curryRight;
        lodash.debounce = debounce;
        lodash.defaults = defaults;
        lodash.defaultsDeep = defaultsDeep;
        lodash.defer = defer;
        lodash.delay = delay;
        lodash.difference = difference;
        lodash.differenceBy = differenceBy;
        lodash.differenceWith = differenceWith;
        lodash.drop = drop;
        lodash.dropRight = dropRight;
        lodash.dropRightWhile = dropRightWhile;
        lodash.dropWhile = dropWhile;
        lodash.fill = fill;
        lodash.filter = filter;
        lodash.flatMap = flatMap;
        lodash.flatMapDeep = flatMapDeep;
        lodash.flatMapDepth = flatMapDepth;
        lodash.flatten = flatten;
        lodash.flattenDeep = flattenDeep;
        lodash.flattenDepth = flattenDepth;
        lodash.flip = flip;
        lodash.flow = flow;
        lodash.flowRight = flowRight;
        lodash.fromPairs = fromPairs;
        lodash.functions = functions;
        lodash.functionsIn = functionsIn;
        lodash.groupBy = groupBy;
        lodash.initial = initial;
        lodash.intersection = intersection;
        lodash.intersectionBy = intersectionBy;
        lodash.intersectionWith = intersectionWith;
        lodash.invert = invert;
        lodash.invertBy = invertBy;
        lodash.invokeMap = invokeMap;
        lodash.iteratee = iteratee;
        lodash.keyBy = keyBy;
        lodash.keys = keys;
        lodash.keysIn = keysIn;
        lodash.map = map;
        lodash.mapKeys = mapKeys;
        lodash.mapValues = mapValues;
        lodash.matches = matches;
        lodash.matchesProperty = matchesProperty;
        lodash.memoize = memoize;
        lodash.merge = merge;
        lodash.mergeWith = mergeWith;
        lodash.method = method;
        lodash.methodOf = methodOf;
        lodash.mixin = mixin;
        lodash.negate = negate;
        lodash.nthArg = nthArg;
        lodash.omit = omit;
        lodash.omitBy = omitBy;
        lodash.once = once;
        lodash.orderBy = orderBy;
        lodash.over = over;
        lodash.overArgs = overArgs;
        lodash.overEvery = overEvery;
        lodash.overSome = overSome;
        lodash.partial = partial;
        lodash.partialRight = partialRight;
        lodash.partition = partition;
        lodash.pick = pick;
        lodash.pickBy = pickBy;
        lodash.property = property;
        lodash.propertyOf = propertyOf;
        lodash.pull = pull;
        lodash.pullAll = pullAll;
        lodash.pullAllBy = pullAllBy;
        lodash.pullAllWith = pullAllWith;
        lodash.pullAt = pullAt;
        lodash.range = range;
        lodash.rangeRight = rangeRight;
        lodash.rearg = rearg;
        lodash.reject = reject;
        lodash.remove = remove;
        lodash.rest = rest;
        lodash.reverse = reverse;
        lodash.sampleSize = sampleSize;
        lodash.set = set;
        lodash.setWith = setWith;
        lodash.shuffle = shuffle;
        lodash.slice = slice;
        lodash.sortBy = sortBy;
        lodash.sortedUniq = sortedUniq;
        lodash.sortedUniqBy = sortedUniqBy;
        lodash.split = split;
        lodash.spread = spread;
        lodash.tail = tail;
        lodash.take = take;
        lodash.takeRight = takeRight;
        lodash.takeRightWhile = takeRightWhile;
        lodash.takeWhile = takeWhile;
        lodash.tap = tap;
        lodash.throttle = throttle;
        lodash.thru = thru;
        lodash.toArray = toArray;
        lodash.toPairs = toPairs;
        lodash.toPairsIn = toPairsIn;
        lodash.toPath = toPath;
        lodash.toPlainObject = toPlainObject;
        lodash.transform = transform;
        lodash.unary = unary;
        lodash.union = union;
        lodash.unionBy = unionBy;
        lodash.unionWith = unionWith;
        lodash.uniq = uniq;
        lodash.uniqBy = uniqBy;
        lodash.uniqWith = uniqWith;
        lodash.unset = unset;
        lodash.unzip = unzip;
        lodash.unzipWith = unzipWith;
        lodash.update = update;
        lodash.updateWith = updateWith;
        lodash.values = values;
        lodash.valuesIn = valuesIn;
        lodash.without = without;
        lodash.words = words;
        lodash.wrap = wrap;
        lodash.xor = xor;
        lodash.xorBy = xorBy;
        lodash.xorWith = xorWith;
        lodash.zip = zip;
        lodash.zipObject = zipObject;
        lodash.zipObjectDeep = zipObjectDeep;
        lodash.zipWith = zipWith;
        lodash.entries = toPairs;
        lodash.entriesIn = toPairsIn;
        lodash.extend = assignIn;
        lodash.extendWith = assignInWith;
        mixin(lodash, lodash);
        lodash.add = add;
        lodash.attempt = attempt;
        lodash.camelCase = camelCase;
        lodash.capitalize = capitalize;
        lodash.ceil = ceil;
        lodash.clamp = clamp;
        lodash.clone = clone;
        lodash.cloneDeep = cloneDeep;
        lodash.cloneDeepWith = cloneDeepWith;
        lodash.cloneWith = cloneWith;
        lodash.conformsTo = conformsTo;
        lodash.deburr = deburr;
        lodash.defaultTo = defaultTo;
        lodash.divide = divide;
        lodash.endsWith = endsWith;
        lodash.eq = eq;
        lodash.escape = escape;
        lodash.escapeRegExp = escapeRegExp;
        lodash.every = every;
        lodash.find = find;
        lodash.findIndex = findIndex;
        lodash.findKey = findKey;
        lodash.findLast = findLast;
        lodash.findLastIndex = findLastIndex;
        lodash.findLastKey = findLastKey;
        lodash.floor = floor;
        lodash.forEach = forEach;
        lodash.forEachRight = forEachRight;
        lodash.forIn = forIn;
        lodash.forInRight = forInRight;
        lodash.forOwn = forOwn;
        lodash.forOwnRight = forOwnRight;
        lodash.get = get;
        lodash.gt = gt;
        lodash.gte = gte;
        lodash.has = has;
        lodash.hasIn = hasIn;
        lodash.head = head;
        lodash.identity = identity;
        lodash.includes = includes;
        lodash.indexOf = indexOf;
        lodash.inRange = inRange;
        lodash.invoke = invoke;
        lodash.isArguments = isArguments;
        lodash.isArray = isArray;
        lodash.isArrayBuffer = isArrayBuffer;
        lodash.isArrayLike = isArrayLike;
        lodash.isArrayLikeObject = isArrayLikeObject;
        lodash.isBoolean = isBoolean;
        lodash.isBuffer = isBuffer;
        lodash.isDate = isDate;
        lodash.isElement = isElement;
        lodash.isEmpty = isEmpty;
        lodash.isEqual = isEqual;
        lodash.isEqualWith = isEqualWith;
        lodash.isError = isError;
        lodash.isFinite = isFinite2;
        lodash.isFunction = isFunction;
        lodash.isInteger = isInteger2;
        lodash.isLength = isLength;
        lodash.isMap = isMap;
        lodash.isMatch = isMatch;
        lodash.isMatchWith = isMatchWith;
        lodash.isNaN = isNaN2;
        lodash.isNative = isNative;
        lodash.isNil = isNil;
        lodash.isNull = isNull;
        lodash.isNumber = isNumber;
        lodash.isObject = isObject;
        lodash.isObjectLike = isObjectLike;
        lodash.isPlainObject = isPlainObject;
        lodash.isRegExp = isRegExp;
        lodash.isSafeInteger = isSafeInteger;
        lodash.isSet = isSet;
        lodash.isString = isString;
        lodash.isSymbol = isSymbol;
        lodash.isTypedArray = isTypedArray;
        lodash.isUndefined = isUndefined;
        lodash.isWeakMap = isWeakMap;
        lodash.isWeakSet = isWeakSet;
        lodash.join = join;
        lodash.kebabCase = kebabCase;
        lodash.last = last;
        lodash.lastIndexOf = lastIndexOf;
        lodash.lowerCase = lowerCase;
        lodash.lowerFirst = lowerFirst;
        lodash.lt = lt;
        lodash.lte = lte;
        lodash.max = max;
        lodash.maxBy = maxBy;
        lodash.mean = mean;
        lodash.meanBy = meanBy;
        lodash.min = min;
        lodash.minBy = minBy;
        lodash.stubArray = stubArray;
        lodash.stubFalse = stubFalse;
        lodash.stubObject = stubObject;
        lodash.stubString = stubString;
        lodash.stubTrue = stubTrue;
        lodash.multiply = multiply;
        lodash.nth = nth;
        lodash.noConflict = noConflict;
        lodash.noop = noop;
        lodash.now = now;
        lodash.pad = pad;
        lodash.padEnd = padEnd;
        lodash.padStart = padStart;
        lodash.parseInt = parseInt2;
        lodash.random = random;
        lodash.reduce = reduce;
        lodash.reduceRight = reduceRight;
        lodash.repeat = repeat;
        lodash.replace = replace;
        lodash.result = result;
        lodash.round = round;
        lodash.runInContext = runInContext2;
        lodash.sample = sample;
        lodash.size = size;
        lodash.snakeCase = snakeCase;
        lodash.some = some;
        lodash.sortedIndex = sortedIndex;
        lodash.sortedIndexBy = sortedIndexBy;
        lodash.sortedIndexOf = sortedIndexOf;
        lodash.sortedLastIndex = sortedLastIndex;
        lodash.sortedLastIndexBy = sortedLastIndexBy;
        lodash.sortedLastIndexOf = sortedLastIndexOf;
        lodash.startCase = startCase;
        lodash.startsWith = startsWith;
        lodash.subtract = subtract;
        lodash.sum = sum;
        lodash.sumBy = sumBy;
        lodash.template = template;
        lodash.times = times;
        lodash.toFinite = toFinite;
        lodash.toInteger = toInteger;
        lodash.toLength = toLength;
        lodash.toLower = toLower;
        lodash.toNumber = toNumber;
        lodash.toSafeInteger = toSafeInteger;
        lodash.toString = toString;
        lodash.toUpper = toUpper;
        lodash.trim = trim;
        lodash.trimEnd = trimEnd;
        lodash.trimStart = trimStart;
        lodash.truncate = truncate;
        lodash.unescape = unescape;
        lodash.uniqueId = uniqueId;
        lodash.upperCase = upperCase;
        lodash.upperFirst = upperFirst;
        lodash.each = forEach;
        lodash.eachRight = forEachRight;
        lodash.first = head;
        mixin(lodash, function() {
          var source = {};
          baseForOwn(lodash, function(func, methodName) {
            if (!hasOwnProperty2.call(lodash.prototype, methodName)) {
              source[methodName] = func;
            }
          });
          return source;
        }(), { "chain": false });
        lodash.VERSION = VERSION;
        arrayEach(["bind", "bindKey", "curry", "curryRight", "partial", "partialRight"], function(methodName) {
          lodash[methodName].placeholder = lodash;
        });
        arrayEach(["drop", "take"], function(methodName, index) {
          LazyWrapper.prototype[methodName] = function(n) {
            n = n === undefined2 ? 1 : nativeMax(toInteger(n), 0);
            var result2 = this.__filtered__ && !index ? new LazyWrapper(this) : this.clone();
            if (result2.__filtered__) {
              result2.__takeCount__ = nativeMin(n, result2.__takeCount__);
            } else {
              result2.__views__.push({
                "size": nativeMin(n, MAX_ARRAY_LENGTH),
                "type": methodName + (result2.__dir__ < 0 ? "Right" : "")
              });
            }
            return result2;
          };
          LazyWrapper.prototype[methodName + "Right"] = function(n) {
            return this.reverse()[methodName](n).reverse();
          };
        });
        arrayEach(["filter", "map", "takeWhile"], function(methodName, index) {
          var type = index + 1, isFilter = type == LAZY_FILTER_FLAG || type == LAZY_WHILE_FLAG;
          LazyWrapper.prototype[methodName] = function(iteratee2) {
            var result2 = this.clone();
            result2.__iteratees__.push({
              "iteratee": getIteratee(iteratee2, 3),
              "type": type
            });
            result2.__filtered__ = result2.__filtered__ || isFilter;
            return result2;
          };
        });
        arrayEach(["head", "last"], function(methodName, index) {
          var takeName = "take" + (index ? "Right" : "");
          LazyWrapper.prototype[methodName] = function() {
            return this[takeName](1).value()[0];
          };
        });
        arrayEach(["initial", "tail"], function(methodName, index) {
          var dropName = "drop" + (index ? "" : "Right");
          LazyWrapper.prototype[methodName] = function() {
            return this.__filtered__ ? new LazyWrapper(this) : this[dropName](1);
          };
        });
        LazyWrapper.prototype.compact = function() {
          return this.filter(identity);
        };
        LazyWrapper.prototype.find = function(predicate) {
          return this.filter(predicate).head();
        };
        LazyWrapper.prototype.findLast = function(predicate) {
          return this.reverse().find(predicate);
        };
        LazyWrapper.prototype.invokeMap = baseRest(function(path, args) {
          if (typeof path == "function") {
            return new LazyWrapper(this);
          }
          return this.map(function(value) {
            return baseInvoke(value, path, args);
          });
        });
        LazyWrapper.prototype.reject = function(predicate) {
          return this.filter(negate(getIteratee(predicate)));
        };
        LazyWrapper.prototype.slice = function(start, end) {
          start = toInteger(start);
          var result2 = this;
          if (result2.__filtered__ && (start > 0 || end < 0)) {
            return new LazyWrapper(result2);
          }
          if (start < 0) {
            result2 = result2.takeRight(-start);
          } else if (start) {
            result2 = result2.drop(start);
          }
          if (end !== undefined2) {
            end = toInteger(end);
            result2 = end < 0 ? result2.dropRight(-end) : result2.take(end - start);
          }
          return result2;
        };
        LazyWrapper.prototype.takeRightWhile = function(predicate) {
          return this.reverse().takeWhile(predicate).reverse();
        };
        LazyWrapper.prototype.toArray = function() {
          return this.take(MAX_ARRAY_LENGTH);
        };
        baseForOwn(LazyWrapper.prototype, function(func, methodName) {
          var checkIteratee = /^(?:filter|find|map|reject)|While$/.test(methodName), isTaker = /^(?:head|last)$/.test(methodName), lodashFunc = lodash[isTaker ? "take" + (methodName == "last" ? "Right" : "") : methodName], retUnwrapped = isTaker || /^find/.test(methodName);
          if (!lodashFunc) {
            return;
          }
          lodash.prototype[methodName] = function() {
            var value = this.__wrapped__, args = isTaker ? [1] : arguments, isLazy = value instanceof LazyWrapper, iteratee2 = args[0], useLazy = isLazy || isArray(value);
            var interceptor = function(value2) {
              var result3 = lodashFunc.apply(lodash, arrayPush([value2], args));
              return isTaker && chainAll ? result3[0] : result3;
            };
            if (useLazy && checkIteratee && typeof iteratee2 == "function" && iteratee2.length != 1) {
              isLazy = useLazy = false;
            }
            var chainAll = this.__chain__, isHybrid = !!this.__actions__.length, isUnwrapped = retUnwrapped && !chainAll, onlyLazy = isLazy && !isHybrid;
            if (!retUnwrapped && useLazy) {
              value = onlyLazy ? value : new LazyWrapper(this);
              var result2 = func.apply(value, args);
              result2.__actions__.push({ "func": thru, "args": [interceptor], "thisArg": undefined2 });
              return new LodashWrapper(result2, chainAll);
            }
            if (isUnwrapped && onlyLazy) {
              return func.apply(this, args);
            }
            result2 = this.thru(interceptor);
            return isUnwrapped ? isTaker ? result2.value()[0] : result2.value() : result2;
          };
        });
        arrayEach(["pop", "push", "shift", "sort", "splice", "unshift"], function(methodName) {
          var func = arrayProto[methodName], chainName = /^(?:push|sort|unshift)$/.test(methodName) ? "tap" : "thru", retUnwrapped = /^(?:pop|shift)$/.test(methodName);
          lodash.prototype[methodName] = function() {
            var args = arguments;
            if (retUnwrapped && !this.__chain__) {
              var value = this.value();
              return func.apply(isArray(value) ? value : [], args);
            }
            return this[chainName](function(value2) {
              return func.apply(isArray(value2) ? value2 : [], args);
            });
          };
        });
        baseForOwn(LazyWrapper.prototype, function(func, methodName) {
          var lodashFunc = lodash[methodName];
          if (lodashFunc) {
            var key = lodashFunc.name + "";
            if (!hasOwnProperty2.call(realNames, key)) {
              realNames[key] = [];
            }
            realNames[key].push({ "name": methodName, "func": lodashFunc });
          }
        });
        realNames[createHybrid(undefined2, WRAP_BIND_KEY_FLAG).name] = [{
          "name": "wrapper",
          "func": undefined2
        }];
        LazyWrapper.prototype.clone = lazyClone;
        LazyWrapper.prototype.reverse = lazyReverse;
        LazyWrapper.prototype.value = lazyValue;
        lodash.prototype.at = wrapperAt;
        lodash.prototype.chain = wrapperChain;
        lodash.prototype.commit = wrapperCommit;
        lodash.prototype.next = wrapperNext;
        lodash.prototype.plant = wrapperPlant;
        lodash.prototype.reverse = wrapperReverse;
        lodash.prototype.toJSON = lodash.prototype.valueOf = lodash.prototype.value = wrapperValue;
        lodash.prototype.first = lodash.prototype.head;
        if (symIterator) {
          lodash.prototype[symIterator] = wrapperToIterator;
        }
        return lodash;
      };
      var _ = runInContext();
      if (typeof define == "function" && typeof define.amd == "object" && define.amd) {
        root._ = _;
        define(function() {
          return _;
        });
      } else if (freeModule) {
        (freeModule.exports = _)._ = _;
        freeExports._ = _;
      } else {
        root._ = _;
      }
    }).call(exports2);
  }
});

// ../blueprint/node_modules/concat-map/index.js
var require_concat_map = __commonJS({
  "../blueprint/node_modules/concat-map/index.js"(exports2, module2) {
    module2.exports = function(xs, fn) {
      var res = [];
      for (var i = 0; i < xs.length; i++) {
        var x = fn(xs[i], i);
        if (isArray(x))
          res.push.apply(res, x);
        else
          res.push(x);
      }
      return res;
    };
    var isArray = Array.isArray || function(xs) {
      return Object.prototype.toString.call(xs) === "[object Array]";
    };
  }
});

// ../blueprint/node_modules/brace-expansion/index.js
var require_brace_expansion4 = __commonJS({
  "../blueprint/node_modules/brace-expansion/index.js"(exports2, module2) {
    var concatMap = require_concat_map();
    var balanced = require_balanced_match3();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m = balanced("{", "}", str);
      if (!m)
        return str.split(",");
      var pre = m.pre;
      var body = m.body;
      var post = m.post;
      var p = pre.split(",");
      p[p.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p[p.length - 1] += postParts.shift();
        p.push.apply(p, postParts);
      }
      parts.push.apply(parts, p);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i, y) {
      return i <= y;
    }
    function gte(i, y) {
      return i >= y;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m = balanced("{", "}", str);
      if (!m || /\$$/.test(m.pre))
        return [str];
      var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
      var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
      var isSequence = isNumericSequence || isAlphaSequence;
      var isOptions = m.body.indexOf(",") >= 0;
      if (!isSequence && !isOptions) {
        if (m.post.match(/,.*\}/)) {
          str = m.pre + "{" + m.body + escClose + m.post;
          return expand(str);
        }
        return [str];
      }
      var n;
      if (isSequence) {
        n = m.body.split(/\.\./);
      } else {
        n = parseCommaParts(m.body);
        if (n.length === 1) {
          n = expand(n[0], false).map(embrace);
          if (n.length === 1) {
            var post = m.post.length ? expand(m.post, false) : [""];
            return post.map(function(p) {
              return m.pre + n[0] + p;
            });
          }
        }
      }
      var pre = m.pre;
      var post = m.post.length ? expand(m.post, false) : [""];
      var N;
      if (isSequence) {
        var x = numeric(n[0]);
        var y = numeric(n[1]);
        var width = Math.max(n[0].length, n[1].length);
        var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
        var test = lte;
        var reverse = y < x;
        if (reverse) {
          incr *= -1;
          test = gte;
        }
        var pad = n.some(isPadded);
        N = [];
        for (var i = x; test(i, y); i += incr) {
          var c;
          if (isAlphaSequence) {
            c = String.fromCharCode(i);
            if (c === "\\")
              c = "";
          } else {
            c = String(i);
            if (pad) {
              var need = width - c.length;
              if (need > 0) {
                var z = new Array(need + 1).join("0");
                if (i < 0)
                  c = "-" + z + c.slice(1);
                else
                  c = z + c;
              }
            }
          }
          N.push(c);
        }
      } else {
        N = concatMap(n, function(el) {
          return expand(el, false);
        });
      }
      for (var j = 0; j < N.length; j++) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + N[j] + post[k];
          if (!isTop || isSequence || expansion)
            expansions.push(expansion);
        }
      }
      return expansions;
    }
  }
});

// ../blueprint/node_modules/globule/node_modules/glob/node_modules/minimatch/minimatch.js
var require_minimatch4 = __commonJS({
  "../blueprint/node_modules/globule/node_modules/glob/node_modules/minimatch/minimatch.js"(exports2, module2) {
    module2.exports = minimatch;
    minimatch.Minimatch = Minimatch;
    var path = function() {
      try {
        return require("path");
      } catch (e) {
      }
    }() || {
      sep: "/"
    };
    minimatch.sep = path.sep;
    var GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {};
    var expand = require_brace_expansion4();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var reSpecials = charSet("().*{}+?[]^$\\!");
    function charSet(s) {
      return s.split("").reduce(function(set, c) {
        set[c] = true;
        return set;
      }, {});
    }
    var slashSplit = /\/+/;
    minimatch.filter = filter;
    function filter(pattern, options) {
      options = options || {};
      return function(p, i, list) {
        return minimatch(p, pattern, options);
      };
    }
    function ext(a, b) {
      b = b || {};
      var t = {};
      Object.keys(a).forEach(function(k) {
        t[k] = a[k];
      });
      Object.keys(b).forEach(function(k) {
        t[k] = b[k];
      });
      return t;
    }
    minimatch.defaults = function(def) {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      var orig = minimatch;
      var m = function minimatch2(p, pattern, options) {
        return orig(p, pattern, ext(def, options));
      };
      m.Minimatch = function Minimatch2(pattern, options) {
        return new orig.Minimatch(pattern, ext(def, options));
      };
      m.Minimatch.defaults = function defaults(options) {
        return orig.defaults(ext(def, options)).Minimatch;
      };
      m.filter = function filter2(pattern, options) {
        return orig.filter(pattern, ext(def, options));
      };
      m.defaults = function defaults(options) {
        return orig.defaults(ext(def, options));
      };
      m.makeRe = function makeRe2(pattern, options) {
        return orig.makeRe(pattern, ext(def, options));
      };
      m.braceExpand = function braceExpand2(pattern, options) {
        return orig.braceExpand(pattern, ext(def, options));
      };
      m.match = function(list, pattern, options) {
        return orig.match(list, pattern, ext(def, options));
      };
      return m;
    };
    Minimatch.defaults = function(def) {
      return minimatch.defaults(def).Minimatch;
    };
    function minimatch(p, pattern, options) {
      assertValidPattern(pattern);
      if (!options)
        options = {};
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    }
    function Minimatch(pattern, options) {
      if (!(this instanceof Minimatch)) {
        return new Minimatch(pattern, options);
      }
      assertValidPattern(pattern);
      if (!options)
        options = {};
      pattern = pattern.trim();
      if (!options.allowWindowsEscape && path.sep !== "/") {
        pattern = pattern.split(path.sep).join("/");
      }
      this.options = options;
      this.set = [];
      this.pattern = pattern;
      this.regexp = null;
      this.negate = false;
      this.comment = false;
      this.empty = false;
      this.partial = !!options.partial;
      this.make();
    }
    Minimatch.prototype.debug = function() {
    };
    Minimatch.prototype.make = make;
    function make() {
      var pattern = this.pattern;
      var options = this.options;
      if (!options.nocomment && pattern.charAt(0) === "#") {
        this.comment = true;
        return;
      }
      if (!pattern) {
        this.empty = true;
        return;
      }
      this.parseNegate();
      var set = this.globSet = this.braceExpand();
      if (options.debug)
        this.debug = function debug() {
          console.error.apply(console, arguments);
        };
      this.debug(this.pattern, set);
      set = this.globParts = set.map(function(s) {
        return s.split(slashSplit);
      });
      this.debug(this.pattern, set);
      set = set.map(function(s, si, set2) {
        return s.map(this.parse, this);
      }, this);
      this.debug(this.pattern, set);
      set = set.filter(function(s) {
        return s.indexOf(false) === -1;
      });
      this.debug(this.pattern, set);
      this.set = set;
    }
    Minimatch.prototype.parseNegate = parseNegate;
    function parseNegate() {
      var pattern = this.pattern;
      var negate = false;
      var options = this.options;
      var negateOffset = 0;
      if (options.nonegate)
        return;
      for (var i = 0, l = pattern.length; i < l && pattern.charAt(i) === "!"; i++) {
        negate = !negate;
        negateOffset++;
      }
      if (negateOffset)
        this.pattern = pattern.substr(negateOffset);
      this.negate = negate;
    }
    minimatch.braceExpand = function(pattern, options) {
      return braceExpand(pattern, options);
    };
    Minimatch.prototype.braceExpand = braceExpand;
    function braceExpand(pattern, options) {
      if (!options) {
        if (this instanceof Minimatch) {
          options = this.options;
        } else {
          options = {};
        }
      }
      pattern = typeof pattern === "undefined" ? this.pattern : pattern;
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    }
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = function(pattern) {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    Minimatch.prototype.parse = parse;
    var SUBPARSE = {};
    function parse(pattern, isSub) {
      assertValidPattern(pattern);
      var options = this.options;
      if (pattern === "**") {
        if (!options.noglobstar)
          return GLOBSTAR;
        else
          pattern = "*";
      }
      if (pattern === "")
        return "";
      var re = "";
      var hasMagic = !!options.nocase;
      var escaping = false;
      var patternListStack = [];
      var negativeLists = [];
      var stateChar;
      var inClass = false;
      var reClassStart = -1;
      var classStart = -1;
      var patternStart = pattern.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
      var self2 = this;
      function clearStateChar() {
        if (stateChar) {
          switch (stateChar) {
            case "*":
              re += star;
              hasMagic = true;
              break;
            case "?":
              re += qmark;
              hasMagic = true;
              break;
            default:
              re += "\\" + stateChar;
              break;
          }
          self2.debug("clearStateChar %j %j", stateChar, re);
          stateChar = false;
        }
      }
      for (var i = 0, len = pattern.length, c; i < len && (c = pattern.charAt(i)); i++) {
        this.debug("%s	%s %s %j", pattern, i, re, c);
        if (escaping && reSpecials[c]) {
          re += "\\" + c;
          escaping = false;
          continue;
        }
        switch (c) {
          case "/": {
            return false;
          }
          case "\\":
            clearStateChar();
            escaping = true;
            continue;
          case "?":
          case "*":
          case "+":
          case "@":
          case "!":
            this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
            if (inClass) {
              this.debug("  in class");
              if (c === "!" && i === classStart + 1)
                c = "^";
              re += c;
              continue;
            }
            self2.debug("call clearStateChar %j", stateChar);
            clearStateChar();
            stateChar = c;
            if (options.noext)
              clearStateChar();
            continue;
          case "(":
            if (inClass) {
              re += "(";
              continue;
            }
            if (!stateChar) {
              re += "\\(";
              continue;
            }
            patternListStack.push({
              type: stateChar,
              start: i - 1,
              reStart: re.length,
              open: plTypes[stateChar].open,
              close: plTypes[stateChar].close
            });
            re += stateChar === "!" ? "(?:(?!(?:" : "(?:";
            this.debug("plType %j %j", stateChar, re);
            stateChar = false;
            continue;
          case ")":
            if (inClass || !patternListStack.length) {
              re += "\\)";
              continue;
            }
            clearStateChar();
            hasMagic = true;
            var pl = patternListStack.pop();
            re += pl.close;
            if (pl.type === "!") {
              negativeLists.push(pl);
            }
            pl.reEnd = re.length;
            continue;
          case "|":
            if (inClass || !patternListStack.length || escaping) {
              re += "\\|";
              escaping = false;
              continue;
            }
            clearStateChar();
            re += "|";
            continue;
          case "[":
            clearStateChar();
            if (inClass) {
              re += "\\" + c;
              continue;
            }
            inClass = true;
            classStart = i;
            reClassStart = re.length;
            re += c;
            continue;
          case "]":
            if (i === classStart + 1 || !inClass) {
              re += "\\" + c;
              escaping = false;
              continue;
            }
            var cs = pattern.substring(classStart + 1, i);
            try {
              RegExp("[" + cs + "]");
            } catch (er) {
              var sp = this.parse(cs, SUBPARSE);
              re = re.substr(0, reClassStart) + "\\[" + sp[0] + "\\]";
              hasMagic = hasMagic || sp[1];
              inClass = false;
              continue;
            }
            hasMagic = true;
            inClass = false;
            re += c;
            continue;
          default:
            clearStateChar();
            if (escaping) {
              escaping = false;
            } else if (reSpecials[c] && !(c === "^" && inClass)) {
              re += "\\";
            }
            re += c;
        }
      }
      if (inClass) {
        cs = pattern.substr(classStart + 1);
        sp = this.parse(cs, SUBPARSE);
        re = re.substr(0, reClassStart) + "\\[" + sp[0];
        hasMagic = hasMagic || sp[1];
      }
      for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
        var tail = re.slice(pl.reStart + pl.open.length);
        this.debug("setting tail", re, pl);
        tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, function(_, $1, $2) {
          if (!$2) {
            $2 = "\\";
          }
          return $1 + $1 + $2 + "|";
        });
        this.debug("tail=%j\n   %s", tail, tail, pl, re);
        var t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
        hasMagic = true;
        re = re.slice(0, pl.reStart) + t + "\\(" + tail;
      }
      clearStateChar();
      if (escaping) {
        re += "\\\\";
      }
      var addPatternStart = false;
      switch (re.charAt(0)) {
        case "[":
        case ".":
        case "(":
          addPatternStart = true;
      }
      for (var n = negativeLists.length - 1; n > -1; n--) {
        var nl = negativeLists[n];
        var nlBefore = re.slice(0, nl.reStart);
        var nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
        var nlLast = re.slice(nl.reEnd - 8, nl.reEnd);
        var nlAfter = re.slice(nl.reEnd);
        nlLast += nlAfter;
        var openParensBefore = nlBefore.split("(").length - 1;
        var cleanAfter = nlAfter;
        for (i = 0; i < openParensBefore; i++) {
          cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
        }
        nlAfter = cleanAfter;
        var dollar = "";
        if (nlAfter === "" && isSub !== SUBPARSE) {
          dollar = "$";
        }
        var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        re = newRe;
      }
      if (re !== "" && hasMagic) {
        re = "(?=.)" + re;
      }
      if (addPatternStart) {
        re = patternStart + re;
      }
      if (isSub === SUBPARSE) {
        return [re, hasMagic];
      }
      if (!hasMagic) {
        return globUnescape(pattern);
      }
      var flags = options.nocase ? "i" : "";
      try {
        var regExp = new RegExp("^" + re + "$", flags);
      } catch (er) {
        return new RegExp("$.");
      }
      regExp._glob = pattern;
      regExp._src = re;
      return regExp;
    }
    minimatch.makeRe = function(pattern, options) {
      return new Minimatch(pattern, options || {}).makeRe();
    };
    Minimatch.prototype.makeRe = makeRe;
    function makeRe() {
      if (this.regexp || this.regexp === false)
        return this.regexp;
      var set = this.set;
      if (!set.length) {
        this.regexp = false;
        return this.regexp;
      }
      var options = this.options;
      var twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
      var flags = options.nocase ? "i" : "";
      var re = set.map(function(pattern) {
        return pattern.map(function(p) {
          return p === GLOBSTAR ? twoStar : typeof p === "string" ? regExpEscape(p) : p._src;
        }).join("\\/");
      }).join("|");
      re = "^(?:" + re + ")$";
      if (this.negate)
        re = "^(?!" + re + ").*$";
      try {
        this.regexp = new RegExp(re, flags);
      } catch (ex) {
        this.regexp = false;
      }
      return this.regexp;
    }
    minimatch.match = function(list, pattern, options) {
      options = options || {};
      var mm = new Minimatch(pattern, options);
      list = list.filter(function(f) {
        return mm.match(f);
      });
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    Minimatch.prototype.match = function match(f, partial) {
      if (typeof partial === "undefined")
        partial = this.partial;
      this.debug("match", f, this.pattern);
      if (this.comment)
        return false;
      if (this.empty)
        return f === "";
      if (f === "/" && partial)
        return true;
      var options = this.options;
      if (path.sep !== "/") {
        f = f.split(path.sep).join("/");
      }
      f = f.split(slashSplit);
      this.debug(this.pattern, "split", f);
      var set = this.set;
      this.debug(this.pattern, "set", set);
      var filename;
      var i;
      for (i = f.length - 1; i >= 0; i--) {
        filename = f[i];
        if (filename)
          break;
      }
      for (i = 0; i < set.length; i++) {
        var pattern = set[i];
        var file = f;
        if (options.matchBase && pattern.length === 1) {
          file = [filename];
        }
        var hit = this.matchOne(file, pattern, partial);
        if (hit) {
          if (options.flipNegate)
            return true;
          return !this.negate;
        }
      }
      if (options.flipNegate)
        return false;
      return this.negate;
    };
    Minimatch.prototype.matchOne = function(file, pattern, partial) {
      var options = this.options;
      this.debug(
        "matchOne",
        { "this": this, file, pattern }
      );
      this.debug("matchOne", file.length, pattern.length);
      for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
        this.debug("matchOne loop");
        var p = pattern[pi];
        var f = file[fi];
        this.debug(pattern, p, f);
        if (p === false)
          return false;
        if (p === GLOBSTAR) {
          this.debug("GLOBSTAR", [pattern, p, f]);
          var fr = fi;
          var pr = pi + 1;
          if (pr === pl) {
            this.debug("** at the end");
            for (; fi < fl; fi++) {
              if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                return false;
            }
            return true;
          }
          while (fr < fl) {
            var swallowee = file[fr];
            this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
            if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
              this.debug("globstar found match!", fr, fl, swallowee);
              return true;
            } else {
              if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                this.debug("dot detected!", file, fr, pattern, pr);
                break;
              }
              this.debug("globstar swallow a segment, and continue");
              fr++;
            }
          }
          if (partial) {
            this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
            if (fr === fl)
              return true;
          }
          return false;
        }
        var hit;
        if (typeof p === "string") {
          hit = f === p;
          this.debug("string match", p, f, hit);
        } else {
          hit = f.match(p);
          this.debug("pattern match", p, f, hit);
        }
        if (!hit)
          return false;
      }
      if (fi === fl && pi === pl) {
        return true;
      } else if (fi === fl) {
        return partial;
      } else if (pi === pl) {
        return fi === fl - 1 && file[fi] === "";
      }
      throw new Error("wtf?");
    };
    function globUnescape(s) {
      return s.replace(/\\(.)/g, "$1");
    }
    function regExpEscape(s) {
      return s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    }
  }
});

// ../blueprint/node_modules/path-is-absolute/index.js
var require_path_is_absolute = __commonJS({
  "../blueprint/node_modules/path-is-absolute/index.js"(exports2, module2) {
    "use strict";
    function posix(path) {
      return path.charAt(0) === "/";
    }
    function win32(path) {
      var splitDeviceRe = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/;
      var result = splitDeviceRe.exec(path);
      var device = result[1] || "";
      var isUnc = Boolean(device && device.charAt(1) !== ":");
      return Boolean(result[2] || isUnc);
    }
    module2.exports = process.platform === "win32" ? win32 : posix;
    module2.exports.posix = posix;
    module2.exports.win32 = win32;
  }
});

// ../blueprint/node_modules/globule/node_modules/glob/common.js
var require_common13 = __commonJS({
  "../blueprint/node_modules/globule/node_modules/glob/common.js"(exports2) {
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var path = require("path");
    var minimatch = require_minimatch4();
    var isAbsolute = require_path_is_absolute();
    var Minimatch = minimatch.Minimatch;
    function alphasort(a, b) {
      return a.localeCompare(b, "en");
    }
    function setupIgnores(self2, options) {
      self2.ignore = options.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options) {
      if (!options)
        options = {};
      if (options.matchBase && -1 === pattern.indexOf("/")) {
        if (options.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.silent = !!options.silent;
      self2.pattern = pattern;
      self2.strict = options.strict !== false;
      self2.realpath = !!options.realpath;
      self2.realpathCache = options.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options.follow;
      self2.dot = !!options.dot;
      self2.mark = !!options.mark;
      self2.nodir = !!options.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options.sync;
      self2.nounique = !!options.nounique;
      self2.nonull = !!options.nonull;
      self2.nosort = !!options.nosort;
      self2.nocase = !!options.nocase;
      self2.stat = !!options.stat;
      self2.noprocess = !!options.noprocess;
      self2.absolute = !!options.absolute;
      self2.maxLength = options.maxLength || Infinity;
      self2.cache = options.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options, "cwd"))
        self2.cwd = cwd;
      else {
        self2.cwd = path.resolve(options.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options.root || path.resolve(self2.cwd, "/");
      self2.root = path.resolve(self2.root);
      if (process.platform === "win32")
        self2.root = self2.root.replace(/\\/g, "/");
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      if (process.platform === "win32")
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      self2.nomount = !!options.nomount;
      options.nonegate = true;
      options.nocomment = true;
      self2.minimatch = new Minimatch(pattern, options);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i = 0, l = self2.matches.length; i < l; i++) {
        var matches = self2.matches[i];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m = Object.keys(matches);
          if (nou)
            all.push.apply(all, m);
          else
            m.forEach(function(m2) {
              all[m2] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i = 0; i < all.length; i++) {
          all[i] = self2._mark(all[i]);
        }
        if (self2.nodir) {
          all = all.filter(function(e) {
            var notDir = !/\/$/.test(e);
            var c = self2.cache[e] || self2.cache[makeAbs(self2, e)];
            if (notDir && c)
              notDir = c !== "DIR" && !Array.isArray(c);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m2) {
          return !isIgnored(self2, m2);
        });
      self2.found = all;
    }
    function mark(self2, p) {
      var abs = makeAbs(self2, p);
      var c = self2.cache[abs];
      var m = p;
      if (c) {
        var isDir = c === "DIR" || Array.isArray(c);
        var slash = p.slice(-1) === "/";
        if (isDir && !slash)
          m += "/";
        else if (!isDir && slash)
          m = m.slice(0, -1);
        if (m !== p) {
          var mabs = makeAbs(self2, m);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m;
    }
    function makeAbs(self2, f) {
      var abs = f;
      if (f.charAt(0) === "/") {
        abs = path.join(self2.root, f);
      } else if (isAbsolute(f) || f === "") {
        abs = f;
      } else if (self2.changedCwd) {
        abs = path.resolve(self2.cwd, f);
      } else {
        abs = path.resolve(f);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return item.matcher.match(path2) || !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
    function childrenIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
  }
});

// ../blueprint/node_modules/globule/node_modules/glob/sync.js
var require_sync4 = __commonJS({
  "../blueprint/node_modules/globule/node_modules/glob/sync.js"(exports2, module2) {
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var fs = require("fs");
    var rp = require_fs3();
    var minimatch = require_minimatch4();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob5().Glob;
    var util = require("util");
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require_path_is_absolute();
    var common = require_common13();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options) {
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options).found;
    }
    function GlobSync(pattern, options) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options);
      setopts(this, pattern, options);
      if (this.noprocess)
        return this;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index) {
          var set = self2.matches[index] = /* @__PURE__ */ Object.create(null);
          for (var p in matchset) {
            try {
              p = self2._makeAbs(p);
              var real = rp.realpathSync(p, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index, inGlobStar) {
      assert(this instanceof GlobSync);
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return;
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e];
        else
          newPattern = [e];
        this._process(newPattern.concat(remain), index, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index, e) {
      if (isIgnored(this, e))
        return;
      var abs = this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute) {
        e = abs;
      }
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      if (this.stat)
        this._stat(e);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return null;
        if (Array.isArray(c))
          return c;
      }
      try {
        return this._readdirEntries(abs, fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            throw error;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index) {
      var exists = this._stat(prefix);
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
    };
    GlobSync.prototype._stat = function(f) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return c;
        if (needDir && c === "FILE")
          return false;
      }
      var exists;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return false;
      return c;
    };
    GlobSync.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    GlobSync.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
  }
});

// ../blueprint/node_modules/globule/node_modules/glob/glob.js
var require_glob5 = __commonJS({
  "../blueprint/node_modules/globule/node_modules/glob/glob.js"(exports2, module2) {
    module2.exports = glob;
    var fs = require("fs");
    var rp = require_fs3();
    var minimatch = require_minimatch4();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits3();
    var EE = require("events").EventEmitter;
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require_path_is_absolute();
    var globSync = require_sync4();
    var common = require_common13();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight3();
    var util = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once = require_once3();
    function glob(pattern, options, cb) {
      if (typeof options === "function")
        cb = options, options = {};
      if (!options)
        options = {};
      if (options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options);
      }
      return new Glob(pattern, options, cb);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i = keys.length;
      while (i--) {
        origin[keys[i]] = add[keys[i]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options = extend({}, options_);
      options.noprocess = true;
      var g = new Glob(pattern, options);
      var set = g.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j = 0; j < set[0].length; j++) {
        if (typeof set[0][j] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options, cb) {
      if (typeof options === "function") {
        cb = options;
        options = null;
      }
      if (options && options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options, cb);
      setopts(this, pattern, options);
      this._didRealPath = false;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      if (typeof cb === "function") {
        cb = once(cb);
        this.on("error", cb);
        this.on("end", function(matches) {
          cb(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n === 0)
        return done();
      var sync = true;
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false, done);
      }
      sync = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n = this.matches.length;
      if (n === 0)
        return this._finish();
      var self2 = this;
      for (var i = 0; i < this.matches.length; i++)
        this._realpathSet(i, next);
      function next() {
        if (--n === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index, cb) {
      var matchset = this.matches[index];
      if (!matchset)
        return cb();
      var found = Object.keys(matchset);
      var self2 = this;
      var n = found.length;
      if (n === 0)
        return cb();
      var set = this.matches[index] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p, i) {
        p = self2._makeAbs(p);
        rp.realpath(p, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p] = true;
          else
            self2.emit("error", er);
          if (--n === 0) {
            self2.matches[index] = set;
            cb();
          }
        });
      });
    };
    Glob.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    Glob.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i = 0; i < eq.length; i++) {
            var e = eq[i];
            this._emitMatch(e[0], e[1]);
          }
        }
        if (this._processQueue.length) {
          var pq = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i = 0; i < pq.length; i++) {
            var p = pq[i];
            this._processing--;
            this._process(p[0], p[1], p[2], p[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index, inGlobStar, cb) {
      assert(this instanceof Glob);
      assert(typeof cb === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index, inGlobStar, cb]);
        return;
      }
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index, cb);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return cb();
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e = prefix + "/" + e;
          else
            e = prefix + e;
        }
        this._process([e].concat(remain), index, inGlobStar, cb);
      }
      cb();
    };
    Glob.prototype._emitMatch = function(index, e) {
      if (this.aborted)
        return;
      if (isIgnored(this, e))
        return;
      if (this.paused) {
        this._emitQueue.push([index, e]);
        return;
      }
      var abs = isAbsolute(e) ? e : this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute)
        e = abs;
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e, st);
      this.emit("match", e);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb();
        } else
          self2._readdir(abs, false, cb);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb) {
      if (this.aborted)
        return;
      cb = inflight("readdir\0" + abs + "\0" + inGlobStar, cb);
      if (!cb)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return cb();
        if (Array.isArray(c))
          return cb(null, c);
      }
      var self2 = this;
      fs.readdir(abs, readdirCb(this, abs, cb));
    };
    function readdirCb(self2, abs, cb) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb);
        else
          self2._readdirEntries(abs, entries, cb);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return cb(null, entries);
    };
    Glob.prototype._readdirError = function(f, er, cb) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            this.emit("error", error);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false, cb);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb();
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true, cb);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true, cb);
      }
      cb();
    };
    Glob.prototype._processSimple = function(prefix, index, cb) {
      var self2 = this;
      this._stat(prefix, function(er, exists) {
        self2._processSimple2(prefix, index, er, exists, cb);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index, er, exists, cb) {
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return cb();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
      cb();
    };
    Glob.prototype._stat = function(f, cb) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return cb();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return cb(null, c);
        if (needDir && c === "FILE")
          return cb();
      }
      var exists;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb();
          else
            return cb(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f, abs, null, lstat, cb);
            else
              self2._stat2(f, abs, er2, stat2, cb);
          });
        } else {
          self2._stat2(f, abs, er, lstat, cb);
        }
      }
    };
    Glob.prototype._stat2 = function(f, abs, er, stat, cb) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb();
      }
      var needDir = f.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb(null, false, stat);
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return cb();
      return cb(null, c, stat);
    };
  }
});

// ../blueprint/node_modules/globule/node_modules/minimatch/minimatch.js
var require_minimatch5 = __commonJS({
  "../blueprint/node_modules/globule/node_modules/minimatch/minimatch.js"(exports2, module2) {
    module2.exports = minimatch;
    minimatch.Minimatch = Minimatch;
    var path = function() {
      try {
        return require("path");
      } catch (e) {
      }
    }() || {
      sep: "/"
    };
    minimatch.sep = path.sep;
    var GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {};
    var expand = require_brace_expansion4();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var reSpecials = charSet("().*{}+?[]^$\\!");
    function charSet(s) {
      return s.split("").reduce(function(set, c) {
        set[c] = true;
        return set;
      }, {});
    }
    var slashSplit = /\/+/;
    minimatch.filter = filter;
    function filter(pattern, options) {
      options = options || {};
      return function(p, i, list) {
        return minimatch(p, pattern, options);
      };
    }
    function ext(a, b) {
      b = b || {};
      var t = {};
      Object.keys(a).forEach(function(k) {
        t[k] = a[k];
      });
      Object.keys(b).forEach(function(k) {
        t[k] = b[k];
      });
      return t;
    }
    minimatch.defaults = function(def) {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      var orig = minimatch;
      var m = function minimatch2(p, pattern, options) {
        return orig(p, pattern, ext(def, options));
      };
      m.Minimatch = function Minimatch2(pattern, options) {
        return new orig.Minimatch(pattern, ext(def, options));
      };
      m.Minimatch.defaults = function defaults(options) {
        return orig.defaults(ext(def, options)).Minimatch;
      };
      m.filter = function filter2(pattern, options) {
        return orig.filter(pattern, ext(def, options));
      };
      m.defaults = function defaults(options) {
        return orig.defaults(ext(def, options));
      };
      m.makeRe = function makeRe2(pattern, options) {
        return orig.makeRe(pattern, ext(def, options));
      };
      m.braceExpand = function braceExpand2(pattern, options) {
        return orig.braceExpand(pattern, ext(def, options));
      };
      m.match = function(list, pattern, options) {
        return orig.match(list, pattern, ext(def, options));
      };
      return m;
    };
    Minimatch.defaults = function(def) {
      return minimatch.defaults(def).Minimatch;
    };
    function minimatch(p, pattern, options) {
      assertValidPattern(pattern);
      if (!options)
        options = {};
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    }
    function Minimatch(pattern, options) {
      if (!(this instanceof Minimatch)) {
        return new Minimatch(pattern, options);
      }
      assertValidPattern(pattern);
      if (!options)
        options = {};
      pattern = pattern.trim();
      if (path.sep !== "/") {
        pattern = pattern.split(path.sep).join("/");
      }
      this.options = options;
      this.set = [];
      this.pattern = pattern;
      this.regexp = null;
      this.negate = false;
      this.comment = false;
      this.empty = false;
      this.partial = !!options.partial;
      this.make();
    }
    Minimatch.prototype.debug = function() {
    };
    Minimatch.prototype.make = make;
    function make() {
      var pattern = this.pattern;
      var options = this.options;
      if (!options.nocomment && pattern.charAt(0) === "#") {
        this.comment = true;
        return;
      }
      if (!pattern) {
        this.empty = true;
        return;
      }
      this.parseNegate();
      var set = this.globSet = this.braceExpand();
      if (options.debug)
        this.debug = function debug() {
          console.error.apply(console, arguments);
        };
      this.debug(this.pattern, set);
      set = this.globParts = set.map(function(s) {
        return s.split(slashSplit);
      });
      this.debug(this.pattern, set);
      set = set.map(function(s, si, set2) {
        return s.map(this.parse, this);
      }, this);
      this.debug(this.pattern, set);
      set = set.filter(function(s) {
        return s.indexOf(false) === -1;
      });
      this.debug(this.pattern, set);
      this.set = set;
    }
    Minimatch.prototype.parseNegate = parseNegate;
    function parseNegate() {
      var pattern = this.pattern;
      var negate = false;
      var options = this.options;
      var negateOffset = 0;
      if (options.nonegate)
        return;
      for (var i = 0, l = pattern.length; i < l && pattern.charAt(i) === "!"; i++) {
        negate = !negate;
        negateOffset++;
      }
      if (negateOffset)
        this.pattern = pattern.substr(negateOffset);
      this.negate = negate;
    }
    minimatch.braceExpand = function(pattern, options) {
      return braceExpand(pattern, options);
    };
    Minimatch.prototype.braceExpand = braceExpand;
    function braceExpand(pattern, options) {
      if (!options) {
        if (this instanceof Minimatch) {
          options = this.options;
        } else {
          options = {};
        }
      }
      pattern = typeof pattern === "undefined" ? this.pattern : pattern;
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    }
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = function(pattern) {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    Minimatch.prototype.parse = parse;
    var SUBPARSE = {};
    function parse(pattern, isSub) {
      assertValidPattern(pattern);
      var options = this.options;
      if (pattern === "**") {
        if (!options.noglobstar)
          return GLOBSTAR;
        else
          pattern = "*";
      }
      if (pattern === "")
        return "";
      var re = "";
      var hasMagic = !!options.nocase;
      var escaping = false;
      var patternListStack = [];
      var negativeLists = [];
      var stateChar;
      var inClass = false;
      var reClassStart = -1;
      var classStart = -1;
      var patternStart = pattern.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
      var self2 = this;
      function clearStateChar() {
        if (stateChar) {
          switch (stateChar) {
            case "*":
              re += star;
              hasMagic = true;
              break;
            case "?":
              re += qmark;
              hasMagic = true;
              break;
            default:
              re += "\\" + stateChar;
              break;
          }
          self2.debug("clearStateChar %j %j", stateChar, re);
          stateChar = false;
        }
      }
      for (var i = 0, len = pattern.length, c; i < len && (c = pattern.charAt(i)); i++) {
        this.debug("%s	%s %s %j", pattern, i, re, c);
        if (escaping && reSpecials[c]) {
          re += "\\" + c;
          escaping = false;
          continue;
        }
        switch (c) {
          case "/": {
            return false;
          }
          case "\\":
            clearStateChar();
            escaping = true;
            continue;
          case "?":
          case "*":
          case "+":
          case "@":
          case "!":
            this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
            if (inClass) {
              this.debug("  in class");
              if (c === "!" && i === classStart + 1)
                c = "^";
              re += c;
              continue;
            }
            self2.debug("call clearStateChar %j", stateChar);
            clearStateChar();
            stateChar = c;
            if (options.noext)
              clearStateChar();
            continue;
          case "(":
            if (inClass) {
              re += "(";
              continue;
            }
            if (!stateChar) {
              re += "\\(";
              continue;
            }
            patternListStack.push({
              type: stateChar,
              start: i - 1,
              reStart: re.length,
              open: plTypes[stateChar].open,
              close: plTypes[stateChar].close
            });
            re += stateChar === "!" ? "(?:(?!(?:" : "(?:";
            this.debug("plType %j %j", stateChar, re);
            stateChar = false;
            continue;
          case ")":
            if (inClass || !patternListStack.length) {
              re += "\\)";
              continue;
            }
            clearStateChar();
            hasMagic = true;
            var pl = patternListStack.pop();
            re += pl.close;
            if (pl.type === "!") {
              negativeLists.push(pl);
            }
            pl.reEnd = re.length;
            continue;
          case "|":
            if (inClass || !patternListStack.length || escaping) {
              re += "\\|";
              escaping = false;
              continue;
            }
            clearStateChar();
            re += "|";
            continue;
          case "[":
            clearStateChar();
            if (inClass) {
              re += "\\" + c;
              continue;
            }
            inClass = true;
            classStart = i;
            reClassStart = re.length;
            re += c;
            continue;
          case "]":
            if (i === classStart + 1 || !inClass) {
              re += "\\" + c;
              escaping = false;
              continue;
            }
            var cs = pattern.substring(classStart + 1, i);
            try {
              RegExp("[" + cs + "]");
            } catch (er) {
              var sp = this.parse(cs, SUBPARSE);
              re = re.substr(0, reClassStart) + "\\[" + sp[0] + "\\]";
              hasMagic = hasMagic || sp[1];
              inClass = false;
              continue;
            }
            hasMagic = true;
            inClass = false;
            re += c;
            continue;
          default:
            clearStateChar();
            if (escaping) {
              escaping = false;
            } else if (reSpecials[c] && !(c === "^" && inClass)) {
              re += "\\";
            }
            re += c;
        }
      }
      if (inClass) {
        cs = pattern.substr(classStart + 1);
        sp = this.parse(cs, SUBPARSE);
        re = re.substr(0, reClassStart) + "\\[" + sp[0];
        hasMagic = hasMagic || sp[1];
      }
      for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
        var tail = re.slice(pl.reStart + pl.open.length);
        this.debug("setting tail", re, pl);
        tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, function(_, $1, $2) {
          if (!$2) {
            $2 = "\\";
          }
          return $1 + $1 + $2 + "|";
        });
        this.debug("tail=%j\n   %s", tail, tail, pl, re);
        var t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
        hasMagic = true;
        re = re.slice(0, pl.reStart) + t + "\\(" + tail;
      }
      clearStateChar();
      if (escaping) {
        re += "\\\\";
      }
      var addPatternStart = false;
      switch (re.charAt(0)) {
        case "[":
        case ".":
        case "(":
          addPatternStart = true;
      }
      for (var n = negativeLists.length - 1; n > -1; n--) {
        var nl = negativeLists[n];
        var nlBefore = re.slice(0, nl.reStart);
        var nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
        var nlLast = re.slice(nl.reEnd - 8, nl.reEnd);
        var nlAfter = re.slice(nl.reEnd);
        nlLast += nlAfter;
        var openParensBefore = nlBefore.split("(").length - 1;
        var cleanAfter = nlAfter;
        for (i = 0; i < openParensBefore; i++) {
          cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
        }
        nlAfter = cleanAfter;
        var dollar = "";
        if (nlAfter === "" && isSub !== SUBPARSE) {
          dollar = "$";
        }
        var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        re = newRe;
      }
      if (re !== "" && hasMagic) {
        re = "(?=.)" + re;
      }
      if (addPatternStart) {
        re = patternStart + re;
      }
      if (isSub === SUBPARSE) {
        return [re, hasMagic];
      }
      if (!hasMagic) {
        return globUnescape(pattern);
      }
      var flags = options.nocase ? "i" : "";
      try {
        var regExp = new RegExp("^" + re + "$", flags);
      } catch (er) {
        return new RegExp("$.");
      }
      regExp._glob = pattern;
      regExp._src = re;
      return regExp;
    }
    minimatch.makeRe = function(pattern, options) {
      return new Minimatch(pattern, options || {}).makeRe();
    };
    Minimatch.prototype.makeRe = makeRe;
    function makeRe() {
      if (this.regexp || this.regexp === false)
        return this.regexp;
      var set = this.set;
      if (!set.length) {
        this.regexp = false;
        return this.regexp;
      }
      var options = this.options;
      var twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
      var flags = options.nocase ? "i" : "";
      var re = set.map(function(pattern) {
        return pattern.map(function(p) {
          return p === GLOBSTAR ? twoStar : typeof p === "string" ? regExpEscape(p) : p._src;
        }).join("\\/");
      }).join("|");
      re = "^(?:" + re + ")$";
      if (this.negate)
        re = "^(?!" + re + ").*$";
      try {
        this.regexp = new RegExp(re, flags);
      } catch (ex) {
        this.regexp = false;
      }
      return this.regexp;
    }
    minimatch.match = function(list, pattern, options) {
      options = options || {};
      var mm = new Minimatch(pattern, options);
      list = list.filter(function(f) {
        return mm.match(f);
      });
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    Minimatch.prototype.match = function match(f, partial) {
      if (typeof partial === "undefined")
        partial = this.partial;
      this.debug("match", f, this.pattern);
      if (this.comment)
        return false;
      if (this.empty)
        return f === "";
      if (f === "/" && partial)
        return true;
      var options = this.options;
      if (path.sep !== "/") {
        f = f.split(path.sep).join("/");
      }
      f = f.split(slashSplit);
      this.debug(this.pattern, "split", f);
      var set = this.set;
      this.debug(this.pattern, "set", set);
      var filename;
      var i;
      for (i = f.length - 1; i >= 0; i--) {
        filename = f[i];
        if (filename)
          break;
      }
      for (i = 0; i < set.length; i++) {
        var pattern = set[i];
        var file = f;
        if (options.matchBase && pattern.length === 1) {
          file = [filename];
        }
        var hit = this.matchOne(file, pattern, partial);
        if (hit) {
          if (options.flipNegate)
            return true;
          return !this.negate;
        }
      }
      if (options.flipNegate)
        return false;
      return this.negate;
    };
    Minimatch.prototype.matchOne = function(file, pattern, partial) {
      var options = this.options;
      this.debug(
        "matchOne",
        { "this": this, file, pattern }
      );
      this.debug("matchOne", file.length, pattern.length);
      for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
        this.debug("matchOne loop");
        var p = pattern[pi];
        var f = file[fi];
        this.debug(pattern, p, f);
        if (p === false)
          return false;
        if (p === GLOBSTAR) {
          this.debug("GLOBSTAR", [pattern, p, f]);
          var fr = fi;
          var pr = pi + 1;
          if (pr === pl) {
            this.debug("** at the end");
            for (; fi < fl; fi++) {
              if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                return false;
            }
            return true;
          }
          while (fr < fl) {
            var swallowee = file[fr];
            this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
            if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
              this.debug("globstar found match!", fr, fl, swallowee);
              return true;
            } else {
              if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                this.debug("dot detected!", file, fr, pattern, pr);
                break;
              }
              this.debug("globstar swallow a segment, and continue");
              fr++;
            }
          }
          if (partial) {
            this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
            if (fr === fl)
              return true;
          }
          return false;
        }
        var hit;
        if (typeof p === "string") {
          hit = f === p;
          this.debug("string match", p, f, hit);
        } else {
          hit = f.match(p);
          this.debug("pattern match", p, f, hit);
        }
        if (!hit)
          return false;
      }
      if (fi === fl && pi === pl) {
        return true;
      } else if (fi === fl) {
        return partial;
      } else if (pi === pl) {
        return fi === fl - 1 && file[fi] === "";
      }
      throw new Error("wtf?");
    };
    function globUnescape(s) {
      return s.replace(/\\(.)/g, "$1");
    }
    function regExpEscape(s) {
      return s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    }
  }
});

// ../blueprint/node_modules/globule/lib/globule.js
var require_globule = __commonJS({
  "../blueprint/node_modules/globule/lib/globule.js"(exports2) {
    "use strict";
    var fs = require("fs");
    var path = require("path");
    var _ = require_lodash();
    var glob = require_glob5();
    var minimatch = require_minimatch5();
    var globule = exports2;
    function processPatterns(patterns, options, fn) {
      var result = [];
      _.each(patterns, function(pattern) {
        if (pattern.indexOf("!") !== 0) {
          result = _.union(result, fn(pattern));
          return;
        }
        var filterFn = minimatch.filter(pattern.slice(1), options);
        result = _.filter(result, function(filepath) {
          return !filterFn(filepath);
        });
      });
      return result;
    }
    var pathSeparatorRe = /[\/\\]/g;
    function normalizePath(path2) {
      return path2.replace(pathSeparatorRe, "/");
    }
    globule.match = function(patterns, filepaths, options) {
      if (patterns == null || filepaths == null) {
        return [];
      }
      patterns = _.isArray(patterns) ? _.flattenDeep(patterns) : [patterns];
      filepaths = _.isArray(filepaths) ? _.flattenDeep(filepaths) : [filepaths];
      if (patterns.length === 0 || filepaths.length === 0) {
        return [];
      }
      return processPatterns(patterns, options, function(pattern) {
        return minimatch.match(filepaths, pattern, options || {});
      });
    };
    globule.isMatch = function() {
      return globule.match.apply(null, arguments).length > 0;
    };
    globule.find = function() {
      var args = _.toArray(arguments);
      var options = _.isPlainObject(args[args.length - 1]) ? args.pop() : {};
      var patterns;
      if (options.src) {
        patterns = _.isArray(options.src) ? _.flattenDeep(options.src) : [options.src];
      } else {
        patterns = _.flattenDeep(args);
      }
      if (patterns.length === 0) {
        return [];
      }
      var srcBase = options.srcBase || options.cwd;
      var globOptions = _.extend({}, options);
      if (srcBase) {
        globOptions.cwd = srcBase;
      }
      var matches = processPatterns(patterns, options, function(pattern) {
        return glob.sync(pattern, globOptions);
      });
      if (srcBase && options.prefixBase) {
        matches = matches.map(function(filepath) {
          return normalizePath(path.join(srcBase, filepath));
        });
      }
      if (options.filter) {
        matches = matches.filter(function(filepath) {
          if (srcBase && !options.prefixBase) {
            filepath = normalizePath(path.join(srcBase, filepath));
          }
          try {
            if (_.isFunction(options.filter)) {
              return options.filter(filepath, options);
            } else {
              return fs.statSync(filepath)[options.filter]();
            }
          } catch (err) {
            return false;
          }
        });
      }
      return matches;
    };
    var extDotRe = {
      first: /(\.[^\/]*)?$/,
      last: /(\.[^\/\.]*)?$/
    };
    function rename(dest, options) {
      if (options.flatten) {
        dest = path.basename(dest);
      }
      if (options.ext) {
        dest = dest.replace(extDotRe[options.extDot], options.ext);
      }
      if (options.destBase) {
        dest = path.join(options.destBase, dest);
      }
      return dest;
    }
    globule.mapping = function(filepaths, options) {
      if (filepaths == null) {
        return [];
      }
      options = _.defaults({}, options, {
        extDot: "first",
        rename
      });
      var files = [];
      var fileByDest = {};
      filepaths.forEach(function(src) {
        var dest = options.rename(src, options);
        if (options.srcBase) {
          src = path.join(options.srcBase, src);
        }
        dest = normalizePath(dest);
        src = normalizePath(src);
        if (fileByDest[dest]) {
          fileByDest[dest].src.push(src);
        } else {
          files.push({
            src: [src],
            dest
          });
          fileByDest[dest] = files[files.length - 1];
        }
      });
      return files;
    };
    globule.findMapping = function() {
      var args = _.toArray(arguments);
      var options = _.isPlainObject(args[args.length - 1]) ? args.pop() : {};
      return globule.mapping(globule.find(args, options), options);
    };
  }
});

// ../blueprint/lib/resynthesis/walk-files.js
var require_walk_files = __commonJS({
  "../blueprint/lib/resynthesis/walk-files.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.matchesGlob = exports2.walkFiles = exports2.ALL_FILES = void 0;
    var fs = __importStar(require("fs"));
    var path_1 = __importDefault(require("path"));
    var globule = __importStar(require_globule());
    exports2.ALL_FILES = ["**/*", "**/*.??*", "*"];
    function walkFiles(locationPath, globPatterns) {
      return globule.find(exports2.ALL_FILES, {
        cwd: locationPath,
        dot: true
      }).filter((localPath) => matchesGlob(localPath, globPatterns)).filter((localPath) => !fs.lstatSync(path_1.default.join(locationPath, localPath)).isDirectory());
    }
    exports2.walkFiles = walkFiles;
    function matchesGlob(filePath, globPatterns) {
      return globule.isMatch(globPatterns, filePath, {
        dot: true
      });
    }
    exports2.matchesGlob = matchesGlob;
  }
});

// ../blueprint/lib/context/traverse.js
var require_traverse = __commonJS({
  "../blueprint/lib/context/traverse.js"(exports2) {
    "use strict";
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.traverse = void 0;
    var path_1 = __importDefault(require("path"));
    var context_file_1 = require_context_file();
    var walk_files_1 = require_walk_files();
    function traverse(bundlepath, options) {
      if (!bundlepath) {
        return [];
      }
      const repoPrefix = (options === null || options === void 0 ? void 0 : options.repositoryName) || "**";
      const fileGlobs = ((options === null || options === void 0 ? void 0 : options.fileGlobs) || walk_files_1.ALL_FILES).map((glob) => path_1.default.join(repoPrefix, glob));
      return (0, walk_files_1.walkFiles)(path_1.default.join(bundlepath, "src"), fileGlobs).map((filelocation) => {
        const { resourcePrefix, subdirectory, filepath } = (0, context_file_1.destructurePath)(path_1.default.join("src", filelocation), "");
        return (0, context_file_1.createContextFile)(bundlepath, resourcePrefix, subdirectory, filepath);
      }).filter((item) => !!item);
    }
    exports2.traverse = traverse;
  }
});

// ../blueprint/lib/pull-requests/pull-requests.js
var require_pull_requests = __commonJS({
  "../blueprint/lib/pull-requests/pull-requests.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.writePullRequest = exports2.BUNDLE_PATH_PULL_REQUEST = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    var yaml_1 = __importDefault(require_dist3());
    exports2.BUNDLE_PATH_PULL_REQUEST = "pull-request";
    var writePullRequest = (bundle, identifier, pullRequest) => {
      const pullRequestYamlLocation = path.join(bundle, exports2.BUNDLE_PATH_PULL_REQUEST, `${identifier}.yaml`);
      fs.mkdirSync(path.dirname(pullRequestYamlLocation), { recursive: true });
      const doc = new yaml_1.default.Document(pullRequest);
      fs.writeFileSync(pullRequestYamlLocation, doc.toString());
    };
    exports2.writePullRequest = writePullRequest;
  }
});

// ../blueprint/lib/differences/differences.js
var require_differences = __commonJS({
  "../blueprint/lib/differences/differences.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.writeDifferencePatch = exports2.generateDifferencePatch = exports2.BUNDLE_PATH_SRC_DIFF = void 0;
    var cp = __importStar(require("child_process"));
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    exports2.BUNDLE_PATH_SRC_DIFF = "src-diffs";
    function generateDifferencePatch(intendedOldFile, intendedNewFile, destination) {
      let oldFile = intendedOldFile;
      if (!fs.existsSync(oldFile)) {
        oldFile = "/dev/null";
      }
      let newFile = intendedNewFile;
      if (!fs.existsSync(newFile)) {
        newFile = "/dev/null";
      }
      let rawDiff = cp.execSync([
        "git",
        "diff",
        "--binary",
        "--no-index",
        oldFile,
        newFile,
        "| cat"
      ].join(" "), { maxBuffer: 999990999999 }).toString();
      if (rawDiff.length) {
        rawDiff = rawDiff.replace(/^(.*)$/m, `diff --git a/${destination} b/${destination}`);
        rawDiff = rawDiff.replace(`--- a${oldFile}`, `--- a/${destination}`);
        rawDiff = rawDiff.replace(`--- a/${oldFile}`, `--- a/${destination}`);
        rawDiff = rawDiff.replace(`+++ b${newFile}`, `+++ b/${destination}`);
        rawDiff = rawDiff.replace(`+++ b/${newFile}`, `+++ b/${destination}`);
      }
      return rawDiff;
    }
    exports2.generateDifferencePatch = generateDifferencePatch;
    function writeDifferencePatch(bundle, identifier, filePath, patch) {
      const diffPath = path.join(bundle, exports2.BUNDLE_PATH_SRC_DIFF, identifier, filePath);
      fs.mkdirSync(path.dirname(diffPath), { recursive: true });
      fs.writeFileSync(diffPath, patch);
    }
    exports2.writeDifferencePatch = writeDifferencePatch;
  }
});

// ../blueprint/lib/resynthesis/file-set.js
var require_file_set = __commonJS({
  "../blueprint/lib/resynthesis/file-set.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.filepathSet = void 0;
    var walk_files_1 = require_walk_files();
    function filepathSet(fileLocations, resourcePaths) {
      const fileset = /* @__PURE__ */ new Set();
      fileLocations.forEach((location) => {
        (0, walk_files_1.walkFiles)(location, resourcePaths || walk_files_1.ALL_FILES).forEach((filepath) => {
          fileset.add(filepath);
        });
      });
      return Array.from(fileset).sort();
    }
    exports2.filepathSet = filepathSet;
  }
});

// ../blueprint/lib/pull-requests/create-lifecycle-pull-request.js
var require_create_lifecycle_pull_request = __commonJS({
  "../blueprint/lib/pull-requests/create-lifecycle-pull-request.js"(exports2) {
    "use strict";
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.createLifecyclePullRequest = void 0;
    var path_1 = __importDefault(require("path"));
    var pull_requests_1 = require_pull_requests();
    var differences_1 = require_differences();
    var context_file_1 = require_context_file();
    var file_set_1 = require_file_set();
    var createLifecyclePullRequest = (resolvedBundle, exisitingBundle, options) => {
      const allfiles = (0, file_set_1.filepathSet)([resolvedBundle, exisitingBundle], ["src/**"]);
      const differences = {};
      allfiles.forEach((sourcepath) => {
        const destructuredPath = (0, context_file_1.destructurePath)(sourcepath, "");
        const { subdirectory, filepath } = destructuredPath;
        const repository = subdirectory;
        const oldFile = path_1.default.join(exisitingBundle, sourcepath);
        const newFile = path_1.default.join(resolvedBundle, sourcepath);
        const diff = (0, differences_1.generateDifferencePatch)(oldFile, newFile, filepath);
        if (diff) {
          const differenceIdentifier = `${repository}-${options.originBranch}`;
          (0, differences_1.writeDifferencePatch)(resolvedBundle, differenceIdentifier, filepath, diff);
          differences[differenceIdentifier] = repository;
        }
      });
      if (Object.keys(differences).length) {
        (0, pull_requests_1.writePullRequest)(resolvedBundle, options.pullRequest.id, {
          title: options.pullRequest.title,
          description: options.pullRequest.description,
          changes: (Object.keys(differences) || []).map((differenceId) => {
            return {
              repository: differences[differenceId],
              diffs: path_1.default.join(differences_1.BUNDLE_PATH_SRC_DIFF, differenceId),
              originBranch: options.originBranch,
              targetBranch: options.targetBranch
            };
          })
        });
      }
    };
    exports2.createLifecyclePullRequest = createLifecyclePullRequest;
  }
});

// ../blueprint/node_modules/diff-match-patch/index.js
var require_diff_match_patch = __commonJS({
  "../blueprint/node_modules/diff-match-patch/index.js"(exports2, module2) {
    var diff_match_patch = function() {
      this.Diff_Timeout = 1;
      this.Diff_EditCost = 4;
      this.Match_Threshold = 0.5;
      this.Match_Distance = 1e3;
      this.Patch_DeleteThreshold = 0.5;
      this.Patch_Margin = 4;
      this.Match_MaxBits = 32;
    };
    var DIFF_DELETE = -1;
    var DIFF_INSERT = 1;
    var DIFF_EQUAL = 0;
    diff_match_patch.Diff = function(op, text) {
      return [op, text];
    };
    diff_match_patch.prototype.diff_main = function(text1, text2, opt_checklines, opt_deadline) {
      if (typeof opt_deadline == "undefined") {
        if (this.Diff_Timeout <= 0) {
          opt_deadline = Number.MAX_VALUE;
        } else {
          opt_deadline = (/* @__PURE__ */ new Date()).getTime() + this.Diff_Timeout * 1e3;
        }
      }
      var deadline = opt_deadline;
      if (text1 == null || text2 == null) {
        throw new Error("Null input. (diff_main)");
      }
      if (text1 == text2) {
        if (text1) {
          return [new diff_match_patch.Diff(DIFF_EQUAL, text1)];
        }
        return [];
      }
      if (typeof opt_checklines == "undefined") {
        opt_checklines = true;
      }
      var checklines = opt_checklines;
      var commonlength = this.diff_commonPrefix(text1, text2);
      var commonprefix = text1.substring(0, commonlength);
      text1 = text1.substring(commonlength);
      text2 = text2.substring(commonlength);
      commonlength = this.diff_commonSuffix(text1, text2);
      var commonsuffix = text1.substring(text1.length - commonlength);
      text1 = text1.substring(0, text1.length - commonlength);
      text2 = text2.substring(0, text2.length - commonlength);
      var diffs = this.diff_compute_(text1, text2, checklines, deadline);
      if (commonprefix) {
        diffs.unshift(new diff_match_patch.Diff(DIFF_EQUAL, commonprefix));
      }
      if (commonsuffix) {
        diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, commonsuffix));
      }
      this.diff_cleanupMerge(diffs);
      return diffs;
    };
    diff_match_patch.prototype.diff_compute_ = function(text1, text2, checklines, deadline) {
      var diffs;
      if (!text1) {
        return [new diff_match_patch.Diff(DIFF_INSERT, text2)];
      }
      if (!text2) {
        return [new diff_match_patch.Diff(DIFF_DELETE, text1)];
      }
      var longtext = text1.length > text2.length ? text1 : text2;
      var shorttext = text1.length > text2.length ? text2 : text1;
      var i = longtext.indexOf(shorttext);
      if (i != -1) {
        diffs = [
          new diff_match_patch.Diff(DIFF_INSERT, longtext.substring(0, i)),
          new diff_match_patch.Diff(DIFF_EQUAL, shorttext),
          new diff_match_patch.Diff(
            DIFF_INSERT,
            longtext.substring(i + shorttext.length)
          )
        ];
        if (text1.length > text2.length) {
          diffs[0][0] = diffs[2][0] = DIFF_DELETE;
        }
        return diffs;
      }
      if (shorttext.length == 1) {
        return [
          new diff_match_patch.Diff(DIFF_DELETE, text1),
          new diff_match_patch.Diff(DIFF_INSERT, text2)
        ];
      }
      var hm = this.diff_halfMatch_(text1, text2);
      if (hm) {
        var text1_a = hm[0];
        var text1_b = hm[1];
        var text2_a = hm[2];
        var text2_b = hm[3];
        var mid_common = hm[4];
        var diffs_a = this.diff_main(text1_a, text2_a, checklines, deadline);
        var diffs_b = this.diff_main(text1_b, text2_b, checklines, deadline);
        return diffs_a.concat(
          [new diff_match_patch.Diff(DIFF_EQUAL, mid_common)],
          diffs_b
        );
      }
      if (checklines && text1.length > 100 && text2.length > 100) {
        return this.diff_lineMode_(text1, text2, deadline);
      }
      return this.diff_bisect_(text1, text2, deadline);
    };
    diff_match_patch.prototype.diff_lineMode_ = function(text1, text2, deadline) {
      var a = this.diff_linesToChars_(text1, text2);
      text1 = a.chars1;
      text2 = a.chars2;
      var linearray = a.lineArray;
      var diffs = this.diff_main(text1, text2, false, deadline);
      this.diff_charsToLines_(diffs, linearray);
      this.diff_cleanupSemantic(diffs);
      diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, ""));
      var pointer = 0;
      var count_delete = 0;
      var count_insert = 0;
      var text_delete = "";
      var text_insert = "";
      while (pointer < diffs.length) {
        switch (diffs[pointer][0]) {
          case DIFF_INSERT:
            count_insert++;
            text_insert += diffs[pointer][1];
            break;
          case DIFF_DELETE:
            count_delete++;
            text_delete += diffs[pointer][1];
            break;
          case DIFF_EQUAL:
            if (count_delete >= 1 && count_insert >= 1) {
              diffs.splice(
                pointer - count_delete - count_insert,
                count_delete + count_insert
              );
              pointer = pointer - count_delete - count_insert;
              var subDiff = this.diff_main(text_delete, text_insert, false, deadline);
              for (var j = subDiff.length - 1; j >= 0; j--) {
                diffs.splice(pointer, 0, subDiff[j]);
              }
              pointer = pointer + subDiff.length;
            }
            count_insert = 0;
            count_delete = 0;
            text_delete = "";
            text_insert = "";
            break;
        }
        pointer++;
      }
      diffs.pop();
      return diffs;
    };
    diff_match_patch.prototype.diff_bisect_ = function(text1, text2, deadline) {
      var text1_length = text1.length;
      var text2_length = text2.length;
      var max_d = Math.ceil((text1_length + text2_length) / 2);
      var v_offset = max_d;
      var v_length = 2 * max_d;
      var v1 = new Array(v_length);
      var v2 = new Array(v_length);
      for (var x = 0; x < v_length; x++) {
        v1[x] = -1;
        v2[x] = -1;
      }
      v1[v_offset + 1] = 0;
      v2[v_offset + 1] = 0;
      var delta = text1_length - text2_length;
      var front = delta % 2 != 0;
      var k1start = 0;
      var k1end = 0;
      var k2start = 0;
      var k2end = 0;
      for (var d = 0; d < max_d; d++) {
        if ((/* @__PURE__ */ new Date()).getTime() > deadline) {
          break;
        }
        for (var k1 = -d + k1start; k1 <= d - k1end; k1 += 2) {
          var k1_offset = v_offset + k1;
          var x1;
          if (k1 == -d || k1 != d && v1[k1_offset - 1] < v1[k1_offset + 1]) {
            x1 = v1[k1_offset + 1];
          } else {
            x1 = v1[k1_offset - 1] + 1;
          }
          var y1 = x1 - k1;
          while (x1 < text1_length && y1 < text2_length && text1.charAt(x1) == text2.charAt(y1)) {
            x1++;
            y1++;
          }
          v1[k1_offset] = x1;
          if (x1 > text1_length) {
            k1end += 2;
          } else if (y1 > text2_length) {
            k1start += 2;
          } else if (front) {
            var k2_offset = v_offset + delta - k1;
            if (k2_offset >= 0 && k2_offset < v_length && v2[k2_offset] != -1) {
              var x2 = text1_length - v2[k2_offset];
              if (x1 >= x2) {
                return this.diff_bisectSplit_(text1, text2, x1, y1, deadline);
              }
            }
          }
        }
        for (var k2 = -d + k2start; k2 <= d - k2end; k2 += 2) {
          var k2_offset = v_offset + k2;
          var x2;
          if (k2 == -d || k2 != d && v2[k2_offset - 1] < v2[k2_offset + 1]) {
            x2 = v2[k2_offset + 1];
          } else {
            x2 = v2[k2_offset - 1] + 1;
          }
          var y2 = x2 - k2;
          while (x2 < text1_length && y2 < text2_length && text1.charAt(text1_length - x2 - 1) == text2.charAt(text2_length - y2 - 1)) {
            x2++;
            y2++;
          }
          v2[k2_offset] = x2;
          if (x2 > text1_length) {
            k2end += 2;
          } else if (y2 > text2_length) {
            k2start += 2;
          } else if (!front) {
            var k1_offset = v_offset + delta - k2;
            if (k1_offset >= 0 && k1_offset < v_length && v1[k1_offset] != -1) {
              var x1 = v1[k1_offset];
              var y1 = v_offset + x1 - k1_offset;
              x2 = text1_length - x2;
              if (x1 >= x2) {
                return this.diff_bisectSplit_(text1, text2, x1, y1, deadline);
              }
            }
          }
        }
      }
      return [
        new diff_match_patch.Diff(DIFF_DELETE, text1),
        new diff_match_patch.Diff(DIFF_INSERT, text2)
      ];
    };
    diff_match_patch.prototype.diff_bisectSplit_ = function(text1, text2, x, y, deadline) {
      var text1a = text1.substring(0, x);
      var text2a = text2.substring(0, y);
      var text1b = text1.substring(x);
      var text2b = text2.substring(y);
      var diffs = this.diff_main(text1a, text2a, false, deadline);
      var diffsb = this.diff_main(text1b, text2b, false, deadline);
      return diffs.concat(diffsb);
    };
    diff_match_patch.prototype.diff_linesToChars_ = function(text1, text2) {
      var lineArray = [];
      var lineHash = {};
      lineArray[0] = "";
      function diff_linesToCharsMunge_(text) {
        var chars = "";
        var lineStart = 0;
        var lineEnd = -1;
        var lineArrayLength = lineArray.length;
        while (lineEnd < text.length - 1) {
          lineEnd = text.indexOf("\n", lineStart);
          if (lineEnd == -1) {
            lineEnd = text.length - 1;
          }
          var line = text.substring(lineStart, lineEnd + 1);
          if (lineHash.hasOwnProperty ? lineHash.hasOwnProperty(line) : lineHash[line] !== void 0) {
            chars += String.fromCharCode(lineHash[line]);
          } else {
            if (lineArrayLength == maxLines) {
              line = text.substring(lineStart);
              lineEnd = text.length;
            }
            chars += String.fromCharCode(lineArrayLength);
            lineHash[line] = lineArrayLength;
            lineArray[lineArrayLength++] = line;
          }
          lineStart = lineEnd + 1;
        }
        return chars;
      }
      var maxLines = 4e4;
      var chars1 = diff_linesToCharsMunge_(text1);
      maxLines = 65535;
      var chars2 = diff_linesToCharsMunge_(text2);
      return { chars1, chars2, lineArray };
    };
    diff_match_patch.prototype.diff_charsToLines_ = function(diffs, lineArray) {
      for (var i = 0; i < diffs.length; i++) {
        var chars = diffs[i][1];
        var text = [];
        for (var j = 0; j < chars.length; j++) {
          text[j] = lineArray[chars.charCodeAt(j)];
        }
        diffs[i][1] = text.join("");
      }
    };
    diff_match_patch.prototype.diff_commonPrefix = function(text1, text2) {
      if (!text1 || !text2 || text1.charAt(0) != text2.charAt(0)) {
        return 0;
      }
      var pointermin = 0;
      var pointermax = Math.min(text1.length, text2.length);
      var pointermid = pointermax;
      var pointerstart = 0;
      while (pointermin < pointermid) {
        if (text1.substring(pointerstart, pointermid) == text2.substring(pointerstart, pointermid)) {
          pointermin = pointermid;
          pointerstart = pointermin;
        } else {
          pointermax = pointermid;
        }
        pointermid = Math.floor((pointermax - pointermin) / 2 + pointermin);
      }
      return pointermid;
    };
    diff_match_patch.prototype.diff_commonSuffix = function(text1, text2) {
      if (!text1 || !text2 || text1.charAt(text1.length - 1) != text2.charAt(text2.length - 1)) {
        return 0;
      }
      var pointermin = 0;
      var pointermax = Math.min(text1.length, text2.length);
      var pointermid = pointermax;
      var pointerend = 0;
      while (pointermin < pointermid) {
        if (text1.substring(text1.length - pointermid, text1.length - pointerend) == text2.substring(text2.length - pointermid, text2.length - pointerend)) {
          pointermin = pointermid;
          pointerend = pointermin;
        } else {
          pointermax = pointermid;
        }
        pointermid = Math.floor((pointermax - pointermin) / 2 + pointermin);
      }
      return pointermid;
    };
    diff_match_patch.prototype.diff_commonOverlap_ = function(text1, text2) {
      var text1_length = text1.length;
      var text2_length = text2.length;
      if (text1_length == 0 || text2_length == 0) {
        return 0;
      }
      if (text1_length > text2_length) {
        text1 = text1.substring(text1_length - text2_length);
      } else if (text1_length < text2_length) {
        text2 = text2.substring(0, text1_length);
      }
      var text_length = Math.min(text1_length, text2_length);
      if (text1 == text2) {
        return text_length;
      }
      var best = 0;
      var length = 1;
      while (true) {
        var pattern = text1.substring(text_length - length);
        var found = text2.indexOf(pattern);
        if (found == -1) {
          return best;
        }
        length += found;
        if (found == 0 || text1.substring(text_length - length) == text2.substring(0, length)) {
          best = length;
          length++;
        }
      }
    };
    diff_match_patch.prototype.diff_halfMatch_ = function(text1, text2) {
      if (this.Diff_Timeout <= 0) {
        return null;
      }
      var longtext = text1.length > text2.length ? text1 : text2;
      var shorttext = text1.length > text2.length ? text2 : text1;
      if (longtext.length < 4 || shorttext.length * 2 < longtext.length) {
        return null;
      }
      var dmp = this;
      function diff_halfMatchI_(longtext2, shorttext2, i) {
        var seed = longtext2.substring(i, i + Math.floor(longtext2.length / 4));
        var j = -1;
        var best_common = "";
        var best_longtext_a, best_longtext_b, best_shorttext_a, best_shorttext_b;
        while ((j = shorttext2.indexOf(seed, j + 1)) != -1) {
          var prefixLength = dmp.diff_commonPrefix(
            longtext2.substring(i),
            shorttext2.substring(j)
          );
          var suffixLength = dmp.diff_commonSuffix(
            longtext2.substring(0, i),
            shorttext2.substring(0, j)
          );
          if (best_common.length < suffixLength + prefixLength) {
            best_common = shorttext2.substring(j - suffixLength, j) + shorttext2.substring(j, j + prefixLength);
            best_longtext_a = longtext2.substring(0, i - suffixLength);
            best_longtext_b = longtext2.substring(i + prefixLength);
            best_shorttext_a = shorttext2.substring(0, j - suffixLength);
            best_shorttext_b = shorttext2.substring(j + prefixLength);
          }
        }
        if (best_common.length * 2 >= longtext2.length) {
          return [
            best_longtext_a,
            best_longtext_b,
            best_shorttext_a,
            best_shorttext_b,
            best_common
          ];
        } else {
          return null;
        }
      }
      var hm1 = diff_halfMatchI_(
        longtext,
        shorttext,
        Math.ceil(longtext.length / 4)
      );
      var hm2 = diff_halfMatchI_(
        longtext,
        shorttext,
        Math.ceil(longtext.length / 2)
      );
      var hm;
      if (!hm1 && !hm2) {
        return null;
      } else if (!hm2) {
        hm = hm1;
      } else if (!hm1) {
        hm = hm2;
      } else {
        hm = hm1[4].length > hm2[4].length ? hm1 : hm2;
      }
      var text1_a, text1_b, text2_a, text2_b;
      if (text1.length > text2.length) {
        text1_a = hm[0];
        text1_b = hm[1];
        text2_a = hm[2];
        text2_b = hm[3];
      } else {
        text2_a = hm[0];
        text2_b = hm[1];
        text1_a = hm[2];
        text1_b = hm[3];
      }
      var mid_common = hm[4];
      return [text1_a, text1_b, text2_a, text2_b, mid_common];
    };
    diff_match_patch.prototype.diff_cleanupSemantic = function(diffs) {
      var changes = false;
      var equalities = [];
      var equalitiesLength = 0;
      var lastEquality = null;
      var pointer = 0;
      var length_insertions1 = 0;
      var length_deletions1 = 0;
      var length_insertions2 = 0;
      var length_deletions2 = 0;
      while (pointer < diffs.length) {
        if (diffs[pointer][0] == DIFF_EQUAL) {
          equalities[equalitiesLength++] = pointer;
          length_insertions1 = length_insertions2;
          length_deletions1 = length_deletions2;
          length_insertions2 = 0;
          length_deletions2 = 0;
          lastEquality = diffs[pointer][1];
        } else {
          if (diffs[pointer][0] == DIFF_INSERT) {
            length_insertions2 += diffs[pointer][1].length;
          } else {
            length_deletions2 += diffs[pointer][1].length;
          }
          if (lastEquality && lastEquality.length <= Math.max(length_insertions1, length_deletions1) && lastEquality.length <= Math.max(
            length_insertions2,
            length_deletions2
          )) {
            diffs.splice(
              equalities[equalitiesLength - 1],
              0,
              new diff_match_patch.Diff(DIFF_DELETE, lastEquality)
            );
            diffs[equalities[equalitiesLength - 1] + 1][0] = DIFF_INSERT;
            equalitiesLength--;
            equalitiesLength--;
            pointer = equalitiesLength > 0 ? equalities[equalitiesLength - 1] : -1;
            length_insertions1 = 0;
            length_deletions1 = 0;
            length_insertions2 = 0;
            length_deletions2 = 0;
            lastEquality = null;
            changes = true;
          }
        }
        pointer++;
      }
      if (changes) {
        this.diff_cleanupMerge(diffs);
      }
      this.diff_cleanupSemanticLossless(diffs);
      pointer = 1;
      while (pointer < diffs.length) {
        if (diffs[pointer - 1][0] == DIFF_DELETE && diffs[pointer][0] == DIFF_INSERT) {
          var deletion = diffs[pointer - 1][1];
          var insertion = diffs[pointer][1];
          var overlap_length1 = this.diff_commonOverlap_(deletion, insertion);
          var overlap_length2 = this.diff_commonOverlap_(insertion, deletion);
          if (overlap_length1 >= overlap_length2) {
            if (overlap_length1 >= deletion.length / 2 || overlap_length1 >= insertion.length / 2) {
              diffs.splice(pointer, 0, new diff_match_patch.Diff(
                DIFF_EQUAL,
                insertion.substring(0, overlap_length1)
              ));
              diffs[pointer - 1][1] = deletion.substring(0, deletion.length - overlap_length1);
              diffs[pointer + 1][1] = insertion.substring(overlap_length1);
              pointer++;
            }
          } else {
            if (overlap_length2 >= deletion.length / 2 || overlap_length2 >= insertion.length / 2) {
              diffs.splice(pointer, 0, new diff_match_patch.Diff(
                DIFF_EQUAL,
                deletion.substring(0, overlap_length2)
              ));
              diffs[pointer - 1][0] = DIFF_INSERT;
              diffs[pointer - 1][1] = insertion.substring(0, insertion.length - overlap_length2);
              diffs[pointer + 1][0] = DIFF_DELETE;
              diffs[pointer + 1][1] = deletion.substring(overlap_length2);
              pointer++;
            }
          }
          pointer++;
        }
        pointer++;
      }
    };
    diff_match_patch.prototype.diff_cleanupSemanticLossless = function(diffs) {
      function diff_cleanupSemanticScore_(one, two) {
        if (!one || !two) {
          return 6;
        }
        var char1 = one.charAt(one.length - 1);
        var char2 = two.charAt(0);
        var nonAlphaNumeric1 = char1.match(diff_match_patch.nonAlphaNumericRegex_);
        var nonAlphaNumeric2 = char2.match(diff_match_patch.nonAlphaNumericRegex_);
        var whitespace1 = nonAlphaNumeric1 && char1.match(diff_match_patch.whitespaceRegex_);
        var whitespace2 = nonAlphaNumeric2 && char2.match(diff_match_patch.whitespaceRegex_);
        var lineBreak1 = whitespace1 && char1.match(diff_match_patch.linebreakRegex_);
        var lineBreak2 = whitespace2 && char2.match(diff_match_patch.linebreakRegex_);
        var blankLine1 = lineBreak1 && one.match(diff_match_patch.blanklineEndRegex_);
        var blankLine2 = lineBreak2 && two.match(diff_match_patch.blanklineStartRegex_);
        if (blankLine1 || blankLine2) {
          return 5;
        } else if (lineBreak1 || lineBreak2) {
          return 4;
        } else if (nonAlphaNumeric1 && !whitespace1 && whitespace2) {
          return 3;
        } else if (whitespace1 || whitespace2) {
          return 2;
        } else if (nonAlphaNumeric1 || nonAlphaNumeric2) {
          return 1;
        }
        return 0;
      }
      var pointer = 1;
      while (pointer < diffs.length - 1) {
        if (diffs[pointer - 1][0] == DIFF_EQUAL && diffs[pointer + 1][0] == DIFF_EQUAL) {
          var equality1 = diffs[pointer - 1][1];
          var edit = diffs[pointer][1];
          var equality2 = diffs[pointer + 1][1];
          var commonOffset = this.diff_commonSuffix(equality1, edit);
          if (commonOffset) {
            var commonString = edit.substring(edit.length - commonOffset);
            equality1 = equality1.substring(0, equality1.length - commonOffset);
            edit = commonString + edit.substring(0, edit.length - commonOffset);
            equality2 = commonString + equality2;
          }
          var bestEquality1 = equality1;
          var bestEdit = edit;
          var bestEquality2 = equality2;
          var bestScore = diff_cleanupSemanticScore_(equality1, edit) + diff_cleanupSemanticScore_(edit, equality2);
          while (edit.charAt(0) === equality2.charAt(0)) {
            equality1 += edit.charAt(0);
            edit = edit.substring(1) + equality2.charAt(0);
            equality2 = equality2.substring(1);
            var score = diff_cleanupSemanticScore_(equality1, edit) + diff_cleanupSemanticScore_(edit, equality2);
            if (score >= bestScore) {
              bestScore = score;
              bestEquality1 = equality1;
              bestEdit = edit;
              bestEquality2 = equality2;
            }
          }
          if (diffs[pointer - 1][1] != bestEquality1) {
            if (bestEquality1) {
              diffs[pointer - 1][1] = bestEquality1;
            } else {
              diffs.splice(pointer - 1, 1);
              pointer--;
            }
            diffs[pointer][1] = bestEdit;
            if (bestEquality2) {
              diffs[pointer + 1][1] = bestEquality2;
            } else {
              diffs.splice(pointer + 1, 1);
              pointer--;
            }
          }
        }
        pointer++;
      }
    };
    diff_match_patch.nonAlphaNumericRegex_ = /[^a-zA-Z0-9]/;
    diff_match_patch.whitespaceRegex_ = /\s/;
    diff_match_patch.linebreakRegex_ = /[\r\n]/;
    diff_match_patch.blanklineEndRegex_ = /\n\r?\n$/;
    diff_match_patch.blanklineStartRegex_ = /^\r?\n\r?\n/;
    diff_match_patch.prototype.diff_cleanupEfficiency = function(diffs) {
      var changes = false;
      var equalities = [];
      var equalitiesLength = 0;
      var lastEquality = null;
      var pointer = 0;
      var pre_ins = false;
      var pre_del = false;
      var post_ins = false;
      var post_del = false;
      while (pointer < diffs.length) {
        if (diffs[pointer][0] == DIFF_EQUAL) {
          if (diffs[pointer][1].length < this.Diff_EditCost && (post_ins || post_del)) {
            equalities[equalitiesLength++] = pointer;
            pre_ins = post_ins;
            pre_del = post_del;
            lastEquality = diffs[pointer][1];
          } else {
            equalitiesLength = 0;
            lastEquality = null;
          }
          post_ins = post_del = false;
        } else {
          if (diffs[pointer][0] == DIFF_DELETE) {
            post_del = true;
          } else {
            post_ins = true;
          }
          if (lastEquality && (pre_ins && pre_del && post_ins && post_del || lastEquality.length < this.Diff_EditCost / 2 && pre_ins + pre_del + post_ins + post_del == 3)) {
            diffs.splice(
              equalities[equalitiesLength - 1],
              0,
              new diff_match_patch.Diff(DIFF_DELETE, lastEquality)
            );
            diffs[equalities[equalitiesLength - 1] + 1][0] = DIFF_INSERT;
            equalitiesLength--;
            lastEquality = null;
            if (pre_ins && pre_del) {
              post_ins = post_del = true;
              equalitiesLength = 0;
            } else {
              equalitiesLength--;
              pointer = equalitiesLength > 0 ? equalities[equalitiesLength - 1] : -1;
              post_ins = post_del = false;
            }
            changes = true;
          }
        }
        pointer++;
      }
      if (changes) {
        this.diff_cleanupMerge(diffs);
      }
    };
    diff_match_patch.prototype.diff_cleanupMerge = function(diffs) {
      diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, ""));
      var pointer = 0;
      var count_delete = 0;
      var count_insert = 0;
      var text_delete = "";
      var text_insert = "";
      var commonlength;
      while (pointer < diffs.length) {
        switch (diffs[pointer][0]) {
          case DIFF_INSERT:
            count_insert++;
            text_insert += diffs[pointer][1];
            pointer++;
            break;
          case DIFF_DELETE:
            count_delete++;
            text_delete += diffs[pointer][1];
            pointer++;
            break;
          case DIFF_EQUAL:
            if (count_delete + count_insert > 1) {
              if (count_delete !== 0 && count_insert !== 0) {
                commonlength = this.diff_commonPrefix(text_insert, text_delete);
                if (commonlength !== 0) {
                  if (pointer - count_delete - count_insert > 0 && diffs[pointer - count_delete - count_insert - 1][0] == DIFF_EQUAL) {
                    diffs[pointer - count_delete - count_insert - 1][1] += text_insert.substring(0, commonlength);
                  } else {
                    diffs.splice(0, 0, new diff_match_patch.Diff(
                      DIFF_EQUAL,
                      text_insert.substring(0, commonlength)
                    ));
                    pointer++;
                  }
                  text_insert = text_insert.substring(commonlength);
                  text_delete = text_delete.substring(commonlength);
                }
                commonlength = this.diff_commonSuffix(text_insert, text_delete);
                if (commonlength !== 0) {
                  diffs[pointer][1] = text_insert.substring(text_insert.length - commonlength) + diffs[pointer][1];
                  text_insert = text_insert.substring(0, text_insert.length - commonlength);
                  text_delete = text_delete.substring(0, text_delete.length - commonlength);
                }
              }
              pointer -= count_delete + count_insert;
              diffs.splice(pointer, count_delete + count_insert);
              if (text_delete.length) {
                diffs.splice(
                  pointer,
                  0,
                  new diff_match_patch.Diff(DIFF_DELETE, text_delete)
                );
                pointer++;
              }
              if (text_insert.length) {
                diffs.splice(
                  pointer,
                  0,
                  new diff_match_patch.Diff(DIFF_INSERT, text_insert)
                );
                pointer++;
              }
              pointer++;
            } else if (pointer !== 0 && diffs[pointer - 1][0] == DIFF_EQUAL) {
              diffs[pointer - 1][1] += diffs[pointer][1];
              diffs.splice(pointer, 1);
            } else {
              pointer++;
            }
            count_insert = 0;
            count_delete = 0;
            text_delete = "";
            text_insert = "";
            break;
        }
      }
      if (diffs[diffs.length - 1][1] === "") {
        diffs.pop();
      }
      var changes = false;
      pointer = 1;
      while (pointer < diffs.length - 1) {
        if (diffs[pointer - 1][0] == DIFF_EQUAL && diffs[pointer + 1][0] == DIFF_EQUAL) {
          if (diffs[pointer][1].substring(diffs[pointer][1].length - diffs[pointer - 1][1].length) == diffs[pointer - 1][1]) {
            diffs[pointer][1] = diffs[pointer - 1][1] + diffs[pointer][1].substring(0, diffs[pointer][1].length - diffs[pointer - 1][1].length);
            diffs[pointer + 1][1] = diffs[pointer - 1][1] + diffs[pointer + 1][1];
            diffs.splice(pointer - 1, 1);
            changes = true;
          } else if (diffs[pointer][1].substring(0, diffs[pointer + 1][1].length) == diffs[pointer + 1][1]) {
            diffs[pointer - 1][1] += diffs[pointer + 1][1];
            diffs[pointer][1] = diffs[pointer][1].substring(diffs[pointer + 1][1].length) + diffs[pointer + 1][1];
            diffs.splice(pointer + 1, 1);
            changes = true;
          }
        }
        pointer++;
      }
      if (changes) {
        this.diff_cleanupMerge(diffs);
      }
    };
    diff_match_patch.prototype.diff_xIndex = function(diffs, loc) {
      var chars1 = 0;
      var chars2 = 0;
      var last_chars1 = 0;
      var last_chars2 = 0;
      var x;
      for (x = 0; x < diffs.length; x++) {
        if (diffs[x][0] !== DIFF_INSERT) {
          chars1 += diffs[x][1].length;
        }
        if (diffs[x][0] !== DIFF_DELETE) {
          chars2 += diffs[x][1].length;
        }
        if (chars1 > loc) {
          break;
        }
        last_chars1 = chars1;
        last_chars2 = chars2;
      }
      if (diffs.length != x && diffs[x][0] === DIFF_DELETE) {
        return last_chars2;
      }
      return last_chars2 + (loc - last_chars1);
    };
    diff_match_patch.prototype.diff_prettyHtml = function(diffs) {
      var html = [];
      var pattern_amp = /&/g;
      var pattern_lt = /</g;
      var pattern_gt = />/g;
      var pattern_para = /\n/g;
      for (var x = 0; x < diffs.length; x++) {
        var op = diffs[x][0];
        var data = diffs[x][1];
        var text = data.replace(pattern_amp, "&amp;").replace(pattern_lt, "&lt;").replace(pattern_gt, "&gt;").replace(pattern_para, "&para;<br>");
        switch (op) {
          case DIFF_INSERT:
            html[x] = '<ins style="background:#e6ffe6;">' + text + "</ins>";
            break;
          case DIFF_DELETE:
            html[x] = '<del style="background:#ffe6e6;">' + text + "</del>";
            break;
          case DIFF_EQUAL:
            html[x] = "<span>" + text + "</span>";
            break;
        }
      }
      return html.join("");
    };
    diff_match_patch.prototype.diff_text1 = function(diffs) {
      var text = [];
      for (var x = 0; x < diffs.length; x++) {
        if (diffs[x][0] !== DIFF_INSERT) {
          text[x] = diffs[x][1];
        }
      }
      return text.join("");
    };
    diff_match_patch.prototype.diff_text2 = function(diffs) {
      var text = [];
      for (var x = 0; x < diffs.length; x++) {
        if (diffs[x][0] !== DIFF_DELETE) {
          text[x] = diffs[x][1];
        }
      }
      return text.join("");
    };
    diff_match_patch.prototype.diff_levenshtein = function(diffs) {
      var levenshtein = 0;
      var insertions = 0;
      var deletions = 0;
      for (var x = 0; x < diffs.length; x++) {
        var op = diffs[x][0];
        var data = diffs[x][1];
        switch (op) {
          case DIFF_INSERT:
            insertions += data.length;
            break;
          case DIFF_DELETE:
            deletions += data.length;
            break;
          case DIFF_EQUAL:
            levenshtein += Math.max(insertions, deletions);
            insertions = 0;
            deletions = 0;
            break;
        }
      }
      levenshtein += Math.max(insertions, deletions);
      return levenshtein;
    };
    diff_match_patch.prototype.diff_toDelta = function(diffs) {
      var text = [];
      for (var x = 0; x < diffs.length; x++) {
        switch (diffs[x][0]) {
          case DIFF_INSERT:
            text[x] = "+" + encodeURI(diffs[x][1]);
            break;
          case DIFF_DELETE:
            text[x] = "-" + diffs[x][1].length;
            break;
          case DIFF_EQUAL:
            text[x] = "=" + diffs[x][1].length;
            break;
        }
      }
      return text.join("	").replace(/%20/g, " ");
    };
    diff_match_patch.prototype.diff_fromDelta = function(text1, delta) {
      var diffs = [];
      var diffsLength = 0;
      var pointer = 0;
      var tokens = delta.split(/\t/g);
      for (var x = 0; x < tokens.length; x++) {
        var param = tokens[x].substring(1);
        switch (tokens[x].charAt(0)) {
          case "+":
            try {
              diffs[diffsLength++] = new diff_match_patch.Diff(DIFF_INSERT, decodeURI(param));
            } catch (ex) {
              throw new Error("Illegal escape in diff_fromDelta: " + param);
            }
            break;
          case "-":
          case "=":
            var n = parseInt(param, 10);
            if (isNaN(n) || n < 0) {
              throw new Error("Invalid number in diff_fromDelta: " + param);
            }
            var text = text1.substring(pointer, pointer += n);
            if (tokens[x].charAt(0) == "=") {
              diffs[diffsLength++] = new diff_match_patch.Diff(DIFF_EQUAL, text);
            } else {
              diffs[diffsLength++] = new diff_match_patch.Diff(DIFF_DELETE, text);
            }
            break;
          default:
            if (tokens[x]) {
              throw new Error("Invalid diff operation in diff_fromDelta: " + tokens[x]);
            }
        }
      }
      if (pointer != text1.length) {
        throw new Error("Delta length (" + pointer + ") does not equal source text length (" + text1.length + ").");
      }
      return diffs;
    };
    diff_match_patch.prototype.match_main = function(text, pattern, loc) {
      if (text == null || pattern == null || loc == null) {
        throw new Error("Null input. (match_main)");
      }
      loc = Math.max(0, Math.min(loc, text.length));
      if (text == pattern) {
        return 0;
      } else if (!text.length) {
        return -1;
      } else if (text.substring(loc, loc + pattern.length) == pattern) {
        return loc;
      } else {
        return this.match_bitap_(text, pattern, loc);
      }
    };
    diff_match_patch.prototype.match_bitap_ = function(text, pattern, loc) {
      if (pattern.length > this.Match_MaxBits) {
        throw new Error("Pattern too long for this browser.");
      }
      var s = this.match_alphabet_(pattern);
      var dmp = this;
      function match_bitapScore_(e, x) {
        var accuracy = e / pattern.length;
        var proximity = Math.abs(loc - x);
        if (!dmp.Match_Distance) {
          return proximity ? 1 : accuracy;
        }
        return accuracy + proximity / dmp.Match_Distance;
      }
      var score_threshold = this.Match_Threshold;
      var best_loc = text.indexOf(pattern, loc);
      if (best_loc != -1) {
        score_threshold = Math.min(match_bitapScore_(0, best_loc), score_threshold);
        best_loc = text.lastIndexOf(pattern, loc + pattern.length);
        if (best_loc != -1) {
          score_threshold = Math.min(match_bitapScore_(0, best_loc), score_threshold);
        }
      }
      var matchmask = 1 << pattern.length - 1;
      best_loc = -1;
      var bin_min, bin_mid;
      var bin_max = pattern.length + text.length;
      var last_rd;
      for (var d = 0; d < pattern.length; d++) {
        bin_min = 0;
        bin_mid = bin_max;
        while (bin_min < bin_mid) {
          if (match_bitapScore_(d, loc + bin_mid) <= score_threshold) {
            bin_min = bin_mid;
          } else {
            bin_max = bin_mid;
          }
          bin_mid = Math.floor((bin_max - bin_min) / 2 + bin_min);
        }
        bin_max = bin_mid;
        var start = Math.max(1, loc - bin_mid + 1);
        var finish = Math.min(loc + bin_mid, text.length) + pattern.length;
        var rd = Array(finish + 2);
        rd[finish + 1] = (1 << d) - 1;
        for (var j = finish; j >= start; j--) {
          var charMatch = s[text.charAt(j - 1)];
          if (d === 0) {
            rd[j] = (rd[j + 1] << 1 | 1) & charMatch;
          } else {
            rd[j] = (rd[j + 1] << 1 | 1) & charMatch | ((last_rd[j + 1] | last_rd[j]) << 1 | 1) | last_rd[j + 1];
          }
          if (rd[j] & matchmask) {
            var score = match_bitapScore_(d, j - 1);
            if (score <= score_threshold) {
              score_threshold = score;
              best_loc = j - 1;
              if (best_loc > loc) {
                start = Math.max(1, 2 * loc - best_loc);
              } else {
                break;
              }
            }
          }
        }
        if (match_bitapScore_(d + 1, loc) > score_threshold) {
          break;
        }
        last_rd = rd;
      }
      return best_loc;
    };
    diff_match_patch.prototype.match_alphabet_ = function(pattern) {
      var s = {};
      for (var i = 0; i < pattern.length; i++) {
        s[pattern.charAt(i)] = 0;
      }
      for (var i = 0; i < pattern.length; i++) {
        s[pattern.charAt(i)] |= 1 << pattern.length - i - 1;
      }
      return s;
    };
    diff_match_patch.prototype.patch_addContext_ = function(patch, text) {
      if (text.length == 0) {
        return;
      }
      if (patch.start2 === null) {
        throw Error("patch not initialized");
      }
      var pattern = text.substring(patch.start2, patch.start2 + patch.length1);
      var padding = 0;
      while (text.indexOf(pattern) != text.lastIndexOf(pattern) && pattern.length < this.Match_MaxBits - this.Patch_Margin - this.Patch_Margin) {
        padding += this.Patch_Margin;
        pattern = text.substring(
          patch.start2 - padding,
          patch.start2 + patch.length1 + padding
        );
      }
      padding += this.Patch_Margin;
      var prefix = text.substring(patch.start2 - padding, patch.start2);
      if (prefix) {
        patch.diffs.unshift(new diff_match_patch.Diff(DIFF_EQUAL, prefix));
      }
      var suffix = text.substring(
        patch.start2 + patch.length1,
        patch.start2 + patch.length1 + padding
      );
      if (suffix) {
        patch.diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, suffix));
      }
      patch.start1 -= prefix.length;
      patch.start2 -= prefix.length;
      patch.length1 += prefix.length + suffix.length;
      patch.length2 += prefix.length + suffix.length;
    };
    diff_match_patch.prototype.patch_make = function(a, opt_b, opt_c) {
      var text1, diffs;
      if (typeof a == "string" && typeof opt_b == "string" && typeof opt_c == "undefined") {
        text1 = /** @type {string} */
        a;
        diffs = this.diff_main(
          text1,
          /** @type {string} */
          opt_b,
          true
        );
        if (diffs.length > 2) {
          this.diff_cleanupSemantic(diffs);
          this.diff_cleanupEfficiency(diffs);
        }
      } else if (a && typeof a == "object" && typeof opt_b == "undefined" && typeof opt_c == "undefined") {
        diffs = /** @type {!Array.<!diff_match_patch.Diff>} */
        a;
        text1 = this.diff_text1(diffs);
      } else if (typeof a == "string" && opt_b && typeof opt_b == "object" && typeof opt_c == "undefined") {
        text1 = /** @type {string} */
        a;
        diffs = /** @type {!Array.<!diff_match_patch.Diff>} */
        opt_b;
      } else if (typeof a == "string" && typeof opt_b == "string" && opt_c && typeof opt_c == "object") {
        text1 = /** @type {string} */
        a;
        diffs = /** @type {!Array.<!diff_match_patch.Diff>} */
        opt_c;
      } else {
        throw new Error("Unknown call format to patch_make.");
      }
      if (diffs.length === 0) {
        return [];
      }
      var patches = [];
      var patch = new diff_match_patch.patch_obj();
      var patchDiffLength = 0;
      var char_count1 = 0;
      var char_count2 = 0;
      var prepatch_text = text1;
      var postpatch_text = text1;
      for (var x = 0; x < diffs.length; x++) {
        var diff_type = diffs[x][0];
        var diff_text = diffs[x][1];
        if (!patchDiffLength && diff_type !== DIFF_EQUAL) {
          patch.start1 = char_count1;
          patch.start2 = char_count2;
        }
        switch (diff_type) {
          case DIFF_INSERT:
            patch.diffs[patchDiffLength++] = diffs[x];
            patch.length2 += diff_text.length;
            postpatch_text = postpatch_text.substring(0, char_count2) + diff_text + postpatch_text.substring(char_count2);
            break;
          case DIFF_DELETE:
            patch.length1 += diff_text.length;
            patch.diffs[patchDiffLength++] = diffs[x];
            postpatch_text = postpatch_text.substring(0, char_count2) + postpatch_text.substring(char_count2 + diff_text.length);
            break;
          case DIFF_EQUAL:
            if (diff_text.length <= 2 * this.Patch_Margin && patchDiffLength && diffs.length != x + 1) {
              patch.diffs[patchDiffLength++] = diffs[x];
              patch.length1 += diff_text.length;
              patch.length2 += diff_text.length;
            } else if (diff_text.length >= 2 * this.Patch_Margin) {
              if (patchDiffLength) {
                this.patch_addContext_(patch, prepatch_text);
                patches.push(patch);
                patch = new diff_match_patch.patch_obj();
                patchDiffLength = 0;
                prepatch_text = postpatch_text;
                char_count1 = char_count2;
              }
            }
            break;
        }
        if (diff_type !== DIFF_INSERT) {
          char_count1 += diff_text.length;
        }
        if (diff_type !== DIFF_DELETE) {
          char_count2 += diff_text.length;
        }
      }
      if (patchDiffLength) {
        this.patch_addContext_(patch, prepatch_text);
        patches.push(patch);
      }
      return patches;
    };
    diff_match_patch.prototype.patch_deepCopy = function(patches) {
      var patchesCopy = [];
      for (var x = 0; x < patches.length; x++) {
        var patch = patches[x];
        var patchCopy = new diff_match_patch.patch_obj();
        patchCopy.diffs = [];
        for (var y = 0; y < patch.diffs.length; y++) {
          patchCopy.diffs[y] = new diff_match_patch.Diff(patch.diffs[y][0], patch.diffs[y][1]);
        }
        patchCopy.start1 = patch.start1;
        patchCopy.start2 = patch.start2;
        patchCopy.length1 = patch.length1;
        patchCopy.length2 = patch.length2;
        patchesCopy[x] = patchCopy;
      }
      return patchesCopy;
    };
    diff_match_patch.prototype.patch_apply = function(patches, text) {
      if (patches.length == 0) {
        return [text, []];
      }
      patches = this.patch_deepCopy(patches);
      var nullPadding = this.patch_addPadding(patches);
      text = nullPadding + text + nullPadding;
      this.patch_splitMax(patches);
      var delta = 0;
      var results = [];
      for (var x = 0; x < patches.length; x++) {
        var expected_loc = patches[x].start2 + delta;
        var text1 = this.diff_text1(patches[x].diffs);
        var start_loc;
        var end_loc = -1;
        if (text1.length > this.Match_MaxBits) {
          start_loc = this.match_main(
            text,
            text1.substring(0, this.Match_MaxBits),
            expected_loc
          );
          if (start_loc != -1) {
            end_loc = this.match_main(
              text,
              text1.substring(text1.length - this.Match_MaxBits),
              expected_loc + text1.length - this.Match_MaxBits
            );
            if (end_loc == -1 || start_loc >= end_loc) {
              start_loc = -1;
            }
          }
        } else {
          start_loc = this.match_main(text, text1, expected_loc);
        }
        if (start_loc == -1) {
          results[x] = false;
          delta -= patches[x].length2 - patches[x].length1;
        } else {
          results[x] = true;
          delta = start_loc - expected_loc;
          var text2;
          if (end_loc == -1) {
            text2 = text.substring(start_loc, start_loc + text1.length);
          } else {
            text2 = text.substring(start_loc, end_loc + this.Match_MaxBits);
          }
          if (text1 == text2) {
            text = text.substring(0, start_loc) + this.diff_text2(patches[x].diffs) + text.substring(start_loc + text1.length);
          } else {
            var diffs = this.diff_main(text1, text2, false);
            if (text1.length > this.Match_MaxBits && this.diff_levenshtein(diffs) / text1.length > this.Patch_DeleteThreshold) {
              results[x] = false;
            } else {
              this.diff_cleanupSemanticLossless(diffs);
              var index1 = 0;
              var index2;
              for (var y = 0; y < patches[x].diffs.length; y++) {
                var mod = patches[x].diffs[y];
                if (mod[0] !== DIFF_EQUAL) {
                  index2 = this.diff_xIndex(diffs, index1);
                }
                if (mod[0] === DIFF_INSERT) {
                  text = text.substring(0, start_loc + index2) + mod[1] + text.substring(start_loc + index2);
                } else if (mod[0] === DIFF_DELETE) {
                  text = text.substring(0, start_loc + index2) + text.substring(start_loc + this.diff_xIndex(
                    diffs,
                    index1 + mod[1].length
                  ));
                }
                if (mod[0] !== DIFF_DELETE) {
                  index1 += mod[1].length;
                }
              }
            }
          }
        }
      }
      text = text.substring(nullPadding.length, text.length - nullPadding.length);
      return [text, results];
    };
    diff_match_patch.prototype.patch_addPadding = function(patches) {
      var paddingLength = this.Patch_Margin;
      var nullPadding = "";
      for (var x = 1; x <= paddingLength; x++) {
        nullPadding += String.fromCharCode(x);
      }
      for (var x = 0; x < patches.length; x++) {
        patches[x].start1 += paddingLength;
        patches[x].start2 += paddingLength;
      }
      var patch = patches[0];
      var diffs = patch.diffs;
      if (diffs.length == 0 || diffs[0][0] != DIFF_EQUAL) {
        diffs.unshift(new diff_match_patch.Diff(DIFF_EQUAL, nullPadding));
        patch.start1 -= paddingLength;
        patch.start2 -= paddingLength;
        patch.length1 += paddingLength;
        patch.length2 += paddingLength;
      } else if (paddingLength > diffs[0][1].length) {
        var extraLength = paddingLength - diffs[0][1].length;
        diffs[0][1] = nullPadding.substring(diffs[0][1].length) + diffs[0][1];
        patch.start1 -= extraLength;
        patch.start2 -= extraLength;
        patch.length1 += extraLength;
        patch.length2 += extraLength;
      }
      patch = patches[patches.length - 1];
      diffs = patch.diffs;
      if (diffs.length == 0 || diffs[diffs.length - 1][0] != DIFF_EQUAL) {
        diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, nullPadding));
        patch.length1 += paddingLength;
        patch.length2 += paddingLength;
      } else if (paddingLength > diffs[diffs.length - 1][1].length) {
        var extraLength = paddingLength - diffs[diffs.length - 1][1].length;
        diffs[diffs.length - 1][1] += nullPadding.substring(0, extraLength);
        patch.length1 += extraLength;
        patch.length2 += extraLength;
      }
      return nullPadding;
    };
    diff_match_patch.prototype.patch_splitMax = function(patches) {
      var patch_size = this.Match_MaxBits;
      for (var x = 0; x < patches.length; x++) {
        if (patches[x].length1 <= patch_size) {
          continue;
        }
        var bigpatch = patches[x];
        patches.splice(x--, 1);
        var start1 = bigpatch.start1;
        var start2 = bigpatch.start2;
        var precontext = "";
        while (bigpatch.diffs.length !== 0) {
          var patch = new diff_match_patch.patch_obj();
          var empty = true;
          patch.start1 = start1 - precontext.length;
          patch.start2 = start2 - precontext.length;
          if (precontext !== "") {
            patch.length1 = patch.length2 = precontext.length;
            patch.diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, precontext));
          }
          while (bigpatch.diffs.length !== 0 && patch.length1 < patch_size - this.Patch_Margin) {
            var diff_type = bigpatch.diffs[0][0];
            var diff_text = bigpatch.diffs[0][1];
            if (diff_type === DIFF_INSERT) {
              patch.length2 += diff_text.length;
              start2 += diff_text.length;
              patch.diffs.push(bigpatch.diffs.shift());
              empty = false;
            } else if (diff_type === DIFF_DELETE && patch.diffs.length == 1 && patch.diffs[0][0] == DIFF_EQUAL && diff_text.length > 2 * patch_size) {
              patch.length1 += diff_text.length;
              start1 += diff_text.length;
              empty = false;
              patch.diffs.push(new diff_match_patch.Diff(diff_type, diff_text));
              bigpatch.diffs.shift();
            } else {
              diff_text = diff_text.substring(
                0,
                patch_size - patch.length1 - this.Patch_Margin
              );
              patch.length1 += diff_text.length;
              start1 += diff_text.length;
              if (diff_type === DIFF_EQUAL) {
                patch.length2 += diff_text.length;
                start2 += diff_text.length;
              } else {
                empty = false;
              }
              patch.diffs.push(new diff_match_patch.Diff(diff_type, diff_text));
              if (diff_text == bigpatch.diffs[0][1]) {
                bigpatch.diffs.shift();
              } else {
                bigpatch.diffs[0][1] = bigpatch.diffs[0][1].substring(diff_text.length);
              }
            }
          }
          precontext = this.diff_text2(patch.diffs);
          precontext = precontext.substring(precontext.length - this.Patch_Margin);
          var postcontext = this.diff_text1(bigpatch.diffs).substring(0, this.Patch_Margin);
          if (postcontext !== "") {
            patch.length1 += postcontext.length;
            patch.length2 += postcontext.length;
            if (patch.diffs.length !== 0 && patch.diffs[patch.diffs.length - 1][0] === DIFF_EQUAL) {
              patch.diffs[patch.diffs.length - 1][1] += postcontext;
            } else {
              patch.diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, postcontext));
            }
          }
          if (!empty) {
            patches.splice(++x, 0, patch);
          }
        }
      }
    };
    diff_match_patch.prototype.patch_toText = function(patches) {
      var text = [];
      for (var x = 0; x < patches.length; x++) {
        text[x] = patches[x];
      }
      return text.join("");
    };
    diff_match_patch.prototype.patch_fromText = function(textline) {
      var patches = [];
      if (!textline) {
        return patches;
      }
      var text = textline.split("\n");
      var textPointer = 0;
      var patchHeader = /^@@ -(\d+),?(\d*) \+(\d+),?(\d*) @@$/;
      while (textPointer < text.length) {
        var m = text[textPointer].match(patchHeader);
        if (!m) {
          throw new Error("Invalid patch string: " + text[textPointer]);
        }
        var patch = new diff_match_patch.patch_obj();
        patches.push(patch);
        patch.start1 = parseInt(m[1], 10);
        if (m[2] === "") {
          patch.start1--;
          patch.length1 = 1;
        } else if (m[2] == "0") {
          patch.length1 = 0;
        } else {
          patch.start1--;
          patch.length1 = parseInt(m[2], 10);
        }
        patch.start2 = parseInt(m[3], 10);
        if (m[4] === "") {
          patch.start2--;
          patch.length2 = 1;
        } else if (m[4] == "0") {
          patch.length2 = 0;
        } else {
          patch.start2--;
          patch.length2 = parseInt(m[4], 10);
        }
        textPointer++;
        while (textPointer < text.length) {
          var sign = text[textPointer].charAt(0);
          try {
            var line = decodeURI(text[textPointer].substring(1));
          } catch (ex) {
            throw new Error("Illegal escape in patch_fromText: " + line);
          }
          if (sign == "-") {
            patch.diffs.push(new diff_match_patch.Diff(DIFF_DELETE, line));
          } else if (sign == "+") {
            patch.diffs.push(new diff_match_patch.Diff(DIFF_INSERT, line));
          } else if (sign == " ") {
            patch.diffs.push(new diff_match_patch.Diff(DIFF_EQUAL, line));
          } else if (sign == "@") {
            break;
          } else if (sign === "") {
          } else {
            throw new Error('Invalid patch mode "' + sign + '" in: ' + line);
          }
          textPointer++;
        }
      }
      return patches;
    };
    diff_match_patch.patch_obj = function() {
      this.diffs = [];
      this.start1 = null;
      this.start2 = null;
      this.length1 = 0;
      this.length2 = 0;
    };
    diff_match_patch.patch_obj.prototype.toString = function() {
      var coords1, coords2;
      if (this.length1 === 0) {
        coords1 = this.start1 + ",0";
      } else if (this.length1 == 1) {
        coords1 = this.start1 + 1;
      } else {
        coords1 = this.start1 + 1 + "," + this.length1;
      }
      if (this.length2 === 0) {
        coords2 = this.start2 + ",0";
      } else if (this.length2 == 1) {
        coords2 = this.start2 + 1;
      } else {
        coords2 = this.start2 + 1 + "," + this.length2;
      }
      var text = ["@@ -" + coords1 + " +" + coords2 + " @@\n"];
      var op;
      for (var x = 0; x < this.diffs.length; x++) {
        switch (this.diffs[x][0]) {
          case DIFF_INSERT:
            op = "+";
            break;
          case DIFF_DELETE:
            op = "-";
            break;
          case DIFF_EQUAL:
            op = " ";
            break;
        }
        text[x + 1] = op + encodeURI(this.diffs[x][1]) + "\n";
      }
      return text.join("").replace(/%20/g, " ");
    };
    module2.exports = diff_match_patch;
    module2.exports["diff_match_patch"] = diff_match_patch;
    module2.exports["DIFF_DELETE"] = DIFF_DELETE;
    module2.exports["DIFF_INSERT"] = DIFF_INSERT;
    module2.exports["DIFF_EQUAL"] = DIFF_EQUAL;
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/diff3.js
var require_diff32 = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/diff3.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Diff3 = exports2.CONFLICT_MARKER_LENGTH = void 0;
    var diff_match_patch_1 = require_diff_match_patch();
    var DMP = new diff_match_patch_1.diff_match_patch();
    exports2.CONFLICT_MARKER_LENGTH = 7;
    function diffLines(a, b, dmp = DMP) {
      const lines = dmp.diff_linesToChars_(a, b);
      const diff = dmp.diff_main(lines.chars1, lines.chars2, false);
      dmp.diff_charsToLines_(diff, lines.lineArray);
      dmp.diff_cleanupSemantic(diff);
      return diff;
    }
    var currentLine = {
      a: 0,
      o: 0,
      b: 0
    };
    var Diff3 = class {
      constructor(a, o, b, options) {
        var _a;
        this.currentLine = currentLine;
        this.mergedChunks = [];
        this.options = options;
        const diff = (_a = options === null || options === void 0 ? void 0 : options.diffFunction) !== null && _a !== void 0 ? _a : diffLines;
        this.matches = {
          a: getMatches(diff(o, a)),
          b: getMatches(diff(o, b))
        };
        this.lines = {
          a: splitLines(a),
          o: splitLines(o),
          b: splitLines(b)
        };
        this.merge();
      }
      getMerged() {
        return this.mergedChunks.map((chunk) => {
          var _a, _b;
          return mergeChunkToString(chunk, {
            aLabel: (_a = this.options) === null || _a === void 0 ? void 0 : _a.aLabel,
            bLabel: (_b = this.options) === null || _b === void 0 ? void 0 : _b.bLabel
          });
        }).join("");
      }
      // Based on the algorithm described in https://www.cis.upenn.edu/~bcpierce/papers/diff3-short.pdf
      merge() {
        while (true) {
          const i = this.findMismatch();
          if (i === 1) {
            const { o, a, b } = this.findMatch();
            if (a !== void 0 && b !== void 0) {
              this.pushChunk(a, o, b);
            } else {
              this.pushRemainingChunk();
              return;
            }
          } else if (i) {
            this.pushChunk(this.currentLine.a + i, this.currentLine.o + i, this.currentLine.b + i);
          } else {
            this.pushRemainingChunk();
            return;
          }
        }
      }
      /**
       * Find the offset from the current line to the next mismatch
       * @returns the number of lines to the next mismatch, or undefined if there is no mismatch
       */
      findMismatch() {
        let i = 1;
        while (this.currentLine.a + i <= this.lines.a.length || this.currentLine.b + i <= this.lines.b.length || this.currentLine.o + i <= this.lines.o.length) {
          if (this.matches.a.get(this.currentLine.o + i) !== this.currentLine.a + i || this.matches.b.get(this.currentLine.o + i) !== this.currentLine.b + i) {
            return i;
          }
          i++;
        }
        return;
      }
      findMatch() {
        let o = this.currentLine.o + 1;
        while (o <= this.lines.o.length && this.matches.a.get(o) === void 0 && this.matches.b.get(o) === void 0) {
          o++;
        }
        return { o, a: this.matches.a.get(o), b: this.matches.b.get(o) };
      }
      pushRemainingChunk() {
        this.pushChunk(this.lines.a.length + 1, this.lines.o.length + 1, this.lines.b.length + 1);
      }
      pushChunk(a, o, b) {
        const oText = this.lines.o.slice(this.currentLine.o, o - 1).join("");
        const aText = this.lines.a.slice(this.currentLine.a, a - 1).join("");
        const bText = this.lines.b.slice(this.currentLine.b, b - 1).join("");
        if (oText === aText && oText === bText) {
          this.mergedChunks.push({
            conflict: false,
            ok: oText
          });
        } else if (oText === aText) {
          this.mergedChunks.push({
            conflict: false,
            ok: bText
          });
        } else if (oText === bText) {
          this.mergedChunks.push({
            conflict: false,
            ok: aText
          });
        } else if (aText === bText) {
          this.mergedChunks.push({
            conflict: false,
            ok: aText
          });
        } else {
          this.mergedChunks.push({
            conflict: true,
            a: aText,
            b: bText
          });
        }
        this.currentLine = {
          o: o - 1,
          a: a - 1,
          b: b - 1
        };
      }
    };
    exports2.Diff3 = Diff3;
    function getMatches(diff) {
      const matches = /* @__PURE__ */ new Map();
      let oLineNumber = 1;
      let aLineNumber = 1;
      for (const [type, text] of diff) {
        const numLines = countLines(text);
        switch (type) {
          case diff_match_patch_1.DIFF_EQUAL:
            for (let i = 0; i < numLines; i++) {
              matches.set(oLineNumber + i, aLineNumber + i);
            }
            oLineNumber += numLines;
            aLineNumber += numLines;
            break;
          case diff_match_patch_1.DIFF_DELETE:
            oLineNumber += numLines;
            break;
          case diff_match_patch_1.DIFF_INSERT:
            aLineNumber += numLines;
            break;
        }
      }
      return matches;
    }
    function countLines(s) {
      let count = 0;
      for (let i = 0; i < s.length; i++) {
        if (s.charAt(i) === "\n") {
          count++;
        }
      }
      return count;
    }
    function mergeChunkToString(chunk, options) {
      if (chunk.conflict) {
        let chunkContents = "";
        chunkContents += createConflictMarker("<", options === null || options === void 0 ? void 0 : options.aLabel);
        chunkContents += chunk.a;
        if (!chunk.a.endsWith("\n")) {
          chunkContents += "\n";
        }
        chunkContents += createConflictMarker("=");
        chunkContents += chunk.b;
        if (!chunk.b.endsWith("\n")) {
          chunkContents += "\n";
        }
        chunkContents += createConflictMarker(">", options === null || options === void 0 ? void 0 : options.bLabel);
        return chunkContents;
      } else {
        return chunk.ok;
      }
    }
    function createConflictMarker(type, label) {
      return type.repeat(exports2.CONFLICT_MARKER_LENGTH) + `${label ? " " + label : ""}
`;
    }
    function splitLines(s) {
      const split = s.split("\n");
      return split.map((line, i) => i === split.length - 1 ? line : line + "\n");
    }
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/local.js
var require_local = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/local.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.constructLocalStrategy = void 0;
    var child_process_1 = require("child_process");
    var crypto_1 = require("crypto");
    var fs_1 = require("fs");
    var path = __importStar(require("path"));
    var diff3_1 = require_diff32();
    function constructLocalStrategy(owner, ownershipPath) {
      return (commonAncestorFile, existingFile, proposedFile) => {
        var _a, _b, _c, _d, _e, _f, _g;
        const repositoryName = (_b = (_a = existingFile === null || existingFile === void 0 ? void 0 : existingFile.repositoryName) !== null && _a !== void 0 ? _a : proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.repositoryName) !== null && _b !== void 0 ? _b : commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.repositoryName;
        if (!repositoryName) {
          throw new Error("Failed to determine repository name because no input files were provided.");
        }
        const resolvedPath = (_d = (_c = existingFile === null || existingFile === void 0 ? void 0 : existingFile.path) !== null && _c !== void 0 ? _c : proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.path) !== null && _d !== void 0 ? _d : commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.path;
        if (!resolvedPath) {
          throw new Error("Failed to determine path because no input files were provided.");
        }
        const resolvedBuffer = runLocalCommand(owner, ownershipPath, resolvedPath, {
          a: (_e = existingFile === null || existingFile === void 0 ? void 0 : existingFile.buffer) !== null && _e !== void 0 ? _e : Buffer.from(""),
          o: (_f = commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.buffer) !== null && _f !== void 0 ? _f : Buffer.from(""),
          b: (_g = proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.buffer) !== null && _g !== void 0 ? _g : Buffer.from("")
        });
        if (!resolvedBuffer) {
          return void 0;
        }
        return {
          repositoryName,
          path: resolvedPath,
          buffer: resolvedBuffer
        };
      };
    }
    exports2.constructLocalStrategy = constructLocalStrategy;
    function runLocalCommand(owner, ownershipPath, resolvedPath, buffers) {
      createTempDir();
      let cmd;
      try {
        const commonTempFile = createTempFile(buffers.o);
        const existingTempFile = createTempFile(buffers.a);
        const proposedTempFile = createTempFile(buffers.b);
        const cwd = path.dirname(ownershipPath);
        cmd = formatLocalCommand(owner, path.relative(cwd, existingTempFile), path.relative(cwd, commonTempFile), path.relative(cwd, proposedTempFile), resolvedPath);
        (0, child_process_1.execSync)(cmd, {
          cwd
        });
        return getResolvedFile(existingTempFile);
      } catch (error) {
        let message = "Failed to run local merge strategy";
        if (cmd) {
          message += `: ${cmd}`;
        }
        throw new Error(`${message}: ${error}`);
      } finally {
        deleteTempDir();
      }
    }
    function getResolvedFile(resolvedPath) {
      try {
        return (0, fs_1.readFileSync)(resolvedPath);
      } catch (error) {
        if (error.code === "ENOENT") {
          return void 0;
        }
        throw error;
      }
    }
    function createTempDir() {
      try {
        (0, fs_1.mkdirSync)(path.join("synth", "tmp"), { recursive: true });
      } catch (error) {
        if (error.code === "EEXIST") {
          return;
        }
        throw error;
      }
    }
    function deleteTempDir() {
      (0, fs_1.rmSync)(path.join("synth", "tmp"), { recursive: true });
    }
    function createTempFile(contents) {
      const randomSuffix = (0, crypto_1.randomBytes)(8).toString("hex");
      const tempPath = path.join("synth", "tmp", `.merge_file_${randomSuffix}`);
      (0, fs_1.writeFileSync)(tempPath, contents, {
        flag: "wx"
      });
      return tempPath;
    }
    function formatLocalCommand(commandPattern, aPath, oPath, bPath, resolvedPath) {
      return commandPattern.replace(/%O/g, oPath).replace(/%A/g, aPath).replace(/%B/g, bPath).replace(/%P/g, resolvedPath).replace(/%L/g, `${diff3_1.CONFLICT_MARKER_LENGTH}`);
    }
  }
});

// ../blueprint/lib/resynthesis/ownership.js
var require_ownership = __commonJS({
  "../blueprint/lib/resynthesis/ownership.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Ownership = void 0;
    var Ownership = class {
    };
    exports2.Ownership = Ownership;
    Ownership.DEFAULT_FILE_NAME = ".ownership-file";
    Ownership.asString = (blueprint, fileDefinition) => asOwnershipString(blueprint, fileDefinition);
    Ownership.asObject = (stringContent, inMemoryMapping) => asOwnershipDefintion(stringContent, inMemoryMapping);
    var asOwnershipString = (blueprint, fileDefinition) => {
      var _a;
      let fileContents = "";
      (_a = fileDefinition.resynthesis) === null || _a === void 0 ? void 0 : _a.strategies.forEach((strategy) => {
        var _a2;
        const owner = (_a2 = strategy.owner) !== null && _a2 !== void 0 ? _a2 : blueprint.context.package.name;
        if (!owner) {
          throw new Error(`Failed to resolve owner for strategy ${strategy.identifier}: no owner was provided, and the blueprint context is missing a package name`);
        }
        fileContents += `[${strategy.identifier}] ${owner}
`;
        if (strategy.description) {
          fileContents += `# ${strategy.description}
`;
        }
        fileContents += `# Internal merge strategy: ${strategy.strategy.name || "custom"}
`;
        strategy.globs.forEach((glob) => {
          fileContents += `${glob}
`;
        });
        fileContents += "\n";
      });
      return fileContents.trimEnd() + "\n";
    };
    var asOwnershipDefintion = (fileContent, inMemoryMapping) => {
      const lines = fileContent.split(/\r?\n/);
      const strategies = [];
      lines.forEach((line, index) => {
        const trimmedLine = line.trimStart().trimEnd();
        if (trimmedLine.length === 0) {
          return;
        }
        const destructuredLine = parseLine(trimmedLine);
        if (destructuredLine.type == LineType.GLOB) {
          if (strategies.length === 0) {
            throw new Error(`Encountered unexpected glob outside of a strategy section at line: ${index + 1}`);
          }
          strategies[strategies.length - 1].globs.push(trimmedLine);
        }
        if (destructuredLine.type == LineType.STRATEGY) {
          strategies.push({
            identifier: destructuredLine.identifier,
            owner: destructuredLine.owner,
            strategy: (inMemoryMapping[destructuredLine.identifier] || {}).strategy,
            globs: []
          });
        }
      });
      return {
        resynthesis: {
          strategies
        }
      };
    };
    var STRATEGY_LINE_REGEX = /^\[(?<identifier>.+)\]\s+(?<owner>.+)$/;
    var LineType;
    (function(LineType2) {
      LineType2["COMMENT"] = "COMMENT";
      LineType2["STRATEGY"] = "STRATEGY";
      LineType2["GLOB"] = "GLOB";
    })(LineType || (LineType = {}));
    function parseLine(line) {
      line = line.trim();
      const match = line.match(STRATEGY_LINE_REGEX);
      if (match && (match === null || match === void 0 ? void 0 : match.groups)) {
        const { identifier, owner } = match.groups;
        return {
          type: LineType.STRATEGY,
          identifier,
          owner
        };
      }
      if (line.startsWith("#")) {
        return {
          type: LineType.COMMENT,
          text: line
        };
      }
      return {
        type: LineType.GLOB,
        glob: line
      };
    }
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/deserialize-strategies.js
var require_deserialize_strategies = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/deserialize-strategies.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.filterStrategies = exports2.deserializeStrategies = exports2.merge = exports2.LOCAL_STRATEGY_ID = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    var local_1 = require_local();
    var blueprint_1 = require_blueprint();
    var ownership_1 = require_ownership();
    var walk_files_1 = require_walk_files();
    exports2.LOCAL_STRATEGY_ID = "local";
    var getStrategyIds = (strategies) => {
      const ids = {};
      for (const strategyList of Object.values(strategies)) {
        for (const strategy of strategyList) {
          ids[strategy.identifier] = strategy;
        }
      }
      return ids;
    };
    var merge = (orginal, overrides) => {
      const result = {};
      const allLocations = /* @__PURE__ */ new Set([...Object.keys(orginal), ...Object.keys(overrides)]);
      allLocations.forEach((location) => {
        result[location] = [...orginal[location] || [], ...overrides[location] || []];
      });
      return result;
    };
    exports2.merge = merge;
    var deserializeStrategies = (existingBundle, strategyMatch) => {
      const inMemStrategies = getStrategyIds(strategyMatch);
      const validStrategies = {};
      const ownershipFiles = (0, walk_files_1.walkFiles)(existingBundle, [`src/**/*${ownership_1.Ownership.DEFAULT_FILE_NAME}`]);
      ownershipFiles.forEach((ownerfile) => {
        var _a;
        const ownershipPath = path.join(existingBundle, ownerfile);
        const ownershipObject = ownership_1.Ownership.asObject(fs.readFileSync(ownershipPath).toString(), inMemStrategies);
        const relevantStrategies = [];
        (_a = ownershipObject.resynthesis) === null || _a === void 0 ? void 0 : _a.strategies.forEach((deserializedStrategy) => {
          if (deserializedStrategy.identifier === exports2.LOCAL_STRATEGY_ID) {
            if (!deserializedStrategy.owner) {
              throw new blueprint_1.BlueprintSynthesisError({
                message: `Failed to resolve command for local strategy: ${deserializedStrategy.identifier}`,
                type: blueprint_1.BlueprintSynthesisErrorTypes.ValidationError
              });
            }
            deserializedStrategy.strategy = (0, local_1.constructLocalStrategy)(deserializedStrategy.owner, ownershipPath);
            relevantStrategies.push(deserializedStrategy);
          } else if (deserializedStrategy.identifier in inMemStrategies) {
            relevantStrategies.push(deserializedStrategy);
          }
        });
        validStrategies[ownerfile] = relevantStrategies;
      });
      return validStrategies;
    };
    exports2.deserializeStrategies = deserializeStrategies;
    function filterStrategies(strategies, packageConfig) {
      const result = {};
      const locations = Object.keys(strategies);
      for (const location of locations) {
        const strategyList = strategies[location];
        const filtered = strategyList.filter((strategy) => strategy.owner && matchesOwner(strategy.identifier, strategy.owner, packageConfig));
        if (filtered.length > 0) {
          result[location] = filtered;
        }
      }
      return result;
    }
    exports2.filterStrategies = filterStrategies;
    function matchesOwner(identifier, strategyOwner, packageConfig) {
      if (identifier === exports2.LOCAL_STRATEGY_ID) {
        return true;
      }
      const owners = [];
      if (packageConfig.name) {
        owners.push(packageConfig.name);
      }
      if (packageConfig.name && packageConfig.version) {
        owners.push(`${packageConfig.name}@${packageConfig.version}`);
      }
      for (const owner of owners) {
        if (wildcardMatch(strategyOwner, owner)) {
          return true;
        }
      }
      return false;
    }
    function wildcardMatch(pattern, s) {
      const escaped = pattern.replace(/[.*+?^${}()|[\]\\]/g, "\\$&");
      const re = new RegExp(`^${escaped.replace(/\\\*/g, ".*")}$`);
      return re.test(s);
    }
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/merge-strategies.js
var require_merge_strategies = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/merge-strategies.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MergeStrategies = void 0;
    var diff3_1 = require_diff32();
    var MergeStrategies = class {
    };
    exports2.MergeStrategies = MergeStrategies;
    MergeStrategies.alwaysUpdate = function alwaysUpdate(_commonAncestorFile, _existingFile, proposedFile, _options) {
      return proposedFile;
    };
    MergeStrategies.neverUpdate = function neverUpdate(_commonAncestorFile, existingFile, _proposedFile, _options) {
      return existingFile;
    };
    MergeStrategies.onlyAdd = function onlyAdd(_commonAncestorFile, existingFile, proposedFile, _options) {
      return existingFile ? existingFile : proposedFile;
    };
    MergeStrategies.threeWayMerge = function threeWayMerge(commonAncestorFile, existingFile, proposedFile) {
      var _a, _b, _c, _d, _e, _f, _g;
      if (!existingFile && proposedFile && commonAncestorFile && proposedFile.buffer.equals(commonAncestorFile.buffer)) {
        return void 0;
      }
      if (!proposedFile && existingFile && commonAncestorFile && existingFile.buffer.equals(commonAncestorFile.buffer)) {
        return void 0;
      }
      if (!existingFile && !proposedFile) {
        return void 0;
      }
      const diff3 = new diff3_1.Diff3((_a = existingFile === null || existingFile === void 0 ? void 0 : existingFile.buffer.toString()) !== null && _a !== void 0 ? _a : "", (_b = commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.buffer.toString()) !== null && _b !== void 0 ? _b : "", (_c = proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.buffer.toString()) !== null && _c !== void 0 ? _c : "", {
        aLabel: "existing",
        bLabel: "proposed"
      });
      const repositoryName = (_e = (_d = existingFile === null || existingFile === void 0 ? void 0 : existingFile.repositoryName) !== null && _d !== void 0 ? _d : proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.repositoryName) !== null && _e !== void 0 ? _e : commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.repositoryName;
      if (!repositoryName) {
        throw new Error("Failed to determine repository name because no input files were provided.");
      }
      const path = (_g = (_f = existingFile === null || existingFile === void 0 ? void 0 : existingFile.path) !== null && _f !== void 0 ? _f : proposedFile === null || proposedFile === void 0 ? void 0 : proposedFile.path) !== null && _g !== void 0 ? _g : commonAncestorFile === null || commonAncestorFile === void 0 ? void 0 : commonAncestorFile.path;
      if (!path) {
        throw new Error("Failed to determine path because no input files were provided.");
      }
      return {
        repositoryName,
        path,
        buffer: Buffer.from(diff3.getMerged())
      };
    };
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/match.js
var require_match = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/match.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.match = exports2.FALLBACK_STRATEGY_ID = exports2.FALLBACK_STRATEGY = void 0;
    var path = __importStar(require("path"));
    var merge_strategies_1 = require_merge_strategies();
    var ownership_1 = require_ownership();
    var walk_files_1 = require_walk_files();
    exports2.FALLBACK_STRATEGY = merge_strategies_1.MergeStrategies.threeWayMerge;
    exports2.FALLBACK_STRATEGY_ID = `FALLBACK_${exports2.FALLBACK_STRATEGY.name}`;
    function match(sourceCodePath, strategies) {
      const directories = sourceCodePath.split("/");
      while (directories.length > 0) {
        directories.pop();
        const syntheticPath = path.join(...directories);
        const ownershipPath = path.join(syntheticPath, ownership_1.Ownership.DEFAULT_FILE_NAME);
        const commonPath = directories.join("/") + "/";
        const relativeStrategies = [...strategies[syntheticPath] || [], ...strategies[ownershipPath] || []];
        if (!relativeStrategies.length) {
          continue;
        }
        const relativeBundlePath = sourceCodePath.startsWith(commonPath) ? sourceCodePath.slice(commonPath.length) : sourceCodePath;
        const matchedStrategy = matchStrategies(relativeBundlePath, relativeStrategies);
        if (matchedStrategy) {
          return matchedStrategy;
        }
      }
      return {
        identifier: exports2.FALLBACK_STRATEGY_ID,
        strategy: exports2.FALLBACK_STRATEGY,
        globs: ["*"]
      };
    }
    exports2.match = match;
    function matchStrategies(bundlePath, strategies) {
      for (let i = strategies.length - 1; i >= 0; i--) {
        const strategy = strategies[i];
        if ((0, walk_files_1.matchesGlob)(bundlePath, strategy.globs)) {
          return strategy;
        }
      }
      return;
    }
  }
});

// ../blueprint/lib/blueprint.js
var require_blueprint = __commonJS({
  "../blueprint/lib/blueprint.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BlueprintSynthesisError = exports2.BlueprintSynthesisErrorTypes = exports2.Blueprint = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    var projen_1 = require_lib16();
    var traverse_1 = require_traverse();
    var create_lifecycle_pull_request_1 = require_create_lifecycle_pull_request();
    var context_file_1 = require_context_file();
    var file_set_1 = require_file_set();
    var deserialize_strategies_1 = require_deserialize_strategies();
    var match_1 = require_match();
    var ownership_1 = require_ownership();
    var Blueprint2 = class extends projen_1.Project {
      constructor(options) {
        var _a;
        super({
          name: "CodeCatalystBlueprint",
          ...options
        });
        const OPTIONS_FILE = "options.json";
        this.context = {
          rootDir: path.resolve(this.outdir),
          spaceName: process.env.CONTEXT_SPACENAME,
          environmentId: process.env.CONTEXT_ENVIRONMENTID,
          branchName: process.env.BRANCH_NAME,
          resynthesisPhase: process.env.RESYNTH_PHASE || "PROPOSED",
          npmConfiguration: {
            token: process.env.NPM_CONFIG_TOKEN,
            registry: (_a = process.env.NPM_CONFIG_REGISTRY) !== null && _a !== void 0 ? _a : ""
          },
          package: {
            name: process.env.PACKAGE_NAME,
            version: process.env.PACKAGE_VERSION
          },
          project: {
            name: process.env.CONTEXT_PROJECTNAME,
            bundlepath: process.env.EXISTING_BUNDLE_ABS,
            options: getOptions(path.join(process.env.EXISTING_BUNDLE_ABS || "", OPTIONS_FILE)),
            src: {
              findAll: (_options) => (0, traverse_1.traverse)(this.context.project.bundlepath, _options)
            }
          }
        };
        for (const component of this.components) {
          component.synthesize = () => {
          };
        }
        const optionsRecordPath = path.join(this.outdir, OPTIONS_FILE);
        fs.mkdirSync(path.dirname(optionsRecordPath), { recursive: true });
        fs.writeFileSync(optionsRecordPath, JSON.stringify(options, null, 2));
        this.resynthPullRequest = {
          originBranch: this.context.branchName || "resynthesis-update",
          title: `chore(resynthesis): update [${this.context.package.name}@${this.context.package.version}]`,
          description: [
            "This is a pull request created from a resynthesis update.",
            "",
            `Blueprint: [${this.context.package.name}@${this.context.package.version}]`,
            "### New Options",
            "```",
            JSON.stringify(options, null, 2),
            "```"
          ].join("\n")
        };
      }
      setResynthStrategies(bundlepath, strategies) {
        if (!this.strategies) {
          this.strategies = {};
        }
        this.strategies[bundlepath] = strategies;
      }
      getResynthStrategies(bundlepath) {
        return (this.strategies || {})[bundlepath] || [];
      }
      resynth(ancestorBundle, existingBundle, proposedBundle) {
        ancestorBundle = path.resolve(ancestorBundle);
        existingBundle = path.resolve(existingBundle);
        proposedBundle = path.resolve(proposedBundle);
        const overriddenStrategies = (0, deserialize_strategies_1.deserializeStrategies)(existingBundle, this.strategies || {});
        const validStrategies = (0, deserialize_strategies_1.merge)(this.strategies || {}, (0, deserialize_strategies_1.filterStrategies)(overriddenStrategies, this.context.package));
        let maxIdlength = 0;
        console.log("<<STRATEGY>> Last <<STRATEGY>> Wins:");
        console.log(`<<STRATEGY>> [SYS-FALLBACK] [${match_1.FALLBACK_STRATEGY_ID}] matches [*]`);
        for (const [ownershipFile, strategies] of Object.entries(validStrategies)) {
          for (const strategy of strategies) {
            console.log(structureStrategyReport(ownershipFile, strategy, {
              overriden: ownershipFile.includes(ownership_1.Ownership.DEFAULT_FILE_NAME)
            }));
            maxIdlength = Math.max(strategy.identifier.length, maxIdlength);
          }
        }
        maxIdlength = Math.max(maxIdlength, match_1.FALLBACK_STRATEGY_ID.length);
        const supersetSourcePaths = (0, file_set_1.filepathSet)([ancestorBundle, existingBundle, proposedBundle], ["src/**"]);
        supersetSourcePaths.forEach((sourcePath) => {
          const strategy = (0, match_1.match)(sourcePath, validStrategies);
          const { resourcePrefix, subdirectory, filepath } = (0, context_file_1.destructurePath)(sourcePath, "");
          const repositoryTitle = subdirectory;
          const resolvedFile = strategy.strategy((0, context_file_1.createContextFile)(ancestorBundle, resourcePrefix, repositoryTitle, filepath), (0, context_file_1.createContextFile)(existingBundle, resourcePrefix, repositoryTitle, filepath), (0, context_file_1.createContextFile)(proposedBundle, resourcePrefix, repositoryTitle, filepath));
          console.debug(structureMatchReport(maxIdlength, strategy, repositoryTitle, filepath));
          if (resolvedFile) {
            const outputPath = path.join(this.outdir, "src", repositoryTitle, resolvedFile.path);
            fs.mkdirSync(path.dirname(outputPath), { recursive: true });
            fs.writeFileSync(outputPath, resolvedFile.buffer);
          } else {
            console.debug("	 -> removed");
          }
        });
        (0, create_lifecycle_pull_request_1.createLifecyclePullRequest)(this.outdir, existingBundle, {
          originBranch: this.resynthPullRequest.originBranch,
          targetBranch: this.resynthPullRequest.targetBranch,
          pullRequest: {
            id: this.context.branchName || "resynthesis-update",
            title: this.resynthPullRequest.title,
            description: this.resynthPullRequest.description
          }
        });
      }
      throwSynthesisError(error) {
        throw error;
      }
    };
    exports2.Blueprint = Blueprint2;
    var BlueprintSynthesisErrorTypes;
    (function(BlueprintSynthesisErrorTypes2) {
      BlueprintSynthesisErrorTypes2["BlueprintSynthesisError"] = "BlueprintSynthesisError";
      BlueprintSynthesisErrorTypes2["ConflictError"] = "BlueprintSynthesisConflictError";
      BlueprintSynthesisErrorTypes2["NotFoundError"] = "BlueprintSynthesisNotFoundError";
      BlueprintSynthesisErrorTypes2["ValidationError"] = "BlueprintSynthesisValidationError";
    })(BlueprintSynthesisErrorTypes = exports2.BlueprintSynthesisErrorTypes || (exports2.BlueprintSynthesisErrorTypes = {}));
    var BlueprintSynthesisError = class extends Error {
      constructor(options) {
        const { message, type } = options;
        super(message);
        this.name = type;
      }
    };
    exports2.BlueprintSynthesisError = BlueprintSynthesisError;
    function structureMatchReport(maxStrategyLength, strategy, repository, filepath) {
      return `[${strategy.identifier}]${" ".repeat(maxStrategyLength - strategy.identifier.length)} [${repository}] [${filepath}] -> [${strategy.globs}]`;
    }
    function structureStrategyReport(ownershipFile, strategy, options) {
      let overrideText = "";
      if (options.overriden) {
        overrideText = "[Overridden] ";
      }
      return `<<STRATEGY>> ${overrideText}[${ownershipFile}] [${strategy.identifier}] matches [${strategy.globs}]`;
    }
    function getOptions(location) {
      try {
        return JSON.parse(fs.readFileSync(location).toString());
      } catch {
        return {};
      }
    }
  }
});

// ../blueprint/lib/context/context.js
var require_context = __commonJS({
  "../blueprint/lib/context/context.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/lib/resynthesis/merge-strategies/models.js
var require_models = __commonJS({
  "../blueprint/lib/resynthesis/merge-strategies/models.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/lib/region.js
var require_region = __commonJS({
  "../blueprint/lib/region.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../blueprint/lib/defaults.json
var require_defaults = __commonJS({
  "../blueprint/lib/defaults.json"(exports2, module2) {
    module2.exports = {};
  }
});

// ../blueprint/lib/index.js
var require_lib17 = __commonJS({
  "../blueprint/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaults = void 0;
    __exportStar(require_blueprint(), exports2);
    __exportStar(require_context(), exports2);
    __exportStar(require_ownership(), exports2);
    __exportStar(require_models(), exports2);
    __exportStar(require_merge_strategies(), exports2);
    __exportStar(require_region(), exports2);
    var defaults_json_1 = __importDefault(require_defaults());
    exports2.defaults = defaults_json_1.default;
  }
});

// ../../components/source-repositories/lib/ownership-file/blueprint-ownership-file.js
var require_blueprint_ownership_file = __commonJS({
  "../../components/source-repositories/lib/ownership-file/blueprint-ownership-file.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BlueprintOwnershipFile = exports2.BLUEPRINT_OWNERSHIP_FILE = void 0;
    var path = __importStar(require("path"));
    var blueprints_blueprint_1 = require_lib17();
    var source_file_1 = require_source_file();
    exports2.BLUEPRINT_OWNERSHIP_FILE = blueprints_blueprint_1.Ownership.DEFAULT_FILE_NAME;
    var BlueprintOwnershipFile = class extends source_file_1.SourceFile {
      constructor(sourceRepository, options) {
        var _a;
        const filepath = path.join((_a = options.filePath) !== null && _a !== void 0 ? _a : "", exports2.BLUEPRINT_OWNERSHIP_FILE);
        super(sourceRepository, filepath, blueprints_blueprint_1.Ownership.asString(sourceRepository.blueprint, options));
        this.sourceRepository = sourceRepository;
      }
    };
    exports2.BlueprintOwnershipFile = BlueprintOwnershipFile;
  }
});

// ../../components/source-repositories/lib/difference/difference.js
var require_difference = __commonJS({
  "../../components/source-repositories/lib/difference/difference.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Difference = void 0;
    var fs = __importStar(require("fs"));
    var path = __importStar(require("path"));
    var differences_1 = require_differences();
    var projen_1 = require_lib11();
    var Difference = class _Difference extends projen_1.Component {
      /**
         *
         * @param sourceRepository the source repository the difference is against
         * @param originBranch This is the origin branch of the pull request. Branch will be created if it does not exist.
         * @param options
         */
      constructor(repository, originBranch, options) {
        super(repository.blueprint);
        this.repository = repository;
        this.originBranch = originBranch;
        this.options = options;
        this.identifier = `${repository.title}-${originBranch}`;
        this.targetBranch = options === null || options === void 0 ? void 0 : options.targetBranch;
        this.patches = [];
      }
      /**
        * Takes a difference in patch format that can be applied directly across a fileset
        * @param id id of the patch, used as the filename. Can be used to break up the patches which make up a difference for easier viewing.
        * @param difference difference in patch format
        */
      addPatch(id, patch) {
        const filepath = path.join(this.repository.blueprint.context.rootDir, _Difference.BUNDLE_PATH, this.identifier, id);
        this.patches.push({
          filepath,
          filecontent: patch
        });
      }
      synthesize() {
        this.patches.forEach((patch) => {
          fs.mkdirSync(path.dirname(patch.filepath), { recursive: true });
          fs.writeFileSync(patch.filepath, patch.filecontent);
        });
      }
    };
    exports2.Difference = Difference;
    Difference.BUNDLE_PATH = differences_1.BUNDLE_PATH_SRC_DIFF;
  }
});

// ../../components/source-repositories/lib/pull-request/pull-request.js
var require_pull_request = __commonJS({
  "../../components/source-repositories/lib/pull-request/pull-request.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequest = void 0;
    var path = __importStar(require("path"));
    var pull_requests_1 = require_pull_requests();
    var projen_1 = require_lib11();
    var difference_1 = require_difference();
    var PullRequest = class extends projen_1.Component {
      constructor(blueprint, identifier, options) {
        super(blueprint);
        this.blueprint = blueprint;
        this.identifier = identifier;
        this.options = options;
      }
      synthesize() {
        (0, pull_requests_1.writePullRequest)(this.blueprint.outdir, this.identifier, {
          title: this.options.title,
          description: this.options.description,
          changes: (this.options.changes || []).map((diff) => {
            return {
              diffs: path.join(difference_1.Difference.BUNDLE_PATH, diff.identifier),
              repository: diff.repository.title,
              originBranch: diff.originBranch,
              targetBranch: diff.targetBranch
            };
          })
        });
      }
    };
    exports2.PullRequest = PullRequest;
    PullRequest.BUNDLE_PATH = pull_requests_1.BUNDLE_PATH_PULL_REQUEST;
  }
});

// ../../components/source-repositories/lib/index.js
var require_lib18 = __commonJS({
  "../../components/source-repositories/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_repository(), exports2);
    __exportStar(require_static_assets(), exports2);
    __exportStar(require_source_file(), exports2);
    __exportStar(require_file3(), exports2);
    __exportStar(require_blueprint_ownership_file(), exports2);
    __exportStar(require_pull_request(), exports2);
    __exportStar(require_difference(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/component.js
var require_component4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/component.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Component = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var Component = class {
      constructor(project) {
        this.project = project;
        project._addComponent(this);
      }
      /**
       * Called before synthesis.
       */
      preSynthesize() {
      }
      /**
       * Synthesizes files to the project output directory.
       */
      synthesize() {
      }
      /**
       * Called after synthesis. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
    };
    exports2.Component = Component;
    _a = JSII_RTTI_SYMBOL_1;
    Component[_a] = { fqn: "projen.Component", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/dev-env.js
var require_dev_env4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/dev-env.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevEnvironmentDockerImage = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var DevEnvironmentDockerImage = class {
      /**
       * A publicly available Docker image.
       * @example 'ubuntu:latest'
       * @param image a Docker image
       */
      static fromImage(image) {
        return { image };
      }
      /**
       * The relative path of a Dockerfile that defines the container contents.
       * @example '.gitpod.Docker'
       * @param dockerFile a relative path
       */
      static fromFile(dockerFile) {
        return { dockerFile };
      }
      constructor() {
      }
    };
    exports2.DevEnvironmentDockerImage = DevEnvironmentDockerImage;
    _a = JSII_RTTI_SYMBOL_1;
    DevEnvironmentDockerImage[_a] = { fqn: "projen.DevEnvironmentDockerImage", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/package.json
var require_package4 = __commonJS({
  "../../components/workflows/node_modules/projen/package.json"(exports2, module2) {
    module2.exports = {
      name: "projen",
      description: "CDK for software projects",
      repository: {
        type: "git",
        url: "https://github.com/projen/projen.git"
      },
      bin: {
        projen: "bin/projen"
      },
      scripts: {
        build: "/bin/bash ./projen.bash build",
        bump: "/bin/bash ./projen.bash bump",
        "bundle:task-runner": "/bin/bash ./projen.bash bundle:task-runner",
        clobber: "/bin/bash ./projen.bash clobber",
        compat: "/bin/bash ./projen.bash compat",
        compile: "/bin/bash ./projen.bash compile",
        "contributors:update": "/bin/bash ./projen.bash contributors:update",
        default: "/bin/bash ./projen.bash default",
        "devenv:setup": "/bin/bash ./projen.bash devenv:setup",
        docgen: "/bin/bash ./projen.bash docgen",
        eject: "/bin/bash ./projen.bash eject",
        eslint: "/bin/bash ./projen.bash eslint",
        integ: "/bin/bash ./projen.bash integ",
        "integ:python-compat": "/bin/bash ./projen.bash integ:python-compat",
        package: "/bin/bash ./projen.bash package",
        "package-all": "/bin/bash ./projen.bash package-all",
        "package:go": "/bin/bash ./projen.bash package:go",
        "package:java": "/bin/bash ./projen.bash package:java",
        "package:js": "/bin/bash ./projen.bash package:js",
        "package:python": "/bin/bash ./projen.bash package:python",
        "post-compile": "/bin/bash ./projen.bash post-compile",
        "post-upgrade": "/bin/bash ./projen.bash post-upgrade",
        "pre-compile": "/bin/bash ./projen.bash pre-compile",
        "readme-macros": "/bin/bash ./projen.bash readme-macros",
        release: "/bin/bash ./projen.bash release",
        test: "/bin/bash ./projen.bash test",
        "test:watch": "/bin/bash ./projen.bash test:watch",
        unbump: "/bin/bash ./projen.bash unbump",
        upgrade: "/bin/bash ./projen.bash upgrade",
        watch: "/bin/bash ./projen.bash watch",
        projen: "/bin/bash ./projen.bash"
      },
      author: {
        name: "Amazon Web Services",
        url: "https://aws.amazon.com",
        organization: true
      },
      devDependencies: {
        "@types/conventional-changelog-config-spec": "^2.1.2",
        "@types/glob": "^7.2.0",
        "@types/ini": "^1.3.31",
        "@types/jest": "^27",
        "@types/node": "^14",
        "@types/semver": "^7.5.0",
        "@types/yargs": "^16.0.5",
        "@typescript-eslint/eslint-plugin": "^5",
        "@typescript-eslint/parser": "^5",
        "all-contributors-cli": "^6.26.0",
        esbuild: "^0.18.10",
        eslint: "^8",
        "eslint-config-prettier": "^8.8.0",
        "eslint-import-resolver-node": "^0.3.7",
        "eslint-import-resolver-typescript": "^2.7.1",
        "eslint-plugin-import": "^2.27.5",
        "eslint-plugin-prettier": "^4.2.1",
        jest: "^29",
        "jest-junit": "^15",
        jsii: "5.x",
        "jsii-diff": "^1.84.0",
        "jsii-docgen": "^1.8.110",
        "jsii-pacmak": "^1.84.0",
        markmac: "^0.1.146",
        "npm-check-updates": "^16",
        prettier: "^2.8.8",
        "standard-version": "^9",
        "ts-jest": "^29",
        typescript: "5.x"
      },
      dependencies: {
        "@iarna/toml": "^2.2.5",
        case: "^1.6.3",
        chalk: "^4.1.2",
        "comment-json": "4.2.2",
        "conventional-changelog-config-spec": "^2.1.0",
        "fast-json-patch": "^3.1.1",
        glob: "^8",
        ini: "^2.0.0",
        semver: "^7.5.3",
        shx: "^0.3.4",
        xmlbuilder2: "^3.1.1",
        yaml: "^2.2.2",
        yargs: "^17.7.2"
      },
      bundledDependencies: [
        "@iarna/toml",
        "case",
        "chalk",
        "comment-json",
        "conventional-changelog-config-spec",
        "fast-json-patch",
        "glob",
        "ini",
        "semver",
        "shx",
        "xmlbuilder2",
        "yaml",
        "yargs"
      ],
      keywords: [
        "cdk",
        "cicd",
        "generator",
        "management",
        "project",
        "scaffolding"
      ],
      engines: {
        node: ">= 14.0.0"
      },
      main: "lib/index.js",
      license: "Apache-2.0",
      version: "0.71.112",
      jest: {
        maxWorkers: "50%",
        testMatch: [
          "<rootDir>/src/**/__tests__/**/*.ts?(x)",
          "<rootDir>/(test|src)/**/*(*.)@(spec|test).ts?(x)"
        ],
        clearMocks: true,
        collectCoverage: true,
        coverageReporters: [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ],
        coverageDirectory: "coverage",
        coveragePathIgnorePatterns: [
          "/node_modules/"
        ],
        testPathIgnorePatterns: [
          "/node_modules/"
        ],
        watchPathIgnorePatterns: [
          "/node_modules/"
        ],
        reporters: [
          "default",
          [
            "jest-junit",
            {
              outputDirectory: "test-reports"
            }
          ]
        ],
        preset: "ts-jest",
        globals: {
          "ts-jest": {
            tsconfig: "tsconfig.dev.json"
          }
        }
      },
      types: "lib/index.d.ts",
      stability: "experimental",
      jsii: {
        outdir: "dist",
        targets: {
          java: {
            package: "io.github.cdklabs.projen",
            maven: {
              groupId: "io.github.cdklabs",
              artifactId: "projen"
            }
          },
          python: {
            distName: "projen",
            module: "projen"
          },
          go: {
            moduleName: "github.com/projen/projen-go"
          }
        },
        tsc: {
          outDir: "lib",
          rootDir: "src"
        }
      },
      "//": '~~ Generated by projen. To modify, edit .projenrc.js and run "npx projen".'
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/common.js
var require_common14 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/common.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN = exports2.PROJEN_MARKER = exports2.PROJEN_DIR = exports2.PROJEN_RC = void 0;
    exports2.PROJEN_RC = ".projenrc.js";
    exports2.PROJEN_DIR = ".projen";
    exports2.PROJEN_MARKER = "~~ Generated by projen";
    exports2.IS_TEST_RUN = process.env.NODE_ENV === "test";
    var packageVersion = require_package4().version;
    exports2.PROJEN_VERSION = exports2.IS_TEST_RUN ? "99.99.99" : packageVersion;
  }
});

// ../../components/workflows/node_modules/projen/lib/_resolve.js
var require_resolve4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/_resolve.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolve = void 0;
    function isResolvable(obj) {
      return obj.toJSON !== void 0;
    }
    function resolve(value, options = {}) {
      const args = options.args ?? [];
      const omitEmpty = options.omitEmpty ?? false;
      if (value == null) {
        return value;
      }
      if (isResolvable(value)) {
        const resolved = value.toJSON();
        return resolve(resolved, options);
      }
      if (typeof value === "function") {
        const resolved = value.apply(void 0, args);
        return resolve(resolved, options);
      }
      if (typeof value !== "object") {
        return value;
      }
      if (Array.isArray(value)) {
        if (omitEmpty && value.length === 0) {
          return void 0;
        }
        return value.map((x) => resolve(x, options)).filter((x) => x != null);
      }
      if (value.constructor && value.constructor?.name !== "Object") {
        throw new Error(`only data types can be resolved. trying to resolve object of type ${value.constructor?.name}`);
      }
      const result = {};
      for (const [k, v] of Object.entries(value)) {
        const resolved = resolve(v, options);
        if (resolved === void 0) {
          continue;
        }
        result[k] = resolved;
      }
      if (omitEmpty && Object.keys(result).length === 0) {
        return void 0;
      }
      return result;
    }
    exports2.resolve = resolve;
  }
});

// ../../components/workflows/node_modules/projen/lib/projenrc.js
var require_projenrc16 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var ProjenrcFile = class _ProjenrcFile extends component_1.Component {
      /**
       * Returns the `Projenrc` instance associated with a project or `undefined` if
       * there is no Projenrc.
       * @param project The project
       * @returns A Projenrc
       */
      static of(project) {
        const isProjenrc = (o) => o instanceof _ProjenrcFile;
        return project.components.find(isProjenrc);
      }
    };
    exports2.ProjenrcFile = ProjenrcFile;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcFile[_a] = { fqn: "projen.ProjenrcFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/case/dist/Case.js
var require_Case4 = __commonJS({
  "../../components/workflows/node_modules/case/dist/Case.js"(exports2, module2) {
    (function() {
      "use strict";
      var unicodes = function(s, prefix) {
        prefix = prefix || "";
        return s.replace(/(^|-)/g, "$1\\u" + prefix).replace(/,/g, "\\u" + prefix);
      }, basicSymbols = unicodes("20-26,28-2F,3A-40,5B-60,7B-7E,A0-BF,D7,F7", "00"), baseLowerCase = "a-z" + unicodes("DF-F6,F8-FF", "00"), baseUpperCase = "A-Z" + unicodes("C0-D6,D8-DE", "00"), improperInTitle = "A|An|And|As|At|But|By|En|For|If|In|Of|On|Or|The|To|Vs?\\.?|Via", regexps = function(symbols, lowers, uppers, impropers) {
        symbols = symbols || basicSymbols;
        lowers = lowers || baseLowerCase;
        uppers = uppers || baseUpperCase;
        impropers = impropers || improperInTitle;
        return {
          capitalize: new RegExp("(^|[" + symbols + "])([" + lowers + "])", "g"),
          pascal: new RegExp("(^|[" + symbols + "])+([" + lowers + uppers + "])", "g"),
          fill: new RegExp("[" + symbols + "]+(.|$)", "g"),
          sentence: new RegExp('(^\\s*|[\\?\\!\\.]+"?\\s+"?|,\\s+")([' + lowers + "])", "g"),
          improper: new RegExp("\\b(" + impropers + ")\\b", "g"),
          relax: new RegExp("([^" + uppers + "])([" + uppers + "]*)([" + uppers + "])(?=[^" + uppers + "]|$)", "g"),
          upper: new RegExp("^[^" + lowers + "]+$"),
          hole: /[^\s]\s[^\s]/,
          apostrophe: /'/g,
          room: new RegExp("[" + symbols + "]")
        };
      }, re = regexps(), _ = {
        re,
        unicodes,
        regexps,
        types: [],
        up: String.prototype.toUpperCase,
        low: String.prototype.toLowerCase,
        cap: function(s) {
          return _.up.call(s.charAt(0)) + s.slice(1);
        },
        decap: function(s) {
          return _.low.call(s.charAt(0)) + s.slice(1);
        },
        deapostrophe: function(s) {
          return s.replace(re.apostrophe, "");
        },
        fill: function(s, fill, deapostrophe) {
          if (fill != null) {
            s = s.replace(re.fill, function(m, next) {
              return next ? fill + next : "";
            });
          }
          if (deapostrophe) {
            s = _.deapostrophe(s);
          }
          return s;
        },
        prep: function(s, fill, pascal, upper) {
          s = s == null ? "" : s + "";
          if (!upper && re.upper.test(s)) {
            s = _.low.call(s);
          }
          if (!fill && !re.hole.test(s)) {
            var holey = _.fill(s, " ");
            if (re.hole.test(holey)) {
              s = holey;
            }
          }
          if (!pascal && !re.room.test(s)) {
            s = s.replace(re.relax, _.relax);
          }
          return s;
        },
        relax: function(m, before, acronym, caps) {
          return before + " " + (acronym ? acronym + " " : "") + caps;
        }
      }, Case = {
        _,
        of: function(s) {
          for (var i = 0, m = _.types.length; i < m; i++) {
            if (Case[_.types[i]].apply(Case, arguments) === s) {
              return _.types[i];
            }
          }
        },
        flip: function(s) {
          return s.replace(/\w/g, function(l) {
            return (l == _.up.call(l) ? _.low : _.up).call(l);
          });
        },
        random: function(s) {
          return s.replace(/\w/g, function(l) {
            return (Math.round(Math.random()) ? _.up : _.low).call(l);
          });
        },
        type: function(type2, fn) {
          Case[type2] = fn;
          _.types.push(type2);
        }
      }, types = {
        lower: function(s, fill, deapostrophe) {
          return _.fill(_.low.call(_.prep(s, fill)), fill, deapostrophe);
        },
        snake: function(s) {
          return Case.lower(s, "_", true);
        },
        constant: function(s) {
          return Case.upper(s, "_", true);
        },
        camel: function(s) {
          return _.decap(Case.pascal(s));
        },
        kebab: function(s) {
          return Case.lower(s, "-", true);
        },
        upper: function(s, fill, deapostrophe) {
          return _.fill(_.up.call(_.prep(s, fill, false, true)), fill, deapostrophe);
        },
        capital: function(s, fill, deapostrophe) {
          return _.fill(_.prep(s).replace(re.capitalize, function(m, border, letter) {
            return border + _.up.call(letter);
          }), fill, deapostrophe);
        },
        header: function(s) {
          return Case.capital(s, "-", true);
        },
        pascal: function(s) {
          return _.fill(_.prep(s, false, true).replace(re.pascal, function(m, border, letter) {
            return _.up.call(letter);
          }), "", true);
        },
        title: function(s) {
          return Case.capital(s).replace(re.improper, function(small, p, i, s2) {
            return i > 0 && i < s2.lastIndexOf(" ") ? _.low.call(small) : small;
          });
        },
        sentence: function(s, names, abbreviations) {
          s = Case.lower(s).replace(re.sentence, function(m, prelude, letter) {
            return prelude + _.up.call(letter);
          });
          if (names) {
            names.forEach(function(name) {
              s = s.replace(new RegExp("\\b" + Case.lower(name) + "\\b", "g"), _.cap);
            });
          }
          if (abbreviations) {
            abbreviations.forEach(function(abbr) {
              s = s.replace(new RegExp("(\\b" + Case.lower(abbr) + "\\. +)(\\w)"), function(m, abbrAndSpace, letter) {
                return abbrAndSpace + _.low.call(letter);
              });
            });
          }
          return s;
        }
      };
      types.squish = types.pascal;
      Case.default = Case;
      for (var type in types) {
        Case.type(type, types[type]);
      }
      var define2 = typeof define2 === "function" ? define2 : function() {
      };
      define2(typeof module2 === "object" && module2.exports ? module2.exports = Case : this.Case = Case);
    }).call(exports2);
  }
});

// ../../components/workflows/node_modules/color-name/index.js
var require_color_name4 = __commonJS({
  "../../components/workflows/node_modules/color-name/index.js"(exports2, module2) {
    "use strict";
    module2.exports = {
      "aliceblue": [240, 248, 255],
      "antiquewhite": [250, 235, 215],
      "aqua": [0, 255, 255],
      "aquamarine": [127, 255, 212],
      "azure": [240, 255, 255],
      "beige": [245, 245, 220],
      "bisque": [255, 228, 196],
      "black": [0, 0, 0],
      "blanchedalmond": [255, 235, 205],
      "blue": [0, 0, 255],
      "blueviolet": [138, 43, 226],
      "brown": [165, 42, 42],
      "burlywood": [222, 184, 135],
      "cadetblue": [95, 158, 160],
      "chartreuse": [127, 255, 0],
      "chocolate": [210, 105, 30],
      "coral": [255, 127, 80],
      "cornflowerblue": [100, 149, 237],
      "cornsilk": [255, 248, 220],
      "crimson": [220, 20, 60],
      "cyan": [0, 255, 255],
      "darkblue": [0, 0, 139],
      "darkcyan": [0, 139, 139],
      "darkgoldenrod": [184, 134, 11],
      "darkgray": [169, 169, 169],
      "darkgreen": [0, 100, 0],
      "darkgrey": [169, 169, 169],
      "darkkhaki": [189, 183, 107],
      "darkmagenta": [139, 0, 139],
      "darkolivegreen": [85, 107, 47],
      "darkorange": [255, 140, 0],
      "darkorchid": [153, 50, 204],
      "darkred": [139, 0, 0],
      "darksalmon": [233, 150, 122],
      "darkseagreen": [143, 188, 143],
      "darkslateblue": [72, 61, 139],
      "darkslategray": [47, 79, 79],
      "darkslategrey": [47, 79, 79],
      "darkturquoise": [0, 206, 209],
      "darkviolet": [148, 0, 211],
      "deeppink": [255, 20, 147],
      "deepskyblue": [0, 191, 255],
      "dimgray": [105, 105, 105],
      "dimgrey": [105, 105, 105],
      "dodgerblue": [30, 144, 255],
      "firebrick": [178, 34, 34],
      "floralwhite": [255, 250, 240],
      "forestgreen": [34, 139, 34],
      "fuchsia": [255, 0, 255],
      "gainsboro": [220, 220, 220],
      "ghostwhite": [248, 248, 255],
      "gold": [255, 215, 0],
      "goldenrod": [218, 165, 32],
      "gray": [128, 128, 128],
      "green": [0, 128, 0],
      "greenyellow": [173, 255, 47],
      "grey": [128, 128, 128],
      "honeydew": [240, 255, 240],
      "hotpink": [255, 105, 180],
      "indianred": [205, 92, 92],
      "indigo": [75, 0, 130],
      "ivory": [255, 255, 240],
      "khaki": [240, 230, 140],
      "lavender": [230, 230, 250],
      "lavenderblush": [255, 240, 245],
      "lawngreen": [124, 252, 0],
      "lemonchiffon": [255, 250, 205],
      "lightblue": [173, 216, 230],
      "lightcoral": [240, 128, 128],
      "lightcyan": [224, 255, 255],
      "lightgoldenrodyellow": [250, 250, 210],
      "lightgray": [211, 211, 211],
      "lightgreen": [144, 238, 144],
      "lightgrey": [211, 211, 211],
      "lightpink": [255, 182, 193],
      "lightsalmon": [255, 160, 122],
      "lightseagreen": [32, 178, 170],
      "lightskyblue": [135, 206, 250],
      "lightslategray": [119, 136, 153],
      "lightslategrey": [119, 136, 153],
      "lightsteelblue": [176, 196, 222],
      "lightyellow": [255, 255, 224],
      "lime": [0, 255, 0],
      "limegreen": [50, 205, 50],
      "linen": [250, 240, 230],
      "magenta": [255, 0, 255],
      "maroon": [128, 0, 0],
      "mediumaquamarine": [102, 205, 170],
      "mediumblue": [0, 0, 205],
      "mediumorchid": [186, 85, 211],
      "mediumpurple": [147, 112, 219],
      "mediumseagreen": [60, 179, 113],
      "mediumslateblue": [123, 104, 238],
      "mediumspringgreen": [0, 250, 154],
      "mediumturquoise": [72, 209, 204],
      "mediumvioletred": [199, 21, 133],
      "midnightblue": [25, 25, 112],
      "mintcream": [245, 255, 250],
      "mistyrose": [255, 228, 225],
      "moccasin": [255, 228, 181],
      "navajowhite": [255, 222, 173],
      "navy": [0, 0, 128],
      "oldlace": [253, 245, 230],
      "olive": [128, 128, 0],
      "olivedrab": [107, 142, 35],
      "orange": [255, 165, 0],
      "orangered": [255, 69, 0],
      "orchid": [218, 112, 214],
      "palegoldenrod": [238, 232, 170],
      "palegreen": [152, 251, 152],
      "paleturquoise": [175, 238, 238],
      "palevioletred": [219, 112, 147],
      "papayawhip": [255, 239, 213],
      "peachpuff": [255, 218, 185],
      "peru": [205, 133, 63],
      "pink": [255, 192, 203],
      "plum": [221, 160, 221],
      "powderblue": [176, 224, 230],
      "purple": [128, 0, 128],
      "rebeccapurple": [102, 51, 153],
      "red": [255, 0, 0],
      "rosybrown": [188, 143, 143],
      "royalblue": [65, 105, 225],
      "saddlebrown": [139, 69, 19],
      "salmon": [250, 128, 114],
      "sandybrown": [244, 164, 96],
      "seagreen": [46, 139, 87],
      "seashell": [255, 245, 238],
      "sienna": [160, 82, 45],
      "silver": [192, 192, 192],
      "skyblue": [135, 206, 235],
      "slateblue": [106, 90, 205],
      "slategray": [112, 128, 144],
      "slategrey": [112, 128, 144],
      "snow": [255, 250, 250],
      "springgreen": [0, 255, 127],
      "steelblue": [70, 130, 180],
      "tan": [210, 180, 140],
      "teal": [0, 128, 128],
      "thistle": [216, 191, 216],
      "tomato": [255, 99, 71],
      "turquoise": [64, 224, 208],
      "violet": [238, 130, 238],
      "wheat": [245, 222, 179],
      "white": [255, 255, 255],
      "whitesmoke": [245, 245, 245],
      "yellow": [255, 255, 0],
      "yellowgreen": [154, 205, 50]
    };
  }
});

// ../../components/workflows/node_modules/color-convert/conversions.js
var require_conversions4 = __commonJS({
  "../../components/workflows/node_modules/color-convert/conversions.js"(exports2, module2) {
    var cssKeywords = require_color_name4();
    var reverseKeywords = {};
    for (const key of Object.keys(cssKeywords)) {
      reverseKeywords[cssKeywords[key]] = key;
    }
    var convert = {
      rgb: { channels: 3, labels: "rgb" },
      hsl: { channels: 3, labels: "hsl" },
      hsv: { channels: 3, labels: "hsv" },
      hwb: { channels: 3, labels: "hwb" },
      cmyk: { channels: 4, labels: "cmyk" },
      xyz: { channels: 3, labels: "xyz" },
      lab: { channels: 3, labels: "lab" },
      lch: { channels: 3, labels: "lch" },
      hex: { channels: 1, labels: ["hex"] },
      keyword: { channels: 1, labels: ["keyword"] },
      ansi16: { channels: 1, labels: ["ansi16"] },
      ansi256: { channels: 1, labels: ["ansi256"] },
      hcg: { channels: 3, labels: ["h", "c", "g"] },
      apple: { channels: 3, labels: ["r16", "g16", "b16"] },
      gray: { channels: 1, labels: ["gray"] }
    };
    module2.exports = convert;
    for (const model of Object.keys(convert)) {
      if (!("channels" in convert[model])) {
        throw new Error("missing channels property: " + model);
      }
      if (!("labels" in convert[model])) {
        throw new Error("missing channel labels property: " + model);
      }
      if (convert[model].labels.length !== convert[model].channels) {
        throw new Error("channel and label counts mismatch: " + model);
      }
      const { channels, labels } = convert[model];
      delete convert[model].channels;
      delete convert[model].labels;
      Object.defineProperty(convert[model], "channels", { value: channels });
      Object.defineProperty(convert[model], "labels", { value: labels });
    }
    convert.rgb.hsl = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const min = Math.min(r, g, b);
      const max = Math.max(r, g, b);
      const delta = max - min;
      let h;
      let s;
      if (max === min) {
        h = 0;
      } else if (r === max) {
        h = (g - b) / delta;
      } else if (g === max) {
        h = 2 + (b - r) / delta;
      } else if (b === max) {
        h = 4 + (r - g) / delta;
      }
      h = Math.min(h * 60, 360);
      if (h < 0) {
        h += 360;
      }
      const l = (min + max) / 2;
      if (max === min) {
        s = 0;
      } else if (l <= 0.5) {
        s = delta / (max + min);
      } else {
        s = delta / (2 - max - min);
      }
      return [h, s * 100, l * 100];
    };
    convert.rgb.hsv = function(rgb) {
      let rdif;
      let gdif;
      let bdif;
      let h;
      let s;
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const v = Math.max(r, g, b);
      const diff = v - Math.min(r, g, b);
      const diffc = function(c) {
        return (v - c) / 6 / diff + 1 / 2;
      };
      if (diff === 0) {
        h = 0;
        s = 0;
      } else {
        s = diff / v;
        rdif = diffc(r);
        gdif = diffc(g);
        bdif = diffc(b);
        if (r === v) {
          h = bdif - gdif;
        } else if (g === v) {
          h = 1 / 3 + rdif - bdif;
        } else if (b === v) {
          h = 2 / 3 + gdif - rdif;
        }
        if (h < 0) {
          h += 1;
        } else if (h > 1) {
          h -= 1;
        }
      }
      return [
        h * 360,
        s * 100,
        v * 100
      ];
    };
    convert.rgb.hwb = function(rgb) {
      const r = rgb[0];
      const g = rgb[1];
      let b = rgb[2];
      const h = convert.rgb.hsl(rgb)[0];
      const w = 1 / 255 * Math.min(r, Math.min(g, b));
      b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
      return [h, w * 100, b * 100];
    };
    convert.rgb.cmyk = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const k = Math.min(1 - r, 1 - g, 1 - b);
      const c = (1 - r - k) / (1 - k) || 0;
      const m = (1 - g - k) / (1 - k) || 0;
      const y = (1 - b - k) / (1 - k) || 0;
      return [c * 100, m * 100, y * 100, k * 100];
    };
    function comparativeDistance(x, y) {
      return (x[0] - y[0]) ** 2 + (x[1] - y[1]) ** 2 + (x[2] - y[2]) ** 2;
    }
    convert.rgb.keyword = function(rgb) {
      const reversed = reverseKeywords[rgb];
      if (reversed) {
        return reversed;
      }
      let currentClosestDistance = Infinity;
      let currentClosestKeyword;
      for (const keyword of Object.keys(cssKeywords)) {
        const value = cssKeywords[keyword];
        const distance = comparativeDistance(rgb, value);
        if (distance < currentClosestDistance) {
          currentClosestDistance = distance;
          currentClosestKeyword = keyword;
        }
      }
      return currentClosestKeyword;
    };
    convert.keyword.rgb = function(keyword) {
      return cssKeywords[keyword];
    };
    convert.rgb.xyz = function(rgb) {
      let r = rgb[0] / 255;
      let g = rgb[1] / 255;
      let b = rgb[2] / 255;
      r = r > 0.04045 ? ((r + 0.055) / 1.055) ** 2.4 : r / 12.92;
      g = g > 0.04045 ? ((g + 0.055) / 1.055) ** 2.4 : g / 12.92;
      b = b > 0.04045 ? ((b + 0.055) / 1.055) ** 2.4 : b / 12.92;
      const x = r * 0.4124 + g * 0.3576 + b * 0.1805;
      const y = r * 0.2126 + g * 0.7152 + b * 0.0722;
      const z = r * 0.0193 + g * 0.1192 + b * 0.9505;
      return [x * 100, y * 100, z * 100];
    };
    convert.rgb.lab = function(rgb) {
      const xyz = convert.rgb.xyz(rgb);
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.hsl.rgb = function(hsl) {
      const h = hsl[0] / 360;
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      let t2;
      let t3;
      let val;
      if (s === 0) {
        val = l * 255;
        return [val, val, val];
      }
      if (l < 0.5) {
        t2 = l * (1 + s);
      } else {
        t2 = l + s - l * s;
      }
      const t1 = 2 * l - t2;
      const rgb = [0, 0, 0];
      for (let i = 0; i < 3; i++) {
        t3 = h + 1 / 3 * -(i - 1);
        if (t3 < 0) {
          t3++;
        }
        if (t3 > 1) {
          t3--;
        }
        if (6 * t3 < 1) {
          val = t1 + (t2 - t1) * 6 * t3;
        } else if (2 * t3 < 1) {
          val = t2;
        } else if (3 * t3 < 2) {
          val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
        } else {
          val = t1;
        }
        rgb[i] = val * 255;
      }
      return rgb;
    };
    convert.hsl.hsv = function(hsl) {
      const h = hsl[0];
      let s = hsl[1] / 100;
      let l = hsl[2] / 100;
      let smin = s;
      const lmin = Math.max(l, 0.01);
      l *= 2;
      s *= l <= 1 ? l : 2 - l;
      smin *= lmin <= 1 ? lmin : 2 - lmin;
      const v = (l + s) / 2;
      const sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
      return [h, sv * 100, v * 100];
    };
    convert.hsv.rgb = function(hsv) {
      const h = hsv[0] / 60;
      const s = hsv[1] / 100;
      let v = hsv[2] / 100;
      const hi = Math.floor(h) % 6;
      const f = h - Math.floor(h);
      const p = 255 * v * (1 - s);
      const q = 255 * v * (1 - s * f);
      const t = 255 * v * (1 - s * (1 - f));
      v *= 255;
      switch (hi) {
        case 0:
          return [v, t, p];
        case 1:
          return [q, v, p];
        case 2:
          return [p, v, t];
        case 3:
          return [p, q, v];
        case 4:
          return [t, p, v];
        case 5:
          return [v, p, q];
      }
    };
    convert.hsv.hsl = function(hsv) {
      const h = hsv[0];
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const vmin = Math.max(v, 0.01);
      let sl;
      let l;
      l = (2 - s) * v;
      const lmin = (2 - s) * vmin;
      sl = s * vmin;
      sl /= lmin <= 1 ? lmin : 2 - lmin;
      sl = sl || 0;
      l /= 2;
      return [h, sl * 100, l * 100];
    };
    convert.hwb.rgb = function(hwb) {
      const h = hwb[0] / 360;
      let wh = hwb[1] / 100;
      let bl = hwb[2] / 100;
      const ratio = wh + bl;
      let f;
      if (ratio > 1) {
        wh /= ratio;
        bl /= ratio;
      }
      const i = Math.floor(6 * h);
      const v = 1 - bl;
      f = 6 * h - i;
      if ((i & 1) !== 0) {
        f = 1 - f;
      }
      const n = wh + f * (v - wh);
      let r;
      let g;
      let b;
      switch (i) {
        default:
        case 6:
        case 0:
          r = v;
          g = n;
          b = wh;
          break;
        case 1:
          r = n;
          g = v;
          b = wh;
          break;
        case 2:
          r = wh;
          g = v;
          b = n;
          break;
        case 3:
          r = wh;
          g = n;
          b = v;
          break;
        case 4:
          r = n;
          g = wh;
          b = v;
          break;
        case 5:
          r = v;
          g = wh;
          b = n;
          break;
      }
      return [r * 255, g * 255, b * 255];
    };
    convert.cmyk.rgb = function(cmyk) {
      const c = cmyk[0] / 100;
      const m = cmyk[1] / 100;
      const y = cmyk[2] / 100;
      const k = cmyk[3] / 100;
      const r = 1 - Math.min(1, c * (1 - k) + k);
      const g = 1 - Math.min(1, m * (1 - k) + k);
      const b = 1 - Math.min(1, y * (1 - k) + k);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.rgb = function(xyz) {
      const x = xyz[0] / 100;
      const y = xyz[1] / 100;
      const z = xyz[2] / 100;
      let r;
      let g;
      let b;
      r = x * 3.2406 + y * -1.5372 + z * -0.4986;
      g = x * -0.9689 + y * 1.8758 + z * 0.0415;
      b = x * 0.0557 + y * -0.204 + z * 1.057;
      r = r > 31308e-7 ? 1.055 * r ** (1 / 2.4) - 0.055 : r * 12.92;
      g = g > 31308e-7 ? 1.055 * g ** (1 / 2.4) - 0.055 : g * 12.92;
      b = b > 31308e-7 ? 1.055 * b ** (1 / 2.4) - 0.055 : b * 12.92;
      r = Math.min(Math.max(0, r), 1);
      g = Math.min(Math.max(0, g), 1);
      b = Math.min(Math.max(0, b), 1);
      return [r * 255, g * 255, b * 255];
    };
    convert.xyz.lab = function(xyz) {
      let x = xyz[0];
      let y = xyz[1];
      let z = xyz[2];
      x /= 95.047;
      y /= 100;
      z /= 108.883;
      x = x > 8856e-6 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
      y = y > 8856e-6 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
      z = z > 8856e-6 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
      const l = 116 * y - 16;
      const a = 500 * (x - y);
      const b = 200 * (y - z);
      return [l, a, b];
    };
    convert.lab.xyz = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let x;
      let y;
      let z;
      y = (l + 16) / 116;
      x = a / 500 + y;
      z = y - b / 200;
      const y2 = y ** 3;
      const x2 = x ** 3;
      const z2 = z ** 3;
      y = y2 > 8856e-6 ? y2 : (y - 16 / 116) / 7.787;
      x = x2 > 8856e-6 ? x2 : (x - 16 / 116) / 7.787;
      z = z2 > 8856e-6 ? z2 : (z - 16 / 116) / 7.787;
      x *= 95.047;
      y *= 100;
      z *= 108.883;
      return [x, y, z];
    };
    convert.lab.lch = function(lab) {
      const l = lab[0];
      const a = lab[1];
      const b = lab[2];
      let h;
      const hr = Math.atan2(b, a);
      h = hr * 360 / 2 / Math.PI;
      if (h < 0) {
        h += 360;
      }
      const c = Math.sqrt(a * a + b * b);
      return [l, c, h];
    };
    convert.lch.lab = function(lch) {
      const l = lch[0];
      const c = lch[1];
      const h = lch[2];
      const hr = h / 360 * 2 * Math.PI;
      const a = c * Math.cos(hr);
      const b = c * Math.sin(hr);
      return [l, a, b];
    };
    convert.rgb.ansi16 = function(args, saturation = null) {
      const [r, g, b] = args;
      let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation;
      value = Math.round(value / 50);
      if (value === 0) {
        return 30;
      }
      let ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));
      if (value === 2) {
        ansi += 60;
      }
      return ansi;
    };
    convert.hsv.ansi16 = function(args) {
      return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
    };
    convert.rgb.ansi256 = function(args) {
      const r = args[0];
      const g = args[1];
      const b = args[2];
      if (r === g && g === b) {
        if (r < 8) {
          return 16;
        }
        if (r > 248) {
          return 231;
        }
        return Math.round((r - 8) / 247 * 24) + 232;
      }
      const ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
      return ansi;
    };
    convert.ansi16.rgb = function(args) {
      let color = args % 10;
      if (color === 0 || color === 7) {
        if (args > 50) {
          color += 3.5;
        }
        color = color / 10.5 * 255;
        return [color, color, color];
      }
      const mult = (~~(args > 50) + 1) * 0.5;
      const r = (color & 1) * mult * 255;
      const g = (color >> 1 & 1) * mult * 255;
      const b = (color >> 2 & 1) * mult * 255;
      return [r, g, b];
    };
    convert.ansi256.rgb = function(args) {
      if (args >= 232) {
        const c = (args - 232) * 10 + 8;
        return [c, c, c];
      }
      args -= 16;
      let rem;
      const r = Math.floor(args / 36) / 5 * 255;
      const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
      const b = rem % 6 / 5 * 255;
      return [r, g, b];
    };
    convert.rgb.hex = function(args) {
      const integer = ((Math.round(args[0]) & 255) << 16) + ((Math.round(args[1]) & 255) << 8) + (Math.round(args[2]) & 255);
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.hex.rgb = function(args) {
      const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
      if (!match) {
        return [0, 0, 0];
      }
      let colorString = match[0];
      if (match[0].length === 3) {
        colorString = colorString.split("").map((char) => {
          return char + char;
        }).join("");
      }
      const integer = parseInt(colorString, 16);
      const r = integer >> 16 & 255;
      const g = integer >> 8 & 255;
      const b = integer & 255;
      return [r, g, b];
    };
    convert.rgb.hcg = function(rgb) {
      const r = rgb[0] / 255;
      const g = rgb[1] / 255;
      const b = rgb[2] / 255;
      const max = Math.max(Math.max(r, g), b);
      const min = Math.min(Math.min(r, g), b);
      const chroma = max - min;
      let grayscale;
      let hue;
      if (chroma < 1) {
        grayscale = min / (1 - chroma);
      } else {
        grayscale = 0;
      }
      if (chroma <= 0) {
        hue = 0;
      } else if (max === r) {
        hue = (g - b) / chroma % 6;
      } else if (max === g) {
        hue = 2 + (b - r) / chroma;
      } else {
        hue = 4 + (r - g) / chroma;
      }
      hue /= 6;
      hue %= 1;
      return [hue * 360, chroma * 100, grayscale * 100];
    };
    convert.hsl.hcg = function(hsl) {
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      const c = l < 0.5 ? 2 * s * l : 2 * s * (1 - l);
      let f = 0;
      if (c < 1) {
        f = (l - 0.5 * c) / (1 - c);
      }
      return [hsl[0], c * 100, f * 100];
    };
    convert.hsv.hcg = function(hsv) {
      const s = hsv[1] / 100;
      const v = hsv[2] / 100;
      const c = s * v;
      let f = 0;
      if (c < 1) {
        f = (v - c) / (1 - c);
      }
      return [hsv[0], c * 100, f * 100];
    };
    convert.hcg.rgb = function(hcg) {
      const h = hcg[0] / 360;
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      if (c === 0) {
        return [g * 255, g * 255, g * 255];
      }
      const pure = [0, 0, 0];
      const hi = h % 1 * 6;
      const v = hi % 1;
      const w = 1 - v;
      let mg = 0;
      switch (Math.floor(hi)) {
        case 0:
          pure[0] = 1;
          pure[1] = v;
          pure[2] = 0;
          break;
        case 1:
          pure[0] = w;
          pure[1] = 1;
          pure[2] = 0;
          break;
        case 2:
          pure[0] = 0;
          pure[1] = 1;
          pure[2] = v;
          break;
        case 3:
          pure[0] = 0;
          pure[1] = w;
          pure[2] = 1;
          break;
        case 4:
          pure[0] = v;
          pure[1] = 0;
          pure[2] = 1;
          break;
        default:
          pure[0] = 1;
          pure[1] = 0;
          pure[2] = w;
      }
      mg = (1 - c) * g;
      return [
        (c * pure[0] + mg) * 255,
        (c * pure[1] + mg) * 255,
        (c * pure[2] + mg) * 255
      ];
    };
    convert.hcg.hsv = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      let f = 0;
      if (v > 0) {
        f = c / v;
      }
      return [hcg[0], f * 100, v * 100];
    };
    convert.hcg.hsl = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const l = g * (1 - c) + 0.5 * c;
      let s = 0;
      if (l > 0 && l < 0.5) {
        s = c / (2 * l);
      } else if (l >= 0.5 && l < 1) {
        s = c / (2 * (1 - l));
      }
      return [hcg[0], s * 100, l * 100];
    };
    convert.hcg.hwb = function(hcg) {
      const c = hcg[1] / 100;
      const g = hcg[2] / 100;
      const v = c + g * (1 - c);
      return [hcg[0], (v - c) * 100, (1 - v) * 100];
    };
    convert.hwb.hcg = function(hwb) {
      const w = hwb[1] / 100;
      const b = hwb[2] / 100;
      const v = 1 - b;
      const c = v - w;
      let g = 0;
      if (c < 1) {
        g = (v - c) / (1 - c);
      }
      return [hwb[0], c * 100, g * 100];
    };
    convert.apple.rgb = function(apple) {
      return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
    };
    convert.rgb.apple = function(rgb) {
      return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
    };
    convert.gray.rgb = function(args) {
      return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
    };
    convert.gray.hsl = function(args) {
      return [0, 0, args[0]];
    };
    convert.gray.hsv = convert.gray.hsl;
    convert.gray.hwb = function(gray) {
      return [0, 100, gray[0]];
    };
    convert.gray.cmyk = function(gray) {
      return [0, 0, 0, gray[0]];
    };
    convert.gray.lab = function(gray) {
      return [gray[0], 0, 0];
    };
    convert.gray.hex = function(gray) {
      const val = Math.round(gray[0] / 100 * 255) & 255;
      const integer = (val << 16) + (val << 8) + val;
      const string = integer.toString(16).toUpperCase();
      return "000000".substring(string.length) + string;
    };
    convert.rgb.gray = function(rgb) {
      const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
      return [val / 255 * 100];
    };
  }
});

// ../../components/workflows/node_modules/color-convert/route.js
var require_route4 = __commonJS({
  "../../components/workflows/node_modules/color-convert/route.js"(exports2, module2) {
    var conversions = require_conversions4();
    function buildGraph() {
      const graph = {};
      const models = Object.keys(conversions);
      for (let len = models.length, i = 0; i < len; i++) {
        graph[models[i]] = {
          // http://jsperf.com/1-vs-infinity
          // micro-opt, but this is simple.
          distance: -1,
          parent: null
        };
      }
      return graph;
    }
    function deriveBFS(fromModel) {
      const graph = buildGraph();
      const queue = [fromModel];
      graph[fromModel].distance = 0;
      while (queue.length) {
        const current = queue.pop();
        const adjacents = Object.keys(conversions[current]);
        for (let len = adjacents.length, i = 0; i < len; i++) {
          const adjacent = adjacents[i];
          const node = graph[adjacent];
          if (node.distance === -1) {
            node.distance = graph[current].distance + 1;
            node.parent = current;
            queue.unshift(adjacent);
          }
        }
      }
      return graph;
    }
    function link(from, to) {
      return function(args) {
        return to(from(args));
      };
    }
    function wrapConversion(toModel, graph) {
      const path = [graph[toModel].parent, toModel];
      let fn = conversions[graph[toModel].parent][toModel];
      let cur = graph[toModel].parent;
      while (graph[cur].parent) {
        path.unshift(graph[cur].parent);
        fn = link(conversions[graph[cur].parent][cur], fn);
        cur = graph[cur].parent;
      }
      fn.conversion = path;
      return fn;
    }
    module2.exports = function(fromModel) {
      const graph = deriveBFS(fromModel);
      const conversion = {};
      const models = Object.keys(graph);
      for (let len = models.length, i = 0; i < len; i++) {
        const toModel = models[i];
        const node = graph[toModel];
        if (node.parent === null) {
          continue;
        }
        conversion[toModel] = wrapConversion(toModel, graph);
      }
      return conversion;
    };
  }
});

// ../../components/workflows/node_modules/color-convert/index.js
var require_color_convert4 = __commonJS({
  "../../components/workflows/node_modules/color-convert/index.js"(exports2, module2) {
    var conversions = require_conversions4();
    var route = require_route4();
    var convert = {};
    var models = Object.keys(conversions);
    function wrapRaw(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        return fn(args);
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    function wrapRounded(fn) {
      const wrappedFn = function(...args) {
        const arg0 = args[0];
        if (arg0 === void 0 || arg0 === null) {
          return arg0;
        }
        if (arg0.length > 1) {
          args = arg0;
        }
        const result = fn(args);
        if (typeof result === "object") {
          for (let len = result.length, i = 0; i < len; i++) {
            result[i] = Math.round(result[i]);
          }
        }
        return result;
      };
      if ("conversion" in fn) {
        wrappedFn.conversion = fn.conversion;
      }
      return wrappedFn;
    }
    models.forEach((fromModel) => {
      convert[fromModel] = {};
      Object.defineProperty(convert[fromModel], "channels", { value: conversions[fromModel].channels });
      Object.defineProperty(convert[fromModel], "labels", { value: conversions[fromModel].labels });
      const routes = route(fromModel);
      const routeModels = Object.keys(routes);
      routeModels.forEach((toModel) => {
        const fn = routes[toModel];
        convert[fromModel][toModel] = wrapRounded(fn);
        convert[fromModel][toModel].raw = wrapRaw(fn);
      });
    });
    module2.exports = convert;
  }
});

// ../../components/workflows/node_modules/ansi-styles/index.js
var require_ansi_styles4 = __commonJS({
  "../../components/workflows/node_modules/ansi-styles/index.js"(exports2, module2) {
    "use strict";
    var wrapAnsi16 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${code + offset}m`;
    };
    var wrapAnsi256 = (fn, offset) => (...args) => {
      const code = fn(...args);
      return `\x1B[${38 + offset};5;${code}m`;
    };
    var wrapAnsi16m = (fn, offset) => (...args) => {
      const rgb = fn(...args);
      return `\x1B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
    };
    var ansi2ansi = (n) => n;
    var rgb2rgb = (r, g, b) => [r, g, b];
    var setLazyProperty = (object, property, get) => {
      Object.defineProperty(object, property, {
        get: () => {
          const value = get();
          Object.defineProperty(object, property, {
            value,
            enumerable: true,
            configurable: true
          });
          return value;
        },
        enumerable: true,
        configurable: true
      });
    };
    var colorConvert;
    var makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
      if (colorConvert === void 0) {
        colorConvert = require_color_convert4();
      }
      const offset = isBackground ? 10 : 0;
      const styles = {};
      for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
        const name = sourceSpace === "ansi16" ? "ansi" : sourceSpace;
        if (sourceSpace === targetSpace) {
          styles[name] = wrap(identity, offset);
        } else if (typeof suite === "object") {
          styles[name] = wrap(suite[targetSpace], offset);
        }
      }
      return styles;
    };
    function assembleStyles() {
      const codes = /* @__PURE__ */ new Map();
      const styles = {
        modifier: {
          reset: [0, 0],
          // 21 isn't widely supported and 22 does the same thing
          bold: [1, 22],
          dim: [2, 22],
          italic: [3, 23],
          underline: [4, 24],
          inverse: [7, 27],
          hidden: [8, 28],
          strikethrough: [9, 29]
        },
        color: {
          black: [30, 39],
          red: [31, 39],
          green: [32, 39],
          yellow: [33, 39],
          blue: [34, 39],
          magenta: [35, 39],
          cyan: [36, 39],
          white: [37, 39],
          // Bright color
          blackBright: [90, 39],
          redBright: [91, 39],
          greenBright: [92, 39],
          yellowBright: [93, 39],
          blueBright: [94, 39],
          magentaBright: [95, 39],
          cyanBright: [96, 39],
          whiteBright: [97, 39]
        },
        bgColor: {
          bgBlack: [40, 49],
          bgRed: [41, 49],
          bgGreen: [42, 49],
          bgYellow: [43, 49],
          bgBlue: [44, 49],
          bgMagenta: [45, 49],
          bgCyan: [46, 49],
          bgWhite: [47, 49],
          // Bright color
          bgBlackBright: [100, 49],
          bgRedBright: [101, 49],
          bgGreenBright: [102, 49],
          bgYellowBright: [103, 49],
          bgBlueBright: [104, 49],
          bgMagentaBright: [105, 49],
          bgCyanBright: [106, 49],
          bgWhiteBright: [107, 49]
        }
      };
      styles.color.gray = styles.color.blackBright;
      styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
      styles.color.grey = styles.color.blackBright;
      styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;
      for (const [groupName, group] of Object.entries(styles)) {
        for (const [styleName, style] of Object.entries(group)) {
          styles[styleName] = {
            open: `\x1B[${style[0]}m`,
            close: `\x1B[${style[1]}m`
          };
          group[styleName] = styles[styleName];
          codes.set(style[0], style[1]);
        }
        Object.defineProperty(styles, groupName, {
          value: group,
          enumerable: false
        });
      }
      Object.defineProperty(styles, "codes", {
        value: codes,
        enumerable: false
      });
      styles.color.close = "\x1B[39m";
      styles.bgColor.close = "\x1B[49m";
      setLazyProperty(styles.color, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, false));
      setLazyProperty(styles.color, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, false));
      setLazyProperty(styles.bgColor, "ansi", () => makeDynamicStyles(wrapAnsi16, "ansi16", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi256", () => makeDynamicStyles(wrapAnsi256, "ansi256", ansi2ansi, true));
      setLazyProperty(styles.bgColor, "ansi16m", () => makeDynamicStyles(wrapAnsi16m, "rgb", rgb2rgb, true));
      return styles;
    }
    Object.defineProperty(module2, "exports", {
      enumerable: true,
      get: assembleStyles
    });
  }
});

// ../../components/workflows/node_modules/has-flag/index.js
var require_has_flag4 = __commonJS({
  "../../components/workflows/node_modules/has-flag/index.js"(exports2, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// ../../components/workflows/node_modules/supports-color/index.js
var require_supports_color4 = __commonJS({
  "../../components/workflows/node_modules/supports-color/index.js"(exports2, module2) {
    "use strict";
    var os = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag4();
    var { env } = process;
    var forceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      forceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      forceColor = 1;
    }
    if ("FORCE_COLOR" in env) {
      if (env.FORCE_COLOR === "true") {
        forceColor = 1;
      } else if (env.FORCE_COLOR === "false") {
        forceColor = 0;
      } else {
        forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, streamIsTTY) {
      if (forceColor === 0) {
        return 0;
      }
      if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
        return 3;
      }
      if (hasFlag("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env) || env.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env) {
        const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream) {
      const level = supportsColor(stream, stream && stream.isTTY);
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: translateLevel(supportsColor(true, tty.isatty(1))),
      stderr: translateLevel(supportsColor(true, tty.isatty(2)))
    };
  }
});

// ../../components/workflows/node_modules/projen/node_modules/chalk/source/util.js
var require_util19 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/chalk/source/util.js"(exports2, module2) {
    "use strict";
    var stringReplaceAll = (string, substring, replacer) => {
      let index = string.indexOf(substring);
      if (index === -1) {
        return string;
      }
      const substringLength = substring.length;
      let endIndex = 0;
      let returnValue = "";
      do {
        returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
        endIndex = index + substringLength;
        index = string.indexOf(substring, endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    var stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
      let endIndex = 0;
      let returnValue = "";
      do {
        const gotCR = string[index - 1] === "\r";
        returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? "\r\n" : "\n") + postfix;
        endIndex = index + 1;
        index = string.indexOf("\n", endIndex);
      } while (index !== -1);
      returnValue += string.substr(endIndex);
      return returnValue;
    };
    module2.exports = {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    };
  }
});

// ../../components/workflows/node_modules/projen/node_modules/chalk/source/templates.js
var require_templates4 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/chalk/source/templates.js"(exports2, module2) {
    "use strict";
    var TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
    var STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
    var STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
    var ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
    var ESCAPES = /* @__PURE__ */ new Map([
      ["n", "\n"],
      ["r", "\r"],
      ["t", "	"],
      ["b", "\b"],
      ["f", "\f"],
      ["v", "\v"],
      ["0", "\0"],
      ["\\", "\\"],
      ["e", "\x1B"],
      ["a", "\x07"]
    ]);
    function unescape(c) {
      const u = c[0] === "u";
      const bracket = c[1] === "{";
      if (u && !bracket && c.length === 5 || c[0] === "x" && c.length === 3) {
        return String.fromCharCode(parseInt(c.slice(1), 16));
      }
      if (u && bracket) {
        return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
      }
      return ESCAPES.get(c) || c;
    }
    function parseArguments(name, arguments_) {
      const results = [];
      const chunks = arguments_.trim().split(/\s*,\s*/g);
      let matches;
      for (const chunk of chunks) {
        const number = Number(chunk);
        if (!Number.isNaN(number)) {
          results.push(number);
        } else if (matches = chunk.match(STRING_REGEX)) {
          results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
        } else {
          throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
        }
      }
      return results;
    }
    function parseStyle(style) {
      STYLE_REGEX.lastIndex = 0;
      const results = [];
      let matches;
      while ((matches = STYLE_REGEX.exec(style)) !== null) {
        const name = matches[1];
        if (matches[2]) {
          const args = parseArguments(name, matches[2]);
          results.push([name].concat(args));
        } else {
          results.push([name]);
        }
      }
      return results;
    }
    function buildStyle(chalk, styles) {
      const enabled = {};
      for (const layer of styles) {
        for (const style of layer.styles) {
          enabled[style[0]] = layer.inverse ? null : style.slice(1);
        }
      }
      let current = chalk;
      for (const [styleName, styles2] of Object.entries(enabled)) {
        if (!Array.isArray(styles2)) {
          continue;
        }
        if (!(styleName in current)) {
          throw new Error(`Unknown Chalk style: ${styleName}`);
        }
        current = styles2.length > 0 ? current[styleName](...styles2) : current[styleName];
      }
      return current;
    }
    module2.exports = (chalk, temporary) => {
      const styles = [];
      const chunks = [];
      let chunk = [];
      temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
        if (escapeCharacter) {
          chunk.push(unescape(escapeCharacter));
        } else if (style) {
          const string = chunk.join("");
          chunk = [];
          chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
          styles.push({ inverse, styles: parseStyle(style) });
        } else if (close) {
          if (styles.length === 0) {
            throw new Error("Found extraneous } in Chalk template literal");
          }
          chunks.push(buildStyle(chalk, styles)(chunk.join("")));
          chunk = [];
          styles.pop();
        } else {
          chunk.push(character);
        }
      });
      chunks.push(chunk.join(""));
      if (styles.length > 0) {
        const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? "" : "s"} (\`}\`)`;
        throw new Error(errMessage);
      }
      return chunks.join("");
    };
  }
});

// ../../components/workflows/node_modules/projen/node_modules/chalk/source/index.js
var require_source4 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/chalk/source/index.js"(exports2, module2) {
    "use strict";
    var ansiStyles = require_ansi_styles4();
    var { stdout: stdoutColor, stderr: stderrColor } = require_supports_color4();
    var {
      stringReplaceAll,
      stringEncaseCRLFWithFirstIndex
    } = require_util19();
    var { isArray } = Array;
    var levelMapping = [
      "ansi",
      "ansi",
      "ansi256",
      "ansi16m"
    ];
    var styles = /* @__PURE__ */ Object.create(null);
    var applyOptions = (object, options = {}) => {
      if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
        throw new Error("The `level` option should be an integer from 0 to 3");
      }
      const colorLevel = stdoutColor ? stdoutColor.level : 0;
      object.level = options.level === void 0 ? colorLevel : options.level;
    };
    var ChalkClass = class {
      constructor(options) {
        return chalkFactory(options);
      }
    };
    var chalkFactory = (options) => {
      const chalk2 = {};
      applyOptions(chalk2, options);
      chalk2.template = (...arguments_) => chalkTag(chalk2.template, ...arguments_);
      Object.setPrototypeOf(chalk2, Chalk.prototype);
      Object.setPrototypeOf(chalk2.template, chalk2);
      chalk2.template.constructor = () => {
        throw new Error("`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.");
      };
      chalk2.template.Instance = ChalkClass;
      return chalk2.template;
    };
    function Chalk(options) {
      return chalkFactory(options);
    }
    for (const [styleName, style] of Object.entries(ansiStyles)) {
      styles[styleName] = {
        get() {
          const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
          Object.defineProperty(this, styleName, { value: builder });
          return builder;
        }
      };
    }
    styles.visible = {
      get() {
        const builder = createBuilder(this, this._styler, true);
        Object.defineProperty(this, "visible", { value: builder });
        return builder;
      }
    };
    var usedModels = ["rgb", "hex", "keyword", "hsl", "hsv", "hwb", "ansi", "ansi256"];
    for (const model of usedModels) {
      styles[model] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    for (const model of usedModels) {
      const bgModel = "bg" + model[0].toUpperCase() + model.slice(1);
      styles[bgModel] = {
        get() {
          const { level } = this;
          return function(...arguments_) {
            const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
            return createBuilder(this, styler, this._isEmpty);
          };
        }
      };
    }
    var proto = Object.defineProperties(() => {
    }, {
      ...styles,
      level: {
        enumerable: true,
        get() {
          return this._generator.level;
        },
        set(level) {
          this._generator.level = level;
        }
      }
    });
    var createStyler = (open, close, parent) => {
      let openAll;
      let closeAll;
      if (parent === void 0) {
        openAll = open;
        closeAll = close;
      } else {
        openAll = parent.openAll + open;
        closeAll = close + parent.closeAll;
      }
      return {
        open,
        close,
        openAll,
        closeAll,
        parent
      };
    };
    var createBuilder = (self2, _styler, _isEmpty) => {
      const builder = (...arguments_) => {
        if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
          return applyStyle(builder, chalkTag(builder, ...arguments_));
        }
        return applyStyle(builder, arguments_.length === 1 ? "" + arguments_[0] : arguments_.join(" "));
      };
      Object.setPrototypeOf(builder, proto);
      builder._generator = self2;
      builder._styler = _styler;
      builder._isEmpty = _isEmpty;
      return builder;
    };
    var applyStyle = (self2, string) => {
      if (self2.level <= 0 || !string) {
        return self2._isEmpty ? "" : string;
      }
      let styler = self2._styler;
      if (styler === void 0) {
        return string;
      }
      const { openAll, closeAll } = styler;
      if (string.indexOf("\x1B") !== -1) {
        while (styler !== void 0) {
          string = stringReplaceAll(string, styler.close, styler.open);
          styler = styler.parent;
        }
      }
      const lfIndex = string.indexOf("\n");
      if (lfIndex !== -1) {
        string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
      }
      return openAll + string + closeAll;
    };
    var template;
    var chalkTag = (chalk2, ...strings) => {
      const [firstString] = strings;
      if (!isArray(firstString) || !isArray(firstString.raw)) {
        return strings.join(" ");
      }
      const arguments_ = strings.slice(1);
      const parts = [firstString.raw[0]];
      for (let i = 1; i < firstString.length; i++) {
        parts.push(
          String(arguments_[i - 1]).replace(/[{}\\]/g, "\\$&"),
          String(firstString.raw[i])
        );
      }
      if (template === void 0) {
        template = require_templates4();
      }
      return template(chalk2, parts.join(""));
    };
    Object.defineProperties(Chalk.prototype, styles);
    var chalk = Chalk();
    chalk.supportsColor = stdoutColor;
    chalk.stderr = Chalk({ level: stderrColor ? stderrColor.level : 0 });
    chalk.stderr.supportsColor = stderrColor;
    module2.exports = chalk;
  }
});

// ../../components/workflows/node_modules/projen/lib/logging.js
var require_logging4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/logging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isEnabled = exports2.disable = exports2.empty = exports2.warn = exports2.error = exports2.info = exports2.verbose = exports2.debug = exports2.ICON = void 0;
    var chalk = require_source4();
    var common_1 = require_common14();
    exports2.ICON = "\u{1F47E}";
    var enabled = common_1.IS_TEST_RUN ? false : true;
    function log(isError, color, ...text) {
      if (!enabled && !isError) {
        return;
      }
      console.error(`${exports2.ICON} ${color(...text)}`);
    }
    function debug(...text) {
      if (process.env.DEBUG) {
        log(false, chalk.gray, ...text);
      }
    }
    exports2.debug = debug;
    function verbose(...text) {
      log(false, chalk.white, ...text);
    }
    exports2.verbose = verbose;
    function info(...text) {
      log(false, chalk.cyan, ...text);
    }
    exports2.info = info;
    function error(...text) {
      log(true, chalk.red, ...text);
    }
    exports2.error = error;
    function warn(...text) {
      log(false, chalk.yellow, ...text);
    }
    exports2.warn = warn;
    function empty(count = 1) {
      console.log("\n".repeat(count - 1));
    }
    exports2.empty = empty;
    function disable() {
      enabled = false;
    }
    exports2.disable = disable;
    function isEnabled() {
      return enabled;
    }
    exports2.isEnabled = isEnabled;
  }
});

// ../../components/workflows/node_modules/projen/lib/util.js
var require_util20 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.findUp = exports2.isRoot = exports2.multipleSelected = exports2.anySelected = exports2.getNodeMajorVersion = exports2.isExecutable = exports2.isWritable = exports2.tryReadFileSync = exports2.tryReadFile = exports2.snakeCaseKeys = exports2.kebabCaseKeys = exports2.getGitVersion = exports2.formatAsPythonModule = exports2.sorted = exports2.dedupArray = exports2.deepMerge = exports2.isObject = exports2.isTruthy = exports2.decamelizeKeysRecursively = exports2.writeFile = exports2.getFilePermissions = exports2.execOrUndefined = exports2.execCapture = exports2.exec = void 0;
    var child_process = require("child_process");
    var fs_1 = require("fs");
    var path = require("path");
    var Case = require_Case4();
    var logging = require_logging4();
    var MAX_BUFFER = 10 * 1024 * 1024;
    function exec(command, options) {
      logging.debug(command);
      child_process.execSync(command, {
        stdio: ["inherit", 2, "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.exec = exec;
    function execCapture(command, options) {
      logging.debug(command);
      return child_process.execSync(command, {
        stdio: ["inherit", "pipe", "pipe"],
        maxBuffer: MAX_BUFFER,
        cwd: options.cwd
      });
    }
    exports2.execCapture = execCapture;
    function execOrUndefined(command, options) {
      try {
        const value = child_process.execSync(command, {
          stdio: ["inherit", "pipe", "pipe"],
          maxBuffer: MAX_BUFFER,
          cwd: options.cwd
        }).toString("utf-8").trim();
        if (!value) {
          return void 0;
        }
        return value;
      } catch {
        return void 0;
      }
    }
    exports2.execOrUndefined = execOrUndefined;
    function getFilePermissions(options) {
      const readonly = options.readonly ?? false;
      const executable = options.executable ?? false;
      if (readonly && executable) {
        return "544";
      } else if (readonly) {
        return "444";
      } else if (executable) {
        return "755";
      } else {
        return "644";
      }
    }
    exports2.getFilePermissions = getFilePermissions;
    function writeFile(filePath, data, options = {}) {
      if ((0, fs_1.existsSync)(filePath)) {
        (0, fs_1.chmodSync)(filePath, "600");
      }
      (0, fs_1.mkdirSync)(path.dirname(filePath), { recursive: true });
      (0, fs_1.writeFileSync)(filePath, data);
      (0, fs_1.chmodSync)(filePath, getFilePermissions(options));
    }
    exports2.writeFile = writeFile;
    function decamelizeKeysRecursively(input, opt) {
      const shouldAlwaysDecamelize = () => true;
      const shouldDecamelize = opt?.shouldDecamelize ?? shouldAlwaysDecamelize;
      const separator = opt?.separator ?? "_";
      const path_ = opt?.path ?? [];
      const maxDepth = opt?.maxDepth ?? 10;
      if (path_.length > maxDepth) {
        throw new Error("Decamelled too deeply - check that the input has no circular references");
      }
      if (Array.isArray(input)) {
        return input.map((k, i) => decamelizeKeysRecursively(k, {
          ...opt,
          path: [...path_, i.toString()]
        }));
      }
      if (typeof input === "object" && input !== null) {
        const mappedObject = {};
        for (const [key, value] of Object.entries(input)) {
          const transformedKey = shouldDecamelize([...path_, key], value) ? decamelize(key, separator) : key;
          mappedObject[transformedKey] = decamelizeKeysRecursively(value, {
            ...opt,
            path: [...path_, key]
          });
        }
        return mappedObject;
      }
      return input;
    }
    exports2.decamelizeKeysRecursively = decamelizeKeysRecursively;
    function isTruthy(value) {
      return !(value === void 0 || ["null", "undefined", "0", "false", ""].includes(value.toLocaleLowerCase()));
    }
    exports2.isTruthy = isTruthy;
    function isObject(x) {
      return x !== null && typeof x === "object" && !Array.isArray(x) && x.constructor.name === "Object";
    }
    exports2.isObject = isObject;
    function deepMerge(objects, destructive = false) {
      function mergeOne(target, source) {
        for (const key of Object.keys(source)) {
          const value = source[key];
          if (isObject(value)) {
            if (typeof target[key] !== "object") {
              target[key] = value;
            }
            if ("__$APPEND" in value && Array.isArray(value.__$APPEND)) {
              if (Array.isArray(target[key])) {
                target[key].push(...value.__$APPEND);
              } else {
                target[key] = value.__$APPEND;
              }
            }
            mergeOne(target[key], value);
            const output = target[key];
            if (typeof output === "object" && Object.keys(output).length === 0 && destructive) {
              delete target[key];
            }
          } else if (value === void 0 && destructive) {
            delete target[key];
          } else if (typeof value !== "undefined") {
            target[key] = value;
          }
        }
      }
      const others = objects.filter((x) => x != null);
      if (others.length === 0) {
        return {};
      }
      const into = others.splice(0, 1)[0];
      others.forEach((other) => mergeOne(into, other));
      return into;
    }
    exports2.deepMerge = deepMerge;
    function dedupArray(array) {
      return array.filter((val, idx) => array.indexOf(val) === idx);
    }
    exports2.dedupArray = dedupArray;
    function sorted(x) {
      if (x == null) {
        return void 0;
      }
      if (Array.isArray(x)) {
        if (x.length === 0) {
          return void 0;
        }
        return x.sort();
      } else if (typeof x === "object") {
        if (Object.keys(x).length === 0) {
          return void 0;
        }
        const result = {};
        for (const [key, value] of Object.entries(x).sort(([l], [r]) => l.localeCompare(r))) {
          result[key] = value;
        }
        return result;
      } else {
        return x;
      }
    }
    exports2.sorted = sorted;
    function formatAsPythonModule(name) {
      return name.replace(/-/g, "_").replace(/\./g, "_");
    }
    exports2.formatAsPythonModule = formatAsPythonModule;
    function getGitVersion(gitVersionOutput) {
      const match = gitVersionOutput.match(/\d+.\d+.\d+/);
      if (!match) {
        throw new Error("Unable to retrieve git version");
      }
      return match[0];
    }
    exports2.getGitVersion = getGitVersion;
    function kebabCaseKeys(obj, recursive = true) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => kebabCaseKeys(v, recursive));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = kebabCaseKeys(v, recursive);
        }
        result[decamelize(k).replace(/_/gm, "-")] = v;
      }
      return result;
    }
    exports2.kebabCaseKeys = kebabCaseKeys;
    function snakeCaseKeys(obj, recursive = true, exclusiveForRecordKeys = []) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        if (recursive) {
          obj = obj.map((v) => snakeCaseKeys(v, recursive, exclusiveForRecordKeys));
        }
        return obj;
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (recursive) {
          v = snakeCaseKeys(v, recursive, exclusiveForRecordKeys);
        }
        const modifiedKey = exclusiveForRecordKeys.length == 0 || exclusiveForRecordKeys.includes(k) ? Case.snake(k) : k;
        result[modifiedKey] = v;
      }
      return result;
    }
    exports2.snakeCaseKeys = snakeCaseKeys;
    async function tryReadFile(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return "";
      }
      return fs_1.promises.readFile(file, "utf-8");
    }
    exports2.tryReadFile = tryReadFile;
    function tryReadFileSync(file) {
      if (!(0, fs_1.existsSync)(file)) {
        return void 0;
      }
      return (0, fs_1.readFileSync)(file, "utf-8");
    }
    exports2.tryReadFileSync = tryReadFileSync;
    function isWritable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.W_OK);
        return true;
      } catch {
        return false;
      }
    }
    exports2.isWritable = isWritable;
    function isExecutable(file) {
      try {
        (0, fs_1.accessSync)(file, fs_1.constants.X_OK);
        return true;
      } catch (e) {
        return false;
      }
    }
    exports2.isExecutable = isExecutable;
    function decamelize(s, sep = "_") {
      if (Case.of(s) === "camel") {
        return Case.lower(s, sep);
      } else {
        return s;
      }
    }
    function getNodeMajorVersion() {
      const match = process.version.match(/(\d+)\.(\d+)\.(\d+)/);
      if (match) {
        const [major] = match.slice(1).map((x) => parseInt(x));
        return major;
      }
      return void 0;
    }
    exports2.getNodeMajorVersion = getNodeMajorVersion;
    function anySelected(options) {
      return options.some((opt) => opt);
    }
    exports2.anySelected = anySelected;
    function multipleSelected(options) {
      return options.filter((opt) => opt).length > 1;
    }
    exports2.multipleSelected = multipleSelected;
    function isRoot(dir, osPathLib = path) {
      const parent = osPathLib.dirname(dir);
      return parent === dir;
    }
    exports2.isRoot = isRoot;
    function findUp(lookFor, cwd = process.cwd()) {
      if ((0, fs_1.existsSync)(path.join(cwd, lookFor))) {
        return cwd;
      }
      if (isRoot(cwd)) {
        return void 0;
      }
      return findUp(lookFor, path.dirname(cwd));
    }
    exports2.findUp = findUp;
  }
});

// ../../components/workflows/node_modules/projen/lib/file.js
var require_file5 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FileBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path = require("path");
    var _resolve_1 = require_resolve4();
    var common_1 = require_common14();
    var component_1 = require_component4();
    var projenrc_1 = require_projenrc16();
    var util_1 = require_util20();
    var FileBase = class extends component_1.Component {
      /**
       * The projen marker, used to identify files as projen-generated.
       *
       * Value is undefined if the project is being ejected.
       */
      get marker() {
        if (this.project.ejected || !this.shouldAddMarker) {
          return void 0;
        }
        const projenrc = projenrc_1.ProjenrcFile.of(this.project)?.filePath ?? common_1.PROJEN_RC;
        return `${common_1.PROJEN_MARKER}. To modify, edit ${projenrc} and run "npx projen".`;
      }
      constructor(project, filePath, options = {}) {
        super(project);
        this.readonly = !project.ejected && (options.readonly ?? true);
        this.executable = options.executable ?? false;
        this.path = filePath;
        this.shouldAddMarker = options.marker ?? true;
        const globPattern = `/${this.path}`;
        const committed = options.committed ?? project.commitGenerated ?? true;
        if (committed && filePath !== ".gitattributes") {
          project.annotateGenerated(`/${filePath}`);
        }
        this.absolutePath = path.resolve(project.outdir, filePath);
        const existing = project.root.tryFindFile(this.absolutePath);
        if (existing && existing !== this) {
          throw new Error(`there is already a file under ${path.relative(project.root.outdir, this.absolutePath)}`);
        }
        const editGitignore = options.editGitignore ?? true;
        if (editGitignore) {
          this.project.addGitIgnore(`${committed ? "!" : ""}${globPattern}`);
        } else {
          if (options.committed != null) {
            throw new Error('"gitignore" is disabled, so it does not make sense to specify "committed"');
          }
        }
      }
      /**
       * Writes the file to the project's output directory
       */
      synthesize() {
        const outdir = this.project.outdir;
        const filePath = path.join(outdir, this.path);
        const resolver = {
          resolve: (obj, options) => (0, _resolve_1.resolve)(obj, options)
        };
        const content = this.synthesizeContent(resolver);
        if (content === void 0) {
          (0, fs_1.rmSync)(filePath, { force: true, recursive: true });
          return;
        }
        const prev = (0, util_1.tryReadFileSync)(filePath);
        const prevReadonly = !(0, util_1.isWritable)(filePath);
        const prevExecutable = (0, util_1.isExecutable)(filePath);
        if (prev !== void 0 && content === prev && prevReadonly === this.readonly && prevExecutable === this.executable) {
          this.project.logger.debug(`no change in ${filePath}`);
          this._changed = false;
          return;
        }
        (0, util_1.writeFile)(filePath, content, {
          readonly: this.readonly,
          executable: this.executable
        });
        this.checkForProjenMarker();
        this._changed = true;
      }
      /**
       * For debugging, check whether a file was incorrectly generated with
       * or without the projen marker. The projen marker does not *need* to be
       * included on projen-generated files, but it's recommended since it signals
       * that it probably should not be edited directly.
       */
      checkForProjenMarker() {
        const filePath = path.join(this.project.outdir, this.path);
        const contents = (0, util_1.tryReadFileSync)(filePath);
        const containsMarker = contents?.includes(common_1.PROJEN_MARKER);
        if (this.marker && !containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to contain marker but found none.`);
        } else if (!this.marker && containsMarker) {
          this.project.logger.debug(`note: expected ${this.path} to not contain marker but found one anyway.`);
        }
      }
      /**
       * Indicates if the file has been changed during synthesis. This property is
       * only available in `postSynthesize()` hooks. If this is `undefined`, the
       * file has not been synthesized yet.
       */
      get changed() {
        return this._changed;
      }
    };
    exports2.FileBase = FileBase;
    _a = JSII_RTTI_SYMBOL_1;
    FileBase[_a] = { fqn: "projen.FileBase", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/fast-json-patch/commonjs/helpers.js
var require_helpers4 = __commonJS({
  "../../components/workflows/node_modules/fast-json-patch/commonjs/helpers.js"(exports2) {
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function hasOwnProperty2(obj, key) {
      return _hasOwnProperty.call(obj, key);
    }
    exports2.hasOwnProperty = hasOwnProperty2;
    function _objectKeys(obj) {
      if (Array.isArray(obj)) {
        var keys_1 = new Array(obj.length);
        for (var k = 0; k < keys_1.length; k++) {
          keys_1[k] = "" + k;
        }
        return keys_1;
      }
      if (Object.keys) {
        return Object.keys(obj);
      }
      var keys = [];
      for (var i in obj) {
        if (hasOwnProperty2(obj, i)) {
          keys.push(i);
        }
      }
      return keys;
    }
    exports2._objectKeys = _objectKeys;
    function _deepClone(obj) {
      switch (typeof obj) {
        case "object":
          return JSON.parse(JSON.stringify(obj));
        case "undefined":
          return null;
        default:
          return obj;
      }
    }
    exports2._deepClone = _deepClone;
    function isInteger2(str) {
      var i = 0;
      var len = str.length;
      var charCode;
      while (i < len) {
        charCode = str.charCodeAt(i);
        if (charCode >= 48 && charCode <= 57) {
          i++;
          continue;
        }
        return false;
      }
      return true;
    }
    exports2.isInteger = isInteger2;
    function escapePathComponent(path) {
      if (path.indexOf("/") === -1 && path.indexOf("~") === -1)
        return path;
      return path.replace(/~/g, "~0").replace(/\//g, "~1");
    }
    exports2.escapePathComponent = escapePathComponent;
    function unescapePathComponent(path) {
      return path.replace(/~1/g, "/").replace(/~0/g, "~");
    }
    exports2.unescapePathComponent = unescapePathComponent;
    function _getPathRecursive(root, obj) {
      var found;
      for (var key in root) {
        if (hasOwnProperty2(root, key)) {
          if (root[key] === obj) {
            return escapePathComponent(key) + "/";
          } else if (typeof root[key] === "object") {
            found = _getPathRecursive(root[key], obj);
            if (found != "") {
              return escapePathComponent(key) + "/" + found;
            }
          }
        }
      }
      return "";
    }
    exports2._getPathRecursive = _getPathRecursive;
    function getPath(root, obj) {
      if (root === obj) {
        return "/";
      }
      var path = _getPathRecursive(root, obj);
      if (path === "") {
        throw new Error("Object not found in root");
      }
      return "/" + path;
    }
    exports2.getPath = getPath;
    function hasUndefined(obj) {
      if (obj === void 0) {
        return true;
      }
      if (obj) {
        if (Array.isArray(obj)) {
          for (var i_1 = 0, len = obj.length; i_1 < len; i_1++) {
            if (hasUndefined(obj[i_1])) {
              return true;
            }
          }
        } else if (typeof obj === "object") {
          var objKeys = _objectKeys(obj);
          var objKeysLength = objKeys.length;
          for (var i = 0; i < objKeysLength; i++) {
            if (hasUndefined(obj[objKeys[i]])) {
              return true;
            }
          }
        }
      }
      return false;
    }
    exports2.hasUndefined = hasUndefined;
    function patchErrorMessageFormatter(message, args) {
      var messageParts = [message];
      for (var key in args) {
        var value = typeof args[key] === "object" ? JSON.stringify(args[key], null, 2) : args[key];
        if (typeof value !== "undefined") {
          messageParts.push(key + ": " + value);
        }
      }
      return messageParts.join("\n");
    }
    var PatchError = (
      /** @class */
      function(_super) {
        __extends(PatchError2, _super);
        function PatchError2(message, name, index, operation, tree) {
          var _newTarget = this.constructor;
          var _this = _super.call(this, patchErrorMessageFormatter(message, { name, index, operation, tree })) || this;
          _this.name = name;
          _this.index = index;
          _this.operation = operation;
          _this.tree = tree;
          Object.setPrototypeOf(_this, _newTarget.prototype);
          _this.message = patchErrorMessageFormatter(message, { name, index, operation, tree });
          return _this;
        }
        return PatchError2;
      }(Error)
    );
    exports2.PatchError = PatchError;
  }
});

// ../../components/workflows/node_modules/fast-json-patch/commonjs/core.js
var require_core7 = __commonJS({
  "../../components/workflows/node_modules/fast-json-patch/commonjs/core.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers4();
    exports2.JsonPatchError = helpers_js_1.PatchError;
    exports2.deepClone = helpers_js_1._deepClone;
    var objOps = {
      add: function(obj, key, document) {
        obj[key] = this.value;
        return { newDocument: document };
      },
      remove: function(obj, key, document) {
        var removed = obj[key];
        delete obj[key];
        return { newDocument: document, removed };
      },
      replace: function(obj, key, document) {
        var removed = obj[key];
        obj[key] = this.value;
        return { newDocument: document, removed };
      },
      move: function(obj, key, document) {
        var removed = getValueByPointer(document, this.path);
        if (removed) {
          removed = helpers_js_1._deepClone(removed);
        }
        var originalValue = applyOperation(document, { op: "remove", path: this.from }).removed;
        applyOperation(document, { op: "add", path: this.path, value: originalValue });
        return { newDocument: document, removed };
      },
      copy: function(obj, key, document) {
        var valueToCopy = getValueByPointer(document, this.from);
        applyOperation(document, { op: "add", path: this.path, value: helpers_js_1._deepClone(valueToCopy) });
        return { newDocument: document };
      },
      test: function(obj, key, document) {
        return { newDocument: document, test: _areEquals(obj[key], this.value) };
      },
      _get: function(obj, key, document) {
        this.value = obj[key];
        return { newDocument: document };
      }
    };
    var arrOps = {
      add: function(arr, i, document) {
        if (helpers_js_1.isInteger(i)) {
          arr.splice(i, 0, this.value);
        } else {
          arr[i] = this.value;
        }
        return { newDocument: document, index: i };
      },
      remove: function(arr, i, document) {
        var removedList = arr.splice(i, 1);
        return { newDocument: document, removed: removedList[0] };
      },
      replace: function(arr, i, document) {
        var removed = arr[i];
        arr[i] = this.value;
        return { newDocument: document, removed };
      },
      move: objOps.move,
      copy: objOps.copy,
      test: objOps.test,
      _get: objOps._get
    };
    function getValueByPointer(document, pointer) {
      if (pointer == "") {
        return document;
      }
      var getOriginalDestination = { op: "_get", path: pointer };
      applyOperation(document, getOriginalDestination);
      return getOriginalDestination.value;
    }
    exports2.getValueByPointer = getValueByPointer;
    function applyOperation(document, operation, validateOperation, mutateDocument, banPrototypeModifications, index) {
      if (validateOperation === void 0) {
        validateOperation = false;
      }
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (index === void 0) {
        index = 0;
      }
      if (validateOperation) {
        if (typeof validateOperation == "function") {
          validateOperation(operation, 0, document, operation.path);
        } else {
          validator(operation, 0);
        }
      }
      if (operation.path === "") {
        var returnValue = { newDocument: document };
        if (operation.op === "add") {
          returnValue.newDocument = operation.value;
          return returnValue;
        } else if (operation.op === "replace") {
          returnValue.newDocument = operation.value;
          returnValue.removed = document;
          return returnValue;
        } else if (operation.op === "move" || operation.op === "copy") {
          returnValue.newDocument = getValueByPointer(document, operation.from);
          if (operation.op === "move") {
            returnValue.removed = document;
          }
          return returnValue;
        } else if (operation.op === "test") {
          returnValue.test = _areEquals(document, operation.value);
          if (returnValue.test === false) {
            throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
          }
          returnValue.newDocument = document;
          return returnValue;
        } else if (operation.op === "remove") {
          returnValue.removed = document;
          returnValue.newDocument = null;
          return returnValue;
        } else if (operation.op === "_get") {
          operation.value = document;
          return returnValue;
        } else {
          if (validateOperation) {
            throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
          } else {
            return returnValue;
          }
        }
      } else {
        if (!mutateDocument) {
          document = helpers_js_1._deepClone(document);
        }
        var path = operation.path || "";
        var keys = path.split("/");
        var obj = document;
        var t = 1;
        var len = keys.length;
        var existingPathFragment = void 0;
        var key = void 0;
        var validateFunction = void 0;
        if (typeof validateOperation == "function") {
          validateFunction = validateOperation;
        } else {
          validateFunction = validator;
        }
        while (true) {
          key = keys[t];
          if (key && key.indexOf("~") != -1) {
            key = helpers_js_1.unescapePathComponent(key);
          }
          if (banPrototypeModifications && (key == "__proto__" || key == "prototype" && t > 0 && keys[t - 1] == "constructor")) {
            throw new TypeError("JSON-Patch: modifying `__proto__` or `constructor/prototype` prop is banned for security reasons, if this was on purpose, please set `banPrototypeModifications` flag false and pass it to this function. More info in fast-json-patch README");
          }
          if (validateOperation) {
            if (existingPathFragment === void 0) {
              if (obj[key] === void 0) {
                existingPathFragment = keys.slice(0, t).join("/");
              } else if (t == len - 1) {
                existingPathFragment = operation.path;
              }
              if (existingPathFragment !== void 0) {
                validateFunction(operation, 0, document, existingPathFragment);
              }
            }
          }
          t++;
          if (Array.isArray(obj)) {
            if (key === "-") {
              key = obj.length;
            } else {
              if (validateOperation && !helpers_js_1.isInteger(key)) {
                throw new exports2.JsonPatchError("Expected an unsigned base-10 integer value, making the new referenced value the array element with the zero-based index", "OPERATION_PATH_ILLEGAL_ARRAY_INDEX", index, operation, document);
              } else if (helpers_js_1.isInteger(key)) {
                key = ~~key;
              }
            }
            if (t >= len) {
              if (validateOperation && operation.op === "add" && key > obj.length) {
                throw new exports2.JsonPatchError("The specified index MUST NOT be greater than the number of elements in the array", "OPERATION_VALUE_OUT_OF_BOUNDS", index, operation, document);
              }
              var returnValue = arrOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          } else {
            if (t >= len) {
              var returnValue = objOps[operation.op].call(operation, obj, key, document);
              if (returnValue.test === false) {
                throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
              }
              return returnValue;
            }
          }
          obj = obj[key];
          if (validateOperation && t < len && (!obj || typeof obj !== "object")) {
            throw new exports2.JsonPatchError("Cannot perform operation at the desired path", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.applyOperation = applyOperation;
    function applyPatch(document, patch, validateOperation, mutateDocument, banPrototypeModifications) {
      if (mutateDocument === void 0) {
        mutateDocument = true;
      }
      if (banPrototypeModifications === void 0) {
        banPrototypeModifications = true;
      }
      if (validateOperation) {
        if (!Array.isArray(patch)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
      }
      if (!mutateDocument) {
        document = helpers_js_1._deepClone(document);
      }
      var results = new Array(patch.length);
      for (var i = 0, length_1 = patch.length; i < length_1; i++) {
        results[i] = applyOperation(document, patch[i], validateOperation, true, banPrototypeModifications, i);
        document = results[i].newDocument;
      }
      results.newDocument = document;
      return results;
    }
    exports2.applyPatch = applyPatch;
    function applyReducer(document, operation, index) {
      var operationResult = applyOperation(document, operation);
      if (operationResult.test === false) {
        throw new exports2.JsonPatchError("Test operation failed", "TEST_OPERATION_FAILED", index, operation, document);
      }
      return operationResult.newDocument;
    }
    exports2.applyReducer = applyReducer;
    function validator(operation, index, document, existingPathFragment) {
      if (typeof operation !== "object" || operation === null || Array.isArray(operation)) {
        throw new exports2.JsonPatchError("Operation is not an object", "OPERATION_NOT_AN_OBJECT", index, operation, document);
      } else if (!objOps[operation.op]) {
        throw new exports2.JsonPatchError("Operation `op` property is not one of operations defined in RFC-6902", "OPERATION_OP_INVALID", index, operation, document);
      } else if (typeof operation.path !== "string") {
        throw new exports2.JsonPatchError("Operation `path` property is not a string", "OPERATION_PATH_INVALID", index, operation, document);
      } else if (operation.path.indexOf("/") !== 0 && operation.path.length > 0) {
        throw new exports2.JsonPatchError('Operation `path` property must start with "/"', "OPERATION_PATH_INVALID", index, operation, document);
      } else if ((operation.op === "move" || operation.op === "copy") && typeof operation.from !== "string") {
        throw new exports2.JsonPatchError("Operation `from` property is not present (applicable in `move` and `copy` operations)", "OPERATION_FROM_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && operation.value === void 0) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_REQUIRED", index, operation, document);
      } else if ((operation.op === "add" || operation.op === "replace" || operation.op === "test") && helpers_js_1.hasUndefined(operation.value)) {
        throw new exports2.JsonPatchError("Operation `value` property is not present (applicable in `add`, `replace` and `test` operations)", "OPERATION_VALUE_CANNOT_CONTAIN_UNDEFINED", index, operation, document);
      } else if (document) {
        if (operation.op == "add") {
          var pathLen = operation.path.split("/").length;
          var existingPathLen = existingPathFragment.split("/").length;
          if (pathLen !== existingPathLen + 1 && pathLen !== existingPathLen) {
            throw new exports2.JsonPatchError("Cannot perform an `add` operation at the desired path", "OPERATION_PATH_CANNOT_ADD", index, operation, document);
          }
        } else if (operation.op === "replace" || operation.op === "remove" || operation.op === "_get") {
          if (operation.path !== existingPathFragment) {
            throw new exports2.JsonPatchError("Cannot perform the operation at a path that does not exist", "OPERATION_PATH_UNRESOLVABLE", index, operation, document);
          }
        } else if (operation.op === "move" || operation.op === "copy") {
          var existingValue = { op: "_get", path: operation.from, value: void 0 };
          var error = validate([existingValue], document);
          if (error && error.name === "OPERATION_PATH_UNRESOLVABLE") {
            throw new exports2.JsonPatchError("Cannot perform the operation from a path that does not exist", "OPERATION_FROM_UNRESOLVABLE", index, operation, document);
          }
        }
      }
    }
    exports2.validator = validator;
    function validate(sequence, document, externalValidator) {
      try {
        if (!Array.isArray(sequence)) {
          throw new exports2.JsonPatchError("Patch sequence must be an array", "SEQUENCE_NOT_AN_ARRAY");
        }
        if (document) {
          applyPatch(helpers_js_1._deepClone(document), helpers_js_1._deepClone(sequence), externalValidator || true);
        } else {
          externalValidator = externalValidator || validator;
          for (var i = 0; i < sequence.length; i++) {
            externalValidator(sequence[i], i, document, void 0);
          }
        }
      } catch (e) {
        if (e instanceof exports2.JsonPatchError) {
          return e;
        } else {
          throw e;
        }
      }
    }
    exports2.validate = validate;
    function _areEquals(a, b) {
      if (a === b)
        return true;
      if (a && b && typeof a == "object" && typeof b == "object") {
        var arrA = Array.isArray(a), arrB = Array.isArray(b), i, length, key;
        if (arrA && arrB) {
          length = a.length;
          if (length != b.length)
            return false;
          for (i = length; i-- !== 0; )
            if (!_areEquals(a[i], b[i]))
              return false;
          return true;
        }
        if (arrA != arrB)
          return false;
        var keys = Object.keys(a);
        length = keys.length;
        if (length !== Object.keys(b).length)
          return false;
        for (i = length; i-- !== 0; )
          if (!b.hasOwnProperty(keys[i]))
            return false;
        for (i = length; i-- !== 0; ) {
          key = keys[i];
          if (!_areEquals(a[key], b[key]))
            return false;
        }
        return true;
      }
      return a !== a && b !== b;
    }
    exports2._areEquals = _areEquals;
  }
});

// ../../components/workflows/node_modules/fast-json-patch/commonjs/duplex.js
var require_duplex4 = __commonJS({
  "../../components/workflows/node_modules/fast-json-patch/commonjs/duplex.js"(exports2) {
    Object.defineProperty(exports2, "__esModule", { value: true });
    var helpers_js_1 = require_helpers4();
    var core_js_1 = require_core7();
    var beforeDict = /* @__PURE__ */ new WeakMap();
    var Mirror = (
      /** @class */
      function() {
        function Mirror2(obj) {
          this.observers = /* @__PURE__ */ new Map();
          this.obj = obj;
        }
        return Mirror2;
      }()
    );
    var ObserverInfo = (
      /** @class */
      function() {
        function ObserverInfo2(callback, observer) {
          this.callback = callback;
          this.observer = observer;
        }
        return ObserverInfo2;
      }()
    );
    function getMirror(obj) {
      return beforeDict.get(obj);
    }
    function getObserverFromMirror(mirror, callback) {
      return mirror.observers.get(callback);
    }
    function removeObserverFromMirror(mirror, observer) {
      mirror.observers.delete(observer.callback);
    }
    function unobserve(root, observer) {
      observer.unobserve();
    }
    exports2.unobserve = unobserve;
    function observe(obj, callback) {
      var patches = [];
      var observer;
      var mirror = getMirror(obj);
      if (!mirror) {
        mirror = new Mirror(obj);
        beforeDict.set(obj, mirror);
      } else {
        var observerInfo = getObserverFromMirror(mirror, callback);
        observer = observerInfo && observerInfo.observer;
      }
      if (observer) {
        return observer;
      }
      observer = {};
      mirror.value = helpers_js_1._deepClone(obj);
      if (callback) {
        observer.callback = callback;
        observer.next = null;
        var dirtyCheck = function() {
          generate(observer);
        };
        var fastCheck = function() {
          clearTimeout(observer.next);
          observer.next = setTimeout(dirtyCheck);
        };
        if (typeof window !== "undefined") {
          window.addEventListener("mouseup", fastCheck);
          window.addEventListener("keyup", fastCheck);
          window.addEventListener("mousedown", fastCheck);
          window.addEventListener("keydown", fastCheck);
          window.addEventListener("change", fastCheck);
        }
      }
      observer.patches = patches;
      observer.object = obj;
      observer.unobserve = function() {
        generate(observer);
        clearTimeout(observer.next);
        removeObserverFromMirror(mirror, observer);
        if (typeof window !== "undefined") {
          window.removeEventListener("mouseup", fastCheck);
          window.removeEventListener("keyup", fastCheck);
          window.removeEventListener("mousedown", fastCheck);
          window.removeEventListener("keydown", fastCheck);
          window.removeEventListener("change", fastCheck);
        }
      };
      mirror.observers.set(callback, new ObserverInfo(callback, observer));
      return observer;
    }
    exports2.observe = observe;
    function generate(observer, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var mirror = beforeDict.get(observer.object);
      _generate(mirror.value, observer.object, observer.patches, "", invertible);
      if (observer.patches.length) {
        core_js_1.applyPatch(mirror.value, observer.patches);
      }
      var temp = observer.patches;
      if (temp.length > 0) {
        observer.patches = [];
        if (observer.callback) {
          observer.callback(temp);
        }
      }
      return temp;
    }
    exports2.generate = generate;
    function _generate(mirror, obj, patches, path, invertible) {
      if (obj === mirror) {
        return;
      }
      if (typeof obj.toJSON === "function") {
        obj = obj.toJSON();
      }
      var newKeys = helpers_js_1._objectKeys(obj);
      var oldKeys = helpers_js_1._objectKeys(mirror);
      var changed = false;
      var deleted = false;
      for (var t = oldKeys.length - 1; t >= 0; t--) {
        var key = oldKeys[t];
        var oldVal = mirror[key];
        if (helpers_js_1.hasOwnProperty(obj, key) && !(obj[key] === void 0 && oldVal !== void 0 && Array.isArray(obj) === false)) {
          var newVal = obj[key];
          if (typeof oldVal == "object" && oldVal != null && typeof newVal == "object" && newVal != null && Array.isArray(oldVal) === Array.isArray(newVal)) {
            _generate(oldVal, newVal, patches, path + "/" + helpers_js_1.escapePathComponent(key), invertible);
          } else {
            if (oldVal !== newVal) {
              changed = true;
              if (invertible) {
                patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
              }
              patches.push({ op: "replace", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(newVal) });
            }
          }
        } else if (Array.isArray(mirror) === Array.isArray(obj)) {
          if (invertible) {
            patches.push({ op: "test", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(oldVal) });
          }
          patches.push({ op: "remove", path: path + "/" + helpers_js_1.escapePathComponent(key) });
          deleted = true;
        } else {
          if (invertible) {
            patches.push({ op: "test", path, value: mirror });
          }
          patches.push({ op: "replace", path, value: obj });
          changed = true;
        }
      }
      if (!deleted && newKeys.length == oldKeys.length) {
        return;
      }
      for (var t = 0; t < newKeys.length; t++) {
        var key = newKeys[t];
        if (!helpers_js_1.hasOwnProperty(mirror, key) && obj[key] !== void 0) {
          patches.push({ op: "add", path: path + "/" + helpers_js_1.escapePathComponent(key), value: helpers_js_1._deepClone(obj[key]) });
        }
      }
    }
    function compare(tree1, tree2, invertible) {
      if (invertible === void 0) {
        invertible = false;
      }
      var patches = [];
      _generate(tree1, tree2, patches, "", invertible);
      return patches;
    }
    exports2.compare = compare;
  }
});

// ../../components/workflows/node_modules/fast-json-patch/index.js
var require_fast_json_patch4 = __commonJS({
  "../../components/workflows/node_modules/fast-json-patch/index.js"(exports2) {
    var core = require_core7();
    Object.assign(exports2, core);
    var duplex = require_duplex4();
    Object.assign(exports2, duplex);
    var helpers = require_helpers4();
    exports2.JsonPatchError = helpers.PatchError;
    exports2.deepClone = helpers._deepClone;
    exports2.escapePathComponent = helpers.escapePathComponent;
    exports2.unescapePathComponent = helpers.unescapePathComponent;
  }
});

// ../../components/workflows/node_modules/projen/lib/json-patch.js
var require_json_patch4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/json-patch.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonPatch = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fast_json_patch_1 = require_fast_json_patch4();
    var JsonPatch = class _JsonPatch {
      /**
       * Applies a set of JSON-Patch (RFC-6902) operations to `document` and returns the result.
       * @param document The document to patch
       * @param ops The operations to apply
       * @returns The result document
       */
      static apply(document, ...ops) {
        const result = (0, fast_json_patch_1.applyPatch)(document, ops.map((o) => o._toJson()));
        return result.newDocument;
      }
      /**
       * Adds a value to an object or inserts it into an array. In the case of an
       * array, the value is inserted before the given index. The - character can be
       * used instead of an index to insert at the end of an array.
       *
       * @example JsonPatch.add('/biscuits/1', { "name": "Ginger Nut" })
       */
      static add(path, value) {
        return new _JsonPatch({ op: "add", path, value });
      }
      /**
       * Removes a value from an object or array.
       *
       * @example JsonPatch.remove('/biscuits')
       * @example JsonPatch.remove('/biscuits/0')
       */
      static remove(path) {
        return new _JsonPatch({ op: "remove", path });
      }
      /**
       * Replaces a value. Equivalent to a “remove” followed by an “add”.
       *
       * @example JsonPatch.replace('/biscuits/0/name', 'Chocolate Digestive')
       */
      static replace(path, value) {
        return new _JsonPatch({ op: "replace", path, value });
      }
      /**
       * Copies a value from one location to another within the JSON document. Both
       * from and path are JSON Pointers.
       *
       * @example JsonPatch.copy('/biscuits/0', '/best_biscuit')
       */
      static copy(from, path) {
        return new _JsonPatch({ op: "copy", from, path });
      }
      /**
       * Moves a value from one location to the other. Both from and path are JSON Pointers.
       *
       * @example JsonPatch.move('/biscuits', '/cookies')
       */
      static move(from, path) {
        return new _JsonPatch({ op: "move", from, path });
      }
      /**
       * Tests that the specified value is set in the document. If the test fails,
       * then the patch as a whole should not apply.
       *
       * @example JsonPatch.test('/best_biscuit/name', 'Choco Leibniz')
       */
      static test(path, value) {
        return new _JsonPatch({ op: "test", path, value });
      }
      constructor(operation) {
        this.operation = operation;
      }
      /**
       * Returns the JSON representation of this JSON patch operation.
       *
       * @internal
       */
      _toJson() {
        return this.operation;
      }
    };
    exports2.JsonPatch = JsonPatch;
    _a = JSII_RTTI_SYMBOL_1;
    JsonPatch[_a] = { fqn: "projen.JsonPatch", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/object-file.js
var require_object_file4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/object-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ObjectFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var json_patch_1 = require_json_patch4();
    var util_1 = require_util20();
    var ObjectFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.obj = options.obj ?? {};
        this.omitEmpty = options.omitEmpty ?? false;
        this.rawOverrides = {};
        this.patchOperations = [];
      }
      /**
       * Adds an override to the synthesized object file.
       *
       * If the override is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example,
       * ```typescript
       * project.tsconfig.file.addOverride('compilerOptions.alwaysStrict', true);
       * project.tsconfig.file.addOverride('compilerOptions.lib', ['dom', 'dom.iterable', 'esnext']);
       * ```
       * would add the overrides
       * ```json
       * "compilerOptions": {
       *   "alwaysStrict": true,
       *   "lib": [
       *     "dom",
       *     "dom.iterable",
       *     "esnext"
       *   ]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        override values in complex types. Any intermediate keys
       *        will be created as needed.
       * @param value - The value. Could be primitive or complex.
       */
      addOverride(path, value) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        curr[lastKey] = value;
      }
      /**
       * Adds to an array in the synthesized object file.
       *
       * If the array is nested, separate each nested level using a dot (.) in the path parameter.
       * If there is an array as part of the nesting, specify the index in the path.
       *
       * To include a literal `.` in the property name, prefix with a `\`. In most
       * programming languages you will need to write this as `"\\."` because the
       * `\` itself will need to be escaped.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.addToArray('compilerOptions.exclude', 'coverage');
       * project.tsconfig.file.addToArray('compilerOptions.lib', 'dom', 'dom.iterable', 'esnext');
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["es2019", "dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param path - The path of the property, you can use dot notation to
       *        att to arrays in complex types. Any intermediate keys
       *        will be created as needed.
       * @param values - The values to add. Could be primitive or complex.
       */
      addToArray(path, ...values) {
        const parts = splitOnPeriods(path);
        let curr = this.rawOverrides;
        while (parts.length > 1) {
          const key = parts.shift();
          const isObject = curr[key] != null && typeof curr[key] === "object" && !Array.isArray(curr[key]);
          if (!isObject) {
            curr[key] = {};
          }
          curr = curr[key];
        }
        const lastKey = parts.shift();
        if (Array.isArray(curr[lastKey])) {
          curr[lastKey].push(...values);
        } else {
          curr[lastKey] = { __$APPEND: values };
        }
      }
      /**
       * Applies an RFC 6902 JSON-patch to the synthesized object file.
       * See https://datatracker.ietf.org/doc/html/rfc6902 for more information.
       *
       * For example, with the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules"],
       *   "lib": ["es2019"]
       *   ...
       * }
       * ...
       * ```
       *
       * ```typescript
       * project.tsconfig.file.patch(JsonPatch.add("/compilerOptions/exclude/-", "coverage"));
       * project.tsconfig.file.patch(JsonPatch.replace("/compilerOptions/lib", ["dom", "dom.iterable", "esnext"]));
       * ```
       * would result in the following object file
       * ```json
       * "compilerOptions": {
       *   "exclude": ["node_modules", "coverage"],
       *   "lib": ["dom", "dom.iterable", "esnext"]
       *   ...
       * }
       * ...
       * ```
       *
       * @param patches - The patch operations to apply
       */
      patch(...patches) {
        this.patchOperations.push(...patches);
      }
      /**
       * Syntactic sugar for `addOverride(path, undefined)`.
       * @param path The path of the value to delete
       */
      addDeletionOverride(path) {
        this.addOverride(path, void 0);
      }
      synthesizeContent(resolver) {
        const obj = this.obj;
        const resolved = resolver.resolve(obj, {
          omitEmpty: this.omitEmpty
        }) ?? void 0;
        if (resolved) {
          (0, util_1.deepMerge)([resolved, this.rawOverrides], true);
        }
        const patched = json_patch_1.JsonPatch.apply(resolved, ...this.patchOperations);
        return patched ? JSON.stringify(patched, void 0, 2) : void 0;
      }
    };
    exports2.ObjectFile = ObjectFile;
    _a = JSII_RTTI_SYMBOL_1;
    ObjectFile[_a] = { fqn: "projen.ObjectFile", version: "0.71.112" };
    function splitOnPeriods(x) {
      const ret = [""];
      for (let i = 0; i < x.length; i++) {
        if (x[i] === "\\" && i + 1 < x.length) {
          ret[0] += x[i + 1];
          i++;
        } else if (x[i] === ".") {
          ret.unshift("");
        } else {
          ret[0] += x[i];
        }
      }
      ret.reverse();
      return ret;
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/json.js
var require_json7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/json.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsonFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var object_file_1 = require_object_file4();
    var JsonFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.newline = options.newline ?? true;
        this.supportsComments = options.allowComments ?? (filePath.toLowerCase().endsWith("json5") || filePath.toLowerCase().endsWith("jsonc"));
        if (!options.obj) {
          throw new Error('"obj" cannot be undefined');
        }
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        const sanitized = JSON.parse(json);
        if (this.marker && !this.supportsComments) {
          sanitized["//"] = this.marker;
        }
        let content = JSON.stringify(sanitized, void 0, 2);
        if (this.marker && this.supportsComments) {
          content = `// ${this.marker}
${content}`;
        }
        if (this.newline) {
          content += "\n";
        }
        return content;
      }
    };
    exports2.JsonFile = JsonFile;
    _a = JSII_RTTI_SYMBOL_1;
    JsonFile[_a] = { fqn: "projen.JsonFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/dependencies.js
var require_dependencies4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/dependencies.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DependencyType = exports2.Dependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var common_1 = require_common14();
    var component_1 = require_component4();
    var json_1 = require_json7();
    var Dependencies = class _Dependencies extends component_1.Component {
      /**
       * Returns the coordinates of a dependency spec.
       *
       * Given `foo@^3.4.0` returns `{ name: "foo", version: "^3.4.0" }`.
       * Given `bar@npm:@bar/legacy` returns `{ name: "bar", version: "npm:@bar/legacy" }`.
       */
      static parseDependency(spec) {
        const scope = spec.startsWith("@");
        if (scope) {
          spec = spec.substr(1);
        }
        const [module3, ...version] = spec.split("@");
        const name = scope ? `@${module3}` : module3;
        if (version.length == 0) {
          return { name };
        } else {
          return { name, version: version?.join("@") };
        }
      }
      /**
       * Adds a dependencies component to the project.
       * @param project The parent project
       */
      constructor(project) {
        super(project);
        this._deps = new Array();
        if (!project.ejected) {
          new json_1.JsonFile(project, _Dependencies.MANIFEST_FILE, {
            omitEmpty: true,
            obj: () => this.toJson()
          });
        }
      }
      /**
       * A copy of all dependencies recorded for this project.
       *
       * The list is sorted by type->name->version
       */
      get all() {
        return [...this._deps].sort(compareDeps).map(normalizeDep);
      }
      /**
       * Returns a dependency by name.
       *
       * Fails if there is no dependency defined by that name or if `type` is not
       * provided and there is more then one dependency type for this dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified)
       */
      getDependency(name, type) {
        const dep = this.tryGetDependency(name, type);
        if (!dep) {
          const msg = type ? `there is no ${type} dependency defined on "${name}"` : `there is no dependency defined on "${name}"`;
          throw new Error(msg);
        }
        return dep;
      }
      /**
       * Returns a dependency by name.
       *
       * Returns `undefined` if there is no dependency defined by that name or if
       * `type` is not provided and there is more then one dependency type for this
       * dependency.
       *
       * @param name The name of the dependency
       * @param type The dependency type. If this dependency is defined only for a
       * single type, this argument can be omitted.
       *
       * @returns a copy (cannot be modified) or undefined if there is no match
       */
      tryGetDependency(name, type) {
        const idx = this.tryGetDependencyIndex(name, type);
        if (idx === -1) {
          return void 0;
        }
        return {
          ...normalizeDep(this._deps[idx])
        };
      }
      /**
       * Adds a dependency to this project.
       * @param spec The dependency spec in the format `MODULE[@VERSION]` where
       * `MODULE` is the package-manager-specific module name and `VERSION` is an
       * optional semantic version requirement (e.g. `^3.4.0`).
       * @param type The type of the dependency.
       */
      addDependency(spec, type, metadata = {}) {
        this.project.logger.debug(`${type}-dep ${spec}`);
        const dep = {
          ..._Dependencies.parseDependency(spec),
          type,
          metadata
        };
        const existingDepIndex = this.tryGetDependencyIndex(dep.name, type);
        if (existingDepIndex !== -1) {
          this.project.logger.debug(`updating existing ${dep.type}-dep ${dep.name} with more specific version/metadata`);
          this._deps[existingDepIndex] = dep;
        } else {
          this._deps.push(dep);
        }
        return dep;
      }
      /**
       * Removes a dependency.
       * @param name The name of the module to remove (without the version)
       * @param type The dependency type. This is only required if there the
       * dependency is defined for multiple types.
       */
      removeDependency(name, type) {
        const removeIndex = this.tryGetDependencyIndex(name, type);
        if (removeIndex === -1) {
          return;
        }
        this._deps.splice(removeIndex, 1);
      }
      tryGetDependencyIndex(name, type) {
        const deps = this._deps.filter((d) => d.name === name);
        if (deps.length === 0) {
          return -1;
        }
        if (!type) {
          if (deps.length > 1) {
            throw new Error(`"${name}" is defined for multiple dependency types: ${deps.map((d) => d.type).join(",")}. Please specify dependency type`);
          }
          type = deps[0].type;
        }
        return this._deps.findIndex((dep) => dep.name === name && dep.type === type);
      }
      toJson() {
        if (this._deps.length === 0) {
          return void 0;
        }
        return {
          dependencies: this._deps.sort(compareDeps).map(normalizeDep)
        };
      }
    };
    exports2.Dependencies = Dependencies;
    _a = JSII_RTTI_SYMBOL_1;
    Dependencies[_a] = { fqn: "projen.Dependencies", version: "0.71.112" };
    Dependencies.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "deps.json");
    function normalizeDep(d) {
      const obj = {};
      for (const [k, v] of Object.entries(d)) {
        if (v == void 0) {
          continue;
        }
        if (typeof v === "object" && Object.keys(v).length === 0) {
          continue;
        }
        if (Array.isArray(v) && v.length === 0) {
          continue;
        }
        obj[k] = v;
      }
      return obj;
    }
    function compareDeps(d1, d2) {
      return specOf(d1).localeCompare(specOf(d2));
      function specOf(dep) {
        let spec = dep.type + ":" + dep.name;
        if (dep.version) {
          spec += "@" + dep.version;
        }
        return spec;
      }
    }
    var DependencyType;
    (function(DependencyType2) {
      DependencyType2["RUNTIME"] = "runtime";
      DependencyType2["PEER"] = "peer";
      DependencyType2["BUNDLED"] = "bundled";
      DependencyType2["BUILD"] = "build";
      DependencyType2["TEST"] = "test";
      DependencyType2["DEVENV"] = "devenv";
      DependencyType2["OVERRIDE"] = "override";
    })(DependencyType || (exports2.DependencyType = DependencyType = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-port.js
var require_docker_compose_port4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-port.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeProtocol = void 0;
    var DockerComposeProtocol;
    (function(DockerComposeProtocol2) {
      DockerComposeProtocol2["TCP"] = "tcp";
      DockerComposeProtocol2["UDP"] = "udp";
    })(DockerComposeProtocol || (exports2.DockerComposeProtocol = DockerComposeProtocol = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-render.js
var require_docker_compose_render4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-render.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderDockerComposeFile = void 0;
    var util_1 = require_util20();
    function renderDockerComposeFile(serviceDescriptions, version) {
      const volumeConfig = {};
      const volumeInfo = {
        addVolumeConfiguration(volumeName, configuration) {
          if (!volumeConfig[volumeName]) {
            volumeConfig[volumeName] = configuration;
          }
        }
      };
      const networkConfig = {};
      const networkInfo = {
        addNetworkConfiguration(networkName, configuration) {
          if (!networkConfig[networkName]) {
            networkConfig[networkName] = configuration;
          }
        }
      };
      const services = {};
      for (const [serviceName, serviceDescription] of Object.entries(serviceDescriptions ?? {})) {
        const dependsOn = Array();
        for (const dependsOnServiceName of serviceDescription.dependsOn ?? []) {
          const resolvedServiceName = dependsOnServiceName.serviceName;
          if (resolvedServiceName === serviceName) {
            throw new Error(`Service ${serviceName} cannot depend on itself`);
          }
          if (!serviceDescriptions[resolvedServiceName]) {
            throw new Error(`Unable to resolve service named ${resolvedServiceName} for ${serviceName}`);
          }
          dependsOn.push(resolvedServiceName);
        }
        const volumes = [];
        for (const volumeBinding of serviceDescription.volumes ?? []) {
          volumes.push(volumeBinding.bind(volumeInfo));
        }
        const networks = [];
        for (const networkBinding of serviceDescription.networks ?? []) {
          networks.push(networkBinding.bind(networkInfo));
        }
        services[serviceName] = {
          ...getObjectWithKeyAndValueIfValueIsDefined("image", serviceDescription.image),
          ...getObjectWithKeyAndValueIfValueIsDefined("build", serviceDescription.imageBuild),
          ...getObjectWithKeyAndValueIfValueIsDefined("entrypoint", serviceDescription.entrypoint),
          ...getObjectWithKeyAndValueIfValueIsDefined("command", serviceDescription.command),
          ...Object.keys(serviceDescription.environment).length > 0 ? { environment: serviceDescription.environment } : {},
          ...serviceDescription.ports.length > 0 ? { ports: serviceDescription.ports } : {},
          ...Object.keys(serviceDescription.labels).length > 0 ? { labels: serviceDescription.labels } : {},
          ...dependsOn.length > 0 ? { dependsOn } : {},
          ...volumes.length > 0 ? { volumes } : {},
          ...networks.length > 0 ? { networks } : {}
        };
      }
      const input = {
        version,
        services,
        ...Object.keys(volumeConfig).length > 0 ? { volumes: volumeConfig } : {},
        ...Object.keys(networkConfig).length > 0 ? { networks: networkConfig } : {}
      };
      return (0, util_1.decamelizeKeysRecursively)(input, {
        shouldDecamelize: shouldDecamelizeDockerComposeKey,
        separator: "_"
      });
    }
    exports2.renderDockerComposeFile = renderDockerComposeFile;
    function getObjectWithKeyAndValueIfValueIsDefined(key, value) {
      return value !== void 0 ? { [key]: value } : {};
    }
    function shouldDecamelizeDockerComposeKey(path) {
      const poundPath = path.join("#");
      if (/^(services|volumes|networks)#[^#]+$/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#(environment|labels)#/.test(poundPath)) {
        return false;
      }
      if (/^services#[^#]+#build#args#/.test(poundPath)) {
        return false;
      }
      return true;
    }
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/identity.js
var require_identity4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/identity.js"(exports2) {
    "use strict";
    var ALIAS = Symbol.for("yaml.alias");
    var DOC = Symbol.for("yaml.document");
    var MAP = Symbol.for("yaml.map");
    var PAIR = Symbol.for("yaml.pair");
    var SCALAR = Symbol.for("yaml.scalar");
    var SEQ = Symbol.for("yaml.seq");
    var NODE_TYPE = Symbol.for("yaml.node.type");
    var isAlias = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === ALIAS;
    var isDocument = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === DOC;
    var isMap = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === MAP;
    var isPair = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === PAIR;
    var isScalar = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SCALAR;
    var isSeq = (node) => !!node && typeof node === "object" && node[NODE_TYPE] === SEQ;
    function isCollection(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case MAP:
          case SEQ:
            return true;
        }
      return false;
    }
    function isNode(node) {
      if (node && typeof node === "object")
        switch (node[NODE_TYPE]) {
          case ALIAS:
          case MAP:
          case SCALAR:
          case SEQ:
            return true;
        }
      return false;
    }
    var hasAnchor = (node) => (isScalar(node) || isCollection(node)) && !!node.anchor;
    exports2.ALIAS = ALIAS;
    exports2.DOC = DOC;
    exports2.MAP = MAP;
    exports2.NODE_TYPE = NODE_TYPE;
    exports2.PAIR = PAIR;
    exports2.SCALAR = SCALAR;
    exports2.SEQ = SEQ;
    exports2.hasAnchor = hasAnchor;
    exports2.isAlias = isAlias;
    exports2.isCollection = isCollection;
    exports2.isDocument = isDocument;
    exports2.isMap = isMap;
    exports2.isNode = isNode;
    exports2.isPair = isPair;
    exports2.isScalar = isScalar;
    exports2.isSeq = isSeq;
  }
});

// ../../components/workflows/node_modules/yaml/dist/visit.js
var require_visit4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/visit.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove node");
    function visit(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = visit_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        visit_(null, node, visitor_, Object.freeze([]));
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    function visit_(key, node, visitor, path) {
      const ctrl = callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visit_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = visit_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = visit_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = visit_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    async function visitAsync(node, visitor) {
      const visitor_ = initVisitor(visitor);
      if (identity.isDocument(node)) {
        const cd = await visitAsync_(null, node.contents, visitor_, Object.freeze([node]));
        if (cd === REMOVE)
          node.contents = null;
      } else
        await visitAsync_(null, node, visitor_, Object.freeze([]));
    }
    visitAsync.BREAK = BREAK;
    visitAsync.SKIP = SKIP;
    visitAsync.REMOVE = REMOVE;
    async function visitAsync_(key, node, visitor, path) {
      const ctrl = await callVisitor(key, node, visitor, path);
      if (identity.isNode(ctrl) || identity.isPair(ctrl)) {
        replaceNode(key, path, ctrl);
        return visitAsync_(key, ctrl, visitor, path);
      }
      if (typeof ctrl !== "symbol") {
        if (identity.isCollection(node)) {
          path = Object.freeze(path.concat(node));
          for (let i = 0; i < node.items.length; ++i) {
            const ci = await visitAsync_(i, node.items[i], visitor, path);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              node.items.splice(i, 1);
              i -= 1;
            }
          }
        } else if (identity.isPair(node)) {
          path = Object.freeze(path.concat(node));
          const ck = await visitAsync_("key", node.key, visitor, path);
          if (ck === BREAK)
            return BREAK;
          else if (ck === REMOVE)
            node.key = null;
          const cv = await visitAsync_("value", node.value, visitor, path);
          if (cv === BREAK)
            return BREAK;
          else if (cv === REMOVE)
            node.value = null;
        }
      }
      return ctrl;
    }
    function initVisitor(visitor) {
      if (typeof visitor === "object" && (visitor.Collection || visitor.Node || visitor.Value)) {
        return Object.assign({
          Alias: visitor.Node,
          Map: visitor.Node,
          Scalar: visitor.Node,
          Seq: visitor.Node
        }, visitor.Value && {
          Map: visitor.Value,
          Scalar: visitor.Value,
          Seq: visitor.Value
        }, visitor.Collection && {
          Map: visitor.Collection,
          Seq: visitor.Collection
        }, visitor);
      }
      return visitor;
    }
    function callVisitor(key, node, visitor, path) {
      if (typeof visitor === "function")
        return visitor(key, node, path);
      if (identity.isMap(node))
        return visitor.Map?.(key, node, path);
      if (identity.isSeq(node))
        return visitor.Seq?.(key, node, path);
      if (identity.isPair(node))
        return visitor.Pair?.(key, node, path);
      if (identity.isScalar(node))
        return visitor.Scalar?.(key, node, path);
      if (identity.isAlias(node))
        return visitor.Alias?.(key, node, path);
      return void 0;
    }
    function replaceNode(key, path, node) {
      const parent = path[path.length - 1];
      if (identity.isCollection(parent)) {
        parent.items[key] = node;
      } else if (identity.isPair(parent)) {
        if (key === "key")
          parent.key = node;
        else
          parent.value = node;
      } else if (identity.isDocument(parent)) {
        parent.contents = node;
      } else {
        const pt = identity.isAlias(parent) ? "alias" : "scalar";
        throw new Error(`Cannot replace node with ${pt} parent`);
      }
    }
    exports2.visit = visit;
    exports2.visitAsync = visitAsync;
  }
});

// ../../components/workflows/node_modules/yaml/dist/doc/directives.js
var require_directives4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/doc/directives.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var visit = require_visit4();
    var escapeChars = {
      "!": "%21",
      ",": "%2C",
      "[": "%5B",
      "]": "%5D",
      "{": "%7B",
      "}": "%7D"
    };
    var escapeTagName = (tn) => tn.replace(/[!,[\]{}]/g, (ch) => escapeChars[ch]);
    var Directives = class _Directives {
      constructor(yaml, tags) {
        this.docStart = null;
        this.docEnd = false;
        this.yaml = Object.assign({}, _Directives.defaultYaml, yaml);
        this.tags = Object.assign({}, _Directives.defaultTags, tags);
      }
      clone() {
        const copy = new _Directives(this.yaml, this.tags);
        copy.docStart = this.docStart;
        return copy;
      }
      /**
       * During parsing, get a Directives instance for the current document and
       * update the stream state according to the current version's spec.
       */
      atDocument() {
        const res = new _Directives(this.yaml, this.tags);
        switch (this.yaml.version) {
          case "1.1":
            this.atNextDocument = true;
            break;
          case "1.2":
            this.atNextDocument = false;
            this.yaml = {
              explicit: _Directives.defaultYaml.explicit,
              version: "1.2"
            };
            this.tags = Object.assign({}, _Directives.defaultTags);
            break;
        }
        return res;
      }
      /**
       * @param onError - May be called even if the action was successful
       * @returns `true` on success
       */
      add(line, onError) {
        if (this.atNextDocument) {
          this.yaml = { explicit: _Directives.defaultYaml.explicit, version: "1.1" };
          this.tags = Object.assign({}, _Directives.defaultTags);
          this.atNextDocument = false;
        }
        const parts = line.trim().split(/[ \t]+/);
        const name = parts.shift();
        switch (name) {
          case "%TAG": {
            if (parts.length !== 2) {
              onError(0, "%TAG directive should contain exactly two parts");
              if (parts.length < 2)
                return false;
            }
            const [handle, prefix] = parts;
            this.tags[handle] = prefix;
            return true;
          }
          case "%YAML": {
            this.yaml.explicit = true;
            if (parts.length !== 1) {
              onError(0, "%YAML directive should contain exactly one part");
              return false;
            }
            const [version] = parts;
            if (version === "1.1" || version === "1.2") {
              this.yaml.version = version;
              return true;
            } else {
              const isValid = /^\d+\.\d+$/.test(version);
              onError(6, `Unsupported YAML version ${version}`, isValid);
              return false;
            }
          }
          default:
            onError(0, `Unknown directive ${name}`, true);
            return false;
        }
      }
      /**
       * Resolves a tag, matching handles to those defined in %TAG directives.
       *
       * @returns Resolved tag, which may also be the non-specific tag `'!'` or a
       *   `'!local'` tag, or `null` if unresolvable.
       */
      tagName(source, onError) {
        if (source === "!")
          return "!";
        if (source[0] !== "!") {
          onError(`Not a valid tag: ${source}`);
          return null;
        }
        if (source[1] === "<") {
          const verbatim = source.slice(2, -1);
          if (verbatim === "!" || verbatim === "!!") {
            onError(`Verbatim tags aren't resolved, so ${source} is invalid.`);
            return null;
          }
          if (source[source.length - 1] !== ">")
            onError("Verbatim tags must end with a >");
          return verbatim;
        }
        const [, handle, suffix] = source.match(/^(.*!)([^!]*)$/);
        if (!suffix)
          onError(`The ${source} tag has no suffix`);
        const prefix = this.tags[handle];
        if (prefix)
          return prefix + decodeURIComponent(suffix);
        if (handle === "!")
          return source;
        onError(`Could not resolve tag: ${source}`);
        return null;
      }
      /**
       * Given a fully resolved tag, returns its printable string form,
       * taking into account current tag prefixes and defaults.
       */
      tagString(tag) {
        for (const [handle, prefix] of Object.entries(this.tags)) {
          if (tag.startsWith(prefix))
            return handle + escapeTagName(tag.substring(prefix.length));
        }
        return tag[0] === "!" ? tag : `!<${tag}>`;
      }
      toString(doc) {
        const lines = this.yaml.explicit ? [`%YAML ${this.yaml.version || "1.2"}`] : [];
        const tagEntries = Object.entries(this.tags);
        let tagNames;
        if (doc && tagEntries.length > 0 && identity.isNode(doc.contents)) {
          const tags = {};
          visit.visit(doc.contents, (_key, node) => {
            if (identity.isNode(node) && node.tag)
              tags[node.tag] = true;
          });
          tagNames = Object.keys(tags);
        } else
          tagNames = [];
        for (const [handle, prefix] of tagEntries) {
          if (handle === "!!" && prefix === "tag:yaml.org,2002:")
            continue;
          if (!doc || tagNames.some((tn) => tn.startsWith(prefix)))
            lines.push(`%TAG ${handle} ${prefix}`);
        }
        return lines.join("\n");
      }
    };
    Directives.defaultYaml = { explicit: false, version: "1.2" };
    Directives.defaultTags = { "!!": "tag:yaml.org,2002:" };
    exports2.Directives = Directives;
  }
});

// ../../components/workflows/node_modules/yaml/dist/doc/anchors.js
var require_anchors4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/doc/anchors.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var visit = require_visit4();
    function anchorIsValid(anchor) {
      if (/[\x00-\x19\s,[\]{}]/.test(anchor)) {
        const sa = JSON.stringify(anchor);
        const msg = `Anchor must not contain whitespace or control characters: ${sa}`;
        throw new Error(msg);
      }
      return true;
    }
    function anchorNames(root) {
      const anchors = /* @__PURE__ */ new Set();
      visit.visit(root, {
        Value(_key, node) {
          if (node.anchor)
            anchors.add(node.anchor);
        }
      });
      return anchors;
    }
    function findNewAnchor(prefix, exclude) {
      for (let i = 1; true; ++i) {
        const name = `${prefix}${i}`;
        if (!exclude.has(name))
          return name;
      }
    }
    function createNodeAnchors(doc, prefix) {
      const aliasObjects = [];
      const sourceObjects = /* @__PURE__ */ new Map();
      let prevAnchors = null;
      return {
        onAnchor: (source) => {
          aliasObjects.push(source);
          if (!prevAnchors)
            prevAnchors = anchorNames(doc);
          const anchor = findNewAnchor(prefix, prevAnchors);
          prevAnchors.add(anchor);
          return anchor;
        },
        /**
         * With circular references, the source node is only resolved after all
         * of its child nodes are. This is why anchors are set only after all of
         * the nodes have been created.
         */
        setAnchors: () => {
          for (const source of aliasObjects) {
            const ref = sourceObjects.get(source);
            if (typeof ref === "object" && ref.anchor && (identity.isScalar(ref.node) || identity.isCollection(ref.node))) {
              ref.node.anchor = ref.anchor;
            } else {
              const error = new Error("Failed to resolve repeated object (this should not happen)");
              error.source = source;
              throw error;
            }
          }
        },
        sourceObjects
      };
    }
    exports2.anchorIsValid = anchorIsValid;
    exports2.anchorNames = anchorNames;
    exports2.createNodeAnchors = createNodeAnchors;
    exports2.findNewAnchor = findNewAnchor;
  }
});

// ../../components/workflows/node_modules/yaml/dist/doc/applyReviver.js
var require_applyReviver4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/doc/applyReviver.js"(exports2) {
    "use strict";
    function applyReviver(reviver, obj, key, val) {
      if (val && typeof val === "object") {
        if (Array.isArray(val)) {
          for (let i = 0, len = val.length; i < len; ++i) {
            const v0 = val[i];
            const v1 = applyReviver(reviver, val, String(i), v0);
            if (v1 === void 0)
              delete val[i];
            else if (v1 !== v0)
              val[i] = v1;
          }
        } else if (val instanceof Map) {
          for (const k of Array.from(val.keys())) {
            const v0 = val.get(k);
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              val.delete(k);
            else if (v1 !== v0)
              val.set(k, v1);
          }
        } else if (val instanceof Set) {
          for (const v0 of Array.from(val)) {
            const v1 = applyReviver(reviver, val, v0, v0);
            if (v1 === void 0)
              val.delete(v0);
            else if (v1 !== v0) {
              val.delete(v0);
              val.add(v1);
            }
          }
        } else {
          for (const [k, v0] of Object.entries(val)) {
            const v1 = applyReviver(reviver, val, k, v0);
            if (v1 === void 0)
              delete val[k];
            else if (v1 !== v0)
              val[k] = v1;
          }
        }
      }
      return reviver.call(obj, key, val);
    }
    exports2.applyReviver = applyReviver;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/toJS.js
var require_toJS4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/toJS.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    function toJS(value, arg, ctx) {
      if (Array.isArray(value))
        return value.map((v, i) => toJS(v, String(i), ctx));
      if (value && typeof value.toJSON === "function") {
        if (!ctx || !identity.hasAnchor(value))
          return value.toJSON(arg, ctx);
        const data = { aliasCount: 0, count: 1, res: void 0 };
        ctx.anchors.set(value, data);
        ctx.onCreate = (res2) => {
          data.res = res2;
          delete ctx.onCreate;
        };
        const res = value.toJSON(arg, ctx);
        if (ctx.onCreate)
          ctx.onCreate(res);
        return res;
      }
      if (typeof value === "bigint" && !ctx?.keep)
        return Number(value);
      return value;
    }
    exports2.toJS = toJS;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/Node.js
var require_Node4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/Node.js"(exports2) {
    "use strict";
    var applyReviver = require_applyReviver4();
    var identity = require_identity4();
    var toJS = require_toJS4();
    var NodeBase = class {
      constructor(type) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: type });
      }
      /** Create a copy of this node.  */
      clone() {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** A plain JavaScript representation of this node. */
      toJS(doc, { mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        if (!identity.isDocument(doc))
          throw new TypeError("A document argument is required");
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc,
          keep: true,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this, "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
    };
    exports2.NodeBase = NodeBase;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/Alias.js
var require_Alias4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/Alias.js"(exports2) {
    "use strict";
    var anchors = require_anchors4();
    var visit = require_visit4();
    var identity = require_identity4();
    var Node = require_Node4();
    var toJS = require_toJS4();
    var Alias = class extends Node.NodeBase {
      constructor(source) {
        super(identity.ALIAS);
        this.source = source;
        Object.defineProperty(this, "tag", {
          set() {
            throw new Error("Alias nodes cannot have tags");
          }
        });
      }
      /**
       * Resolve the value of this alias within `doc`, finding the last
       * instance of the `source` anchor before this node.
       */
      resolve(doc) {
        let found = void 0;
        visit.visit(doc, {
          Node: (_key, node) => {
            if (node === this)
              return visit.visit.BREAK;
            if (node.anchor === this.source)
              found = node;
          }
        });
        return found;
      }
      toJSON(_arg, ctx) {
        if (!ctx)
          return { source: this.source };
        const { anchors: anchors2, doc, maxAliasCount } = ctx;
        const source = this.resolve(doc);
        if (!source) {
          const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
          throw new ReferenceError(msg);
        }
        let data = anchors2.get(source);
        if (!data) {
          toJS.toJS(source, null, ctx);
          data = anchors2.get(source);
        }
        if (!data || data.res === void 0) {
          const msg = "This should not happen: Alias anchor was not resolved?";
          throw new ReferenceError(msg);
        }
        if (maxAliasCount >= 0) {
          data.count += 1;
          if (data.aliasCount === 0)
            data.aliasCount = getAliasCount(doc, source, anchors2);
          if (data.count * data.aliasCount > maxAliasCount) {
            const msg = "Excessive alias count indicates a resource exhaustion attack";
            throw new ReferenceError(msg);
          }
        }
        return data.res;
      }
      toString(ctx, _onComment, _onChompKeep) {
        const src = `*${this.source}`;
        if (ctx) {
          anchors.anchorIsValid(this.source);
          if (ctx.options.verifyAliasOrder && !ctx.anchors.has(this.source)) {
            const msg = `Unresolved alias (the anchor must be set before the alias): ${this.source}`;
            throw new Error(msg);
          }
          if (ctx.implicitKey)
            return `${src} `;
        }
        return src;
      }
    };
    function getAliasCount(doc, node, anchors2) {
      if (identity.isAlias(node)) {
        const source = node.resolve(doc);
        const anchor = anchors2 && source && anchors2.get(source);
        return anchor ? anchor.count * anchor.aliasCount : 0;
      } else if (identity.isCollection(node)) {
        let count = 0;
        for (const item of node.items) {
          const c = getAliasCount(doc, item, anchors2);
          if (c > count)
            count = c;
        }
        return count;
      } else if (identity.isPair(node)) {
        const kc = getAliasCount(doc, node.key, anchors2);
        const vc = getAliasCount(doc, node.value, anchors2);
        return Math.max(kc, vc);
      }
      return 1;
    }
    exports2.Alias = Alias;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/Scalar.js
var require_Scalar4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/Scalar.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Node = require_Node4();
    var toJS = require_toJS4();
    var isScalarValue = (value) => !value || typeof value !== "function" && typeof value !== "object";
    var Scalar = class extends Node.NodeBase {
      constructor(value) {
        super(identity.SCALAR);
        this.value = value;
      }
      toJSON(arg, ctx) {
        return ctx?.keep ? this.value : toJS.toJS(this.value, arg, ctx);
      }
      toString() {
        return String(this.value);
      }
    };
    Scalar.BLOCK_FOLDED = "BLOCK_FOLDED";
    Scalar.BLOCK_LITERAL = "BLOCK_LITERAL";
    Scalar.PLAIN = "PLAIN";
    Scalar.QUOTE_DOUBLE = "QUOTE_DOUBLE";
    Scalar.QUOTE_SINGLE = "QUOTE_SINGLE";
    exports2.Scalar = Scalar;
    exports2.isScalarValue = isScalarValue;
  }
});

// ../../components/workflows/node_modules/yaml/dist/doc/createNode.js
var require_createNode4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/doc/createNode.js"(exports2) {
    "use strict";
    var Alias = require_Alias4();
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var defaultTagPrefix = "tag:yaml.org,2002:";
    function findTagObject(value, tagName, tags) {
      if (tagName) {
        const match = tags.filter((t) => t.tag === tagName);
        const tagObj = match.find((t) => !t.format) ?? match[0];
        if (!tagObj)
          throw new Error(`Tag ${tagName} not found`);
        return tagObj;
      }
      return tags.find((t) => t.identify?.(value) && !t.format);
    }
    function createNode(value, tagName, ctx) {
      if (identity.isDocument(value))
        value = value.contents;
      if (identity.isNode(value))
        return value;
      if (identity.isPair(value)) {
        const map = ctx.schema[identity.MAP].createNode?.(ctx.schema, null, ctx);
        map.items.push(value);
        return map;
      }
      if (value instanceof String || value instanceof Number || value instanceof Boolean || typeof BigInt !== "undefined" && value instanceof BigInt) {
        value = value.valueOf();
      }
      const { aliasDuplicateObjects, onAnchor, onTagObj, schema, sourceObjects } = ctx;
      let ref = void 0;
      if (aliasDuplicateObjects && value && typeof value === "object") {
        ref = sourceObjects.get(value);
        if (ref) {
          if (!ref.anchor)
            ref.anchor = onAnchor(value);
          return new Alias.Alias(ref.anchor);
        } else {
          ref = { anchor: null, node: null };
          sourceObjects.set(value, ref);
        }
      }
      if (tagName?.startsWith("!!"))
        tagName = defaultTagPrefix + tagName.slice(2);
      let tagObj = findTagObject(value, tagName, schema.tags);
      if (!tagObj) {
        if (value && typeof value.toJSON === "function") {
          value = value.toJSON();
        }
        if (!value || typeof value !== "object") {
          const node2 = new Scalar.Scalar(value);
          if (ref)
            ref.node = node2;
          return node2;
        }
        tagObj = value instanceof Map ? schema[identity.MAP] : Symbol.iterator in Object(value) ? schema[identity.SEQ] : schema[identity.MAP];
      }
      if (onTagObj) {
        onTagObj(tagObj);
        delete ctx.onTagObj;
      }
      const node = tagObj?.createNode ? tagObj.createNode(ctx.schema, value, ctx) : typeof tagObj?.nodeClass?.from === "function" ? tagObj.nodeClass.from(ctx.schema, value, ctx) : new Scalar.Scalar(value);
      if (tagName)
        node.tag = tagName;
      else if (!tagObj.default)
        node.tag = tagObj.tag;
      if (ref)
        ref.node = node;
      return node;
    }
    exports2.createNode = createNode;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/Collection.js
var require_Collection4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/Collection.js"(exports2) {
    "use strict";
    var createNode = require_createNode4();
    var identity = require_identity4();
    var Node = require_Node4();
    function collectionFromPath(schema, path, value) {
      let v = value;
      for (let i = path.length - 1; i >= 0; --i) {
        const k = path[i];
        if (typeof k === "number" && Number.isInteger(k) && k >= 0) {
          const a = [];
          a[k] = v;
          v = a;
        } else {
          v = /* @__PURE__ */ new Map([[k, v]]);
        }
      }
      return createNode.createNode(v, void 0, {
        aliasDuplicateObjects: false,
        keepUndefined: false,
        onAnchor: () => {
          throw new Error("This should not happen, please report a bug.");
        },
        schema,
        sourceObjects: /* @__PURE__ */ new Map()
      });
    }
    var isEmptyPath = (path) => path == null || typeof path === "object" && !!path[Symbol.iterator]().next().done;
    var Collection = class extends Node.NodeBase {
      constructor(type, schema) {
        super(type);
        Object.defineProperty(this, "schema", {
          value: schema,
          configurable: true,
          enumerable: false,
          writable: true
        });
      }
      /**
       * Create a copy of this collection.
       *
       * @param schema - If defined, overwrites the original's schema
       */
      clone(schema) {
        const copy = Object.create(Object.getPrototypeOf(this), Object.getOwnPropertyDescriptors(this));
        if (schema)
          copy.schema = schema;
        copy.items = copy.items.map((it) => identity.isNode(it) || identity.isPair(it) ? it.clone(schema) : it);
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /**
       * Adds a value to the collection. For `!!map` and `!!omap` the value must
       * be a Pair instance or a `{ key, value }` object, which may not have a key
       * that already exists in the map.
       */
      addIn(path, value) {
        if (isEmptyPath(path))
          this.add(value);
        else {
          const [key, ...rest] = path;
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.addIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
      /**
       * Removes a value from the collection.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.delete(key);
        const node = this.get(key, true);
        if (identity.isCollection(node))
          return node.deleteIn(rest);
        else
          throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        const [key, ...rest] = path;
        const node = this.get(key, true);
        if (rest.length === 0)
          return !keepScalar && identity.isScalar(node) ? node.value : node;
        else
          return identity.isCollection(node) ? node.getIn(rest, keepScalar) : void 0;
      }
      hasAllNullValues(allowScalar) {
        return this.items.every((node) => {
          if (!identity.isPair(node))
            return false;
          const n = node.value;
          return n == null || allowScalar && identity.isScalar(n) && n.value == null && !n.commentBefore && !n.comment && !n.tag;
        });
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       */
      hasIn(path) {
        const [key, ...rest] = path;
        if (rest.length === 0)
          return this.has(key);
        const node = this.get(key, true);
        return identity.isCollection(node) ? node.hasIn(rest) : false;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        const [key, ...rest] = path;
        if (rest.length === 0) {
          this.set(key, value);
        } else {
          const node = this.get(key, true);
          if (identity.isCollection(node))
            node.setIn(rest, value);
          else if (node === void 0 && this.schema)
            this.set(key, collectionFromPath(this.schema, rest, value));
          else
            throw new Error(`Expected YAML collection at ${key}. Remaining path: ${rest}`);
        }
      }
    };
    Collection.maxFlowStringSingleLineLength = 60;
    exports2.Collection = Collection;
    exports2.collectionFromPath = collectionFromPath;
    exports2.isEmptyPath = isEmptyPath;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyComment.js
var require_stringifyComment4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyComment.js"(exports2) {
    "use strict";
    var stringifyComment = (str) => str.replace(/^(?!$)(?: $)?/gm, "#");
    function indentComment(comment, indent) {
      if (/^\n+$/.test(comment))
        return comment.substring(1);
      return indent ? comment.replace(/^(?! *$)/gm, indent) : comment;
    }
    var lineComment = (str, indent, comment) => str.endsWith("\n") ? indentComment(comment, indent) : comment.includes("\n") ? "\n" + indentComment(comment, indent) : (str.endsWith(" ") ? "" : " ") + comment;
    exports2.indentComment = indentComment;
    exports2.lineComment = lineComment;
    exports2.stringifyComment = stringifyComment;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/foldFlowLines.js
var require_foldFlowLines4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/foldFlowLines.js"(exports2) {
    "use strict";
    var FOLD_FLOW = "flow";
    var FOLD_BLOCK = "block";
    var FOLD_QUOTED = "quoted";
    function foldFlowLines(text, indent, mode = "flow", { indentAtStart, lineWidth = 80, minContentWidth = 20, onFold, onOverflow } = {}) {
      if (!lineWidth || lineWidth < 0)
        return text;
      const endStep = Math.max(1 + minContentWidth, 1 + lineWidth - indent.length);
      if (text.length <= endStep)
        return text;
      const folds = [];
      const escapedFolds = {};
      let end = lineWidth - indent.length;
      if (typeof indentAtStart === "number") {
        if (indentAtStart > lineWidth - Math.max(2, minContentWidth))
          folds.push(0);
        else
          end = lineWidth - indentAtStart;
      }
      let split = void 0;
      let prev = void 0;
      let overflow = false;
      let i = -1;
      let escStart = -1;
      let escEnd = -1;
      if (mode === FOLD_BLOCK) {
        i = consumeMoreIndentedLines(text, i);
        if (i !== -1)
          end = i + endStep;
      }
      for (let ch; ch = text[i += 1]; ) {
        if (mode === FOLD_QUOTED && ch === "\\") {
          escStart = i;
          switch (text[i + 1]) {
            case "x":
              i += 3;
              break;
            case "u":
              i += 5;
              break;
            case "U":
              i += 9;
              break;
            default:
              i += 1;
          }
          escEnd = i;
        }
        if (ch === "\n") {
          if (mode === FOLD_BLOCK)
            i = consumeMoreIndentedLines(text, i);
          end = i + endStep;
          split = void 0;
        } else {
          if (ch === " " && prev && prev !== " " && prev !== "\n" && prev !== "	") {
            const next = text[i + 1];
            if (next && next !== " " && next !== "\n" && next !== "	")
              split = i;
          }
          if (i >= end) {
            if (split) {
              folds.push(split);
              end = split + endStep;
              split = void 0;
            } else if (mode === FOLD_QUOTED) {
              while (prev === " " || prev === "	") {
                prev = ch;
                ch = text[i += 1];
                overflow = true;
              }
              const j = i > escEnd + 1 ? i - 2 : escStart - 1;
              if (escapedFolds[j])
                return text;
              folds.push(j);
              escapedFolds[j] = true;
              end = j + endStep;
              split = void 0;
            } else {
              overflow = true;
            }
          }
        }
        prev = ch;
      }
      if (overflow && onOverflow)
        onOverflow();
      if (folds.length === 0)
        return text;
      if (onFold)
        onFold();
      let res = text.slice(0, folds[0]);
      for (let i2 = 0; i2 < folds.length; ++i2) {
        const fold = folds[i2];
        const end2 = folds[i2 + 1] || text.length;
        if (fold === 0)
          res = `
${indent}${text.slice(0, end2)}`;
        else {
          if (mode === FOLD_QUOTED && escapedFolds[fold])
            res += `${text[fold]}\\`;
          res += `
${indent}${text.slice(fold + 1, end2)}`;
        }
      }
      return res;
    }
    function consumeMoreIndentedLines(text, i) {
      let ch = text[i + 1];
      while (ch === " " || ch === "	") {
        do {
          ch = text[i += 1];
        } while (ch && ch !== "\n");
        ch = text[i + 1];
      }
      return i;
    }
    exports2.FOLD_BLOCK = FOLD_BLOCK;
    exports2.FOLD_FLOW = FOLD_FLOW;
    exports2.FOLD_QUOTED = FOLD_QUOTED;
    exports2.foldFlowLines = foldFlowLines;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyString.js
var require_stringifyString4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyString.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var foldFlowLines = require_foldFlowLines4();
    var getFoldOptions = (ctx, isBlock) => ({
      indentAtStart: isBlock ? ctx.indent.length : ctx.indentAtStart,
      lineWidth: ctx.options.lineWidth,
      minContentWidth: ctx.options.minContentWidth
    });
    var containsDocumentMarker = (str) => /^(%|---|\.\.\.)/m.test(str);
    function lineLengthOverLimit(str, lineWidth, indentLength) {
      if (!lineWidth || lineWidth < 0)
        return false;
      const limit = lineWidth - indentLength;
      const strLen = str.length;
      if (strLen <= limit)
        return false;
      for (let i = 0, start = 0; i < strLen; ++i) {
        if (str[i] === "\n") {
          if (i - start > limit)
            return true;
          start = i + 1;
          if (strLen - start <= limit)
            return false;
        }
      }
      return true;
    }
    function doubleQuotedString(value, ctx) {
      const json = JSON.stringify(value);
      if (ctx.options.doubleQuotedAsJSON)
        return json;
      const { implicitKey } = ctx;
      const minMultiLineLength = ctx.options.doubleQuotedMinMultiLineLength;
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      let str = "";
      let start = 0;
      for (let i = 0, ch = json[i]; ch; ch = json[++i]) {
        if (ch === " " && json[i + 1] === "\\" && json[i + 2] === "n") {
          str += json.slice(start, i) + "\\ ";
          i += 1;
          start = i;
          ch = "\\";
        }
        if (ch === "\\")
          switch (json[i + 1]) {
            case "u":
              {
                str += json.slice(start, i);
                const code = json.substr(i + 2, 4);
                switch (code) {
                  case "0000":
                    str += "\\0";
                    break;
                  case "0007":
                    str += "\\a";
                    break;
                  case "000b":
                    str += "\\v";
                    break;
                  case "001b":
                    str += "\\e";
                    break;
                  case "0085":
                    str += "\\N";
                    break;
                  case "00a0":
                    str += "\\_";
                    break;
                  case "2028":
                    str += "\\L";
                    break;
                  case "2029":
                    str += "\\P";
                    break;
                  default:
                    if (code.substr(0, 2) === "00")
                      str += "\\x" + code.substr(2);
                    else
                      str += json.substr(i, 6);
                }
                i += 5;
                start = i + 1;
              }
              break;
            case "n":
              if (implicitKey || json[i + 2] === '"' || json.length < minMultiLineLength) {
                i += 1;
              } else {
                str += json.slice(start, i) + "\n\n";
                while (json[i + 2] === "\\" && json[i + 3] === "n" && json[i + 4] !== '"') {
                  str += "\n";
                  i += 2;
                }
                str += indent;
                if (json[i + 2] === " ")
                  str += "\\";
                i += 1;
                start = i + 1;
              }
              break;
            default:
              i += 1;
          }
      }
      str = start ? str + json.slice(start) : json;
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_QUOTED, getFoldOptions(ctx, false));
    }
    function singleQuotedString(value, ctx) {
      if (ctx.options.singleQuote === false || ctx.implicitKey && value.includes("\n") || /[ \t]\n|\n[ \t]/.test(value))
        return doubleQuotedString(value, ctx);
      const indent = ctx.indent || (containsDocumentMarker(value) ? "  " : "");
      const res = "'" + value.replace(/'/g, "''").replace(/\n+/g, `$&
${indent}`) + "'";
      return ctx.implicitKey ? res : foldFlowLines.foldFlowLines(res, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function quotedString(value, ctx) {
      const { singleQuote } = ctx.options;
      let qs;
      if (singleQuote === false)
        qs = doubleQuotedString;
      else {
        const hasDouble = value.includes('"');
        const hasSingle = value.includes("'");
        if (hasDouble && !hasSingle)
          qs = singleQuotedString;
        else if (hasSingle && !hasDouble)
          qs = doubleQuotedString;
        else
          qs = singleQuote ? singleQuotedString : doubleQuotedString;
      }
      return qs(value, ctx);
    }
    var blockEndNewlines;
    try {
      blockEndNewlines = new RegExp("(^|(?<!\n))\n+(?!\n|$)", "g");
    } catch {
      blockEndNewlines = /\n+(?!\n|$)/g;
    }
    function blockString({ comment, type, value }, ctx, onComment, onChompKeep) {
      const { blockQuote, commentString, lineWidth } = ctx.options;
      if (!blockQuote || /\n[\t ]+$/.test(value) || /^\s*$/.test(value)) {
        return quotedString(value, ctx);
      }
      const indent = ctx.indent || (ctx.forceBlockIndent || containsDocumentMarker(value) ? "  " : "");
      const literal = blockQuote === "literal" ? true : blockQuote === "folded" || type === Scalar.Scalar.BLOCK_FOLDED ? false : type === Scalar.Scalar.BLOCK_LITERAL ? true : !lineLengthOverLimit(value, lineWidth, indent.length);
      if (!value)
        return literal ? "|\n" : ">\n";
      let chomp;
      let endStart;
      for (endStart = value.length; endStart > 0; --endStart) {
        const ch = value[endStart - 1];
        if (ch !== "\n" && ch !== "	" && ch !== " ")
          break;
      }
      let end = value.substring(endStart);
      const endNlPos = end.indexOf("\n");
      if (endNlPos === -1) {
        chomp = "-";
      } else if (value === end || endNlPos !== end.length - 1) {
        chomp = "+";
        if (onChompKeep)
          onChompKeep();
      } else {
        chomp = "";
      }
      if (end) {
        value = value.slice(0, -end.length);
        if (end[end.length - 1] === "\n")
          end = end.slice(0, -1);
        end = end.replace(blockEndNewlines, `$&${indent}`);
      }
      let startWithSpace = false;
      let startEnd;
      let startNlPos = -1;
      for (startEnd = 0; startEnd < value.length; ++startEnd) {
        const ch = value[startEnd];
        if (ch === " ")
          startWithSpace = true;
        else if (ch === "\n")
          startNlPos = startEnd;
        else
          break;
      }
      let start = value.substring(0, startNlPos < startEnd ? startNlPos + 1 : startEnd);
      if (start) {
        value = value.substring(start.length);
        start = start.replace(/\n+/g, `$&${indent}`);
      }
      const indentSize = indent ? "2" : "1";
      let header = (literal ? "|" : ">") + (startWithSpace ? indentSize : "") + chomp;
      if (comment) {
        header += " " + commentString(comment.replace(/ ?[\r\n]+/g, " "));
        if (onComment)
          onComment();
      }
      if (literal) {
        value = value.replace(/\n+/g, `$&${indent}`);
        return `${header}
${indent}${start}${value}${end}`;
      }
      value = value.replace(/\n+/g, "\n$&").replace(/(?:^|\n)([\t ].*)(?:([\n\t ]*)\n(?![\n\t ]))?/g, "$1$2").replace(/\n+/g, `$&${indent}`);
      const body = foldFlowLines.foldFlowLines(`${start}${value}${end}`, indent, foldFlowLines.FOLD_BLOCK, getFoldOptions(ctx, true));
      return `${header}
${indent}${body}`;
    }
    function plainString(item, ctx, onComment, onChompKeep) {
      const { type, value } = item;
      const { actualString, implicitKey, indent, indentStep, inFlow } = ctx;
      if (implicitKey && /[\n[\]{},]/.test(value) || inFlow && /[[\]{},]/.test(value)) {
        return quotedString(value, ctx);
      }
      if (!value || /^[\n\t ,[\]{}#&*!|>'"%@`]|^[?-]$|^[?-][ \t]|[\n:][ \t]|[ \t]\n|[\n\t ]#|[\n\t :]$/.test(value)) {
        return implicitKey || inFlow || !value.includes("\n") ? quotedString(value, ctx) : blockString(item, ctx, onComment, onChompKeep);
      }
      if (!implicitKey && !inFlow && type !== Scalar.Scalar.PLAIN && value.includes("\n")) {
        return blockString(item, ctx, onComment, onChompKeep);
      }
      if (containsDocumentMarker(value)) {
        if (indent === "") {
          ctx.forceBlockIndent = true;
          return blockString(item, ctx, onComment, onChompKeep);
        } else if (implicitKey && indent === indentStep) {
          return quotedString(value, ctx);
        }
      }
      const str = value.replace(/\n+/g, `$&
${indent}`);
      if (actualString) {
        const test = (tag) => tag.default && tag.tag !== "tag:yaml.org,2002:str" && tag.test?.test(str);
        const { compat, tags } = ctx.doc.schema;
        if (tags.some(test) || compat?.some(test))
          return quotedString(value, ctx);
      }
      return implicitKey ? str : foldFlowLines.foldFlowLines(str, indent, foldFlowLines.FOLD_FLOW, getFoldOptions(ctx, false));
    }
    function stringifyString(item, ctx, onComment, onChompKeep) {
      const { implicitKey, inFlow } = ctx;
      const ss = typeof item.value === "string" ? item : Object.assign({}, item, { value: String(item.value) });
      let { type } = item;
      if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
        if (/[\x00-\x08\x0b-\x1f\x7f-\x9f\u{D800}-\u{DFFF}]/u.test(ss.value))
          type = Scalar.Scalar.QUOTE_DOUBLE;
      }
      const _stringify = (_type2) => {
        switch (_type2) {
          case Scalar.Scalar.BLOCK_FOLDED:
          case Scalar.Scalar.BLOCK_LITERAL:
            return implicitKey || inFlow ? quotedString(ss.value, ctx) : blockString(ss, ctx, onComment, onChompKeep);
          case Scalar.Scalar.QUOTE_DOUBLE:
            return doubleQuotedString(ss.value, ctx);
          case Scalar.Scalar.QUOTE_SINGLE:
            return singleQuotedString(ss.value, ctx);
          case Scalar.Scalar.PLAIN:
            return plainString(ss, ctx, onComment, onChompKeep);
          default:
            return null;
        }
      };
      let res = _stringify(type);
      if (res === null) {
        const { defaultKeyType, defaultStringType } = ctx.options;
        const t = implicitKey && defaultKeyType || defaultStringType;
        res = _stringify(t);
        if (res === null)
          throw new Error(`Unsupported default string type ${t}`);
      }
      return res;
    }
    exports2.stringifyString = stringifyString;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringify.js
var require_stringify10 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringify.js"(exports2) {
    "use strict";
    var anchors = require_anchors4();
    var identity = require_identity4();
    var stringifyComment = require_stringifyComment4();
    var stringifyString = require_stringifyString4();
    function createStringifyContext(doc, options) {
      const opt = Object.assign({
        blockQuote: true,
        commentString: stringifyComment.stringifyComment,
        defaultKeyType: null,
        defaultStringType: "PLAIN",
        directives: null,
        doubleQuotedAsJSON: false,
        doubleQuotedMinMultiLineLength: 40,
        falseStr: "false",
        flowCollectionPadding: true,
        indentSeq: true,
        lineWidth: 80,
        minContentWidth: 20,
        nullStr: "null",
        simpleKeys: false,
        singleQuote: null,
        trueStr: "true",
        verifyAliasOrder: true
      }, doc.schema.toStringOptions, options);
      let inFlow;
      switch (opt.collectionStyle) {
        case "block":
          inFlow = false;
          break;
        case "flow":
          inFlow = true;
          break;
        default:
          inFlow = null;
      }
      return {
        anchors: /* @__PURE__ */ new Set(),
        doc,
        flowCollectionPadding: opt.flowCollectionPadding ? " " : "",
        indent: "",
        indentStep: typeof opt.indent === "number" ? " ".repeat(opt.indent) : "  ",
        inFlow,
        options: opt
      };
    }
    function getTagObject(tags, item) {
      if (item.tag) {
        const match = tags.filter((t) => t.tag === item.tag);
        if (match.length > 0)
          return match.find((t) => t.format === item.format) ?? match[0];
      }
      let tagObj = void 0;
      let obj;
      if (identity.isScalar(item)) {
        obj = item.value;
        const match = tags.filter((t) => t.identify?.(obj));
        tagObj = match.find((t) => t.format === item.format) ?? match.find((t) => !t.format);
      } else {
        obj = item;
        tagObj = tags.find((t) => t.nodeClass && obj instanceof t.nodeClass);
      }
      if (!tagObj) {
        const name = obj?.constructor?.name ?? typeof obj;
        throw new Error(`Tag not resolved for ${name} value`);
      }
      return tagObj;
    }
    function stringifyProps(node, tagObj, { anchors: anchors$1, doc }) {
      if (!doc.directives)
        return "";
      const props = [];
      const anchor = (identity.isScalar(node) || identity.isCollection(node)) && node.anchor;
      if (anchor && anchors.anchorIsValid(anchor)) {
        anchors$1.add(anchor);
        props.push(`&${anchor}`);
      }
      const tag = node.tag ? node.tag : tagObj.default ? null : tagObj.tag;
      if (tag)
        props.push(doc.directives.tagString(tag));
      return props.join(" ");
    }
    function stringify(item, ctx, onComment, onChompKeep) {
      if (identity.isPair(item))
        return item.toString(ctx, onComment, onChompKeep);
      if (identity.isAlias(item)) {
        if (ctx.doc.directives)
          return item.toString(ctx);
        if (ctx.resolvedAliases?.has(item)) {
          throw new TypeError(`Cannot stringify circular structure without alias nodes`);
        } else {
          if (ctx.resolvedAliases)
            ctx.resolvedAliases.add(item);
          else
            ctx.resolvedAliases = /* @__PURE__ */ new Set([item]);
          item = item.resolve(ctx.doc);
        }
      }
      let tagObj = void 0;
      const node = identity.isNode(item) ? item : ctx.doc.createNode(item, { onTagObj: (o) => tagObj = o });
      if (!tagObj)
        tagObj = getTagObject(ctx.doc.schema.tags, node);
      const props = stringifyProps(node, tagObj, ctx);
      if (props.length > 0)
        ctx.indentAtStart = (ctx.indentAtStart ?? 0) + props.length + 1;
      const str = typeof tagObj.stringify === "function" ? tagObj.stringify(node, ctx, onComment, onChompKeep) : identity.isScalar(node) ? stringifyString.stringifyString(node, ctx, onComment, onChompKeep) : node.toString(ctx, onComment, onChompKeep);
      if (!props)
        return str;
      return identity.isScalar(node) || str[0] === "{" || str[0] === "[" ? `${props} ${str}` : `${props}
${ctx.indent}${str}`;
    }
    exports2.createStringifyContext = createStringifyContext;
    exports2.stringify = stringify;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyPair.js
var require_stringifyPair4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyPair.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var stringify = require_stringify10();
    var stringifyComment = require_stringifyComment4();
    function stringifyPair({ key, value }, ctx, onComment, onChompKeep) {
      const { allNullValues, doc, indent, indentStep, options: { commentString, indentSeq, simpleKeys } } = ctx;
      let keyComment = identity.isNode(key) && key.comment || null;
      if (simpleKeys) {
        if (keyComment) {
          throw new Error("With simple keys, key nodes cannot have comments");
        }
        if (identity.isCollection(key)) {
          const msg = "With simple keys, collection cannot be used as a key value";
          throw new Error(msg);
        }
      }
      let explicitKey = !simpleKeys && (!key || keyComment && value == null && !ctx.inFlow || identity.isCollection(key) || (identity.isScalar(key) ? key.type === Scalar.Scalar.BLOCK_FOLDED || key.type === Scalar.Scalar.BLOCK_LITERAL : typeof key === "object"));
      ctx = Object.assign({}, ctx, {
        allNullValues: false,
        implicitKey: !explicitKey && (simpleKeys || !allNullValues),
        indent: indent + indentStep
      });
      let keyCommentDone = false;
      let chompKeep = false;
      let str = stringify.stringify(key, ctx, () => keyCommentDone = true, () => chompKeep = true);
      if (!explicitKey && !ctx.inFlow && str.length > 1024) {
        if (simpleKeys)
          throw new Error("With simple keys, single line scalar must not span more than 1024 characters");
        explicitKey = true;
      }
      if (ctx.inFlow) {
        if (allNullValues || value == null) {
          if (keyCommentDone && onComment)
            onComment();
          return str === "" ? "?" : explicitKey ? `? ${str}` : str;
        }
      } else if (allNullValues && !simpleKeys || value == null && explicitKey) {
        str = `? ${str}`;
        if (keyComment && !keyCommentDone) {
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        } else if (chompKeep && onChompKeep)
          onChompKeep();
        return str;
      }
      if (keyCommentDone)
        keyComment = null;
      if (explicitKey) {
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
        str = `? ${str}
${indent}:`;
      } else {
        str = `${str}:`;
        if (keyComment)
          str += stringifyComment.lineComment(str, ctx.indent, commentString(keyComment));
      }
      let vsb, vcb, valueComment;
      if (identity.isNode(value)) {
        vsb = !!value.spaceBefore;
        vcb = value.commentBefore;
        valueComment = value.comment;
      } else {
        vsb = false;
        vcb = null;
        valueComment = null;
        if (value && typeof value === "object")
          value = doc.createNode(value);
      }
      ctx.implicitKey = false;
      if (!explicitKey && !keyComment && identity.isScalar(value))
        ctx.indentAtStart = str.length + 1;
      chompKeep = false;
      if (!indentSeq && indentStep.length >= 2 && !ctx.inFlow && !explicitKey && identity.isSeq(value) && !value.flow && !value.tag && !value.anchor) {
        ctx.indent = ctx.indent.substring(2);
      }
      let valueCommentDone = false;
      const valueStr = stringify.stringify(value, ctx, () => valueCommentDone = true, () => chompKeep = true);
      let ws = " ";
      if (keyComment || vsb || vcb) {
        ws = vsb ? "\n" : "";
        if (vcb) {
          const cs = commentString(vcb);
          ws += `
${stringifyComment.indentComment(cs, ctx.indent)}`;
        }
        if (valueStr === "" && !ctx.inFlow) {
          if (ws === "\n")
            ws = "\n\n";
        } else {
          ws += `
${ctx.indent}`;
        }
      } else if (!explicitKey && identity.isCollection(value)) {
        const vs0 = valueStr[0];
        const nl0 = valueStr.indexOf("\n");
        const hasNewline = nl0 !== -1;
        const flow = ctx.inFlow ?? value.flow ?? value.items.length === 0;
        if (hasNewline || !flow) {
          let hasPropsLine = false;
          if (hasNewline && (vs0 === "&" || vs0 === "!")) {
            let sp0 = valueStr.indexOf(" ");
            if (vs0 === "&" && sp0 !== -1 && sp0 < nl0 && valueStr[sp0 + 1] === "!") {
              sp0 = valueStr.indexOf(" ", sp0 + 1);
            }
            if (sp0 === -1 || nl0 < sp0)
              hasPropsLine = true;
          }
          if (!hasPropsLine)
            ws = `
${ctx.indent}`;
        }
      } else if (valueStr === "" || valueStr[0] === "\n") {
        ws = "";
      }
      str += ws + valueStr;
      if (ctx.inFlow) {
        if (valueCommentDone && onComment)
          onComment();
      } else if (valueComment && !valueCommentDone) {
        str += stringifyComment.lineComment(str, ctx.indent, commentString(valueComment));
      } else if (chompKeep && onChompKeep) {
        onChompKeep();
      }
      return str;
    }
    exports2.stringifyPair = stringifyPair;
  }
});

// ../../components/workflows/node_modules/yaml/dist/log.js
var require_log4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/log.js"(exports2) {
    "use strict";
    function debug(logLevel, ...messages) {
      if (logLevel === "debug")
        console.log(...messages);
    }
    function warn(logLevel, warning) {
      if (logLevel === "debug" || logLevel === "warn") {
        if (typeof process !== "undefined" && process.emitWarning)
          process.emitWarning(warning);
        else
          console.warn(warning);
      }
    }
    exports2.debug = debug;
    exports2.warn = warn;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/addPairToJSMap.js
var require_addPairToJSMap4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/addPairToJSMap.js"(exports2) {
    "use strict";
    var log = require_log4();
    var stringify = require_stringify10();
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var toJS = require_toJS4();
    var MERGE_KEY = "<<";
    function addPairToJSMap(ctx, map, { key, value }) {
      if (ctx?.doc.schema.merge && isMergeKey(key)) {
        value = identity.isAlias(value) ? value.resolve(ctx.doc) : value;
        if (identity.isSeq(value))
          for (const it of value.items)
            mergeToJSMap(ctx, map, it);
        else if (Array.isArray(value))
          for (const it of value)
            mergeToJSMap(ctx, map, it);
        else
          mergeToJSMap(ctx, map, value);
      } else {
        const jsKey = toJS.toJS(key, "", ctx);
        if (map instanceof Map) {
          map.set(jsKey, toJS.toJS(value, jsKey, ctx));
        } else if (map instanceof Set) {
          map.add(jsKey);
        } else {
          const stringKey = stringifyKey(key, jsKey, ctx);
          const jsValue = toJS.toJS(value, stringKey, ctx);
          if (stringKey in map)
            Object.defineProperty(map, stringKey, {
              value: jsValue,
              writable: true,
              enumerable: true,
              configurable: true
            });
          else
            map[stringKey] = jsValue;
        }
      }
      return map;
    }
    var isMergeKey = (key) => key === MERGE_KEY || identity.isScalar(key) && key.value === MERGE_KEY && (!key.type || key.type === Scalar.Scalar.PLAIN);
    function mergeToJSMap(ctx, map, value) {
      const source = ctx && identity.isAlias(value) ? value.resolve(ctx.doc) : value;
      if (!identity.isMap(source))
        throw new Error("Merge sources must be maps or map aliases");
      const srcMap = source.toJSON(null, ctx, Map);
      for (const [key, value2] of srcMap) {
        if (map instanceof Map) {
          if (!map.has(key))
            map.set(key, value2);
        } else if (map instanceof Set) {
          map.add(key);
        } else if (!Object.prototype.hasOwnProperty.call(map, key)) {
          Object.defineProperty(map, key, {
            value: value2,
            writable: true,
            enumerable: true,
            configurable: true
          });
        }
      }
      return map;
    }
    function stringifyKey(key, jsKey, ctx) {
      if (jsKey === null)
        return "";
      if (typeof jsKey !== "object")
        return String(jsKey);
      if (identity.isNode(key) && ctx && ctx.doc) {
        const strCtx = stringify.createStringifyContext(ctx.doc, {});
        strCtx.anchors = /* @__PURE__ */ new Set();
        for (const node of ctx.anchors.keys())
          strCtx.anchors.add(node.anchor);
        strCtx.inFlow = true;
        strCtx.inStringifyKey = true;
        const strKey = key.toString(strCtx);
        if (!ctx.mapKeyWarned) {
          let jsonStr = JSON.stringify(strKey);
          if (jsonStr.length > 40)
            jsonStr = jsonStr.substring(0, 36) + '..."';
          log.warn(ctx.doc.options.logLevel, `Keys with collection values will be stringified due to JS Object restrictions: ${jsonStr}. Set mapAsMap: true to use object keys.`);
          ctx.mapKeyWarned = true;
        }
        return strKey;
      }
      return JSON.stringify(jsKey);
    }
    exports2.addPairToJSMap = addPairToJSMap;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/Pair.js
var require_Pair4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/Pair.js"(exports2) {
    "use strict";
    var createNode = require_createNode4();
    var stringifyPair = require_stringifyPair4();
    var addPairToJSMap = require_addPairToJSMap4();
    var identity = require_identity4();
    function createPair(key, value, ctx) {
      const k = createNode.createNode(key, void 0, ctx);
      const v = createNode.createNode(value, void 0, ctx);
      return new Pair(k, v);
    }
    var Pair = class _Pair {
      constructor(key, value = null) {
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.PAIR });
        this.key = key;
        this.value = value;
      }
      clone(schema) {
        let { key, value } = this;
        if (identity.isNode(key))
          key = key.clone(schema);
        if (identity.isNode(value))
          value = value.clone(schema);
        return new _Pair(key, value);
      }
      toJSON(_, ctx) {
        const pair = ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        return addPairToJSMap.addPairToJSMap(ctx, pair, this);
      }
      toString(ctx, onComment, onChompKeep) {
        return ctx?.doc ? stringifyPair.stringifyPair(this, ctx, onComment, onChompKeep) : JSON.stringify(this);
      }
    };
    exports2.Pair = Pair;
    exports2.createPair = createPair;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyCollection.js
var require_stringifyCollection4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyCollection.js"(exports2) {
    "use strict";
    var Collection = require_Collection4();
    var identity = require_identity4();
    var stringify = require_stringify10();
    var stringifyComment = require_stringifyComment4();
    function stringifyCollection(collection, ctx, options) {
      const flow = ctx.inFlow ?? collection.flow;
      const stringify2 = flow ? stringifyFlowCollection : stringifyBlockCollection;
      return stringify2(collection, ctx, options);
    }
    function stringifyBlockCollection({ comment, items }, ctx, { blockItemPrefix, flowChars, itemIndent, onChompKeep, onComment }) {
      const { indent, options: { commentString } } = ctx;
      const itemCtx = Object.assign({}, ctx, { indent: itemIndent, type: null });
      let chompKeep = false;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (!chompKeep && item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, chompKeep);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (!chompKeep && ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, chompKeep);
          }
        }
        chompKeep = false;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null, () => chompKeep = true);
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (chompKeep && comment2)
          chompKeep = false;
        lines.push(blockItemPrefix + str2);
      }
      let str;
      if (lines.length === 0) {
        str = flowChars.start + flowChars.end;
      } else {
        str = lines[0];
        for (let i = 1; i < lines.length; ++i) {
          const line = lines[i];
          str += line ? `
${indent}${line}` : "\n";
        }
      }
      if (comment) {
        str += "\n" + stringifyComment.indentComment(commentString(comment), indent);
        if (onComment)
          onComment();
      } else if (chompKeep && onChompKeep)
        onChompKeep();
      return str;
    }
    function stringifyFlowCollection({ comment, items }, ctx, { flowChars, itemIndent, onComment }) {
      const { indent, indentStep, flowCollectionPadding: fcPadding, options: { commentString } } = ctx;
      itemIndent += indentStep;
      const itemCtx = Object.assign({}, ctx, {
        indent: itemIndent,
        inFlow: true,
        type: null
      });
      let reqNewline = false;
      let linesAtValue = 0;
      const lines = [];
      for (let i = 0; i < items.length; ++i) {
        const item = items[i];
        let comment2 = null;
        if (identity.isNode(item)) {
          if (item.spaceBefore)
            lines.push("");
          addCommentBefore(ctx, lines, item.commentBefore, false);
          if (item.comment)
            comment2 = item.comment;
        } else if (identity.isPair(item)) {
          const ik = identity.isNode(item.key) ? item.key : null;
          if (ik) {
            if (ik.spaceBefore)
              lines.push("");
            addCommentBefore(ctx, lines, ik.commentBefore, false);
            if (ik.comment)
              reqNewline = true;
          }
          const iv = identity.isNode(item.value) ? item.value : null;
          if (iv) {
            if (iv.comment)
              comment2 = iv.comment;
            if (iv.commentBefore)
              reqNewline = true;
          } else if (item.value == null && ik && ik.comment) {
            comment2 = ik.comment;
          }
        }
        if (comment2)
          reqNewline = true;
        let str2 = stringify.stringify(item, itemCtx, () => comment2 = null);
        if (i < items.length - 1)
          str2 += ",";
        if (comment2)
          str2 += stringifyComment.lineComment(str2, itemIndent, commentString(comment2));
        if (!reqNewline && (lines.length > linesAtValue || str2.includes("\n")))
          reqNewline = true;
        lines.push(str2);
        linesAtValue = lines.length;
      }
      let str;
      const { start, end } = flowChars;
      if (lines.length === 0) {
        str = start + end;
      } else {
        if (!reqNewline) {
          const len = lines.reduce((sum, line) => sum + line.length + 2, 2);
          reqNewline = len > Collection.Collection.maxFlowStringSingleLineLength;
        }
        if (reqNewline) {
          str = start;
          for (const line of lines)
            str += line ? `
${indentStep}${indent}${line}` : "\n";
          str += `
${indent}${end}`;
        } else {
          str = `${start}${fcPadding}${lines.join(" ")}${fcPadding}${end}`;
        }
      }
      if (comment) {
        str += stringifyComment.lineComment(str, indent, commentString(comment));
        if (onComment)
          onComment();
      }
      return str;
    }
    function addCommentBefore({ indent, options: { commentString } }, lines, comment, chompKeep) {
      if (comment && chompKeep)
        comment = comment.replace(/^\n+/, "");
      if (comment) {
        const ic = stringifyComment.indentComment(commentString(comment), indent);
        lines.push(ic.trimStart());
      }
    }
    exports2.stringifyCollection = stringifyCollection;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/YAMLMap.js
var require_YAMLMap4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/YAMLMap.js"(exports2) {
    "use strict";
    var stringifyCollection = require_stringifyCollection4();
    var addPairToJSMap = require_addPairToJSMap4();
    var Collection = require_Collection4();
    var identity = require_identity4();
    var Pair = require_Pair4();
    var Scalar = require_Scalar4();
    function findPair(items, key) {
      const k = identity.isScalar(key) ? key.value : key;
      for (const it of items) {
        if (identity.isPair(it)) {
          if (it.key === key || it.key === k)
            return it;
          if (identity.isScalar(it.key) && it.key.value === k)
            return it;
        }
      }
      return void 0;
    }
    var YAMLMap = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:map";
      }
      constructor(schema) {
        super(identity.MAP, schema);
        this.items = [];
      }
      /**
       * A generic collection parsing method that can be extended
       * to other node classes that inherit from YAMLMap
       */
      static from(schema, obj, ctx) {
        const { keepUndefined, replacer } = ctx;
        const map = new this(schema);
        const add = (key, value) => {
          if (typeof replacer === "function")
            value = replacer.call(obj, key, value);
          else if (Array.isArray(replacer) && !replacer.includes(key))
            return;
          if (value !== void 0 || keepUndefined)
            map.items.push(Pair.createPair(key, value, ctx));
        };
        if (obj instanceof Map) {
          for (const [key, value] of obj)
            add(key, value);
        } else if (obj && typeof obj === "object") {
          for (const key of Object.keys(obj))
            add(key, obj[key]);
        }
        if (typeof schema.sortMapEntries === "function") {
          map.items.sort(schema.sortMapEntries);
        }
        return map;
      }
      /**
       * Adds a value to the collection.
       *
       * @param overwrite - If not set `true`, using a key that is already in the
       *   collection will throw. Otherwise, overwrites the previous value.
       */
      add(pair, overwrite) {
        let _pair;
        if (identity.isPair(pair))
          _pair = pair;
        else if (!pair || typeof pair !== "object" || !("key" in pair)) {
          _pair = new Pair.Pair(pair, pair?.value);
        } else
          _pair = new Pair.Pair(pair.key, pair.value);
        const prev = findPair(this.items, _pair.key);
        const sortEntries = this.schema?.sortMapEntries;
        if (prev) {
          if (!overwrite)
            throw new Error(`Key ${_pair.key} already set`);
          if (identity.isScalar(prev.value) && Scalar.isScalarValue(_pair.value))
            prev.value.value = _pair.value;
          else
            prev.value = _pair.value;
        } else if (sortEntries) {
          const i = this.items.findIndex((item) => sortEntries(_pair, item) < 0);
          if (i === -1)
            this.items.push(_pair);
          else
            this.items.splice(i, 0, _pair);
        } else {
          this.items.push(_pair);
        }
      }
      delete(key) {
        const it = findPair(this.items, key);
        if (!it)
          return false;
        const del = this.items.splice(this.items.indexOf(it), 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const it = findPair(this.items, key);
        const node = it?.value;
        return (!keepScalar && identity.isScalar(node) ? node.value : node) ?? void 0;
      }
      has(key) {
        return !!findPair(this.items, key);
      }
      set(key, value) {
        this.add(new Pair.Pair(key, value), true);
      }
      /**
       * @param ctx - Conversion context, originally set in Document#toJS()
       * @param {Class} Type - If set, forces the returned collection type
       * @returns Instance of Type, Map, or Object
       */
      toJSON(_, ctx, Type) {
        const map = Type ? new Type() : ctx?.mapAsMap ? /* @__PURE__ */ new Map() : {};
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const item of this.items)
          addPairToJSMap.addPairToJSMap(ctx, map, item);
        return map;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        for (const item of this.items) {
          if (!identity.isPair(item))
            throw new Error(`Map items must all be pairs; found ${JSON.stringify(item)} instead`);
        }
        if (!ctx.allNullValues && this.hasAllNullValues(false))
          ctx = Object.assign({}, ctx, { allNullValues: true });
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "",
          flowChars: { start: "{", end: "}" },
          itemIndent: ctx.indent || "",
          onChompKeep,
          onComment
        });
      }
    };
    exports2.YAMLMap = YAMLMap;
    exports2.findPair = findPair;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/common/map.js
var require_map7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/common/map.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var YAMLMap = require_YAMLMap4();
    var map = {
      collection: "map",
      default: true,
      nodeClass: YAMLMap.YAMLMap,
      tag: "tag:yaml.org,2002:map",
      resolve(map2, onError) {
        if (!identity.isMap(map2))
          onError("Expected a mapping for this tag");
        return map2;
      },
      createNode: (schema, obj, ctx) => YAMLMap.YAMLMap.from(schema, obj, ctx)
    };
    exports2.map = map;
  }
});

// ../../components/workflows/node_modules/yaml/dist/nodes/YAMLSeq.js
var require_YAMLSeq4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/nodes/YAMLSeq.js"(exports2) {
    "use strict";
    var createNode = require_createNode4();
    var stringifyCollection = require_stringifyCollection4();
    var Collection = require_Collection4();
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var toJS = require_toJS4();
    var YAMLSeq = class extends Collection.Collection {
      static get tagName() {
        return "tag:yaml.org,2002:seq";
      }
      constructor(schema) {
        super(identity.SEQ, schema);
        this.items = [];
      }
      add(value) {
        this.items.push(value);
      }
      /**
       * Removes a value from the collection.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       *
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return false;
        const del = this.items.splice(idx, 1);
        return del.length > 0;
      }
      get(key, keepScalar) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          return void 0;
        const it = this.items[idx];
        return !keepScalar && identity.isScalar(it) ? it.value : it;
      }
      /**
       * Checks if the collection includes a value with the key `key`.
       *
       * `key` must contain a representation of an integer for this to succeed.
       * It may be wrapped in a `Scalar`.
       */
      has(key) {
        const idx = asItemIndex(key);
        return typeof idx === "number" && idx < this.items.length;
      }
      /**
       * Sets a value in this collection. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       *
       * If `key` does not contain a representation of an integer, this will throw.
       * It may be wrapped in a `Scalar`.
       */
      set(key, value) {
        const idx = asItemIndex(key);
        if (typeof idx !== "number")
          throw new Error(`Expected a valid index, not ${key}.`);
        const prev = this.items[idx];
        if (identity.isScalar(prev) && Scalar.isScalarValue(value))
          prev.value = value;
        else
          this.items[idx] = value;
      }
      toJSON(_, ctx) {
        const seq = [];
        if (ctx?.onCreate)
          ctx.onCreate(seq);
        let i = 0;
        for (const item of this.items)
          seq.push(toJS.toJS(item, String(i++), ctx));
        return seq;
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        return stringifyCollection.stringifyCollection(this, ctx, {
          blockItemPrefix: "- ",
          flowChars: { start: "[", end: "]" },
          itemIndent: (ctx.indent || "") + "  ",
          onChompKeep,
          onComment
        });
      }
      static from(schema, obj, ctx) {
        const { replacer } = ctx;
        const seq = new this(schema);
        if (obj && Symbol.iterator in Object(obj)) {
          let i = 0;
          for (let it of obj) {
            if (typeof replacer === "function") {
              const key = obj instanceof Set ? it : String(i++);
              it = replacer.call(obj, key, it);
            }
            seq.items.push(createNode.createNode(it, void 0, ctx));
          }
        }
        return seq;
      }
    };
    function asItemIndex(key) {
      let idx = identity.isScalar(key) ? key.value : key;
      if (idx && typeof idx === "string")
        idx = Number(idx);
      return typeof idx === "number" && Number.isInteger(idx) && idx >= 0 ? idx : null;
    }
    exports2.YAMLSeq = YAMLSeq;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/common/seq.js
var require_seq7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/common/seq.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var YAMLSeq = require_YAMLSeq4();
    var seq = {
      collection: "seq",
      default: true,
      nodeClass: YAMLSeq.YAMLSeq,
      tag: "tag:yaml.org,2002:seq",
      resolve(seq2, onError) {
        if (!identity.isSeq(seq2))
          onError("Expected a sequence for this tag");
        return seq2;
      },
      createNode: (schema, obj, ctx) => YAMLSeq.YAMLSeq.from(schema, obj, ctx)
    };
    exports2.seq = seq;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/common/string.js
var require_string4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/common/string.js"(exports2) {
    "use strict";
    var stringifyString = require_stringifyString4();
    var string = {
      identify: (value) => typeof value === "string",
      default: true,
      tag: "tag:yaml.org,2002:str",
      resolve: (str) => str,
      stringify(item, ctx, onComment, onChompKeep) {
        ctx = Object.assign({ actualString: true }, ctx);
        return stringifyString.stringifyString(item, ctx, onComment, onChompKeep);
      }
    };
    exports2.string = string;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/common/null.js
var require_null7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/common/null.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var nullTag = {
      identify: (value) => value == null,
      createNode: () => new Scalar.Scalar(null),
      default: true,
      tag: "tag:yaml.org,2002:null",
      test: /^(?:~|[Nn]ull|NULL)?$/,
      resolve: () => new Scalar.Scalar(null),
      stringify: ({ source }, ctx) => typeof source === "string" && nullTag.test.test(source) ? source : ctx.options.nullStr
    };
    exports2.nullTag = nullTag;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/core/bool.js
var require_bool10 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/core/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var boolTag = {
      identify: (value) => typeof value === "boolean",
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:[Tt]rue|TRUE|[Ff]alse|FALSE)$/,
      resolve: (str) => new Scalar.Scalar(str[0] === "t" || str[0] === "T"),
      stringify({ source, value }, ctx) {
        if (source && boolTag.test.test(source)) {
          const sv = source[0] === "t" || source[0] === "T";
          if (value === sv)
            return source;
        }
        return value ? ctx.options.trueStr : ctx.options.falseStr;
      }
    };
    exports2.boolTag = boolTag;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyNumber.js
var require_stringifyNumber4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyNumber.js"(exports2) {
    "use strict";
    function stringifyNumber({ format, minFractionDigits, tag, value }) {
      if (typeof value === "bigint")
        return String(value);
      const num = typeof value === "number" ? value : Number(value);
      if (!isFinite(num))
        return isNaN(num) ? ".nan" : num < 0 ? "-.inf" : ".inf";
      let n = JSON.stringify(value);
      if (!format && minFractionDigits && (!tag || tag === "tag:yaml.org,2002:float") && /^\d/.test(n)) {
        let i = n.indexOf(".");
        if (i < 0) {
          i = n.length;
          n += ".";
        }
        let d = minFractionDigits - (n.length - i - 1);
        while (d-- > 0)
          n += "0";
      }
      return n;
    }
    exports2.stringifyNumber = stringifyNumber;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/core/float.js
var require_float10 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/core/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var stringifyNumber = require_stringifyNumber4();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^(?:[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN))$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+(?:\.[0-9]*)?)[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:\.[0-9]+|[0-9]+\.[0-9]*)$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str));
        const dot = str.indexOf(".");
        if (dot !== -1 && str[str.length - 1] === "0")
          node.minFractionDigits = str.length - dot - 1;
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/core/int.js
var require_int10 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/core/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber4();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    var intResolve = (str, offset, radix, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str.substring(offset), radix);
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value) && value >= 0)
        return prefix + value.toString(radix);
      return stringifyNumber.stringifyNumber(node);
    }
    var intOct = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^0o[0-7]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 8, opt),
      stringify: (node) => intStringify(node, 8, "0o")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: (value) => intIdentify(value) && value >= 0,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^0x[0-9a-fA-F]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/core/schema.js
var require_schema13 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/core/schema.js"(exports2) {
    "use strict";
    var map = require_map7();
    var _null = require_null7();
    var seq = require_seq7();
    var string = require_string4();
    var bool = require_bool10();
    var float = require_float10();
    var int = require_int10();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.boolTag,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float
    ];
    exports2.schema = schema;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/json/schema.js
var require_schema14 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/json/schema.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var map = require_map7();
    var seq = require_seq7();
    function intIdentify(value) {
      return typeof value === "bigint" || Number.isInteger(value);
    }
    var stringifyJSON = ({ value }) => JSON.stringify(value);
    var jsonScalars = [
      {
        identify: (value) => typeof value === "string",
        default: true,
        tag: "tag:yaml.org,2002:str",
        resolve: (str) => str,
        stringify: stringifyJSON
      },
      {
        identify: (value) => value == null,
        createNode: () => new Scalar.Scalar(null),
        default: true,
        tag: "tag:yaml.org,2002:null",
        test: /^null$/,
        resolve: () => null,
        stringify: stringifyJSON
      },
      {
        identify: (value) => typeof value === "boolean",
        default: true,
        tag: "tag:yaml.org,2002:bool",
        test: /^true|false$/,
        resolve: (str) => str === "true",
        stringify: stringifyJSON
      },
      {
        identify: intIdentify,
        default: true,
        tag: "tag:yaml.org,2002:int",
        test: /^-?(?:0|[1-9][0-9]*)$/,
        resolve: (str, _onError, { intAsBigInt }) => intAsBigInt ? BigInt(str) : parseInt(str, 10),
        stringify: ({ value }) => intIdentify(value) ? value.toString() : JSON.stringify(value)
      },
      {
        identify: (value) => typeof value === "number",
        default: true,
        tag: "tag:yaml.org,2002:float",
        test: /^-?(?:0|[1-9][0-9]*)(?:\.[0-9]*)?(?:[eE][-+]?[0-9]+)?$/,
        resolve: (str) => parseFloat(str),
        stringify: stringifyJSON
      }
    ];
    var jsonError = {
      default: true,
      tag: "",
      test: /^/,
      resolve(str, onError) {
        onError(`Unresolved plain scalar ${JSON.stringify(str)}`);
        return str;
      }
    };
    var schema = [map.map, seq.seq].concat(jsonScalars, jsonError);
    exports2.schema = schema;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/binary.js
var require_binary7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/binary.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var stringifyString = require_stringifyString4();
    var binary = {
      identify: (value) => value instanceof Uint8Array,
      default: false,
      tag: "tag:yaml.org,2002:binary",
      /**
       * Returns a Buffer in node and an Uint8Array in browsers
       *
       * To use the resulting buffer as an image, you'll want to do something like:
       *
       *   const blob = new Blob([buffer], { type: 'image/jpeg' })
       *   document.querySelector('#photo').src = URL.createObjectURL(blob)
       */
      resolve(src, onError) {
        if (typeof Buffer === "function") {
          return Buffer.from(src, "base64");
        } else if (typeof atob === "function") {
          const str = atob(src.replace(/[\n\r]/g, ""));
          const buffer = new Uint8Array(str.length);
          for (let i = 0; i < str.length; ++i)
            buffer[i] = str.charCodeAt(i);
          return buffer;
        } else {
          onError("This environment does not support reading binary tags; either Buffer or atob is required");
          return src;
        }
      },
      stringify({ comment, type, value }, ctx, onComment, onChompKeep) {
        const buf = value;
        let str;
        if (typeof Buffer === "function") {
          str = buf instanceof Buffer ? buf.toString("base64") : Buffer.from(buf.buffer).toString("base64");
        } else if (typeof btoa === "function") {
          let s = "";
          for (let i = 0; i < buf.length; ++i)
            s += String.fromCharCode(buf[i]);
          str = btoa(s);
        } else {
          throw new Error("This environment does not support writing binary tags; either Buffer or btoa is required");
        }
        if (!type)
          type = Scalar.Scalar.BLOCK_LITERAL;
        if (type !== Scalar.Scalar.QUOTE_DOUBLE) {
          const lineWidth = Math.max(ctx.options.lineWidth - ctx.indent.length, ctx.options.minContentWidth);
          const n = Math.ceil(str.length / lineWidth);
          const lines = new Array(n);
          for (let i = 0, o = 0; i < n; ++i, o += lineWidth) {
            lines[i] = str.substr(o, lineWidth);
          }
          str = lines.join(type === Scalar.Scalar.BLOCK_LITERAL ? "\n" : " ");
        }
        return stringifyString.stringifyString({ comment, type, value: str }, ctx, onComment, onChompKeep);
      }
    };
    exports2.binary = binary;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/pairs.js
var require_pairs7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/pairs.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Pair = require_Pair4();
    var Scalar = require_Scalar4();
    var YAMLSeq = require_YAMLSeq4();
    function resolvePairs(seq, onError) {
      if (identity.isSeq(seq)) {
        for (let i = 0; i < seq.items.length; ++i) {
          let item = seq.items[i];
          if (identity.isPair(item))
            continue;
          else if (identity.isMap(item)) {
            if (item.items.length > 1)
              onError("Each pair must have its own sequence indicator");
            const pair = item.items[0] || new Pair.Pair(new Scalar.Scalar(null));
            if (item.commentBefore)
              pair.key.commentBefore = pair.key.commentBefore ? `${item.commentBefore}
${pair.key.commentBefore}` : item.commentBefore;
            if (item.comment) {
              const cn = pair.value ?? pair.key;
              cn.comment = cn.comment ? `${item.comment}
${cn.comment}` : item.comment;
            }
            item = pair;
          }
          seq.items[i] = identity.isPair(item) ? item : new Pair.Pair(item);
        }
      } else
        onError("Expected a sequence for this tag");
      return seq;
    }
    function createPairs(schema, iterable, ctx) {
      const { replacer } = ctx;
      const pairs2 = new YAMLSeq.YAMLSeq(schema);
      pairs2.tag = "tag:yaml.org,2002:pairs";
      let i = 0;
      if (iterable && Symbol.iterator in Object(iterable))
        for (let it of iterable) {
          if (typeof replacer === "function")
            it = replacer.call(iterable, String(i++), it);
          let key, value;
          if (Array.isArray(it)) {
            if (it.length === 2) {
              key = it[0];
              value = it[1];
            } else
              throw new TypeError(`Expected [key, value] tuple: ${it}`);
          } else if (it && it instanceof Object) {
            const keys = Object.keys(it);
            if (keys.length === 1) {
              key = keys[0];
              value = it[key];
            } else
              throw new TypeError(`Expected { key: value } tuple: ${it}`);
          } else {
            key = it;
          }
          pairs2.items.push(Pair.createPair(key, value, ctx));
        }
      return pairs2;
    }
    var pairs = {
      collection: "seq",
      default: false,
      tag: "tag:yaml.org,2002:pairs",
      resolve: resolvePairs,
      createNode: createPairs
    };
    exports2.createPairs = createPairs;
    exports2.pairs = pairs;
    exports2.resolvePairs = resolvePairs;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/omap.js
var require_omap7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/omap.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var toJS = require_toJS4();
    var YAMLMap = require_YAMLMap4();
    var YAMLSeq = require_YAMLSeq4();
    var pairs = require_pairs7();
    var YAMLOMap = class _YAMLOMap extends YAMLSeq.YAMLSeq {
      constructor() {
        super();
        this.add = YAMLMap.YAMLMap.prototype.add.bind(this);
        this.delete = YAMLMap.YAMLMap.prototype.delete.bind(this);
        this.get = YAMLMap.YAMLMap.prototype.get.bind(this);
        this.has = YAMLMap.YAMLMap.prototype.has.bind(this);
        this.set = YAMLMap.YAMLMap.prototype.set.bind(this);
        this.tag = _YAMLOMap.tag;
      }
      /**
       * If `ctx` is given, the return type is actually `Map<unknown, unknown>`,
       * but TypeScript won't allow widening the signature of a child method.
       */
      toJSON(_, ctx) {
        if (!ctx)
          return super.toJSON(_);
        const map = /* @__PURE__ */ new Map();
        if (ctx?.onCreate)
          ctx.onCreate(map);
        for (const pair of this.items) {
          let key, value;
          if (identity.isPair(pair)) {
            key = toJS.toJS(pair.key, "", ctx);
            value = toJS.toJS(pair.value, key, ctx);
          } else {
            key = toJS.toJS(pair, "", ctx);
          }
          if (map.has(key))
            throw new Error("Ordered maps must not include duplicate keys");
          map.set(key, value);
        }
        return map;
      }
      static from(schema, iterable, ctx) {
        const pairs$1 = pairs.createPairs(schema, iterable, ctx);
        const omap2 = new this();
        omap2.items = pairs$1.items;
        return omap2;
      }
    };
    YAMLOMap.tag = "tag:yaml.org,2002:omap";
    var omap = {
      collection: "seq",
      identify: (value) => value instanceof Map,
      nodeClass: YAMLOMap,
      default: false,
      tag: "tag:yaml.org,2002:omap",
      resolve(seq, onError) {
        const pairs$1 = pairs.resolvePairs(seq, onError);
        const seenKeys = [];
        for (const { key } of pairs$1.items) {
          if (identity.isScalar(key)) {
            if (seenKeys.includes(key.value)) {
              onError(`Ordered maps must not include duplicate keys: ${key.value}`);
            } else {
              seenKeys.push(key.value);
            }
          }
        }
        return Object.assign(new YAMLOMap(), pairs$1);
      },
      createNode: (schema, iterable, ctx) => YAMLOMap.from(schema, iterable, ctx)
    };
    exports2.YAMLOMap = YAMLOMap;
    exports2.omap = omap;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/bool.js
var require_bool11 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/bool.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    function boolStringify({ value, source }, ctx) {
      const boolObj = value ? trueTag : falseTag;
      if (source && boolObj.test.test(source))
        return source;
      return value ? ctx.options.trueStr : ctx.options.falseStr;
    }
    var trueTag = {
      identify: (value) => value === true,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:Y|y|[Yy]es|YES|[Tt]rue|TRUE|[Oo]n|ON)$/,
      resolve: () => new Scalar.Scalar(true),
      stringify: boolStringify
    };
    var falseTag = {
      identify: (value) => value === false,
      default: true,
      tag: "tag:yaml.org,2002:bool",
      test: /^(?:N|n|[Nn]o|NO|[Ff]alse|FALSE|[Oo]ff|OFF)$/i,
      resolve: () => new Scalar.Scalar(false),
      stringify: boolStringify
    };
    exports2.falseTag = falseTag;
    exports2.trueTag = trueTag;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/float.js
var require_float11 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/float.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var stringifyNumber = require_stringifyNumber4();
    var floatNaN = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?\.(?:inf|Inf|INF|nan|NaN|NAN)$/,
      resolve: (str) => str.slice(-3).toLowerCase() === "nan" ? NaN : str[0] === "-" ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY,
      stringify: stringifyNumber.stringifyNumber
    };
    var floatExp = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "EXP",
      test: /^[-+]?(?:[0-9][0-9_]*)?(?:\.[0-9_]*)?[eE][-+]?[0-9]+$/,
      resolve: (str) => parseFloat(str.replace(/_/g, "")),
      stringify(node) {
        const num = Number(node.value);
        return isFinite(num) ? num.toExponential() : stringifyNumber.stringifyNumber(node);
      }
    };
    var float = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      test: /^[-+]?(?:[0-9][0-9_]*)?\.[0-9_]*$/,
      resolve(str) {
        const node = new Scalar.Scalar(parseFloat(str.replace(/_/g, "")));
        const dot = str.indexOf(".");
        if (dot !== -1) {
          const f = str.substring(dot + 1).replace(/_/g, "");
          if (f[f.length - 1] === "0")
            node.minFractionDigits = f.length;
        }
        return node;
      },
      stringify: stringifyNumber.stringifyNumber
    };
    exports2.float = float;
    exports2.floatExp = floatExp;
    exports2.floatNaN = floatNaN;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/int.js
var require_int11 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/int.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber4();
    var intIdentify = (value) => typeof value === "bigint" || Number.isInteger(value);
    function intResolve(str, offset, radix, { intAsBigInt }) {
      const sign = str[0];
      if (sign === "-" || sign === "+")
        offset += 1;
      str = str.substring(offset).replace(/_/g, "");
      if (intAsBigInt) {
        switch (radix) {
          case 2:
            str = `0b${str}`;
            break;
          case 8:
            str = `0o${str}`;
            break;
          case 16:
            str = `0x${str}`;
            break;
        }
        const n2 = BigInt(str);
        return sign === "-" ? BigInt(-1) * n2 : n2;
      }
      const n = parseInt(str, radix);
      return sign === "-" ? -1 * n : n;
    }
    function intStringify(node, radix, prefix) {
      const { value } = node;
      if (intIdentify(value)) {
        const str = value.toString(radix);
        return value < 0 ? "-" + prefix + str.substr(1) : prefix + str;
      }
      return stringifyNumber.stringifyNumber(node);
    }
    var intBin = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "BIN",
      test: /^[-+]?0b[0-1_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 2, opt),
      stringify: (node) => intStringify(node, 2, "0b")
    };
    var intOct = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "OCT",
      test: /^[-+]?0[0-7_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 1, 8, opt),
      stringify: (node) => intStringify(node, 8, "0")
    };
    var int = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      test: /^[-+]?[0-9][0-9_]*$/,
      resolve: (str, _onError, opt) => intResolve(str, 0, 10, opt),
      stringify: stringifyNumber.stringifyNumber
    };
    var intHex = {
      identify: intIdentify,
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "HEX",
      test: /^[-+]?0x[0-9a-fA-F_]+$/,
      resolve: (str, _onError, opt) => intResolve(str, 2, 16, opt),
      stringify: (node) => intStringify(node, 16, "0x")
    };
    exports2.int = int;
    exports2.intBin = intBin;
    exports2.intHex = intHex;
    exports2.intOct = intOct;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/set.js
var require_set7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/set.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Pair = require_Pair4();
    var YAMLMap = require_YAMLMap4();
    var YAMLSet = class _YAMLSet extends YAMLMap.YAMLMap {
      constructor(schema) {
        super(schema);
        this.tag = _YAMLSet.tag;
      }
      add(key) {
        let pair;
        if (identity.isPair(key))
          pair = key;
        else if (key && typeof key === "object" && "key" in key && "value" in key && key.value === null)
          pair = new Pair.Pair(key.key, null);
        else
          pair = new Pair.Pair(key, null);
        const prev = YAMLMap.findPair(this.items, pair.key);
        if (!prev)
          this.items.push(pair);
      }
      /**
       * If `keepPair` is `true`, returns the Pair matching `key`.
       * Otherwise, returns the value of that Pair's key.
       */
      get(key, keepPair) {
        const pair = YAMLMap.findPair(this.items, key);
        return !keepPair && identity.isPair(pair) ? identity.isScalar(pair.key) ? pair.key.value : pair.key : pair;
      }
      set(key, value) {
        if (typeof value !== "boolean")
          throw new Error(`Expected boolean value for set(key, value) in a YAML set, not ${typeof value}`);
        const prev = YAMLMap.findPair(this.items, key);
        if (prev && !value) {
          this.items.splice(this.items.indexOf(prev), 1);
        } else if (!prev && value) {
          this.items.push(new Pair.Pair(key));
        }
      }
      toJSON(_, ctx) {
        return super.toJSON(_, ctx, Set);
      }
      toString(ctx, onComment, onChompKeep) {
        if (!ctx)
          return JSON.stringify(this);
        if (this.hasAllNullValues(true))
          return super.toString(Object.assign({}, ctx, { allNullValues: true }), onComment, onChompKeep);
        else
          throw new Error("Set items must all have null values");
      }
      static from(schema, iterable, ctx) {
        const { replacer } = ctx;
        const set2 = new this(schema);
        if (iterable && Symbol.iterator in Object(iterable))
          for (let value of iterable) {
            if (typeof replacer === "function")
              value = replacer.call(iterable, value, value);
            set2.items.push(Pair.createPair(value, null, ctx));
          }
        return set2;
      }
    };
    YAMLSet.tag = "tag:yaml.org,2002:set";
    var set = {
      collection: "map",
      identify: (value) => value instanceof Set,
      nodeClass: YAMLSet,
      default: false,
      tag: "tag:yaml.org,2002:set",
      createNode: (schema, iterable, ctx) => YAMLSet.from(schema, iterable, ctx),
      resolve(map, onError) {
        if (identity.isMap(map)) {
          if (map.hasAllNullValues(true))
            return Object.assign(new YAMLSet(), map);
          else
            onError("Set items must all have null values");
        } else
          onError("Expected a mapping for this tag");
        return map;
      }
    };
    exports2.YAMLSet = YAMLSet;
    exports2.set = set;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js
var require_timestamp7 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/timestamp.js"(exports2) {
    "use strict";
    var stringifyNumber = require_stringifyNumber4();
    function parseSexagesimal(str, asBigInt) {
      const sign = str[0];
      const parts = sign === "-" || sign === "+" ? str.substring(1) : str;
      const num = (n) => asBigInt ? BigInt(n) : Number(n);
      const res = parts.replace(/_/g, "").split(":").reduce((res2, p) => res2 * num(60) + num(p), num(0));
      return sign === "-" ? num(-1) * res : res;
    }
    function stringifySexagesimal(node) {
      let { value } = node;
      let num = (n) => n;
      if (typeof value === "bigint")
        num = (n) => BigInt(n);
      else if (isNaN(value) || !isFinite(value))
        return stringifyNumber.stringifyNumber(node);
      let sign = "";
      if (value < 0) {
        sign = "-";
        value *= num(-1);
      }
      const _60 = num(60);
      const parts = [value % _60];
      if (value < 60) {
        parts.unshift(0);
      } else {
        value = (value - parts[0]) / _60;
        parts.unshift(value % _60);
        if (value >= 60) {
          value = (value - parts[0]) / _60;
          parts.unshift(value);
        }
      }
      return sign + parts.map((n) => String(n).padStart(2, "0")).join(":").replace(/000000\d*$/, "");
    }
    var intTime = {
      identify: (value) => typeof value === "bigint" || Number.isInteger(value),
      default: true,
      tag: "tag:yaml.org,2002:int",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+$/,
      resolve: (str, _onError, { intAsBigInt }) => parseSexagesimal(str, intAsBigInt),
      stringify: stringifySexagesimal
    };
    var floatTime = {
      identify: (value) => typeof value === "number",
      default: true,
      tag: "tag:yaml.org,2002:float",
      format: "TIME",
      test: /^[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\.[0-9_]*$/,
      resolve: (str) => parseSexagesimal(str, false),
      stringify: stringifySexagesimal
    };
    var timestamp = {
      identify: (value) => value instanceof Date,
      default: true,
      tag: "tag:yaml.org,2002:timestamp",
      // If the time zone is omitted, the timestamp is assumed to be specified in UTC. The time part
      // may be omitted altogether, resulting in a date format. In such a case, the time part is
      // assumed to be 00:00:00Z (start of day, UTC).
      test: RegExp("^([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})(?:(?:t|T|[ \\t]+)([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2}(\\.[0-9]+)?)(?:[ \\t]*(Z|[-+][012]?[0-9](?::[0-9]{2})?))?)?$"),
      resolve(str) {
        const match = str.match(timestamp.test);
        if (!match)
          throw new Error("!!timestamp expects a date, starting with yyyy-mm-dd");
        const [, year, month, day, hour, minute, second] = match.map(Number);
        const millisec = match[7] ? Number((match[7] + "00").substr(1, 3)) : 0;
        let date = Date.UTC(year, month - 1, day, hour || 0, minute || 0, second || 0, millisec);
        const tz = match[8];
        if (tz && tz !== "Z") {
          let d = parseSexagesimal(tz, false);
          if (Math.abs(d) < 30)
            d *= 60;
          date -= 6e4 * d;
        }
        return new Date(date);
      },
      stringify: ({ value }) => value.toISOString().replace(/((T00:00)?:00)?\.000Z$/, "")
    };
    exports2.floatTime = floatTime;
    exports2.intTime = intTime;
    exports2.timestamp = timestamp;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/schema.js
var require_schema15 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/yaml-1.1/schema.js"(exports2) {
    "use strict";
    var map = require_map7();
    var _null = require_null7();
    var seq = require_seq7();
    var string = require_string4();
    var binary = require_binary7();
    var bool = require_bool11();
    var float = require_float11();
    var int = require_int11();
    var omap = require_omap7();
    var pairs = require_pairs7();
    var set = require_set7();
    var timestamp = require_timestamp7();
    var schema = [
      map.map,
      seq.seq,
      string.string,
      _null.nullTag,
      bool.trueTag,
      bool.falseTag,
      int.intBin,
      int.intOct,
      int.int,
      int.intHex,
      float.floatNaN,
      float.floatExp,
      float.float,
      binary.binary,
      omap.omap,
      pairs.pairs,
      set.set,
      timestamp.intTime,
      timestamp.floatTime,
      timestamp.timestamp
    ];
    exports2.schema = schema;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/tags.js
var require_tags4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/tags.js"(exports2) {
    "use strict";
    var map = require_map7();
    var _null = require_null7();
    var seq = require_seq7();
    var string = require_string4();
    var bool = require_bool10();
    var float = require_float10();
    var int = require_int10();
    var schema = require_schema13();
    var schema$1 = require_schema14();
    var binary = require_binary7();
    var omap = require_omap7();
    var pairs = require_pairs7();
    var schema$2 = require_schema15();
    var set = require_set7();
    var timestamp = require_timestamp7();
    var schemas = /* @__PURE__ */ new Map([
      ["core", schema.schema],
      ["failsafe", [map.map, seq.seq, string.string]],
      ["json", schema$1.schema],
      ["yaml11", schema$2.schema],
      ["yaml-1.1", schema$2.schema]
    ]);
    var tagsByName = {
      binary: binary.binary,
      bool: bool.boolTag,
      float: float.float,
      floatExp: float.floatExp,
      floatNaN: float.floatNaN,
      floatTime: timestamp.floatTime,
      int: int.int,
      intHex: int.intHex,
      intOct: int.intOct,
      intTime: timestamp.intTime,
      map: map.map,
      null: _null.nullTag,
      omap: omap.omap,
      pairs: pairs.pairs,
      seq: seq.seq,
      set: set.set,
      timestamp: timestamp.timestamp
    };
    var coreKnownTags = {
      "tag:yaml.org,2002:binary": binary.binary,
      "tag:yaml.org,2002:omap": omap.omap,
      "tag:yaml.org,2002:pairs": pairs.pairs,
      "tag:yaml.org,2002:set": set.set,
      "tag:yaml.org,2002:timestamp": timestamp.timestamp
    };
    function getTags(customTags, schemaName) {
      let tags = schemas.get(schemaName);
      if (!tags) {
        if (Array.isArray(customTags))
          tags = [];
        else {
          const keys = Array.from(schemas.keys()).filter((key) => key !== "yaml11").map((key) => JSON.stringify(key)).join(", ");
          throw new Error(`Unknown schema "${schemaName}"; use one of ${keys} or define customTags array`);
        }
      }
      if (Array.isArray(customTags)) {
        for (const tag of customTags)
          tags = tags.concat(tag);
      } else if (typeof customTags === "function") {
        tags = customTags(tags.slice());
      }
      return tags.map((tag) => {
        if (typeof tag !== "string")
          return tag;
        const tagObj = tagsByName[tag];
        if (tagObj)
          return tagObj;
        const keys = Object.keys(tagsByName).map((key) => JSON.stringify(key)).join(", ");
        throw new Error(`Unknown custom tag "${tag}"; use one of ${keys}`);
      });
    }
    exports2.coreKnownTags = coreKnownTags;
    exports2.getTags = getTags;
  }
});

// ../../components/workflows/node_modules/yaml/dist/schema/Schema.js
var require_Schema4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/schema/Schema.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var map = require_map7();
    var seq = require_seq7();
    var string = require_string4();
    var tags = require_tags4();
    var sortMapEntriesByKey = (a, b) => a.key < b.key ? -1 : a.key > b.key ? 1 : 0;
    var Schema = class _Schema {
      constructor({ compat, customTags, merge, resolveKnownTags, schema, sortMapEntries, toStringDefaults }) {
        this.compat = Array.isArray(compat) ? tags.getTags(compat, "compat") : compat ? tags.getTags(null, compat) : null;
        this.merge = !!merge;
        this.name = typeof schema === "string" && schema || "core";
        this.knownTags = resolveKnownTags ? tags.coreKnownTags : {};
        this.tags = tags.getTags(customTags, this.name);
        this.toStringOptions = toStringDefaults ?? null;
        Object.defineProperty(this, identity.MAP, { value: map.map });
        Object.defineProperty(this, identity.SCALAR, { value: string.string });
        Object.defineProperty(this, identity.SEQ, { value: seq.seq });
        this.sortMapEntries = typeof sortMapEntries === "function" ? sortMapEntries : sortMapEntries === true ? sortMapEntriesByKey : null;
      }
      clone() {
        const copy = Object.create(_Schema.prototype, Object.getOwnPropertyDescriptors(this));
        copy.tags = this.tags.slice();
        return copy;
      }
    };
    exports2.Schema = Schema;
  }
});

// ../../components/workflows/node_modules/yaml/dist/stringify/stringifyDocument.js
var require_stringifyDocument4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/stringify/stringifyDocument.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var stringify = require_stringify10();
    var stringifyComment = require_stringifyComment4();
    function stringifyDocument(doc, options) {
      const lines = [];
      let hasDirectives = options.directives === true;
      if (options.directives !== false && doc.directives) {
        const dir = doc.directives.toString(doc);
        if (dir) {
          lines.push(dir);
          hasDirectives = true;
        } else if (doc.directives.docStart)
          hasDirectives = true;
      }
      if (hasDirectives)
        lines.push("---");
      const ctx = stringify.createStringifyContext(doc, options);
      const { commentString } = ctx.options;
      if (doc.commentBefore) {
        if (lines.length !== 1)
          lines.unshift("");
        const cs = commentString(doc.commentBefore);
        lines.unshift(stringifyComment.indentComment(cs, ""));
      }
      let chompKeep = false;
      let contentComment = null;
      if (doc.contents) {
        if (identity.isNode(doc.contents)) {
          if (doc.contents.spaceBefore && hasDirectives)
            lines.push("");
          if (doc.contents.commentBefore) {
            const cs = commentString(doc.contents.commentBefore);
            lines.push(stringifyComment.indentComment(cs, ""));
          }
          ctx.forceBlockIndent = !!doc.comment;
          contentComment = doc.contents.comment;
        }
        const onChompKeep = contentComment ? void 0 : () => chompKeep = true;
        let body = stringify.stringify(doc.contents, ctx, () => contentComment = null, onChompKeep);
        if (contentComment)
          body += stringifyComment.lineComment(body, "", commentString(contentComment));
        if ((body[0] === "|" || body[0] === ">") && lines[lines.length - 1] === "---") {
          lines[lines.length - 1] = `--- ${body}`;
        } else
          lines.push(body);
      } else {
        lines.push(stringify.stringify(doc.contents, ctx));
      }
      if (doc.directives?.docEnd) {
        if (doc.comment) {
          const cs = commentString(doc.comment);
          if (cs.includes("\n")) {
            lines.push("...");
            lines.push(stringifyComment.indentComment(cs, ""));
          } else {
            lines.push(`... ${cs}`);
          }
        } else {
          lines.push("...");
        }
      } else {
        let dc = doc.comment;
        if (dc && chompKeep)
          dc = dc.replace(/^\n+/, "");
        if (dc) {
          if ((!chompKeep || contentComment) && lines[lines.length - 1] !== "")
            lines.push("");
          lines.push(stringifyComment.indentComment(commentString(dc), ""));
        }
      }
      return lines.join("\n") + "\n";
    }
    exports2.stringifyDocument = stringifyDocument;
  }
});

// ../../components/workflows/node_modules/yaml/dist/doc/Document.js
var require_Document4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/doc/Document.js"(exports2) {
    "use strict";
    var Alias = require_Alias4();
    var Collection = require_Collection4();
    var identity = require_identity4();
    var Pair = require_Pair4();
    var toJS = require_toJS4();
    var Schema = require_Schema4();
    var stringifyDocument = require_stringifyDocument4();
    var anchors = require_anchors4();
    var applyReviver = require_applyReviver4();
    var createNode = require_createNode4();
    var directives = require_directives4();
    var Document = class _Document {
      constructor(value, replacer, options) {
        this.commentBefore = null;
        this.comment = null;
        this.errors = [];
        this.warnings = [];
        Object.defineProperty(this, identity.NODE_TYPE, { value: identity.DOC });
        let _replacer = null;
        if (typeof replacer === "function" || Array.isArray(replacer)) {
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const opt = Object.assign({
          intAsBigInt: false,
          keepSourceTokens: false,
          logLevel: "warn",
          prettyErrors: true,
          strict: true,
          uniqueKeys: true,
          version: "1.2"
        }, options);
        this.options = opt;
        let { version } = opt;
        if (options?._directives) {
          this.directives = options._directives.atDocument();
          if (this.directives.yaml.explicit)
            version = this.directives.yaml.version;
        } else
          this.directives = new directives.Directives({ version });
        this.setSchema(version, options);
        this.contents = value === void 0 ? null : this.createNode(value, _replacer, options);
      }
      /**
       * Create a deep copy of this Document and its contents.
       *
       * Custom Node values that inherit from `Object` still refer to their original instances.
       */
      clone() {
        const copy = Object.create(_Document.prototype, {
          [identity.NODE_TYPE]: { value: identity.DOC }
        });
        copy.commentBefore = this.commentBefore;
        copy.comment = this.comment;
        copy.errors = this.errors.slice();
        copy.warnings = this.warnings.slice();
        copy.options = Object.assign({}, this.options);
        if (this.directives)
          copy.directives = this.directives.clone();
        copy.schema = this.schema.clone();
        copy.contents = identity.isNode(this.contents) ? this.contents.clone(copy.schema) : this.contents;
        if (this.range)
          copy.range = this.range.slice();
        return copy;
      }
      /** Adds a value to the document. */
      add(value) {
        if (assertCollection(this.contents))
          this.contents.add(value);
      }
      /** Adds a value to the document. */
      addIn(path, value) {
        if (assertCollection(this.contents))
          this.contents.addIn(path, value);
      }
      /**
       * Create a new `Alias` node, ensuring that the target `node` has the required anchor.
       *
       * If `node` already has an anchor, `name` is ignored.
       * Otherwise, the `node.anchor` value will be set to `name`,
       * or if an anchor with that name is already present in the document,
       * `name` will be used as a prefix for a new unique anchor.
       * If `name` is undefined, the generated anchor will use 'a' as a prefix.
       */
      createAlias(node, name) {
        if (!node.anchor) {
          const prev = anchors.anchorNames(this);
          node.anchor = // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          !name || prev.has(name) ? anchors.findNewAnchor(name || "a", prev) : name;
        }
        return new Alias.Alias(node.anchor);
      }
      createNode(value, replacer, options) {
        let _replacer = void 0;
        if (typeof replacer === "function") {
          value = replacer.call({ "": value }, "", value);
          _replacer = replacer;
        } else if (Array.isArray(replacer)) {
          const keyToStr = (v) => typeof v === "number" || v instanceof String || v instanceof Number;
          const asStr = replacer.filter(keyToStr).map(String);
          if (asStr.length > 0)
            replacer = replacer.concat(asStr);
          _replacer = replacer;
        } else if (options === void 0 && replacer) {
          options = replacer;
          replacer = void 0;
        }
        const { aliasDuplicateObjects, anchorPrefix, flow, keepUndefined, onTagObj, tag } = options ?? {};
        const { onAnchor, setAnchors, sourceObjects } = anchors.createNodeAnchors(
          this,
          // eslint-disable-next-line @typescript-eslint/prefer-nullish-coalescing
          anchorPrefix || "a"
        );
        const ctx = {
          aliasDuplicateObjects: aliasDuplicateObjects ?? true,
          keepUndefined: keepUndefined ?? false,
          onAnchor,
          onTagObj,
          replacer: _replacer,
          schema: this.schema,
          sourceObjects
        };
        const node = createNode.createNode(value, tag, ctx);
        if (flow && identity.isCollection(node))
          node.flow = true;
        setAnchors();
        return node;
      }
      /**
       * Convert a key and a value into a `Pair` using the current schema,
       * recursively wrapping all values as `Scalar` or `Collection` nodes.
       */
      createPair(key, value, options = {}) {
        const k = this.createNode(key, null, options);
        const v = this.createNode(value, null, options);
        return new Pair.Pair(k, v);
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      delete(key) {
        return assertCollection(this.contents) ? this.contents.delete(key) : false;
      }
      /**
       * Removes a value from the document.
       * @returns `true` if the item was found and removed.
       */
      deleteIn(path) {
        if (Collection.isEmptyPath(path)) {
          if (this.contents == null)
            return false;
          this.contents = null;
          return true;
        }
        return assertCollection(this.contents) ? this.contents.deleteIn(path) : false;
      }
      /**
       * Returns item at `key`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      get(key, keepScalar) {
        return identity.isCollection(this.contents) ? this.contents.get(key, keepScalar) : void 0;
      }
      /**
       * Returns item at `path`, or `undefined` if not found. By default unwraps
       * scalar values from their surrounding node; to disable set `keepScalar` to
       * `true` (collections are always returned intact).
       */
      getIn(path, keepScalar) {
        if (Collection.isEmptyPath(path))
          return !keepScalar && identity.isScalar(this.contents) ? this.contents.value : this.contents;
        return identity.isCollection(this.contents) ? this.contents.getIn(path, keepScalar) : void 0;
      }
      /**
       * Checks if the document includes a value with the key `key`.
       */
      has(key) {
        return identity.isCollection(this.contents) ? this.contents.has(key) : false;
      }
      /**
       * Checks if the document includes a value at `path`.
       */
      hasIn(path) {
        if (Collection.isEmptyPath(path))
          return this.contents !== void 0;
        return identity.isCollection(this.contents) ? this.contents.hasIn(path) : false;
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      set(key, value) {
        if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, [key], value);
        } else if (assertCollection(this.contents)) {
          this.contents.set(key, value);
        }
      }
      /**
       * Sets a value in this document. For `!!set`, `value` needs to be a
       * boolean to add/remove the item from the set.
       */
      setIn(path, value) {
        if (Collection.isEmptyPath(path)) {
          this.contents = value;
        } else if (this.contents == null) {
          this.contents = Collection.collectionFromPath(this.schema, Array.from(path), value);
        } else if (assertCollection(this.contents)) {
          this.contents.setIn(path, value);
        }
      }
      /**
       * Change the YAML version and schema used by the document.
       * A `null` version disables support for directives, explicit tags, anchors, and aliases.
       * It also requires the `schema` option to be given as a `Schema` instance value.
       *
       * Overrides all previously set schema options.
       */
      setSchema(version, options = {}) {
        if (typeof version === "number")
          version = String(version);
        let opt;
        switch (version) {
          case "1.1":
            if (this.directives)
              this.directives.yaml.version = "1.1";
            else
              this.directives = new directives.Directives({ version: "1.1" });
            opt = { merge: true, resolveKnownTags: false, schema: "yaml-1.1" };
            break;
          case "1.2":
          case "next":
            if (this.directives)
              this.directives.yaml.version = version;
            else
              this.directives = new directives.Directives({ version });
            opt = { merge: false, resolveKnownTags: true, schema: "core" };
            break;
          case null:
            if (this.directives)
              delete this.directives;
            opt = null;
            break;
          default: {
            const sv = JSON.stringify(version);
            throw new Error(`Expected '1.1', '1.2' or null as first argument, but found: ${sv}`);
          }
        }
        if (options.schema instanceof Object)
          this.schema = options.schema;
        else if (opt)
          this.schema = new Schema.Schema(Object.assign(opt, options));
        else
          throw new Error(`With a null YAML version, the { schema: Schema } option is required`);
      }
      // json & jsonArg are only used from toJSON()
      toJS({ json, jsonArg, mapAsMap, maxAliasCount, onAnchor, reviver } = {}) {
        const ctx = {
          anchors: /* @__PURE__ */ new Map(),
          doc: this,
          keep: !json,
          mapAsMap: mapAsMap === true,
          mapKeyWarned: false,
          maxAliasCount: typeof maxAliasCount === "number" ? maxAliasCount : 100
        };
        const res = toJS.toJS(this.contents, jsonArg ?? "", ctx);
        if (typeof onAnchor === "function")
          for (const { count, res: res2 } of ctx.anchors.values())
            onAnchor(res2, count);
        return typeof reviver === "function" ? applyReviver.applyReviver(reviver, { "": res }, "", res) : res;
      }
      /**
       * A JSON representation of the document `contents`.
       *
       * @param jsonArg Used by `JSON.stringify` to indicate the array index or
       *   property name.
       */
      toJSON(jsonArg, onAnchor) {
        return this.toJS({ json: true, jsonArg, mapAsMap: false, onAnchor });
      }
      /** A YAML representation of the document. */
      toString(options = {}) {
        if (this.errors.length > 0)
          throw new Error("Document with errors cannot be stringified");
        if ("indent" in options && (!Number.isInteger(options.indent) || Number(options.indent) <= 0)) {
          const s = JSON.stringify(options.indent);
          throw new Error(`"indent" option must be a positive integer, not ${s}`);
        }
        return stringifyDocument.stringifyDocument(this, options);
      }
    };
    function assertCollection(contents) {
      if (identity.isCollection(contents))
        return true;
      throw new Error("Expected a YAML collection as document contents");
    }
    exports2.Document = Document;
  }
});

// ../../components/workflows/node_modules/yaml/dist/errors.js
var require_errors4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/errors.js"(exports2) {
    "use strict";
    var YAMLError = class extends Error {
      constructor(name, pos, code, message) {
        super();
        this.name = name;
        this.code = code;
        this.message = message;
        this.pos = pos;
      }
    };
    var YAMLParseError = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLParseError", pos, code, message);
      }
    };
    var YAMLWarning = class extends YAMLError {
      constructor(pos, code, message) {
        super("YAMLWarning", pos, code, message);
      }
    };
    var prettifyError = (src, lc) => (error) => {
      if (error.pos[0] === -1)
        return;
      error.linePos = error.pos.map((pos) => lc.linePos(pos));
      const { line, col } = error.linePos[0];
      error.message += ` at line ${line}, column ${col}`;
      let ci = col - 1;
      let lineStr = src.substring(lc.lineStarts[line - 1], lc.lineStarts[line]).replace(/[\n\r]+$/, "");
      if (ci >= 60 && lineStr.length > 80) {
        const trimStart = Math.min(ci - 39, lineStr.length - 79);
        lineStr = "\u2026" + lineStr.substring(trimStart);
        ci -= trimStart - 1;
      }
      if (lineStr.length > 80)
        lineStr = lineStr.substring(0, 79) + "\u2026";
      if (line > 1 && /^ *$/.test(lineStr.substring(0, ci))) {
        let prev = src.substring(lc.lineStarts[line - 2], lc.lineStarts[line - 1]);
        if (prev.length > 80)
          prev = prev.substring(0, 79) + "\u2026\n";
        lineStr = prev + lineStr;
      }
      if (/[^ ]/.test(lineStr)) {
        let count = 1;
        const end = error.linePos[1];
        if (end && end.line === line && end.col > col) {
          count = Math.max(1, Math.min(end.col - col, 80 - ci));
        }
        const pointer = " ".repeat(ci) + "^".repeat(count);
        error.message += `:

${lineStr}
${pointer}
`;
      }
    };
    exports2.YAMLError = YAMLError;
    exports2.YAMLParseError = YAMLParseError;
    exports2.YAMLWarning = YAMLWarning;
    exports2.prettifyError = prettifyError;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-props.js
var require_resolve_props4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-props.js"(exports2) {
    "use strict";
    function resolveProps(tokens, { flow, indicator, next, offset, onError, startOnNewline }) {
      let spaceBefore = false;
      let atNewline = startOnNewline;
      let hasSpace = startOnNewline;
      let comment = "";
      let commentSep = "";
      let hasNewline = false;
      let hasNewlineAfterProp = false;
      let reqSpace = false;
      let anchor = null;
      let tag = null;
      let comma = null;
      let found = null;
      let start = null;
      for (const token of tokens) {
        if (reqSpace) {
          if (token.type !== "space" && token.type !== "newline" && token.type !== "comma")
            onError(token.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
          reqSpace = false;
        }
        switch (token.type) {
          case "space":
            if (!flow && atNewline && indicator !== "doc-start" && token.source[0] === "	")
              onError(token, "TAB_AS_INDENT", "Tabs are not allowed as indentation");
            hasSpace = true;
            break;
          case "comment": {
            if (!hasSpace)
              onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
            const cb = token.source.substring(1) || " ";
            if (!comment)
              comment = cb;
            else
              comment += commentSep + cb;
            commentSep = "";
            atNewline = false;
            break;
          }
          case "newline":
            if (atNewline) {
              if (comment)
                comment += token.source;
              else
                spaceBefore = true;
            } else
              commentSep += token.source;
            atNewline = true;
            hasNewline = true;
            if (anchor || tag)
              hasNewlineAfterProp = true;
            hasSpace = true;
            break;
          case "anchor":
            if (anchor)
              onError(token, "MULTIPLE_ANCHORS", "A node can have at most one anchor");
            if (token.source.endsWith(":"))
              onError(token.offset + token.source.length - 1, "BAD_ALIAS", "Anchor ending in : is ambiguous", true);
            anchor = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          case "tag": {
            if (tag)
              onError(token, "MULTIPLE_TAGS", "A node can have at most one tag");
            tag = token;
            if (start === null)
              start = token.offset;
            atNewline = false;
            hasSpace = false;
            reqSpace = true;
            break;
          }
          case indicator:
            if (anchor || tag)
              onError(token, "BAD_PROP_ORDER", `Anchors and tags must be after the ${token.source} indicator`);
            if (found)
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.source} in ${flow ?? "collection"}`);
            found = token;
            atNewline = false;
            hasSpace = false;
            break;
          case "comma":
            if (flow) {
              if (comma)
                onError(token, "UNEXPECTED_TOKEN", `Unexpected , in ${flow}`);
              comma = token;
              atNewline = false;
              hasSpace = false;
              break;
            }
          default:
            onError(token, "UNEXPECTED_TOKEN", `Unexpected ${token.type} token`);
            atNewline = false;
            hasSpace = false;
        }
      }
      const last = tokens[tokens.length - 1];
      const end = last ? last.offset + last.source.length : offset;
      if (reqSpace && next && next.type !== "space" && next.type !== "newline" && next.type !== "comma" && (next.type !== "scalar" || next.source !== ""))
        onError(next.offset, "MISSING_CHAR", "Tags and anchors must be separated from the next token by white space");
      return {
        comma,
        found,
        spaceBefore,
        comment,
        hasNewline,
        hasNewlineAfterProp,
        anchor,
        tag,
        end,
        start: start ?? end
      };
    }
    exports2.resolveProps = resolveProps;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/util-contains-newline.js
var require_util_contains_newline4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/util-contains-newline.js"(exports2) {
    "use strict";
    function containsNewline(key) {
      if (!key)
        return null;
      switch (key.type) {
        case "alias":
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          if (key.source.includes("\n"))
            return true;
          if (key.end) {
            for (const st of key.end)
              if (st.type === "newline")
                return true;
          }
          return false;
        case "flow-collection":
          for (const it of key.items) {
            for (const st of it.start)
              if (st.type === "newline")
                return true;
            if (it.sep) {
              for (const st of it.sep)
                if (st.type === "newline")
                  return true;
            }
            if (containsNewline(it.key) || containsNewline(it.value))
              return true;
          }
          return false;
        default:
          return true;
      }
    }
    exports2.containsNewline = containsNewline;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/util-flow-indent-check.js
var require_util_flow_indent_check4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/util-flow-indent-check.js"(exports2) {
    "use strict";
    var utilContainsNewline = require_util_contains_newline4();
    function flowIndentCheck(indent, fc, onError) {
      if (fc?.type === "flow-collection") {
        const end = fc.end[0];
        if (end.indent === indent && (end.source === "]" || end.source === "}") && utilContainsNewline.containsNewline(fc)) {
          const msg = "Flow end indicator should be more indented than parent";
          onError(end, "BAD_INDENT", msg, true);
        }
      }
    }
    exports2.flowIndentCheck = flowIndentCheck;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/util-map-includes.js
var require_util_map_includes4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/util-map-includes.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    function mapIncludes(ctx, items, search) {
      const { uniqueKeys } = ctx.options;
      if (uniqueKeys === false)
        return false;
      const isEqual = typeof uniqueKeys === "function" ? uniqueKeys : (a, b) => a === b || identity.isScalar(a) && identity.isScalar(b) && a.value === b.value && !(a.value === "<<" && ctx.schema.merge);
      return items.some((pair) => isEqual(pair.key, search));
    }
    exports2.mapIncludes = mapIncludes;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-block-map.js
var require_resolve_block_map4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-block-map.js"(exports2) {
    "use strict";
    var Pair = require_Pair4();
    var YAMLMap = require_YAMLMap4();
    var resolveProps = require_resolve_props4();
    var utilContainsNewline = require_util_contains_newline4();
    var utilFlowIndentCheck = require_util_flow_indent_check4();
    var utilMapIncludes = require_util_map_includes4();
    var startColMsg = "All mapping items must start at the same column";
    function resolveBlockMap({ composeNode, composeEmptyNode }, ctx, bm, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLMap.YAMLMap;
      const map = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bm.offset;
      let commentEnd = null;
      for (const collItem of bm.items) {
        const { start, key, sep, value } = collItem;
        const keyProps = resolveProps.resolveProps(start, {
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: true
        });
        const implicitKey = !keyProps.found;
        if (implicitKey) {
          if (key) {
            if (key.type === "block-seq")
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "A block sequence may not be used as an implicit map key");
            else if ("indent" in key && key.indent !== bm.indent)
              onError(offset, "BAD_INDENT", startColMsg);
          }
          if (!keyProps.anchor && !keyProps.tag && !sep) {
            commentEnd = keyProps.end;
            if (keyProps.comment) {
              if (map.comment)
                map.comment += "\n" + keyProps.comment;
              else
                map.comment = keyProps.comment;
            }
            continue;
          }
          if (keyProps.hasNewlineAfterProp || utilContainsNewline.containsNewline(key)) {
            onError(key ?? start[start.length - 1], "MULTILINE_IMPLICIT_KEY", "Implicit keys need to be on a single line");
          }
        } else if (keyProps.found?.indent !== bm.indent) {
          onError(offset, "BAD_INDENT", startColMsg);
        }
        const keyStart = keyProps.end;
        const keyNode = key ? composeNode(ctx, key, keyProps, onError) : composeEmptyNode(ctx, keyStart, start, null, keyProps, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bm.indent, key, onError);
        if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
          onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
        const valueProps = resolveProps.resolveProps(sep ?? [], {
          indicator: "map-value-ind",
          next: value,
          offset: keyNode.range[2],
          onError,
          startOnNewline: !key || key.type === "block-scalar"
        });
        offset = valueProps.end;
        if (valueProps.found) {
          if (implicitKey) {
            if (value?.type === "block-map" && !valueProps.hasNewline)
              onError(offset, "BLOCK_AS_IMPLICIT_KEY", "Nested mappings are not allowed in compact mappings");
            if (ctx.options.strict && keyProps.start < valueProps.found.offset - 1024)
              onError(keyNode.range, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit block mapping key");
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : composeEmptyNode(ctx, offset, sep, null, valueProps, onError);
          if (ctx.schema.compat)
            utilFlowIndentCheck.flowIndentCheck(bm.indent, value, onError);
          offset = valueNode.range[2];
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        } else {
          if (implicitKey)
            onError(keyNode.range, "MISSING_CHAR", "Implicit map keys need to be followed by map values");
          if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          map.items.push(pair);
        }
      }
      if (commentEnd && commentEnd < offset)
        onError(commentEnd, "IMPOSSIBLE", "Map comment with trailing content");
      map.range = [bm.offset, offset, commentEnd ?? offset];
      return map;
    }
    exports2.resolveBlockMap = resolveBlockMap;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-block-seq.js
var require_resolve_block_seq4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-block-seq.js"(exports2) {
    "use strict";
    var YAMLSeq = require_YAMLSeq4();
    var resolveProps = require_resolve_props4();
    var utilFlowIndentCheck = require_util_flow_indent_check4();
    function resolveBlockSeq({ composeNode, composeEmptyNode }, ctx, bs, onError, tag) {
      const NodeClass = tag?.nodeClass ?? YAMLSeq.YAMLSeq;
      const seq = new NodeClass(ctx.schema);
      if (ctx.atRoot)
        ctx.atRoot = false;
      let offset = bs.offset;
      let commentEnd = null;
      for (const { start, value } of bs.items) {
        const props = resolveProps.resolveProps(start, {
          indicator: "seq-item-ind",
          next: value,
          offset,
          onError,
          startOnNewline: true
        });
        if (!props.found) {
          if (props.anchor || props.tag || value) {
            if (value && value.type === "block-seq")
              onError(props.end, "BAD_INDENT", "All sequence items must start at the same column");
            else
              onError(offset, "MISSING_CHAR", "Sequence item without - indicator");
          } else {
            commentEnd = props.end;
            if (props.comment)
              seq.comment = props.comment;
            continue;
          }
        }
        const node = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, start, null, props, onError);
        if (ctx.schema.compat)
          utilFlowIndentCheck.flowIndentCheck(bs.indent, value, onError);
        offset = node.range[2];
        seq.items.push(node);
      }
      seq.range = [bs.offset, offset, commentEnd ?? offset];
      return seq;
    }
    exports2.resolveBlockSeq = resolveBlockSeq;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-end.js
var require_resolve_end4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-end.js"(exports2) {
    "use strict";
    function resolveEnd(end, offset, reqSpace, onError) {
      let comment = "";
      if (end) {
        let hasSpace = false;
        let sep = "";
        for (const token of end) {
          const { source, type } = token;
          switch (type) {
            case "space":
              hasSpace = true;
              break;
            case "comment": {
              if (reqSpace && !hasSpace)
                onError(token, "MISSING_CHAR", "Comments must be separated from other tokens by white space characters");
              const cb = source.substring(1) || " ";
              if (!comment)
                comment = cb;
              else
                comment += sep + cb;
              sep = "";
              break;
            }
            case "newline":
              if (comment)
                sep += source;
              hasSpace = true;
              break;
            default:
              onError(token, "UNEXPECTED_TOKEN", `Unexpected ${type} at node end`);
          }
          offset += source.length;
        }
      }
      return { comment, offset };
    }
    exports2.resolveEnd = resolveEnd;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-flow-collection.js
var require_resolve_flow_collection4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-flow-collection.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Pair = require_Pair4();
    var YAMLMap = require_YAMLMap4();
    var YAMLSeq = require_YAMLSeq4();
    var resolveEnd = require_resolve_end4();
    var resolveProps = require_resolve_props4();
    var utilContainsNewline = require_util_contains_newline4();
    var utilMapIncludes = require_util_map_includes4();
    var blockMsg = "Block collections are not allowed within flow collections";
    var isBlock = (token) => token && (token.type === "block-map" || token.type === "block-seq");
    function resolveFlowCollection({ composeNode, composeEmptyNode }, ctx, fc, onError, tag) {
      const isMap = fc.start.source === "{";
      const fcName = isMap ? "flow map" : "flow sequence";
      const NodeClass = tag?.nodeClass ?? (isMap ? YAMLMap.YAMLMap : YAMLSeq.YAMLSeq);
      const coll = new NodeClass(ctx.schema);
      coll.flow = true;
      const atRoot = ctx.atRoot;
      if (atRoot)
        ctx.atRoot = false;
      let offset = fc.offset + fc.start.source.length;
      for (let i = 0; i < fc.items.length; ++i) {
        const collItem = fc.items[i];
        const { start, key, sep, value } = collItem;
        const props = resolveProps.resolveProps(start, {
          flow: fcName,
          indicator: "explicit-key-ind",
          next: key ?? sep?.[0],
          offset,
          onError,
          startOnNewline: false
        });
        if (!props.found) {
          if (!props.anchor && !props.tag && !sep && !value) {
            if (i === 0 && props.comma)
              onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
            else if (i < fc.items.length - 1)
              onError(props.start, "UNEXPECTED_TOKEN", `Unexpected empty item in ${fcName}`);
            if (props.comment) {
              if (coll.comment)
                coll.comment += "\n" + props.comment;
              else
                coll.comment = props.comment;
            }
            offset = props.end;
            continue;
          }
          if (!isMap && ctx.options.strict && utilContainsNewline.containsNewline(key))
            onError(
              key,
              // checked by containsNewline()
              "MULTILINE_IMPLICIT_KEY",
              "Implicit keys of flow sequence pairs need to be on a single line"
            );
        }
        if (i === 0) {
          if (props.comma)
            onError(props.comma, "UNEXPECTED_TOKEN", `Unexpected , in ${fcName}`);
        } else {
          if (!props.comma)
            onError(props.start, "MISSING_CHAR", `Missing , between ${fcName} items`);
          if (props.comment) {
            let prevItemComment = "";
            loop:
              for (const st of start) {
                switch (st.type) {
                  case "comma":
                  case "space":
                    break;
                  case "comment":
                    prevItemComment = st.source.substring(1);
                    break loop;
                  default:
                    break loop;
                }
              }
            if (prevItemComment) {
              let prev = coll.items[coll.items.length - 1];
              if (identity.isPair(prev))
                prev = prev.value ?? prev.key;
              if (prev.comment)
                prev.comment += "\n" + prevItemComment;
              else
                prev.comment = prevItemComment;
              props.comment = props.comment.substring(prevItemComment.length + 1);
            }
          }
        }
        if (!isMap && !sep && !props.found) {
          const valueNode = value ? composeNode(ctx, value, props, onError) : composeEmptyNode(ctx, props.end, sep, null, props, onError);
          coll.items.push(valueNode);
          offset = valueNode.range[2];
          if (isBlock(value))
            onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
        } else {
          const keyStart = props.end;
          const keyNode = key ? composeNode(ctx, key, props, onError) : composeEmptyNode(ctx, keyStart, start, null, props, onError);
          if (isBlock(key))
            onError(keyNode.range, "BLOCK_IN_FLOW", blockMsg);
          const valueProps = resolveProps.resolveProps(sep ?? [], {
            flow: fcName,
            indicator: "map-value-ind",
            next: value,
            offset: keyNode.range[2],
            onError,
            startOnNewline: false
          });
          if (valueProps.found) {
            if (!isMap && !props.found && ctx.options.strict) {
              if (sep)
                for (const st of sep) {
                  if (st === valueProps.found)
                    break;
                  if (st.type === "newline") {
                    onError(st, "MULTILINE_IMPLICIT_KEY", "Implicit keys of flow sequence pairs need to be on a single line");
                    break;
                  }
                }
              if (props.start < valueProps.found.offset - 1024)
                onError(valueProps.found, "KEY_OVER_1024_CHARS", "The : indicator must be at most 1024 chars after the start of an implicit flow sequence key");
            }
          } else if (value) {
            if ("source" in value && value.source && value.source[0] === ":")
              onError(value, "MISSING_CHAR", `Missing space after : in ${fcName}`);
            else
              onError(valueProps.start, "MISSING_CHAR", `Missing , or : between ${fcName} items`);
          }
          const valueNode = value ? composeNode(ctx, value, valueProps, onError) : valueProps.found ? composeEmptyNode(ctx, valueProps.end, sep, null, valueProps, onError) : null;
          if (valueNode) {
            if (isBlock(value))
              onError(valueNode.range, "BLOCK_IN_FLOW", blockMsg);
          } else if (valueProps.comment) {
            if (keyNode.comment)
              keyNode.comment += "\n" + valueProps.comment;
            else
              keyNode.comment = valueProps.comment;
          }
          const pair = new Pair.Pair(keyNode, valueNode);
          if (ctx.options.keepSourceTokens)
            pair.srcToken = collItem;
          if (isMap) {
            const map = coll;
            if (utilMapIncludes.mapIncludes(ctx, map.items, keyNode))
              onError(keyStart, "DUPLICATE_KEY", "Map keys must be unique");
            map.items.push(pair);
          } else {
            const map = new YAMLMap.YAMLMap(ctx.schema);
            map.flow = true;
            map.items.push(pair);
            coll.items.push(map);
          }
          offset = valueNode ? valueNode.range[2] : valueProps.end;
        }
      }
      const expectedEnd = isMap ? "}" : "]";
      const [ce, ...ee] = fc.end;
      let cePos = offset;
      if (ce && ce.source === expectedEnd)
        cePos = ce.offset + ce.source.length;
      else {
        const name = fcName[0].toUpperCase() + fcName.substring(1);
        const msg = atRoot ? `${name} must end with a ${expectedEnd}` : `${name} in block collection must be sufficiently indented and end with a ${expectedEnd}`;
        onError(offset, atRoot ? "MISSING_CHAR" : "BAD_INDENT", msg);
        if (ce && ce.source.length !== 1)
          ee.unshift(ce);
      }
      if (ee.length > 0) {
        const end = resolveEnd.resolveEnd(ee, cePos, ctx.options.strict, onError);
        if (end.comment) {
          if (coll.comment)
            coll.comment += "\n" + end.comment;
          else
            coll.comment = end.comment;
        }
        coll.range = [fc.offset, cePos, end.offset];
      } else {
        coll.range = [fc.offset, cePos, cePos];
      }
      return coll;
    }
    exports2.resolveFlowCollection = resolveFlowCollection;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/compose-collection.js
var require_compose_collection4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/compose-collection.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var YAMLMap = require_YAMLMap4();
    var YAMLSeq = require_YAMLSeq4();
    var resolveBlockMap = require_resolve_block_map4();
    var resolveBlockSeq = require_resolve_block_seq4();
    var resolveFlowCollection = require_resolve_flow_collection4();
    function resolveCollection(CN, ctx, token, onError, tagName, tag) {
      const coll = token.type === "block-map" ? resolveBlockMap.resolveBlockMap(CN, ctx, token, onError, tag) : token.type === "block-seq" ? resolveBlockSeq.resolveBlockSeq(CN, ctx, token, onError, tag) : resolveFlowCollection.resolveFlowCollection(CN, ctx, token, onError, tag);
      const Coll = coll.constructor;
      if (tagName === "!" || tagName === Coll.tagName) {
        coll.tag = Coll.tagName;
        return coll;
      }
      if (tagName)
        coll.tag = tagName;
      return coll;
    }
    function composeCollection(CN, ctx, token, tagToken, onError) {
      const tagName = !tagToken ? null : ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg));
      const expType = token.type === "block-map" ? "map" : token.type === "block-seq" ? "seq" : token.start.source === "{" ? "map" : "seq";
      if (!tagToken || !tagName || tagName === "!" || tagName === YAMLMap.YAMLMap.tagName && expType === "map" || tagName === YAMLSeq.YAMLSeq.tagName && expType === "seq" || !expType) {
        return resolveCollection(CN, ctx, token, onError, tagName);
      }
      let tag = ctx.schema.tags.find((t) => t.tag === tagName && t.collection === expType);
      if (!tag) {
        const kt = ctx.schema.knownTags[tagName];
        if (kt && kt.collection === expType) {
          ctx.schema.tags.push(Object.assign({}, kt, { default: false }));
          tag = kt;
        } else {
          if (kt?.collection) {
            onError(tagToken, "BAD_COLLECTION_TYPE", `${kt.tag} used for ${expType} collection, but expects ${kt.collection}`, true);
          } else {
            onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, true);
          }
          return resolveCollection(CN, ctx, token, onError, tagName);
        }
      }
      const coll = resolveCollection(CN, ctx, token, onError, tagName, tag);
      const res = tag.resolve?.(coll, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg), ctx.options) ?? coll;
      const node = identity.isNode(res) ? res : new Scalar.Scalar(res);
      node.range = coll.range;
      node.tag = tagName;
      if (tag?.format)
        node.format = tag.format;
      return node;
    }
    exports2.composeCollection = composeCollection;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-block-scalar.js
var require_resolve_block_scalar4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-block-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    function resolveBlockScalar(scalar, strict, onError) {
      const start = scalar.offset;
      const header = parseBlockScalarHeader(scalar, strict, onError);
      if (!header)
        return { value: "", type: null, comment: "", range: [start, start, start] };
      const type = header.mode === ">" ? Scalar.Scalar.BLOCK_FOLDED : Scalar.Scalar.BLOCK_LITERAL;
      const lines = scalar.source ? splitLines(scalar.source) : [];
      let chompStart = lines.length;
      for (let i = lines.length - 1; i >= 0; --i) {
        const content = lines[i][1];
        if (content === "" || content === "\r")
          chompStart = i;
        else
          break;
      }
      if (chompStart === 0) {
        const value2 = header.chomp === "+" && lines.length > 0 ? "\n".repeat(Math.max(1, lines.length - 1)) : "";
        let end2 = start + header.length;
        if (scalar.source)
          end2 += scalar.source.length;
        return { value: value2, type, comment: header.comment, range: [start, end2, end2] };
      }
      let trimIndent = scalar.indent + header.indent;
      let offset = scalar.offset + header.length;
      let contentStart = 0;
      for (let i = 0; i < chompStart; ++i) {
        const [indent, content] = lines[i];
        if (content === "" || content === "\r") {
          if (header.indent === 0 && indent.length > trimIndent)
            trimIndent = indent.length;
        } else {
          if (indent.length < trimIndent) {
            const message = "Block scalars with more-indented leading empty lines must use an explicit indentation indicator";
            onError(offset + indent.length, "MISSING_CHAR", message);
          }
          if (header.indent === 0)
            trimIndent = indent.length;
          contentStart = i;
          break;
        }
        offset += indent.length + content.length + 1;
      }
      for (let i = lines.length - 1; i >= chompStart; --i) {
        if (lines[i][0].length > trimIndent)
          chompStart = i + 1;
      }
      let value = "";
      let sep = "";
      let prevMoreIndented = false;
      for (let i = 0; i < contentStart; ++i)
        value += lines[i][0].slice(trimIndent) + "\n";
      for (let i = contentStart; i < chompStart; ++i) {
        let [indent, content] = lines[i];
        offset += indent.length + content.length + 1;
        const crlf = content[content.length - 1] === "\r";
        if (crlf)
          content = content.slice(0, -1);
        if (content && indent.length < trimIndent) {
          const src = header.indent ? "explicit indentation indicator" : "first line";
          const message = `Block scalar lines must not be less indented than their ${src}`;
          onError(offset - content.length - (crlf ? 2 : 1), "BAD_INDENT", message);
          indent = "";
        }
        if (type === Scalar.Scalar.BLOCK_LITERAL) {
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
        } else if (indent.length > trimIndent || content[0] === "	") {
          if (sep === " ")
            sep = "\n";
          else if (!prevMoreIndented && sep === "\n")
            sep = "\n\n";
          value += sep + indent.slice(trimIndent) + content;
          sep = "\n";
          prevMoreIndented = true;
        } else if (content === "") {
          if (sep === "\n")
            value += "\n";
          else
            sep = "\n";
        } else {
          value += sep + content;
          sep = " ";
          prevMoreIndented = false;
        }
      }
      switch (header.chomp) {
        case "-":
          break;
        case "+":
          for (let i = chompStart; i < lines.length; ++i)
            value += "\n" + lines[i][0].slice(trimIndent);
          if (value[value.length - 1] !== "\n")
            value += "\n";
          break;
        default:
          value += "\n";
      }
      const end = start + header.length + scalar.source.length;
      return { value, type, comment: header.comment, range: [start, end, end] };
    }
    function parseBlockScalarHeader({ offset, props }, strict, onError) {
      if (props[0].type !== "block-scalar-header") {
        onError(props[0], "IMPOSSIBLE", "Block scalar header not found");
        return null;
      }
      const { source } = props[0];
      const mode = source[0];
      let indent = 0;
      let chomp = "";
      let error = -1;
      for (let i = 1; i < source.length; ++i) {
        const ch = source[i];
        if (!chomp && (ch === "-" || ch === "+"))
          chomp = ch;
        else {
          const n = Number(ch);
          if (!indent && n)
            indent = n;
          else if (error === -1)
            error = offset + i;
        }
      }
      if (error !== -1)
        onError(error, "UNEXPECTED_TOKEN", `Block scalar header includes extra characters: ${source}`);
      let hasSpace = false;
      let comment = "";
      let length = source.length;
      for (let i = 1; i < props.length; ++i) {
        const token = props[i];
        switch (token.type) {
          case "space":
            hasSpace = true;
          case "newline":
            length += token.source.length;
            break;
          case "comment":
            if (strict && !hasSpace) {
              const message = "Comments must be separated from other tokens by white space characters";
              onError(token, "MISSING_CHAR", message);
            }
            length += token.source.length;
            comment = token.source.substring(1);
            break;
          case "error":
            onError(token, "UNEXPECTED_TOKEN", token.message);
            length += token.source.length;
            break;
          default: {
            const message = `Unexpected token in block scalar header: ${token.type}`;
            onError(token, "UNEXPECTED_TOKEN", message);
            const ts = token.source;
            if (ts && typeof ts === "string")
              length += ts.length;
          }
        }
      }
      return { mode, indent, chomp, comment, length };
    }
    function splitLines(source) {
      const split = source.split(/\n( *)/);
      const first = split[0];
      const m = first.match(/^( *)/);
      const line0 = m?.[1] ? [m[1], first.slice(m[1].length)] : ["", first];
      const lines = [line0];
      for (let i = 1; i < split.length; i += 2)
        lines.push([split[i], split[i + 1]]);
      return lines;
    }
    exports2.resolveBlockScalar = resolveBlockScalar;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/resolve-flow-scalar.js
var require_resolve_flow_scalar4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/resolve-flow-scalar.js"(exports2) {
    "use strict";
    var Scalar = require_Scalar4();
    var resolveEnd = require_resolve_end4();
    function resolveFlowScalar(scalar, strict, onError) {
      const { offset, type, source, end } = scalar;
      let _type2;
      let value;
      const _onError = (rel, code, msg) => onError(offset + rel, code, msg);
      switch (type) {
        case "scalar":
          _type2 = Scalar.Scalar.PLAIN;
          value = plainValue(source, _onError);
          break;
        case "single-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_SINGLE;
          value = singleQuotedValue(source, _onError);
          break;
        case "double-quoted-scalar":
          _type2 = Scalar.Scalar.QUOTE_DOUBLE;
          value = doubleQuotedValue(source, _onError);
          break;
        default:
          onError(scalar, "UNEXPECTED_TOKEN", `Expected a flow scalar value, but found: ${type}`);
          return {
            value: "",
            type: null,
            comment: "",
            range: [offset, offset + source.length, offset + source.length]
          };
      }
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, strict, onError);
      return {
        value,
        type: _type2,
        comment: re.comment,
        range: [offset, valueEnd, re.offset]
      };
    }
    function plainValue(source, onError) {
      let badChar = "";
      switch (source[0]) {
        case "	":
          badChar = "a tab character";
          break;
        case ",":
          badChar = "flow indicator character ,";
          break;
        case "%":
          badChar = "directive indicator character %";
          break;
        case "|":
        case ">": {
          badChar = `block scalar indicator ${source[0]}`;
          break;
        }
        case "@":
        case "`": {
          badChar = `reserved character ${source[0]}`;
          break;
        }
      }
      if (badChar)
        onError(0, "BAD_SCALAR_START", `Plain value cannot start with ${badChar}`);
      return foldLines(source);
    }
    function singleQuotedValue(source, onError) {
      if (source[source.length - 1] !== "'" || source.length === 1)
        onError(source.length, "MISSING_CHAR", "Missing closing 'quote");
      return foldLines(source.slice(1, -1)).replace(/''/g, "'");
    }
    function foldLines(source) {
      let first, line;
      try {
        first = new RegExp("(.*?)(?<![ 	])[ 	]*\r?\n", "sy");
        line = new RegExp("[ 	]*(.*?)(?:(?<![ 	])[ 	]*)?\r?\n", "sy");
      } catch (_) {
        first = /(.*?)[ \t]*\r?\n/sy;
        line = /[ \t]*(.*?)[ \t]*\r?\n/sy;
      }
      let match = first.exec(source);
      if (!match)
        return source;
      let res = match[1];
      let sep = " ";
      let pos = first.lastIndex;
      line.lastIndex = pos;
      while (match = line.exec(source)) {
        if (match[1] === "") {
          if (sep === "\n")
            res += sep;
          else
            sep = "\n";
        } else {
          res += sep + match[1];
          sep = " ";
        }
        pos = line.lastIndex;
      }
      const last = /[ \t]*(.*)/sy;
      last.lastIndex = pos;
      match = last.exec(source);
      return res + sep + (match?.[1] ?? "");
    }
    function doubleQuotedValue(source, onError) {
      let res = "";
      for (let i = 1; i < source.length - 1; ++i) {
        const ch = source[i];
        if (ch === "\r" && source[i + 1] === "\n")
          continue;
        if (ch === "\n") {
          const { fold, offset } = foldNewline(source, i);
          res += fold;
          i = offset;
        } else if (ch === "\\") {
          let next = source[++i];
          const cc = escapeCodes[next];
          if (cc)
            res += cc;
          else if (next === "\n") {
            next = source[i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "\r" && source[i + 1] === "\n") {
            next = source[++i + 1];
            while (next === " " || next === "	")
              next = source[++i + 1];
          } else if (next === "x" || next === "u" || next === "U") {
            const length = { x: 2, u: 4, U: 8 }[next];
            res += parseCharCode(source, i + 1, length, onError);
            i += length;
          } else {
            const raw = source.substr(i - 1, 2);
            onError(i - 1, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
            res += raw;
          }
        } else if (ch === " " || ch === "	") {
          const wsStart = i;
          let next = source[i + 1];
          while (next === " " || next === "	")
            next = source[++i + 1];
          if (next !== "\n" && !(next === "\r" && source[i + 2] === "\n"))
            res += i > wsStart ? source.slice(wsStart, i + 1) : ch;
        } else {
          res += ch;
        }
      }
      if (source[source.length - 1] !== '"' || source.length === 1)
        onError(source.length, "MISSING_CHAR", 'Missing closing "quote');
      return res;
    }
    function foldNewline(source, offset) {
      let fold = "";
      let ch = source[offset + 1];
      while (ch === " " || ch === "	" || ch === "\n" || ch === "\r") {
        if (ch === "\r" && source[offset + 2] !== "\n")
          break;
        if (ch === "\n")
          fold += "\n";
        offset += 1;
        ch = source[offset + 1];
      }
      if (!fold)
        fold = " ";
      return { fold, offset };
    }
    var escapeCodes = {
      "0": "\0",
      a: "\x07",
      b: "\b",
      e: "\x1B",
      f: "\f",
      n: "\n",
      r: "\r",
      t: "	",
      v: "\v",
      N: "\x85",
      _: "\xA0",
      L: "\u2028",
      P: "\u2029",
      " ": " ",
      '"': '"',
      "/": "/",
      "\\": "\\",
      "	": "	"
    };
    function parseCharCode(source, offset, length, onError) {
      const cc = source.substr(offset, length);
      const ok = cc.length === length && /^[0-9a-fA-F]+$/.test(cc);
      const code = ok ? parseInt(cc, 16) : NaN;
      if (isNaN(code)) {
        const raw = source.substr(offset - 2, length + 2);
        onError(offset - 2, "BAD_DQ_ESCAPE", `Invalid escape sequence ${raw}`);
        return raw;
      }
      return String.fromCodePoint(code);
    }
    exports2.resolveFlowScalar = resolveFlowScalar;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/compose-scalar.js
var require_compose_scalar4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/compose-scalar.js"(exports2) {
    "use strict";
    var identity = require_identity4();
    var Scalar = require_Scalar4();
    var resolveBlockScalar = require_resolve_block_scalar4();
    var resolveFlowScalar = require_resolve_flow_scalar4();
    function composeScalar(ctx, token, tagToken, onError) {
      const { value, type, comment, range } = token.type === "block-scalar" ? resolveBlockScalar.resolveBlockScalar(token, ctx.options.strict, onError) : resolveFlowScalar.resolveFlowScalar(token, ctx.options.strict, onError);
      const tagName = tagToken ? ctx.directives.tagName(tagToken.source, (msg) => onError(tagToken, "TAG_RESOLVE_FAILED", msg)) : null;
      const tag = tagToken && tagName ? findScalarTagByName(ctx.schema, value, tagName, tagToken, onError) : token.type === "scalar" ? findScalarTagByTest(ctx, value, token, onError) : ctx.schema[identity.SCALAR];
      let scalar;
      try {
        const res = tag.resolve(value, (msg) => onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg), ctx.options);
        scalar = identity.isScalar(res) ? res : new Scalar.Scalar(res);
      } catch (error) {
        const msg = error instanceof Error ? error.message : String(error);
        onError(tagToken ?? token, "TAG_RESOLVE_FAILED", msg);
        scalar = new Scalar.Scalar(value);
      }
      scalar.range = range;
      scalar.source = value;
      if (type)
        scalar.type = type;
      if (tagName)
        scalar.tag = tagName;
      if (tag.format)
        scalar.format = tag.format;
      if (comment)
        scalar.comment = comment;
      return scalar;
    }
    function findScalarTagByName(schema, value, tagName, tagToken, onError) {
      if (tagName === "!")
        return schema[identity.SCALAR];
      const matchWithTest = [];
      for (const tag of schema.tags) {
        if (!tag.collection && tag.tag === tagName) {
          if (tag.default && tag.test)
            matchWithTest.push(tag);
          else
            return tag;
        }
      }
      for (const tag of matchWithTest)
        if (tag.test?.test(value))
          return tag;
      const kt = schema.knownTags[tagName];
      if (kt && !kt.collection) {
        schema.tags.push(Object.assign({}, kt, { default: false, test: void 0 }));
        return kt;
      }
      onError(tagToken, "TAG_RESOLVE_FAILED", `Unresolved tag: ${tagName}`, tagName !== "tag:yaml.org,2002:str");
      return schema[identity.SCALAR];
    }
    function findScalarTagByTest({ directives, schema }, value, token, onError) {
      const tag = schema.tags.find((tag2) => tag2.default && tag2.test?.test(value)) || schema[identity.SCALAR];
      if (schema.compat) {
        const compat = schema.compat.find((tag2) => tag2.default && tag2.test?.test(value)) ?? schema[identity.SCALAR];
        if (tag.tag !== compat.tag) {
          const ts = directives.tagString(tag.tag);
          const cs = directives.tagString(compat.tag);
          const msg = `Value may be parsed as either ${ts} or ${cs}`;
          onError(token, "TAG_RESOLVE_FAILED", msg, true);
        }
      }
      return tag;
    }
    exports2.composeScalar = composeScalar;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/util-empty-scalar-position.js
var require_util_empty_scalar_position4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/util-empty-scalar-position.js"(exports2) {
    "use strict";
    function emptyScalarPosition(offset, before, pos) {
      if (before) {
        if (pos === null)
          pos = before.length;
        for (let i = pos - 1; i >= 0; --i) {
          let st = before[i];
          switch (st.type) {
            case "space":
            case "comment":
            case "newline":
              offset -= st.source.length;
              continue;
          }
          st = before[++i];
          while (st?.type === "space") {
            offset += st.source.length;
            st = before[++i];
          }
          break;
        }
      }
      return offset;
    }
    exports2.emptyScalarPosition = emptyScalarPosition;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/compose-node.js
var require_compose_node4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/compose-node.js"(exports2) {
    "use strict";
    var Alias = require_Alias4();
    var composeCollection = require_compose_collection4();
    var composeScalar = require_compose_scalar4();
    var resolveEnd = require_resolve_end4();
    var utilEmptyScalarPosition = require_util_empty_scalar_position4();
    var CN = { composeNode, composeEmptyNode };
    function composeNode(ctx, token, props, onError) {
      const { spaceBefore, comment, anchor, tag } = props;
      let node;
      let isSrcToken = true;
      switch (token.type) {
        case "alias":
          node = composeAlias(ctx, token, onError);
          if (anchor || tag)
            onError(token, "ALIAS_PROPS", "An alias node must not specify any properties");
          break;
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "block-scalar":
          node = composeScalar.composeScalar(ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        case "block-map":
        case "block-seq":
        case "flow-collection":
          node = composeCollection.composeCollection(CN, ctx, token, tag, onError);
          if (anchor)
            node.anchor = anchor.source.substring(1);
          break;
        default: {
          const message = token.type === "error" ? token.message : `Unsupported token (type: ${token.type})`;
          onError(token, "UNEXPECTED_TOKEN", message);
          node = composeEmptyNode(ctx, token.offset, void 0, null, props, onError);
          isSrcToken = false;
        }
      }
      if (anchor && node.anchor === "")
        onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        if (token.type === "scalar" && token.source === "")
          node.comment = comment;
        else
          node.commentBefore = comment;
      }
      if (ctx.options.keepSourceTokens && isSrcToken)
        node.srcToken = token;
      return node;
    }
    function composeEmptyNode(ctx, offset, before, pos, { spaceBefore, comment, anchor, tag, end }, onError) {
      const token = {
        type: "scalar",
        offset: utilEmptyScalarPosition.emptyScalarPosition(offset, before, pos),
        indent: -1,
        source: ""
      };
      const node = composeScalar.composeScalar(ctx, token, tag, onError);
      if (anchor) {
        node.anchor = anchor.source.substring(1);
        if (node.anchor === "")
          onError(anchor, "BAD_ALIAS", "Anchor cannot be an empty string");
      }
      if (spaceBefore)
        node.spaceBefore = true;
      if (comment) {
        node.comment = comment;
        node.range[2] = end;
      }
      return node;
    }
    function composeAlias({ options }, { offset, source, end }, onError) {
      const alias = new Alias.Alias(source.substring(1));
      if (alias.source === "")
        onError(offset, "BAD_ALIAS", "Alias cannot be an empty string");
      if (alias.source.endsWith(":"))
        onError(offset + source.length - 1, "BAD_ALIAS", "Alias ending in : is ambiguous", true);
      const valueEnd = offset + source.length;
      const re = resolveEnd.resolveEnd(end, valueEnd, options.strict, onError);
      alias.range = [offset, valueEnd, re.offset];
      if (re.comment)
        alias.comment = re.comment;
      return alias;
    }
    exports2.composeEmptyNode = composeEmptyNode;
    exports2.composeNode = composeNode;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/compose-doc.js
var require_compose_doc4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/compose-doc.js"(exports2) {
    "use strict";
    var Document = require_Document4();
    var composeNode = require_compose_node4();
    var resolveEnd = require_resolve_end4();
    var resolveProps = require_resolve_props4();
    function composeDoc(options, directives, { offset, start, value, end }, onError) {
      const opts = Object.assign({ _directives: directives }, options);
      const doc = new Document.Document(void 0, opts);
      const ctx = {
        atRoot: true,
        directives: doc.directives,
        options: doc.options,
        schema: doc.schema
      };
      const props = resolveProps.resolveProps(start, {
        indicator: "doc-start",
        next: value ?? end?.[0],
        offset,
        onError,
        startOnNewline: true
      });
      if (props.found) {
        doc.directives.docStart = true;
        if (value && (value.type === "block-map" || value.type === "block-seq") && !props.hasNewline)
          onError(props.end, "MISSING_CHAR", "Block collection cannot start on same line with directives-end marker");
      }
      doc.contents = value ? composeNode.composeNode(ctx, value, props, onError) : composeNode.composeEmptyNode(ctx, props.end, start, null, props, onError);
      const contentEnd = doc.contents.range[2];
      const re = resolveEnd.resolveEnd(end, contentEnd, false, onError);
      if (re.comment)
        doc.comment = re.comment;
      doc.range = [offset, contentEnd, re.offset];
      return doc;
    }
    exports2.composeDoc = composeDoc;
  }
});

// ../../components/workflows/node_modules/yaml/dist/compose/composer.js
var require_composer4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/compose/composer.js"(exports2) {
    "use strict";
    var directives = require_directives4();
    var Document = require_Document4();
    var errors = require_errors4();
    var identity = require_identity4();
    var composeDoc = require_compose_doc4();
    var resolveEnd = require_resolve_end4();
    function getErrorPos(src) {
      if (typeof src === "number")
        return [src, src + 1];
      if (Array.isArray(src))
        return src.length === 2 ? src : [src[0], src[1]];
      const { offset, source } = src;
      return [offset, offset + (typeof source === "string" ? source.length : 1)];
    }
    function parsePrelude(prelude) {
      let comment = "";
      let atComment = false;
      let afterEmptyLine = false;
      for (let i = 0; i < prelude.length; ++i) {
        const source = prelude[i];
        switch (source[0]) {
          case "#":
            comment += (comment === "" ? "" : afterEmptyLine ? "\n\n" : "\n") + (source.substring(1) || " ");
            atComment = true;
            afterEmptyLine = false;
            break;
          case "%":
            if (prelude[i + 1]?.[0] !== "#")
              i += 1;
            atComment = false;
            break;
          default:
            if (!atComment)
              afterEmptyLine = true;
            atComment = false;
        }
      }
      return { comment, afterEmptyLine };
    }
    var Composer = class {
      constructor(options = {}) {
        this.doc = null;
        this.atDirectives = false;
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
        this.onError = (source, code, message, warning) => {
          const pos = getErrorPos(source);
          if (warning)
            this.warnings.push(new errors.YAMLWarning(pos, code, message));
          else
            this.errors.push(new errors.YAMLParseError(pos, code, message));
        };
        this.directives = new directives.Directives({ version: options.version || "1.2" });
        this.options = options;
      }
      decorate(doc, afterDoc) {
        const { comment, afterEmptyLine } = parsePrelude(this.prelude);
        if (comment) {
          const dc = doc.contents;
          if (afterDoc) {
            doc.comment = doc.comment ? `${doc.comment}
${comment}` : comment;
          } else if (afterEmptyLine || doc.directives.docStart || !dc) {
            doc.commentBefore = comment;
          } else if (identity.isCollection(dc) && !dc.flow && dc.items.length > 0) {
            let it = dc.items[0];
            if (identity.isPair(it))
              it = it.key;
            const cb = it.commentBefore;
            it.commentBefore = cb ? `${comment}
${cb}` : comment;
          } else {
            const cb = dc.commentBefore;
            dc.commentBefore = cb ? `${comment}
${cb}` : comment;
          }
        }
        if (afterDoc) {
          Array.prototype.push.apply(doc.errors, this.errors);
          Array.prototype.push.apply(doc.warnings, this.warnings);
        } else {
          doc.errors = this.errors;
          doc.warnings = this.warnings;
        }
        this.prelude = [];
        this.errors = [];
        this.warnings = [];
      }
      /**
       * Current stream status information.
       *
       * Mostly useful at the end of input for an empty stream.
       */
      streamInfo() {
        return {
          comment: parsePrelude(this.prelude).comment,
          directives: this.directives,
          errors: this.errors,
          warnings: this.warnings
        };
      }
      /**
       * Compose tokens into documents.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *compose(tokens, forceDoc = false, endOffset = -1) {
        for (const token of tokens)
          yield* this.next(token);
        yield* this.end(forceDoc, endOffset);
      }
      /** Advance the composer by one CST token. */
      *next(token) {
        if (process.env.LOG_STREAM)
          console.dir(token, { depth: null });
        switch (token.type) {
          case "directive":
            this.directives.add(token.source, (offset, message, warning) => {
              const pos = getErrorPos(token);
              pos[0] += offset;
              this.onError(pos, "BAD_DIRECTIVE", message, warning);
            });
            this.prelude.push(token.source);
            this.atDirectives = true;
            break;
          case "document": {
            const doc = composeDoc.composeDoc(this.options, this.directives, token, this.onError);
            if (this.atDirectives && !doc.directives.docStart)
              this.onError(token, "MISSING_CHAR", "Missing directives-end/doc-start indicator line");
            this.decorate(doc, false);
            if (this.doc)
              yield this.doc;
            this.doc = doc;
            this.atDirectives = false;
            break;
          }
          case "byte-order-mark":
          case "space":
            break;
          case "comment":
          case "newline":
            this.prelude.push(token.source);
            break;
          case "error": {
            const msg = token.source ? `${token.message}: ${JSON.stringify(token.source)}` : token.message;
            const error = new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg);
            if (this.atDirectives || !this.doc)
              this.errors.push(error);
            else
              this.doc.errors.push(error);
            break;
          }
          case "doc-end": {
            if (!this.doc) {
              const msg = "Unexpected doc-end without preceding document";
              this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", msg));
              break;
            }
            this.doc.directives.docEnd = true;
            const end = resolveEnd.resolveEnd(token.end, token.offset + token.source.length, this.doc.options.strict, this.onError);
            this.decorate(this.doc, true);
            if (end.comment) {
              const dc = this.doc.comment;
              this.doc.comment = dc ? `${dc}
${end.comment}` : end.comment;
            }
            this.doc.range[2] = end.offset;
            break;
          }
          default:
            this.errors.push(new errors.YAMLParseError(getErrorPos(token), "UNEXPECTED_TOKEN", `Unsupported token ${token.type}`));
        }
      }
      /**
       * Call at end of input to yield any remaining document.
       *
       * @param forceDoc - If the stream contains no document, still emit a final document including any comments and directives that would be applied to a subsequent document.
       * @param endOffset - Should be set if `forceDoc` is also set, to set the document range end and to indicate errors correctly.
       */
      *end(forceDoc = false, endOffset = -1) {
        if (this.doc) {
          this.decorate(this.doc, true);
          yield this.doc;
          this.doc = null;
        } else if (forceDoc) {
          const opts = Object.assign({ _directives: this.directives }, this.options);
          const doc = new Document.Document(void 0, opts);
          if (this.atDirectives)
            this.onError(endOffset, "MISSING_CHAR", "Missing directives-end indicator line");
          doc.range = [0, endOffset, endOffset];
          this.decorate(doc, false);
          yield doc;
        }
      }
    };
    exports2.Composer = Composer;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/cst-scalar.js
var require_cst_scalar4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/cst-scalar.js"(exports2) {
    "use strict";
    var resolveBlockScalar = require_resolve_block_scalar4();
    var resolveFlowScalar = require_resolve_flow_scalar4();
    var errors = require_errors4();
    var stringifyString = require_stringifyString4();
    function resolveAsScalar(token, strict = true, onError) {
      if (token) {
        const _onError = (pos, code, message) => {
          const offset = typeof pos === "number" ? pos : Array.isArray(pos) ? pos[0] : pos.offset;
          if (onError)
            onError(offset, code, message);
          else
            throw new errors.YAMLParseError([offset, offset + 1], code, message);
        };
        switch (token.type) {
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return resolveFlowScalar.resolveFlowScalar(token, strict, _onError);
          case "block-scalar":
            return resolveBlockScalar.resolveBlockScalar(token, strict, _onError);
        }
      }
      return null;
    }
    function createScalarToken(value, context) {
      const { implicitKey = false, indent, inFlow = false, offset = -1, type = "PLAIN" } = context;
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey,
        indent: indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      const end = context.end ?? [
        { type: "newline", offset: -1, indent, source: "\n" }
      ];
      switch (source[0]) {
        case "|":
        case ">": {
          const he = source.indexOf("\n");
          const head = source.substring(0, he);
          const body = source.substring(he + 1) + "\n";
          const props = [
            { type: "block-scalar-header", offset, indent, source: head }
          ];
          if (!addEndtoBlockProps(props, end))
            props.push({ type: "newline", offset: -1, indent, source: "\n" });
          return { type: "block-scalar", offset, indent, props, source: body };
        }
        case '"':
          return { type: "double-quoted-scalar", offset, indent, source, end };
        case "'":
          return { type: "single-quoted-scalar", offset, indent, source, end };
        default:
          return { type: "scalar", offset, indent, source, end };
      }
    }
    function setScalarValue(token, value, context = {}) {
      let { afterKey = false, implicitKey = false, inFlow = false, type } = context;
      let indent = "indent" in token ? token.indent : null;
      if (afterKey && typeof indent === "number")
        indent += 2;
      if (!type)
        switch (token.type) {
          case "single-quoted-scalar":
            type = "QUOTE_SINGLE";
            break;
          case "double-quoted-scalar":
            type = "QUOTE_DOUBLE";
            break;
          case "block-scalar": {
            const header = token.props[0];
            if (header.type !== "block-scalar-header")
              throw new Error("Invalid block scalar header");
            type = header.source[0] === ">" ? "BLOCK_FOLDED" : "BLOCK_LITERAL";
            break;
          }
          default:
            type = "PLAIN";
        }
      const source = stringifyString.stringifyString({ type, value }, {
        implicitKey: implicitKey || indent === null,
        indent: indent !== null && indent > 0 ? " ".repeat(indent) : "",
        inFlow,
        options: { blockQuote: true, lineWidth: -1 }
      });
      switch (source[0]) {
        case "|":
        case ">":
          setBlockScalarValue(token, source);
          break;
        case '"':
          setFlowScalarValue(token, source, "double-quoted-scalar");
          break;
        case "'":
          setFlowScalarValue(token, source, "single-quoted-scalar");
          break;
        default:
          setFlowScalarValue(token, source, "scalar");
      }
    }
    function setBlockScalarValue(token, source) {
      const he = source.indexOf("\n");
      const head = source.substring(0, he);
      const body = source.substring(he + 1) + "\n";
      if (token.type === "block-scalar") {
        const header = token.props[0];
        if (header.type !== "block-scalar-header")
          throw new Error("Invalid block scalar header");
        header.source = head;
        token.source = body;
      } else {
        const { offset } = token;
        const indent = "indent" in token ? token.indent : -1;
        const props = [
          { type: "block-scalar-header", offset, indent, source: head }
        ];
        if (!addEndtoBlockProps(props, "end" in token ? token.end : void 0))
          props.push({ type: "newline", offset: -1, indent, source: "\n" });
        for (const key of Object.keys(token))
          if (key !== "type" && key !== "offset")
            delete token[key];
        Object.assign(token, { type: "block-scalar", indent, props, source: body });
      }
    }
    function addEndtoBlockProps(props, end) {
      if (end)
        for (const st of end)
          switch (st.type) {
            case "space":
            case "comment":
              props.push(st);
              break;
            case "newline":
              props.push(st);
              return true;
          }
      return false;
    }
    function setFlowScalarValue(token, source, type) {
      switch (token.type) {
        case "scalar":
        case "double-quoted-scalar":
        case "single-quoted-scalar":
          token.type = type;
          token.source = source;
          break;
        case "block-scalar": {
          const end = token.props.slice(1);
          let oa = source.length;
          if (token.props[0].type === "block-scalar-header")
            oa -= token.props[0].source.length;
          for (const tok of end)
            tok.offset += oa;
          delete token.props;
          Object.assign(token, { type, source, end });
          break;
        }
        case "block-map":
        case "block-seq": {
          const offset = token.offset + source.length;
          const nl = { type: "newline", offset, indent: token.indent, source: "\n" };
          delete token.items;
          Object.assign(token, { type, source, end: [nl] });
          break;
        }
        default: {
          const indent = "indent" in token ? token.indent : -1;
          const end = "end" in token && Array.isArray(token.end) ? token.end.filter((st) => st.type === "space" || st.type === "comment" || st.type === "newline") : [];
          for (const key of Object.keys(token))
            if (key !== "type" && key !== "offset")
              delete token[key];
          Object.assign(token, { type, indent, source, end });
        }
      }
    }
    exports2.createScalarToken = createScalarToken;
    exports2.resolveAsScalar = resolveAsScalar;
    exports2.setScalarValue = setScalarValue;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/cst-stringify.js
var require_cst_stringify4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/cst-stringify.js"(exports2) {
    "use strict";
    var stringify = (cst) => "type" in cst ? stringifyToken(cst) : stringifyItem(cst);
    function stringifyToken(token) {
      switch (token.type) {
        case "block-scalar": {
          let res = "";
          for (const tok of token.props)
            res += stringifyToken(tok);
          return res + token.source;
        }
        case "block-map":
        case "block-seq": {
          let res = "";
          for (const item of token.items)
            res += stringifyItem(item);
          return res;
        }
        case "flow-collection": {
          let res = token.start.source;
          for (const item of token.items)
            res += stringifyItem(item);
          for (const st of token.end)
            res += st.source;
          return res;
        }
        case "document": {
          let res = stringifyItem(token);
          if (token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
        default: {
          let res = token.source;
          if ("end" in token && token.end)
            for (const st of token.end)
              res += st.source;
          return res;
        }
      }
    }
    function stringifyItem({ start, key, sep, value }) {
      let res = "";
      for (const st of start)
        res += st.source;
      if (key)
        res += stringifyToken(key);
      if (sep)
        for (const st of sep)
          res += st.source;
      if (value)
        res += stringifyToken(value);
      return res;
    }
    exports2.stringify = stringify;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/cst-visit.js
var require_cst_visit4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/cst-visit.js"(exports2) {
    "use strict";
    var BREAK = Symbol("break visit");
    var SKIP = Symbol("skip children");
    var REMOVE = Symbol("remove item");
    function visit(cst, visitor) {
      if ("type" in cst && cst.type === "document")
        cst = { start: cst.start, value: cst.value };
      _visit(Object.freeze([]), cst, visitor);
    }
    visit.BREAK = BREAK;
    visit.SKIP = SKIP;
    visit.REMOVE = REMOVE;
    visit.itemAtPath = (cst, path) => {
      let item = cst;
      for (const [field, index] of path) {
        const tok = item?.[field];
        if (tok && "items" in tok) {
          item = tok.items[index];
        } else
          return void 0;
      }
      return item;
    };
    visit.parentCollection = (cst, path) => {
      const parent = visit.itemAtPath(cst, path.slice(0, -1));
      const field = path[path.length - 1][0];
      const coll = parent?.[field];
      if (coll && "items" in coll)
        return coll;
      throw new Error("Parent collection not found");
    };
    function _visit(path, item, visitor) {
      let ctrl = visitor(item, path);
      if (typeof ctrl === "symbol")
        return ctrl;
      for (const field of ["key", "value"]) {
        const token = item[field];
        if (token && "items" in token) {
          for (let i = 0; i < token.items.length; ++i) {
            const ci = _visit(Object.freeze(path.concat([[field, i]])), token.items[i], visitor);
            if (typeof ci === "number")
              i = ci - 1;
            else if (ci === BREAK)
              return BREAK;
            else if (ci === REMOVE) {
              token.items.splice(i, 1);
              i -= 1;
            }
          }
          if (typeof ctrl === "function" && field === "key")
            ctrl = ctrl(item, path);
        }
      }
      return typeof ctrl === "function" ? ctrl(item, path) : ctrl;
    }
    exports2.visit = visit;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/cst.js
var require_cst4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/cst.js"(exports2) {
    "use strict";
    var cstScalar = require_cst_scalar4();
    var cstStringify = require_cst_stringify4();
    var cstVisit = require_cst_visit4();
    var BOM = "\uFEFF";
    var DOCUMENT = "";
    var FLOW_END = "";
    var SCALAR = "";
    var isCollection = (token) => !!token && "items" in token;
    var isScalar = (token) => !!token && (token.type === "scalar" || token.type === "single-quoted-scalar" || token.type === "double-quoted-scalar" || token.type === "block-scalar");
    function prettyToken(token) {
      switch (token) {
        case BOM:
          return "<BOM>";
        case DOCUMENT:
          return "<DOC>";
        case FLOW_END:
          return "<FLOW_END>";
        case SCALAR:
          return "<SCALAR>";
        default:
          return JSON.stringify(token);
      }
    }
    function tokenType(source) {
      switch (source) {
        case BOM:
          return "byte-order-mark";
        case DOCUMENT:
          return "doc-mode";
        case FLOW_END:
          return "flow-error-end";
        case SCALAR:
          return "scalar";
        case "---":
          return "doc-start";
        case "...":
          return "doc-end";
        case "":
        case "\n":
        case "\r\n":
          return "newline";
        case "-":
          return "seq-item-ind";
        case "?":
          return "explicit-key-ind";
        case ":":
          return "map-value-ind";
        case "{":
          return "flow-map-start";
        case "}":
          return "flow-map-end";
        case "[":
          return "flow-seq-start";
        case "]":
          return "flow-seq-end";
        case ",":
          return "comma";
      }
      switch (source[0]) {
        case " ":
        case "	":
          return "space";
        case "#":
          return "comment";
        case "%":
          return "directive-line";
        case "*":
          return "alias";
        case "&":
          return "anchor";
        case "!":
          return "tag";
        case "'":
          return "single-quoted-scalar";
        case '"':
          return "double-quoted-scalar";
        case "|":
        case ">":
          return "block-scalar-header";
      }
      return null;
    }
    exports2.createScalarToken = cstScalar.createScalarToken;
    exports2.resolveAsScalar = cstScalar.resolveAsScalar;
    exports2.setScalarValue = cstScalar.setScalarValue;
    exports2.stringify = cstStringify.stringify;
    exports2.visit = cstVisit.visit;
    exports2.BOM = BOM;
    exports2.DOCUMENT = DOCUMENT;
    exports2.FLOW_END = FLOW_END;
    exports2.SCALAR = SCALAR;
    exports2.isCollection = isCollection;
    exports2.isScalar = isScalar;
    exports2.prettyToken = prettyToken;
    exports2.tokenType = tokenType;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/lexer.js
var require_lexer4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/lexer.js"(exports2) {
    "use strict";
    var cst = require_cst4();
    function isEmpty(ch) {
      switch (ch) {
        case void 0:
        case " ":
        case "\n":
        case "\r":
        case "	":
          return true;
        default:
          return false;
      }
    }
    var hexDigits = "0123456789ABCDEFabcdef".split("");
    var tagChars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz-#;/?:@&=+$_.!~*'()".split("");
    var invalidFlowScalarChars = ",[]{}".split("");
    var invalidAnchorChars = " ,[]{}\n\r	".split("");
    var isNotAnchorChar = (ch) => !ch || invalidAnchorChars.includes(ch);
    var Lexer = class {
      constructor() {
        this.atEnd = false;
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        this.buffer = "";
        this.flowKey = false;
        this.flowLevel = 0;
        this.indentNext = 0;
        this.indentValue = 0;
        this.lineEndPos = null;
        this.next = null;
        this.pos = 0;
      }
      /**
       * Generate YAML tokens from the `source` string. If `incomplete`,
       * a part of the last line may be left as a buffer for the next call.
       *
       * @returns A generator of lexical tokens
       */
      *lex(source, incomplete = false) {
        if (source) {
          this.buffer = this.buffer ? this.buffer + source : source;
          this.lineEndPos = null;
        }
        this.atEnd = !incomplete;
        let next = this.next ?? "stream";
        while (next && (incomplete || this.hasChars(1)))
          next = yield* this.parseNext(next);
      }
      atLineEnd() {
        let i = this.pos;
        let ch = this.buffer[i];
        while (ch === " " || ch === "	")
          ch = this.buffer[++i];
        if (!ch || ch === "#" || ch === "\n")
          return true;
        if (ch === "\r")
          return this.buffer[i + 1] === "\n";
        return false;
      }
      charAt(n) {
        return this.buffer[this.pos + n];
      }
      continueScalar(offset) {
        let ch = this.buffer[offset];
        if (this.indentNext > 0) {
          let indent = 0;
          while (ch === " ")
            ch = this.buffer[++indent + offset];
          if (ch === "\r") {
            const next = this.buffer[indent + offset + 1];
            if (next === "\n" || !next && !this.atEnd)
              return offset + indent + 1;
          }
          return ch === "\n" || indent >= this.indentNext || !ch && !this.atEnd ? offset + indent : -1;
        }
        if (ch === "-" || ch === ".") {
          const dt = this.buffer.substr(offset, 3);
          if ((dt === "---" || dt === "...") && isEmpty(this.buffer[offset + 3]))
            return -1;
        }
        return offset;
      }
      getLine() {
        let end = this.lineEndPos;
        if (typeof end !== "number" || end !== -1 && end < this.pos) {
          end = this.buffer.indexOf("\n", this.pos);
          this.lineEndPos = end;
        }
        if (end === -1)
          return this.atEnd ? this.buffer.substring(this.pos) : null;
        if (this.buffer[end - 1] === "\r")
          end -= 1;
        return this.buffer.substring(this.pos, end);
      }
      hasChars(n) {
        return this.pos + n <= this.buffer.length;
      }
      setNext(state) {
        this.buffer = this.buffer.substring(this.pos);
        this.pos = 0;
        this.lineEndPos = null;
        this.next = state;
        return null;
      }
      peek(n) {
        return this.buffer.substr(this.pos, n);
      }
      *parseNext(next) {
        switch (next) {
          case "stream":
            return yield* this.parseStream();
          case "line-start":
            return yield* this.parseLineStart();
          case "block-start":
            return yield* this.parseBlockStart();
          case "doc":
            return yield* this.parseDocument();
          case "flow":
            return yield* this.parseFlowCollection();
          case "quoted-scalar":
            return yield* this.parseQuotedScalar();
          case "block-scalar":
            return yield* this.parseBlockScalar();
          case "plain-scalar":
            return yield* this.parsePlainScalar();
        }
      }
      *parseStream() {
        let line = this.getLine();
        if (line === null)
          return this.setNext("stream");
        if (line[0] === cst.BOM) {
          yield* this.pushCount(1);
          line = line.substring(1);
        }
        if (line[0] === "%") {
          let dirEnd = line.length;
          const cs = line.indexOf("#");
          if (cs !== -1) {
            const ch = line[cs - 1];
            if (ch === " " || ch === "	")
              dirEnd = cs - 1;
          }
          while (true) {
            const ch = line[dirEnd - 1];
            if (ch === " " || ch === "	")
              dirEnd -= 1;
            else
              break;
          }
          const n = (yield* this.pushCount(dirEnd)) + (yield* this.pushSpaces(true));
          yield* this.pushCount(line.length - n);
          this.pushNewline();
          return "stream";
        }
        if (this.atLineEnd()) {
          const sp = yield* this.pushSpaces(true);
          yield* this.pushCount(line.length - sp);
          yield* this.pushNewline();
          return "stream";
        }
        yield cst.DOCUMENT;
        return yield* this.parseLineStart();
      }
      *parseLineStart() {
        const ch = this.charAt(0);
        if (!ch && !this.atEnd)
          return this.setNext("line-start");
        if (ch === "-" || ch === ".") {
          if (!this.atEnd && !this.hasChars(4))
            return this.setNext("line-start");
          const s = this.peek(3);
          if (s === "---" && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            this.indentValue = 0;
            this.indentNext = 0;
            return "doc";
          } else if (s === "..." && isEmpty(this.charAt(3))) {
            yield* this.pushCount(3);
            return "stream";
          }
        }
        this.indentValue = yield* this.pushSpaces(false);
        if (this.indentNext > this.indentValue && !isEmpty(this.charAt(1)))
          this.indentNext = this.indentValue;
        return yield* this.parseBlockStart();
      }
      *parseBlockStart() {
        const [ch0, ch1] = this.peek(2);
        if (!ch1 && !this.atEnd)
          return this.setNext("block-start");
        if ((ch0 === "-" || ch0 === "?" || ch0 === ":") && isEmpty(ch1)) {
          const n = (yield* this.pushCount(1)) + (yield* this.pushSpaces(true));
          this.indentNext = this.indentValue + 1;
          this.indentValue += n;
          return yield* this.parseBlockStart();
        }
        return "doc";
      }
      *parseDocument() {
        yield* this.pushSpaces(true);
        const line = this.getLine();
        if (line === null)
          return this.setNext("doc");
        let n = yield* this.pushIndicators();
        switch (line[n]) {
          case "#":
            yield* this.pushCount(line.length - n);
          case void 0:
            yield* this.pushNewline();
            return yield* this.parseLineStart();
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel = 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            return "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "doc";
          case '"':
          case "'":
            return yield* this.parseQuotedScalar();
          case "|":
          case ">":
            n += yield* this.parseBlockScalarHeader();
            n += yield* this.pushSpaces(true);
            yield* this.pushCount(line.length - n);
            yield* this.pushNewline();
            return yield* this.parseBlockScalar();
          default:
            return yield* this.parsePlainScalar();
        }
      }
      *parseFlowCollection() {
        let nl, sp;
        let indent = -1;
        do {
          nl = yield* this.pushNewline();
          if (nl > 0) {
            sp = yield* this.pushSpaces(false);
            this.indentValue = indent = sp;
          } else {
            sp = 0;
          }
          sp += yield* this.pushSpaces(true);
        } while (nl + sp > 0);
        const line = this.getLine();
        if (line === null)
          return this.setNext("flow");
        if (indent !== -1 && indent < this.indentNext && line[0] !== "#" || indent === 0 && (line.startsWith("---") || line.startsWith("...")) && isEmpty(line[3])) {
          const atFlowEndMarker = indent === this.indentNext - 1 && this.flowLevel === 1 && (line[0] === "]" || line[0] === "}");
          if (!atFlowEndMarker) {
            this.flowLevel = 0;
            yield cst.FLOW_END;
            return yield* this.parseLineStart();
          }
        }
        let n = 0;
        while (line[n] === ",") {
          n += yield* this.pushCount(1);
          n += yield* this.pushSpaces(true);
          this.flowKey = false;
        }
        n += yield* this.pushIndicators();
        switch (line[n]) {
          case void 0:
            return "flow";
          case "#":
            yield* this.pushCount(line.length - n);
            return "flow";
          case "{":
          case "[":
            yield* this.pushCount(1);
            this.flowKey = false;
            this.flowLevel += 1;
            return "flow";
          case "}":
          case "]":
            yield* this.pushCount(1);
            this.flowKey = true;
            this.flowLevel -= 1;
            return this.flowLevel ? "flow" : "doc";
          case "*":
            yield* this.pushUntil(isNotAnchorChar);
            return "flow";
          case '"':
          case "'":
            this.flowKey = true;
            return yield* this.parseQuotedScalar();
          case ":": {
            const next = this.charAt(1);
            if (this.flowKey || isEmpty(next) || next === ",") {
              this.flowKey = false;
              yield* this.pushCount(1);
              yield* this.pushSpaces(true);
              return "flow";
            }
          }
          default:
            this.flowKey = false;
            return yield* this.parsePlainScalar();
        }
      }
      *parseQuotedScalar() {
        const quote = this.charAt(0);
        let end = this.buffer.indexOf(quote, this.pos + 1);
        if (quote === "'") {
          while (end !== -1 && this.buffer[end + 1] === "'")
            end = this.buffer.indexOf("'", end + 2);
        } else {
          while (end !== -1) {
            let n = 0;
            while (this.buffer[end - 1 - n] === "\\")
              n += 1;
            if (n % 2 === 0)
              break;
            end = this.buffer.indexOf('"', end + 1);
          }
        }
        const qb = this.buffer.substring(0, end);
        let nl = qb.indexOf("\n", this.pos);
        if (nl !== -1) {
          while (nl !== -1) {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = qb.indexOf("\n", cs);
          }
          if (nl !== -1) {
            end = nl - (qb[nl - 1] === "\r" ? 2 : 1);
          }
        }
        if (end === -1) {
          if (!this.atEnd)
            return this.setNext("quoted-scalar");
          end = this.buffer.length;
        }
        yield* this.pushToIndex(end + 1, false);
        return this.flowLevel ? "flow" : "doc";
      }
      *parseBlockScalarHeader() {
        this.blockScalarIndent = -1;
        this.blockScalarKeep = false;
        let i = this.pos;
        while (true) {
          const ch = this.buffer[++i];
          if (ch === "+")
            this.blockScalarKeep = true;
          else if (ch > "0" && ch <= "9")
            this.blockScalarIndent = Number(ch) - 1;
          else if (ch !== "-")
            break;
        }
        return yield* this.pushUntil((ch) => isEmpty(ch) || ch === "#");
      }
      *parseBlockScalar() {
        let nl = this.pos - 1;
        let indent = 0;
        let ch;
        loop:
          for (let i = this.pos; ch = this.buffer[i]; ++i) {
            switch (ch) {
              case " ":
                indent += 1;
                break;
              case "\n":
                nl = i;
                indent = 0;
                break;
              case "\r": {
                const next = this.buffer[i + 1];
                if (!next && !this.atEnd)
                  return this.setNext("block-scalar");
                if (next === "\n")
                  break;
              }
              default:
                break loop;
            }
          }
        if (!ch && !this.atEnd)
          return this.setNext("block-scalar");
        if (indent >= this.indentNext) {
          if (this.blockScalarIndent === -1)
            this.indentNext = indent;
          else
            this.indentNext += this.blockScalarIndent;
          do {
            const cs = this.continueScalar(nl + 1);
            if (cs === -1)
              break;
            nl = this.buffer.indexOf("\n", cs);
          } while (nl !== -1);
          if (nl === -1) {
            if (!this.atEnd)
              return this.setNext("block-scalar");
            nl = this.buffer.length;
          }
        }
        if (!this.blockScalarKeep) {
          do {
            let i = nl - 1;
            let ch2 = this.buffer[i];
            if (ch2 === "\r")
              ch2 = this.buffer[--i];
            const lastChar = i;
            while (ch2 === " " || ch2 === "	")
              ch2 = this.buffer[--i];
            if (ch2 === "\n" && i >= this.pos && i + 1 + indent > lastChar)
              nl = i;
            else
              break;
          } while (true);
        }
        yield cst.SCALAR;
        yield* this.pushToIndex(nl + 1, true);
        return yield* this.parseLineStart();
      }
      *parsePlainScalar() {
        const inFlow = this.flowLevel > 0;
        let end = this.pos - 1;
        let i = this.pos - 1;
        let ch;
        while (ch = this.buffer[++i]) {
          if (ch === ":") {
            const next = this.buffer[i + 1];
            if (isEmpty(next) || inFlow && next === ",")
              break;
            end = i;
          } else if (isEmpty(ch)) {
            let next = this.buffer[i + 1];
            if (ch === "\r") {
              if (next === "\n") {
                i += 1;
                ch = "\n";
                next = this.buffer[i + 1];
              } else
                end = i;
            }
            if (next === "#" || inFlow && invalidFlowScalarChars.includes(next))
              break;
            if (ch === "\n") {
              const cs = this.continueScalar(i + 1);
              if (cs === -1)
                break;
              i = Math.max(i, cs - 2);
            }
          } else {
            if (inFlow && invalidFlowScalarChars.includes(ch))
              break;
            end = i;
          }
        }
        if (!ch && !this.atEnd)
          return this.setNext("plain-scalar");
        yield cst.SCALAR;
        yield* this.pushToIndex(end + 1, true);
        return inFlow ? "flow" : "doc";
      }
      *pushCount(n) {
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos += n;
          return n;
        }
        return 0;
      }
      *pushToIndex(i, allowEmpty) {
        const s = this.buffer.slice(this.pos, i);
        if (s) {
          yield s;
          this.pos += s.length;
          return s.length;
        } else if (allowEmpty)
          yield "";
        return 0;
      }
      *pushIndicators() {
        switch (this.charAt(0)) {
          case "!":
            return (yield* this.pushTag()) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "&":
            return (yield* this.pushUntil(isNotAnchorChar)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
          case "-":
          case "?":
          case ":": {
            const inFlow = this.flowLevel > 0;
            const ch1 = this.charAt(1);
            if (isEmpty(ch1) || inFlow && invalidFlowScalarChars.includes(ch1)) {
              if (!inFlow)
                this.indentNext = this.indentValue + 1;
              else if (this.flowKey)
                this.flowKey = false;
              return (yield* this.pushCount(1)) + (yield* this.pushSpaces(true)) + (yield* this.pushIndicators());
            }
          }
        }
        return 0;
      }
      *pushTag() {
        if (this.charAt(1) === "<") {
          let i = this.pos + 2;
          let ch = this.buffer[i];
          while (!isEmpty(ch) && ch !== ">")
            ch = this.buffer[++i];
          return yield* this.pushToIndex(ch === ">" ? i + 1 : i, false);
        } else {
          let i = this.pos + 1;
          let ch = this.buffer[i];
          while (ch) {
            if (tagChars.includes(ch))
              ch = this.buffer[++i];
            else if (ch === "%" && hexDigits.includes(this.buffer[i + 1]) && hexDigits.includes(this.buffer[i + 2])) {
              ch = this.buffer[i += 3];
            } else
              break;
          }
          return yield* this.pushToIndex(i, false);
        }
      }
      *pushNewline() {
        const ch = this.buffer[this.pos];
        if (ch === "\n")
          return yield* this.pushCount(1);
        else if (ch === "\r" && this.charAt(1) === "\n")
          return yield* this.pushCount(2);
        else
          return 0;
      }
      *pushSpaces(allowTabs) {
        let i = this.pos - 1;
        let ch;
        do {
          ch = this.buffer[++i];
        } while (ch === " " || allowTabs && ch === "	");
        const n = i - this.pos;
        if (n > 0) {
          yield this.buffer.substr(this.pos, n);
          this.pos = i;
        }
        return n;
      }
      *pushUntil(test) {
        let i = this.pos;
        let ch = this.buffer[i];
        while (!test(ch))
          ch = this.buffer[++i];
        return yield* this.pushToIndex(i, false);
      }
    };
    exports2.Lexer = Lexer;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/line-counter.js
var require_line_counter4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/line-counter.js"(exports2) {
    "use strict";
    var LineCounter = class {
      constructor() {
        this.lineStarts = [];
        this.addNewLine = (offset) => this.lineStarts.push(offset);
        this.linePos = (offset) => {
          let low = 0;
          let high = this.lineStarts.length;
          while (low < high) {
            const mid = low + high >> 1;
            if (this.lineStarts[mid] < offset)
              low = mid + 1;
            else
              high = mid;
          }
          if (this.lineStarts[low] === offset)
            return { line: low + 1, col: 1 };
          if (low === 0)
            return { line: 0, col: offset };
          const start = this.lineStarts[low - 1];
          return { line: low, col: offset - start + 1 };
        };
      }
    };
    exports2.LineCounter = LineCounter;
  }
});

// ../../components/workflows/node_modules/yaml/dist/parse/parser.js
var require_parser10 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/parse/parser.js"(exports2) {
    "use strict";
    var cst = require_cst4();
    var lexer = require_lexer4();
    function includesToken(list, type) {
      for (let i = 0; i < list.length; ++i)
        if (list[i].type === type)
          return true;
      return false;
    }
    function findNonEmptyIndex(list) {
      for (let i = 0; i < list.length; ++i) {
        switch (list[i].type) {
          case "space":
          case "comment":
          case "newline":
            break;
          default:
            return i;
        }
      }
      return -1;
    }
    function isFlowToken(token) {
      switch (token?.type) {
        case "alias":
        case "scalar":
        case "single-quoted-scalar":
        case "double-quoted-scalar":
        case "flow-collection":
          return true;
        default:
          return false;
      }
    }
    function getPrevProps(parent) {
      switch (parent.type) {
        case "document":
          return parent.start;
        case "block-map": {
          const it = parent.items[parent.items.length - 1];
          return it.sep ?? it.start;
        }
        case "block-seq":
          return parent.items[parent.items.length - 1].start;
        default:
          return [];
      }
    }
    function getFirstKeyStartProps(prev) {
      if (prev.length === 0)
        return [];
      let i = prev.length;
      loop:
        while (--i >= 0) {
          switch (prev[i].type) {
            case "doc-start":
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
            case "newline":
              break loop;
          }
        }
      while (prev[++i]?.type === "space") {
      }
      return prev.splice(i, prev.length);
    }
    function fixFlowSeqItems(fc) {
      if (fc.start.type === "flow-seq-start") {
        for (const it of fc.items) {
          if (it.sep && !it.value && !includesToken(it.start, "explicit-key-ind") && !includesToken(it.sep, "map-value-ind")) {
            if (it.key)
              it.value = it.key;
            delete it.key;
            if (isFlowToken(it.value)) {
              if (it.value.end)
                Array.prototype.push.apply(it.value.end, it.sep);
              else
                it.value.end = it.sep;
            } else
              Array.prototype.push.apply(it.start, it.sep);
            delete it.sep;
          }
        }
      }
    }
    var Parser = class {
      /**
       * @param onNewLine - If defined, called separately with the start position of
       *   each new line (in `parse()`, including the start of input).
       */
      constructor(onNewLine) {
        this.atNewLine = true;
        this.atScalar = false;
        this.indent = 0;
        this.offset = 0;
        this.onKeyLine = false;
        this.stack = [];
        this.source = "";
        this.type = "";
        this.lexer = new lexer.Lexer();
        this.onNewLine = onNewLine;
      }
      /**
       * Parse `source` as a YAML stream.
       * If `incomplete`, a part of the last line may be left as a buffer for the next call.
       *
       * Errors are not thrown, but yielded as `{ type: 'error', message }` tokens.
       *
       * @returns A generator of tokens representing each directive, document, and other structure.
       */
      *parse(source, incomplete = false) {
        if (this.onNewLine && this.offset === 0)
          this.onNewLine(0);
        for (const lexeme of this.lexer.lex(source, incomplete))
          yield* this.next(lexeme);
        if (!incomplete)
          yield* this.end();
      }
      /**
       * Advance the parser by the `source` of one lexical token.
       */
      *next(source) {
        this.source = source;
        if (process.env.LOG_TOKENS)
          console.log("|", cst.prettyToken(source));
        if (this.atScalar) {
          this.atScalar = false;
          yield* this.step();
          this.offset += source.length;
          return;
        }
        const type = cst.tokenType(source);
        if (!type) {
          const message = `Not a YAML token: ${source}`;
          yield* this.pop({ type: "error", offset: this.offset, message, source });
          this.offset += source.length;
        } else if (type === "scalar") {
          this.atNewLine = false;
          this.atScalar = true;
          this.type = "scalar";
        } else {
          this.type = type;
          yield* this.step();
          switch (type) {
            case "newline":
              this.atNewLine = true;
              this.indent = 0;
              if (this.onNewLine)
                this.onNewLine(this.offset + source.length);
              break;
            case "space":
              if (this.atNewLine && source[0] === " ")
                this.indent += source.length;
              break;
            case "explicit-key-ind":
            case "map-value-ind":
            case "seq-item-ind":
              if (this.atNewLine)
                this.indent += source.length;
              break;
            case "doc-mode":
            case "flow-error-end":
              return;
            default:
              this.atNewLine = false;
          }
          this.offset += source.length;
        }
      }
      /** Call at end of input to push out any remaining constructions */
      *end() {
        while (this.stack.length > 0)
          yield* this.pop();
      }
      get sourceToken() {
        const st = {
          type: this.type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
        return st;
      }
      *step() {
        const top = this.peek(1);
        if (this.type === "doc-end" && (!top || top.type !== "doc-end")) {
          while (this.stack.length > 0)
            yield* this.pop();
          this.stack.push({
            type: "doc-end",
            offset: this.offset,
            source: this.source
          });
          return;
        }
        if (!top)
          return yield* this.stream();
        switch (top.type) {
          case "document":
            return yield* this.document(top);
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return yield* this.scalar(top);
          case "block-scalar":
            return yield* this.blockScalar(top);
          case "block-map":
            return yield* this.blockMap(top);
          case "block-seq":
            return yield* this.blockSequence(top);
          case "flow-collection":
            return yield* this.flowCollection(top);
          case "doc-end":
            return yield* this.documentEnd(top);
        }
        yield* this.pop();
      }
      peek(n) {
        return this.stack[this.stack.length - n];
      }
      *pop(error) {
        const token = error ?? this.stack.pop();
        if (!token) {
          const message = "Tried to pop an empty stack";
          yield { type: "error", offset: this.offset, source: "", message };
        } else if (this.stack.length === 0) {
          yield token;
        } else {
          const top = this.peek(1);
          if (token.type === "block-scalar") {
            token.indent = "indent" in top ? top.indent : 0;
          } else if (token.type === "flow-collection" && top.type === "document") {
            token.indent = 0;
          }
          if (token.type === "flow-collection")
            fixFlowSeqItems(token);
          switch (top.type) {
            case "document":
              top.value = token;
              break;
            case "block-scalar":
              top.props.push(token);
              break;
            case "block-map": {
              const it = top.items[top.items.length - 1];
              if (it.value) {
                top.items.push({ start: [], key: token, sep: [] });
                this.onKeyLine = true;
                return;
              } else if (it.sep) {
                it.value = token;
              } else {
                Object.assign(it, { key: token, sep: [] });
                this.onKeyLine = !includesToken(it.start, "explicit-key-ind");
                return;
              }
              break;
            }
            case "block-seq": {
              const it = top.items[top.items.length - 1];
              if (it.value)
                top.items.push({ start: [], value: token });
              else
                it.value = token;
              break;
            }
            case "flow-collection": {
              const it = top.items[top.items.length - 1];
              if (!it || it.value)
                top.items.push({ start: [], key: token, sep: [] });
              else if (it.sep)
                it.value = token;
              else
                Object.assign(it, { key: token, sep: [] });
              return;
            }
            default:
              yield* this.pop();
              yield* this.pop(token);
          }
          if ((top.type === "document" || top.type === "block-map" || top.type === "block-seq") && (token.type === "block-map" || token.type === "block-seq")) {
            const last = token.items[token.items.length - 1];
            if (last && !last.sep && !last.value && last.start.length > 0 && findNonEmptyIndex(last.start) === -1 && (token.indent === 0 || last.start.every((st) => st.type !== "comment" || st.indent < token.indent))) {
              if (top.type === "document")
                top.end = last.start;
              else
                top.items.push({ start: last.start });
              token.items.splice(-1, 1);
            }
          }
        }
      }
      *stream() {
        switch (this.type) {
          case "directive-line":
            yield { type: "directive", offset: this.offset, source: this.source };
            return;
          case "byte-order-mark":
          case "space":
          case "comment":
          case "newline":
            yield this.sourceToken;
            return;
          case "doc-mode":
          case "doc-start": {
            const doc = {
              type: "document",
              offset: this.offset,
              start: []
            };
            if (this.type === "doc-start")
              doc.start.push(this.sourceToken);
            this.stack.push(doc);
            return;
          }
        }
        yield {
          type: "error",
          offset: this.offset,
          message: `Unexpected ${this.type} token in YAML stream`,
          source: this.source
        };
      }
      *document(doc) {
        if (doc.value)
          return yield* this.lineEnd(doc);
        switch (this.type) {
          case "doc-start": {
            if (findNonEmptyIndex(doc.start) !== -1) {
              yield* this.pop();
              yield* this.step();
            } else
              doc.start.push(this.sourceToken);
            return;
          }
          case "anchor":
          case "tag":
          case "space":
          case "comment":
          case "newline":
            doc.start.push(this.sourceToken);
            return;
        }
        const bv = this.startBlockValue(doc);
        if (bv)
          this.stack.push(bv);
        else {
          yield {
            type: "error",
            offset: this.offset,
            message: `Unexpected ${this.type} token in YAML document`,
            source: this.source
          };
        }
      }
      *scalar(scalar) {
        if (this.type === "map-value-ind") {
          const prev = getPrevProps(this.peek(2));
          const start = getFirstKeyStartProps(prev);
          let sep;
          if (scalar.end) {
            sep = scalar.end;
            sep.push(this.sourceToken);
            delete scalar.end;
          } else
            sep = [this.sourceToken];
          const map = {
            type: "block-map",
            offset: scalar.offset,
            indent: scalar.indent,
            items: [{ start, key: scalar, sep }]
          };
          this.onKeyLine = true;
          this.stack[this.stack.length - 1] = map;
        } else
          yield* this.lineEnd(scalar);
      }
      *blockScalar(scalar) {
        switch (this.type) {
          case "space":
          case "comment":
          case "newline":
            scalar.props.push(this.sourceToken);
            return;
          case "scalar":
            scalar.source = this.source;
            this.atNewLine = true;
            this.indent = 0;
            if (this.onNewLine) {
              let nl = this.source.indexOf("\n") + 1;
              while (nl !== 0) {
                this.onNewLine(this.offset + nl);
                nl = this.source.indexOf("\n", nl) + 1;
              }
            }
            yield* this.pop();
            break;
          default:
            yield* this.pop();
            yield* this.step();
        }
      }
      *blockMap(map) {
        const it = map.items[map.items.length - 1];
        switch (this.type) {
          case "newline":
            this.onKeyLine = false;
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              it.start.push(this.sourceToken);
            }
            return;
          case "space":
          case "comment":
            if (it.value) {
              map.items.push({ start: [this.sourceToken] });
            } else if (it.sep) {
              it.sep.push(this.sourceToken);
            } else {
              if (this.atIndentedComment(it.start, map.indent)) {
                const prev = map.items[map.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  map.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
        }
        if (this.indent >= map.indent) {
          const atNextItem = !this.onKeyLine && this.indent === map.indent && it.sep;
          let start = [];
          if (atNextItem && it.sep && !it.value) {
            const nl = [];
            for (let i = 0; i < it.sep.length; ++i) {
              const st = it.sep[i];
              switch (st.type) {
                case "newline":
                  nl.push(i);
                  break;
                case "space":
                  break;
                case "comment":
                  if (st.indent > map.indent)
                    nl.length = 0;
                  break;
                default:
                  nl.length = 0;
              }
            }
            if (nl.length >= 2)
              start = it.sep.splice(nl[1]);
          }
          switch (this.type) {
            case "anchor":
            case "tag":
              if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
                this.onKeyLine = true;
              } else if (it.sep) {
                it.sep.push(this.sourceToken);
              } else {
                it.start.push(this.sourceToken);
              }
              return;
            case "explicit-key-ind":
              if (!it.sep && !includesToken(it.start, "explicit-key-ind")) {
                it.start.push(this.sourceToken);
              } else if (atNextItem || it.value) {
                start.push(this.sourceToken);
                map.items.push({ start });
              } else {
                this.stack.push({
                  type: "block-map",
                  offset: this.offset,
                  indent: this.indent,
                  items: [{ start: [this.sourceToken] }]
                });
              }
              this.onKeyLine = true;
              return;
            case "map-value-ind":
              if (includesToken(it.start, "explicit-key-ind")) {
                if (!it.sep) {
                  if (includesToken(it.start, "newline")) {
                    Object.assign(it, { key: null, sep: [this.sourceToken] });
                  } else {
                    const start2 = getFirstKeyStartProps(it.start);
                    this.stack.push({
                      type: "block-map",
                      offset: this.offset,
                      indent: this.indent,
                      items: [{ start: start2, key: null, sep: [this.sourceToken] }]
                    });
                  }
                } else if (it.value) {
                  map.items.push({ start: [], key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start, key: null, sep: [this.sourceToken] }]
                  });
                } else if (isFlowToken(it.key) && !includesToken(it.sep, "newline")) {
                  const start2 = getFirstKeyStartProps(it.start);
                  const key = it.key;
                  const sep = it.sep;
                  sep.push(this.sourceToken);
                  delete it.key, delete it.sep;
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: start2, key, sep }]
                  });
                } else if (start.length > 0) {
                  it.sep = it.sep.concat(start, this.sourceToken);
                } else {
                  it.sep.push(this.sourceToken);
                }
              } else {
                if (!it.sep) {
                  Object.assign(it, { key: null, sep: [this.sourceToken] });
                } else if (it.value || atNextItem) {
                  map.items.push({ start, key: null, sep: [this.sourceToken] });
                } else if (includesToken(it.sep, "map-value-ind")) {
                  this.stack.push({
                    type: "block-map",
                    offset: this.offset,
                    indent: this.indent,
                    items: [{ start: [], key: null, sep: [this.sourceToken] }]
                  });
                } else {
                  it.sep.push(this.sourceToken);
                }
              }
              this.onKeyLine = true;
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (atNextItem || it.value) {
                map.items.push({ start, key: fs, sep: [] });
                this.onKeyLine = true;
              } else if (it.sep) {
                this.stack.push(fs);
              } else {
                Object.assign(it, { key: fs, sep: [] });
                this.onKeyLine = true;
              }
              return;
            }
            default: {
              const bv = this.startBlockValue(map);
              if (bv) {
                if (atNextItem && bv.type !== "block-seq" && includesToken(it.start, "explicit-key-ind")) {
                  map.items.push({ start });
                }
                this.stack.push(bv);
                return;
              }
            }
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *blockSequence(seq) {
        const it = seq.items[seq.items.length - 1];
        switch (this.type) {
          case "newline":
            if (it.value) {
              const end = "end" in it.value ? it.value.end : void 0;
              const last = Array.isArray(end) ? end[end.length - 1] : void 0;
              if (last?.type === "comment")
                end?.push(this.sourceToken);
              else
                seq.items.push({ start: [this.sourceToken] });
            } else
              it.start.push(this.sourceToken);
            return;
          case "space":
          case "comment":
            if (it.value)
              seq.items.push({ start: [this.sourceToken] });
            else {
              if (this.atIndentedComment(it.start, seq.indent)) {
                const prev = seq.items[seq.items.length - 2];
                const end = prev?.value?.end;
                if (Array.isArray(end)) {
                  Array.prototype.push.apply(end, it.start);
                  end.push(this.sourceToken);
                  seq.items.pop();
                  return;
                }
              }
              it.start.push(this.sourceToken);
            }
            return;
          case "anchor":
          case "tag":
            if (it.value || this.indent <= seq.indent)
              break;
            it.start.push(this.sourceToken);
            return;
          case "seq-item-ind":
            if (this.indent !== seq.indent)
              break;
            if (it.value || includesToken(it.start, "seq-item-ind"))
              seq.items.push({ start: [this.sourceToken] });
            else
              it.start.push(this.sourceToken);
            return;
        }
        if (this.indent > seq.indent) {
          const bv = this.startBlockValue(seq);
          if (bv) {
            this.stack.push(bv);
            return;
          }
        }
        yield* this.pop();
        yield* this.step();
      }
      *flowCollection(fc) {
        const it = fc.items[fc.items.length - 1];
        if (this.type === "flow-error-end") {
          let top;
          do {
            yield* this.pop();
            top = this.peek(1);
          } while (top && top.type === "flow-collection");
        } else if (fc.end.length === 0) {
          switch (this.type) {
            case "comma":
            case "explicit-key-ind":
              if (!it || it.sep)
                fc.items.push({ start: [this.sourceToken] });
              else
                it.start.push(this.sourceToken);
              return;
            case "map-value-ind":
              if (!it || it.value)
                fc.items.push({ start: [], key: null, sep: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                Object.assign(it, { key: null, sep: [this.sourceToken] });
              return;
            case "space":
            case "comment":
            case "newline":
            case "anchor":
            case "tag":
              if (!it || it.value)
                fc.items.push({ start: [this.sourceToken] });
              else if (it.sep)
                it.sep.push(this.sourceToken);
              else
                it.start.push(this.sourceToken);
              return;
            case "alias":
            case "scalar":
            case "single-quoted-scalar":
            case "double-quoted-scalar": {
              const fs = this.flowScalar(this.type);
              if (!it || it.value)
                fc.items.push({ start: [], key: fs, sep: [] });
              else if (it.sep)
                this.stack.push(fs);
              else
                Object.assign(it, { key: fs, sep: [] });
              return;
            }
            case "flow-map-end":
            case "flow-seq-end":
              fc.end.push(this.sourceToken);
              return;
          }
          const bv = this.startBlockValue(fc);
          if (bv)
            this.stack.push(bv);
          else {
            yield* this.pop();
            yield* this.step();
          }
        } else {
          const parent = this.peek(2);
          if (parent.type === "block-map" && (this.type === "map-value-ind" && parent.indent === fc.indent || this.type === "newline" && !parent.items[parent.items.length - 1].sep)) {
            yield* this.pop();
            yield* this.step();
          } else if (this.type === "map-value-ind" && parent.type !== "flow-collection") {
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            fixFlowSeqItems(fc);
            const sep = fc.end.splice(1, fc.end.length);
            sep.push(this.sourceToken);
            const map = {
              type: "block-map",
              offset: fc.offset,
              indent: fc.indent,
              items: [{ start, key: fc, sep }]
            };
            this.onKeyLine = true;
            this.stack[this.stack.length - 1] = map;
          } else {
            yield* this.lineEnd(fc);
          }
        }
      }
      flowScalar(type) {
        if (this.onNewLine) {
          let nl = this.source.indexOf("\n") + 1;
          while (nl !== 0) {
            this.onNewLine(this.offset + nl);
            nl = this.source.indexOf("\n", nl) + 1;
          }
        }
        return {
          type,
          offset: this.offset,
          indent: this.indent,
          source: this.source
        };
      }
      startBlockValue(parent) {
        switch (this.type) {
          case "alias":
          case "scalar":
          case "single-quoted-scalar":
          case "double-quoted-scalar":
            return this.flowScalar(this.type);
          case "block-scalar-header":
            return {
              type: "block-scalar",
              offset: this.offset,
              indent: this.indent,
              props: [this.sourceToken],
              source: ""
            };
          case "flow-map-start":
          case "flow-seq-start":
            return {
              type: "flow-collection",
              offset: this.offset,
              indent: this.indent,
              start: this.sourceToken,
              items: [],
              end: []
            };
          case "seq-item-ind":
            return {
              type: "block-seq",
              offset: this.offset,
              indent: this.indent,
              items: [{ start: [this.sourceToken] }]
            };
          case "explicit-key-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            start.push(this.sourceToken);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start }]
            };
          }
          case "map-value-ind": {
            this.onKeyLine = true;
            const prev = getPrevProps(parent);
            const start = getFirstKeyStartProps(prev);
            return {
              type: "block-map",
              offset: this.offset,
              indent: this.indent,
              items: [{ start, key: null, sep: [this.sourceToken] }]
            };
          }
        }
        return null;
      }
      atIndentedComment(start, indent) {
        if (this.type !== "comment")
          return false;
        if (this.indent <= indent)
          return false;
        return start.every((st) => st.type === "newline" || st.type === "space");
      }
      *documentEnd(docEnd) {
        if (this.type !== "doc-mode") {
          if (docEnd.end)
            docEnd.end.push(this.sourceToken);
          else
            docEnd.end = [this.sourceToken];
          if (this.type === "newline")
            yield* this.pop();
        }
      }
      *lineEnd(token) {
        switch (this.type) {
          case "comma":
          case "doc-start":
          case "doc-end":
          case "flow-seq-end":
          case "flow-map-end":
          case "map-value-ind":
            yield* this.pop();
            yield* this.step();
            break;
          case "newline":
            this.onKeyLine = false;
          case "space":
          case "comment":
          default:
            if (token.end)
              token.end.push(this.sourceToken);
            else
              token.end = [this.sourceToken];
            if (this.type === "newline")
              yield* this.pop();
        }
      }
    };
    exports2.Parser = Parser;
  }
});

// ../../components/workflows/node_modules/yaml/dist/public-api.js
var require_public_api4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/public-api.js"(exports2) {
    "use strict";
    var composer = require_composer4();
    var Document = require_Document4();
    var errors = require_errors4();
    var log = require_log4();
    var lineCounter = require_line_counter4();
    var parser = require_parser10();
    function parseOptions(options) {
      const prettyErrors = options.prettyErrors !== false;
      const lineCounter$1 = options.lineCounter || prettyErrors && new lineCounter.LineCounter() || null;
      return { lineCounter: lineCounter$1, prettyErrors };
    }
    function parseAllDocuments(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      const docs = Array.from(composer$1.compose(parser$1.parse(source)));
      if (prettyErrors && lineCounter2)
        for (const doc of docs) {
          doc.errors.forEach(errors.prettifyError(source, lineCounter2));
          doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
        }
      if (docs.length > 0)
        return docs;
      return Object.assign([], { empty: true }, composer$1.streamInfo());
    }
    function parseDocument(source, options = {}) {
      const { lineCounter: lineCounter2, prettyErrors } = parseOptions(options);
      const parser$1 = new parser.Parser(lineCounter2?.addNewLine);
      const composer$1 = new composer.Composer(options);
      let doc = null;
      for (const _doc of composer$1.compose(parser$1.parse(source), true, source.length)) {
        if (!doc)
          doc = _doc;
        else if (doc.options.logLevel !== "silent") {
          doc.errors.push(new errors.YAMLParseError(_doc.range.slice(0, 2), "MULTIPLE_DOCS", "Source contains multiple documents; please use YAML.parseAllDocuments()"));
          break;
        }
      }
      if (prettyErrors && lineCounter2) {
        doc.errors.forEach(errors.prettifyError(source, lineCounter2));
        doc.warnings.forEach(errors.prettifyError(source, lineCounter2));
      }
      return doc;
    }
    function parse(src, reviver, options) {
      let _reviver = void 0;
      if (typeof reviver === "function") {
        _reviver = reviver;
      } else if (options === void 0 && reviver && typeof reviver === "object") {
        options = reviver;
      }
      const doc = parseDocument(src, options);
      if (!doc)
        return null;
      doc.warnings.forEach((warning) => log.warn(doc.options.logLevel, warning));
      if (doc.errors.length > 0) {
        if (doc.options.logLevel !== "silent")
          throw doc.errors[0];
        else
          doc.errors = [];
      }
      return doc.toJS(Object.assign({ reviver: _reviver }, options));
    }
    function stringify(value, replacer, options) {
      let _replacer = null;
      if (typeof replacer === "function" || Array.isArray(replacer)) {
        _replacer = replacer;
      } else if (options === void 0 && replacer) {
        options = replacer;
      }
      if (typeof options === "string")
        options = options.length;
      if (typeof options === "number") {
        const indent = Math.round(options);
        options = indent < 1 ? void 0 : indent > 8 ? { indent: 8 } : { indent };
      }
      if (value === void 0) {
        const { keepUndefined } = options ?? replacer ?? {};
        if (!keepUndefined)
          return void 0;
      }
      return new Document.Document(value, _replacer, options).toString(options);
    }
    exports2.parse = parse;
    exports2.parseAllDocuments = parseAllDocuments;
    exports2.parseDocument = parseDocument;
    exports2.stringify = stringify;
  }
});

// ../../components/workflows/node_modules/yaml/dist/index.js
var require_dist4 = __commonJS({
  "../../components/workflows/node_modules/yaml/dist/index.js"(exports2) {
    "use strict";
    var composer = require_composer4();
    var Document = require_Document4();
    var Schema = require_Schema4();
    var errors = require_errors4();
    var Alias = require_Alias4();
    var identity = require_identity4();
    var Pair = require_Pair4();
    var Scalar = require_Scalar4();
    var YAMLMap = require_YAMLMap4();
    var YAMLSeq = require_YAMLSeq4();
    var cst = require_cst4();
    var lexer = require_lexer4();
    var lineCounter = require_line_counter4();
    var parser = require_parser10();
    var publicApi = require_public_api4();
    var visit = require_visit4();
    exports2.Composer = composer.Composer;
    exports2.Document = Document.Document;
    exports2.Schema = Schema.Schema;
    exports2.YAMLError = errors.YAMLError;
    exports2.YAMLParseError = errors.YAMLParseError;
    exports2.YAMLWarning = errors.YAMLWarning;
    exports2.Alias = Alias.Alias;
    exports2.isAlias = identity.isAlias;
    exports2.isCollection = identity.isCollection;
    exports2.isDocument = identity.isDocument;
    exports2.isMap = identity.isMap;
    exports2.isNode = identity.isNode;
    exports2.isPair = identity.isPair;
    exports2.isScalar = identity.isScalar;
    exports2.isSeq = identity.isSeq;
    exports2.Pair = Pair.Pair;
    exports2.Scalar = Scalar.Scalar;
    exports2.YAMLMap = YAMLMap.YAMLMap;
    exports2.YAMLSeq = YAMLSeq.YAMLSeq;
    exports2.CST = cst;
    exports2.Lexer = lexer.Lexer;
    exports2.LineCounter = lineCounter.LineCounter;
    exports2.Parser = parser.Parser;
    exports2.parse = publicApi.parse;
    exports2.parseAllDocuments = publicApi.parseAllDocuments;
    exports2.parseDocument = publicApi.parseDocument;
    exports2.stringify = publicApi.stringify;
    exports2.visit = visit.visit;
    exports2.visitAsync = visit.visitAsync;
  }
});

// ../../components/workflows/node_modules/projen/lib/yaml.js
var require_yaml4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/yaml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.YamlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var YAML = require_dist4();
    var object_file_1 = require_object_file4();
    var YamlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
        this.lineWidth = options.lineWidth ?? 0;
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          YAML.stringify(JSON.parse(json), {
            indent: 2,
            lineWidth: this.lineWidth
          })
        ].join("\n");
      }
    };
    exports2.YamlFile = YamlFile;
    _a = JSII_RTTI_SYMBOL_1;
    YamlFile[_a] = { fqn: "projen.YamlFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose.js
var require_docker_compose7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerCompose = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_port_1 = require_docker_compose_port4();
    var docker_compose_render_1 = require_docker_compose_render4();
    var docker_compose_service_1 = require_docker_compose_service4();
    var component_1 = require_component4();
    var yaml_1 = require_yaml4();
    var DockerCompose = class extends component_1.Component {
      /**
       * Depends on a service name.
       */
      static serviceName(serviceName) {
        return {
          serviceName
        };
      }
      /**
       * Create a port mapping.
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      static portMapping(publishedPort, targetPort, options) {
        const protocol = options?.protocol ?? docker_compose_port_1.DockerComposeProtocol.TCP;
        return {
          target: targetPort,
          published: publishedPort,
          protocol,
          mode: "host"
        };
      }
      /**
       * Create a bind volume that binds a host path to the target path in the container.
       * @param sourcePath Host path name
       * @param targetPath Target path name
       */
      static bindVolume(sourcePath, targetPath) {
        return {
          bind(_volumeInfo) {
            return {
              type: "bind",
              source: sourcePath,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named volume and mount it to the target path. If you use this
       * named volume in several services, the volume will be shared. In this
       * case, the volume configuration of the first-provided options are used.
       *
       * @param volumeName Name of the volume
       * @param targetPath Target path
       * @param options volume configuration (default: docker compose defaults)
       */
      static namedVolume(volumeName, targetPath, options = {}) {
        return {
          bind(volumeInfo) {
            volumeInfo.addVolumeConfiguration(volumeName, options);
            return {
              type: "volume",
              source: volumeName,
              target: targetPath
            };
          }
        };
      }
      /**
       * Create a named network and mount it to the target path. If you use this
       * named network in several services, the network will be shared. In this
       * case, the network configuration of the first-provided options are used.
       *
       * @param networkName Name of the network
       * @param options network configuration
       */
      static network(networkName, options = {}) {
        return {
          bind(networkInfo) {
            networkInfo.addNetworkConfiguration(networkName, options);
            return networkName;
          }
        };
      }
      constructor(project, props) {
        super(project);
        const nameSuffix = props?.nameSuffix ? `${props.nameSuffix}.yml` : "yml";
        new yaml_1.YamlFile(project, `docker-compose.${nameSuffix}`, {
          committed: true,
          readonly: true,
          obj: () => this._synthesizeDockerCompose()
        });
        if (props?.schemaVersion && !parseFloat(props.schemaVersion)) {
          throw Error("Version tag needs to be a number");
        }
        this.version = props?.schemaVersion ? props.schemaVersion : "3.3";
        this.services = {};
        const initialServices = props?.services ?? {};
        for (const [name, serviceDescription] of Object.entries(initialServices)) {
          this.addService(name, serviceDescription);
        }
      }
      /**
       * Add a service to the docker-compose file.
       * @param serviceName name of the service
       * @param description a service description
       */
      addService(serviceName, description) {
        const service = new docker_compose_service_1.DockerComposeService(serviceName, description);
        this.services[serviceName] = service;
        return service;
      }
      /**
       * @internal
       */
      _synthesizeDockerCompose() {
        if (Object.keys(this.services).length === 0) {
          throw new Error("DockerCompose requires at least one service");
        }
        return (0, docker_compose_render_1.renderDockerComposeFile)(this.services, this.version);
      }
    };
    exports2.DockerCompose = DockerCompose;
    _a = JSII_RTTI_SYMBOL_1;
    DockerCompose[_a] = { fqn: "projen.DockerCompose", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-service.js
var require_docker_compose_service4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-service.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DockerComposeService = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var docker_compose_1 = require_docker_compose7();
    var DockerComposeService = class {
      constructor(serviceName, serviceDescription) {
        if (!serviceDescription.imageBuild && !serviceDescription.image || serviceDescription.imageBuild && serviceDescription.image) {
          throw new Error(`A service ${serviceName} requires exactly one of a \`imageBuild\` or \`image\` key`);
        }
        this.serviceName = serviceName;
        this.command = serviceDescription.command;
        this.image = serviceDescription.image;
        this.imageBuild = serviceDescription.imageBuild;
        this.dependsOn = serviceDescription.dependsOn ?? [];
        this.volumes = serviceDescription.volumes ?? [];
        this.networks = serviceDescription.networks ?? [];
        this.ports = serviceDescription.ports ?? [];
        this.environment = serviceDescription.environment ?? {};
        this.labels = serviceDescription.labels ?? {};
        this.entrypoint = serviceDescription.entrypoint;
      }
      /**
       * Add a port mapping
       * @param publishedPort Published port number
       * @param targetPort Container's port number
       * @param options Port mapping options
       */
      addPort(publishedPort, targetPort, options) {
        this.ports?.push(docker_compose_1.DockerCompose.portMapping(publishedPort, targetPort, options));
      }
      /**
       * Add an environment variable
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addEnvironment(name, value) {
        this.environment[name] = value;
      }
      /**
       * Make the service depend on another service.
       * @param serviceName
       */
      addDependsOn(serviceName) {
        this.dependsOn.push(serviceName);
      }
      /**
       * Add a volume to the service.
       * @param volume
       */
      addVolume(volume) {
        this.volumes.push(volume);
      }
      /**
       * Add a network to the service.
       * @param network
       */
      addNetwork(network) {
        this.networks.push(network);
      }
      /**
       * Add a label
       * @param name environment variable name
       * @param value value of the environment variable
       */
      addLabel(name, value) {
        this.labels[name] = value;
      }
    };
    exports2.DockerComposeService = DockerComposeService;
    _a = JSII_RTTI_SYMBOL_1;
    DockerComposeService[_a] = { fqn: "projen.DockerComposeService", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-volume.js
var require_docker_compose_volume4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-volume.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-network.js
var require_docker_compose_network4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/docker-compose-network.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/projen/lib/docker-compose/index.js
var require_docker_compose8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/docker-compose/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_docker_compose_port4(), exports2);
    __exportStar(require_docker_compose_service4(), exports2);
    __exportStar(require_docker_compose_volume4(), exports2);
    __exportStar(require_docker_compose_network4(), exports2);
    __exportStar(require_docker_compose7(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/gitattributes.js
var require_gitattributes4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitattributes.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitAttributesFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var GitAttributesFile = class extends file_1.FileBase {
      constructor(project) {
        super(project, ".gitattributes", {
          editGitignore: false
        });
        this.attributes = /* @__PURE__ */ new Map();
      }
      /**
       * Maps a set of attributes to a set of files.
       * @param glob Glob pattern to match files in the repo
       * @param attributes Attributes to assign to these files.
       */
      addAttributes(glob, ...attributes) {
        if (!this.attributes.has(glob)) {
          this.attributes.set(glob, /* @__PURE__ */ new Set());
        }
        const set = this.attributes.get(glob);
        for (const attribute of attributes) {
          set.add(attribute);
        }
      }
      /**
       * Add attributes necessary to mark these files as stored in LFS
       */
      addLfsPattern(glob) {
        this.addAttributes(glob, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
      }
      /**
       * Whether the current gitattributes file has any LFS patterns
       */
      get hasLfsPatterns() {
        return Array.from(this.attributes.values()).some((attrs) => attrs.has("filter=lfs"));
      }
      synthesizeContent(_) {
        const entries = Array.from(this.attributes.entries()).sort(([l], [r]) => l.localeCompare(r));
        if (entries.length === 0) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          ...entries.map(([name, attributes]) => `${name} ${Array.from(attributes).join(" ")}`)
        ].join("\n");
      }
    };
    exports2.GitAttributesFile = GitAttributesFile;
    _a = JSII_RTTI_SYMBOL_1;
    GitAttributesFile[_a] = { fqn: "projen.GitAttributesFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/gitpod.js
var require_gitpod4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitpod.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Gitpod = exports2.GitpodPortVisibility = exports2.GitpodOnOpen = exports2.GitpodOpenIn = exports2.GitpodOpenMode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var yaml_1 = require_yaml4();
    var GITPOD_FILE = ".gitpod.yml";
    var GitpodOpenMode;
    (function(GitpodOpenMode2) {
      GitpodOpenMode2["TAB_AFTER"] = "tab-after";
      GitpodOpenMode2["TAB_BEFORE"] = "tab-before";
      GitpodOpenMode2["SPLIT_RIGHT"] = "split-right";
      GitpodOpenMode2["SPLIT_LEFT"] = "split-left";
      GitpodOpenMode2["SPLIT_TOP"] = "split-top";
      GitpodOpenMode2["SPLIT_BOTTOM"] = "split-bottom";
    })(GitpodOpenMode || (exports2.GitpodOpenMode = GitpodOpenMode = {}));
    var GitpodOpenIn;
    (function(GitpodOpenIn2) {
      GitpodOpenIn2["BOTTOM"] = "bottom";
      GitpodOpenIn2["LEFT"] = "left";
      GitpodOpenIn2["RIGHT"] = "right";
      GitpodOpenIn2["MAIN"] = "main";
    })(GitpodOpenIn || (exports2.GitpodOpenIn = GitpodOpenIn = {}));
    var GitpodOnOpen;
    (function(GitpodOnOpen2) {
      GitpodOnOpen2["OPEN_BROWSER"] = "open-browser";
      GitpodOnOpen2["OPEN_PREVIEW"] = "open-preview";
      GitpodOnOpen2["NOTIFY"] = "notify";
      GitpodOnOpen2["IGNORE"] = "ignore";
    })(GitpodOnOpen || (exports2.GitpodOnOpen = GitpodOnOpen = {}));
    var GitpodPortVisibility;
    (function(GitpodPortVisibility2) {
      GitpodPortVisibility2["PUBLIC"] = "public";
      GitpodPortVisibility2["PRIVATE"] = "private";
    })(GitpodPortVisibility || (exports2.GitpodPortVisibility = GitpodPortVisibility = {}));
    var Gitpod = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.tasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.prebuilds) {
          this.addPrebuilds(options.prebuilds);
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        this.config = {
          image: () => this.renderDockerImage(),
          tasks: this.tasks,
          github: () => this.renderPrebuilds(),
          ports: this.ports,
          vscode: {
            extensions: this.vscodeExtensions
          }
        };
        new yaml_1.YamlFile(this.project, GITPOD_FILE, {
          obj: this.config,
          omitEmpty: true,
          // GitPod needs to read the file from the repository in order to work.
          committed: true
        });
      }
      /**
       * Add a custom Docker image or Dockerfile for the container.
       *
       * @param image The Docker image
       */
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Add tasks to run when gitpod starts.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and specify the other tasks as subtasks.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.tasks.push(...tasks.map((task) => ({
          name: task.name,
          command: `npx projen ${task.name}`
        })));
      }
      /**
       * Add a prebuilds configuration for the Gitpod App
       * @param config The configuration
       */
      addPrebuilds(config) {
        this.prebuilds = config;
      }
      /**
       * Add a task with more granular options.
       *
       * By default, all tasks will be run in parallel. To run tasks in sequence,
       * create a new `Task` and set the other tasks as subtasks.
       *
       * @param options The task parameters
       */
      addCustomTask(options) {
        this.tasks.push({
          name: options.name,
          command: options.command,
          openMode: options.openMode,
          openIn: options.openIn,
          before: options.before,
          init: options.init,
          prebuild: options.prebuild
        });
      }
      /**
       * Add ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports.map((port) => ({ port })));
      }
      /**
       * Add a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * These must be in the format defined in the Open VSX registry.
       * @example 'scala-lang.scala@0.3.9:O5XmjwY5Gz+0oDZAmqneJw=='
       * @see https://www.gitpod.io/docs/vscode-extensions/
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      renderDockerImage() {
        if (this.dockerImage?.image) {
          return this.dockerImage.image;
        } else if (this.dockerImage?.dockerFile) {
          return {
            file: this.dockerImage.dockerFile
          };
        } else {
          return void 0;
        }
      }
      renderPrebuilds() {
        if (this.prebuilds) {
          return {
            prebuilds: this.prebuilds
          };
        } else {
          return void 0;
        }
      }
    };
    exports2.Gitpod = Gitpod;
    _a = JSII_RTTI_SYMBOL_1;
    Gitpod[_a] = { fqn: "projen.Gitpod", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/ignore-file.js
var require_ignore_file4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/ignore-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IgnoreFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var IgnoreFile = class extends file_1.FileBase {
      /**
       *
       * @param project The project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param minify - whether comments/blank lines should be filtered
       */
      constructor(project, filePath, options) {
        super(project, filePath, { editGitignore: filePath !== ".gitignore" });
        this._patterns = new Array();
        this.filterCommentLines = options?.filterCommentLines ?? true;
        this.filterEmptyLines = options?.filterEmptyLines ?? true;
      }
      /**
       * Add ignore patterns. Files that match this pattern will be ignored. If the
       * pattern starts with a negation mark `!`, files that match will _not_ be
       * ignored.
       *
       * Comment lines (start with `#`) and blank lines ("") are filtered by default
       * but can be included using options specified when instantiating the component.
       *
       * @param patterns Ignore patterns.
       */
      addPatterns(...patterns) {
        for (const pattern of patterns) {
          const isComment = pattern.startsWith("#");
          const isEmptyLine = Boolean(pattern.trim().length === 0);
          if (isComment && this.filterCommentLines) {
            continue;
          }
          if (isEmptyLine && this.filterEmptyLines) {
            continue;
          }
          if (!isComment && !isEmptyLine) {
            this.normalizePatterns(pattern);
          }
          this._patterns.push(pattern);
        }
      }
      normalizePatterns(pattern) {
        const opposite = pattern.startsWith("!") ? pattern.slice(1) : "!" + pattern;
        remove(this._patterns, pattern);
        remove(this._patterns, opposite);
        if (pattern.endsWith("/")) {
          const prefix = opposite;
          for (const p of [...this._patterns]) {
            if (p.startsWith(prefix)) {
              remove(this._patterns, p);
            }
          }
        }
      }
      /**
       * Removes patterns previously added from the ignore file.
       *
       * If `addPattern()` is called after this, the pattern will be added again.
       *
       * @param patterns patters to remove.
       */
      removePatterns(...patterns) {
        for (const p of patterns) {
          remove(this._patterns, p);
        }
      }
      /**
       * Ignore the files that match these patterns.
       * @param patterns The patterns to match.
       */
      exclude(...patterns) {
        return this.addPatterns(...patterns);
      }
      /**
       * Always include the specified file patterns.
       * @param patterns Patterns to include in git commits.
       */
      include(...patterns) {
        for (let pattern of patterns) {
          if (!pattern.startsWith("!")) {
            pattern = "!" + pattern;
          }
          this.addPatterns(pattern);
        }
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          ...this._patterns
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
    };
    exports2.IgnoreFile = IgnoreFile;
    _a = JSII_RTTI_SYMBOL_1;
    IgnoreFile[_a] = { fqn: "projen.IgnoreFile", version: "0.71.112" };
    function remove(arr, value) {
      const idx = arr.indexOf(value);
      if (idx >= 0) {
        arr.splice(idx, 1);
      }
    }
  }
});

// ../../components/workflows/node_modules/projen/node_modules/ini/ini.js
var require_ini7 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/ini/ini.js"(exports2, module2) {
    var { hasOwnProperty: hasOwnProperty2 } = Object.prototype;
    var eol = typeof process !== "undefined" && process.platform === "win32" ? "\r\n" : "\n";
    var encode = (obj, opt) => {
      const children = [];
      let out = "";
      if (typeof opt === "string") {
        opt = {
          section: opt,
          whitespace: false
        };
      } else {
        opt = opt || /* @__PURE__ */ Object.create(null);
        opt.whitespace = opt.whitespace === true;
      }
      const separator = opt.whitespace ? " = " : "=";
      for (const k of Object.keys(obj)) {
        const val = obj[k];
        if (val && Array.isArray(val)) {
          for (const item of val)
            out += safe(k + "[]") + separator + safe(item) + "\n";
        } else if (val && typeof val === "object")
          children.push(k);
        else
          out += safe(k) + separator + safe(val) + eol;
      }
      if (opt.section && out.length)
        out = "[" + safe(opt.section) + "]" + eol + out;
      for (const k of children) {
        const nk = dotSplit(k).join("\\.");
        const section = (opt.section ? opt.section + "." : "") + nk;
        const { whitespace } = opt;
        const child = encode(obj[k], {
          section,
          whitespace
        });
        if (out.length && child.length)
          out += eol;
        out += child;
      }
      return out;
    };
    var dotSplit = (str) => str.replace(/\1/g, "LITERAL\\1LITERAL").replace(/\\\./g, "").split(/\./).map((part) => part.replace(/\1/g, "\\.").replace(/\2LITERAL\\1LITERAL\2/g, ""));
    var decode = (str) => {
      const out = /* @__PURE__ */ Object.create(null);
      let p = out;
      let section = null;
      const re = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
      const lines = str.split(/[\r\n]+/g);
      for (const line of lines) {
        if (!line || line.match(/^\s*[;#]/))
          continue;
        const match = line.match(re);
        if (!match)
          continue;
        if (match[1] !== void 0) {
          section = unsafe(match[1]);
          if (section === "__proto__") {
            p = /* @__PURE__ */ Object.create(null);
            continue;
          }
          p = out[section] = out[section] || /* @__PURE__ */ Object.create(null);
          continue;
        }
        const keyRaw = unsafe(match[2]);
        const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === "[]";
        const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
        if (key === "__proto__")
          continue;
        const valueRaw = match[3] ? unsafe(match[4]) : true;
        const value = valueRaw === "true" || valueRaw === "false" || valueRaw === "null" ? JSON.parse(valueRaw) : valueRaw;
        if (isArray) {
          if (!hasOwnProperty2.call(p, key))
            p[key] = [];
          else if (!Array.isArray(p[key]))
            p[key] = [p[key]];
        }
        if (Array.isArray(p[key]))
          p[key].push(value);
        else
          p[key] = value;
      }
      const remove = [];
      for (const k of Object.keys(out)) {
        if (!hasOwnProperty2.call(out, k) || typeof out[k] !== "object" || Array.isArray(out[k]))
          continue;
        const parts = dotSplit(k);
        let p2 = out;
        const l = parts.pop();
        const nl = l.replace(/\\\./g, ".");
        for (const part of parts) {
          if (part === "__proto__")
            continue;
          if (!hasOwnProperty2.call(p2, part) || typeof p2[part] !== "object")
            p2[part] = /* @__PURE__ */ Object.create(null);
          p2 = p2[part];
        }
        if (p2 === out && nl === l)
          continue;
        p2[nl] = out[k];
        remove.push(k);
      }
      for (const del of remove)
        delete out[del];
      return out;
    };
    var isQuoted = (val) => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";
    var safe = (val) => typeof val !== "string" || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, "\\;").replace(/#/g, "\\#");
    var unsafe = (val, doUnesc) => {
      val = (val || "").trim();
      if (isQuoted(val)) {
        if (val.charAt(0) === "'")
          val = val.substr(1, val.length - 2);
        try {
          val = JSON.parse(val);
        } catch (_) {
        }
      } else {
        let esc = false;
        let unesc = "";
        for (let i = 0, l = val.length; i < l; i++) {
          const c = val.charAt(i);
          if (esc) {
            if ("\\;#".indexOf(c) !== -1)
              unesc += c;
            else
              unesc += "\\" + c;
            esc = false;
          } else if (";#".indexOf(c) !== -1)
            break;
          else if (c === "\\")
            esc = true;
          else
            unesc += c;
        }
        if (esc)
          unesc += "\\";
        return unesc.trim();
      }
      return val;
    };
    module2.exports = {
      parse: decode,
      decode,
      stringify: encode,
      encode,
      safe,
      unsafe
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/ini.js
var require_ini8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/ini.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IniFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var INI = require_ini7();
    var object_file_1 = require_object_file4();
    var IniFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          INI.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.IniFile = IniFile;
    _a = JSII_RTTI_SYMBOL_1;
    IniFile[_a] = { fqn: "projen.IniFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/logger.js
var require_logger4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/logger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LogLevel = exports2.Logger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var chalk = require_source4();
    var common_1 = require_common14();
    var component_1 = require_component4();
    var logging_1 = require_logging4();
    var util_1 = require_util20();
    var Logger = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const defaultLevel = common_1.IS_TEST_RUN ? LogLevel.OFF : LogLevel.INFO;
        this.level = options.level ?? defaultLevel;
        this.usePrefix = options.usePrefix ?? false;
      }
      /**
       * Log a message to stderr with a given logging level. The message will be
       * printed as long as `logger.level` is set to the message's severity or higher.
       *
       * @param level Logging verbosity
       * @param text strings or objects to print
       */
      log(level, ...text) {
        if (level === LogLevel.OFF) {
          throw new Error("Cannot log a message with level LogLevel.OFF");
        }
        let maxLevel = this.level;
        if ((0, util_1.isTruthy)(process.env.DEBUG) && maxLevel < LogLevel.DEBUG) {
          maxLevel = LogLevel.DEBUG;
        }
        if (level <= maxLevel) {
          const color = this.colorForLogLevel(level) ?? ((...values) => values.join(" "));
          const prefix = this.usePrefix ? `[${this.project.name}] ` : "";
          console.error(`${logging_1.ICON} ${prefix}${color(...text)}`);
        }
      }
      /**
       * Log a message to stderr with VERBOSE severity
       * @param text strings or objects to print
       */
      verbose(...text) {
        this.log(LogLevel.VERBOSE, ...text);
      }
      /**
       * Log a message to stderr with DEBUG severity
       * @param text strings or objects to print
       */
      debug(...text) {
        this.log(LogLevel.DEBUG, ...text);
      }
      /**
       * Log a message to stderr with INFO severity
       * @param text strings or objects to print
       */
      info(...text) {
        this.log(LogLevel.INFO, ...text);
      }
      /**
       * Log a message to stderr with WARN severity
       * @param text strings or objects to print
       */
      warn(...text) {
        this.log(LogLevel.WARN, ...text);
      }
      /**
       * Log a message to stderr with ERROR severity
       * @param text strings or objects to print
       */
      error(...text) {
        this.log(LogLevel.ERROR, ...text);
      }
      colorForLogLevel(level) {
        switch (level) {
          case LogLevel.ERROR:
            return chalk.red;
          case LogLevel.WARN:
            return chalk.yellow;
          case LogLevel.INFO:
            return chalk.cyan;
          case LogLevel.DEBUG:
            return chalk.gray;
          case LogLevel.VERBOSE:
            return chalk.white;
          default:
            return chalk.white;
        }
      }
    };
    exports2.Logger = Logger;
    _a = JSII_RTTI_SYMBOL_1;
    Logger[_a] = { fqn: "projen.Logger", version: "0.71.112" };
    var LogLevel;
    (function(LogLevel2) {
      LogLevel2["OFF"] = "00.off";
      LogLevel2["ERROR"] = "10.error";
      LogLevel2["WARN"] = "20.warn";
      LogLevel2["INFO"] = "30.info";
      LogLevel2["DEBUG"] = "40.debug";
      LogLevel2["VERBOSE"] = "50.verbose";
    })(LogLevel || (exports2.LogLevel = LogLevel = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/license.js
var require_license4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/license.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.License = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var file_1 = require_file5();
    var License = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "LICENSE", {
          marker: false,
          // Allow the license to be displayed in the repositories.
          committed: true
        });
        const spdx = options.spdx;
        const textFile = `${__dirname + "/externals/projen/lib"}/../license-text/${spdx}.txt`;
        if (!fs.existsSync(textFile)) {
          throw new Error(`unsupported license ${spdx}`);
        }
        const years = options.copyrightPeriod ?? (/* @__PURE__ */ new Date()).getFullYear().toString();
        const owner = options.copyrightOwner;
        let text = fs.readFileSync(textFile, "utf-8");
        text = text.replace("$copyright_period", years);
        if (text.indexOf("$copyright_owner") !== -1) {
          if (!owner) {
            throw new Error(`The ${spdx} license requires "copyrightOwner" to be specified`);
          }
          text = text.replace("$copyright_owner", owner);
        }
        this.text = text;
      }
      synthesizeContent(_) {
        return this.text;
      }
    };
    exports2.License = License;
    _a = JSII_RTTI_SYMBOL_1;
    License[_a] = { fqn: "projen.License", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/makefile.js
var require_makefile4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/makefile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Makefile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var Makefile = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        const all = options.all ? options.all : [];
        const rules = options.rules ? options.rules : [];
        rules.forEach((e) => this.validateRule(e));
        this.all = {
          targets: ["all"],
          prerequisites: all,
          phony: true
        };
        this.rules = [this.all, ...rules];
      }
      /**
       * Add a target to all
       */
      addAll(target) {
        this.all.prerequisites.push(target);
        return this;
      }
      /**
       * Add multiple targets to all
       */
      addAlls(...targets) {
        targets.forEach((e) => this.addAll(e));
        return this;
      }
      /**
       * Add a rule to the Makefile.
       */
      addRule(rule) {
        this.validateRule(rule);
        this.rules.push(rule);
        return this;
      }
      /**
       * Add multiple rules to the Makefile.
       */
      addRules(...rules) {
        rules.forEach((e) => this.addRule(e));
        return this;
      }
      validateRule(rule) {
        if (!rule.targets || !rule.targets.length) {
          throw new Error('"targets" cannot be undefined or empty for items in "rules"');
        }
      }
      synthesizeContent(resolver) {
        const rules = resolver.resolve(this.rules);
        const lines = [
          ...rules.map((rule) => {
            const targets = rule.targets.join(" ");
            const prerequisites = (rule.prerequisites ? rule.prerequisites : []).join(" ");
            const recipe = rule.recipe ? rule.recipe : [];
            const phony = rule.phony ? [`.PHONY: ${targets}`] : [];
            return [
              ...phony,
              `${targets}: ${prerequisites}`.trim(),
              ...recipe.map((step) => `	${step}`)
            ].join("\n");
          })
        ];
        return `${lines.join("\n\n")}
`;
      }
    };
    exports2.Makefile = Makefile;
    _a = JSII_RTTI_SYMBOL_1;
    Makefile[_a] = { fqn: "projen.Makefile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/option-hints.js
var require_option_hints4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/option-hints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.InitProjectOptionHints = void 0;
    var InitProjectOptionHints;
    (function(InitProjectOptionHints2) {
      InitProjectOptionHints2["ALL"] = "all";
      InitProjectOptionHints2["FEATURED"] = "featured";
      InitProjectOptionHints2["NONE"] = "none";
    })(InitProjectOptionHints || (exports2.InitProjectOptionHints = InitProjectOptionHints = {}));
  }
});

// ../../components/workflows/node_modules/fs.realpath/old.js
var require_old4 = __commonJS({
  "../../components/workflows/node_modules/fs.realpath/old.js"(exports2) {
    var pathModule = require("path");
    var isWindows = process.platform === "win32";
    var fs = require("fs");
    var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);
    function rethrow() {
      var callback;
      if (DEBUG) {
        var backtrace = new Error();
        callback = debugCallback;
      } else
        callback = missingCallback;
      return callback;
      function debugCallback(err) {
        if (err) {
          backtrace.message = err.message;
          err = backtrace;
          missingCallback(err);
        }
      }
      function missingCallback(err) {
        if (err) {
          if (process.throwDeprecation)
            throw err;
          else if (!process.noDeprecation) {
            var msg = "fs: missing callback " + (err.stack || err.message);
            if (process.traceDeprecation)
              console.trace(msg);
            else
              console.error(msg);
          }
        }
      }
    }
    function maybeCallback(cb) {
      return typeof cb === "function" ? cb : rethrow();
    }
    var normalize = pathModule.normalize;
    if (isWindows) {
      nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
    } else {
      nextPartRe = /(.*?)(?:[\/]+|$)/g;
    }
    var nextPartRe;
    if (isWindows) {
      splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
    } else {
      splitRootRe = /^[\/]*/;
    }
    var splitRootRe;
    exports2.realpathSync = function realpathSync(p, cache) {
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return cache[p];
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstatSync(base);
          knownHard[base] = true;
        }
      }
      while (pos < p.length) {
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          continue;
        }
        var resolvedLink;
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          resolvedLink = cache[base];
        } else {
          var stat = fs.lstatSync(base);
          if (!stat.isSymbolicLink()) {
            knownHard[base] = true;
            if (cache)
              cache[base] = base;
            continue;
          }
          var linkTarget = null;
          if (!isWindows) {
            var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
            if (seenLinks.hasOwnProperty(id)) {
              linkTarget = seenLinks[id];
            }
          }
          if (linkTarget === null) {
            fs.statSync(base);
            linkTarget = fs.readlinkSync(base);
          }
          resolvedLink = pathModule.resolve(previous, linkTarget);
          if (cache)
            cache[base] = resolvedLink;
          if (!isWindows)
            seenLinks[id] = linkTarget;
        }
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
      if (cache)
        cache[original] = p;
      return p;
    };
    exports2.realpath = function realpath(p, cache, cb) {
      if (typeof cb !== "function") {
        cb = maybeCallback(cache);
        cache = null;
      }
      p = pathModule.resolve(p);
      if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
        return process.nextTick(cb.bind(null, null, cache[p]));
      }
      var original = p, seenLinks = {}, knownHard = {};
      var pos;
      var current;
      var base;
      var previous;
      start();
      function start() {
        var m = splitRootRe.exec(p);
        pos = m[0].length;
        current = m[0];
        base = m[0];
        previous = "";
        if (isWindows && !knownHard[base]) {
          fs.lstat(base, function(err) {
            if (err)
              return cb(err);
            knownHard[base] = true;
            LOOP();
          });
        } else {
          process.nextTick(LOOP);
        }
      }
      function LOOP() {
        if (pos >= p.length) {
          if (cache)
            cache[original] = p;
          return cb(null, p);
        }
        nextPartRe.lastIndex = pos;
        var result = nextPartRe.exec(p);
        previous = current;
        current += result[0];
        base = previous + result[1];
        pos = nextPartRe.lastIndex;
        if (knownHard[base] || cache && cache[base] === base) {
          return process.nextTick(LOOP);
        }
        if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
          return gotResolvedLink(cache[base]);
        }
        return fs.lstat(base, gotStat);
      }
      function gotStat(err, stat) {
        if (err)
          return cb(err);
        if (!stat.isSymbolicLink()) {
          knownHard[base] = true;
          if (cache)
            cache[base] = base;
          return process.nextTick(LOOP);
        }
        if (!isWindows) {
          var id = stat.dev.toString(32) + ":" + stat.ino.toString(32);
          if (seenLinks.hasOwnProperty(id)) {
            return gotTarget(null, seenLinks[id], base);
          }
        }
        fs.stat(base, function(err2) {
          if (err2)
            return cb(err2);
          fs.readlink(base, function(err3, target) {
            if (!isWindows)
              seenLinks[id] = target;
            gotTarget(err3, target);
          });
        });
      }
      function gotTarget(err, target, base2) {
        if (err)
          return cb(err);
        var resolvedLink = pathModule.resolve(previous, target);
        if (cache)
          cache[base2] = resolvedLink;
        gotResolvedLink(resolvedLink);
      }
      function gotResolvedLink(resolvedLink) {
        p = pathModule.resolve(resolvedLink, p.slice(pos));
        start();
      }
    };
  }
});

// ../../components/workflows/node_modules/fs.realpath/index.js
var require_fs4 = __commonJS({
  "../../components/workflows/node_modules/fs.realpath/index.js"(exports2, module2) {
    module2.exports = realpath;
    realpath.realpath = realpath;
    realpath.sync = realpathSync;
    realpath.realpathSync = realpathSync;
    realpath.monkeypatch = monkeypatch;
    realpath.unmonkeypatch = unmonkeypatch;
    var fs = require("fs");
    var origRealpath = fs.realpath;
    var origRealpathSync = fs.realpathSync;
    var version = process.version;
    var ok = /^v[0-5]\./.test(version);
    var old = require_old4();
    function newError(er) {
      return er && er.syscall === "realpath" && (er.code === "ELOOP" || er.code === "ENOMEM" || er.code === "ENAMETOOLONG");
    }
    function realpath(p, cache, cb) {
      if (ok) {
        return origRealpath(p, cache, cb);
      }
      if (typeof cache === "function") {
        cb = cache;
        cache = null;
      }
      origRealpath(p, cache, function(er, result) {
        if (newError(er)) {
          old.realpath(p, cache, cb);
        } else {
          cb(er, result);
        }
      });
    }
    function realpathSync(p, cache) {
      if (ok) {
        return origRealpathSync(p, cache);
      }
      try {
        return origRealpathSync(p, cache);
      } catch (er) {
        if (newError(er)) {
          return old.realpathSync(p, cache);
        } else {
          throw er;
        }
      }
    }
    function monkeypatch() {
      fs.realpath = realpath;
      fs.realpathSync = realpathSync;
    }
    function unmonkeypatch() {
      fs.realpath = origRealpath;
      fs.realpathSync = origRealpathSync;
    }
  }
});

// ../../components/workflows/node_modules/projen/node_modules/minimatch/lib/path.js
var require_path4 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/minimatch/lib/path.js"(exports2, module2) {
    var isWindows = typeof process === "object" && process && process.platform === "win32";
    module2.exports = isWindows ? { sep: "\\" } : { sep: "/" };
  }
});

// ../../components/workflows/node_modules/balanced-match/index.js
var require_balanced_match4 = __commonJS({
  "../../components/workflows/node_modules/balanced-match/index.js"(exports2, module2) {
    "use strict";
    module2.exports = balanced;
    function balanced(a, b, str) {
      if (a instanceof RegExp)
        a = maybeMatch(a, str);
      if (b instanceof RegExp)
        b = maybeMatch(b, str);
      var r = range(a, b, str);
      return r && {
        start: r[0],
        end: r[1],
        pre: str.slice(0, r[0]),
        body: str.slice(r[0] + a.length, r[1]),
        post: str.slice(r[1] + b.length)
      };
    }
    function maybeMatch(reg, str) {
      var m = str.match(reg);
      return m ? m[0] : null;
    }
    balanced.range = range;
    function range(a, b, str) {
      var begs, beg, left, right, result;
      var ai = str.indexOf(a);
      var bi = str.indexOf(b, ai + 1);
      var i = ai;
      if (ai >= 0 && bi > 0) {
        if (a === b) {
          return [ai, bi];
        }
        begs = [];
        left = str.length;
        while (i >= 0 && !result) {
          if (i == ai) {
            begs.push(i);
            ai = str.indexOf(a, i + 1);
          } else if (begs.length == 1) {
            result = [begs.pop(), bi];
          } else {
            beg = begs.pop();
            if (beg < left) {
              left = beg;
              right = bi;
            }
            bi = str.indexOf(b, i + 1);
          }
          i = ai < bi && ai >= 0 ? ai : bi;
        }
        if (begs.length) {
          result = [left, right];
        }
      }
      return result;
    }
  }
});

// ../../components/workflows/node_modules/brace-expansion/index.js
var require_brace_expansion5 = __commonJS({
  "../../components/workflows/node_modules/brace-expansion/index.js"(exports2, module2) {
    var balanced = require_balanced_match4();
    module2.exports = expandTop;
    var escSlash = "\0SLASH" + Math.random() + "\0";
    var escOpen = "\0OPEN" + Math.random() + "\0";
    var escClose = "\0CLOSE" + Math.random() + "\0";
    var escComma = "\0COMMA" + Math.random() + "\0";
    var escPeriod = "\0PERIOD" + Math.random() + "\0";
    function numeric(str) {
      return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
    }
    function escapeBraces(str) {
      return str.split("\\\\").join(escSlash).split("\\{").join(escOpen).split("\\}").join(escClose).split("\\,").join(escComma).split("\\.").join(escPeriod);
    }
    function unescapeBraces(str) {
      return str.split(escSlash).join("\\").split(escOpen).join("{").split(escClose).join("}").split(escComma).join(",").split(escPeriod).join(".");
    }
    function parseCommaParts(str) {
      if (!str)
        return [""];
      var parts = [];
      var m = balanced("{", "}", str);
      if (!m)
        return str.split(",");
      var pre = m.pre;
      var body = m.body;
      var post = m.post;
      var p = pre.split(",");
      p[p.length - 1] += "{" + body + "}";
      var postParts = parseCommaParts(post);
      if (post.length) {
        p[p.length - 1] += postParts.shift();
        p.push.apply(p, postParts);
      }
      parts.push.apply(parts, p);
      return parts;
    }
    function expandTop(str) {
      if (!str)
        return [];
      if (str.substr(0, 2) === "{}") {
        str = "\\{\\}" + str.substr(2);
      }
      return expand(escapeBraces(str), true).map(unescapeBraces);
    }
    function embrace(str) {
      return "{" + str + "}";
    }
    function isPadded(el) {
      return /^-?0\d/.test(el);
    }
    function lte(i, y) {
      return i <= y;
    }
    function gte(i, y) {
      return i >= y;
    }
    function expand(str, isTop) {
      var expansions = [];
      var m = balanced("{", "}", str);
      if (!m)
        return [str];
      var pre = m.pre;
      var post = m.post.length ? expand(m.post, false) : [""];
      if (/\$$/.test(m.pre)) {
        for (var k = 0; k < post.length; k++) {
          var expansion = pre + "{" + m.body + "}" + post[k];
          expansions.push(expansion);
        }
      } else {
        var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
        var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
        var isSequence = isNumericSequence || isAlphaSequence;
        var isOptions = m.body.indexOf(",") >= 0;
        if (!isSequence && !isOptions) {
          if (m.post.match(/,.*\}/)) {
            str = m.pre + "{" + m.body + escClose + m.post;
            return expand(str);
          }
          return [str];
        }
        var n;
        if (isSequence) {
          n = m.body.split(/\.\./);
        } else {
          n = parseCommaParts(m.body);
          if (n.length === 1) {
            n = expand(n[0], false).map(embrace);
            if (n.length === 1) {
              return post.map(function(p) {
                return m.pre + n[0] + p;
              });
            }
          }
        }
        var N;
        if (isSequence) {
          var x = numeric(n[0]);
          var y = numeric(n[1]);
          var width = Math.max(n[0].length, n[1].length);
          var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
          var test = lte;
          var reverse = y < x;
          if (reverse) {
            incr *= -1;
            test = gte;
          }
          var pad = n.some(isPadded);
          N = [];
          for (var i = x; test(i, y); i += incr) {
            var c;
            if (isAlphaSequence) {
              c = String.fromCharCode(i);
              if (c === "\\")
                c = "";
            } else {
              c = String(i);
              if (pad) {
                var need = width - c.length;
                if (need > 0) {
                  var z = new Array(need + 1).join("0");
                  if (i < 0)
                    c = "-" + z + c.slice(1);
                  else
                    c = z + c;
                }
              }
            }
            N.push(c);
          }
        } else {
          N = [];
          for (var j = 0; j < n.length; j++) {
            N.push.apply(N, expand(n[j], false));
          }
        }
        for (var j = 0; j < N.length; j++) {
          for (var k = 0; k < post.length; k++) {
            var expansion = pre + N[j] + post[k];
            if (!isTop || isSequence || expansion)
              expansions.push(expansion);
          }
        }
      }
      return expansions;
    }
  }
});

// ../../components/workflows/node_modules/projen/node_modules/minimatch/minimatch.js
var require_minimatch6 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/minimatch/minimatch.js"(exports2, module2) {
    var minimatch = module2.exports = (p, pattern, options = {}) => {
      assertValidPattern(pattern);
      if (!options.nocomment && pattern.charAt(0) === "#") {
        return false;
      }
      return new Minimatch(pattern, options).match(p);
    };
    module2.exports = minimatch;
    var path = require_path4();
    minimatch.sep = path.sep;
    var GLOBSTAR = Symbol("globstar **");
    minimatch.GLOBSTAR = GLOBSTAR;
    var expand = require_brace_expansion5();
    var plTypes = {
      "!": { open: "(?:(?!(?:", close: "))[^/]*?)" },
      "?": { open: "(?:", close: ")?" },
      "+": { open: "(?:", close: ")+" },
      "*": { open: "(?:", close: ")*" },
      "@": { open: "(?:", close: ")" }
    };
    var qmark = "[^/]";
    var star = qmark + "*?";
    var twoStarDot = "(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?";
    var twoStarNoDot = "(?:(?!(?:\\/|^)\\.).)*?";
    var charSet = (s) => s.split("").reduce((set, c) => {
      set[c] = true;
      return set;
    }, {});
    var reSpecials = charSet("().*{}+?[]^$\\!");
    var addPatternStartSet = charSet("[.(");
    var slashSplit = /\/+/;
    minimatch.filter = (pattern, options = {}) => (p, i, list) => minimatch(p, pattern, options);
    var ext = (a, b = {}) => {
      const t = {};
      Object.keys(a).forEach((k) => t[k] = a[k]);
      Object.keys(b).forEach((k) => t[k] = b[k]);
      return t;
    };
    minimatch.defaults = (def) => {
      if (!def || typeof def !== "object" || !Object.keys(def).length) {
        return minimatch;
      }
      const orig = minimatch;
      const m = (p, pattern, options) => orig(p, pattern, ext(def, options));
      m.Minimatch = class Minimatch extends orig.Minimatch {
        constructor(pattern, options) {
          super(pattern, ext(def, options));
        }
      };
      m.Minimatch.defaults = (options) => orig.defaults(ext(def, options)).Minimatch;
      m.filter = (pattern, options) => orig.filter(pattern, ext(def, options));
      m.defaults = (options) => orig.defaults(ext(def, options));
      m.makeRe = (pattern, options) => orig.makeRe(pattern, ext(def, options));
      m.braceExpand = (pattern, options) => orig.braceExpand(pattern, ext(def, options));
      m.match = (list, pattern, options) => orig.match(list, pattern, ext(def, options));
      return m;
    };
    minimatch.braceExpand = (pattern, options) => braceExpand(pattern, options);
    var braceExpand = (pattern, options = {}) => {
      assertValidPattern(pattern);
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        return [pattern];
      }
      return expand(pattern);
    };
    var MAX_PATTERN_LENGTH = 1024 * 64;
    var assertValidPattern = (pattern) => {
      if (typeof pattern !== "string") {
        throw new TypeError("invalid pattern");
      }
      if (pattern.length > MAX_PATTERN_LENGTH) {
        throw new TypeError("pattern is too long");
      }
    };
    var SUBPARSE = Symbol("subparse");
    minimatch.makeRe = (pattern, options) => new Minimatch(pattern, options || {}).makeRe();
    minimatch.match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options);
      list = list.filter((f) => mm.match(f));
      if (mm.options.nonull && !list.length) {
        list.push(pattern);
      }
      return list;
    };
    var globUnescape = (s) => s.replace(/\\(.)/g, "$1");
    var charUnescape = (s) => s.replace(/\\([^-\]])/g, "$1");
    var regExpEscape = (s) => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
    var braExpEscape = (s) => s.replace(/[[\]\\]/g, "\\$&");
    var Minimatch = class {
      constructor(pattern, options) {
        assertValidPattern(pattern);
        if (!options)
          options = {};
        this.options = options;
        this.set = [];
        this.pattern = pattern;
        this.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, "/");
        }
        this.regexp = null;
        this.negate = false;
        this.comment = false;
        this.empty = false;
        this.partial = !!options.partial;
        this.make();
      }
      debug() {
      }
      make() {
        const pattern = this.pattern;
        const options = this.options;
        if (!options.nocomment && pattern.charAt(0) === "#") {
          this.comment = true;
          return;
        }
        if (!pattern) {
          this.empty = true;
          return;
        }
        this.parseNegate();
        let set = this.globSet = this.braceExpand();
        if (options.debug)
          this.debug = (...args) => console.error(...args);
        this.debug(this.pattern, set);
        set = this.globParts = set.map((s) => s.split(slashSplit));
        this.debug(this.pattern, set);
        set = set.map((s, si, set2) => s.map(this.parse, this));
        this.debug(this.pattern, set);
        set = set.filter((s) => s.indexOf(false) === -1);
        this.debug(this.pattern, set);
        this.set = set;
      }
      parseNegate() {
        if (this.options.nonegate)
          return;
        const pattern = this.pattern;
        let negate = false;
        let negateOffset = 0;
        for (let i = 0; i < pattern.length && pattern.charAt(i) === "!"; i++) {
          negate = !negate;
          negateOffset++;
        }
        if (negateOffset)
          this.pattern = pattern.slice(negateOffset);
        this.negate = negate;
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial) {
        var options = this.options;
        this.debug(
          "matchOne",
          { "this": this, file, pattern }
        );
        this.debug("matchOne", file.length, pattern.length);
        for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
          this.debug("matchOne loop");
          var p = pattern[pi];
          var f = file[fi];
          this.debug(pattern, p, f);
          if (p === false)
            return false;
          if (p === GLOBSTAR) {
            this.debug("GLOBSTAR", [pattern, p, f]);
            var fr = fi;
            var pr = pi + 1;
            if (pr === pl) {
              this.debug("** at the end");
              for (; fi < fl; fi++) {
                if (file[fi] === "." || file[fi] === ".." || !options.dot && file[fi].charAt(0) === ".")
                  return false;
              }
              return true;
            }
            while (fr < fl) {
              var swallowee = file[fr];
              this.debug("\nglobstar while", file, fr, pattern, pr, swallowee);
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug("globstar found match!", fr, fl, swallowee);
                return true;
              } else {
                if (swallowee === "." || swallowee === ".." || !options.dot && swallowee.charAt(0) === ".") {
                  this.debug("dot detected!", file, fr, pattern, pr);
                  break;
                }
                this.debug("globstar swallow a segment, and continue");
                fr++;
              }
            }
            if (partial) {
              this.debug("\n>>> no match, partial?", file, fr, pattern, pr);
              if (fr === fl)
                return true;
            }
            return false;
          }
          var hit;
          if (typeof p === "string") {
            hit = f === p;
            this.debug("string match", p, f, hit);
          } else {
            hit = f.match(p);
            this.debug("pattern match", p, f, hit);
          }
          if (!hit)
            return false;
        }
        if (fi === fl && pi === pl) {
          return true;
        } else if (fi === fl) {
          return partial;
        } else if (pi === pl) {
          return fi === fl - 1 && file[fi] === "";
        }
        throw new Error("wtf?");
      }
      braceExpand() {
        return braceExpand(this.pattern, this.options);
      }
      parse(pattern, isSub) {
        assertValidPattern(pattern);
        const options = this.options;
        if (pattern === "**") {
          if (!options.noglobstar)
            return GLOBSTAR;
          else
            pattern = "*";
        }
        if (pattern === "")
          return "";
        let re = "";
        let hasMagic = false;
        let escaping = false;
        const patternListStack = [];
        const negativeLists = [];
        let stateChar;
        let inClass = false;
        let reClassStart = -1;
        let classStart = -1;
        let cs;
        let pl;
        let sp;
        let dotTravAllowed = pattern.charAt(0) === ".";
        let dotFileAllowed = options.dot || dotTravAllowed;
        const patternStart = () => dotTravAllowed ? "" : dotFileAllowed ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const subPatternStart = (p) => p.charAt(0) === "." ? "" : options.dot ? "(?!(?:^|\\/)\\.{1,2}(?:$|\\/))" : "(?!\\.)";
        const clearStateChar = () => {
          if (stateChar) {
            switch (stateChar) {
              case "*":
                re += star;
                hasMagic = true;
                break;
              case "?":
                re += qmark;
                hasMagic = true;
                break;
              default:
                re += "\\" + stateChar;
                break;
            }
            this.debug("clearStateChar %j %j", stateChar, re);
            stateChar = false;
          }
        };
        for (let i = 0, c; i < pattern.length && (c = pattern.charAt(i)); i++) {
          this.debug("%s	%s %s %j", pattern, i, re, c);
          if (escaping) {
            if (c === "/") {
              return false;
            }
            if (reSpecials[c]) {
              re += "\\";
            }
            re += c;
            escaping = false;
            continue;
          }
          switch (c) {
            case "/": {
              return false;
            }
            case "\\":
              if (inClass && pattern.charAt(i + 1) === "-") {
                re += c;
                continue;
              }
              clearStateChar();
              escaping = true;
              continue;
            case "?":
            case "*":
            case "+":
            case "@":
            case "!":
              this.debug("%s	%s %s %j <-- stateChar", pattern, i, re, c);
              if (inClass) {
                this.debug("  in class");
                if (c === "!" && i === classStart + 1)
                  c = "^";
                re += c;
                continue;
              }
              this.debug("call clearStateChar %j", stateChar);
              clearStateChar();
              stateChar = c;
              if (options.noext)
                clearStateChar();
              continue;
            case "(": {
              if (inClass) {
                re += "(";
                continue;
              }
              if (!stateChar) {
                re += "\\(";
                continue;
              }
              const plEntry = {
                type: stateChar,
                start: i - 1,
                reStart: re.length,
                open: plTypes[stateChar].open,
                close: plTypes[stateChar].close
              };
              this.debug(this.pattern, "	", plEntry);
              patternListStack.push(plEntry);
              re += plEntry.open;
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              this.debug("plType %j %j", stateChar, re);
              stateChar = false;
              continue;
            }
            case ")": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\)";
                continue;
              }
              patternListStack.pop();
              clearStateChar();
              hasMagic = true;
              pl = plEntry;
              re += pl.close;
              if (pl.type === "!") {
                negativeLists.push(Object.assign(pl, { reEnd: re.length }));
              }
              continue;
            }
            case "|": {
              const plEntry = patternListStack[patternListStack.length - 1];
              if (inClass || !plEntry) {
                re += "\\|";
                continue;
              }
              clearStateChar();
              re += "|";
              if (plEntry.start === 0 && plEntry.type !== "!") {
                dotTravAllowed = true;
                re += subPatternStart(pattern.slice(i + 1));
              }
              continue;
            }
            case "[":
              clearStateChar();
              if (inClass) {
                re += "\\" + c;
                continue;
              }
              inClass = true;
              classStart = i;
              reClassStart = re.length;
              re += c;
              continue;
            case "]":
              if (i === classStart + 1 || !inClass) {
                re += "\\" + c;
                continue;
              }
              cs = pattern.substring(classStart + 1, i);
              try {
                RegExp("[" + braExpEscape(charUnescape(cs)) + "]");
                re += c;
              } catch (er) {
                re = re.substring(0, reClassStart) + "(?:$.)";
              }
              hasMagic = true;
              inClass = false;
              continue;
            default:
              clearStateChar();
              if (reSpecials[c] && !(c === "^" && inClass)) {
                re += "\\";
              }
              re += c;
              break;
          }
        }
        if (inClass) {
          cs = pattern.slice(classStart + 1);
          sp = this.parse(cs, SUBPARSE);
          re = re.substring(0, reClassStart) + "\\[" + sp[0];
          hasMagic = hasMagic || sp[1];
        }
        for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
          let tail;
          tail = re.slice(pl.reStart + pl.open.length);
          this.debug("setting tail", re, pl);
          tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, (_, $1, $2) => {
            if (!$2) {
              $2 = "\\";
            }
            return $1 + $1 + $2 + "|";
          });
          this.debug("tail=%j\n   %s", tail, tail, pl, re);
          const t = pl.type === "*" ? star : pl.type === "?" ? qmark : "\\" + pl.type;
          hasMagic = true;
          re = re.slice(0, pl.reStart) + t + "\\(" + tail;
        }
        clearStateChar();
        if (escaping) {
          re += "\\\\";
        }
        const addPatternStart = addPatternStartSet[re.charAt(0)];
        for (let n = negativeLists.length - 1; n > -1; n--) {
          const nl = negativeLists[n];
          const nlBefore = re.slice(0, nl.reStart);
          const nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
          let nlAfter = re.slice(nl.reEnd);
          const nlLast = re.slice(nl.reEnd - 8, nl.reEnd) + nlAfter;
          const closeParensBefore = nlBefore.split(")").length;
          const openParensBefore = nlBefore.split("(").length - closeParensBefore;
          let cleanAfter = nlAfter;
          for (let i = 0; i < openParensBefore; i++) {
            cleanAfter = cleanAfter.replace(/\)[+*?]?/, "");
          }
          nlAfter = cleanAfter;
          const dollar = nlAfter === "" && isSub !== SUBPARSE ? "(?:$|\\/)" : "";
          re = nlBefore + nlFirst + nlAfter + dollar + nlLast;
        }
        if (re !== "" && hasMagic) {
          re = "(?=.)" + re;
        }
        if (addPatternStart) {
          re = patternStart() + re;
        }
        if (isSub === SUBPARSE) {
          return [re, hasMagic];
        }
        if (options.nocase && !hasMagic) {
          hasMagic = pattern.toUpperCase() !== pattern.toLowerCase();
        }
        if (!hasMagic) {
          return globUnescape(pattern);
        }
        const flags = options.nocase ? "i" : "";
        try {
          return Object.assign(new RegExp("^" + re + "$", flags), {
            _glob: pattern,
            _src: re
          });
        } catch (er) {
          return new RegExp("$.");
        }
      }
      makeRe() {
        if (this.regexp || this.regexp === false)
          return this.regexp;
        const set = this.set;
        if (!set.length) {
          this.regexp = false;
          return this.regexp;
        }
        const options = this.options;
        const twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
        const flags = options.nocase ? "i" : "";
        let re = set.map((pattern) => {
          pattern = pattern.map(
            (p) => typeof p === "string" ? regExpEscape(p) : p === GLOBSTAR ? GLOBSTAR : p._src
          ).reduce((set2, p) => {
            if (!(set2[set2.length - 1] === GLOBSTAR && p === GLOBSTAR)) {
              set2.push(p);
            }
            return set2;
          }, []);
          pattern.forEach((p, i) => {
            if (p !== GLOBSTAR || pattern[i - 1] === GLOBSTAR) {
              return;
            }
            if (i === 0) {
              if (pattern.length > 1) {
                pattern[i + 1] = "(?:\\/|" + twoStar + "\\/)?" + pattern[i + 1];
              } else {
                pattern[i] = twoStar;
              }
            } else if (i === pattern.length - 1) {
              pattern[i - 1] += "(?:\\/|" + twoStar + ")?";
            } else {
              pattern[i - 1] += "(?:\\/|\\/" + twoStar + "\\/)" + pattern[i + 1];
              pattern[i + 1] = GLOBSTAR;
            }
          });
          return pattern.filter((p) => p !== GLOBSTAR).join("/");
        }).join("|");
        re = "^(?:" + re + ")$";
        if (this.negate)
          re = "^(?!" + re + ").*$";
        try {
          this.regexp = new RegExp(re, flags);
        } catch (ex) {
          this.regexp = false;
        }
        return this.regexp;
      }
      match(f, partial = this.partial) {
        this.debug("match", f, this.pattern);
        if (this.comment)
          return false;
        if (this.empty)
          return f === "";
        if (f === "/" && partial)
          return true;
        const options = this.options;
        if (path.sep !== "/") {
          f = f.split(path.sep).join("/");
        }
        f = f.split(slashSplit);
        this.debug(this.pattern, "split", f);
        const set = this.set;
        this.debug(this.pattern, "set", set);
        let filename;
        for (let i = f.length - 1; i >= 0; i--) {
          filename = f[i];
          if (filename)
            break;
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i];
          let file = f;
          if (options.matchBase && pattern.length === 1) {
            file = [filename];
          }
          const hit = this.matchOne(file, pattern, partial);
          if (hit) {
            if (options.flipNegate)
              return true;
            return !this.negate;
          }
        }
        if (options.flipNegate)
          return false;
        return this.negate;
      }
      static defaults(def) {
        return minimatch.defaults(def).Minimatch;
      }
    };
    minimatch.Minimatch = Minimatch;
  }
});

// ../../components/workflows/node_modules/inherits/inherits_browser.js
var require_inherits_browser4 = __commonJS({
  "../../components/workflows/node_modules/inherits/inherits_browser.js"(exports2, module2) {
    if (typeof Object.create === "function") {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          ctor.prototype = Object.create(superCtor.prototype, {
            constructor: {
              value: ctor,
              enumerable: false,
              writable: true,
              configurable: true
            }
          });
        }
      };
    } else {
      module2.exports = function inherits(ctor, superCtor) {
        if (superCtor) {
          ctor.super_ = superCtor;
          var TempCtor = function() {
          };
          TempCtor.prototype = superCtor.prototype;
          ctor.prototype = new TempCtor();
          ctor.prototype.constructor = ctor;
        }
      };
    }
  }
});

// ../../components/workflows/node_modules/inherits/inherits.js
var require_inherits4 = __commonJS({
  "../../components/workflows/node_modules/inherits/inherits.js"(exports2, module2) {
    try {
      util = require("util");
      if (typeof util.inherits !== "function")
        throw "";
      module2.exports = util.inherits;
    } catch (e) {
      module2.exports = require_inherits_browser4();
    }
    var util;
  }
});

// ../../components/workflows/node_modules/projen/node_modules/glob/common.js
var require_common15 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/glob/common.js"(exports2) {
    exports2.setopts = setopts;
    exports2.ownProp = ownProp;
    exports2.makeAbs = makeAbs;
    exports2.finish = finish;
    exports2.mark = mark;
    exports2.isIgnored = isIgnored;
    exports2.childrenIgnored = childrenIgnored;
    function ownProp(obj, field) {
      return Object.prototype.hasOwnProperty.call(obj, field);
    }
    var fs = require("fs");
    var path = require("path");
    var minimatch = require_minimatch6();
    var isAbsolute = require("path").isAbsolute;
    var Minimatch = minimatch.Minimatch;
    function alphasort(a, b) {
      return a.localeCompare(b, "en");
    }
    function setupIgnores(self2, options) {
      self2.ignore = options.ignore || [];
      if (!Array.isArray(self2.ignore))
        self2.ignore = [self2.ignore];
      if (self2.ignore.length) {
        self2.ignore = self2.ignore.map(ignoreMap);
      }
    }
    function ignoreMap(pattern) {
      var gmatcher = null;
      if (pattern.slice(-3) === "/**") {
        var gpattern = pattern.replace(/(\/\*\*)+$/, "");
        gmatcher = new Minimatch(gpattern, { dot: true });
      }
      return {
        matcher: new Minimatch(pattern, { dot: true }),
        gmatcher
      };
    }
    function setopts(self2, pattern, options) {
      if (!options)
        options = {};
      if (options.matchBase && -1 === pattern.indexOf("/")) {
        if (options.noglobstar) {
          throw new Error("base matching requires globstar");
        }
        pattern = "**/" + pattern;
      }
      self2.windowsPathsNoEscape = !!options.windowsPathsNoEscape || options.allowWindowsEscape === false;
      if (self2.windowsPathsNoEscape) {
        pattern = pattern.replace(/\\/g, "/");
      }
      self2.silent = !!options.silent;
      self2.pattern = pattern;
      self2.strict = options.strict !== false;
      self2.realpath = !!options.realpath;
      self2.realpathCache = options.realpathCache || /* @__PURE__ */ Object.create(null);
      self2.follow = !!options.follow;
      self2.dot = !!options.dot;
      self2.mark = !!options.mark;
      self2.nodir = !!options.nodir;
      if (self2.nodir)
        self2.mark = true;
      self2.sync = !!options.sync;
      self2.nounique = !!options.nounique;
      self2.nonull = !!options.nonull;
      self2.nosort = !!options.nosort;
      self2.nocase = !!options.nocase;
      self2.stat = !!options.stat;
      self2.noprocess = !!options.noprocess;
      self2.absolute = !!options.absolute;
      self2.fs = options.fs || fs;
      self2.maxLength = options.maxLength || Infinity;
      self2.cache = options.cache || /* @__PURE__ */ Object.create(null);
      self2.statCache = options.statCache || /* @__PURE__ */ Object.create(null);
      self2.symlinks = options.symlinks || /* @__PURE__ */ Object.create(null);
      setupIgnores(self2, options);
      self2.changedCwd = false;
      var cwd = process.cwd();
      if (!ownProp(options, "cwd"))
        self2.cwd = path.resolve(cwd);
      else {
        self2.cwd = path.resolve(options.cwd);
        self2.changedCwd = self2.cwd !== cwd;
      }
      self2.root = options.root || path.resolve(self2.cwd, "/");
      self2.root = path.resolve(self2.root);
      self2.cwdAbs = isAbsolute(self2.cwd) ? self2.cwd : makeAbs(self2, self2.cwd);
      self2.nomount = !!options.nomount;
      if (process.platform === "win32") {
        self2.root = self2.root.replace(/\\/g, "/");
        self2.cwd = self2.cwd.replace(/\\/g, "/");
        self2.cwdAbs = self2.cwdAbs.replace(/\\/g, "/");
      }
      options.nonegate = true;
      options.nocomment = true;
      self2.minimatch = new Minimatch(pattern, options);
      self2.options = self2.minimatch.options;
    }
    function finish(self2) {
      var nou = self2.nounique;
      var all = nou ? [] : /* @__PURE__ */ Object.create(null);
      for (var i = 0, l = self2.matches.length; i < l; i++) {
        var matches = self2.matches[i];
        if (!matches || Object.keys(matches).length === 0) {
          if (self2.nonull) {
            var literal = self2.minimatch.globSet[i];
            if (nou)
              all.push(literal);
            else
              all[literal] = true;
          }
        } else {
          var m = Object.keys(matches);
          if (nou)
            all.push.apply(all, m);
          else
            m.forEach(function(m2) {
              all[m2] = true;
            });
        }
      }
      if (!nou)
        all = Object.keys(all);
      if (!self2.nosort)
        all = all.sort(alphasort);
      if (self2.mark) {
        for (var i = 0; i < all.length; i++) {
          all[i] = self2._mark(all[i]);
        }
        if (self2.nodir) {
          all = all.filter(function(e) {
            var notDir = !/\/$/.test(e);
            var c = self2.cache[e] || self2.cache[makeAbs(self2, e)];
            if (notDir && c)
              notDir = c !== "DIR" && !Array.isArray(c);
            return notDir;
          });
        }
      }
      if (self2.ignore.length)
        all = all.filter(function(m2) {
          return !isIgnored(self2, m2);
        });
      self2.found = all;
    }
    function mark(self2, p) {
      var abs = makeAbs(self2, p);
      var c = self2.cache[abs];
      var m = p;
      if (c) {
        var isDir = c === "DIR" || Array.isArray(c);
        var slash = p.slice(-1) === "/";
        if (isDir && !slash)
          m += "/";
        else if (!isDir && slash)
          m = m.slice(0, -1);
        if (m !== p) {
          var mabs = makeAbs(self2, m);
          self2.statCache[mabs] = self2.statCache[abs];
          self2.cache[mabs] = self2.cache[abs];
        }
      }
      return m;
    }
    function makeAbs(self2, f) {
      var abs = f;
      if (f.charAt(0) === "/") {
        abs = path.join(self2.root, f);
      } else if (isAbsolute(f) || f === "") {
        abs = f;
      } else if (self2.changedCwd) {
        abs = path.resolve(self2.cwd, f);
      } else {
        abs = path.resolve(f);
      }
      if (process.platform === "win32")
        abs = abs.replace(/\\/g, "/");
      return abs;
    }
    function isIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return item.matcher.match(path2) || !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
    function childrenIgnored(self2, path2) {
      if (!self2.ignore.length)
        return false;
      return self2.ignore.some(function(item) {
        return !!(item.gmatcher && item.gmatcher.match(path2));
      });
    }
  }
});

// ../../components/workflows/node_modules/projen/node_modules/glob/sync.js
var require_sync5 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/glob/sync.js"(exports2, module2) {
    module2.exports = globSync;
    globSync.GlobSync = GlobSync;
    var rp = require_fs4();
    var minimatch = require_minimatch6();
    var Minimatch = minimatch.Minimatch;
    var Glob = require_glob6().Glob;
    var util = require("util");
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var common = require_common15();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    function globSync(pattern, options) {
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      return new GlobSync(pattern, options).found;
    }
    function GlobSync(pattern, options) {
      if (!pattern)
        throw new Error("must provide pattern");
      if (typeof options === "function" || arguments.length === 3)
        throw new TypeError("callback provided to sync glob\nSee: https://github.com/isaacs/node-glob/issues/167");
      if (!(this instanceof GlobSync))
        return new GlobSync(pattern, options);
      setopts(this, pattern, options);
      if (this.noprocess)
        return this;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false);
      }
      this._finish();
    }
    GlobSync.prototype._finish = function() {
      assert.ok(this instanceof GlobSync);
      if (this.realpath) {
        var self2 = this;
        this.matches.forEach(function(matchset, index) {
          var set = self2.matches[index] = /* @__PURE__ */ Object.create(null);
          for (var p in matchset) {
            try {
              p = self2._makeAbs(p);
              var real = rp.realpathSync(p, self2.realpathCache);
              set[real] = true;
            } catch (er) {
              if (er.syscall === "stat")
                set[self2._makeAbs(p)] = true;
              else
                throw er;
            }
          }
        });
      }
      common.finish(this);
    };
    GlobSync.prototype._process = function(pattern, index, inGlobStar) {
      assert.ok(this instanceof GlobSync);
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return;
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
    };
    GlobSync.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return;
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix.slice(-1) !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return;
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix)
          newPattern = [prefix, e];
        else
          newPattern = [e];
        this._process(newPattern.concat(remain), index, inGlobStar);
      }
    };
    GlobSync.prototype._emitMatch = function(index, e) {
      if (isIgnored(this, e))
        return;
      var abs = this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute) {
        e = abs;
      }
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      if (this.stat)
        this._stat(e);
    };
    GlobSync.prototype._readdirInGlobStar = function(abs) {
      if (this.follow)
        return this._readdir(abs, false);
      var entries;
      var lstat;
      var stat;
      try {
        lstat = this.fs.lstatSync(abs);
      } catch (er) {
        if (er.code === "ENOENT") {
          return null;
        }
      }
      var isSym = lstat && lstat.isSymbolicLink();
      this.symlinks[abs] = isSym;
      if (!isSym && lstat && !lstat.isDirectory())
        this.cache[abs] = "FILE";
      else
        entries = this._readdir(abs, false);
      return entries;
    };
    GlobSync.prototype._readdir = function(abs, inGlobStar) {
      var entries;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return null;
        if (Array.isArray(c))
          return c;
      }
      try {
        return this._readdirEntries(abs, this.fs.readdirSync(abs));
      } catch (er) {
        this._readdirError(abs, er);
        return null;
      }
    };
    GlobSync.prototype._readdirEntries = function(abs, entries) {
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return entries;
    };
    GlobSync.prototype._readdirError = function(f, er) {
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            throw error;
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict)
            throw er;
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
    };
    GlobSync.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar) {
      var entries = this._readdir(abs, inGlobStar);
      if (!entries)
        return;
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false);
      var len = entries.length;
      var isSym = this.symlinks[abs];
      if (isSym && inGlobStar)
        return;
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true);
      }
    };
    GlobSync.prototype._processSimple = function(prefix, index) {
      var exists = this._stat(prefix);
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return;
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
    };
    GlobSync.prototype._stat = function(f) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return false;
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return c;
        if (needDir && c === "FILE")
          return false;
      }
      var exists;
      var stat = this.statCache[abs];
      if (!stat) {
        var lstat;
        try {
          lstat = this.fs.lstatSync(abs);
        } catch (er) {
          if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
            this.statCache[abs] = false;
            return false;
          }
        }
        if (lstat && lstat.isSymbolicLink()) {
          try {
            stat = this.fs.statSync(abs);
          } catch (er) {
            stat = lstat;
          }
        } else {
          stat = lstat;
        }
      }
      this.statCache[abs] = stat;
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return false;
      return c;
    };
    GlobSync.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    GlobSync.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
  }
});

// ../../components/workflows/node_modules/wrappy/wrappy.js
var require_wrappy4 = __commonJS({
  "../../components/workflows/node_modules/wrappy/wrappy.js"(exports2, module2) {
    module2.exports = wrappy;
    function wrappy(fn, cb) {
      if (fn && cb)
        return wrappy(fn)(cb);
      if (typeof fn !== "function")
        throw new TypeError("need wrapper function");
      Object.keys(fn).forEach(function(k) {
        wrapper[k] = fn[k];
      });
      return wrapper;
      function wrapper() {
        var args = new Array(arguments.length);
        for (var i = 0; i < args.length; i++) {
          args[i] = arguments[i];
        }
        var ret = fn.apply(this, args);
        var cb2 = args[args.length - 1];
        if (typeof ret === "function" && ret !== cb2) {
          Object.keys(cb2).forEach(function(k) {
            ret[k] = cb2[k];
          });
        }
        return ret;
      }
    }
  }
});

// ../../components/workflows/node_modules/once/once.js
var require_once4 = __commonJS({
  "../../components/workflows/node_modules/once/once.js"(exports2, module2) {
    var wrappy = require_wrappy4();
    module2.exports = wrappy(once);
    module2.exports.strict = wrappy(onceStrict);
    once.proto = once(function() {
      Object.defineProperty(Function.prototype, "once", {
        value: function() {
          return once(this);
        },
        configurable: true
      });
      Object.defineProperty(Function.prototype, "onceStrict", {
        value: function() {
          return onceStrict(this);
        },
        configurable: true
      });
    });
    function once(fn) {
      var f = function() {
        if (f.called)
          return f.value;
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      f.called = false;
      return f;
    }
    function onceStrict(fn) {
      var f = function() {
        if (f.called)
          throw new Error(f.onceError);
        f.called = true;
        return f.value = fn.apply(this, arguments);
      };
      var name = fn.name || "Function wrapped with `once`";
      f.onceError = name + " shouldn't be called more than once";
      f.called = false;
      return f;
    }
  }
});

// ../../components/workflows/node_modules/inflight/inflight.js
var require_inflight4 = __commonJS({
  "../../components/workflows/node_modules/inflight/inflight.js"(exports2, module2) {
    var wrappy = require_wrappy4();
    var reqs = /* @__PURE__ */ Object.create(null);
    var once = require_once4();
    module2.exports = wrappy(inflight);
    function inflight(key, cb) {
      if (reqs[key]) {
        reqs[key].push(cb);
        return null;
      } else {
        reqs[key] = [cb];
        return makeres(key);
      }
    }
    function makeres(key) {
      return once(function RES() {
        var cbs = reqs[key];
        var len = cbs.length;
        var args = slice(arguments);
        try {
          for (var i = 0; i < len; i++) {
            cbs[i].apply(null, args);
          }
        } finally {
          if (cbs.length > len) {
            cbs.splice(0, len);
            process.nextTick(function() {
              RES.apply(null, args);
            });
          } else {
            delete reqs[key];
          }
        }
      });
    }
    function slice(args) {
      var length = args.length;
      var array = [];
      for (var i = 0; i < length; i++)
        array[i] = args[i];
      return array;
    }
  }
});

// ../../components/workflows/node_modules/projen/node_modules/glob/glob.js
var require_glob6 = __commonJS({
  "../../components/workflows/node_modules/projen/node_modules/glob/glob.js"(exports2, module2) {
    module2.exports = glob;
    var rp = require_fs4();
    var minimatch = require_minimatch6();
    var Minimatch = minimatch.Minimatch;
    var inherits = require_inherits4();
    var EE = require("events").EventEmitter;
    var path = require("path");
    var assert = require("assert");
    var isAbsolute = require("path").isAbsolute;
    var globSync = require_sync5();
    var common = require_common15();
    var setopts = common.setopts;
    var ownProp = common.ownProp;
    var inflight = require_inflight4();
    var util = require("util");
    var childrenIgnored = common.childrenIgnored;
    var isIgnored = common.isIgnored;
    var once = require_once4();
    function glob(pattern, options, cb) {
      if (typeof options === "function")
        cb = options, options = {};
      if (!options)
        options = {};
      if (options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return globSync(pattern, options);
      }
      return new Glob(pattern, options, cb);
    }
    glob.sync = globSync;
    var GlobSync = glob.GlobSync = globSync.GlobSync;
    glob.glob = glob;
    function extend(origin, add) {
      if (add === null || typeof add !== "object") {
        return origin;
      }
      var keys = Object.keys(add);
      var i = keys.length;
      while (i--) {
        origin[keys[i]] = add[keys[i]];
      }
      return origin;
    }
    glob.hasMagic = function(pattern, options_) {
      var options = extend({}, options_);
      options.noprocess = true;
      var g = new Glob(pattern, options);
      var set = g.minimatch.set;
      if (!pattern)
        return false;
      if (set.length > 1)
        return true;
      for (var j = 0; j < set[0].length; j++) {
        if (typeof set[0][j] !== "string")
          return true;
      }
      return false;
    };
    glob.Glob = Glob;
    inherits(Glob, EE);
    function Glob(pattern, options, cb) {
      if (typeof options === "function") {
        cb = options;
        options = null;
      }
      if (options && options.sync) {
        if (cb)
          throw new TypeError("callback provided to sync glob");
        return new GlobSync(pattern, options);
      }
      if (!(this instanceof Glob))
        return new Glob(pattern, options, cb);
      setopts(this, pattern, options);
      this._didRealPath = false;
      var n = this.minimatch.set.length;
      this.matches = new Array(n);
      if (typeof cb === "function") {
        cb = once(cb);
        this.on("error", cb);
        this.on("end", function(matches) {
          cb(null, matches);
        });
      }
      var self2 = this;
      this._processing = 0;
      this._emitQueue = [];
      this._processQueue = [];
      this.paused = false;
      if (this.noprocess)
        return this;
      if (n === 0)
        return done();
      var sync = true;
      for (var i = 0; i < n; i++) {
        this._process(this.minimatch.set[i], i, false, done);
      }
      sync = false;
      function done() {
        --self2._processing;
        if (self2._processing <= 0) {
          if (sync) {
            process.nextTick(function() {
              self2._finish();
            });
          } else {
            self2._finish();
          }
        }
      }
    }
    Glob.prototype._finish = function() {
      assert(this instanceof Glob);
      if (this.aborted)
        return;
      if (this.realpath && !this._didRealpath)
        return this._realpath();
      common.finish(this);
      this.emit("end", this.found);
    };
    Glob.prototype._realpath = function() {
      if (this._didRealpath)
        return;
      this._didRealpath = true;
      var n = this.matches.length;
      if (n === 0)
        return this._finish();
      var self2 = this;
      for (var i = 0; i < this.matches.length; i++)
        this._realpathSet(i, next);
      function next() {
        if (--n === 0)
          self2._finish();
      }
    };
    Glob.prototype._realpathSet = function(index, cb) {
      var matchset = this.matches[index];
      if (!matchset)
        return cb();
      var found = Object.keys(matchset);
      var self2 = this;
      var n = found.length;
      if (n === 0)
        return cb();
      var set = this.matches[index] = /* @__PURE__ */ Object.create(null);
      found.forEach(function(p, i) {
        p = self2._makeAbs(p);
        rp.realpath(p, self2.realpathCache, function(er, real) {
          if (!er)
            set[real] = true;
          else if (er.syscall === "stat")
            set[p] = true;
          else
            self2.emit("error", er);
          if (--n === 0) {
            self2.matches[index] = set;
            cb();
          }
        });
      });
    };
    Glob.prototype._mark = function(p) {
      return common.mark(this, p);
    };
    Glob.prototype._makeAbs = function(f) {
      return common.makeAbs(this, f);
    };
    Glob.prototype.abort = function() {
      this.aborted = true;
      this.emit("abort");
    };
    Glob.prototype.pause = function() {
      if (!this.paused) {
        this.paused = true;
        this.emit("pause");
      }
    };
    Glob.prototype.resume = function() {
      if (this.paused) {
        this.emit("resume");
        this.paused = false;
        if (this._emitQueue.length) {
          var eq = this._emitQueue.slice(0);
          this._emitQueue.length = 0;
          for (var i = 0; i < eq.length; i++) {
            var e = eq[i];
            this._emitMatch(e[0], e[1]);
          }
        }
        if (this._processQueue.length) {
          var pq = this._processQueue.slice(0);
          this._processQueue.length = 0;
          for (var i = 0; i < pq.length; i++) {
            var p = pq[i];
            this._processing--;
            this._process(p[0], p[1], p[2], p[3]);
          }
        }
      }
    };
    Glob.prototype._process = function(pattern, index, inGlobStar, cb) {
      assert(this instanceof Glob);
      assert(typeof cb === "function");
      if (this.aborted)
        return;
      this._processing++;
      if (this.paused) {
        this._processQueue.push([pattern, index, inGlobStar, cb]);
        return;
      }
      var n = 0;
      while (typeof pattern[n] === "string") {
        n++;
      }
      var prefix;
      switch (n) {
        case pattern.length:
          this._processSimple(pattern.join("/"), index, cb);
          return;
        case 0:
          prefix = null;
          break;
        default:
          prefix = pattern.slice(0, n).join("/");
          break;
      }
      var remain = pattern.slice(n);
      var read;
      if (prefix === null)
        read = ".";
      else if (isAbsolute(prefix) || isAbsolute(pattern.map(function(p) {
        return typeof p === "string" ? p : "[*]";
      }).join("/"))) {
        if (!prefix || !isAbsolute(prefix))
          prefix = "/" + prefix;
        read = prefix;
      } else
        read = prefix;
      var abs = this._makeAbs(read);
      if (childrenIgnored(this, read))
        return cb();
      var isGlobStar = remain[0] === minimatch.GLOBSTAR;
      if (isGlobStar)
        this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);
      else
        this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
    };
    Glob.prototype._processReaddir = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        return self2._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processReaddir2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var pn = remain[0];
      var negate = !!this.minimatch.negate;
      var rawGlob = pn._glob;
      var dotOk = this.dot || rawGlob.charAt(0) === ".";
      var matchedEntries = [];
      for (var i = 0; i < entries.length; i++) {
        var e = entries[i];
        if (e.charAt(0) !== "." || dotOk) {
          var m;
          if (negate && !prefix) {
            m = !e.match(pn);
          } else {
            m = e.match(pn);
          }
          if (m)
            matchedEntries.push(e);
        }
      }
      var len = matchedEntries.length;
      if (len === 0)
        return cb();
      if (remain.length === 1 && !this.mark && !this.stat) {
        if (!this.matches[index])
          this.matches[index] = /* @__PURE__ */ Object.create(null);
        for (var i = 0; i < len; i++) {
          var e = matchedEntries[i];
          if (prefix) {
            if (prefix !== "/")
              e = prefix + "/" + e;
            else
              e = prefix + e;
          }
          if (e.charAt(0) === "/" && !this.nomount) {
            e = path.join(this.root, e);
          }
          this._emitMatch(index, e);
        }
        return cb();
      }
      remain.shift();
      for (var i = 0; i < len; i++) {
        var e = matchedEntries[i];
        var newPattern;
        if (prefix) {
          if (prefix !== "/")
            e = prefix + "/" + e;
          else
            e = prefix + e;
        }
        this._process([e].concat(remain), index, inGlobStar, cb);
      }
      cb();
    };
    Glob.prototype._emitMatch = function(index, e) {
      if (this.aborted)
        return;
      if (isIgnored(this, e))
        return;
      if (this.paused) {
        this._emitQueue.push([index, e]);
        return;
      }
      var abs = isAbsolute(e) ? e : this._makeAbs(e);
      if (this.mark)
        e = this._mark(e);
      if (this.absolute)
        e = abs;
      if (this.matches[index][e])
        return;
      if (this.nodir) {
        var c = this.cache[abs];
        if (c === "DIR" || Array.isArray(c))
          return;
      }
      this.matches[index][e] = true;
      var st = this.statCache[abs];
      if (st)
        this.emit("stat", e, st);
      this.emit("match", e);
    };
    Glob.prototype._readdirInGlobStar = function(abs, cb) {
      if (this.aborted)
        return;
      if (this.follow)
        return this._readdir(abs, false, cb);
      var lstatkey = "lstat\0" + abs;
      var self2 = this;
      var lstatcb = inflight(lstatkey, lstatcb_);
      if (lstatcb)
        self2.fs.lstat(abs, lstatcb);
      function lstatcb_(er, lstat) {
        if (er && er.code === "ENOENT")
          return cb();
        var isSym = lstat && lstat.isSymbolicLink();
        self2.symlinks[abs] = isSym;
        if (!isSym && lstat && !lstat.isDirectory()) {
          self2.cache[abs] = "FILE";
          cb();
        } else
          self2._readdir(abs, false, cb);
      }
    };
    Glob.prototype._readdir = function(abs, inGlobStar, cb) {
      if (this.aborted)
        return;
      cb = inflight("readdir\0" + abs + "\0" + inGlobStar, cb);
      if (!cb)
        return;
      if (inGlobStar && !ownProp(this.symlinks, abs))
        return this._readdirInGlobStar(abs, cb);
      if (ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (!c || c === "FILE")
          return cb();
        if (Array.isArray(c))
          return cb(null, c);
      }
      var self2 = this;
      self2.fs.readdir(abs, readdirCb(this, abs, cb));
    };
    function readdirCb(self2, abs, cb) {
      return function(er, entries) {
        if (er)
          self2._readdirError(abs, er, cb);
        else
          self2._readdirEntries(abs, entries, cb);
      };
    }
    Glob.prototype._readdirEntries = function(abs, entries, cb) {
      if (this.aborted)
        return;
      if (!this.mark && !this.stat) {
        for (var i = 0; i < entries.length; i++) {
          var e = entries[i];
          if (abs === "/")
            e = abs + e;
          else
            e = abs + "/" + e;
          this.cache[e] = true;
        }
      }
      this.cache[abs] = entries;
      return cb(null, entries);
    };
    Glob.prototype._readdirError = function(f, er, cb) {
      if (this.aborted)
        return;
      switch (er.code) {
        case "ENOTSUP":
        case "ENOTDIR":
          var abs = this._makeAbs(f);
          this.cache[abs] = "FILE";
          if (abs === this.cwdAbs) {
            var error = new Error(er.code + " invalid cwd " + this.cwd);
            error.path = this.cwd;
            error.code = er.code;
            this.emit("error", error);
            this.abort();
          }
          break;
        case "ENOENT":
        case "ELOOP":
        case "ENAMETOOLONG":
        case "UNKNOWN":
          this.cache[this._makeAbs(f)] = false;
          break;
        default:
          this.cache[this._makeAbs(f)] = false;
          if (this.strict) {
            this.emit("error", er);
            this.abort();
          }
          if (!this.silent)
            console.error("glob error", er);
          break;
      }
      return cb();
    };
    Glob.prototype._processGlobStar = function(prefix, read, abs, remain, index, inGlobStar, cb) {
      var self2 = this;
      this._readdir(abs, inGlobStar, function(er, entries) {
        self2._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
      });
    };
    Glob.prototype._processGlobStar2 = function(prefix, read, abs, remain, index, inGlobStar, entries, cb) {
      if (!entries)
        return cb();
      var remainWithoutGlobStar = remain.slice(1);
      var gspref = prefix ? [prefix] : [];
      var noGlobStar = gspref.concat(remainWithoutGlobStar);
      this._process(noGlobStar, index, false, cb);
      var isSym = this.symlinks[abs];
      var len = entries.length;
      if (isSym && inGlobStar)
        return cb();
      for (var i = 0; i < len; i++) {
        var e = entries[i];
        if (e.charAt(0) === "." && !this.dot)
          continue;
        var instead = gspref.concat(entries[i], remainWithoutGlobStar);
        this._process(instead, index, true, cb);
        var below = gspref.concat(entries[i], remain);
        this._process(below, index, true, cb);
      }
      cb();
    };
    Glob.prototype._processSimple = function(prefix, index, cb) {
      var self2 = this;
      this._stat(prefix, function(er, exists) {
        self2._processSimple2(prefix, index, er, exists, cb);
      });
    };
    Glob.prototype._processSimple2 = function(prefix, index, er, exists, cb) {
      if (!this.matches[index])
        this.matches[index] = /* @__PURE__ */ Object.create(null);
      if (!exists)
        return cb();
      if (prefix && isAbsolute(prefix) && !this.nomount) {
        var trail = /[\/\\]$/.test(prefix);
        if (prefix.charAt(0) === "/") {
          prefix = path.join(this.root, prefix);
        } else {
          prefix = path.resolve(this.root, prefix);
          if (trail)
            prefix += "/";
        }
      }
      if (process.platform === "win32")
        prefix = prefix.replace(/\\/g, "/");
      this._emitMatch(index, prefix);
      cb();
    };
    Glob.prototype._stat = function(f, cb) {
      var abs = this._makeAbs(f);
      var needDir = f.slice(-1) === "/";
      if (f.length > this.maxLength)
        return cb();
      if (!this.stat && ownProp(this.cache, abs)) {
        var c = this.cache[abs];
        if (Array.isArray(c))
          c = "DIR";
        if (!needDir || c === "DIR")
          return cb(null, c);
        if (needDir && c === "FILE")
          return cb();
      }
      var exists;
      var stat = this.statCache[abs];
      if (stat !== void 0) {
        if (stat === false)
          return cb(null, stat);
        else {
          var type = stat.isDirectory() ? "DIR" : "FILE";
          if (needDir && type === "FILE")
            return cb();
          else
            return cb(null, type, stat);
        }
      }
      var self2 = this;
      var statcb = inflight("stat\0" + abs, lstatcb_);
      if (statcb)
        self2.fs.lstat(abs, statcb);
      function lstatcb_(er, lstat) {
        if (lstat && lstat.isSymbolicLink()) {
          return self2.fs.stat(abs, function(er2, stat2) {
            if (er2)
              self2._stat2(f, abs, null, lstat, cb);
            else
              self2._stat2(f, abs, er2, stat2, cb);
          });
        } else {
          self2._stat2(f, abs, er, lstat, cb);
        }
      }
    };
    Glob.prototype._stat2 = function(f, abs, er, stat, cb) {
      if (er && (er.code === "ENOENT" || er.code === "ENOTDIR")) {
        this.statCache[abs] = false;
        return cb();
      }
      var needDir = f.slice(-1) === "/";
      this.statCache[abs] = stat;
      if (abs.slice(-1) === "/" && stat && !stat.isDirectory())
        return cb(null, false, stat);
      var c = true;
      if (stat)
        c = stat.isDirectory() ? "DIR" : "FILE";
      this.cache[abs] = this.cache[abs] || c;
      if (needDir && c === "FILE")
        return cb();
      return cb(null, c, stat);
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/cleanup.js
var require_cleanup4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cleanup.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.cleanup = exports2.FILE_MANIFEST = void 0;
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob6();
    var common_1 = require_common14();
    var logging = require_logging4();
    exports2.FILE_MANIFEST = `${common_1.PROJEN_DIR}/files.json`;
    function cleanup(dir, newFiles, exclude) {
      try {
        const manifestFiles = getFilesFromManifest(dir);
        if (manifestFiles.length > 0) {
          removeFiles(findOrphanedFiles(dir, manifestFiles, newFiles));
        } else {
          removeFiles(findGeneratedFiles(dir, exclude));
        }
      } catch (e) {
        logging.warn(`warning: failed to clean up generated files: ${e.stack}`);
      }
    }
    exports2.cleanup = cleanup;
    function removeFiles(files) {
      for (const file of files) {
        fs.rmSync(file, { force: true, recursive: true });
      }
    }
    function findGeneratedFiles(dir, exclude) {
      const ignore = [
        ...readGitIgnore(dir),
        "node_modules/**",
        ...exclude,
        ".git/**"
      ];
      const files = glob.sync("**", {
        ignore,
        cwd: dir,
        dot: true,
        nodir: true,
        absolute: true
      });
      const generated = new Array();
      for (const file of files) {
        const contents = fs.readFileSync(file, "utf-8");
        if (contents.includes(common_1.PROJEN_MARKER)) {
          generated.push(file);
        }
      }
      return generated;
    }
    function findOrphanedFiles(dir, oldFiles, newFiles) {
      return oldFiles.filter((old) => !newFiles.includes(old)).map((f) => path.resolve(dir, f));
    }
    function getFilesFromManifest(dir) {
      try {
        const fileManifestPath = path.resolve(dir, exports2.FILE_MANIFEST);
        if (fs.existsSync(fileManifestPath)) {
          const fileManifest = JSON.parse(fs.readFileSync(fileManifestPath, "utf-8"));
          if (fileManifest.files) {
            return fileManifest.files;
          }
        }
      } catch (e) {
        logging.warn(`warning: unable to get files to clean from file manifest: ${e.stack}`);
      }
      return [];
    }
    function readGitIgnore(dir) {
      const filepath = path.join(dir, ".gitignore");
      if (!fs.existsSync(filepath)) {
        return [];
      }
      return fs.readFileSync(filepath, "utf-8").split("\n").filter((x) => x?.trim() !== "").filter((x) => !x.startsWith("#") && !x.startsWith("!")).map((x) => x.replace(/^\//, "")).map((x) => `${x}
${x}/**`).join("\n").split("\n");
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/inventory.js
var require_inventory4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/inventory.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.readJsiiManifest = exports2.toProjectType = exports2.resolveProjectType = exports2.readManifest = exports2.discover = void 0;
    var fs = require("fs");
    var path = require("path");
    var zlib_1 = require("zlib");
    var case_1 = require_Case4();
    var PROJEN_MODULE_ROOT = path.join(__dirname + "/externals/projen/lib", "..");
    var PROJECT_BASE_FQN = "projen.Project";
    function discover(...moduleDirs) {
      const jsii = discoverJsiiTypes(...moduleDirs);
      const result = new Array();
      for (const fqn of Object.keys(jsii)) {
        if (isProjectType(jsii, fqn)) {
          const p = toProjectType(jsii, fqn);
          result.push(p);
        }
      }
      return result.sort((r1, r2) => r1.pjid.localeCompare(r2.pjid));
    }
    exports2.discover = discover;
    function readManifest(dir) {
      const jsiiFile = path.join(dir, ".jsii");
      if (!fs.existsSync(jsiiFile)) {
        return void 0;
      }
      let manifest = JSON.parse(fs.readFileSync(jsiiFile, "utf-8"));
      if (manifest.schema === "jsii/file-redirect") {
        const compressedFile = path.join(dir, manifest.filename);
        if (!fs.existsSync(compressedFile)) {
          throw new Error(`${compressedFile} does not exist.`);
        }
        switch (manifest.compression) {
          case "gzip":
            manifest = JSON.parse((0, zlib_1.unzipSync)(fs.readFileSync(compressedFile)).toString());
            break;
          default:
            throw new Error(`Unsupported compression format: ${manifest.compression}`);
        }
      }
      return manifest;
    }
    exports2.readManifest = readManifest;
    function discoverJsiiTypes(...moduleDirs) {
      const jsii = {};
      const discoveredManifests = [];
      const discoverJsii = (dir) => {
        const manifest = readManifest(dir);
        if (!manifest) {
          return;
        }
        if (discoveredManifests.includes(manifest.fingerprint)) {
          return;
        }
        discoveredManifests.push(manifest.fingerprint);
        for (const [fqn, type] of Object.entries(manifest.types)) {
          jsii[fqn] = {
            ...type
          };
        }
        if (manifest.dependencies) {
          for (const dependency of Object.keys(manifest.dependencies)) {
            const nestedDependencyFolder = path.dirname(require.resolve(`${dependency}/package.json`, {
              paths: [dir]
            }));
            if (fs.existsSync(nestedDependencyFolder)) {
              discoverJsii(nestedDependencyFolder);
            }
          }
        }
      };
      for (const dir of [...moduleDirs, PROJEN_MODULE_ROOT]) {
        discoverJsii(dir);
        if (dir.includes("@") && fs.lstatSync(dir).isDirectory()) {
          const childDirs = fs.readdirSync(dir).map((file) => path.join(dir, file));
          for (const child of childDirs) {
            discoverJsii(child);
          }
        }
      }
      return jsii;
    }
    function resolveProjectType(projectFqn) {
      let [moduleName] = projectFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`, {
        paths: [process.cwd()]
      });
      const moduleFolder = path.dirname(jsiiManifestFile);
      const jsii = discoverJsiiTypes(moduleFolder);
      return toProjectType(jsii, projectFqn);
    }
    exports2.resolveProjectType = resolveProjectType;
    function toProjectType(jsii, fqn) {
      if (!isProjectType(jsii, fqn)) {
        throw new Error(`Fully qualified name "${fqn}" is not a valid project type.`);
      }
      const typeinfo = jsii[fqn];
      const typename = fqn.substring(fqn.indexOf(".") + 1);
      const docsurl = `https://projen.io/api/API.html#projen-${typename.toLocaleLowerCase().replace(/\./g, "-")}`;
      let pjid = typeinfo.docs?.custom?.pjid ?? (0, case_1.snake)(typename).replace(/_project$/, "");
      return {
        moduleName: typeinfo.assembly,
        typename,
        pjid,
        fqn,
        options: discoverOptions(jsii, fqn),
        docs: typeinfo.docs?.summary,
        docsurl
      };
    }
    exports2.toProjectType = toProjectType;
    function readJsiiManifest(jsiiFqn) {
      let [moduleName] = jsiiFqn.split(".");
      if (moduleName === "projen") {
        moduleName = PROJEN_MODULE_ROOT;
      }
      const jsiiManifestFile = require.resolve(`${moduleName}/.jsii`);
      return JSON.parse(fs.readFileSync(jsiiManifestFile, "utf-8"));
    }
    exports2.readJsiiManifest = readJsiiManifest;
    function discoverOptions(jsii, fqn) {
      const options = {};
      const params = jsii[fqn]?.initializer?.parameters ?? [];
      const optionsParam = params[0];
      const optionsTypeFqn = optionsParam?.type?.fqn;
      if (params.length > 1 || params.length === 1 && optionsParam?.name !== "options") {
        throw new Error(`constructor for project ${fqn} must have a single "options" argument of a struct type. got ${JSON.stringify(params)}`);
      }
      addOptions(optionsTypeFqn);
      const opts = Object.values(options);
      return opts.sort((a, b) => a.name.localeCompare(b.name));
      function addOptions(ofqn, basePath = [], optional = false) {
        if (!ofqn) {
          return;
        }
        const struct = jsii[ofqn];
        if (!struct) {
          throw new Error(`unable to find options type ${ofqn} for project ${fqn}`);
        }
        for (const prop of struct.properties ?? []) {
          const propPath = [...basePath, prop.name];
          if (prop.name in options) {
            throw new Error(`duplicate option "${prop.name}" in ${fqn} (already declared in ${options[prop.name].parent})`);
          }
          let jsiiKind;
          if (prop.type?.fqn) {
            jsiiKind = jsii[prop.type?.fqn].kind;
          }
          const isOptional = optional || prop.optional;
          const defaultValue = sanitizeValue(prop.docs?.default);
          const pjnew = sanitizeValue(prop.docs?.custom?.pjnew);
          const initialValue = getInitialValue(defaultValue, pjnew, isOptional);
          if (initialValue) {
            checkDefaultIsParsable(prop.name, initialValue, prop.type);
          }
          options[prop.name] = filterUndefined({
            path: propPath,
            parent: struct.name,
            name: prop.name,
            fqn: prop.type?.fqn,
            docs: prop.docs.summary,
            simpleType: prop.type ? getSimpleTypeName(prop.type) : "unknown",
            fullType: prop.type,
            kind: jsiiKind,
            jsonLike: prop.type ? isJsonLike(jsii, prop.type) : void 0,
            switch: propPath.map((p) => (0, case_1.snake)(p).replace(/_/g, "-")).join("-"),
            default: defaultValue,
            initialValue,
            optional: isOptional,
            featured: prop.docs?.custom?.featured === "true",
            deprecated: prop.docs.stability === "deprecated" ? true : void 0
          });
        }
        for (const ifc of struct.interfaces ?? []) {
          addOptions(ifc);
        }
      }
    }
    function getInitialValue(defaultValue, pjnew, isOptional = false) {
      if (pjnew) {
        return pjnew;
      }
      if (!isOptional) {
        return defaultValue;
      }
      return void 0;
    }
    function sanitizeValue(val) {
      if (val === "undefined") {
        return void 0;
      }
      return val;
    }
    function getSimpleTypeName(type) {
      if (type?.primitive) {
        return type.primitive;
      } else if (type?.fqn) {
        return type.fqn.split(".").pop();
      } else {
        return "unknown";
      }
    }
    function isJsonLike(jsii, type) {
      if (type.primitive) {
        return true;
      } else if (type.fqn) {
        const kind = jsii[type.fqn].kind;
        if (["interface", "enum"].includes(kind)) {
          return true;
        }
      } else if (type.collection) {
        return isJsonLike(jsii, type.collection.elementtype);
      }
      return false;
    }
    function filterUndefined(obj) {
      const ret = {};
      for (const [k, v] of Object.entries(obj)) {
        if (v !== void 0) {
          ret[k] = v;
        }
      }
      return ret;
    }
    function isProjectType(jsii, fqn) {
      const type = jsii[fqn];
      if (!type) {
        throw new Error(`Could not find project type with fqn "${fqn}" in  .jsii file.`);
      }
      if (type.kind !== "class") {
        return false;
      }
      if (type.abstract) {
        return false;
      }
      if (type.docs?.deprecated) {
        return false;
      }
      let curr = type;
      while (true) {
        if (curr.fqn === PROJECT_BASE_FQN) {
          return true;
        }
        if (!curr.base) {
          return false;
        }
        curr = jsii[curr.base];
        if (!curr) {
          return false;
        }
      }
    }
    function isPrimitiveArray({ collection }) {
      return Boolean(collection?.kind === "array" && collection?.elementtype.primitive);
    }
    function isPrimitiveOrPrimitiveArray(type) {
      return Boolean(type?.primitive || isPrimitiveArray(type));
    }
    function checkDefaultIsParsable(prop, value, type) {
      if (!(type && isPrimitiveOrPrimitiveArray(type))) {
        throw new Error(`required option "${prop}" with a @default must use primitive types (string, number and boolean) or a primitive array. type found is: ${JSON.stringify(type)}`);
      }
      if (value.startsWith("$")) {
        return;
      }
      try {
        const parsed = JSON.parse(value);
        if (typeof parsed === type.primitive) {
          return;
        }
        if (Array.isArray(parsed) && isPrimitiveArray(type)) {
          if (parsed.length === 0) {
            return;
          }
          if (typeof parsed[0] === type?.collection?.elementtype.primitive) {
            return;
          }
        }
        throw new Error(`cannot parse @default value for mandatory option ${prop} as a ${type}: ${parsed}`);
      } catch (e) {
        throw new Error(`unable to JSON.parse() value "${value}" specified as @default for mandatory option "${prop}": ${e.message}`);
      }
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/render-options.js
var require_render_options4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/render-options.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderJavaScriptOptions = exports2.ModuleImports = exports2.resolveInitProject = exports2.renderProjenInitOptions = void 0;
    var inventory = require_inventory4();
    var option_hints_1 = require_option_hints4();
    var PROJEN_NEW = "__new__";
    var TAB = makePadding(2);
    function renderProjenInitOptions(fqn, args, comments = option_hints_1.InitProjectOptionHints.NONE) {
      return {
        ...args,
        [PROJEN_NEW]: { fqn, args, comments }
      };
    }
    exports2.renderProjenInitOptions = renderProjenInitOptions;
    function resolveInitProject(opts) {
      const f = opts[PROJEN_NEW];
      if (!f) {
        return void 0;
      }
      const type = inventory.resolveProjectType(f.fqn);
      if (!type) {
        throw new Error(`unable to resolve project type for ${f.fqn}`);
      }
      return {
        args: f.args,
        fqn: f.fqn,
        type,
        comments: f.comments
      };
    }
    exports2.resolveInitProject = resolveInitProject;
    var ModuleImports = class {
      constructor() {
        this.imports = /* @__PURE__ */ new Map();
      }
      /**
       * Add a named import from a module
       */
      add(moduleName, importName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        moduleImports.add(importName);
        this.imports.set(moduleName, moduleImports);
      }
      /**
       * Get all named imports for a module
       */
      get(moduleName) {
        const moduleImports = this.imports.get(moduleName) ?? /* @__PURE__ */ new Set();
        return Array.from(moduleImports);
      }
      /**
       * Get a list of all used modules
       */
      get modules() {
        return Array.from(this.imports.keys());
      }
      /**
       * Return all imports as ESM import statements
       */
      asEsmImports() {
        return this.all().map(([moduleName, namedImports]) => `import { ${[...namedImports].join(", ")} } from "${moduleName}";`);
      }
      /**
       * Return all imports as CJS require statements
       */
      asCjsRequire() {
        return this.all().map(([moduleName, namedImports]) => `const { ${[...namedImports].join(", ")} } = require("${moduleName}");`);
      }
      all() {
        const allImports = Object.fromEntries(this.imports);
        return Object.entries(allImports).map(([key, value]) => [
          key,
          Array.from(value).sort()
        ]);
      }
    };
    exports2.ModuleImports = ModuleImports;
    function renderJavaScriptOptions(opts) {
      const renders = {};
      const optionsWithDefaults = [];
      const allImports = new ModuleImports();
      for (const option of opts.type.options) {
        if (option.deprecated) {
          continue;
        }
        const optionName = option.name;
        if (opts.args[optionName] !== void 0) {
          const arg = opts.args[optionName];
          const { js, moduleName, importName } = renderArgAsJavaScript(arg, option);
          renders[optionName] = `${optionName}: ${js},`;
          optionsWithDefaults.push(optionName);
          if (moduleName && importName) {
            allImports.add(moduleName, importName);
            if (opts.prefixImports) {
              const prefix = `${opts.prefixImports}["${moduleName}"].`;
              renders[optionName] = `${optionName}: ${prefix}${js},`;
            }
          }
        } else {
          const defaultValue = option.default?.startsWith("-") ? void 0 : option.default ?? void 0;
          renders[optionName] = `// ${optionName}: ${defaultValue},`;
        }
      }
      const bootstrap = opts.bootstrap ?? false;
      if (bootstrap) {
        for (const arg of opts.omitFromBootstrap ?? []) {
          delete opts.args[arg];
        }
        renders[PROJEN_NEW] = `${PROJEN_NEW}: ${JSON.stringify({
          args: opts.args,
          fqn: opts.type.fqn,
          comments: opts.comments
        })},`;
        optionsWithDefaults.push(PROJEN_NEW);
      }
      const result = [];
      result.push("{");
      optionsWithDefaults.sort();
      for (const optionName of optionsWithDefaults) {
        result.push(`${TAB}${renders[optionName]}`);
      }
      if (result.length > 1) {
        result.push("");
      }
      if (opts.comments === option_hints_1.InitProjectOptionHints.ALL) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0);
        result.push(...renderCommentedOptionsByModule(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.FEATURED) {
        const options = opts.type.options.filter((opt) => !opt.deprecated && opts.args[opt.name] === void 0 && opt.featured);
        result.push(...renderCommentedOptionsInOrder(renders, options));
      } else if (opts.comments === option_hints_1.InitProjectOptionHints.NONE) {
      }
      if (result[result.length - 1] === "") {
        result.pop();
      }
      result.push("}");
      return { renderedOptions: result.join("\n"), imports: allImports };
    }
    exports2.renderJavaScriptOptions = renderJavaScriptOptions;
    function renderCommentedOptionsByModule(renders, options) {
      const optionsByModule = {};
      for (const option of options) {
        const parentModule = option.parent;
        optionsByModule[parentModule] = optionsByModule[parentModule] ?? [];
        optionsByModule[parentModule].push(option);
      }
      for (const parentModule in optionsByModule) {
        optionsByModule[parentModule].sort((o1, o2) => o1.name.localeCompare(o2.name));
      }
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const [moduleName, optionGroup] of Object.entries(optionsByModule).sort()) {
        result.push(`${TAB}/* ${moduleName} */`);
        for (const option of optionGroup) {
          const paramRender = renders[option.name];
          const docstring = option.docs || "No documentation found.";
          result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
        }
        result.push("");
      }
      return result;
    }
    function renderCommentedOptionsInOrder(renders, options) {
      const result = [];
      const marginSize = Math.max(...options.map((opt) => renders[opt.name].length));
      for (const option of options) {
        const paramRender = renders[option.name];
        const docstring = option.docs || "No documentation found.";
        result.push(`${TAB}${paramRender}${makePadding(marginSize - paramRender.length + 2)}/* ${docstring} */`);
      }
      return result;
    }
    function renderArgAsJavaScript(arg, option) {
      if (option.kind === "enum") {
        if (!option.fqn) {
          throw new Error(`fqn field is missing from enum option ${option.name}`);
        }
        const parts = option.fqn.split(".");
        const enumChoice = String(arg).toUpperCase().replace(/-/g, "_");
        const js = `${parts.slice(1).join(".")}.${enumChoice}`;
        const moduleName = parts[0];
        const importName = parts[1];
        return { js, moduleName, importName };
      } else if (option.jsonLike) {
        return { js: JSON.stringify(arg) };
      } else {
        throw new Error(`Unexpected option ${option.name} - cannot render a value for this option because it does not have a JSON-like type.`);
      }
    }
    function makePadding(paddingLength) {
      return " ".repeat(paddingLength);
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/project-build.js
var require_project_build4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/project-build.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectBuild = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var ProjectBuild = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.preCompileTask = project.tasks.addTask("pre-compile", {
          description: "Prepare the project for compilation"
        });
        this.compileTask = project.tasks.addTask("compile", {
          description: "Only compile"
        });
        this.postCompileTask = project.tasks.addTask("post-compile", {
          description: "Runs after successful compilation"
        });
        this.testTask = project.tasks.addTask("test", {
          description: "Run tests"
        });
        this.packageTask = project.tasks.addTask("package", {
          description: "Creates the distribution package"
        });
        this.buildTask = project.tasks.addTask("build", {
          description: "Full release build"
        });
        if (!this.project.parent && this.project.defaultTask) {
          this.buildTask.spawn(this.project.defaultTask);
        }
        this.buildTask.spawn(this.preCompileTask);
        this.buildTask.spawn(this.compileTask);
        this.buildTask.spawn(this.postCompileTask);
        this.buildTask.spawn(this.testTask);
        this.buildTask.spawn(this.packageTask);
        this.buildTask.lock();
      }
    };
    exports2.ProjectBuild = ProjectBuild;
    _a = JSII_RTTI_SYMBOL_1;
    ProjectBuild[_a] = { fqn: "projen.ProjectBuild", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/projenrc-json.js
var require_projenrc_json4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/projenrc-json.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = exports2.ProjenrcJson = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var projenrc_1 = require_projenrc16();
    var ProjenrcJson = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.json";
        project.defaultTask?.env("FILENAME", this.filePath);
        project.defaultTask?.builtin("run-projenrc-json");
        this.generateProjenrc();
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const json = {
          type: bootstrap.fqn,
          ...bootstrap.args
        };
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, JSON.stringify(json, null, 2));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcJson = ProjenrcJson;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcJson[_a] = { fqn: "projen.ProjenrcJson", version: "0.71.112" };
    var Projenrc = class extends ProjenrcJson {
    };
    exports2.Projenrc = Projenrc;
    _b = JSII_RTTI_SYMBOL_1;
    Projenrc[_b] = { fqn: "projen.Projenrc", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/renovatebot.js
var require_renovatebot4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/renovatebot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Renovatebot = exports2.RenovatebotScheduleInterval = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var json_1 = require_json7();
    var RenovatebotScheduleInterval;
    (function(RenovatebotScheduleInterval2) {
      RenovatebotScheduleInterval2["ANY_TIME"] = "at any time";
      RenovatebotScheduleInterval2["EARLY_MONDAYS"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["DAILY"] = "before 2am";
      RenovatebotScheduleInterval2["WEEKLY"] = "before 3am on Monday";
      RenovatebotScheduleInterval2["MONTHLY"] = "before 3am on the first day of the month";
      RenovatebotScheduleInterval2["QUARTERLY"] = "every 3 months on the first day of the month";
      RenovatebotScheduleInterval2["WEEKENDS"] = "every weekend";
      RenovatebotScheduleInterval2["WEEKDAYS"] = "every weekday";
    })(RenovatebotScheduleInterval || (exports2.RenovatebotScheduleInterval = RenovatebotScheduleInterval = {}));
    var Renovatebot = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this._project = project;
        this.explicitIgnores = options.ignore ?? [];
        this.labels = options.labels;
        this.scheduleInterval = options.scheduleInterval ?? [
          RenovatebotScheduleInterval.ANY_TIME
        ];
        (options.ignoreProjen ?? true) && this.explicitIgnores.push("projen");
        this.overrideConfig = options.overrideConfig ?? {};
        this.marker = options.marker ?? true;
      }
      // create actual file only here, so we know that all dependencies are added to the project
      preSynthesize() {
        this.createRenovateConfiguration();
      }
      createRenovateConfiguration() {
        const renovateIgnore = [
          ...new Set(this._project.deps.all.filter((dep) => dep.version || dep.type === dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(this.explicitIgnores))
        ];
        const config = {
          labels: this.labels,
          schedule: this.scheduleInterval,
          extends: [
            ":preserveSemverRanges",
            "config:base",
            "group:allNonMajor",
            "group:recommended",
            "group:monorepos"
          ],
          packageRules: [
            {
              matchDepTypes: ["devDependencies"],
              matchUpdateTypes: ["patch", "minor"],
              groupName: "devDependencies (non-major)"
            }
          ],
          ignoreDeps: renovateIgnore,
          ...this.overrideConfig
        };
        new json_1.JsonFile(this._project, "renovate.json5", {
          obj: config,
          committed: true,
          marker: this.marker
        });
      }
    };
    exports2.Renovatebot = Renovatebot;
    _a = JSII_RTTI_SYMBOL_1;
    Renovatebot[_a] = { fqn: "projen.Renovatebot", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/task.js
var require_task4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/task.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Task = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var logging_1 = require_logging4();
    var Task = class {
      constructor(name, props = {}) {
        this.name = name;
        this._description = props.description;
        this._conditions = props.condition ? [props.condition] : [];
        this.cwd = props.cwd;
        this._locked = false;
        this._env = props.env ?? {};
        this._steps = props.steps ?? [];
        this.requiredEnv = props.requiredEnv;
        if (props.exec && props.steps) {
          throw new Error("cannot specify both exec and steps");
        }
        if (props.exec) {
          this.exec(props.exec, { receiveArgs: props.receiveArgs });
        }
      }
      /**
       * Forbid additional changes to this task.
       */
      lock() {
        this._locked = true;
      }
      /**
       * Returns the description of this task.
       */
      get description() {
        return this._description;
      }
      /**
       * Sets the description of this task.
       */
      set description(desc) {
        this._description = desc;
      }
      /**
       * A command to execute which determines if the task should be skipped. If it
       * returns a zero exit code, the task will not be executed.
       */
      get condition() {
        if (this._conditions?.length) {
          return this._conditions.join(" && ");
        }
        return void 0;
      }
      /**
       * Add a command to execute which determines if the task should be skipped.
       *
       * If a condition already exists, the new condition will be appended with ` && ` delimiter.
       * @param condition The command to execute.
       * @see {@link Task.condition}
       */
      addCondition(...condition) {
        this._conditions.push(...condition);
      }
      /**
       * Reset the task so it no longer has any commands.
       * @param command the first command to add to the task after it was cleared.
       */
      reset(command, options = {}) {
        this.assertUnlocked();
        while (this._steps.length) {
          this._steps.shift();
        }
        if (command) {
          this.exec(command, options);
        }
      }
      /**
       * Executes a shell command
       * @param command Shell command
       * @param options Options
       */
      exec(command, options = {}) {
        this.assertUnlocked();
        this._steps.push({ exec: command, ...options });
      }
      /**
       * Execute a builtin task.
       *
       * Builtin tasks are programs bundled as part of projen itself and used as
       * helpers for various components.
       *
       * In the future we should support built-in tasks from external modules.
       *
       * @param name The name of the builtin task to execute (e.g.
       * `release/resolve-version`).
       */
      builtin(name) {
        this.assertUnlocked();
        this._steps.push({ builtin: name });
      }
      /**
       * Say something.
       * @param message Your message
       * @param options Options
       */
      say(message, options = {}) {
        this.assertUnlocked();
        this._steps.push({ say: message, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       *
       * @deprecated use `prependExec()`
       */
      prepend(shell, options = {}) {
        this.assertUnlocked();
        this.prependExec(shell, options);
      }
      /**
       * Spawns a sub-task.
       * @param subtask The subtask to execute.
       */
      spawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.push({ spawn: subtask.name, ...options });
      }
      /**
       * Adds a command at the beginning of the task.
       * @param shell The command to add.
       */
      prependExec(shell, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          exec: shell,
          ...options
        });
      }
      /**
       * Adds a spawn instruction at the beginning of the task.
       * @param subtask The subtask to execute.
       */
      prependSpawn(subtask, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          spawn: subtask.name,
          ...options
        });
      }
      /**
       * Says something at the beginning of the task.
       * @param message Your message
       */
      prependSay(message, options = {}) {
        this.assertUnlocked();
        this._steps.unshift({
          say: message,
          ...options
        });
      }
      /**
       * Adds an environment variable to this task.
       * @param name The name of the variable
       * @param value The value. If the value is surrounded by `$()`, we will
       * evaluate it within a subshell and use the result as the value of the
       * environment variable.
       */
      env(name, value) {
        this.assertUnlocked();
        this._env[name] = value;
      }
      /**
       * Returns an immutable copy of all the step specifications of the task.
       */
      get steps() {
        if (!Array.isArray(this._steps)) {
          return [];
        }
        return [...this._steps];
      }
      /**
       * Renders a task spec into the manifest.
       *
       * @internal
       */
      _renderSpec() {
        const env = Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
        const steps = Array.isArray(this._steps) ? [...this._steps].map((s) => {
          return s.env ? {
            ...s,
            env: Object.keys(s.env).reduce((prev, curr) => ({
              ...prev,
              [curr]: this.getEnvString(curr, s.env[curr])
            }), {})
          } : s;
        }) : this._steps;
        return {
          name: this.name,
          description: this.description,
          env,
          requiredEnv: this.requiredEnv,
          steps,
          condition: this.condition,
          cwd: this.cwd
        };
      }
      assertUnlocked() {
        if (this._locked) {
          throw new Error(`Task "${this.name}" is locked for changes`);
        }
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Task = Task;
    _a = JSII_RTTI_SYMBOL_1;
    Task[_a] = { fqn: "projen.Task", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/task-runtime.js
var require_task_runtime4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/task-runtime.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskRuntime = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var child_process_1 = require("child_process");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path_1 = require("path");
    var path = require("path");
    var util_1 = require("util");
    var chalk_1 = require_source4();
    var common_1 = require_common14();
    var logging = require_logging4();
    var ENV_TRIM_LEN = 20;
    var ARGS_MARKER = "$@";
    var TaskRuntime = class _TaskRuntime {
      constructor(workdir) {
        this.workdir = (0, path_1.resolve)(workdir);
        const manifestPath = (0, path_1.join)(this.workdir, _TaskRuntime.MANIFEST_FILE);
        this.manifest = (0, fs_1.existsSync)(manifestPath) ? JSON.parse((0, fs_1.readFileSync)(manifestPath, "utf-8")) : { tasks: {} };
      }
      /**
       * The tasks in this project.
       */
      get tasks() {
        return Object.values(this.manifest.tasks ?? {});
      }
      /**
       * Find a task by name, or `undefined` if not found.
       */
      tryFindTask(name) {
        if (!this.manifest.tasks) {
          return void 0;
        }
        return this.manifest.tasks[name];
      }
      /**
       * Runs the task.
       * @param name The task name.
       */
      runTask(name, parents = [], args = []) {
        const task = this.tryFindTask(name);
        if (!task) {
          throw new Error(`cannot find command ${task}`);
        }
        new RunTask(this, task, parents, args);
      }
    };
    exports2.TaskRuntime = TaskRuntime;
    _a = JSII_RTTI_SYMBOL_1;
    TaskRuntime[_a] = { fqn: "projen.TaskRuntime", version: "0.71.112" };
    TaskRuntime.MANIFEST_FILE = path.posix.join(common_1.PROJEN_DIR, "tasks.json");
    var RunTask = class {
      constructor(runtime, task, parents = [], args = []) {
        this.runtime = runtime;
        this.task = task;
        this.env = {};
        this.workdir = task.cwd ?? this.runtime.workdir;
        this.parents = parents;
        if (!task.steps || task.steps.length === 0) {
          this.logDebug((0, chalk_1.gray)("No actions have been specified for this task."));
          return;
        }
        this.env = this.resolveEnvironment(parents);
        const envlogs = [];
        for (const [k, v] of Object.entries(this.env)) {
          const vv = v ?? "";
          const trimmed = vv.length > ENV_TRIM_LEN ? vv.substr(0, ENV_TRIM_LEN) + "..." : vv;
          envlogs.push(`${k}=${trimmed}`);
        }
        if (envlogs.length) {
          this.logDebug((0, chalk_1.gray)(`${(0, chalk_1.underline)("env")}: ${envlogs.join(" ")}`));
        }
        if (!this.evalCondition(task)) {
          this.log("condition exited with non-zero - skipping");
          return;
        }
        const merged = { ...process.env, ...this.env };
        const missing = new Array();
        for (const name of task.requiredEnv ?? []) {
          if (!(name in merged)) {
            missing.push(name);
          }
        }
        if (missing.length > 0) {
          throw new Error(`missing required environment variables: ${missing.join(",")}`);
        }
        for (const step of task.steps) {
          if (!this.evalCondition(step)) {
            this.log("condition exited with non-zero - skipping");
            continue;
          }
          const argsList = [
            ...step.args || [],
            ...step.receiveArgs ? args : []
          ].map((a) => a.toString());
          if (step.say) {
            logging.info(this.fmtLog(step.say));
          }
          if (step.spawn) {
            this.runtime.runTask(step.spawn, [...this.parents, this.task.name], argsList);
          }
          const execs = step.exec ? [step.exec] : [];
          const env = this.evalEnvironment(step.env ?? {});
          if (step.builtin) {
            execs.push(this.renderBuiltin(step.builtin));
          }
          for (const exec of execs) {
            let command = "";
            let hasError = false;
            const cmd = exec.split(" ")[0];
            if ((0, os_1.platform)() == "win32" && ["mkdir", "mv", "rm", "cp"].includes(cmd)) {
              command = `shx ${exec}`;
            } else {
              command = exec;
            }
            if (command.includes(ARGS_MARKER)) {
              command = command.replace(ARGS_MARKER, argsList.join(" "));
            } else {
              command = [command, ...argsList].join(" ");
            }
            const cwd = step.cwd;
            try {
              const result = this.shell({
                command,
                cwd,
                extraEnv: env
              });
              hasError = result.status !== 0;
            } catch (e) {
              if (e?.message?.startsWith("non-zero exit code:")) {
                hasError = true;
              }
              throw e;
            }
            if (hasError) {
              throw new Error(`Task "${this.fullname}" failed when executing "${command}" (cwd: ${(0, path_1.resolve)(cwd ?? this.workdir)})`);
            }
          }
        }
      }
      /**
       * Determines if a task should be executed based on "condition".
       *
       * @returns true if the task should be executed or false if the condition
       * evaluates to false (exits with non-zero), indicating that the task should
       * be skipped.
       */
      evalCondition(taskOrStep) {
        if (!taskOrStep.condition) {
          return true;
        }
        this.log((0, chalk_1.gray)(`${(0, chalk_1.underline)("condition")}: ${taskOrStep.condition}`));
        const result = this.shell({
          command: taskOrStep.condition,
          logprefix: "condition: ",
          quiet: true
        });
        if (result.status === 0) {
          return true;
        } else {
          return false;
        }
      }
      /**
       * Evaluates environment variables from shell commands (e.g. `$(xx)`)
       */
      evalEnvironment(env) {
        const output = {};
        for (const [key, value] of Object.entries(env ?? {})) {
          if (String(value).startsWith("$(") && String(value).endsWith(")")) {
            const query = value.substring(2, value.length - 1);
            const result = this.shellEval({ command: query });
            if (result.status !== 0) {
              const error = result.error ? result.error.stack : result.stderr?.toString() ?? "unknown error";
              throw new Error(`unable to evaluate environment variable ${key}=${value}: ${error}`);
            }
            output[key] = result.stdout.toString("utf-8").trim();
          } else {
            output[key] = value;
          }
        }
        return output;
      }
      /**
       * Renders the runtime environment for a task. Namely, it supports this syntax
       * `$(xx)` for allowing environment to be evaluated by executing a shell
       * command and obtaining its result.
       */
      resolveEnvironment(parents) {
        let env = this.runtime.manifest.env ?? {};
        for (const parent of parents) {
          env = {
            ...env,
            ...this.runtime.tryFindTask(parent)?.env ?? {}
          };
        }
        env = {
          ...env,
          ...this.task.env ?? {}
        };
        return this.evalEnvironment(env ?? {});
      }
      /**
       * Returns the "full name" of the task which includes all it's parent task names concatenated by chevrons.
       */
      get fullname() {
        return [...this.parents, this.task.name].join(" \xBB ");
      }
      log(...args) {
        logging.verbose(this.fmtLog(...args));
      }
      logDebug(...args) {
        logging.debug(this.fmtLog(...args));
      }
      fmtLog(...args) {
        return (0, util_1.format)(`${(0, chalk_1.underline)(this.fullname)} |`, ...args);
      }
      shell(options) {
        const quiet = options.quiet ?? false;
        if (!quiet) {
          const log = new Array();
          if (options.logprefix) {
            log.push(options.logprefix);
          }
          log.push(options.command);
          if (options.cwd) {
            log.push(`(cwd: ${options.cwd})`);
          }
          this.log(log.join(" "));
        }
        const cwd = options.cwd ?? this.workdir;
        if (!(0, fs_1.existsSync)(cwd) || !(0, fs_1.statSync)(cwd).isDirectory()) {
          throw new Error(`invalid workdir (cwd): ${cwd} must be an existing directory`);
        }
        return (0, child_process_1.spawnSync)(options.command, {
          ...options,
          cwd,
          shell: true,
          stdio: "inherit",
          env: {
            ...process.env,
            ...this.env,
            ...options.extraEnv
          },
          ...options.spawnOptions
        });
      }
      shellEval(options) {
        return this.shell({
          quiet: true,
          ...options,
          spawnOptions: {
            stdio: ["inherit", "pipe", "inherit"]
          }
        });
      }
      renderBuiltin(builtin) {
        const moduleRoot = (0, path_1.dirname)(require.resolve("../package.json"));
        const program = require.resolve((0, path_1.join)(moduleRoot, "lib", `${builtin}.task.js`));
        return `${process.execPath} ${program}`;
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/tasks.js
var require_tasks4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Tasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component4();
    var json_1 = require_json7();
    var logging_1 = require_logging4();
    var task_1 = require_task4();
    var task_runtime_1 = require_task_runtime4();
    var Tasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this._tasks = {};
        this._env = {};
        new json_1.JsonFile(project, task_runtime_1.TaskRuntime.MANIFEST_FILE, {
          omitEmpty: true,
          obj: {
            tasks: () => this.renderTasks(),
            env: () => this.renderEnv()
          }
        });
      }
      /**
       * All tasks.
       */
      get all() {
        return Object.values(this._tasks);
      }
      /**
       * Adds a task to a project.
       * @param name The name of the task
       * @param options Task options.
       */
      addTask(name, options = {}) {
        const task = new task_1.Task(name, options);
        if (this._tasks[name]) {
          throw new Error(`A task with the name ${name} already exists. To override it, call removeTask first and then create the new task.`);
        }
        this._tasks[name] = task;
        return task;
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        const dependentTasks = this.all.filter((task2) => task2.steps.find((step) => step.spawn == name));
        if (dependentTasks.length > 0) {
          const errList = dependentTasks.map((depTask) => depTask.name).join(", ");
          throw new Error(`Unable to remove task "${name}" because the following tasks depend on it: ${errList}`);
        }
        const task = this._tasks[name];
        if (task) {
          delete this._tasks[name];
          return task;
        } else {
          return void 0;
        }
      }
      /**
       * Adds global environment.
       * @param name Environment variable name
       * @param value Value
       */
      addEnvironment(name, value) {
        this._env[name] = value;
      }
      /**
       * Returns a copy of the currently global environment for this project.
       */
      get env() {
        return {
          ...this._env
        };
      }
      /**
       * Finds a task by name. Returns `undefined` if the task cannot be found.
       * @param name The name of the task
       */
      tryFind(name) {
        return this._tasks[name];
      }
      synthesize() {
        if (this.project.ejected) {
          fs.mkdirSync(path.join(this.project.outdir, "scripts"), {
            recursive: true
          });
          fs.copyFileSync(path.join(__dirname + "/externals/projen/lib", "..", "lib", "run-task.js"), path.join(this.project.outdir, "scripts", "run-task"));
          fs.chmodSync(path.join(this.project.outdir, "scripts", "run-task"), "755");
        }
      }
      renderTasks() {
        const tasks = {};
        for (const task of Object.values(this._tasks).sort((x, y) => x.name.localeCompare(y.name))) {
          tasks[task.name] = task._renderSpec();
        }
        return tasks;
      }
      renderEnv() {
        return Object.keys(this._env).reduce((prev, curr) => ({
          ...prev,
          [curr]: this.getEnvString(curr, this._env[curr])
        }), {});
      }
      /**
       * Ensure that environment variables are persisted as strings
       * to prevent type errors when parsing from tasks.json in future
       */
      getEnvString(name, value) {
        if (typeof value !== "string" && value !== void 0) {
          (0, logging_1.warn)(`Received non-string value for environment variable ${name}. Value will be stringified.`);
          return String(value);
        } else {
          return value;
        }
      }
    };
    exports2.Tasks = Tasks;
    _a = JSII_RTTI_SYMBOL_1;
    Tasks[_a] = { fqn: "projen.Tasks", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/project.js
var require_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjectType = exports2.Project = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var os_1 = require("os");
    var path = require("path");
    var glob = require_glob6();
    var cleanup_1 = require_cleanup4();
    var common_1 = require_common14();
    var dependencies_1 = require_dependencies4();
    var file_1 = require_file5();
    var gitattributes_1 = require_gitattributes4();
    var ignore_file_1 = require_ignore_file4();
    var render_options_1 = require_render_options4();
    var json_1 = require_json7();
    var logger_1 = require_logger4();
    var object_file_1 = require_object_file4();
    var project_build_1 = require_project_build4();
    var projenrc_json_1 = require_projenrc_json4();
    var renovatebot_1 = require_renovatebot4();
    var tasks_1 = require_tasks4();
    var util_1 = require_util20();
    var Project = class _Project {
      constructor(options) {
        this._components = new Array();
        this._subprojects = new Array();
        this.tips = new Array();
        this.initProject = (0, render_options_1.resolveInitProject)(options);
        this.name = options.name;
        this.parent = options.parent;
        this.excludeFromCleanup = [];
        this._ejected = (0, util_1.isTruthy)(process.env.PROJEN_EJECTING);
        if (this.ejected) {
          this.projenCommand = "scripts/run-task";
        } else {
          this.projenCommand = options.projenCommand ?? "npx projen";
        }
        this.outdir = this.determineOutdir(options.outdir);
        this.root = this.parent ? this.parent.root : this;
        this.parent?._addSubProject(this);
        this.gitattributes = new gitattributes_1.GitAttributesFile(this);
        this.annotateGenerated("/.projen/**");
        this.annotateGenerated(`/${this.gitattributes.path}`);
        if (options.gitOptions?.lfsPatterns) {
          for (const pattern of options.gitOptions.lfsPatterns) {
            this.gitattributes.addAttributes(pattern, "filter=lfs", "diff=lfs", "merge=lfs", "-text");
          }
        }
        this.gitignore = new ignore_file_1.IgnoreFile(this, ".gitignore", options.gitIgnoreOptions);
        this.gitignore.exclude("node_modules/");
        this.gitignore.include(`/${this.gitattributes.path}`);
        this.tasks = new tasks_1.Tasks(this);
        if (!this.ejected) {
          this.defaultTask = this.tasks.addTask(_Project.DEFAULT_TASK, {
            description: "Synthesize project files"
          });
          if (this.parent) {
            this.defaultTask.exec(`${this.projenCommand} ${_Project.DEFAULT_TASK}`, {
              cwd: path.relative(this.outdir, this.root.outdir)
            });
          }
          if (!this.parent) {
            this.ejectTask = this.tasks.addTask("eject", {
              description: "Remove projen from the project",
              env: {
                PROJEN_EJECTING: "true"
              }
            });
            this.ejectTask.spawn(this.defaultTask);
          }
        }
        this.projectBuild = new project_build_1.ProjectBuild(this);
        this.deps = new dependencies_1.Dependencies(this);
        this.logger = new logger_1.Logger(this, options.logging);
        const projenrcJson = options.projenrcJson ?? false;
        if (!this.parent && projenrcJson) {
          new projenrc_json_1.ProjenrcJson(this, options.projenrcJsonOptions);
        }
        if (options.renovatebot) {
          new renovatebot_1.Renovatebot(this, options.renovatebotOptions);
        }
        this.commitGenerated = options.commitGenerated ?? true;
        if (!this.ejected) {
          new json_1.JsonFile(this, cleanup_1.FILE_MANIFEST, {
            omitEmpty: true,
            obj: () => ({
              // replace `\` with `/` to ensure paths match across platforms
              files: this.files.filter((f) => f.readonly).map((f) => f.path.replace(/\\/g, "/"))
            }),
            // This file is used by projen to track the generated files, so must be committed.
            committed: true
          });
        }
      }
      /**
       * Returns all the components within this project.
       */
      get components() {
        return [...this._components];
      }
      /**
       * Returns all the subprojects within this project.
       */
      get subprojects() {
        return [...this._subprojects];
      }
      /**
       * All files in this project.
       */
      get files() {
        const isFile = (c) => c instanceof file_1.FileBase;
        return this._components.filter(isFile).sort((f1, f2) => f1.path.localeCompare(f2.path));
      }
      /**
       * Adds a new task to this project. This will fail if the project already has
       * a task with this name.
       *
       * @param name The task name to add
       * @param props Task properties
       */
      addTask(name, props = {}) {
        return this.tasks.addTask(name, props);
      }
      /**
       * Removes a task from a project.
       *
       * @param name The name of the task to remove.
       *
       * @returns The `Task` that was removed, otherwise `undefined`.
       */
      removeTask(name) {
        return this.tasks.removeTask(name);
      }
      get buildTask() {
        return this.projectBuild.buildTask;
      }
      get compileTask() {
        return this.projectBuild.compileTask;
      }
      get testTask() {
        return this.projectBuild.testTask;
      }
      get preCompileTask() {
        return this.projectBuild.preCompileTask;
      }
      get postCompileTask() {
        return this.projectBuild.postCompileTask;
      }
      get packageTask() {
        return this.projectBuild.packageTask;
      }
      /**
       * Finds a file at the specified relative path within this project and all
       * its subprojects.
       *
       * @param filePath The file path. If this path is relative, it will be resolved
       * from the root of _this_ project.
       * @returns a `FileBase` or undefined if there is no file in that path
       */
      tryFindFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        for (const file of this.files) {
          if (absolute === file.absolutePath) {
            return file;
          }
        }
        for (const child of this._subprojects) {
          const file = child.tryFindFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Finds a json file by name.
       * @param filePath The file path.
       * @deprecated use `tryFindObjectFile`
       */
      tryFindJsonFile(filePath) {
        const file = this.tryFindObjectFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof json_1.JsonFile)) {
          throw new Error(`found file ${filePath} but it is not a JsonFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds an object file (like JsonFile, YamlFile, etc.) by name.
       * @param filePath The file path.
       */
      tryFindObjectFile(filePath) {
        const file = this.tryFindFile(filePath);
        if (!file) {
          return void 0;
        }
        if (!(file instanceof object_file_1.ObjectFile)) {
          throw new Error(`found file ${filePath} but it is not a ObjectFile. got: ${file.constructor.name}`);
        }
        return file;
      }
      /**
       * Finds a file at the specified relative path within this project and removes
       * it.
       *
       * @param filePath The file path. If this path is relative, it will be
       * resolved from the root of _this_ project.
       * @returns a `FileBase` if the file was found and removed, or undefined if
       * the file was not found.
       */
      tryRemoveFile(filePath) {
        const absolute = path.isAbsolute(filePath) ? filePath : path.resolve(this.outdir, filePath);
        const isFile = (c) => c instanceof file_1.FileBase;
        const index = this._components.findIndex((c) => isFile(c) && c.absolutePath === absolute);
        if (index !== -1) {
          return this._components.splice(index, 1)[0];
        }
        for (const child of this._subprojects) {
          const file = child.tryRemoveFile(absolute);
          if (file) {
            return file;
          }
        }
        return void 0;
      }
      /**
       * Prints a "tip" message during synthesis.
       * @param message The message
       * @deprecated - use `project.logger.info(message)` to show messages during synthesis
       */
      addTip(message) {
        this.tips.push(message);
      }
      /**
       * Exclude the matching files from pre-synth cleanup. Can be used when, for example, some
       * source files include the projen marker and we don't want them to be erased during synth.
       *
       * @param globs The glob patterns to match
       */
      addExcludeFromCleanup(...globs) {
        this.excludeFromCleanup.push(...globs);
      }
      /**
       * Returns the shell command to execute in order to run a task.
       *
       * By default, this is `npx projen@<version> <task>`
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `npx projen@${common_1.PROJEN_VERSION} ${task.name}`;
      }
      /**
       * Exclude these files from the bundled package. Implemented by project types based on the
       * packaging mechanism. For example, `NodeProject` delegates this to `.npmignore`.
       *
       * @param _pattern The glob pattern to exclude
       */
      addPackageIgnore(_pattern) {
      }
      /**
       * Adds a .gitignore pattern.
       * @param pattern The glob pattern to ignore.
       */
      addGitIgnore(pattern) {
        this.gitignore.addPatterns(pattern);
      }
      /**
       * Consider a set of files as "generated". This method is implemented by
       * derived classes and used for example, to add git attributes to tell GitHub
       * that certain files are generated.
       *
       * @param _glob the glob pattern to match (could be a file path).
       */
      annotateGenerated(_glob) {
      }
      /**
       * Synthesize all project files into `outdir`.
       *
       * 1. Call "this.preSynthesize()"
       * 2. Delete all generated files
       * 3. Synthesize all sub-projects
       * 4. Synthesize all components of this project
       * 5. Call "postSynthesize()" for all components of this project
       * 6. Call "this.postSynthesize()"
       */
      synth() {
        const outdir = this.outdir;
        this.logger.debug("Synthesizing project...");
        this.preSynthesize();
        for (const comp of this._components) {
          comp.preSynthesize();
        }
        for (const subproject of this._subprojects) {
          this.addExcludeFromCleanup(subproject.outdir + "/**");
        }
        (0, cleanup_1.cleanup)(outdir, this.files.map((f) => f.path.replace(/\\/g, "/")), this.excludeFromCleanup);
        for (const subproject of this._subprojects) {
          subproject.synth();
        }
        for (const comp of this._components) {
          comp.synthesize();
        }
        if (!(0, util_1.isTruthy)(process.env.PROJEN_DISABLE_POST)) {
          for (const comp of this._components) {
            comp.postSynthesize();
          }
          this.postSynthesize();
        }
        if (this.ejected) {
          this.logger.debug("Ejecting project...");
          const files = glob.sync(".projenrc.*", {
            cwd: this.outdir,
            dot: true,
            nodir: true,
            absolute: true
          });
          for (const file of files) {
            (0, fs_1.renameSync)(file, `${file}.bak`);
          }
        }
        this.logger.debug("Synthesis complete");
      }
      /**
       * Whether or not the project is being ejected.
       */
      get ejected() {
        return this._ejected;
      }
      /**
       * Called before all components are synthesized.
       */
      preSynthesize() {
      }
      /**
       * Called after all components are synthesized. Order is *not* guaranteed.
       */
      postSynthesize() {
      }
      /**
       * Adds a component to the project.
       * @internal
       */
      _addComponent(component) {
        this._components.push(component);
      }
      /**
       * Adds a sub-project to this project.
       *
       * This is automatically called when a new project is created with `parent`
       * pointing to this project, so there is no real need to call this manually.
       *
       * @param sub-project The child project to add.
       * @internal
       */
      _addSubProject(subproject) {
        if (subproject.parent !== this) {
          throw new Error('"parent" of child project must be this project');
        }
        for (const p of this._subprojects) {
          if (path.resolve(p.outdir) === path.resolve(subproject.outdir)) {
            throw new Error(`there is already a sub-project with "outdir": ${subproject.outdir}`);
          }
        }
        this._subprojects.push(subproject);
      }
      /**
       * Resolves the project's output directory.
       */
      determineOutdir(outdirOption) {
        if (this.parent && outdirOption && path.isAbsolute(outdirOption)) {
          throw new Error('"outdir" must be a relative path');
        }
        if (this.parent) {
          if (!outdirOption) {
            throw new Error('"outdir" must be specified for subprojects');
          }
          return path.resolve(this.parent.outdir, outdirOption);
        }
        if (common_1.IS_TEST_RUN && !outdirOption) {
          const realCwd = (0, fs_1.realpathSync)(process.cwd());
          const realTmp = (0, fs_1.realpathSync)((0, os_1.tmpdir)());
          if (realCwd.startsWith(realTmp)) {
            return path.resolve(realCwd, outdirOption ?? ".");
          }
          return (0, fs_1.mkdtempSync)(path.join((0, os_1.tmpdir)(), "projen."));
        }
        return path.resolve(outdirOption ?? ".");
      }
    };
    exports2.Project = Project;
    _a = JSII_RTTI_SYMBOL_1;
    Project[_a] = { fqn: "projen.Project", version: "0.71.112" };
    Project.DEFAULT_TASK = "default";
    var ProjectType;
    (function(ProjectType2) {
      ProjectType2["UNKNOWN"] = "unknown";
      ProjectType2["LIB"] = "lib";
      ProjectType2["APP"] = "app";
    })(ProjectType || (exports2.ProjectType = ProjectType = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/projects.js
var require_projects4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/projects.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projects = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var vm = require("vm");
    var inventory_1 = require_inventory4();
    var render_options_1 = require_render_options4();
    var option_hints_1 = require_option_hints4();
    var Projects = class {
      /**
       * Creates a new project with defaults.
       *
       * This function creates the project type in-process (with in VM) and calls
       * `.synth()` on it (if `options.synth` is not `false`).
       *
       * At the moment, it also generates a `.projenrc.js` file with the same code
       * that was just executed. In the future, this will also be done by the project
       * type, so we can easily support multiple languages of projenrc.
       *
       * An environment variable (PROJEN_CREATE_PROJECT=true) is set within the VM
       * so that custom project types can detect whether the current synthesis is the
       * result of a new project creation (and take additional steps accordingly)
       */
      static createProject(options) {
        createProject(options);
      }
      constructor() {
      }
    };
    exports2.Projects = Projects;
    _a = JSII_RTTI_SYMBOL_1;
    Projects[_a] = { fqn: "projen.Projects", version: "0.71.112" };
    function resolveModulePath(moduleName) {
      if (moduleName === "projen") {
        return "./index";
      }
      try {
        return path.dirname(require.resolve(path.join(moduleName, "package.json"), {
          paths: [process.cwd()]
        }));
      } catch (err) {
        throw new Error(`External project module '${moduleName}' could not be resolved.`);
      }
    }
    function createProject(opts) {
      const projectType = (0, inventory_1.resolveProjectType)(opts.projectFqn);
      const mod = resolveModulePath(projectType.moduleName);
      opts.projectOptions.outdir = opts.dir;
      const optionsImports = "_options" + Math.random().toString(36).slice(2);
      const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
        bootstrap: true,
        comments: opts.optionHints ?? option_hints_1.InitProjectOptionHints.FEATURED,
        type: projectType,
        args: opts.projectOptions,
        omitFromBootstrap: ["outdir"],
        prefixImports: optionsImports
      });
      const initProjectCode = new Array();
      const varName = "project" + Math.random().toString(36).slice(2);
      initProjectCode.push(`const ${varName} = new ${projectType.typename}(${renderedOptions});`);
      if (opts.synth ?? true) {
        initProjectCode.push(`${varName}.synth();`);
      }
      const mainModule = require(mod);
      const ctx = vm.createContext({
        ...mainModule,
        [optionsImports]: {
          ...imports.modules.reduce((optionsContext, currentModule) => ({
            ...optionsContext,
            // eslint-disable-next-line @typescript-eslint/no-require-imports
            [currentModule]: require(resolveModulePath(currentModule))
          }), {})
        }
      });
      const postSynth = opts.post ?? true;
      process.env.PROJEN_DISABLE_POST = (!postSynth).toString();
      process.env.PROJEN_CREATE_PROJECT = "true";
      vm.runInContext(initProjectCode.join("\n"), ctx);
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/sample-file.js
var require_sample_file4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/sample-file.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleDir = exports2.SampleFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var glob = require_glob6();
    var component_1 = require_component4();
    var util_1 = require_util20();
    var SampleFile = class extends component_1.Component {
      /**
       * Creates a new SampleFile object
       * @param project - the project to tie this file to.
       * @param filePath - the relative path in the project to put the file
       * @param options - the options for the file.
       */
      constructor(project, filePath, options) {
        super(project);
        if (options.contents && options.sourcePath) {
          throw new Error("Cannot specify both 'contents' and 'source' fields.");
        }
        if (!options.contents && !options.sourcePath) {
          throw new Error("Must specify at least one of 'contents' or 'source'.");
        }
        this.filePath = filePath;
        this.options = options;
      }
      synthesize() {
        let contents;
        if (this.options.contents) {
          contents = this.options.contents;
        } else if (this.options.sourcePath) {
          contents = fs.readFileSync(this.options.sourcePath);
        }
        this.writeOnceFileContents(this.project.outdir, this.filePath, contents ?? "");
      }
      /**
       * A helper function that will write the file once and return if it was written or not.
       * @param dir - the directory for the new file
       * @param filename - the filename for the new file
       * @param contents - the contents of the file to write
       * @return boolean - whether a new file was written or not.
       * @private
       */
      writeOnceFileContents(dir, filename, contents) {
        const fullFilename = path.join(dir, filename);
        if (fs.existsSync(fullFilename)) {
          return;
        }
        (0, util_1.writeFile)(fullFilename, contents, { readonly: false });
      }
    };
    exports2.SampleFile = SampleFile;
    _a = JSII_RTTI_SYMBOL_1;
    SampleFile[_a] = { fqn: "projen.SampleFile", version: "0.71.112" };
    var SampleDir = class extends component_1.Component {
      /**
       * Create sample files in the given directory if the given directory does not exist
       * @param project Parent project to add files to.
       * @param dir directory to add files to. If directory already exists, nothing is added.
       * @param options options for which files to create.
       */
      constructor(project, dir, options) {
        super(project);
        if (!options.files && !options.sourceDir) {
          throw new Error("Must specify at least one of 'files' or 'source'.");
        }
        this.dir = dir;
        this.options = options;
      }
      synthesize() {
        const fullOutdir = path.join(this.project.outdir, this.dir);
        if (fs.existsSync(fullOutdir)) {
          return;
        }
        fs.mkdirSync(fullOutdir, { recursive: true });
        if (this.options.sourceDir) {
          const basedir = this.options.sourceDir;
          const files = glob.sync("**", {
            cwd: basedir,
            nodir: true,
            dot: true
          });
          for (const file of files) {
            const sourcePath = path.join(basedir, file);
            const targetPath = path.join(fullOutdir, file);
            fs.mkdirSync(path.dirname(targetPath), { recursive: true });
            fs.copyFileSync(sourcePath, targetPath);
            fs.chmodSync(targetPath, (0, util_1.getFilePermissions)({ readonly: false, executable: false }));
          }
        }
        for (const filename in this.options.files) {
          (0, util_1.writeFile)(path.join(fullOutdir, filename), this.options.files[filename]);
        }
      }
    };
    exports2.SampleDir = SampleDir;
    _b = JSII_RTTI_SYMBOL_1;
    SampleDir[_b] = { fqn: "projen.SampleDir", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/readme.js
var require_readme4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/readme.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SampleReadme = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var sample_file_1 = require_sample_file4();
    var SampleReadme = class extends sample_file_1.SampleFile {
      constructor(project, props) {
        super(project, props?.filename ?? "README.md", {
          contents: props?.contents ?? "# replace this"
        });
      }
    };
    exports2.SampleReadme = SampleReadme;
    _a = JSII_RTTI_SYMBOL_1;
    SampleReadme[_a] = { fqn: "projen.SampleReadme", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/semver/internal/constants.js
var require_constants11 = __commonJS({
  "../../components/workflows/node_modules/semver/internal/constants.js"(exports2, module2) {
    var SEMVER_SPEC_VERSION = "2.0.0";
    var MAX_LENGTH = 256;
    var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER || /* istanbul ignore next */
    9007199254740991;
    var MAX_SAFE_COMPONENT_LENGTH = 16;
    var MAX_SAFE_BUILD_LENGTH = MAX_LENGTH - 6;
    var RELEASE_TYPES = [
      "major",
      "premajor",
      "minor",
      "preminor",
      "patch",
      "prepatch",
      "prerelease"
    ];
    module2.exports = {
      MAX_LENGTH,
      MAX_SAFE_COMPONENT_LENGTH,
      MAX_SAFE_BUILD_LENGTH,
      MAX_SAFE_INTEGER,
      RELEASE_TYPES,
      SEMVER_SPEC_VERSION,
      FLAG_INCLUDE_PRERELEASE: 1,
      FLAG_LOOSE: 2
    };
  }
});

// ../../components/workflows/node_modules/semver/internal/debug.js
var require_debug4 = __commonJS({
  "../../components/workflows/node_modules/semver/internal/debug.js"(exports2, module2) {
    var debug = typeof process === "object" && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args) => console.error("SEMVER", ...args) : () => {
    };
    module2.exports = debug;
  }
});

// ../../components/workflows/node_modules/semver/internal/re.js
var require_re4 = __commonJS({
  "../../components/workflows/node_modules/semver/internal/re.js"(exports2, module2) {
    var { MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH } = require_constants11();
    var debug = require_debug4();
    exports2 = module2.exports = {};
    var re = exports2.re = [];
    var safeRe = exports2.safeRe = [];
    var src = exports2.src = [];
    var t = exports2.t = {};
    var R = 0;
    var LETTERDASHNUMBER = "[a-zA-Z0-9-]";
    var safeRegexReplacements = [
      ["\\s", 1],
      ["\\d", MAX_SAFE_COMPONENT_LENGTH],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH]
    ];
    var makeSafeRegex = (value) => {
      for (const [token, max] of safeRegexReplacements) {
        value = value.split(`${token}*`).join(`${token}{0,${max}}`).split(`${token}+`).join(`${token}{1,${max}}`);
      }
      return value;
    };
    var createToken = (name, value, isGlobal) => {
      const safe = makeSafeRegex(value);
      const index = R++;
      debug(name, index, value);
      t[name] = index;
      src[index] = value;
      re[index] = new RegExp(value, isGlobal ? "g" : void 0);
      safeRe[index] = new RegExp(safe, isGlobal ? "g" : void 0);
    };
    createToken("NUMERICIDENTIFIER", "0|[1-9]\\d*");
    createToken("NUMERICIDENTIFIERLOOSE", "\\d+");
    createToken("NONNUMERICIDENTIFIER", `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`);
    createToken("MAINVERSION", `(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})\\.(${src[t.NUMERICIDENTIFIER]})`);
    createToken("MAINVERSIONLOOSE", `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})\\.(${src[t.NUMERICIDENTIFIERLOOSE]})`);
    createToken("PRERELEASEIDENTIFIER", `(?:${src[t.NUMERICIDENTIFIER]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASEIDENTIFIERLOOSE", `(?:${src[t.NUMERICIDENTIFIERLOOSE]}|${src[t.NONNUMERICIDENTIFIER]})`);
    createToken("PRERELEASE", `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`);
    createToken("PRERELEASELOOSE", `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`);
    createToken("BUILDIDENTIFIER", `${LETTERDASHNUMBER}+`);
    createToken("BUILD", `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`);
    createToken("FULLPLAIN", `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`);
    createToken("FULL", `^${src[t.FULLPLAIN]}$`);
    createToken("LOOSEPLAIN", `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`);
    createToken("LOOSE", `^${src[t.LOOSEPLAIN]}$`);
    createToken("GTLT", "((?:<|>)?=?)");
    createToken("XRANGEIDENTIFIERLOOSE", `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
    createToken("XRANGEIDENTIFIER", `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`);
    createToken("XRANGEPLAIN", `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:\\.(${src[t.XRANGEIDENTIFIER]})(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGEPLAINLOOSE", `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?)?)?`);
    createToken("XRANGE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`);
    createToken("XRANGELOOSE", `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COERCE", `${"(^|[^\\d])(\\d{1,"}${MAX_SAFE_COMPONENT_LENGTH}})(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?(?:$|[^\\d])`);
    createToken("COERCERTL", src[t.COERCE], true);
    createToken("LONETILDE", "(?:~>?)");
    createToken("TILDETRIM", `(\\s*)${src[t.LONETILDE]}\\s+`, true);
    exports2.tildeTrimReplace = "$1~";
    createToken("TILDE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`);
    createToken("TILDELOOSE", `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("LONECARET", "(?:\\^)");
    createToken("CARETTRIM", `(\\s*)${src[t.LONECARET]}\\s+`, true);
    exports2.caretTrimReplace = "$1^";
    createToken("CARET", `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`);
    createToken("CARETLOOSE", `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`);
    createToken("COMPARATORLOOSE", `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`);
    createToken("COMPARATOR", `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`);
    createToken("COMPARATORTRIM", `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true);
    exports2.comparatorTrimReplace = "$1$2$3";
    createToken("HYPHENRANGE", `^\\s*(${src[t.XRANGEPLAIN]})\\s+-\\s+(${src[t.XRANGEPLAIN]})\\s*$`);
    createToken("HYPHENRANGELOOSE", `^\\s*(${src[t.XRANGEPLAINLOOSE]})\\s+-\\s+(${src[t.XRANGEPLAINLOOSE]})\\s*$`);
    createToken("STAR", "(<|>)?=?\\s*\\*");
    createToken("GTE0", "^\\s*>=\\s*0\\.0\\.0\\s*$");
    createToken("GTE0PRE", "^\\s*>=\\s*0\\.0\\.0-0\\s*$");
  }
});

// ../../components/workflows/node_modules/semver/internal/parse-options.js
var require_parse_options4 = __commonJS({
  "../../components/workflows/node_modules/semver/internal/parse-options.js"(exports2, module2) {
    var looseOption = Object.freeze({ loose: true });
    var emptyOpts = Object.freeze({});
    var parseOptions = (options) => {
      if (!options) {
        return emptyOpts;
      }
      if (typeof options !== "object") {
        return looseOption;
      }
      return options;
    };
    module2.exports = parseOptions;
  }
});

// ../../components/workflows/node_modules/semver/internal/identifiers.js
var require_identifiers4 = __commonJS({
  "../../components/workflows/node_modules/semver/internal/identifiers.js"(exports2, module2) {
    var numeric = /^[0-9]+$/;
    var compareIdentifiers = (a, b) => {
      const anum = numeric.test(a);
      const bnum = numeric.test(b);
      if (anum && bnum) {
        a = +a;
        b = +b;
      }
      return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
    };
    var rcompareIdentifiers = (a, b) => compareIdentifiers(b, a);
    module2.exports = {
      compareIdentifiers,
      rcompareIdentifiers
    };
  }
});

// ../../components/workflows/node_modules/semver/classes/semver.js
var require_semver13 = __commonJS({
  "../../components/workflows/node_modules/semver/classes/semver.js"(exports2, module2) {
    var debug = require_debug4();
    var { MAX_LENGTH, MAX_SAFE_INTEGER } = require_constants11();
    var { safeRe: re, t } = require_re4();
    var parseOptions = require_parse_options4();
    var { compareIdentifiers } = require_identifiers4();
    var SemVer = class _SemVer {
      constructor(version, options) {
        options = parseOptions(options);
        if (version instanceof _SemVer) {
          if (version.loose === !!options.loose && version.includePrerelease === !!options.includePrerelease) {
            return version;
          } else {
            version = version.version;
          }
        } else if (typeof version !== "string") {
          throw new TypeError(`Invalid version. Must be a string. Got type "${typeof version}".`);
        }
        if (version.length > MAX_LENGTH) {
          throw new TypeError(
            `version is longer than ${MAX_LENGTH} characters`
          );
        }
        debug("SemVer", version, options);
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL]);
        if (!m) {
          throw new TypeError(`Invalid Version: ${version}`);
        }
        this.raw = version;
        this.major = +m[1];
        this.minor = +m[2];
        this.patch = +m[3];
        if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
          throw new TypeError("Invalid major version");
        }
        if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
          throw new TypeError("Invalid minor version");
        }
        if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
          throw new TypeError("Invalid patch version");
        }
        if (!m[4]) {
          this.prerelease = [];
        } else {
          this.prerelease = m[4].split(".").map((id) => {
            if (/^[0-9]+$/.test(id)) {
              const num = +id;
              if (num >= 0 && num < MAX_SAFE_INTEGER) {
                return num;
              }
            }
            return id;
          });
        }
        this.build = m[5] ? m[5].split(".") : [];
        this.format();
      }
      format() {
        this.version = `${this.major}.${this.minor}.${this.patch}`;
        if (this.prerelease.length) {
          this.version += `-${this.prerelease.join(".")}`;
        }
        return this.version;
      }
      toString() {
        return this.version;
      }
      compare(other) {
        debug("SemVer.compare", this.version, this.options, other);
        if (!(other instanceof _SemVer)) {
          if (typeof other === "string" && other === this.version) {
            return 0;
          }
          other = new _SemVer(other, this.options);
        }
        if (other.version === this.version) {
          return 0;
        }
        return this.compareMain(other) || this.comparePre(other);
      }
      compareMain(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
      }
      comparePre(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        if (this.prerelease.length && !other.prerelease.length) {
          return -1;
        } else if (!this.prerelease.length && other.prerelease.length) {
          return 1;
        } else if (!this.prerelease.length && !other.prerelease.length) {
          return 0;
        }
        let i = 0;
        do {
          const a = this.prerelease[i];
          const b = other.prerelease[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      compareBuild(other) {
        if (!(other instanceof _SemVer)) {
          other = new _SemVer(other, this.options);
        }
        let i = 0;
        do {
          const a = this.build[i];
          const b = other.build[i];
          debug("prerelease compare", i, a, b);
          if (a === void 0 && b === void 0) {
            return 0;
          } else if (b === void 0) {
            return 1;
          } else if (a === void 0) {
            return -1;
          } else if (a === b) {
            continue;
          } else {
            return compareIdentifiers(a, b);
          }
        } while (++i);
      }
      // preminor will bump the version up to the next minor release, and immediately
      // down to pre-release. premajor and prepatch work the same way.
      inc(release, identifier, identifierBase) {
        switch (release) {
          case "premajor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor = 0;
            this.major++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "preminor":
            this.prerelease.length = 0;
            this.patch = 0;
            this.minor++;
            this.inc("pre", identifier, identifierBase);
            break;
          case "prepatch":
            this.prerelease.length = 0;
            this.inc("patch", identifier, identifierBase);
            this.inc("pre", identifier, identifierBase);
            break;
          case "prerelease":
            if (this.prerelease.length === 0) {
              this.inc("patch", identifier, identifierBase);
            }
            this.inc("pre", identifier, identifierBase);
            break;
          case "major":
            if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
              this.major++;
            }
            this.minor = 0;
            this.patch = 0;
            this.prerelease = [];
            break;
          case "minor":
            if (this.patch !== 0 || this.prerelease.length === 0) {
              this.minor++;
            }
            this.patch = 0;
            this.prerelease = [];
            break;
          case "patch":
            if (this.prerelease.length === 0) {
              this.patch++;
            }
            this.prerelease = [];
            break;
          case "pre": {
            const base = Number(identifierBase) ? 1 : 0;
            if (!identifier && identifierBase === false) {
              throw new Error("invalid increment argument: identifier is empty");
            }
            if (this.prerelease.length === 0) {
              this.prerelease = [base];
            } else {
              let i = this.prerelease.length;
              while (--i >= 0) {
                if (typeof this.prerelease[i] === "number") {
                  this.prerelease[i]++;
                  i = -2;
                }
              }
              if (i === -1) {
                if (identifier === this.prerelease.join(".") && identifierBase === false) {
                  throw new Error("invalid increment argument: identifier already exists");
                }
                this.prerelease.push(base);
              }
            }
            if (identifier) {
              let prerelease = [identifier, base];
              if (identifierBase === false) {
                prerelease = [identifier];
              }
              if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
                if (isNaN(this.prerelease[1])) {
                  this.prerelease = prerelease;
                }
              } else {
                this.prerelease = prerelease;
              }
            }
            break;
          }
          default:
            throw new Error(`invalid increment argument: ${release}`);
        }
        this.raw = this.format();
        if (this.build.length) {
          this.raw += `+${this.build.join(".")}`;
        }
        return this;
      }
    };
    module2.exports = SemVer;
  }
});

// ../../components/workflows/node_modules/semver/functions/parse.js
var require_parse10 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/parse.js"(exports2, module2) {
    var SemVer = require_semver13();
    var parse = (version, options, throwErrors = false) => {
      if (version instanceof SemVer) {
        return version;
      }
      try {
        return new SemVer(version, options);
      } catch (er) {
        if (!throwErrors) {
          return null;
        }
        throw er;
      }
    };
    module2.exports = parse;
  }
});

// ../../components/workflows/node_modules/semver/functions/valid.js
var require_valid7 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/valid.js"(exports2, module2) {
    var parse = require_parse10();
    var valid = (version, options) => {
      const v = parse(version, options);
      return v ? v.version : null;
    };
    module2.exports = valid;
  }
});

// ../../components/workflows/node_modules/semver/functions/clean.js
var require_clean4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/clean.js"(exports2, module2) {
    var parse = require_parse10();
    var clean = (version, options) => {
      const s = parse(version.trim().replace(/^[=v]+/, ""), options);
      return s ? s.version : null;
    };
    module2.exports = clean;
  }
});

// ../../components/workflows/node_modules/semver/functions/inc.js
var require_inc4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/inc.js"(exports2, module2) {
    var SemVer = require_semver13();
    var inc = (version, release, options, identifier, identifierBase) => {
      if (typeof options === "string") {
        identifierBase = identifier;
        identifier = options;
        options = void 0;
      }
      try {
        return new SemVer(
          version instanceof SemVer ? version.version : version,
          options
        ).inc(release, identifier, identifierBase).version;
      } catch (er) {
        return null;
      }
    };
    module2.exports = inc;
  }
});

// ../../components/workflows/node_modules/semver/functions/diff.js
var require_diff4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/diff.js"(exports2, module2) {
    var parse = require_parse10();
    var diff = (version1, version2) => {
      const v1 = parse(version1, null, true);
      const v2 = parse(version2, null, true);
      const comparison = v1.compare(v2);
      if (comparison === 0) {
        return null;
      }
      const v1Higher = comparison > 0;
      const highVersion = v1Higher ? v1 : v2;
      const lowVersion = v1Higher ? v2 : v1;
      const highHasPre = !!highVersion.prerelease.length;
      const lowHasPre = !!lowVersion.prerelease.length;
      if (lowHasPre && !highHasPre) {
        if (!lowVersion.patch && !lowVersion.minor) {
          return "major";
        }
        if (highVersion.patch) {
          return "patch";
        }
        if (highVersion.minor) {
          return "minor";
        }
        return "major";
      }
      const prefix = highHasPre ? "pre" : "";
      if (v1.major !== v2.major) {
        return prefix + "major";
      }
      if (v1.minor !== v2.minor) {
        return prefix + "minor";
      }
      if (v1.patch !== v2.patch) {
        return prefix + "patch";
      }
      return "prerelease";
    };
    module2.exports = diff;
  }
});

// ../../components/workflows/node_modules/semver/functions/major.js
var require_major4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/major.js"(exports2, module2) {
    var SemVer = require_semver13();
    var major = (a, loose) => new SemVer(a, loose).major;
    module2.exports = major;
  }
});

// ../../components/workflows/node_modules/semver/functions/minor.js
var require_minor4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/minor.js"(exports2, module2) {
    var SemVer = require_semver13();
    var minor = (a, loose) => new SemVer(a, loose).minor;
    module2.exports = minor;
  }
});

// ../../components/workflows/node_modules/semver/functions/patch.js
var require_patch4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/patch.js"(exports2, module2) {
    var SemVer = require_semver13();
    var patch = (a, loose) => new SemVer(a, loose).patch;
    module2.exports = patch;
  }
});

// ../../components/workflows/node_modules/semver/functions/prerelease.js
var require_prerelease4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/prerelease.js"(exports2, module2) {
    var parse = require_parse10();
    var prerelease = (version, options) => {
      const parsed = parse(version, options);
      return parsed && parsed.prerelease.length ? parsed.prerelease : null;
    };
    module2.exports = prerelease;
  }
});

// ../../components/workflows/node_modules/semver/functions/compare.js
var require_compare4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/compare.js"(exports2, module2) {
    var SemVer = require_semver13();
    var compare = (a, b, loose) => new SemVer(a, loose).compare(new SemVer(b, loose));
    module2.exports = compare;
  }
});

// ../../components/workflows/node_modules/semver/functions/rcompare.js
var require_rcompare4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/rcompare.js"(exports2, module2) {
    var compare = require_compare4();
    var rcompare = (a, b, loose) => compare(b, a, loose);
    module2.exports = rcompare;
  }
});

// ../../components/workflows/node_modules/semver/functions/compare-loose.js
var require_compare_loose4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/compare-loose.js"(exports2, module2) {
    var compare = require_compare4();
    var compareLoose = (a, b) => compare(a, b, true);
    module2.exports = compareLoose;
  }
});

// ../../components/workflows/node_modules/semver/functions/compare-build.js
var require_compare_build4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/compare-build.js"(exports2, module2) {
    var SemVer = require_semver13();
    var compareBuild = (a, b, loose) => {
      const versionA = new SemVer(a, loose);
      const versionB = new SemVer(b, loose);
      return versionA.compare(versionB) || versionA.compareBuild(versionB);
    };
    module2.exports = compareBuild;
  }
});

// ../../components/workflows/node_modules/semver/functions/sort.js
var require_sort4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/sort.js"(exports2, module2) {
    var compareBuild = require_compare_build4();
    var sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose));
    module2.exports = sort;
  }
});

// ../../components/workflows/node_modules/semver/functions/rsort.js
var require_rsort4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/rsort.js"(exports2, module2) {
    var compareBuild = require_compare_build4();
    var rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose));
    module2.exports = rsort;
  }
});

// ../../components/workflows/node_modules/semver/functions/gt.js
var require_gt4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/gt.js"(exports2, module2) {
    var compare = require_compare4();
    var gt = (a, b, loose) => compare(a, b, loose) > 0;
    module2.exports = gt;
  }
});

// ../../components/workflows/node_modules/semver/functions/lt.js
var require_lt4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/lt.js"(exports2, module2) {
    var compare = require_compare4();
    var lt = (a, b, loose) => compare(a, b, loose) < 0;
    module2.exports = lt;
  }
});

// ../../components/workflows/node_modules/semver/functions/eq.js
var require_eq4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/eq.js"(exports2, module2) {
    var compare = require_compare4();
    var eq = (a, b, loose) => compare(a, b, loose) === 0;
    module2.exports = eq;
  }
});

// ../../components/workflows/node_modules/semver/functions/neq.js
var require_neq4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/neq.js"(exports2, module2) {
    var compare = require_compare4();
    var neq = (a, b, loose) => compare(a, b, loose) !== 0;
    module2.exports = neq;
  }
});

// ../../components/workflows/node_modules/semver/functions/gte.js
var require_gte4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/gte.js"(exports2, module2) {
    var compare = require_compare4();
    var gte = (a, b, loose) => compare(a, b, loose) >= 0;
    module2.exports = gte;
  }
});

// ../../components/workflows/node_modules/semver/functions/lte.js
var require_lte4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/lte.js"(exports2, module2) {
    var compare = require_compare4();
    var lte = (a, b, loose) => compare(a, b, loose) <= 0;
    module2.exports = lte;
  }
});

// ../../components/workflows/node_modules/semver/functions/cmp.js
var require_cmp4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/cmp.js"(exports2, module2) {
    var eq = require_eq4();
    var neq = require_neq4();
    var gt = require_gt4();
    var gte = require_gte4();
    var lt = require_lt4();
    var lte = require_lte4();
    var cmp = (a, op, b, loose) => {
      switch (op) {
        case "===":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a === b;
        case "!==":
          if (typeof a === "object") {
            a = a.version;
          }
          if (typeof b === "object") {
            b = b.version;
          }
          return a !== b;
        case "":
        case "=":
        case "==":
          return eq(a, b, loose);
        case "!=":
          return neq(a, b, loose);
        case ">":
          return gt(a, b, loose);
        case ">=":
          return gte(a, b, loose);
        case "<":
          return lt(a, b, loose);
        case "<=":
          return lte(a, b, loose);
        default:
          throw new TypeError(`Invalid operator: ${op}`);
      }
    };
    module2.exports = cmp;
  }
});

// ../../components/workflows/node_modules/semver/functions/coerce.js
var require_coerce4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/coerce.js"(exports2, module2) {
    var SemVer = require_semver13();
    var parse = require_parse10();
    var { safeRe: re, t } = require_re4();
    var coerce = (version, options) => {
      if (version instanceof SemVer) {
        return version;
      }
      if (typeof version === "number") {
        version = String(version);
      }
      if (typeof version !== "string") {
        return null;
      }
      options = options || {};
      let match = null;
      if (!options.rtl) {
        match = version.match(re[t.COERCE]);
      } else {
        let next;
        while ((next = re[t.COERCERTL].exec(version)) && (!match || match.index + match[0].length !== version.length)) {
          if (!match || next.index + next[0].length !== match.index + match[0].length) {
            match = next;
          }
          re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
        }
        re[t.COERCERTL].lastIndex = -1;
      }
      if (match === null) {
        return null;
      }
      return parse(`${match[2]}.${match[3] || "0"}.${match[4] || "0"}`, options);
    };
    module2.exports = coerce;
  }
});

// ../../components/workflows/node_modules/yallist/iterator.js
var require_iterator4 = __commonJS({
  "../../components/workflows/node_modules/yallist/iterator.js"(exports2, module2) {
    "use strict";
    module2.exports = function(Yallist) {
      Yallist.prototype[Symbol.iterator] = function* () {
        for (let walker = this.head; walker; walker = walker.next) {
          yield walker.value;
        }
      };
    };
  }
});

// ../../components/workflows/node_modules/yallist/yallist.js
var require_yallist4 = __commonJS({
  "../../components/workflows/node_modules/yallist/yallist.js"(exports2, module2) {
    "use strict";
    module2.exports = Yallist;
    Yallist.Node = Node;
    Yallist.create = Yallist;
    function Yallist(list) {
      var self2 = this;
      if (!(self2 instanceof Yallist)) {
        self2 = new Yallist();
      }
      self2.tail = null;
      self2.head = null;
      self2.length = 0;
      if (list && typeof list.forEach === "function") {
        list.forEach(function(item) {
          self2.push(item);
        });
      } else if (arguments.length > 0) {
        for (var i = 0, l = arguments.length; i < l; i++) {
          self2.push(arguments[i]);
        }
      }
      return self2;
    }
    Yallist.prototype.removeNode = function(node) {
      if (node.list !== this) {
        throw new Error("removing node which does not belong to this list");
      }
      var next = node.next;
      var prev = node.prev;
      if (next) {
        next.prev = prev;
      }
      if (prev) {
        prev.next = next;
      }
      if (node === this.head) {
        this.head = next;
      }
      if (node === this.tail) {
        this.tail = prev;
      }
      node.list.length--;
      node.next = null;
      node.prev = null;
      node.list = null;
      return next;
    };
    Yallist.prototype.unshiftNode = function(node) {
      if (node === this.head) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var head = this.head;
      node.list = this;
      node.next = head;
      if (head) {
        head.prev = node;
      }
      this.head = node;
      if (!this.tail) {
        this.tail = node;
      }
      this.length++;
    };
    Yallist.prototype.pushNode = function(node) {
      if (node === this.tail) {
        return;
      }
      if (node.list) {
        node.list.removeNode(node);
      }
      var tail = this.tail;
      node.list = this;
      node.prev = tail;
      if (tail) {
        tail.next = node;
      }
      this.tail = node;
      if (!this.head) {
        this.head = node;
      }
      this.length++;
    };
    Yallist.prototype.push = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        push(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.unshift = function() {
      for (var i = 0, l = arguments.length; i < l; i++) {
        unshift(this, arguments[i]);
      }
      return this.length;
    };
    Yallist.prototype.pop = function() {
      if (!this.tail) {
        return void 0;
      }
      var res = this.tail.value;
      this.tail = this.tail.prev;
      if (this.tail) {
        this.tail.next = null;
      } else {
        this.head = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.shift = function() {
      if (!this.head) {
        return void 0;
      }
      var res = this.head.value;
      this.head = this.head.next;
      if (this.head) {
        this.head.prev = null;
      } else {
        this.tail = null;
      }
      this.length--;
      return res;
    };
    Yallist.prototype.forEach = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.head, i = 0; walker !== null; i++) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.next;
      }
    };
    Yallist.prototype.forEachReverse = function(fn, thisp) {
      thisp = thisp || this;
      for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
        fn.call(thisp, walker.value, i, this);
        walker = walker.prev;
      }
    };
    Yallist.prototype.get = function(n) {
      for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
        walker = walker.next;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.getReverse = function(n) {
      for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
        walker = walker.prev;
      }
      if (i === n && walker !== null) {
        return walker.value;
      }
    };
    Yallist.prototype.map = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.head; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.next;
      }
      return res;
    };
    Yallist.prototype.mapReverse = function(fn, thisp) {
      thisp = thisp || this;
      var res = new Yallist();
      for (var walker = this.tail; walker !== null; ) {
        res.push(fn.call(thisp, walker.value, this));
        walker = walker.prev;
      }
      return res;
    };
    Yallist.prototype.reduce = function(fn, initial) {
      var acc;
      var walker = this.head;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.head) {
        walker = this.head.next;
        acc = this.head.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = 0; walker !== null; i++) {
        acc = fn(acc, walker.value, i);
        walker = walker.next;
      }
      return acc;
    };
    Yallist.prototype.reduceReverse = function(fn, initial) {
      var acc;
      var walker = this.tail;
      if (arguments.length > 1) {
        acc = initial;
      } else if (this.tail) {
        walker = this.tail.prev;
        acc = this.tail.value;
      } else {
        throw new TypeError("Reduce of empty list with no initial value");
      }
      for (var i = this.length - 1; walker !== null; i--) {
        acc = fn(acc, walker.value, i);
        walker = walker.prev;
      }
      return acc;
    };
    Yallist.prototype.toArray = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.head; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.next;
      }
      return arr;
    };
    Yallist.prototype.toArrayReverse = function() {
      var arr = new Array(this.length);
      for (var i = 0, walker = this.tail; walker !== null; i++) {
        arr[i] = walker.value;
        walker = walker.prev;
      }
      return arr;
    };
    Yallist.prototype.slice = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
        walker = walker.next;
      }
      for (; walker !== null && i < to; i++, walker = walker.next) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.sliceReverse = function(from, to) {
      to = to || this.length;
      if (to < 0) {
        to += this.length;
      }
      from = from || 0;
      if (from < 0) {
        from += this.length;
      }
      var ret = new Yallist();
      if (to < from || to < 0) {
        return ret;
      }
      if (from < 0) {
        from = 0;
      }
      if (to > this.length) {
        to = this.length;
      }
      for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
        walker = walker.prev;
      }
      for (; walker !== null && i > from; i--, walker = walker.prev) {
        ret.push(walker.value);
      }
      return ret;
    };
    Yallist.prototype.splice = function(start, deleteCount, ...nodes) {
      if (start > this.length) {
        start = this.length - 1;
      }
      if (start < 0) {
        start = this.length + start;
      }
      for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
        walker = walker.next;
      }
      var ret = [];
      for (var i = 0; walker && i < deleteCount; i++) {
        ret.push(walker.value);
        walker = this.removeNode(walker);
      }
      if (walker === null) {
        walker = this.tail;
      }
      if (walker !== this.head && walker !== this.tail) {
        walker = walker.prev;
      }
      for (var i = 0; i < nodes.length; i++) {
        walker = insert(this, walker, nodes[i]);
      }
      return ret;
    };
    Yallist.prototype.reverse = function() {
      var head = this.head;
      var tail = this.tail;
      for (var walker = head; walker !== null; walker = walker.prev) {
        var p = walker.prev;
        walker.prev = walker.next;
        walker.next = p;
      }
      this.head = tail;
      this.tail = head;
      return this;
    };
    function insert(self2, node, value) {
      var inserted = node === self2.head ? new Node(value, null, node, self2) : new Node(value, node, node.next, self2);
      if (inserted.next === null) {
        self2.tail = inserted;
      }
      if (inserted.prev === null) {
        self2.head = inserted;
      }
      self2.length++;
      return inserted;
    }
    function push(self2, item) {
      self2.tail = new Node(item, self2.tail, null, self2);
      if (!self2.head) {
        self2.head = self2.tail;
      }
      self2.length++;
    }
    function unshift(self2, item) {
      self2.head = new Node(item, null, self2.head, self2);
      if (!self2.tail) {
        self2.tail = self2.head;
      }
      self2.length++;
    }
    function Node(value, prev, next, list) {
      if (!(this instanceof Node)) {
        return new Node(value, prev, next, list);
      }
      this.list = list;
      this.value = value;
      if (prev) {
        prev.next = this;
        this.prev = prev;
      } else {
        this.prev = null;
      }
      if (next) {
        next.prev = this;
        this.next = next;
      } else {
        this.next = null;
      }
    }
    try {
      require_iterator4()(Yallist);
    } catch (er) {
    }
  }
});

// ../../components/workflows/node_modules/semver/node_modules/lru-cache/index.js
var require_lru_cache4 = __commonJS({
  "../../components/workflows/node_modules/semver/node_modules/lru-cache/index.js"(exports2, module2) {
    "use strict";
    var Yallist = require_yallist4();
    var MAX = Symbol("max");
    var LENGTH = Symbol("length");
    var LENGTH_CALCULATOR = Symbol("lengthCalculator");
    var ALLOW_STALE = Symbol("allowStale");
    var MAX_AGE = Symbol("maxAge");
    var DISPOSE = Symbol("dispose");
    var NO_DISPOSE_ON_SET = Symbol("noDisposeOnSet");
    var LRU_LIST = Symbol("lruList");
    var CACHE = Symbol("cache");
    var UPDATE_AGE_ON_GET = Symbol("updateAgeOnGet");
    var naiveLength = () => 1;
    var LRUCache = class {
      constructor(options) {
        if (typeof options === "number")
          options = { max: options };
        if (!options)
          options = {};
        if (options.max && (typeof options.max !== "number" || options.max < 0))
          throw new TypeError("max must be a non-negative number");
        const max = this[MAX] = options.max || Infinity;
        const lc = options.length || naiveLength;
        this[LENGTH_CALCULATOR] = typeof lc !== "function" ? naiveLength : lc;
        this[ALLOW_STALE] = options.stale || false;
        if (options.maxAge && typeof options.maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        this[MAX_AGE] = options.maxAge || 0;
        this[DISPOSE] = options.dispose;
        this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
        this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
        this.reset();
      }
      // resize the cache when the max changes.
      set max(mL) {
        if (typeof mL !== "number" || mL < 0)
          throw new TypeError("max must be a non-negative number");
        this[MAX] = mL || Infinity;
        trim(this);
      }
      get max() {
        return this[MAX];
      }
      set allowStale(allowStale) {
        this[ALLOW_STALE] = !!allowStale;
      }
      get allowStale() {
        return this[ALLOW_STALE];
      }
      set maxAge(mA) {
        if (typeof mA !== "number")
          throw new TypeError("maxAge must be a non-negative number");
        this[MAX_AGE] = mA;
        trim(this);
      }
      get maxAge() {
        return this[MAX_AGE];
      }
      // resize the cache when the lengthCalculator changes.
      set lengthCalculator(lC) {
        if (typeof lC !== "function")
          lC = naiveLength;
        if (lC !== this[LENGTH_CALCULATOR]) {
          this[LENGTH_CALCULATOR] = lC;
          this[LENGTH] = 0;
          this[LRU_LIST].forEach((hit) => {
            hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
            this[LENGTH] += hit.length;
          });
        }
        trim(this);
      }
      get lengthCalculator() {
        return this[LENGTH_CALCULATOR];
      }
      get length() {
        return this[LENGTH];
      }
      get itemCount() {
        return this[LRU_LIST].length;
      }
      rforEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].tail; walker !== null; ) {
          const prev = walker.prev;
          forEachStep(this, fn, walker, thisp);
          walker = prev;
        }
      }
      forEach(fn, thisp) {
        thisp = thisp || this;
        for (let walker = this[LRU_LIST].head; walker !== null; ) {
          const next = walker.next;
          forEachStep(this, fn, walker, thisp);
          walker = next;
        }
      }
      keys() {
        return this[LRU_LIST].toArray().map((k) => k.key);
      }
      values() {
        return this[LRU_LIST].toArray().map((k) => k.value);
      }
      reset() {
        if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
          this[LRU_LIST].forEach((hit) => this[DISPOSE](hit.key, hit.value));
        }
        this[CACHE] = /* @__PURE__ */ new Map();
        this[LRU_LIST] = new Yallist();
        this[LENGTH] = 0;
      }
      dump() {
        return this[LRU_LIST].map((hit) => isStale(this, hit) ? false : {
          k: hit.key,
          v: hit.value,
          e: hit.now + (hit.maxAge || 0)
        }).toArray().filter((h) => h);
      }
      dumpLru() {
        return this[LRU_LIST];
      }
      set(key, value, maxAge) {
        maxAge = maxAge || this[MAX_AGE];
        if (maxAge && typeof maxAge !== "number")
          throw new TypeError("maxAge must be a number");
        const now = maxAge ? Date.now() : 0;
        const len = this[LENGTH_CALCULATOR](value, key);
        if (this[CACHE].has(key)) {
          if (len > this[MAX]) {
            del(this, this[CACHE].get(key));
            return false;
          }
          const node = this[CACHE].get(key);
          const item = node.value;
          if (this[DISPOSE]) {
            if (!this[NO_DISPOSE_ON_SET])
              this[DISPOSE](key, item.value);
          }
          item.now = now;
          item.maxAge = maxAge;
          item.value = value;
          this[LENGTH] += len - item.length;
          item.length = len;
          this.get(key);
          trim(this);
          return true;
        }
        const hit = new Entry(key, value, len, now, maxAge);
        if (hit.length > this[MAX]) {
          if (this[DISPOSE])
            this[DISPOSE](key, value);
          return false;
        }
        this[LENGTH] += hit.length;
        this[LRU_LIST].unshift(hit);
        this[CACHE].set(key, this[LRU_LIST].head);
        trim(this);
        return true;
      }
      has(key) {
        if (!this[CACHE].has(key))
          return false;
        const hit = this[CACHE].get(key).value;
        return !isStale(this, hit);
      }
      get(key) {
        return get(this, key, true);
      }
      peek(key) {
        return get(this, key, false);
      }
      pop() {
        const node = this[LRU_LIST].tail;
        if (!node)
          return null;
        del(this, node);
        return node.value;
      }
      del(key) {
        del(this, this[CACHE].get(key));
      }
      load(arr) {
        this.reset();
        const now = Date.now();
        for (let l = arr.length - 1; l >= 0; l--) {
          const hit = arr[l];
          const expiresAt = hit.e || 0;
          if (expiresAt === 0)
            this.set(hit.k, hit.v);
          else {
            const maxAge = expiresAt - now;
            if (maxAge > 0) {
              this.set(hit.k, hit.v, maxAge);
            }
          }
        }
      }
      prune() {
        this[CACHE].forEach((value, key) => get(this, key, false));
      }
    };
    var get = (self2, key, doUse) => {
      const node = self2[CACHE].get(key);
      if (node) {
        const hit = node.value;
        if (isStale(self2, hit)) {
          del(self2, node);
          if (!self2[ALLOW_STALE])
            return void 0;
        } else {
          if (doUse) {
            if (self2[UPDATE_AGE_ON_GET])
              node.value.now = Date.now();
            self2[LRU_LIST].unshiftNode(node);
          }
        }
        return hit.value;
      }
    };
    var isStale = (self2, hit) => {
      if (!hit || !hit.maxAge && !self2[MAX_AGE])
        return false;
      const diff = Date.now() - hit.now;
      return hit.maxAge ? diff > hit.maxAge : self2[MAX_AGE] && diff > self2[MAX_AGE];
    };
    var trim = (self2) => {
      if (self2[LENGTH] > self2[MAX]) {
        for (let walker = self2[LRU_LIST].tail; self2[LENGTH] > self2[MAX] && walker !== null; ) {
          const prev = walker.prev;
          del(self2, walker);
          walker = prev;
        }
      }
    };
    var del = (self2, node) => {
      if (node) {
        const hit = node.value;
        if (self2[DISPOSE])
          self2[DISPOSE](hit.key, hit.value);
        self2[LENGTH] -= hit.length;
        self2[CACHE].delete(hit.key);
        self2[LRU_LIST].removeNode(node);
      }
    };
    var Entry = class {
      constructor(key, value, length, now, maxAge) {
        this.key = key;
        this.value = value;
        this.length = length;
        this.now = now;
        this.maxAge = maxAge || 0;
      }
    };
    var forEachStep = (self2, fn, node, thisp) => {
      let hit = node.value;
      if (isStale(self2, hit)) {
        del(self2, node);
        if (!self2[ALLOW_STALE])
          hit = void 0;
      }
      if (hit)
        fn.call(thisp, hit.value, hit.key, self2);
    };
    module2.exports = LRUCache;
  }
});

// ../../components/workflows/node_modules/semver/classes/range.js
var require_range4 = __commonJS({
  "../../components/workflows/node_modules/semver/classes/range.js"(exports2, module2) {
    var Range = class _Range {
      constructor(range, options) {
        options = parseOptions(options);
        if (range instanceof _Range) {
          if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
            return range;
          } else {
            return new _Range(range.raw, options);
          }
        }
        if (range instanceof Comparator) {
          this.raw = range.value;
          this.set = [[range]];
          this.format();
          return this;
        }
        this.options = options;
        this.loose = !!options.loose;
        this.includePrerelease = !!options.includePrerelease;
        this.raw = range.trim().split(/\s+/).join(" ");
        this.set = this.raw.split("||").map((r) => this.parseRange(r)).filter((c) => c.length);
        if (!this.set.length) {
          throw new TypeError(`Invalid SemVer Range: ${this.raw}`);
        }
        if (this.set.length > 1) {
          const first = this.set[0];
          this.set = this.set.filter((c) => !isNullSet(c[0]));
          if (this.set.length === 0) {
            this.set = [first];
          } else if (this.set.length > 1) {
            for (const c of this.set) {
              if (c.length === 1 && isAny(c[0])) {
                this.set = [c];
                break;
              }
            }
          }
        }
        this.format();
      }
      format() {
        this.range = this.set.map((comps) => comps.join(" ").trim()).join("||").trim();
        return this.range;
      }
      toString() {
        return this.range;
      }
      parseRange(range) {
        const memoOpts = (this.options.includePrerelease && FLAG_INCLUDE_PRERELEASE) | (this.options.loose && FLAG_LOOSE);
        const memoKey = memoOpts + ":" + range;
        const cached = cache.get(memoKey);
        if (cached) {
          return cached;
        }
        const loose = this.options.loose;
        const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE];
        range = range.replace(hr, hyphenReplace(this.options.includePrerelease));
        debug("hyphen replace", range);
        range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace);
        debug("comparator trim", range);
        range = range.replace(re[t.TILDETRIM], tildeTrimReplace);
        debug("tilde trim", range);
        range = range.replace(re[t.CARETTRIM], caretTrimReplace);
        debug("caret trim", range);
        let rangeList = range.split(" ").map((comp) => parseComparator(comp, this.options)).join(" ").split(/\s+/).map((comp) => replaceGTE0(comp, this.options));
        if (loose) {
          rangeList = rangeList.filter((comp) => {
            debug("loose invalid filter", comp, this.options);
            return !!comp.match(re[t.COMPARATORLOOSE]);
          });
        }
        debug("range list", rangeList);
        const rangeMap = /* @__PURE__ */ new Map();
        const comparators = rangeList.map((comp) => new Comparator(comp, this.options));
        for (const comp of comparators) {
          if (isNullSet(comp)) {
            return [comp];
          }
          rangeMap.set(comp.value, comp);
        }
        if (rangeMap.size > 1 && rangeMap.has("")) {
          rangeMap.delete("");
        }
        const result = [...rangeMap.values()];
        cache.set(memoKey, result);
        return result;
      }
      intersects(range, options) {
        if (!(range instanceof _Range)) {
          throw new TypeError("a Range is required");
        }
        return this.set.some((thisComparators) => {
          return isSatisfiable(thisComparators, options) && range.set.some((rangeComparators) => {
            return isSatisfiable(rangeComparators, options) && thisComparators.every((thisComparator) => {
              return rangeComparators.every((rangeComparator) => {
                return thisComparator.intersects(rangeComparator, options);
              });
            });
          });
        });
      }
      // if ANY of the sets match ALL of its comparators, then pass
      test(version) {
        if (!version) {
          return false;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        for (let i = 0; i < this.set.length; i++) {
          if (testSet(this.set[i], version, this.options)) {
            return true;
          }
        }
        return false;
      }
    };
    module2.exports = Range;
    var LRU = require_lru_cache4();
    var cache = new LRU({ max: 1e3 });
    var parseOptions = require_parse_options4();
    var Comparator = require_comparator4();
    var debug = require_debug4();
    var SemVer = require_semver13();
    var {
      safeRe: re,
      t,
      comparatorTrimReplace,
      tildeTrimReplace,
      caretTrimReplace
    } = require_re4();
    var { FLAG_INCLUDE_PRERELEASE, FLAG_LOOSE } = require_constants11();
    var isNullSet = (c) => c.value === "<0.0.0-0";
    var isAny = (c) => c.value === "";
    var isSatisfiable = (comparators, options) => {
      let result = true;
      const remainingComparators = comparators.slice();
      let testComparator = remainingComparators.pop();
      while (result && remainingComparators.length) {
        result = remainingComparators.every((otherComparator) => {
          return testComparator.intersects(otherComparator, options);
        });
        testComparator = remainingComparators.pop();
      }
      return result;
    };
    var parseComparator = (comp, options) => {
      debug("comp", comp, options);
      comp = replaceCarets(comp, options);
      debug("caret", comp);
      comp = replaceTildes(comp, options);
      debug("tildes", comp);
      comp = replaceXRanges(comp, options);
      debug("xrange", comp);
      comp = replaceStars(comp, options);
      debug("stars", comp);
      return comp;
    };
    var isX = (id) => !id || id.toLowerCase() === "x" || id === "*";
    var replaceTildes = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceTilde(c, options)).join(" ");
    };
    var replaceTilde = (comp, options) => {
      const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE];
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("tilde", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0 <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`;
        } else if (pr) {
          debug("replaceTilde pr", pr);
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
        } else {
          ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`;
        }
        debug("tilde return", ret);
        return ret;
      });
    };
    var replaceCarets = (comp, options) => {
      return comp.trim().split(/\s+/).map((c) => replaceCaret(c, options)).join(" ");
    };
    var replaceCaret = (comp, options) => {
      debug("caret", comp, options);
      const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET];
      const z = options.includePrerelease ? "-0" : "";
      return comp.replace(r, (_, M, m, p, pr) => {
        debug("caret", comp, _, M, m, p, pr);
        let ret;
        if (isX(M)) {
          ret = "";
        } else if (isX(m)) {
          ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`;
        } else if (isX(p)) {
          if (M === "0") {
            ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`;
          } else {
            ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`;
          }
        } else if (pr) {
          debug("replaceCaret pr", pr);
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`;
          }
        } else {
          debug("no pr");
          if (M === "0") {
            if (m === "0") {
              ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`;
            } else {
              ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`;
            }
          } else {
            ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`;
          }
        }
        debug("caret return", ret);
        return ret;
      });
    };
    var replaceXRanges = (comp, options) => {
      debug("replaceXRanges", comp, options);
      return comp.split(/\s+/).map((c) => replaceXRange(c, options)).join(" ");
    };
    var replaceXRange = (comp, options) => {
      comp = comp.trim();
      const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE];
      return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
        debug("xRange", comp, ret, gtlt, M, m, p, pr);
        const xM = isX(M);
        const xm = xM || isX(m);
        const xp = xm || isX(p);
        const anyX = xp;
        if (gtlt === "=" && anyX) {
          gtlt = "";
        }
        pr = options.includePrerelease ? "-0" : "";
        if (xM) {
          if (gtlt === ">" || gtlt === "<") {
            ret = "<0.0.0-0";
          } else {
            ret = "*";
          }
        } else if (gtlt && anyX) {
          if (xm) {
            m = 0;
          }
          p = 0;
          if (gtlt === ">") {
            gtlt = ">=";
            if (xm) {
              M = +M + 1;
              m = 0;
              p = 0;
            } else {
              m = +m + 1;
              p = 0;
            }
          } else if (gtlt === "<=") {
            gtlt = "<";
            if (xm) {
              M = +M + 1;
            } else {
              m = +m + 1;
            }
          }
          if (gtlt === "<") {
            pr = "-0";
          }
          ret = `${gtlt + M}.${m}.${p}${pr}`;
        } else if (xm) {
          ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`;
        } else if (xp) {
          ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`;
        }
        debug("xRange return", ret);
        return ret;
      });
    };
    var replaceStars = (comp, options) => {
      debug("replaceStars", comp, options);
      return comp.trim().replace(re[t.STAR], "");
    };
    var replaceGTE0 = (comp, options) => {
      debug("replaceGTE0", comp, options);
      return comp.trim().replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], "");
    };
    var hyphenReplace = (incPr) => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) => {
      if (isX(fM)) {
        from = "";
      } else if (isX(fm)) {
        from = `>=${fM}.0.0${incPr ? "-0" : ""}`;
      } else if (isX(fp)) {
        from = `>=${fM}.${fm}.0${incPr ? "-0" : ""}`;
      } else if (fpr) {
        from = `>=${from}`;
      } else {
        from = `>=${from}${incPr ? "-0" : ""}`;
      }
      if (isX(tM)) {
        to = "";
      } else if (isX(tm)) {
        to = `<${+tM + 1}.0.0-0`;
      } else if (isX(tp)) {
        to = `<${tM}.${+tm + 1}.0-0`;
      } else if (tpr) {
        to = `<=${tM}.${tm}.${tp}-${tpr}`;
      } else if (incPr) {
        to = `<${tM}.${tm}.${+tp + 1}-0`;
      } else {
        to = `<=${to}`;
      }
      return `${from} ${to}`.trim();
    };
    var testSet = (set, version, options) => {
      for (let i = 0; i < set.length; i++) {
        if (!set[i].test(version)) {
          return false;
        }
      }
      if (version.prerelease.length && !options.includePrerelease) {
        for (let i = 0; i < set.length; i++) {
          debug(set[i].semver);
          if (set[i].semver === Comparator.ANY) {
            continue;
          }
          if (set[i].semver.prerelease.length > 0) {
            const allowed = set[i].semver;
            if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
              return true;
            }
          }
        }
        return false;
      }
      return true;
    };
  }
});

// ../../components/workflows/node_modules/semver/classes/comparator.js
var require_comparator4 = __commonJS({
  "../../components/workflows/node_modules/semver/classes/comparator.js"(exports2, module2) {
    var ANY = Symbol("SemVer ANY");
    var Comparator = class _Comparator {
      static get ANY() {
        return ANY;
      }
      constructor(comp, options) {
        options = parseOptions(options);
        if (comp instanceof _Comparator) {
          if (comp.loose === !!options.loose) {
            return comp;
          } else {
            comp = comp.value;
          }
        }
        comp = comp.trim().split(/\s+/).join(" ");
        debug("comparator", comp, options);
        this.options = options;
        this.loose = !!options.loose;
        this.parse(comp);
        if (this.semver === ANY) {
          this.value = "";
        } else {
          this.value = this.operator + this.semver.version;
        }
        debug("comp", this);
      }
      parse(comp) {
        const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
        const m = comp.match(r);
        if (!m) {
          throw new TypeError(`Invalid comparator: ${comp}`);
        }
        this.operator = m[1] !== void 0 ? m[1] : "";
        if (this.operator === "=") {
          this.operator = "";
        }
        if (!m[2]) {
          this.semver = ANY;
        } else {
          this.semver = new SemVer(m[2], this.options.loose);
        }
      }
      toString() {
        return this.value;
      }
      test(version) {
        debug("Comparator.test", version, this.options.loose);
        if (this.semver === ANY || version === ANY) {
          return true;
        }
        if (typeof version === "string") {
          try {
            version = new SemVer(version, this.options);
          } catch (er) {
            return false;
          }
        }
        return cmp(version, this.operator, this.semver, this.options);
      }
      intersects(comp, options) {
        if (!(comp instanceof _Comparator)) {
          throw new TypeError("a Comparator is required");
        }
        if (this.operator === "") {
          if (this.value === "") {
            return true;
          }
          return new Range(comp.value, options).test(this.value);
        } else if (comp.operator === "") {
          if (comp.value === "") {
            return true;
          }
          return new Range(this.value, options).test(comp.semver);
        }
        options = parseOptions(options);
        if (options.includePrerelease && (this.value === "<0.0.0-0" || comp.value === "<0.0.0-0")) {
          return false;
        }
        if (!options.includePrerelease && (this.value.startsWith("<0.0.0") || comp.value.startsWith("<0.0.0"))) {
          return false;
        }
        if (this.operator.startsWith(">") && comp.operator.startsWith(">")) {
          return true;
        }
        if (this.operator.startsWith("<") && comp.operator.startsWith("<")) {
          return true;
        }
        if (this.semver.version === comp.semver.version && this.operator.includes("=") && comp.operator.includes("=")) {
          return true;
        }
        if (cmp(this.semver, "<", comp.semver, options) && this.operator.startsWith(">") && comp.operator.startsWith("<")) {
          return true;
        }
        if (cmp(this.semver, ">", comp.semver, options) && this.operator.startsWith("<") && comp.operator.startsWith(">")) {
          return true;
        }
        return false;
      }
    };
    module2.exports = Comparator;
    var parseOptions = require_parse_options4();
    var { safeRe: re, t } = require_re4();
    var cmp = require_cmp4();
    var debug = require_debug4();
    var SemVer = require_semver13();
    var Range = require_range4();
  }
});

// ../../components/workflows/node_modules/semver/functions/satisfies.js
var require_satisfies4 = __commonJS({
  "../../components/workflows/node_modules/semver/functions/satisfies.js"(exports2, module2) {
    var Range = require_range4();
    var satisfies = (version, range, options) => {
      try {
        range = new Range(range, options);
      } catch (er) {
        return false;
      }
      return range.test(version);
    };
    module2.exports = satisfies;
  }
});

// ../../components/workflows/node_modules/semver/ranges/to-comparators.js
var require_to_comparators4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/to-comparators.js"(exports2, module2) {
    var Range = require_range4();
    var toComparators = (range, options) => new Range(range, options).set.map((comp) => comp.map((c) => c.value).join(" ").trim().split(" "));
    module2.exports = toComparators;
  }
});

// ../../components/workflows/node_modules/semver/ranges/max-satisfying.js
var require_max_satisfying4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/max-satisfying.js"(exports2, module2) {
    var SemVer = require_semver13();
    var Range = require_range4();
    var maxSatisfying = (versions, range, options) => {
      let max = null;
      let maxSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!max || maxSV.compare(v) === -1) {
            max = v;
            maxSV = new SemVer(max, options);
          }
        }
      });
      return max;
    };
    module2.exports = maxSatisfying;
  }
});

// ../../components/workflows/node_modules/semver/ranges/min-satisfying.js
var require_min_satisfying4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/min-satisfying.js"(exports2, module2) {
    var SemVer = require_semver13();
    var Range = require_range4();
    var minSatisfying = (versions, range, options) => {
      let min = null;
      let minSV = null;
      let rangeObj = null;
      try {
        rangeObj = new Range(range, options);
      } catch (er) {
        return null;
      }
      versions.forEach((v) => {
        if (rangeObj.test(v)) {
          if (!min || minSV.compare(v) === 1) {
            min = v;
            minSV = new SemVer(min, options);
          }
        }
      });
      return min;
    };
    module2.exports = minSatisfying;
  }
});

// ../../components/workflows/node_modules/semver/ranges/min-version.js
var require_min_version4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/min-version.js"(exports2, module2) {
    var SemVer = require_semver13();
    var Range = require_range4();
    var gt = require_gt4();
    var minVersion = (range, loose) => {
      range = new Range(range, loose);
      let minver = new SemVer("0.0.0");
      if (range.test(minver)) {
        return minver;
      }
      minver = new SemVer("0.0.0-0");
      if (range.test(minver)) {
        return minver;
      }
      minver = null;
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let setMin = null;
        comparators.forEach((comparator) => {
          const compver = new SemVer(comparator.semver.version);
          switch (comparator.operator) {
            case ">":
              if (compver.prerelease.length === 0) {
                compver.patch++;
              } else {
                compver.prerelease.push(0);
              }
              compver.raw = compver.format();
            case "":
            case ">=":
              if (!setMin || gt(compver, setMin)) {
                setMin = compver;
              }
              break;
            case "<":
            case "<=":
              break;
            default:
              throw new Error(`Unexpected operation: ${comparator.operator}`);
          }
        });
        if (setMin && (!minver || gt(minver, setMin))) {
          minver = setMin;
        }
      }
      if (minver && range.test(minver)) {
        return minver;
      }
      return null;
    };
    module2.exports = minVersion;
  }
});

// ../../components/workflows/node_modules/semver/ranges/valid.js
var require_valid8 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/valid.js"(exports2, module2) {
    var Range = require_range4();
    var validRange = (range, options) => {
      try {
        return new Range(range, options).range || "*";
      } catch (er) {
        return null;
      }
    };
    module2.exports = validRange;
  }
});

// ../../components/workflows/node_modules/semver/ranges/outside.js
var require_outside4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/outside.js"(exports2, module2) {
    var SemVer = require_semver13();
    var Comparator = require_comparator4();
    var { ANY } = Comparator;
    var Range = require_range4();
    var satisfies = require_satisfies4();
    var gt = require_gt4();
    var lt = require_lt4();
    var lte = require_lte4();
    var gte = require_gte4();
    var outside = (version, range, hilo, options) => {
      version = new SemVer(version, options);
      range = new Range(range, options);
      let gtfn, ltefn, ltfn, comp, ecomp;
      switch (hilo) {
        case ">":
          gtfn = gt;
          ltefn = lte;
          ltfn = lt;
          comp = ">";
          ecomp = ">=";
          break;
        case "<":
          gtfn = lt;
          ltefn = gte;
          ltfn = gt;
          comp = "<";
          ecomp = "<=";
          break;
        default:
          throw new TypeError('Must provide a hilo val of "<" or ">"');
      }
      if (satisfies(version, range, options)) {
        return false;
      }
      for (let i = 0; i < range.set.length; ++i) {
        const comparators = range.set[i];
        let high = null;
        let low = null;
        comparators.forEach((comparator) => {
          if (comparator.semver === ANY) {
            comparator = new Comparator(">=0.0.0");
          }
          high = high || comparator;
          low = low || comparator;
          if (gtfn(comparator.semver, high.semver, options)) {
            high = comparator;
          } else if (ltfn(comparator.semver, low.semver, options)) {
            low = comparator;
          }
        });
        if (high.operator === comp || high.operator === ecomp) {
          return false;
        }
        if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
          return false;
        } else if (low.operator === ecomp && ltfn(version, low.semver)) {
          return false;
        }
      }
      return true;
    };
    module2.exports = outside;
  }
});

// ../../components/workflows/node_modules/semver/ranges/gtr.js
var require_gtr4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/gtr.js"(exports2, module2) {
    var outside = require_outside4();
    var gtr = (version, range, options) => outside(version, range, ">", options);
    module2.exports = gtr;
  }
});

// ../../components/workflows/node_modules/semver/ranges/ltr.js
var require_ltr4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/ltr.js"(exports2, module2) {
    var outside = require_outside4();
    var ltr = (version, range, options) => outside(version, range, "<", options);
    module2.exports = ltr;
  }
});

// ../../components/workflows/node_modules/semver/ranges/intersects.js
var require_intersects4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/intersects.js"(exports2, module2) {
    var Range = require_range4();
    var intersects = (r1, r2, options) => {
      r1 = new Range(r1, options);
      r2 = new Range(r2, options);
      return r1.intersects(r2, options);
    };
    module2.exports = intersects;
  }
});

// ../../components/workflows/node_modules/semver/ranges/simplify.js
var require_simplify4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/simplify.js"(exports2, module2) {
    var satisfies = require_satisfies4();
    var compare = require_compare4();
    module2.exports = (versions, range, options) => {
      const set = [];
      let first = null;
      let prev = null;
      const v = versions.sort((a, b) => compare(a, b, options));
      for (const version of v) {
        const included = satisfies(version, range, options);
        if (included) {
          prev = version;
          if (!first) {
            first = version;
          }
        } else {
          if (prev) {
            set.push([first, prev]);
          }
          prev = null;
          first = null;
        }
      }
      if (first) {
        set.push([first, null]);
      }
      const ranges = [];
      for (const [min, max] of set) {
        if (min === max) {
          ranges.push(min);
        } else if (!max && min === v[0]) {
          ranges.push("*");
        } else if (!max) {
          ranges.push(`>=${min}`);
        } else if (min === v[0]) {
          ranges.push(`<=${max}`);
        } else {
          ranges.push(`${min} - ${max}`);
        }
      }
      const simplified = ranges.join(" || ");
      const original = typeof range.raw === "string" ? range.raw : String(range);
      return simplified.length < original.length ? simplified : range;
    };
  }
});

// ../../components/workflows/node_modules/semver/ranges/subset.js
var require_subset4 = __commonJS({
  "../../components/workflows/node_modules/semver/ranges/subset.js"(exports2, module2) {
    var Range = require_range4();
    var Comparator = require_comparator4();
    var { ANY } = Comparator;
    var satisfies = require_satisfies4();
    var compare = require_compare4();
    var subset = (sub, dom, options = {}) => {
      if (sub === dom) {
        return true;
      }
      sub = new Range(sub, options);
      dom = new Range(dom, options);
      let sawNonNull = false;
      OUTER:
        for (const simpleSub of sub.set) {
          for (const simpleDom of dom.set) {
            const isSub = simpleSubset(simpleSub, simpleDom, options);
            sawNonNull = sawNonNull || isSub !== null;
            if (isSub) {
              continue OUTER;
            }
          }
          if (sawNonNull) {
            return false;
          }
        }
      return true;
    };
    var minimumVersionWithPreRelease = [new Comparator(">=0.0.0-0")];
    var minimumVersion = [new Comparator(">=0.0.0")];
    var simpleSubset = (sub, dom, options) => {
      if (sub === dom) {
        return true;
      }
      if (sub.length === 1 && sub[0].semver === ANY) {
        if (dom.length === 1 && dom[0].semver === ANY) {
          return true;
        } else if (options.includePrerelease) {
          sub = minimumVersionWithPreRelease;
        } else {
          sub = minimumVersion;
        }
      }
      if (dom.length === 1 && dom[0].semver === ANY) {
        if (options.includePrerelease) {
          return true;
        } else {
          dom = minimumVersion;
        }
      }
      const eqSet = /* @__PURE__ */ new Set();
      let gt, lt;
      for (const c of sub) {
        if (c.operator === ">" || c.operator === ">=") {
          gt = higherGT(gt, c, options);
        } else if (c.operator === "<" || c.operator === "<=") {
          lt = lowerLT(lt, c, options);
        } else {
          eqSet.add(c.semver);
        }
      }
      if (eqSet.size > 1) {
        return null;
      }
      let gtltComp;
      if (gt && lt) {
        gtltComp = compare(gt.semver, lt.semver, options);
        if (gtltComp > 0) {
          return null;
        } else if (gtltComp === 0 && (gt.operator !== ">=" || lt.operator !== "<=")) {
          return null;
        }
      }
      for (const eq of eqSet) {
        if (gt && !satisfies(eq, String(gt), options)) {
          return null;
        }
        if (lt && !satisfies(eq, String(lt), options)) {
          return null;
        }
        for (const c of dom) {
          if (!satisfies(eq, String(c), options)) {
            return false;
          }
        }
        return true;
      }
      let higher, lower;
      let hasDomLT, hasDomGT;
      let needDomLTPre = lt && !options.includePrerelease && lt.semver.prerelease.length ? lt.semver : false;
      let needDomGTPre = gt && !options.includePrerelease && gt.semver.prerelease.length ? gt.semver : false;
      if (needDomLTPre && needDomLTPre.prerelease.length === 1 && lt.operator === "<" && needDomLTPre.prerelease[0] === 0) {
        needDomLTPre = false;
      }
      for (const c of dom) {
        hasDomGT = hasDomGT || c.operator === ">" || c.operator === ">=";
        hasDomLT = hasDomLT || c.operator === "<" || c.operator === "<=";
        if (gt) {
          if (needDomGTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomGTPre.major && c.semver.minor === needDomGTPre.minor && c.semver.patch === needDomGTPre.patch) {
              needDomGTPre = false;
            }
          }
          if (c.operator === ">" || c.operator === ">=") {
            higher = higherGT(gt, c, options);
            if (higher === c && higher !== gt) {
              return false;
            }
          } else if (gt.operator === ">=" && !satisfies(gt.semver, String(c), options)) {
            return false;
          }
        }
        if (lt) {
          if (needDomLTPre) {
            if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomLTPre.major && c.semver.minor === needDomLTPre.minor && c.semver.patch === needDomLTPre.patch) {
              needDomLTPre = false;
            }
          }
          if (c.operator === "<" || c.operator === "<=") {
            lower = lowerLT(lt, c, options);
            if (lower === c && lower !== lt) {
              return false;
            }
          } else if (lt.operator === "<=" && !satisfies(lt.semver, String(c), options)) {
            return false;
          }
        }
        if (!c.operator && (lt || gt) && gtltComp !== 0) {
          return false;
        }
      }
      if (gt && hasDomLT && !lt && gtltComp !== 0) {
        return false;
      }
      if (lt && hasDomGT && !gt && gtltComp !== 0) {
        return false;
      }
      if (needDomGTPre || needDomLTPre) {
        return false;
      }
      return true;
    };
    var higherGT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp > 0 ? a : comp < 0 ? b : b.operator === ">" && a.operator === ">=" ? b : a;
    };
    var lowerLT = (a, b, options) => {
      if (!a) {
        return b;
      }
      const comp = compare(a.semver, b.semver, options);
      return comp < 0 ? a : comp > 0 ? b : b.operator === "<" && a.operator === "<=" ? b : a;
    };
    module2.exports = subset;
  }
});

// ../../components/workflows/node_modules/semver/index.js
var require_semver14 = __commonJS({
  "../../components/workflows/node_modules/semver/index.js"(exports2, module2) {
    var internalRe = require_re4();
    var constants = require_constants11();
    var SemVer = require_semver13();
    var identifiers = require_identifiers4();
    var parse = require_parse10();
    var valid = require_valid7();
    var clean = require_clean4();
    var inc = require_inc4();
    var diff = require_diff4();
    var major = require_major4();
    var minor = require_minor4();
    var patch = require_patch4();
    var prerelease = require_prerelease4();
    var compare = require_compare4();
    var rcompare = require_rcompare4();
    var compareLoose = require_compare_loose4();
    var compareBuild = require_compare_build4();
    var sort = require_sort4();
    var rsort = require_rsort4();
    var gt = require_gt4();
    var lt = require_lt4();
    var eq = require_eq4();
    var neq = require_neq4();
    var gte = require_gte4();
    var lte = require_lte4();
    var cmp = require_cmp4();
    var coerce = require_coerce4();
    var Comparator = require_comparator4();
    var Range = require_range4();
    var satisfies = require_satisfies4();
    var toComparators = require_to_comparators4();
    var maxSatisfying = require_max_satisfying4();
    var minSatisfying = require_min_satisfying4();
    var minVersion = require_min_version4();
    var validRange = require_valid8();
    var outside = require_outside4();
    var gtr = require_gtr4();
    var ltr = require_ltr4();
    var intersects = require_intersects4();
    var simplifyRange = require_simplify4();
    var subset = require_subset4();
    module2.exports = {
      parse,
      valid,
      clean,
      inc,
      diff,
      major,
      minor,
      patch,
      prerelease,
      compare,
      rcompare,
      compareLoose,
      compareBuild,
      sort,
      rsort,
      gt,
      lt,
      eq,
      neq,
      gte,
      lte,
      cmp,
      coerce,
      Comparator,
      Range,
      satisfies,
      toComparators,
      maxSatisfying,
      minSatisfying,
      minVersion,
      validRange,
      outside,
      gtr,
      ltr,
      intersects,
      simplifyRange,
      subset,
      SemVer,
      re: internalRe.re,
      src: internalRe.src,
      tokens: internalRe.t,
      SEMVER_SPEC_VERSION: constants.SEMVER_SPEC_VERSION,
      RELEASE_TYPES: constants.RELEASE_TYPES,
      compareIdentifiers: identifiers.compareIdentifiers,
      rcompareIdentifiers: identifiers.rcompareIdentifiers
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/semver.js
var require_semver15 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/semver.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Semver = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var Semver = class _Semver {
      static of(spec) {
        return new _Semver(spec);
      }
      /**
       * Latest version.
       */
      static latest() {
        return new _Semver("*");
      }
      /**
       * Accept only an exact version
       */
      static pinned(version) {
        return new _Semver(version);
      }
      /**
       * Accept any minor version.
       *
       * >= version
       * < next major version
       */
      static caret(version) {
        return new _Semver(`^${version}`);
      }
      /**
       * Accept patches.
       *
       * >= version
       * < next minor version
       */
      static tilde(version) {
        return new _Semver(`~${version}`);
      }
      constructor(spec) {
        this.spec = spec;
      }
      get version() {
        return semver.minVersion(this.spec)?.version;
      }
    };
    exports2.Semver = Semver;
    _a = JSII_RTTI_SYMBOL_1;
    Semver[_a] = { fqn: "projen.Semver", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/textfile.js
var require_textfile4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/textfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TextFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var TextFile = class extends file_1.FileBase {
      /**
       * Defines a text file.
       *
       * @param project The project
       * @param filePath File path
       * @param options Options
       */
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
        this.lines = options.lines ?? [];
      }
      /**
       * Adds a line to the text file.
       * @param line the line to add (can use tokens)
       */
      addLine(line) {
        this.lines.push(line);
      }
      synthesizeContent(_) {
        return this.lines.join("\n");
      }
    };
    exports2.TextFile = TextFile;
    _a = JSII_RTTI_SYMBOL_1;
    TextFile[_a] = { fqn: "projen.TextFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/source-code.js
var require_source_code4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/source-code.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SourceCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var textfile_1 = require_textfile4();
    var SourceCode = class extends component_1.Component {
      constructor(project, filePath, options = {}) {
        super(project);
        this.filePath = filePath;
        this.indentLevel = 0;
        this.indent = options.indent ?? 2;
        this.file = new textfile_1.TextFile(project, filePath, {
          readonly: options.readonly ?? true
        });
      }
      get marker() {
        return this.file.marker;
      }
      /**
       * Emit a line of code.
       * @param code The contents, if not specified, just adds a newline
       */
      line(code) {
        const spaces = this.indent * this.indentLevel;
        const prefix = " ".repeat(spaces);
        this.file.addLine((prefix + (code ?? "")).trimEnd());
      }
      /**
       * Opens a code block and increases the indentation level.
       *
       * @param code The code before the block starts (e.g. `export class {`).
       */
      open(code) {
        if (code) {
          this.line(code);
        }
        this.indentLevel++;
      }
      /**
       * Decreases the indentation level and closes a code block.
       *
       * @param code The code after the block is closed (e.g. `}`).
       */
      close(code) {
        if (this.indentLevel === 0) {
          throw new Error("Cannot decrease indent level below zero");
        }
        this.indentLevel--;
        if (code) {
          this.line(code);
        }
      }
    };
    exports2.SourceCode = SourceCode;
    _a = JSII_RTTI_SYMBOL_1;
    SourceCode[_a] = { fqn: "projen.SourceCode", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/task-model.js
var require_task_model4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/task-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/esprima/dist/esprima.js
var require_esprima4 = __commonJS({
  "../../components/workflows/node_modules/esprima/dist/esprima.js"(exports2, module2) {
    (function webpackUniversalModuleDefinition(root, factory) {
      if (typeof exports2 === "object" && typeof module2 === "object")
        module2.exports = factory();
      else if (typeof define === "function" && define.amd)
        define([], factory);
      else if (typeof exports2 === "object")
        exports2["esprima"] = factory();
      else
        root["esprima"] = factory();
    })(exports2, function() {
      return (
        /******/
        function(modules) {
          var installedModules = {};
          function __webpack_require__(moduleId) {
            if (installedModules[moduleId])
              return installedModules[moduleId].exports;
            var module3 = installedModules[moduleId] = {
              /******/
              exports: {},
              /******/
              id: moduleId,
              /******/
              loaded: false
              /******/
            };
            modules[moduleId].call(module3.exports, module3, module3.exports, __webpack_require__);
            module3.loaded = true;
            return module3.exports;
          }
          __webpack_require__.m = modules;
          __webpack_require__.c = installedModules;
          __webpack_require__.p = "";
          return __webpack_require__(0);
        }([
          /* 0 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var comment_handler_1 = __webpack_require__(1);
            var jsx_parser_1 = __webpack_require__(3);
            var parser_1 = __webpack_require__(8);
            var tokenizer_1 = __webpack_require__(15);
            function parse(code, options, delegate) {
              var commentHandler = null;
              var proxyDelegate = function(node, metadata) {
                if (delegate) {
                  delegate(node, metadata);
                }
                if (commentHandler) {
                  commentHandler.visit(node, metadata);
                }
              };
              var parserDelegate = typeof delegate === "function" ? proxyDelegate : null;
              var collectComment = false;
              if (options) {
                collectComment = typeof options.comment === "boolean" && options.comment;
                var attachComment = typeof options.attachComment === "boolean" && options.attachComment;
                if (collectComment || attachComment) {
                  commentHandler = new comment_handler_1.CommentHandler();
                  commentHandler.attach = attachComment;
                  options.comment = true;
                  parserDelegate = proxyDelegate;
                }
              }
              var isModule = false;
              if (options && typeof options.sourceType === "string") {
                isModule = options.sourceType === "module";
              }
              var parser;
              if (options && typeof options.jsx === "boolean" && options.jsx) {
                parser = new jsx_parser_1.JSXParser(code, options, parserDelegate);
              } else {
                parser = new parser_1.Parser(code, options, parserDelegate);
              }
              var program = isModule ? parser.parseModule() : parser.parseScript();
              var ast = program;
              if (collectComment && commentHandler) {
                ast.comments = commentHandler.comments;
              }
              if (parser.config.tokens) {
                ast.tokens = parser.tokens;
              }
              if (parser.config.tolerant) {
                ast.errors = parser.errorHandler.errors;
              }
              return ast;
            }
            exports3.parse = parse;
            function parseModule(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "module";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseModule = parseModule;
            function parseScript(code, options, delegate) {
              var parsingOptions = options || {};
              parsingOptions.sourceType = "script";
              return parse(code, parsingOptions, delegate);
            }
            exports3.parseScript = parseScript;
            function tokenize(code, options, delegate) {
              var tokenizer = new tokenizer_1.Tokenizer(code, options);
              var tokens;
              tokens = [];
              try {
                while (true) {
                  var token = tokenizer.getNextToken();
                  if (!token) {
                    break;
                  }
                  if (delegate) {
                    token = delegate(token);
                  }
                  tokens.push(token);
                }
              } catch (e) {
                tokenizer.errorHandler.tolerate(e);
              }
              if (tokenizer.errorHandler.tolerant) {
                tokens.errors = tokenizer.errors();
              }
              return tokens;
            }
            exports3.tokenize = tokenize;
            var syntax_1 = __webpack_require__(2);
            exports3.Syntax = syntax_1.Syntax;
            exports3.version = "4.0.1";
          },
          /* 1 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var CommentHandler = function() {
              function CommentHandler2() {
                this.attach = false;
                this.comments = [];
                this.stack = [];
                this.leading = [];
                this.trailing = [];
              }
              CommentHandler2.prototype.insertInnerComments = function(node, metadata) {
                if (node.type === syntax_1.Syntax.BlockStatement && node.body.length === 0) {
                  var innerComments = [];
                  for (var i = this.leading.length - 1; i >= 0; --i) {
                    var entry = this.leading[i];
                    if (metadata.end.offset >= entry.start) {
                      innerComments.unshift(entry.comment);
                      this.leading.splice(i, 1);
                      this.trailing.splice(i, 1);
                    }
                  }
                  if (innerComments.length) {
                    node.innerComments = innerComments;
                  }
                }
              };
              CommentHandler2.prototype.findTrailingComments = function(metadata) {
                var trailingComments = [];
                if (this.trailing.length > 0) {
                  for (var i = this.trailing.length - 1; i >= 0; --i) {
                    var entry_1 = this.trailing[i];
                    if (entry_1.start >= metadata.end.offset) {
                      trailingComments.unshift(entry_1.comment);
                    }
                  }
                  this.trailing.length = 0;
                  return trailingComments;
                }
                var entry = this.stack[this.stack.length - 1];
                if (entry && entry.node.trailingComments) {
                  var firstComment = entry.node.trailingComments[0];
                  if (firstComment && firstComment.range[0] >= metadata.end.offset) {
                    trailingComments = entry.node.trailingComments;
                    delete entry.node.trailingComments;
                  }
                }
                return trailingComments;
              };
              CommentHandler2.prototype.findLeadingComments = function(metadata) {
                var leadingComments = [];
                var target;
                while (this.stack.length > 0) {
                  var entry = this.stack[this.stack.length - 1];
                  if (entry && entry.start >= metadata.start.offset) {
                    target = entry.node;
                    this.stack.pop();
                  } else {
                    break;
                  }
                }
                if (target) {
                  var count = target.leadingComments ? target.leadingComments.length : 0;
                  for (var i = count - 1; i >= 0; --i) {
                    var comment = target.leadingComments[i];
                    if (comment.range[1] <= metadata.start.offset) {
                      leadingComments.unshift(comment);
                      target.leadingComments.splice(i, 1);
                    }
                  }
                  if (target.leadingComments && target.leadingComments.length === 0) {
                    delete target.leadingComments;
                  }
                  return leadingComments;
                }
                for (var i = this.leading.length - 1; i >= 0; --i) {
                  var entry = this.leading[i];
                  if (entry.start <= metadata.start.offset) {
                    leadingComments.unshift(entry.comment);
                    this.leading.splice(i, 1);
                  }
                }
                return leadingComments;
              };
              CommentHandler2.prototype.visitNode = function(node, metadata) {
                if (node.type === syntax_1.Syntax.Program && node.body.length > 0) {
                  return;
                }
                this.insertInnerComments(node, metadata);
                var trailingComments = this.findTrailingComments(metadata);
                var leadingComments = this.findLeadingComments(metadata);
                if (leadingComments.length > 0) {
                  node.leadingComments = leadingComments;
                }
                if (trailingComments.length > 0) {
                  node.trailingComments = trailingComments;
                }
                this.stack.push({
                  node,
                  start: metadata.start.offset
                });
              };
              CommentHandler2.prototype.visitComment = function(node, metadata) {
                var type = node.type[0] === "L" ? "Line" : "Block";
                var comment = {
                  type,
                  value: node.value
                };
                if (node.range) {
                  comment.range = node.range;
                }
                if (node.loc) {
                  comment.loc = node.loc;
                }
                this.comments.push(comment);
                if (this.attach) {
                  var entry = {
                    comment: {
                      type,
                      value: node.value,
                      range: [metadata.start.offset, metadata.end.offset]
                    },
                    start: metadata.start.offset
                  };
                  if (node.loc) {
                    entry.comment.loc = node.loc;
                  }
                  node.type = type;
                  this.leading.push(entry);
                  this.trailing.push(entry);
                }
              };
              CommentHandler2.prototype.visit = function(node, metadata) {
                if (node.type === "LineComment") {
                  this.visitComment(node, metadata);
                } else if (node.type === "BlockComment") {
                  this.visitComment(node, metadata);
                } else if (this.attach) {
                  this.visitNode(node, metadata);
                }
              };
              return CommentHandler2;
            }();
            exports3.CommentHandler = CommentHandler;
          },
          /* 2 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Syntax = {
              AssignmentExpression: "AssignmentExpression",
              AssignmentPattern: "AssignmentPattern",
              ArrayExpression: "ArrayExpression",
              ArrayPattern: "ArrayPattern",
              ArrowFunctionExpression: "ArrowFunctionExpression",
              AwaitExpression: "AwaitExpression",
              BlockStatement: "BlockStatement",
              BinaryExpression: "BinaryExpression",
              BreakStatement: "BreakStatement",
              CallExpression: "CallExpression",
              CatchClause: "CatchClause",
              ClassBody: "ClassBody",
              ClassDeclaration: "ClassDeclaration",
              ClassExpression: "ClassExpression",
              ConditionalExpression: "ConditionalExpression",
              ContinueStatement: "ContinueStatement",
              DoWhileStatement: "DoWhileStatement",
              DebuggerStatement: "DebuggerStatement",
              EmptyStatement: "EmptyStatement",
              ExportAllDeclaration: "ExportAllDeclaration",
              ExportDefaultDeclaration: "ExportDefaultDeclaration",
              ExportNamedDeclaration: "ExportNamedDeclaration",
              ExportSpecifier: "ExportSpecifier",
              ExpressionStatement: "ExpressionStatement",
              ForStatement: "ForStatement",
              ForOfStatement: "ForOfStatement",
              ForInStatement: "ForInStatement",
              FunctionDeclaration: "FunctionDeclaration",
              FunctionExpression: "FunctionExpression",
              Identifier: "Identifier",
              IfStatement: "IfStatement",
              ImportDeclaration: "ImportDeclaration",
              ImportDefaultSpecifier: "ImportDefaultSpecifier",
              ImportNamespaceSpecifier: "ImportNamespaceSpecifier",
              ImportSpecifier: "ImportSpecifier",
              Literal: "Literal",
              LabeledStatement: "LabeledStatement",
              LogicalExpression: "LogicalExpression",
              MemberExpression: "MemberExpression",
              MetaProperty: "MetaProperty",
              MethodDefinition: "MethodDefinition",
              NewExpression: "NewExpression",
              ObjectExpression: "ObjectExpression",
              ObjectPattern: "ObjectPattern",
              Program: "Program",
              Property: "Property",
              RestElement: "RestElement",
              ReturnStatement: "ReturnStatement",
              SequenceExpression: "SequenceExpression",
              SpreadElement: "SpreadElement",
              Super: "Super",
              SwitchCase: "SwitchCase",
              SwitchStatement: "SwitchStatement",
              TaggedTemplateExpression: "TaggedTemplateExpression",
              TemplateElement: "TemplateElement",
              TemplateLiteral: "TemplateLiteral",
              ThisExpression: "ThisExpression",
              ThrowStatement: "ThrowStatement",
              TryStatement: "TryStatement",
              UnaryExpression: "UnaryExpression",
              UpdateExpression: "UpdateExpression",
              VariableDeclaration: "VariableDeclaration",
              VariableDeclarator: "VariableDeclarator",
              WhileStatement: "WhileStatement",
              WithStatement: "WithStatement",
              YieldExpression: "YieldExpression"
            };
          },
          /* 3 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            var __extends = this && this.__extends || function() {
              var extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d, b) {
                d.__proto__ = b;
              } || function(d, b) {
                for (var p in b)
                  if (b.hasOwnProperty(p))
                    d[p] = b[p];
              };
              return function(d, b) {
                extendStatics(d, b);
                function __() {
                  this.constructor = d;
                }
                d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
              };
            }();
            Object.defineProperty(exports3, "__esModule", { value: true });
            var character_1 = __webpack_require__(4);
            var JSXNode = __webpack_require__(5);
            var jsx_syntax_1 = __webpack_require__(6);
            var Node = __webpack_require__(7);
            var parser_1 = __webpack_require__(8);
            var token_1 = __webpack_require__(13);
            var xhtml_entities_1 = __webpack_require__(14);
            token_1.TokenName[
              100
              /* Identifier */
            ] = "JSXIdentifier";
            token_1.TokenName[
              101
              /* Text */
            ] = "JSXText";
            function getQualifiedElementName(elementName) {
              var qualifiedName;
              switch (elementName.type) {
                case jsx_syntax_1.JSXSyntax.JSXIdentifier:
                  var id = elementName;
                  qualifiedName = id.name;
                  break;
                case jsx_syntax_1.JSXSyntax.JSXNamespacedName:
                  var ns = elementName;
                  qualifiedName = getQualifiedElementName(ns.namespace) + ":" + getQualifiedElementName(ns.name);
                  break;
                case jsx_syntax_1.JSXSyntax.JSXMemberExpression:
                  var expr = elementName;
                  qualifiedName = getQualifiedElementName(expr.object) + "." + getQualifiedElementName(expr.property);
                  break;
                default:
                  break;
              }
              return qualifiedName;
            }
            var JSXParser = function(_super) {
              __extends(JSXParser2, _super);
              function JSXParser2(code, options, delegate) {
                return _super.call(this, code, options, delegate) || this;
              }
              JSXParser2.prototype.parsePrimaryExpression = function() {
                return this.match("<") ? this.parseJSXRoot() : _super.prototype.parsePrimaryExpression.call(this);
              };
              JSXParser2.prototype.startJSX = function() {
                this.scanner.index = this.startMarker.index;
                this.scanner.lineNumber = this.startMarker.line;
                this.scanner.lineStart = this.startMarker.index - this.startMarker.column;
              };
              JSXParser2.prototype.finishJSX = function() {
                this.nextToken();
              };
              JSXParser2.prototype.reenterJSX = function() {
                this.startJSX();
                this.expectJSX("}");
                if (this.config.tokens) {
                  this.tokens.pop();
                }
              };
              JSXParser2.prototype.createJSXNode = function() {
                this.collectComments();
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.createJSXChildNode = function() {
                return {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              };
              JSXParser2.prototype.scanXHTMLEntity = function(quote) {
                var result = "&";
                var valid = true;
                var terminated = false;
                var numeric = false;
                var hex = false;
                while (!this.scanner.eof() && valid && !terminated) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === quote) {
                    break;
                  }
                  terminated = ch === ";";
                  result += ch;
                  ++this.scanner.index;
                  if (!terminated) {
                    switch (result.length) {
                      case 2:
                        numeric = ch === "#";
                        break;
                      case 3:
                        if (numeric) {
                          hex = ch === "x";
                          valid = hex || character_1.Character.isDecimalDigit(ch.charCodeAt(0));
                          numeric = numeric && !hex;
                        }
                        break;
                      default:
                        valid = valid && !(numeric && !character_1.Character.isDecimalDigit(ch.charCodeAt(0)));
                        valid = valid && !(hex && !character_1.Character.isHexDigit(ch.charCodeAt(0)));
                        break;
                    }
                  }
                }
                if (valid && terminated && result.length > 2) {
                  var str = result.substr(1, result.length - 2);
                  if (numeric && str.length > 1) {
                    result = String.fromCharCode(parseInt(str.substr(1), 10));
                  } else if (hex && str.length > 2) {
                    result = String.fromCharCode(parseInt("0" + str.substr(1), 16));
                  } else if (!numeric && !hex && xhtml_entities_1.XHTMLEntities[str]) {
                    result = xhtml_entities_1.XHTMLEntities[str];
                  }
                }
                return result;
              };
              JSXParser2.prototype.lexJSX = function() {
                var cp = this.scanner.source.charCodeAt(this.scanner.index);
                if (cp === 60 || cp === 62 || cp === 47 || cp === 58 || cp === 61 || cp === 123 || cp === 125) {
                  var value = this.scanner.source[this.scanner.index++];
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index - 1,
                    end: this.scanner.index
                  };
                }
                if (cp === 34 || cp === 39) {
                  var start = this.scanner.index;
                  var quote = this.scanner.source[this.scanner.index++];
                  var str = "";
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source[this.scanner.index++];
                    if (ch === quote) {
                      break;
                    } else if (ch === "&") {
                      str += this.scanXHTMLEntity(quote);
                    } else {
                      str += ch;
                    }
                  }
                  return {
                    type: 8,
                    value: str,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 46) {
                  var n1 = this.scanner.source.charCodeAt(this.scanner.index + 1);
                  var n2 = this.scanner.source.charCodeAt(this.scanner.index + 2);
                  var value = n1 === 46 && n2 === 46 ? "..." : ".";
                  var start = this.scanner.index;
                  this.scanner.index += value.length;
                  return {
                    type: 7,
                    value,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                if (cp === 96) {
                  return {
                    type: 10,
                    value: "",
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start: this.scanner.index,
                    end: this.scanner.index
                  };
                }
                if (character_1.Character.isIdentifierStart(cp) && cp !== 92) {
                  var start = this.scanner.index;
                  ++this.scanner.index;
                  while (!this.scanner.eof()) {
                    var ch = this.scanner.source.charCodeAt(this.scanner.index);
                    if (character_1.Character.isIdentifierPart(ch) && ch !== 92) {
                      ++this.scanner.index;
                    } else if (ch === 45) {
                      ++this.scanner.index;
                    } else {
                      break;
                    }
                  }
                  var id = this.scanner.source.slice(start, this.scanner.index);
                  return {
                    type: 100,
                    value: id,
                    lineNumber: this.scanner.lineNumber,
                    lineStart: this.scanner.lineStart,
                    start,
                    end: this.scanner.index
                  };
                }
                return this.scanner.lex();
              };
              JSXParser2.prototype.nextJSXToken = function() {
                this.collectComments();
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = this.lexJSX();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                if (this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.nextJSXText = function() {
                this.startMarker.index = this.scanner.index;
                this.startMarker.line = this.scanner.lineNumber;
                this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                var start = this.scanner.index;
                var text = "";
                while (!this.scanner.eof()) {
                  var ch = this.scanner.source[this.scanner.index];
                  if (ch === "{" || ch === "<") {
                    break;
                  }
                  ++this.scanner.index;
                  text += ch;
                  if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.scanner.lineNumber;
                    if (ch === "\r" && this.scanner.source[this.scanner.index] === "\n") {
                      ++this.scanner.index;
                    }
                    this.scanner.lineStart = this.scanner.index;
                  }
                }
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                var token = {
                  type: 101,
                  value: text,
                  lineNumber: this.scanner.lineNumber,
                  lineStart: this.scanner.lineStart,
                  start,
                  end: this.scanner.index
                };
                if (text.length > 0 && this.config.tokens) {
                  this.tokens.push(this.convertToken(token));
                }
                return token;
              };
              JSXParser2.prototype.peekJSXToken = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.lexJSX();
                this.scanner.restoreState(state);
                return next;
              };
              JSXParser2.prototype.expectJSX = function(value) {
                var token = this.nextJSXToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              JSXParser2.prototype.matchJSX = function(value) {
                var next = this.peekJSXToken();
                return next.type === 7 && next.value === value;
              };
              JSXParser2.prototype.parseJSXIdentifier = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 100) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new JSXNode.JSXIdentifier(token.value));
              };
              JSXParser2.prototype.parseJSXElementName = function() {
                var node = this.createJSXNode();
                var elementName = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = elementName;
                  this.expectJSX(":");
                  var name_1 = this.parseJSXIdentifier();
                  elementName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_1));
                } else if (this.matchJSX(".")) {
                  while (this.matchJSX(".")) {
                    var object = elementName;
                    this.expectJSX(".");
                    var property = this.parseJSXIdentifier();
                    elementName = this.finalize(node, new JSXNode.JSXMemberExpression(object, property));
                  }
                }
                return elementName;
              };
              JSXParser2.prototype.parseJSXAttributeName = function() {
                var node = this.createJSXNode();
                var attributeName;
                var identifier = this.parseJSXIdentifier();
                if (this.matchJSX(":")) {
                  var namespace = identifier;
                  this.expectJSX(":");
                  var name_2 = this.parseJSXIdentifier();
                  attributeName = this.finalize(node, new JSXNode.JSXNamespacedName(namespace, name_2));
                } else {
                  attributeName = identifier;
                }
                return attributeName;
              };
              JSXParser2.prototype.parseJSXStringLiteralAttribute = function() {
                var node = this.createJSXNode();
                var token = this.nextJSXToken();
                if (token.type !== 8) {
                  this.throwUnexpectedToken(token);
                }
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              JSXParser2.prototype.parseJSXExpressionAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.finishJSX();
                if (this.match("}")) {
                  this.tolerateError("JSX attributes must only be assigned a non-empty expression");
                }
                var expression = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXAttributeValue = function() {
                return this.matchJSX("{") ? this.parseJSXExpressionAttribute() : this.matchJSX("<") ? this.parseJSXElement() : this.parseJSXStringLiteralAttribute();
              };
              JSXParser2.prototype.parseJSXNameValueAttribute = function() {
                var node = this.createJSXNode();
                var name = this.parseJSXAttributeName();
                var value = null;
                if (this.matchJSX("=")) {
                  this.expectJSX("=");
                  value = this.parseJSXAttributeValue();
                }
                return this.finalize(node, new JSXNode.JSXAttribute(name, value));
              };
              JSXParser2.prototype.parseJSXSpreadAttribute = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                this.expectJSX("...");
                this.finishJSX();
                var argument = this.parseAssignmentExpression();
                this.reenterJSX();
                return this.finalize(node, new JSXNode.JSXSpreadAttribute(argument));
              };
              JSXParser2.prototype.parseJSXAttributes = function() {
                var attributes = [];
                while (!this.matchJSX("/") && !this.matchJSX(">")) {
                  var attribute = this.matchJSX("{") ? this.parseJSXSpreadAttribute() : this.parseJSXNameValueAttribute();
                  attributes.push(attribute);
                }
                return attributes;
              };
              JSXParser2.prototype.parseJSXOpeningElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXBoundaryElement = function() {
                var node = this.createJSXNode();
                this.expectJSX("<");
                if (this.matchJSX("/")) {
                  this.expectJSX("/");
                  var name_3 = this.parseJSXElementName();
                  this.expectJSX(">");
                  return this.finalize(node, new JSXNode.JSXClosingElement(name_3));
                }
                var name = this.parseJSXElementName();
                var attributes = this.parseJSXAttributes();
                var selfClosing = this.matchJSX("/");
                if (selfClosing) {
                  this.expectJSX("/");
                }
                this.expectJSX(">");
                return this.finalize(node, new JSXNode.JSXOpeningElement(name, selfClosing, attributes));
              };
              JSXParser2.prototype.parseJSXEmptyExpression = function() {
                var node = this.createJSXChildNode();
                this.collectComments();
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                return this.finalize(node, new JSXNode.JSXEmptyExpression());
              };
              JSXParser2.prototype.parseJSXExpressionContainer = function() {
                var node = this.createJSXNode();
                this.expectJSX("{");
                var expression;
                if (this.matchJSX("}")) {
                  expression = this.parseJSXEmptyExpression();
                  this.expectJSX("}");
                } else {
                  this.finishJSX();
                  expression = this.parseAssignmentExpression();
                  this.reenterJSX();
                }
                return this.finalize(node, new JSXNode.JSXExpressionContainer(expression));
              };
              JSXParser2.prototype.parseJSXChildren = function() {
                var children = [];
                while (!this.scanner.eof()) {
                  var node = this.createJSXChildNode();
                  var token = this.nextJSXText();
                  if (token.start < token.end) {
                    var raw = this.getTokenRaw(token);
                    var child = this.finalize(node, new JSXNode.JSXText(token.value, raw));
                    children.push(child);
                  }
                  if (this.scanner.source[this.scanner.index] === "{") {
                    var container = this.parseJSXExpressionContainer();
                    children.push(container);
                  } else {
                    break;
                  }
                }
                return children;
              };
              JSXParser2.prototype.parseComplexJSXElement = function(el) {
                var stack = [];
                while (!this.scanner.eof()) {
                  el.children = el.children.concat(this.parseJSXChildren());
                  var node = this.createJSXChildNode();
                  var element = this.parseJSXBoundaryElement();
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXOpeningElement) {
                    var opening = element;
                    if (opening.selfClosing) {
                      var child = this.finalize(node, new JSXNode.JSXElement(opening, [], null));
                      el.children.push(child);
                    } else {
                      stack.push(el);
                      el = { node, opening, closing: null, children: [] };
                    }
                  }
                  if (element.type === jsx_syntax_1.JSXSyntax.JSXClosingElement) {
                    el.closing = element;
                    var open_1 = getQualifiedElementName(el.opening.name);
                    var close_1 = getQualifiedElementName(el.closing.name);
                    if (open_1 !== close_1) {
                      this.tolerateError("Expected corresponding JSX closing tag for %0", open_1);
                    }
                    if (stack.length > 0) {
                      var child = this.finalize(el.node, new JSXNode.JSXElement(el.opening, el.children, el.closing));
                      el = stack[stack.length - 1];
                      el.children.push(child);
                      stack.pop();
                    } else {
                      break;
                    }
                  }
                }
                return el;
              };
              JSXParser2.prototype.parseJSXElement = function() {
                var node = this.createJSXNode();
                var opening = this.parseJSXOpeningElement();
                var children = [];
                var closing = null;
                if (!opening.selfClosing) {
                  var el = this.parseComplexJSXElement({ node, opening, closing, children });
                  children = el.children;
                  closing = el.closing;
                }
                return this.finalize(node, new JSXNode.JSXElement(opening, children, closing));
              };
              JSXParser2.prototype.parseJSXRoot = function() {
                if (this.config.tokens) {
                  this.tokens.pop();
                }
                this.startJSX();
                var element = this.parseJSXElement();
                this.finishJSX();
                return element;
              };
              JSXParser2.prototype.isStartOfExpression = function() {
                return _super.prototype.isStartOfExpression.call(this) || this.match("<");
              };
              return JSXParser2;
            }(parser_1.Parser);
            exports3.JSXParser = JSXParser;
          },
          /* 4 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var Regex = {
              // Unicode v8.0.0 NonAsciiIdentifierStart:
              NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE80-\uDEAA\uDF00-\uDF19]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]/,
              // Unicode v8.0.0 NonAsciiIdentifierPart:
              NonAsciiIdentifierPart: /[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B4\u08E3-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0AF9\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58-\u0C5A\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D5F-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA8FD\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDCA-\uDDCC\uDDD0-\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE37\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF00-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF50\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDDD8-\uDDDD\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9\uDF00-\uDF19\uDF1D-\uDF2B\uDF30-\uDF39]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD836[\uDE00-\uDE36\uDE3B-\uDE6C\uDE75\uDE84\uDE9B-\uDE9F\uDEA1-\uDEAF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/
            };
            exports3.Character = {
              /* tslint:disable:no-bitwise */
              fromCodePoint: function(cp) {
                return cp < 65536 ? String.fromCharCode(cp) : String.fromCharCode(55296 + (cp - 65536 >> 10)) + String.fromCharCode(56320 + (cp - 65536 & 1023));
              },
              // https://tc39.github.io/ecma262/#sec-white-space
              isWhiteSpace: function(cp) {
                return cp === 32 || cp === 9 || cp === 11 || cp === 12 || cp === 160 || cp >= 5760 && [5760, 8192, 8193, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8239, 8287, 12288, 65279].indexOf(cp) >= 0;
              },
              // https://tc39.github.io/ecma262/#sec-line-terminators
              isLineTerminator: function(cp) {
                return cp === 10 || cp === 13 || cp === 8232 || cp === 8233;
              },
              // https://tc39.github.io/ecma262/#sec-names-and-keywords
              isIdentifierStart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierStart.test(exports3.Character.fromCodePoint(cp));
              },
              isIdentifierPart: function(cp) {
                return cp === 36 || cp === 95 || cp >= 65 && cp <= 90 || cp >= 97 && cp <= 122 || cp >= 48 && cp <= 57 || cp === 92 || cp >= 128 && Regex.NonAsciiIdentifierPart.test(exports3.Character.fromCodePoint(cp));
              },
              // https://tc39.github.io/ecma262/#sec-literals-numeric-literals
              isDecimalDigit: function(cp) {
                return cp >= 48 && cp <= 57;
              },
              isHexDigit: function(cp) {
                return cp >= 48 && cp <= 57 || cp >= 65 && cp <= 70 || cp >= 97 && cp <= 102;
              },
              isOctalDigit: function(cp) {
                return cp >= 48 && cp <= 55;
              }
            };
          },
          /* 5 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var jsx_syntax_1 = __webpack_require__(6);
            var JSXClosingElement = function() {
              function JSXClosingElement2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXClosingElement;
                this.name = name;
              }
              return JSXClosingElement2;
            }();
            exports3.JSXClosingElement = JSXClosingElement;
            var JSXElement = function() {
              function JSXElement2(openingElement, children, closingElement) {
                this.type = jsx_syntax_1.JSXSyntax.JSXElement;
                this.openingElement = openingElement;
                this.children = children;
                this.closingElement = closingElement;
              }
              return JSXElement2;
            }();
            exports3.JSXElement = JSXElement;
            var JSXEmptyExpression = function() {
              function JSXEmptyExpression2() {
                this.type = jsx_syntax_1.JSXSyntax.JSXEmptyExpression;
              }
              return JSXEmptyExpression2;
            }();
            exports3.JSXEmptyExpression = JSXEmptyExpression;
            var JSXExpressionContainer = function() {
              function JSXExpressionContainer2(expression) {
                this.type = jsx_syntax_1.JSXSyntax.JSXExpressionContainer;
                this.expression = expression;
              }
              return JSXExpressionContainer2;
            }();
            exports3.JSXExpressionContainer = JSXExpressionContainer;
            var JSXIdentifier = function() {
              function JSXIdentifier2(name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXIdentifier;
                this.name = name;
              }
              return JSXIdentifier2;
            }();
            exports3.JSXIdentifier = JSXIdentifier;
            var JSXMemberExpression = function() {
              function JSXMemberExpression2(object, property) {
                this.type = jsx_syntax_1.JSXSyntax.JSXMemberExpression;
                this.object = object;
                this.property = property;
              }
              return JSXMemberExpression2;
            }();
            exports3.JSXMemberExpression = JSXMemberExpression;
            var JSXAttribute = function() {
              function JSXAttribute2(name, value) {
                this.type = jsx_syntax_1.JSXSyntax.JSXAttribute;
                this.name = name;
                this.value = value;
              }
              return JSXAttribute2;
            }();
            exports3.JSXAttribute = JSXAttribute;
            var JSXNamespacedName = function() {
              function JSXNamespacedName2(namespace, name) {
                this.type = jsx_syntax_1.JSXSyntax.JSXNamespacedName;
                this.namespace = namespace;
                this.name = name;
              }
              return JSXNamespacedName2;
            }();
            exports3.JSXNamespacedName = JSXNamespacedName;
            var JSXOpeningElement = function() {
              function JSXOpeningElement2(name, selfClosing, attributes) {
                this.type = jsx_syntax_1.JSXSyntax.JSXOpeningElement;
                this.name = name;
                this.selfClosing = selfClosing;
                this.attributes = attributes;
              }
              return JSXOpeningElement2;
            }();
            exports3.JSXOpeningElement = JSXOpeningElement;
            var JSXSpreadAttribute = function() {
              function JSXSpreadAttribute2(argument) {
                this.type = jsx_syntax_1.JSXSyntax.JSXSpreadAttribute;
                this.argument = argument;
              }
              return JSXSpreadAttribute2;
            }();
            exports3.JSXSpreadAttribute = JSXSpreadAttribute;
            var JSXText = function() {
              function JSXText2(value, raw) {
                this.type = jsx_syntax_1.JSXSyntax.JSXText;
                this.value = value;
                this.raw = raw;
              }
              return JSXText2;
            }();
            exports3.JSXText = JSXText;
          },
          /* 6 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.JSXSyntax = {
              JSXAttribute: "JSXAttribute",
              JSXClosingElement: "JSXClosingElement",
              JSXElement: "JSXElement",
              JSXEmptyExpression: "JSXEmptyExpression",
              JSXExpressionContainer: "JSXExpressionContainer",
              JSXIdentifier: "JSXIdentifier",
              JSXMemberExpression: "JSXMemberExpression",
              JSXNamespacedName: "JSXNamespacedName",
              JSXOpeningElement: "JSXOpeningElement",
              JSXSpreadAttribute: "JSXSpreadAttribute",
              JSXText: "JSXText"
            };
          },
          /* 7 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var syntax_1 = __webpack_require__(2);
            var ArrayExpression = function() {
              function ArrayExpression2(elements) {
                this.type = syntax_1.Syntax.ArrayExpression;
                this.elements = elements;
              }
              return ArrayExpression2;
            }();
            exports3.ArrayExpression = ArrayExpression;
            var ArrayPattern = function() {
              function ArrayPattern2(elements) {
                this.type = syntax_1.Syntax.ArrayPattern;
                this.elements = elements;
              }
              return ArrayPattern2;
            }();
            exports3.ArrayPattern = ArrayPattern;
            var ArrowFunctionExpression = function() {
              function ArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = false;
              }
              return ArrowFunctionExpression2;
            }();
            exports3.ArrowFunctionExpression = ArrowFunctionExpression;
            var AssignmentExpression = function() {
              function AssignmentExpression2(operator, left, right) {
                this.type = syntax_1.Syntax.AssignmentExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return AssignmentExpression2;
            }();
            exports3.AssignmentExpression = AssignmentExpression;
            var AssignmentPattern = function() {
              function AssignmentPattern2(left, right) {
                this.type = syntax_1.Syntax.AssignmentPattern;
                this.left = left;
                this.right = right;
              }
              return AssignmentPattern2;
            }();
            exports3.AssignmentPattern = AssignmentPattern;
            var AsyncArrowFunctionExpression = function() {
              function AsyncArrowFunctionExpression2(params, body, expression) {
                this.type = syntax_1.Syntax.ArrowFunctionExpression;
                this.id = null;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = expression;
                this.async = true;
              }
              return AsyncArrowFunctionExpression2;
            }();
            exports3.AsyncArrowFunctionExpression = AsyncArrowFunctionExpression;
            var AsyncFunctionDeclaration = function() {
              function AsyncFunctionDeclaration2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionDeclaration2;
            }();
            exports3.AsyncFunctionDeclaration = AsyncFunctionDeclaration;
            var AsyncFunctionExpression = function() {
              function AsyncFunctionExpression2(id, params, body) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = false;
                this.expression = false;
                this.async = true;
              }
              return AsyncFunctionExpression2;
            }();
            exports3.AsyncFunctionExpression = AsyncFunctionExpression;
            var AwaitExpression = function() {
              function AwaitExpression2(argument) {
                this.type = syntax_1.Syntax.AwaitExpression;
                this.argument = argument;
              }
              return AwaitExpression2;
            }();
            exports3.AwaitExpression = AwaitExpression;
            var BinaryExpression = function() {
              function BinaryExpression2(operator, left, right) {
                var logical = operator === "||" || operator === "&&";
                this.type = logical ? syntax_1.Syntax.LogicalExpression : syntax_1.Syntax.BinaryExpression;
                this.operator = operator;
                this.left = left;
                this.right = right;
              }
              return BinaryExpression2;
            }();
            exports3.BinaryExpression = BinaryExpression;
            var BlockStatement = function() {
              function BlockStatement2(body) {
                this.type = syntax_1.Syntax.BlockStatement;
                this.body = body;
              }
              return BlockStatement2;
            }();
            exports3.BlockStatement = BlockStatement;
            var BreakStatement = function() {
              function BreakStatement2(label) {
                this.type = syntax_1.Syntax.BreakStatement;
                this.label = label;
              }
              return BreakStatement2;
            }();
            exports3.BreakStatement = BreakStatement;
            var CallExpression = function() {
              function CallExpression2(callee, args) {
                this.type = syntax_1.Syntax.CallExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return CallExpression2;
            }();
            exports3.CallExpression = CallExpression;
            var CatchClause = function() {
              function CatchClause2(param, body) {
                this.type = syntax_1.Syntax.CatchClause;
                this.param = param;
                this.body = body;
              }
              return CatchClause2;
            }();
            exports3.CatchClause = CatchClause;
            var ClassBody = function() {
              function ClassBody2(body) {
                this.type = syntax_1.Syntax.ClassBody;
                this.body = body;
              }
              return ClassBody2;
            }();
            exports3.ClassBody = ClassBody;
            var ClassDeclaration = function() {
              function ClassDeclaration2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassDeclaration;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassDeclaration2;
            }();
            exports3.ClassDeclaration = ClassDeclaration;
            var ClassExpression = function() {
              function ClassExpression2(id, superClass, body) {
                this.type = syntax_1.Syntax.ClassExpression;
                this.id = id;
                this.superClass = superClass;
                this.body = body;
              }
              return ClassExpression2;
            }();
            exports3.ClassExpression = ClassExpression;
            var ComputedMemberExpression = function() {
              function ComputedMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = true;
                this.object = object;
                this.property = property;
              }
              return ComputedMemberExpression2;
            }();
            exports3.ComputedMemberExpression = ComputedMemberExpression;
            var ConditionalExpression = function() {
              function ConditionalExpression2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.ConditionalExpression;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return ConditionalExpression2;
            }();
            exports3.ConditionalExpression = ConditionalExpression;
            var ContinueStatement = function() {
              function ContinueStatement2(label) {
                this.type = syntax_1.Syntax.ContinueStatement;
                this.label = label;
              }
              return ContinueStatement2;
            }();
            exports3.ContinueStatement = ContinueStatement;
            var DebuggerStatement = function() {
              function DebuggerStatement2() {
                this.type = syntax_1.Syntax.DebuggerStatement;
              }
              return DebuggerStatement2;
            }();
            exports3.DebuggerStatement = DebuggerStatement;
            var Directive = function() {
              function Directive2(expression, directive) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
                this.directive = directive;
              }
              return Directive2;
            }();
            exports3.Directive = Directive;
            var DoWhileStatement = function() {
              function DoWhileStatement2(body, test) {
                this.type = syntax_1.Syntax.DoWhileStatement;
                this.body = body;
                this.test = test;
              }
              return DoWhileStatement2;
            }();
            exports3.DoWhileStatement = DoWhileStatement;
            var EmptyStatement = function() {
              function EmptyStatement2() {
                this.type = syntax_1.Syntax.EmptyStatement;
              }
              return EmptyStatement2;
            }();
            exports3.EmptyStatement = EmptyStatement;
            var ExportAllDeclaration = function() {
              function ExportAllDeclaration2(source) {
                this.type = syntax_1.Syntax.ExportAllDeclaration;
                this.source = source;
              }
              return ExportAllDeclaration2;
            }();
            exports3.ExportAllDeclaration = ExportAllDeclaration;
            var ExportDefaultDeclaration = function() {
              function ExportDefaultDeclaration2(declaration) {
                this.type = syntax_1.Syntax.ExportDefaultDeclaration;
                this.declaration = declaration;
              }
              return ExportDefaultDeclaration2;
            }();
            exports3.ExportDefaultDeclaration = ExportDefaultDeclaration;
            var ExportNamedDeclaration = function() {
              function ExportNamedDeclaration2(declaration, specifiers, source) {
                this.type = syntax_1.Syntax.ExportNamedDeclaration;
                this.declaration = declaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ExportNamedDeclaration2;
            }();
            exports3.ExportNamedDeclaration = ExportNamedDeclaration;
            var ExportSpecifier = function() {
              function ExportSpecifier2(local, exported) {
                this.type = syntax_1.Syntax.ExportSpecifier;
                this.exported = exported;
                this.local = local;
              }
              return ExportSpecifier2;
            }();
            exports3.ExportSpecifier = ExportSpecifier;
            var ExpressionStatement = function() {
              function ExpressionStatement2(expression) {
                this.type = syntax_1.Syntax.ExpressionStatement;
                this.expression = expression;
              }
              return ExpressionStatement2;
            }();
            exports3.ExpressionStatement = ExpressionStatement;
            var ForInStatement = function() {
              function ForInStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForInStatement;
                this.left = left;
                this.right = right;
                this.body = body;
                this.each = false;
              }
              return ForInStatement2;
            }();
            exports3.ForInStatement = ForInStatement;
            var ForOfStatement = function() {
              function ForOfStatement2(left, right, body) {
                this.type = syntax_1.Syntax.ForOfStatement;
                this.left = left;
                this.right = right;
                this.body = body;
              }
              return ForOfStatement2;
            }();
            exports3.ForOfStatement = ForOfStatement;
            var ForStatement = function() {
              function ForStatement2(init, test, update, body) {
                this.type = syntax_1.Syntax.ForStatement;
                this.init = init;
                this.test = test;
                this.update = update;
                this.body = body;
              }
              return ForStatement2;
            }();
            exports3.ForStatement = ForStatement;
            var FunctionDeclaration = function() {
              function FunctionDeclaration2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionDeclaration;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionDeclaration2;
            }();
            exports3.FunctionDeclaration = FunctionDeclaration;
            var FunctionExpression = function() {
              function FunctionExpression2(id, params, body, generator) {
                this.type = syntax_1.Syntax.FunctionExpression;
                this.id = id;
                this.params = params;
                this.body = body;
                this.generator = generator;
                this.expression = false;
                this.async = false;
              }
              return FunctionExpression2;
            }();
            exports3.FunctionExpression = FunctionExpression;
            var Identifier = function() {
              function Identifier2(name) {
                this.type = syntax_1.Syntax.Identifier;
                this.name = name;
              }
              return Identifier2;
            }();
            exports3.Identifier = Identifier;
            var IfStatement = function() {
              function IfStatement2(test, consequent, alternate) {
                this.type = syntax_1.Syntax.IfStatement;
                this.test = test;
                this.consequent = consequent;
                this.alternate = alternate;
              }
              return IfStatement2;
            }();
            exports3.IfStatement = IfStatement;
            var ImportDeclaration = function() {
              function ImportDeclaration2(specifiers, source) {
                this.type = syntax_1.Syntax.ImportDeclaration;
                this.specifiers = specifiers;
                this.source = source;
              }
              return ImportDeclaration2;
            }();
            exports3.ImportDeclaration = ImportDeclaration;
            var ImportDefaultSpecifier = function() {
              function ImportDefaultSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportDefaultSpecifier;
                this.local = local;
              }
              return ImportDefaultSpecifier2;
            }();
            exports3.ImportDefaultSpecifier = ImportDefaultSpecifier;
            var ImportNamespaceSpecifier = function() {
              function ImportNamespaceSpecifier2(local) {
                this.type = syntax_1.Syntax.ImportNamespaceSpecifier;
                this.local = local;
              }
              return ImportNamespaceSpecifier2;
            }();
            exports3.ImportNamespaceSpecifier = ImportNamespaceSpecifier;
            var ImportSpecifier = function() {
              function ImportSpecifier2(local, imported) {
                this.type = syntax_1.Syntax.ImportSpecifier;
                this.local = local;
                this.imported = imported;
              }
              return ImportSpecifier2;
            }();
            exports3.ImportSpecifier = ImportSpecifier;
            var LabeledStatement = function() {
              function LabeledStatement2(label, body) {
                this.type = syntax_1.Syntax.LabeledStatement;
                this.label = label;
                this.body = body;
              }
              return LabeledStatement2;
            }();
            exports3.LabeledStatement = LabeledStatement;
            var Literal = function() {
              function Literal2(value, raw) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
              }
              return Literal2;
            }();
            exports3.Literal = Literal;
            var MetaProperty = function() {
              function MetaProperty2(meta, property) {
                this.type = syntax_1.Syntax.MetaProperty;
                this.meta = meta;
                this.property = property;
              }
              return MetaProperty2;
            }();
            exports3.MetaProperty = MetaProperty;
            var MethodDefinition = function() {
              function MethodDefinition2(key, computed, value, kind, isStatic) {
                this.type = syntax_1.Syntax.MethodDefinition;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.static = isStatic;
              }
              return MethodDefinition2;
            }();
            exports3.MethodDefinition = MethodDefinition;
            var Module = function() {
              function Module2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "module";
              }
              return Module2;
            }();
            exports3.Module = Module;
            var NewExpression = function() {
              function NewExpression2(callee, args) {
                this.type = syntax_1.Syntax.NewExpression;
                this.callee = callee;
                this.arguments = args;
              }
              return NewExpression2;
            }();
            exports3.NewExpression = NewExpression;
            var ObjectExpression = function() {
              function ObjectExpression2(properties) {
                this.type = syntax_1.Syntax.ObjectExpression;
                this.properties = properties;
              }
              return ObjectExpression2;
            }();
            exports3.ObjectExpression = ObjectExpression;
            var ObjectPattern = function() {
              function ObjectPattern2(properties) {
                this.type = syntax_1.Syntax.ObjectPattern;
                this.properties = properties;
              }
              return ObjectPattern2;
            }();
            exports3.ObjectPattern = ObjectPattern;
            var Property = function() {
              function Property2(kind, key, computed, value, method, shorthand) {
                this.type = syntax_1.Syntax.Property;
                this.key = key;
                this.computed = computed;
                this.value = value;
                this.kind = kind;
                this.method = method;
                this.shorthand = shorthand;
              }
              return Property2;
            }();
            exports3.Property = Property;
            var RegexLiteral = function() {
              function RegexLiteral2(value, raw, pattern, flags) {
                this.type = syntax_1.Syntax.Literal;
                this.value = value;
                this.raw = raw;
                this.regex = { pattern, flags };
              }
              return RegexLiteral2;
            }();
            exports3.RegexLiteral = RegexLiteral;
            var RestElement = function() {
              function RestElement2(argument) {
                this.type = syntax_1.Syntax.RestElement;
                this.argument = argument;
              }
              return RestElement2;
            }();
            exports3.RestElement = RestElement;
            var ReturnStatement = function() {
              function ReturnStatement2(argument) {
                this.type = syntax_1.Syntax.ReturnStatement;
                this.argument = argument;
              }
              return ReturnStatement2;
            }();
            exports3.ReturnStatement = ReturnStatement;
            var Script = function() {
              function Script2(body) {
                this.type = syntax_1.Syntax.Program;
                this.body = body;
                this.sourceType = "script";
              }
              return Script2;
            }();
            exports3.Script = Script;
            var SequenceExpression = function() {
              function SequenceExpression2(expressions) {
                this.type = syntax_1.Syntax.SequenceExpression;
                this.expressions = expressions;
              }
              return SequenceExpression2;
            }();
            exports3.SequenceExpression = SequenceExpression;
            var SpreadElement = function() {
              function SpreadElement2(argument) {
                this.type = syntax_1.Syntax.SpreadElement;
                this.argument = argument;
              }
              return SpreadElement2;
            }();
            exports3.SpreadElement = SpreadElement;
            var StaticMemberExpression = function() {
              function StaticMemberExpression2(object, property) {
                this.type = syntax_1.Syntax.MemberExpression;
                this.computed = false;
                this.object = object;
                this.property = property;
              }
              return StaticMemberExpression2;
            }();
            exports3.StaticMemberExpression = StaticMemberExpression;
            var Super = function() {
              function Super2() {
                this.type = syntax_1.Syntax.Super;
              }
              return Super2;
            }();
            exports3.Super = Super;
            var SwitchCase = function() {
              function SwitchCase2(test, consequent) {
                this.type = syntax_1.Syntax.SwitchCase;
                this.test = test;
                this.consequent = consequent;
              }
              return SwitchCase2;
            }();
            exports3.SwitchCase = SwitchCase;
            var SwitchStatement = function() {
              function SwitchStatement2(discriminant, cases) {
                this.type = syntax_1.Syntax.SwitchStatement;
                this.discriminant = discriminant;
                this.cases = cases;
              }
              return SwitchStatement2;
            }();
            exports3.SwitchStatement = SwitchStatement;
            var TaggedTemplateExpression = function() {
              function TaggedTemplateExpression2(tag, quasi) {
                this.type = syntax_1.Syntax.TaggedTemplateExpression;
                this.tag = tag;
                this.quasi = quasi;
              }
              return TaggedTemplateExpression2;
            }();
            exports3.TaggedTemplateExpression = TaggedTemplateExpression;
            var TemplateElement = function() {
              function TemplateElement2(value, tail) {
                this.type = syntax_1.Syntax.TemplateElement;
                this.value = value;
                this.tail = tail;
              }
              return TemplateElement2;
            }();
            exports3.TemplateElement = TemplateElement;
            var TemplateLiteral = function() {
              function TemplateLiteral2(quasis, expressions) {
                this.type = syntax_1.Syntax.TemplateLiteral;
                this.quasis = quasis;
                this.expressions = expressions;
              }
              return TemplateLiteral2;
            }();
            exports3.TemplateLiteral = TemplateLiteral;
            var ThisExpression = function() {
              function ThisExpression2() {
                this.type = syntax_1.Syntax.ThisExpression;
              }
              return ThisExpression2;
            }();
            exports3.ThisExpression = ThisExpression;
            var ThrowStatement = function() {
              function ThrowStatement2(argument) {
                this.type = syntax_1.Syntax.ThrowStatement;
                this.argument = argument;
              }
              return ThrowStatement2;
            }();
            exports3.ThrowStatement = ThrowStatement;
            var TryStatement = function() {
              function TryStatement2(block, handler, finalizer) {
                this.type = syntax_1.Syntax.TryStatement;
                this.block = block;
                this.handler = handler;
                this.finalizer = finalizer;
              }
              return TryStatement2;
            }();
            exports3.TryStatement = TryStatement;
            var UnaryExpression = function() {
              function UnaryExpression2(operator, argument) {
                this.type = syntax_1.Syntax.UnaryExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = true;
              }
              return UnaryExpression2;
            }();
            exports3.UnaryExpression = UnaryExpression;
            var UpdateExpression = function() {
              function UpdateExpression2(operator, argument, prefix) {
                this.type = syntax_1.Syntax.UpdateExpression;
                this.operator = operator;
                this.argument = argument;
                this.prefix = prefix;
              }
              return UpdateExpression2;
            }();
            exports3.UpdateExpression = UpdateExpression;
            var VariableDeclaration = function() {
              function VariableDeclaration2(declarations, kind) {
                this.type = syntax_1.Syntax.VariableDeclaration;
                this.declarations = declarations;
                this.kind = kind;
              }
              return VariableDeclaration2;
            }();
            exports3.VariableDeclaration = VariableDeclaration;
            var VariableDeclarator = function() {
              function VariableDeclarator2(id, init) {
                this.type = syntax_1.Syntax.VariableDeclarator;
                this.id = id;
                this.init = init;
              }
              return VariableDeclarator2;
            }();
            exports3.VariableDeclarator = VariableDeclarator;
            var WhileStatement = function() {
              function WhileStatement2(test, body) {
                this.type = syntax_1.Syntax.WhileStatement;
                this.test = test;
                this.body = body;
              }
              return WhileStatement2;
            }();
            exports3.WhileStatement = WhileStatement;
            var WithStatement = function() {
              function WithStatement2(object, body) {
                this.type = syntax_1.Syntax.WithStatement;
                this.object = object;
                this.body = body;
              }
              return WithStatement2;
            }();
            exports3.WithStatement = WithStatement;
            var YieldExpression = function() {
              function YieldExpression2(argument, delegate) {
                this.type = syntax_1.Syntax.YieldExpression;
                this.argument = argument;
                this.delegate = delegate;
              }
              return YieldExpression2;
            }();
            exports3.YieldExpression = YieldExpression;
          },
          /* 8 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var error_handler_1 = __webpack_require__(10);
            var messages_1 = __webpack_require__(11);
            var Node = __webpack_require__(7);
            var scanner_1 = __webpack_require__(12);
            var syntax_1 = __webpack_require__(2);
            var token_1 = __webpack_require__(13);
            var ArrowParameterPlaceHolder = "ArrowParameterPlaceHolder";
            var Parser = function() {
              function Parser2(code, options, delegate) {
                if (options === void 0) {
                  options = {};
                }
                this.config = {
                  range: typeof options.range === "boolean" && options.range,
                  loc: typeof options.loc === "boolean" && options.loc,
                  source: null,
                  tokens: typeof options.tokens === "boolean" && options.tokens,
                  comment: typeof options.comment === "boolean" && options.comment,
                  tolerant: typeof options.tolerant === "boolean" && options.tolerant
                };
                if (this.config.loc && options.source && options.source !== null) {
                  this.config.source = String(options.source);
                }
                this.delegate = delegate;
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = this.config.tolerant;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = this.config.comment;
                this.operatorPrecedence = {
                  ")": 0,
                  ";": 0,
                  ",": 0,
                  "=": 0,
                  "]": 0,
                  "||": 1,
                  "&&": 2,
                  "|": 3,
                  "^": 4,
                  "&": 5,
                  "==": 6,
                  "!=": 6,
                  "===": 6,
                  "!==": 6,
                  "<": 7,
                  ">": 7,
                  "<=": 7,
                  ">=": 7,
                  "<<": 8,
                  ">>": 8,
                  ">>>": 8,
                  "+": 9,
                  "-": 9,
                  "*": 11,
                  "/": 11,
                  "%": 11
                };
                this.lookahead = {
                  type: 2,
                  value: "",
                  lineNumber: this.scanner.lineNumber,
                  lineStart: 0,
                  start: 0,
                  end: 0
                };
                this.hasLineTerminator = false;
                this.context = {
                  isModule: false,
                  await: false,
                  allowIn: true,
                  allowStrictDirective: true,
                  allowYield: true,
                  firstCoverInitializedNameError: null,
                  isAssignmentTarget: false,
                  isBindingElement: false,
                  inFunctionBody: false,
                  inIteration: false,
                  inSwitch: false,
                  labelSet: {},
                  strict: false
                };
                this.tokens = [];
                this.startMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.lastMarker = {
                  index: 0,
                  line: this.scanner.lineNumber,
                  column: 0
                };
                this.nextToken();
                this.lastMarker = {
                  index: this.scanner.index,
                  line: this.scanner.lineNumber,
                  column: this.scanner.index - this.scanner.lineStart
                };
              }
              Parser2.prototype.throwError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.lastMarker.line;
                var column = this.lastMarker.column + 1;
                throw this.errorHandler.createError(index, line, column, msg);
              };
              Parser2.prototype.tolerateError = function(messageFormat) {
                var values = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  values[_i - 1] = arguments[_i];
                }
                var args = Array.prototype.slice.call(arguments, 1);
                var msg = messageFormat.replace(/%(\d)/g, function(whole, idx) {
                  assert_1.assert(idx < args.length, "Message reference must be in range");
                  return args[idx];
                });
                var index = this.lastMarker.index;
                var line = this.scanner.lineNumber;
                var column = this.lastMarker.column + 1;
                this.errorHandler.tolerateError(index, line, column, msg);
              };
              Parser2.prototype.unexpectedTokenError = function(token, message) {
                var msg = message || messages_1.Messages.UnexpectedToken;
                var value;
                if (token) {
                  if (!message) {
                    msg = token.type === 2 ? messages_1.Messages.UnexpectedEOS : token.type === 3 ? messages_1.Messages.UnexpectedIdentifier : token.type === 6 ? messages_1.Messages.UnexpectedNumber : token.type === 8 ? messages_1.Messages.UnexpectedString : token.type === 10 ? messages_1.Messages.UnexpectedTemplate : messages_1.Messages.UnexpectedToken;
                    if (token.type === 4) {
                      if (this.scanner.isFutureReservedWord(token.value)) {
                        msg = messages_1.Messages.UnexpectedReserved;
                      } else if (this.context.strict && this.scanner.isStrictModeReservedWord(token.value)) {
                        msg = messages_1.Messages.StrictReservedWord;
                      }
                    }
                  }
                  value = token.value;
                } else {
                  value = "ILLEGAL";
                }
                msg = msg.replace("%0", value);
                if (token && typeof token.lineNumber === "number") {
                  var index = token.start;
                  var line = token.lineNumber;
                  var lastMarkerLineStart = this.lastMarker.index - this.lastMarker.column;
                  var column = token.start - lastMarkerLineStart + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                } else {
                  var index = this.lastMarker.index;
                  var line = this.lastMarker.line;
                  var column = this.lastMarker.column + 1;
                  return this.errorHandler.createError(index, line, column, msg);
                }
              };
              Parser2.prototype.throwUnexpectedToken = function(token, message) {
                throw this.unexpectedTokenError(token, message);
              };
              Parser2.prototype.tolerateUnexpectedToken = function(token, message) {
                this.errorHandler.tolerate(this.unexpectedTokenError(token, message));
              };
              Parser2.prototype.collectComments = function() {
                if (!this.config.comment) {
                  this.scanner.scanComments();
                } else {
                  var comments = this.scanner.scanComments();
                  if (comments.length > 0 && this.delegate) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var node = void 0;
                      node = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value: this.scanner.source.slice(e.slice[0], e.slice[1])
                      };
                      if (this.config.range) {
                        node.range = e.range;
                      }
                      if (this.config.loc) {
                        node.loc = e.loc;
                      }
                      var metadata = {
                        start: {
                          line: e.loc.start.line,
                          column: e.loc.start.column,
                          offset: e.range[0]
                        },
                        end: {
                          line: e.loc.end.line,
                          column: e.loc.end.column,
                          offset: e.range[1]
                        }
                      };
                      this.delegate(node, metadata);
                    }
                  }
                }
              };
              Parser2.prototype.getTokenRaw = function(token) {
                return this.scanner.source.slice(token.start, token.end);
              };
              Parser2.prototype.convertToken = function(token) {
                var t = {
                  type: token_1.TokenName[token.type],
                  value: this.getTokenRaw(token)
                };
                if (this.config.range) {
                  t.range = [token.start, token.end];
                }
                if (this.config.loc) {
                  t.loc = {
                    start: {
                      line: this.startMarker.line,
                      column: this.startMarker.column
                    },
                    end: {
                      line: this.scanner.lineNumber,
                      column: this.scanner.index - this.scanner.lineStart
                    }
                  };
                }
                if (token.type === 9) {
                  var pattern = token.pattern;
                  var flags = token.flags;
                  t.regex = { pattern, flags };
                }
                return t;
              };
              Parser2.prototype.nextToken = function() {
                var token = this.lookahead;
                this.lastMarker.index = this.scanner.index;
                this.lastMarker.line = this.scanner.lineNumber;
                this.lastMarker.column = this.scanner.index - this.scanner.lineStart;
                this.collectComments();
                if (this.scanner.index !== this.startMarker.index) {
                  this.startMarker.index = this.scanner.index;
                  this.startMarker.line = this.scanner.lineNumber;
                  this.startMarker.column = this.scanner.index - this.scanner.lineStart;
                }
                var next = this.scanner.lex();
                this.hasLineTerminator = token.lineNumber !== next.lineNumber;
                if (next && this.context.strict && next.type === 3) {
                  if (this.scanner.isStrictModeReservedWord(next.value)) {
                    next.type = 4;
                  }
                }
                this.lookahead = next;
                if (this.config.tokens && next.type !== 2) {
                  this.tokens.push(this.convertToken(next));
                }
                return token;
              };
              Parser2.prototype.nextRegexToken = function() {
                this.collectComments();
                var token = this.scanner.scanRegExp();
                if (this.config.tokens) {
                  this.tokens.pop();
                  this.tokens.push(this.convertToken(token));
                }
                this.lookahead = token;
                this.nextToken();
                return token;
              };
              Parser2.prototype.createNode = function() {
                return {
                  index: this.startMarker.index,
                  line: this.startMarker.line,
                  column: this.startMarker.column
                };
              };
              Parser2.prototype.startNode = function(token, lastLineStart) {
                if (lastLineStart === void 0) {
                  lastLineStart = 0;
                }
                var column = token.start - token.lineStart;
                var line = token.lineNumber;
                if (column < 0) {
                  column += lastLineStart;
                  line--;
                }
                return {
                  index: token.start,
                  line,
                  column
                };
              };
              Parser2.prototype.finalize = function(marker, node) {
                if (this.config.range) {
                  node.range = [marker.index, this.lastMarker.index];
                }
                if (this.config.loc) {
                  node.loc = {
                    start: {
                      line: marker.line,
                      column: marker.column
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column
                    }
                  };
                  if (this.config.source) {
                    node.loc.source = this.config.source;
                  }
                }
                if (this.delegate) {
                  var metadata = {
                    start: {
                      line: marker.line,
                      column: marker.column,
                      offset: marker.index
                    },
                    end: {
                      line: this.lastMarker.line,
                      column: this.lastMarker.column,
                      offset: this.lastMarker.index
                    }
                  };
                  this.delegate(node, metadata);
                }
                return node;
              };
              Parser2.prototype.expect = function(value) {
                var token = this.nextToken();
                if (token.type !== 7 || token.value !== value) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.expectCommaSeparator = function() {
                if (this.config.tolerant) {
                  var token = this.lookahead;
                  if (token.type === 7 && token.value === ",") {
                    this.nextToken();
                  } else if (token.type === 7 && token.value === ";") {
                    this.nextToken();
                    this.tolerateUnexpectedToken(token);
                  } else {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.UnexpectedToken);
                  }
                } else {
                  this.expect(",");
                }
              };
              Parser2.prototype.expectKeyword = function(keyword) {
                var token = this.nextToken();
                if (token.type !== 4 || token.value !== keyword) {
                  this.throwUnexpectedToken(token);
                }
              };
              Parser2.prototype.match = function(value) {
                return this.lookahead.type === 7 && this.lookahead.value === value;
              };
              Parser2.prototype.matchKeyword = function(keyword) {
                return this.lookahead.type === 4 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchContextualKeyword = function(keyword) {
                return this.lookahead.type === 3 && this.lookahead.value === keyword;
              };
              Parser2.prototype.matchAssign = function() {
                if (this.lookahead.type !== 7) {
                  return false;
                }
                var op = this.lookahead.value;
                return op === "=" || op === "*=" || op === "**=" || op === "/=" || op === "%=" || op === "+=" || op === "-=" || op === "<<=" || op === ">>=" || op === ">>>=" || op === "&=" || op === "^=" || op === "|=";
              };
              Parser2.prototype.isolateCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                if (this.context.firstCoverInitializedNameError !== null) {
                  this.throwUnexpectedToken(this.context.firstCoverInitializedNameError);
                }
                this.context.isBindingElement = previousIsBindingElement;
                this.context.isAssignmentTarget = previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.inheritCoverGrammar = function(parseFunction) {
                var previousIsBindingElement = this.context.isBindingElement;
                var previousIsAssignmentTarget = this.context.isAssignmentTarget;
                var previousFirstCoverInitializedNameError = this.context.firstCoverInitializedNameError;
                this.context.isBindingElement = true;
                this.context.isAssignmentTarget = true;
                this.context.firstCoverInitializedNameError = null;
                var result = parseFunction.call(this);
                this.context.isBindingElement = this.context.isBindingElement && previousIsBindingElement;
                this.context.isAssignmentTarget = this.context.isAssignmentTarget && previousIsAssignmentTarget;
                this.context.firstCoverInitializedNameError = previousFirstCoverInitializedNameError || this.context.firstCoverInitializedNameError;
                return result;
              };
              Parser2.prototype.consumeSemicolon = function() {
                if (this.match(";")) {
                  this.nextToken();
                } else if (!this.hasLineTerminator) {
                  if (this.lookahead.type !== 2 && !this.match("}")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.lastMarker.index = this.startMarker.index;
                  this.lastMarker.line = this.startMarker.line;
                  this.lastMarker.column = this.startMarker.column;
                }
              };
              Parser2.prototype.parsePrimaryExpression = function() {
                var node = this.createNode();
                var expr;
                var token, raw;
                switch (this.lookahead.type) {
                  case 3:
                    if ((this.context.isModule || this.context.await) && this.lookahead.value === "await") {
                      this.tolerateUnexpectedToken(this.lookahead);
                    }
                    expr = this.matchAsyncFunction() ? this.parseFunctionExpression() : this.finalize(node, new Node.Identifier(this.nextToken().value));
                    break;
                  case 6:
                  case 8:
                    if (this.context.strict && this.lookahead.octal) {
                      this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.StrictOctalLiteral);
                    }
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 1:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(token.value === "true", raw));
                    break;
                  case 5:
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    token = this.nextToken();
                    raw = this.getTokenRaw(token);
                    expr = this.finalize(node, new Node.Literal(null, raw));
                    break;
                  case 10:
                    expr = this.parseTemplateLiteral();
                    break;
                  case 7:
                    switch (this.lookahead.value) {
                      case "(":
                        this.context.isBindingElement = false;
                        expr = this.inheritCoverGrammar(this.parseGroupExpression);
                        break;
                      case "[":
                        expr = this.inheritCoverGrammar(this.parseArrayInitializer);
                        break;
                      case "{":
                        expr = this.inheritCoverGrammar(this.parseObjectInitializer);
                        break;
                      case "/":
                      case "/=":
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                        this.scanner.index = this.startMarker.index;
                        token = this.nextRegexToken();
                        raw = this.getTokenRaw(token);
                        expr = this.finalize(node, new Node.RegexLiteral(token.regex, raw, token.pattern, token.flags));
                        break;
                      default:
                        expr = this.throwUnexpectedToken(this.nextToken());
                    }
                    break;
                  case 4:
                    if (!this.context.strict && this.context.allowYield && this.matchKeyword("yield")) {
                      expr = this.parseIdentifierName();
                    } else if (!this.context.strict && this.matchKeyword("let")) {
                      expr = this.finalize(node, new Node.Identifier(this.nextToken().value));
                    } else {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      if (this.matchKeyword("function")) {
                        expr = this.parseFunctionExpression();
                      } else if (this.matchKeyword("this")) {
                        this.nextToken();
                        expr = this.finalize(node, new Node.ThisExpression());
                      } else if (this.matchKeyword("class")) {
                        expr = this.parseClassExpression();
                      } else {
                        expr = this.throwUnexpectedToken(this.nextToken());
                      }
                    }
                    break;
                  default:
                    expr = this.throwUnexpectedToken(this.nextToken());
                }
                return expr;
              };
              Parser2.prototype.parseSpreadElement = function() {
                var node = this.createNode();
                this.expect("...");
                var arg = this.inheritCoverGrammar(this.parseAssignmentExpression);
                return this.finalize(node, new Node.SpreadElement(arg));
              };
              Parser2.prototype.parseArrayInitializer = function() {
                var node = this.createNode();
                var elements = [];
                this.expect("[");
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else if (this.match("...")) {
                    var element = this.parseSpreadElement();
                    if (!this.match("]")) {
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      this.expect(",");
                    }
                    elements.push(element);
                  } else {
                    elements.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayExpression(elements));
              };
              Parser2.prototype.parsePropertyMethod = function(params) {
                this.context.isAssignmentTarget = false;
                this.context.isBindingElement = false;
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = params.simple;
                var body = this.isolateCoverGrammar(this.parseFunctionSourceElements);
                if (this.context.strict && params.firstRestricted) {
                  this.tolerateUnexpectedToken(params.firstRestricted, params.message);
                }
                if (this.context.strict && params.stricted) {
                  this.tolerateUnexpectedToken(params.stricted, params.message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                return body;
              };
              Parser2.prototype.parsePropertyMethodFunction = function() {
                var isGenerator = false;
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.parsePropertyMethodAsyncFunction = function() {
                var node = this.createNode();
                var previousAllowYield = this.context.allowYield;
                var previousAwait = this.context.await;
                this.context.allowYield = false;
                this.context.await = true;
                var params = this.parseFormalParameters();
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                this.context.await = previousAwait;
                return this.finalize(node, new Node.AsyncFunctionExpression(null, params.params, method));
              };
              Parser2.prototype.parseObjectPropertyKey = function() {
                var node = this.createNode();
                var token = this.nextToken();
                var key;
                switch (token.type) {
                  case 8:
                  case 6:
                    if (this.context.strict && token.octal) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictOctalLiteral);
                    }
                    var raw = this.getTokenRaw(token);
                    key = this.finalize(node, new Node.Literal(token.value, raw));
                    break;
                  case 3:
                  case 1:
                  case 5:
                  case 4:
                    key = this.finalize(node, new Node.Identifier(token.value));
                    break;
                  case 7:
                    if (token.value === "[") {
                      key = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      this.expect("]");
                    } else {
                      key = this.throwUnexpectedToken(token);
                    }
                    break;
                  default:
                    key = this.throwUnexpectedToken(token);
                }
                return key;
              };
              Parser2.prototype.isPropertyKey = function(key, value) {
                return key.type === syntax_1.Syntax.Identifier && key.name === value || key.type === syntax_1.Syntax.Literal && key.value === value;
              };
              Parser2.prototype.parseObjectProperty = function(hasProto) {
                var node = this.createNode();
                var token = this.lookahead;
                var kind;
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var shorthand = false;
                var isAsync = false;
                if (token.type === 3) {
                  var id = token.value;
                  this.nextToken();
                  computed = this.match("[");
                  isAsync = !this.hasLineTerminator && id === "async" && !this.match(":") && !this.match("(") && !this.match("*") && !this.match(",");
                  key = isAsync ? this.parseObjectPropertyKey() : this.finalize(node, new Node.Identifier(id));
                } else if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3 && !isAsync && token.value === "get" && lookaheadPropertyKey) {
                  kind = "get";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.context.allowYield = false;
                  value = this.parseGetterMethod();
                } else if (token.type === 3 && !isAsync && token.value === "set" && lookaheadPropertyKey) {
                  kind = "set";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseSetterMethod();
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                } else {
                  if (!key) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  kind = "init";
                  if (this.match(":") && !isAsync) {
                    if (!computed && this.isPropertyKey(key, "__proto__")) {
                      if (hasProto.value) {
                        this.tolerateError(messages_1.Messages.DuplicateProtoProperty);
                      }
                      hasProto.value = true;
                    }
                    this.nextToken();
                    value = this.inheritCoverGrammar(this.parseAssignmentExpression);
                  } else if (this.match("(")) {
                    value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                    method = true;
                  } else if (token.type === 3) {
                    var id = this.finalize(node, new Node.Identifier(token.value));
                    if (this.match("=")) {
                      this.context.firstCoverInitializedNameError = this.lookahead;
                      this.nextToken();
                      shorthand = true;
                      var init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      value = this.finalize(node, new Node.AssignmentPattern(id, init));
                    } else {
                      shorthand = true;
                      value = id;
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.Property(kind, key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectInitializer = function() {
                var node = this.createNode();
                this.expect("{");
                var properties = [];
                var hasProto = { value: false };
                while (!this.match("}")) {
                  properties.push(this.parseObjectProperty(hasProto));
                  if (!this.match("}")) {
                    this.expectCommaSeparator();
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectExpression(properties));
              };
              Parser2.prototype.parseTemplateHead = function() {
                assert_1.assert(this.lookahead.head, "Template literal must start with a template head");
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateElement = function() {
                if (this.lookahead.type !== 10) {
                  this.throwUnexpectedToken();
                }
                var node = this.createNode();
                var token = this.nextToken();
                var raw = token.value;
                var cooked = token.cooked;
                return this.finalize(node, new Node.TemplateElement({ raw, cooked }, token.tail));
              };
              Parser2.prototype.parseTemplateLiteral = function() {
                var node = this.createNode();
                var expressions = [];
                var quasis = [];
                var quasi = this.parseTemplateHead();
                quasis.push(quasi);
                while (!quasi.tail) {
                  expressions.push(this.parseExpression());
                  quasi = this.parseTemplateElement();
                  quasis.push(quasi);
                }
                return this.finalize(node, new Node.TemplateLiteral(quasis, expressions));
              };
              Parser2.prototype.reinterpretExpressionAsPattern = function(expr) {
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                  case syntax_1.Syntax.MemberExpression:
                  case syntax_1.Syntax.RestElement:
                  case syntax_1.Syntax.AssignmentPattern:
                    break;
                  case syntax_1.Syntax.SpreadElement:
                    expr.type = syntax_1.Syntax.RestElement;
                    this.reinterpretExpressionAsPattern(expr.argument);
                    break;
                  case syntax_1.Syntax.ArrayExpression:
                    expr.type = syntax_1.Syntax.ArrayPattern;
                    for (var i = 0; i < expr.elements.length; i++) {
                      if (expr.elements[i] !== null) {
                        this.reinterpretExpressionAsPattern(expr.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectExpression:
                    expr.type = syntax_1.Syntax.ObjectPattern;
                    for (var i = 0; i < expr.properties.length; i++) {
                      this.reinterpretExpressionAsPattern(expr.properties[i].value);
                    }
                    break;
                  case syntax_1.Syntax.AssignmentExpression:
                    expr.type = syntax_1.Syntax.AssignmentPattern;
                    delete expr.operator;
                    this.reinterpretExpressionAsPattern(expr.left);
                    break;
                  default:
                    break;
                }
              };
              Parser2.prototype.parseGroupExpression = function() {
                var expr;
                this.expect("(");
                if (this.match(")")) {
                  this.nextToken();
                  if (!this.match("=>")) {
                    this.expect("=>");
                  }
                  expr = {
                    type: ArrowParameterPlaceHolder,
                    params: [],
                    async: false
                  };
                } else {
                  var startToken = this.lookahead;
                  var params = [];
                  if (this.match("...")) {
                    expr = this.parseRestElement(params);
                    this.expect(")");
                    if (!this.match("=>")) {
                      this.expect("=>");
                    }
                    expr = {
                      type: ArrowParameterPlaceHolder,
                      params: [expr],
                      async: false
                    };
                  } else {
                    var arrow = false;
                    this.context.isBindingElement = true;
                    expr = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    if (this.match(",")) {
                      var expressions = [];
                      this.context.isAssignmentTarget = false;
                      expressions.push(expr);
                      while (this.lookahead.type !== 2) {
                        if (!this.match(",")) {
                          break;
                        }
                        this.nextToken();
                        if (this.match(")")) {
                          this.nextToken();
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else if (this.match("...")) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          expressions.push(this.parseRestElement(params));
                          this.expect(")");
                          if (!this.match("=>")) {
                            this.expect("=>");
                          }
                          this.context.isBindingElement = false;
                          for (var i = 0; i < expressions.length; i++) {
                            this.reinterpretExpressionAsPattern(expressions[i]);
                          }
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: expressions,
                            async: false
                          };
                        } else {
                          expressions.push(this.inheritCoverGrammar(this.parseAssignmentExpression));
                        }
                        if (arrow) {
                          break;
                        }
                      }
                      if (!arrow) {
                        expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                      }
                    }
                    if (!arrow) {
                      this.expect(")");
                      if (this.match("=>")) {
                        if (expr.type === syntax_1.Syntax.Identifier && expr.name === "yield") {
                          arrow = true;
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: [expr],
                            async: false
                          };
                        }
                        if (!arrow) {
                          if (!this.context.isBindingElement) {
                            this.throwUnexpectedToken(this.lookahead);
                          }
                          if (expr.type === syntax_1.Syntax.SequenceExpression) {
                            for (var i = 0; i < expr.expressions.length; i++) {
                              this.reinterpretExpressionAsPattern(expr.expressions[i]);
                            }
                          } else {
                            this.reinterpretExpressionAsPattern(expr);
                          }
                          var parameters = expr.type === syntax_1.Syntax.SequenceExpression ? expr.expressions : [expr];
                          expr = {
                            type: ArrowParameterPlaceHolder,
                            params: parameters,
                            async: false
                          };
                        }
                      }
                      this.context.isBindingElement = false;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAssignmentExpression);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.isIdentifierName = function(token) {
                return token.type === 3 || token.type === 4 || token.type === 1 || token.type === 5;
              };
              Parser2.prototype.parseIdentifierName = function() {
                var node = this.createNode();
                var token = this.nextToken();
                if (!this.isIdentifierName(token)) {
                  this.throwUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseNewExpression = function() {
                var node = this.createNode();
                var id = this.parseIdentifierName();
                assert_1.assert(id.name === "new", "New expression must start with `new`");
                var expr;
                if (this.match(".")) {
                  this.nextToken();
                  if (this.lookahead.type === 3 && this.context.inFunctionBody && this.lookahead.value === "target") {
                    var property = this.parseIdentifierName();
                    expr = new Node.MetaProperty(id, property);
                  } else {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  var callee = this.isolateCoverGrammar(this.parseLeftHandSideExpression);
                  var args = this.match("(") ? this.parseArguments() : [];
                  expr = new Node.NewExpression(callee, args);
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return this.finalize(node, expr);
              };
              Parser2.prototype.parseAsyncArgument = function() {
                var arg = this.parseAssignmentExpression();
                this.context.firstCoverInitializedNameError = null;
                return arg;
              };
              Parser2.prototype.parseAsyncArguments = function() {
                this.expect("(");
                var args = [];
                if (!this.match(")")) {
                  while (true) {
                    var expr = this.match("...") ? this.parseSpreadElement() : this.isolateCoverGrammar(this.parseAsyncArgument);
                    args.push(expr);
                    if (this.match(")")) {
                      break;
                    }
                    this.expectCommaSeparator();
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return args;
              };
              Parser2.prototype.parseLeftHandSideExpressionAllowCall = function() {
                var startToken = this.lookahead;
                var maybeAsync = this.matchContextualKeyword("async");
                var previousAllowIn = this.context.allowIn;
                this.context.allowIn = true;
                var expr;
                if (this.matchKeyword("super") && this.context.inFunctionBody) {
                  expr = this.createNode();
                  this.nextToken();
                  expr = this.finalize(expr, new Node.Super());
                  if (!this.match("(") && !this.match(".") && !this.match("[")) {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                } else {
                  expr = this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                }
                while (true) {
                  if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(this.startNode(startToken), new Node.StaticMemberExpression(expr, property));
                  } else if (this.match("(")) {
                    var asyncArrow = maybeAsync && startToken.lineNumber === this.lookahead.lineNumber;
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = false;
                    var args = asyncArrow ? this.parseAsyncArguments() : this.parseArguments();
                    expr = this.finalize(this.startNode(startToken), new Node.CallExpression(expr, args));
                    if (asyncArrow && this.match("=>")) {
                      for (var i = 0; i < args.length; ++i) {
                        this.reinterpretExpressionAsPattern(args[i]);
                      }
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: args,
                        async: true
                      };
                    }
                  } else if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(this.startNode(startToken), new Node.ComputedMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(this.startNode(startToken), new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                this.context.allowIn = previousAllowIn;
                return expr;
              };
              Parser2.prototype.parseSuper = function() {
                var node = this.createNode();
                this.expectKeyword("super");
                if (!this.match("[") && !this.match(".")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                return this.finalize(node, new Node.Super());
              };
              Parser2.prototype.parseLeftHandSideExpression = function() {
                assert_1.assert(this.context.allowIn, "callee of new expression always allow in keyword.");
                var node = this.startNode(this.lookahead);
                var expr = this.matchKeyword("super") && this.context.inFunctionBody ? this.parseSuper() : this.inheritCoverGrammar(this.matchKeyword("new") ? this.parseNewExpression : this.parsePrimaryExpression);
                while (true) {
                  if (this.match("[")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect("[");
                    var property = this.isolateCoverGrammar(this.parseExpression);
                    this.expect("]");
                    expr = this.finalize(node, new Node.ComputedMemberExpression(expr, property));
                  } else if (this.match(".")) {
                    this.context.isBindingElement = false;
                    this.context.isAssignmentTarget = true;
                    this.expect(".");
                    var property = this.parseIdentifierName();
                    expr = this.finalize(node, new Node.StaticMemberExpression(expr, property));
                  } else if (this.lookahead.type === 10 && this.lookahead.head) {
                    var quasi = this.parseTemplateLiteral();
                    expr = this.finalize(node, new Node.TaggedTemplateExpression(expr, quasi));
                  } else {
                    break;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseUpdateExpression = function() {
                var expr;
                var startToken = this.lookahead;
                if (this.match("++") || this.match("--")) {
                  var node = this.startNode(startToken);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                    this.tolerateError(messages_1.Messages.StrictLHSPrefix);
                  }
                  if (!this.context.isAssignmentTarget) {
                    this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                  }
                  var prefix = true;
                  expr = this.finalize(node, new Node.UpdateExpression(token.value, expr, prefix));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else {
                  expr = this.inheritCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                  if (!this.hasLineTerminator && this.lookahead.type === 7) {
                    if (this.match("++") || this.match("--")) {
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier && this.scanner.isRestrictedWord(expr.name)) {
                        this.tolerateError(messages_1.Messages.StrictLHSPostfix);
                      }
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      this.context.isAssignmentTarget = false;
                      this.context.isBindingElement = false;
                      var operator = this.nextToken().value;
                      var prefix = false;
                      expr = this.finalize(this.startNode(startToken), new Node.UpdateExpression(operator, expr, prefix));
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseAwaitExpression = function() {
                var node = this.createNode();
                this.nextToken();
                var argument = this.parseUnaryExpression();
                return this.finalize(node, new Node.AwaitExpression(argument));
              };
              Parser2.prototype.parseUnaryExpression = function() {
                var expr;
                if (this.match("+") || this.match("-") || this.match("~") || this.match("!") || this.matchKeyword("delete") || this.matchKeyword("void") || this.matchKeyword("typeof")) {
                  var node = this.startNode(this.lookahead);
                  var token = this.nextToken();
                  expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                  expr = this.finalize(node, new Node.UnaryExpression(token.value, expr));
                  if (this.context.strict && expr.operator === "delete" && expr.argument.type === syntax_1.Syntax.Identifier) {
                    this.tolerateError(messages_1.Messages.StrictDelete);
                  }
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                } else if (this.context.await && this.matchContextualKeyword("await")) {
                  expr = this.parseAwaitExpression();
                } else {
                  expr = this.parseUpdateExpression();
                }
                return expr;
              };
              Parser2.prototype.parseExponentiationExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseUnaryExpression);
                if (expr.type !== syntax_1.Syntax.UnaryExpression && this.match("**")) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.BinaryExpression("**", left, right));
                }
                return expr;
              };
              Parser2.prototype.binaryPrecedence = function(token) {
                var op = token.value;
                var precedence;
                if (token.type === 7) {
                  precedence = this.operatorPrecedence[op] || 0;
                } else if (token.type === 4) {
                  precedence = op === "instanceof" || this.context.allowIn && op === "in" ? 7 : 0;
                } else {
                  precedence = 0;
                }
                return precedence;
              };
              Parser2.prototype.parseBinaryExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseExponentiationExpression);
                var token = this.lookahead;
                var prec = this.binaryPrecedence(token);
                if (prec > 0) {
                  this.nextToken();
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                  var markers = [startToken, this.lookahead];
                  var left = expr;
                  var right = this.isolateCoverGrammar(this.parseExponentiationExpression);
                  var stack = [left, token.value, right];
                  var precedences = [prec];
                  while (true) {
                    prec = this.binaryPrecedence(this.lookahead);
                    if (prec <= 0) {
                      break;
                    }
                    while (stack.length > 2 && prec <= precedences[precedences.length - 1]) {
                      right = stack.pop();
                      var operator = stack.pop();
                      precedences.pop();
                      left = stack.pop();
                      markers.pop();
                      var node = this.startNode(markers[markers.length - 1]);
                      stack.push(this.finalize(node, new Node.BinaryExpression(operator, left, right)));
                    }
                    stack.push(this.nextToken().value);
                    precedences.push(prec);
                    markers.push(this.lookahead);
                    stack.push(this.isolateCoverGrammar(this.parseExponentiationExpression));
                  }
                  var i = stack.length - 1;
                  expr = stack[i];
                  var lastMarker = markers.pop();
                  while (i > 1) {
                    var marker = markers.pop();
                    var lastLineStart = lastMarker && lastMarker.lineStart;
                    var node = this.startNode(marker, lastLineStart);
                    var operator = stack[i - 1];
                    expr = this.finalize(node, new Node.BinaryExpression(operator, stack[i - 2], expr));
                    i -= 2;
                    lastMarker = marker;
                  }
                }
                return expr;
              };
              Parser2.prototype.parseConditionalExpression = function() {
                var startToken = this.lookahead;
                var expr = this.inheritCoverGrammar(this.parseBinaryExpression);
                if (this.match("?")) {
                  this.nextToken();
                  var previousAllowIn = this.context.allowIn;
                  this.context.allowIn = true;
                  var consequent = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowIn = previousAllowIn;
                  this.expect(":");
                  var alternate = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  expr = this.finalize(this.startNode(startToken), new Node.ConditionalExpression(expr, consequent, alternate));
                  this.context.isAssignmentTarget = false;
                  this.context.isBindingElement = false;
                }
                return expr;
              };
              Parser2.prototype.checkPatternParam = function(options, param) {
                switch (param.type) {
                  case syntax_1.Syntax.Identifier:
                    this.validateParam(options, param, param.name);
                    break;
                  case syntax_1.Syntax.RestElement:
                    this.checkPatternParam(options, param.argument);
                    break;
                  case syntax_1.Syntax.AssignmentPattern:
                    this.checkPatternParam(options, param.left);
                    break;
                  case syntax_1.Syntax.ArrayPattern:
                    for (var i = 0; i < param.elements.length; i++) {
                      if (param.elements[i] !== null) {
                        this.checkPatternParam(options, param.elements[i]);
                      }
                    }
                    break;
                  case syntax_1.Syntax.ObjectPattern:
                    for (var i = 0; i < param.properties.length; i++) {
                      this.checkPatternParam(options, param.properties[i].value);
                    }
                    break;
                  default:
                    break;
                }
                options.simple = options.simple && param instanceof Node.Identifier;
              };
              Parser2.prototype.reinterpretAsCoverFormalsList = function(expr) {
                var params = [expr];
                var options;
                var asyncArrow = false;
                switch (expr.type) {
                  case syntax_1.Syntax.Identifier:
                    break;
                  case ArrowParameterPlaceHolder:
                    params = expr.params;
                    asyncArrow = expr.async;
                    break;
                  default:
                    return null;
                }
                options = {
                  simple: true,
                  paramSet: {}
                };
                for (var i = 0; i < params.length; ++i) {
                  var param = params[i];
                  if (param.type === syntax_1.Syntax.AssignmentPattern) {
                    if (param.right.type === syntax_1.Syntax.YieldExpression) {
                      if (param.right.argument) {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                      param.right.type = syntax_1.Syntax.Identifier;
                      param.right.name = "yield";
                      delete param.right.argument;
                      delete param.right.delegate;
                    }
                  } else if (asyncArrow && param.type === syntax_1.Syntax.Identifier && param.name === "await") {
                    this.throwUnexpectedToken(this.lookahead);
                  }
                  this.checkPatternParam(options, param);
                  params[i] = param;
                }
                if (this.context.strict || !this.context.allowYield) {
                  for (var i = 0; i < params.length; ++i) {
                    var param = params[i];
                    if (param.type === syntax_1.Syntax.YieldExpression) {
                      this.throwUnexpectedToken(this.lookahead);
                    }
                  }
                }
                if (options.message === messages_1.Messages.StrictParamDupe) {
                  var token = this.context.strict ? options.stricted : options.firstRestricted;
                  this.throwUnexpectedToken(token, options.message);
                }
                return {
                  simple: options.simple,
                  params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.parseAssignmentExpression = function() {
                var expr;
                if (!this.context.allowYield && this.matchKeyword("yield")) {
                  expr = this.parseYieldExpression();
                } else {
                  var startToken = this.lookahead;
                  var token = startToken;
                  expr = this.parseConditionalExpression();
                  if (token.type === 3 && token.lineNumber === this.lookahead.lineNumber && token.value === "async") {
                    if (this.lookahead.type === 3 || this.matchKeyword("yield")) {
                      var arg = this.parsePrimaryExpression();
                      this.reinterpretExpressionAsPattern(arg);
                      expr = {
                        type: ArrowParameterPlaceHolder,
                        params: [arg],
                        async: true
                      };
                    }
                  }
                  if (expr.type === ArrowParameterPlaceHolder || this.match("=>")) {
                    this.context.isAssignmentTarget = false;
                    this.context.isBindingElement = false;
                    var isAsync = expr.async;
                    var list = this.reinterpretAsCoverFormalsList(expr);
                    if (list) {
                      if (this.hasLineTerminator) {
                        this.tolerateUnexpectedToken(this.lookahead);
                      }
                      this.context.firstCoverInitializedNameError = null;
                      var previousStrict = this.context.strict;
                      var previousAllowStrictDirective = this.context.allowStrictDirective;
                      this.context.allowStrictDirective = list.simple;
                      var previousAllowYield = this.context.allowYield;
                      var previousAwait = this.context.await;
                      this.context.allowYield = true;
                      this.context.await = isAsync;
                      var node = this.startNode(startToken);
                      this.expect("=>");
                      var body = void 0;
                      if (this.match("{")) {
                        var previousAllowIn = this.context.allowIn;
                        this.context.allowIn = true;
                        body = this.parseFunctionSourceElements();
                        this.context.allowIn = previousAllowIn;
                      } else {
                        body = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      }
                      var expression = body.type !== syntax_1.Syntax.BlockStatement;
                      if (this.context.strict && list.firstRestricted) {
                        this.throwUnexpectedToken(list.firstRestricted, list.message);
                      }
                      if (this.context.strict && list.stricted) {
                        this.tolerateUnexpectedToken(list.stricted, list.message);
                      }
                      expr = isAsync ? this.finalize(node, new Node.AsyncArrowFunctionExpression(list.params, body, expression)) : this.finalize(node, new Node.ArrowFunctionExpression(list.params, body, expression));
                      this.context.strict = previousStrict;
                      this.context.allowStrictDirective = previousAllowStrictDirective;
                      this.context.allowYield = previousAllowYield;
                      this.context.await = previousAwait;
                    }
                  } else {
                    if (this.matchAssign()) {
                      if (!this.context.isAssignmentTarget) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInAssignment);
                      }
                      if (this.context.strict && expr.type === syntax_1.Syntax.Identifier) {
                        var id = expr;
                        if (this.scanner.isRestrictedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictLHSAssignment);
                        }
                        if (this.scanner.isStrictModeReservedWord(id.name)) {
                          this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                        }
                      }
                      if (!this.match("=")) {
                        this.context.isAssignmentTarget = false;
                        this.context.isBindingElement = false;
                      } else {
                        this.reinterpretExpressionAsPattern(expr);
                      }
                      token = this.nextToken();
                      var operator = token.value;
                      var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                      expr = this.finalize(this.startNode(startToken), new Node.AssignmentExpression(operator, expr, right));
                      this.context.firstCoverInitializedNameError = null;
                    }
                  }
                }
                return expr;
              };
              Parser2.prototype.parseExpression = function() {
                var startToken = this.lookahead;
                var expr = this.isolateCoverGrammar(this.parseAssignmentExpression);
                if (this.match(",")) {
                  var expressions = [];
                  expressions.push(expr);
                  while (this.lookahead.type !== 2) {
                    if (!this.match(",")) {
                      break;
                    }
                    this.nextToken();
                    expressions.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                  }
                  expr = this.finalize(this.startNode(startToken), new Node.SequenceExpression(expressions));
                }
                return expr;
              };
              Parser2.prototype.parseStatementListItem = function() {
                var statement;
                this.context.isAssignmentTarget = true;
                this.context.isBindingElement = true;
                if (this.lookahead.type === 4) {
                  switch (this.lookahead.value) {
                    case "export":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalExportDeclaration);
                      }
                      statement = this.parseExportDeclaration();
                      break;
                    case "import":
                      if (!this.context.isModule) {
                        this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.IllegalImportDeclaration);
                      }
                      statement = this.parseImportDeclaration();
                      break;
                    case "const":
                      statement = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "function":
                      statement = this.parseFunctionDeclaration();
                      break;
                    case "class":
                      statement = this.parseClassDeclaration();
                      break;
                    case "let":
                      statement = this.isLexicalDeclaration() ? this.parseLexicalDeclaration({ inFor: false }) : this.parseStatement();
                      break;
                    default:
                      statement = this.parseStatement();
                      break;
                  }
                } else {
                  statement = this.parseStatement();
                }
                return statement;
              };
              Parser2.prototype.parseBlock = function() {
                var node = this.createNode();
                this.expect("{");
                var block = [];
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  block.push(this.parseStatementListItem());
                }
                this.expect("}");
                return this.finalize(node, new Node.BlockStatement(block));
              };
              Parser2.prototype.parseLexicalBinding = function(kind, options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, kind);
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (kind === "const") {
                  if (!this.matchKeyword("in") && !this.matchContextualKeyword("of")) {
                    if (this.match("=")) {
                      this.nextToken();
                      init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                    } else {
                      this.throwError(messages_1.Messages.DeclarationMissingInitializer, "const");
                    }
                  }
                } else if (!options.inFor && id.type !== syntax_1.Syntax.Identifier || this.match("=")) {
                  this.expect("=");
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseBindingList = function(kind, options) {
                var list = [this.parseLexicalBinding(kind, options)];
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseLexicalBinding(kind, options));
                }
                return list;
              };
              Parser2.prototype.isLexicalDeclaration = function() {
                var state = this.scanner.saveState();
                this.scanner.scanComments();
                var next = this.scanner.lex();
                this.scanner.restoreState(state);
                return next.type === 3 || next.type === 7 && next.value === "[" || next.type === 7 && next.value === "{" || next.type === 4 && next.value === "let" || next.type === 4 && next.value === "yield";
              };
              Parser2.prototype.parseLexicalDeclaration = function(options) {
                var node = this.createNode();
                var kind = this.nextToken().value;
                assert_1.assert(kind === "let" || kind === "const", "Lexical declaration must be either let or const");
                var declarations = this.parseBindingList(kind, options);
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, kind));
              };
              Parser2.prototype.parseBindingRestElement = function(params, kind) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params, kind);
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseArrayPattern = function(params, kind) {
                var node = this.createNode();
                this.expect("[");
                var elements = [];
                while (!this.match("]")) {
                  if (this.match(",")) {
                    this.nextToken();
                    elements.push(null);
                  } else {
                    if (this.match("...")) {
                      elements.push(this.parseBindingRestElement(params, kind));
                      break;
                    } else {
                      elements.push(this.parsePatternWithDefault(params, kind));
                    }
                    if (!this.match("]")) {
                      this.expect(",");
                    }
                  }
                }
                this.expect("]");
                return this.finalize(node, new Node.ArrayPattern(elements));
              };
              Parser2.prototype.parsePropertyPattern = function(params, kind) {
                var node = this.createNode();
                var computed = false;
                var shorthand = false;
                var method = false;
                var key;
                var value;
                if (this.lookahead.type === 3) {
                  var keyToken = this.lookahead;
                  key = this.parseVariableIdentifier();
                  var init = this.finalize(node, new Node.Identifier(keyToken.value));
                  if (this.match("=")) {
                    params.push(keyToken);
                    shorthand = true;
                    this.nextToken();
                    var expr = this.parseAssignmentExpression();
                    value = this.finalize(this.startNode(keyToken), new Node.AssignmentPattern(init, expr));
                  } else if (!this.match(":")) {
                    params.push(keyToken);
                    shorthand = true;
                    value = init;
                  } else {
                    this.expect(":");
                    value = this.parsePatternWithDefault(params, kind);
                  }
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  this.expect(":");
                  value = this.parsePatternWithDefault(params, kind);
                }
                return this.finalize(node, new Node.Property("init", key, computed, value, method, shorthand));
              };
              Parser2.prototype.parseObjectPattern = function(params, kind) {
                var node = this.createNode();
                var properties = [];
                this.expect("{");
                while (!this.match("}")) {
                  properties.push(this.parsePropertyPattern(params, kind));
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return this.finalize(node, new Node.ObjectPattern(properties));
              };
              Parser2.prototype.parsePattern = function(params, kind) {
                var pattern;
                if (this.match("[")) {
                  pattern = this.parseArrayPattern(params, kind);
                } else if (this.match("{")) {
                  pattern = this.parseObjectPattern(params, kind);
                } else {
                  if (this.matchKeyword("let") && (kind === "const" || kind === "let")) {
                    this.tolerateUnexpectedToken(this.lookahead, messages_1.Messages.LetInLexicalBinding);
                  }
                  params.push(this.lookahead);
                  pattern = this.parseVariableIdentifier(kind);
                }
                return pattern;
              };
              Parser2.prototype.parsePatternWithDefault = function(params, kind) {
                var startToken = this.lookahead;
                var pattern = this.parsePattern(params, kind);
                if (this.match("=")) {
                  this.nextToken();
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = true;
                  var right = this.isolateCoverGrammar(this.parseAssignmentExpression);
                  this.context.allowYield = previousAllowYield;
                  pattern = this.finalize(this.startNode(startToken), new Node.AssignmentPattern(pattern, right));
                }
                return pattern;
              };
              Parser2.prototype.parseVariableIdentifier = function(kind) {
                var node = this.createNode();
                var token = this.nextToken();
                if (token.type === 4 && token.value === "yield") {
                  if (this.context.strict) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else if (!this.context.allowYield) {
                    this.throwUnexpectedToken(token);
                  }
                } else if (token.type !== 3) {
                  if (this.context.strict && token.type === 4 && this.scanner.isStrictModeReservedWord(token.value)) {
                    this.tolerateUnexpectedToken(token, messages_1.Messages.StrictReservedWord);
                  } else {
                    if (this.context.strict || token.value !== "let" || kind !== "var") {
                      this.throwUnexpectedToken(token);
                    }
                  }
                } else if ((this.context.isModule || this.context.await) && token.type === 3 && token.value === "await") {
                  this.tolerateUnexpectedToken(token);
                }
                return this.finalize(node, new Node.Identifier(token.value));
              };
              Parser2.prototype.parseVariableDeclaration = function(options) {
                var node = this.createNode();
                var params = [];
                var id = this.parsePattern(params, "var");
                if (this.context.strict && id.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(id.name)) {
                    this.tolerateError(messages_1.Messages.StrictVarName);
                  }
                }
                var init = null;
                if (this.match("=")) {
                  this.nextToken();
                  init = this.isolateCoverGrammar(this.parseAssignmentExpression);
                } else if (id.type !== syntax_1.Syntax.Identifier && !options.inFor) {
                  this.expect("=");
                }
                return this.finalize(node, new Node.VariableDeclarator(id, init));
              };
              Parser2.prototype.parseVariableDeclarationList = function(options) {
                var opt = { inFor: options.inFor };
                var list = [];
                list.push(this.parseVariableDeclaration(opt));
                while (this.match(",")) {
                  this.nextToken();
                  list.push(this.parseVariableDeclaration(opt));
                }
                return list;
              };
              Parser2.prototype.parseVariableStatement = function() {
                var node = this.createNode();
                this.expectKeyword("var");
                var declarations = this.parseVariableDeclarationList({ inFor: false });
                this.consumeSemicolon();
                return this.finalize(node, new Node.VariableDeclaration(declarations, "var"));
              };
              Parser2.prototype.parseEmptyStatement = function() {
                var node = this.createNode();
                this.expect(";");
                return this.finalize(node, new Node.EmptyStatement());
              };
              Parser2.prototype.parseExpressionStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseIfClause = function() {
                if (this.context.strict && this.matchKeyword("function")) {
                  this.tolerateError(messages_1.Messages.StrictFunction);
                }
                return this.parseStatement();
              };
              Parser2.prototype.parseIfStatement = function() {
                var node = this.createNode();
                var consequent;
                var alternate = null;
                this.expectKeyword("if");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  consequent = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  consequent = this.parseIfClause();
                  if (this.matchKeyword("else")) {
                    this.nextToken();
                    alternate = this.parseIfClause();
                  }
                }
                return this.finalize(node, new Node.IfStatement(test, consequent, alternate));
              };
              Parser2.prototype.parseDoWhileStatement = function() {
                var node = this.createNode();
                this.expectKeyword("do");
                var previousInIteration = this.context.inIteration;
                this.context.inIteration = true;
                var body = this.parseStatement();
                this.context.inIteration = previousInIteration;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                } else {
                  this.expect(")");
                  if (this.match(";")) {
                    this.nextToken();
                  }
                }
                return this.finalize(node, new Node.DoWhileStatement(body, test));
              };
              Parser2.prototype.parseWhileStatement = function() {
                var node = this.createNode();
                var body;
                this.expectKeyword("while");
                this.expect("(");
                var test = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.parseStatement();
                  this.context.inIteration = previousInIteration;
                }
                return this.finalize(node, new Node.WhileStatement(test, body));
              };
              Parser2.prototype.parseForStatement = function() {
                var init = null;
                var test = null;
                var update = null;
                var forIn = true;
                var left, right;
                var node = this.createNode();
                this.expectKeyword("for");
                this.expect("(");
                if (this.match(";")) {
                  this.nextToken();
                } else {
                  if (this.matchKeyword("var")) {
                    init = this.createNode();
                    this.nextToken();
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    var declarations = this.parseVariableDeclarationList({ inFor: true });
                    this.context.allowIn = previousAllowIn;
                    if (declarations.length === 1 && this.matchKeyword("in")) {
                      var decl = declarations[0];
                      if (decl.init && (decl.id.type === syntax_1.Syntax.ArrayPattern || decl.id.type === syntax_1.Syntax.ObjectPattern || this.context.strict)) {
                        this.tolerateError(messages_1.Messages.ForInOfLoopInitializer, "for-in");
                      }
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.nextToken();
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      init = this.finalize(init, new Node.VariableDeclaration(declarations, "var"));
                      this.expect(";");
                    }
                  } else if (this.matchKeyword("const") || this.matchKeyword("let")) {
                    init = this.createNode();
                    var kind = this.nextToken().value;
                    if (!this.context.strict && this.lookahead.value === "in") {
                      init = this.finalize(init, new Node.Identifier(kind));
                      this.nextToken();
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else {
                      var previousAllowIn = this.context.allowIn;
                      this.context.allowIn = false;
                      var declarations = this.parseBindingList(kind, { inFor: true });
                      this.context.allowIn = previousAllowIn;
                      if (declarations.length === 1 && declarations[0].init === null && this.matchKeyword("in")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseExpression();
                        init = null;
                      } else if (declarations.length === 1 && declarations[0].init === null && this.matchContextualKeyword("of")) {
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                        this.nextToken();
                        left = init;
                        right = this.parseAssignmentExpression();
                        init = null;
                        forIn = false;
                      } else {
                        this.consumeSemicolon();
                        init = this.finalize(init, new Node.VariableDeclaration(declarations, kind));
                      }
                    }
                  } else {
                    var initStartToken = this.lookahead;
                    var previousAllowIn = this.context.allowIn;
                    this.context.allowIn = false;
                    init = this.inheritCoverGrammar(this.parseAssignmentExpression);
                    this.context.allowIn = previousAllowIn;
                    if (this.matchKeyword("in")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForIn);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseExpression();
                      init = null;
                    } else if (this.matchContextualKeyword("of")) {
                      if (!this.context.isAssignmentTarget || init.type === syntax_1.Syntax.AssignmentExpression) {
                        this.tolerateError(messages_1.Messages.InvalidLHSInForLoop);
                      }
                      this.nextToken();
                      this.reinterpretExpressionAsPattern(init);
                      left = init;
                      right = this.parseAssignmentExpression();
                      init = null;
                      forIn = false;
                    } else {
                      if (this.match(",")) {
                        var initSeq = [init];
                        while (this.match(",")) {
                          this.nextToken();
                          initSeq.push(this.isolateCoverGrammar(this.parseAssignmentExpression));
                        }
                        init = this.finalize(this.startNode(initStartToken), new Node.SequenceExpression(initSeq));
                      }
                      this.expect(";");
                    }
                  }
                }
                if (typeof left === "undefined") {
                  if (!this.match(";")) {
                    test = this.parseExpression();
                  }
                  this.expect(";");
                  if (!this.match(")")) {
                    update = this.parseExpression();
                  }
                }
                var body;
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  var previousInIteration = this.context.inIteration;
                  this.context.inIteration = true;
                  body = this.isolateCoverGrammar(this.parseStatement);
                  this.context.inIteration = previousInIteration;
                }
                return typeof left === "undefined" ? this.finalize(node, new Node.ForStatement(init, test, update, body)) : forIn ? this.finalize(node, new Node.ForInStatement(left, right, body)) : this.finalize(node, new Node.ForOfStatement(left, right, body));
              };
              Parser2.prototype.parseContinueStatement = function() {
                var node = this.createNode();
                this.expectKeyword("continue");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  label = id;
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration) {
                  this.throwError(messages_1.Messages.IllegalContinue);
                }
                return this.finalize(node, new Node.ContinueStatement(label));
              };
              Parser2.prototype.parseBreakStatement = function() {
                var node = this.createNode();
                this.expectKeyword("break");
                var label = null;
                if (this.lookahead.type === 3 && !this.hasLineTerminator) {
                  var id = this.parseVariableIdentifier();
                  var key = "$" + id.name;
                  if (!Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.UnknownLabel, id.name);
                  }
                  label = id;
                }
                this.consumeSemicolon();
                if (label === null && !this.context.inIteration && !this.context.inSwitch) {
                  this.throwError(messages_1.Messages.IllegalBreak);
                }
                return this.finalize(node, new Node.BreakStatement(label));
              };
              Parser2.prototype.parseReturnStatement = function() {
                if (!this.context.inFunctionBody) {
                  this.tolerateError(messages_1.Messages.IllegalReturn);
                }
                var node = this.createNode();
                this.expectKeyword("return");
                var hasArgument = !this.match(";") && !this.match("}") && !this.hasLineTerminator && this.lookahead.type !== 2 || this.lookahead.type === 8 || this.lookahead.type === 10;
                var argument = hasArgument ? this.parseExpression() : null;
                this.consumeSemicolon();
                return this.finalize(node, new Node.ReturnStatement(argument));
              };
              Parser2.prototype.parseWithStatement = function() {
                if (this.context.strict) {
                  this.tolerateError(messages_1.Messages.StrictModeWith);
                }
                var node = this.createNode();
                var body;
                this.expectKeyword("with");
                this.expect("(");
                var object = this.parseExpression();
                if (!this.match(")") && this.config.tolerant) {
                  this.tolerateUnexpectedToken(this.nextToken());
                  body = this.finalize(this.createNode(), new Node.EmptyStatement());
                } else {
                  this.expect(")");
                  body = this.parseStatement();
                }
                return this.finalize(node, new Node.WithStatement(object, body));
              };
              Parser2.prototype.parseSwitchCase = function() {
                var node = this.createNode();
                var test;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  test = null;
                } else {
                  this.expectKeyword("case");
                  test = this.parseExpression();
                }
                this.expect(":");
                var consequent = [];
                while (true) {
                  if (this.match("}") || this.matchKeyword("default") || this.matchKeyword("case")) {
                    break;
                  }
                  consequent.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.SwitchCase(test, consequent));
              };
              Parser2.prototype.parseSwitchStatement = function() {
                var node = this.createNode();
                this.expectKeyword("switch");
                this.expect("(");
                var discriminant = this.parseExpression();
                this.expect(")");
                var previousInSwitch = this.context.inSwitch;
                this.context.inSwitch = true;
                var cases = [];
                var defaultFound = false;
                this.expect("{");
                while (true) {
                  if (this.match("}")) {
                    break;
                  }
                  var clause = this.parseSwitchCase();
                  if (clause.test === null) {
                    if (defaultFound) {
                      this.throwError(messages_1.Messages.MultipleDefaultsInSwitch);
                    }
                    defaultFound = true;
                  }
                  cases.push(clause);
                }
                this.expect("}");
                this.context.inSwitch = previousInSwitch;
                return this.finalize(node, new Node.SwitchStatement(discriminant, cases));
              };
              Parser2.prototype.parseLabelledStatement = function() {
                var node = this.createNode();
                var expr = this.parseExpression();
                var statement;
                if (expr.type === syntax_1.Syntax.Identifier && this.match(":")) {
                  this.nextToken();
                  var id = expr;
                  var key = "$" + id.name;
                  if (Object.prototype.hasOwnProperty.call(this.context.labelSet, key)) {
                    this.throwError(messages_1.Messages.Redeclaration, "Label", id.name);
                  }
                  this.context.labelSet[key] = true;
                  var body = void 0;
                  if (this.matchKeyword("class")) {
                    this.tolerateUnexpectedToken(this.lookahead);
                    body = this.parseClassDeclaration();
                  } else if (this.matchKeyword("function")) {
                    var token = this.lookahead;
                    var declaration = this.parseFunctionDeclaration();
                    if (this.context.strict) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunction);
                    } else if (declaration.generator) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.GeneratorInLegacyContext);
                    }
                    body = declaration;
                  } else {
                    body = this.parseStatement();
                  }
                  delete this.context.labelSet[key];
                  statement = new Node.LabeledStatement(id, body);
                } else {
                  this.consumeSemicolon();
                  statement = new Node.ExpressionStatement(expr);
                }
                return this.finalize(node, statement);
              };
              Parser2.prototype.parseThrowStatement = function() {
                var node = this.createNode();
                this.expectKeyword("throw");
                if (this.hasLineTerminator) {
                  this.throwError(messages_1.Messages.NewlineAfterThrow);
                }
                var argument = this.parseExpression();
                this.consumeSemicolon();
                return this.finalize(node, new Node.ThrowStatement(argument));
              };
              Parser2.prototype.parseCatchClause = function() {
                var node = this.createNode();
                this.expectKeyword("catch");
                this.expect("(");
                if (this.match(")")) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                var params = [];
                var param = this.parsePattern(params);
                var paramMap = {};
                for (var i = 0; i < params.length; i++) {
                  var key = "$" + params[i].value;
                  if (Object.prototype.hasOwnProperty.call(paramMap, key)) {
                    this.tolerateError(messages_1.Messages.DuplicateBinding, params[i].value);
                  }
                  paramMap[key] = true;
                }
                if (this.context.strict && param.type === syntax_1.Syntax.Identifier) {
                  if (this.scanner.isRestrictedWord(param.name)) {
                    this.tolerateError(messages_1.Messages.StrictCatchVariable);
                  }
                }
                this.expect(")");
                var body = this.parseBlock();
                return this.finalize(node, new Node.CatchClause(param, body));
              };
              Parser2.prototype.parseFinallyClause = function() {
                this.expectKeyword("finally");
                return this.parseBlock();
              };
              Parser2.prototype.parseTryStatement = function() {
                var node = this.createNode();
                this.expectKeyword("try");
                var block = this.parseBlock();
                var handler = this.matchKeyword("catch") ? this.parseCatchClause() : null;
                var finalizer = this.matchKeyword("finally") ? this.parseFinallyClause() : null;
                if (!handler && !finalizer) {
                  this.throwError(messages_1.Messages.NoCatchOrFinally);
                }
                return this.finalize(node, new Node.TryStatement(block, handler, finalizer));
              };
              Parser2.prototype.parseDebuggerStatement = function() {
                var node = this.createNode();
                this.expectKeyword("debugger");
                this.consumeSemicolon();
                return this.finalize(node, new Node.DebuggerStatement());
              };
              Parser2.prototype.parseStatement = function() {
                var statement;
                switch (this.lookahead.type) {
                  case 1:
                  case 5:
                  case 6:
                  case 8:
                  case 10:
                  case 9:
                    statement = this.parseExpressionStatement();
                    break;
                  case 7:
                    var value = this.lookahead.value;
                    if (value === "{") {
                      statement = this.parseBlock();
                    } else if (value === "(") {
                      statement = this.parseExpressionStatement();
                    } else if (value === ";") {
                      statement = this.parseEmptyStatement();
                    } else {
                      statement = this.parseExpressionStatement();
                    }
                    break;
                  case 3:
                    statement = this.matchAsyncFunction() ? this.parseFunctionDeclaration() : this.parseLabelledStatement();
                    break;
                  case 4:
                    switch (this.lookahead.value) {
                      case "break":
                        statement = this.parseBreakStatement();
                        break;
                      case "continue":
                        statement = this.parseContinueStatement();
                        break;
                      case "debugger":
                        statement = this.parseDebuggerStatement();
                        break;
                      case "do":
                        statement = this.parseDoWhileStatement();
                        break;
                      case "for":
                        statement = this.parseForStatement();
                        break;
                      case "function":
                        statement = this.parseFunctionDeclaration();
                        break;
                      case "if":
                        statement = this.parseIfStatement();
                        break;
                      case "return":
                        statement = this.parseReturnStatement();
                        break;
                      case "switch":
                        statement = this.parseSwitchStatement();
                        break;
                      case "throw":
                        statement = this.parseThrowStatement();
                        break;
                      case "try":
                        statement = this.parseTryStatement();
                        break;
                      case "var":
                        statement = this.parseVariableStatement();
                        break;
                      case "while":
                        statement = this.parseWhileStatement();
                        break;
                      case "with":
                        statement = this.parseWithStatement();
                        break;
                      default:
                        statement = this.parseExpressionStatement();
                        break;
                    }
                    break;
                  default:
                    statement = this.throwUnexpectedToken(this.lookahead);
                }
                return statement;
              };
              Parser2.prototype.parseFunctionSourceElements = function() {
                var node = this.createNode();
                this.expect("{");
                var body = this.parseDirectivePrologues();
                var previousLabelSet = this.context.labelSet;
                var previousInIteration = this.context.inIteration;
                var previousInSwitch = this.context.inSwitch;
                var previousInFunctionBody = this.context.inFunctionBody;
                this.context.labelSet = {};
                this.context.inIteration = false;
                this.context.inSwitch = false;
                this.context.inFunctionBody = true;
                while (this.lookahead.type !== 2) {
                  if (this.match("}")) {
                    break;
                  }
                  body.push(this.parseStatementListItem());
                }
                this.expect("}");
                this.context.labelSet = previousLabelSet;
                this.context.inIteration = previousInIteration;
                this.context.inSwitch = previousInSwitch;
                this.context.inFunctionBody = previousInFunctionBody;
                return this.finalize(node, new Node.BlockStatement(body));
              };
              Parser2.prototype.validateParam = function(options, param, name) {
                var key = "$" + name;
                if (this.context.strict) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  }
                  if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                } else if (!options.firstRestricted) {
                  if (this.scanner.isRestrictedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictParamName;
                  } else if (this.scanner.isStrictModeReservedWord(name)) {
                    options.firstRestricted = param;
                    options.message = messages_1.Messages.StrictReservedWord;
                  } else if (Object.prototype.hasOwnProperty.call(options.paramSet, key)) {
                    options.stricted = param;
                    options.message = messages_1.Messages.StrictParamDupe;
                  }
                }
                if (typeof Object.defineProperty === "function") {
                  Object.defineProperty(options.paramSet, key, { value: true, enumerable: true, writable: true, configurable: true });
                } else {
                  options.paramSet[key] = true;
                }
              };
              Parser2.prototype.parseRestElement = function(params) {
                var node = this.createNode();
                this.expect("...");
                var arg = this.parsePattern(params);
                if (this.match("=")) {
                  this.throwError(messages_1.Messages.DefaultRestParameter);
                }
                if (!this.match(")")) {
                  this.throwError(messages_1.Messages.ParameterAfterRestParameter);
                }
                return this.finalize(node, new Node.RestElement(arg));
              };
              Parser2.prototype.parseFormalParameter = function(options) {
                var params = [];
                var param = this.match("...") ? this.parseRestElement(params) : this.parsePatternWithDefault(params);
                for (var i = 0; i < params.length; i++) {
                  this.validateParam(options, params[i], params[i].value);
                }
                options.simple = options.simple && param instanceof Node.Identifier;
                options.params.push(param);
              };
              Parser2.prototype.parseFormalParameters = function(firstRestricted) {
                var options;
                options = {
                  simple: true,
                  params: [],
                  firstRestricted
                };
                this.expect("(");
                if (!this.match(")")) {
                  options.paramSet = {};
                  while (this.lookahead.type !== 2) {
                    this.parseFormalParameter(options);
                    if (this.match(")")) {
                      break;
                    }
                    this.expect(",");
                    if (this.match(")")) {
                      break;
                    }
                  }
                }
                this.expect(")");
                return {
                  simple: options.simple,
                  params: options.params,
                  stricted: options.stricted,
                  firstRestricted: options.firstRestricted,
                  message: options.message
                };
              };
              Parser2.prototype.matchAsyncFunction = function() {
                var match = this.matchContextualKeyword("async");
                if (match) {
                  var state = this.scanner.saveState();
                  this.scanner.scanComments();
                  var next = this.scanner.lex();
                  this.scanner.restoreState(state);
                  match = state.lineNumber === next.lineNumber && next.type === 4 && next.value === "function";
                }
                return match;
              };
              Parser2.prototype.parseFunctionDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted = null;
                if (!identifierIsOptional || !this.match("(")) {
                  var token = this.lookahead;
                  id = this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionDeclaration(id, params, body)) : this.finalize(node, new Node.FunctionDeclaration(id, params, body, isGenerator));
              };
              Parser2.prototype.parseFunctionExpression = function() {
                var node = this.createNode();
                var isAsync = this.matchContextualKeyword("async");
                if (isAsync) {
                  this.nextToken();
                }
                this.expectKeyword("function");
                var isGenerator = isAsync ? false : this.match("*");
                if (isGenerator) {
                  this.nextToken();
                }
                var message;
                var id = null;
                var firstRestricted;
                var previousAllowAwait = this.context.await;
                var previousAllowYield = this.context.allowYield;
                this.context.await = isAsync;
                this.context.allowYield = !isGenerator;
                if (!this.match("(")) {
                  var token = this.lookahead;
                  id = !this.context.strict && !isGenerator && this.matchKeyword("yield") ? this.parseIdentifierName() : this.parseVariableIdentifier();
                  if (this.context.strict) {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.StrictFunctionName);
                    }
                  } else {
                    if (this.scanner.isRestrictedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictFunctionName;
                    } else if (this.scanner.isStrictModeReservedWord(token.value)) {
                      firstRestricted = token;
                      message = messages_1.Messages.StrictReservedWord;
                    }
                  }
                }
                var formalParameters = this.parseFormalParameters(firstRestricted);
                var params = formalParameters.params;
                var stricted = formalParameters.stricted;
                firstRestricted = formalParameters.firstRestricted;
                if (formalParameters.message) {
                  message = formalParameters.message;
                }
                var previousStrict = this.context.strict;
                var previousAllowStrictDirective = this.context.allowStrictDirective;
                this.context.allowStrictDirective = formalParameters.simple;
                var body = this.parseFunctionSourceElements();
                if (this.context.strict && firstRestricted) {
                  this.throwUnexpectedToken(firstRestricted, message);
                }
                if (this.context.strict && stricted) {
                  this.tolerateUnexpectedToken(stricted, message);
                }
                this.context.strict = previousStrict;
                this.context.allowStrictDirective = previousAllowStrictDirective;
                this.context.await = previousAllowAwait;
                this.context.allowYield = previousAllowYield;
                return isAsync ? this.finalize(node, new Node.AsyncFunctionExpression(id, params, body)) : this.finalize(node, new Node.FunctionExpression(id, params, body, isGenerator));
              };
              Parser2.prototype.parseDirective = function() {
                var token = this.lookahead;
                var node = this.createNode();
                var expr = this.parseExpression();
                var directive = expr.type === syntax_1.Syntax.Literal ? this.getTokenRaw(token).slice(1, -1) : null;
                this.consumeSemicolon();
                return this.finalize(node, directive ? new Node.Directive(expr, directive) : new Node.ExpressionStatement(expr));
              };
              Parser2.prototype.parseDirectivePrologues = function() {
                var firstRestricted = null;
                var body = [];
                while (true) {
                  var token = this.lookahead;
                  if (token.type !== 8) {
                    break;
                  }
                  var statement = this.parseDirective();
                  body.push(statement);
                  var directive = statement.directive;
                  if (typeof directive !== "string") {
                    break;
                  }
                  if (directive === "use strict") {
                    this.context.strict = true;
                    if (firstRestricted) {
                      this.tolerateUnexpectedToken(firstRestricted, messages_1.Messages.StrictOctalLiteral);
                    }
                    if (!this.context.allowStrictDirective) {
                      this.tolerateUnexpectedToken(token, messages_1.Messages.IllegalLanguageModeDirective);
                    }
                  } else {
                    if (!firstRestricted && token.octal) {
                      firstRestricted = token;
                    }
                  }
                }
                return body;
              };
              Parser2.prototype.qualifiedPropertyName = function(token) {
                switch (token.type) {
                  case 3:
                  case 8:
                  case 1:
                  case 5:
                  case 6:
                  case 4:
                    return true;
                  case 7:
                    return token.value === "[";
                  default:
                    break;
                }
                return false;
              };
              Parser2.prototype.parseGetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length > 0) {
                  this.tolerateError(messages_1.Messages.BadGetterArity);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseSetterMethod = function() {
                var node = this.createNode();
                var isGenerator = false;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = !isGenerator;
                var formalParameters = this.parseFormalParameters();
                if (formalParameters.params.length !== 1) {
                  this.tolerateError(messages_1.Messages.BadSetterArity);
                } else if (formalParameters.params[0] instanceof Node.RestElement) {
                  this.tolerateError(messages_1.Messages.BadSetterRestParameter);
                }
                var method = this.parsePropertyMethod(formalParameters);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, formalParameters.params, method, isGenerator));
              };
              Parser2.prototype.parseGeneratorMethod = function() {
                var node = this.createNode();
                var isGenerator = true;
                var previousAllowYield = this.context.allowYield;
                this.context.allowYield = true;
                var params = this.parseFormalParameters();
                this.context.allowYield = false;
                var method = this.parsePropertyMethod(params);
                this.context.allowYield = previousAllowYield;
                return this.finalize(node, new Node.FunctionExpression(null, params.params, method, isGenerator));
              };
              Parser2.prototype.isStartOfExpression = function() {
                var start = true;
                var value = this.lookahead.value;
                switch (this.lookahead.type) {
                  case 7:
                    start = value === "[" || value === "(" || value === "{" || value === "+" || value === "-" || value === "!" || value === "~" || value === "++" || value === "--" || value === "/" || value === "/=";
                    break;
                  case 4:
                    start = value === "class" || value === "delete" || value === "function" || value === "let" || value === "new" || value === "super" || value === "this" || value === "typeof" || value === "void" || value === "yield";
                    break;
                  default:
                    break;
                }
                return start;
              };
              Parser2.prototype.parseYieldExpression = function() {
                var node = this.createNode();
                this.expectKeyword("yield");
                var argument = null;
                var delegate = false;
                if (!this.hasLineTerminator) {
                  var previousAllowYield = this.context.allowYield;
                  this.context.allowYield = false;
                  delegate = this.match("*");
                  if (delegate) {
                    this.nextToken();
                    argument = this.parseAssignmentExpression();
                  } else if (this.isStartOfExpression()) {
                    argument = this.parseAssignmentExpression();
                  }
                  this.context.allowYield = previousAllowYield;
                }
                return this.finalize(node, new Node.YieldExpression(argument, delegate));
              };
              Parser2.prototype.parseClassElement = function(hasConstructor) {
                var token = this.lookahead;
                var node = this.createNode();
                var kind = "";
                var key = null;
                var value = null;
                var computed = false;
                var method = false;
                var isStatic = false;
                var isAsync = false;
                if (this.match("*")) {
                  this.nextToken();
                } else {
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  var id = key;
                  if (id.name === "static" && (this.qualifiedPropertyName(this.lookahead) || this.match("*"))) {
                    token = this.lookahead;
                    isStatic = true;
                    computed = this.match("[");
                    if (this.match("*")) {
                      this.nextToken();
                    } else {
                      key = this.parseObjectPropertyKey();
                    }
                  }
                  if (token.type === 3 && !this.hasLineTerminator && token.value === "async") {
                    var punctuator = this.lookahead.value;
                    if (punctuator !== ":" && punctuator !== "(" && punctuator !== "*") {
                      isAsync = true;
                      token = this.lookahead;
                      key = this.parseObjectPropertyKey();
                      if (token.type === 3 && token.value === "constructor") {
                        this.tolerateUnexpectedToken(token, messages_1.Messages.ConstructorIsAsync);
                      }
                    }
                  }
                }
                var lookaheadPropertyKey = this.qualifiedPropertyName(this.lookahead);
                if (token.type === 3) {
                  if (token.value === "get" && lookaheadPropertyKey) {
                    kind = "get";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    this.context.allowYield = false;
                    value = this.parseGetterMethod();
                  } else if (token.value === "set" && lookaheadPropertyKey) {
                    kind = "set";
                    computed = this.match("[");
                    key = this.parseObjectPropertyKey();
                    value = this.parseSetterMethod();
                  }
                } else if (token.type === 7 && token.value === "*" && lookaheadPropertyKey) {
                  kind = "init";
                  computed = this.match("[");
                  key = this.parseObjectPropertyKey();
                  value = this.parseGeneratorMethod();
                  method = true;
                }
                if (!kind && key && this.match("(")) {
                  kind = "init";
                  value = isAsync ? this.parsePropertyMethodAsyncFunction() : this.parsePropertyMethodFunction();
                  method = true;
                }
                if (!kind) {
                  this.throwUnexpectedToken(this.lookahead);
                }
                if (kind === "init") {
                  kind = "method";
                }
                if (!computed) {
                  if (isStatic && this.isPropertyKey(key, "prototype")) {
                    this.throwUnexpectedToken(token, messages_1.Messages.StaticPrototype);
                  }
                  if (!isStatic && this.isPropertyKey(key, "constructor")) {
                    if (kind !== "method" || !method || value && value.generator) {
                      this.throwUnexpectedToken(token, messages_1.Messages.ConstructorSpecialMethod);
                    }
                    if (hasConstructor.value) {
                      this.throwUnexpectedToken(token, messages_1.Messages.DuplicateConstructor);
                    } else {
                      hasConstructor.value = true;
                    }
                    kind = "constructor";
                  }
                }
                return this.finalize(node, new Node.MethodDefinition(key, computed, value, kind, isStatic));
              };
              Parser2.prototype.parseClassElementList = function() {
                var body = [];
                var hasConstructor = { value: false };
                this.expect("{");
                while (!this.match("}")) {
                  if (this.match(";")) {
                    this.nextToken();
                  } else {
                    body.push(this.parseClassElement(hasConstructor));
                  }
                }
                this.expect("}");
                return body;
              };
              Parser2.prototype.parseClassBody = function() {
                var node = this.createNode();
                var elementList = this.parseClassElementList();
                return this.finalize(node, new Node.ClassBody(elementList));
              };
              Parser2.prototype.parseClassDeclaration = function(identifierIsOptional) {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = identifierIsOptional && this.lookahead.type !== 3 ? null : this.parseVariableIdentifier();
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassDeclaration(id, superClass, classBody));
              };
              Parser2.prototype.parseClassExpression = function() {
                var node = this.createNode();
                var previousStrict = this.context.strict;
                this.context.strict = true;
                this.expectKeyword("class");
                var id = this.lookahead.type === 3 ? this.parseVariableIdentifier() : null;
                var superClass = null;
                if (this.matchKeyword("extends")) {
                  this.nextToken();
                  superClass = this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall);
                }
                var classBody = this.parseClassBody();
                this.context.strict = previousStrict;
                return this.finalize(node, new Node.ClassExpression(id, superClass, classBody));
              };
              Parser2.prototype.parseModule = function() {
                this.context.strict = true;
                this.context.isModule = true;
                this.scanner.isModule = true;
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Module(body));
              };
              Parser2.prototype.parseScript = function() {
                var node = this.createNode();
                var body = this.parseDirectivePrologues();
                while (this.lookahead.type !== 2) {
                  body.push(this.parseStatementListItem());
                }
                return this.finalize(node, new Node.Script(body));
              };
              Parser2.prototype.parseModuleSpecifier = function() {
                var node = this.createNode();
                if (this.lookahead.type !== 8) {
                  this.throwError(messages_1.Messages.InvalidModuleSpecifier);
                }
                var token = this.nextToken();
                var raw = this.getTokenRaw(token);
                return this.finalize(node, new Node.Literal(token.value, raw));
              };
              Parser2.prototype.parseImportSpecifier = function() {
                var node = this.createNode();
                var imported;
                var local;
                if (this.lookahead.type === 3) {
                  imported = this.parseVariableIdentifier();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  }
                } else {
                  imported = this.parseIdentifierName();
                  local = imported;
                  if (this.matchContextualKeyword("as")) {
                    this.nextToken();
                    local = this.parseVariableIdentifier();
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                }
                return this.finalize(node, new Node.ImportSpecifier(local, imported));
              };
              Parser2.prototype.parseNamedImports = function() {
                this.expect("{");
                var specifiers = [];
                while (!this.match("}")) {
                  specifiers.push(this.parseImportSpecifier());
                  if (!this.match("}")) {
                    this.expect(",");
                  }
                }
                this.expect("}");
                return specifiers;
              };
              Parser2.prototype.parseImportDefaultSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportDefaultSpecifier(local));
              };
              Parser2.prototype.parseImportNamespaceSpecifier = function() {
                var node = this.createNode();
                this.expect("*");
                if (!this.matchContextualKeyword("as")) {
                  this.throwError(messages_1.Messages.NoAsAfterImportNamespace);
                }
                this.nextToken();
                var local = this.parseIdentifierName();
                return this.finalize(node, new Node.ImportNamespaceSpecifier(local));
              };
              Parser2.prototype.parseImportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalImportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("import");
                var src;
                var specifiers = [];
                if (this.lookahead.type === 8) {
                  src = this.parseModuleSpecifier();
                } else {
                  if (this.match("{")) {
                    specifiers = specifiers.concat(this.parseNamedImports());
                  } else if (this.match("*")) {
                    specifiers.push(this.parseImportNamespaceSpecifier());
                  } else if (this.isIdentifierName(this.lookahead) && !this.matchKeyword("default")) {
                    specifiers.push(this.parseImportDefaultSpecifier());
                    if (this.match(",")) {
                      this.nextToken();
                      if (this.match("*")) {
                        specifiers.push(this.parseImportNamespaceSpecifier());
                      } else if (this.match("{")) {
                        specifiers = specifiers.concat(this.parseNamedImports());
                      } else {
                        this.throwUnexpectedToken(this.lookahead);
                      }
                    }
                  } else {
                    this.throwUnexpectedToken(this.nextToken());
                  }
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  src = this.parseModuleSpecifier();
                }
                this.consumeSemicolon();
                return this.finalize(node, new Node.ImportDeclaration(specifiers, src));
              };
              Parser2.prototype.parseExportSpecifier = function() {
                var node = this.createNode();
                var local = this.parseIdentifierName();
                var exported = local;
                if (this.matchContextualKeyword("as")) {
                  this.nextToken();
                  exported = this.parseIdentifierName();
                }
                return this.finalize(node, new Node.ExportSpecifier(local, exported));
              };
              Parser2.prototype.parseExportDeclaration = function() {
                if (this.context.inFunctionBody) {
                  this.throwError(messages_1.Messages.IllegalExportDeclaration);
                }
                var node = this.createNode();
                this.expectKeyword("export");
                var exportDeclaration;
                if (this.matchKeyword("default")) {
                  this.nextToken();
                  if (this.matchKeyword("function")) {
                    var declaration = this.parseFunctionDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchKeyword("class")) {
                    var declaration = this.parseClassDeclaration(true);
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else if (this.matchContextualKeyword("async")) {
                    var declaration = this.matchAsyncFunction() ? this.parseFunctionDeclaration(true) : this.parseAssignmentExpression();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  } else {
                    if (this.matchContextualKeyword("from")) {
                      this.throwError(messages_1.Messages.UnexpectedToken, this.lookahead.value);
                    }
                    var declaration = this.match("{") ? this.parseObjectInitializer() : this.match("[") ? this.parseArrayInitializer() : this.parseAssignmentExpression();
                    this.consumeSemicolon();
                    exportDeclaration = this.finalize(node, new Node.ExportDefaultDeclaration(declaration));
                  }
                } else if (this.match("*")) {
                  this.nextToken();
                  if (!this.matchContextualKeyword("from")) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  }
                  this.nextToken();
                  var src = this.parseModuleSpecifier();
                  this.consumeSemicolon();
                  exportDeclaration = this.finalize(node, new Node.ExportAllDeclaration(src));
                } else if (this.lookahead.type === 4) {
                  var declaration = void 0;
                  switch (this.lookahead.value) {
                    case "let":
                    case "const":
                      declaration = this.parseLexicalDeclaration({ inFor: false });
                      break;
                    case "var":
                    case "class":
                    case "function":
                      declaration = this.parseStatementListItem();
                      break;
                    default:
                      this.throwUnexpectedToken(this.lookahead);
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else if (this.matchAsyncFunction()) {
                  var declaration = this.parseFunctionDeclaration();
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(declaration, [], null));
                } else {
                  var specifiers = [];
                  var source = null;
                  var isExportFromIdentifier = false;
                  this.expect("{");
                  while (!this.match("}")) {
                    isExportFromIdentifier = isExportFromIdentifier || this.matchKeyword("default");
                    specifiers.push(this.parseExportSpecifier());
                    if (!this.match("}")) {
                      this.expect(",");
                    }
                  }
                  this.expect("}");
                  if (this.matchContextualKeyword("from")) {
                    this.nextToken();
                    source = this.parseModuleSpecifier();
                    this.consumeSemicolon();
                  } else if (isExportFromIdentifier) {
                    var message = this.lookahead.value ? messages_1.Messages.UnexpectedToken : messages_1.Messages.MissingFromClause;
                    this.throwError(message, this.lookahead.value);
                  } else {
                    this.consumeSemicolon();
                  }
                  exportDeclaration = this.finalize(node, new Node.ExportNamedDeclaration(null, specifiers, source));
                }
                return exportDeclaration;
              };
              return Parser2;
            }();
            exports3.Parser = Parser;
          },
          /* 9 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            function assert(condition, message) {
              if (!condition) {
                throw new Error("ASSERT: " + message);
              }
            }
            exports3.assert = assert;
          },
          /* 10 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var ErrorHandler = function() {
              function ErrorHandler2() {
                this.errors = [];
                this.tolerant = false;
              }
              ErrorHandler2.prototype.recordError = function(error) {
                this.errors.push(error);
              };
              ErrorHandler2.prototype.tolerate = function(error) {
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              ErrorHandler2.prototype.constructError = function(msg, column) {
                var error = new Error(msg);
                try {
                  throw error;
                } catch (base) {
                  if (Object.create && Object.defineProperty) {
                    error = Object.create(base);
                    Object.defineProperty(error, "column", { value: column });
                  }
                }
                return error;
              };
              ErrorHandler2.prototype.createError = function(index, line, col, description) {
                var msg = "Line " + line + ": " + description;
                var error = this.constructError(msg, col);
                error.index = index;
                error.lineNumber = line;
                error.description = description;
                return error;
              };
              ErrorHandler2.prototype.throwError = function(index, line, col, description) {
                throw this.createError(index, line, col, description);
              };
              ErrorHandler2.prototype.tolerateError = function(index, line, col, description) {
                var error = this.createError(index, line, col, description);
                if (this.tolerant) {
                  this.recordError(error);
                } else {
                  throw error;
                }
              };
              return ErrorHandler2;
            }();
            exports3.ErrorHandler = ErrorHandler;
          },
          /* 11 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.Messages = {
              BadGetterArity: "Getter must not have any formal parameters",
              BadSetterArity: "Setter must have exactly one formal parameter",
              BadSetterRestParameter: "Setter function argument must not be a rest parameter",
              ConstructorIsAsync: "Class constructor may not be an async method",
              ConstructorSpecialMethod: "Class constructor may not be an accessor",
              DeclarationMissingInitializer: "Missing initializer in %0 declaration",
              DefaultRestParameter: "Unexpected token =",
              DuplicateBinding: "Duplicate binding %0",
              DuplicateConstructor: "A class may only have one constructor",
              DuplicateProtoProperty: "Duplicate __proto__ fields are not allowed in object literals",
              ForInOfLoopInitializer: "%0 loop variable declaration may not have an initializer",
              GeneratorInLegacyContext: "Generator declarations are not allowed in legacy contexts",
              IllegalBreak: "Illegal break statement",
              IllegalContinue: "Illegal continue statement",
              IllegalExportDeclaration: "Unexpected token",
              IllegalImportDeclaration: "Unexpected token",
              IllegalLanguageModeDirective: "Illegal 'use strict' directive in function with non-simple parameter list",
              IllegalReturn: "Illegal return statement",
              InvalidEscapedReservedWord: "Keyword must not contain escaped characters",
              InvalidHexEscapeSequence: "Invalid hexadecimal escape sequence",
              InvalidLHSInAssignment: "Invalid left-hand side in assignment",
              InvalidLHSInForIn: "Invalid left-hand side in for-in",
              InvalidLHSInForLoop: "Invalid left-hand side in for-loop",
              InvalidModuleSpecifier: "Unexpected token",
              InvalidRegExp: "Invalid regular expression",
              LetInLexicalBinding: "let is disallowed as a lexically bound name",
              MissingFromClause: "Unexpected token",
              MultipleDefaultsInSwitch: "More than one default clause in switch statement",
              NewlineAfterThrow: "Illegal newline after throw",
              NoAsAfterImportNamespace: "Unexpected token",
              NoCatchOrFinally: "Missing catch or finally after try",
              ParameterAfterRestParameter: "Rest parameter must be last formal parameter",
              Redeclaration: "%0 '%1' has already been declared",
              StaticPrototype: "Classes may not have static property named prototype",
              StrictCatchVariable: "Catch variable may not be eval or arguments in strict mode",
              StrictDelete: "Delete of an unqualified identifier in strict mode.",
              StrictFunction: "In strict mode code, functions can only be declared at top level or inside a block",
              StrictFunctionName: "Function name may not be eval or arguments in strict mode",
              StrictLHSAssignment: "Assignment to eval or arguments is not allowed in strict mode",
              StrictLHSPostfix: "Postfix increment/decrement may not have eval or arguments operand in strict mode",
              StrictLHSPrefix: "Prefix increment/decrement may not have eval or arguments operand in strict mode",
              StrictModeWith: "Strict mode code may not include a with statement",
              StrictOctalLiteral: "Octal literals are not allowed in strict mode.",
              StrictParamDupe: "Strict mode function may not have duplicate parameter names",
              StrictParamName: "Parameter name eval or arguments is not allowed in strict mode",
              StrictReservedWord: "Use of future reserved word in strict mode",
              StrictVarName: "Variable name may not be eval or arguments in strict mode",
              TemplateOctalLiteral: "Octal literals are not allowed in template strings.",
              UnexpectedEOS: "Unexpected end of input",
              UnexpectedIdentifier: "Unexpected identifier",
              UnexpectedNumber: "Unexpected number",
              UnexpectedReserved: "Unexpected reserved word",
              UnexpectedString: "Unexpected string",
              UnexpectedTemplate: "Unexpected quasi %0",
              UnexpectedToken: "Unexpected token %0",
              UnexpectedTokenIllegal: "Unexpected token ILLEGAL",
              UnknownLabel: "Undefined label '%0'",
              UnterminatedRegExp: "Invalid regular expression: missing /"
            };
          },
          /* 12 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var assert_1 = __webpack_require__(9);
            var character_1 = __webpack_require__(4);
            var messages_1 = __webpack_require__(11);
            function hexValue(ch) {
              return "0123456789abcdef".indexOf(ch.toLowerCase());
            }
            function octalValue(ch) {
              return "01234567".indexOf(ch);
            }
            var Scanner = function() {
              function Scanner2(code, handler) {
                this.source = code;
                this.errorHandler = handler;
                this.trackComment = false;
                this.isModule = false;
                this.length = code.length;
                this.index = 0;
                this.lineNumber = code.length > 0 ? 1 : 0;
                this.lineStart = 0;
                this.curlyStack = [];
              }
              Scanner2.prototype.saveState = function() {
                return {
                  index: this.index,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart
                };
              };
              Scanner2.prototype.restoreState = function(state) {
                this.index = state.index;
                this.lineNumber = state.lineNumber;
                this.lineStart = state.lineStart;
              };
              Scanner2.prototype.eof = function() {
                return this.index >= this.length;
              };
              Scanner2.prototype.throwUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                return this.errorHandler.throwError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.tolerateUnexpectedToken = function(message) {
                if (message === void 0) {
                  message = messages_1.Messages.UnexpectedTokenIllegal;
                }
                this.errorHandler.tolerateError(this.index, this.lineNumber, this.index - this.lineStart + 1, message);
              };
              Scanner2.prototype.skipSingleLineComment = function(offset) {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - offset;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - offset
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  ++this.index;
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (this.trackComment) {
                      loc.end = {
                        line: this.lineNumber,
                        column: this.index - this.lineStart - 1
                      };
                      var entry = {
                        multiLine: false,
                        slice: [start + offset, this.index - 1],
                        range: [start, this.index - 1],
                        loc
                      };
                      comments.push(entry);
                    }
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    return comments;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: false,
                    slice: [start + offset, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                return comments;
              };
              Scanner2.prototype.skipMultiLineComment = function() {
                var comments = [];
                var start, loc;
                if (this.trackComment) {
                  comments = [];
                  start = this.index - 2;
                  loc = {
                    start: {
                      line: this.lineNumber,
                      column: this.index - this.lineStart - 2
                    },
                    end: {}
                  };
                }
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isLineTerminator(ch)) {
                    if (ch === 13 && this.source.charCodeAt(this.index + 1) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    ++this.index;
                    this.lineStart = this.index;
                  } else if (ch === 42) {
                    if (this.source.charCodeAt(this.index + 1) === 47) {
                      this.index += 2;
                      if (this.trackComment) {
                        loc.end = {
                          line: this.lineNumber,
                          column: this.index - this.lineStart
                        };
                        var entry = {
                          multiLine: true,
                          slice: [start + 2, this.index - 2],
                          range: [start, this.index],
                          loc
                        };
                        comments.push(entry);
                      }
                      return comments;
                    }
                    ++this.index;
                  } else {
                    ++this.index;
                  }
                }
                if (this.trackComment) {
                  loc.end = {
                    line: this.lineNumber,
                    column: this.index - this.lineStart
                  };
                  var entry = {
                    multiLine: true,
                    slice: [start + 2, this.index],
                    range: [start, this.index],
                    loc
                  };
                  comments.push(entry);
                }
                this.tolerateUnexpectedToken();
                return comments;
              };
              Scanner2.prototype.scanComments = function() {
                var comments;
                if (this.trackComment) {
                  comments = [];
                }
                var start = this.index === 0;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isWhiteSpace(ch)) {
                    ++this.index;
                  } else if (character_1.Character.isLineTerminator(ch)) {
                    ++this.index;
                    if (ch === 13 && this.source.charCodeAt(this.index) === 10) {
                      ++this.index;
                    }
                    ++this.lineNumber;
                    this.lineStart = this.index;
                    start = true;
                  } else if (ch === 47) {
                    ch = this.source.charCodeAt(this.index + 1);
                    if (ch === 47) {
                      this.index += 2;
                      var comment = this.skipSingleLineComment(2);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                      start = true;
                    } else if (ch === 42) {
                      this.index += 2;
                      var comment = this.skipMultiLineComment();
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (start && ch === 45) {
                    if (this.source.charCodeAt(this.index + 1) === 45 && this.source.charCodeAt(this.index + 2) === 62) {
                      this.index += 3;
                      var comment = this.skipSingleLineComment(3);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else if (ch === 60 && !this.isModule) {
                    if (this.source.slice(this.index + 1, this.index + 4) === "!--") {
                      this.index += 4;
                      var comment = this.skipSingleLineComment(4);
                      if (this.trackComment) {
                        comments = comments.concat(comment);
                      }
                    } else {
                      break;
                    }
                  } else {
                    break;
                  }
                }
                return comments;
              };
              Scanner2.prototype.isFutureReservedWord = function(id) {
                switch (id) {
                  case "enum":
                  case "export":
                  case "import":
                  case "super":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isStrictModeReservedWord = function(id) {
                switch (id) {
                  case "implements":
                  case "interface":
                  case "package":
                  case "private":
                  case "protected":
                  case "public":
                  case "static":
                  case "yield":
                  case "let":
                    return true;
                  default:
                    return false;
                }
              };
              Scanner2.prototype.isRestrictedWord = function(id) {
                return id === "eval" || id === "arguments";
              };
              Scanner2.prototype.isKeyword = function(id) {
                switch (id.length) {
                  case 2:
                    return id === "if" || id === "in" || id === "do";
                  case 3:
                    return id === "var" || id === "for" || id === "new" || id === "try" || id === "let";
                  case 4:
                    return id === "this" || id === "else" || id === "case" || id === "void" || id === "with" || id === "enum";
                  case 5:
                    return id === "while" || id === "break" || id === "catch" || id === "throw" || id === "const" || id === "yield" || id === "class" || id === "super";
                  case 6:
                    return id === "return" || id === "typeof" || id === "delete" || id === "switch" || id === "export" || id === "import";
                  case 7:
                    return id === "default" || id === "finally" || id === "extends";
                  case 8:
                    return id === "function" || id === "continue" || id === "debugger";
                  case 10:
                    return id === "instanceof";
                  default:
                    return false;
                }
              };
              Scanner2.prototype.codePointAt = function(i) {
                var cp = this.source.charCodeAt(i);
                if (cp >= 55296 && cp <= 56319) {
                  var second = this.source.charCodeAt(i + 1);
                  if (second >= 56320 && second <= 57343) {
                    var first = cp;
                    cp = (first - 55296) * 1024 + second - 56320 + 65536;
                  }
                }
                return cp;
              };
              Scanner2.prototype.scanHexEscape = function(prefix) {
                var len = prefix === "u" ? 4 : 2;
                var code = 0;
                for (var i = 0; i < len; ++i) {
                  if (!this.eof() && character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    code = code * 16 + hexValue(this.source[this.index++]);
                  } else {
                    return null;
                  }
                }
                return String.fromCharCode(code);
              };
              Scanner2.prototype.scanUnicodeCodePointEscape = function() {
                var ch = this.source[this.index];
                var code = 0;
                if (ch === "}") {
                  this.throwUnexpectedToken();
                }
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  if (!character_1.Character.isHexDigit(ch.charCodeAt(0))) {
                    break;
                  }
                  code = code * 16 + hexValue(ch);
                }
                if (code > 1114111 || ch !== "}") {
                  this.throwUnexpectedToken();
                }
                return character_1.Character.fromCodePoint(code);
              };
              Scanner2.prototype.getIdentifier = function() {
                var start = this.index++;
                while (!this.eof()) {
                  var ch = this.source.charCodeAt(this.index);
                  if (ch === 92) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  } else if (ch >= 55296 && ch < 57343) {
                    this.index = start;
                    return this.getComplexIdentifier();
                  }
                  if (character_1.Character.isIdentifierPart(ch)) {
                    ++this.index;
                  } else {
                    break;
                  }
                }
                return this.source.slice(start, this.index);
              };
              Scanner2.prototype.getComplexIdentifier = function() {
                var cp = this.codePointAt(this.index);
                var id = character_1.Character.fromCodePoint(cp);
                this.index += id.length;
                var ch;
                if (cp === 92) {
                  if (this.source.charCodeAt(this.index) !== 117) {
                    this.throwUnexpectedToken();
                  }
                  ++this.index;
                  if (this.source[this.index] === "{") {
                    ++this.index;
                    ch = this.scanUnicodeCodePointEscape();
                  } else {
                    ch = this.scanHexEscape("u");
                    if (ch === null || ch === "\\" || !character_1.Character.isIdentifierStart(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken();
                    }
                  }
                  id = ch;
                }
                while (!this.eof()) {
                  cp = this.codePointAt(this.index);
                  if (!character_1.Character.isIdentifierPart(cp)) {
                    break;
                  }
                  ch = character_1.Character.fromCodePoint(cp);
                  id += ch;
                  this.index += ch.length;
                  if (cp === 92) {
                    id = id.substr(0, id.length - 1);
                    if (this.source.charCodeAt(this.index) !== 117) {
                      this.throwUnexpectedToken();
                    }
                    ++this.index;
                    if (this.source[this.index] === "{") {
                      ++this.index;
                      ch = this.scanUnicodeCodePointEscape();
                    } else {
                      ch = this.scanHexEscape("u");
                      if (ch === null || ch === "\\" || !character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                        this.throwUnexpectedToken();
                      }
                    }
                    id += ch;
                  }
                }
                return id;
              };
              Scanner2.prototype.octalToDecimal = function(ch) {
                var octal = ch !== "0";
                var code = octalValue(ch);
                if (!this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                  octal = true;
                  code = code * 8 + octalValue(this.source[this.index++]);
                  if ("0123".indexOf(ch) >= 0 && !this.eof() && character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    code = code * 8 + octalValue(this.source[this.index++]);
                  }
                }
                return {
                  code,
                  octal
                };
              };
              Scanner2.prototype.scanIdentifier = function() {
                var type;
                var start = this.index;
                var id = this.source.charCodeAt(start) === 92 ? this.getComplexIdentifier() : this.getIdentifier();
                if (id.length === 1) {
                  type = 3;
                } else if (this.isKeyword(id)) {
                  type = 4;
                } else if (id === "null") {
                  type = 5;
                } else if (id === "true" || id === "false") {
                  type = 1;
                } else {
                  type = 3;
                }
                if (type !== 3 && start + id.length !== this.index) {
                  var restore = this.index;
                  this.index = start;
                  this.tolerateUnexpectedToken(messages_1.Messages.InvalidEscapedReservedWord);
                  this.index = restore;
                }
                return {
                  type,
                  value: id,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanPunctuator = function() {
                var start = this.index;
                var str = this.source[this.index];
                switch (str) {
                  case "(":
                  case "{":
                    if (str === "{") {
                      this.curlyStack.push("{");
                    }
                    ++this.index;
                    break;
                  case ".":
                    ++this.index;
                    if (this.source[this.index] === "." && this.source[this.index + 1] === ".") {
                      this.index += 2;
                      str = "...";
                    }
                    break;
                  case "}":
                    ++this.index;
                    this.curlyStack.pop();
                    break;
                  case ")":
                  case ";":
                  case ",":
                  case "[":
                  case "]":
                  case ":":
                  case "?":
                  case "~":
                    ++this.index;
                    break;
                  default:
                    str = this.source.substr(this.index, 4);
                    if (str === ">>>=") {
                      this.index += 4;
                    } else {
                      str = str.substr(0, 3);
                      if (str === "===" || str === "!==" || str === ">>>" || str === "<<=" || str === ">>=" || str === "**=") {
                        this.index += 3;
                      } else {
                        str = str.substr(0, 2);
                        if (str === "&&" || str === "||" || str === "==" || str === "!=" || str === "+=" || str === "-=" || str === "*=" || str === "/=" || str === "++" || str === "--" || str === "<<" || str === ">>" || str === "&=" || str === "|=" || str === "^=" || str === "%=" || str === "<=" || str === ">=" || str === "=>" || str === "**") {
                          this.index += 2;
                        } else {
                          str = this.source[this.index];
                          if ("<>=!+-*%&|^/".indexOf(str) >= 0) {
                            ++this.index;
                          }
                        }
                      }
                    }
                }
                if (this.index === start) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 7,
                  value: str,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanHexLiteral = function(start) {
                var num = "";
                while (!this.eof()) {
                  if (!character_1.Character.isHexDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt("0x" + num, 16),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanBinaryLiteral = function(start) {
                var num = "";
                var ch;
                while (!this.eof()) {
                  ch = this.source[this.index];
                  if (ch !== "0" && ch !== "1") {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (!this.eof()) {
                  ch = this.source.charCodeAt(this.index);
                  if (character_1.Character.isIdentifierStart(ch) || character_1.Character.isDecimalDigit(ch)) {
                    this.throwUnexpectedToken();
                  }
                }
                return {
                  type: 6,
                  value: parseInt(num, 2),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanOctalLiteral = function(prefix, start) {
                var num = "";
                var octal = false;
                if (character_1.Character.isOctalDigit(prefix.charCodeAt(0))) {
                  octal = true;
                  num = "0" + this.source[this.index++];
                } else {
                  ++this.index;
                }
                while (!this.eof()) {
                  if (!character_1.Character.isOctalDigit(this.source.charCodeAt(this.index))) {
                    break;
                  }
                  num += this.source[this.index++];
                }
                if (!octal && num.length === 0) {
                  this.throwUnexpectedToken();
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index)) || character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseInt(num, 8),
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.isImplicitOctalLiteral = function() {
                for (var i = this.index + 1; i < this.length; ++i) {
                  var ch = this.source[i];
                  if (ch === "8" || ch === "9") {
                    return false;
                  }
                  if (!character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                    return true;
                  }
                }
                return true;
              };
              Scanner2.prototype.scanNumericLiteral = function() {
                var start = this.index;
                var ch = this.source[start];
                assert_1.assert(character_1.Character.isDecimalDigit(ch.charCodeAt(0)) || ch === ".", "Numeric literal must start with a decimal digit or a decimal point");
                var num = "";
                if (ch !== ".") {
                  num = this.source[this.index++];
                  ch = this.source[this.index];
                  if (num === "0") {
                    if (ch === "x" || ch === "X") {
                      ++this.index;
                      return this.scanHexLiteral(start);
                    }
                    if (ch === "b" || ch === "B") {
                      ++this.index;
                      return this.scanBinaryLiteral(start);
                    }
                    if (ch === "o" || ch === "O") {
                      return this.scanOctalLiteral(ch, start);
                    }
                    if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                      if (this.isImplicitOctalLiteral()) {
                        return this.scanOctalLiteral(ch, start);
                      }
                    }
                  }
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === ".") {
                  num += this.source[this.index++];
                  while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    num += this.source[this.index++];
                  }
                  ch = this.source[this.index];
                }
                if (ch === "e" || ch === "E") {
                  num += this.source[this.index++];
                  ch = this.source[this.index];
                  if (ch === "+" || ch === "-") {
                    num += this.source[this.index++];
                  }
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                    while (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                      num += this.source[this.index++];
                    }
                  } else {
                    this.throwUnexpectedToken();
                  }
                }
                if (character_1.Character.isIdentifierStart(this.source.charCodeAt(this.index))) {
                  this.throwUnexpectedToken();
                }
                return {
                  type: 6,
                  value: parseFloat(num),
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanStringLiteral = function() {
                var start = this.index;
                var quote = this.source[start];
                assert_1.assert(quote === "'" || quote === '"', "String literal must starts with a quote");
                ++this.index;
                var octal = false;
                var str = "";
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === quote) {
                    quote = "";
                    break;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!ch || !character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            str += this.scanUnicodeCodePointEscape();
                          } else {
                            var unescaped_1 = this.scanHexEscape(ch);
                            if (unescaped_1 === null) {
                              this.throwUnexpectedToken();
                            }
                            str += unescaped_1;
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          str += unescaped;
                          break;
                        case "n":
                          str += "\n";
                          break;
                        case "r":
                          str += "\r";
                          break;
                        case "t":
                          str += "	";
                          break;
                        case "b":
                          str += "\b";
                          break;
                        case "f":
                          str += "\f";
                          break;
                        case "v":
                          str += "\v";
                          break;
                        case "8":
                        case "9":
                          str += ch;
                          this.tolerateUnexpectedToken();
                          break;
                        default:
                          if (ch && character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            var octToDec = this.octalToDecimal(ch);
                            octal = octToDec.octal || octal;
                            str += String.fromCharCode(octToDec.code);
                          } else {
                            str += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    break;
                  } else {
                    str += ch;
                  }
                }
                if (quote !== "") {
                  this.index = start;
                  this.throwUnexpectedToken();
                }
                return {
                  type: 8,
                  value: str,
                  octal,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.scanTemplate = function() {
                var cooked = "";
                var terminated = false;
                var start = this.index;
                var head = this.source[start] === "`";
                var tail = false;
                var rawOffset = 2;
                ++this.index;
                while (!this.eof()) {
                  var ch = this.source[this.index++];
                  if (ch === "`") {
                    rawOffset = 1;
                    tail = true;
                    terminated = true;
                    break;
                  } else if (ch === "$") {
                    if (this.source[this.index] === "{") {
                      this.curlyStack.push("${");
                      ++this.index;
                      terminated = true;
                      break;
                    }
                    cooked += ch;
                  } else if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (!character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      switch (ch) {
                        case "n":
                          cooked += "\n";
                          break;
                        case "r":
                          cooked += "\r";
                          break;
                        case "t":
                          cooked += "	";
                          break;
                        case "u":
                          if (this.source[this.index] === "{") {
                            ++this.index;
                            cooked += this.scanUnicodeCodePointEscape();
                          } else {
                            var restore = this.index;
                            var unescaped_2 = this.scanHexEscape(ch);
                            if (unescaped_2 !== null) {
                              cooked += unescaped_2;
                            } else {
                              this.index = restore;
                              cooked += ch;
                            }
                          }
                          break;
                        case "x":
                          var unescaped = this.scanHexEscape(ch);
                          if (unescaped === null) {
                            this.throwUnexpectedToken(messages_1.Messages.InvalidHexEscapeSequence);
                          }
                          cooked += unescaped;
                          break;
                        case "b":
                          cooked += "\b";
                          break;
                        case "f":
                          cooked += "\f";
                          break;
                        case "v":
                          cooked += "\v";
                          break;
                        default:
                          if (ch === "0") {
                            if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index))) {
                              this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                            }
                            cooked += "\0";
                          } else if (character_1.Character.isOctalDigit(ch.charCodeAt(0))) {
                            this.throwUnexpectedToken(messages_1.Messages.TemplateOctalLiteral);
                          } else {
                            cooked += ch;
                          }
                          break;
                      }
                    } else {
                      ++this.lineNumber;
                      if (ch === "\r" && this.source[this.index] === "\n") {
                        ++this.index;
                      }
                      this.lineStart = this.index;
                    }
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    ++this.lineNumber;
                    if (ch === "\r" && this.source[this.index] === "\n") {
                      ++this.index;
                    }
                    this.lineStart = this.index;
                    cooked += "\n";
                  } else {
                    cooked += ch;
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken();
                }
                if (!head) {
                  this.curlyStack.pop();
                }
                return {
                  type: 10,
                  value: this.source.slice(start + 1, this.index - rawOffset),
                  cooked,
                  head,
                  tail,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.testRegExp = function(pattern, flags) {
                var astralSubstitute = "\uFFFF";
                var tmp = pattern;
                var self2 = this;
                if (flags.indexOf("u") >= 0) {
                  tmp = tmp.replace(/\\u\{([0-9a-fA-F]+)\}|\\u([a-fA-F0-9]{4})/g, function($0, $1, $2) {
                    var codePoint = parseInt($1 || $2, 16);
                    if (codePoint > 1114111) {
                      self2.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                    }
                    if (codePoint <= 65535) {
                      return String.fromCharCode(codePoint);
                    }
                    return astralSubstitute;
                  }).replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, astralSubstitute);
                }
                try {
                  RegExp(tmp);
                } catch (e) {
                  this.throwUnexpectedToken(messages_1.Messages.InvalidRegExp);
                }
                try {
                  return new RegExp(pattern, flags);
                } catch (exception) {
                  return null;
                }
              };
              Scanner2.prototype.scanRegExpBody = function() {
                var ch = this.source[this.index];
                assert_1.assert(ch === "/", "Regular expression literal must start with a slash");
                var str = this.source[this.index++];
                var classMarker = false;
                var terminated = false;
                while (!this.eof()) {
                  ch = this.source[this.index++];
                  str += ch;
                  if (ch === "\\") {
                    ch = this.source[this.index++];
                    if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                      this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                    }
                    str += ch;
                  } else if (character_1.Character.isLineTerminator(ch.charCodeAt(0))) {
                    this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                  } else if (classMarker) {
                    if (ch === "]") {
                      classMarker = false;
                    }
                  } else {
                    if (ch === "/") {
                      terminated = true;
                      break;
                    } else if (ch === "[") {
                      classMarker = true;
                    }
                  }
                }
                if (!terminated) {
                  this.throwUnexpectedToken(messages_1.Messages.UnterminatedRegExp);
                }
                return str.substr(1, str.length - 2);
              };
              Scanner2.prototype.scanRegExpFlags = function() {
                var str = "";
                var flags = "";
                while (!this.eof()) {
                  var ch = this.source[this.index];
                  if (!character_1.Character.isIdentifierPart(ch.charCodeAt(0))) {
                    break;
                  }
                  ++this.index;
                  if (ch === "\\" && !this.eof()) {
                    ch = this.source[this.index];
                    if (ch === "u") {
                      ++this.index;
                      var restore = this.index;
                      var char = this.scanHexEscape("u");
                      if (char !== null) {
                        flags += char;
                        for (str += "\\u"; restore < this.index; ++restore) {
                          str += this.source[restore];
                        }
                      } else {
                        this.index = restore;
                        flags += "u";
                        str += "\\u";
                      }
                      this.tolerateUnexpectedToken();
                    } else {
                      str += "\\";
                      this.tolerateUnexpectedToken();
                    }
                  } else {
                    flags += ch;
                    str += ch;
                  }
                }
                return flags;
              };
              Scanner2.prototype.scanRegExp = function() {
                var start = this.index;
                var pattern = this.scanRegExpBody();
                var flags = this.scanRegExpFlags();
                var value = this.testRegExp(pattern, flags);
                return {
                  type: 9,
                  value: "",
                  pattern,
                  flags,
                  regex: value,
                  lineNumber: this.lineNumber,
                  lineStart: this.lineStart,
                  start,
                  end: this.index
                };
              };
              Scanner2.prototype.lex = function() {
                if (this.eof()) {
                  return {
                    type: 2,
                    value: "",
                    lineNumber: this.lineNumber,
                    lineStart: this.lineStart,
                    start: this.index,
                    end: this.index
                  };
                }
                var cp = this.source.charCodeAt(this.index);
                if (character_1.Character.isIdentifierStart(cp)) {
                  return this.scanIdentifier();
                }
                if (cp === 40 || cp === 41 || cp === 59) {
                  return this.scanPunctuator();
                }
                if (cp === 39 || cp === 34) {
                  return this.scanStringLiteral();
                }
                if (cp === 46) {
                  if (character_1.Character.isDecimalDigit(this.source.charCodeAt(this.index + 1))) {
                    return this.scanNumericLiteral();
                  }
                  return this.scanPunctuator();
                }
                if (character_1.Character.isDecimalDigit(cp)) {
                  return this.scanNumericLiteral();
                }
                if (cp === 96 || cp === 125 && this.curlyStack[this.curlyStack.length - 1] === "${") {
                  return this.scanTemplate();
                }
                if (cp >= 55296 && cp < 57343) {
                  if (character_1.Character.isIdentifierStart(this.codePointAt(this.index))) {
                    return this.scanIdentifier();
                  }
                }
                return this.scanPunctuator();
              };
              return Scanner2;
            }();
            exports3.Scanner = Scanner;
          },
          /* 13 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.TokenName = {};
            exports3.TokenName[
              1
              /* BooleanLiteral */
            ] = "Boolean";
            exports3.TokenName[
              2
              /* EOF */
            ] = "<end>";
            exports3.TokenName[
              3
              /* Identifier */
            ] = "Identifier";
            exports3.TokenName[
              4
              /* Keyword */
            ] = "Keyword";
            exports3.TokenName[
              5
              /* NullLiteral */
            ] = "Null";
            exports3.TokenName[
              6
              /* NumericLiteral */
            ] = "Numeric";
            exports3.TokenName[
              7
              /* Punctuator */
            ] = "Punctuator";
            exports3.TokenName[
              8
              /* StringLiteral */
            ] = "String";
            exports3.TokenName[
              9
              /* RegularExpression */
            ] = "RegularExpression";
            exports3.TokenName[
              10
              /* Template */
            ] = "Template";
          },
          /* 14 */
          /***/
          function(module3, exports3) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            exports3.XHTMLEntities = {
              quot: '"',
              amp: "&",
              apos: "'",
              gt: ">",
              nbsp: "\xA0",
              iexcl: "\xA1",
              cent: "\xA2",
              pound: "\xA3",
              curren: "\xA4",
              yen: "\xA5",
              brvbar: "\xA6",
              sect: "\xA7",
              uml: "\xA8",
              copy: "\xA9",
              ordf: "\xAA",
              laquo: "\xAB",
              not: "\xAC",
              shy: "\xAD",
              reg: "\xAE",
              macr: "\xAF",
              deg: "\xB0",
              plusmn: "\xB1",
              sup2: "\xB2",
              sup3: "\xB3",
              acute: "\xB4",
              micro: "\xB5",
              para: "\xB6",
              middot: "\xB7",
              cedil: "\xB8",
              sup1: "\xB9",
              ordm: "\xBA",
              raquo: "\xBB",
              frac14: "\xBC",
              frac12: "\xBD",
              frac34: "\xBE",
              iquest: "\xBF",
              Agrave: "\xC0",
              Aacute: "\xC1",
              Acirc: "\xC2",
              Atilde: "\xC3",
              Auml: "\xC4",
              Aring: "\xC5",
              AElig: "\xC6",
              Ccedil: "\xC7",
              Egrave: "\xC8",
              Eacute: "\xC9",
              Ecirc: "\xCA",
              Euml: "\xCB",
              Igrave: "\xCC",
              Iacute: "\xCD",
              Icirc: "\xCE",
              Iuml: "\xCF",
              ETH: "\xD0",
              Ntilde: "\xD1",
              Ograve: "\xD2",
              Oacute: "\xD3",
              Ocirc: "\xD4",
              Otilde: "\xD5",
              Ouml: "\xD6",
              times: "\xD7",
              Oslash: "\xD8",
              Ugrave: "\xD9",
              Uacute: "\xDA",
              Ucirc: "\xDB",
              Uuml: "\xDC",
              Yacute: "\xDD",
              THORN: "\xDE",
              szlig: "\xDF",
              agrave: "\xE0",
              aacute: "\xE1",
              acirc: "\xE2",
              atilde: "\xE3",
              auml: "\xE4",
              aring: "\xE5",
              aelig: "\xE6",
              ccedil: "\xE7",
              egrave: "\xE8",
              eacute: "\xE9",
              ecirc: "\xEA",
              euml: "\xEB",
              igrave: "\xEC",
              iacute: "\xED",
              icirc: "\xEE",
              iuml: "\xEF",
              eth: "\xF0",
              ntilde: "\xF1",
              ograve: "\xF2",
              oacute: "\xF3",
              ocirc: "\xF4",
              otilde: "\xF5",
              ouml: "\xF6",
              divide: "\xF7",
              oslash: "\xF8",
              ugrave: "\xF9",
              uacute: "\xFA",
              ucirc: "\xFB",
              uuml: "\xFC",
              yacute: "\xFD",
              thorn: "\xFE",
              yuml: "\xFF",
              OElig: "\u0152",
              oelig: "\u0153",
              Scaron: "\u0160",
              scaron: "\u0161",
              Yuml: "\u0178",
              fnof: "\u0192",
              circ: "\u02C6",
              tilde: "\u02DC",
              Alpha: "\u0391",
              Beta: "\u0392",
              Gamma: "\u0393",
              Delta: "\u0394",
              Epsilon: "\u0395",
              Zeta: "\u0396",
              Eta: "\u0397",
              Theta: "\u0398",
              Iota: "\u0399",
              Kappa: "\u039A",
              Lambda: "\u039B",
              Mu: "\u039C",
              Nu: "\u039D",
              Xi: "\u039E",
              Omicron: "\u039F",
              Pi: "\u03A0",
              Rho: "\u03A1",
              Sigma: "\u03A3",
              Tau: "\u03A4",
              Upsilon: "\u03A5",
              Phi: "\u03A6",
              Chi: "\u03A7",
              Psi: "\u03A8",
              Omega: "\u03A9",
              alpha: "\u03B1",
              beta: "\u03B2",
              gamma: "\u03B3",
              delta: "\u03B4",
              epsilon: "\u03B5",
              zeta: "\u03B6",
              eta: "\u03B7",
              theta: "\u03B8",
              iota: "\u03B9",
              kappa: "\u03BA",
              lambda: "\u03BB",
              mu: "\u03BC",
              nu: "\u03BD",
              xi: "\u03BE",
              omicron: "\u03BF",
              pi: "\u03C0",
              rho: "\u03C1",
              sigmaf: "\u03C2",
              sigma: "\u03C3",
              tau: "\u03C4",
              upsilon: "\u03C5",
              phi: "\u03C6",
              chi: "\u03C7",
              psi: "\u03C8",
              omega: "\u03C9",
              thetasym: "\u03D1",
              upsih: "\u03D2",
              piv: "\u03D6",
              ensp: "\u2002",
              emsp: "\u2003",
              thinsp: "\u2009",
              zwnj: "\u200C",
              zwj: "\u200D",
              lrm: "\u200E",
              rlm: "\u200F",
              ndash: "\u2013",
              mdash: "\u2014",
              lsquo: "\u2018",
              rsquo: "\u2019",
              sbquo: "\u201A",
              ldquo: "\u201C",
              rdquo: "\u201D",
              bdquo: "\u201E",
              dagger: "\u2020",
              Dagger: "\u2021",
              bull: "\u2022",
              hellip: "\u2026",
              permil: "\u2030",
              prime: "\u2032",
              Prime: "\u2033",
              lsaquo: "\u2039",
              rsaquo: "\u203A",
              oline: "\u203E",
              frasl: "\u2044",
              euro: "\u20AC",
              image: "\u2111",
              weierp: "\u2118",
              real: "\u211C",
              trade: "\u2122",
              alefsym: "\u2135",
              larr: "\u2190",
              uarr: "\u2191",
              rarr: "\u2192",
              darr: "\u2193",
              harr: "\u2194",
              crarr: "\u21B5",
              lArr: "\u21D0",
              uArr: "\u21D1",
              rArr: "\u21D2",
              dArr: "\u21D3",
              hArr: "\u21D4",
              forall: "\u2200",
              part: "\u2202",
              exist: "\u2203",
              empty: "\u2205",
              nabla: "\u2207",
              isin: "\u2208",
              notin: "\u2209",
              ni: "\u220B",
              prod: "\u220F",
              sum: "\u2211",
              minus: "\u2212",
              lowast: "\u2217",
              radic: "\u221A",
              prop: "\u221D",
              infin: "\u221E",
              ang: "\u2220",
              and: "\u2227",
              or: "\u2228",
              cap: "\u2229",
              cup: "\u222A",
              int: "\u222B",
              there4: "\u2234",
              sim: "\u223C",
              cong: "\u2245",
              asymp: "\u2248",
              ne: "\u2260",
              equiv: "\u2261",
              le: "\u2264",
              ge: "\u2265",
              sub: "\u2282",
              sup: "\u2283",
              nsub: "\u2284",
              sube: "\u2286",
              supe: "\u2287",
              oplus: "\u2295",
              otimes: "\u2297",
              perp: "\u22A5",
              sdot: "\u22C5",
              lceil: "\u2308",
              rceil: "\u2309",
              lfloor: "\u230A",
              rfloor: "\u230B",
              loz: "\u25CA",
              spades: "\u2660",
              clubs: "\u2663",
              hearts: "\u2665",
              diams: "\u2666",
              lang: "\u27E8",
              rang: "\u27E9"
            };
          },
          /* 15 */
          /***/
          function(module3, exports3, __webpack_require__) {
            "use strict";
            Object.defineProperty(exports3, "__esModule", { value: true });
            var error_handler_1 = __webpack_require__(10);
            var scanner_1 = __webpack_require__(12);
            var token_1 = __webpack_require__(13);
            var Reader = function() {
              function Reader2() {
                this.values = [];
                this.curly = this.paren = -1;
              }
              Reader2.prototype.beforeFunctionExpression = function(t) {
                return [
                  "(",
                  "{",
                  "[",
                  "in",
                  "typeof",
                  "instanceof",
                  "new",
                  "return",
                  "case",
                  "delete",
                  "throw",
                  "void",
                  // assignment operators
                  "=",
                  "+=",
                  "-=",
                  "*=",
                  "**=",
                  "/=",
                  "%=",
                  "<<=",
                  ">>=",
                  ">>>=",
                  "&=",
                  "|=",
                  "^=",
                  ",",
                  // binary/unary operators
                  "+",
                  "-",
                  "*",
                  "**",
                  "/",
                  "%",
                  "++",
                  "--",
                  "<<",
                  ">>",
                  ">>>",
                  "&",
                  "|",
                  "^",
                  "!",
                  "~",
                  "&&",
                  "||",
                  "?",
                  ":",
                  "===",
                  "==",
                  ">=",
                  "<=",
                  "<",
                  ">",
                  "!=",
                  "!=="
                ].indexOf(t) >= 0;
              };
              Reader2.prototype.isRegexStart = function() {
                var previous = this.values[this.values.length - 1];
                var regex = previous !== null;
                switch (previous) {
                  case "this":
                  case "]":
                    regex = false;
                    break;
                  case ")":
                    var keyword = this.values[this.paren - 1];
                    regex = keyword === "if" || keyword === "while" || keyword === "for" || keyword === "with";
                    break;
                  case "}":
                    regex = false;
                    if (this.values[this.curly - 3] === "function") {
                      var check = this.values[this.curly - 4];
                      regex = check ? !this.beforeFunctionExpression(check) : false;
                    } else if (this.values[this.curly - 4] === "function") {
                      var check = this.values[this.curly - 5];
                      regex = check ? !this.beforeFunctionExpression(check) : true;
                    }
                    break;
                  default:
                    break;
                }
                return regex;
              };
              Reader2.prototype.push = function(token) {
                if (token.type === 7 || token.type === 4) {
                  if (token.value === "{") {
                    this.curly = this.values.length;
                  } else if (token.value === "(") {
                    this.paren = this.values.length;
                  }
                  this.values.push(token.value);
                } else {
                  this.values.push(null);
                }
              };
              return Reader2;
            }();
            var Tokenizer = function() {
              function Tokenizer2(code, config) {
                this.errorHandler = new error_handler_1.ErrorHandler();
                this.errorHandler.tolerant = config ? typeof config.tolerant === "boolean" && config.tolerant : false;
                this.scanner = new scanner_1.Scanner(code, this.errorHandler);
                this.scanner.trackComment = config ? typeof config.comment === "boolean" && config.comment : false;
                this.trackRange = config ? typeof config.range === "boolean" && config.range : false;
                this.trackLoc = config ? typeof config.loc === "boolean" && config.loc : false;
                this.buffer = [];
                this.reader = new Reader();
              }
              Tokenizer2.prototype.errors = function() {
                return this.errorHandler.errors;
              };
              Tokenizer2.prototype.getNextToken = function() {
                if (this.buffer.length === 0) {
                  var comments = this.scanner.scanComments();
                  if (this.scanner.trackComment) {
                    for (var i = 0; i < comments.length; ++i) {
                      var e = comments[i];
                      var value = this.scanner.source.slice(e.slice[0], e.slice[1]);
                      var comment = {
                        type: e.multiLine ? "BlockComment" : "LineComment",
                        value
                      };
                      if (this.trackRange) {
                        comment.range = e.range;
                      }
                      if (this.trackLoc) {
                        comment.loc = e.loc;
                      }
                      this.buffer.push(comment);
                    }
                  }
                  if (!this.scanner.eof()) {
                    var loc = void 0;
                    if (this.trackLoc) {
                      loc = {
                        start: {
                          line: this.scanner.lineNumber,
                          column: this.scanner.index - this.scanner.lineStart
                        },
                        end: {}
                      };
                    }
                    var startRegex = this.scanner.source[this.scanner.index] === "/" && this.reader.isRegexStart();
                    var token = startRegex ? this.scanner.scanRegExp() : this.scanner.lex();
                    this.reader.push(token);
                    var entry = {
                      type: token_1.TokenName[token.type],
                      value: this.scanner.source.slice(token.start, token.end)
                    };
                    if (this.trackRange) {
                      entry.range = [token.start, token.end];
                    }
                    if (this.trackLoc) {
                      loc.end = {
                        line: this.scanner.lineNumber,
                        column: this.scanner.index - this.scanner.lineStart
                      };
                      entry.loc = loc;
                    }
                    if (token.type === 9) {
                      var pattern = token.pattern;
                      var flags = token.flags;
                      entry.regex = { pattern, flags };
                    }
                    this.buffer.push(entry);
                  }
                }
                return this.buffer.shift();
              };
              return Tokenizer2;
            }();
            exports3.Tokenizer = Tokenizer;
          }
          /******/
        ])
      );
    });
  }
});

// ../../components/workflows/node_modules/core-util-is/lib/util.js
var require_util21 = __commonJS({
  "../../components/workflows/node_modules/core-util-is/lib/util.js"(exports2) {
    function isArray(arg) {
      if (Array.isArray) {
        return Array.isArray(arg);
      }
      return objectToString(arg) === "[object Array]";
    }
    exports2.isArray = isArray;
    function isBoolean(arg) {
      return typeof arg === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNull(arg) {
      return arg === null;
    }
    exports2.isNull = isNull;
    function isNullOrUndefined(arg) {
      return arg == null;
    }
    exports2.isNullOrUndefined = isNullOrUndefined;
    function isNumber(arg) {
      return typeof arg === "number";
    }
    exports2.isNumber = isNumber;
    function isString(arg) {
      return typeof arg === "string";
    }
    exports2.isString = isString;
    function isSymbol(arg) {
      return typeof arg === "symbol";
    }
    exports2.isSymbol = isSymbol;
    function isUndefined(arg) {
      return arg === void 0;
    }
    exports2.isUndefined = isUndefined;
    function isRegExp(re) {
      return objectToString(re) === "[object RegExp]";
    }
    exports2.isRegExp = isRegExp;
    function isObject(arg) {
      return typeof arg === "object" && arg !== null;
    }
    exports2.isObject = isObject;
    function isDate(d) {
      return objectToString(d) === "[object Date]";
    }
    exports2.isDate = isDate;
    function isError(e) {
      return objectToString(e) === "[object Error]" || e instanceof Error;
    }
    exports2.isError = isError;
    function isFunction(arg) {
      return typeof arg === "function";
    }
    exports2.isFunction = isFunction;
    function isPrimitive(arg) {
      return arg === null || typeof arg === "boolean" || typeof arg === "number" || typeof arg === "string" || typeof arg === "symbol" || // ES6 symbol
      typeof arg === "undefined";
    }
    exports2.isPrimitive = isPrimitive;
    exports2.isBuffer = require("buffer").Buffer.isBuffer;
    function objectToString(o) {
      return Object.prototype.toString.call(o);
    }
  }
});

// ../../components/workflows/node_modules/array-timsort/src/index.js
var require_src8 = __commonJS({
  "../../components/workflows/node_modules/array-timsort/src/index.js"(exports2, module2) {
    var DEFAULT_MIN_MERGE = 32;
    var DEFAULT_MIN_GALLOPING = 7;
    var DEFAULT_TMP_STORAGE_LENGTH = 256;
    var POWERS_OF_TEN = [1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8, 1e9];
    var results;
    var log10 = (x) => x < 1e5 ? x < 100 ? x < 10 ? 0 : 1 : x < 1e4 ? x < 1e3 ? 2 : 3 : 4 : x < 1e7 ? x < 1e6 ? 5 : 6 : x < 1e9 ? x < 1e8 ? 7 : 8 : 9;
    function alphabeticalCompare(a, b) {
      if (a === b) {
        return 0;
      }
      if (~~a === a && ~~b === b) {
        if (a === 0 || b === 0) {
          return a < b ? -1 : 1;
        }
        if (a < 0 || b < 0) {
          if (b >= 0) {
            return -1;
          }
          if (a >= 0) {
            return 1;
          }
          a = -a;
          b = -b;
        }
        const al = log10(a);
        const bl = log10(b);
        let t = 0;
        if (al < bl) {
          a *= POWERS_OF_TEN[bl - al - 1];
          b /= 10;
          t = -1;
        } else if (al > bl) {
          b *= POWERS_OF_TEN[al - bl - 1];
          a /= 10;
          t = 1;
        }
        if (a === b) {
          return t;
        }
        return a < b ? -1 : 1;
      }
      const aStr = String(a);
      const bStr = String(b);
      if (aStr === bStr) {
        return 0;
      }
      return aStr < bStr ? -1 : 1;
    }
    function minRunLength(n) {
      let r = 0;
      while (n >= DEFAULT_MIN_MERGE) {
        r |= n & 1;
        n >>= 1;
      }
      return n + r;
    }
    function makeAscendingRun(array, lo, hi, compare) {
      let runHi = lo + 1;
      if (runHi === hi) {
        return 1;
      }
      if (compare(array[runHi++], array[lo]) < 0) {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) < 0) {
          runHi++;
        }
        reverseRun(array, lo, runHi);
        reverseRun(results, lo, runHi);
      } else {
        while (runHi < hi && compare(array[runHi], array[runHi - 1]) >= 0) {
          runHi++;
        }
      }
      return runHi - lo;
    }
    function reverseRun(array, lo, hi) {
      hi--;
      while (lo < hi) {
        const t = array[lo];
        array[lo++] = array[hi];
        array[hi--] = t;
      }
    }
    function binaryInsertionSort(array, lo, hi, start, compare) {
      if (start === lo) {
        start++;
      }
      for (; start < hi; start++) {
        const pivot = array[start];
        const pivotIndex = results[start];
        let left = lo;
        let right = start;
        while (left < right) {
          const mid = left + right >>> 1;
          if (compare(pivot, array[mid]) < 0) {
            right = mid;
          } else {
            left = mid + 1;
          }
        }
        let n = start - left;
        switch (n) {
          case 3:
            array[left + 3] = array[left + 2];
            results[left + 3] = results[left + 2];
          case 2:
            array[left + 2] = array[left + 1];
            results[left + 2] = results[left + 1];
          case 1:
            array[left + 1] = array[left];
            results[left + 1] = results[left];
            break;
          default:
            while (n > 0) {
              array[left + n] = array[left + n - 1];
              results[left + n] = results[left + n - 1];
              n--;
            }
        }
        array[left] = pivot;
        results[left] = pivotIndex;
      }
    }
    function gallopLeft(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) > 0) {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) > 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      } else {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) <= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) > 0) {
          lastOffset = m + 1;
        } else {
          offset = m;
        }
      }
      return offset;
    }
    function gallopRight(value, array, start, length, hint, compare) {
      let lastOffset = 0;
      let maxOffset = 0;
      let offset = 1;
      if (compare(value, array[start + hint]) < 0) {
        maxOffset = hint + 1;
        while (offset < maxOffset && compare(value, array[start + hint - offset]) < 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        const tmp = lastOffset;
        lastOffset = hint - offset;
        offset = hint - tmp;
      } else {
        maxOffset = length - hint;
        while (offset < maxOffset && compare(value, array[start + hint + offset]) >= 0) {
          lastOffset = offset;
          offset = (offset << 1) + 1;
          if (offset <= 0) {
            offset = maxOffset;
          }
        }
        if (offset > maxOffset) {
          offset = maxOffset;
        }
        lastOffset += hint;
        offset += hint;
      }
      lastOffset++;
      while (lastOffset < offset) {
        const m = lastOffset + (offset - lastOffset >>> 1);
        if (compare(value, array[start + m]) < 0) {
          offset = m;
        } else {
          lastOffset = m + 1;
        }
      }
      return offset;
    }
    var TimSort = class {
      constructor(array, compare) {
        this.array = array;
        this.compare = compare;
        const { length } = array;
        this.length = length;
        this.minGallop = DEFAULT_MIN_GALLOPING;
        this.tmpStorageLength = length < 2 * DEFAULT_TMP_STORAGE_LENGTH ? length >>> 1 : DEFAULT_TMP_STORAGE_LENGTH;
        this.tmp = new Array(this.tmpStorageLength);
        this.tmpIndex = new Array(this.tmpStorageLength);
        this.stackLength = length < 120 ? 5 : length < 1542 ? 10 : length < 119151 ? 19 : 40;
        this.runStart = new Array(this.stackLength);
        this.runLength = new Array(this.stackLength);
        this.stackSize = 0;
      }
      /**
       * Push a new run on TimSort's stack.
       *
       * @param {number} runStart - Start index of the run in the original array.
       * @param {number} runLength - Length of the run;
       */
      pushRun(runStart, runLength) {
        this.runStart[this.stackSize] = runStart;
        this.runLength[this.stackSize] = runLength;
        this.stackSize += 1;
      }
      /**
       * Merge runs on TimSort's stack so that the following holds for all i:
       * 1) runLength[i - 3] > runLength[i - 2] + runLength[i - 1]
       * 2) runLength[i - 2] > runLength[i - 1]
       */
      mergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n >= 1 && this.runLength[n - 1] <= this.runLength[n] + this.runLength[n + 1] || n >= 2 && this.runLength[n - 2] <= this.runLength[n] + this.runLength[n - 1]) {
            if (this.runLength[n - 1] < this.runLength[n + 1]) {
              n--;
            }
          } else if (this.runLength[n] > this.runLength[n + 1]) {
            break;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge all runs on TimSort's stack until only one remains.
       */
      forceMergeRuns() {
        while (this.stackSize > 1) {
          let n = this.stackSize - 2;
          if (n > 0 && this.runLength[n - 1] < this.runLength[n + 1]) {
            n--;
          }
          this.mergeAt(n);
        }
      }
      /**
       * Merge the runs on the stack at positions i and i+1. Must be always be called
       * with i=stackSize-2 or i=stackSize-3 (that is, we merge on top of the stack).
       *
       * @param {number} i - Index of the run to merge in TimSort's stack.
       */
      mergeAt(i) {
        const { compare } = this;
        const { array } = this;
        let start1 = this.runStart[i];
        let length1 = this.runLength[i];
        const start2 = this.runStart[i + 1];
        let length2 = this.runLength[i + 1];
        this.runLength[i] = length1 + length2;
        if (i === this.stackSize - 3) {
          this.runStart[i + 1] = this.runStart[i + 2];
          this.runLength[i + 1] = this.runLength[i + 2];
        }
        this.stackSize--;
        const k = gallopRight(array[start2], array, start1, length1, 0, compare);
        start1 += k;
        length1 -= k;
        if (length1 === 0) {
          return;
        }
        length2 = gallopLeft(
          array[start1 + length1 - 1],
          array,
          start2,
          length2,
          length2 - 1,
          compare
        );
        if (length2 === 0) {
          return;
        }
        if (length1 <= length2) {
          this.mergeLow(start1, length1, start2, length2);
        } else {
          this.mergeHigh(start1, length1, start2, length2);
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length <= run2.length as it uses
       * TimSort temporary array to store run1. Use mergeHigh if run1.length >
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeLow(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length1; i++) {
          tmp[i] = array[start1 + i];
          tmpIndex[i] = results[start1 + i];
        }
        let cursor1 = 0;
        let cursor2 = start2;
        let dest = start1;
        array[dest] = array[cursor2];
        results[dest] = results[cursor2];
        dest++;
        cursor2++;
        if (--length2 === 0) {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
          return;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(array[cursor2], tmp[cursor1]) < 0) {
              array[dest] = array[cursor2];
              results[dest] = results[cursor2];
              dest++;
              cursor2++;
              count2++;
              count1 = 0;
              if (--length2 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor1];
              results[dest] = tmpIndex[cursor1];
              dest++;
              cursor1++;
              count1++;
              count2 = 0;
              if (--length1 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = gallopRight(array[cursor2], tmp, cursor1, length1, 0, compare);
            if (count1 !== 0) {
              for (i = 0; i < count1; i++) {
                array[dest + i] = tmp[cursor1 + i];
                results[dest + i] = tmpIndex[cursor1 + i];
              }
              dest += count1;
              cursor1 += count1;
              length1 -= count1;
              if (length1 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor2];
            results[dest] = results[cursor2];
            dest++;
            cursor2++;
            if (--length2 === 0) {
              exit = true;
              break;
            }
            count2 = gallopLeft(tmp[cursor1], array, cursor2, length2, 0, compare);
            if (count2 !== 0) {
              for (i = 0; i < count2; i++) {
                array[dest + i] = array[cursor2 + i];
                results[dest + i] = results[cursor2 + i];
              }
              dest += count2;
              cursor2 += count2;
              length2 -= count2;
              if (length2 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor1];
            results[dest] = tmpIndex[cursor1];
            dest++;
            cursor1++;
            if (--length1 === 1) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length1 === 1) {
          for (i = 0; i < length2; i++) {
            array[dest + i] = array[cursor2 + i];
            results[dest + i] = results[cursor2 + i];
          }
          array[dest + length2] = tmp[cursor1];
          results[dest + length2] = tmpIndex[cursor1];
        } else if (length1 === 0) {
          throw new Error("mergeLow preconditions were not respected");
        } else {
          for (i = 0; i < length1; i++) {
            array[dest + i] = tmp[cursor1 + i];
            results[dest + i] = tmpIndex[cursor1 + i];
          }
        }
      }
      /**
       * Merge two adjacent runs in a stable way. The runs must be such that the
       * first element of run1 is bigger than the first element in run2 and the
       * last element of run1 is greater than all the elements in run2.
       * The method should be called when run1.length > run2.length as it uses
       * TimSort temporary array to store run2. Use mergeLow if run1.length <=
       * run2.length.
       *
       * @param {number} start1 - First element in run1.
       * @param {number} length1 - Length of run1.
       * @param {number} start2 - First element in run2.
       * @param {number} length2 - Length of run2.
       */
      mergeHigh(start1, length1, start2, length2) {
        const { compare } = this;
        const { array } = this;
        const { tmp } = this;
        const { tmpIndex } = this;
        let i = 0;
        for (i = 0; i < length2; i++) {
          tmp[i] = array[start2 + i];
          tmpIndex[i] = results[start2 + i];
        }
        let cursor1 = start1 + length1 - 1;
        let cursor2 = length2 - 1;
        let dest = start2 + length2 - 1;
        let customCursor = 0;
        let customDest = 0;
        array[dest] = array[cursor1];
        results[dest] = results[cursor1];
        dest--;
        cursor1--;
        if (--length1 === 0) {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
          return;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
          return;
        }
        let { minGallop } = this;
        while (true) {
          let count1 = 0;
          let count2 = 0;
          let exit = false;
          do {
            if (compare(tmp[cursor2], array[cursor1]) < 0) {
              array[dest] = array[cursor1];
              results[dest] = results[cursor1];
              dest--;
              cursor1--;
              count1++;
              count2 = 0;
              if (--length1 === 0) {
                exit = true;
                break;
              }
            } else {
              array[dest] = tmp[cursor2];
              results[dest] = tmpIndex[cursor2];
              dest--;
              cursor2--;
              count2++;
              count1 = 0;
              if (--length2 === 1) {
                exit = true;
                break;
              }
            }
          } while ((count1 | count2) < minGallop);
          if (exit) {
            break;
          }
          do {
            count1 = length1 - gallopRight(
              tmp[cursor2],
              array,
              start1,
              length1,
              length1 - 1,
              compare
            );
            if (count1 !== 0) {
              dest -= count1;
              cursor1 -= count1;
              length1 -= count1;
              customDest = dest + 1;
              customCursor = cursor1 + 1;
              for (i = count1 - 1; i >= 0; i--) {
                array[customDest + i] = array[customCursor + i];
                results[customDest + i] = results[customCursor + i];
              }
              if (length1 === 0) {
                exit = true;
                break;
              }
            }
            array[dest] = tmp[cursor2];
            results[dest] = tmpIndex[cursor2];
            dest--;
            cursor2--;
            if (--length2 === 1) {
              exit = true;
              break;
            }
            count2 = length2 - gallopLeft(
              array[cursor1],
              tmp,
              0,
              length2,
              length2 - 1,
              compare
            );
            if (count2 !== 0) {
              dest -= count2;
              cursor2 -= count2;
              length2 -= count2;
              customDest = dest + 1;
              customCursor = cursor2 + 1;
              for (i = 0; i < count2; i++) {
                array[customDest + i] = tmp[customCursor + i];
                results[customDest + i] = tmpIndex[customCursor + i];
              }
              if (length2 <= 1) {
                exit = true;
                break;
              }
            }
            array[dest] = array[cursor1];
            results[dest] = results[cursor1];
            dest--;
            cursor1--;
            if (--length1 === 0) {
              exit = true;
              break;
            }
            minGallop--;
          } while (count1 >= DEFAULT_MIN_GALLOPING || count2 >= DEFAULT_MIN_GALLOPING);
          if (exit) {
            break;
          }
          if (minGallop < 0) {
            minGallop = 0;
          }
          minGallop += 2;
        }
        this.minGallop = minGallop;
        if (minGallop < 1) {
          this.minGallop = 1;
        }
        if (length2 === 1) {
          dest -= length1;
          cursor1 -= length1;
          customDest = dest + 1;
          customCursor = cursor1 + 1;
          for (i = length1 - 1; i >= 0; i--) {
            array[customDest + i] = array[customCursor + i];
            results[customDest + i] = results[customCursor + i];
          }
          array[dest] = tmp[cursor2];
          results[dest] = tmpIndex[cursor2];
        } else if (length2 === 0) {
          throw new Error("mergeHigh preconditions were not respected");
        } else {
          customCursor = dest - (length2 - 1);
          for (i = 0; i < length2; i++) {
            array[customCursor + i] = tmp[i];
            results[customCursor + i] = tmpIndex[i];
          }
        }
      }
    };
    function sort(array, compare, lo, hi) {
      if (!Array.isArray(array)) {
        throw new TypeError(
          `The "array" argument must be an array. Received ${array}`
        );
      }
      results = [];
      const { length } = array;
      let i = 0;
      while (i < length) {
        results[i] = i++;
      }
      if (!compare) {
        compare = alphabeticalCompare;
      } else if (typeof compare !== "function") {
        hi = lo;
        lo = compare;
        compare = alphabeticalCompare;
      }
      if (!lo) {
        lo = 0;
      }
      if (!hi) {
        hi = length;
      }
      let remaining = hi - lo;
      if (remaining < 2) {
        return results;
      }
      let runLength = 0;
      if (remaining < DEFAULT_MIN_MERGE) {
        runLength = makeAscendingRun(array, lo, hi, compare);
        binaryInsertionSort(array, lo, hi, lo + runLength, compare);
        return results;
      }
      const ts = new TimSort(array, compare);
      const minRun = minRunLength(remaining);
      do {
        runLength = makeAscendingRun(array, lo, hi, compare);
        if (runLength < minRun) {
          let force = remaining;
          if (force > minRun) {
            force = minRun;
          }
          binaryInsertionSort(array, lo, lo + force, lo + runLength, compare);
          runLength = force;
        }
        ts.pushRun(lo, runLength);
        ts.mergeRuns();
        remaining -= runLength;
        lo += runLength;
      } while (remaining !== 0);
      ts.forceMergeRuns();
      return results;
    }
    module2.exports = {
      sort
    };
  }
});

// ../../components/workflows/node_modules/has-own-prop/index.js
var require_has_own_prop4 = __commonJS({
  "../../components/workflows/node_modules/has-own-prop/index.js"(exports2, module2) {
    "use strict";
    var hasOwnProp = Object.prototype.hasOwnProperty;
    module2.exports = (object, property) => hasOwnProp.call(object, property);
  }
});

// ../../components/workflows/node_modules/comment-json/src/common.js
var require_common16 = __commonJS({
  "../../components/workflows/node_modules/comment-json/src/common.js"(exports2, module2) {
    var hasOwnProperty2 = require_has_own_prop4();
    var {
      isObject,
      isArray,
      isString,
      isNumber
    } = require_util21();
    var PREFIX_BEFORE = "before";
    var PREFIX_AFTER_PROP = "after-prop";
    var PREFIX_AFTER_COLON = "after-colon";
    var PREFIX_AFTER_VALUE = "after-value";
    var PREFIX_AFTER = "after";
    var PREFIX_BEFORE_ALL = "before-all";
    var PREFIX_AFTER_ALL = "after-all";
    var BRACKET_OPEN = "[";
    var BRACKET_CLOSE = "]";
    var CURLY_BRACKET_OPEN = "{";
    var CURLY_BRACKET_CLOSE = "}";
    var COMMA = ",";
    var EMPTY = "";
    var MINUS = "-";
    var SYMBOL_PREFIXES = [
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER
    ];
    var NON_PROP_SYMBOL_KEYS = [
      PREFIX_BEFORE,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL
    ].map(Symbol.for);
    var COLON = ":";
    var UNDEFINED = void 0;
    var symbol = (prefix, key) => Symbol.for(prefix + COLON + key);
    var define2 = (target, key, value) => Object.defineProperty(target, key, {
      value,
      writable: true,
      configurable: true
    });
    var copy_comments_by_kind = (target, source, target_key, source_key, prefix, remove_source) => {
      const source_prop = symbol(prefix, source_key);
      if (!hasOwnProperty2(source, source_prop)) {
        return;
      }
      const target_prop = target_key === source_key ? source_prop : symbol(prefix, target_key);
      define2(target, target_prop, source[source_prop]);
      if (remove_source) {
        delete source[source_prop];
      }
    };
    var copy_comments = (target, source, target_key, source_key, remove_source) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        copy_comments_by_kind(
          target,
          source,
          target_key,
          source_key,
          prefix,
          remove_source
        );
      });
    };
    var swap_comments = (array, from, to) => {
      if (from === to) {
        return;
      }
      SYMBOL_PREFIXES.forEach((prefix) => {
        const target_prop = symbol(prefix, to);
        if (!hasOwnProperty2(array, target_prop)) {
          copy_comments_by_kind(array, array, to, from, prefix, true);
          return;
        }
        const comments = array[target_prop];
        delete array[target_prop];
        copy_comments_by_kind(array, array, to, from, prefix, true);
        define2(array, symbol(prefix, from), comments);
      });
    };
    var assign_non_prop_comments = (target, source) => {
      NON_PROP_SYMBOL_KEYS.forEach((key) => {
        const comments = source[key];
        if (comments) {
          define2(target, key, comments);
        }
      });
    };
    var assign = (target, source, keys) => {
      keys.forEach((key) => {
        if (!isString(key) && !isNumber(key)) {
          return;
        }
        if (!hasOwnProperty2(source, key)) {
          return;
        }
        target[key] = source[key];
        copy_comments(target, source, key, key);
      });
      return target;
    };
    module2.exports = {
      SYMBOL_PREFIXES,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      symbol,
      define: define2,
      copy_comments,
      swap_comments,
      assign_non_prop_comments,
      assign(target, source, keys) {
        if (!isObject(target)) {
          throw new TypeError("Cannot convert undefined or null to object");
        }
        if (!isObject(source)) {
          return target;
        }
        if (keys === UNDEFINED) {
          keys = Object.keys(source);
          assign_non_prop_comments(target, source);
        } else if (!isArray(keys)) {
          throw new TypeError("keys must be array or undefined");
        } else if (keys.length === 0) {
          assign_non_prop_comments(target, source);
        }
        return assign(target, source, keys);
      }
    };
  }
});

// ../../components/workflows/node_modules/comment-json/src/array.js
var require_array4 = __commonJS({
  "../../components/workflows/node_modules/comment-json/src/array.js"(exports2, module2) {
    var { isArray } = require_util21();
    var { sort } = require_src8();
    var {
      SYMBOL_PREFIXES,
      UNDEFINED,
      symbol,
      copy_comments,
      swap_comments
    } = require_common16();
    var reverse_comments = (array) => {
      const { length } = array;
      let i = 0;
      const max = length / 2;
      for (; i < max; i++) {
        swap_comments(array, i, length - i - 1);
      }
    };
    var move_comment = (target, source, i, offset, remove) => {
      copy_comments(target, source, i + offset, i, remove);
    };
    var move_comments = (target, source, start, count, offset, remove) => {
      if (offset > 0) {
        let i2 = count;
        while (i2-- > 0) {
          move_comment(target, source, start + i2, offset, remove);
        }
        return;
      }
      let i = 0;
      while (i < count) {
        const ii = i++;
        move_comment(target, source, start + ii, offset, remove);
      }
    };
    var remove_comments = (array, key) => {
      SYMBOL_PREFIXES.forEach((prefix) => {
        const prop = symbol(prefix, key);
        delete array[prop];
      });
    };
    var get_mapped = (map, key) => {
      let mapped = key;
      while (mapped in map) {
        mapped = map[mapped];
      }
      return mapped;
    };
    var CommentArray = class _CommentArray extends Array {
      // - deleteCount + items.length
      // We should avoid `splice(begin, deleteCount, ...items)`,
      // because `splice(0, undefined)` is not equivalent to `splice(0)`,
      // as well as:
      // - slice
      splice(...args) {
        const { length } = this;
        const ret = super.splice(...args);
        let [begin, deleteCount, ...items] = args;
        if (begin < 0) {
          begin += length;
        }
        if (arguments.length === 1) {
          deleteCount = length - begin;
        } else {
          deleteCount = Math.min(length - begin, deleteCount);
        }
        const {
          length: item_length
        } = items;
        const offset = item_length - deleteCount;
        const start = begin + deleteCount;
        const count = length - start;
        move_comments(this, this, start, count, offset, true);
        return ret;
      }
      slice(...args) {
        const { length } = this;
        const array = super.slice(...args);
        if (!array.length) {
          return new _CommentArray();
        }
        let [begin, before] = args;
        if (before === UNDEFINED) {
          before = length;
        } else if (before < 0) {
          before += length;
        }
        if (begin < 0) {
          begin += length;
        } else if (begin === UNDEFINED) {
          begin = 0;
        }
        move_comments(array, this, begin, before - begin, -begin);
        return array;
      }
      unshift(...items) {
        const { length } = this;
        const ret = super.unshift(...items);
        const {
          length: items_length
        } = items;
        if (items_length > 0) {
          move_comments(this, this, 0, length, items_length, true);
        }
        return ret;
      }
      shift() {
        const ret = super.shift();
        const { length } = this;
        remove_comments(this, 0);
        move_comments(this, this, 1, length, -1, true);
        return ret;
      }
      reverse() {
        super.reverse();
        reverse_comments(this);
        return this;
      }
      pop() {
        const ret = super.pop();
        remove_comments(this, this.length);
        return ret;
      }
      concat(...items) {
        let { length } = this;
        const ret = super.concat(...items);
        if (!items.length) {
          return ret;
        }
        move_comments(ret, this, 0, this.length, 0);
        items.forEach((item) => {
          const prev = length;
          length += isArray(item) ? item.length : 1;
          if (!(item instanceof _CommentArray)) {
            return;
          }
          move_comments(ret, item, 0, item.length, prev);
        });
        return ret;
      }
      sort(...args) {
        const result = sort(
          this,
          ...args.slice(0, 1)
        );
        const map = /* @__PURE__ */ Object.create(null);
        result.forEach((source_index, index) => {
          if (source_index === index) {
            return;
          }
          const real_source_index = get_mapped(map, source_index);
          if (real_source_index === index) {
            return;
          }
          map[index] = real_source_index;
          swap_comments(this, index, real_source_index);
        });
        return this;
      }
    };
    module2.exports = {
      CommentArray
    };
  }
});

// ../../components/workflows/node_modules/comment-json/src/parse.js
var require_parse11 = __commonJS({
  "../../components/workflows/node_modules/comment-json/src/parse.js"(exports2, module2) {
    var esprima = require_esprima4();
    var {
      CommentArray
    } = require_array4();
    var {
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_BEFORE_ALL,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      MINUS,
      EMPTY,
      UNDEFINED,
      define: define2,
      assign_non_prop_comments
    } = require_common16();
    var tokenize = (code) => esprima.tokenize(code, {
      comment: true,
      loc: true
    });
    var previous_hosts = [];
    var comments_host = null;
    var unassigned_comments = null;
    var previous_props = [];
    var last_prop;
    var remove_comments = false;
    var inline = false;
    var tokens = null;
    var last = null;
    var current = null;
    var index;
    var reviver = null;
    var clean = () => {
      previous_props.length = previous_hosts.length = 0;
      last = null;
      last_prop = UNDEFINED;
    };
    var free = () => {
      clean();
      tokens.length = 0;
      unassigned_comments = comments_host = tokens = last = current = reviver = null;
    };
    var symbolFor = (prefix) => Symbol.for(
      last_prop !== UNDEFINED ? prefix + COLON + last_prop : prefix
    );
    var transform = (k, v) => reviver ? reviver(k, v) : v;
    var unexpected = () => {
      const error = new SyntaxError(`Unexpected token ${current.value.slice(0, 1)}`);
      Object.assign(error, current.loc.start);
      throw error;
    };
    var unexpected_end = () => {
      const error = new SyntaxError("Unexpected end of JSON input");
      Object.assign(error, last ? last.loc.end : {
        line: 1,
        column: 0
      });
      throw error;
    };
    var next = () => {
      const new_token = tokens[++index];
      inline = current && new_token && current.loc.end.line === new_token.loc.start.line || false;
      last = current;
      current = new_token;
    };
    var type = () => {
      if (!current) {
        unexpected_end();
      }
      return current.type === "Punctuator" ? current.value : current.type;
    };
    var is = (t) => type() === t;
    var expect = (a) => {
      if (!is(a)) {
        unexpected();
      }
    };
    var set_comments_host = (new_host) => {
      previous_hosts.push(comments_host);
      comments_host = new_host;
    };
    var restore_comments_host = () => {
      comments_host = previous_hosts.pop();
    };
    var assign_after_comments = () => {
      if (!unassigned_comments) {
        return;
      }
      const after_comments = [];
      for (const comment of unassigned_comments) {
        if (comment.inline) {
          after_comments.push(comment);
        } else {
          break;
        }
      }
      const { length } = after_comments;
      if (!length) {
        return;
      }
      if (length === unassigned_comments.length) {
        unassigned_comments = null;
      } else {
        unassigned_comments.splice(0, length);
      }
      define2(comments_host, symbolFor(PREFIX_AFTER), after_comments);
    };
    var assign_comments = (prefix) => {
      if (!unassigned_comments) {
        return;
      }
      define2(comments_host, symbolFor(prefix), unassigned_comments);
      unassigned_comments = null;
    };
    var parse_comments = (prefix) => {
      const comments = [];
      while (current && (is("LineComment") || is("BlockComment"))) {
        const comment = {
          ...current,
          inline
        };
        comments.push(comment);
        next();
      }
      if (remove_comments) {
        return;
      }
      if (!comments.length) {
        return;
      }
      if (prefix) {
        define2(comments_host, symbolFor(prefix), comments);
        return;
      }
      unassigned_comments = comments;
    };
    var set_prop = (prop, push) => {
      if (push) {
        previous_props.push(last_prop);
      }
      last_prop = prop;
    };
    var restore_prop = () => {
      last_prop = previous_props.pop();
    };
    var parse_object = () => {
      const obj = {};
      set_comments_host(obj);
      set_prop(UNDEFINED, true);
      let started = false;
      let name;
      parse_comments();
      while (!is(CURLY_BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(CURLY_BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        expect("String");
        name = JSON.parse(current.value);
        set_prop(name);
        assign_comments(PREFIX_BEFORE);
        next();
        parse_comments(PREFIX_AFTER_PROP);
        expect(COLON);
        next();
        parse_comments(PREFIX_AFTER_COLON);
        obj[name] = transform(name, walk());
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return obj;
    };
    var parse_array = () => {
      const array = new CommentArray();
      set_comments_host(array);
      set_prop(UNDEFINED, true);
      let started = false;
      let i = 0;
      parse_comments();
      while (!is(BRACKET_CLOSE)) {
        if (started) {
          assign_comments(PREFIX_AFTER_VALUE);
          expect(COMMA);
          next();
          parse_comments();
          assign_after_comments();
          if (is(BRACKET_CLOSE)) {
            break;
          }
        }
        started = true;
        set_prop(i);
        assign_comments(PREFIX_BEFORE);
        array[i] = transform(i, walk());
        i++;
        parse_comments();
      }
      if (started) {
        assign_comments(PREFIX_AFTER);
      }
      next();
      last_prop = void 0;
      if (!started) {
        assign_comments(PREFIX_BEFORE);
      }
      restore_comments_host();
      restore_prop();
      return array;
    };
    function walk() {
      let tt = type();
      if (tt === CURLY_BRACKET_OPEN) {
        next();
        return parse_object();
      }
      if (tt === BRACKET_OPEN) {
        next();
        return parse_array();
      }
      let negative = EMPTY;
      if (tt === MINUS) {
        next();
        tt = type();
        negative = MINUS;
      }
      let v;
      switch (tt) {
        case "String":
        case "Boolean":
        case "Null":
        case "Numeric":
          v = current.value;
          next();
          return JSON.parse(negative + v);
        default:
      }
    }
    var isObject = (subject) => Object(subject) === subject;
    var parse = (code, rev, no_comments) => {
      clean();
      tokens = tokenize(code);
      reviver = rev;
      remove_comments = no_comments;
      if (!tokens.length) {
        unexpected_end();
      }
      index = -1;
      next();
      set_comments_host({});
      parse_comments(PREFIX_BEFORE_ALL);
      let result = walk();
      parse_comments(PREFIX_AFTER_ALL);
      if (current) {
        unexpected();
      }
      if (!no_comments && result !== null) {
        if (!isObject(result)) {
          result = new Object(result);
        }
        assign_non_prop_comments(result, comments_host);
      }
      restore_comments_host();
      result = transform("", result);
      free();
      return result;
    };
    module2.exports = {
      parse,
      tokenize
    };
  }
});

// ../../components/workflows/node_modules/repeat-string/index.js
var require_repeat_string4 = __commonJS({
  "../../components/workflows/node_modules/repeat-string/index.js"(exports2, module2) {
    "use strict";
    var res = "";
    var cache;
    module2.exports = repeat;
    function repeat(str, num) {
      if (typeof str !== "string") {
        throw new TypeError("expected a string");
      }
      if (num === 1)
        return str;
      if (num === 2)
        return str + str;
      var max = str.length * num;
      if (cache !== str || typeof cache === "undefined") {
        cache = str;
        res = "";
      } else if (res.length >= max) {
        return res.substr(0, max);
      }
      while (max > res.length && num > 1) {
        if (num & 1) {
          res += str;
        }
        num >>= 1;
        str += str;
      }
      res += str;
      res = res.substr(0, max);
      return res;
    }
  }
});

// ../../components/workflows/node_modules/comment-json/src/stringify.js
var require_stringify11 = __commonJS({
  "../../components/workflows/node_modules/comment-json/src/stringify.js"(exports2, module2) {
    var {
      isArray,
      isObject,
      isFunction,
      isNumber,
      isString
    } = require_util21();
    var repeat = require_repeat_string4();
    var {
      PREFIX_BEFORE_ALL,
      PREFIX_BEFORE,
      PREFIX_AFTER_PROP,
      PREFIX_AFTER_COLON,
      PREFIX_AFTER_VALUE,
      PREFIX_AFTER,
      PREFIX_AFTER_ALL,
      BRACKET_OPEN,
      BRACKET_CLOSE,
      CURLY_BRACKET_OPEN,
      CURLY_BRACKET_CLOSE,
      COLON,
      COMMA,
      EMPTY,
      UNDEFINED
    } = require_common16();
    var ESCAPABLE = /[\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var SPACE = " ";
    var LF = "\n";
    var STR_NULL = "null";
    var BEFORE = (prop) => `${PREFIX_BEFORE}:${prop}`;
    var AFTER_PROP = (prop) => `${PREFIX_AFTER_PROP}:${prop}`;
    var AFTER_COLON = (prop) => `${PREFIX_AFTER_COLON}:${prop}`;
    var AFTER_VALUE = (prop) => `${PREFIX_AFTER_VALUE}:${prop}`;
    var AFTER = (prop) => `${PREFIX_AFTER}:${prop}`;
    var meta = {
      "\b": "\\b",
      "	": "\\t",
      "\n": "\\n",
      "\f": "\\f",
      "\r": "\\r",
      '"': '\\"',
      "\\": "\\\\"
    };
    var escape = (string) => {
      ESCAPABLE.lastIndex = 0;
      if (!ESCAPABLE.test(string)) {
        return string;
      }
      return string.replace(ESCAPABLE, (a) => {
        const c = meta[a];
        return typeof c === "string" ? c : a;
      });
    };
    var quote = (string) => `"${escape(string)}"`;
    var comment_stringify = (value, line) => line ? `//${value}` : `/*${value}*/`;
    var process_comments = (host, symbol_tag, deeper_gap, display_block) => {
      const comments = host[Symbol.for(symbol_tag)];
      if (!comments || !comments.length) {
        return EMPTY;
      }
      let is_line_comment = false;
      const str = comments.reduce((prev, {
        inline,
        type,
        value
      }) => {
        const delimiter = inline ? SPACE : LF + deeper_gap;
        is_line_comment = type === "LineComment";
        return prev + delimiter + comment_stringify(value, is_line_comment);
      }, EMPTY);
      return display_block || is_line_comment ? str + LF + deeper_gap : str;
    };
    var replacer = null;
    var indent = EMPTY;
    var clean = () => {
      replacer = null;
      indent = EMPTY;
    };
    var join = (one, two, gap) => one ? two ? one + two.trim() + LF + gap : one.trimRight() + LF + gap : two ? two.trimRight() + LF + gap : EMPTY;
    var join_content = (inside, value, gap) => {
      const comment = process_comments(value, PREFIX_BEFORE, gap + indent, true);
      return join(comment, inside, gap);
    };
    var array_stringify = (value, gap) => {
      const deeper_gap = gap + indent;
      const { length } = value;
      let inside = EMPTY;
      let after_comma = EMPTY;
      for (let i = 0; i < length; i++) {
        if (i !== 0) {
          inside += COMMA;
        }
        const before = join(
          after_comma,
          process_comments(value, BEFORE(i), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += stringify(i, value, deeper_gap) || STR_NULL;
        inside += process_comments(value, AFTER_VALUE(i), deeper_gap);
        after_comma = process_comments(value, AFTER(i), deeper_gap);
      }
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return BRACKET_OPEN + join_content(inside, value, gap) + BRACKET_CLOSE;
    };
    var object_stringify = (value, gap) => {
      if (!value) {
        return "null";
      }
      const deeper_gap = gap + indent;
      let inside = EMPTY;
      let after_comma = EMPTY;
      let first = true;
      const keys = isArray(replacer) ? replacer : Object.keys(value);
      const iteratee = (key) => {
        const sv = stringify(key, value, deeper_gap);
        if (sv === UNDEFINED) {
          return;
        }
        if (!first) {
          inside += COMMA;
        }
        first = false;
        const before = join(
          after_comma,
          process_comments(value, BEFORE(key), deeper_gap),
          deeper_gap
        );
        inside += before || LF + deeper_gap;
        inside += quote(key) + process_comments(value, AFTER_PROP(key), deeper_gap) + COLON + process_comments(value, AFTER_COLON(key), deeper_gap) + SPACE + sv + process_comments(value, AFTER_VALUE(key), deeper_gap);
        after_comma = process_comments(value, AFTER(key), deeper_gap);
      };
      keys.forEach(iteratee);
      inside += join(
        after_comma,
        process_comments(value, PREFIX_AFTER, deeper_gap),
        deeper_gap
      );
      return CURLY_BRACKET_OPEN + join_content(inside, value, gap) + CURLY_BRACKET_CLOSE;
    };
    function stringify(key, holder, gap) {
      let value = holder[key];
      if (isObject(value) && isFunction(value.toJSON)) {
        value = value.toJSON(key);
      }
      if (isFunction(replacer)) {
        value = replacer.call(holder, key, value);
      }
      switch (typeof value) {
        case "string":
          return quote(value);
        case "number":
          return Number.isFinite(value) ? String(value) : STR_NULL;
        case "boolean":
        case "null":
          return String(value);
        case "object":
          return isArray(value) ? array_stringify(value, gap) : object_stringify(value, gap);
        default:
      }
    }
    var get_indent = (space) => isString(space) ? space : isNumber(space) ? repeat(SPACE, space) : EMPTY;
    var { toString } = Object.prototype;
    var PRIMITIVE_OBJECT_TYPES = [
      "[object Number]",
      "[object String]",
      "[object Boolean]"
    ];
    var is_primitive_object = (subject) => {
      if (typeof subject !== "object") {
        return false;
      }
      const str = toString.call(subject);
      return PRIMITIVE_OBJECT_TYPES.includes(str);
    };
    module2.exports = (value, replacer_, space) => {
      const indent_ = get_indent(space);
      if (!indent_) {
        return JSON.stringify(value, replacer_);
      }
      if (!isFunction(replacer_) && !isArray(replacer_)) {
        replacer_ = null;
      }
      replacer = replacer_;
      indent = indent_;
      const str = is_primitive_object(value) ? JSON.stringify(value) : stringify("", { "": value }, EMPTY);
      clean();
      return isObject(value) ? process_comments(value, PREFIX_BEFORE_ALL, EMPTY).trimLeft() + str + process_comments(value, PREFIX_AFTER_ALL, EMPTY).trimRight() : str;
    };
  }
});

// ../../components/workflows/node_modules/comment-json/src/index.js
var require_src9 = __commonJS({
  "../../components/workflows/node_modules/comment-json/src/index.js"(exports2, module2) {
    var { parse, tokenize } = require_parse11();
    var stringify = require_stringify11();
    var { CommentArray } = require_array4();
    var { assign } = require_common16();
    module2.exports = {
      parse,
      stringify,
      tokenize,
      CommentArray,
      assign
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/util/synth.js
var require_synth4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/util/synth.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.directorySnapshot = exports2.synthSnapshot = void 0;
    var fs = require("fs");
    var os = require("os");
    var path = require("path");
    var JSONC = require_src9();
    var comment_json_1 = require_src9();
    var glob_1 = require_glob6();
    var json_1 = require_json7();
    function synthSnapshot(project, options = {}) {
      if (!path.resolve(project.outdir).startsWith(os.tmpdir()) && !project.outdir.includes("project-temp-dir")) {
        throw new Error("Trying to capture a snapshot of a project outside of tmpdir, which implies this test might corrupt an existing project");
      }
      const synthed = Symbol.for("synthed");
      if (synthed in project) {
        throw new Error("duplicate synth()");
      }
      project[synthed] = true;
      const ENV_PROJEN_DISABLE_POST = process.env.PROJEN_DISABLE_POST;
      try {
        process.env.PROJEN_DISABLE_POST = "true";
        project.synth();
        const ignoreExts = ["png", "ico"];
        return directorySnapshot(project.outdir, {
          ...options,
          excludeGlobs: ignoreExts.map((ext) => `**/*.${ext}`),
          supportJsonComments: project.files.some(
            // At least one json file in project supports comments
            (file) => file instanceof json_1.JsonFile && file.supportsComments
          )
        });
      } finally {
        fs.rmSync(project.outdir, { force: true, recursive: true });
        if (ENV_PROJEN_DISABLE_POST === void 0) {
          delete process.env.PROJEN_DISABLE_POST;
        } else {
          process.env.PROJEN_DISABLE_POST = ENV_PROJEN_DISABLE_POST;
        }
      }
    }
    exports2.synthSnapshot = synthSnapshot;
    function isJsonLikeFile(filePath) {
      const file = filePath.toLowerCase();
      return file.endsWith(".json") || file.endsWith(".json5") || file.endsWith(".jsonc");
    }
    function directorySnapshot(root, options = {}) {
      const output = {};
      const files = glob_1.glob.sync("**", {
        ignore: [".git/**", ...options.excludeGlobs ?? []],
        cwd: root,
        nodir: true,
        dot: true
      });
      const parseJson = options.parseJson ?? true;
      for (const file of files) {
        const filePath = path.join(root, file);
        let content;
        if (!options.onlyFileNames) {
          content = fs.readFileSync(filePath, "utf-8");
          if (parseJson && isJsonLikeFile(filePath)) {
            content = cleanCommentArrays(JSONC.parse(content, void 0, !options.supportJsonComments));
          }
        } else {
          content = true;
        }
        output[file] = content;
      }
      return output;
    }
    exports2.directorySnapshot = directorySnapshot;
    function cleanCommentArrays(obj) {
      if (Array.isArray(obj) || isCommentArrayWithoutComments(obj)) {
        return Array.from(obj).map(cleanCommentArrays);
      }
      if (obj instanceof Object) {
        for (const p of Object.keys(obj)) {
          if (isCommentArrayWithoutComments(obj[p])) {
            obj[p] = Array.from(obj[p]).map(cleanCommentArrays);
          } else if (obj[p] instanceof Object) {
            obj[p] = cleanCommentArrays(obj[p]);
          }
        }
      }
      return obj;
    }
    function isCommentArrayWithoutComments(obj) {
      return obj instanceof comment_json_1.CommentArray && Object.getOwnPropertySymbols(obj).length === 0;
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/testing.js
var require_testing4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/testing.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Testing = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var synth_1 = require_synth4();
    var Testing = class {
      /**
       * Produces a simple JS object that represents the contents of the projects with field names being file paths.
       * @param project the project to produce a snapshot for
       * @return { [filename:string]: any }
       */
      static synth(project, options = {}) {
        return (0, synth_1.synthSnapshot)(project, options);
      }
      constructor() {
      }
      // utility
    };
    exports2.Testing = Testing;
    _a = JSII_RTTI_SYMBOL_1;
    Testing[_a] = { fqn: "projen.Testing", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/parser.js
var require_parser11 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/parser.js"(exports2, module2) {
    "use strict";
    var ParserEND = 1114112;
    var ParserError = class _ParserError extends Error {
      /* istanbul ignore next */
      constructor(msg, filename, linenumber) {
        super("[ParserError] " + msg, filename, linenumber);
        this.name = "ParserError";
        this.code = "ParserError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _ParserError);
      }
    };
    var State = class {
      constructor(parser) {
        this.parser = parser;
        this.buf = "";
        this.returned = null;
        this.result = null;
        this.resultTable = null;
        this.resultArr = null;
      }
    };
    var Parser = class {
      constructor() {
        this.pos = 0;
        this.col = 0;
        this.line = 0;
        this.obj = {};
        this.ctx = this.obj;
        this.stack = [];
        this._buf = "";
        this.char = null;
        this.ii = 0;
        this.state = new State(this.parseStart);
      }
      parse(str) {
        if (str.length === 0 || str.length == null)
          return;
        this._buf = String(str);
        this.ii = -1;
        this.char = -1;
        let getNext;
        while (getNext === false || this.nextChar()) {
          getNext = this.runOne();
        }
        this._buf = null;
      }
      nextChar() {
        if (this.char === 10) {
          ++this.line;
          this.col = -1;
        }
        ++this.ii;
        this.char = this._buf.codePointAt(this.ii);
        ++this.pos;
        ++this.col;
        return this.haveBuffer();
      }
      haveBuffer() {
        return this.ii < this._buf.length;
      }
      runOne() {
        return this.state.parser.call(this, this.state.returned);
      }
      finish() {
        this.char = ParserEND;
        let last;
        do {
          last = this.state.parser;
          this.runOne();
        } while (this.state.parser !== last);
        this.ctx = null;
        this.state = null;
        this._buf = null;
        return this.obj;
      }
      next(fn) {
        if (typeof fn !== "function")
          throw new ParserError("Tried to set state to non-existent state: " + JSON.stringify(fn));
        this.state.parser = fn;
      }
      goto(fn) {
        this.next(fn);
        return this.runOne();
      }
      call(fn, returnWith) {
        if (returnWith)
          this.next(returnWith);
        this.stack.push(this.state);
        this.state = new State(fn);
      }
      callNow(fn, returnWith) {
        this.call(fn, returnWith);
        return this.runOne();
      }
      return(value) {
        if (this.stack.length === 0)
          throw this.error(new ParserError("Stack underflow"));
        if (value === void 0)
          value = this.state.buf;
        this.state = this.stack.pop();
        this.state.returned = value;
      }
      returnNow(value) {
        this.return(value);
        return this.runOne();
      }
      consume() {
        if (this.char === ParserEND)
          throw this.error(new ParserError("Unexpected end-of-buffer"));
        this.state.buf += this._buf[this.ii];
      }
      error(err) {
        err.line = this.line;
        err.col = this.col;
        err.pos = this.pos;
        return err;
      }
      /* istanbul ignore next */
      parseStart() {
        throw new ParserError("Must declare a parseStart method");
      }
    };
    Parser.END = ParserEND;
    Parser.Error = ParserError;
    module2.exports = Parser;
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/create-datetime.js
var require_create_datetime4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/create-datetime.js"(exports2, module2) {
    "use strict";
    module2.exports = (value) => {
      const date = new Date(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/format-num.js
var require_format_num4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/format-num.js"(exports2, module2) {
    "use strict";
    module2.exports = (d, num) => {
      num = String(num);
      while (num.length < d)
        num = "0" + num;
      return num;
    };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/create-datetime-float.js
var require_create_datetime_float4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/create-datetime-float.js"(exports2, module2) {
    "use strict";
    var f = require_format_num4();
    var FloatingDateTime = class extends Date {
      constructor(value) {
        super(value + "Z");
        this.isFloating = true;
      }
      toISOString() {
        const date = `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
        const time = `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
        return `${date}T${time}`;
      }
    };
    module2.exports = (value) => {
      const date = new FloatingDateTime(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/create-date.js
var require_create_date4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/create-date.js"(exports2, module2) {
    "use strict";
    var f = require_format_num4();
    var DateTime = global.Date;
    var Date2 = class extends DateTime {
      constructor(value) {
        super(value);
        this.isDate = true;
      }
      toISOString() {
        return `${this.getUTCFullYear()}-${f(2, this.getUTCMonth() + 1)}-${f(2, this.getUTCDate())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Date2(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/create-time.js
var require_create_time4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/create-time.js"(exports2, module2) {
    "use strict";
    var f = require_format_num4();
    var Time = class extends Date {
      constructor(value) {
        super(`0000-01-01T${value}Z`);
        this.isTime = true;
      }
      toISOString() {
        return `${f(2, this.getUTCHours())}:${f(2, this.getUTCMinutes())}:${f(2, this.getUTCSeconds())}.${f(3, this.getUTCMilliseconds())}`;
      }
    };
    module2.exports = (value) => {
      const date = new Time(value);
      if (isNaN(date)) {
        throw new TypeError("Invalid Datetime");
      } else {
        return date;
      }
    };
  }
});

// ../../components/workflows/node_modules/@iarna/toml/lib/toml-parser.js
var require_toml_parser4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/lib/toml-parser.js"(exports, module) {
    "use strict";
    module.exports = makeParserClass(require_parser11());
    module.exports.makeParserClass = makeParserClass;
    var TomlError = class _TomlError extends Error {
      constructor(msg) {
        super(msg);
        this.name = "TomlError";
        if (Error.captureStackTrace)
          Error.captureStackTrace(this, _TomlError);
        this.fromTOML = true;
        this.wrapped = null;
      }
    };
    TomlError.wrap = (err) => {
      const terr = new TomlError(err.message);
      terr.code = err.code;
      terr.wrapped = err;
      return terr;
    };
    module.exports.TomlError = TomlError;
    var createDateTime = require_create_datetime4();
    var createDateTimeFloat = require_create_datetime_float4();
    var createDate = require_create_date4();
    var createTime = require_create_time4();
    var CTRL_I = 9;
    var CTRL_J = 10;
    var CTRL_M = 13;
    var CTRL_CHAR_BOUNDARY = 31;
    var CHAR_SP = 32;
    var CHAR_QUOT = 34;
    var CHAR_NUM = 35;
    var CHAR_APOS = 39;
    var CHAR_PLUS = 43;
    var CHAR_COMMA = 44;
    var CHAR_HYPHEN = 45;
    var CHAR_PERIOD = 46;
    var CHAR_0 = 48;
    var CHAR_1 = 49;
    var CHAR_7 = 55;
    var CHAR_9 = 57;
    var CHAR_COLON = 58;
    var CHAR_EQUALS = 61;
    var CHAR_A = 65;
    var CHAR_E = 69;
    var CHAR_F = 70;
    var CHAR_T = 84;
    var CHAR_U = 85;
    var CHAR_Z = 90;
    var CHAR_LOWBAR = 95;
    var CHAR_a = 97;
    var CHAR_b = 98;
    var CHAR_e = 101;
    var CHAR_f = 102;
    var CHAR_i = 105;
    var CHAR_l = 108;
    var CHAR_n = 110;
    var CHAR_o = 111;
    var CHAR_r = 114;
    var CHAR_s = 115;
    var CHAR_t = 116;
    var CHAR_u = 117;
    var CHAR_x = 120;
    var CHAR_z = 122;
    var CHAR_LCUB = 123;
    var CHAR_RCUB = 125;
    var CHAR_LSQB = 91;
    var CHAR_BSOL = 92;
    var CHAR_RSQB = 93;
    var CHAR_DEL = 127;
    var SURROGATE_FIRST = 55296;
    var SURROGATE_LAST = 57343;
    var escapes = {
      [CHAR_b]: "\b",
      [CHAR_t]: "	",
      [CHAR_n]: "\n",
      [CHAR_f]: "\f",
      [CHAR_r]: "\r",
      [CHAR_QUOT]: '"',
      [CHAR_BSOL]: "\\"
    };
    function isDigit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isHexit(cp) {
      return cp >= CHAR_A && cp <= CHAR_F || cp >= CHAR_a && cp <= CHAR_f || cp >= CHAR_0 && cp <= CHAR_9;
    }
    function isBit(cp) {
      return cp === CHAR_1 || cp === CHAR_0;
    }
    function isOctit(cp) {
      return cp >= CHAR_0 && cp <= CHAR_7;
    }
    function isAlphaNumQuoteHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_APOS || cp === CHAR_QUOT || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    function isAlphaNumHyphen(cp) {
      return cp >= CHAR_A && cp <= CHAR_Z || cp >= CHAR_a && cp <= CHAR_z || cp >= CHAR_0 && cp <= CHAR_9 || cp === CHAR_LOWBAR || cp === CHAR_HYPHEN;
    }
    var _type = Symbol("type");
    var _declared = Symbol("declared");
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var defineProperty = Object.defineProperty;
    var descriptor = { configurable: true, enumerable: true, writable: true, value: void 0 };
    function hasKey(obj, key) {
      if (hasOwnProperty.call(obj, key))
        return true;
      if (key === "__proto__")
        defineProperty(obj, "__proto__", descriptor);
      return false;
    }
    var INLINE_TABLE = Symbol("inline-table");
    function InlineTable() {
      return Object.defineProperties({}, {
        [_type]: { value: INLINE_TABLE }
      });
    }
    function isInlineTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_TABLE;
    }
    var TABLE = Symbol("table");
    function Table() {
      return Object.defineProperties({}, {
        [_type]: { value: TABLE },
        [_declared]: { value: false, writable: true }
      });
    }
    function isTable(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === TABLE;
    }
    var _contentType = Symbol("content-type");
    var INLINE_LIST = Symbol("inline-list");
    function InlineList(type) {
      return Object.defineProperties([], {
        [_type]: { value: INLINE_LIST },
        [_contentType]: { value: type }
      });
    }
    function isInlineList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INLINE_LIST;
    }
    var LIST = Symbol("list");
    function List() {
      return Object.defineProperties([], {
        [_type]: { value: LIST }
      });
    }
    function isList(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === LIST;
    }
    var _custom;
    try {
      const utilInspect = eval("require('util').inspect");
      _custom = utilInspect.custom;
    } catch (_) {
    }
    var _inspect = _custom || "inspect";
    var BoxedBigInt = class {
      constructor(value) {
        try {
          this.value = global.BigInt.asIntN(64, value);
        } catch (_) {
          this.value = null;
        }
        Object.defineProperty(this, _type, { value: INTEGER });
      }
      isNaN() {
        return this.value === null;
      }
      /* istanbul ignore next */
      toString() {
        return String(this.value);
      }
      /* istanbul ignore next */
      [_inspect]() {
        return `[BigInt: ${this.toString()}]}`;
      }
      valueOf() {
        return this.value;
      }
    };
    var INTEGER = Symbol("integer");
    function Integer(value) {
      let num = Number(value);
      if (Object.is(num, -0))
        num = 0;
      if (global.BigInt && !Number.isSafeInteger(num)) {
        return new BoxedBigInt(value);
      } else {
        return Object.defineProperties(new Number(num), {
          isNaN: { value: function() {
            return isNaN(this);
          } },
          [_type]: { value: INTEGER },
          [_inspect]: { value: () => `[Integer: ${value}]` }
        });
      }
    }
    function isInteger(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === INTEGER;
    }
    var FLOAT = Symbol("float");
    function Float(value) {
      return Object.defineProperties(new Number(value), {
        [_type]: { value: FLOAT },
        [_inspect]: { value: () => `[Float: ${value}]` }
      });
    }
    function isFloat(obj) {
      if (obj === null || typeof obj !== "object")
        return false;
      return obj[_type] === FLOAT;
    }
    function tomlType(value) {
      const type = typeof value;
      if (type === "object") {
        if (value === null)
          return "null";
        if (value instanceof Date)
          return "datetime";
        if (_type in value) {
          switch (value[_type]) {
            case INLINE_TABLE:
              return "inline-table";
            case INLINE_LIST:
              return "inline-list";
            case TABLE:
              return "table";
            case LIST:
              return "list";
            case FLOAT:
              return "float";
            case INTEGER:
              return "integer";
          }
        }
      }
      return type;
    }
    function makeParserClass(Parser) {
      class TOMLParser extends Parser {
        constructor() {
          super();
          this.ctx = this.obj = Table();
        }
        /* MATCH HELPER */
        atEndOfWord() {
          return this.char === CHAR_NUM || this.char === CTRL_I || this.char === CHAR_SP || this.atEndOfLine();
        }
        atEndOfLine() {
          return this.char === Parser.END || this.char === CTRL_J || this.char === CTRL_M;
        }
        parseStart() {
          if (this.char === Parser.END) {
            return null;
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseTableOrList);
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (isAlphaNumQuoteHyphen(this.char)) {
            return this.callNow(this.parseAssignStatement);
          } else {
            throw this.error(new TomlError(`Unknown character "${this.char}"`));
          }
        }
        // HELPER, this strips any whitespace and comments to the end of the line
        // then RETURNS. Last state in a production.
        parseWhitespaceToEOL() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.goto(this.parseComment);
          } else if (this.char === Parser.END || this.char === CTRL_J) {
            return this.return();
          } else {
            throw this.error(new TomlError("Unexpected character, expected only whitespace or comments till end of line"));
          }
        }
        /* ASSIGNMENT: key = value */
        parseAssignStatement() {
          return this.callNow(this.parseAssign, this.recordAssignStatement);
        }
        recordAssignStatement(kv) {
          let target = this.ctx;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseWhitespaceToEOL);
        }
        /* ASSSIGNMENT expression, key = value possibly inside an inline table */
        parseAssign() {
          return this.callNow(this.parseKeyword, this.recordAssignKeyword);
        }
        recordAssignKeyword(key) {
          if (this.state.resultTable) {
            this.state.resultTable.push(key);
          } else {
            this.state.resultTable = [key];
          }
          return this.goto(this.parseAssignKeywordPreDot);
        }
        parseAssignKeywordPreDot() {
          if (this.char === CHAR_PERIOD) {
            return this.next(this.parseAssignKeywordPostDot);
          } else if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.goto(this.parseAssignEqual);
          }
        }
        parseAssignKeywordPostDot() {
          if (this.char !== CHAR_SP && this.char !== CTRL_I) {
            return this.callNow(this.parseKeyword, this.recordAssignKeyword);
          }
        }
        parseAssignEqual() {
          if (this.char === CHAR_EQUALS) {
            return this.next(this.parseAssignPreValue);
          } else {
            throw this.error(new TomlError('Invalid character, expected "="'));
          }
        }
        parseAssignPreValue() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseValue, this.recordAssignValue);
          }
        }
        recordAssignValue(value) {
          return this.returnNow({ key: this.state.resultTable, value });
        }
        /* COMMENTS: #...eol */
        parseComment() {
          do {
            if (this.char === Parser.END || this.char === CTRL_J) {
              return this.return();
            }
          } while (this.nextChar());
        }
        /* TABLES AND LISTS, [foo] and [[foo]] */
        parseTableOrList() {
          if (this.char === CHAR_LSQB) {
            this.next(this.parseList);
          } else {
            return this.goto(this.parseTable);
          }
        }
        /* TABLE [foo.bar.baz] */
        parseTable() {
          this.ctx = this.obj;
          return this.goto(this.parseTableNext);
        }
        parseTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseTableMore);
          }
        }
        parseTableMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (hasKey(this.ctx, keyword) && (!isTable(this.ctx[keyword]) || this.ctx[keyword][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            } else {
              this.ctx = this.ctx[keyword] = this.ctx[keyword] || Table();
              this.ctx[_declared] = true;
            }
            return this.next(this.parseWhitespaceToEOL);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            return this.next(this.parseTableNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* LIST [[a.b.c]] */
        parseList() {
          this.ctx = this.obj;
          return this.goto(this.parseListNext);
        }
        parseListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else {
            return this.callNow(this.parseKeyword, this.parseListMore);
          }
        }
        parseListMore(keyword) {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CHAR_RSQB) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx[keyword] = List();
            }
            if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isList(this.ctx[keyword])) {
              const next = Table();
              this.ctx[keyword].push(next);
              this.ctx = next;
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListEnd);
          } else if (this.char === CHAR_PERIOD) {
            if (!hasKey(this.ctx, keyword)) {
              this.ctx = this.ctx[keyword] = Table();
            } else if (isInlineList(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline array"));
            } else if (isInlineTable(this.ctx[keyword])) {
              throw this.error(new TomlError("Can't extend an inline table"));
            } else if (isList(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword][this.ctx[keyword].length - 1];
            } else if (isTable(this.ctx[keyword])) {
              this.ctx = this.ctx[keyword];
            } else {
              throw this.error(new TomlError("Can't redefine an existing key"));
            }
            return this.next(this.parseListNext);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        parseListEnd(keyword) {
          if (this.char === CHAR_RSQB) {
            return this.next(this.parseWhitespaceToEOL);
          } else {
            throw this.error(new TomlError("Unexpected character, expected whitespace, . or ]"));
          }
        }
        /* VALUE string, number, boolean, inline list, inline object */
        parseValue() {
          if (this.char === Parser.END) {
            throw this.error(new TomlError("Key without value"));
          } else if (this.char === CHAR_QUOT) {
            return this.next(this.parseDoubleString);
          }
          if (this.char === CHAR_APOS) {
            return this.next(this.parseSingleString);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            return this.goto(this.parseNumberSign);
          } else if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseNumberOrDateTime);
          } else if (this.char === CHAR_t || this.char === CHAR_f) {
            return this.goto(this.parseBoolean);
          } else if (this.char === CHAR_LSQB) {
            return this.call(this.parseInlineList, this.recordValue);
          } else if (this.char === CHAR_LCUB) {
            return this.call(this.parseInlineTable, this.recordValue);
          } else {
            throw this.error(new TomlError("Unexpected character, expecting string, number, datetime, boolean, inline array or inline table"));
          }
        }
        recordValue(value) {
          return this.returnNow(value);
        }
        parseInf() {
          if (this.char === CHAR_n) {
            return this.next(this.parseInf2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseInf2() {
          if (this.char === CHAR_f) {
            if (this.state.buf === "-") {
              return this.return(-Infinity);
            } else {
              return this.return(Infinity);
            }
          } else {
            throw this.error(new TomlError('Unexpected character, expected "inf", "+inf" or "-inf"'));
          }
        }
        parseNan() {
          if (this.char === CHAR_a) {
            return this.next(this.parseNan2);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        parseNan2() {
          if (this.char === CHAR_n) {
            return this.return(NaN);
          } else {
            throw this.error(new TomlError('Unexpected character, expected "nan"'));
          }
        }
        /* KEYS, barewords or basic, literal, or dotted */
        parseKeyword() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseBasicString);
          } else if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralString);
          } else {
            return this.goto(this.parseBareKey);
          }
        }
        /* KEYS: barewords */
        parseBareKey() {
          do {
            if (this.char === Parser.END) {
              throw this.error(new TomlError("Key ended without value"));
            } else if (isAlphaNumHyphen(this.char)) {
              this.consume();
            } else if (this.state.buf.length === 0) {
              throw this.error(new TomlError("Empty bare keys are not allowed"));
            } else {
              return this.returnNow();
            }
          } while (this.nextChar());
        }
        /* STRINGS, single quoted (literal) */
        parseSingleString() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiStringMaybe);
          } else {
            return this.goto(this.parseLiteralString);
          }
        }
        parseLiteralString() {
          do {
            if (this.char === CHAR_APOS) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiStringMaybe() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseLiteralMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseLiteralMultiStringContent);
          } else {
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiStringContent() {
          do {
            if (this.char === CHAR_APOS) {
              return this.next(this.parseLiteralMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        parseLiteralMultiEnd() {
          if (this.char === CHAR_APOS) {
            return this.next(this.parseLiteralMultiEnd2);
          } else {
            this.state.buf += "'";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        parseLiteralMultiEnd2() {
          if (this.char === CHAR_APOS) {
            return this.return();
          } else {
            this.state.buf += "''";
            return this.goto(this.parseLiteralMultiStringContent);
          }
        }
        /* STRINGS double quoted */
        parseDoubleString() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiStringMaybe);
          } else {
            return this.goto(this.parseBasicString);
          }
        }
        parseBasicString() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseEscape, this.recordEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.return();
            } else if (this.atEndOfLine()) {
              throw this.error(new TomlError("Unterminated string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        recordEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseBasicString);
        }
        parseMultiStringMaybe() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiString);
          } else {
            return this.returnNow();
          }
        }
        parseMultiString() {
          if (this.char === CTRL_M) {
            return null;
          } else if (this.char === CTRL_J) {
            return this.next(this.parseMultiStringContent);
          } else {
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiStringContent() {
          do {
            if (this.char === CHAR_BSOL) {
              return this.call(this.parseMultiEscape, this.recordMultiEscapeReplacement);
            } else if (this.char === CHAR_QUOT) {
              return this.next(this.parseMultiEnd);
            } else if (this.char === Parser.END) {
              throw this.error(new TomlError("Unterminated multi-line string"));
            } else if (this.char === CHAR_DEL || this.char <= CTRL_CHAR_BOUNDARY && this.char !== CTRL_I && this.char !== CTRL_J && this.char !== CTRL_M) {
              throw this.errorControlCharInString();
            } else {
              this.consume();
            }
          } while (this.nextChar());
        }
        errorControlCharInString() {
          let displayCode = "\\u00";
          if (this.char < 16) {
            displayCode += "0";
          }
          displayCode += this.char.toString(16);
          return this.error(new TomlError(`Control characters (codes < 0x1f and 0x7f) are not allowed in strings, use ${displayCode} instead`));
        }
        recordMultiEscapeReplacement(replacement) {
          this.state.buf += replacement;
          return this.goto(this.parseMultiStringContent);
        }
        parseMultiEnd() {
          if (this.char === CHAR_QUOT) {
            return this.next(this.parseMultiEnd2);
          } else {
            this.state.buf += '"';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEnd2() {
          if (this.char === CHAR_QUOT) {
            return this.return();
          } else {
            this.state.buf += '""';
            return this.goto(this.parseMultiStringContent);
          }
        }
        parseMultiEscape() {
          if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else if (this.char === CHAR_SP || this.char === CTRL_I) {
            return this.next(this.parsePreMultiTrim);
          } else {
            return this.goto(this.parseEscape);
          }
        }
        parsePreMultiTrim() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === CTRL_M || this.char === CTRL_J) {
            return this.next(this.parseMultiTrim);
          } else {
            throw this.error(new TomlError("Can't escape whitespace"));
          }
        }
        parseMultiTrim() {
          if (this.char === CTRL_J || this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M) {
            return null;
          } else {
            return this.returnNow();
          }
        }
        parseEscape() {
          if (this.char in escapes) {
            return this.return(escapes[this.char]);
          } else if (this.char === CHAR_u) {
            return this.call(this.parseSmallUnicode, this.parseUnicodeReturn);
          } else if (this.char === CHAR_U) {
            return this.call(this.parseLargeUnicode, this.parseUnicodeReturn);
          } else {
            throw this.error(new TomlError("Unknown escape character: " + this.char));
          }
        }
        parseUnicodeReturn(char) {
          try {
            const codePoint = parseInt(char, 16);
            if (codePoint >= SURROGATE_FIRST && codePoint <= SURROGATE_LAST) {
              throw this.error(new TomlError("Invalid unicode, character in range 0xD800 - 0xDFFF is reserved"));
            }
            return this.returnNow(String.fromCodePoint(codePoint));
          } catch (err) {
            throw this.error(TomlError.wrap(err));
          }
        }
        parseSmallUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 4)
              return this.return();
          }
        }
        parseLargeUnicode() {
          if (!isHexit(this.char)) {
            throw this.error(new TomlError("Invalid character in unicode sequence, expected hex"));
          } else {
            this.consume();
            if (this.state.buf.length >= 8)
              return this.return();
          }
        }
        /* NUMBERS */
        parseNumberSign() {
          this.consume();
          return this.next(this.parseMaybeSignedInfOrNan);
        }
        parseMaybeSignedInfOrNan() {
          if (this.char === CHAR_i) {
            return this.next(this.parseInf);
          } else if (this.char === CHAR_n) {
            return this.next(this.parseNan);
          } else {
            return this.callNow(this.parseNoUnder, this.parseNumberIntegerStart);
          }
        }
        parseNumberIntegerStart() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberIntegerExponentOrDecimal);
          } else {
            return this.goto(this.parseNumberInteger);
          }
        }
        parseNumberIntegerExponentOrDecimal() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseNumberInteger() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseNoUnder() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD || this.char === CHAR_E || this.char === CHAR_e) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNoUnderHexOctBinLiteral() {
          if (this.char === CHAR_LOWBAR || this.char === CHAR_PERIOD) {
            throw this.error(new TomlError("Unexpected character, expected digit"));
          } else if (this.atEndOfWord()) {
            throw this.error(new TomlError("Incomplete number"));
          }
          return this.returnNow();
        }
        parseNumberFloat() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        parseNumberExponentSign() {
          if (isDigit(this.char)) {
            return this.goto(this.parseNumberExponent);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.call(this.parseNoUnder, this.parseNumberExponent);
          } else {
            throw this.error(new TomlError("Unexpected character, expected -, + or digit"));
          }
        }
        parseNumberExponent() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder);
          } else {
            return this.returnNow(Float(this.state.buf));
          }
        }
        /* NUMBERS or DATETIMES  */
        parseNumberOrDateTime() {
          if (this.char === CHAR_0) {
            this.consume();
            return this.next(this.parseNumberBaseOrDateTime);
          } else {
            return this.goto(this.parseNumberOrDateTimeOnly);
          }
        }
        parseNumberOrDateTimeOnly() {
          if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnder, this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length > 4)
              this.next(this.parseNumberInteger);
          } else if (this.char === CHAR_E || this.char === CHAR_e) {
            this.consume();
            return this.next(this.parseNumberExponentSign);
          } else if (this.char === CHAR_PERIOD) {
            this.consume();
            return this.call(this.parseNoUnder, this.parseNumberFloat);
          } else if (this.char === CHAR_HYPHEN) {
            return this.goto(this.parseDateTime);
          } else if (this.char === CHAR_COLON) {
            return this.goto(this.parseOnlyTimeHour);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseDateTimeOnly() {
          if (this.state.buf.length < 4) {
            if (isDigit(this.char)) {
              return this.consume();
            } else if (this.char === CHAR_COLON) {
              return this.goto(this.parseOnlyTimeHour);
            } else {
              throw this.error(new TomlError("Expected digit while parsing year part of a date"));
            }
          } else {
            if (this.char === CHAR_HYPHEN) {
              return this.goto(this.parseDateTime);
            } else {
              throw this.error(new TomlError("Expected hyphen (-) while parsing year part of date"));
            }
          }
        }
        parseNumberBaseOrDateTime() {
          if (this.char === CHAR_b) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerBin);
          } else if (this.char === CHAR_o) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerOct);
          } else if (this.char === CHAR_x) {
            this.consume();
            return this.call(this.parseNoUnderHexOctBinLiteral, this.parseIntegerHex);
          } else if (this.char === CHAR_PERIOD) {
            return this.goto(this.parseNumberInteger);
          } else if (isDigit(this.char)) {
            return this.goto(this.parseDateTimeOnly);
          } else {
            return this.returnNow(Integer(this.state.buf));
          }
        }
        parseIntegerHex() {
          if (isHexit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerOct() {
          if (isOctit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        parseIntegerBin() {
          if (isBit(this.char)) {
            this.consume();
          } else if (this.char === CHAR_LOWBAR) {
            return this.call(this.parseNoUnderHexOctBinLiteral);
          } else {
            const result = Integer(this.state.buf);
            if (result.isNaN()) {
              throw this.error(new TomlError("Invalid number"));
            } else {
              return this.returnNow(result);
            }
          }
        }
        /* DATETIME */
        parseDateTime() {
          if (this.state.buf.length < 4) {
            throw this.error(new TomlError("Years less than 1000 must be zero padded to four characters"));
          }
          this.state.result = this.state.buf;
          this.state.buf = "";
          return this.next(this.parseDateMonth);
        }
        parseDateMonth() {
          if (this.char === CHAR_HYPHEN) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Months less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseDateDay);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseDateDay() {
          if (this.char === CHAR_T || this.char === CHAR_SP) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Days less than 10 must be zero padded to two characters"));
            }
            this.state.result += "-" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseStartTimeHour);
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result + "-" + this.state.buf));
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseStartTimeHour() {
          if (this.atEndOfWord()) {
            return this.returnNow(createDate(this.state.result));
          } else {
            return this.goto(this.parseTimeHour);
          }
        }
        parseTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result += "T" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeMin);
          } else if (isDigit(this.char)) {
            this.consume();
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              this.state.result += ":" + this.state.buf;
              this.state.buf = "";
              return this.next(this.parseTimeZoneOrFraction);
            }
          } else {
            throw this.error(new TomlError("Incomplete datetime"));
          }
        }
        parseOnlyTimeHour() {
          if (this.char === CHAR_COLON) {
            if (this.state.buf.length < 2) {
              throw this.error(new TomlError("Hours less than 10 must be zero padded to two characters"));
            }
            this.state.result = this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeMin);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeMin() {
          if (this.state.buf.length < 2 && isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 2 && this.char === CHAR_COLON) {
            this.state.result += ":" + this.state.buf;
            this.state.buf = "";
            return this.next(this.parseOnlyTimeSec);
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeSec() {
          if (isDigit(this.char)) {
            this.consume();
            if (this.state.buf.length === 2) {
              return this.next(this.parseOnlyTimeFractionMaybe);
            }
          } else {
            throw this.error(new TomlError("Incomplete time"));
          }
        }
        parseOnlyTimeFractionMaybe() {
          this.state.result += ":" + this.state.buf;
          if (this.char === CHAR_PERIOD) {
            this.state.buf = "";
            this.next(this.parseOnlyTimeFraction);
          } else {
            return this.return(createTime(this.state.result));
          }
        }
        parseOnlyTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.atEndOfWord()) {
            if (this.state.buf.length === 0)
              throw this.error(new TomlError("Expected digit in milliseconds"));
            return this.returnNow(createTime(this.state.result + "." + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneOrFraction() {
          if (this.char === CHAR_PERIOD) {
            this.consume();
            this.next(this.parseDateTimeFraction);
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseDateTimeFraction() {
          if (isDigit(this.char)) {
            this.consume();
          } else if (this.state.buf.length === 1) {
            throw this.error(new TomlError("Expected digit in milliseconds"));
          } else if (this.char === CHAR_HYPHEN || this.char === CHAR_PLUS) {
            this.consume();
            this.next(this.parseTimeZoneHour);
          } else if (this.char === CHAR_Z) {
            this.consume();
            return this.return(createDateTime(this.state.result + this.state.buf));
          } else if (this.atEndOfWord()) {
            return this.returnNow(createDateTimeFloat(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected period (.), minus (-), plus (+) or Z"));
          }
        }
        parseTimeZoneHour() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.next(this.parseTimeZoneSep);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        parseTimeZoneSep() {
          if (this.char === CHAR_COLON) {
            this.consume();
            this.next(this.parseTimeZoneMin);
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected colon"));
          }
        }
        parseTimeZoneMin() {
          if (isDigit(this.char)) {
            this.consume();
            if (/\d\d$/.test(this.state.buf))
              return this.return(createDateTime(this.state.result + this.state.buf));
          } else {
            throw this.error(new TomlError("Unexpected character in datetime, expected digit"));
          }
        }
        /* BOOLEAN */
        parseBoolean() {
          if (this.char === CHAR_t) {
            this.consume();
            return this.next(this.parseTrue_r);
          } else if (this.char === CHAR_f) {
            this.consume();
            return this.next(this.parseFalse_a);
          }
        }
        parseTrue_r() {
          if (this.char === CHAR_r) {
            this.consume();
            return this.next(this.parseTrue_u);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_u() {
          if (this.char === CHAR_u) {
            this.consume();
            return this.next(this.parseTrue_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseTrue_e() {
          if (this.char === CHAR_e) {
            return this.return(true);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_a() {
          if (this.char === CHAR_a) {
            this.consume();
            return this.next(this.parseFalse_l);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_l() {
          if (this.char === CHAR_l) {
            this.consume();
            return this.next(this.parseFalse_s);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_s() {
          if (this.char === CHAR_s) {
            this.consume();
            return this.next(this.parseFalse_e);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        parseFalse_e() {
          if (this.char === CHAR_e) {
            return this.return(false);
          } else {
            throw this.error(new TomlError("Invalid boolean, expected true or false"));
          }
        }
        /* INLINE LISTS */
        parseInlineList() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === Parser.END) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_RSQB) {
            return this.return(this.state.resultArr || InlineList());
          } else {
            return this.callNow(this.parseValue, this.recordInlineListValue);
          }
        }
        recordInlineListValue(value) {
          if (this.state.resultArr) {
            const listType = this.state.resultArr[_contentType];
            const valueType = tomlType(value);
            if (listType !== valueType) {
              throw this.error(new TomlError(`Inline lists must be a single type, not a mix of ${listType} and ${valueType}`));
            }
          } else {
            this.state.resultArr = InlineList(tomlType(value));
          }
          if (isFloat(value) || isInteger(value)) {
            this.state.resultArr.push(value.valueOf());
          } else {
            this.state.resultArr.push(value);
          }
          return this.goto(this.parseInlineListNext);
        }
        parseInlineListNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I || this.char === CTRL_M || this.char === CTRL_J) {
            return null;
          } else if (this.char === CHAR_NUM) {
            return this.call(this.parseComment);
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineList);
          } else if (this.char === CHAR_RSQB) {
            return this.goto(this.parseInlineList);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
        /* INLINE TABLE */
        parseInlineTable() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_RCUB) {
            return this.return(this.state.resultTable || InlineTable());
          } else {
            if (!this.state.resultTable)
              this.state.resultTable = InlineTable();
            return this.callNow(this.parseAssign, this.recordInlineTableValue);
          }
        }
        recordInlineTableValue(kv) {
          let target = this.state.resultTable;
          let finalKey = kv.key.pop();
          for (let kw of kv.key) {
            if (hasKey(target, kw) && (!isTable(target[kw]) || target[kw][_declared])) {
              throw this.error(new TomlError("Can't redefine existing key"));
            }
            target = target[kw] = target[kw] || Table();
          }
          if (hasKey(target, finalKey)) {
            throw this.error(new TomlError("Can't redefine existing key"));
          }
          if (isInteger(kv.value) || isFloat(kv.value)) {
            target[finalKey] = kv.value.valueOf();
          } else {
            target[finalKey] = kv.value;
          }
          return this.goto(this.parseInlineTableNext);
        }
        parseInlineTableNext() {
          if (this.char === CHAR_SP || this.char === CTRL_I) {
            return null;
          } else if (this.char === Parser.END || this.char === CHAR_NUM || this.char === CTRL_J || this.char === CTRL_M) {
            throw this.error(new TomlError("Unterminated inline array"));
          } else if (this.char === CHAR_COMMA) {
            return this.next(this.parseInlineTable);
          } else if (this.char === CHAR_RCUB) {
            return this.goto(this.parseInlineTable);
          } else {
            throw this.error(new TomlError("Invalid character, expected whitespace, comma (,) or close bracket (])"));
          }
        }
      }
      return TOMLParser;
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/parse-pretty-error.js
var require_parse_pretty_error4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/parse-pretty-error.js"(exports2, module2) {
    "use strict";
    module2.exports = prettyError;
    function prettyError(err, buf) {
      if (err.pos == null || err.line == null)
        return err;
      let msg = err.message;
      msg += ` at row ${err.line + 1}, col ${err.col + 1}, pos ${err.pos}:
`;
      if (buf && buf.split) {
        const lines = buf.split(/\n/);
        const lineNumWidth = String(Math.min(lines.length, err.line + 3)).length;
        let linePadding = " ";
        while (linePadding.length < lineNumWidth)
          linePadding += " ";
        for (let ii = Math.max(0, err.line - 1); ii < Math.min(lines.length, err.line + 2); ++ii) {
          let lineNum = String(ii + 1);
          if (lineNum.length < lineNumWidth)
            lineNum = " " + lineNum;
          if (err.line === ii) {
            msg += lineNum + "> " + lines[ii] + "\n";
            msg += linePadding + "  ";
            for (let hh = 0; hh < err.col; ++hh) {
              msg += " ";
            }
            msg += "^\n";
          } else {
            msg += lineNum + ": " + lines[ii] + "\n";
          }
        }
      }
      err.message = msg + "\n";
      return err;
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/parse-string.js
var require_parse_string4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/parse-string.js"(exports2, module2) {
    "use strict";
    module2.exports = parseString;
    var TOMLParser = require_toml_parser4();
    var prettyError = require_parse_pretty_error4();
    function parseString(str) {
      if (global.Buffer && global.Buffer.isBuffer(str)) {
        str = str.toString("utf8");
      }
      const parser = new TOMLParser();
      try {
        parser.parse(str);
        return parser.finish();
      } catch (err) {
        throw prettyError(err, str);
      }
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/parse-async.js
var require_parse_async4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/parse-async.js"(exports2, module2) {
    "use strict";
    module2.exports = parseAsync;
    var TOMLParser = require_toml_parser4();
    var prettyError = require_parse_pretty_error4();
    function parseAsync(str, opts) {
      if (!opts)
        opts = {};
      const index = 0;
      const blocksize = opts.blocksize || 40960;
      const parser = new TOMLParser();
      return new Promise((resolve, reject) => {
        setImmediate(parseAsyncNext, index, blocksize, resolve, reject);
      });
      function parseAsyncNext(index2, blocksize2, resolve, reject) {
        if (index2 >= str.length) {
          try {
            return resolve(parser.finish());
          } catch (err) {
            return reject(prettyError(err, str));
          }
        }
        try {
          parser.parse(str.slice(index2, index2 + blocksize2));
          setImmediate(parseAsyncNext, index2 + blocksize2, blocksize2, resolve, reject);
        } catch (err) {
          reject(prettyError(err, str));
        }
      }
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/parse-stream.js
var require_parse_stream4 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/parse-stream.js"(exports2, module2) {
    "use strict";
    module2.exports = parseStream;
    var stream = require("stream");
    var TOMLParser = require_toml_parser4();
    function parseStream(stm) {
      if (stm) {
        return parseReadable(stm);
      } else {
        return parseTransform(stm);
      }
    }
    function parseReadable(stm) {
      const parser = new TOMLParser();
      stm.setEncoding("utf8");
      return new Promise((resolve, reject) => {
        let readable;
        let ended = false;
        let errored = false;
        function finish() {
          ended = true;
          if (readable)
            return;
          try {
            resolve(parser.finish());
          } catch (err) {
            reject(err);
          }
        }
        function error(err) {
          errored = true;
          reject(err);
        }
        stm.once("end", finish);
        stm.once("error", error);
        readNext();
        function readNext() {
          readable = true;
          let data;
          while ((data = stm.read()) !== null) {
            try {
              parser.parse(data);
            } catch (err) {
              return error(err);
            }
          }
          readable = false;
          if (ended)
            return finish();
          if (errored)
            return;
          stm.once("readable", readNext);
        }
      });
    }
    function parseTransform() {
      const parser = new TOMLParser();
      return new stream.Transform({
        objectMode: true,
        transform(chunk, encoding, cb) {
          try {
            parser.parse(chunk.toString(encoding));
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        },
        flush(cb) {
          try {
            this.push(parser.finish());
          } catch (err) {
            this.emit("error", err);
          }
          cb();
        }
      });
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/parse.js
var require_parse12 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/parse.js"(exports2, module2) {
    "use strict";
    module2.exports = require_parse_string4();
    module2.exports.async = require_parse_async4();
    module2.exports.stream = require_parse_stream4();
    module2.exports.prettyError = require_parse_pretty_error4();
  }
});

// ../../components/workflows/node_modules/@iarna/toml/stringify.js
var require_stringify12 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/stringify.js"(exports2, module2) {
    "use strict";
    module2.exports = stringify;
    module2.exports.value = stringifyInline;
    function stringify(obj) {
      if (obj === null)
        throw typeError("null");
      if (obj === void 0)
        throw typeError("undefined");
      if (typeof obj !== "object")
        throw typeError(typeof obj);
      if (typeof obj.toJSON === "function")
        obj = obj.toJSON();
      if (obj == null)
        return null;
      const type = tomlType2(obj);
      if (type !== "table")
        throw typeError(type);
      return stringifyObject("", "", obj);
    }
    function typeError(type) {
      return new Error("Can only stringify objects, not " + type);
    }
    function arrayOneTypeError() {
      return new Error("Array values can't have mixed types");
    }
    function getInlineKeys(obj) {
      return Object.keys(obj).filter((key) => isInline(obj[key]));
    }
    function getComplexKeys(obj) {
      return Object.keys(obj).filter((key) => !isInline(obj[key]));
    }
    function toJSON(obj) {
      let nobj = Array.isArray(obj) ? [] : Object.prototype.hasOwnProperty.call(obj, "__proto__") ? { ["__proto__"]: void 0 } : {};
      for (let prop of Object.keys(obj)) {
        if (obj[prop] && typeof obj[prop].toJSON === "function" && !("toISOString" in obj[prop])) {
          nobj[prop] = obj[prop].toJSON();
        } else {
          nobj[prop] = obj[prop];
        }
      }
      return nobj;
    }
    function stringifyObject(prefix, indent, obj) {
      obj = toJSON(obj);
      var inlineKeys;
      var complexKeys;
      inlineKeys = getInlineKeys(obj);
      complexKeys = getComplexKeys(obj);
      var result = [];
      var inlineIndent = indent || "";
      inlineKeys.forEach((key) => {
        var type = tomlType2(obj[key]);
        if (type !== "undefined" && type !== "null") {
          result.push(inlineIndent + stringifyKey(key) + " = " + stringifyAnyInline(obj[key], true));
        }
      });
      if (result.length > 0)
        result.push("");
      var complexIndent = prefix && inlineKeys.length > 0 ? indent + "  " : "";
      complexKeys.forEach((key) => {
        result.push(stringifyComplex(prefix, complexIndent, key, obj[key]));
      });
      return result.join("\n");
    }
    function isInline(value) {
      switch (tomlType2(value)) {
        case "undefined":
        case "null":
        case "integer":
        case "nan":
        case "float":
        case "boolean":
        case "string":
        case "datetime":
          return true;
        case "array":
          return value.length === 0 || tomlType2(value[0]) !== "table";
        case "table":
          return Object.keys(value).length === 0;
        default:
          return false;
      }
    }
    function tomlType2(value) {
      if (value === void 0) {
        return "undefined";
      } else if (value === null) {
        return "null";
      } else if (typeof value === "bigint" || Number.isInteger(value) && !Object.is(value, -0)) {
        return "integer";
      } else if (typeof value === "number") {
        return "float";
      } else if (typeof value === "boolean") {
        return "boolean";
      } else if (typeof value === "string") {
        return "string";
      } else if ("toISOString" in value) {
        return isNaN(value) ? "undefined" : "datetime";
      } else if (Array.isArray(value)) {
        return "array";
      } else {
        return "table";
      }
    }
    function stringifyKey(key) {
      var keyStr = String(key);
      if (/^[-A-Za-z0-9_]+$/.test(keyStr)) {
        return keyStr;
      } else {
        return stringifyBasicString(keyStr);
      }
    }
    function stringifyBasicString(str) {
      return '"' + escapeString(str).replace(/"/g, '\\"') + '"';
    }
    function stringifyLiteralString(str) {
      return "'" + str + "'";
    }
    function numpad(num, str) {
      while (str.length < num)
        str = "0" + str;
      return str;
    }
    function escapeString(str) {
      return str.replace(/\\/g, "\\\\").replace(/[\b]/g, "\\b").replace(/\t/g, "\\t").replace(/\n/g, "\\n").replace(/\f/g, "\\f").replace(/\r/g, "\\r").replace(/([\u0000-\u001f\u007f])/, (c) => "\\u" + numpad(4, c.codePointAt(0).toString(16)));
    }
    function stringifyMultilineString(str) {
      let escaped = str.split(/\n/).map((str2) => {
        return escapeString(str2).replace(/"(?="")/g, '\\"');
      }).join("\n");
      if (escaped.slice(-1) === '"')
        escaped += "\\\n";
      return '"""\n' + escaped + '"""';
    }
    function stringifyAnyInline(value, multilineOk) {
      let type = tomlType2(value);
      if (type === "string") {
        if (multilineOk && /\n/.test(value)) {
          type = "string-multiline";
        } else if (!/[\b\t\n\f\r']/.test(value) && /"/.test(value)) {
          type = "string-literal";
        }
      }
      return stringifyInline(value, type);
    }
    function stringifyInline(value, type) {
      if (!type)
        type = tomlType2(value);
      switch (type) {
        case "string-multiline":
          return stringifyMultilineString(value);
        case "string":
          return stringifyBasicString(value);
        case "string-literal":
          return stringifyLiteralString(value);
        case "integer":
          return stringifyInteger(value);
        case "float":
          return stringifyFloat(value);
        case "boolean":
          return stringifyBoolean(value);
        case "datetime":
          return stringifyDatetime(value);
        case "array":
          return stringifyInlineArray(value.filter((_) => tomlType2(_) !== "null" && tomlType2(_) !== "undefined" && tomlType2(_) !== "nan"));
        case "table":
          return stringifyInlineTable(value);
        default:
          throw typeError(type);
      }
    }
    function stringifyInteger(value) {
      return String(value).replace(/\B(?=(\d{3})+(?!\d))/g, "_");
    }
    function stringifyFloat(value) {
      if (value === Infinity) {
        return "inf";
      } else if (value === -Infinity) {
        return "-inf";
      } else if (Object.is(value, NaN)) {
        return "nan";
      } else if (Object.is(value, -0)) {
        return "-0.0";
      }
      var chunks = String(value).split(".");
      var int = chunks[0];
      var dec = chunks[1] || 0;
      return stringifyInteger(int) + "." + dec;
    }
    function stringifyBoolean(value) {
      return String(value);
    }
    function stringifyDatetime(value) {
      return value.toISOString();
    }
    function isNumber(type) {
      return type === "float" || type === "integer";
    }
    function arrayType(values) {
      var contentType = tomlType2(values[0]);
      if (values.every((_) => tomlType2(_) === contentType))
        return contentType;
      if (values.every((_) => isNumber(tomlType2(_))))
        return "float";
      return "mixed";
    }
    function validateArray(values) {
      const type = arrayType(values);
      if (type === "mixed") {
        throw arrayOneTypeError();
      }
      return type;
    }
    function stringifyInlineArray(values) {
      values = toJSON(values);
      const type = validateArray(values);
      var result = "[";
      var stringified = values.map((_) => stringifyInline(_, type));
      if (stringified.join(", ").length > 60 || /\n/.test(stringified)) {
        result += "\n  " + stringified.join(",\n  ") + "\n";
      } else {
        result += " " + stringified.join(", ") + (stringified.length > 0 ? " " : "");
      }
      return result + "]";
    }
    function stringifyInlineTable(value) {
      value = toJSON(value);
      var result = [];
      Object.keys(value).forEach((key) => {
        result.push(stringifyKey(key) + " = " + stringifyAnyInline(value[key], false));
      });
      return "{ " + result.join(", ") + (result.length > 0 ? " " : "") + "}";
    }
    function stringifyComplex(prefix, indent, key, value) {
      var valueType = tomlType2(value);
      if (valueType === "array") {
        return stringifyArrayOfTables(prefix, indent, key, value);
      } else if (valueType === "table") {
        return stringifyComplexTable(prefix, indent, key, value);
      } else {
        throw typeError(valueType);
      }
    }
    function stringifyArrayOfTables(prefix, indent, key, values) {
      values = toJSON(values);
      validateArray(values);
      var firstValueType = tomlType2(values[0]);
      if (firstValueType !== "table")
        throw typeError(firstValueType);
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      values.forEach((table) => {
        if (result.length > 0)
          result += "\n";
        result += indent + "[[" + fullKey + "]]\n";
        result += stringifyObject(fullKey + ".", indent, table);
      });
      return result;
    }
    function stringifyComplexTable(prefix, indent, key, value) {
      var fullKey = prefix + stringifyKey(key);
      var result = "";
      if (getInlineKeys(value).length > 0) {
        result += indent + "[" + fullKey + "]\n";
      }
      return result + stringifyObject(fullKey + ".", indent, value);
    }
  }
});

// ../../components/workflows/node_modules/@iarna/toml/toml.js
var require_toml7 = __commonJS({
  "../../components/workflows/node_modules/@iarna/toml/toml.js"(exports2) {
    "use strict";
    exports2.parse = require_parse12();
    exports2.stringify = require_stringify12();
  }
});

// ../../components/workflows/node_modules/projen/lib/toml.js
var require_toml8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/toml.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TomlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml7();
    var object_file_1 = require_object_file4();
    var TomlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const json = super.synthesizeContent(resolver);
        if (!json) {
          return void 0;
        }
        return [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          TOML.stringify(JSON.parse(json))
        ].join("\n");
      }
    };
    exports2.TomlFile = TomlFile;
    _a = JSII_RTTI_SYMBOL_1;
    TomlFile[_a] = { fqn: "projen.TomlFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/version.js
var require_version4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/version.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Version = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component4();
    var Version = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.changelogFileName = "changelog.md";
        this.versionFileName = "version.txt";
        this.releaseTagFileName = "releasetag.txt";
        const versionInputFile = options.versionInputFile;
        const changesSinceLastRelease = '! git log --oneline -1 | grep -q "chore(release):"';
        const changelogFile = path_1.posix.join(options.artifactsDirectory, this.changelogFileName);
        const bumpFile = path_1.posix.join(options.artifactsDirectory, this.versionFileName);
        const releaseTagFile = path_1.posix.join(options.artifactsDirectory, this.releaseTagFileName);
        const env = {
          OUTFILE: versionInputFile,
          CHANGELOG: changelogFile,
          BUMPFILE: bumpFile,
          RELEASETAG: releaseTagFile,
          RELEASE_TAG_PREFIX: options.tagPrefix ?? "",
          // doesn't work if custom configuration is long
          VERSIONRCOPTIONS: JSON.stringify(options.versionrcOptions)
        };
        this.bumpTask = project.addTask("bump", {
          description: "Bumps version based on latest git tag and generates a changelog entry",
          condition: changesSinceLastRelease,
          env
        });
        this.bumpTask.builtin("release/bump-version");
        this.unbumpTask = project.addTask("unbump", {
          description: "Restores version to 0.0.0",
          env
        });
        this.unbumpTask.builtin("release/reset-version");
        project.addGitIgnore(`/${changelogFile}`);
        project.addGitIgnore(`/${bumpFile}`);
        project.addPackageIgnore(`/${changelogFile}`);
        project.addPackageIgnore(`/${bumpFile}`);
      }
    };
    exports2.Version = Version;
    _a = JSII_RTTI_SYMBOL_1;
    Version[_a] = { fqn: "projen.Version", version: "0.71.112" };
    Version.STANDARD_VERSION = "standard-version@^9";
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/interfaces.js
var require_interfaces13 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DefaultBuilderOptions = {
      version: "1.0",
      encoding: void 0,
      standalone: void 0,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      skipWhitespaceOnlyText: true,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      },
      invalidCharReplacement: void 0,
      parser: void 0
    };
    exports2.XMLBuilderOptionKeys = new Set(Object.keys(exports2.DefaultBuilderOptions));
    exports2.DefaultXMLBuilderCBOptions = {
      format: "xml",
      wellFormed: false,
      prettyPrint: false,
      indent: "  ",
      newline: "\n",
      offset: 0,
      width: 0,
      allowEmptyTags: false,
      spaceBeforeSlash: false,
      keepNullNodes: false,
      keepNullAttributes: false,
      ignoreConverters: false,
      convert: {
        att: "@",
        ins: "?",
        text: "#",
        cdata: "$",
        comment: "!"
      },
      defaultNamespace: {
        ele: void 0,
        att: void 0
      },
      namespaceAlias: {
        html: "http://www.w3.org/1999/xhtml",
        xml: "http://www.w3.org/XML/1998/namespace",
        xmlns: "http://www.w3.org/2000/xmlns/",
        mathml: "http://www.w3.org/1998/Math/MathML",
        svg: "http://www.w3.org/2000/svg",
        xlink: "http://www.w3.org/1999/xlink"
      }
    };
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/FixedSizeSet.js
var require_FixedSizeSet4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/FixedSizeSet.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet = (
      /** @class */
      function() {
        function FixedSizeSet2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Set();
          this._limit = limit;
        }
        FixedSizeSet2.prototype.add = function(item) {
          this._items.add(item);
          if (this._items.size > this._limit) {
            var it_1 = this._items.values().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return this;
        };
        FixedSizeSet2.prototype.delete = function(item) {
          return this._items.delete(item);
        };
        FixedSizeSet2.prototype.has = function(item) {
          return this._items.has(item);
        };
        FixedSizeSet2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(FixedSizeSet2.prototype, "size", {
          /**
           * Gets the number of items in the set.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        FixedSizeSet2.prototype.forEach = function(callback, thisArg) {
          var _this = this;
          this._items.forEach(function(e) {
            return callback.call(thisArg, e, e, _this);
          });
        };
        FixedSizeSet2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        FixedSizeSet2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(FixedSizeSet2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the set.
           */
          get: function() {
            return "FixedSizeSet";
          },
          enumerable: true,
          configurable: true
        });
        return FixedSizeSet2;
      }()
    );
    exports2.FixedSizeSet = FixedSizeSet;
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/ObjectCache.js
var require_ObjectCache4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/ObjectCache.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectCache = (
      /** @class */
      function() {
        function ObjectCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        ObjectCache2.prototype.get = function(key) {
          return this._items.get(key);
        };
        ObjectCache2.prototype.set = function(key, value) {
          this._items.set(key, value);
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
        };
        ObjectCache2.prototype.delete = function(key) {
          return this._items.delete(key);
        };
        ObjectCache2.prototype.has = function(key) {
          return this._items.has(key);
        };
        ObjectCache2.prototype.clear = function() {
          this._items.clear();
        };
        Object.defineProperty(ObjectCache2.prototype, "size", {
          /**
           * Gets the number of items in the cache.
           */
          get: function() {
            return this._items.size;
          },
          enumerable: true,
          configurable: true
        });
        ObjectCache2.prototype.forEach = function(callback, thisArg) {
          this._items.forEach(function(v, k) {
            return callback.call(thisArg, k, v);
          });
        };
        ObjectCache2.prototype.keys = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.keys())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.values = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.values())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype.entries = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items.entries())];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        ObjectCache2.prototype[Symbol.iterator] = function() {
          return __generator(this, function(_a) {
            switch (_a.label) {
              case 0:
                return [5, __values(this._items)];
              case 1:
                _a.sent();
                return [
                  2
                  /*return*/
                ];
            }
          });
        };
        Object.defineProperty(ObjectCache2.prototype, Symbol.toStringTag, {
          /**
           * Returns the string tag of the cache.
           */
          get: function() {
            return "ObjectCache";
          },
          enumerable: true,
          configurable: true
        });
        return ObjectCache2;
      }()
    );
    exports2.ObjectCache = ObjectCache;
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/CompareCache.js
var require_CompareCache4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/CompareCache.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CompareCache = (
      /** @class */
      function() {
        function CompareCache2(limit) {
          if (limit === void 0) {
            limit = 1e3;
          }
          this._items = /* @__PURE__ */ new Map();
          this._limit = limit;
        }
        CompareCache2.prototype.check = function(objA, objB) {
          if (this._items.get(objA) === objB)
            return true;
          else if (this._items.get(objB) === objA)
            return false;
          var result = Math.random() < 0.5;
          if (result) {
            this._items.set(objA, objB);
          } else {
            this._items.set(objB, objA);
          }
          if (this._items.size > this._limit) {
            var it_1 = this._items.keys().next();
            if (!it_1.done) {
              this._items.delete(it_1.value);
            }
          }
          return result;
        };
        return CompareCache2;
      }()
    );
    exports2.CompareCache = CompareCache;
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/Lazy.js
var require_Lazy4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/Lazy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Lazy = (
      /** @class */
      function() {
        function Lazy2(initFunc) {
          this._initialized = false;
          this._value = void 0;
          this._initFunc = initFunc;
        }
        Object.defineProperty(Lazy2.prototype, "value", {
          /**
           * Gets the value of the object.
           */
          get: function() {
            if (!this._initialized) {
              this._value = this._initFunc();
              this._initialized = true;
            }
            return this._value;
          },
          enumerable: true,
          configurable: true
        });
        return Lazy2;
      }()
    );
    exports2.Lazy = Lazy;
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/StringWalker.js
var require_StringWalker4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/StringWalker.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var StringWalker = (
      /** @class */
      function() {
        function StringWalker2(input) {
          this._pointer = 0;
          this._chars = Array.from(input);
          this._length = this._chars.length;
        }
        Object.defineProperty(StringWalker2.prototype, "eof", {
          /**
           * Determines if the current position is beyond the end of string.
           */
          get: function() {
            return this._pointer >= this._length;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(StringWalker2.prototype, "length", {
          /**
           * Returns the number of code points in the input string.
           */
          get: function() {
            return this._length;
          },
          enumerable: true,
          configurable: true
        });
        StringWalker2.prototype.codePoint = function() {
          if (this._codePoint === void 0) {
            if (this.eof) {
              this._codePoint = -1;
            } else {
              var cp = this._chars[this._pointer].codePointAt(0);
              if (cp !== void 0) {
                this._codePoint = cp;
              } else {
                this._codePoint = -1;
              }
            }
          }
          return this._codePoint;
        };
        StringWalker2.prototype.c = function() {
          if (this._c === void 0) {
            this._c = this.eof ? "" : this._chars[this._pointer];
          }
          return this._c;
        };
        StringWalker2.prototype.remaining = function() {
          if (this._remaining === void 0) {
            this._remaining = this.eof ? "" : this._chars.slice(this._pointer + 1).join("");
          }
          return this._remaining;
        };
        StringWalker2.prototype.substring = function() {
          if (this._substring === void 0) {
            this._substring = this.eof ? "" : this._chars.slice(this._pointer).join("");
          }
          return this._substring;
        };
        Object.defineProperty(StringWalker2.prototype, "pointer", {
          /**
           * Gets or sets the current position.
           */
          get: function() {
            return this._pointer;
          },
          set: function(val) {
            if (val === this._pointer)
              return;
            this._pointer = val;
            this._codePoint = void 0;
            this._c = void 0;
            this._remaining = void 0;
            this._substring = void 0;
          },
          enumerable: true,
          configurable: true
        });
        return StringWalker2;
      }()
    );
    exports2.StringWalker = StringWalker;
  }
});

// ../../components/workflows/node_modules/@oozcitak/util/lib/index.js
var require_lib19 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/util/lib/index.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var FixedSizeSet_1 = require_FixedSizeSet4();
    exports2.FixedSizeSet = FixedSizeSet_1.FixedSizeSet;
    var ObjectCache_1 = require_ObjectCache4();
    exports2.ObjectCache = ObjectCache_1.ObjectCache;
    var CompareCache_1 = require_CompareCache4();
    exports2.CompareCache = CompareCache_1.CompareCache;
    var Lazy_1 = require_Lazy4();
    exports2.Lazy = Lazy_1.Lazy;
    var StringWalker_1 = require_StringWalker4();
    exports2.StringWalker = StringWalker_1.StringWalker;
    function applyMixin(baseClass, mixinClass) {
      var overrides = [];
      for (var _i = 2; _i < arguments.length; _i++) {
        overrides[_i - 2] = arguments[_i];
      }
      Object.getOwnPropertyNames(mixinClass.prototype).forEach(function(name) {
        if (name !== "constructor") {
          if (overrides.indexOf(name) !== -1) {
            var orgPropDesc = Object.getOwnPropertyDescriptor(baseClass.prototype, name);
            if (orgPropDesc) {
              Object.defineProperty(baseClass.prototype, "_" + name, orgPropDesc);
            }
          }
          var propDesc = Object.getOwnPropertyDescriptor(mixinClass.prototype, name);
          if (propDesc) {
            Object.defineProperty(baseClass.prototype, name, propDesc);
          }
        }
      });
    }
    exports2.applyMixin = applyMixin;
    function applyDefaults(obj, defaults, overwrite) {
      if (overwrite === void 0) {
        overwrite = false;
      }
      var result = clone(obj || {});
      forEachObject(defaults, function(key, val) {
        if (isPlainObject(val)) {
          result[key] = applyDefaults(result[key], val, overwrite);
        } else if (overwrite || result[key] === void 0) {
          result[key] = val;
        }
      });
      return result;
    }
    exports2.applyDefaults = applyDefaults;
    function forEachArray(arr, callback, thisArg) {
      arr.forEach(callback, thisArg);
    }
    exports2.forEachArray = forEachArray;
    function forEachObject(obj, callback, thisArg) {
      if (isMap(obj)) {
        obj.forEach(function(value, key2) {
          return callback.call(thisArg, key2, value);
        });
      } else {
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            callback.call(thisArg, key, obj[key]);
          }
        }
      }
    }
    exports2.forEachObject = forEachObject;
    function arrayLength(obj) {
      if (isSet(obj)) {
        return obj.size;
      } else {
        return obj.length;
      }
    }
    exports2.arrayLength = arrayLength;
    function objectLength(obj) {
      if (isMap(obj)) {
        return obj.size;
      } else {
        return Object.keys(obj).length;
      }
    }
    exports2.objectLength = objectLength;
    function getObjectValue(obj, key) {
      if (isMap(obj)) {
        return obj.get(key);
      } else {
        return obj[key];
      }
    }
    exports2.getObjectValue = getObjectValue;
    function removeObjectValue(obj, key) {
      if (isMap(obj)) {
        obj.delete(key);
      } else {
        delete obj[key];
      }
    }
    exports2.removeObjectValue = removeObjectValue;
    function clone(obj) {
      var e_1, _a;
      if (isFunction(obj)) {
        return obj;
      } else if (isArray(obj)) {
        var result = [];
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
            var item = obj_1_1.value;
            result.push(clone(item));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (isObject(obj)) {
        var result = {};
        for (var key in obj) {
          if (obj.hasOwnProperty(key)) {
            var val = obj[key];
            result[key] = clone(val);
          }
        }
        return result;
      } else {
        return obj;
      }
    }
    exports2.clone = clone;
    function isBoolean(x) {
      return typeof x === "boolean";
    }
    exports2.isBoolean = isBoolean;
    function isNumber(x) {
      return typeof x === "number";
    }
    exports2.isNumber = isNumber;
    function isString(x) {
      return typeof x === "string";
    }
    exports2.isString = isString;
    function isFunction(x) {
      return !!x && Object.prototype.toString.call(x) === "[object Function]";
    }
    exports2.isFunction = isFunction;
    function isObject(x) {
      var type = typeof x;
      return !!x && (type === "function" || type === "object");
    }
    exports2.isObject = isObject;
    function isArray(x) {
      return Array.isArray(x);
    }
    exports2.isArray = isArray;
    function isSet(x) {
      return x instanceof Set;
    }
    exports2.isSet = isSet;
    function isMap(x) {
      return x instanceof Map;
    }
    exports2.isMap = isMap;
    function isEmpty(x) {
      if (isArray(x)) {
        return !x.length;
      } else if (isSet(x)) {
        return !x.size;
      } else if (isMap(x)) {
        return !x.size;
      } else if (isObject(x)) {
        for (var key in x) {
          if (x.hasOwnProperty(key)) {
            return false;
          }
        }
        return true;
      }
      return false;
    }
    exports2.isEmpty = isEmpty;
    function isPlainObject(x) {
      if (isObject(x)) {
        var proto = Object.getPrototypeOf(x);
        var ctor = proto.constructor;
        return proto && ctor && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
      }
      return false;
    }
    exports2.isPlainObject = isPlainObject;
    function isIterable(x) {
      return x && typeof x[Symbol.iterator] === "function";
    }
    exports2.isIterable = isIterable;
    function getValue(obj) {
      if (isFunction(obj.valueOf)) {
        return obj.valueOf();
      } else {
        return obj;
      }
    }
    exports2.getValue = getValue;
    function utf8Encode(input) {
      var bytes = new Uint8Array(input.length * 4);
      var byteIndex = 0;
      for (var i = 0; i < input.length; i++) {
        var char = input.charCodeAt(i);
        if (char < 128) {
          bytes[byteIndex++] = char;
          continue;
        } else if (char < 2048) {
          bytes[byteIndex++] = char >> 6 | 192;
        } else {
          if (char > 55295 && char < 56320) {
            if (++i >= input.length) {
              throw new Error("Incomplete surrogate pair.");
            }
            var c2 = input.charCodeAt(i);
            if (c2 < 56320 || c2 > 57343) {
              throw new Error("Invalid surrogate character.");
            }
            char = 65536 + ((char & 1023) << 10) + (c2 & 1023);
            bytes[byteIndex++] = char >> 18 | 240;
            bytes[byteIndex++] = char >> 12 & 63 | 128;
          } else {
            bytes[byteIndex++] = char >> 12 | 224;
          }
          bytes[byteIndex++] = char >> 6 & 63 | 128;
        }
        bytes[byteIndex++] = char & 63 | 128;
      }
      return bytes.subarray(0, byteIndex);
    }
    exports2.utf8Encode = utf8Encode;
    function utf8Decode(bytes) {
      var result = "";
      var i = 0;
      while (i < bytes.length) {
        var c = bytes[i++];
        if (c > 127) {
          if (c > 191 && c < 224) {
            if (i >= bytes.length) {
              throw new Error("Incomplete 2-byte sequence.");
            }
            c = (c & 31) << 6 | bytes[i++] & 63;
          } else if (c > 223 && c < 240) {
            if (i + 1 >= bytes.length) {
              throw new Error("Incomplete 3-byte sequence.");
            }
            c = (c & 15) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else if (c > 239 && c < 248) {
            if (i + 2 >= bytes.length) {
              throw new Error("Incomplete 4-byte sequence.");
            }
            c = (c & 7) << 18 | (bytes[i++] & 63) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
          } else {
            throw new Error("Unknown multi-byte start.");
          }
        }
        if (c <= 65535) {
          result += String.fromCharCode(c);
        } else if (c <= 1114111) {
          c -= 65536;
          result += String.fromCharCode(c >> 10 | 55296);
          result += String.fromCharCode(c & 1023 | 56320);
        } else {
          throw new Error("Code point exceeds UTF-16 limit.");
        }
      }
      return result;
    }
    exports2.utf8Decode = utf8Decode;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/interfaces.js
var require_interfaces14 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BoundaryPosition;
    (function(BoundaryPosition2) {
      BoundaryPosition2[BoundaryPosition2["Before"] = 0] = "Before";
      BoundaryPosition2[BoundaryPosition2["Equal"] = 1] = "Equal";
      BoundaryPosition2[BoundaryPosition2["After"] = 2] = "After";
    })(BoundaryPosition = exports2.BoundaryPosition || (exports2.BoundaryPosition = {}));
    var EventPhase;
    (function(EventPhase2) {
      EventPhase2[EventPhase2["None"] = 0] = "None";
      EventPhase2[EventPhase2["Capturing"] = 1] = "Capturing";
      EventPhase2[EventPhase2["AtTarget"] = 2] = "AtTarget";
      EventPhase2[EventPhase2["Bubbling"] = 3] = "Bubbling";
    })(EventPhase = exports2.EventPhase || (exports2.EventPhase = {}));
    var NodeType;
    (function(NodeType2) {
      NodeType2[NodeType2["Element"] = 1] = "Element";
      NodeType2[NodeType2["Attribute"] = 2] = "Attribute";
      NodeType2[NodeType2["Text"] = 3] = "Text";
      NodeType2[NodeType2["CData"] = 4] = "CData";
      NodeType2[NodeType2["EntityReference"] = 5] = "EntityReference";
      NodeType2[NodeType2["Entity"] = 6] = "Entity";
      NodeType2[NodeType2["ProcessingInstruction"] = 7] = "ProcessingInstruction";
      NodeType2[NodeType2["Comment"] = 8] = "Comment";
      NodeType2[NodeType2["Document"] = 9] = "Document";
      NodeType2[NodeType2["DocumentType"] = 10] = "DocumentType";
      NodeType2[NodeType2["DocumentFragment"] = 11] = "DocumentFragment";
      NodeType2[NodeType2["Notation"] = 12] = "Notation";
    })(NodeType = exports2.NodeType || (exports2.NodeType = {}));
    var Position;
    (function(Position2) {
      Position2[Position2["Disconnected"] = 1] = "Disconnected";
      Position2[Position2["Preceding"] = 2] = "Preceding";
      Position2[Position2["Following"] = 4] = "Following";
      Position2[Position2["Contains"] = 8] = "Contains";
      Position2[Position2["ContainedBy"] = 16] = "ContainedBy";
      Position2[Position2["ImplementationSpecific"] = 32] = "ImplementationSpecific";
    })(Position = exports2.Position || (exports2.Position = {}));
    var FilterResult;
    (function(FilterResult2) {
      FilterResult2[FilterResult2["Accept"] = 1] = "Accept";
      FilterResult2[FilterResult2["Reject"] = 2] = "Reject";
      FilterResult2[FilterResult2["Skip"] = 3] = "Skip";
    })(FilterResult = exports2.FilterResult || (exports2.FilterResult = {}));
    var WhatToShow;
    (function(WhatToShow2) {
      WhatToShow2[WhatToShow2["All"] = 4294967295] = "All";
      WhatToShow2[WhatToShow2["Element"] = 1] = "Element";
      WhatToShow2[WhatToShow2["Attribute"] = 2] = "Attribute";
      WhatToShow2[WhatToShow2["Text"] = 4] = "Text";
      WhatToShow2[WhatToShow2["CDataSection"] = 8] = "CDataSection";
      WhatToShow2[WhatToShow2["EntityReference"] = 16] = "EntityReference";
      WhatToShow2[WhatToShow2["Entity"] = 32] = "Entity";
      WhatToShow2[WhatToShow2["ProcessingInstruction"] = 64] = "ProcessingInstruction";
      WhatToShow2[WhatToShow2["Comment"] = 128] = "Comment";
      WhatToShow2[WhatToShow2["Document"] = 256] = "Document";
      WhatToShow2[WhatToShow2["DocumentType"] = 512] = "DocumentType";
      WhatToShow2[WhatToShow2["DocumentFragment"] = 1024] = "DocumentFragment";
      WhatToShow2[WhatToShow2["Notation"] = 2048] = "Notation";
    })(WhatToShow = exports2.WhatToShow || (exports2.WhatToShow = {}));
    var HowToCompare;
    (function(HowToCompare2) {
      HowToCompare2[HowToCompare2["StartToStart"] = 0] = "StartToStart";
      HowToCompare2[HowToCompare2["StartToEnd"] = 1] = "StartToEnd";
      HowToCompare2[HowToCompare2["EndToEnd"] = 2] = "EndToEnd";
      HowToCompare2[HowToCompare2["EndToStart"] = 3] = "EndToStart";
    })(HowToCompare = exports2.HowToCompare || (exports2.HowToCompare = {}));
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js
var require_LocalNameSet4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var LocalNameSet = (
      /** @class */
      function() {
        function LocalNameSet2() {
          this._items = {};
          this._nullItems = {};
        }
        LocalNameSet2.prototype.set = function(ns, localName) {
          if (ns === null) {
            this._nullItems[localName] = true;
          } else if (this._items[ns]) {
            this._items[ns][localName] = true;
          } else {
            this._items[ns] = {};
            this._items[ns][localName] = true;
          }
        };
        LocalNameSet2.prototype.has = function(ns, localName) {
          if (ns === null) {
            return this._nullItems[localName] === true;
          } else if (this._items[ns]) {
            return this._items[ns][localName] === true;
          } else {
            return false;
          }
        };
        return LocalNameSet2;
      }()
    );
    exports2.LocalNameSet = LocalNameSet;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js
var require_NamespacePrefixMap4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NamespacePrefixMap = (
      /** @class */
      function() {
        function NamespacePrefixMap2() {
          this._items = {};
          this._nullItems = [];
        }
        NamespacePrefixMap2.prototype.copy = function() {
          var mapCopy = new NamespacePrefixMap2();
          for (var key in this._items) {
            mapCopy._items[key] = this._items[key].slice(0);
          }
          mapCopy._nullItems = this._nullItems.slice(0);
          return mapCopy;
        };
        NamespacePrefixMap2.prototype.get = function(preferredPrefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return null;
          }
          var prefix = null;
          for (var i = 0; i < candidatesList.length; i++) {
            prefix = candidatesList[i];
            if (prefix === preferredPrefix) {
              return prefix;
            }
          }
          return prefix;
        };
        NamespacePrefixMap2.prototype.has = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (candidatesList === null) {
            return false;
          }
          return candidatesList.indexOf(prefix) !== -1;
        };
        NamespacePrefixMap2.prototype.hasPrefix = function(prefix) {
          if (this._nullItems.indexOf(prefix) !== -1)
            return true;
          for (var key in this._items) {
            if (this._items[key].indexOf(prefix) !== -1)
              return true;
          }
          return false;
        };
        NamespacePrefixMap2.prototype.set = function(prefix, ns) {
          var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
          if (ns !== null && candidatesList === null) {
            this._items[ns] = [prefix];
          } else {
            candidatesList.push(prefix);
          }
        };
        return NamespacePrefixMap2;
      }()
    );
    exports2.NamespacePrefixMap = NamespacePrefixMap;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/CodePoints.js
var require_CodePoints4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/CodePoints.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Surrogate = /[\uD800-\uDFFF]/;
    exports2.ScalarValue = /[\uD800-\uDFFF]/;
    exports2.NonCharacter = /[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/;
    exports2.ASCIICodePoint = /[\u0000-\u007F]/;
    exports2.ASCIITabOrNewLine = /[\t\n\r]/;
    exports2.ASCIIWhiteSpace = /[\t\n\f\r ]/;
    exports2.C0Control = /[\u0000-\u001F]/;
    exports2.C0ControlOrSpace = /[\u0000-\u001F ]/;
    exports2.Control = /[\u0000-\u001F\u007F-\u009F]/;
    exports2.ASCIIDigit = /[0-9]/;
    exports2.ASCIIUpperHexDigit = /[0-9A-F]/;
    exports2.ASCIILowerHexDigit = /[0-9a-f]/;
    exports2.ASCIIHexDigit = /[0-9A-Fa-f]/;
    exports2.ASCIIUpperAlpha = /[A-Z]/;
    exports2.ASCIILowerAlpha = /[a-z]/;
    exports2.ASCIIAlpha = /[A-Za-z]/;
    exports2.ASCIIAlphanumeric = /[0-9A-Za-z]/;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Base64.js
var require_Base644 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Base64.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints4();
    function forgivingBase64Encode(input) {
      return Buffer.from(input).toString("base64");
    }
    exports2.forgivingBase64Encode = forgivingBase64Encode;
    function forgivingBase64Decode(input) {
      if (input === "")
        return "";
      input = input.replace(CodePoints_1.ASCIIWhiteSpace, "");
      if (input.length % 4 === 0) {
        if (input.endsWith("==")) {
          input = input.substr(0, input.length - 2);
        } else if (input.endsWith("=")) {
          input = input.substr(0, input.length - 1);
        }
      }
      if (input.length % 4 === 1)
        return null;
      if (!/[0-9A-Za-z+/]/.test(input))
        return null;
      return Buffer.from(input, "base64").toString("utf8");
    }
    exports2.forgivingBase64Decode = forgivingBase64Decode;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Byte.js
var require_Byte4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Byte.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function isASCIIByte(byte) {
      return byte >= 0 && byte <= 127;
    }
    exports2.isASCIIByte = isASCIIByte;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/ByteSequence.js
var require_ByteSequence4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/ByteSequence.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    function length(list) {
      return list.length;
    }
    exports2.length = length;
    function byteLowercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 65 && c <= 90) {
          list[i] = c + 32;
        }
      }
    }
    exports2.byteLowercase = byteLowercase;
    function byteUppercase(list) {
      for (var i = 0; i < list.length; i++) {
        var c = list[i];
        if (c >= 97 && c <= 122) {
          list[i] = c - 32;
        }
      }
    }
    exports2.byteUppercase = byteUppercase;
    function byteCaseInsensitiveMatch(listA, listB) {
      if (listA.length !== listB.length)
        return false;
      for (var i = 0; i < listA.length; i++) {
        var a = listA[i];
        var b = listB[i];
        if (a >= 65 && a <= 90)
          a += 32;
        if (b >= 65 && b <= 90)
          b += 32;
        if (a !== b)
          return false;
      }
      return true;
    }
    exports2.byteCaseInsensitiveMatch = byteCaseInsensitiveMatch;
    function startsWith(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        if (listA[i] !== listB[i])
          return false;
        i++;
      }
    }
    exports2.startsWith = startsWith;
    function byteLessThan(listA, listB) {
      var i = 0;
      while (true) {
        if (i >= listA.length)
          return false;
        if (i >= listB.length)
          return true;
        var a = listA[i];
        var b = listB[i];
        if (a < b)
          return true;
        else if (a > b)
          return false;
        i++;
      }
    }
    exports2.byteLessThan = byteLessThan;
    function isomorphicDecode(list) {
      return String.fromCodePoint.apply(String, __spread(list));
    }
    exports2.isomorphicDecode = isomorphicDecode;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/JSON.js
var require_JSON4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/JSON.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    function parseJSONFromBytes(bytes) {
      var jsonText = util_1.utf8Decode(bytes);
      return JSON.parse.call(void 0, jsonText);
    }
    exports2.parseJSONFromBytes = parseJSONFromBytes;
    function serializeJSONToBytes(value) {
      var jsonString = JSON.stringify.call(void 0, value);
      return util_1.utf8Encode(jsonString);
    }
    exports2.serializeJSONToBytes = serializeJSONToBytes;
    function parseJSONIntoInfraValues(jsonText) {
      var jsValue = JSON.parse.call(void 0, jsonText);
      return convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue);
    }
    exports2.parseJSONIntoInfraValues = parseJSONIntoInfraValues;
    function convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue) {
      var e_1, _a;
      if (jsValue === null || util_1.isString(jsValue) || util_1.isNumber(jsValue))
        return jsValue;
      if (util_1.isArray(jsValue)) {
        var result = new Array();
        try {
          for (var jsValue_1 = __values(jsValue), jsValue_1_1 = jsValue_1.next(); !jsValue_1_1.done; jsValue_1_1 = jsValue_1.next()) {
            var jsValueAtIndex = jsValue_1_1.value;
            result.push(convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtIndex));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (jsValue_1_1 && !jsValue_1_1.done && (_a = jsValue_1.return))
              _a.call(jsValue_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return result;
      } else if (util_1.isObject(jsValue)) {
        var result = /* @__PURE__ */ new Map();
        for (var key in jsValue) {
          if (jsValue.hasOwnProperty(key)) {
            var jsValueAtKey = jsValue[key];
            result.set(key, convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtKey));
          }
        }
        return result;
      }
      return jsValue;
    }
    exports2.convertAJSONDerivedJavaScriptValueToAnInfraValue = convertAJSONDerivedJavaScriptValueToAnInfraValue;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/List.js
var require_List4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/List.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    function append(list, item) {
      list.push(item);
    }
    exports2.append = append;
    function extend(listA, listB) {
      listA.push.apply(listA, __spread(listB));
    }
    exports2.extend = extend;
    function prepend(list, item) {
      list.unshift(item);
    }
    exports2.prepend = prepend;
    function replace(list, conditionOrItem, newItem) {
      var e_1, _a;
      var i = 0;
      try {
        for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
          var oldItem = list_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              list[i] = newItem;
            }
          } else if (oldItem === conditionOrItem) {
            list[i] = newItem;
            return;
          }
          i++;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (list_1_1 && !list_1_1.done && (_a = list_1.return))
            _a.call(list_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.replace = replace;
    function insert(list, item, index) {
      list.splice(index, 0, item);
    }
    exports2.insert = insert;
    function remove(list, conditionOrItem) {
      var i = list.length;
      while (i--) {
        var oldItem = list[i];
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            list.splice(i, 1);
          }
        } else if (oldItem === conditionOrItem) {
          list.splice(i, 1);
          return;
        }
      }
    }
    exports2.remove = remove;
    function empty(list) {
      list.length = 0;
    }
    exports2.empty = empty;
    function contains(list, conditionOrItem) {
      var e_2, _a;
      try {
        for (var list_2 = __values(list), list_2_1 = list_2.next(); !list_2_1.done; list_2_1 = list_2.next()) {
          var oldItem = list_2_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          } else if (oldItem === conditionOrItem) {
            return true;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (list_2_1 && !list_2_1.done && (_a = list_2.return))
            _a.call(list_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(list, condition) {
      var e_3, _a;
      if (condition === void 0) {
        return list.length;
      } else {
        var count = 0;
        try {
          for (var list_3 = __values(list), list_3_1 = list_3.next(); !list_3_1.done; list_3_1 = list_3.next()) {
            var item = list_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (list_3_1 && !list_3_1.done && (_a = list_3.return))
              _a.call(list_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(list) {
      return list.length === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(list, condition) {
      var list_4, list_4_1, item, e_4_1;
      var e_4, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(list)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            list_4 = __values(list), list_4_1 = list_4.next();
            _b.label = 3;
          case 3:
            if (!!list_4_1.done)
              return [3, 6];
            item = list_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            list_4_1 = list_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_4_1 = _b.sent();
            e_4 = { error: e_4_1 };
            return [3, 9];
          case 8:
            try {
              if (list_4_1 && !list_4_1.done && (_a = list_4.return))
                _a.call(list_4);
            } finally {
              if (e_4)
                throw e_4.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(list) {
      return new (Array.bind.apply(Array, __spread([void 0], list)))();
    }
    exports2.clone = clone;
    function sortInAscendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(list, lessThanAlgo) {
      return list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Map.js
var require_Map4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Map.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    function get(map, key) {
      return map.get(key);
    }
    exports2.get = get;
    function set(map, key, val) {
      map.set(key, val);
    }
    exports2.set = set;
    function remove(map, conditionOrItem) {
      var e_1, _a, e_2, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        map.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var map_1 = __values(map), map_1_1 = map_1.next(); !map_1_1.done; map_1_1 = map_1.next()) {
            var item = map_1_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item[0]);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (map_1_1 && !map_1_1.done && (_a = map_1.return))
              _a.call(map_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var key = toRemove_1_1.value;
            map.delete(key);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function contains(map, conditionOrItem) {
      var e_3, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return map.has(conditionOrItem);
      } else {
        try {
          for (var map_2 = __values(map), map_2_1 = map_2.next(); !map_2_1.done; map_2_1 = map_2.next()) {
            var item = map_2_1.value;
            if (!!conditionOrItem.call(null, item)) {
              return true;
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (map_2_1 && !map_2_1.done && (_a = map_2.return))
              _a.call(map_2);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        return false;
      }
    }
    exports2.contains = contains;
    function keys(map) {
      return new Set(map.keys());
    }
    exports2.keys = keys;
    function values(map) {
      return __spread(map.values());
    }
    exports2.values = values;
    function size(map, condition) {
      var e_4, _a;
      if (condition === void 0) {
        return map.size;
      } else {
        var count = 0;
        try {
          for (var map_3 = __values(map), map_3_1 = map_3.next(); !map_3_1.done; map_3_1 = map_3.next()) {
            var item = map_3_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (map_3_1 && !map_3_1.done && (_a = map_3.return))
              _a.call(map_3);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(map) {
      return map.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(map, condition) {
      var map_4, map_4_1, item, e_5_1;
      var e_5, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(map)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            map_4 = __values(map), map_4_1 = map_4.next();
            _b.label = 3;
          case 3:
            if (!!map_4_1.done)
              return [3, 6];
            item = map_4_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            map_4_1 = map_4.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_5_1 = _b.sent();
            e_5 = { error: e_5_1 };
            return [3, 9];
          case 8:
            try {
              if (map_4_1 && !map_4_1.done && (_a = map_4.return))
                _a.call(map_4);
            } finally {
              if (e_5)
                throw e_5.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(map) {
      return new Map(map);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Map(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(map, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], map)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Map(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Namespace.js
var require_Namespace4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Namespace.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.HTML = "http://www.w3.org/1999/xhtml";
    exports2.XML = "http://www.w3.org/XML/1998/namespace";
    exports2.XMLNS = "http://www.w3.org/2000/xmlns/";
    exports2.MathML = "http://www.w3.org/1998/Math/MathML";
    exports2.SVG = "http://www.w3.org/2000/svg";
    exports2.XLink = "http://www.w3.org/1999/xlink";
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Queue.js
var require_Queue4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Queue.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function enqueue(list, item) {
      list.push(item);
    }
    exports2.enqueue = enqueue;
    function dequeue(list) {
      return list.shift() || null;
    }
    exports2.dequeue = dequeue;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Set.js
var require_Set4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Set.js"(exports2) {
    "use strict";
    var __generator = exports2 && exports2.__generator || function(thisArg, body) {
      var _ = { label: 0, sent: function() {
        if (t[0] & 1)
          throw t[1];
        return t[1];
      }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
      }), g;
      function verb(n) {
        return function(v) {
          return step([n, v]);
        };
      }
      function step(op) {
        if (f)
          throw new TypeError("Generator is already executing.");
        while (_)
          try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
              return t;
            if (y = 0, t)
              op = [op[0] & 2, t.value];
            switch (op[0]) {
              case 0:
              case 1:
                t = op;
                break;
              case 4:
                _.label++;
                return { value: op[1], done: false };
              case 5:
                _.label++;
                y = op[1];
                op = [0];
                continue;
              case 7:
                op = _.ops.pop();
                _.trys.pop();
                continue;
              default:
                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                  _ = 0;
                  continue;
                }
                if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                  _.label = op[1];
                  break;
                }
                if (op[0] === 6 && _.label < t[1]) {
                  _.label = t[1];
                  t = op;
                  break;
                }
                if (t && _.label < t[2]) {
                  _.label = t[2];
                  _.ops.push(op);
                  break;
                }
                if (t[2])
                  _.ops.pop();
                _.trys.pop();
                continue;
            }
            op = body.call(thisArg, _);
          } catch (e) {
            op = [6, e];
            y = 0;
          } finally {
            f = t = 0;
          }
        if (op[0] & 5)
          throw op[1];
        return { value: op[0] ? op[1] : void 0, done: true };
      }
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    function append(set, item) {
      set.add(item);
    }
    exports2.append = append;
    function extend(setA, setB) {
      setB.forEach(setA.add, setA);
    }
    exports2.extend = extend;
    function prepend(set, item) {
      var cloned = new Set(set);
      set.clear();
      set.add(item);
      cloned.forEach(set.add, set);
    }
    exports2.prepend = prepend;
    function replace(set, conditionOrItem, newItem) {
      var e_1, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var set_1 = __values(set), set_1_1 = set_1.next(); !set_1_1.done; set_1_1 = set_1.next()) {
          var oldItem = set_1_1.value;
          if (util_1.isFunction(conditionOrItem)) {
            if (!!conditionOrItem.call(null, oldItem)) {
              newSet.add(newItem);
            } else {
              newSet.add(oldItem);
            }
          } else if (oldItem === conditionOrItem) {
            newSet.add(newItem);
          } else {
            newSet.add(oldItem);
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set_1_1 && !set_1_1.done && (_a = set_1.return))
            _a.call(set_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.replace = replace;
    function insert(set, item, index) {
      var e_2, _a;
      var newSet = /* @__PURE__ */ new Set();
      var i = 0;
      try {
        for (var set_2 = __values(set), set_2_1 = set_2.next(); !set_2_1.done; set_2_1 = set_2.next()) {
          var oldItem = set_2_1.value;
          if (i === index)
            newSet.add(item);
          newSet.add(oldItem);
          i++;
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (set_2_1 && !set_2_1.done && (_a = set_2.return))
            _a.call(set_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      set.clear();
      newSet.forEach(set.add, set);
    }
    exports2.insert = insert;
    function remove(set, conditionOrItem) {
      var e_3, _a, e_4, _b;
      if (!util_1.isFunction(conditionOrItem)) {
        set.delete(conditionOrItem);
      } else {
        var toRemove = [];
        try {
          for (var set_3 = __values(set), set_3_1 = set_3.next(); !set_3_1.done; set_3_1 = set_3.next()) {
            var item = set_3_1.value;
            if (!!conditionOrItem.call(null, item)) {
              toRemove.push(item);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (set_3_1 && !set_3_1.done && (_a = set_3.return))
              _a.call(set_3);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next(); !toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
            var oldItem = toRemove_1_1.value;
            set.delete(oldItem);
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
              _b.call(toRemove_1);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
    }
    exports2.remove = remove;
    function empty(set) {
      set.clear();
    }
    exports2.empty = empty;
    function contains(set, conditionOrItem) {
      var e_5, _a;
      if (!util_1.isFunction(conditionOrItem)) {
        return set.has(conditionOrItem);
      } else {
        try {
          for (var set_4 = __values(set), set_4_1 = set_4.next(); !set_4_1.done; set_4_1 = set_4.next()) {
            var oldItem = set_4_1.value;
            if (!!conditionOrItem.call(null, oldItem)) {
              return true;
            }
          }
        } catch (e_5_1) {
          e_5 = { error: e_5_1 };
        } finally {
          try {
            if (set_4_1 && !set_4_1.done && (_a = set_4.return))
              _a.call(set_4);
          } finally {
            if (e_5)
              throw e_5.error;
          }
        }
      }
      return false;
    }
    exports2.contains = contains;
    function size(set, condition) {
      var e_6, _a;
      if (condition === void 0) {
        return set.size;
      } else {
        var count = 0;
        try {
          for (var set_5 = __values(set), set_5_1 = set_5.next(); !set_5_1.done; set_5_1 = set_5.next()) {
            var item = set_5_1.value;
            if (!!condition.call(null, item)) {
              count++;
            }
          }
        } catch (e_6_1) {
          e_6 = { error: e_6_1 };
        } finally {
          try {
            if (set_5_1 && !set_5_1.done && (_a = set_5.return))
              _a.call(set_5);
          } finally {
            if (e_6)
              throw e_6.error;
          }
        }
        return count;
      }
    }
    exports2.size = size;
    function isEmpty(set) {
      return set.size === 0;
    }
    exports2.isEmpty = isEmpty;
    function forEach(set, condition) {
      var set_6, set_6_1, item, e_7_1;
      var e_7, _a;
      return __generator(this, function(_b) {
        switch (_b.label) {
          case 0:
            if (!(condition === void 0))
              return [3, 2];
            return [5, __values(set)];
          case 1:
            _b.sent();
            return [3, 9];
          case 2:
            _b.trys.push([2, 7, 8, 9]);
            set_6 = __values(set), set_6_1 = set_6.next();
            _b.label = 3;
          case 3:
            if (!!set_6_1.done)
              return [3, 6];
            item = set_6_1.value;
            if (!!!condition.call(null, item))
              return [3, 5];
            return [4, item];
          case 4:
            _b.sent();
            _b.label = 5;
          case 5:
            set_6_1 = set_6.next();
            return [3, 3];
          case 6:
            return [3, 9];
          case 7:
            e_7_1 = _b.sent();
            e_7 = { error: e_7_1 };
            return [3, 9];
          case 8:
            try {
              if (set_6_1 && !set_6_1.done && (_a = set_6.return))
                _a.call(set_6);
            } finally {
              if (e_7)
                throw e_7.error;
            }
            return [
              7
              /*endfinally*/
            ];
          case 9:
            return [
              2
              /*return*/
            ];
        }
      });
    }
    exports2.forEach = forEach;
    function clone(set) {
      return new Set(set);
    }
    exports2.clone = clone;
    function sortInAscendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
      });
      return new Set(list);
    }
    exports2.sortInAscendingOrder = sortInAscendingOrder;
    function sortInDescendingOrder(set, lessThanAlgo) {
      var list = new (Array.bind.apply(Array, __spread([void 0], set)))();
      list.sort(function(itemA, itemB) {
        return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
      });
      return new Set(list);
    }
    exports2.sortInDescendingOrder = sortInDescendingOrder;
    function isSubsetOf(subset, superset) {
      var e_8, _a;
      try {
        for (var subset_1 = __values(subset), subset_1_1 = subset_1.next(); !subset_1_1.done; subset_1_1 = subset_1.next()) {
          var item = subset_1_1.value;
          if (!superset.has(item))
            return false;
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (subset_1_1 && !subset_1_1.done && (_a = subset_1.return))
            _a.call(subset_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return true;
    }
    exports2.isSubsetOf = isSubsetOf;
    function isSupersetOf(superset, subset) {
      return isSubsetOf(subset, superset);
    }
    exports2.isSupersetOf = isSupersetOf;
    function intersection(setA, setB) {
      var e_9, _a;
      var newSet = /* @__PURE__ */ new Set();
      try {
        for (var setA_1 = __values(setA), setA_1_1 = setA_1.next(); !setA_1_1.done; setA_1_1 = setA_1.next()) {
          var item = setA_1_1.value;
          if (setB.has(item))
            newSet.add(item);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (setA_1_1 && !setA_1_1.done && (_a = setA_1.return))
            _a.call(setA_1);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return newSet;
    }
    exports2.intersection = intersection;
    function union(setA, setB) {
      var newSet = new Set(setA);
      setB.forEach(newSet.add, newSet);
      return newSet;
    }
    exports2.union = union;
    function range(n, m) {
      var newSet = /* @__PURE__ */ new Set();
      for (var i = n; i <= m; i++) {
        newSet.add(i);
      }
      return newSet;
    }
    exports2.range = range;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/Stack.js
var require_Stack4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/Stack.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function push(list, item) {
      list.push(item);
    }
    exports2.push = push;
    function pop(list) {
      return list.pop() || null;
    }
    exports2.pop = pop;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/String.js
var require_String4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/String.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var CodePoints_1 = require_CodePoints4();
    var ByteSequence_1 = require_ByteSequence4();
    var Byte_1 = require_Byte4();
    var util_1 = require_lib19();
    function isCodeUnitPrefix(a, b) {
      var i = 0;
      while (true) {
        var aCodeUnit = i < a.length ? a.charCodeAt(i) : null;
        var bCodeUnit = i < b.length ? b.charCodeAt(i) : null;
        if (aCodeUnit === null)
          return true;
        if (aCodeUnit !== bCodeUnit)
          return false;
        i++;
      }
    }
    exports2.isCodeUnitPrefix = isCodeUnitPrefix;
    function isCodeUnitLessThan(a, b) {
      if (isCodeUnitPrefix(b, a))
        return false;
      if (isCodeUnitPrefix(a, b))
        return true;
      for (var i = 0; i < Math.min(a.length, b.length); i++) {
        var aCodeUnit = a.charCodeAt(i);
        var bCodeUnit = b.charCodeAt(i);
        if (aCodeUnit === bCodeUnit)
          continue;
        return aCodeUnit < bCodeUnit;
      }
      return false;
    }
    exports2.isCodeUnitLessThan = isCodeUnitLessThan;
    function isomorphicEncode(str) {
      var e_1, _a;
      var codePoints = Array.from(str);
      var bytes = new Uint8Array(codePoints.length);
      var i = 0;
      try {
        for (var str_1 = __values(str), str_1_1 = str_1.next(); !str_1_1.done; str_1_1 = str_1.next()) {
          var codePoint = str_1_1.value;
          var byte = codePoint.codePointAt(0);
          console.assert(byte !== void 0 && byte <= 255, "isomorphicEncode requires string bytes to be less than or equal to 0x00FF.");
          if (byte !== void 0 && byte <= 255) {
            bytes[i++] = byte;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (str_1_1 && !str_1_1.done && (_a = str_1.return))
            _a.call(str_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return bytes;
    }
    exports2.isomorphicEncode = isomorphicEncode;
    function isASCIIString(str) {
      return /^[\u0000-\u007F]*$/.test(str);
    }
    exports2.isASCIIString = isASCIIString;
    function asciiLowercase(str) {
      var e_2, _a;
      var result = "";
      try {
        for (var str_2 = __values(str), str_2_1 = str_2.next(); !str_2_1.done; str_2_1 = str_2.next()) {
          var c = str_2_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 65 && code <= 90) {
            result += String.fromCodePoint(code + 32);
          } else {
            result += c;
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (str_2_1 && !str_2_1.done && (_a = str_2.return))
            _a.call(str_2);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return result;
    }
    exports2.asciiLowercase = asciiLowercase;
    function asciiUppercase(str) {
      var e_3, _a;
      var result = "";
      try {
        for (var str_3 = __values(str), str_3_1 = str_3.next(); !str_3_1.done; str_3_1 = str_3.next()) {
          var c = str_3_1.value;
          var code = c.codePointAt(0);
          if (code !== void 0 && code >= 97 && code <= 122) {
            result += String.fromCodePoint(code - 32);
          } else {
            result += c;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (str_3_1 && !str_3_1.done && (_a = str_3.return))
            _a.call(str_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.asciiUppercase = asciiUppercase;
    function asciiCaseInsensitiveMatch(a, b) {
      return asciiLowercase(a) === asciiLowercase(b);
    }
    exports2.asciiCaseInsensitiveMatch = asciiCaseInsensitiveMatch;
    function asciiEncode(str) {
      console.assert(isASCIIString(str), "asciiEncode requires an ASCII string.");
      return isomorphicEncode(str);
    }
    exports2.asciiEncode = asciiEncode;
    function asciiDecode(bytes) {
      var e_4, _a;
      try {
        for (var bytes_1 = __values(bytes), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
          var byte = bytes_1_1.value;
          console.assert(Byte_1.isASCIIByte(byte), "asciiDecode requires an ASCII byte sequence.");
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (bytes_1_1 && !bytes_1_1.done && (_a = bytes_1.return))
            _a.call(bytes_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return ByteSequence_1.isomorphicDecode(bytes);
    }
    exports2.asciiDecode = asciiDecode;
    function stripNewlines(str) {
      return str.replace(/[\n\r]/g, "");
    }
    exports2.stripNewlines = stripNewlines;
    function normalizeNewlines(str) {
      return str.replace(/\r\n/g, "\n").replace(/\r/g, "\n");
    }
    exports2.normalizeNewlines = normalizeNewlines;
    function stripLeadingAndTrailingASCIIWhitespace(str) {
      return str.replace(/^[\t\n\f\r ]+/, "").replace(/[\t\n\f\r ]+$/, "");
    }
    exports2.stripLeadingAndTrailingASCIIWhitespace = stripLeadingAndTrailingASCIIWhitespace;
    function stripAndCollapseASCIIWhitespace(str) {
      return stripLeadingAndTrailingASCIIWhitespace(str.replace(/[\t\n\f\r ]{2,}/g, " "));
    }
    exports2.stripAndCollapseASCIIWhitespace = stripAndCollapseASCIIWhitespace;
    function collectASequenceOfCodePoints(condition, input, options) {
      if (!util_1.isArray(input))
        return collectASequenceOfCodePoints(condition, Array.from(input), options);
      var result = "";
      while (options.position < input.length && !!condition.call(null, input[options.position])) {
        result += input[options.position];
        options.position++;
      }
      return result;
    }
    exports2.collectASequenceOfCodePoints = collectASequenceOfCodePoints;
    function skipASCIIWhitespace(input, options) {
      collectASequenceOfCodePoints(function(str) {
        return CodePoints_1.ASCIIWhiteSpace.test(str);
      }, input, options);
    }
    exports2.skipASCIIWhitespace = skipASCIIWhitespace;
    function strictlySplit(input, delimiter) {
      if (!util_1.isArray(input))
        return strictlySplit(Array.from(input), delimiter);
      var options = { position: 0 };
      var tokens = [];
      var token = collectASequenceOfCodePoints(function(str) {
        return delimiter !== str;
      }, input, options);
      tokens.push(token);
      while (options.position < input.length) {
        console.assert(input[options.position] === delimiter, "strictlySplit found no delimiter in input string.");
        options.position++;
        token = collectASequenceOfCodePoints(function(str) {
          return delimiter !== str;
        }, input, options);
        tokens.push(token);
      }
      return tokens;
    }
    exports2.strictlySplit = strictlySplit;
    function splitAStringOnASCIIWhitespace(input) {
      if (!util_1.isArray(input))
        return splitAStringOnASCIIWhitespace(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      skipASCIIWhitespace(input, options);
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return !CodePoints_1.ASCIIWhiteSpace.test(str);
        }, input, options);
        tokens.push(token);
        skipASCIIWhitespace(input, options);
      }
      return tokens;
    }
    exports2.splitAStringOnASCIIWhitespace = splitAStringOnASCIIWhitespace;
    function splitAStringOnCommas(input) {
      if (!util_1.isArray(input))
        return splitAStringOnCommas(Array.from(input));
      var options = { position: 0 };
      var tokens = [];
      while (options.position < input.length) {
        var token = collectASequenceOfCodePoints(function(str) {
          return str !== ",";
        }, input, options);
        tokens.push(stripLeadingAndTrailingASCIIWhitespace(token));
        if (options.position < input.length) {
          console.assert(input[options.position] === ",", "splitAStringOnCommas found no delimiter in input string.");
          options.position++;
        }
      }
      return tokens;
    }
    exports2.splitAStringOnCommas = splitAStringOnCommas;
    function concatenate(list, separator) {
      if (separator === void 0) {
        separator = "";
      }
      if (list.length === 0)
        return "";
      return list.join(separator);
    }
    exports2.concatenate = concatenate;
  }
});

// ../../components/workflows/node_modules/@oozcitak/infra/lib/index.js
var require_lib20 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/infra/lib/index.js"(exports2) {
    "use strict";
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (Object.hasOwnProperty.call(mod, k))
            result[k] = mod[k];
      }
      result["default"] = mod;
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var base64 = __importStar(require_Base644());
    exports2.base64 = base64;
    var byte = __importStar(require_Byte4());
    exports2.byte = byte;
    var byteSequence = __importStar(require_ByteSequence4());
    exports2.byteSequence = byteSequence;
    var codePoint = __importStar(require_CodePoints4());
    exports2.codePoint = codePoint;
    var json = __importStar(require_JSON4());
    exports2.json = json;
    var list = __importStar(require_List4());
    exports2.list = list;
    var map = __importStar(require_Map4());
    exports2.map = map;
    var namespace = __importStar(require_Namespace4());
    exports2.namespace = namespace;
    var queue = __importStar(require_Queue4());
    exports2.queue = queue;
    var set = __importStar(require_Set4());
    exports2.set = set;
    var stack = __importStar(require_Stack4());
    exports2.stack = stack;
    var string = __importStar(require_String4());
    exports2.string = string;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js
var require_WebIDLAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function idl_defineConst(o, name, value) {
      Object.defineProperty(o, name, { writable: false, enumerable: true, configurable: false, value });
    }
    exports2.idl_defineConst = idl_defineConst;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js
var require_DOMImplementationImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var DOMImplementationImpl = (
      /** @class */
      function() {
        function DOMImplementationImpl2(document) {
          this._associatedDocument = document || DOMImpl_1.dom.window.document;
        }
        DOMImplementationImpl2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
          algorithm_1.namespace_validate(qualifiedName);
          return algorithm_1.create_documentType(this._associatedDocument, qualifiedName, publicId, systemId);
        };
        DOMImplementationImpl2.prototype.createDocument = function(namespace, qualifiedName, doctype) {
          if (doctype === void 0) {
            doctype = null;
          }
          var document = algorithm_1.create_xmlDocument();
          var element = null;
          if (qualifiedName) {
            element = algorithm_1.document_internalCreateElementNS(document, namespace, qualifiedName);
          }
          if (doctype)
            document.appendChild(doctype);
          if (element)
            document.appendChild(element);
          document._origin = this._associatedDocument._origin;
          if (namespace === infra_1.namespace.HTML)
            document._contentType = "application/xhtml+xml";
          else if (namespace === infra_1.namespace.SVG)
            document._contentType = "image/svg+xml";
          else
            document._contentType = "application/xml";
          return document;
        };
        DOMImplementationImpl2.prototype.createHTMLDocument = function(title) {
          var doc = algorithm_1.create_document();
          doc._type = "html";
          doc._contentType = "text/html";
          doc.appendChild(algorithm_1.create_documentType(doc, "html", "", ""));
          var htmlElement = algorithm_1.element_createAnElement(doc, "html", infra_1.namespace.HTML);
          doc.appendChild(htmlElement);
          var headElement = algorithm_1.element_createAnElement(doc, "head", infra_1.namespace.HTML);
          htmlElement.appendChild(headElement);
          if (title !== void 0) {
            var titleElement = algorithm_1.element_createAnElement(doc, "title", infra_1.namespace.HTML);
            headElement.appendChild(titleElement);
            var textElement = algorithm_1.create_text(doc, title);
            titleElement.appendChild(textElement);
          }
          var bodyElement = algorithm_1.element_createAnElement(doc, "body", infra_1.namespace.HTML);
          htmlElement.appendChild(bodyElement);
          doc._origin = this._associatedDocument._origin;
          return doc;
        };
        DOMImplementationImpl2.prototype.hasFeature = function() {
          return true;
        };
        DOMImplementationImpl2._create = function(document) {
          return new DOMImplementationImpl2(document);
        };
        return DOMImplementationImpl2;
      }()
    );
    exports2.DOMImplementationImpl = DOMImplementationImpl;
    WebIDLAlgorithm_1.idl_defineConst(DOMImplementationImpl.prototype, "_ID", "@oozcitak/dom");
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMException.js
var require_DOMException4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMException.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException = (
      /** @class */
      function(_super) {
        __extends(DOMException2, _super);
        function DOMException2(name, message) {
          if (message === void 0) {
            message = "";
          }
          var _this = _super.call(this, message) || this;
          _this.name = name;
          return _this;
        }
        return DOMException2;
      }(Error)
    );
    exports2.DOMException = DOMException;
    var DOMStringSizeError = (
      /** @class */
      function(_super) {
        __extends(DOMStringSizeError2, _super);
        function DOMStringSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DOMStringSizeError", message) || this;
        }
        return DOMStringSizeError2;
      }(DOMException)
    );
    exports2.DOMStringSizeError = DOMStringSizeError;
    var WrongDocumentError = (
      /** @class */
      function(_super) {
        __extends(WrongDocumentError2, _super);
        function WrongDocumentError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "WrongDocumentError", "The object is in the wrong document. " + message) || this;
        }
        return WrongDocumentError2;
      }(DOMException)
    );
    exports2.WrongDocumentError = WrongDocumentError;
    var NoDataAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoDataAllowedError2, _super);
        function NoDataAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoDataAllowedError", message) || this;
        }
        return NoDataAllowedError2;
      }(DOMException)
    );
    exports2.NoDataAllowedError = NoDataAllowedError;
    var NoModificationAllowedError = (
      /** @class */
      function(_super) {
        __extends(NoModificationAllowedError2, _super);
        function NoModificationAllowedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NoModificationAllowedError", "The object can not be modified. " + message) || this;
        }
        return NoModificationAllowedError2;
      }(DOMException)
    );
    exports2.NoModificationAllowedError = NoModificationAllowedError;
    var NotSupportedError = (
      /** @class */
      function(_super) {
        __extends(NotSupportedError2, _super);
        function NotSupportedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotSupportedError", "The operation is not supported. " + message) || this;
        }
        return NotSupportedError2;
      }(DOMException)
    );
    exports2.NotSupportedError = NotSupportedError;
    var InUseAttributeError = (
      /** @class */
      function(_super) {
        __extends(InUseAttributeError2, _super);
        function InUseAttributeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InUseAttributeError", message) || this;
        }
        return InUseAttributeError2;
      }(DOMException)
    );
    exports2.InUseAttributeError = InUseAttributeError;
    var InvalidStateError = (
      /** @class */
      function(_super) {
        __extends(InvalidStateError2, _super);
        function InvalidStateError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidStateError", "The object is in an invalid state. " + message) || this;
        }
        return InvalidStateError2;
      }(DOMException)
    );
    exports2.InvalidStateError = InvalidStateError;
    var InvalidModificationError = (
      /** @class */
      function(_super) {
        __extends(InvalidModificationError2, _super);
        function InvalidModificationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidModificationError", "The object can not be modified in this way. " + message) || this;
        }
        return InvalidModificationError2;
      }(DOMException)
    );
    exports2.InvalidModificationError = InvalidModificationError;
    var NamespaceError = (
      /** @class */
      function(_super) {
        __extends(NamespaceError2, _super);
        function NamespaceError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NamespaceError", "The operation is not allowed by Namespaces in XML. [XMLNS] " + message) || this;
        }
        return NamespaceError2;
      }(DOMException)
    );
    exports2.NamespaceError = NamespaceError;
    var InvalidAccessError = (
      /** @class */
      function(_super) {
        __extends(InvalidAccessError2, _super);
        function InvalidAccessError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidAccessError", "The object does not support the operation or argument. " + message) || this;
        }
        return InvalidAccessError2;
      }(DOMException)
    );
    exports2.InvalidAccessError = InvalidAccessError;
    var ValidationError = (
      /** @class */
      function(_super) {
        __extends(ValidationError2, _super);
        function ValidationError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "ValidationError", message) || this;
        }
        return ValidationError2;
      }(DOMException)
    );
    exports2.ValidationError = ValidationError;
    var TypeMismatchError = (
      /** @class */
      function(_super) {
        __extends(TypeMismatchError2, _super);
        function TypeMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TypeMismatchError", message) || this;
        }
        return TypeMismatchError2;
      }(DOMException)
    );
    exports2.TypeMismatchError = TypeMismatchError;
    var SecurityError = (
      /** @class */
      function(_super) {
        __extends(SecurityError2, _super);
        function SecurityError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SecurityError", "The operation is insecure. " + message) || this;
        }
        return SecurityError2;
      }(DOMException)
    );
    exports2.SecurityError = SecurityError;
    var NetworkError = (
      /** @class */
      function(_super) {
        __extends(NetworkError2, _super);
        function NetworkError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NetworkError", "A network error occurred. " + message) || this;
        }
        return NetworkError2;
      }(DOMException)
    );
    exports2.NetworkError = NetworkError;
    var AbortError = (
      /** @class */
      function(_super) {
        __extends(AbortError2, _super);
        function AbortError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "AbortError", "The operation was aborted. " + message) || this;
        }
        return AbortError2;
      }(DOMException)
    );
    exports2.AbortError = AbortError;
    var URLMismatchError = (
      /** @class */
      function(_super) {
        __extends(URLMismatchError2, _super);
        function URLMismatchError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "URLMismatchError", "The given URL does not match another URL. " + message) || this;
        }
        return URLMismatchError2;
      }(DOMException)
    );
    exports2.URLMismatchError = URLMismatchError;
    var QuotaExceededError = (
      /** @class */
      function(_super) {
        __extends(QuotaExceededError2, _super);
        function QuotaExceededError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "QuotaExceededError", "The quota has been exceeded. " + message) || this;
        }
        return QuotaExceededError2;
      }(DOMException)
    );
    exports2.QuotaExceededError = QuotaExceededError;
    var TimeoutError = (
      /** @class */
      function(_super) {
        __extends(TimeoutError2, _super);
        function TimeoutError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "TimeoutError", "The operation timed out. " + message) || this;
        }
        return TimeoutError2;
      }(DOMException)
    );
    exports2.TimeoutError = TimeoutError;
    var InvalidNodeTypeError = (
      /** @class */
      function(_super) {
        __extends(InvalidNodeTypeError2, _super);
        function InvalidNodeTypeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidNodeTypeError", "The supplied node is incorrect or has an incorrect ancestor for this operation. " + message) || this;
        }
        return InvalidNodeTypeError2;
      }(DOMException)
    );
    exports2.InvalidNodeTypeError = InvalidNodeTypeError;
    var DataCloneError = (
      /** @class */
      function(_super) {
        __extends(DataCloneError2, _super);
        function DataCloneError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "DataCloneError", "The object can not be cloned. " + message) || this;
        }
        return DataCloneError2;
      }(DOMException)
    );
    exports2.DataCloneError = DataCloneError;
    var NotImplementedError = (
      /** @class */
      function(_super) {
        __extends(NotImplementedError2, _super);
        function NotImplementedError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotImplementedError", "The DOM method is not implemented by this module. " + message) || this;
        }
        return NotImplementedError2;
      }(DOMException)
    );
    exports2.NotImplementedError = NotImplementedError;
    var HierarchyRequestError = (
      /** @class */
      function(_super) {
        __extends(HierarchyRequestError2, _super);
        function HierarchyRequestError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "HierarchyRequestError", "The operation would yield an incorrect node tree. " + message) || this;
        }
        return HierarchyRequestError2;
      }(DOMException)
    );
    exports2.HierarchyRequestError = HierarchyRequestError;
    var NotFoundError = (
      /** @class */
      function(_super) {
        __extends(NotFoundError2, _super);
        function NotFoundError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "NotFoundError", "The object can not be found here. " + message) || this;
        }
        return NotFoundError2;
      }(DOMException)
    );
    exports2.NotFoundError = NotFoundError;
    var IndexSizeError = (
      /** @class */
      function(_super) {
        __extends(IndexSizeError2, _super);
        function IndexSizeError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "IndexSizeError", "The index is not in the allowed range. " + message) || this;
        }
        return IndexSizeError2;
      }(DOMException)
    );
    exports2.IndexSizeError = IndexSizeError;
    var SyntaxError2 = (
      /** @class */
      function(_super) {
        __extends(SyntaxError3, _super);
        function SyntaxError3(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "SyntaxError", "The string did not match the expected pattern. " + message) || this;
        }
        return SyntaxError3;
      }(DOMException)
    );
    exports2.SyntaxError = SyntaxError2;
    var InvalidCharacterError = (
      /** @class */
      function(_super) {
        __extends(InvalidCharacterError2, _super);
        function InvalidCharacterError2(message) {
          if (message === void 0) {
            message = "";
          }
          return _super.call(this, "InvalidCharacterError", "The string contains invalid characters. " + message) || this;
        }
        return InvalidCharacterError2;
      }(DOMException)
    );
    exports2.InvalidCharacterError = InvalidCharacterError;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/util/Guard.js
var require_Guard4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/util/Guard.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var Guard = (
      /** @class */
      function() {
        function Guard2() {
        }
        Guard2.isNode = function(a) {
          return !!a && a._nodeType !== void 0;
        };
        Guard2.isDocumentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Document;
        };
        Guard2.isDocumentTypeNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentType;
        };
        Guard2.isDocumentFragmentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentFragment;
        };
        Guard2.isAttrNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Attribute;
        };
        Guard2.isCharacterDataNode = function(a) {
          if (!Guard2.isNode(a))
            return false;
          var type = a._nodeType;
          return type === interfaces_1.NodeType.Text || type === interfaces_1.NodeType.ProcessingInstruction || type === interfaces_1.NodeType.Comment || type === interfaces_1.NodeType.CData;
        };
        Guard2.isTextNode = function(a) {
          return Guard2.isNode(a) && (a._nodeType === interfaces_1.NodeType.Text || a._nodeType === interfaces_1.NodeType.CData);
        };
        Guard2.isExclusiveTextNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Text;
        };
        Guard2.isCDATASectionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.CData;
        };
        Guard2.isCommentNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Comment;
        };
        Guard2.isProcessingInstructionNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.ProcessingInstruction;
        };
        Guard2.isElementNode = function(a) {
          return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Element;
        };
        Guard2.isCustomElementNode = function(a) {
          return Guard2.isElementNode(a) && a._customElementState === "custom";
        };
        Guard2.isShadowRoot = function(a) {
          return !!a && a.host !== void 0;
        };
        Guard2.isMouseEvent = function(a) {
          return !!a && a.screenX !== void 0 && a.screenY != void 0;
        };
        Guard2.isSlotable = function(a) {
          return !!a && a._name !== void 0 && a._assignedSlot !== void 0 && (Guard2.isTextNode(a) || Guard2.isElementNode(a));
        };
        Guard2.isSlot = function(a) {
          return !!a && a._name !== void 0 && a._assignedNodes !== void 0 && Guard2.isElementNode(a);
        };
        Guard2.isWindow = function(a) {
          return !!a && a.navigator !== void 0;
        };
        Guard2.isEventListener = function(a) {
          return !!a && a.handleEvent !== void 0;
        };
        Guard2.isRegisteredObserver = function(a) {
          return !!a && a.observer !== void 0 && a.options !== void 0;
        };
        Guard2.isTransientRegisteredObserver = function(a) {
          return !!a && a.source !== void 0 && Guard2.isRegisteredObserver(a);
        };
        return Guard2;
      }()
    );
    exports2.Guard = Guard;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/util/Cast.js
var require_Cast4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/util/Cast.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Guard_1 = require_Guard4();
    var Cast = (
      /** @class */
      function() {
        function Cast2() {
        }
        Cast2.asNode = function(a) {
          if (Guard_1.Guard.isNode(a)) {
            return a;
          } else {
            throw new Error("Invalid object. Node expected.");
          }
        };
        return Cast2;
      }()
    );
    exports2.Cast = Cast;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/util/EmptySet.js
var require_EmptySet4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/util/EmptySet.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EmptySet = (
      /** @class */
      function() {
        function EmptySet2() {
        }
        Object.defineProperty(EmptySet2.prototype, "size", {
          get: function() {
            return 0;
          },
          enumerable: true,
          configurable: true
        });
        EmptySet2.prototype.add = function(value) {
          throw new Error("Cannot add to an empty set.");
        };
        EmptySet2.prototype.clear = function() {
        };
        EmptySet2.prototype.delete = function(value) {
          return false;
        };
        EmptySet2.prototype.forEach = function(callbackfn, thisArg) {
        };
        EmptySet2.prototype.has = function(value) {
          return false;
        };
        EmptySet2.prototype[Symbol.iterator] = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.entries = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.keys = function() {
          return new EmptySetIterator();
        };
        EmptySet2.prototype.values = function() {
          return new EmptySetIterator();
        };
        Object.defineProperty(EmptySet2.prototype, Symbol.toStringTag, {
          get: function() {
            return "EmptySet";
          },
          enumerable: true,
          configurable: true
        });
        return EmptySet2;
      }()
    );
    exports2.EmptySet = EmptySet;
    var EmptySetIterator = (
      /** @class */
      function() {
        function EmptySetIterator2() {
        }
        EmptySetIterator2.prototype[Symbol.iterator] = function() {
          return this;
        };
        EmptySetIterator2.prototype.next = function() {
          return { done: true, value: null };
        };
        return EmptySetIterator2;
      }()
    );
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/util/index.js
var require_util22 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/util/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var Cast_1 = require_Cast4();
    exports2.Cast = Cast_1.Cast;
    var Guard_1 = require_Guard4();
    exports2.Guard = Guard_1.Guard;
    var EmptySet_1 = require_EmptySet4();
    exports2.EmptySet = EmptySet_1.EmptySet;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js
var require_EventTargetImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException4();
    var util_1 = require_util22();
    var algorithm_1 = require_algorithm4();
    var EventTargetImpl = (
      /** @class */
      function() {
        function EventTargetImpl2() {
        }
        Object.defineProperty(EventTargetImpl2.prototype, "_eventListenerList", {
          get: function() {
            return this.__eventListenerList || (this.__eventListenerList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventTargetImpl2.prototype, "_eventHandlerMap", {
          get: function() {
            return this.__eventHandlerMap || (this.__eventHandlerMap = {});
          },
          enumerable: true,
          configurable: true
        });
        EventTargetImpl2.prototype.addEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { passive: false, once: false, capture: false };
          }
          var _a = __read(algorithm_1.eventTarget_flattenMore(options), 3), capture = _a[0], passive = _a[1], once = _a[2];
          var listenerCallback;
          if (!callback) {
            return;
          } else if (util_1.Guard.isEventListener(callback)) {
            listenerCallback = callback;
          } else {
            listenerCallback = { handleEvent: callback };
          }
          algorithm_1.eventTarget_addEventListener(this, {
            type,
            callback: listenerCallback,
            capture,
            passive,
            once,
            removed: false
          });
        };
        EventTargetImpl2.prototype.removeEventListener = function(type, callback, options) {
          if (options === void 0) {
            options = { capture: false };
          }
          var capture = algorithm_1.eventTarget_flatten(options);
          if (!callback)
            return;
          for (var i = 0; i < this._eventListenerList.length; i++) {
            var entry = this._eventListenerList[i];
            if (entry.type !== type || entry.capture !== capture)
              continue;
            if (util_1.Guard.isEventListener(callback) && entry.callback === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            } else if (callback && entry.callback.handleEvent === callback) {
              algorithm_1.eventTarget_removeEventListener(this, entry, i);
              break;
            }
          }
        };
        EventTargetImpl2.prototype.dispatchEvent = function(event) {
          if (event._dispatchFlag || !event._initializedFlag) {
            throw new DOMException_1.InvalidStateError();
          }
          event._isTrusted = false;
          return algorithm_1.event_dispatch(event, this);
        };
        EventTargetImpl2.prototype._getTheParent = function(event) {
          return null;
        };
        return EventTargetImpl2;
      }()
    );
    exports2.EventTargetImpl = EventTargetImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js
var require_WindowImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/WindowImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl4();
    var util_1 = require_lib19();
    var algorithm_1 = require_algorithm4();
    var WindowImpl = (
      /** @class */
      function(_super) {
        __extends(WindowImpl2, _super);
        function WindowImpl2() {
          var _this = _super.call(this) || this;
          _this._signalSlots = /* @__PURE__ */ new Set();
          _this._mutationObserverMicrotaskQueued = false;
          _this._mutationObservers = /* @__PURE__ */ new Set();
          _this._iteratorList = new util_1.FixedSizeSet();
          _this._associatedDocument = algorithm_1.create_document();
          return _this;
        }
        Object.defineProperty(WindowImpl2.prototype, "document", {
          /** @inheritdoc */
          get: function() {
            return this._associatedDocument;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(WindowImpl2.prototype, "event", {
          /** @inheritdoc */
          get: function() {
            return this._currentEvent;
          },
          enumerable: true,
          configurable: true
        });
        WindowImpl2._create = function() {
          return new WindowImpl2();
        };
        return WindowImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.WindowImpl = WindowImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/url/lib/interfaces.js
var require_interfaces15 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/url/lib/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ParserState;
    (function(ParserState2) {
      ParserState2[ParserState2["SchemeStart"] = 0] = "SchemeStart";
      ParserState2[ParserState2["Scheme"] = 1] = "Scheme";
      ParserState2[ParserState2["NoScheme"] = 2] = "NoScheme";
      ParserState2[ParserState2["SpecialRelativeOrAuthority"] = 3] = "SpecialRelativeOrAuthority";
      ParserState2[ParserState2["PathOrAuthority"] = 4] = "PathOrAuthority";
      ParserState2[ParserState2["Relative"] = 5] = "Relative";
      ParserState2[ParserState2["RelativeSlash"] = 6] = "RelativeSlash";
      ParserState2[ParserState2["SpecialAuthoritySlashes"] = 7] = "SpecialAuthoritySlashes";
      ParserState2[ParserState2["SpecialAuthorityIgnoreSlashes"] = 8] = "SpecialAuthorityIgnoreSlashes";
      ParserState2[ParserState2["Authority"] = 9] = "Authority";
      ParserState2[ParserState2["Host"] = 10] = "Host";
      ParserState2[ParserState2["Hostname"] = 11] = "Hostname";
      ParserState2[ParserState2["Port"] = 12] = "Port";
      ParserState2[ParserState2["File"] = 13] = "File";
      ParserState2[ParserState2["FileSlash"] = 14] = "FileSlash";
      ParserState2[ParserState2["FileHost"] = 15] = "FileHost";
      ParserState2[ParserState2["PathStart"] = 16] = "PathStart";
      ParserState2[ParserState2["Path"] = 17] = "Path";
      ParserState2[ParserState2["CannotBeABaseURLPath"] = 18] = "CannotBeABaseURLPath";
      ParserState2[ParserState2["Query"] = 19] = "Query";
      ParserState2[ParserState2["Fragment"] = 20] = "Fragment";
    })(ParserState = exports2.ParserState || (exports2.ParserState = {}));
    exports2.OpaqueOrigin = ["", "", null, null];
  }
});

// ../../components/workflows/node_modules/@oozcitak/url/lib/URLAlgorithm.js
var require_URLAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/url/lib/URLAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var interfaces_1 = require_interfaces15();
    var infra_1 = require_lib20();
    var url_1 = require("url");
    var _validationErrorCallback;
    var _defaultPorts = {
      "ftp": 21,
      "file": null,
      "http": 80,
      "https": 443,
      "ws": 80,
      "wss": 443
    };
    var _c0ControlPercentEncodeSet = /[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _fragmentPercentEncodeSet = /[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _pathPercentEncodeSet = /[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _userInfoPercentEncodeSet = /[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var _urlCodePoints = /[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/;
    var _forbiddenHostCodePoint = /[\0\t\f\r #%/:?@\[\\\]]/;
    function setValidationErrorCallback(validationErrorCallback) {
      _validationErrorCallback = validationErrorCallback;
    }
    exports2.setValidationErrorCallback = setValidationErrorCallback;
    function validationError(message) {
      if (_validationErrorCallback !== void 0) {
        _validationErrorCallback.call(null, "Validation Error: " + message);
      }
    }
    function newURL() {
      return {
        scheme: "",
        username: "",
        password: "",
        host: null,
        port: null,
        path: [],
        query: null,
        fragment: null,
        _cannotBeABaseURLFlag: false,
        _blobURLEntry: null
      };
    }
    exports2.newURL = newURL;
    function isSpecialScheme(scheme) {
      return scheme in _defaultPorts;
    }
    exports2.isSpecialScheme = isSpecialScheme;
    function isSpecial(url) {
      return isSpecialScheme(url.scheme);
    }
    exports2.isSpecial = isSpecial;
    function defaultPort(scheme) {
      return _defaultPorts[scheme] || null;
    }
    exports2.defaultPort = defaultPort;
    function includesCredentials(url) {
      return url.username !== "" || url.password !== "";
    }
    exports2.includesCredentials = includesCredentials;
    function cannotHaveAUsernamePasswordPort(url) {
      return url.host === null || url.host === "" || url._cannotBeABaseURLFlag || url.scheme === "file";
    }
    exports2.cannotHaveAUsernamePasswordPort = cannotHaveAUsernamePasswordPort;
    function urlSerializer(url, excludeFragmentFlag) {
      var e_1, _a;
      if (excludeFragmentFlag === void 0) {
        excludeFragmentFlag = false;
      }
      var output = url.scheme + ":";
      if (url.host !== null) {
        output += "//";
        if (includesCredentials(url)) {
          output += url.username;
          if (url.password !== "") {
            output += ":" + url.password;
          }
          output += "@";
        }
        output += hostSerializer(url.host);
        if (url.port !== null) {
          output += ":" + url.port;
        }
      } else if (url.host === null && url.scheme === "file") {
        output += "//";
      }
      if (url._cannotBeABaseURLFlag) {
        output += url.path[0];
      } else {
        try {
          for (var _b = __values(url.path), _c = _b.next(); !_c.done; _c = _b.next()) {
            var str = _c.value;
            output += "/" + str;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      if (url.query !== null) {
        output += "?" + url.query;
      }
      if (!excludeFragmentFlag && url.fragment !== null) {
        output += "#" + url.fragment;
      }
      return output;
    }
    exports2.urlSerializer = urlSerializer;
    function hostSerializer(host) {
      if (util_1.isNumber(host)) {
        return iPv4Serializer(host);
      } else if (util_1.isArray(host)) {
        return "[" + iPv6Serializer(host) + "]";
      } else {
        return host;
      }
    }
    exports2.hostSerializer = hostSerializer;
    function iPv4Serializer(address) {
      var output = "";
      var n = address;
      for (var i = 1; i <= 4; i++) {
        output = (n % 256).toString() + output;
        if (i !== 4) {
          output = "." + output;
        }
        n = Math.floor(n / 256);
      }
      return output;
    }
    exports2.iPv4Serializer = iPv4Serializer;
    function iPv6Serializer(address) {
      var output = "";
      var compress = null;
      var lastIndex = -1;
      var count = 0;
      var lastCount = 0;
      for (var i = 0; i < 8; i++) {
        if (address[i] !== 0)
          continue;
        count = 1;
        for (var j = i + 1; j < 8; j++) {
          if (address[j] !== 0)
            break;
          count++;
          continue;
        }
        if (count > lastCount) {
          lastCount = count;
          lastIndex = i;
        }
      }
      if (lastCount > 1)
        compress = lastIndex;
      var ignore0 = false;
      for (var pieceIndex = 0; pieceIndex < 8; pieceIndex++) {
        if (ignore0 && address[pieceIndex] === 0)
          continue;
        if (ignore0)
          ignore0 = false;
        if (compress === pieceIndex) {
          output += pieceIndex === 0 ? "::" : ":";
          ignore0 = true;
          continue;
        }
        output += address[pieceIndex].toString(16);
        if (pieceIndex !== 7)
          output += ":";
      }
      return output;
    }
    exports2.iPv6Serializer = iPv6Serializer;
    function urlParser(input, baseURL, encodingOverride) {
      var url = basicURLParser(input, baseURL, encodingOverride);
      if (url === null)
        return null;
      if (url.scheme !== "blob")
        return url;
      var entry = resolveABlobURL(url);
      if (entry !== null) {
        url._blobURLEntry = entry;
      } else {
        url._blobURLEntry = null;
      }
      return url;
    }
    exports2.urlParser = urlParser;
    function basicURLParser(input, baseURL, encodingOverride, url, stateOverride) {
      var e_2, _a, e_3, _b;
      if (url === void 0) {
        url = newURL();
        var leadingControlOrSpace = /^[\u0000-\u001F\u0020]+/;
        var trailingControlOrSpace = /[\u0000-\u001F\u0020]+$/;
        if (leadingControlOrSpace.test(input) || trailingControlOrSpace.test(input)) {
          validationError("Input string contains leading or trailing control characters or space.");
        }
        input = input.replace(leadingControlOrSpace, "");
        input = input.replace(trailingControlOrSpace, "");
      }
      var tabOrNewline = /[\u0009\u000A\u000D]/g;
      if (tabOrNewline.test(input)) {
        validationError("Input string contains tab or newline characters.");
      }
      input = input.replace(tabOrNewline, "");
      var state = stateOverride === void 0 ? interfaces_1.ParserState.SchemeStart : stateOverride;
      if (baseURL === void 0)
        baseURL = null;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      var buffer = "";
      var atFlag = false;
      var arrayFlag = false;
      var passwordTokenSeenFlag = false;
      var EOF = "";
      var walker = new util_1.StringWalker(input);
      while (true) {
        switch (state) {
          case interfaces_1.ParserState.SchemeStart:
            if (infra_1.codePoint.ASCIIAlpha.test(walker.c())) {
              buffer += walker.c().toLowerCase();
              state = interfaces_1.ParserState.Scheme;
            } else if (stateOverride === void 0) {
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer--;
            } else {
              validationError("Invalid scheme start character.");
              return null;
            }
            break;
          case interfaces_1.ParserState.Scheme:
            if (infra_1.codePoint.ASCIIAlphanumeric.test(walker.c()) || walker.c() === "+" || walker.c() === "-" || walker.c() === ".") {
              buffer += walker.c().toLowerCase();
            } else if (walker.c() === ":") {
              if (stateOverride !== void 0) {
                if (isSpecialScheme(url.scheme) && !isSpecialScheme(buffer))
                  return url;
                if (!isSpecialScheme(url.scheme) && isSpecialScheme(buffer))
                  return url;
                if ((includesCredentials(url) || url.port !== null) && buffer === "file")
                  return url;
                if (url.scheme === "file" && (url.host === "" || url.host === null))
                  return url;
              }
              url.scheme = buffer;
              if (stateOverride !== void 0) {
                if (url.port === defaultPort(url.scheme)) {
                  url.port = null;
                }
                return url;
              }
              buffer = "";
              if (url.scheme === "file") {
                if (!walker.remaining().startsWith("//")) {
                  validationError("Invalid file URL scheme, '//' expected.");
                }
                state = interfaces_1.ParserState.File;
              } else if (isSpecial(url) && baseURL !== null && baseURL.scheme === url.scheme) {
                state = interfaces_1.ParserState.SpecialRelativeOrAuthority;
              } else if (isSpecial(url)) {
                state = interfaces_1.ParserState.SpecialAuthoritySlashes;
              } else if (walker.remaining().startsWith("/")) {
                state = interfaces_1.ParserState.PathOrAuthority;
                walker.pointer++;
              } else {
                url._cannotBeABaseURLFlag = true;
                url.path.push("");
                state = interfaces_1.ParserState.CannotBeABaseURLPath;
              }
            } else if (stateOverride === void 0) {
              buffer = "";
              state = interfaces_1.ParserState.NoScheme;
              walker.pointer = 0;
              continue;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.NoScheme:
            if (baseURL === null || baseURL._cannotBeABaseURLFlag && walker.c() !== "#") {
              validationError("Invalid input string.");
              return null;
            } else if (baseURL._cannotBeABaseURLFlag && walker.c() === "#") {
              url.scheme = baseURL.scheme;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              url.fragment = "";
              url._cannotBeABaseURLFlag = true;
              state = interfaces_1.ParserState.Fragment;
            } else if (baseURL.scheme !== "file") {
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            } else {
              state = interfaces_1.ParserState.File;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialRelativeOrAuthority:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Invalid input string.");
              state = interfaces_1.ParserState.Relative;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.PathOrAuthority:
            if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Relative:
            if (baseURL === null) {
              throw new Error("Invalid parser state. Base URL is null.");
            }
            url.scheme = baseURL.scheme;
            switch (walker.c()) {
              case EOF:
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                break;
              case "/":
                state = interfaces_1.ParserState.RelativeSlash;
                break;
              case "?":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = "";
                state = interfaces_1.ParserState.Query;
                break;
              case "#":
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
                break;
              default:
                if (isSpecial(url) && walker.c() === "\\") {
                  validationError("Invalid input string.");
                  state = interfaces_1.ParserState.RelativeSlash;
                } else {
                  url.username = baseURL.username;
                  url.password = baseURL.password;
                  url.host = baseURL.host;
                  url.port = baseURL.port;
                  url.path = infra_1.list.clone(baseURL.path);
                  if (url.path.length !== 0)
                    url.path.splice(url.path.length - 1, 1);
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                }
                break;
            }
            break;
          case interfaces_1.ParserState.RelativeSlash:
            if (isSpecial(url) && (walker.c() === "/" || walker.c() === "\\")) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            } else if (walker.c() === "/") {
              state = interfaces_1.ParserState.Authority;
            } else {
              if (baseURL === null) {
                throw new Error("Invalid parser state. Base URL is null.");
              }
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthoritySlashes:
            if (walker.c() === "/" && walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer++;
            } else {
              validationError("Expected '//'.");
              state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes:
            if (walker.c() !== "/" && walker.c() !== "\\") {
              state = interfaces_1.ParserState.Authority;
              walker.pointer--;
            } else {
              validationError("Unexpected '/' or '\\'.");
            }
            break;
          case interfaces_1.ParserState.Authority:
            if (walker.c() === "@") {
              validationError("Unexpected '@'.");
              if (atFlag)
                buffer = "%40" + buffer;
              atFlag = true;
              try {
                for (var buffer_1 = (e_2 = void 0, __values(buffer)), buffer_1_1 = buffer_1.next(); !buffer_1_1.done; buffer_1_1 = buffer_1.next()) {
                  var codePoint = buffer_1_1.value;
                  if (codePoint === ":" && !passwordTokenSeenFlag) {
                    passwordTokenSeenFlag = true;
                    continue;
                  }
                  var encodedCodePoints = utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
                  if (passwordTokenSeenFlag) {
                    url.password += encodedCodePoints;
                  } else {
                    url.username += encodedCodePoints;
                  }
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (buffer_1_1 && !buffer_1_1.done && (_a = buffer_1.return))
                    _a.call(buffer_1);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              buffer = "";
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              if (atFlag && buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              walker.pointer -= buffer.length + 1;
              buffer = "";
              state = interfaces_1.ParserState.Host;
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Host:
          case interfaces_1.ParserState.Hostname:
            if (stateOverride !== void 0 && url.scheme === "file") {
              walker.pointer--;
              state = interfaces_1.ParserState.FileHost;
            } else if (walker.c() === ":" && !arrayFlag) {
              if (buffer === "") {
                validationError("Invalid input string.");
                return null;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.Port;
              if (stateOverride === interfaces_1.ParserState.Hostname)
                return url;
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
              walker.pointer--;
              if (isSpecial(url) && buffer === "") {
                validationError("Invalid input string.");
                return null;
              } else if (stateOverride !== void 0 && buffer === "" && (includesCredentials(url) || url.port !== null)) {
                validationError("Invalid input string.");
                return url;
              }
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              url.host = host;
              buffer = "";
              state = interfaces_1.ParserState.PathStart;
              if (stateOverride !== void 0)
                return url;
            } else {
              if (walker.c() === "[")
                arrayFlag = true;
              if (walker.c() === "]")
                arrayFlag = false;
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.Port:
            if (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              buffer += walker.c();
            } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\" || stateOverride) {
              if (buffer !== "") {
                if (buffer !== "") {
                  var port = parseInt(buffer, 10);
                  if (port > Math.pow(2, 16) - 1) {
                    validationError("Invalid port number.");
                    return null;
                  }
                  url.port = port === defaultPort(url.scheme) ? null : port;
                  buffer = "";
                }
              }
              if (stateOverride !== void 0) {
                return url;
              }
              state = interfaces_1.ParserState.PathStart;
              walker.pointer--;
            } else {
              validationError("Invalid input string.");
              return null;
            }
            break;
          case interfaces_1.ParserState.File:
            url.scheme = "file";
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileSlash;
            } else if (baseURL !== null && baseURL.scheme === "file") {
              switch (walker.c()) {
                case EOF:
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  break;
                case "?":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = "";
                  state = interfaces_1.ParserState.Query;
                  break;
                case "#":
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  url.query = baseURL.query;
                  url.fragment = "";
                  state = interfaces_1.ParserState.Fragment;
                  break;
                default:
                  if (!startsWithAWindowsDriveLetter(walker.substring())) {
                    url.host = baseURL.host;
                    url.path = infra_1.list.clone(baseURL.path);
                    shorten(url);
                  } else {
                    validationError("Unexpected windows drive letter in input string.");
                  }
                  state = interfaces_1.ParserState.Path;
                  walker.pointer--;
                  break;
              }
            } else {
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileSlash:
            if (walker.c() === "/" || walker.c() === "\\") {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.FileHost;
            } else {
              if (baseURL !== null && baseURL.scheme === "file" && !startsWithAWindowsDriveLetter(walker.substring())) {
                if (isNormalizedWindowsDriveLetter(baseURL.path[0])) {
                  url.path.push(baseURL.path[0]);
                } else {
                  url.host = baseURL.host;
                }
              }
              state = interfaces_1.ParserState.Path;
              walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.FileHost:
            if (walker.c() === EOF || walker.c() === "/" || walker.c() === "\\" || walker.c() === "?" || walker.c() === "#") {
              walker.pointer--;
              if (stateOverride === void 0 && isWindowsDriveLetter(buffer)) {
                validationError("Unexpected windows drive letter in input string.");
                state = interfaces_1.ParserState.Path;
              } else if (buffer === "") {
                url.host = "";
                if (stateOverride !== void 0)
                  return url;
                state = interfaces_1.ParserState.PathStart;
              } else {
                var host = hostParser(buffer, !isSpecial(url));
                if (host === null)
                  return null;
                if (host === "localhost")
                  host = "";
                url.host = host;
                if (stateOverride !== void 0)
                  return url;
                buffer = "";
                state = interfaces_1.ParserState.PathStart;
              }
            } else {
              buffer += walker.c();
            }
            break;
          case interfaces_1.ParserState.PathStart:
            if (isSpecial(url)) {
              if (walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/" && walker.c() !== "\\")
                walker.pointer--;
            } else if (stateOverride === void 0 && walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              state = interfaces_1.ParserState.Path;
              if (walker.c() !== "/")
                walker.pointer--;
            }
            break;
          case interfaces_1.ParserState.Path:
            if (walker.c() === EOF || walker.c() === "/" || isSpecial(url) && walker.c() === "\\" || stateOverride === void 0 && (walker.c() === "?" || walker.c() === "#")) {
              if (isSpecial(url) && walker.c() === "\\") {
                validationError("Invalid input string.");
              }
              if (isDoubleDotPathSegment(buffer)) {
                shorten(url);
                if (walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                  url.path.push("");
                }
              } else if (isSingleDotPathSegment(buffer) && walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                url.path.push("");
              } else if (!isSingleDotPathSegment(buffer)) {
                if (url.scheme === "file" && url.path.length === 0 && isWindowsDriveLetter(buffer)) {
                  if (url.host !== null && url.host !== "") {
                    validationError("Invalid input string.");
                    url.host = "";
                  }
                  var bufferCodePoints = Array.from(buffer);
                  buffer = bufferCodePoints.slice(0, 1) + ":" + bufferCodePoints.slice(2);
                }
                url.path.push(buffer);
              }
              buffer = "";
              if (url.scheme === "file" && (walker.c() === EOF || walker.c() === "?" || walker.c() === "#")) {
                while (url.path.length > 1 && url.path[0] === "") {
                  validationError("Invalid input string.");
                  url.path.splice(0, 1);
                }
              }
              if (walker.c() === "?") {
                url.query = "";
                state = interfaces_1.ParserState.Query;
              }
              if (walker.c() === "#") {
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
              }
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              buffer += utf8PercentEncode(walker.c(), _pathPercentEncodeSet);
            }
            break;
          case interfaces_1.ParserState.CannotBeABaseURLPath:
            if (walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            } else if (walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else {
              if (walker.c() !== EOF && !_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (walker.c() !== EOF) {
                url.path[0] += utf8PercentEncode(walker.c(), _c0ControlPercentEncodeSet);
              }
            }
            break;
          case interfaces_1.ParserState.Query:
            if (encoding !== "UTF-8" && (!isSpecial(url) || url.scheme === "ws" || url.scheme === "wss")) {
              encoding = "UTF-8";
            }
            if (stateOverride === void 0 && walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            } else if (walker.c() !== EOF) {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Character is not a URL code point or a percent encoded character.");
              }
              if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
                validationError("Percent encoded character must be followed by two hex digits.");
              }
              if (encoding.toUpperCase() !== "UTF-8") {
                throw new Error("Only UTF-8 encoding is supported.");
              }
              var bytes = util_1.utf8Encode(walker.c());
              if (bytes.length >= 3 && bytes[0] === 38 && bytes[1] === 35 && bytes[bytes.length - 1] === 59) {
                bytes = bytes.subarray(2, bytes.length - 1);
                url.query += "%26%23" + infra_1.byteSequence.isomorphicDecode(bytes) + "%3B";
              } else {
                try {
                  for (var bytes_1 = (e_3 = void 0, __values(bytes)), bytes_1_1 = bytes_1.next(); !bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
                    var byte = bytes_1_1.value;
                    if (byte < 33 || byte > 126 || byte === 34 || byte === 35 || byte === 60 || byte === 62 || byte === 39 && isSpecial(url)) {
                      url.query += percentEncode(byte);
                    } else {
                      url.query += String.fromCharCode(byte);
                    }
                  }
                } catch (e_3_1) {
                  e_3 = { error: e_3_1 };
                } finally {
                  try {
                    if (bytes_1_1 && !bytes_1_1.done && (_b = bytes_1.return))
                      _b.call(bytes_1);
                  } finally {
                    if (e_3)
                      throw e_3.error;
                  }
                }
              }
            }
            break;
          case interfaces_1.ParserState.Fragment:
            if (walker.c() === EOF) {
            } else if (walker.c() === "\0") {
              validationError("NULL character in input string.");
            } else {
              if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
                validationError("Unexpected character in fragment string.");
              }
              if (walker.c() === "%" && !/^[A-Za-z0-9][A-Za-z0-9]/.test(walker.remaining())) {
                validationError("Unexpected character in fragment string.");
              }
              url.fragment += utf8PercentEncode(walker.c(), _fragmentPercentEncodeSet);
            }
            break;
        }
        if (walker.eof)
          break;
        else
          walker.pointer++;
      }
      return url;
    }
    exports2.basicURLParser = basicURLParser;
    function setTheUsername(url, username) {
      var e_4, _a;
      var result = "";
      try {
        for (var username_1 = __values(username), username_1_1 = username_1.next(); !username_1_1.done; username_1_1 = username_1.next()) {
          var codePoint = username_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (username_1_1 && !username_1_1.done && (_a = username_1.return))
            _a.call(username_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      url.username = result;
    }
    exports2.setTheUsername = setTheUsername;
    function setThePassword(url, password) {
      var e_5, _a;
      var result = "";
      try {
        for (var password_1 = __values(password), password_1_1 = password_1.next(); !password_1_1.done; password_1_1 = password_1.next()) {
          var codePoint = password_1_1.value;
          result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (password_1_1 && !password_1_1.done && (_a = password_1.return))
            _a.call(password_1);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      url.password = result;
    }
    exports2.setThePassword = setThePassword;
    function isSingleDotPathSegment(str) {
      return str === "." || str.toLowerCase() === "%2e";
    }
    exports2.isSingleDotPathSegment = isSingleDotPathSegment;
    function isDoubleDotPathSegment(str) {
      var lowerStr = str.toLowerCase();
      return lowerStr === ".." || lowerStr === ".%2e" || lowerStr === "%2e." || lowerStr === "%2e%2e";
    }
    exports2.isDoubleDotPathSegment = isDoubleDotPathSegment;
    function shorten(url) {
      var path = url.path;
      if (path.length === 0)
        return;
      if (url.scheme === "file" && path.length === 1 && isNormalizedWindowsDriveLetter(path[0]))
        return;
      url.path.splice(url.path.length - 1, 1);
    }
    exports2.shorten = shorten;
    function isNormalizedWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && str[1] === ":";
    }
    exports2.isNormalizedWindowsDriveLetter = isNormalizedWindowsDriveLetter;
    function isWindowsDriveLetter(str) {
      return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && (str[1] === ":" || str[1] === "|");
    }
    exports2.isWindowsDriveLetter = isWindowsDriveLetter;
    function startsWithAWindowsDriveLetter(str) {
      return str.length >= 2 && isWindowsDriveLetter(str) && (str.length === 2 || (str[2] === "/" || str[2] === "\\" || str[2] === "?" || str[2] === "#"));
    }
    exports2.startsWithAWindowsDriveLetter = startsWithAWindowsDriveLetter;
    function hostParser(input, isNotSpecial) {
      if (isNotSpecial === void 0) {
        isNotSpecial = false;
      }
      if (input.startsWith("[")) {
        if (!input.endsWith("]")) {
          validationError("Expected ']' after '['.");
          return null;
        }
        return iPv6Parser(input.substring(1, input.length - 1));
      }
      if (isNotSpecial) {
        return opaqueHostParser(input);
      }
      var domain = util_1.utf8Decode(stringPercentDecode(input));
      var asciiDomain = domainToASCII(domain);
      if (asciiDomain === null) {
        validationError("Invalid domain.");
        return null;
      }
      if (_forbiddenHostCodePoint.test(asciiDomain)) {
        validationError("Invalid domain.");
        return null;
      }
      var ipv4Host = iPv4Parser(asciiDomain);
      if (ipv4Host === null || util_1.isNumber(ipv4Host))
        return ipv4Host;
      return asciiDomain;
    }
    exports2.hostParser = hostParser;
    function iPv4NumberParser(input, validationErrorFlag) {
      if (validationErrorFlag === void 0) {
        validationErrorFlag = { value: false };
      }
      var R = 10;
      if (input.startsWith("0x") || input.startsWith("0X")) {
        validationErrorFlag.value = true;
        input = input.substr(2);
        R = 16;
      } else if (input.length >= 2 && input[0] === "0") {
        validationErrorFlag.value = true;
        input = input.substr(1);
        R = 8;
      }
      if (input === "")
        return 0;
      var radixRDigits = R === 10 ? /^[0-9]+$/ : R === 16 ? /^[0-9A-Fa-f]+$/ : /^[0-7]+$/;
      if (!radixRDigits.test(input))
        return null;
      return parseInt(input, R);
    }
    exports2.iPv4NumberParser = iPv4NumberParser;
    function iPv4Parser(input) {
      var e_6, _a, e_7, _b;
      var validationErrorFlag = { value: false };
      var parts = input.split(".");
      if (parts[parts.length - 1] === "") {
        validationErrorFlag.value = true;
        if (parts.length > 1)
          parts.pop();
      }
      if (parts.length > 4)
        return input;
      var numbers = [];
      try {
        for (var parts_1 = __values(parts), parts_1_1 = parts_1.next(); !parts_1_1.done; parts_1_1 = parts_1.next()) {
          var part = parts_1_1.value;
          if (part === "")
            return input;
          var n = iPv4NumberParser(part, validationErrorFlag);
          if (n === null)
            return input;
          numbers.push(n);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return))
            _a.call(parts_1);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (validationErrorFlag.value)
        validationError("Invalid IP v4 address.");
      for (var i = 0; i < numbers.length; i++) {
        var item = numbers[i];
        if (item > 255) {
          validationError("Invalid IP v4 address.");
          if (i < numbers.length - 1)
            return null;
        }
      }
      if (numbers[numbers.length - 1] >= Math.pow(256, 5 - numbers.length)) {
        validationError("Invalid IP v4 address.");
        return null;
      }
      var ipv4 = numbers[numbers.length - 1];
      numbers.pop();
      var counter = 0;
      try {
        for (var numbers_1 = __values(numbers), numbers_1_1 = numbers_1.next(); !numbers_1_1.done; numbers_1_1 = numbers_1.next()) {
          var n = numbers_1_1.value;
          ipv4 += n * Math.pow(256, 3 - counter);
          counter++;
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (numbers_1_1 && !numbers_1_1.done && (_b = numbers_1.return))
            _b.call(numbers_1);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
      return ipv4;
    }
    exports2.iPv4Parser = iPv4Parser;
    function iPv6Parser(input) {
      var _a;
      var EOF = "";
      var address = [0, 0, 0, 0, 0, 0, 0, 0];
      var pieceIndex = 0;
      var compress = null;
      var walker = new util_1.StringWalker(input);
      if (walker.c() === ":") {
        if (!walker.remaining().startsWith(":")) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer += 2;
        pieceIndex += 1;
        compress = pieceIndex;
      }
      while (walker.c() !== EOF) {
        if (pieceIndex === 8) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        if (walker.c() === ":") {
          if (compress !== null) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer++;
          pieceIndex++;
          compress = pieceIndex;
          continue;
        }
        var value = 0;
        var length = 0;
        while (length < 4 && infra_1.codePoint.ASCIIHexDigit.test(walker.c())) {
          value = value * 16 + parseInt(walker.c(), 16);
          walker.pointer++;
          length++;
        }
        if (walker.c() === ".") {
          if (length === 0) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          walker.pointer -= length;
          if (pieceIndex > 6) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          var numbersSeen = 0;
          while (walker.c() !== EOF) {
            var ipv4Piece = null;
            if (numbersSeen > 0) {
              if (walker.c() === "." && numbersSeen < 4) {
                walker.pointer++;
              } else {
                validationError("Invalid IP v6 address.");
                return null;
              }
            }
            if (!infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            while (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
              var number = parseInt(walker.c(), 10);
              if (ipv4Piece === null) {
                ipv4Piece = number;
              } else if (ipv4Piece === 0) {
                validationError("Invalid IP v6 address.");
                return null;
              } else {
                ipv4Piece = ipv4Piece * 10 + number;
              }
              if (ipv4Piece > 255) {
                validationError("Invalid IP v6 address.");
                return null;
              }
              walker.pointer++;
            }
            if (ipv4Piece === null) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
            numbersSeen++;
            if (numbersSeen === 2 || numbersSeen === 4)
              pieceIndex++;
          }
          if (numbersSeen !== 4) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          break;
        } else if (walker.c() === ":") {
          walker.pointer++;
          if (walker.c() === EOF) {
            validationError("Invalid IP v6 address.");
            return null;
          }
        } else if (walker.c() !== EOF) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        address[pieceIndex] = value;
        pieceIndex++;
      }
      if (compress !== null) {
        var swaps = pieceIndex - compress;
        pieceIndex = 7;
        while (pieceIndex !== 0 && swaps > 0) {
          _a = __read([address[compress + swaps - 1], address[pieceIndex]], 2), address[pieceIndex] = _a[0], address[compress + swaps - 1] = _a[1];
          pieceIndex--;
          swaps--;
        }
      } else if (compress === null && pieceIndex !== 8) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      return address;
    }
    exports2.iPv6Parser = iPv6Parser;
    function opaqueHostParser(input) {
      var e_8, _a;
      var forbiddenChars = /[\x00\t\f\r #/:?@\[\\\]]/;
      if (forbiddenChars.test(input)) {
        validationError("Invalid host string.");
        return null;
      }
      var output = "";
      try {
        for (var input_1 = __values(input), input_1_1 = input_1.next(); !input_1_1.done; input_1_1 = input_1.next()) {
          var codePoint = input_1_1.value;
          output += utf8PercentEncode(codePoint, _c0ControlPercentEncodeSet);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (input_1_1 && !input_1_1.done && (_a = input_1.return))
            _a.call(input_1);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return output;
    }
    exports2.opaqueHostParser = opaqueHostParser;
    function resolveABlobURL(url) {
      return null;
    }
    exports2.resolveABlobURL = resolveABlobURL;
    function percentEncode(value) {
      return "%" + ("00" + value.toString(16).toUpperCase()).slice(-2);
    }
    exports2.percentEncode = percentEncode;
    function percentDecode(input) {
      var isHexDigit = function(byte2) {
        return byte2 >= 48 && byte2 <= 57 || byte2 >= 65 && byte2 <= 70 || byte2 >= 97 && byte2 <= 102;
      };
      var output = new Uint8Array(input.length);
      var n = 0;
      for (var i = 0; i < input.length; i++) {
        var byte = input[i];
        if (byte !== 37) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && i >= input.length - 2) {
          output[n] = byte;
          n++;
        } else if (byte === 37 && (!isHexDigit(input[i + 1]) || !isHexDigit(input[i + 2]))) {
          output[n] = byte;
          n++;
        } else {
          var bytePoint = parseInt(util_1.utf8Decode(Uint8Array.of(input[i + 1], input[i + 2])), 16);
          output[n] = bytePoint;
          n++;
          i += 2;
        }
      }
      return output.subarray(0, n);
    }
    exports2.percentDecode = percentDecode;
    function stringPercentDecode(input) {
      return percentDecode(util_1.utf8Encode(input));
    }
    exports2.stringPercentDecode = stringPercentDecode;
    function utf8PercentEncode(codePoint, percentEncodeSet) {
      var e_9, _a;
      if (!percentEncodeSet.test(codePoint))
        return codePoint;
      var bytes = util_1.utf8Encode(codePoint);
      var result = "";
      try {
        for (var bytes_2 = __values(bytes), bytes_2_1 = bytes_2.next(); !bytes_2_1.done; bytes_2_1 = bytes_2.next()) {
          var byte = bytes_2_1.value;
          result += percentEncode(byte);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (bytes_2_1 && !bytes_2_1.done && (_a = bytes_2.return))
            _a.call(bytes_2);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    }
    exports2.utf8PercentEncode = utf8PercentEncode;
    function hostEquals(hostA, hostB) {
      return hostA === hostB;
    }
    exports2.hostEquals = hostEquals;
    function urlEquals(urlA, urlB, excludeFragmentsFlag) {
      if (excludeFragmentsFlag === void 0) {
        excludeFragmentsFlag = false;
      }
      return urlSerializer(urlA, excludeFragmentsFlag) === urlSerializer(urlB, excludeFragmentsFlag);
    }
    exports2.urlEquals = urlEquals;
    function urlEncodedStringParser(input) {
      return urlEncodedParser(util_1.utf8Encode(input));
    }
    exports2.urlEncodedStringParser = urlEncodedStringParser;
    function urlEncodedParser(input) {
      var e_10, _a, e_11, _b;
      var sequences = [];
      var currentSequence = [];
      try {
        for (var input_2 = __values(input), input_2_1 = input_2.next(); !input_2_1.done; input_2_1 = input_2.next()) {
          var byte = input_2_1.value;
          if (byte === 38) {
            sequences.push(Uint8Array.from(currentSequence));
            currentSequence = [];
          } else {
            currentSequence.push(byte);
          }
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (input_2_1 && !input_2_1.done && (_a = input_2.return))
            _a.call(input_2);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (currentSequence.length !== 0) {
        sequences.push(Uint8Array.from(currentSequence));
      }
      var output = [];
      try {
        for (var sequences_1 = __values(sequences), sequences_1_1 = sequences_1.next(); !sequences_1_1.done; sequences_1_1 = sequences_1.next()) {
          var bytes = sequences_1_1.value;
          if (bytes.length === 0)
            continue;
          var index = bytes.indexOf(61);
          var name = index !== -1 ? bytes.slice(0, index) : bytes;
          var value = index !== -1 ? bytes.slice(index + 1) : new Uint8Array();
          for (var i = 0; i < name.length; i++)
            if (name[i] === 43)
              name[i] = 32;
          for (var i = 0; i < value.length; i++)
            if (value[i] === 43)
              value[i] = 32;
          var nameString = util_1.utf8Decode(name);
          var valueString = util_1.utf8Decode(value);
          output.push([nameString, valueString]);
        }
      } catch (e_11_1) {
        e_11 = { error: e_11_1 };
      } finally {
        try {
          if (sequences_1_1 && !sequences_1_1.done && (_b = sequences_1.return))
            _b.call(sequences_1);
        } finally {
          if (e_11)
            throw e_11.error;
        }
      }
      return output;
    }
    exports2.urlEncodedParser = urlEncodedParser;
    function urlEncodedByteSerializer(input) {
      var e_12, _a;
      var output = "";
      try {
        for (var input_3 = __values(input), input_3_1 = input_3.next(); !input_3_1.done; input_3_1 = input_3.next()) {
          var byte = input_3_1.value;
          if (byte === 32) {
            output += "+";
          } else if (byte === 42 || byte === 45 || byte === 46 || byte >= 48 && byte <= 57 || byte >= 65 && byte <= 90 || byte === 95 || byte >= 97 && byte <= 122) {
            output += String.fromCodePoint(byte);
          } else {
            output += percentEncode(byte);
          }
        }
      } catch (e_12_1) {
        e_12 = { error: e_12_1 };
      } finally {
        try {
          if (input_3_1 && !input_3_1.done && (_a = input_3.return))
            _a.call(input_3);
        } finally {
          if (e_12)
            throw e_12.error;
        }
      }
      return output;
    }
    exports2.urlEncodedByteSerializer = urlEncodedByteSerializer;
    function urlEncodedSerializer(tuples, encodingOverride) {
      var e_13, _a;
      var encoding = encodingOverride === void 0 || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
      if (encoding.toUpperCase() !== "UTF-8") {
        throw new Error("Only UTF-8 encoding is supported.");
      }
      var output = "";
      try {
        for (var tuples_1 = __values(tuples), tuples_1_1 = tuples_1.next(); !tuples_1_1.done; tuples_1_1 = tuples_1.next()) {
          var tuple = tuples_1_1.value;
          var name = urlEncodedByteSerializer(util_1.utf8Encode(tuple[0]));
          var value = tuple[1];
          value = urlEncodedByteSerializer(util_1.utf8Encode(value));
          if (output !== "")
            output += "&";
          output += name + "=" + value;
        }
      } catch (e_13_1) {
        e_13 = { error: e_13_1 };
      } finally {
        try {
          if (tuples_1_1 && !tuples_1_1.done && (_a = tuples_1.return))
            _a.call(tuples_1);
        } finally {
          if (e_13)
            throw e_13.error;
        }
      }
      return output;
    }
    exports2.urlEncodedSerializer = urlEncodedSerializer;
    function origin(url) {
      switch (url.scheme) {
        case "blob":
          if (url._blobURLEntry !== null) {
          }
          var parsedURL = basicURLParser(url.path[0]);
          if (parsedURL === null)
            return interfaces_1.OpaqueOrigin;
          else
            return origin(parsedURL);
        case "ftp":
        case "http":
        case "https":
        case "ws":
        case "wss":
          return [url.scheme, url.host === null ? "" : url.host, url.port, null];
        case "file":
          return interfaces_1.OpaqueOrigin;
        default:
          return interfaces_1.OpaqueOrigin;
      }
    }
    exports2.origin = origin;
    function domainToASCII(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToASCII(domain);
      if (result === "") {
        validationError("Invalid domain name.");
        return null;
      }
      return result;
    }
    exports2.domainToASCII = domainToASCII;
    function domainToUnicode(domain, beStrict) {
      if (beStrict === void 0) {
        beStrict = false;
      }
      var result = url_1.domainToUnicode(domain);
      if (result === "") {
        validationError("Invalid domain name.");
      }
      return result;
    }
    exports2.domainToUnicode = domainToUnicode;
    function asciiSerializationOfAnOrigin(origin2) {
      if (origin2[0] === "" && origin2[1] === "" && origin2[2] === null && origin2[3] === null) {
        return "null";
      }
      var result = origin2[0] + "://" + hostSerializer(origin2[1]);
      if (origin2[2] !== null)
        result += ":" + origin2[2].toString();
      return result;
    }
    exports2.asciiSerializationOfAnOrigin = asciiSerializationOfAnOrigin;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js
var require_NodeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var interfaces_1 = require_interfaces14();
    var EventTargetImpl_1 = require_EventTargetImpl4();
    var util_1 = require_util22();
    var DOMException_1 = require_DOMException4();
    var algorithm_1 = require_algorithm4();
    var URLAlgorithm_1 = require_URLAlgorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var NodeImpl = (
      /** @class */
      function(_super) {
        __extends(NodeImpl2, _super);
        function NodeImpl2() {
          var _this = _super.call(this) || this;
          _this._parent = null;
          _this._firstChild = null;
          _this._lastChild = null;
          _this._previousSibling = null;
          _this._nextSibling = null;
          return _this;
        }
        Object.defineProperty(NodeImpl2.prototype, "_childNodes", {
          get: function() {
            return this.__childNodes || (this.__childNodes = algorithm_1.create_nodeList(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverride || DOMImpl_1.dom.window._associatedDocument;
          },
          set: function(val) {
            this._nodeDocumentOverride = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "_registeredObserverList", {
          get: function() {
            return this.__registeredObserverList || (this.__registeredObserverList = []);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeType", {
          /** @inheritdoc */
          get: function() {
            return this._nodeType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeName", {
          /**
           * Returns a string appropriate for the type of node.
           */
          get: function() {
            if (util_1.Guard.isElementNode(this)) {
              return this._htmlUppercasedQualifiedName;
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._qualifiedName;
            } else if (util_1.Guard.isExclusiveTextNode(this)) {
              return "#text";
            } else if (util_1.Guard.isCDATASectionNode(this)) {
              return "#cdata-section";
            } else if (util_1.Guard.isProcessingInstructionNode(this)) {
              return this._target;
            } else if (util_1.Guard.isCommentNode(this)) {
              return "#comment";
            } else if (util_1.Guard.isDocumentNode(this)) {
              return "#document";
            } else if (util_1.Guard.isDocumentTypeNode(this)) {
              return this._name;
            } else if (util_1.Guard.isDocumentFragmentNode(this)) {
              return "#document-fragment";
            } else {
              return "";
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "baseURI", {
          /**
           * Gets the absolute base URL of the node.
           */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._nodeDocument._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "isConnected", {
          /**
           * Returns whether the node is rooted to a document node.
           */
          get: function() {
            return util_1.Guard.isElementNode(this) && algorithm_1.shadowTree_isConnected(this);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "ownerDocument", {
          /**
           * Returns the parent document.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Document)
              return null;
            else
              return this._nodeDocument;
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.getRootNode = function(options) {
          return algorithm_1.tree_rootNode(this, !!options && options.composed);
        };
        Object.defineProperty(NodeImpl2.prototype, "parentNode", {
          /**
           * Returns the parent node.
           */
          get: function() {
            if (this._nodeType === interfaces_1.NodeType.Attribute) {
              return null;
            } else {
              return this._parent;
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "parentElement", {
          /**
           * Returns the parent element.
           */
          get: function() {
            if (this._parent && util_1.Guard.isElementNode(this._parent)) {
              return this._parent;
            } else {
              return null;
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.hasChildNodes = function() {
          return this._firstChild !== null;
        };
        Object.defineProperty(NodeImpl2.prototype, "childNodes", {
          /**
           * Returns a {@link NodeList} of child nodes.
           */
          get: function() {
            return this._childNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "firstChild", {
          /**
           * Returns the first child node.
           */
          get: function() {
            return this._firstChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "lastChild", {
          /**
           * Returns the last child node.
           */
          get: function() {
            return this._lastChild;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "previousSibling", {
          /**
           * Returns the previous sibling node.
           */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nextSibling", {
          /**
           * Returns the next sibling node.
           */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "nodeValue", {
          /**
           * Gets or sets the data associated with a {@link CharacterData} node or the
           * value of an {@link @Attr} node. For other node types returns `null`.
           */
          get: function() {
            if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
            }
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeImpl2.prototype, "textContent", {
          /**
           * Returns the concatenation of data of all the {@link Text}
           * node descendants in tree order. When set, replaces the text
           * contents of the node with the given value.
           */
          get: function() {
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              return algorithm_1.text_descendantTextContent(this);
            } else if (util_1.Guard.isAttrNode(this)) {
              return this._value;
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              return this._data;
            } else {
              return null;
            }
          },
          set: function(value) {
            if (value === null) {
              value = "";
            }
            if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
              algorithm_1.node_stringReplaceAll(value, this);
            } else if (util_1.Guard.isAttrNode(this)) {
              algorithm_1.attr_setAnExistingAttributeValue(this, value);
            } else if (util_1.Guard.isCharacterDataNode(this)) {
              algorithm_1.characterData_replaceData(this, 0, algorithm_1.tree_nodeLength(this), value);
            }
          },
          enumerable: true,
          configurable: true
        });
        NodeImpl2.prototype.normalize = function() {
          var e_1, _a, e_2, _b;
          var descendantNodes = [];
          var node = algorithm_1.tree_getFirstDescendantNode(this, false, false, function(e) {
            return util_1.Guard.isExclusiveTextNode(e);
          });
          while (node !== null) {
            descendantNodes.push(node);
            node = algorithm_1.tree_getNextDescendantNode(this, node, false, false, function(e) {
              return util_1.Guard.isExclusiveTextNode(e);
            });
          }
          for (var i = 0; i < descendantNodes.length; i++) {
            var node_1 = descendantNodes[i];
            if (node_1._parent === null)
              continue;
            var length = algorithm_1.tree_nodeLength(node_1);
            if (length === 0) {
              algorithm_1.mutation_remove(node_1, node_1._parent);
              continue;
            }
            var textSiblings = [];
            var data = "";
            try {
              for (var _c = (e_1 = void 0, __values(algorithm_1.text_contiguousExclusiveTextNodes(node_1))), _d = _c.next(); !_d.done; _d = _c.next()) {
                var sibling = _d.value;
                textSiblings.push(sibling);
                data += sibling._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            algorithm_1.characterData_replaceData(node_1, length, 0, data);
            if (DOMImpl_1.dom.rangeList.size !== 0) {
              var currentNode = node_1._nextSibling;
              while (currentNode !== null && util_1.Guard.isExclusiveTextNode(currentNode)) {
                var cn = currentNode;
                var index = algorithm_1.tree_index(cn);
                try {
                  for (var _e = (e_2 = void 0, __values(DOMImpl_1.dom.rangeList)), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var range = _f.value;
                    if (range._start[0] === cn) {
                      range._start[0] = node_1;
                      range._start[1] += length;
                    }
                    if (range._end[0] === cn) {
                      range._end[0] = node_1;
                      range._end[1] += length;
                    }
                    if (range._start[0] === cn._parent && range._start[1] === index) {
                      range._start[0] = node_1;
                      range._start[1] = length;
                    }
                    if (range._end[0] === cn._parent && range._end[1] === index) {
                      range._end[0] = node_1;
                      range._end[1] = length;
                    }
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_f && !_f.done && (_b = _e.return))
                      _b.call(_e);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                length += algorithm_1.tree_nodeLength(currentNode);
                currentNode = currentNode._nextSibling;
              }
            }
            for (var i_1 = 0; i_1 < textSiblings.length; i_1++) {
              var sibling = textSiblings[i_1];
              if (sibling._parent === null)
                continue;
              algorithm_1.mutation_remove(sibling, sibling._parent);
            }
          }
        };
        NodeImpl2.prototype.cloneNode = function(deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isShadowRoot(this))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(this, null, deep);
        };
        NodeImpl2.prototype.isEqualNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return node !== null && algorithm_1.node_equals(this, node);
        };
        NodeImpl2.prototype.isSameNode = function(node) {
          if (node === void 0) {
            node = null;
          }
          return this === node;
        };
        NodeImpl2.prototype.compareDocumentPosition = function(other) {
          if (other === this)
            return 0;
          var node1 = other;
          var node2 = this;
          var attr1 = null;
          var attr2 = null;
          if (util_1.Guard.isAttrNode(node1)) {
            attr1 = node1;
            node1 = attr1._element;
          }
          if (util_1.Guard.isAttrNode(node2)) {
            attr2 = node2;
            node2 = attr2._element;
            if (attr1 && node1 && node1 === node2) {
              for (var i = 0; i < node2._attributeList.length; i++) {
                var attr = node2._attributeList[i];
                if (algorithm_1.node_equals(attr, attr1)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Preceding;
                } else if (algorithm_1.node_equals(attr, attr2)) {
                  return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Following;
                }
              }
            }
          }
          if (node1 === null || node2 === null || algorithm_1.tree_rootNode(node1) !== algorithm_1.tree_rootNode(node2)) {
            return interfaces_1.Position.Disconnected | interfaces_1.Position.ImplementationSpecific | (DOMImpl_1.dom.compareCache.check(this, other) ? interfaces_1.Position.Preceding : interfaces_1.Position.Following);
          }
          if (!attr1 && algorithm_1.tree_isAncestorOf(node2, node1) || attr2 && node1 === node2) {
            return interfaces_1.Position.Contains | interfaces_1.Position.Preceding;
          }
          if (!attr2 && algorithm_1.tree_isDescendantOf(node2, node1) || attr1 && node1 === node2) {
            return interfaces_1.Position.ContainedBy | interfaces_1.Position.Following;
          }
          if (algorithm_1.tree_isPreceding(node2, node1))
            return interfaces_1.Position.Preceding;
          return interfaces_1.Position.Following;
        };
        NodeImpl2.prototype.contains = function(other) {
          if (other === null)
            return false;
          return algorithm_1.tree_isDescendantOf(this, other, true);
        };
        NodeImpl2.prototype.lookupPrefix = function(namespace) {
          if (!namespace)
            return null;
          if (util_1.Guard.isElementNode(this)) {
            return algorithm_1.node_locateANamespacePrefix(this, namespace);
          } else if (util_1.Guard.isDocumentNode(this)) {
            if (this.documentElement === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this.documentElement, namespace);
            }
          } else if (util_1.Guard.isDocumentTypeNode(this) || util_1.Guard.isDocumentFragmentNode(this)) {
            return null;
          } else if (util_1.Guard.isAttrNode(this)) {
            if (this._element === null) {
              return null;
            } else {
              return algorithm_1.node_locateANamespacePrefix(this._element, namespace);
            }
          } else {
            if (this._parent !== null && util_1.Guard.isElementNode(this._parent)) {
              return algorithm_1.node_locateANamespacePrefix(this._parent, namespace);
            } else {
              return null;
            }
          }
        };
        NodeImpl2.prototype.lookupNamespaceURI = function(prefix) {
          return algorithm_1.node_locateANamespace(this, prefix || null);
        };
        NodeImpl2.prototype.isDefaultNamespace = function(namespace) {
          if (!namespace)
            namespace = null;
          var defaultNamespace = algorithm_1.node_locateANamespace(this, null);
          return defaultNamespace === namespace;
        };
        NodeImpl2.prototype.insertBefore = function(newChild, refChild) {
          return algorithm_1.mutation_preInsert(newChild, this, refChild);
        };
        NodeImpl2.prototype.appendChild = function(newChild) {
          return algorithm_1.mutation_append(newChild, this);
        };
        NodeImpl2.prototype.replaceChild = function(newChild, oldChild) {
          return algorithm_1.mutation_replace(oldChild, newChild, this);
        };
        NodeImpl2.prototype.removeChild = function(oldChild) {
          return algorithm_1.mutation_preRemove(oldChild, this);
        };
        NodeImpl2.prototype._getTheParent = function(event) {
          if (util_1.Guard.isSlotable(this) && algorithm_1.shadowTree_isAssigned(this)) {
            return this._assignedSlot;
          } else {
            return this._parent;
          }
        };
        NodeImpl2.ELEMENT_NODE = 1;
        NodeImpl2.ATTRIBUTE_NODE = 2;
        NodeImpl2.TEXT_NODE = 3;
        NodeImpl2.CDATA_SECTION_NODE = 4;
        NodeImpl2.ENTITY_REFERENCE_NODE = 5;
        NodeImpl2.ENTITY_NODE = 6;
        NodeImpl2.PROCESSING_INSTRUCTION_NODE = 7;
        NodeImpl2.COMMENT_NODE = 8;
        NodeImpl2.DOCUMENT_NODE = 9;
        NodeImpl2.DOCUMENT_TYPE_NODE = 10;
        NodeImpl2.DOCUMENT_FRAGMENT_NODE = 11;
        NodeImpl2.NOTATION_NODE = 12;
        NodeImpl2.DOCUMENT_POSITION_DISCONNECTED = 1;
        NodeImpl2.DOCUMENT_POSITION_PRECEDING = 2;
        NodeImpl2.DOCUMENT_POSITION_FOLLOWING = 4;
        NodeImpl2.DOCUMENT_POSITION_CONTAINS = 8;
        NodeImpl2.DOCUMENT_POSITION_CONTAINED_BY = 16;
        NodeImpl2.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 32;
        return NodeImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.NodeImpl = NodeImpl;
    NodeImpl.prototype._children = new util_1.EmptySet();
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ELEMENT_NODE", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ATTRIBUTE_NODE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "TEXT_NODE", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "CDATA_SECTION_NODE", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_REFERENCE_NODE", 5);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_NODE", 6);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "PROCESSING_INSTRUCTION_NODE", 7);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "COMMENT_NODE", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_NODE", 9);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_TYPE_NODE", 10);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_FRAGMENT_NODE", 11);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "NOTATION_NODE", 12);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_DISCONNECTED", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_PRECEDING", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_FOLLOWING", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINS", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINED_BY", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC", 32);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js
var require_DocumentImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var interfaces_1 = require_interfaces14();
    var DOMException_1 = require_DOMException4();
    var NodeImpl_1 = require_NodeImpl4();
    var util_1 = require_util22();
    var util_2 = require_lib19();
    var infra_1 = require_lib20();
    var URLAlgorithm_1 = require_URLAlgorithm4();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var DocumentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentImpl2, _super);
        function DocumentImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._encoding = {
            name: "UTF-8",
            labels: ["unicode-1-1-utf-8", "utf-8", "utf8"]
          };
          _this._contentType = "application/xml";
          _this._URL = {
            scheme: "about",
            username: "",
            password: "",
            host: null,
            port: null,
            path: ["blank"],
            query: null,
            fragment: null,
            _cannotBeABaseURLFlag: true,
            _blobURLEntry: null
          };
          _this._origin = null;
          _this._type = "xml";
          _this._mode = "no-quirks";
          _this._documentElement = null;
          _this._hasNamespaces = false;
          _this._nodeDocumentOverwrite = null;
          return _this;
        }
        Object.defineProperty(DocumentImpl2.prototype, "_nodeDocument", {
          get: function() {
            return this._nodeDocumentOverwrite || this;
          },
          set: function(val) {
            this._nodeDocumentOverwrite = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "implementation", {
          /** @inheritdoc */
          get: function() {
            return this._implementation || (this._implementation = algorithm_1.create_domImplementation(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "URL", {
          /** @inheritdoc */
          get: function() {
            return URLAlgorithm_1.urlSerializer(this._URL);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentURI", {
          /** @inheritdoc */
          get: function() {
            return this.URL;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "origin", {
          /** @inheritdoc */
          get: function() {
            return "null";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "compatMode", {
          /** @inheritdoc */
          get: function() {
            return this._mode === "quirks" ? "BackCompat" : "CSS1Compat";
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "characterSet", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "charset", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "inputEncoding", {
          /** @inheritdoc */
          get: function() {
            return this._encoding.name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "contentType", {
          /** @inheritdoc */
          get: function() {
            return this._contentType;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "doctype", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            try {
              for (var _b = __values(this._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var child = _c.value;
                if (util_1.Guard.isDocumentTypeNode(child))
                  return child;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "documentElement", {
          /** @inheritdoc */
          get: function() {
            return this._documentElement;
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        DocumentImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        DocumentImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        DocumentImpl2.prototype.createElement = function(localName, options) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html")
            localName = localName.toLowerCase();
          var is = null;
          if (options !== void 0) {
            if (util_2.isString(options)) {
              is = options;
            } else {
              is = options.is;
            }
          }
          var namespace = this._type === "html" || this._contentType === "application/xhtml+xml" ? infra_1.namespace.HTML : null;
          return algorithm_1.element_createAnElement(this, localName, namespace, null, is, true);
        };
        DocumentImpl2.prototype.createElementNS = function(namespace, qualifiedName, options) {
          return algorithm_1.document_internalCreateElementNS(this, namespace, qualifiedName, options);
        };
        DocumentImpl2.prototype.createDocumentFragment = function() {
          return algorithm_1.create_documentFragment(this);
        };
        DocumentImpl2.prototype.createTextNode = function(data) {
          return algorithm_1.create_text(this, data);
        };
        DocumentImpl2.prototype.createCDATASection = function(data) {
          if (this._type === "html")
            throw new DOMException_1.NotSupportedError();
          if (data.indexOf("]]>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_cdataSection(this, data);
        };
        DocumentImpl2.prototype.createComment = function(data) {
          return algorithm_1.create_comment(this, data);
        };
        DocumentImpl2.prototype.createProcessingInstruction = function(target, data) {
          if (!algorithm_1.xml_isName(target))
            throw new DOMException_1.InvalidCharacterError();
          if (data.indexOf("?>") !== -1)
            throw new DOMException_1.InvalidCharacterError();
          return algorithm_1.create_processingInstruction(this, target, data);
        };
        DocumentImpl2.prototype.importNode = function(node, deep) {
          if (deep === void 0) {
            deep = false;
          }
          if (util_1.Guard.isDocumentNode(node) || util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.NotSupportedError();
          return algorithm_1.node_clone(node, this, deep);
        };
        DocumentImpl2.prototype.adoptNode = function(node) {
          if (util_1.Guard.isDocumentNode(node))
            throw new DOMException_1.NotSupportedError();
          if (util_1.Guard.isShadowRoot(node))
            throw new DOMException_1.HierarchyRequestError();
          algorithm_1.document_adopt(node, this);
          return node;
        };
        DocumentImpl2.prototype.createAttribute = function(localName) {
          if (!algorithm_1.xml_isName(localName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._type === "html") {
            localName = localName.toLowerCase();
          }
          var attr = algorithm_1.create_attr(this, localName);
          return attr;
        };
        DocumentImpl2.prototype.createAttributeNS = function(namespace, qualifiedName) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          var attr = algorithm_1.create_attr(this, localName);
          attr._namespace = ns;
          attr._namespacePrefix = prefix;
          return attr;
        };
        DocumentImpl2.prototype.createEvent = function(eventInterface) {
          return algorithm_1.event_createLegacyEvent(eventInterface);
        };
        DocumentImpl2.prototype.createRange = function() {
          var range = algorithm_1.create_range();
          range._start = [this, 0];
          range._end = [this, 0];
          return range;
        };
        DocumentImpl2.prototype.createNodeIterator = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var iterator = algorithm_1.create_nodeIterator(root, root, true);
          iterator._whatToShow = whatToShow;
          iterator._iteratorCollection = algorithm_1.create_nodeList(root);
          if (util_2.isFunction(filter)) {
            iterator._filter = algorithm_1.create_nodeFilter();
            iterator._filter.acceptNode = filter;
          } else {
            iterator._filter = filter;
          }
          return iterator;
        };
        DocumentImpl2.prototype.createTreeWalker = function(root, whatToShow, filter) {
          if (whatToShow === void 0) {
            whatToShow = interfaces_1.WhatToShow.All;
          }
          if (filter === void 0) {
            filter = null;
          }
          var walker = algorithm_1.create_treeWalker(root, root);
          walker._whatToShow = whatToShow;
          if (util_2.isFunction(filter)) {
            walker._filter = algorithm_1.create_nodeFilter();
            walker._filter.acceptNode = filter;
          } else {
            walker._filter = filter;
          }
          return walker;
        };
        DocumentImpl2.prototype._getTheParent = function(event) {
          if (event._type === "load") {
            return null;
          } else {
            return DOMImpl_1.dom.window;
          }
        };
        DocumentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentImpl2.prototype, "children", {
          // MIXIN: DocumentOrShadowRoot
          // No elements
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        return DocumentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentImpl = DocumentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentImpl.prototype, "_nodeType", interfaces_1.NodeType.Document);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js
var require_XMLDocumentImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentImpl_1 = require_DocumentImpl4();
    var XMLDocumentImpl = (
      /** @class */
      function(_super) {
        __extends(XMLDocumentImpl2, _super);
        function XMLDocumentImpl2() {
          return _super.call(this) || this;
        }
        return XMLDocumentImpl2;
      }(DocumentImpl_1.DocumentImpl)
    );
    exports2.XMLDocumentImpl = XMLDocumentImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js
var require_AbortControllerImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm4();
    var AbortControllerImpl = (
      /** @class */
      function() {
        function AbortControllerImpl2() {
          this._signal = algorithm_1.create_abortSignal();
        }
        Object.defineProperty(AbortControllerImpl2.prototype, "signal", {
          /** @inheritdoc */
          get: function() {
            return this._signal;
          },
          enumerable: true,
          configurable: true
        });
        AbortControllerImpl2.prototype.abort = function() {
          algorithm_1.abort_signalAbort(this._signal);
        };
        return AbortControllerImpl2;
      }()
    );
    exports2.AbortControllerImpl = AbortControllerImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js
var require_AbortSignalImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventTargetImpl_1 = require_EventTargetImpl4();
    var algorithm_1 = require_algorithm4();
    var AbortSignalImpl = (
      /** @class */
      function(_super) {
        __extends(AbortSignalImpl2, _super);
        function AbortSignalImpl2() {
          var _this = _super.call(this) || this;
          _this._abortedFlag = false;
          _this._abortAlgorithms = /* @__PURE__ */ new Set();
          return _this;
        }
        Object.defineProperty(AbortSignalImpl2.prototype, "aborted", {
          /** @inheritdoc */
          get: function() {
            return this._abortedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbortSignalImpl2.prototype, "onabort", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.event_getterEventHandlerIDLAttribute(this, "onabort");
          },
          set: function(val) {
            algorithm_1.event_setterEventHandlerIDLAttribute(this, "onabort", val);
          },
          enumerable: true,
          configurable: true
        });
        AbortSignalImpl2._create = function() {
          return new AbortSignalImpl2();
        };
        return AbortSignalImpl2;
      }(EventTargetImpl_1.EventTargetImpl)
    );
    exports2.AbortSignalImpl = AbortSignalImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js
var require_DocumentTypeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var NodeImpl_1 = require_NodeImpl4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var DocumentTypeImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentTypeImpl2, _super);
        function DocumentTypeImpl2(name, publicId, systemId) {
          var _this = _super.call(this) || this;
          _this._name = "";
          _this._publicId = "";
          _this._systemId = "";
          _this._name = name;
          _this._publicId = publicId;
          _this._systemId = systemId;
          return _this;
        }
        Object.defineProperty(DocumentTypeImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._name;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "publicId", {
          /** @inheritdoc */
          get: function() {
            return this._publicId;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentTypeImpl2.prototype, "systemId", {
          /** @inheritdoc */
          get: function() {
            return this._systemId;
          },
          enumerable: true,
          configurable: true
        });
        DocumentTypeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        DocumentTypeImpl2._create = function(document, name, publicId, systemId) {
          if (publicId === void 0) {
            publicId = "";
          }
          if (systemId === void 0) {
            systemId = "";
          }
          var node = new DocumentTypeImpl2(name, publicId, systemId);
          node._nodeDocument = document;
          return node;
        };
        return DocumentTypeImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentTypeImpl = DocumentTypeImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentTypeImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentType);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js
var require_ElementImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ElementImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var NodeImpl_1 = require_NodeImpl4();
    var DOMException_1 = require_DOMException4();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var ElementImpl = (
      /** @class */
      function(_super) {
        __extends(ElementImpl2, _super);
        function ElementImpl2() {
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._localName = "";
          _this._customElementState = "undefined";
          _this._customElementDefinition = null;
          _this._is = null;
          _this._shadowRoot = null;
          _this._attributeList = algorithm_1.create_namedNodeMap(_this);
          _this._attributeChangeSteps = [];
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(ElementImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "tagName", {
          /** @inheritdoc */
          get: function() {
            return this._htmlUppercasedQualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "id", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "id");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "id", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "className", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "class");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "class", value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "classList", {
          /** @inheritdoc */
          get: function() {
            var attr = algorithm_1.element_getAnAttributeByName("class", this);
            if (attr === null) {
              attr = algorithm_1.create_attr(this._nodeDocument, "class");
            }
            return algorithm_1.create_domTokenList(this, attr);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "slot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.element_getAnAttributeValue(this, "slot");
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this, "slot", value);
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.hasAttributes = function() {
          return this._attributeList.length !== 0;
        };
        Object.defineProperty(ElementImpl2.prototype, "attributes", {
          /** @inheritdoc */
          get: function() {
            return this._attributeList;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.getAttributeNames = function() {
          var e_1, _a;
          var names = [];
          try {
            for (var _b = __values(this._attributeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              names.push(attr._qualifiedName);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return names;
        };
        ElementImpl2.prototype.getAttribute = function(qualifiedName) {
          var attr = algorithm_1.element_getAnAttributeByName(qualifiedName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.getAttributeNS = function(namespace, localName) {
          var attr = algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
          return attr ? attr._value : null;
        };
        ElementImpl2.prototype.setAttribute = function(qualifiedName, value) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
            attribute._value = value;
            algorithm_1.element_append(attribute, this);
            return;
          }
          algorithm_1.element_change(attribute, this, value);
        };
        ElementImpl2.prototype.setAttributeNS = function(namespace, qualifiedName, value) {
          var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
          algorithm_1.element_setAnAttributeValue(this, localName, value, prefix, ns);
        };
        ElementImpl2.prototype.removeAttribute = function(qualifiedName) {
          algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.removeAttributeNS = function(namespace, localName) {
          algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.hasAttribute = function(qualifiedName) {
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.toggleAttribute = function(qualifiedName, force) {
          if (!algorithm_1.xml_isName(qualifiedName))
            throw new DOMException_1.InvalidCharacterError();
          if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
            qualifiedName = qualifiedName.toLowerCase();
          }
          var attribute = null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._qualifiedName === qualifiedName) {
              attribute = attr;
              break;
            }
          }
          if (attribute === null) {
            if (force === void 0 || force === true) {
              attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
              attribute._value = "";
              algorithm_1.element_append(attribute, this);
              return true;
            }
            return false;
          } else if (force === void 0 || force === false) {
            algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
            return false;
          }
          return true;
        };
        ElementImpl2.prototype.hasAttributeNS = function(namespace, localName) {
          var ns = namespace || null;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attr = this._attributeList[i];
            if (attr._namespace === ns && attr._localName === localName) {
              return true;
            }
          }
          return false;
        };
        ElementImpl2.prototype.getAttributeNode = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this);
        };
        ElementImpl2.prototype.getAttributeNodeNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
        };
        ElementImpl2.prototype.setAttributeNode = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.setAttributeNodeNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this);
        };
        ElementImpl2.prototype.removeAttributeNode = function(attr) {
          var found = false;
          for (var i = 0; i < this._attributeList.length; i++) {
            var attribute = this._attributeList[i];
            if (attribute === attr) {
              found = true;
              break;
            }
          }
          if (!found)
            throw new DOMException_1.NotFoundError();
          algorithm_1.element_remove(attr, this);
          return attr;
        };
        ElementImpl2.prototype.attachShadow = function(init) {
          if (this._namespace !== infra_1.namespace.HTML)
            throw new DOMException_1.NotSupportedError();
          if (!algorithm_1.customElement_isValidCustomElementName(this._localName) && !algorithm_1.customElement_isValidShadowHostName(this._localName))
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.customElement_isValidCustomElementName(this._localName) || this._is !== null) {
            var definition = algorithm_1.customElement_lookUpACustomElementDefinition(this._nodeDocument, this._namespace, this._localName, this._is);
            if (definition !== null && definition.disableShadow === true) {
              throw new DOMException_1.NotSupportedError();
            }
          }
          if (this._shadowRoot !== null)
            throw new DOMException_1.NotSupportedError();
          var shadow = algorithm_1.create_shadowRoot(this._nodeDocument, this);
          shadow._mode = init.mode;
          this._shadowRoot = shadow;
          return shadow;
        };
        Object.defineProperty(ElementImpl2.prototype, "shadowRoot", {
          /** @inheritdoc */
          get: function() {
            var shadow = this._shadowRoot;
            if (shadow === null || shadow.mode === "closed")
              return null;
            else
              return shadow;
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.closest = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.matches = function(selectors) {
          throw new DOMException_1.NotImplementedError();
        };
        ElementImpl2.prototype.webkitMatchesSelector = function(selectors) {
          return this.matches(selectors);
        };
        ElementImpl2.prototype.getElementsByTagName = function(qualifiedName) {
          return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
        };
        ElementImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
          return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
        };
        ElementImpl2.prototype.getElementsByClassName = function(classNames) {
          return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
        };
        ElementImpl2.prototype.insertAdjacentElement = function(where, element) {
          return algorithm_1.element_insertAdjacent(this, where, element);
        };
        ElementImpl2.prototype.insertAdjacentText = function(where, data) {
          var text = algorithm_1.create_text(this._nodeDocument, data);
          algorithm_1.element_insertAdjacent(this, where, text);
        };
        Object.defineProperty(ElementImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "_htmlUppercasedQualifiedName", {
          /**
           * Returns the upper-cased qualified name for a html element.
           */
          get: function() {
            var qualifiedName = this._qualifiedName;
            if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
              qualifiedName = qualifiedName.toUpperCase();
            }
            return qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        ElementImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ElementImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        ElementImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        Object.defineProperty(ElementImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        ElementImpl2._create = function(document, localName, namespace, namespacePrefix) {
          if (namespace === void 0) {
            namespace = null;
          }
          if (namespacePrefix === void 0) {
            namespacePrefix = null;
          }
          var node = new ElementImpl2();
          node._localName = localName;
          node._namespace = namespace;
          node._namespacePrefix = namespacePrefix;
          node._nodeDocument = document;
          return node;
        };
        return ElementImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.ElementImpl = ElementImpl;
    WebIDLAlgorithm_1.idl_defineConst(ElementImpl.prototype, "_nodeType", interfaces_1.NodeType.Element);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js
var require_DocumentFragmentImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var NodeImpl_1 = require_NodeImpl4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var DocumentFragmentImpl = (
      /** @class */
      function(_super) {
        __extends(DocumentFragmentImpl2, _super);
        function DocumentFragmentImpl2(host) {
          if (host === void 0) {
            host = null;
          }
          var _this = _super.call(this) || this;
          _this._children = /* @__PURE__ */ new Set();
          _this._host = host;
          return _this;
        }
        DocumentFragmentImpl2.prototype.getElementById = function(elementId) {
          throw new Error("Mixin: NonElementParentNode not implemented.");
        };
        Object.defineProperty(DocumentFragmentImpl2.prototype, "children", {
          // MIXIN: ParentNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "firstElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "lastElementChild", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DocumentFragmentImpl2.prototype, "childElementCount", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: ParentNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        DocumentFragmentImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelector = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2.prototype.querySelectorAll = function(selectors) {
          throw new Error("Mixin: ParentNode not implemented.");
        };
        DocumentFragmentImpl2._create = function(document, host) {
          if (host === void 0) {
            host = null;
          }
          var node = new DocumentFragmentImpl2(host);
          node._nodeDocument = document;
          return node;
        };
        return DocumentFragmentImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.DocumentFragmentImpl = DocumentFragmentImpl;
    WebIDLAlgorithm_1.idl_defineConst(DocumentFragmentImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentFragment);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js
var require_ShadowRootImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl4();
    var util_1 = require_lib19();
    var algorithm_1 = require_algorithm4();
    var ShadowRootImpl = (
      /** @class */
      function(_super) {
        __extends(ShadowRootImpl2, _super);
        function ShadowRootImpl2(host, mode) {
          var _this = _super.call(this) || this;
          _this._host = host;
          _this._mode = mode;
          return _this;
        }
        Object.defineProperty(ShadowRootImpl2.prototype, "mode", {
          /** @inheritdoc */
          get: function() {
            return this._mode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ShadowRootImpl2.prototype, "host", {
          /** @inheritdoc */
          get: function() {
            return this._host;
          },
          enumerable: true,
          configurable: true
        });
        ShadowRootImpl2.prototype._getTheParent = function(event) {
          if (!event._composedFlag && !util_1.isEmpty(event._path) && algorithm_1.tree_rootNode(event._path[0].invocationTarget) === this) {
            return null;
          } else {
            return this._host;
          }
        };
        ShadowRootImpl2._create = function(document, host) {
          return new ShadowRootImpl2(host, "closed");
        };
        return ShadowRootImpl2;
      }(DocumentFragmentImpl_1.DocumentFragmentImpl)
    );
    exports2.ShadowRootImpl = ShadowRootImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js
var require_AttrImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AttrImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var NodeImpl_1 = require_NodeImpl4();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var AttrImpl = (
      /** @class */
      function(_super) {
        __extends(AttrImpl2, _super);
        function AttrImpl2(localName) {
          var _this = _super.call(this) || this;
          _this._namespace = null;
          _this._namespacePrefix = null;
          _this._element = null;
          _this._value = "";
          _this._localName = localName;
          return _this;
        }
        Object.defineProperty(AttrImpl2.prototype, "ownerElement", {
          /** @inheritdoc */
          get: function() {
            return this._element;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "namespaceURI", {
          /** @inheritdoc */
          get: function() {
            return this._namespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "prefix", {
          /** @inheritdoc */
          get: function() {
            return this._namespacePrefix;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "localName", {
          /** @inheritdoc */
          get: function() {
            return this._localName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "name", {
          /** @inheritdoc */
          get: function() {
            return this._qualifiedName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return this._value;
          },
          set: function(value) {
            algorithm_1.attr_setAnExistingAttributeValue(this, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AttrImpl2.prototype, "_qualifiedName", {
          /**
           * Returns the qualified name.
           */
          get: function() {
            return this._namespacePrefix !== null ? this._namespacePrefix + ":" + this._localName : this._localName;
          },
          enumerable: true,
          configurable: true
        });
        AttrImpl2._create = function(document, localName) {
          var node = new AttrImpl2(localName);
          node._nodeDocument = document;
          return node;
        };
        return AttrImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.AttrImpl = AttrImpl;
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "_nodeType", interfaces_1.NodeType.Attribute);
    WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "specified", true);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js
var require_CharacterDataImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var NodeImpl_1 = require_NodeImpl4();
    var algorithm_1 = require_algorithm4();
    var CharacterDataImpl = (
      /** @class */
      function(_super) {
        __extends(CharacterDataImpl2, _super);
        function CharacterDataImpl2(data) {
          var _this = _super.call(this) || this;
          _this._data = data;
          return _this;
        }
        Object.defineProperty(CharacterDataImpl2.prototype, "data", {
          /** @inheritdoc */
          get: function() {
            return this._data;
          },
          set: function(value) {
            algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._data.length;
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.substringData = function(offset, count) {
          return algorithm_1.characterData_substringData(this, offset, count);
        };
        CharacterDataImpl2.prototype.appendData = function(data) {
          return algorithm_1.characterData_replaceData(this, this._data.length, 0, data);
        };
        CharacterDataImpl2.prototype.insertData = function(offset, data) {
          algorithm_1.characterData_replaceData(this, offset, 0, data);
        };
        CharacterDataImpl2.prototype.deleteData = function(offset, count) {
          algorithm_1.characterData_replaceData(this, offset, count, "");
        };
        CharacterDataImpl2.prototype.replaceData = function(offset, count, data) {
          algorithm_1.characterData_replaceData(this, offset, count, data);
        };
        Object.defineProperty(CharacterDataImpl2.prototype, "previousElementSibling", {
          // MIXIN: NonDocumentTypeChildNode
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(CharacterDataImpl2.prototype, "nextElementSibling", {
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        CharacterDataImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          throw new Error("Mixin: ChildNode not implemented.");
        };
        CharacterDataImpl2.prototype.remove = function() {
          throw new Error("Mixin: ChildNode not implemented.");
        };
        return CharacterDataImpl2;
      }(NodeImpl_1.NodeImpl)
    );
    exports2.CharacterDataImpl = CharacterDataImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TextImpl.js
var require_TextImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TextImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var CharacterDataImpl_1 = require_CharacterDataImpl4();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var TextImpl = (
      /** @class */
      function(_super) {
        __extends(TextImpl2, _super);
        function TextImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          var _this = _super.call(this, data) || this;
          _this._name = "";
          _this._assignedSlot = null;
          return _this;
        }
        Object.defineProperty(TextImpl2.prototype, "wholeText", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var text = "";
            try {
              for (var _b = __values(algorithm_1.text_contiguousTextNodes(this, true)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                text = text + node._data;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return text;
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2.prototype.splitText = function(offset) {
          return algorithm_1.text_split(this, offset);
        };
        Object.defineProperty(TextImpl2.prototype, "assignedSlot", {
          // MIXIN: Slotable
          /* istanbul ignore next */
          get: function() {
            throw new Error("Mixin: Slotable not implemented.");
          },
          enumerable: true,
          configurable: true
        });
        TextImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new TextImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return TextImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.TextImpl = TextImpl;
    WebIDLAlgorithm_1.idl_defineConst(TextImpl.prototype, "_nodeType", interfaces_1.NodeType.Text);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js
var require_CDATASectionImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TextImpl_1 = require_TextImpl4();
    var interfaces_1 = require_interfaces14();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var CDATASectionImpl = (
      /** @class */
      function(_super) {
        __extends(CDATASectionImpl2, _super);
        function CDATASectionImpl2(data) {
          return _super.call(this, data) || this;
        }
        CDATASectionImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CDATASectionImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CDATASectionImpl2;
      }(TextImpl_1.TextImpl)
    );
    exports2.CDATASectionImpl = CDATASectionImpl;
    WebIDLAlgorithm_1.idl_defineConst(CDATASectionImpl.prototype, "_nodeType", interfaces_1.NodeType.CData);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js
var require_CommentImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CommentImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var CharacterDataImpl_1 = require_CharacterDataImpl4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var CommentImpl = (
      /** @class */
      function(_super) {
        __extends(CommentImpl2, _super);
        function CommentImpl2(data) {
          if (data === void 0) {
            data = "";
          }
          return _super.call(this, data) || this;
        }
        CommentImpl2._create = function(document, data) {
          if (data === void 0) {
            data = "";
          }
          var node = new CommentImpl2(data);
          node._nodeDocument = document;
          return node;
        };
        return CommentImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.CommentImpl = CommentImpl;
    WebIDLAlgorithm_1.idl_defineConst(CommentImpl.prototype, "_nodeType", interfaces_1.NodeType.Comment);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js
var require_ProcessingInstructionImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var CharacterDataImpl_1 = require_CharacterDataImpl4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var ProcessingInstructionImpl = (
      /** @class */
      function(_super) {
        __extends(ProcessingInstructionImpl2, _super);
        function ProcessingInstructionImpl2(target, data) {
          var _this = _super.call(this, data) || this;
          _this._target = target;
          return _this;
        }
        Object.defineProperty(ProcessingInstructionImpl2.prototype, "target", {
          /**
           * Gets the target of the {@link ProcessingInstruction} node.
           */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        ProcessingInstructionImpl2._create = function(document, target, data) {
          var node = new ProcessingInstructionImpl2(target, data);
          node._nodeDocument = document;
          return node;
        };
        return ProcessingInstructionImpl2;
      }(CharacterDataImpl_1.CharacterDataImpl)
    );
    exports2.ProcessingInstructionImpl = ProcessingInstructionImpl;
    WebIDLAlgorithm_1.idl_defineConst(ProcessingInstructionImpl.prototype, "_nodeType", interfaces_1.NodeType.ProcessingInstruction);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js
var require_HTMLCollectionImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var util_1 = require_util22();
    var util_2 = require_lib19();
    var HTMLCollectionImpl = (
      /** @class */
      function() {
        function HTMLCollectionImpl2(root, filter) {
          this._live = true;
          this._root = root;
          this._filter = filter;
          return new Proxy(this, this);
        }
        Object.defineProperty(HTMLCollectionImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            var _this = this;
            var count = 0;
            var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
            while (node !== null) {
              count++;
              node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
                return util_1.Guard.isElementNode(e) && _this._filter(e);
              });
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        HTMLCollectionImpl2.prototype.item = function(index) {
          var _this = this;
          var i = 0;
          var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (node !== null) {
            if (i === index)
              return node;
            else
              i++;
            node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype.namedItem = function(key) {
          var _this = this;
          if (key === "")
            return null;
          var ele = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
          while (ele != null) {
            if (ele._uniqueIdentifier === key) {
              return ele;
            } else if (ele._namespace === infra_1.namespace.HTML) {
              for (var i = 0; i < ele._attributeList.length; i++) {
                var attr = ele._attributeList[i];
                if (attr._localName === "name" && attr._namespace === null && attr._namespacePrefix === null && attr._value === key)
                  return ele;
              }
            }
            ele = algorithm_1.tree_getNextDescendantNode(this._root, ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && _this._filter(e);
            });
          }
          return null;
        };
        HTMLCollectionImpl2.prototype[Symbol.iterator] = function() {
          var root = this._root;
          var filter = this._filter;
          var currentNode = algorithm_1.tree_getFirstDescendantNode(root, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && filter(e);
          });
          return {
            next: function() {
              if (currentNode === null) {
                return { done: true, value: null };
              } else {
                var result = { done: false, value: currentNode };
                currentNode = algorithm_1.tree_getNextDescendantNode(root, currentNode, false, false, function(e) {
                  return util_1.Guard.isElementNode(e) && filter(e);
                });
                return result;
              }
            }
          };
        };
        HTMLCollectionImpl2.prototype.get = function(target, key, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return target.namedItem(key) || void 0;
          } else {
            return target.item(index) || void 0;
          }
        };
        HTMLCollectionImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          var node = isNaN(index) ? target.namedItem(key) || void 0 : target.item(index) || void 0;
          if (node && node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        HTMLCollectionImpl2._create = function(root, filter) {
          if (filter === void 0) {
            filter = function() {
              return true;
            };
          }
          return new HTMLCollectionImpl2(root, filter);
        };
        HTMLCollectionImpl2.reservedNames = [
          "_root",
          "_live",
          "_filter",
          "length",
          "item",
          "namedItem",
          "get",
          "set"
        ];
        return HTMLCollectionImpl2;
      }()
    );
    exports2.HTMLCollectionImpl = HTMLCollectionImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js
var require_NodeListImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_lib19();
    var algorithm_1 = require_algorithm4();
    var NodeListImpl = (
      /** @class */
      function() {
        function NodeListImpl2(root) {
          this._live = true;
          this._filter = null;
          this._length = 0;
          this._root = root;
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._root._children.size;
          },
          enumerable: true,
          configurable: true
        });
        NodeListImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          if (index < this.length / 2) {
            var i = 0;
            var node = this._root._firstChild;
            while (node !== null && i !== index) {
              node = node._nextSibling;
              i++;
            }
            return node;
          } else {
            var i = this.length - 1;
            var node = this._root._lastChild;
            while (node !== null && i !== index) {
              node = node._previousSibling;
              i--;
            }
            return node;
          }
        };
        NodeListImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListImpl2.prototype[Symbol.iterator] = function() {
          return this._root._children[Symbol.iterator]();
        };
        NodeListImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._root._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target.item(index) || void 0;
        };
        NodeListImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          var node = target.item(index) || void 0;
          if (!node)
            return false;
          if (node._parent) {
            algorithm_1.mutation_replace(node, value, node._parent);
            return true;
          } else {
            return false;
          }
        };
        NodeListImpl2._create = function(root) {
          return new NodeListImpl2(root);
        };
        return NodeListImpl2;
      }()
    );
    exports2.NodeListImpl = NodeListImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js
var require_NodeListStaticImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_lib19();
    var NodeListStaticImpl = (
      /** @class */
      function() {
        function NodeListStaticImpl2(root) {
          this._live = false;
          this._items = [];
          this._length = 0;
          this._root = root;
          this._items = [];
          this._filter = function(node) {
            return true;
          };
          return new Proxy(this, this);
        }
        Object.defineProperty(NodeListStaticImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._items.length;
          },
          enumerable: true,
          configurable: true
        });
        NodeListStaticImpl2.prototype.item = function(index) {
          if (index < 0 || index > this.length - 1)
            return null;
          return this._items[index];
        };
        NodeListStaticImpl2.prototype.keys = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var index = 0;
            return {
              next: function() {
                if (index === this.length) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: index++ };
                }
              }.bind(this)
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.values = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            return {
              next: function() {
                return it.next();
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype.entries = function() {
          var _a;
          return _a = {}, _a[Symbol.iterator] = function() {
            var it = this[Symbol.iterator]();
            var index = 0;
            return {
              next: function() {
                var itResult = it.next();
                if (itResult.done) {
                  return { done: true, value: null };
                } else {
                  return { done: false, value: [index++, itResult.value] };
                }
              }
            };
          }.bind(this), _a;
        };
        NodeListStaticImpl2.prototype[Symbol.iterator] = function() {
          var it = this._items[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        NodeListStaticImpl2.prototype.forEach = function(callback, thisArg) {
          var e_1, _a;
          if (thisArg === void 0) {
            thisArg = DOMImpl_1.dom.window;
          }
          var index = 0;
          try {
            for (var _b = __values(this._items), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              callback.call(thisArg, node, index++, this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        NodeListStaticImpl2.prototype.get = function(target, key, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.get(target, key, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.get(target, key, receiver);
          }
          return target._items[index] || void 0;
        };
        NodeListStaticImpl2.prototype.set = function(target, key, value, receiver) {
          if (!util_1.isString(key)) {
            return Reflect.set(target, key, value, receiver);
          }
          var index = Number(key);
          if (isNaN(index)) {
            return Reflect.set(target, key, value, receiver);
          }
          if (index >= 0 && index < target._items.length) {
            target._items[index] = value;
            return true;
          } else {
            return false;
          }
        };
        NodeListStaticImpl2._create = function(root, items) {
          var list = new NodeListStaticImpl2(root);
          list._items = items;
          return list;
        };
        return NodeListStaticImpl2;
      }()
    );
    exports2.NodeListStaticImpl = NodeListStaticImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js
var require_NamedNodeMapImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException4();
    var algorithm_1 = require_algorithm4();
    var NamedNodeMapImpl = (
      /** @class */
      function(_super) {
        __extends(NamedNodeMapImpl2, _super);
        function NamedNodeMapImpl2(element) {
          var _this = _super.call(this) || this;
          _this._element = element;
          Object.setPrototypeOf(_this, NamedNodeMapImpl2.prototype);
          return _this;
        }
        NamedNodeMapImpl2.prototype._asArray = function() {
          return this;
        };
        NamedNodeMapImpl2.prototype.item = function(index) {
          return this[index] || null;
        };
        NamedNodeMapImpl2.prototype.getNamedItem = function(qualifiedName) {
          return algorithm_1.element_getAnAttributeByName(qualifiedName, this._element);
        };
        NamedNodeMapImpl2.prototype.getNamedItemNS = function(namespace, localName) {
          return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItem = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.setNamedItemNS = function(attr) {
          return algorithm_1.element_setAnAttribute(attr, this._element);
        };
        NamedNodeMapImpl2.prototype.removeNamedItem = function(qualifiedName) {
          var attr = algorithm_1.element_removeAnAttributeByName(qualifiedName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2.prototype.removeNamedItemNS = function(namespace, localName) {
          var attr = algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
          if (attr === null)
            throw new DOMException_1.NotFoundError();
          return attr;
        };
        NamedNodeMapImpl2._create = function(element) {
          return new NamedNodeMapImpl2(element);
        };
        return NamedNodeMapImpl2;
      }(Array)
    );
    exports2.NamedNodeMapImpl = NamedNodeMapImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js
var require_AbstractRangeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl = (
      /** @class */
      function() {
        function AbstractRangeImpl2() {
        }
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startNode", {
          get: function() {
            return this._start[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_startOffset", {
          get: function() {
            return this._start[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endNode", {
          get: function() {
            return this._end[0];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_endOffset", {
          get: function() {
            return this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "_collapsed", {
          get: function() {
            return this._start[0] === this._end[0] && this._start[1] === this._end[1];
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startContainer", {
          /** @inheritdoc */
          get: function() {
            return this._startNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "startOffset", {
          /** @inheritdoc */
          get: function() {
            return this._startOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endContainer", {
          /** @inheritdoc */
          get: function() {
            return this._endNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "endOffset", {
          /** @inheritdoc */
          get: function() {
            return this._endOffset;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(AbstractRangeImpl2.prototype, "collapsed", {
          /** @inheritdoc */
          get: function() {
            return this._collapsed;
          },
          enumerable: true,
          configurable: true
        });
        return AbstractRangeImpl2;
      }()
    );
    exports2.AbstractRangeImpl = AbstractRangeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js
var require_RangeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/RangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var interfaces_1 = require_interfaces14();
    var AbstractRangeImpl_1 = require_AbstractRangeImpl4();
    var DOMException_1 = require_DOMException4();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var util_1 = require_util22();
    var RangeImpl = (
      /** @class */
      function(_super) {
        __extends(RangeImpl2, _super);
        function RangeImpl2() {
          var _this = _super.call(this) || this;
          var doc = DOMImpl_1.dom.window._associatedDocument;
          _this._start = [doc, 0];
          _this._end = [doc, 0];
          DOMImpl_1.dom.rangeList.add(_this);
          return _this;
        }
        Object.defineProperty(RangeImpl2.prototype, "commonAncestorContainer", {
          /** @inheritdoc */
          get: function() {
            var container = this._start[0];
            while (!algorithm_1.tree_isAncestorOf(this._end[0], container, true)) {
              if (container._parent === null) {
                throw new Error("Parent node  is null.");
              }
              container = container._parent;
            }
            return container;
          },
          enumerable: true,
          configurable: true
        });
        RangeImpl2.prototype.setStart = function(node, offset) {
          algorithm_1.range_setTheStart(this, node, offset);
        };
        RangeImpl2.prototype.setEnd = function(node, offset) {
          algorithm_1.range_setTheEnd(this, node, offset);
        };
        RangeImpl2.prototype.setStartBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setStartAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.setEndBefore = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node));
        };
        RangeImpl2.prototype.setEndAfter = function(node) {
          var parent = node._parent;
          if (parent === null)
            throw new DOMException_1.InvalidNodeTypeError();
          algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node) + 1);
        };
        RangeImpl2.prototype.collapse = function(toStart) {
          if (toStart) {
            this._end = this._start;
          } else {
            this._start = this._end;
          }
        };
        RangeImpl2.prototype.selectNode = function(node) {
          algorithm_1.range_select(node, this);
        };
        RangeImpl2.prototype.selectNodeContents = function(node) {
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          var length = algorithm_1.tree_nodeLength(node);
          this._start = [node, 0];
          this._end = [node, length];
        };
        RangeImpl2.prototype.compareBoundaryPoints = function(how, sourceRange) {
          if (how !== interfaces_1.HowToCompare.StartToStart && how !== interfaces_1.HowToCompare.StartToEnd && how !== interfaces_1.HowToCompare.EndToEnd && how !== interfaces_1.HowToCompare.EndToStart)
            throw new DOMException_1.NotSupportedError();
          if (algorithm_1.range_root(this) !== algorithm_1.range_root(sourceRange))
            throw new DOMException_1.WrongDocumentError();
          var thisPoint;
          var otherPoint;
          switch (how) {
            case interfaces_1.HowToCompare.StartToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.StartToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._start;
              break;
            case interfaces_1.HowToCompare.EndToEnd:
              thisPoint = this._end;
              otherPoint = sourceRange._end;
              break;
            case interfaces_1.HowToCompare.EndToStart:
              thisPoint = this._start;
              otherPoint = sourceRange._end;
              break;
            default:
              throw new DOMException_1.NotSupportedError();
          }
          var position = algorithm_1.boundaryPoint_position(thisPoint, otherPoint);
          if (position === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (position === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.deleteContents = function() {
          var e_1, _a, e_2, _b;
          if (algorithm_1.range_collapsed(this))
            return;
          var originalStartNode = this._startNode;
          var originalStartOffset = this._startOffset;
          var originalEndNode = this._endNode;
          var originalEndOffset = this._endOffset;
          if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
            return;
          }
          var nodesToRemove = [];
          try {
            for (var _c = __values(algorithm_1.range_getContainedNodes(this)), _d = _c.next(); !_d.done; _d = _c.next()) {
              var node = _d.value;
              var parent = node._parent;
              if (parent !== null && algorithm_1.range_isContained(parent, this)) {
                continue;
              }
              nodesToRemove.push(node);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_d && !_d.done && (_a = _c.return))
                _a.call(_c);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          var newNode;
          var newOffset;
          if (algorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
            newNode = originalStartNode;
            newOffset = originalStartOffset;
          } else {
            var referenceNode = originalStartNode;
            while (referenceNode._parent !== null && !algorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent, true)) {
              referenceNode = referenceNode._parent;
            }
            if (referenceNode._parent === null) {
              throw new Error("Parent node is null.");
            }
            newNode = referenceNode._parent;
            newOffset = algorithm_1.tree_index(referenceNode) + 1;
          }
          if (util_1.Guard.isCharacterDataNode(originalStartNode)) {
            algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, algorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
          }
          try {
            for (var nodesToRemove_1 = __values(nodesToRemove), nodesToRemove_1_1 = nodesToRemove_1.next(); !nodesToRemove_1_1.done; nodesToRemove_1_1 = nodesToRemove_1.next()) {
              var node = nodesToRemove_1_1.value;
              if (node._parent) {
                algorithm_1.mutation_remove(node, node._parent);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (nodesToRemove_1_1 && !nodesToRemove_1_1.done && (_b = nodesToRemove_1.return))
                _b.call(nodesToRemove_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isCharacterDataNode(originalEndNode)) {
            algorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
          }
          this._start = [newNode, newOffset];
          this._end = [newNode, newOffset];
        };
        RangeImpl2.prototype.extractContents = function() {
          return algorithm_1.range_extract(this);
        };
        RangeImpl2.prototype.cloneContents = function() {
          return algorithm_1.range_cloneTheContents(this);
        };
        RangeImpl2.prototype.insertNode = function(node) {
          return algorithm_1.range_insert(node, this);
        };
        RangeImpl2.prototype.surroundContents = function(newParent) {
          var e_3, _a;
          try {
            for (var _b = __values(algorithm_1.range_getPartiallyContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              if (!util_1.Guard.isTextNode(node)) {
                throw new DOMException_1.InvalidStateError();
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (util_1.Guard.isDocumentNode(newParent) || util_1.Guard.isDocumentTypeNode(newParent) || util_1.Guard.isDocumentFragmentNode(newParent)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          var fragment = algorithm_1.range_extract(this);
          if (newParent._children.size !== 0) {
            algorithm_1.mutation_replaceAll(null, newParent);
          }
          algorithm_1.range_insert(newParent, this);
          algorithm_1.mutation_append(fragment, newParent);
          algorithm_1.range_select(newParent, this);
        };
        RangeImpl2.prototype.cloneRange = function() {
          return algorithm_1.create_range(this._start, this._end);
        };
        RangeImpl2.prototype.detach = function() {
          DOMImpl_1.dom.rangeList.delete(this);
        };
        RangeImpl2.prototype.isPointInRange = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before || algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return false;
          }
          return true;
        };
        RangeImpl2.prototype.comparePoint = function(node, offset) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this))
            throw new DOMException_1.WrongDocumentError();
          if (util_1.Guard.isDocumentTypeNode(node))
            throw new DOMException_1.InvalidNodeTypeError();
          if (offset > algorithm_1.tree_nodeLength(node))
            throw new DOMException_1.IndexSizeError();
          var bp = [node, offset];
          if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before) {
            return -1;
          } else if (algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
            return 1;
          } else {
            return 0;
          }
        };
        RangeImpl2.prototype.intersectsNode = function(node) {
          if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
            return false;
          }
          var parent = node._parent;
          if (parent === null)
            return true;
          var offset = algorithm_1.tree_index(node);
          if (algorithm_1.boundaryPoint_position([parent, offset], this._end) === interfaces_1.BoundaryPosition.Before && algorithm_1.boundaryPoint_position([parent, offset + 1], this._start) === interfaces_1.BoundaryPosition.After) {
            return true;
          }
          return false;
        };
        RangeImpl2.prototype.toString = function() {
          var e_4, _a;
          var s = "";
          if (this._startNode === this._endNode && util_1.Guard.isTextNode(this._startNode)) {
            return this._startNode._data.substring(this._startOffset, this._endOffset);
          }
          if (util_1.Guard.isTextNode(this._startNode)) {
            s += this._startNode._data.substring(this._startOffset);
          }
          try {
            for (var _b = __values(algorithm_1.range_getContainedNodes(this)), _c = _b.next(); !_c.done; _c = _b.next()) {
              var child = _c.value;
              if (util_1.Guard.isTextNode(child)) {
                s += child._data;
              }
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (util_1.Guard.isTextNode(this._endNode)) {
            s += this._endNode._data.substring(0, this._endOffset);
          }
          return s;
        };
        RangeImpl2._create = function(start, end) {
          var range = new RangeImpl2();
          if (start)
            range._start = start;
          if (end)
            range._end = end;
          return range;
        };
        RangeImpl2.START_TO_START = 0;
        RangeImpl2.START_TO_END = 1;
        RangeImpl2.END_TO_END = 2;
        RangeImpl2.END_TO_START = 3;
        return RangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.RangeImpl = RangeImpl;
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_START", 0);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_END", 1);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_END", 2);
    WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_START", 3);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js
var require_TraverserImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var TraverserImpl = (
      /** @class */
      function() {
        function TraverserImpl2(root) {
          this._activeFlag = false;
          this._root = root;
          this._whatToShow = interfaces_1.WhatToShow.All;
          this._filter = null;
        }
        Object.defineProperty(TraverserImpl2.prototype, "root", {
          /** @inheritdoc */
          get: function() {
            return this._root;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "whatToShow", {
          /** @inheritdoc */
          get: function() {
            return this._whatToShow;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(TraverserImpl2.prototype, "filter", {
          /** @inheritdoc */
          get: function() {
            return this._filter;
          },
          enumerable: true,
          configurable: true
        });
        return TraverserImpl2;
      }()
    );
    exports2.TraverserImpl = TraverserImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js
var require_NodeIteratorImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TraverserImpl_1 = require_TraverserImpl4();
    var algorithm_1 = require_algorithm4();
    var NodeIteratorImpl = (
      /** @class */
      function(_super) {
        __extends(NodeIteratorImpl2, _super);
        function NodeIteratorImpl2(root, reference, pointerBeforeReference) {
          var _this = _super.call(this, root) || this;
          _this._iteratorCollection = void 0;
          _this._reference = reference;
          _this._pointerBeforeReference = pointerBeforeReference;
          algorithm_1.nodeIterator_iteratorList().add(_this);
          return _this;
        }
        Object.defineProperty(NodeIteratorImpl2.prototype, "referenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._reference;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NodeIteratorImpl2.prototype, "pointerBeforeReferenceNode", {
          /** @inheritdoc */
          get: function() {
            return this._pointerBeforeReference;
          },
          enumerable: true,
          configurable: true
        });
        NodeIteratorImpl2.prototype.nextNode = function() {
          return algorithm_1.nodeIterator_traverse(this, true);
        };
        NodeIteratorImpl2.prototype.previousNode = function() {
          return algorithm_1.nodeIterator_traverse(this, false);
        };
        NodeIteratorImpl2.prototype.detach = function() {
          algorithm_1.nodeIterator_iteratorList().delete(this);
        };
        NodeIteratorImpl2._create = function(root, reference, pointerBeforeReference) {
          return new NodeIteratorImpl2(root, reference, pointerBeforeReference);
        };
        return NodeIteratorImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.NodeIteratorImpl = NodeIteratorImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js
var require_TreeWalkerImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var TraverserImpl_1 = require_TraverserImpl4();
    var algorithm_1 = require_algorithm4();
    var TreeWalkerImpl = (
      /** @class */
      function(_super) {
        __extends(TreeWalkerImpl2, _super);
        function TreeWalkerImpl2(root, current) {
          var _this = _super.call(this, root) || this;
          _this._current = current;
          return _this;
        }
        Object.defineProperty(TreeWalkerImpl2.prototype, "currentNode", {
          /** @inheritdoc */
          get: function() {
            return this._current;
          },
          set: function(value) {
            this._current = value;
          },
          enumerable: true,
          configurable: true
        });
        TreeWalkerImpl2.prototype.parentNode = function() {
          var node = this._current;
          while (node !== null && node !== this._root) {
            node = node._parent;
            if (node !== null && algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.firstChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, true);
        };
        TreeWalkerImpl2.prototype.lastChild = function() {
          return algorithm_1.treeWalker_traverseChildren(this, false);
        };
        TreeWalkerImpl2.prototype.nextSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, true);
        };
        TreeWalkerImpl2.prototype.previousNode = function() {
          var node = this._current;
          while (node !== this._root) {
            var sibling = node._previousSibling;
            while (sibling) {
              node = sibling;
              var result = algorithm_1.traversal_filter(this, node);
              while (result !== interfaces_1.FilterResult.Reject && node._lastChild) {
                node = node._lastChild;
                result = algorithm_1.traversal_filter(this, node);
              }
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
              sibling = node._previousSibling;
            }
            if (node === this._root || node._parent === null) {
              return null;
            }
            node = node._parent;
            if (algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
          return null;
        };
        TreeWalkerImpl2.prototype.previousSibling = function() {
          return algorithm_1.treeWalker_traverseSiblings(this, false);
        };
        TreeWalkerImpl2.prototype.nextNode = function() {
          var node = this._current;
          var result = interfaces_1.FilterResult.Accept;
          while (true) {
            while (result !== interfaces_1.FilterResult.Reject && node._firstChild) {
              node = node._firstChild;
              result = algorithm_1.traversal_filter(this, node);
              if (result === interfaces_1.FilterResult.Accept) {
                this._current = node;
                return node;
              }
            }
            var sibling = null;
            var temporary = node;
            while (temporary !== null) {
              if (temporary === this._root) {
                return null;
              }
              sibling = temporary._nextSibling;
              if (sibling !== null) {
                node = sibling;
                break;
              }
              temporary = temporary._parent;
            }
            result = algorithm_1.traversal_filter(this, node);
            if (result === interfaces_1.FilterResult.Accept) {
              this._current = node;
              return node;
            }
          }
        };
        TreeWalkerImpl2._create = function(root, current) {
          return new TreeWalkerImpl2(root, current);
        };
        return TreeWalkerImpl2;
      }(TraverserImpl_1.TraverserImpl)
    );
    exports2.TreeWalkerImpl = TreeWalkerImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js
var require_NodeFilterImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var NodeFilterImpl = (
      /** @class */
      function() {
        function NodeFilterImpl2() {
        }
        NodeFilterImpl2.prototype.acceptNode = function(node) {
          return interfaces_1.FilterResult.Accept;
        };
        NodeFilterImpl2._create = function() {
          return new NodeFilterImpl2();
        };
        NodeFilterImpl2.FILTER_ACCEPT = 1;
        NodeFilterImpl2.FILTER_REJECT = 2;
        NodeFilterImpl2.FILTER_SKIP = 3;
        NodeFilterImpl2.SHOW_ALL = 4294967295;
        NodeFilterImpl2.SHOW_ELEMENT = 1;
        NodeFilterImpl2.SHOW_ATTRIBUTE = 2;
        NodeFilterImpl2.SHOW_TEXT = 4;
        NodeFilterImpl2.SHOW_CDATA_SECTION = 8;
        NodeFilterImpl2.SHOW_ENTITY_REFERENCE = 16;
        NodeFilterImpl2.SHOW_ENTITY = 32;
        NodeFilterImpl2.SHOW_PROCESSING_INSTRUCTION = 64;
        NodeFilterImpl2.SHOW_COMMENT = 128;
        NodeFilterImpl2.SHOW_DOCUMENT = 256;
        NodeFilterImpl2.SHOW_DOCUMENT_TYPE = 512;
        NodeFilterImpl2.SHOW_DOCUMENT_FRAGMENT = 1024;
        NodeFilterImpl2.SHOW_NOTATION = 2048;
        return NodeFilterImpl2;
      }()
    );
    exports2.NodeFilterImpl = NodeFilterImpl;
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_ACCEPT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_REJECT", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_SKIP", 3);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ALL", 4294967295);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ELEMENT", 1);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ATTRIBUTE", 2);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_TEXT", 4);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_CDATA_SECTION", 8);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY_REFERENCE", 16);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY", 32);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_PROCESSING_INSTRUCTION", 64);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_COMMENT", 128);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT", 256);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_TYPE", 512);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_FRAGMENT", 1024);
    WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_NOTATION", 2048);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js
var require_MutationRecordImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MutationRecordImpl = (
      /** @class */
      function() {
        function MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          this._type = type;
          this._target = target;
          this._addedNodes = addedNodes;
          this._removedNodes = removedNodes;
          this._previousSibling = previousSibling;
          this._nextSibling = nextSibling;
          this._attributeName = attributeName;
          this._attributeNamespace = attributeNamespace;
          this._oldValue = oldValue;
        }
        Object.defineProperty(MutationRecordImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "addedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._addedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "removedNodes", {
          /** @inheritdoc */
          get: function() {
            return this._removedNodes;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "previousSibling", {
          /** @inheritdoc */
          get: function() {
            return this._previousSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "nextSibling", {
          /** @inheritdoc */
          get: function() {
            return this._nextSibling;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeName", {
          /** @inheritdoc */
          get: function() {
            return this._attributeName;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "attributeNamespace", {
          /** @inheritdoc */
          get: function() {
            return this._attributeNamespace;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(MutationRecordImpl2.prototype, "oldValue", {
          /** @inheritdoc */
          get: function() {
            return this._oldValue;
          },
          enumerable: true,
          configurable: true
        });
        MutationRecordImpl2._create = function(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
          return new MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
        };
        return MutationRecordImpl2;
      }()
    );
    exports2.MutationRecordImpl = MutationRecordImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js
var require_DOMTokenListImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var DOMException_1 = require_DOMException4();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var DOMTokenListImpl = (
      /** @class */
      function() {
        function DOMTokenListImpl2(element, attribute) {
          this._element = element;
          this._attribute = attribute;
          this._tokenSet = /* @__PURE__ */ new Set();
          var localName = attribute._localName;
          var value = algorithm_1.element_getAnAttributeValue(element, localName);
          var thisObj = this;
          function updateTokenSet(element2, localName2, oldValue, value2, namespace) {
            if (localName2 === thisObj._attribute._localName && namespace === null) {
              if (!value2)
                thisObj._tokenSet.clear();
              else
                thisObj._tokenSet = algorithm_1.orderedSet_parse(value2);
            }
          }
          this._element._attributeChangeSteps.push(updateTokenSet);
          if (DOMImpl_1.dom.features.steps) {
            algorithm_1.dom_runAttributeChangeSteps(element, localName, value, value, null);
          }
        }
        Object.defineProperty(DOMTokenListImpl2.prototype, "length", {
          /** @inheritdoc */
          get: function() {
            return this._tokenSet.size;
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype.item = function(index) {
          var e_1, _a;
          var i = 0;
          try {
            for (var _b = __values(this._tokenSet), _c = _b.next(); !_c.done; _c = _b.next()) {
              var token = _c.value;
              if (i === index)
                return token;
              i++;
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          return null;
        };
        DOMTokenListImpl2.prototype.contains = function(token) {
          return this._tokenSet.has(token);
        };
        DOMTokenListImpl2.prototype.add = function() {
          var e_2, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_1 = __values(tokens), tokens_1_1 = tokens_1.next(); !tokens_1_1.done; tokens_1_1 = tokens_1.next()) {
              var token = tokens_1_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot add an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.add(token);
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (tokens_1_1 && !tokens_1_1.done && (_a = tokens_1.return))
                _a.call(tokens_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.remove = function() {
          var e_3, _a;
          var tokens = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            tokens[_i] = arguments[_i];
          }
          try {
            for (var tokens_2 = __values(tokens), tokens_2_1 = tokens_2.next(); !tokens_2_1.done; tokens_2_1 = tokens_2.next()) {
              var token = tokens_2_1.value;
              if (token === "") {
                throw new DOMException_1.SyntaxError("Cannot remove an empty token.");
              } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
                throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
              } else {
                this._tokenSet.delete(token);
              }
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (tokens_2_1 && !tokens_2_1.done && (_a = tokens_2.return))
                _a.call(tokens_2);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          algorithm_1.tokenList_updateSteps(this);
        };
        DOMTokenListImpl2.prototype.toggle = function(token, force) {
          if (force === void 0) {
            force = void 0;
          }
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot toggle an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (this._tokenSet.has(token)) {
            if (force === void 0 || force === false) {
              this._tokenSet.delete(token);
              algorithm_1.tokenList_updateSteps(this);
              return false;
            }
            return true;
          }
          if (force === void 0 || force === true) {
            this._tokenSet.add(token);
            algorithm_1.tokenList_updateSteps(this);
            return true;
          }
          return false;
        };
        DOMTokenListImpl2.prototype.replace = function(token, newToken) {
          if (token === "" || newToken === "") {
            throw new DOMException_1.SyntaxError("Cannot replace an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token) || infra_1.codePoint.ASCIIWhiteSpace.test(newToken)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          }
          if (!this._tokenSet.has(token))
            return false;
          infra_1.set.replace(this._tokenSet, token, newToken);
          algorithm_1.tokenList_updateSteps(this);
          return true;
        };
        DOMTokenListImpl2.prototype.supports = function(token) {
          return algorithm_1.tokenList_validationSteps(this, token);
        };
        Object.defineProperty(DOMTokenListImpl2.prototype, "value", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.tokenList_serializeSteps(this);
          },
          set: function(value) {
            algorithm_1.element_setAnAttributeValue(this._element, this._attribute._localName, value);
          },
          enumerable: true,
          configurable: true
        });
        DOMTokenListImpl2.prototype[Symbol.iterator] = function() {
          var it = this._tokenSet[Symbol.iterator]();
          return {
            next: function() {
              return it.next();
            }
          };
        };
        DOMTokenListImpl2._create = function(element, attribute) {
          return new DOMTokenListImpl2(element, attribute);
        };
        return DOMTokenListImpl2;
      }()
    );
    exports2.DOMTokenListImpl = DOMTokenListImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js
var require_CreateAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImplementationImpl_1 = require_DOMImplementationImpl4();
    var WindowImpl_1 = require_WindowImpl4();
    var XMLDocumentImpl_1 = require_XMLDocumentImpl4();
    var DocumentImpl_1 = require_DocumentImpl4();
    var AbortControllerImpl_1 = require_AbortControllerImpl4();
    var AbortSignalImpl_1 = require_AbortSignalImpl4();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl4();
    var ElementImpl_1 = require_ElementImpl4();
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl4();
    var ShadowRootImpl_1 = require_ShadowRootImpl4();
    var AttrImpl_1 = require_AttrImpl4();
    var TextImpl_1 = require_TextImpl4();
    var CDATASectionImpl_1 = require_CDATASectionImpl4();
    var CommentImpl_1 = require_CommentImpl4();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl4();
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl4();
    var NodeListImpl_1 = require_NodeListImpl4();
    var NodeListStaticImpl_1 = require_NodeListStaticImpl4();
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl4();
    var RangeImpl_1 = require_RangeImpl4();
    var NodeIteratorImpl_1 = require_NodeIteratorImpl4();
    var TreeWalkerImpl_1 = require_TreeWalkerImpl4();
    var NodeFilterImpl_1 = require_NodeFilterImpl4();
    var MutationRecordImpl_1 = require_MutationRecordImpl4();
    var DOMTokenListImpl_1 = require_DOMTokenListImpl4();
    function create_domImplementation(document) {
      return DOMImplementationImpl_1.DOMImplementationImpl._create(document);
    }
    exports2.create_domImplementation = create_domImplementation;
    function create_window() {
      return WindowImpl_1.WindowImpl._create();
    }
    exports2.create_window = create_window;
    function create_xmlDocument() {
      return new XMLDocumentImpl_1.XMLDocumentImpl();
    }
    exports2.create_xmlDocument = create_xmlDocument;
    function create_document() {
      return new DocumentImpl_1.DocumentImpl();
    }
    exports2.create_document = create_document;
    function create_abortController() {
      return new AbortControllerImpl_1.AbortControllerImpl();
    }
    exports2.create_abortController = create_abortController;
    function create_abortSignal() {
      return AbortSignalImpl_1.AbortSignalImpl._create();
    }
    exports2.create_abortSignal = create_abortSignal;
    function create_documentType(document, name, publicId, systemId) {
      return DocumentTypeImpl_1.DocumentTypeImpl._create(document, name, publicId, systemId);
    }
    exports2.create_documentType = create_documentType;
    function create_element(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_element = create_element;
    function create_htmlElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlElement = create_htmlElement;
    function create_htmlUnknownElement(document, localName, namespace, prefix) {
      return ElementImpl_1.ElementImpl._create(document, localName, namespace, prefix);
    }
    exports2.create_htmlUnknownElement = create_htmlUnknownElement;
    function create_documentFragment(document) {
      return DocumentFragmentImpl_1.DocumentFragmentImpl._create(document);
    }
    exports2.create_documentFragment = create_documentFragment;
    function create_shadowRoot(document, host) {
      return ShadowRootImpl_1.ShadowRootImpl._create(document, host);
    }
    exports2.create_shadowRoot = create_shadowRoot;
    function create_attr(document, localName) {
      return AttrImpl_1.AttrImpl._create(document, localName);
    }
    exports2.create_attr = create_attr;
    function create_text(document, data) {
      return TextImpl_1.TextImpl._create(document, data);
    }
    exports2.create_text = create_text;
    function create_cdataSection(document, data) {
      return CDATASectionImpl_1.CDATASectionImpl._create(document, data);
    }
    exports2.create_cdataSection = create_cdataSection;
    function create_comment(document, data) {
      return CommentImpl_1.CommentImpl._create(document, data);
    }
    exports2.create_comment = create_comment;
    function create_processingInstruction(document, target, data) {
      return ProcessingInstructionImpl_1.ProcessingInstructionImpl._create(document, target, data);
    }
    exports2.create_processingInstruction = create_processingInstruction;
    function create_htmlCollection(root, filter) {
      if (filter === void 0) {
        filter = function() {
          return true;
        };
      }
      return HTMLCollectionImpl_1.HTMLCollectionImpl._create(root, filter);
    }
    exports2.create_htmlCollection = create_htmlCollection;
    function create_nodeList(root) {
      return NodeListImpl_1.NodeListImpl._create(root);
    }
    exports2.create_nodeList = create_nodeList;
    function create_nodeListStatic(root, items) {
      return NodeListStaticImpl_1.NodeListStaticImpl._create(root, items);
    }
    exports2.create_nodeListStatic = create_nodeListStatic;
    function create_namedNodeMap(element) {
      return NamedNodeMapImpl_1.NamedNodeMapImpl._create(element);
    }
    exports2.create_namedNodeMap = create_namedNodeMap;
    function create_range(start, end) {
      return RangeImpl_1.RangeImpl._create(start, end);
    }
    exports2.create_range = create_range;
    function create_nodeIterator(root, reference, pointerBeforeReference) {
      return NodeIteratorImpl_1.NodeIteratorImpl._create(root, reference, pointerBeforeReference);
    }
    exports2.create_nodeIterator = create_nodeIterator;
    function create_treeWalker(root, current) {
      return TreeWalkerImpl_1.TreeWalkerImpl._create(root, current);
    }
    exports2.create_treeWalker = create_treeWalker;
    function create_nodeFilter() {
      return NodeFilterImpl_1.NodeFilterImpl._create();
    }
    exports2.create_nodeFilter = create_nodeFilter;
    function create_mutationRecord(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      return MutationRecordImpl_1.MutationRecordImpl._create(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
    }
    exports2.create_mutationRecord = create_mutationRecord;
    function create_domTokenList(element, attribute) {
      return DOMTokenListImpl_1.DOMTokenListImpl._create(element, attribute);
    }
    exports2.create_domTokenList = create_domTokenList;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js
var require_DOMImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DOMImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var DOMImpl = (
      /** @class */
      function() {
        function DOMImpl2() {
          this._features = {
            mutationObservers: true,
            customElements: true,
            slots: true,
            steps: true
          };
          this._window = null;
          this._compareCache = new util_1.CompareCache();
          this._rangeList = new util_1.FixedSizeSet();
        }
        DOMImpl2.prototype.setFeatures = function(features) {
          if (features === void 0)
            features = true;
          if (util_1.isObject(features)) {
            for (var key in features) {
              this._features[key] = features[key] || false;
            }
          } else {
            for (var key in this._features) {
              this._features[key] = features;
            }
          }
        };
        Object.defineProperty(DOMImpl2.prototype, "features", {
          /**
           * Gets DOM algorithm features.
           */
          get: function() {
            return this._features;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "window", {
          /**
           * Gets the DOM window.
           */
          get: function() {
            if (this._window === null) {
              this._window = CreateAlgorithm_1.create_window();
            }
            return this._window;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "compareCache", {
          /**
           * Gets the global node compare cache.
           */
          get: function() {
            return this._compareCache;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2.prototype, "rangeList", {
          /**
           * Gets the global range list.
           */
          get: function() {
            return this._rangeList;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(DOMImpl2, "instance", {
          /**
           * Returns the instance of `DOM`.
           */
          get: function() {
            if (!DOMImpl2._instance) {
              DOMImpl2._instance = new DOMImpl2();
            }
            return DOMImpl2._instance;
          },
          enumerable: true,
          configurable: true
        });
        return DOMImpl2;
      }()
    );
    exports2.dom = DOMImpl.instance;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/EventImpl.js
var require_EventImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/EventImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var algorithm_1 = require_algorithm4();
    var WebIDLAlgorithm_1 = require_WebIDLAlgorithm4();
    var EventImpl = (
      /** @class */
      function() {
        function EventImpl2(type, eventInit) {
          this._target = null;
          this._relatedTarget = null;
          this._touchTargetList = [];
          this._path = [];
          this._currentTarget = null;
          this._eventPhase = interfaces_1.EventPhase.None;
          this._stopPropagationFlag = false;
          this._stopImmediatePropagationFlag = false;
          this._canceledFlag = false;
          this._inPassiveListenerFlag = false;
          this._composedFlag = false;
          this._initializedFlag = false;
          this._dispatchFlag = false;
          this._isTrusted = false;
          this._bubbles = false;
          this._cancelable = false;
          this._type = type;
          if (eventInit) {
            this._bubbles = eventInit.bubbles || false;
            this._cancelable = eventInit.cancelable || false;
            this._composedFlag = eventInit.composed || false;
          }
          this._initializedFlag = true;
          this._timeStamp = (/* @__PURE__ */ new Date()).getTime();
        }
        Object.defineProperty(EventImpl2.prototype, "type", {
          /** @inheritdoc */
          get: function() {
            return this._type;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "target", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "srcElement", {
          /** @inheritdoc */
          get: function() {
            return this._target;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "currentTarget", {
          /** @inheritdoc */
          get: function() {
            return this._currentTarget;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.composedPath = function() {
          var composedPath = [];
          var path = this._path;
          if (path.length === 0)
            return composedPath;
          var currentTarget = this._currentTarget;
          if (currentTarget === null) {
            throw new Error("Event currentTarget is null.");
          }
          composedPath.push(currentTarget);
          var currentTargetIndex = 0;
          var currentTargetHiddenSubtreeLevel = 0;
          var index = path.length - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentTargetHiddenSubtreeLevel++;
            }
            if (path[index].invocationTarget === currentTarget) {
              currentTargetIndex = index;
              break;
            }
            if (path[index].slotInClosedTree) {
              currentTargetHiddenSubtreeLevel--;
            }
            index--;
          }
          var currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          var maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex - 1;
          while (index >= 0) {
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.unshift(path[index].invocationTarget);
            }
            if (path[index].slotInClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index--;
          }
          currentHiddenLevel = currentTargetHiddenSubtreeLevel;
          maxHiddenLevel = currentTargetHiddenSubtreeLevel;
          index = currentTargetIndex + 1;
          while (index < path.length) {
            if (path[index].slotInClosedTree) {
              currentHiddenLevel++;
            }
            if (currentHiddenLevel <= maxHiddenLevel) {
              composedPath.push(path[index].invocationTarget);
            }
            if (path[index].rootOfClosedTree) {
              currentHiddenLevel--;
              if (currentHiddenLevel < maxHiddenLevel) {
                maxHiddenLevel = currentHiddenLevel;
              }
            }
            index++;
          }
          return composedPath;
        };
        Object.defineProperty(EventImpl2.prototype, "eventPhase", {
          /** @inheritdoc */
          get: function() {
            return this._eventPhase;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopPropagation = function() {
          this._stopPropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "cancelBubble", {
          /** @inheritdoc */
          get: function() {
            return this._stopPropagationFlag;
          },
          set: function(value) {
            if (value)
              this.stopPropagation();
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.stopImmediatePropagation = function() {
          this._stopPropagationFlag = true;
          this._stopImmediatePropagationFlag = true;
        };
        Object.defineProperty(EventImpl2.prototype, "bubbles", {
          /** @inheritdoc */
          get: function() {
            return this._bubbles;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "cancelable", {
          /** @inheritdoc */
          get: function() {
            return this._cancelable;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "returnValue", {
          /** @inheritdoc */
          get: function() {
            return !this._canceledFlag;
          },
          set: function(value) {
            if (!value) {
              algorithm_1.event_setTheCanceledFlag(this);
            }
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.preventDefault = function() {
          algorithm_1.event_setTheCanceledFlag(this);
        };
        Object.defineProperty(EventImpl2.prototype, "defaultPrevented", {
          /** @inheritdoc */
          get: function() {
            return this._canceledFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "composed", {
          /** @inheritdoc */
          get: function() {
            return this._composedFlag;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "isTrusted", {
          /** @inheritdoc */
          get: function() {
            return this._isTrusted;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(EventImpl2.prototype, "timeStamp", {
          /** @inheritdoc */
          get: function() {
            return this._timeStamp;
          },
          enumerable: true,
          configurable: true
        });
        EventImpl2.prototype.initEvent = function(type, bubbles, cancelable) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
        };
        EventImpl2.NONE = 0;
        EventImpl2.CAPTURING_PHASE = 1;
        EventImpl2.AT_TARGET = 2;
        EventImpl2.BUBBLING_PHASE = 3;
        return EventImpl2;
      }()
    );
    exports2.EventImpl = EventImpl;
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "NONE", 0);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "CAPTURING_PHASE", 1);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "AT_TARGET", 2);
    WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "BUBBLING_PHASE", 3);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js
var require_CustomEventImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventImpl_1 = require_EventImpl4();
    var algorithm_1 = require_algorithm4();
    var CustomEventImpl = (
      /** @class */
      function(_super) {
        __extends(CustomEventImpl2, _super);
        function CustomEventImpl2(type, eventInit) {
          var _this = _super.call(this, type, eventInit) || this;
          _this._detail = null;
          _this._detail = eventInit && eventInit.detail || null;
          return _this;
        }
        Object.defineProperty(CustomEventImpl2.prototype, "detail", {
          /** @inheritdoc */
          get: function() {
            return this._detail;
          },
          enumerable: true,
          configurable: true
        });
        CustomEventImpl2.prototype.initCustomEvent = function(type, bubbles, cancelable, detail) {
          if (bubbles === void 0) {
            bubbles = false;
          }
          if (cancelable === void 0) {
            cancelable = false;
          }
          if (detail === void 0) {
            detail = null;
          }
          if (this._dispatchFlag)
            return;
          algorithm_1.event_initialize(this, type, bubbles, cancelable);
          this._detail = detail;
        };
        return CustomEventImpl2;
      }(EventImpl_1.EventImpl)
    );
    exports2.CustomEventImpl = CustomEventImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js
var require_TreeAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util22();
    var interfaces_1 = require_interfaces14();
    function _getNextDescendantNode(root, node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow && util_1.Guard.isElementNode(node) && util_1.Guard.isShadowRoot(node.shadowRoot)) {
        if (node.shadowRoot._firstChild)
          return node.shadowRoot._firstChild;
      }
      if (node._firstChild)
        return node._firstChild;
      if (node === root)
        return null;
      if (node._nextSibling)
        return node._nextSibling;
      var parent = node._parent;
      while (parent && parent !== root) {
        if (parent._nextSibling)
          return parent._nextSibling;
        parent = parent._parent;
      }
      return null;
    }
    function _emptyIterator() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        return {
          next: function() {
            return { done: true, value: null };
          }
        };
      }, _a;
    }
    function tree_getFirstDescendantNode(node, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var firstNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = _getNextDescendantNode(node, firstNode, shadow);
      }
      return firstNode;
    }
    exports2.tree_getFirstDescendantNode = tree_getFirstDescendantNode;
    function tree_getNextDescendantNode(node, currentNode, self2, shadow, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var nextNode = _getNextDescendantNode(node, currentNode, shadow);
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = _getNextDescendantNode(node, nextNode, shadow);
      }
      return nextNode;
    }
    exports2.tree_getNextDescendantNode = tree_getNextDescendantNode;
    function tree_getDescendantNodes(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = _getNextDescendantNode(node, currentNode, shadow);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantNodes = tree_getDescendantNodes;
    function tree_getDescendantElements(node, self2, shadow, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      if (!self2 && node._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = tree_getDescendantNodes(node, self2, shadow, function(e) {
          return util_1.Guard.isElementNode(e);
        })[Symbol.iterator]();
        var currentNode = it.next().value;
        return {
          next: function() {
            while (currentNode && filter && !filter(currentNode)) {
              currentNode = it.next().value;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = it.next().value;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getDescendantElements = tree_getDescendantElements;
    function tree_getSiblingNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!node._parent || node._parent._children.size === 0) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node._parent ? node._parent._firstChild : null;
        return {
          next: function() {
            while (currentNode && (filter && !filter(currentNode) || !self2 && currentNode === node)) {
              currentNode = currentNode._nextSibling;
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = currentNode._nextSibling;
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getSiblingNodes = tree_getSiblingNodes;
    function tree_getFirstAncestorNode(node, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var firstNode = self2 ? node : node._parent;
      while (firstNode && filter && !filter(firstNode)) {
        firstNode = firstNode._parent;
      }
      return firstNode;
    }
    exports2.tree_getFirstAncestorNode = tree_getFirstAncestorNode;
    function tree_getNextAncestorNode(node, currentNode, self2, filter) {
      if (self2 === void 0) {
        self2 = false;
      }
      var nextNode = currentNode._parent;
      while (nextNode && filter && !filter(nextNode)) {
        nextNode = nextNode._parent;
      }
      return nextNode;
    }
    exports2.tree_getNextAncestorNode = tree_getNextAncestorNode;
    function tree_getAncestorNodes(node, self2, filter) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      if (!self2 && !node._parent) {
        return _emptyIterator();
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = tree_getFirstAncestorNode(node, self2, filter);
        return {
          next: function() {
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = tree_getNextAncestorNode(node, currentNode, self2, filter);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.tree_getAncestorNodes = tree_getAncestorNodes;
    function tree_getCommonAncestor(nodeA, nodeB) {
      if (nodeA === nodeB) {
        return nodeA._parent;
      }
      var parentsA = [];
      var parentsB = [];
      var pA = tree_getFirstAncestorNode(nodeA, true);
      while (pA !== null) {
        parentsA.push(pA);
        pA = tree_getNextAncestorNode(nodeA, pA, true);
      }
      var pB = tree_getFirstAncestorNode(nodeB, true);
      while (pB !== null) {
        parentsB.push(pB);
        pB = tree_getNextAncestorNode(nodeB, pB, true);
      }
      var pos1 = parentsA.length;
      var pos2 = parentsB.length;
      var parent = null;
      for (var i = Math.min(pos1, pos2); i > 0; i--) {
        var parent1 = parentsA[--pos1];
        var parent2 = parentsB[--pos2];
        if (parent1 !== parent2) {
          break;
        }
        parent = parent1;
      }
      return parent;
    }
    exports2.tree_getCommonAncestor = tree_getCommonAncestor;
    function tree_getFollowingNode(root, node) {
      if (node._firstChild) {
        return node._firstChild;
      } else if (node._nextSibling) {
        return node._nextSibling;
      } else {
        while (true) {
          var parent = node._parent;
          if (parent === null || parent === root) {
            return null;
          } else if (parent._nextSibling) {
            return parent._nextSibling;
          } else {
            node = parent;
          }
        }
      }
    }
    exports2.tree_getFollowingNode = tree_getFollowingNode;
    function tree_getPrecedingNode(root, node) {
      if (node === root) {
        return null;
      }
      if (node._previousSibling) {
        node = node._previousSibling;
        if (node._lastChild) {
          return node._lastChild;
        } else {
          return node;
        }
      } else {
        return node._parent;
      }
    }
    exports2.tree_getPrecedingNode = tree_getPrecedingNode;
    function tree_isConstrained(node) {
      var e_1, _a, e_2, _b, e_3, _c;
      switch (node._nodeType) {
        case interfaces_1.NodeType.Document:
          var hasDocType = false;
          var hasElement = false;
          try {
            for (var _d = __values(node._children), _e = _d.next(); !_e.done; _e = _d.next()) {
              var childNode = _e.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.Comment:
                  break;
                case interfaces_1.NodeType.DocumentType:
                  if (hasDocType || hasElement)
                    return false;
                  hasDocType = true;
                  break;
                case interfaces_1.NodeType.Element:
                  if (hasElement)
                    return false;
                  hasElement = true;
                  break;
                default:
                  return false;
              }
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_e && !_e.done && (_a = _d.return))
                _a.call(_d);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentFragment:
        case interfaces_1.NodeType.Element:
          try {
            for (var _f = __values(node._children), _g = _f.next(); !_g.done; _g = _f.next()) {
              var childNode = _g.value;
              switch (childNode._nodeType) {
                case interfaces_1.NodeType.Element:
                case interfaces_1.NodeType.Text:
                case interfaces_1.NodeType.ProcessingInstruction:
                case interfaces_1.NodeType.CData:
                case interfaces_1.NodeType.Comment:
                  break;
                default:
                  return false;
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_g && !_g.done && (_b = _f.return))
                _b.call(_f);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          break;
        case interfaces_1.NodeType.DocumentType:
        case interfaces_1.NodeType.Text:
        case interfaces_1.NodeType.ProcessingInstruction:
        case interfaces_1.NodeType.CData:
        case interfaces_1.NodeType.Comment:
          return !node.hasChildNodes();
      }
      try {
        for (var _h = __values(node._children), _j = _h.next(); !_j.done; _j = _h.next()) {
          var childNode = _j.value;
          if (!tree_isConstrained(childNode))
            return false;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_j && !_j.done && (_c = _h.return))
            _c.call(_h);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return true;
    }
    exports2.tree_isConstrained = tree_isConstrained;
    function tree_nodeLength(node) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        return 0;
      } else if (util_1.Guard.isCharacterDataNode(node)) {
        return node._data.length;
      } else {
        return node._children.size;
      }
    }
    exports2.tree_nodeLength = tree_nodeLength;
    function tree_isEmpty(node) {
      return tree_nodeLength(node) === 0;
    }
    exports2.tree_isEmpty = tree_isEmpty;
    function tree_rootNode(node, shadow) {
      if (shadow === void 0) {
        shadow = false;
      }
      if (shadow) {
        var root = tree_rootNode(node, false);
        if (util_1.Guard.isShadowRoot(root))
          return tree_rootNode(root._host, true);
        else
          return root;
      } else {
        if (!node._parent)
          return node;
        else
          return tree_rootNode(node._parent);
      }
    }
    exports2.tree_rootNode = tree_rootNode;
    function tree_isDescendantOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var child = tree_getFirstDescendantNode(node, self2, shadow);
      while (child !== null) {
        if (child === other) {
          return true;
        }
        child = tree_getNextDescendantNode(node, child, self2, shadow);
      }
      return false;
    }
    exports2.tree_isDescendantOf = tree_isDescendantOf;
    function tree_isAncestorOf(node, other, self2, shadow) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (shadow === void 0) {
        shadow = false;
      }
      var ancestor = self2 ? node : shadow && util_1.Guard.isShadowRoot(node) ? node._host : node._parent;
      while (ancestor !== null) {
        if (ancestor === other)
          return true;
        ancestor = shadow && util_1.Guard.isShadowRoot(ancestor) ? ancestor._host : ancestor._parent;
      }
      return false;
    }
    exports2.tree_isAncestorOf = tree_isAncestorOf;
    function tree_isHostIncludingAncestorOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (tree_isAncestorOf(node, other, self2))
        return true;
      var root = tree_rootNode(node);
      if (util_1.Guard.isDocumentFragmentNode(root) && root._host !== null && tree_isHostIncludingAncestorOf(root._host, other, self2))
        return true;
      return false;
    }
    exports2.tree_isHostIncludingAncestorOf = tree_isHostIncludingAncestorOf;
    function tree_isSiblingOf(node, other, self2) {
      if (self2 === void 0) {
        self2 = false;
      }
      if (node === other) {
        if (self2)
          return true;
      } else {
        return node._parent !== null && node._parent === other._parent;
      }
      return false;
    }
    exports2.tree_isSiblingOf = tree_isSiblingOf;
    function tree_isPreceding(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos < nodePos;
    }
    exports2.tree_isPreceding = tree_isPreceding;
    function tree_isFollowing(node, other) {
      var nodePos = tree_treePosition(node);
      var otherPos = tree_treePosition(other);
      if (nodePos === -1 || otherPos === -1)
        return false;
      else if (tree_rootNode(node) !== tree_rootNode(other))
        return false;
      else
        return otherPos > nodePos;
    }
    exports2.tree_isFollowing = tree_isFollowing;
    function tree_isParentOf(node, other) {
      return node._parent === other;
    }
    exports2.tree_isParentOf = tree_isParentOf;
    function tree_isChildOf(node, other) {
      return other._parent === node;
    }
    exports2.tree_isChildOf = tree_isChildOf;
    function tree_previousSibling(node) {
      return node._previousSibling;
    }
    exports2.tree_previousSibling = tree_previousSibling;
    function tree_nextSibling(node) {
      return node._nextSibling;
    }
    exports2.tree_nextSibling = tree_nextSibling;
    function tree_firstChild(node) {
      return node._firstChild;
    }
    exports2.tree_firstChild = tree_firstChild;
    function tree_lastChild(node) {
      return node._lastChild;
    }
    exports2.tree_lastChild = tree_lastChild;
    function tree_treePosition(node) {
      var root = tree_rootNode(node);
      var pos = 0;
      var childNode = tree_getFirstDescendantNode(root);
      while (childNode !== null) {
        pos++;
        if (childNode === node)
          return pos;
        childNode = tree_getNextDescendantNode(root, childNode);
      }
      return -1;
    }
    exports2.tree_treePosition = tree_treePosition;
    function tree_index(node) {
      var n = 0;
      while (node._previousSibling !== null) {
        n++;
        node = node._previousSibling;
      }
      return n;
    }
    exports2.tree_index = tree_index;
    function tree_retarget(a, b) {
      while (true) {
        if (!a || !util_1.Guard.isNode(a)) {
          return a;
        }
        var rootOfA = tree_rootNode(a);
        if (!util_1.Guard.isShadowRoot(rootOfA)) {
          return a;
        }
        if (b && util_1.Guard.isNode(b) && tree_isAncestorOf(rootOfA, b, true, true)) {
          return a;
        }
        a = rootOfA.host;
      }
    }
    exports2.tree_retarget = tree_retarget;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js
var require_MutationObserverAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var infra_1 = require_lib20();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var EventAlgorithm_1 = require_EventAlgorithm4();
    function observer_queueAMutationObserverMicrotask() {
      var window2 = DOMImpl_1.dom.window;
      if (window2._mutationObserverMicrotaskQueued)
        return;
      window2._mutationObserverMicrotaskQueued = true;
      Promise.resolve().then(function() {
        observer_notifyMutationObservers();
      });
    }
    exports2.observer_queueAMutationObserverMicrotask = observer_queueAMutationObserverMicrotask;
    function observer_notifyMutationObservers() {
      var e_1, _a, e_2, _b;
      var window2 = DOMImpl_1.dom.window;
      window2._mutationObserverMicrotaskQueued = false;
      var notifySet = infra_1.set.clone(window2._mutationObservers);
      var signalSet = infra_1.set.clone(window2._signalSlots);
      infra_1.set.empty(window2._signalSlots);
      var _loop_1 = function(mo2) {
        var records = infra_1.list.clone(mo2._recordQueue);
        infra_1.list.empty(mo2._recordQueue);
        for (var i = 0; i < mo2._nodeList.length; i++) {
          var node = mo2._nodeList[i];
          infra_1.list.remove(node._registeredObserverList, function(observer) {
            return util_1.Guard.isTransientRegisteredObserver(observer) && observer.observer === mo2;
          });
        }
        if (!infra_1.list.isEmpty(records)) {
          try {
            mo2._callback.call(mo2, records, mo2);
          } catch (err) {
          }
        }
      };
      try {
        for (var notifySet_1 = __values(notifySet), notifySet_1_1 = notifySet_1.next(); !notifySet_1_1.done; notifySet_1_1 = notifySet_1.next()) {
          var mo = notifySet_1_1.value;
          _loop_1(mo);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (notifySet_1_1 && !notifySet_1_1.done && (_a = notifySet_1.return))
            _a.call(notifySet_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        try {
          for (var signalSet_1 = __values(signalSet), signalSet_1_1 = signalSet_1.next(); !signalSet_1_1.done; signalSet_1_1 = signalSet_1.next()) {
            var slot = signalSet_1_1.value;
            EventAlgorithm_1.event_fireAnEvent("slotchange", slot, void 0, { bubbles: true });
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (signalSet_1_1 && !signalSet_1_1.done && (_b = signalSet_1.return))
              _b.call(signalSet_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
    }
    exports2.observer_notifyMutationObservers = observer_notifyMutationObservers;
    function observer_queueMutationRecord(type, target, name, namespace, oldValue, addedNodes, removedNodes, previousSibling, nextSibling) {
      var e_3, _a;
      var interestedObservers = /* @__PURE__ */ new Map();
      var node = TreeAlgorithm_1.tree_getFirstAncestorNode(target, true);
      while (node !== null) {
        for (var i = 0; i < node._registeredObserverList.length; i++) {
          var registered = node._registeredObserverList[i];
          var options = registered.options;
          if (node !== target && !options.subtree)
            continue;
          if (type === "attributes" && !options.attributes)
            continue;
          if (type === "attributes" && options.attributeFilter && (!options.attributeFilter.indexOf(name || "") || namespace !== null))
            continue;
          if (type === "characterData" && !options.characterData)
            continue;
          if (type === "childList" && !options.childList)
            continue;
          var mo = registered.observer;
          if (!interestedObservers.has(mo)) {
            interestedObservers.set(mo, null);
          }
          if (type === "attributes" && options.attributeOldValue || type === "characterData" && options.characterDataOldValue) {
            interestedObservers.set(mo, oldValue);
          }
        }
        node = TreeAlgorithm_1.tree_getNextAncestorNode(target, node, true);
      }
      try {
        for (var interestedObservers_1 = __values(interestedObservers), interestedObservers_1_1 = interestedObservers_1.next(); !interestedObservers_1_1.done; interestedObservers_1_1 = interestedObservers_1.next()) {
          var _b = __read(interestedObservers_1_1.value, 2), observer = _b[0], mappedOldValue = _b[1];
          var record = CreateAlgorithm_1.create_mutationRecord(type, target, CreateAlgorithm_1.create_nodeListStatic(target, addedNodes), CreateAlgorithm_1.create_nodeListStatic(target, removedNodes), previousSibling, nextSibling, name, namespace, mappedOldValue);
          var queue = observer._recordQueue;
          queue.push(record);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (interestedObservers_1_1 && !interestedObservers_1_1.done && (_a = interestedObservers_1.return))
            _a.call(interestedObservers_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      observer_queueAMutationObserverMicrotask();
    }
    exports2.observer_queueMutationRecord = observer_queueMutationRecord;
    function observer_queueTreeMutationRecord(target, addedNodes, removedNodes, previousSibling, nextSibling) {
      observer_queueMutationRecord("childList", target, null, null, null, addedNodes, removedNodes, previousSibling, nextSibling);
    }
    exports2.observer_queueTreeMutationRecord = observer_queueTreeMutationRecord;
    function observer_queueAttributeMutationRecord(target, name, namespace, oldValue) {
      observer_queueMutationRecord("attributes", target, name, namespace, oldValue, [], [], null, null);
    }
    exports2.observer_queueAttributeMutationRecord = observer_queueAttributeMutationRecord;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js
var require_ShadowTreeAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var util_2 = require_lib19();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm4();
    function shadowTree_signalASlotChange(slot) {
      var window2 = DOMImpl_1.dom.window;
      window2._signalSlots.add(slot);
      MutationObserverAlgorithm_1.observer_queueAMutationObserverMicrotask();
    }
    exports2.shadowTree_signalASlotChange = shadowTree_signalASlotChange;
    function shadowTree_isConnected(element) {
      return util_1.Guard.isDocumentNode(TreeAlgorithm_1.tree_rootNode(element, true));
    }
    exports2.shadowTree_isConnected = shadowTree_isConnected;
    function shadowTree_isAssigned(slotable) {
      return slotable._assignedSlot !== null;
    }
    exports2.shadowTree_isAssigned = shadowTree_isAssigned;
    function shadowTree_findASlot(slotable, openFlag) {
      if (openFlag === void 0) {
        openFlag = false;
      }
      var node = util_1.Cast.asNode(slotable);
      var parent = node._parent;
      if (parent === null)
        return null;
      var shadow = parent._shadowRoot || null;
      if (shadow === null)
        return null;
      if (openFlag && shadow._mode !== "open")
        return null;
      var child = TreeAlgorithm_1.tree_getFirstDescendantNode(shadow, false, true, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (child !== null) {
        if (child._name === slotable._name)
          return child;
        child = TreeAlgorithm_1.tree_getNextDescendantNode(shadow, child, false, true, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
      return null;
    }
    exports2.shadowTree_findASlot = shadowTree_findASlot;
    function shadowTree_findSlotables(slot) {
      var e_1, _a;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var host = root._host;
      try {
        for (var _b = __values(host._children), _c = _b.next(); !_c.done; _c = _b.next()) {
          var slotable = _c.value;
          if (util_1.Guard.isSlotable(slotable)) {
            var foundSlot = shadowTree_findASlot(slotable);
            if (foundSlot === slot) {
              result.push(slotable);
            }
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findSlotables = shadowTree_findSlotables;
    function shadowTree_findFlattenedSlotables(slot) {
      var e_2, _a, e_3, _b;
      var result = [];
      var root = TreeAlgorithm_1.tree_rootNode(slot);
      if (!util_1.Guard.isShadowRoot(root))
        return result;
      var slotables = shadowTree_findSlotables(slot);
      if (util_2.isEmpty(slotables)) {
        try {
          for (var _c = __values(slot._children), _d = _c.next(); !_d.done; _d = _c.next()) {
            var slotable = _d.value;
            if (util_1.Guard.isSlotable(slotable)) {
              slotables.push(slotable);
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      try {
        for (var slotables_1 = __values(slotables), slotables_1_1 = slotables_1.next(); !slotables_1_1.done; slotables_1_1 = slotables_1.next()) {
          var node = slotables_1_1.value;
          if (util_1.Guard.isSlot(node) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(node))) {
            var temporaryResult = shadowTree_findFlattenedSlotables(node);
            result.push.apply(result, __spread(temporaryResult));
          } else {
            result.push(node);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (slotables_1_1 && !slotables_1_1.done && (_b = slotables_1.return))
            _b.call(slotables_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return result;
    }
    exports2.shadowTree_findFlattenedSlotables = shadowTree_findFlattenedSlotables;
    function shadowTree_assignSlotables(slot) {
      var e_4, _a;
      var slotables = shadowTree_findSlotables(slot);
      if (slotables.length === slot._assignedNodes.length) {
        var nodesIdentical = true;
        for (var i = 0; i < slotables.length; i++) {
          if (slotables[i] !== slot._assignedNodes[i]) {
            nodesIdentical = false;
            break;
          }
        }
        if (!nodesIdentical) {
          shadowTree_signalASlotChange(slot);
        }
      }
      slot._assignedNodes = slotables;
      try {
        for (var slotables_2 = __values(slotables), slotables_2_1 = slotables_2.next(); !slotables_2_1.done; slotables_2_1 = slotables_2.next()) {
          var slotable = slotables_2_1.value;
          slotable._assignedSlot = slot;
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (slotables_2_1 && !slotables_2_1.done && (_a = slotables_2.return))
            _a.call(slotables_2);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    exports2.shadowTree_assignSlotables = shadowTree_assignSlotables;
    function shadowTree_assignSlotablesForATree(root) {
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(root, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
      while (descendant !== null) {
        shadowTree_assignSlotables(descendant);
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(root, descendant, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
      }
    }
    exports2.shadowTree_assignSlotablesForATree = shadowTree_assignSlotablesForATree;
    function shadowTree_assignASlot(slotable) {
      var slot = shadowTree_findASlot(slotable);
      if (slot !== null) {
        shadowTree_assignSlotables(slot);
      }
    }
    exports2.shadowTree_assignASlot = shadowTree_assignASlot;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js
var require_DOMAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var util_1 = require_util22();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm4();
    var supportedTokens = /* @__PURE__ */ new Map();
    function dom_runRemovingSteps(removedNode, oldParent) {
    }
    exports2.dom_runRemovingSteps = dom_runRemovingSteps;
    function dom_runCloningSteps(copy, node, document, cloneChildrenFlag) {
    }
    exports2.dom_runCloningSteps = dom_runCloningSteps;
    function dom_runAdoptingSteps(node, oldDocument) {
    }
    exports2.dom_runAdoptingSteps = dom_runAdoptingSteps;
    function dom_runAttributeChangeSteps(element, localName, oldValue, value, namespace) {
      var e_1, _a;
      if (DOMImpl_1.dom.features.slots) {
        updateASlotablesName.call(element, element, localName, oldValue, value, namespace);
        updateASlotsName.call(element, element, localName, oldValue, value, namespace);
      }
      updateAnElementID.call(element, element, localName, value, namespace);
      try {
        for (var _b = __values(element._attributeChangeSteps), _c = _b.next(); !_c.done; _c = _b.next()) {
          var step = _c.value;
          step.call(element, element, localName, oldValue, value, namespace);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    exports2.dom_runAttributeChangeSteps = dom_runAttributeChangeSteps;
    function dom_runInsertionSteps(insertedNode) {
    }
    exports2.dom_runInsertionSteps = dom_runInsertionSteps;
    function dom_runNodeIteratorPreRemovingSteps(nodeIterator, toBeRemoved) {
      removeNodeIterator.call(nodeIterator, nodeIterator, toBeRemoved);
    }
    exports2.dom_runNodeIteratorPreRemovingSteps = dom_runNodeIteratorPreRemovingSteps;
    function dom_hasSupportedTokens(attributeName) {
      return supportedTokens.has(attributeName);
    }
    exports2.dom_hasSupportedTokens = dom_hasSupportedTokens;
    function dom_getSupportedTokens(attributeName) {
      return supportedTokens.get(attributeName) || /* @__PURE__ */ new Set();
    }
    exports2.dom_getSupportedTokens = dom_getSupportedTokens;
    function dom_runEventConstructingSteps(event) {
    }
    exports2.dom_runEventConstructingSteps = dom_runEventConstructingSteps;
    function dom_runChildTextContentChangeSteps(parent) {
    }
    exports2.dom_runChildTextContentChangeSteps = dom_runChildTextContentChangeSteps;
    function removeNodeIterator(nodeIterator, toBeRemovedNode) {
      if (toBeRemovedNode === nodeIterator._root || !TreeAlgorithm_1.tree_isAncestorOf(nodeIterator._reference, toBeRemovedNode, true)) {
        return;
      }
      if (nodeIterator._pointerBeforeReference) {
        while (true) {
          var nextNode = TreeAlgorithm_1.tree_getFollowingNode(nodeIterator._root, toBeRemovedNode);
          if (nextNode !== null && TreeAlgorithm_1.tree_isDescendantOf(nodeIterator._root, nextNode, true) && !TreeAlgorithm_1.tree_isDescendantOf(toBeRemovedNode, nextNode, true)) {
            nodeIterator._reference = nextNode;
            return;
          } else if (nextNode === null) {
            nodeIterator._pointerBeforeReference = false;
            return;
          }
        }
      }
      if (toBeRemovedNode._previousSibling === null) {
        if (toBeRemovedNode._parent !== null) {
          nodeIterator._reference = toBeRemovedNode._parent;
        }
      } else {
        var referenceNode = toBeRemovedNode._previousSibling;
        var childNode = TreeAlgorithm_1.tree_getFirstDescendantNode(toBeRemovedNode._previousSibling, true, false);
        while (childNode !== null) {
          if (childNode !== null) {
            referenceNode = childNode;
          }
          childNode = TreeAlgorithm_1.tree_getNextDescendantNode(toBeRemovedNode._previousSibling, childNode, true, false);
        }
        nodeIterator._reference = referenceNode;
      }
    }
    function updateASlotsName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlot(element) && localName === "name" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(element));
      }
    }
    function updateASlotablesName(element, localName, oldValue, value, namespace) {
      if (util_1.Guard.isSlotable(element) && localName === "slot" && namespace === null) {
        if (value === oldValue)
          return;
        if (value === null && oldValue === "")
          return;
        if (value === "" && oldValue === null)
          return;
        if (value === null || value === "") {
          element._name = "";
        } else {
          element._name = value;
        }
        if (ShadowTreeAlgorithm_1.shadowTree_isAssigned(element)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(element._assignedSlot);
        }
        ShadowTreeAlgorithm_1.shadowTree_assignASlot(element);
      }
    }
    function updateAnElementID(element, localName, value, namespace) {
      if (localName === "id" && namespace === null) {
        if (!value)
          element._uniqueIdentifier = void 0;
        else
          element._uniqueIdentifier = value;
      }
    }
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js
var require_EventAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var interfaces_1 = require_interfaces14();
    var util_1 = require_util22();
    var CustomEventImpl_1 = require_CustomEventImpl4();
    var EventImpl_1 = require_EventImpl4();
    var DOMException_1 = require_DOMException4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    function event_setTheCanceledFlag(event) {
      if (event._cancelable && !event._inPassiveListenerFlag) {
        event._canceledFlag = true;
      }
    }
    exports2.event_setTheCanceledFlag = event_setTheCanceledFlag;
    function event_initialize(event, type, bubbles, cancelable) {
      event._initializedFlag = true;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      event._canceledFlag = false;
      event._isTrusted = false;
      event._target = null;
      event._type = type;
      event._bubbles = bubbles;
      event._cancelable = cancelable;
    }
    exports2.event_initialize = event_initialize;
    function event_createAnEvent(eventInterface, realm) {
      if (realm === void 0) {
        realm = void 0;
      }
      if (realm === void 0)
        realm = null;
      var dictionary = {};
      var event = event_innerEventCreationSteps(eventInterface, realm, /* @__PURE__ */ new Date(), dictionary);
      event._isTrusted = true;
      return event;
    }
    exports2.event_createAnEvent = event_createAnEvent;
    function event_innerEventCreationSteps(eventInterface, realm, time, dictionary) {
      var event = new eventInterface("");
      event._initializedFlag = true;
      event._timeStamp = time.getTime();
      Object.assign(event, dictionary);
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runEventConstructingSteps(event);
      }
      return event;
    }
    exports2.event_innerEventCreationSteps = event_innerEventCreationSteps;
    function event_dispatch(event, target, legacyTargetOverrideFlag, legacyOutputDidListenersThrowFlag) {
      var e_1, _a, e_2, _b;
      if (legacyTargetOverrideFlag === void 0) {
        legacyTargetOverrideFlag = false;
      }
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var clearTargets = false;
      event._dispatchFlag = true;
      var targetOverride = target;
      if (legacyTargetOverrideFlag) {
        var doc = target._associatedDocument;
        if (util_1.Guard.isDocumentNode(doc)) {
          targetOverride = doc;
        }
      }
      var activationTarget = null;
      var relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, target);
      if (target !== relatedTarget || target === event._relatedTarget) {
        var touchTargets = [];
        try {
          for (var _c = __values(event._touchTargetList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var touchTarget = _d.value;
            touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, target));
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        event_appendToAnEventPath(event, target, targetOverride, relatedTarget, touchTargets, false);
        var isActivationEvent = util_1.Guard.isMouseEvent(event) && event._type === "click";
        if (isActivationEvent && target._activationBehavior !== void 0) {
          activationTarget = target;
        }
        var slotable = util_1.Guard.isSlotable(target) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(target) ? target : null;
        var slotInClosedTree = false;
        var parent = target._getTheParent(event);
        while (parent !== null && util_1.Guard.isNode(parent)) {
          if (slotable !== null) {
            if (!util_1.Guard.isSlot(parent)) {
              throw new Error("Parent node of a slotable should be a slot.");
            }
            slotable = null;
            var root = TreeAlgorithm_1.tree_rootNode(parent, true);
            if (util_1.Guard.isShadowRoot(root) && root._mode === "closed") {
              slotInClosedTree = true;
            }
          }
          if (util_1.Guard.isSlotable(parent) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(parent)) {
            slotable = parent;
          }
          relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, parent);
          touchTargets = [];
          try {
            for (var _e = (e_2 = void 0, __values(event._touchTargetList)), _f = _e.next(); !_f.done; _f = _e.next()) {
              var touchTarget = _f.value;
              touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, parent));
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_f && !_f.done && (_b = _e.return))
                _b.call(_e);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (util_1.Guard.isWindow(parent) || util_1.Guard.isNode(parent) && util_1.Guard.isNode(target) && TreeAlgorithm_1.tree_isAncestorOf(TreeAlgorithm_1.tree_rootNode(target, true), parent, true, true)) {
            if (isActivationEvent && event._bubbles && activationTarget === null && parent._activationBehavior) {
              activationTarget = parent;
            }
            event_appendToAnEventPath(event, parent, null, relatedTarget, touchTargets, slotInClosedTree);
          } else if (parent === relatedTarget) {
            parent = null;
          } else {
            target = parent;
            if (isActivationEvent && activationTarget === null && target._activationBehavior) {
              activationTarget = target;
            }
            event_appendToAnEventPath(event, parent, target, relatedTarget, touchTargets, slotInClosedTree);
          }
          if (parent !== null) {
            parent = parent._getTheParent(event);
          }
          slotInClosedTree = false;
        }
        var clearTargetsStruct = null;
        var path = event._path;
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            clearTargetsStruct = struct;
            break;
          }
        }
        if (clearTargetsStruct !== null) {
          if (util_1.Guard.isNode(clearTargetsStruct.shadowAdjustedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.shadowAdjustedTarget, true))) {
            clearTargets = true;
          } else if (util_1.Guard.isNode(clearTargetsStruct.relatedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.relatedTarget, true))) {
            clearTargets = true;
          } else {
            for (var j = 0; j < clearTargetsStruct.touchTargetList.length; j++) {
              var struct = clearTargetsStruct.touchTargetList[j];
              if (util_1.Guard.isNode(struct) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(struct, true))) {
                clearTargets = true;
                break;
              }
            }
          }
        }
        if (activationTarget !== null && activationTarget._legacyPreActivationBehavior !== void 0) {
          activationTarget._legacyPreActivationBehavior(event);
        }
        for (var i = path.length - 1; i >= 0; i--) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            event._eventPhase = interfaces_1.EventPhase.Capturing;
          }
          event_invoke(struct, event, "capturing", legacyOutputDidListenersThrowFlag);
        }
        for (var i = 0; i < path.length; i++) {
          var struct = path[i];
          if (struct.shadowAdjustedTarget !== null) {
            event._eventPhase = interfaces_1.EventPhase.AtTarget;
          } else {
            if (!event._bubbles)
              continue;
            event._eventPhase = interfaces_1.EventPhase.Bubbling;
          }
          event_invoke(struct, event, "bubbling", legacyOutputDidListenersThrowFlag);
        }
      }
      event._eventPhase = interfaces_1.EventPhase.None;
      event._currentTarget = null;
      event._path = [];
      event._dispatchFlag = false;
      event._stopPropagationFlag = false;
      event._stopImmediatePropagationFlag = false;
      if (clearTargets) {
        event._target = null;
        event._relatedTarget = null;
        event._touchTargetList = [];
      }
      if (activationTarget !== null) {
        if (!event._canceledFlag && activationTarget._activationBehavior !== void 0) {
          activationTarget._activationBehavior(event);
        } else if (activationTarget._legacyCanceledActivationBehavior !== void 0) {
          activationTarget._legacyCanceledActivationBehavior(event);
        }
      }
      return !event._canceledFlag;
    }
    exports2.event_dispatch = event_dispatch;
    function event_appendToAnEventPath(event, invocationTarget, shadowAdjustedTarget, relatedTarget, touchTargets, slotInClosedTree) {
      var invocationTargetInShadowTree = false;
      if (util_1.Guard.isNode(invocationTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(invocationTarget))) {
        invocationTargetInShadowTree = true;
      }
      var rootOfClosedTree = false;
      if (util_1.Guard.isShadowRoot(invocationTarget) && invocationTarget._mode === "closed") {
        rootOfClosedTree = true;
      }
      event._path.push({
        invocationTarget,
        invocationTargetInShadowTree,
        shadowAdjustedTarget,
        relatedTarget,
        touchTargetList: touchTargets,
        rootOfClosedTree,
        slotInClosedTree
      });
    }
    exports2.event_appendToAnEventPath = event_appendToAnEventPath;
    function event_invoke(struct, event, phase, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var path = event._path;
      var index = -1;
      for (var i = 0; i < path.length; i++) {
        if (path[i] === struct) {
          index = i;
          break;
        }
      }
      if (index !== -1) {
        var item = path[index];
        if (item.shadowAdjustedTarget !== null) {
          event._target = item.shadowAdjustedTarget;
        } else if (index > 0) {
          item = path[index - 1];
          if (item.shadowAdjustedTarget !== null) {
            event._target = item.shadowAdjustedTarget;
          }
        }
      }
      event._relatedTarget = struct.relatedTarget;
      event._touchTargetList = struct.touchTargetList;
      if (event._stopPropagationFlag)
        return;
      event._currentTarget = struct.invocationTarget;
      var currentTarget = event._currentTarget;
      var targetListeners = currentTarget._eventListenerList;
      var listeners = new (Array.bind.apply(Array, __spread([void 0], targetListeners)))();
      var found = event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
      if (!found && event._isTrusted) {
        var originalEventType = event._type;
        if (originalEventType === "animationend") {
          event._type = "webkitAnimationEnd";
        } else if (originalEventType === "animationiteration") {
          event._type = "webkitAnimationIteration";
        } else if (originalEventType === "animationstart") {
          event._type = "webkitAnimationStart";
        } else if (originalEventType === "transitionend") {
          event._type = "webkitTransitionEnd";
        }
        event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
        event._type = originalEventType;
      }
    }
    exports2.event_invoke = event_invoke;
    function event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag) {
      if (legacyOutputDidListenersThrowFlag === void 0) {
        legacyOutputDidListenersThrowFlag = { value: false };
      }
      var found = false;
      for (var i = 0; i < listeners.length; i++) {
        var listener = listeners[i];
        if (!listener.removed) {
          if (event._type !== listener.type)
            continue;
          found = true;
          if (phase === "capturing" && !listener.capture)
            continue;
          if (phase === "bubbling" && listener.capture)
            continue;
          if (listener.once && event._currentTarget !== null) {
            var impl = event._currentTarget;
            var index = -1;
            for (var i_1 = 0; i_1 < impl._eventListenerList.length; i_1++) {
              if (impl._eventListenerList[i_1] === listener) {
                index = i_1;
                break;
              }
            }
            if (index !== -1) {
              impl._eventListenerList.splice(index, 1);
            }
          }
          var globalObject = void 0;
          var currentEvent = void 0;
          if (util_1.Guard.isWindow(globalObject)) {
            currentEvent = globalObject._currentEvent;
            if (struct.invocationTargetInShadowTree === false) {
              globalObject._currentEvent = event;
            }
          }
          if (listener.passive)
            event._inPassiveListenerFlag = true;
          try {
            listener.callback.handleEvent.call(event._currentTarget, event);
          } catch (err) {
            legacyOutputDidListenersThrowFlag.value = true;
          }
          if (listener.passive)
            event._inPassiveListenerFlag = false;
          if (util_1.Guard.isWindow(globalObject)) {
            globalObject._currentEvent = currentEvent;
          }
          if (event._stopImmediatePropagationFlag)
            return found;
        }
      }
      return found;
    }
    exports2.event_innerInvoke = event_innerInvoke;
    function event_fireAnEvent(e, target, eventConstructor, idlAttributes, legacyTargetOverrideFlag) {
      if (eventConstructor === void 0) {
        eventConstructor = EventImpl_1.EventImpl;
      }
      var event = event_createAnEvent(eventConstructor);
      event._type = e;
      if (idlAttributes) {
        for (var key in idlAttributes) {
          var idlObj = event;
          idlObj[key] = idlAttributes[key];
        }
      }
      return event_dispatch(event, target, legacyTargetOverrideFlag);
    }
    exports2.event_fireAnEvent = event_fireAnEvent;
    function event_createLegacyEvent(eventInterface) {
      var constructor = null;
      switch (eventInterface.toLowerCase()) {
        case "beforeunloadevent":
          break;
        case "compositionevent":
          break;
        case "customevent":
          constructor = CustomEventImpl_1.CustomEventImpl;
          break;
        case "devicemotionevent":
          break;
        case "deviceorientationevent":
          break;
        case "dragevent":
          break;
        case "event":
        case "events":
          constructor = EventImpl_1.EventImpl;
          break;
        case "focusevent":
          break;
        case "hashchangeevent":
          break;
        case "htmlevents":
          break;
        case "keyboardevent":
          break;
        case "messageevent":
          break;
        case "mouseevent":
          break;
        case "mouseevents":
          break;
        case "storageevent":
          break;
        case "svgevents":
          break;
        case "textevent":
          break;
        case "touchevent":
          break;
        case "uievent":
          break;
        case "uievents":
          break;
      }
      if (constructor === null) {
        throw new DOMException_1.NotSupportedError("Event constructor not found for interface " + eventInterface + ".");
      }
      var event = new constructor("");
      event._type = "";
      event._timeStamp = (/* @__PURE__ */ new Date()).getTime();
      event._isTrusted = false;
      event._initializedFlag = false;
      return event;
    }
    exports2.event_createLegacyEvent = event_createLegacyEvent;
    function event_getterEventHandlerIDLAttribute(thisObj, name) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return null;
      return event_getTheCurrentValueOfAnEventHandler(eventTarget, name);
    }
    exports2.event_getterEventHandlerIDLAttribute = event_getterEventHandlerIDLAttribute;
    function event_setterEventHandlerIDLAttribute(thisObj, name, value) {
      var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
      if (eventTarget === null)
        return;
      if (value === null) {
        event_deactivateAnEventHandler(eventTarget, name);
      } else {
        var handlerMap = eventTarget._eventHandlerMap;
        var eventHandler = handlerMap["onabort"];
        if (eventHandler !== void 0) {
          eventHandler.value = value;
        }
        event_activateAnEventHandler(eventTarget, name);
      }
    }
    exports2.event_setterEventHandlerIDLAttribute = event_setterEventHandlerIDLAttribute;
    function event_determineTheTargetOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_determineTheTargetOfAnEventHandler = event_determineTheTargetOfAnEventHandler;
    function event_getTheCurrentValueOfAnEventHandler(eventTarget, name) {
      return null;
    }
    exports2.event_getTheCurrentValueOfAnEventHandler = event_getTheCurrentValueOfAnEventHandler;
    function event_activateAnEventHandler(eventTarget, name) {
    }
    exports2.event_activateAnEventHandler = event_activateAnEventHandler;
    function event_deactivateAnEventHandler(eventTarget, name) {
    }
    exports2.event_deactivateAnEventHandler = event_deactivateAnEventHandler;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js
var require_AbortAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var EventAlgorithm_1 = require_EventAlgorithm4();
    function abort_add(algorithm, signal) {
      if (signal._abortedFlag)
        return;
      signal._abortAlgorithms.add(algorithm);
    }
    exports2.abort_add = abort_add;
    function abort_remove(algorithm, signal) {
      signal._abortAlgorithms.delete(algorithm);
    }
    exports2.abort_remove = abort_remove;
    function abort_signalAbort(signal) {
      var e_1, _a;
      if (signal._abortedFlag)
        return;
      signal._abortedFlag = true;
      try {
        for (var _b = __values(signal._abortAlgorithms), _c = _b.next(); !_c.done; _c = _b.next()) {
          var algorithm = _c.value;
          algorithm.call(signal);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      signal._abortAlgorithms.clear();
      EventAlgorithm_1.event_fireAnEvent("abort", signal);
    }
    exports2.abort_signalAbort = abort_signalAbort;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js
var require_CustomElementAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var PotentialCustomElementName = /[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/;
    var NamesWithHyphen = /* @__PURE__ */ new Set([
      "annotation-xml",
      "color-profile",
      "font-face",
      "font-face-src",
      "font-face-uri",
      "font-face-format",
      "font-face-name",
      "missing-glyph"
    ]);
    var ElementNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    var VoidElementNames = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    var ShadowHostNames = /* @__PURE__ */ new Set([
      "article",
      "aside",
      "blockquote",
      "body",
      "div",
      "footer",
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "header",
      "main",
      "nav",
      "p",
      "section",
      "span"
    ]);
    function customElement_isValidCustomElementName(name) {
      if (!PotentialCustomElementName.test(name))
        return false;
      if (NamesWithHyphen.has(name))
        return false;
      return true;
    }
    exports2.customElement_isValidCustomElementName = customElement_isValidCustomElementName;
    function customElement_isValidElementName(name) {
      return ElementNames.has(name);
    }
    exports2.customElement_isValidElementName = customElement_isValidElementName;
    function customElement_isVoidElementName(name) {
      return VoidElementNames.has(name);
    }
    exports2.customElement_isVoidElementName = customElement_isVoidElementName;
    function customElement_isValidShadowHostName(name) {
      return ShadowHostNames.has(name);
    }
    exports2.customElement_isValidShadowHostName = customElement_isValidShadowHostName;
    function customElement_enqueueACustomElementUpgradeReaction(element, definition) {
    }
    exports2.customElement_enqueueACustomElementUpgradeReaction = customElement_enqueueACustomElementUpgradeReaction;
    function customElement_enqueueACustomElementCallbackReaction(element, callbackName, args) {
    }
    exports2.customElement_enqueueACustomElementCallbackReaction = customElement_enqueueACustomElementCallbackReaction;
    function customElement_upgrade(definition, element) {
    }
    exports2.customElement_upgrade = customElement_upgrade;
    function customElement_tryToUpgrade(element) {
    }
    exports2.customElement_tryToUpgrade = customElement_tryToUpgrade;
    function customElement_lookUpACustomElementDefinition(document, namespace, localName, is) {
      return null;
    }
    exports2.customElement_lookUpACustomElementDefinition = customElement_lookUpACustomElementDefinition;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js
var require_TraversalAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var DOMException_1 = require_DOMException4();
    function traversal_filter(traverser, node) {
      if (traverser._activeFlag) {
        throw new DOMException_1.InvalidStateError();
      }
      var n = node._nodeType - 1;
      var mask = 1 << n;
      if ((traverser.whatToShow & mask) === 0) {
        return interfaces_1.FilterResult.Skip;
      }
      if (!traverser.filter) {
        return interfaces_1.FilterResult.Accept;
      }
      traverser._activeFlag = true;
      var result = interfaces_1.FilterResult.Reject;
      try {
        result = traverser.filter.acceptNode(node);
      } catch (err) {
        traverser._activeFlag = false;
        throw err;
      }
      traverser._activeFlag = false;
      return result;
    }
    exports2.traversal_filter = traversal_filter;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js
var require_NodeIteratorAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var interfaces_1 = require_interfaces14();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    function nodeIterator_traverse(iterator, forward) {
      var node = iterator._reference;
      var beforeNode = iterator._pointerBeforeReference;
      while (true) {
        if (forward) {
          if (!beforeNode) {
            var nextNode = TreeAlgorithm_1.tree_getFollowingNode(iterator._root, node);
            if (nextNode) {
              node = nextNode;
            } else {
              return null;
            }
          } else {
            beforeNode = false;
          }
        } else {
          if (beforeNode) {
            var prevNode = TreeAlgorithm_1.tree_getPrecedingNode(iterator.root, node);
            if (prevNode) {
              node = prevNode;
            } else {
              return null;
            }
          } else {
            beforeNode = true;
          }
        }
        var result = TraversalAlgorithm_1.traversal_filter(iterator, node);
        if (result === interfaces_1.FilterResult.Accept) {
          break;
        }
      }
      iterator._reference = node;
      iterator._pointerBeforeReference = beforeNode;
      return node;
    }
    exports2.nodeIterator_traverse = nodeIterator_traverse;
    function nodeIterator_iteratorList() {
      return DOMImpl_1.dom.window._iteratorList;
    }
    exports2.nodeIterator_iteratorList = nodeIterator_iteratorList;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js
var require_XMLAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    function xml_isName(name) {
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 58 || n === 95 || // ':' or '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isName = xml_isName;
    function xml_isQName(name) {
      var colonFound = false;
      for (var i = 0; i < name.length; i++) {
        var n = name.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n === 95 || // '_'
        n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
          continue;
        } else if (i !== 0 && (n === 45 || n === 46 || // '-' or '.'
        n >= 48 && n <= 57 || // [0-9]
        n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
          continue;
        } else if (i !== 0 && n === 58) {
          if (colonFound)
            return false;
          if (i === name.length - 1)
            return false;
          colonFound = true;
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < name.length - 1) {
          var n2 = name.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 983039) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isQName = xml_isQName;
    function xml_isLegalChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
          continue;
        }
        if (n >= 55296 && n <= 56319 && i < chars.length - 1) {
          var n2 = chars.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            i++;
            if (n >= 65536 && n <= 1114111) {
              continue;
            }
          }
        }
        return false;
      }
      return true;
    }
    exports2.xml_isLegalChar = xml_isLegalChar;
    function xml_isPubidChar(chars) {
      for (var i = 0; i < chars.length; i++) {
        var n = chars.charCodeAt(i);
        if (n >= 97 && n <= 122 || // [a-z]
        n >= 65 && n <= 90 || // [A-Z]
        n >= 39 && n <= 59 || // ['()*+,-./] | [0-9] | [:;]
        n === 32 || n === 13 || n === 10 || // #x20 | #xD | #xA
        n >= 35 && n <= 37 || // [#$%]
        n === 33 || // !
        n === 61 || n === 63 || n === 64 || n === 95) {
          continue;
        } else {
          return false;
        }
      }
      return true;
    }
    exports2.xml_isPubidChar = xml_isPubidChar;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js
var require_NamespaceAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException4();
    var infra_1 = require_lib20();
    var XMLAlgorithm_1 = require_XMLAlgorithm4();
    function namespace_validate(qualifiedName) {
      if (!XMLAlgorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML name: " + qualifiedName);
      if (!XMLAlgorithm_1.xml_isQName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError("Invalid XML qualified name: " + qualifiedName + ".");
    }
    exports2.namespace_validate = namespace_validate;
    function namespace_validateAndExtract(namespace, qualifiedName) {
      if (!namespace)
        namespace = null;
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      if (prefix && namespace === null)
        throw new DOMException_1.NamespaceError("Qualified name includes a prefix but the namespace is null.");
      if (prefix === "xml" && namespace !== infra_1.namespace.XML)
        throw new DOMException_1.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');
      if (namespace !== infra_1.namespace.XMLNS && (prefix === "xmlns" || qualifiedName === "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');
      if (namespace === infra_1.namespace.XMLNS && (prefix !== "xmlns" && qualifiedName !== "xmlns"))
        throw new DOMException_1.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');
      return [namespace, prefix, localName];
    }
    exports2.namespace_validateAndExtract = namespace_validateAndExtract;
    function namespace_extractQName(qualifiedName) {
      namespace_validate(qualifiedName);
      var parts = qualifiedName.split(":");
      var prefix = parts.length === 2 ? parts[0] : null;
      var localName = parts.length === 2 ? parts[1] : qualifiedName;
      return [prefix, localName];
    }
    exports2.namespace_extractQName = namespace_extractQName;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js
var require_DocumentAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var util_2 = require_lib19();
    var ElementImpl_1 = require_ElementImpl4();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var NamespaceAlgorithm_1 = require_NamespaceAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    var ElementAlgorithm_1 = require_ElementAlgorithm4();
    var MutationAlgorithm_1 = require_MutationAlgorithm4();
    function document_elementInterface(name, namespace) {
      return ElementImpl_1.ElementImpl;
    }
    exports2.document_elementInterface = document_elementInterface;
    function document_internalCreateElementNS(document, namespace, qualifiedName, options) {
      var _a = __read(NamespaceAlgorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      var is = null;
      if (options !== void 0) {
        if (util_2.isString(options)) {
          is = options;
        } else {
          is = options.is;
        }
      }
      return ElementAlgorithm_1.element_createAnElement(document, localName, ns, prefix, is, true);
    }
    exports2.document_internalCreateElementNS = document_internalCreateElementNS;
    function document_adopt(node, document) {
      var e_1, _a;
      if (node._nodeDocument === document && node._parent === null) {
        return;
      }
      var oldDocument = node._nodeDocument;
      if (node._parent)
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      if (document !== oldDocument) {
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, true);
        while (inclusiveDescendant !== null) {
          inclusiveDescendant._nodeDocument = document;
          if (util_1.Guard.isElementNode(inclusiveDescendant)) {
            try {
              for (var _b = (e_1 = void 0, __values(inclusiveDescendant._attributeList._asArray())), _c = _b.next(); !_c.done; _c = _b.next()) {
                var attr = _c.value;
                attr._nodeDocument = document;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && inclusiveDescendant._customElementState === "custom") {
              CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "adoptedCallback", [oldDocument, document]);
            }
          }
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runAdoptingSteps(inclusiveDescendant, oldDocument);
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, inclusiveDescendant, true, true);
        }
      }
    }
    exports2.document_adopt = document_adopt;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js
var require_MutationAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var DOMException_1 = require_DOMException4();
    var interfaces_1 = require_interfaces14();
    var util_1 = require_util22();
    var util_2 = require_lib19();
    var infra_1 = require_lib20();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var NodeIteratorAlgorithm_1 = require_NodeIteratorAlgorithm4();
    var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm4();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm4();
    function mutation_ensurePreInsertionValidity(node, parent, child) {
      var e_1, _a, e_2, _b, e_3, _c, e_4, _d;
      var parentNodeType = parent._nodeType;
      var nodeNodeType = node._nodeType;
      var childNodeType = child ? child._nodeType : null;
      if (parentNodeType !== interfaces_1.NodeType.Document && parentNodeType !== interfaces_1.NodeType.DocumentFragment && parentNodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child !== null && child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (nodeNodeType !== interfaces_1.NodeType.DocumentFragment && nodeNodeType !== interfaces_1.NodeType.DocumentType && nodeNodeType !== interfaces_1.NodeType.Element && nodeNodeType !== interfaces_1.NodeType.Text && nodeNodeType !== interfaces_1.NodeType.ProcessingInstruction && nodeNodeType !== interfaces_1.NodeType.CData && nodeNodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.Text && parentNodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (nodeNodeType === interfaces_1.NodeType.DocumentType && parentNodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parentNodeType === interfaces_1.NodeType.Document) {
        if (nodeNodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (child) {
              if (childNodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              var doctypeChild = child._nextSibling;
              while (doctypeChild) {
                if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                  throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
                doctypeChild = doctypeChild._nextSibling;
              }
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          if (child) {
            if (childNodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (nodeNodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          if (child) {
            var elementChild = child._previousSibling;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._previousSibling;
            }
          } else {
            var elementChild = parent._firstChild;
            while (elementChild) {
              if (elementChild._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
              elementChild = elementChild._nextSibling;
            }
          }
        }
      }
    }
    exports2.mutation_ensurePreInsertionValidity = mutation_ensurePreInsertionValidity;
    function mutation_preInsert(node, parent, child) {
      mutation_ensurePreInsertionValidity(node, parent, child);
      var referenceChild = child;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      mutation_insert(node, parent, referenceChild);
      return node;
    }
    exports2.mutation_preInsert = mutation_preInsert;
    function mutation_insert(node, parent, child, suppressObservers) {
      var e_5, _a;
      if (child === null && node._nodeType !== interfaces_1.NodeType.DocumentFragment) {
        mutation_insert_single(node, parent, suppressObservers);
        return;
      }
      var count = node._nodeType === interfaces_1.NodeType.DocumentFragment ? node._children.size : 1;
      if (child !== null) {
        if (DOMImpl_1.dom.rangeList.size !== 0) {
          var index_1 = TreeAlgorithm_1.tree_index(child);
          try {
            for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var range = _c.value;
              if (range._start[0] === parent && range._start[1] > index_1) {
                range._start[1] += count;
              }
              if (range._end[0] === parent && range._end[1] > index_1) {
                range._end[1] += count;
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        }
      }
      var nodes = node._nodeType === interfaces_1.NodeType.DocumentFragment ? new (Array.bind.apply(Array, __spread([void 0], node._children)))() : [node];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        while (node._firstChild) {
          mutation_remove(node._firstChild, node, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(node, [], nodes, null, null);
        }
      }
      var previousSibling = child ? child._previousSibling : parent._lastChild;
      var index = child === null ? -1 : TreeAlgorithm_1.tree_index(child);
      for (var i = 0; i < nodes.length; i++) {
        var node_1 = nodes[i];
        if (util_1.Guard.isElementNode(node_1)) {
          if (util_1.Guard.isDocumentNode(parent)) {
            parent._documentElement = node_1;
          }
          if (!node_1._nodeDocument._hasNamespaces && (node_1._namespace !== null || node_1._namespacePrefix !== null)) {
            node_1._nodeDocument._hasNamespaces = true;
          }
        }
        node_1._parent = parent;
        if (child === null) {
          infra_1.set.append(parent._children, node_1);
        } else {
          infra_1.set.insert(parent._children, node_1, index);
          index++;
        }
        if (parent._firstChild === null) {
          node_1._previousSibling = null;
          node_1._nextSibling = null;
          parent._firstChild = node_1;
          parent._lastChild = node_1;
        } else {
          var prev = child ? child._previousSibling : parent._lastChild;
          var next = child ? child : null;
          node_1._previousSibling = prev;
          node_1._nextSibling = next;
          if (prev)
            prev._nextSibling = node_1;
          if (next)
            next._previousSibling = node_1;
          if (!prev)
            parent._firstChild = node_1;
          if (!next)
            parent._lastChild = node_1;
        }
        if (DOMImpl_1.dom.features.slots) {
          if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node_1)) {
            ShadowTreeAlgorithm_1.shadowTree_assignASlot(node_1);
          }
        }
        if (DOMImpl_1.dom.features.steps) {
          if (util_1.Guard.isTextNode(node_1)) {
            DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
            ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
          }
        }
        if (DOMImpl_1.dom.features.slots) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node_1));
        }
        var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node_1, true, true);
        while (inclusiveDescendant !== null) {
          if (DOMImpl_1.dom.features.steps) {
            DOMAlgorithm_1.dom_runInsertionSteps(inclusiveDescendant);
          }
          if (DOMImpl_1.dom.features.customElements) {
            if (util_1.Guard.isElementNode(inclusiveDescendant) && ShadowTreeAlgorithm_1.shadowTree_isConnected(inclusiveDescendant)) {
              if (util_1.Guard.isCustomElementNode(inclusiveDescendant)) {
                CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "connectedCallback", []);
              } else {
                CustomElementAlgorithm_1.customElement_tryToUpgrade(inclusiveDescendant);
              }
            }
          }
          inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node_1, inclusiveDescendant, true, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, [], previousSibling, child);
        }
      }
    }
    exports2.mutation_insert = mutation_insert;
    function mutation_insert_single(node, parent, suppressObservers) {
      var previousSibling = parent._lastChild;
      if (util_1.Guard.isElementNode(node)) {
        if (util_1.Guard.isDocumentNode(parent)) {
          parent._documentElement = node;
        }
        if (!node._nodeDocument._hasNamespaces && (node._namespace !== null || node._namespacePrefix !== null)) {
          node._nodeDocument._hasNamespaces = true;
        }
      }
      node._parent = parent;
      parent._children.add(node);
      if (parent._firstChild === null) {
        node._previousSibling = null;
        node._nextSibling = null;
        parent._firstChild = node;
        parent._lastChild = node;
      } else {
        var prev = parent._lastChild;
        node._previousSibling = prev;
        node._nextSibling = null;
        if (prev)
          prev._nextSibling = node;
        if (!prev)
          parent._firstChild = node;
        parent._lastChild = node;
      }
      if (DOMImpl_1.dom.features.slots) {
        if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignASlot(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node));
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runInsertionSteps(node);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isElementNode(node) && ShadowTreeAlgorithm_1.shadowTree_isConnected(node)) {
          if (util_1.Guard.isCustomElementNode(node)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "connectedCallback", []);
          } else {
            CustomElementAlgorithm_1.customElement_tryToUpgrade(node);
          }
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [node], [], previousSibling, null);
        }
      }
    }
    function mutation_append(node, parent) {
      return mutation_preInsert(node, parent, null);
    }
    exports2.mutation_append = mutation_append;
    function mutation_replace(child, node, parent) {
      var e_6, _a, e_7, _b, e_8, _c, e_9, _d;
      if (parent._nodeType !== interfaces_1.NodeType.Document && parent._nodeType !== interfaces_1.NodeType.DocumentFragment && parent._nodeType !== interfaces_1.NodeType.Element)
        throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
      if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
        throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      if (node._nodeType !== interfaces_1.NodeType.DocumentFragment && node._nodeType !== interfaces_1.NodeType.DocumentType && node._nodeType !== interfaces_1.NodeType.Element && node._nodeType !== interfaces_1.NodeType.Text && node._nodeType !== interfaces_1.NodeType.ProcessingInstruction && node._nodeType !== interfaces_1.NodeType.CData && node._nodeType !== interfaces_1.NodeType.Comment)
        throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.Text && parent._nodeType === interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
      if (node._nodeType === interfaces_1.NodeType.DocumentType && parent._nodeType !== interfaces_1.NodeType.Document)
        throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
      if (parent._nodeType === interfaces_1.NodeType.Document) {
        if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
          var eleCount = 0;
          try {
            for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
              var childNode = _f.value;
              if (childNode._nodeType === interfaces_1.NodeType.Element)
                eleCount++;
              else if (childNode._nodeType === interfaces_1.NodeType.Text)
                throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_f && !_f.done && (_a = _e.return))
                _a.call(_e);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          if (eleCount > 1) {
            throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
          } else if (eleCount === 1) {
            try {
              for (var _g = __values(parent._children), _h = _g.next(); !_h.done; _h = _g.next()) {
                var ele = _h.value;
                if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                  throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
              }
            } catch (e_7_1) {
              e_7 = { error: e_7_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_7)
                  throw e_7.error;
              }
            }
            var doctypeChild = child._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        } else if (node._nodeType === interfaces_1.NodeType.Element) {
          try {
            for (var _j = __values(parent._children), _k = _j.next(); !_k.done; _k = _j.next()) {
              var ele = _k.value;
              if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_k && !_k.done && (_c = _j.return))
                _c.call(_j);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          var doctypeChild = child._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            doctypeChild = doctypeChild._nextSibling;
          }
        } else if (node._nodeType === interfaces_1.NodeType.DocumentType) {
          try {
            for (var _l = __values(parent._children), _m = _l.next(); !_m.done; _m = _l.next()) {
              var ele = _m.value;
              if (ele._nodeType === interfaces_1.NodeType.DocumentType && ele !== child)
                throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          var elementChild = child._previousSibling;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._previousSibling;
          }
        }
      }
      var referenceChild = child._nextSibling;
      if (referenceChild === node)
        referenceChild = node._nextSibling;
      var previousSibling = child._previousSibling;
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      var removedNodes = [];
      if (child._parent !== null) {
        removedNodes.push(child);
        mutation_remove(child, child._parent, true);
      }
      var nodes = [];
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        nodes = Array.from(node._children);
      } else {
        nodes.push(node);
      }
      mutation_insert(node, parent, referenceChild, true);
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, removedNodes, previousSibling, referenceChild);
      }
      return child;
    }
    exports2.mutation_replace = mutation_replace;
    function mutation_replaceAll(node, parent) {
      var e_10, _a;
      if (node !== null) {
        DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
      }
      var removedNodes = Array.from(parent._children);
      var addedNodes = [];
      if (node && node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        addedNodes = Array.from(node._children);
      } else if (node !== null) {
        addedNodes.push(node);
      }
      try {
        for (var removedNodes_1 = __values(removedNodes), removedNodes_1_1 = removedNodes_1.next(); !removedNodes_1_1.done; removedNodes_1_1 = removedNodes_1.next()) {
          var childNode = removedNodes_1_1.value;
          mutation_remove(childNode, parent, true);
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (removedNodes_1_1 && !removedNodes_1_1.done && (_a = removedNodes_1.return))
            _a.call(removedNodes_1);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      if (node !== null) {
        mutation_insert(node, parent, null, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, addedNodes, removedNodes, null, null);
      }
    }
    exports2.mutation_replaceAll = mutation_replaceAll;
    function mutation_preRemove(child, parent) {
      if (child._parent !== parent)
        throw new DOMException_1.NotFoundError("The child node cannot be found under parent node. Child node is " + child.nodeName + ", parent node is " + parent.nodeName + ".");
      mutation_remove(child, parent);
      return child;
    }
    exports2.mutation_preRemove = mutation_preRemove;
    function mutation_remove(node, parent, suppressObservers) {
      var e_11, _a, e_12, _b, e_13, _c, e_14, _d;
      if (DOMImpl_1.dom.rangeList.size !== 0) {
        var index = TreeAlgorithm_1.tree_index(node);
        try {
          for (var _e = __values(DOMImpl_1.dom.rangeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var range = _f.value;
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._start[0], true)) {
              range._start = [parent, index];
            }
            if (TreeAlgorithm_1.tree_isDescendantOf(node, range._end[0], true)) {
              range._end = [parent, index];
            }
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1]--;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1]--;
            }
          }
        } catch (e_11_1) {
          e_11 = { error: e_11_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_11)
              throw e_11.error;
          }
        }
        try {
          for (var _g = __values(DOMImpl_1.dom.rangeList), _h = _g.next(); !_h.done; _h = _g.next()) {
            var range = _h.value;
            if (range._start[0] === parent && range._start[1] > index) {
              range._start[1] -= 1;
            }
            if (range._end[0] === parent && range._end[1] > index) {
              range._end[1] -= 1;
            }
          }
        } catch (e_12_1) {
          e_12 = { error: e_12_1 };
        } finally {
          try {
            if (_h && !_h.done && (_b = _g.return))
              _b.call(_g);
          } finally {
            if (e_12)
              throw e_12.error;
          }
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        try {
          for (var _j = __values(NodeIteratorAlgorithm_1.nodeIterator_iteratorList()), _k = _j.next(); !_k.done; _k = _j.next()) {
            var iterator = _k.value;
            if (iterator._root._nodeDocument === node._nodeDocument) {
              DOMAlgorithm_1.dom_runNodeIteratorPreRemovingSteps(iterator, node);
            }
          }
        } catch (e_13_1) {
          e_13 = { error: e_13_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_13)
              throw e_13.error;
          }
        }
      }
      var oldPreviousSibling = node._previousSibling;
      var oldNextSibling = node._nextSibling;
      if (util_1.Guard.isDocumentNode(parent) && util_1.Guard.isElementNode(node)) {
        parent._documentElement = null;
      }
      node._parent = null;
      parent._children.delete(node);
      var prev = node._previousSibling;
      var next = node._nextSibling;
      node._previousSibling = null;
      node._nextSibling = null;
      if (prev)
        prev._nextSibling = next;
      if (next)
        next._previousSibling = prev;
      if (!prev)
        parent._firstChild = next;
      if (!next)
        parent._lastChild = prev;
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isSlotable(node) && node._assignedSlot !== null && ShadowTreeAlgorithm_1.shadowTree_isAssigned(node)) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotables(node._assignedSlot);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        var descendant_1 = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, false, function(e) {
          return util_1.Guard.isSlot(e);
        });
        if (descendant_1 !== null) {
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(parent));
          ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(node);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runRemovingSteps(node, parent);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(node)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "disconnectedCallback", []);
        }
      }
      var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, true);
      while (descendant !== null) {
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runRemovingSteps(descendant, node);
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isCustomElementNode(descendant)) {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(descendant, "disconnectedCallback", []);
          }
        }
        descendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, descendant, false, true);
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        var inclusiveAncestor = TreeAlgorithm_1.tree_getFirstAncestorNode(parent, true);
        while (inclusiveAncestor !== null) {
          try {
            for (var _l = (e_14 = void 0, __values(inclusiveAncestor._registeredObserverList)), _m = _l.next(); !_m.done; _m = _l.next()) {
              var registered = _m.value;
              if (registered.options.subtree) {
                node._registeredObserverList.push({
                  observer: registered.observer,
                  options: registered.options,
                  source: registered
                });
              }
            }
          } catch (e_14_1) {
            e_14 = { error: e_14_1 };
          } finally {
            try {
              if (_m && !_m.done && (_d = _l.return))
                _d.call(_l);
            } finally {
              if (e_14)
                throw e_14.error;
            }
          }
          inclusiveAncestor = TreeAlgorithm_1.tree_getNextAncestorNode(parent, inclusiveAncestor, true);
        }
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        if (!suppressObservers) {
          MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [], [node], oldPreviousSibling, oldNextSibling);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
    }
    exports2.mutation_remove = mutation_remove;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js
var require_ElementAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var infra_1 = require_lib20();
    var util_1 = require_util22();
    var DOMException_1 = require_DOMException4();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var CustomElementAlgorithm_1 = require_CustomElementAlgorithm4();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    var MutationAlgorithm_1 = require_MutationAlgorithm4();
    var DocumentAlgorithm_1 = require_DocumentAlgorithm4();
    function element_has(attribute, element) {
      return element._attributeList._asArray().indexOf(attribute) !== -1;
    }
    exports2.element_has = element_has;
    function element_change(attribute, element, value) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, value, attribute._namespace);
      }
      attribute._value = value;
    }
    exports2.element_change = element_change;
    function element_append(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, null);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, null, attribute._value, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, null, attribute._value, attribute._namespace);
      }
      element._attributeList._asArray().push(attribute);
      attribute._element = element;
      if (!element._nodeDocument._hasNamespaces && (attribute._namespace !== null || attribute._namespacePrefix !== null || attribute._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_append = element_append;
    function element_remove(attribute, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, null, attribute._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, null, attribute._namespace);
      }
      var index = element._attributeList._asArray().indexOf(attribute);
      element._attributeList._asArray().splice(index, 1);
      attribute._element = null;
    }
    exports2.element_remove = element_remove;
    function element_replace(oldAttr, newAttr, element) {
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, oldAttr._localName, oldAttr._namespace, oldAttr._value);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(element)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace]);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runAttributeChangeSteps(element, oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace);
      }
      var index = element._attributeList._asArray().indexOf(oldAttr);
      if (index !== -1) {
        element._attributeList._asArray()[index] = newAttr;
      }
      oldAttr._element = null;
      newAttr._element = element;
      if (!element._nodeDocument._hasNamespaces && (newAttr._namespace !== null || newAttr._namespacePrefix !== null || newAttr._localName === "xmlns")) {
        element._nodeDocument._hasNamespaces = true;
      }
    }
    exports2.element_replace = element_replace;
    function element_getAnAttributeByName(qualifiedName, element) {
      if (element._namespace === infra_1.namespace.HTML && element._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      return element._attributeList._asArray().find(function(attr) {
        return attr._qualifiedName === qualifiedName;
      }) || null;
    }
    exports2.element_getAnAttributeByName = element_getAnAttributeByName;
    function element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var ns = namespace || null;
      return element._attributeList._asArray().find(function(attr) {
        return attr._namespace === ns && attr._localName === localName;
      }) || null;
    }
    exports2.element_getAnAttributeByNamespaceAndLocalName = element_getAnAttributeByNamespaceAndLocalName;
    function element_getAnAttributeValue(element, localName, namespace) {
      if (namespace === void 0) {
        namespace = "";
      }
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr === null)
        return "";
      else
        return attr._value;
    }
    exports2.element_getAnAttributeValue = element_getAnAttributeValue;
    function element_setAnAttribute(attr, element) {
      if (attr._element !== null && attr._element !== element)
        throw new DOMException_1.InUseAttributeError("This attribute already exists in the document: " + attr._qualifiedName + " as a child of " + attr._element._qualifiedName + ".");
      var oldAttr = element_getAnAttributeByNamespaceAndLocalName(attr._namespace || "", attr._localName, element);
      if (oldAttr === attr)
        return attr;
      if (oldAttr !== null) {
        element_replace(oldAttr, attr, element);
      } else {
        element_append(attr, element);
      }
      return oldAttr;
    }
    exports2.element_setAnAttribute = element_setAnAttribute;
    function element_setAnAttributeValue(element, localName, value, prefix, namespace) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (namespace === void 0) {
        namespace = null;
      }
      var attribute = element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, element);
      if (attribute === null) {
        var newAttr = CreateAlgorithm_1.create_attr(element._nodeDocument, localName);
        newAttr._namespace = namespace;
        newAttr._namespacePrefix = prefix;
        newAttr._value = value;
        element_append(newAttr, element);
        return;
      }
      element_change(attribute, element, value);
    }
    exports2.element_setAnAttributeValue = element_setAnAttributeValue;
    function element_removeAnAttributeByName(qualifiedName, element) {
      var attr = element_getAnAttributeByName(qualifiedName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByName = element_removeAnAttributeByName;
    function element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
      var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
      if (attr !== null) {
        element_remove(attr, element);
      }
      return attr;
    }
    exports2.element_removeAnAttributeByNamespaceAndLocalName = element_removeAnAttributeByNamespaceAndLocalName;
    function element_createAnElement(document, localName, namespace, prefix, is, synchronousCustomElementsFlag) {
      if (prefix === void 0) {
        prefix = null;
      }
      if (is === void 0) {
        is = null;
      }
      if (synchronousCustomElementsFlag === void 0) {
        synchronousCustomElementsFlag = false;
      }
      var result = null;
      if (!DOMImpl_1.dom.features.customElements) {
        result = CreateAlgorithm_1.create_element(document, localName, namespace, prefix);
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        return result;
      }
      var definition = CustomElementAlgorithm_1.customElement_lookUpACustomElementDefinition(document, namespace, localName, is);
      if (definition !== null && definition.name !== definition.localName) {
        var elemenInterface = DocumentAlgorithm_1.document_elementInterface(localName, infra_1.namespace.HTML);
        result = new elemenInterface();
        result._localName = localName;
        result._namespace = infra_1.namespace.HTML;
        result._namespacePrefix = prefix;
        result._customElementState = "undefined";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (synchronousCustomElementsFlag) {
          CustomElementAlgorithm_1.customElement_upgrade(definition, result);
        } else {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else if (definition !== null) {
        if (synchronousCustomElementsFlag) {
          try {
            var C = definition.constructor;
            var result_1 = new C();
            console.assert(result_1._customElementState !== void 0);
            console.assert(result_1._customElementDefinition !== void 0);
            console.assert(result_1._namespace === infra_1.namespace.HTML);
            if (result_1._attributeList.length !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has attributes.");
            if (result_1._children.size !== 0)
              throw new DOMException_1.NotSupportedError("Custom element already has child nodes.");
            if (result_1._parent !== null)
              throw new DOMException_1.NotSupportedError("Custom element already has a parent node.");
            if (result_1._nodeDocument !== document)
              throw new DOMException_1.NotSupportedError("Custom element is already in a document.");
            if (result_1._localName !== localName)
              throw new DOMException_1.NotSupportedError("Custom element has a different local name.");
            result_1._namespacePrefix = prefix;
            result_1._is = null;
          } catch (e) {
            result = CreateAlgorithm_1.create_htmlUnknownElement(document, localName, infra_1.namespace.HTML, prefix);
            result._customElementState = "failed";
            result._customElementDefinition = null;
            result._is = null;
          }
        } else {
          result = CreateAlgorithm_1.create_htmlElement(document, localName, infra_1.namespace.HTML, prefix);
          result._customElementState = "undefined";
          result._customElementDefinition = null;
          result._is = null;
          CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
        }
      } else {
        var elementInterface = DocumentAlgorithm_1.document_elementInterface(localName, namespace);
        result = new elementInterface();
        result._localName = localName;
        result._namespace = namespace;
        result._namespacePrefix = prefix;
        result._customElementState = "uncustomized";
        result._customElementDefinition = null;
        result._is = is;
        result._nodeDocument = document;
        if (namespace === infra_1.namespace.HTML && (is !== null || CustomElementAlgorithm_1.customElement_isValidCustomElementName(localName))) {
          result._customElementState = "undefined";
        }
      }
      if (result === null) {
        throw new Error("Unable to create element.");
      }
      return result;
    }
    exports2.element_createAnElement = element_createAnElement;
    function element_insertAdjacent(element, where, node) {
      switch (where.toLowerCase()) {
        case "beforebegin":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element);
        case "afterbegin":
          return MutationAlgorithm_1.mutation_preInsert(node, element, element._firstChild);
        case "beforeend":
          return MutationAlgorithm_1.mutation_preInsert(node, element, null);
        case "afterend":
          if (element._parent === null)
            return null;
          return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element._nextSibling);
        default:
          throw new DOMException_1.SyntaxError(`Invalid 'where' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected`);
      }
    }
    exports2.element_insertAdjacent = element_insertAdjacent;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js
var require_AttrAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ElementAlgorithm_1 = require_ElementAlgorithm4();
    function attr_setAnExistingAttributeValue(attribute, value) {
      if (attribute._element === null) {
        attribute._value = value;
      } else {
        ElementAlgorithm_1.element_change(attribute, attribute._element, value);
      }
    }
    exports2.attr_setAnExistingAttributeValue = attr_setAnExistingAttributeValue;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js
var require_BoundaryPointAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    function boundaryPoint_position(bp, relativeTo) {
      var nodeA = bp[0];
      var offsetA = bp[1];
      var nodeB = relativeTo[0];
      var offsetB = relativeTo[1];
      console.assert(TreeAlgorithm_1.tree_rootNode(nodeA) === TreeAlgorithm_1.tree_rootNode(nodeB), "Boundary points must share the same root node.");
      if (nodeA === nodeB) {
        if (offsetA === offsetB) {
          return interfaces_1.BoundaryPosition.Equal;
        } else if (offsetA < offsetB) {
          return interfaces_1.BoundaryPosition.Before;
        } else {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      if (TreeAlgorithm_1.tree_isFollowing(nodeB, nodeA)) {
        var pos = boundaryPoint_position([nodeB, offsetB], [nodeA, offsetA]);
        if (pos === interfaces_1.BoundaryPosition.Before) {
          return interfaces_1.BoundaryPosition.After;
        } else if (pos === interfaces_1.BoundaryPosition.After) {
          return interfaces_1.BoundaryPosition.Before;
        }
      }
      if (TreeAlgorithm_1.tree_isAncestorOf(nodeB, nodeA)) {
        var child = nodeB;
        while (!TreeAlgorithm_1.tree_isChildOf(nodeA, child)) {
          if (child._parent !== null) {
            child = child._parent;
          }
        }
        if (TreeAlgorithm_1.tree_index(child) < offsetA) {
          return interfaces_1.BoundaryPosition.After;
        }
      }
      return interfaces_1.BoundaryPosition.Before;
    }
    exports2.boundaryPoint_position = boundaryPoint_position;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js
var require_CharacterDataAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var DOMException_1 = require_DOMException4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    function characterData_replaceData(node, offset, count, data) {
      var e_1, _a;
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        count = length - offset;
      }
      if (DOMImpl_1.dom.features.mutationObservers) {
        MutationObserverAlgorithm_1.observer_queueMutationRecord("characterData", node, null, null, node._data, [], [], null, null);
      }
      var newData = node._data.substring(0, offset) + data + node._data.substring(offset + count);
      node._data = newData;
      try {
        for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var range = _c.value;
          if (range._start[0] === node && range._start[1] > offset && range._start[1] <= offset + count) {
            range._start[1] = offset;
          }
          if (range._end[0] === node && range._end[1] > offset && range._end[1] <= offset + count) {
            range._end[1] = offset;
          }
          if (range._start[0] === node && range._start[1] > offset + count) {
            range._start[1] += data.length - count;
          }
          if (range._end[0] === node && range._end[1] > offset + count) {
            range._end[1] += data.length - count;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node) && node._parent !== null) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(node._parent);
        }
      }
    }
    exports2.characterData_replaceData = characterData_replaceData;
    function characterData_substringData(node, offset, count) {
      var length = TreeAlgorithm_1.tree_nodeLength(node);
      if (offset > length) {
        throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
      }
      if (offset + count > length) {
        return node._data.substr(offset);
      } else {
        return node._data.substr(offset, count);
      }
    }
    exports2.characterData_substringData = characterData_substringData;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js
var require_OrderedSetAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var infra_1 = require_lib20();
    function orderedSet_parse(value) {
      var inputTokens = infra_1.string.splitAStringOnASCIIWhitespace(value);
      return new Set(inputTokens);
    }
    exports2.orderedSet_parse = orderedSet_parse;
    function orderedSet_serialize(tokens) {
      return __spread(tokens).join(" ");
    }
    exports2.orderedSet_serialize = orderedSet_serialize;
    function orderedSet_sanitize(value) {
      return orderedSet_serialize(orderedSet_parse(value));
    }
    exports2.orderedSet_sanitize = orderedSet_sanitize;
    function orderedSet_contains(set1, set2, caseSensitive) {
      var e_1, _a, e_2, _b;
      try {
        for (var set2_1 = __values(set2), set2_1_1 = set2_1.next(); !set2_1_1.done; set2_1_1 = set2_1.next()) {
          var val2 = set2_1_1.value;
          var found = false;
          try {
            for (var set1_1 = (e_2 = void 0, __values(set1)), set1_1_1 = set1_1.next(); !set1_1_1.done; set1_1_1 = set1_1.next()) {
              var val1 = set1_1_1.value;
              if (caseSensitive) {
                if (val1 === val2) {
                  found = true;
                  break;
                }
              } else {
                if (val1.toUpperCase() === val2.toUpperCase()) {
                  found = true;
                  break;
                }
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (set1_1_1 && !set1_1_1.done && (_b = set1_1.return))
                _b.call(set1_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (!found)
            return false;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (set2_1_1 && !set2_1_1.done && (_a = set2_1.return))
            _a.call(set2_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return true;
    }
    exports2.orderedSet_contains = orderedSet_contains;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js
var require_DOMTokenListAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    var ElementAlgorithm_1 = require_ElementAlgorithm4();
    function tokenList_validationSteps(tokenList, token) {
      if (!DOMAlgorithm_1.dom_hasSupportedTokens(tokenList._attribute._localName)) {
        throw new TypeError("There are no supported tokens defined for attribute name: '" + tokenList._attribute._localName + "'.");
      }
      return DOMAlgorithm_1.dom_getSupportedTokens(tokenList._attribute._localName).has(token.toLowerCase());
    }
    exports2.tokenList_validationSteps = tokenList_validationSteps;
    function tokenList_updateSteps(tokenList) {
      if (!tokenList._element.hasAttribute(tokenList._attribute._localName) && tokenList._tokenSet.size === 0) {
        return;
      }
      ElementAlgorithm_1.element_setAnAttributeValue(tokenList._element, tokenList._attribute._localName, OrderedSetAlgorithm_1.orderedSet_serialize(tokenList._tokenSet));
    }
    exports2.tokenList_updateSteps = tokenList_updateSteps;
    function tokenList_serializeSteps(tokenList) {
      return ElementAlgorithm_1.element_getAnAttributeValue(tokenList._element, tokenList._attribute._localName);
    }
    exports2.tokenList_serializeSteps = tokenList_serializeSteps;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js
var require_EventTargetAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    function eventTarget_flatten(options) {
      if (util_1.isBoolean(options)) {
        return options;
      } else {
        return options.capture || false;
      }
    }
    exports2.eventTarget_flatten = eventTarget_flatten;
    function eventTarget_flattenMore(options) {
      var capture = eventTarget_flatten(options);
      var once = false;
      var passive = false;
      if (!util_1.isBoolean(options)) {
        once = options.once || false;
        passive = options.passive || false;
      }
      return [capture, passive, once];
    }
    exports2.eventTarget_flattenMore = eventTarget_flattenMore;
    function eventTarget_addEventListener(eventTarget, listener) {
      if (listener.callback === null)
        return;
      for (var i = 0; i < eventTarget._eventListenerList.length; i++) {
        var entry = eventTarget._eventListenerList[i];
        if (entry.type === listener.type && entry.callback.handleEvent === listener.callback.handleEvent && entry.capture === listener.capture) {
          return;
        }
      }
      eventTarget._eventListenerList.push(listener);
    }
    exports2.eventTarget_addEventListener = eventTarget_addEventListener;
    function eventTarget_removeEventListener(eventTarget, listener, index) {
      listener.removed = true;
      eventTarget._eventListenerList.splice(index, 1);
    }
    exports2.eventTarget_removeEventListener = eventTarget_removeEventListener;
    function eventTarget_removeAllEventListeners(eventTarget) {
      var e_1, _a;
      try {
        for (var _b = __values(eventTarget._eventListenerList), _c = _b.next(); !_c.done; _c = _b.next()) {
          var e = _c.value;
          e.removed = true;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      eventTarget._eventListenerList.length = 0;
    }
    exports2.eventTarget_removeAllEventListeners = eventTarget_removeAllEventListeners;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js
var require_NodeAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var infra_1 = require_lib20();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm4();
    var DOMAlgorithm_1 = require_DOMAlgorithm4();
    var MutationAlgorithm_1 = require_MutationAlgorithm4();
    var ElementAlgorithm_1 = require_ElementAlgorithm4();
    function node_stringReplaceAll(str, parent) {
      var node = null;
      if (str !== "") {
        node = CreateAlgorithm_1.create_text(parent._nodeDocument, str);
      }
      MutationAlgorithm_1.mutation_replaceAll(node, parent);
    }
    exports2.node_stringReplaceAll = node_stringReplaceAll;
    function node_clone(node, document, cloneChildrenFlag) {
      var e_1, _a, e_2, _b;
      if (document === void 0) {
        document = null;
      }
      if (cloneChildrenFlag === void 0) {
        cloneChildrenFlag = false;
      }
      if (document === null)
        document = node._nodeDocument;
      var copy;
      if (util_1.Guard.isElementNode(node)) {
        copy = ElementAlgorithm_1.element_createAnElement(document, node._localName, node._namespace, node._namespacePrefix, node._is, false);
        try {
          for (var _c = __values(node._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attribute = _d.value;
            var copyAttribute = node_clone(attribute, document);
            ElementAlgorithm_1.element_append(copyAttribute, copy);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        if (util_1.Guard.isDocumentNode(node)) {
          var doc = CreateAlgorithm_1.create_document();
          doc._encoding = node._encoding;
          doc._contentType = node._contentType;
          doc._URL = node._URL;
          doc._origin = node._origin;
          doc._type = node._type;
          doc._mode = node._mode;
          copy = doc;
        } else if (util_1.Guard.isDocumentTypeNode(node)) {
          var doctype = CreateAlgorithm_1.create_documentType(document, node._name, node._publicId, node._systemId);
          copy = doctype;
        } else if (util_1.Guard.isAttrNode(node)) {
          var attr = CreateAlgorithm_1.create_attr(document, node.localName);
          attr._namespace = node._namespace;
          attr._namespacePrefix = node._namespacePrefix;
          attr._value = node._value;
          copy = attr;
        } else if (util_1.Guard.isExclusiveTextNode(node)) {
          copy = CreateAlgorithm_1.create_text(document, node._data);
        } else if (util_1.Guard.isCDATASectionNode(node)) {
          copy = CreateAlgorithm_1.create_cdataSection(document, node._data);
        } else if (util_1.Guard.isCommentNode(node)) {
          copy = CreateAlgorithm_1.create_comment(document, node._data);
        } else if (util_1.Guard.isProcessingInstructionNode(node)) {
          copy = CreateAlgorithm_1.create_processingInstruction(document, node._target, node._data);
        } else if (util_1.Guard.isDocumentFragmentNode(node)) {
          copy = CreateAlgorithm_1.create_documentFragment(document);
        } else {
          copy = Object.create(node);
        }
      }
      if (util_1.Guard.isDocumentNode(copy)) {
        copy._nodeDocument = copy;
        document = copy;
      } else {
        copy._nodeDocument = document;
      }
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runCloningSteps(copy, node, document, cloneChildrenFlag);
      }
      if (cloneChildrenFlag) {
        try {
          for (var _e = __values(node._children), _f = _e.next(); !_f.done; _f = _e.next()) {
            var child = _f.value;
            var childCopy = node_clone(child, document, true);
            MutationAlgorithm_1.mutation_append(childCopy, copy);
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      return copy;
    }
    exports2.node_clone = node_clone;
    function node_equals(a, b) {
      var e_3, _a, e_4, _b;
      if (a._nodeType !== b._nodeType)
        return false;
      if (util_1.Guard.isDocumentTypeNode(a) && util_1.Guard.isDocumentTypeNode(b)) {
        if (a._name !== b._name || a._publicId !== b._publicId || a._systemId !== b._systemId)
          return false;
      } else if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        if (a._namespace !== b._namespace || a._namespacePrefix !== b._namespacePrefix || a._localName !== b._localName || a._attributeList.length !== b._attributeList.length)
          return false;
      } else if (util_1.Guard.isAttrNode(a) && util_1.Guard.isAttrNode(b)) {
        if (a._namespace !== b._namespace || a._localName !== b._localName || a._value !== b._value)
          return false;
      } else if (util_1.Guard.isProcessingInstructionNode(a) && util_1.Guard.isProcessingInstructionNode(b)) {
        if (a._target !== b._target || a._data !== b._data)
          return false;
      } else if (util_1.Guard.isCharacterDataNode(a) && util_1.Guard.isCharacterDataNode(b)) {
        if (a._data !== b._data)
          return false;
      }
      if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
        var attrMap = {};
        try {
          for (var _c = __values(a._attributeList), _d = _c.next(); !_d.done; _d = _c.next()) {
            var attrA = _d.value;
            attrMap[attrA._localName] = attrA;
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var _e = __values(b._attributeList), _f = _e.next(); !_f.done; _f = _e.next()) {
            var attrB = _f.value;
            var attrA = attrMap[attrB._localName];
            if (!attrA)
              return false;
            if (!node_equals(attrA, attrB))
              return false;
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      if (a._children.size !== b._children.size)
        return false;
      var itA = a._children[Symbol.iterator]();
      var itB = b._children[Symbol.iterator]();
      var resultA = itA.next();
      var resultB = itB.next();
      while (!resultA.done && !resultB.done) {
        var child1 = resultA.value;
        var child2 = resultB.value;
        if (!node_equals(child1, child2))
          return false;
        resultA = itA.next();
        resultB = itB.next();
      }
      return true;
    }
    exports2.node_equals = node_equals;
    function node_listOfElementsWithQualifiedName(qualifiedName, root) {
      if (qualifiedName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (root._nodeDocument._type === "html") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          if (ele._namespace === infra_1.namespace.HTML && ele._qualifiedName === qualifiedName.toLowerCase()) {
            return true;
          } else if (ele._namespace !== infra_1.namespace.HTML && ele._qualifiedName === qualifiedName) {
            return true;
          } else {
            return false;
          }
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._qualifiedName === qualifiedName;
        });
      }
    }
    exports2.node_listOfElementsWithQualifiedName = node_listOfElementsWithQualifiedName;
    function node_listOfElementsWithNamespace(namespace, localName, root) {
      if (namespace === "")
        namespace = null;
      if (namespace === "*" && localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root);
      } else if (namespace === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName;
        });
      } else if (localName === "*") {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._namespace === namespace;
        });
      } else {
        return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
          return ele._localName === localName && ele._namespace === namespace;
        });
      }
    }
    exports2.node_listOfElementsWithNamespace = node_listOfElementsWithNamespace;
    function node_listOfElementsWithClassNames(classNames, root) {
      var classes = OrderedSetAlgorithm_1.orderedSet_parse(classNames);
      if (classes.size === 0) {
        return CreateAlgorithm_1.create_htmlCollection(root, function() {
          return false;
        });
      }
      var caseSensitive = root._nodeDocument._mode !== "quirks";
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        var eleClasses = ele.classList;
        return OrderedSetAlgorithm_1.orderedSet_contains(eleClasses._tokenSet, classes, caseSensitive);
      });
    }
    exports2.node_listOfElementsWithClassNames = node_listOfElementsWithClassNames;
    function node_locateANamespacePrefix(element, namespace) {
      if (element._namespace === namespace && element._namespacePrefix !== null) {
        return element._namespacePrefix;
      }
      for (var i = 0; i < element._attributeList.length; i++) {
        var attr = element._attributeList[i];
        if (attr._namespacePrefix === "xmlns" && attr._value === namespace) {
          return attr._localName;
        }
      }
      if (element._parent && util_1.Guard.isElementNode(element._parent)) {
        return node_locateANamespacePrefix(element._parent, namespace);
      }
      return null;
    }
    exports2.node_locateANamespacePrefix = node_locateANamespacePrefix;
    function node_locateANamespace(node, prefix) {
      if (util_1.Guard.isElementNode(node)) {
        if (node._namespace !== null && node._namespacePrefix === prefix) {
          return node._namespace;
        }
        for (var i = 0; i < node._attributeList.length; i++) {
          var attr = node._attributeList[i];
          if (attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === "xmlns" && attr._localName === prefix) {
            return attr._value || null;
          }
          if (prefix === null && attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === null && attr._localName === "xmlns") {
            return attr._value || null;
          }
        }
        if (node.parentElement === null)
          return null;
        return node_locateANamespace(node.parentElement, prefix);
      } else if (util_1.Guard.isDocumentNode(node)) {
        if (node.documentElement === null)
          return null;
        return node_locateANamespace(node.documentElement, prefix);
      } else if (util_1.Guard.isDocumentTypeNode(node) || util_1.Guard.isDocumentFragmentNode(node)) {
        return null;
      } else if (util_1.Guard.isAttrNode(node)) {
        if (node._element === null)
          return null;
        return node_locateANamespace(node._element, prefix);
      } else {
        if (!node._parent || !util_1.Guard.isElementNode(node._parent))
          return null;
        return node_locateANamespace(node._parent, prefix);
      }
    }
    exports2.node_locateANamespace = node_locateANamespace;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js
var require_ParentNodeAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    function parentNode_convertNodesIntoANode(nodes, document) {
      var e_1, _a;
      var node = null;
      for (var i = 0; i < nodes.length; i++) {
        var item = nodes[i];
        if (util_1.isString(item)) {
          var text = CreateAlgorithm_1.create_text(document, item);
          nodes[i] = text;
        }
      }
      if (nodes.length === 1) {
        node = nodes[0];
      } else {
        node = CreateAlgorithm_1.create_documentFragment(document);
        var ns = node;
        try {
          for (var nodes_1 = __values(nodes), nodes_1_1 = nodes_1.next(); !nodes_1_1.done; nodes_1_1 = nodes_1.next()) {
            var item = nodes_1_1.value;
            ns.appendChild(item);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (nodes_1_1 && !nodes_1_1.done && (_a = nodes_1.return))
              _a.call(nodes_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      return node;
    }
    exports2.parentNode_convertNodesIntoANode = parentNode_convertNodesIntoANode;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js
var require_TextAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var DOMException_1 = require_DOMException4();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm4();
    var MutationAlgorithm_1 = require_MutationAlgorithm4();
    function text_contiguousTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousTextNodes = text_contiguousTextNodes;
    function text_contiguousExclusiveTextNodes(node, self2) {
      var _a;
      if (self2 === void 0) {
        self2 = false;
      }
      return _a = {}, _a[Symbol.iterator] = function() {
        var currentNode = node;
        while (currentNode && util_1.Guard.isExclusiveTextNode(currentNode._previousSibling)) {
          currentNode = currentNode._previousSibling;
        }
        return {
          next: function() {
            if (currentNode && (!self2 && currentNode === node)) {
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
                currentNode = currentNode._nextSibling;
              } else {
                currentNode = null;
              }
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.text_contiguousExclusiveTextNodes = text_contiguousExclusiveTextNodes;
    function text_descendantTextContent(node) {
      var contents = "";
      var text = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, false, function(e) {
        return util_1.Guard.isTextNode(e);
      });
      while (text !== null) {
        contents += text._data;
        text = TreeAlgorithm_1.tree_getNextDescendantNode(node, text, false, false, function(e) {
          return util_1.Guard.isTextNode(e);
        });
      }
      return contents;
    }
    exports2.text_descendantTextContent = text_descendantTextContent;
    function text_split(node, offset) {
      var e_1, _a;
      var length = node._data.length;
      if (offset > length) {
        throw new DOMException_1.IndexSizeError();
      }
      var count = length - offset;
      var newData = CharacterDataAlgorithm_1.characterData_substringData(node, offset, count);
      var newNode = CreateAlgorithm_1.create_text(node._nodeDocument, newData);
      var parent = node._parent;
      if (parent !== null) {
        MutationAlgorithm_1.mutation_insert(newNode, parent, node._nextSibling);
        try {
          for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next(); !_c.done; _c = _b.next()) {
            var range = _c.value;
            if (range._start[0] === node && range._start[1] > offset) {
              range._start[0] = newNode;
              range._start[1] -= offset;
            }
            if (range._end[0] === node && range._end[1] > offset) {
              range._end[0] = newNode;
              range._end[1] -= offset;
            }
            var index = TreeAlgorithm_1.tree_index(node);
            if (range._start[0] === parent && range._start[1] === index + 1) {
              range._start[1]++;
            }
            if (range._end[0] === parent && range._end[1] === index + 1) {
              range._end[1]++;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      CharacterDataAlgorithm_1.characterData_replaceData(node, offset, count, "");
      return newNode;
    }
    exports2.text_split = text_split;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js
var require_RangeAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var DOMException_1 = require_DOMException4();
    var util_1 = require_util22();
    var CreateAlgorithm_1 = require_CreateAlgorithm4();
    var TreeAlgorithm_1 = require_TreeAlgorithm4();
    var BoundaryPointAlgorithm_1 = require_BoundaryPointAlgorithm4();
    var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm4();
    var NodeAlgorithm_1 = require_NodeAlgorithm4();
    var MutationAlgorithm_1 = require_MutationAlgorithm4();
    var TextAlgorithm_1 = require_TextAlgorithm4();
    function range_collapsed(range) {
      return range._startNode === range._endNode && range._startOffset === range._endOffset;
    }
    exports2.range_collapsed = range_collapsed;
    function range_root(range) {
      return TreeAlgorithm_1.tree_rootNode(range._startNode);
    }
    exports2.range_root = range_root;
    function range_isContained(node, range) {
      return TreeAlgorithm_1.tree_rootNode(node) === range_root(range) && BoundaryPointAlgorithm_1.boundaryPoint_position([node, 0], range._start) === interfaces_1.BoundaryPosition.After && BoundaryPointAlgorithm_1.boundaryPoint_position([node, TreeAlgorithm_1.tree_nodeLength(node)], range._end) === interfaces_1.BoundaryPosition.Before;
    }
    exports2.range_isContained = range_isContained;
    function range_isPartiallyContained(node, range) {
      var startCheck = TreeAlgorithm_1.tree_isAncestorOf(range._startNode, node, true);
      var endCheck = TreeAlgorithm_1.tree_isAncestorOf(range._endNode, node, true);
      return startCheck && !endCheck || !startCheck && endCheck;
    }
    exports2.range_isPartiallyContained = range_isPartiallyContained;
    function range_setTheStart(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._end) === interfaces_1.BoundaryPosition.After) {
        range._end = bp;
      }
      range._start = bp;
    }
    exports2.range_setTheStart = range_setTheStart;
    function range_setTheEnd(range, node, offset) {
      if (util_1.Guard.isDocumentTypeNode(node)) {
        throw new DOMException_1.InvalidNodeTypeError();
      }
      if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
        throw new DOMException_1.IndexSizeError();
      }
      var bp = [node, offset];
      if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._start) === interfaces_1.BoundaryPosition.Before) {
        range._start = bp;
      }
      range._end = bp;
    }
    exports2.range_setTheEnd = range_setTheEnd;
    function range_select(node, range) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError();
      var index = TreeAlgorithm_1.tree_index(node);
      range._start = [parent, index];
      range._end = [parent, index + 1];
    }
    exports2.range_select = range_select;
    function range_extract(range) {
      var e_1, _a, e_2, _b, e_3, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
        return fragment;
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      var newNode;
      var newOffset;
      if (TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        newNode = originalStartNode;
        newOffset = originalStartOffset;
      } else {
        var referenceNode = originalStartNode;
        while (referenceNode._parent !== null && !TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent)) {
          referenceNode = referenceNode._parent;
        }
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        newNode = referenceNode._parent;
        newOffset = 1 + TreeAlgorithm_1.tree_index(referenceNode);
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_1 = __values(containedChildren), containedChildren_1_1 = containedChildren_1.next(); !containedChildren_1_1.done; containedChildren_1_1 = containedChildren_1.next()) {
          var child = containedChildren_1_1.value;
          MutationAlgorithm_1.mutation_append(child, fragment);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (containedChildren_1_1 && !containedChildren_1_1.done && (_c = containedChildren_1.return))
            _c.call(containedChildren_1);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        CharacterDataAlgorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      range._start = [newNode, newOffset];
      range._end = [newNode, newOffset];
      return fragment;
    }
    exports2.range_extract = range_extract;
    function range_cloneTheContents(range) {
      var e_4, _a, e_5, _b, e_6, _c;
      var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
      if (range_collapsed(range))
        return fragment;
      var originalStartNode = range._startNode;
      var originalStartOffset = range._startOffset;
      var originalEndNode = range._endNode;
      var originalEndOffset = range._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      }
      var commonAncestor = originalStartNode;
      while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
        if (commonAncestor._parent === null) {
          throw new Error("Parent node  is null.");
        }
        commonAncestor = commonAncestor._parent;
      }
      var firstPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        try {
          for (var _d = __values(commonAncestor._children), _e = _d.next(); !_e.done; _e = _d.next()) {
            var node = _e.value;
            if (range_isPartiallyContained(node, range)) {
              firstPartiallyContainedChild = node;
              break;
            }
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
      }
      var lastPartiallyContainedChild = null;
      if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
        var children = __spread(commonAncestor._children);
        for (var i = children.length - 1; i > 0; i--) {
          var node = children[i];
          if (range_isPartiallyContained(node, range)) {
            lastPartiallyContainedChild = node;
            break;
          }
        }
      }
      var containedChildren = [];
      try {
        for (var _f = __values(commonAncestor._children), _g = _f.next(); !_g.done; _g = _f.next()) {
          var child = _g.value;
          if (range_isContained(child, range)) {
            if (util_1.Guard.isDocumentTypeNode(child)) {
              throw new DOMException_1.HierarchyRequestError();
            }
            containedChildren.push(child);
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_g && !_g.done && (_b = _f.return))
            _b.call(_f);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalStartNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (firstPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
        MutationAlgorithm_1.mutation_append(clone, fragment);
        var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
        var subfragment = range_cloneTheContents(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      try {
        for (var containedChildren_2 = __values(containedChildren), containedChildren_2_1 = containedChildren_2.next(); !containedChildren_2_1.done; containedChildren_2_1 = containedChildren_2.next()) {
          var child = containedChildren_2_1.value;
          var clone = NodeAlgorithm_1.node_clone(child);
          MutationAlgorithm_1.mutation_append(clone, fragment);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (containedChildren_2_1 && !containedChildren_2_1.done && (_c = containedChildren_2.return))
            _c.call(containedChildren_2);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
        var clone = NodeAlgorithm_1.node_clone(originalEndNode);
        clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      } else if (lastPartiallyContainedChild !== null) {
        var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
        fragment.append(clone);
        var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
        var subfragment = range_extract(subrange);
        MutationAlgorithm_1.mutation_append(subfragment, clone);
      }
      return fragment;
    }
    exports2.range_cloneTheContents = range_cloneTheContents;
    function range_insert(node, range) {
      var e_7, _a;
      if (util_1.Guard.isProcessingInstructionNode(range._startNode) || util_1.Guard.isCommentNode(range._startNode) || util_1.Guard.isTextNode(range._startNode) && range._startNode._parent === null || range._startNode === node) {
        throw new DOMException_1.HierarchyRequestError();
      }
      var referenceNode = null;
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = range._startNode;
      } else {
        var index = 0;
        try {
          for (var _b = __values(range._startNode._children), _c = _b.next(); !_c.done; _c = _b.next()) {
            var child = _c.value;
            if (index === range._startOffset) {
              referenceNode = child;
              break;
            }
            index++;
          }
        } catch (e_7_1) {
          e_7 = { error: e_7_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_7)
              throw e_7.error;
          }
        }
      }
      var parent;
      if (referenceNode === null) {
        parent = range._startNode;
      } else {
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        parent = referenceNode._parent;
      }
      MutationAlgorithm_1.mutation_ensurePreInsertionValidity(node, parent, referenceNode);
      if (util_1.Guard.isTextNode(range._startNode)) {
        referenceNode = TextAlgorithm_1.text_split(range._startNode, range._startOffset);
      }
      if (node === referenceNode) {
        referenceNode = node._nextSibling;
      }
      if (node._parent !== null) {
        MutationAlgorithm_1.mutation_remove(node, node._parent);
      }
      var newOffset = referenceNode === null ? TreeAlgorithm_1.tree_nodeLength(parent) : TreeAlgorithm_1.tree_index(referenceNode);
      if (util_1.Guard.isDocumentFragmentNode(node)) {
        newOffset += TreeAlgorithm_1.tree_nodeLength(node);
      } else {
        newOffset++;
      }
      MutationAlgorithm_1.mutation_preInsert(node, parent, referenceNode);
      if (range_collapsed(range)) {
        range._end = [parent, newOffset];
      }
    }
    exports2.range_insert = range_insert;
    function range_getContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getContainedNodes = range_getContainedNodes;
    function range_getPartiallyContainedNodes(range) {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var container = range.commonAncestorContainer;
        var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
        return {
          next: function() {
            while (currentNode && !range_isPartiallyContained(currentNode, range)) {
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            }
            if (currentNode === null) {
              return { done: true, value: null };
            } else {
              var result = { done: false, value: currentNode };
              currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
              return result;
            }
          }
        };
      }, _a;
    }
    exports2.range_getPartiallyContainedNodes = range_getPartiallyContainedNodes;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js
var require_SelectorsAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMException_1 = require_DOMException4();
    function selectors_scopeMatchASelectorsString(selectors, node) {
      throw new DOMException_1.NotSupportedError();
    }
    exports2.selectors_scopeMatchASelectorsString = selectors_scopeMatchASelectorsString;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js
var require_TreeWalkerAlgorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var TraversalAlgorithm_1 = require_TraversalAlgorithm4();
    function treeWalker_traverseChildren(walker, first) {
      var node = first ? walker._current._firstChild : walker._current._lastChild;
      while (node !== null) {
        var result = TraversalAlgorithm_1.traversal_filter(walker, node);
        if (result === interfaces_1.FilterResult.Accept) {
          walker._current = node;
          return node;
        } else if (result === interfaces_1.FilterResult.Skip) {
          var child = first ? node._firstChild : node._lastChild;
          if (child !== null) {
            node = child;
            continue;
          }
        }
        while (node !== null) {
          var sibling = first ? node._nextSibling : node._previousSibling;
          if (sibling !== null) {
            node = sibling;
            break;
          }
          var parent = node._parent;
          if (parent === null || parent === walker._root || parent === walker._current) {
            return null;
          }
          node = parent;
        }
      }
      return null;
    }
    exports2.treeWalker_traverseChildren = treeWalker_traverseChildren;
    function treeWalker_traverseSiblings(walker, next) {
      var node = walker._current;
      if (node === walker._root)
        return null;
      while (true) {
        var sibling = next ? node._nextSibling : node._previousSibling;
        while (sibling !== null) {
          node = sibling;
          var result = TraversalAlgorithm_1.traversal_filter(walker, node);
          if (result === interfaces_1.FilterResult.Accept) {
            walker._current = node;
            return node;
          }
          sibling = next ? node._firstChild : node._lastChild;
          if (result === interfaces_1.FilterResult.Reject || sibling === null) {
            sibling = next ? node._nextSibling : node._previousSibling;
          }
        }
        node = node._parent;
        if (node === null || node === walker._root) {
          return null;
        }
        if (TraversalAlgorithm_1.traversal_filter(walker, node) === interfaces_1.FilterResult.Accept) {
          return null;
        }
      }
    }
    exports2.treeWalker_traverseSiblings = treeWalker_traverseSiblings;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/index.js
var require_algorithm4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/algorithm/index.js"(exports2) {
    "use strict";
    function __export(m) {
      for (var p in m)
        if (!exports2.hasOwnProperty(p))
          exports2[p] = m[p];
    }
    Object.defineProperty(exports2, "__esModule", { value: true });
    __export(require_AbortAlgorithm4());
    __export(require_AttrAlgorithm4());
    __export(require_BoundaryPointAlgorithm4());
    __export(require_CharacterDataAlgorithm4());
    __export(require_CreateAlgorithm4());
    __export(require_CustomElementAlgorithm4());
    __export(require_DocumentAlgorithm4());
    __export(require_DOMAlgorithm4());
    __export(require_DOMTokenListAlgorithm4());
    __export(require_ElementAlgorithm4());
    __export(require_EventAlgorithm4());
    __export(require_EventTargetAlgorithm4());
    __export(require_MutationAlgorithm4());
    __export(require_MutationObserverAlgorithm4());
    __export(require_NamespaceAlgorithm4());
    __export(require_NodeAlgorithm4());
    __export(require_NodeIteratorAlgorithm4());
    __export(require_OrderedSetAlgorithm4());
    __export(require_ParentNodeAlgorithm4());
    __export(require_RangeAlgorithm4());
    __export(require_SelectorsAlgorithm4());
    __export(require_ShadowTreeAlgorithm4());
    __export(require_TextAlgorithm4());
    __export(require_TraversalAlgorithm4());
    __export(require_TreeAlgorithm4());
    __export(require_TreeWalkerAlgorithm4());
    __export(require_WebIDLAlgorithm4());
    __export(require_XMLAlgorithm4());
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/constants.js
var require_constants12 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.nonEntityAmpersandRegex = /&(?![A-Za-z]+;|#\d+;)/g;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/BaseWriter.js
var require_BaseWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/BaseWriter.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __spread = exports2 && exports2.__spread || function() {
      for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var LocalNameSet_1 = require_LocalNameSet4();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap4();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var constants_1 = require_constants12();
    var BaseWriter = (
      /** @class */
      function() {
        function BaseWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
        }
        BaseWriter2.prototype.declaration = function(version, encoding, standalone) {
        };
        BaseWriter2.prototype.docType = function(name, publicId, systemId) {
        };
        BaseWriter2.prototype.comment = function(data) {
        };
        BaseWriter2.prototype.text = function(data) {
        };
        BaseWriter2.prototype.instruction = function(target, data) {
        };
        BaseWriter2.prototype.cdata = function(data) {
        };
        BaseWriter2.prototype.openTagBegin = function(name) {
        };
        BaseWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
        };
        BaseWriter2.prototype.closeTag = function(name) {
        };
        BaseWriter2.prototype.attributes = function(attributes) {
          var e_1, _a;
          try {
            for (var attributes_1 = __values(attributes), attributes_1_1 = attributes_1.next(); !attributes_1_1.done; attributes_1_1 = attributes_1.next()) {
              var attr = attributes_1_1.value;
              this.attribute(attr[1] === null ? attr[2] : attr[1] + ":" + attr[2], attr[3]);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (attributes_1_1 && !attributes_1_1.done && (_a = attributes_1.return))
                _a.call(attributes_1);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        };
        BaseWriter2.prototype.attribute = function(name, value) {
        };
        BaseWriter2.prototype.beginElement = function(name) {
        };
        BaseWriter2.prototype.endElement = function(name) {
        };
        BaseWriter2.prototype.serializeNode = function(node, requireWellFormed) {
          var hasNamespaces = node._nodeDocument !== void 0 && node._nodeDocument._hasNamespaces;
          this.level = 0;
          this.currentNode = node;
          if (hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          } else {
            this._serializeNode(node, requireWellFormed);
          }
        };
        BaseWriter2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeNode = function(node, requireWellFormed) {
          this.currentNode = node;
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              this._serializeElement(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Document:
              this._serializeDocument(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Comment:
              this._serializeComment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.Text:
              this._serializeText(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentFragment:
              this._serializeDocumentFragment(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.DocumentType:
              this._serializeDocumentType(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.ProcessingInstruction:
              this._serializeProcessingInstruction(node, requireWellFormed);
              break;
            case interfaces_1.NodeType.CData:
              this._serializeCData(node, requireWellFormed);
              break;
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        BaseWriter2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          var attributes = [];
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this.beginElement(qualifiedName);
            this.openTagBegin(qualifiedName);
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                "xmlns",
                prefix,
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
              attributes.push([
                null,
                null,
                "xmlns",
                this._serializeAttributeValue(ns, requireWellFormed)
              ]);
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this.beginElement(qualifiedName);
              this.openTagBegin(qualifiedName);
            }
          }
          attributes.push.apply(attributes, __spread(this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed)));
          this.attributes(attributes);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && BaseWriter2._VoidElementNames.has(node.localName)) {
            this.openTagEnd(qualifiedName, true, true);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                this.level++;
                this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
                this.level--;
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_3, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          var attributes = this._serializeAttributes(node, requireWellFormed);
          this.attributes(attributes);
          if (!node.hasChildNodes()) {
            this.openTagEnd(qualifiedName, true, false);
            this.endElement(qualifiedName);
            skipEndTag = true;
          } else {
            this.openTagEnd(qualifiedName, false, false);
          }
          if (skipEndTag)
            return;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this.level++;
              this._serializeNode(childNode, requireWellFormed);
              this.level--;
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this.closeTag(qualifiedName);
          this.endElement(qualifiedName);
        };
        BaseWriter2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_4, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_5, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        BaseWriter2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          this.comment(node.data);
        };
        BaseWriter2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var markup = node.data.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this.text(markup);
        };
        BaseWriter2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_6, _a;
          try {
            for (var _b = __values(node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_7, _a;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
        };
        BaseWriter2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          this.docType(node.name, node.publicId, node.systemId);
        };
        BaseWriter2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          this.instruction(node.target, node.data);
        };
        BaseWriter2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          this.cdata(node.data);
        };
        BaseWriter2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_8, _a;
          var result = [];
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result.push([
                    null,
                    "xmlns",
                    candidatePrefix,
                    this._serializeAttributeValue(attributeNamespace, requireWellFormed)
                  ]);
                }
              }
              var attrName = "";
              if (candidatePrefix !== null) {
                attrName = candidatePrefix;
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                attributeNamespace,
                candidatePrefix,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = [];
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed) {
                result.push([
                  null,
                  null,
                  attr.localName,
                  this._serializeAttributeValue(attr.value, requireWellFormed)
                ]);
                continue;
              }
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result.push([
                null,
                null,
                attr.localName,
                this._serializeAttributeValue(attr.value, requireWellFormed)
              ]);
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        BaseWriter2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_10, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_10_1) {
            e_10 = { error: e_10_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_10)
                throw e_10.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        BaseWriter2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value.toString();
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        BaseWriter2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          return value.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        BaseWriter2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return BaseWriter2;
      }()
    );
    exports2.BaseWriter = BaseWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js
var require_ObjectWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/ObjectWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var interfaces_1 = require_interfaces14();
    var BaseWriter_1 = require_BaseWriter4();
    var ObjectWriter = (
      /** @class */
      function(_super) {
        __extends(ObjectWriter2, _super);
        function ObjectWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "object",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        ObjectWriter2.prototype.serialize = function(node) {
          this._currentList = [];
          this._currentIndex = 0;
          this._listRegister = [this._currentList];
          this.serializeNode(node, this._writerOptions.wellFormed);
          return this._process(this._currentList, this._writerOptions);
        };
        ObjectWriter2.prototype._process = function(items, options) {
          var _a, _b, _c, _d, _e, _f, _g;
          if (items.length === 0)
            return {};
          var namesSeen = {};
          var hasNonUniqueNames = false;
          var textCount = 0;
          var commentCount = 0;
          var instructionCount = 0;
          var cdataCount = 0;
          for (var i = 0; i < items.length; i++) {
            var item = items[i];
            var key = Object.keys(item)[0];
            switch (key) {
              case "@":
                continue;
              case "#":
                textCount++;
                break;
              case "!":
                commentCount++;
                break;
              case "?":
                instructionCount++;
                break;
              case "$":
                cdataCount++;
                break;
              default:
                if (namesSeen[key]) {
                  hasNonUniqueNames = true;
                } else {
                  namesSeen[key] = true;
                }
                break;
            }
          }
          var defAttrKey = this._getAttrKey();
          var defTextKey = this._getNodeKey(interfaces_1.NodeType.Text);
          var defCommentKey = this._getNodeKey(interfaces_1.NodeType.Comment);
          var defInstructionKey = this._getNodeKey(interfaces_1.NodeType.ProcessingInstruction);
          var defCdataKey = this._getNodeKey(interfaces_1.NodeType.CData);
          if (textCount === 1 && items.length === 1 && util_1.isString(items[0]["#"])) {
            return items[0]["#"];
          } else if (hasNonUniqueNames) {
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              if (key === "@") {
                var attrs = item["@"];
                var attrKeys = Object.keys(attrs);
                if (attrKeys.length === 1) {
                  obj[defAttrKey + attrKeys[0]] = attrs[attrKeys[0]];
                } else {
                  obj[defAttrKey] = item["@"];
                }
              }
            }
            var result = [];
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  break;
                case "#":
                  result.push((_a = {}, _a[defTextKey] = item["#"], _a));
                  break;
                case "!":
                  result.push((_b = {}, _b[defCommentKey] = item["!"], _b));
                  break;
                case "?":
                  result.push((_c = {}, _c[defInstructionKey] = item["?"], _c));
                  break;
                case "$":
                  result.push((_d = {}, _d[defCdataKey] = item["$"], _d));
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_1 = 0; i_1 < listOfLists.length; i_1++) {
                      eleGroup.push(this._process(listOfLists[i_1], options));
                    }
                    result.push((_e = {}, _e[key] = eleGroup, _e));
                  } else {
                    if (options.verbose) {
                      result.push((_f = {}, _f[key] = [this._process(ele[key], options)], _f));
                    } else {
                      result.push((_g = {}, _g[key] = this._process(ele[key], options), _g));
                    }
                  }
                  break;
              }
            }
            obj[defTextKey] = result;
            return obj;
          } else {
            var textId = 1;
            var commentId = 1;
            var instructionId = 1;
            var cdataId = 1;
            var obj = {};
            for (var i = 0; i < items.length; i++) {
              var item = items[i];
              var key = Object.keys(item)[0];
              switch (key) {
                case "@":
                  var attrs = item["@"];
                  var attrKeys = Object.keys(attrs);
                  if (!options.group || attrKeys.length === 1) {
                    for (var attrName in attrs) {
                      obj[defAttrKey + attrName] = attrs[attrName];
                    }
                  } else {
                    obj[defAttrKey] = attrs;
                  }
                  break;
                case "#":
                  textId = this._processSpecItem(item["#"], obj, options.group, defTextKey, textCount, textId);
                  break;
                case "!":
                  commentId = this._processSpecItem(item["!"], obj, options.group, defCommentKey, commentCount, commentId);
                  break;
                case "?":
                  instructionId = this._processSpecItem(item["?"], obj, options.group, defInstructionKey, instructionCount, instructionId);
                  break;
                case "$":
                  cdataId = this._processSpecItem(item["$"], obj, options.group, defCdataKey, cdataCount, cdataId);
                  break;
                default:
                  var ele = item;
                  if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                    var eleGroup = [];
                    var listOfLists = ele[key];
                    for (var i_2 = 0; i_2 < listOfLists.length; i_2++) {
                      eleGroup.push(this._process(listOfLists[i_2], options));
                    }
                    obj[key] = eleGroup;
                  } else {
                    if (options.verbose) {
                      obj[key] = [this._process(ele[key], options)];
                    } else {
                      obj[key] = this._process(ele[key], options);
                    }
                  }
                  break;
              }
            }
            return obj;
          }
        };
        ObjectWriter2.prototype._processSpecItem = function(item, obj, group, defKey, count, id) {
          var e_1, _a;
          if (!group && util_1.isArray(item) && count + item.length > 2) {
            try {
              for (var item_1 = __values(item), item_1_1 = item_1.next(); !item_1_1.done; item_1_1 = item_1.next()) {
                var subItem = item_1_1.value;
                var key = defKey + (id++).toString();
                obj[key] = subItem;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (item_1_1 && !item_1_1.done && (_a = item_1.return))
                  _a.call(item_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var key = count > 1 ? defKey + (id++).toString() : defKey;
            obj[key] = item;
          }
          return id;
        };
        ObjectWriter2.prototype.beginElement = function(name) {
          var _a, _b;
          var childItems = [];
          if (this._currentList.length === 0) {
            this._currentList.push((_a = {}, _a[name] = childItems, _a));
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isElementNode(lastItem, name)) {
              if (lastItem[name].length !== 0 && util_1.isArray(lastItem[name][0])) {
                var listOfLists = lastItem[name];
                listOfLists.push(childItems);
              } else {
                lastItem[name] = [lastItem[name], childItems];
              }
            } else {
              this._currentList.push((_b = {}, _b[name] = childItems, _b));
            }
          }
          this._currentIndex++;
          if (this._listRegister.length > this._currentIndex) {
            this._listRegister[this._currentIndex] = childItems;
          } else {
            this._listRegister.push(childItems);
          }
          this._currentList = childItems;
        };
        ObjectWriter2.prototype.endElement = function() {
          this._currentList = this._listRegister[--this._currentIndex];
        };
        ObjectWriter2.prototype.attribute = function(name, value) {
          var _a, _b;
          if (this._currentList.length === 0) {
            this._currentList.push({ "@": (_a = {}, _a[name] = value, _a) });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isAttrNode(lastItem)) {
              lastItem["@"][name] = value;
            } else {
              this._currentList.push({ "@": (_b = {}, _b[name] = value, _b) });
            }
          }
        };
        ObjectWriter2.prototype.comment = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "!": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCommentNode(lastItem)) {
              if (util_1.isArray(lastItem["!"])) {
                lastItem["!"].push(data);
              } else {
                lastItem["!"] = [lastItem["!"], data];
              }
            } else {
              this._currentList.push({ "!": data });
            }
          }
        };
        ObjectWriter2.prototype.text = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "#": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isTextNode(lastItem)) {
              if (util_1.isArray(lastItem["#"])) {
                lastItem["#"].push(data);
              } else {
                lastItem["#"] = [lastItem["#"], data];
              }
            } else {
              this._currentList.push({ "#": data });
            }
          }
        };
        ObjectWriter2.prototype.instruction = function(target, data) {
          var value = data === "" ? target : target + " " + data;
          if (this._currentList.length === 0) {
            this._currentList.push({ "?": value });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isInstructionNode(lastItem)) {
              if (util_1.isArray(lastItem["?"])) {
                lastItem["?"].push(value);
              } else {
                lastItem["?"] = [lastItem["?"], value];
              }
            } else {
              this._currentList.push({ "?": value });
            }
          }
        };
        ObjectWriter2.prototype.cdata = function(data) {
          if (this._currentList.length === 0) {
            this._currentList.push({ "$": data });
          } else {
            var lastItem = this._currentList[this._currentList.length - 1];
            if (this._isCDATANode(lastItem)) {
              if (util_1.isArray(lastItem["$"])) {
                lastItem["$"].push(data);
              } else {
                lastItem["$"] = [lastItem["$"], data];
              }
            } else {
              this._currentList.push({ "$": data });
            }
          }
        };
        ObjectWriter2.prototype._isAttrNode = function(x) {
          return "@" in x;
        };
        ObjectWriter2.prototype._isTextNode = function(x) {
          return "#" in x;
        };
        ObjectWriter2.prototype._isCommentNode = function(x) {
          return "!" in x;
        };
        ObjectWriter2.prototype._isInstructionNode = function(x) {
          return "?" in x;
        };
        ObjectWriter2.prototype._isCDATANode = function(x) {
          return "$" in x;
        };
        ObjectWriter2.prototype._isElementNode = function(x, name) {
          return name in x;
        };
        ObjectWriter2.prototype._getAttrKey = function() {
          return this._builderOptions.convert.att;
        };
        ObjectWriter2.prototype._getNodeKey = function(nodeType) {
          switch (nodeType) {
            case interfaces_1.NodeType.Comment:
              return this._builderOptions.convert.comment;
            case interfaces_1.NodeType.Text:
              return this._builderOptions.convert.text;
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._builderOptions.convert.ins;
            case interfaces_1.NodeType.CData:
              return this._builderOptions.convert.cdata;
            default:
              throw new Error("Invalid node type.");
          }
        };
        return ObjectWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.ObjectWriter = ObjectWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/MapWriter.js
var require_MapWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/MapWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var ObjectWriter_1 = require_ObjectWriter4();
    var BaseWriter_1 = require_BaseWriter4();
    var MapWriter = (
      /** @class */
      function(_super) {
        __extends(MapWriter2, _super);
        function MapWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            format: "map",
            wellFormed: false,
            group: false,
            verbose: false
          });
          return _this;
        }
        MapWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false,
            verbose: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._convertObject(val);
        };
        MapWriter2.prototype._convertObject = function(obj) {
          if (util_1.isArray(obj)) {
            for (var i = 0; i < obj.length; i++) {
              obj[i] = this._convertObject(obj[i]);
            }
            return obj;
          } else if (util_1.isObject(obj)) {
            var map = /* @__PURE__ */ new Map();
            for (var key in obj) {
              map.set(key, this._convertObject(obj[key]));
            }
            return map;
          } else {
            return obj;
          }
        };
        return MapWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.MapWriter = MapWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/XMLWriter.js
var require_XMLWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/XMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var interfaces_1 = require_interfaces14();
    var BaseWriter_1 = require_BaseWriter4();
    var util_2 = require_util22();
    var XMLWriter = (
      /** @class */
      function(_super) {
        __extends(XMLWriter2, _super);
        function XMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._indentation = {};
          _this._lengthToLastNewline = 0;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            headless: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            width: 0,
            allowEmptyTags: false,
            indentTextOnlyNodes: false,
            spaceBeforeSlash: false
          });
          return _this;
        }
        XMLWriter2.prototype.serialize = function(node) {
          this._refs = { suppressPretty: false, emptyNode: false, markup: "" };
          if (node.nodeType === interfaces_1.NodeType.Document && !this._writerOptions.headless) {
            this.declaration(this._builderOptions.version, this._builderOptions.encoding, this._builderOptions.standalone);
          }
          this.serializeNode(node, this._writerOptions.wellFormed);
          if (this._writerOptions.prettyPrint && this._refs.markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            this._refs.markup = this._refs.markup.slice(0, -this._writerOptions.newline.length);
          }
          return this._refs.markup;
        };
        XMLWriter2.prototype.declaration = function(version, encoding, standalone) {
          this._beginLine();
          this._refs.markup += '<?xml version="' + version + '"';
          if (encoding !== void 0) {
            this._refs.markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            this._refs.markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          this._refs.markup += "?>";
          this._endLine();
        };
        XMLWriter2.prototype.docType = function(name, publicId, systemId) {
          this._beginLine();
          if (publicId && systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            this._refs.markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            this._refs.markup += "<!DOCTYPE " + name + ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.openTagBegin = function(name) {
          this._beginLine();
          this._refs.markup += "<" + name;
        };
        XMLWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          if (this._writerOptions.prettyPrint && !selfClosing && !voidElement) {
            var textOnlyNode = true;
            var emptyNode = true;
            var childNode = this.currentNode.firstChild;
            var cdataCount = 0;
            var textCount = 0;
            while (childNode) {
              if (util_2.Guard.isExclusiveTextNode(childNode)) {
                textCount++;
              } else if (util_2.Guard.isCDATASectionNode(childNode)) {
                cdataCount++;
              } else {
                textOnlyNode = false;
                emptyNode = false;
                break;
              }
              if (childNode.data !== "") {
                emptyNode = false;
              }
              childNode = childNode.nextSibling;
            }
            this._refs.suppressPretty = !this._writerOptions.indentTextOnlyNodes && textOnlyNode && (cdataCount <= 1 && textCount === 0 || cdataCount === 0);
            this._refs.emptyNode = emptyNode;
          }
          if ((voidElement || selfClosing || this._refs.emptyNode) && this._writerOptions.allowEmptyTags) {
            this._refs.markup += "></" + name + ">";
          } else {
            this._refs.markup += voidElement ? " />" : selfClosing || this._refs.emptyNode ? this._writerOptions.spaceBeforeSlash ? " />" : "/>" : ">";
          }
          this._endLine();
        };
        XMLWriter2.prototype.closeTag = function(name) {
          if (!this._refs.emptyNode) {
            this._beginLine();
            this._refs.markup += "</" + name + ">";
          }
          this._refs.suppressPretty = false;
          this._refs.emptyNode = false;
          this._endLine();
        };
        XMLWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._refs.markup.length - this._lengthToLastNewline + 1 + str.length > this._writerOptions.width) {
            this._endLine();
            this._beginLine();
            this._refs.markup += this._indent(1) + str;
          } else {
            this._refs.markup += " " + str;
          }
        };
        XMLWriter2.prototype.text = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += data;
            this._endLine();
          }
        };
        XMLWriter2.prototype.cdata = function(data) {
          if (data !== "") {
            this._beginLine();
            this._refs.markup += "<![CDATA[" + data + "]]>";
            this._endLine();
          }
        };
        XMLWriter2.prototype.comment = function(data) {
          this._beginLine();
          this._refs.markup += "<!--" + data + "-->";
          this._endLine();
        };
        XMLWriter2.prototype.instruction = function(target, data) {
          this._beginLine();
          this._refs.markup += "<?" + (data === "" ? target : target + " " + data) + "?>";
          this._endLine();
        };
        XMLWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._indent(this._writerOptions.offset + this.level);
          }
        };
        XMLWriter2.prototype._endLine = function() {
          if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
            this._refs.markup += this._writerOptions.newline;
            this._lengthToLastNewline = this._refs.markup.length;
          }
        };
        XMLWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else if (this._indentation[level] !== void 0) {
            return this._indentation[level];
          } else {
            var str = this._writerOptions.indent.repeat(level);
            this._indentation[level] = str;
            return str;
          }
        };
        return XMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.XMLWriter = XMLWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/JSONWriter.js
var require_JSONWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/JSONWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter4();
    var util_1 = require_lib19();
    var BaseWriter_1 = require_BaseWriter4();
    var JSONWriter = (
      /** @class */
      function(_super) {
        __extends(JSONWriter2, _super);
        function JSONWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            prettyPrint: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          return _this;
        }
        JSONWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          return this._beginLine(this._writerOptions, 0) + this._convertObject(val, this._writerOptions);
        };
        JSONWriter2.prototype._convertObject = function(obj, options, level) {
          var e_1, _a;
          var _this = this;
          if (level === void 0) {
            level = 0;
          }
          var markup = "";
          var isLeaf = this._isLeafNode(obj);
          if (util_1.isArray(obj)) {
            markup += "[";
            var len = obj.length;
            var i = 0;
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._endLine(options, level + 1) + this._beginLine(options, level + 1) + this._convertObject(val, options, level + 1);
                if (i < len - 1) {
                  markup += ",";
                }
                i++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            markup += this._endLine(options, level) + this._beginLine(options, level);
            markup += "]";
          } else if (util_1.isObject(obj)) {
            markup += "{";
            var len_1 = util_1.objectLength(obj);
            var i_1 = 0;
            util_1.forEachObject(obj, function(key, val2) {
              if (isLeaf && options.prettyPrint) {
                markup += " ";
              } else {
                markup += _this._endLine(options, level + 1) + _this._beginLine(options, level + 1);
              }
              markup += _this._key(key);
              if (options.prettyPrint) {
                markup += " ";
              }
              markup += _this._convertObject(val2, options, level + 1);
              if (i_1 < len_1 - 1) {
                markup += ",";
              }
              i_1++;
            }, this);
            if (isLeaf && options.prettyPrint) {
              markup += " ";
            } else {
              markup += this._endLine(options, level) + this._beginLine(options, level);
            }
            markup += "}";
          } else {
            markup += this._val(obj);
          }
          return markup;
        };
        JSONWriter2.prototype._beginLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            var indentLevel = options.offset + level + 1;
            if (indentLevel > 0) {
              return new Array(indentLevel).join(options.indent);
            }
          }
          return "";
        };
        JSONWriter2.prototype._endLine = function(options, level) {
          if (!options.prettyPrint) {
            return "";
          } else {
            return options.newline;
          }
        };
        JSONWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        JSONWriter2.prototype._isLeafNode = function(obj) {
          return this._descendantCount(obj) <= 1;
        };
        JSONWriter2.prototype._descendantCount = function(obj, count) {
          var _this = this;
          if (count === void 0) {
            count = 0;
          }
          if (util_1.isArray(obj)) {
            util_1.forEachArray(obj, function(val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else if (util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              return count += _this._descendantCount(val, count);
            }, this);
          } else {
            count++;
          }
          return count;
        };
        return JSONWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.JSONWriter = JSONWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js
var require_YAMLWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/YAMLWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectWriter_1 = require_ObjectWriter4();
    var util_1 = require_lib19();
    var BaseWriter_1 = require_BaseWriter4();
    var YAMLWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLWriter2, _super);
        function YAMLWriter2(builderOptions, writerOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._writerOptions = util_1.applyDefaults(writerOptions, {
            wellFormed: false,
            indent: "  ",
            newline: "\n",
            offset: 0,
            group: false,
            verbose: false
          });
          if (_this._writerOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (_this._writerOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLWriter2.prototype.serialize = function(node) {
          var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
            format: "object",
            wellFormed: false
          });
          var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
          var val = objectWriter.serialize(node);
          var markup = this._beginLine(this._writerOptions, 0) + "---" + this._endLine(this._writerOptions) + this._convertObject(val, this._writerOptions, 0);
          if (markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
            markup = markup.slice(0, -this._writerOptions.newline.length);
          }
          return markup;
        };
        YAMLWriter2.prototype._convertObject = function(obj, options, level, suppressIndent) {
          var e_1, _a;
          var _this = this;
          if (suppressIndent === void 0) {
            suppressIndent = false;
          }
          var markup = "";
          if (util_1.isArray(obj)) {
            try {
              for (var obj_1 = __values(obj), obj_1_1 = obj_1.next(); !obj_1_1.done; obj_1_1 = obj_1.next()) {
                var val = obj_1_1.value;
                markup += this._beginLine(options, level, true);
                if (!util_1.isObject(val)) {
                  markup += this._val(val) + this._endLine(options);
                } else if (util_1.isEmpty(val)) {
                  markup += '""' + this._endLine(options);
                } else {
                  markup += this._convertObject(val, options, level, true);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
                  _a.call(obj_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            util_1.forEachObject(obj, function(key, val2) {
              if (suppressIndent) {
                markup += _this._key(key);
                suppressIndent = false;
              } else {
                markup += _this._beginLine(options, level) + _this._key(key);
              }
              if (!util_1.isObject(val2)) {
                markup += " " + _this._val(val2) + _this._endLine(options);
              } else if (util_1.isEmpty(val2)) {
                markup += ' ""' + _this._endLine(options);
              } else {
                markup += _this._endLine(options) + _this._convertObject(val2, options, level + 1);
              }
            }, this);
          }
          return markup;
        };
        YAMLWriter2.prototype._beginLine = function(options, level, isArray) {
          if (isArray === void 0) {
            isArray = false;
          }
          var indentLevel = options.offset + level + 1;
          var chars = new Array(indentLevel).join(options.indent);
          if (isArray) {
            return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
          } else {
            return chars;
          }
        };
        YAMLWriter2.prototype._endLine = function(options) {
          return options.newline;
        };
        YAMLWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLWriter2;
      }(BaseWriter_1.BaseWriter)
    );
    exports2.YAMLWriter = YAMLWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/index.js
var require_writers4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var MapWriter_1 = require_MapWriter4();
    exports2.MapWriter = MapWriter_1.MapWriter;
    var XMLWriter_1 = require_XMLWriter4();
    exports2.XMLWriter = XMLWriter_1.XMLWriter;
    var ObjectWriter_1 = require_ObjectWriter4();
    exports2.ObjectWriter = ObjectWriter_1.ObjectWriter;
    var JSONWriter_1 = require_JSONWriter4();
    exports2.JSONWriter = JSONWriter_1.JSONWriter;
    var YAMLWriter_1 = require_YAMLWriter4();
    exports2.YAMLWriter = YAMLWriter_1.YAMLWriter;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js
var require_ChildNodeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util22();
    var algorithm_1 = require_algorithm4();
    var ChildNodeImpl = (
      /** @class */
      function() {
        function ChildNodeImpl2() {
        }
        ChildNodeImpl2.prototype.before = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (parent === null)
            return;
          var viablePreviousSibling = context._previousSibling;
          var flag = true;
          while (flag && viablePreviousSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viablePreviousSibling) {
                viablePreviousSibling = viablePreviousSibling._previousSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (viablePreviousSibling === null)
            viablePreviousSibling = parent._firstChild;
          else
            viablePreviousSibling = viablePreviousSibling._nextSibling;
          algorithm_1.mutation_preInsert(node, parent, viablePreviousSibling);
        };
        ChildNodeImpl2.prototype.after = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.replaceWith = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          var viableNextSibling = context._nextSibling;
          var flag = true;
          while (flag && viableNextSibling) {
            flag = false;
            for (var i = 0; i < nodes.length; i++) {
              var child = nodes[i];
              if (child === viableNextSibling) {
                viableNextSibling = viableNextSibling._nextSibling;
                flag = true;
                break;
              }
            }
          }
          var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
          if (context._parent === parent)
            algorithm_1.mutation_replace(context, node, parent);
          else
            algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
        };
        ChildNodeImpl2.prototype.remove = function() {
          var context = util_1.Cast.asNode(this);
          var parent = context._parent;
          if (!parent)
            return;
          algorithm_1.mutation_remove(context, parent);
        };
        return ChildNodeImpl2;
      }()
    );
    exports2.ChildNodeImpl = ChildNodeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js
var require_DocumentOrShadowRootImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DocumentOrShadowRootImpl = (
      /** @class */
      function() {
        function DocumentOrShadowRootImpl2() {
        }
        return DocumentOrShadowRootImpl2;
      }()
    );
    exports2.DocumentOrShadowRootImpl = DocumentOrShadowRootImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js
var require_MutationObserverImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMImpl_1 = require_DOMImpl4();
    var util_1 = require_util22();
    var infra_1 = require_lib20();
    var MutationObserverImpl = (
      /** @class */
      function() {
        function MutationObserverImpl2(callback) {
          this._nodeList = [];
          this._recordQueue = [];
          this._callback = callback;
          var window2 = DOMImpl_1.dom.window;
          infra_1.set.append(window2._mutationObservers, this);
        }
        MutationObserverImpl2.prototype.observe = function(target, options) {
          var e_1, _a;
          options = options || {
            childList: false,
            subtree: false
          };
          if ((options.attributeOldValue !== void 0 || options.attributeFilter !== void 0) && options.attributes === void 0) {
            options.attributes = true;
          }
          if (options.characterDataOldValue !== void 0 && options.characterData === void 0) {
            options.characterData = true;
          }
          if (!options.childList && !options.attributes && !options.characterData) {
            throw new TypeError();
          }
          if (options.attributeOldValue && !options.attributes) {
            throw new TypeError();
          }
          if (options.attributeFilter !== void 0 && !options.attributes) {
            throw new TypeError();
          }
          if (options.characterDataOldValue && !options.characterData) {
            throw new TypeError();
          }
          var isRegistered = false;
          var coptions = options;
          var _loop_1 = function(registered2) {
            var e_2, _a2;
            if (registered2.observer === this_1) {
              isRegistered = true;
              try {
                for (var _b2 = (e_2 = void 0, __values(this_1._nodeList)), _c2 = _b2.next(); !_c2.done; _c2 = _b2.next()) {
                  var node = _c2.value;
                  infra_1.list.remove(node._registeredObserverList, function(ob) {
                    return util_1.Guard.isTransientRegisteredObserver(ob) && ob.source === registered2;
                  });
                }
              } catch (e_2_1) {
                e_2 = { error: e_2_1 };
              } finally {
                try {
                  if (_c2 && !_c2.done && (_a2 = _b2.return))
                    _a2.call(_b2);
                } finally {
                  if (e_2)
                    throw e_2.error;
                }
              }
              registered2.options = coptions;
            }
          };
          var this_1 = this;
          try {
            for (var _b = __values(target._registeredObserverList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var registered = _c.value;
              _loop_1(registered);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
          if (!isRegistered) {
            target._registeredObserverList.push({ observer: this, options });
            this._nodeList.push(target);
          }
        };
        MutationObserverImpl2.prototype.disconnect = function() {
          var e_3, _a;
          var _this = this;
          try {
            for (var _b = __values(this._nodeList), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node = _c.value;
              infra_1.list.remove(node._registeredObserverList, function(ob) {
                return ob.observer === _this;
              });
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          this._recordQueue = [];
        };
        MutationObserverImpl2.prototype.takeRecords = function() {
          var records = this._recordQueue;
          this._recordQueue = [];
          return records;
        };
        return MutationObserverImpl2;
      }()
    );
    exports2.MutationObserverImpl = MutationObserverImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js
var require_NonDocumentTypeChildNodeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util22();
    var NonDocumentTypeChildNodeImpl = (
      /** @class */
      function() {
        function NonDocumentTypeChildNodeImpl2() {
        }
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "previousElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._previousSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "nextElementSibling", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._nextSibling;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        return NonDocumentTypeChildNodeImpl2;
      }()
    );
    exports2.NonDocumentTypeChildNodeImpl = NonDocumentTypeChildNodeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js
var require_NonElementParentNodeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util22();
    var algorithm_1 = require_algorithm4();
    var NonElementParentNodeImpl = (
      /** @class */
      function() {
        function NonElementParentNodeImpl2() {
        }
        NonElementParentNodeImpl2.prototype.getElementById = function(id) {
          var ele = algorithm_1.tree_getFirstDescendantNode(util_1.Cast.asNode(this), false, false, function(e) {
            return util_1.Guard.isElementNode(e);
          });
          while (ele !== null) {
            if (ele._uniqueIdentifier === id) {
              return ele;
            }
            ele = algorithm_1.tree_getNextDescendantNode(util_1.Cast.asNode(this), ele, false, false, function(e) {
              return util_1.Guard.isElementNode(e);
            });
          }
          return null;
        };
        return NonElementParentNodeImpl2;
      }()
    );
    exports2.NonElementParentNodeImpl = NonElementParentNodeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js
var require_ParentNodeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_util22();
    var algorithm_1 = require_algorithm4();
    var ParentNodeImpl = (
      /** @class */
      function() {
        function ParentNodeImpl2() {
        }
        Object.defineProperty(ParentNodeImpl2.prototype, "children", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.create_htmlCollection(util_1.Cast.asNode(this));
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "firstElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._firstChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._nextSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "lastElementChild", {
          /** @inheritdoc */
          get: function() {
            var node = util_1.Cast.asNode(this)._lastChild;
            while (node) {
              if (util_1.Guard.isElementNode(node))
                return node;
              else
                node = node._previousSibling;
            }
            return null;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(ParentNodeImpl2.prototype, "childElementCount", {
          /** @inheritdoc */
          get: function() {
            var e_1, _a;
            var count = 0;
            try {
              for (var _b = __values(util_1.Cast.asNode(this)._children), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                if (util_1.Guard.isElementNode(childNode))
                  count++;
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return count;
          },
          enumerable: true,
          configurable: true
        });
        ParentNodeImpl2.prototype.prepend = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_preInsert(childNode, node, node._firstChild);
        };
        ParentNodeImpl2.prototype.append = function() {
          var nodes = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            nodes[_i] = arguments[_i];
          }
          var node = util_1.Cast.asNode(this);
          var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
          algorithm_1.mutation_append(childNode, node);
        };
        ParentNodeImpl2.prototype.querySelector = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return result.length === 0 ? null : result[0];
        };
        ParentNodeImpl2.prototype.querySelectorAll = function(selectors) {
          var node = util_1.Cast.asNode(this);
          var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
          return algorithm_1.create_nodeListStatic(node, result);
        };
        return ParentNodeImpl2;
      }()
    );
    exports2.ParentNodeImpl = ParentNodeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js
var require_SlotableImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm4();
    var SlotableImpl = (
      /** @class */
      function() {
        function SlotableImpl2() {
        }
        Object.defineProperty(SlotableImpl2.prototype, "_name", {
          get: function() {
            return this.__name || "";
          },
          set: function(val) {
            this.__name = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "_assignedSlot", {
          get: function() {
            return this.__assignedSlot || null;
          },
          set: function(val) {
            this.__assignedSlot = val;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(SlotableImpl2.prototype, "assignedSlot", {
          /** @inheritdoc */
          get: function() {
            return algorithm_1.shadowTree_findASlot(this, true);
          },
          enumerable: true,
          configurable: true
        });
        return SlotableImpl2;
      }()
    );
    exports2.SlotableImpl = SlotableImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js
var require_StaticRangeImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var AbstractRangeImpl_1 = require_AbstractRangeImpl4();
    var DOMException_1 = require_DOMException4();
    var util_1 = require_util22();
    var StaticRangeImpl = (
      /** @class */
      function(_super) {
        __extends(StaticRangeImpl2, _super);
        function StaticRangeImpl2(init) {
          var _this = _super.call(this) || this;
          if (util_1.Guard.isDocumentTypeNode(init.startContainer) || util_1.Guard.isAttrNode(init.startContainer) || util_1.Guard.isDocumentTypeNode(init.endContainer) || util_1.Guard.isAttrNode(init.endContainer)) {
            throw new DOMException_1.InvalidNodeTypeError();
          }
          _this._start = [init.startContainer, init.startOffset];
          _this._end = [init.endContainer, init.endOffset];
          return _this;
        }
        return StaticRangeImpl2;
      }(AbstractRangeImpl_1.AbstractRangeImpl)
    );
    exports2.StaticRangeImpl = StaticRangeImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/dom/index.js
var require_dom7 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/dom/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var AbortControllerImpl_1 = require_AbortControllerImpl4();
    exports2.AbortController = AbortControllerImpl_1.AbortControllerImpl;
    var AbortSignalImpl_1 = require_AbortSignalImpl4();
    exports2.AbortSignal = AbortSignalImpl_1.AbortSignalImpl;
    var AbstractRangeImpl_1 = require_AbstractRangeImpl4();
    exports2.AbstractRange = AbstractRangeImpl_1.AbstractRangeImpl;
    var AttrImpl_1 = require_AttrImpl4();
    exports2.Attr = AttrImpl_1.AttrImpl;
    var CDATASectionImpl_1 = require_CDATASectionImpl4();
    exports2.CDATASection = CDATASectionImpl_1.CDATASectionImpl;
    var CharacterDataImpl_1 = require_CharacterDataImpl4();
    exports2.CharacterData = CharacterDataImpl_1.CharacterDataImpl;
    var ChildNodeImpl_1 = require_ChildNodeImpl4();
    var CommentImpl_1 = require_CommentImpl4();
    exports2.Comment = CommentImpl_1.CommentImpl;
    var CustomEventImpl_1 = require_CustomEventImpl4();
    exports2.CustomEvent = CustomEventImpl_1.CustomEventImpl;
    var DocumentFragmentImpl_1 = require_DocumentFragmentImpl4();
    exports2.DocumentFragment = DocumentFragmentImpl_1.DocumentFragmentImpl;
    var DocumentImpl_1 = require_DocumentImpl4();
    exports2.Document = DocumentImpl_1.DocumentImpl;
    var DocumentOrShadowRootImpl_1 = require_DocumentOrShadowRootImpl4();
    var DocumentTypeImpl_1 = require_DocumentTypeImpl4();
    exports2.DocumentType = DocumentTypeImpl_1.DocumentTypeImpl;
    var DOMImpl_1 = require_DOMImpl4();
    exports2.dom = DOMImpl_1.dom;
    var DOMImplementationImpl_1 = require_DOMImplementationImpl4();
    exports2.DOMImplementation = DOMImplementationImpl_1.DOMImplementationImpl;
    var DOMTokenListImpl_1 = require_DOMTokenListImpl4();
    exports2.DOMTokenList = DOMTokenListImpl_1.DOMTokenListImpl;
    var ElementImpl_1 = require_ElementImpl4();
    exports2.Element = ElementImpl_1.ElementImpl;
    var EventImpl_1 = require_EventImpl4();
    exports2.Event = EventImpl_1.EventImpl;
    var EventTargetImpl_1 = require_EventTargetImpl4();
    exports2.EventTarget = EventTargetImpl_1.EventTargetImpl;
    var HTMLCollectionImpl_1 = require_HTMLCollectionImpl4();
    exports2.HTMLCollection = HTMLCollectionImpl_1.HTMLCollectionImpl;
    var MutationObserverImpl_1 = require_MutationObserverImpl4();
    exports2.MutationObserver = MutationObserverImpl_1.MutationObserverImpl;
    var MutationRecordImpl_1 = require_MutationRecordImpl4();
    exports2.MutationRecord = MutationRecordImpl_1.MutationRecordImpl;
    var NamedNodeMapImpl_1 = require_NamedNodeMapImpl4();
    exports2.NamedNodeMap = NamedNodeMapImpl_1.NamedNodeMapImpl;
    var NodeFilterImpl_1 = require_NodeFilterImpl4();
    exports2.NodeFilter = NodeFilterImpl_1.NodeFilterImpl;
    var NodeImpl_1 = require_NodeImpl4();
    exports2.Node = NodeImpl_1.NodeImpl;
    var NodeIteratorImpl_1 = require_NodeIteratorImpl4();
    exports2.NodeIterator = NodeIteratorImpl_1.NodeIteratorImpl;
    var NodeListImpl_1 = require_NodeListImpl4();
    exports2.NodeList = NodeListImpl_1.NodeListImpl;
    var NodeListStaticImpl_1 = require_NodeListStaticImpl4();
    exports2.NodeListStatic = NodeListStaticImpl_1.NodeListStaticImpl;
    var NonDocumentTypeChildNodeImpl_1 = require_NonDocumentTypeChildNodeImpl4();
    var NonElementParentNodeImpl_1 = require_NonElementParentNodeImpl4();
    var ParentNodeImpl_1 = require_ParentNodeImpl4();
    var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl4();
    exports2.ProcessingInstruction = ProcessingInstructionImpl_1.ProcessingInstructionImpl;
    var RangeImpl_1 = require_RangeImpl4();
    exports2.Range = RangeImpl_1.RangeImpl;
    var ShadowRootImpl_1 = require_ShadowRootImpl4();
    exports2.ShadowRoot = ShadowRootImpl_1.ShadowRootImpl;
    var SlotableImpl_1 = require_SlotableImpl4();
    var StaticRangeImpl_1 = require_StaticRangeImpl4();
    exports2.StaticRange = StaticRangeImpl_1.StaticRangeImpl;
    var TextImpl_1 = require_TextImpl4();
    exports2.Text = TextImpl_1.TextImpl;
    var TraverserImpl_1 = require_TraverserImpl4();
    exports2.Traverser = TraverserImpl_1.TraverserImpl;
    var TreeWalkerImpl_1 = require_TreeWalkerImpl4();
    exports2.TreeWalker = TreeWalkerImpl_1.TreeWalkerImpl;
    var WindowImpl_1 = require_WindowImpl4();
    exports2.Window = WindowImpl_1.WindowImpl;
    var XMLDocumentImpl_1 = require_XMLDocumentImpl4();
    exports2.XMLDocument = XMLDocumentImpl_1.XMLDocumentImpl;
    util_1.applyMixin(ElementImpl_1.ElementImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentTypeImpl_1.DocumentTypeImpl, ChildNodeImpl_1.ChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ShadowRootImpl_1.ShadowRootImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
    util_1.applyMixin(DocumentImpl_1.DocumentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, ParentNodeImpl_1.ParentNodeImpl);
    util_1.applyMixin(TextImpl_1.TextImpl, SlotableImpl_1.SlotableImpl);
    util_1.applyMixin(ElementImpl_1.ElementImpl, SlotableImpl_1.SlotableImpl);
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/parser/interfaces.js
var require_interfaces16 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/parser/interfaces.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var TokenType;
    (function(TokenType2) {
      TokenType2[TokenType2["EOF"] = 0] = "EOF";
      TokenType2[TokenType2["Declaration"] = 1] = "Declaration";
      TokenType2[TokenType2["DocType"] = 2] = "DocType";
      TokenType2[TokenType2["Element"] = 3] = "Element";
      TokenType2[TokenType2["Text"] = 4] = "Text";
      TokenType2[TokenType2["CDATA"] = 5] = "CDATA";
      TokenType2[TokenType2["PI"] = 6] = "PI";
      TokenType2[TokenType2["Comment"] = 7] = "Comment";
      TokenType2[TokenType2["ClosingTag"] = 8] = "ClosingTag";
    })(TokenType = exports2.TokenType || (exports2.TokenType = {}));
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js
var require_XMLStringLexer4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces16();
    var XMLStringLexer = (
      /** @class */
      function() {
        function XMLStringLexer2(str, options) {
          this._options = {
            skipWhitespaceOnlyText: false
          };
          this.err = { line: -1, col: -1, index: -1, str: "" };
          this._str = str;
          this._index = 0;
          this._length = str.length;
          if (options) {
            this._options.skipWhitespaceOnlyText = options.skipWhitespaceOnlyText || false;
          }
        }
        XMLStringLexer2.prototype.nextToken = function() {
          if (this.eof()) {
            return { type: interfaces_1.TokenType.EOF };
          }
          var token = this.skipIfStartsWith("<") ? this.openBracket() : this.text();
          if (this._options.skipWhitespaceOnlyText) {
            if (token.type === interfaces_1.TokenType.Text && XMLStringLexer2.isWhiteSpaceToken(token)) {
              token = this.nextToken();
            }
          }
          return token;
        };
        XMLStringLexer2.prototype.openBracket = function() {
          if (this.skipIfStartsWith("?")) {
            if (this.skipIfStartsWith("xml")) {
              if (XMLStringLexer2.isSpace(this._str[this._index])) {
                return this.declaration();
              } else {
                this.seek(-3);
                return this.pi();
              }
            } else {
              return this.pi();
            }
          } else if (this.skipIfStartsWith("!")) {
            if (this.skipIfStartsWith("--")) {
              return this.comment();
            } else if (this.skipIfStartsWith("[CDATA[")) {
              return this.cdata();
            } else if (this.skipIfStartsWith("DOCTYPE")) {
              return this.doctype();
            } else {
              this.throwError("Invalid '!' in opening tag.");
            }
          } else if (this.skipIfStartsWith("/")) {
            return this.closeTag();
          } else {
            return this.openTag();
          }
        };
        XMLStringLexer2.prototype.declaration = function() {
          var version = "";
          var encoding = "";
          var standalone = "";
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith("?>")) {
              return { type: interfaces_1.TokenType.Declaration, version, encoding, standalone };
            } else {
              var _a = __read(this.attribute(), 2), attName = _a[0], attValue = _a[1];
              if (attName === "version")
                version = attValue;
              else if (attName === "encoding")
                encoding = attValue;
              else if (attName === "standalone")
                standalone = attValue;
              else
                this.throwError("Invalid attribute name: " + attName);
            }
          }
          this.throwError("Missing declaration end symbol `?>`");
        };
        XMLStringLexer2.prototype.doctype = function() {
          var pubId = "";
          var sysId = "";
          this.skipSpace();
          var name = this.takeUntil2("[", ">", true);
          this.skipSpace();
          if (this.skipIfStartsWith("PUBLIC")) {
            pubId = this.quotedString();
            sysId = this.quotedString();
          } else if (this.skipIfStartsWith("SYSTEM")) {
            sysId = this.quotedString();
          }
          this.skipSpace();
          if (this.skipIfStartsWith("[")) {
            this.skipUntil("]");
            if (!this.skipIfStartsWith("]")) {
              this.throwError("Missing end bracket of DTD internal subset");
            }
          }
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing doctype end symbol `>`");
          }
          return { type: interfaces_1.TokenType.DocType, name, pubId, sysId };
        };
        XMLStringLexer2.prototype.pi = function() {
          var target = this.takeUntilStartsWith("?>", true);
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.skipSpace();
          if (this.skipIfStartsWith("?>")) {
            return { type: interfaces_1.TokenType.PI, target, data: "" };
          }
          var data = this.takeUntilStartsWith("?>");
          if (this.eof()) {
            this.throwError("Missing processing instruction end symbol `?>`");
          }
          this.seek(2);
          return { type: interfaces_1.TokenType.PI, target, data };
        };
        XMLStringLexer2.prototype.text = function() {
          var data = this.takeUntil("<");
          return { type: interfaces_1.TokenType.Text, data };
        };
        XMLStringLexer2.prototype.comment = function() {
          var data = this.takeUntilStartsWith("-->");
          if (this.eof()) {
            this.throwError("Missing comment end symbol `-->`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.Comment, data };
        };
        XMLStringLexer2.prototype.cdata = function() {
          var data = this.takeUntilStartsWith("]]>");
          if (this.eof()) {
            this.throwError("Missing CDATA end symbol `]>`");
          }
          this.seek(3);
          return { type: interfaces_1.TokenType.CDATA, data };
        };
        XMLStringLexer2.prototype.openTag = function() {
          this.skipSpace();
          var name = this.takeUntil2(">", "/", true);
          this.skipSpace();
          if (this.skipIfStartsWith(">")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: false };
          } else if (this.skipIfStartsWith("/>")) {
            return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: true };
          }
          var attributes = [];
          while (!this.eof()) {
            this.skipSpace();
            if (this.skipIfStartsWith(">")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: false };
            } else if (this.skipIfStartsWith("/>")) {
              return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: true };
            }
            var attr = this.attribute();
            attributes.push(attr);
          }
          this.throwError("Missing opening element tag end symbol `>`");
        };
        XMLStringLexer2.prototype.closeTag = function() {
          this.skipSpace();
          var name = this.takeUntil(">", true);
          this.skipSpace();
          if (!this.skipIfStartsWith(">")) {
            this.throwError("Missing closing element tag end symbol `>`");
          }
          return { type: interfaces_1.TokenType.ClosingTag, name };
        };
        XMLStringLexer2.prototype.attribute = function() {
          this.skipSpace();
          var name = this.takeUntil("=", true);
          this.skipSpace();
          if (!this.skipIfStartsWith("=")) {
            this.throwError("Missing equals sign before attribute value");
          }
          var value = this.quotedString();
          return [name, value];
        };
        XMLStringLexer2.prototype.quotedString = function() {
          this.skipSpace();
          var startQuote = this.take(1);
          if (!XMLStringLexer2.isQuote(startQuote)) {
            this.throwError("Missing start quote character before quoted value");
          }
          var value = this.takeUntil(startQuote);
          if (!this.skipIfStartsWith(startQuote)) {
            this.throwError("Missing end quote character after quoted value");
          }
          return value;
        };
        XMLStringLexer2.prototype.eof = function() {
          return this._index >= this._length;
        };
        XMLStringLexer2.prototype.skipIfStartsWith = function(str) {
          var strLength = str.length;
          if (strLength === 1) {
            if (this._str[this._index] === str) {
              this._index++;
              return true;
            } else {
              return false;
            }
          }
          for (var i = 0; i < strLength; i++) {
            if (this._str[this._index + i] !== str[i])
              return false;
          }
          this._index += strLength;
          return true;
        };
        XMLStringLexer2.prototype.seek = function(count) {
          this._index += count;
          if (this._index < 0)
            this._index = 0;
          if (this._index > this._length)
            this._index = this._length;
        };
        XMLStringLexer2.prototype.skipSpace = function() {
          while (!this.eof() && XMLStringLexer2.isSpace(this._str[this._index])) {
            this._index++;
          }
        };
        XMLStringLexer2.prototype.take = function(count) {
          if (count === 1) {
            return this._str[this._index++];
          }
          var startIndex = this._index;
          this.seek(count);
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil = function(char, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntil2 = function(char1, char2, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char1 && c !== char2 && (!space || !XMLStringLexer2.isSpace(c))) {
              this._index++;
            } else {
              break;
            }
          }
          return this._str.slice(startIndex, this._index);
        };
        XMLStringLexer2.prototype.takeUntilStartsWith = function(str, space) {
          if (space === void 0) {
            space = false;
          }
          var startIndex = this._index;
          var strLength = str.length;
          while (this._index < this._length) {
            var match = true;
            for (var i = 0; i < strLength; i++) {
              var c = this._str[this._index + i];
              var char = str[i];
              if (space && XMLStringLexer2.isSpace(c)) {
                return this._str.slice(startIndex, this._index);
              } else if (c !== char) {
                this._index++;
                match = false;
                break;
              }
            }
            if (match)
              return this._str.slice(startIndex, this._index);
          }
          this._index = this._length;
          return this._str.slice(startIndex);
        };
        XMLStringLexer2.prototype.skipUntil = function(char) {
          while (this._index < this._length) {
            var c = this._str[this._index];
            if (c !== char) {
              this._index++;
            } else {
              break;
            }
          }
        };
        XMLStringLexer2.isWhiteSpaceToken = function(token) {
          var str = token.data;
          for (var i = 0; i < str.length; i++) {
            var c = str[i];
            if (c !== " " && c !== "\n" && c !== "\r" && c !== "	" && c !== "\f")
              return false;
          }
          return true;
        };
        XMLStringLexer2.isSpace = function(char) {
          return char === " " || char === "\n" || char === "\r" || char === "	";
        };
        XMLStringLexer2.isQuote = function(char) {
          return char === '"' || char === "'";
        };
        XMLStringLexer2.prototype.throwError = function(msg) {
          var regexp = /\r\n|\r|\n/g;
          var match = null;
          var line = 0;
          var firstNewLineIndex = 0;
          var lastNewlineIndex = this._str.length;
          while ((match = regexp.exec(this._str)) !== null) {
            if (match === null)
              break;
            line++;
            if (match.index < this._index)
              firstNewLineIndex = regexp.lastIndex;
            if (match.index > this._index) {
              lastNewlineIndex = match.index;
              break;
            }
          }
          this.err = {
            line,
            col: this._index - firstNewLineIndex,
            index: this._index,
            str: this._str.substring(firstNewLineIndex, lastNewlineIndex)
          };
          throw new Error(msg + "\nIndex: " + this.err.index + "\nLn: " + this.err.line + ", Col: " + this.err.col + "\nInput: " + this.err.str);
        };
        XMLStringLexer2.prototype[Symbol.iterator] = function() {
          this._index = 0;
          return {
            next: function() {
              var token = this.nextToken();
              if (token.type === interfaces_1.TokenType.EOF) {
                return { done: true, value: null };
              } else {
                return { done: false, value: token };
              }
            }.bind(this)
          };
        };
        return XMLStringLexer2;
      }()
    );
    exports2.XMLStringLexer = XMLStringLexer;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js
var require_XMLParserImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer4();
    var interfaces_1 = require_interfaces16();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var LocalNameSet_1 = require_LocalNameSet4();
    var XMLParserImpl = (
      /** @class */
      function() {
        function XMLParserImpl2() {
        }
        XMLParserImpl2.prototype.parse = function(source) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(source, { skipWhitespaceOnlyText: true });
          var doc = algorithm_1.create_document();
          var context = doc;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                if (declaration.version !== "1.0") {
                  throw new Error("Invalid xml version: " + declaration.version);
                }
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                if (!algorithm_1.xml_isPubidChar(doctype.pubId)) {
                  throw new Error("DocType public identifier does not match PubidChar construct.");
                }
                if (!algorithm_1.xml_isLegalChar(doctype.sysId) || doctype.sysId.indexOf('"') !== -1 && doctype.sysId.indexOf("'") !== -1) {
                  throw new Error("DocType system identifier contains invalid characters.");
                }
                context.appendChild(doc.implementation.createDocumentType(doctype.name, doctype.pubId, doctype.sysId));
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                if (!algorithm_1.xml_isLegalChar(cdata.data) || cdata.data.indexOf("]]>") !== -1) {
                  throw new Error("CDATA contains invalid characters.");
                }
                context.appendChild(doc.createCDATASection(cdata.data));
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                if (!algorithm_1.xml_isLegalChar(comment.data) || comment.data.indexOf("--") !== -1 || comment.data.endsWith("-")) {
                  throw new Error("Comment data contains invalid characters.");
                }
                context.appendChild(doc.createComment(comment.data));
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                if (pi.target.indexOf(":") !== -1 || /^xml$/i.test(pi.target)) {
                  throw new Error("Processing instruction target contains invalid characters.");
                }
                if (!algorithm_1.xml_isLegalChar(pi.data) || pi.data.indexOf("?>") !== -1) {
                  throw new Error("Processing instruction data contains invalid characters.");
                }
                context.appendChild(doc.createProcessingInstruction(pi.target, pi.data));
                break;
              case interfaces_1.TokenType.Text:
                var text = token;
                if (!algorithm_1.xml_isLegalChar(text.data)) {
                  throw new Error("Text data contains invalid characters.");
                }
                context.appendChild(doc.createTextNode(this._decodeText(text.data)));
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var _c = __read(algorithm_1.namespace_extractQName(element.name), 2), prefix = _c[0], localName = _c[1];
                if (localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(localName)) {
                  throw new Error("Node local name contains invalid characters.");
                }
                if (prefix === "xmlns") {
                  throw new Error("An element cannot have the 'xmlns' prefix.");
                }
                var namespace = context.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? doc.createElementNS(namespace, element.name) : doc.createElement(element.name);
                context.appendChild(elementNode);
                var localNameSet = new LocalNameSet_1.LocalNameSet();
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (localNameSet.has(attNamespace, attLocalName)) {
                      throw new Error("Element contains duplicate attributes.");
                    }
                    localNameSet.set(attNamespace, attLocalName);
                    if (attNamespace === infra_1.namespace.XMLNS) {
                      if (attValue === infra_1.namespace.XMLNS) {
                        throw new Error("XMLNS namespace is reserved.");
                      }
                    }
                    if (attLocalName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attLocalName)) {
                      throw new Error("Attribute local name contains invalid characters.");
                    }
                    if (attPrefix === "xmlns" && attValue === "") {
                      throw new Error("Empty XML namespace is not allowed.");
                    }
                    if (attNamespace !== null)
                      elementNode.setAttributeNS(attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      elementNode.setAttribute(attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                var closingTag = token;
                if (closingTag.name !== context.nodeName) {
                  throw new Error("Closing tag name does not match opening tag name.");
                }
                if (context._parent) {
                  context = context._parent;
                }
                break;
            }
            token = lexer.nextToken();
          }
          return doc;
        };
        XMLParserImpl2.prototype._decodeText = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        XMLParserImpl2.prototype._decodeAttributeValue = function(text) {
          return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
        };
        return XMLParserImpl2;
      }()
    );
    exports2.XMLParserImpl = XMLParserImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js
var require_DOMParserImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var algorithm_1 = require_algorithm4();
    var XMLParserImpl_1 = require_XMLParserImpl4();
    var DOMParserImpl = (
      /** @class */
      function() {
        function DOMParserImpl2() {
        }
        DOMParserImpl2.prototype.parseFromString = function(source, mimeType) {
          if (mimeType === "text/html")
            throw new Error("HTML parser not implemented.");
          try {
            var parser = new XMLParserImpl_1.XMLParserImpl();
            var doc = parser.parse(source);
            doc._contentType = mimeType;
            return doc;
          } catch (e) {
            var errorNS = "http://www.mozilla.org/newlayout/xml/parsererror.xml";
            var doc = algorithm_1.create_xmlDocument();
            var root = doc.createElementNS(errorNS, "parsererror");
            var ele = doc.createElementNS(errorNS, "error");
            ele.setAttribute("message", e.message);
            root.appendChild(ele);
            doc.appendChild(root);
            return doc;
          }
        };
        return DOMParserImpl2;
      }()
    );
    exports2.DOMParserImpl = DOMParserImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/parser/index.js
var require_parser12 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/parser/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var DOMParserImpl_1 = require_DOMParserImpl4();
    exports2.DOMParser = DOMParserImpl_1.DOMParserImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js
var require_XMLSerializerImpl4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js"(exports2) {
    "use strict";
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces14();
    var LocalNameSet_1 = require_LocalNameSet4();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap4();
    var DOMException_1 = require_DOMException4();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var XMLSerializerImpl = (
      /** @class */
      function() {
        function XMLSerializerImpl2() {
        }
        XMLSerializerImpl2.prototype.serializeToString = function(root) {
          return this._xmlSerialization(root, false);
        };
        XMLSerializerImpl2.prototype._xmlSerialization = function(node, requireWellFormed) {
          if (node._nodeDocument === void 0 || node._nodeDocument._hasNamespaces) {
            var namespace = null;
            var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
            prefixMap.set("xml", infra_1.namespace.XML);
            var prefixIndex = { value: 1 };
            try {
              return this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            } catch (_a) {
              throw new DOMException_1.InvalidStateError();
            }
          } else {
            try {
              return this._serializeNode(node, requireWellFormed);
            } catch (_b) {
              throw new DOMException_1.InvalidStateError();
            }
          }
        };
        XMLSerializerImpl2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeNode = function(node, requireWellFormed) {
          switch (node.nodeType) {
            case interfaces_1.NodeType.Element:
              return this._serializeElement(node, requireWellFormed);
            case interfaces_1.NodeType.Document:
              return this._serializeDocument(node, requireWellFormed);
            case interfaces_1.NodeType.Comment:
              return this._serializeComment(node, requireWellFormed);
            case interfaces_1.NodeType.Text:
              return this._serializeText(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentFragment:
              return this._serializeDocumentFragment(node, requireWellFormed);
            case interfaces_1.NodeType.DocumentType:
              return this._serializeDocumentType(node, requireWellFormed);
            case interfaces_1.NodeType.ProcessingInstruction:
              return this._serializeProcessingInstruction(node, requireWellFormed);
            case interfaces_1.NodeType.CData:
              return this._serializeCData(node, requireWellFormed);
            default:
              throw new Error("Unknown node type: " + node.nodeType);
          }
        };
        XMLSerializerImpl2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_1, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var markup = "<";
          var qualifiedName = "";
          var skipEndTag = false;
          var ignoreNamespaceDefinitionAttribute = false;
          var map = prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = namespace;
          var ns = node.namespaceURI;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            markup += qualifiedName;
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (requireWellFormed) {
                throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              markup += qualifiedName;
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              markup += qualifiedName;
              markup += " xmlns:" + prefix + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
              markup += ' xmlns="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              markup += qualifiedName;
            }
          }
          markup += this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && node.childNodes.length === 0 && XMLSerializerImpl2._VoidElementNames.has(node.localName)) {
            markup += " /";
            skipEndTag = true;
          } else if (!isHTML && node.childNodes.length === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          if (isHTML && node.localName === "template") {
          } else {
            try {
              for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var childNode = _c.value;
                markup += this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_2, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeComment = function(node, requireWellFormed) {
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            throw new Error("Comment data contains invalid characters (well-formed required).");
          }
          return "<!--" + node.data + "-->";
        };
        XMLSerializerImpl2.prototype._serializeText = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            throw new Error("Text data contains invalid characters (well-formed required).");
          }
          var result = "";
          for (var i = 0; i < node.data.length; i++) {
            var c = node.data[i];
            if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
          var e_3, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children || node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
            }
          } catch (e_3_1) {
            e_3 = { error: e_3_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_3)
                throw e_3.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocumentType = function(node, requireWellFormed) {
          if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            throw new Error("DocType system identifier contains invalid characters (well-formed required).");
          }
          return node.publicId && node.systemId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '" "' + node.systemId + '">' : node.publicId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '">' : node.systemId ? "<!DOCTYPE " + node.name + ' SYSTEM "' + node.systemId + '">' : "<!DOCTYPE " + node.name + ">";
        };
        XMLSerializerImpl2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
          if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            throw new Error("Processing instruction target contains invalid characters (well-formed required).");
          }
          if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
            throw new Error("Processing instruction data contains invalid characters (well-formed required).");
          }
          return "<?" + (node.data === "" ? node.target : node.target + " " + node.data) + "?>";
        };
        XMLSerializerImpl2.prototype._serializeCData = function(node, requireWellFormed) {
          if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
            throw new Error("CDATA contains invalid characters (well-formed required).");
          }
          return "<![CDATA[" + node.data + "]]>";
        };
        XMLSerializerImpl2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_4, _a;
          var result = "";
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!ignoreNamespaceDefinitionAttribute && !requireWellFormed && attr.namespaceURI === null) {
                result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved (well-formed required).");
                  }
                  if (requireWellFormed && attr.value === "") {
                    throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  result += " xmlns:" + candidatePrefix + '="' + this._serializeAttributeValue(attributeNamespace, requireWellFormed) + '"';
                }
              }
              result += " ";
              if (candidatePrefix !== null) {
                result += candidatePrefix + ":";
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_4_1) {
            e_4 = { error: e_4_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_4)
                throw e_4.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_5, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLSerializerImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLSerializerImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            throw new Error("Invalid characters in attribute value.");
          }
          if (value === null)
            return "";
          var result = "";
          for (var i = 0; i < value.length; i++) {
            var c = value[i];
            if (c === '"')
              result += "&quot;";
            else if (c === "&")
              result += "&amp;";
            else if (c === "<")
              result += "&lt;";
            else if (c === ">")
              result += "&gt;";
            else
              result += c;
          }
          return result;
        };
        XMLSerializerImpl2.prototype._serializeElement = function(node, requireWellFormed) {
          var e_6, _a;
          if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            throw new Error("Node local name contains invalid characters (well-formed required).");
          }
          var skipEndTag = false;
          var qualifiedName = node.localName;
          var markup = "<" + qualifiedName;
          markup += this._serializeAttributes(node, requireWellFormed);
          if (node._children.size === 0) {
            markup += "/";
            skipEndTag = true;
          }
          markup += ">";
          if (skipEndTag)
            return markup;
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          markup += "</" + qualifiedName + ">";
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeDocument = function(node, requireWellFormed) {
          var e_7, _a;
          if (requireWellFormed && node.documentElement === null) {
            throw new Error("Missing document element (well-formed required).");
          }
          var serializedDocument = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              serializedDocument += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
          return serializedDocument;
        };
        XMLSerializerImpl2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
          var e_8, _a;
          var markup = "";
          try {
            for (var _b = __values(node._children), _c = _b.next(); !_c.done; _c = _b.next()) {
              var childNode = _c.value;
              markup += this._serializeNode(childNode, requireWellFormed);
            }
          } catch (e_8_1) {
            e_8 = { error: e_8_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_8)
                throw e_8.error;
            }
          }
          return markup;
        };
        XMLSerializerImpl2.prototype._serializeAttributes = function(node, requireWellFormed) {
          var e_9, _a;
          var result = "";
          var localNameSet = requireWellFormed ? {} : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
                throw new Error("Element contains duplicate attributes (well-formed required).");
              }
              if (requireWellFormed && localNameSet)
                localNameSet[attr.localName] = true;
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
                throw new Error("Attribute local name contains invalid characters (well-formed required).");
              }
              result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            }
          } catch (e_9_1) {
            e_9 = { error: e_9_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_9)
                throw e_9.error;
            }
          }
          return result;
        };
        XMLSerializerImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLSerializerImpl2;
      }()
    );
    exports2.XMLSerializerImpl = XMLSerializerImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/index.js
var require_serializer4 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/serializer/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLSerializerImpl_1 = require_XMLSerializerImpl4();
    exports2.XMLSerializer = XMLSerializerImpl_1.XMLSerializerImpl;
  }
});

// ../../components/workflows/node_modules/@oozcitak/dom/lib/index.js
var require_lib21 = __commonJS({
  "../../components/workflows/node_modules/@oozcitak/dom/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom7();
    dom_1.dom.setFeatures(true);
    var dom_2 = require_dom7();
    exports2.DOMImplementation = dom_2.DOMImplementation;
    var parser_1 = require_parser12();
    exports2.DOMParser = parser_1.DOMParser;
    var serializer_1 = require_serializer4();
    exports2.XMLSerializer = serializer_1.XMLSerializer;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/dom.js
var require_dom8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/dom.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_lib21();
    var dom_2 = require_dom7();
    var util_1 = require_lib19();
    dom_2.dom.setFeatures(false);
    function createDocument() {
      var impl = new dom_1.DOMImplementation();
      var doc = impl.createDocument(null, "root", null);
      if (doc.documentElement) {
        doc.removeChild(doc.documentElement);
      }
      return doc;
    }
    exports2.createDocument = createDocument;
    function sanitizeInput(str, replacement) {
      if (str == null) {
        return str;
      } else if (replacement === void 0) {
        return str + "";
      } else {
        var result = "";
        str = str + "";
        for (var i = 0; i < str.length; i++) {
          var n = str.charCodeAt(i);
          if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
            result += str.charAt(i);
          } else if (n >= 55296 && n <= 56319 && i < str.length - 1) {
            var n2 = str.charCodeAt(i + 1);
            if (n2 >= 56320 && n2 <= 57343) {
              n = (n - 55296) * 1024 + n2 - 56320 + 65536;
              result += String.fromCodePoint(n);
              i++;
            } else {
              result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
            }
          } else {
            result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
          }
        }
        return result;
      }
    }
    exports2.sanitizeInput = sanitizeInput;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/BaseReader.js
var require_BaseReader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/BaseReader.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var dom_1 = require_dom8();
    var BaseReader = (
      /** @class */
      function() {
        function BaseReader2(builderOptions) {
          this._builderOptions = builderOptions;
          if (builderOptions.parser) {
            Object.assign(this, builderOptions.parser);
          }
        }
        BaseReader2.prototype._docType = function(parent, name, publicId, systemId) {
          return parent.dtd({ name, pubID: publicId, sysID: systemId });
        };
        BaseReader2.prototype._comment = function(parent, data) {
          return parent.com(data);
        };
        BaseReader2.prototype._text = function(parent, data) {
          return parent.txt(data);
        };
        BaseReader2.prototype._instruction = function(parent, target, data) {
          return parent.ins(target, data);
        };
        BaseReader2.prototype._cdata = function(parent, data) {
          return parent.dat(data);
        };
        BaseReader2.prototype._element = function(parent, namespace, name) {
          return namespace === void 0 ? parent.ele(name) : parent.ele(namespace, name);
        };
        BaseReader2.prototype._attribute = function(parent, namespace, name, value) {
          return namespace === void 0 ? parent.att(name, value) : parent.att(namespace, name, value);
        };
        BaseReader2.prototype._sanitize = function(str) {
          return dom_1.sanitizeInput(str, this._builderOptions.invalidCharReplacement);
        };
        BaseReader2.prototype._decodeText = function(text) {
          if (text == null)
            return text;
          return text.replace(/&(quot|amp|apos|lt|gt);/g, function(_match, tag) {
            return BaseReader2._entityTable[tag];
          }).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g, function(_match, hexStr, numStr) {
            return String.fromCodePoint(parseInt(hexStr || numStr, hexStr ? 16 : 10));
          });
        };
        BaseReader2.prototype._decodeAttributeValue = function(text) {
          return this._decodeText(text);
        };
        BaseReader2.prototype.parse = function(node, obj) {
          return this._parse(node, obj);
        };
        BaseReader2.prototype.docType = function(parent, name, publicId, systemId) {
          return this._docType(parent, name, publicId, systemId);
        };
        BaseReader2.prototype.comment = function(parent, data) {
          return this._comment(parent, data);
        };
        BaseReader2.prototype.text = function(parent, data) {
          return this._text(parent, data);
        };
        BaseReader2.prototype.instruction = function(parent, target, data) {
          return this._instruction(parent, target, data);
        };
        BaseReader2.prototype.cdata = function(parent, data) {
          return this._cdata(parent, data);
        };
        BaseReader2.prototype.element = function(parent, namespace, name) {
          return this._element(parent, namespace, name);
        };
        BaseReader2.prototype.attribute = function(parent, namespace, name, value) {
          return this._attribute(parent, namespace, name, value);
        };
        BaseReader2.prototype.sanitize = function(str) {
          return this._sanitize(str);
        };
        BaseReader2._entityTable = {
          "lt": "<",
          "gt": ">",
          "amp": "&",
          "quot": '"',
          "apos": "'"
        };
        return BaseReader2;
      }()
    );
    exports2.BaseReader = BaseReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/XMLReader.js
var require_XMLReader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/XMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLStringLexer_1 = require_XMLStringLexer4();
    var interfaces_1 = require_interfaces16();
    var interfaces_2 = require_interfaces14();
    var infra_1 = require_lib20();
    var algorithm_1 = require_algorithm4();
    var BaseReader_1 = require_BaseReader4();
    var XMLReader = (
      /** @class */
      function(_super) {
        __extends(XMLReader2, _super);
        function XMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        XMLReader2.prototype._parse = function(node, str) {
          var e_1, _a, e_2, _b;
          var lexer = new XMLStringLexer_1.XMLStringLexer(str, { skipWhitespaceOnlyText: this._builderOptions.skipWhitespaceOnlyText });
          var lastChild = node;
          var context = node;
          var token = lexer.nextToken();
          while (token.type !== interfaces_1.TokenType.EOF) {
            switch (token.type) {
              case interfaces_1.TokenType.Declaration:
                var declaration = token;
                var version = this.sanitize(declaration.version);
                if (version !== "1.0") {
                  throw new Error("Invalid xml version: " + version);
                }
                var builderOptions = {
                  version
                };
                if (declaration.encoding) {
                  builderOptions.encoding = this.sanitize(declaration.encoding);
                }
                if (declaration.standalone) {
                  builderOptions.standalone = this.sanitize(declaration.standalone) === "yes";
                }
                context.set(builderOptions);
                break;
              case interfaces_1.TokenType.DocType:
                var doctype = token;
                context = this.docType(context, this.sanitize(doctype.name), this.sanitize(doctype.pubId), this.sanitize(doctype.sysId)) || context;
                break;
              case interfaces_1.TokenType.CDATA:
                var cdata = token;
                context = this.cdata(context, this.sanitize(cdata.data)) || context;
                break;
              case interfaces_1.TokenType.Comment:
                var comment = token;
                context = this.comment(context, this.sanitize(comment.data)) || context;
                break;
              case interfaces_1.TokenType.PI:
                var pi = token;
                context = this.instruction(context, this.sanitize(pi.target), this.sanitize(pi.data)) || context;
                break;
              case interfaces_1.TokenType.Text:
                if (context.node.nodeType === interfaces_2.NodeType.Document)
                  break;
                var text = token;
                context = this.text(context, this._decodeText(this.sanitize(text.data))) || context;
                break;
              case interfaces_1.TokenType.Element:
                var element = token;
                var elementName = this.sanitize(element.name);
                var _c = __read(algorithm_1.namespace_extractQName(elementName), 1), prefix = _c[0];
                var namespace = context.node.lookupNamespaceURI(prefix);
                var nsDeclarations = {};
                try {
                  for (var _d = (e_1 = void 0, __values(element.attributes)), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    if (attName === "xmlns") {
                      namespace = attValue;
                    } else {
                      var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                      if (attPrefix === "xmlns") {
                        if (attLocalName === prefix) {
                          namespace = attValue;
                        }
                        nsDeclarations[attLocalName] = attValue;
                      }
                    }
                  }
                } catch (e_1_1) {
                  e_1 = { error: e_1_1 };
                } finally {
                  try {
                    if (_e && !_e.done && (_a = _d.return))
                      _a.call(_d);
                  } finally {
                    if (e_1)
                      throw e_1.error;
                  }
                }
                var elementNode = namespace !== null ? this.element(context, namespace, elementName) : this.element(context, void 0, elementName);
                if (elementNode === void 0)
                  break;
                if (context.node === node.node)
                  lastChild = elementNode;
                try {
                  for (var _h = (e_2 = void 0, __values(element.attributes)), _j = _h.next(); !_j.done; _j = _h.next()) {
                    var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                    attName = this.sanitize(attName);
                    attValue = this.sanitize(attValue);
                    var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                    var attNamespace = null;
                    if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                      attNamespace = infra_1.namespace.XMLNS;
                    } else {
                      attNamespace = elementNode.node.lookupNamespaceURI(attPrefix);
                      if (attNamespace !== null && elementNode.node.isDefaultNamespace(attNamespace)) {
                        attNamespace = null;
                      } else if (attNamespace === null && attPrefix !== null) {
                        attNamespace = nsDeclarations[attPrefix] || null;
                      }
                    }
                    if (attNamespace !== null)
                      this.attribute(elementNode, attNamespace, attName, this._decodeAttributeValue(attValue));
                    else
                      this.attribute(elementNode, void 0, attName, this._decodeAttributeValue(attValue));
                  }
                } catch (e_2_1) {
                  e_2 = { error: e_2_1 };
                } finally {
                  try {
                    if (_j && !_j.done && (_b = _h.return))
                      _b.call(_h);
                  } finally {
                    if (e_2)
                      throw e_2.error;
                  }
                }
                if (!element.selfClosing) {
                  context = elementNode;
                }
                break;
              case interfaces_1.TokenType.ClosingTag:
                if (context.node.parentNode) {
                  context = context.up();
                }
                break;
            }
            token = lexer.nextToken();
          }
          return lastChild;
        };
        return XMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.XMLReader = XMLReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/ObjectReader.js
var require_ObjectReader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/ObjectReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var util_1 = require_lib19();
    var BaseReader_1 = require_BaseReader4();
    var ObjectReader = (
      /** @class */
      function(_super) {
        __extends(ObjectReader2, _super);
        function ObjectReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        ObjectReader2.prototype._parse = function(node, obj) {
          var _this = this;
          var options = this._builderOptions;
          var lastChild = null;
          if (util_1.isFunction(obj)) {
            lastChild = this.parse(node, obj.apply(this));
          } else if (util_1.isArray(obj) || util_1.isSet(obj)) {
            util_1.forEachArray(obj, function(item) {
              return lastChild = _this.parse(node, item);
            }, this);
          } else if (util_1.isMap(obj) || util_1.isObject(obj)) {
            util_1.forEachObject(obj, function(key, val) {
              if (util_1.isFunction(val)) {
                val = val.apply(_this);
              }
              if (!options.ignoreConverters && key.indexOf(options.convert.att) === 0) {
                if (key === options.convert.att) {
                  if (util_1.isArray(val) || util_1.isSet(val)) {
                    throw new Error("Invalid attribute: " + val.toString() + ". " + node._debugInfo());
                  } else {
                    util_1.forEachObject(val, function(attrKey, attrVal) {
                      lastChild = _this.attribute(node, void 0, _this.sanitize(attrKey), _this._decodeAttributeValue(_this.sanitize(attrVal))) || lastChild;
                    });
                  }
                } else {
                  lastChild = _this.attribute(node, void 0, _this.sanitize(key.substr(options.convert.att.length)), _this._decodeAttributeValue(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.text) === 0) {
                if (util_1.isMap(val) || util_1.isObject(val)) {
                  lastChild = _this.parse(node, val);
                } else {
                  lastChild = _this.text(node, _this._decodeText(_this.sanitize(val))) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.cdata) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.cdata(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.cdata(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.comment) === 0) {
                if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    return lastChild = _this.comment(node, _this.sanitize(item)) || lastChild;
                  }, _this);
                } else {
                  lastChild = _this.comment(node, _this.sanitize(val)) || lastChild;
                }
              } else if (!options.ignoreConverters && key.indexOf(options.convert.ins) === 0) {
                if (util_1.isString(val)) {
                  var insIndex = val.indexOf(" ");
                  var insTarget = insIndex === -1 ? val : val.substr(0, insIndex);
                  var insValue = insIndex === -1 ? "" : val.substr(insIndex + 1);
                  lastChild = _this.instruction(node, _this.sanitize(insTarget), _this.sanitize(insValue)) || lastChild;
                } else if (util_1.isArray(val) || util_1.isSet(val)) {
                  util_1.forEachArray(val, function(item) {
                    var insIndex2 = item.indexOf(" ");
                    var insTarget2 = insIndex2 === -1 ? item : item.substr(0, insIndex2);
                    var insValue2 = insIndex2 === -1 ? "" : item.substr(insIndex2 + 1);
                    lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                } else {
                  util_1.forEachObject(val, function(insTarget2, insValue2) {
                    return lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
                  }, _this);
                }
              } else if ((util_1.isArray(val) || util_1.isSet(val)) && util_1.isEmpty(val)) {
              } else if ((util_1.isMap(val) || util_1.isObject(val)) && util_1.isEmpty(val)) {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              } else if (!options.keepNullNodes && val == null) {
              } else if (util_1.isArray(val) || util_1.isSet(val)) {
                util_1.forEachArray(val, function(item) {
                  var childNode = {};
                  childNode[key] = item;
                  lastChild = _this.parse(node, childNode);
                }, _this);
              } else if (util_1.isMap(val) || util_1.isObject(val)) {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.parse(parent, val);
                }
              } else if (val != null && val !== "") {
                var parent = _this.element(node, void 0, _this.sanitize(key));
                if (parent) {
                  lastChild = parent;
                  _this.text(parent, _this._decodeText(_this.sanitize(val)));
                }
              } else {
                lastChild = _this.element(node, void 0, _this.sanitize(key)) || lastChild;
              }
            }, this);
          } else if (!options.keepNullNodes && obj == null) {
          } else {
            lastChild = this.text(node, this._decodeText(this.sanitize(obj))) || lastChild;
          }
          return lastChild || node;
        };
        return ObjectReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.ObjectReader = ObjectReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/JSONReader.js
var require_JSONReader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/JSONReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader4();
    var BaseReader_1 = require_BaseReader4();
    var JSONReader = (
      /** @class */
      function(_super) {
        __extends(JSONReader2, _super);
        function JSONReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        JSONReader2.prototype._parse = function(node, str) {
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, JSON.parse(str));
        };
        return JSONReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.JSONReader = JSONReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js
var require_common17 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js"(exports2, module2) {
    "use strict";
    function isNothing(subject) {
      return typeof subject === "undefined" || subject === null;
    }
    function isObject(subject) {
      return typeof subject === "object" && subject !== null;
    }
    function toArray(sequence) {
      if (Array.isArray(sequence))
        return sequence;
      else if (isNothing(sequence))
        return [];
      return [sequence];
    }
    function extend(target, source) {
      var index, length, key, sourceKeys;
      if (source) {
        sourceKeys = Object.keys(source);
        for (index = 0, length = sourceKeys.length; index < length; index += 1) {
          key = sourceKeys[index];
          target[key] = source[key];
        }
      }
      return target;
    }
    function repeat(string, count) {
      var result = "", cycle;
      for (cycle = 0; cycle < count; cycle += 1) {
        result += string;
      }
      return result;
    }
    function isNegativeZero(number) {
      return number === 0 && Number.NEGATIVE_INFINITY === 1 / number;
    }
    module2.exports.isNothing = isNothing;
    module2.exports.isObject = isObject;
    module2.exports.toArray = toArray;
    module2.exports.repeat = repeat;
    module2.exports.isNegativeZero = isNegativeZero;
    module2.exports.extend = extend;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js
var require_exception4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js"(exports2, module2) {
    "use strict";
    function YAMLException(reason, mark) {
      Error.call(this);
      this.name = "YAMLException";
      this.reason = reason;
      this.mark = mark;
      this.message = (this.reason || "(unknown reason)") + (this.mark ? " " + this.mark.toString() : "");
      if (Error.captureStackTrace) {
        Error.captureStackTrace(this, this.constructor);
      } else {
        this.stack = new Error().stack || "";
      }
    }
    YAMLException.prototype = Object.create(Error.prototype);
    YAMLException.prototype.constructor = YAMLException;
    YAMLException.prototype.toString = function toString(compact) {
      var result = this.name + ": ";
      result += this.reason || "(unknown reason)";
      if (!compact && this.mark) {
        result += " " + this.mark.toString();
      }
      return result;
    };
    module2.exports = YAMLException;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js
var require_mark4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    function Mark(name, buffer, position, line, column) {
      this.name = name;
      this.buffer = buffer;
      this.position = position;
      this.line = line;
      this.column = column;
    }
    Mark.prototype.getSnippet = function getSnippet(indent, maxLength) {
      var head, start, tail, end, snippet;
      if (!this.buffer)
        return null;
      indent = indent || 4;
      maxLength = maxLength || 75;
      head = "";
      start = this.position;
      while (start > 0 && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(start - 1)) === -1) {
        start -= 1;
        if (this.position - start > maxLength / 2 - 1) {
          head = " ... ";
          start += 5;
          break;
        }
      }
      tail = "";
      end = this.position;
      while (end < this.buffer.length && "\0\r\n\x85\u2028\u2029".indexOf(this.buffer.charAt(end)) === -1) {
        end += 1;
        if (end - this.position > maxLength / 2 - 1) {
          tail = " ... ";
          end -= 5;
          break;
        }
      }
      snippet = this.buffer.slice(start, end);
      return common.repeat(" ", indent) + head + snippet + tail + "\n" + common.repeat(" ", indent + this.position - start + head.length) + "^";
    };
    Mark.prototype.toString = function toString(compact) {
      var snippet, where = "";
      if (this.name) {
        where += 'in "' + this.name + '" ';
      }
      where += "at line " + (this.line + 1) + ", column " + (this.column + 1);
      if (!compact) {
        snippet = this.getSnippet();
        if (snippet) {
          where += ":\n" + snippet;
        }
      }
      return where;
    };
    module2.exports = Mark;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js
var require_type4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js"(exports2, module2) {
    "use strict";
    var YAMLException = require_exception4();
    var TYPE_CONSTRUCTOR_OPTIONS = [
      "kind",
      "resolve",
      "construct",
      "instanceOf",
      "predicate",
      "represent",
      "defaultStyle",
      "styleAliases"
    ];
    var YAML_NODE_KINDS = [
      "scalar",
      "sequence",
      "mapping"
    ];
    function compileStyleAliases(map) {
      var result = {};
      if (map !== null) {
        Object.keys(map).forEach(function(style) {
          map[style].forEach(function(alias) {
            result[String(alias)] = style;
          });
        });
      }
      return result;
    }
    function Type(tag, options) {
      options = options || {};
      Object.keys(options).forEach(function(name) {
        if (TYPE_CONSTRUCTOR_OPTIONS.indexOf(name) === -1) {
          throw new YAMLException('Unknown option "' + name + '" is met in definition of "' + tag + '" YAML type.');
        }
      });
      this.tag = tag;
      this.kind = options["kind"] || null;
      this.resolve = options["resolve"] || function() {
        return true;
      };
      this.construct = options["construct"] || function(data) {
        return data;
      };
      this.instanceOf = options["instanceOf"] || null;
      this.predicate = options["predicate"] || null;
      this.represent = options["represent"] || null;
      this.defaultStyle = options["defaultStyle"] || null;
      this.styleAliases = compileStyleAliases(options["styleAliases"] || null);
      if (YAML_NODE_KINDS.indexOf(this.kind) === -1) {
        throw new YAMLException('Unknown kind "' + this.kind + '" is specified for "' + tag + '" YAML type.');
      }
    }
    module2.exports = Type;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js
var require_schema16 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    var YAMLException = require_exception4();
    var Type = require_type4();
    function compileList(schema, name, result) {
      var exclude = [];
      schema.include.forEach(function(includedSchema) {
        result = compileList(includedSchema, name, result);
      });
      schema[name].forEach(function(currentType) {
        result.forEach(function(previousType, previousIndex) {
          if (previousType.tag === currentType.tag && previousType.kind === currentType.kind) {
            exclude.push(previousIndex);
          }
        });
        result.push(currentType);
      });
      return result.filter(function(type, index) {
        return exclude.indexOf(index) === -1;
      });
    }
    function compileMap() {
      var result = {
        scalar: {},
        sequence: {},
        mapping: {},
        fallback: {}
      }, index, length;
      function collectType(type) {
        result[type.kind][type.tag] = result["fallback"][type.tag] = type;
      }
      for (index = 0, length = arguments.length; index < length; index += 1) {
        arguments[index].forEach(collectType);
      }
      return result;
    }
    function Schema(definition) {
      this.include = definition.include || [];
      this.implicit = definition.implicit || [];
      this.explicit = definition.explicit || [];
      this.implicit.forEach(function(type) {
        if (type.loadKind && type.loadKind !== "scalar") {
          throw new YAMLException("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.");
        }
      });
      this.compiledImplicit = compileList(this, "implicit", []);
      this.compiledExplicit = compileList(this, "explicit", []);
      this.compiledTypeMap = compileMap(this.compiledImplicit, this.compiledExplicit);
    }
    Schema.DEFAULT = null;
    Schema.create = function createSchema() {
      var schemas, types;
      switch (arguments.length) {
        case 1:
          schemas = Schema.DEFAULT;
          types = arguments[0];
          break;
        case 2:
          schemas = arguments[0];
          types = arguments[1];
          break;
        default:
          throw new YAMLException("Wrong number of arguments for Schema.create function");
      }
      schemas = common.toArray(schemas);
      types = common.toArray(types);
      if (!schemas.every(function(schema) {
        return schema instanceof Schema;
      })) {
        throw new YAMLException("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");
      }
      if (!types.every(function(type) {
        return type instanceof Type;
      })) {
        throw new YAMLException("Specified list of YAML types (or a single Type object) contains a non-Type object.");
      }
      return new Schema({
        include: schemas,
        explicit: types
      });
    };
    module2.exports = Schema;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js
var require_str4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    module2.exports = new Type("tag:yaml.org,2002:str", {
      kind: "scalar",
      construct: function(data) {
        return data !== null ? data : "";
      }
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js
var require_seq8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    module2.exports = new Type("tag:yaml.org,2002:seq", {
      kind: "sequence",
      construct: function(data) {
        return data !== null ? data : [];
      }
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js
var require_map8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    module2.exports = new Type("tag:yaml.org,2002:map", {
      kind: "mapping",
      construct: function(data) {
        return data !== null ? data : {};
      }
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js
var require_failsafe4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema16();
    module2.exports = new Schema({
      explicit: [
        require_str4(),
        require_seq8(),
        require_map8()
      ]
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js
var require_null8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    function resolveYamlNull(data) {
      if (data === null)
        return true;
      var max = data.length;
      return max === 1 && data === "~" || max === 4 && (data === "null" || data === "Null" || data === "NULL");
    }
    function constructYamlNull() {
      return null;
    }
    function isNull(object) {
      return object === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:null", {
      kind: "scalar",
      resolve: resolveYamlNull,
      construct: constructYamlNull,
      predicate: isNull,
      represent: {
        canonical: function() {
          return "~";
        },
        lowercase: function() {
          return "null";
        },
        uppercase: function() {
          return "NULL";
        },
        camelcase: function() {
          return "Null";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js
var require_bool12 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    function resolveYamlBoolean(data) {
      if (data === null)
        return false;
      var max = data.length;
      return max === 4 && (data === "true" || data === "True" || data === "TRUE") || max === 5 && (data === "false" || data === "False" || data === "FALSE");
    }
    function constructYamlBoolean(data) {
      return data === "true" || data === "True" || data === "TRUE";
    }
    function isBoolean(object) {
      return Object.prototype.toString.call(object) === "[object Boolean]";
    }
    module2.exports = new Type("tag:yaml.org,2002:bool", {
      kind: "scalar",
      resolve: resolveYamlBoolean,
      construct: constructYamlBoolean,
      predicate: isBoolean,
      represent: {
        lowercase: function(object) {
          return object ? "true" : "false";
        },
        uppercase: function(object) {
          return object ? "TRUE" : "FALSE";
        },
        camelcase: function(object) {
          return object ? "True" : "False";
        }
      },
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js
var require_int12 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    var Type = require_type4();
    function isHexCode(c) {
      return 48 <= c && c <= 57 || 65 <= c && c <= 70 || 97 <= c && c <= 102;
    }
    function isOctCode(c) {
      return 48 <= c && c <= 55;
    }
    function isDecCode(c) {
      return 48 <= c && c <= 57;
    }
    function resolveYamlInteger(data) {
      if (data === null)
        return false;
      var max = data.length, index = 0, hasDigits = false, ch;
      if (!max)
        return false;
      ch = data[index];
      if (ch === "-" || ch === "+") {
        ch = data[++index];
      }
      if (ch === "0") {
        if (index + 1 === max)
          return true;
        ch = data[++index];
        if (ch === "b") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (ch !== "0" && ch !== "1")
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        if (ch === "x") {
          index++;
          for (; index < max; index++) {
            ch = data[index];
            if (ch === "_")
              continue;
            if (!isHexCode(data.charCodeAt(index)))
              return false;
            hasDigits = true;
          }
          return hasDigits && ch !== "_";
        }
        for (; index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (!isOctCode(data.charCodeAt(index)))
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      if (ch === "_")
        return false;
      for (; index < max; index++) {
        ch = data[index];
        if (ch === "_")
          continue;
        if (ch === ":")
          break;
        if (!isDecCode(data.charCodeAt(index))) {
          return false;
        }
        hasDigits = true;
      }
      if (!hasDigits || ch === "_")
        return false;
      if (ch !== ":")
        return true;
      return /^(:[0-5]?[0-9])+$/.test(data.slice(index));
    }
    function constructYamlInteger(data) {
      var value = data, sign = 1, ch, base, digits = [];
      if (value.indexOf("_") !== -1) {
        value = value.replace(/_/g, "");
      }
      ch = value[0];
      if (ch === "-" || ch === "+") {
        if (ch === "-")
          sign = -1;
        value = value.slice(1);
        ch = value[0];
      }
      if (value === "0")
        return 0;
      if (ch === "0") {
        if (value[1] === "b")
          return sign * parseInt(value.slice(2), 2);
        if (value[1] === "x")
          return sign * parseInt(value, 16);
        return sign * parseInt(value, 8);
      }
      if (value.indexOf(":") !== -1) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseInt(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseInt(value, 10);
    }
    function isInteger2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 === 0 && !common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:int", {
      kind: "scalar",
      resolve: resolveYamlInteger,
      construct: constructYamlInteger,
      predicate: isInteger2,
      represent: {
        binary: function(obj) {
          return obj >= 0 ? "0b" + obj.toString(2) : "-0b" + obj.toString(2).slice(1);
        },
        octal: function(obj) {
          return obj >= 0 ? "0" + obj.toString(8) : "-0" + obj.toString(8).slice(1);
        },
        decimal: function(obj) {
          return obj.toString(10);
        },
        /* eslint-disable max-len */
        hexadecimal: function(obj) {
          return obj >= 0 ? "0x" + obj.toString(16).toUpperCase() : "-0x" + obj.toString(16).toUpperCase().slice(1);
        }
      },
      defaultStyle: "decimal",
      styleAliases: {
        binary: [2, "bin"],
        octal: [8, "oct"],
        decimal: [10, "dec"],
        hexadecimal: [16, "hex"]
      }
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js
var require_float12 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    var Type = require_type4();
    var YAML_FLOAT_PATTERN = new RegExp(
      // 2.5e4, 2.5 and integers
      "^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*|[-+]?\\.(?:inf|Inf|INF)|\\.(?:nan|NaN|NAN))$"
    );
    function resolveYamlFloat(data) {
      if (data === null)
        return false;
      if (!YAML_FLOAT_PATTERN.test(data) || // Quick hack to not allow integers end with `_`
      // Probably should update regexp & check speed
      data[data.length - 1] === "_") {
        return false;
      }
      return true;
    }
    function constructYamlFloat(data) {
      var value, sign, base, digits;
      value = data.replace(/_/g, "").toLowerCase();
      sign = value[0] === "-" ? -1 : 1;
      digits = [];
      if ("+-".indexOf(value[0]) >= 0) {
        value = value.slice(1);
      }
      if (value === ".inf") {
        return sign === 1 ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
      } else if (value === ".nan") {
        return NaN;
      } else if (value.indexOf(":") >= 0) {
        value.split(":").forEach(function(v) {
          digits.unshift(parseFloat(v, 10));
        });
        value = 0;
        base = 1;
        digits.forEach(function(d) {
          value += d * base;
          base *= 60;
        });
        return sign * value;
      }
      return sign * parseFloat(value, 10);
    }
    var SCIENTIFIC_WITHOUT_DOT = /^[-+]?[0-9]+e/;
    function representYamlFloat(object, style) {
      var res;
      if (isNaN(object)) {
        switch (style) {
          case "lowercase":
            return ".nan";
          case "uppercase":
            return ".NAN";
          case "camelcase":
            return ".NaN";
        }
      } else if (Number.POSITIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return ".inf";
          case "uppercase":
            return ".INF";
          case "camelcase":
            return ".Inf";
        }
      } else if (Number.NEGATIVE_INFINITY === object) {
        switch (style) {
          case "lowercase":
            return "-.inf";
          case "uppercase":
            return "-.INF";
          case "camelcase":
            return "-.Inf";
        }
      } else if (common.isNegativeZero(object)) {
        return "-0.0";
      }
      res = object.toString(10);
      return SCIENTIFIC_WITHOUT_DOT.test(res) ? res.replace("e", ".e") : res;
    }
    function isFloat2(object) {
      return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 !== 0 || common.isNegativeZero(object));
    }
    module2.exports = new Type("tag:yaml.org,2002:float", {
      kind: "scalar",
      resolve: resolveYamlFloat,
      construct: constructYamlFloat,
      predicate: isFloat2,
      represent: representYamlFloat,
      defaultStyle: "lowercase"
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js
var require_json8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema16();
    module2.exports = new Schema({
      include: [
        require_failsafe4()
      ],
      implicit: [
        require_null8(),
        require_bool12(),
        require_int12(),
        require_float12()
      ]
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js
var require_core8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema16();
    module2.exports = new Schema({
      include: [
        require_json8()
      ]
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js
var require_timestamp8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    var YAML_DATE_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])$"
    );
    var YAML_TIMESTAMP_REGEXP = new RegExp(
      "^([0-9][0-9][0-9][0-9])-([0-9][0-9]?)-([0-9][0-9]?)(?:[Tt]|[ \\t]+)([0-9][0-9]?):([0-9][0-9]):([0-9][0-9])(?:\\.([0-9]*))?(?:[ \\t]*(Z|([-+])([0-9][0-9]?)(?::([0-9][0-9]))?))?$"
    );
    function resolveYamlTimestamp(data) {
      if (data === null)
        return false;
      if (YAML_DATE_REGEXP.exec(data) !== null)
        return true;
      if (YAML_TIMESTAMP_REGEXP.exec(data) !== null)
        return true;
      return false;
    }
    function constructYamlTimestamp(data) {
      var match, year, month, day, hour, minute, second, fraction = 0, delta = null, tz_hour, tz_minute, date;
      match = YAML_DATE_REGEXP.exec(data);
      if (match === null)
        match = YAML_TIMESTAMP_REGEXP.exec(data);
      if (match === null)
        throw new Error("Date resolve error");
      year = +match[1];
      month = +match[2] - 1;
      day = +match[3];
      if (!match[4]) {
        return new Date(Date.UTC(year, month, day));
      }
      hour = +match[4];
      minute = +match[5];
      second = +match[6];
      if (match[7]) {
        fraction = match[7].slice(0, 3);
        while (fraction.length < 3) {
          fraction += "0";
        }
        fraction = +fraction;
      }
      if (match[9]) {
        tz_hour = +match[10];
        tz_minute = +(match[11] || 0);
        delta = (tz_hour * 60 + tz_minute) * 6e4;
        if (match[9] === "-")
          delta = -delta;
      }
      date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));
      if (delta)
        date.setTime(date.getTime() - delta);
      return date;
    }
    function representYamlTimestamp(object) {
      return object.toISOString();
    }
    module2.exports = new Type("tag:yaml.org,2002:timestamp", {
      kind: "scalar",
      resolve: resolveYamlTimestamp,
      construct: constructYamlTimestamp,
      instanceOf: Date,
      represent: representYamlTimestamp
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js
var require_merge4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    function resolveYamlMerge(data) {
      return data === "<<" || data === null;
    }
    module2.exports = new Type("tag:yaml.org,2002:merge", {
      kind: "scalar",
      resolve: resolveYamlMerge
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js
var require_binary8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js"(exports2, module2) {
    "use strict";
    var NodeBuffer;
    try {
      _require = require;
      NodeBuffer = _require("buffer").Buffer;
    } catch (__) {
    }
    var _require;
    var Type = require_type4();
    var BASE64_MAP = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\n\r";
    function resolveYamlBinary(data) {
      if (data === null)
        return false;
      var code, idx, bitlen = 0, max = data.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        code = map.indexOf(data.charAt(idx));
        if (code > 64)
          continue;
        if (code < 0)
          return false;
        bitlen += 6;
      }
      return bitlen % 8 === 0;
    }
    function constructYamlBinary(data) {
      var idx, tailbits, input = data.replace(/[\r\n=]/g, ""), max = input.length, map = BASE64_MAP, bits = 0, result = [];
      for (idx = 0; idx < max; idx++) {
        if (idx % 4 === 0 && idx) {
          result.push(bits >> 16 & 255);
          result.push(bits >> 8 & 255);
          result.push(bits & 255);
        }
        bits = bits << 6 | map.indexOf(input.charAt(idx));
      }
      tailbits = max % 4 * 6;
      if (tailbits === 0) {
        result.push(bits >> 16 & 255);
        result.push(bits >> 8 & 255);
        result.push(bits & 255);
      } else if (tailbits === 18) {
        result.push(bits >> 10 & 255);
        result.push(bits >> 2 & 255);
      } else if (tailbits === 12) {
        result.push(bits >> 4 & 255);
      }
      if (NodeBuffer) {
        return NodeBuffer.from ? NodeBuffer.from(result) : new NodeBuffer(result);
      }
      return result;
    }
    function representYamlBinary(object) {
      var result = "", bits = 0, idx, tail, max = object.length, map = BASE64_MAP;
      for (idx = 0; idx < max; idx++) {
        if (idx % 3 === 0 && idx) {
          result += map[bits >> 18 & 63];
          result += map[bits >> 12 & 63];
          result += map[bits >> 6 & 63];
          result += map[bits & 63];
        }
        bits = (bits << 8) + object[idx];
      }
      tail = max % 3;
      if (tail === 0) {
        result += map[bits >> 18 & 63];
        result += map[bits >> 12 & 63];
        result += map[bits >> 6 & 63];
        result += map[bits & 63];
      } else if (tail === 2) {
        result += map[bits >> 10 & 63];
        result += map[bits >> 4 & 63];
        result += map[bits << 2 & 63];
        result += map[64];
      } else if (tail === 1) {
        result += map[bits >> 2 & 63];
        result += map[bits << 4 & 63];
        result += map[64];
        result += map[64];
      }
      return result;
    }
    function isBinary(object) {
      return NodeBuffer && NodeBuffer.isBuffer(object);
    }
    module2.exports = new Type("tag:yaml.org,2002:binary", {
      kind: "scalar",
      resolve: resolveYamlBinary,
      construct: constructYamlBinary,
      predicate: isBinary,
      represent: representYamlBinary
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js
var require_omap8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var _toString = Object.prototype.toString;
    function resolveYamlOmap(data) {
      if (data === null)
        return true;
      var objectKeys = [], index, length, pair, pairKey, pairHasKey, object = data;
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        pairHasKey = false;
        if (_toString.call(pair) !== "[object Object]")
          return false;
        for (pairKey in pair) {
          if (_hasOwnProperty.call(pair, pairKey)) {
            if (!pairHasKey)
              pairHasKey = true;
            else
              return false;
          }
        }
        if (!pairHasKey)
          return false;
        if (objectKeys.indexOf(pairKey) === -1)
          objectKeys.push(pairKey);
        else
          return false;
      }
      return true;
    }
    function constructYamlOmap(data) {
      return data !== null ? data : [];
    }
    module2.exports = new Type("tag:yaml.org,2002:omap", {
      kind: "sequence",
      resolve: resolveYamlOmap,
      construct: constructYamlOmap
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js
var require_pairs8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    var _toString = Object.prototype.toString;
    function resolveYamlPairs(data) {
      if (data === null)
        return true;
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        if (_toString.call(pair) !== "[object Object]")
          return false;
        keys = Object.keys(pair);
        if (keys.length !== 1)
          return false;
        result[index] = [keys[0], pair[keys[0]]];
      }
      return true;
    }
    function constructYamlPairs(data) {
      if (data === null)
        return [];
      var index, length, pair, keys, result, object = data;
      result = new Array(object.length);
      for (index = 0, length = object.length; index < length; index += 1) {
        pair = object[index];
        keys = Object.keys(pair);
        result[index] = [keys[0], pair[keys[0]]];
      }
      return result;
    }
    module2.exports = new Type("tag:yaml.org,2002:pairs", {
      kind: "sequence",
      resolve: resolveYamlPairs,
      construct: constructYamlPairs
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js
var require_set8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    function resolveYamlSet(data) {
      if (data === null)
        return true;
      var key, object = data;
      for (key in object) {
        if (_hasOwnProperty.call(object, key)) {
          if (object[key] !== null)
            return false;
        }
      }
      return true;
    }
    function constructYamlSet(data) {
      return data !== null ? data : {};
    }
    module2.exports = new Type("tag:yaml.org,2002:set", {
      kind: "mapping",
      resolve: resolveYamlSet,
      construct: constructYamlSet
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js
var require_default_safe4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema16();
    module2.exports = new Schema({
      include: [
        require_core8()
      ],
      implicit: [
        require_timestamp8(),
        require_merge4()
      ],
      explicit: [
        require_binary8(),
        require_omap8(),
        require_pairs8(),
        require_set8()
      ]
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js
var require_undefined4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    function resolveJavascriptUndefined() {
      return true;
    }
    function constructJavascriptUndefined() {
      return void 0;
    }
    function representJavascriptUndefined() {
      return "";
    }
    function isUndefined(object) {
      return typeof object === "undefined";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/undefined", {
      kind: "scalar",
      resolve: resolveJavascriptUndefined,
      construct: constructJavascriptUndefined,
      predicate: isUndefined,
      represent: representJavascriptUndefined
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js
var require_regexp4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js"(exports2, module2) {
    "use strict";
    var Type = require_type4();
    function resolveJavascriptRegExp(data) {
      if (data === null)
        return false;
      if (data.length === 0)
        return false;
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        if (modifiers.length > 3)
          return false;
        if (regexp[regexp.length - modifiers.length - 1] !== "/")
          return false;
      }
      return true;
    }
    function constructJavascriptRegExp(data) {
      var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
      if (regexp[0] === "/") {
        if (tail)
          modifiers = tail[1];
        regexp = regexp.slice(1, regexp.length - modifiers.length - 1);
      }
      return new RegExp(regexp, modifiers);
    }
    function representJavascriptRegExp(object) {
      var result = "/" + object.source + "/";
      if (object.global)
        result += "g";
      if (object.multiline)
        result += "m";
      if (object.ignoreCase)
        result += "i";
      return result;
    }
    function isRegExp(object) {
      return Object.prototype.toString.call(object) === "[object RegExp]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/regexp", {
      kind: "scalar",
      resolve: resolveJavascriptRegExp,
      construct: constructJavascriptRegExp,
      predicate: isRegExp,
      represent: representJavascriptRegExp
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js
var require_function4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js"(exports2, module2) {
    "use strict";
    var esprima;
    try {
      _require = require;
      esprima = _require("esprima");
    } catch (_) {
      if (typeof window !== "undefined")
        esprima = window.esprima;
    }
    var _require;
    var Type = require_type4();
    function resolveJavascriptFunction(data) {
      if (data === null)
        return false;
      try {
        var source = "(" + data + ")", ast = esprima.parse(source, { range: true });
        if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
          return false;
        }
        return true;
      } catch (err) {
        return false;
      }
    }
    function constructJavascriptFunction(data) {
      var source = "(" + data + ")", ast = esprima.parse(source, { range: true }), params = [], body;
      if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
        throw new Error("Failed to resolve function");
      }
      ast.body[0].expression.params.forEach(function(param) {
        params.push(param.name);
      });
      body = ast.body[0].expression.body.range;
      if (ast.body[0].expression.body.type === "BlockStatement") {
        return new Function(params, source.slice(body[0] + 1, body[1] - 1));
      }
      return new Function(params, "return " + source.slice(body[0], body[1]));
    }
    function representJavascriptFunction(object) {
      return object.toString();
    }
    function isFunction(object) {
      return Object.prototype.toString.call(object) === "[object Function]";
    }
    module2.exports = new Type("tag:yaml.org,2002:js/function", {
      kind: "scalar",
      resolve: resolveJavascriptFunction,
      construct: constructJavascriptFunction,
      predicate: isFunction,
      represent: representJavascriptFunction
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js
var require_default_full4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js"(exports2, module2) {
    "use strict";
    var Schema = require_schema16();
    module2.exports = Schema.DEFAULT = new Schema({
      include: [
        require_default_safe4()
      ],
      explicit: [
        require_undefined4(),
        require_regexp4(),
        require_function4()
      ]
    });
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js
var require_loader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    var YAMLException = require_exception4();
    var Mark = require_mark4();
    var DEFAULT_SAFE_SCHEMA = require_default_safe4();
    var DEFAULT_FULL_SCHEMA = require_default_full4();
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CONTEXT_FLOW_IN = 1;
    var CONTEXT_FLOW_OUT = 2;
    var CONTEXT_BLOCK_IN = 3;
    var CONTEXT_BLOCK_OUT = 4;
    var CHOMPING_CLIP = 1;
    var CHOMPING_STRIP = 2;
    var CHOMPING_KEEP = 3;
    var PATTERN_NON_PRINTABLE = /[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
    var PATTERN_NON_ASCII_LINE_BREAKS = /[\x85\u2028\u2029]/;
    var PATTERN_FLOW_INDICATORS = /[,\[\]\{\}]/;
    var PATTERN_TAG_HANDLE = /^(?:!|!!|![a-z\-]+!)$/i;
    var PATTERN_TAG_URI = /^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;
    function _class(obj) {
      return Object.prototype.toString.call(obj);
    }
    function is_EOL(c) {
      return c === 10 || c === 13;
    }
    function is_WHITE_SPACE(c) {
      return c === 9 || c === 32;
    }
    function is_WS_OR_EOL(c) {
      return c === 9 || c === 32 || c === 10 || c === 13;
    }
    function is_FLOW_INDICATOR(c) {
      return c === 44 || c === 91 || c === 93 || c === 123 || c === 125;
    }
    function fromHexCode(c) {
      var lc;
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      lc = c | 32;
      if (97 <= lc && lc <= 102) {
        return lc - 97 + 10;
      }
      return -1;
    }
    function escapedHexLen(c) {
      if (c === 120) {
        return 2;
      }
      if (c === 117) {
        return 4;
      }
      if (c === 85) {
        return 8;
      }
      return 0;
    }
    function fromDecimalCode(c) {
      if (48 <= c && c <= 57) {
        return c - 48;
      }
      return -1;
    }
    function simpleEscapeSequence(c) {
      return c === 48 ? "\0" : c === 97 ? "\x07" : c === 98 ? "\b" : c === 116 ? "	" : c === 9 ? "	" : c === 110 ? "\n" : c === 118 ? "\v" : c === 102 ? "\f" : c === 114 ? "\r" : c === 101 ? "\x1B" : c === 32 ? " " : c === 34 ? '"' : c === 47 ? "/" : c === 92 ? "\\" : c === 78 ? "\x85" : c === 95 ? "\xA0" : c === 76 ? "\u2028" : c === 80 ? "\u2029" : "";
    }
    function charFromCodepoint(c) {
      if (c <= 65535) {
        return String.fromCharCode(c);
      }
      return String.fromCharCode(
        (c - 65536 >> 10) + 55296,
        (c - 65536 & 1023) + 56320
      );
    }
    var simpleEscapeCheck = new Array(256);
    var simpleEscapeMap = new Array(256);
    for (i = 0; i < 256; i++) {
      simpleEscapeCheck[i] = simpleEscapeSequence(i) ? 1 : 0;
      simpleEscapeMap[i] = simpleEscapeSequence(i);
    }
    var i;
    function State(input, options) {
      this.input = input;
      this.filename = options["filename"] || null;
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.onWarning = options["onWarning"] || null;
      this.legacy = options["legacy"] || false;
      this.json = options["json"] || false;
      this.listener = options["listener"] || null;
      this.implicitTypes = this.schema.compiledImplicit;
      this.typeMap = this.schema.compiledTypeMap;
      this.length = input.length;
      this.position = 0;
      this.line = 0;
      this.lineStart = 0;
      this.lineIndent = 0;
      this.documents = [];
    }
    function generateError(state, message) {
      return new YAMLException(
        message,
        new Mark(state.filename, state.input, state.position, state.line, state.position - state.lineStart)
      );
    }
    function throwError(state, message) {
      throw generateError(state, message);
    }
    function throwWarning(state, message) {
      if (state.onWarning) {
        state.onWarning.call(null, generateError(state, message));
      }
    }
    var directiveHandlers = {
      YAML: function handleYamlDirective(state, name, args) {
        var match, major, minor;
        if (state.version !== null) {
          throwError(state, "duplication of %YAML directive");
        }
        if (args.length !== 1) {
          throwError(state, "YAML directive accepts exactly one argument");
        }
        match = /^([0-9]+)\.([0-9]+)$/.exec(args[0]);
        if (match === null) {
          throwError(state, "ill-formed argument of the YAML directive");
        }
        major = parseInt(match[1], 10);
        minor = parseInt(match[2], 10);
        if (major !== 1) {
          throwError(state, "unacceptable YAML version of the document");
        }
        state.version = args[0];
        state.checkLineBreaks = minor < 2;
        if (minor !== 1 && minor !== 2) {
          throwWarning(state, "unsupported YAML version of the document");
        }
      },
      TAG: function handleTagDirective(state, name, args) {
        var handle, prefix;
        if (args.length !== 2) {
          throwError(state, "TAG directive accepts exactly two arguments");
        }
        handle = args[0];
        prefix = args[1];
        if (!PATTERN_TAG_HANDLE.test(handle)) {
          throwError(state, "ill-formed tag handle (first argument) of the TAG directive");
        }
        if (_hasOwnProperty.call(state.tagMap, handle)) {
          throwError(state, 'there is a previously declared suffix for "' + handle + '" tag handle');
        }
        if (!PATTERN_TAG_URI.test(prefix)) {
          throwError(state, "ill-formed tag prefix (second argument) of the TAG directive");
        }
        state.tagMap[handle] = prefix;
      }
    };
    function captureSegment(state, start, end, checkJson) {
      var _position, _length, _character, _result;
      if (start < end) {
        _result = state.input.slice(start, end);
        if (checkJson) {
          for (_position = 0, _length = _result.length; _position < _length; _position += 1) {
            _character = _result.charCodeAt(_position);
            if (!(_character === 9 || 32 <= _character && _character <= 1114111)) {
              throwError(state, "expected valid JSON character");
            }
          }
        } else if (PATTERN_NON_PRINTABLE.test(_result)) {
          throwError(state, "the stream contains non-printable characters");
        }
        state.result += _result;
      }
    }
    function mergeMappings(state, destination, source, overridableKeys) {
      var sourceKeys, key, index, quantity;
      if (!common.isObject(source)) {
        throwError(state, "cannot merge mappings; the provided source object is unacceptable");
      }
      sourceKeys = Object.keys(source);
      for (index = 0, quantity = sourceKeys.length; index < quantity; index += 1) {
        key = sourceKeys[index];
        if (!_hasOwnProperty.call(destination, key)) {
          destination[key] = source[key];
          overridableKeys[key] = true;
        }
      }
    }
    function storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, startLine, startPos) {
      var index, quantity;
      if (Array.isArray(keyNode)) {
        keyNode = Array.prototype.slice.call(keyNode);
        for (index = 0, quantity = keyNode.length; index < quantity; index += 1) {
          if (Array.isArray(keyNode[index])) {
            throwError(state, "nested arrays are not supported inside keys");
          }
          if (typeof keyNode === "object" && _class(keyNode[index]) === "[object Object]") {
            keyNode[index] = "[object Object]";
          }
        }
      }
      if (typeof keyNode === "object" && _class(keyNode) === "[object Object]") {
        keyNode = "[object Object]";
      }
      keyNode = String(keyNode);
      if (_result === null) {
        _result = {};
      }
      if (keyTag === "tag:yaml.org,2002:merge") {
        if (Array.isArray(valueNode)) {
          for (index = 0, quantity = valueNode.length; index < quantity; index += 1) {
            mergeMappings(state, _result, valueNode[index], overridableKeys);
          }
        } else {
          mergeMappings(state, _result, valueNode, overridableKeys);
        }
      } else {
        if (!state.json && !_hasOwnProperty.call(overridableKeys, keyNode) && _hasOwnProperty.call(_result, keyNode)) {
          state.line = startLine || state.line;
          state.position = startPos || state.position;
          throwError(state, "duplicated mapping key");
        }
        _result[keyNode] = valueNode;
        delete overridableKeys[keyNode];
      }
      return _result;
    }
    function readLineBreak(state) {
      var ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 10) {
        state.position++;
      } else if (ch === 13) {
        state.position++;
        if (state.input.charCodeAt(state.position) === 10) {
          state.position++;
        }
      } else {
        throwError(state, "a line break is expected");
      }
      state.line += 1;
      state.lineStart = state.position;
    }
    function skipSeparationSpace(state, allowComments, checkIndent) {
      var lineBreaks = 0, ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        while (is_WHITE_SPACE(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        if (allowComments && ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (ch !== 10 && ch !== 13 && ch !== 0);
        }
        if (is_EOL(ch)) {
          readLineBreak(state);
          ch = state.input.charCodeAt(state.position);
          lineBreaks++;
          state.lineIndent = 0;
          while (ch === 32) {
            state.lineIndent++;
            ch = state.input.charCodeAt(++state.position);
          }
        } else {
          break;
        }
      }
      if (checkIndent !== -1 && lineBreaks !== 0 && state.lineIndent < checkIndent) {
        throwWarning(state, "deficient indentation");
      }
      return lineBreaks;
    }
    function testDocumentSeparator(state) {
      var _position = state.position, ch;
      ch = state.input.charCodeAt(_position);
      if ((ch === 45 || ch === 46) && ch === state.input.charCodeAt(_position + 1) && ch === state.input.charCodeAt(_position + 2)) {
        _position += 3;
        ch = state.input.charCodeAt(_position);
        if (ch === 0 || is_WS_OR_EOL(ch)) {
          return true;
        }
      }
      return false;
    }
    function writeFoldedLines(state, count) {
      if (count === 1) {
        state.result += " ";
      } else if (count > 1) {
        state.result += common.repeat("\n", count - 1);
      }
    }
    function readPlainScalar(state, nodeIndent, withinFlowCollection) {
      var preceding, following, captureStart, captureEnd, hasPendingContent, _line, _lineStart, _lineIndent, _kind = state.kind, _result = state.result, ch;
      ch = state.input.charCodeAt(state.position);
      if (is_WS_OR_EOL(ch) || is_FLOW_INDICATOR(ch) || ch === 35 || ch === 38 || ch === 42 || ch === 33 || ch === 124 || ch === 62 || ch === 39 || ch === 34 || ch === 37 || ch === 64 || ch === 96) {
        return false;
      }
      if (ch === 63 || ch === 45) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
          return false;
        }
      }
      state.kind = "scalar";
      state.result = "";
      captureStart = captureEnd = state.position;
      hasPendingContent = false;
      while (ch !== 0) {
        if (ch === 58) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
            break;
          }
        } else if (ch === 35) {
          preceding = state.input.charCodeAt(state.position - 1);
          if (is_WS_OR_EOL(preceding)) {
            break;
          }
        } else if (state.position === state.lineStart && testDocumentSeparator(state) || withinFlowCollection && is_FLOW_INDICATOR(ch)) {
          break;
        } else if (is_EOL(ch)) {
          _line = state.line;
          _lineStart = state.lineStart;
          _lineIndent = state.lineIndent;
          skipSeparationSpace(state, false, -1);
          if (state.lineIndent >= nodeIndent) {
            hasPendingContent = true;
            ch = state.input.charCodeAt(state.position);
            continue;
          } else {
            state.position = captureEnd;
            state.line = _line;
            state.lineStart = _lineStart;
            state.lineIndent = _lineIndent;
            break;
          }
        }
        if (hasPendingContent) {
          captureSegment(state, captureStart, captureEnd, false);
          writeFoldedLines(state, state.line - _line);
          captureStart = captureEnd = state.position;
          hasPendingContent = false;
        }
        if (!is_WHITE_SPACE(ch)) {
          captureEnd = state.position + 1;
        }
        ch = state.input.charCodeAt(++state.position);
      }
      captureSegment(state, captureStart, captureEnd, false);
      if (state.result) {
        return true;
      }
      state.kind = _kind;
      state.result = _result;
      return false;
    }
    function readSingleQuotedScalar(state, nodeIndent) {
      var ch, captureStart, captureEnd;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 39) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 39) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (ch === 39) {
            captureStart = state.position;
            state.position++;
            captureEnd = state.position;
          } else {
            return true;
          }
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a single quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a single quoted scalar");
    }
    function readDoubleQuotedScalar(state, nodeIndent) {
      var captureStart, captureEnd, hexLength, hexResult, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 34) {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      state.position++;
      captureStart = captureEnd = state.position;
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        if (ch === 34) {
          captureSegment(state, captureStart, state.position, true);
          state.position++;
          return true;
        } else if (ch === 92) {
          captureSegment(state, captureStart, state.position, true);
          ch = state.input.charCodeAt(++state.position);
          if (is_EOL(ch)) {
            skipSeparationSpace(state, false, nodeIndent);
          } else if (ch < 256 && simpleEscapeCheck[ch]) {
            state.result += simpleEscapeMap[ch];
            state.position++;
          } else if ((tmp = escapedHexLen(ch)) > 0) {
            hexLength = tmp;
            hexResult = 0;
            for (; hexLength > 0; hexLength--) {
              ch = state.input.charCodeAt(++state.position);
              if ((tmp = fromHexCode(ch)) >= 0) {
                hexResult = (hexResult << 4) + tmp;
              } else {
                throwError(state, "expected hexadecimal character");
              }
            }
            state.result += charFromCodepoint(hexResult);
            state.position++;
          } else {
            throwError(state, "unknown escape sequence");
          }
          captureStart = captureEnd = state.position;
        } else if (is_EOL(ch)) {
          captureSegment(state, captureStart, captureEnd, true);
          writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
          captureStart = captureEnd = state.position;
        } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
          throwError(state, "unexpected end of the document within a double quoted scalar");
        } else {
          state.position++;
          captureEnd = state.position;
        }
      }
      throwError(state, "unexpected end of the stream within a double quoted scalar");
    }
    function readFlowCollection(state, nodeIndent) {
      var readNext = true, _line, _tag = state.tag, _result, _anchor = state.anchor, following, terminator, isPair, isExplicitPair, isMapping, overridableKeys = {}, keyNode, keyTag, valueNode, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 91) {
        terminator = 93;
        isMapping = false;
        _result = [];
      } else if (ch === 123) {
        terminator = 125;
        isMapping = true;
        _result = {};
      } else {
        return false;
      }
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(++state.position);
      while (ch !== 0) {
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === terminator) {
          state.position++;
          state.tag = _tag;
          state.anchor = _anchor;
          state.kind = isMapping ? "mapping" : "sequence";
          state.result = _result;
          return true;
        } else if (!readNext) {
          throwError(state, "missed comma between flow collection entries");
        }
        keyTag = keyNode = valueNode = null;
        isPair = isExplicitPair = false;
        if (ch === 63) {
          following = state.input.charCodeAt(state.position + 1);
          if (is_WS_OR_EOL(following)) {
            isPair = isExplicitPair = true;
            state.position++;
            skipSeparationSpace(state, true, nodeIndent);
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
        keyTag = state.tag;
        keyNode = state.result;
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if ((isExplicitPair || state.line === _line) && ch === 58) {
          isPair = true;
          ch = state.input.charCodeAt(++state.position);
          skipSeparationSpace(state, true, nodeIndent);
          composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
          valueNode = state.result;
        }
        if (isMapping) {
          storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode);
        } else if (isPair) {
          _result.push(storeMappingPair(state, null, overridableKeys, keyTag, keyNode, valueNode));
        } else {
          _result.push(keyNode);
        }
        skipSeparationSpace(state, true, nodeIndent);
        ch = state.input.charCodeAt(state.position);
        if (ch === 44) {
          readNext = true;
          ch = state.input.charCodeAt(++state.position);
        } else {
          readNext = false;
        }
      }
      throwError(state, "unexpected end of the stream within a flow collection");
    }
    function readBlockScalar(state, nodeIndent) {
      var captureStart, folding, chomping = CHOMPING_CLIP, didReadContent = false, detectedIndent = false, textIndent = nodeIndent, emptyLines = 0, atMoreIndented = false, tmp, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch === 124) {
        folding = false;
      } else if (ch === 62) {
        folding = true;
      } else {
        return false;
      }
      state.kind = "scalar";
      state.result = "";
      while (ch !== 0) {
        ch = state.input.charCodeAt(++state.position);
        if (ch === 43 || ch === 45) {
          if (CHOMPING_CLIP === chomping) {
            chomping = ch === 43 ? CHOMPING_KEEP : CHOMPING_STRIP;
          } else {
            throwError(state, "repeat of a chomping mode identifier");
          }
        } else if ((tmp = fromDecimalCode(ch)) >= 0) {
          if (tmp === 0) {
            throwError(state, "bad explicit indentation width of a block scalar; it cannot be less than one");
          } else if (!detectedIndent) {
            textIndent = nodeIndent + tmp - 1;
            detectedIndent = true;
          } else {
            throwError(state, "repeat of an indentation width identifier");
          }
        } else {
          break;
        }
      }
      if (is_WHITE_SPACE(ch)) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (is_WHITE_SPACE(ch));
        if (ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (!is_EOL(ch) && ch !== 0);
        }
      }
      while (ch !== 0) {
        readLineBreak(state);
        state.lineIndent = 0;
        ch = state.input.charCodeAt(state.position);
        while ((!detectedIndent || state.lineIndent < textIndent) && ch === 32) {
          state.lineIndent++;
          ch = state.input.charCodeAt(++state.position);
        }
        if (!detectedIndent && state.lineIndent > textIndent) {
          textIndent = state.lineIndent;
        }
        if (is_EOL(ch)) {
          emptyLines++;
          continue;
        }
        if (state.lineIndent < textIndent) {
          if (chomping === CHOMPING_KEEP) {
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (chomping === CHOMPING_CLIP) {
            if (didReadContent) {
              state.result += "\n";
            }
          }
          break;
        }
        if (folding) {
          if (is_WHITE_SPACE(ch)) {
            atMoreIndented = true;
            state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
          } else if (atMoreIndented) {
            atMoreIndented = false;
            state.result += common.repeat("\n", emptyLines + 1);
          } else if (emptyLines === 0) {
            if (didReadContent) {
              state.result += " ";
            }
          } else {
            state.result += common.repeat("\n", emptyLines);
          }
        } else {
          state.result += common.repeat("\n", didReadContent ? 1 + emptyLines : emptyLines);
        }
        didReadContent = true;
        detectedIndent = true;
        emptyLines = 0;
        captureStart = state.position;
        while (!is_EOL(ch) && ch !== 0) {
          ch = state.input.charCodeAt(++state.position);
        }
        captureSegment(state, captureStart, state.position, false);
      }
      return true;
    }
    function readBlockSequence(state, nodeIndent) {
      var _line, _tag = state.tag, _anchor = state.anchor, _result = [], following, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        if (ch !== 45) {
          break;
        }
        following = state.input.charCodeAt(state.position + 1);
        if (!is_WS_OR_EOL(following)) {
          break;
        }
        detected = true;
        state.position++;
        if (skipSeparationSpace(state, true, -1)) {
          if (state.lineIndent <= nodeIndent) {
            _result.push(null);
            ch = state.input.charCodeAt(state.position);
            continue;
          }
        }
        _line = state.line;
        composeNode(state, nodeIndent, CONTEXT_BLOCK_IN, false, true);
        _result.push(state.result);
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if ((state.line === _line || state.lineIndent > nodeIndent) && ch !== 0) {
          throwError(state, "bad indentation of a sequence entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "sequence";
        state.result = _result;
        return true;
      }
      return false;
    }
    function readBlockMapping(state, nodeIndent, flowIndent) {
      var following, allowCompact, _line, _pos, _tag = state.tag, _anchor = state.anchor, _result = {}, overridableKeys = {}, keyTag = null, keyNode = null, valueNode = null, atExplicitKey = false, detected = false, ch;
      if (state.anchor !== null) {
        state.anchorMap[state.anchor] = _result;
      }
      ch = state.input.charCodeAt(state.position);
      while (ch !== 0) {
        following = state.input.charCodeAt(state.position + 1);
        _line = state.line;
        _pos = state.position;
        if ((ch === 63 || ch === 58) && is_WS_OR_EOL(following)) {
          if (ch === 63) {
            if (atExplicitKey) {
              storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
              keyTag = keyNode = valueNode = null;
            }
            detected = true;
            atExplicitKey = true;
            allowCompact = true;
          } else if (atExplicitKey) {
            atExplicitKey = false;
            allowCompact = true;
          } else {
            throwError(state, "incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line");
          }
          state.position += 1;
          ch = following;
        } else if (composeNode(state, flowIndent, CONTEXT_FLOW_OUT, false, true)) {
          if (state.line === _line) {
            ch = state.input.charCodeAt(state.position);
            while (is_WHITE_SPACE(ch)) {
              ch = state.input.charCodeAt(++state.position);
            }
            if (ch === 58) {
              ch = state.input.charCodeAt(++state.position);
              if (!is_WS_OR_EOL(ch)) {
                throwError(state, "a whitespace character is expected after the key-value separator within a block mapping");
              }
              if (atExplicitKey) {
                storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
                keyTag = keyNode = valueNode = null;
              }
              detected = true;
              atExplicitKey = false;
              allowCompact = false;
              keyTag = state.tag;
              keyNode = state.result;
            } else if (detected) {
              throwError(state, "can not read an implicit mapping pair; a colon is missed");
            } else {
              state.tag = _tag;
              state.anchor = _anchor;
              return true;
            }
          } else if (detected) {
            throwError(state, "can not read a block mapping entry; a multiline key may not be an implicit key");
          } else {
            state.tag = _tag;
            state.anchor = _anchor;
            return true;
          }
        } else {
          break;
        }
        if (state.line === _line || state.lineIndent > nodeIndent) {
          if (composeNode(state, nodeIndent, CONTEXT_BLOCK_OUT, true, allowCompact)) {
            if (atExplicitKey) {
              keyNode = state.result;
            } else {
              valueNode = state.result;
            }
          }
          if (!atExplicitKey) {
            storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, _line, _pos);
            keyTag = keyNode = valueNode = null;
          }
          skipSeparationSpace(state, true, -1);
          ch = state.input.charCodeAt(state.position);
        }
        if (state.lineIndent > nodeIndent && ch !== 0) {
          throwError(state, "bad indentation of a mapping entry");
        } else if (state.lineIndent < nodeIndent) {
          break;
        }
      }
      if (atExplicitKey) {
        storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
      }
      if (detected) {
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = "mapping";
        state.result = _result;
      }
      return detected;
    }
    function readTagProperty(state) {
      var _position, isVerbatim = false, isNamed = false, tagHandle, tagName, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 33)
        return false;
      if (state.tag !== null) {
        throwError(state, "duplication of a tag property");
      }
      ch = state.input.charCodeAt(++state.position);
      if (ch === 60) {
        isVerbatim = true;
        ch = state.input.charCodeAt(++state.position);
      } else if (ch === 33) {
        isNamed = true;
        tagHandle = "!!";
        ch = state.input.charCodeAt(++state.position);
      } else {
        tagHandle = "!";
      }
      _position = state.position;
      if (isVerbatim) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (ch !== 0 && ch !== 62);
        if (state.position < state.length) {
          tagName = state.input.slice(_position, state.position);
          ch = state.input.charCodeAt(++state.position);
        } else {
          throwError(state, "unexpected end of the stream within a verbatim tag");
        }
      } else {
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          if (ch === 33) {
            if (!isNamed) {
              tagHandle = state.input.slice(_position - 1, state.position + 1);
              if (!PATTERN_TAG_HANDLE.test(tagHandle)) {
                throwError(state, "named tag handle cannot contain such characters");
              }
              isNamed = true;
              _position = state.position + 1;
            } else {
              throwError(state, "tag suffix cannot contain exclamation marks");
            }
          }
          ch = state.input.charCodeAt(++state.position);
        }
        tagName = state.input.slice(_position, state.position);
        if (PATTERN_FLOW_INDICATORS.test(tagName)) {
          throwError(state, "tag suffix cannot contain flow indicator characters");
        }
      }
      if (tagName && !PATTERN_TAG_URI.test(tagName)) {
        throwError(state, "tag name cannot contain such characters: " + tagName);
      }
      if (isVerbatim) {
        state.tag = tagName;
      } else if (_hasOwnProperty.call(state.tagMap, tagHandle)) {
        state.tag = state.tagMap[tagHandle] + tagName;
      } else if (tagHandle === "!") {
        state.tag = "!" + tagName;
      } else if (tagHandle === "!!") {
        state.tag = "tag:yaml.org,2002:" + tagName;
      } else {
        throwError(state, 'undeclared tag handle "' + tagHandle + '"');
      }
      return true;
    }
    function readAnchorProperty(state) {
      var _position, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 38)
        return false;
      if (state.anchor !== null) {
        throwError(state, "duplication of an anchor property");
      }
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an anchor node must contain at least one character");
      }
      state.anchor = state.input.slice(_position, state.position);
      return true;
    }
    function readAlias(state) {
      var _position, alias, ch;
      ch = state.input.charCodeAt(state.position);
      if (ch !== 42)
        return false;
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (state.position === _position) {
        throwError(state, "name of an alias node must contain at least one character");
      }
      alias = state.input.slice(_position, state.position);
      if (!_hasOwnProperty.call(state.anchorMap, alias)) {
        throwError(state, 'unidentified alias "' + alias + '"');
      }
      state.result = state.anchorMap[alias];
      skipSeparationSpace(state, true, -1);
      return true;
    }
    function composeNode(state, parentIndent, nodeContext, allowToSeek, allowCompact) {
      var allowBlockStyles, allowBlockScalars, allowBlockCollections, indentStatus = 1, atNewLine = false, hasContent = false, typeIndex, typeQuantity, type, flowIndent, blockIndent;
      if (state.listener !== null) {
        state.listener("open", state);
      }
      state.tag = null;
      state.anchor = null;
      state.kind = null;
      state.result = null;
      allowBlockStyles = allowBlockScalars = allowBlockCollections = CONTEXT_BLOCK_OUT === nodeContext || CONTEXT_BLOCK_IN === nodeContext;
      if (allowToSeek) {
        if (skipSeparationSpace(state, true, -1)) {
          atNewLine = true;
          if (state.lineIndent > parentIndent) {
            indentStatus = 1;
          } else if (state.lineIndent === parentIndent) {
            indentStatus = 0;
          } else if (state.lineIndent < parentIndent) {
            indentStatus = -1;
          }
        }
      }
      if (indentStatus === 1) {
        while (readTagProperty(state) || readAnchorProperty(state)) {
          if (skipSeparationSpace(state, true, -1)) {
            atNewLine = true;
            allowBlockCollections = allowBlockStyles;
            if (state.lineIndent > parentIndent) {
              indentStatus = 1;
            } else if (state.lineIndent === parentIndent) {
              indentStatus = 0;
            } else if (state.lineIndent < parentIndent) {
              indentStatus = -1;
            }
          } else {
            allowBlockCollections = false;
          }
        }
      }
      if (allowBlockCollections) {
        allowBlockCollections = atNewLine || allowCompact;
      }
      if (indentStatus === 1 || CONTEXT_BLOCK_OUT === nodeContext) {
        if (CONTEXT_FLOW_IN === nodeContext || CONTEXT_FLOW_OUT === nodeContext) {
          flowIndent = parentIndent;
        } else {
          flowIndent = parentIndent + 1;
        }
        blockIndent = state.position - state.lineStart;
        if (indentStatus === 1) {
          if (allowBlockCollections && (readBlockSequence(state, blockIndent) || readBlockMapping(state, blockIndent, flowIndent)) || readFlowCollection(state, flowIndent)) {
            hasContent = true;
          } else {
            if (allowBlockScalars && readBlockScalar(state, flowIndent) || readSingleQuotedScalar(state, flowIndent) || readDoubleQuotedScalar(state, flowIndent)) {
              hasContent = true;
            } else if (readAlias(state)) {
              hasContent = true;
              if (state.tag !== null || state.anchor !== null) {
                throwError(state, "alias node should not have any properties");
              }
            } else if (readPlainScalar(state, flowIndent, CONTEXT_FLOW_IN === nodeContext)) {
              hasContent = true;
              if (state.tag === null) {
                state.tag = "?";
              }
            }
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else if (indentStatus === 0) {
          hasContent = allowBlockCollections && readBlockSequence(state, blockIndent);
        }
      }
      if (state.tag !== null && state.tag !== "!") {
        if (state.tag === "?") {
          if (state.result !== null && state.kind !== "scalar") {
            throwError(state, 'unacceptable node kind for !<?> tag; it should be "scalar", not "' + state.kind + '"');
          }
          for (typeIndex = 0, typeQuantity = state.implicitTypes.length; typeIndex < typeQuantity; typeIndex += 1) {
            type = state.implicitTypes[typeIndex];
            if (type.resolve(state.result)) {
              state.result = type.construct(state.result);
              state.tag = type.tag;
              if (state.anchor !== null) {
                state.anchorMap[state.anchor] = state.result;
              }
              break;
            }
          }
        } else if (_hasOwnProperty.call(state.typeMap[state.kind || "fallback"], state.tag)) {
          type = state.typeMap[state.kind || "fallback"][state.tag];
          if (state.result !== null && type.kind !== state.kind) {
            throwError(state, "unacceptable node kind for !<" + state.tag + '> tag; it should be "' + type.kind + '", not "' + state.kind + '"');
          }
          if (!type.resolve(state.result)) {
            throwError(state, "cannot resolve a node with !<" + state.tag + "> explicit tag");
          } else {
            state.result = type.construct(state.result);
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
          }
        } else {
          throwError(state, "unknown tag !<" + state.tag + ">");
        }
      }
      if (state.listener !== null) {
        state.listener("close", state);
      }
      return state.tag !== null || state.anchor !== null || hasContent;
    }
    function readDocument(state) {
      var documentStart = state.position, _position, directiveName, directiveArgs, hasDirectives = false, ch;
      state.version = null;
      state.checkLineBreaks = state.legacy;
      state.tagMap = {};
      state.anchorMap = {};
      while ((ch = state.input.charCodeAt(state.position)) !== 0) {
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
        if (state.lineIndent > 0 || ch !== 37) {
          break;
        }
        hasDirectives = true;
        ch = state.input.charCodeAt(++state.position);
        _position = state.position;
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        directiveName = state.input.slice(_position, state.position);
        directiveArgs = [];
        if (directiveName.length < 1) {
          throwError(state, "directive name must not be less than one character in length");
        }
        while (ch !== 0) {
          while (is_WHITE_SPACE(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          if (ch === 35) {
            do {
              ch = state.input.charCodeAt(++state.position);
            } while (ch !== 0 && !is_EOL(ch));
            break;
          }
          if (is_EOL(ch))
            break;
          _position = state.position;
          while (ch !== 0 && !is_WS_OR_EOL(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          directiveArgs.push(state.input.slice(_position, state.position));
        }
        if (ch !== 0)
          readLineBreak(state);
        if (_hasOwnProperty.call(directiveHandlers, directiveName)) {
          directiveHandlers[directiveName](state, directiveName, directiveArgs);
        } else {
          throwWarning(state, 'unknown document directive "' + directiveName + '"');
        }
      }
      skipSeparationSpace(state, true, -1);
      if (state.lineIndent === 0 && state.input.charCodeAt(state.position) === 45 && state.input.charCodeAt(state.position + 1) === 45 && state.input.charCodeAt(state.position + 2) === 45) {
        state.position += 3;
        skipSeparationSpace(state, true, -1);
      } else if (hasDirectives) {
        throwError(state, "directives end mark is expected");
      }
      composeNode(state, state.lineIndent - 1, CONTEXT_BLOCK_OUT, false, true);
      skipSeparationSpace(state, true, -1);
      if (state.checkLineBreaks && PATTERN_NON_ASCII_LINE_BREAKS.test(state.input.slice(documentStart, state.position))) {
        throwWarning(state, "non-ASCII line breaks are interpreted as content");
      }
      state.documents.push(state.result);
      if (state.position === state.lineStart && testDocumentSeparator(state)) {
        if (state.input.charCodeAt(state.position) === 46) {
          state.position += 3;
          skipSeparationSpace(state, true, -1);
        }
        return;
      }
      if (state.position < state.length - 1) {
        throwError(state, "end of the stream or a document separator is expected");
      } else {
        return;
      }
    }
    function loadDocuments(input, options) {
      input = String(input);
      options = options || {};
      if (input.length !== 0) {
        if (input.charCodeAt(input.length - 1) !== 10 && input.charCodeAt(input.length - 1) !== 13) {
          input += "\n";
        }
        if (input.charCodeAt(0) === 65279) {
          input = input.slice(1);
        }
      }
      var state = new State(input, options);
      var nullpos = input.indexOf("\0");
      if (nullpos !== -1) {
        state.position = nullpos;
        throwError(state, "null byte is not allowed in input");
      }
      state.input += "\0";
      while (state.input.charCodeAt(state.position) === 32) {
        state.lineIndent += 1;
        state.position += 1;
      }
      while (state.position < state.length - 1) {
        readDocument(state);
      }
      return state.documents;
    }
    function loadAll(input, iterator, options) {
      if (iterator !== null && typeof iterator === "object" && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      var documents = loadDocuments(input, options);
      if (typeof iterator !== "function") {
        return documents;
      }
      for (var index = 0, length = documents.length; index < length; index += 1) {
        iterator(documents[index]);
      }
    }
    function load(input, options) {
      var documents = loadDocuments(input, options);
      if (documents.length === 0) {
        return void 0;
      } else if (documents.length === 1) {
        return documents[0];
      }
      throw new YAMLException("expected a single document in the stream, but found more");
    }
    function safeLoadAll(input, iterator, options) {
      if (typeof iterator === "object" && iterator !== null && typeof options === "undefined") {
        options = iterator;
        iterator = null;
      }
      return loadAll(input, iterator, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    function safeLoad(input, options) {
      return load(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.loadAll = loadAll;
    module2.exports.load = load;
    module2.exports.safeLoadAll = safeLoadAll;
    module2.exports.safeLoad = safeLoad;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js
var require_dumper4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js"(exports2, module2) {
    "use strict";
    var common = require_common17();
    var YAMLException = require_exception4();
    var DEFAULT_FULL_SCHEMA = require_default_full4();
    var DEFAULT_SAFE_SCHEMA = require_default_safe4();
    var _toString = Object.prototype.toString;
    var _hasOwnProperty = Object.prototype.hasOwnProperty;
    var CHAR_TAB = 9;
    var CHAR_LINE_FEED = 10;
    var CHAR_CARRIAGE_RETURN = 13;
    var CHAR_SPACE = 32;
    var CHAR_EXCLAMATION = 33;
    var CHAR_DOUBLE_QUOTE = 34;
    var CHAR_SHARP = 35;
    var CHAR_PERCENT = 37;
    var CHAR_AMPERSAND = 38;
    var CHAR_SINGLE_QUOTE = 39;
    var CHAR_ASTERISK = 42;
    var CHAR_COMMA2 = 44;
    var CHAR_MINUS = 45;
    var CHAR_COLON2 = 58;
    var CHAR_EQUALS2 = 61;
    var CHAR_GREATER_THAN = 62;
    var CHAR_QUESTION = 63;
    var CHAR_COMMERCIAL_AT = 64;
    var CHAR_LEFT_SQUARE_BRACKET = 91;
    var CHAR_RIGHT_SQUARE_BRACKET = 93;
    var CHAR_GRAVE_ACCENT = 96;
    var CHAR_LEFT_CURLY_BRACKET = 123;
    var CHAR_VERTICAL_LINE = 124;
    var CHAR_RIGHT_CURLY_BRACKET = 125;
    var ESCAPE_SEQUENCES = {};
    ESCAPE_SEQUENCES[0] = "\\0";
    ESCAPE_SEQUENCES[7] = "\\a";
    ESCAPE_SEQUENCES[8] = "\\b";
    ESCAPE_SEQUENCES[9] = "\\t";
    ESCAPE_SEQUENCES[10] = "\\n";
    ESCAPE_SEQUENCES[11] = "\\v";
    ESCAPE_SEQUENCES[12] = "\\f";
    ESCAPE_SEQUENCES[13] = "\\r";
    ESCAPE_SEQUENCES[27] = "\\e";
    ESCAPE_SEQUENCES[34] = '\\"';
    ESCAPE_SEQUENCES[92] = "\\\\";
    ESCAPE_SEQUENCES[133] = "\\N";
    ESCAPE_SEQUENCES[160] = "\\_";
    ESCAPE_SEQUENCES[8232] = "\\L";
    ESCAPE_SEQUENCES[8233] = "\\P";
    var DEPRECATED_BOOLEANS_SYNTAX = [
      "y",
      "Y",
      "yes",
      "Yes",
      "YES",
      "on",
      "On",
      "ON",
      "n",
      "N",
      "no",
      "No",
      "NO",
      "off",
      "Off",
      "OFF"
    ];
    function compileStyleMap(schema, map) {
      var result, keys, index, length, tag, style, type;
      if (map === null)
        return {};
      result = {};
      keys = Object.keys(map);
      for (index = 0, length = keys.length; index < length; index += 1) {
        tag = keys[index];
        style = String(map[tag]);
        if (tag.slice(0, 2) === "!!") {
          tag = "tag:yaml.org,2002:" + tag.slice(2);
        }
        type = schema.compiledTypeMap["fallback"][tag];
        if (type && _hasOwnProperty.call(type.styleAliases, style)) {
          style = type.styleAliases[style];
        }
        result[tag] = style;
      }
      return result;
    }
    function encodeHex(character) {
      var string, handle, length;
      string = character.toString(16).toUpperCase();
      if (character <= 255) {
        handle = "x";
        length = 2;
      } else if (character <= 65535) {
        handle = "u";
        length = 4;
      } else if (character <= 4294967295) {
        handle = "U";
        length = 8;
      } else {
        throw new YAMLException("code point within a string may not be greater than 0xFFFFFFFF");
      }
      return "\\" + handle + common.repeat("0", length - string.length) + string;
    }
    function State(options) {
      this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
      this.indent = Math.max(1, options["indent"] || 2);
      this.noArrayIndent = options["noArrayIndent"] || false;
      this.skipInvalid = options["skipInvalid"] || false;
      this.flowLevel = common.isNothing(options["flowLevel"]) ? -1 : options["flowLevel"];
      this.styleMap = compileStyleMap(this.schema, options["styles"] || null);
      this.sortKeys = options["sortKeys"] || false;
      this.lineWidth = options["lineWidth"] || 80;
      this.noRefs = options["noRefs"] || false;
      this.noCompatMode = options["noCompatMode"] || false;
      this.condenseFlow = options["condenseFlow"] || false;
      this.implicitTypes = this.schema.compiledImplicit;
      this.explicitTypes = this.schema.compiledExplicit;
      this.tag = null;
      this.result = "";
      this.duplicates = [];
      this.usedDuplicates = null;
    }
    function indentString(string, spaces) {
      var ind = common.repeat(" ", spaces), position = 0, next = -1, result = "", line, length = string.length;
      while (position < length) {
        next = string.indexOf("\n", position);
        if (next === -1) {
          line = string.slice(position);
          position = length;
        } else {
          line = string.slice(position, next + 1);
          position = next + 1;
        }
        if (line.length && line !== "\n")
          result += ind;
        result += line;
      }
      return result;
    }
    function generateNextLine(state, level) {
      return "\n" + common.repeat(" ", state.indent * level);
    }
    function testImplicitResolving(state, str) {
      var index, length, type;
      for (index = 0, length = state.implicitTypes.length; index < length; index += 1) {
        type = state.implicitTypes[index];
        if (type.resolve(str)) {
          return true;
        }
      }
      return false;
    }
    function isWhitespace(c) {
      return c === CHAR_SPACE || c === CHAR_TAB;
    }
    function isPrintable(c) {
      return 32 <= c && c <= 126 || 161 <= c && c <= 55295 && c !== 8232 && c !== 8233 || 57344 <= c && c <= 65533 && c !== 65279 || 65536 <= c && c <= 1114111;
    }
    function isNsChar(c) {
      return isPrintable(c) && !isWhitespace(c) && c !== 65279 && c !== CHAR_CARRIAGE_RETURN && c !== CHAR_LINE_FEED;
    }
    function isPlainSafe(c, prev) {
      return isPrintable(c) && c !== 65279 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_COLON2 && (c !== CHAR_SHARP || prev && isNsChar(prev));
    }
    function isPlainSafeFirst(c) {
      return isPrintable(c) && c !== 65279 && !isWhitespace(c) && c !== CHAR_MINUS && c !== CHAR_QUESTION && c !== CHAR_COLON2 && c !== CHAR_COMMA2 && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_SHARP && c !== CHAR_AMPERSAND && c !== CHAR_ASTERISK && c !== CHAR_EXCLAMATION && c !== CHAR_VERTICAL_LINE && c !== CHAR_EQUALS2 && c !== CHAR_GREATER_THAN && c !== CHAR_SINGLE_QUOTE && c !== CHAR_DOUBLE_QUOTE && c !== CHAR_PERCENT && c !== CHAR_COMMERCIAL_AT && c !== CHAR_GRAVE_ACCENT;
    }
    function needIndentIndicator(string) {
      var leadingSpaceRe = /^\n* /;
      return leadingSpaceRe.test(string);
    }
    var STYLE_PLAIN = 1;
    var STYLE_SINGLE = 2;
    var STYLE_LITERAL = 3;
    var STYLE_FOLDED = 4;
    var STYLE_DOUBLE = 5;
    function chooseScalarStyle(string, singleLineOnly, indentPerLevel, lineWidth, testAmbiguousType) {
      var i;
      var char, prev_char;
      var hasLineBreak = false;
      var hasFoldableLine = false;
      var shouldTrackWidth = lineWidth !== -1;
      var previousLineBreak = -1;
      var plain = isPlainSafeFirst(string.charCodeAt(0)) && !isWhitespace(string.charCodeAt(string.length - 1));
      if (singleLineOnly) {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
      } else {
        for (i = 0; i < string.length; i++) {
          char = string.charCodeAt(i);
          if (char === CHAR_LINE_FEED) {
            hasLineBreak = true;
            if (shouldTrackWidth) {
              hasFoldableLine = hasFoldableLine || // Foldable line = too long, and not more-indented.
              i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ";
              previousLineBreak = i;
            }
          } else if (!isPrintable(char)) {
            return STYLE_DOUBLE;
          }
          prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
          plain = plain && isPlainSafe(char, prev_char);
        }
        hasFoldableLine = hasFoldableLine || shouldTrackWidth && (i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ");
      }
      if (!hasLineBreak && !hasFoldableLine) {
        return plain && !testAmbiguousType(string) ? STYLE_PLAIN : STYLE_SINGLE;
      }
      if (indentPerLevel > 9 && needIndentIndicator(string)) {
        return STYLE_DOUBLE;
      }
      return hasFoldableLine ? STYLE_FOLDED : STYLE_LITERAL;
    }
    function writeScalar(state, string, level, iskey) {
      state.dump = function() {
        if (string.length === 0) {
          return "''";
        }
        if (!state.noCompatMode && DEPRECATED_BOOLEANS_SYNTAX.indexOf(string) !== -1) {
          return "'" + string + "'";
        }
        var indent = state.indent * Math.max(1, level);
        var lineWidth = state.lineWidth === -1 ? -1 : Math.max(Math.min(state.lineWidth, 40), state.lineWidth - indent);
        var singleLineOnly = iskey || state.flowLevel > -1 && level >= state.flowLevel;
        function testAmbiguity(string2) {
          return testImplicitResolving(state, string2);
        }
        switch (chooseScalarStyle(string, singleLineOnly, state.indent, lineWidth, testAmbiguity)) {
          case STYLE_PLAIN:
            return string;
          case STYLE_SINGLE:
            return "'" + string.replace(/'/g, "''") + "'";
          case STYLE_LITERAL:
            return "|" + blockHeader(string, state.indent) + dropEndingNewline(indentString(string, indent));
          case STYLE_FOLDED:
            return ">" + blockHeader(string, state.indent) + dropEndingNewline(indentString(foldString(string, lineWidth), indent));
          case STYLE_DOUBLE:
            return '"' + escapeString(string, lineWidth) + '"';
          default:
            throw new YAMLException("impossible error: invalid scalar style");
        }
      }();
    }
    function blockHeader(string, indentPerLevel) {
      var indentIndicator = needIndentIndicator(string) ? String(indentPerLevel) : "";
      var clip = string[string.length - 1] === "\n";
      var keep = clip && (string[string.length - 2] === "\n" || string === "\n");
      var chomp = keep ? "+" : clip ? "" : "-";
      return indentIndicator + chomp + "\n";
    }
    function dropEndingNewline(string) {
      return string[string.length - 1] === "\n" ? string.slice(0, -1) : string;
    }
    function foldString(string, width) {
      var lineRe = /(\n+)([^\n]*)/g;
      var result = function() {
        var nextLF = string.indexOf("\n");
        nextLF = nextLF !== -1 ? nextLF : string.length;
        lineRe.lastIndex = nextLF;
        return foldLine(string.slice(0, nextLF), width);
      }();
      var prevMoreIndented = string[0] === "\n" || string[0] === " ";
      var moreIndented;
      var match;
      while (match = lineRe.exec(string)) {
        var prefix = match[1], line = match[2];
        moreIndented = line[0] === " ";
        result += prefix + (!prevMoreIndented && !moreIndented && line !== "" ? "\n" : "") + foldLine(line, width);
        prevMoreIndented = moreIndented;
      }
      return result;
    }
    function foldLine(line, width) {
      if (line === "" || line[0] === " ")
        return line;
      var breakRe = / [^ ]/g;
      var match;
      var start = 0, end, curr = 0, next = 0;
      var result = "";
      while (match = breakRe.exec(line)) {
        next = match.index;
        if (next - start > width) {
          end = curr > start ? curr : next;
          result += "\n" + line.slice(start, end);
          start = end + 1;
        }
        curr = next;
      }
      result += "\n";
      if (line.length - start > width && curr > start) {
        result += line.slice(start, curr) + "\n" + line.slice(curr + 1);
      } else {
        result += line.slice(start);
      }
      return result.slice(1);
    }
    function escapeString(string) {
      var result = "";
      var char, nextChar;
      var escapeSeq;
      for (var i = 0; i < string.length; i++) {
        char = string.charCodeAt(i);
        if (char >= 55296 && char <= 56319) {
          nextChar = string.charCodeAt(i + 1);
          if (nextChar >= 56320 && nextChar <= 57343) {
            result += encodeHex((char - 55296) * 1024 + nextChar - 56320 + 65536);
            i++;
            continue;
          }
        }
        escapeSeq = ESCAPE_SEQUENCES[char];
        result += !escapeSeq && isPrintable(char) ? string[i] : escapeSeq || encodeHex(char);
      }
      return result;
    }
    function writeFlowSequence(state, level, object) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level, object[index], false, false)) {
          if (index !== 0)
            _result += "," + (!state.condenseFlow ? " " : "");
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = "[" + _result + "]";
    }
    function writeBlockSequence(state, level, object, compact) {
      var _result = "", _tag = state.tag, index, length;
      for (index = 0, length = object.length; index < length; index += 1) {
        if (writeNode(state, level + 1, object[index], true, true)) {
          if (!compact || index !== 0) {
            _result += generateNextLine(state, level);
          }
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            _result += "-";
          } else {
            _result += "- ";
          }
          _result += state.dump;
        }
      }
      state.tag = _tag;
      state.dump = _result || "[]";
    }
    function writeFlowMapping(state, level, object) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, pairBuffer;
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (index !== 0)
          pairBuffer += ", ";
        if (state.condenseFlow)
          pairBuffer += '"';
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level, objectKey, false, false)) {
          continue;
        }
        if (state.dump.length > 1024)
          pairBuffer += "? ";
        pairBuffer += state.dump + (state.condenseFlow ? '"' : "") + ":" + (state.condenseFlow ? "" : " ");
        if (!writeNode(state, level, objectValue, false, false)) {
          continue;
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = "{" + _result + "}";
    }
    function writeBlockMapping(state, level, object, compact) {
      var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, explicitPair, pairBuffer;
      if (state.sortKeys === true) {
        objectKeyList.sort();
      } else if (typeof state.sortKeys === "function") {
        objectKeyList.sort(state.sortKeys);
      } else if (state.sortKeys) {
        throw new YAMLException("sortKeys must be a boolean or a function");
      }
      for (index = 0, length = objectKeyList.length; index < length; index += 1) {
        pairBuffer = "";
        if (!compact || index !== 0) {
          pairBuffer += generateNextLine(state, level);
        }
        objectKey = objectKeyList[index];
        objectValue = object[objectKey];
        if (!writeNode(state, level + 1, objectKey, true, true, true)) {
          continue;
        }
        explicitPair = state.tag !== null && state.tag !== "?" || state.dump && state.dump.length > 1024;
        if (explicitPair) {
          if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
            pairBuffer += "?";
          } else {
            pairBuffer += "? ";
          }
        }
        pairBuffer += state.dump;
        if (explicitPair) {
          pairBuffer += generateNextLine(state, level);
        }
        if (!writeNode(state, level + 1, objectValue, true, explicitPair)) {
          continue;
        }
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          pairBuffer += ":";
        } else {
          pairBuffer += ": ";
        }
        pairBuffer += state.dump;
        _result += pairBuffer;
      }
      state.tag = _tag;
      state.dump = _result || "{}";
    }
    function detectType(state, object, explicit) {
      var _result, typeList, index, length, type, style;
      typeList = explicit ? state.explicitTypes : state.implicitTypes;
      for (index = 0, length = typeList.length; index < length; index += 1) {
        type = typeList[index];
        if ((type.instanceOf || type.predicate) && (!type.instanceOf || typeof object === "object" && object instanceof type.instanceOf) && (!type.predicate || type.predicate(object))) {
          state.tag = explicit ? type.tag : "?";
          if (type.represent) {
            style = state.styleMap[type.tag] || type.defaultStyle;
            if (_toString.call(type.represent) === "[object Function]") {
              _result = type.represent(object, style);
            } else if (_hasOwnProperty.call(type.represent, style)) {
              _result = type.represent[style](object, style);
            } else {
              throw new YAMLException("!<" + type.tag + '> tag resolver accepts not "' + style + '" style');
            }
            state.dump = _result;
          }
          return true;
        }
      }
      return false;
    }
    function writeNode(state, level, object, block, compact, iskey) {
      state.tag = null;
      state.dump = object;
      if (!detectType(state, object, false)) {
        detectType(state, object, true);
      }
      var type = _toString.call(state.dump);
      if (block) {
        block = state.flowLevel < 0 || state.flowLevel > level;
      }
      var objectOrArray = type === "[object Object]" || type === "[object Array]", duplicateIndex, duplicate;
      if (objectOrArray) {
        duplicateIndex = state.duplicates.indexOf(object);
        duplicate = duplicateIndex !== -1;
      }
      if (state.tag !== null && state.tag !== "?" || duplicate || state.indent !== 2 && level > 0) {
        compact = false;
      }
      if (duplicate && state.usedDuplicates[duplicateIndex]) {
        state.dump = "*ref_" + duplicateIndex;
      } else {
        if (objectOrArray && duplicate && !state.usedDuplicates[duplicateIndex]) {
          state.usedDuplicates[duplicateIndex] = true;
        }
        if (type === "[object Object]") {
          if (block && Object.keys(state.dump).length !== 0) {
            writeBlockMapping(state, level, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowMapping(state, level, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object Array]") {
          var arrayLevel = state.noArrayIndent && level > 0 ? level - 1 : level;
          if (block && state.dump.length !== 0) {
            writeBlockSequence(state, arrayLevel, state.dump, compact);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + state.dump;
            }
          } else {
            writeFlowSequence(state, arrayLevel, state.dump);
            if (duplicate) {
              state.dump = "&ref_" + duplicateIndex + " " + state.dump;
            }
          }
        } else if (type === "[object String]") {
          if (state.tag !== "?") {
            writeScalar(state, state.dump, level, iskey);
          }
        } else {
          if (state.skipInvalid)
            return false;
          throw new YAMLException("unacceptable kind of an object to dump " + type);
        }
        if (state.tag !== null && state.tag !== "?") {
          state.dump = "!<" + state.tag + "> " + state.dump;
        }
      }
      return true;
    }
    function getDuplicateReferences(object, state) {
      var objects = [], duplicatesIndexes = [], index, length;
      inspectNode(object, objects, duplicatesIndexes);
      for (index = 0, length = duplicatesIndexes.length; index < length; index += 1) {
        state.duplicates.push(objects[duplicatesIndexes[index]]);
      }
      state.usedDuplicates = new Array(length);
    }
    function inspectNode(object, objects, duplicatesIndexes) {
      var objectKeyList, index, length;
      if (object !== null && typeof object === "object") {
        index = objects.indexOf(object);
        if (index !== -1) {
          if (duplicatesIndexes.indexOf(index) === -1) {
            duplicatesIndexes.push(index);
          }
        } else {
          objects.push(object);
          if (Array.isArray(object)) {
            for (index = 0, length = object.length; index < length; index += 1) {
              inspectNode(object[index], objects, duplicatesIndexes);
            }
          } else {
            objectKeyList = Object.keys(object);
            for (index = 0, length = objectKeyList.length; index < length; index += 1) {
              inspectNode(object[objectKeyList[index]], objects, duplicatesIndexes);
            }
          }
        }
      }
    }
    function dump(input, options) {
      options = options || {};
      var state = new State(options);
      if (!state.noRefs)
        getDuplicateReferences(input, state);
      if (writeNode(state, 0, input, true, true))
        return state.dump + "\n";
      return "";
    }
    function safeDump(input, options) {
      return dump(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
    }
    module2.exports.dump = dump;
    module2.exports.safeDump = safeDump;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js
var require_js_yaml7 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js"(exports2, module2) {
    "use strict";
    var loader = require_loader4();
    var dumper = require_dumper4();
    function deprecated(name) {
      return function() {
        throw new Error("Function " + name + " is deprecated and cannot be used.");
      };
    }
    module2.exports.Type = require_type4();
    module2.exports.Schema = require_schema16();
    module2.exports.FAILSAFE_SCHEMA = require_failsafe4();
    module2.exports.JSON_SCHEMA = require_json8();
    module2.exports.CORE_SCHEMA = require_core8();
    module2.exports.DEFAULT_SAFE_SCHEMA = require_default_safe4();
    module2.exports.DEFAULT_FULL_SCHEMA = require_default_full4();
    module2.exports.load = loader.load;
    module2.exports.loadAll = loader.loadAll;
    module2.exports.safeLoad = loader.safeLoad;
    module2.exports.safeLoadAll = loader.safeLoadAll;
    module2.exports.dump = dumper.dump;
    module2.exports.safeDump = dumper.safeDump;
    module2.exports.YAMLException = require_exception4();
    module2.exports.MINIMAL_SCHEMA = require_failsafe4();
    module2.exports.SAFE_SCHEMA = require_default_safe4();
    module2.exports.DEFAULT_SCHEMA = require_default_full4();
    module2.exports.scan = deprecated("scan");
    module2.exports.parse = deprecated("parse");
    module2.exports.compose = deprecated("compose");
    module2.exports.addConstructor = deprecated("addConstructor");
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/index.js
var require_js_yaml8 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/node_modules/js-yaml/index.js"(exports2, module2) {
    "use strict";
    var yaml = require_js_yaml7();
    module2.exports = yaml;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/YAMLReader.js
var require_YAMLReader4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/YAMLReader.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var ObjectReader_1 = require_ObjectReader4();
    var BaseReader_1 = require_BaseReader4();
    var js_yaml_1 = require_js_yaml8();
    var YAMLReader = (
      /** @class */
      function(_super) {
        __extends(YAMLReader2, _super);
        function YAMLReader2() {
          return _super !== null && _super.apply(this, arguments) || this;
        }
        YAMLReader2.prototype._parse = function(node, str) {
          var result = js_yaml_1.safeLoad(str);
          if (result === void 0) {
            throw new Error("Unable to parse YAML document.");
          }
          return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, result);
        };
        return YAMLReader2;
      }(BaseReader_1.BaseReader)
    );
    exports2.YAMLReader = YAMLReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/readers/index.js
var require_readers4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/readers/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLReader_1 = require_XMLReader4();
    exports2.XMLReader = XMLReader_1.XMLReader;
    var ObjectReader_1 = require_ObjectReader4();
    exports2.ObjectReader = ObjectReader_1.ObjectReader;
    var JSONReader_1 = require_JSONReader4();
    exports2.JSONReader = JSONReader_1.JSONReader;
    var YAMLReader_1 = require_YAMLReader4();
    exports2.YAMLReader = YAMLReader_1.YAMLReader;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js
var require_XMLBuilderImpl4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js"(exports2) {
    "use strict";
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces13();
    var util_1 = require_lib19();
    var writers_1 = require_writers4();
    var interfaces_2 = require_interfaces14();
    var util_2 = require_util22();
    var algorithm_1 = require_algorithm4();
    var dom_1 = require_dom8();
    var infra_1 = require_lib20();
    var readers_1 = require_readers4();
    var XMLBuilderImpl = (
      /** @class */
      function() {
        function XMLBuilderImpl2(domNode) {
          this._domNode = domNode;
        }
        Object.defineProperty(XMLBuilderImpl2.prototype, "node", {
          /** @inheritdoc */
          get: function() {
            return this._domNode;
          },
          enumerable: true,
          configurable: true
        });
        Object.defineProperty(XMLBuilderImpl2.prototype, "options", {
          /** @inheritdoc */
          get: function() {
            return this._options;
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype.set = function(options) {
          this._options = util_1.applyDefaults(
            util_1.applyDefaults(this._options, options, true),
            // apply user settings
            interfaces_1.DefaultBuilderOptions
          );
          return this;
        };
        XMLBuilderImpl2.prototype.ele = function(p1, p2, p3) {
          var _a, _b, _c;
          var namespace;
          var name;
          var attributes;
          if (util_1.isObject(p1)) {
            return new readers_1.ObjectReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*</.test(p1)) {
            return new readers_1.XMLReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^\s*[\{\[]/.test(p1)) {
            return new readers_1.JSONReader(this._options).parse(this, p1);
          } else if (p1 !== null && /^(\s*|(#.*)|(%.*))*---/.test(p1)) {
            return new readers_1.YAMLReader(this._options).parse(this, p1);
          }
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2)) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], attributes = _a[2];
          } else if (p1 !== null) {
            _b = __read([void 0, p1, util_1.isObject(p2) ? p2 : void 0], 3), namespace = _b[0], name = _b[1], attributes = _b[2];
          } else {
            throw new Error("Element name cannot be null. " + this._debugInfo());
          }
          if (attributes) {
            attributes = util_1.getValue(attributes);
          }
          _c = __read(this._extractNamespace(dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement), dom_1.sanitizeInput(name, this._options.invalidCharReplacement), true), 2), namespace = _c[0], name = _c[1];
          if (namespace === void 0) {
            var _d = __read(algorithm_1.namespace_extractQName(name), 1), prefix = _d[0];
            namespace = this.node.lookupNamespaceURI(prefix);
          }
          var childNode = namespace !== void 0 && namespace !== null ? this._doc.createElementNS(namespace, name) : this._doc.createElement(name);
          this.node.appendChild(childNode);
          var builder = new XMLBuilderImpl2(childNode);
          var oldDocType = this._doc.doctype;
          if (childNode === this._doc.documentElement && oldDocType !== null) {
            var docType = this._doc.implementation.createDocumentType(this._doc.documentElement.tagName, oldDocType.publicId, oldDocType.systemId);
            this._doc.replaceChild(docType, oldDocType);
          }
          if (attributes && !util_1.isEmpty(attributes)) {
            builder.att(attributes);
          }
          return builder;
        };
        XMLBuilderImpl2.prototype.remove = function() {
          var parent = this.up();
          parent.node.removeChild(this.node);
          return parent;
        };
        XMLBuilderImpl2.prototype.att = function(p1, p2, p3) {
          var _a, _b, _c;
          var _this = this;
          if (util_1.isMap(p1) || util_1.isObject(p1)) {
            util_1.forEachObject(p1, function(attName, attValue) {
              return _this.att(attName, attValue);
            }, this);
            return this;
          }
          if (p1 !== void 0 && p1 !== null)
            p1 = util_1.getValue(p1 + "");
          if (p2 !== void 0 && p2 !== null)
            p2 = util_1.getValue(p2 + "");
          if (p3 !== void 0 && p3 !== null)
            p3 = util_1.getValue(p3 + "");
          var namespace;
          var name;
          var value;
          if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2) && (p3 === null || util_1.isString(p3))) {
            _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], value = _a[2];
          } else if (util_1.isString(p1) && (p2 == null || util_1.isString(p2))) {
            _b = __read([void 0, p1, p2], 3), namespace = _b[0], name = _b[1], value = _b[2];
          } else {
            throw new Error("Attribute name and value not specified. " + this._debugInfo());
          }
          if (this._options.keepNullAttributes && value == null) {
            value = "";
          } else if (value == null) {
            return this;
          }
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be assigned to an element node.");
          }
          var ele = this.node;
          _c = __read(this._extractNamespace(namespace, name, false), 2), namespace = _c[0], name = _c[1];
          name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
          namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
          value = dom_1.sanitizeInput(value, this._options.invalidCharReplacement);
          var _d = __read(algorithm_1.namespace_extractQName(name), 2), prefix = _d[0], localName = _d[1];
          var _e = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 1), elePrefix = _e[0];
          var eleNamespace = null;
          if (prefix === "xmlns") {
            namespace = infra_1.namespace.XMLNS;
            if (ele.namespaceURI === null && elePrefix === localName) {
              eleNamespace = value;
            }
          } else if (prefix === null && localName === "xmlns" && elePrefix === null) {
            namespace = infra_1.namespace.XMLNS;
            eleNamespace = value;
          }
          if (eleNamespace !== null) {
            this._updateNamespace(eleNamespace);
            ele = this.node;
          }
          if (namespace !== void 0) {
            ele.setAttributeNS(namespace, name, value);
          } else {
            ele.setAttribute(name, value);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.removeAtt = function(p1, p2) {
          var _this = this;
          if (!util_2.Guard.isElementNode(this.node)) {
            throw new Error("An attribute can only be removed from an element node.");
          }
          p1 = util_1.getValue(p1);
          if (p2 !== void 0) {
            p2 = util_1.getValue(p2);
          }
          var namespace;
          var name;
          if (p1 !== null && p2 === void 0) {
            name = p1;
          } else if ((p1 === null || util_1.isString(p1)) && p2 !== void 0) {
            namespace = p1;
            name = p2;
          } else {
            throw new Error("Attribute namespace must be a string. " + this._debugInfo());
          }
          if (util_1.isArray(name) || util_1.isSet(name)) {
            util_1.forEachArray(name, function(attName) {
              return namespace === void 0 ? _this.removeAtt(attName) : _this.removeAtt(namespace, attName);
            }, this);
          } else if (namespace !== void 0) {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
            this.node.removeAttributeNS(namespace, name);
          } else {
            name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
            this.node.removeAttribute(name);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.txt = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createTextNode(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.com = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createComment(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.dat = function(content) {
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          var child = this._doc.createCDATASection(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
          this.node.appendChild(child);
          return this;
        };
        XMLBuilderImpl2.prototype.ins = function(target, content) {
          var _this = this;
          if (content === void 0) {
            content = "";
          }
          if (content === null || content === void 0) {
            if (this._options.keepNullNodes) {
              content = "";
            } else {
              return this;
            }
          }
          if (util_1.isArray(target) || util_1.isSet(target)) {
            util_1.forEachArray(target, function(item) {
              item += "";
              var insIndex = item.indexOf(" ");
              var insTarget = insIndex === -1 ? item : item.substr(0, insIndex);
              var insValue = insIndex === -1 ? "" : item.substr(insIndex + 1);
              _this.ins(insTarget, insValue);
            }, this);
          } else if (util_1.isMap(target) || util_1.isObject(target)) {
            util_1.forEachObject(target, function(insTarget, insValue) {
              return _this.ins(insTarget, insValue);
            }, this);
          } else {
            var child = this._doc.createProcessingInstruction(dom_1.sanitizeInput(target, this._options.invalidCharReplacement), dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
            this.node.appendChild(child);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.dec = function(options) {
          this._options.version = options.version || "1.0";
          this._options.encoding = options.encoding;
          this._options.standalone = options.standalone;
          return this;
        };
        XMLBuilderImpl2.prototype.dtd = function(options) {
          var name = dom_1.sanitizeInput(options && options.name || (this._doc.documentElement ? this._doc.documentElement.tagName : "ROOT"), this._options.invalidCharReplacement);
          var pubID = dom_1.sanitizeInput(options && options.pubID || "", this._options.invalidCharReplacement);
          var sysID = dom_1.sanitizeInput(options && options.sysID || "", this._options.invalidCharReplacement);
          if (this._doc.documentElement !== null && name !== this._doc.documentElement.tagName) {
            throw new Error("DocType name does not match document element name.");
          }
          var docType = this._doc.implementation.createDocumentType(name, pubID, sysID);
          if (this._doc.doctype !== null) {
            this._doc.replaceChild(docType, this._doc.doctype);
          } else {
            this._doc.insertBefore(docType, this._doc.documentElement);
          }
          return this;
        };
        XMLBuilderImpl2.prototype.import = function(node) {
          var e_1, _a;
          var hostNode = this._domNode;
          var hostDoc = this._doc;
          var importedNode = node.node;
          if (util_2.Guard.isDocumentNode(importedNode)) {
            var elementNode = importedNode.documentElement;
            if (elementNode === null) {
              throw new Error("Imported document has no document element node. " + this._debugInfo());
            }
            var clone = hostDoc.importNode(elementNode, true);
            hostNode.appendChild(clone);
            var _b = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _b[0];
            var namespace = hostNode.lookupNamespaceURI(prefix);
            new XMLBuilderImpl2(clone)._updateNamespace(namespace);
          } else if (util_2.Guard.isDocumentFragmentNode(importedNode)) {
            try {
              for (var _c = __values(importedNode.childNodes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var childNode = _d.value;
                var clone = hostDoc.importNode(childNode, true);
                hostNode.appendChild(clone);
                if (util_2.Guard.isElementNode(clone)) {
                  var _e = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _e[0];
                  var namespace = hostNode.lookupNamespaceURI(prefix);
                  new XMLBuilderImpl2(clone)._updateNamespace(namespace);
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            var clone = hostDoc.importNode(importedNode, true);
            hostNode.appendChild(clone);
            if (util_2.Guard.isElementNode(clone)) {
              var _f = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _f[0];
              var namespace = hostNode.lookupNamespaceURI(prefix);
              new XMLBuilderImpl2(clone)._updateNamespace(namespace);
            }
          }
          return this;
        };
        XMLBuilderImpl2.prototype.doc = function() {
          if (this._doc._isFragment) {
            var node = this.node;
            while (node && node.nodeType !== interfaces_2.NodeType.DocumentFragment) {
              node = node.parentNode;
            }
            if (node === null) {
              throw new Error("Node has no parent node while searching for document fragment ancestor. " + this._debugInfo());
            }
            return new XMLBuilderImpl2(node);
          } else {
            return new XMLBuilderImpl2(this._doc);
          }
        };
        XMLBuilderImpl2.prototype.root = function() {
          var ele = this._doc.documentElement;
          if (!ele) {
            throw new Error("Document root element is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(ele);
        };
        XMLBuilderImpl2.prototype.up = function() {
          var parent = this._domNode.parentNode;
          if (!parent) {
            throw new Error("Parent node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(parent);
        };
        XMLBuilderImpl2.prototype.prev = function() {
          var node = this._domNode.previousSibling;
          if (!node) {
            throw new Error("Previous sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.next = function() {
          var node = this._domNode.nextSibling;
          if (!node) {
            throw new Error("Next sibling node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.first = function() {
          var node = this._domNode.firstChild;
          if (!node) {
            throw new Error("First child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.last = function() {
          var node = this._domNode.lastChild;
          if (!node) {
            throw new Error("Last child node is null. " + this._debugInfo());
          }
          return new XMLBuilderImpl2(node);
        };
        XMLBuilderImpl2.prototype.each = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var nextResult = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
            callback.call(thisArg, new XMLBuilderImpl2(result[0]), result[1], result[2]);
            result = nextResult;
          }
          return this;
        };
        XMLBuilderImpl2.prototype.map = function(callback, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            return result.push(callback.call(thisArg, node, index, level));
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.reduce = function(callback, initialValue, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var value = initialValue;
          this.each(function(node, index, level) {
            return value = callback.call(thisArg, value, node, index, level);
          }, self2, recursive);
          return value;
        };
        XMLBuilderImpl2.prototype.find = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return builder;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return void 0;
        };
        XMLBuilderImpl2.prototype.filter = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node, index, level) {
            if (predicate.call(thisArg, node, index, level)) {
              result.push(node);
            }
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.every = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (!predicate.call(thisArg, builder, result[1], result[2])) {
              return false;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return true;
        };
        XMLBuilderImpl2.prototype.some = function(predicate, self2, recursive, thisArg) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
          while (result[0]) {
            var builder = new XMLBuilderImpl2(result[0]);
            if (predicate.call(thisArg, builder, result[1], result[2])) {
              return true;
            }
            result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
          }
          return false;
        };
        XMLBuilderImpl2.prototype.toArray = function(self2, recursive) {
          if (self2 === void 0) {
            self2 = false;
          }
          if (recursive === void 0) {
            recursive = false;
          }
          var result = [];
          this.each(function(node) {
            return result.push(node);
          }, self2, recursive);
          return result;
        };
        XMLBuilderImpl2.prototype.toString = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.toObject = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "object";
          }
          return this._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype.end = function(writerOptions) {
          writerOptions = writerOptions || {};
          if (writerOptions.format === void 0) {
            writerOptions.format = "xml";
          }
          return this.doc()._serialize(writerOptions);
        };
        XMLBuilderImpl2.prototype._getFirstDescendantNode = function(root, self2, recursive) {
          if (self2)
            return [this._domNode, 0, 0];
          else if (recursive)
            return this._getNextDescendantNode(root, root, recursive, 0, 0);
          else
            return [this._domNode.firstChild, 0, 1];
        };
        XMLBuilderImpl2.prototype._getNextDescendantNode = function(root, node, recursive, index, level) {
          if (recursive) {
            if (node.firstChild)
              return [node.firstChild, 0, level + 1];
            if (node === root)
              return [null, -1, -1];
            if (node.nextSibling)
              return [node.nextSibling, index + 1, level];
            var parent = node.parentNode;
            while (parent && parent !== root) {
              if (parent.nextSibling)
                return [parent.nextSibling, algorithm_1.tree_index(parent.nextSibling), level - 1];
              parent = parent.parentNode;
              level--;
            }
          } else {
            if (root === node)
              return [node.firstChild, 0, level + 1];
            else
              return [node.nextSibling, index + 1, level];
          }
          return [null, -1, -1];
        };
        XMLBuilderImpl2.prototype._serialize = function(writerOptions) {
          if (writerOptions.format === "xml") {
            var writer = new writers_1.XMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "map") {
            var writer = new writers_1.MapWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "object") {
            var writer = new writers_1.ObjectWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "json") {
            var writer = new writers_1.JSONWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else if (writerOptions.format === "yaml") {
            var writer = new writers_1.YAMLWriter(this._options, writerOptions);
            return writer.serialize(this.node);
          } else {
            throw new Error("Invalid writer format: " + writerOptions.format + ". " + this._debugInfo());
          }
        };
        XMLBuilderImpl2.prototype._extractNamespace = function(namespace, name, ele) {
          var atIndex = name.indexOf("@");
          if (atIndex > 0) {
            if (namespace === void 0)
              namespace = name.slice(atIndex + 1);
            name = name.slice(0, atIndex);
          }
          if (namespace === void 0) {
            namespace = ele ? this._options.defaultNamespace.ele : this._options.defaultNamespace.att;
          } else if (namespace !== null && namespace[0] === "@") {
            var alias = namespace.slice(1);
            namespace = this._options.namespaceAlias[alias];
            if (namespace === void 0) {
              throw new Error("Namespace alias `" + alias + "` is not defined. " + this._debugInfo());
            }
          }
          return [namespace, name];
        };
        XMLBuilderImpl2.prototype._updateNamespace = function(ns) {
          var e_2, _a, e_3, _b;
          var ele = this._domNode;
          if (util_2.Guard.isElementNode(ele) && ns !== null && ele.namespaceURI !== ns) {
            var _c = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 2), elePrefix = _c[0], eleLocalName = _c[1];
            var newEle = algorithm_1.create_element(this._doc, eleLocalName, ns, elePrefix);
            try {
              for (var _d = __values(ele.attributes), _e = _d.next(); !_e.done; _e = _d.next()) {
                var attr = _e.value;
                var attrQName = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                var _f = __read(algorithm_1.namespace_extractQName(attrQName), 1), attrPrefix = _f[0];
                var newAttrNS = attr.namespaceURI;
                if (newAttrNS === null && attrPrefix !== null) {
                  newAttrNS = ele.lookupNamespaceURI(attrPrefix);
                }
                if (newAttrNS === null) {
                  newEle.setAttribute(attrQName, attr.value);
                } else {
                  newEle.setAttributeNS(newAttrNS, attrQName, attr.value);
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            var parent = ele.parentNode;
            if (parent === null) {
              throw new Error("Parent node is null." + this._debugInfo());
            }
            parent.replaceChild(newEle, ele);
            this._domNode = newEle;
            try {
              for (var _g = __values(ele.childNodes), _h = _g.next(); !_h.done; _h = _g.next()) {
                var childNode = _h.value;
                var newChildNode = childNode.cloneNode(true);
                newEle.appendChild(newChildNode);
                if (util_2.Guard.isElementNode(newChildNode)) {
                  var _j = __read(algorithm_1.namespace_extractQName(newChildNode.prefix ? newChildNode.prefix + ":" + newChildNode.localName : newChildNode.localName), 1), newChildNodePrefix = _j[0];
                  var newChildNodeNS = newEle.lookupNamespaceURI(newChildNodePrefix);
                  new XMLBuilderImpl2(newChildNode)._updateNamespace(newChildNodeNS);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_h && !_h.done && (_b = _g.return))
                  _b.call(_g);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_doc", {
          /**
           * Returns the document owning this node.
           */
          get: function() {
            var node = this.node;
            if (util_2.Guard.isDocumentNode(node)) {
              return node;
            } else {
              var docNode = node.ownerDocument;
              if (!docNode)
                throw new Error("Owner document is null. " + this._debugInfo());
              return docNode;
            }
          },
          enumerable: true,
          configurable: true
        });
        XMLBuilderImpl2.prototype._debugInfo = function(name) {
          var node = this.node;
          var parentNode = node.parentNode;
          name = name || node.nodeName;
          var parentName = parentNode ? parentNode.nodeName : "";
          if (!parentName) {
            return "node: <" + name + ">";
          } else {
            return "node: <" + name + ">, parent: <" + parentName + ">";
          }
        };
        Object.defineProperty(XMLBuilderImpl2.prototype, "_options", {
          /**
           * Gets or sets builder options.
           */
          get: function() {
            var doc = this._doc;
            if (doc._xmlBuilderOptions === void 0) {
              throw new Error("Builder options is not set.");
            }
            return doc._xmlBuilderOptions;
          },
          set: function(value) {
            var doc = this._doc;
            doc._xmlBuilderOptions = value;
          },
          enumerable: true,
          configurable: true
        });
        return XMLBuilderImpl2;
      }()
    );
    exports2.XMLBuilderImpl = XMLBuilderImpl;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js
var require_BuilderFunctions4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces13();
    var util_1 = require_lib19();
    var util_2 = require_util22();
    var _1 = require_builder4();
    var dom_1 = require_dom8();
    function builder(p1, p2) {
      var options = formatBuilderOptions(isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var nodes = util_2.Guard.isNode(p1) || util_1.isArray(p1) ? p1 : p2;
      if (nodes === void 0) {
        throw new Error("Invalid arguments.");
      }
      if (util_1.isArray(nodes)) {
        var builders = [];
        for (var i = 0; i < nodes.length; i++) {
          var builder_1 = new _1.XMLBuilderImpl(nodes[i]);
          builder_1.set(options);
          builders.push(builder_1);
        }
        return builders;
      } else {
        var builder_2 = new _1.XMLBuilderImpl(nodes);
        builder_2.set(options);
        return builder_2;
      }
    }
    exports2.builder = builder;
    function create(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options);
      var builder2 = new _1.XMLBuilderImpl(doc);
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.create = create;
    function fragment(p1, p2) {
      var options = formatBuilderOptions(p1 === void 0 || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
      var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
      var doc = dom_1.createDocument();
      setOptions(doc, options, true);
      var builder2 = new _1.XMLBuilderImpl(doc.createDocumentFragment());
      if (contents !== void 0) {
        builder2.ele(contents);
      }
      return builder2;
    }
    exports2.fragment = fragment;
    function convert(p1, p2, p3) {
      var builderOptions;
      var contents;
      var convertOptions;
      if (isXMLBuilderCreateOptions(p1) && p2 !== void 0) {
        builderOptions = p1;
        contents = p2;
        convertOptions = p3;
      } else {
        builderOptions = interfaces_1.DefaultBuilderOptions;
        contents = p1;
        convertOptions = p2 || void 0;
      }
      return create(builderOptions, contents).end(convertOptions);
    }
    exports2.convert = convert;
    function isXMLBuilderCreateOptions(obj) {
      if (!util_1.isPlainObject(obj))
        return false;
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          if (!interfaces_1.XMLBuilderOptionKeys.has(key))
            return false;
        }
      }
      return true;
    }
    function formatBuilderOptions(createOptions) {
      if (createOptions === void 0) {
        createOptions = {};
      }
      var options = util_1.applyDefaults(createOptions, interfaces_1.DefaultBuilderOptions);
      if (options.convert.att.length === 0 || options.convert.ins.length === 0 || options.convert.text.length === 0 || options.convert.cdata.length === 0 || options.convert.comment.length === 0) {
        throw new Error("JS object converter strings cannot be zero length.");
      }
      return options;
    }
    function setOptions(doc, options, isFragment) {
      var docWithSettings = doc;
      docWithSettings._xmlBuilderOptions = options;
      docWithSettings._isFragment = isFragment;
    }
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js
var require_BaseCBWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter = (
      /** @class */
      function() {
        function BaseCBWriter2(builderOptions) {
          this.level = 0;
          this._builderOptions = builderOptions;
          this._writerOptions = builderOptions;
        }
        return BaseCBWriter2;
      }()
    );
    exports2.BaseCBWriter = BaseCBWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js
var require_XMLCBWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter4();
    var XMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(XMLCBWriter2, _super);
        function XMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._lineLength = 0;
          return _this;
        }
        XMLCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        XMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          var markup = this._beginLine() + "<?xml";
          markup += ' version="' + version + '"';
          if (encoding !== void 0) {
            markup += ' encoding="' + encoding + '"';
          }
          if (standalone !== void 0) {
            markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
          }
          markup += "?>";
          return markup;
        };
        XMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          var markup = this._beginLine();
          if (publicId && systemId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
          } else if (publicId) {
            markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
          } else if (systemId) {
            markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
          } else {
            markup += "<!DOCTYPE " + name + ">";
          }
          return markup;
        };
        XMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + "<!--" + data + "-->";
        };
        XMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + data;
        };
        XMLCBWriter2.prototype.instruction = function(target, data) {
          if (data) {
            return this._beginLine() + "<?" + target + " " + data + "?>";
          } else {
            return this._beginLine() + "<?" + target + "?>";
          }
        };
        XMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + "<![CDATA[" + data + "]]>";
        };
        XMLCBWriter2.prototype.openTagBegin = function(name) {
          this._lineLength += 1 + name.length;
          return this._beginLine() + "<" + name;
        };
        XMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (voidElement) {
            return " />";
          } else if (selfClosing) {
            if (this._writerOptions.allowEmptyTags) {
              return "></" + name + ">";
            } else if (this._writerOptions.spaceBeforeSlash) {
              return " />";
            } else {
              return "/>";
            }
          } else {
            return ">";
          }
        };
        XMLCBWriter2.prototype.closeTag = function(name) {
          return this._beginLine() + "</" + name + ">";
        };
        XMLCBWriter2.prototype.attribute = function(name, value) {
          var str = name + '="' + value + '"';
          if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._lineLength + 1 + str.length > this._writerOptions.width) {
            str = this._beginLine() + this._indent(1) + str;
            this._lineLength = str.length;
            return str;
          } else {
            this._lineLength += 1 + str.length;
            return " " + str;
          }
        };
        XMLCBWriter2.prototype.beginElement = function(name) {
        };
        XMLCBWriter2.prototype.endElement = function(name) {
        };
        XMLCBWriter2.prototype._beginLine = function() {
          if (this._writerOptions.prettyPrint) {
            var str = (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level);
            this._lineLength = str.length;
            return str;
          } else {
            return "";
          }
        };
        XMLCBWriter2.prototype._indent = function(level) {
          if (level <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level);
          }
        };
        return XMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.XMLCBWriter = XMLCBWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js
var require_JSONCBWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter4();
    var JSONCBWriter = (
      /** @class */
      function(_super) {
        __extends(JSONCBWriter2, _super);
        function JSONCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._hasChildren = [];
          _this._additionalLevel = 0;
          return _this;
        }
        JSONCBWriter2.prototype.frontMatter = function() {
          return "";
        };
        JSONCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        JSONCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        JSONCBWriter2.prototype.comment = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.comment) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.text = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.text) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.instruction = function(target, data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.ins) + this._sep() + this._val(data ? target + " " + data : target) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.cdata = function(data) {
          return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.cdata) + this._sep() + this._val(data) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.attribute = function(name, value) {
          return this._comma() + this._beginLine(1) + "{" + this._sep() + this._key(this._builderOptions.convert.att + name) + this._sep() + this._val(value) + this._sep() + "}";
        };
        JSONCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._comma() + this._beginLine() + "{" + this._sep() + this._key(name) + this._sep() + "{";
          this._additionalLevel++;
          this.hasData = true;
          str += this._beginLine() + this._key(this._builderOptions.convert.text) + this._sep() + "[";
          this._hasChildren.push(false);
          return str;
        };
        JSONCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            var str = this._sep() + "]";
            this._additionalLevel--;
            str += this._beginLine() + "}" + this._sep() + "}";
            return str;
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype.closeTag = function(name) {
          var str = this._beginLine() + "]";
          this._additionalLevel--;
          str += this._beginLine() + "}" + this._sep() + "}";
          return str;
        };
        JSONCBWriter2.prototype.beginElement = function(name) {
        };
        JSONCBWriter2.prototype.endElement = function(name) {
          this._hasChildren.pop();
        };
        JSONCBWriter2.prototype._beginLine = function(additionalOffset) {
          if (additionalOffset === void 0) {
            additionalOffset = 0;
          }
          if (this._writerOptions.prettyPrint) {
            return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level + additionalOffset);
          } else {
            return "";
          }
        };
        JSONCBWriter2.prototype._indent = function(level) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            return this._writerOptions.indent.repeat(level + this._additionalLevel);
          }
        };
        JSONCBWriter2.prototype._comma = function() {
          var str = this._hasChildren[this._hasChildren.length - 1] ? "," : "";
          if (this._hasChildren.length > 0) {
            this._hasChildren[this._hasChildren.length - 1] = true;
          }
          return str;
        };
        JSONCBWriter2.prototype._sep = function() {
          return this._writerOptions.prettyPrint ? " " : "";
        };
        JSONCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        JSONCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return JSONCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.JSONCBWriter = JSONCBWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js
var require_YAMLCBWriter4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    Object.defineProperty(exports2, "__esModule", { value: true });
    var BaseCBWriter_1 = require_BaseCBWriter4();
    var YAMLCBWriter = (
      /** @class */
      function(_super) {
        __extends(YAMLCBWriter2, _super);
        function YAMLCBWriter2(builderOptions) {
          var _this = _super.call(this, builderOptions) || this;
          _this._rootWritten = false;
          _this._additionalLevel = 0;
          if (builderOptions.indent.length < 2) {
            throw new Error("YAML indententation string must be at least two characters long.");
          }
          if (builderOptions.offset < 0) {
            throw new Error("YAML offset should be zero or a positive number.");
          }
          return _this;
        }
        YAMLCBWriter2.prototype.frontMatter = function() {
          return this._beginLine() + "---";
        };
        YAMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
          return "";
        };
        YAMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
          return "";
        };
        YAMLCBWriter2.prototype.comment = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.comment) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.text = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.text) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.instruction = function(target, data) {
          return this._beginLine() + this._key(this._builderOptions.convert.ins) + " " + this._val(data ? target + " " + data : target);
        };
        YAMLCBWriter2.prototype.cdata = function(data) {
          return this._beginLine() + this._key(this._builderOptions.convert.cdata) + " " + this._val(data);
        };
        YAMLCBWriter2.prototype.attribute = function(name, value) {
          this._additionalLevel++;
          var str = this._beginLine() + this._key(this._builderOptions.convert.att + name) + " " + this._val(value);
          this._additionalLevel--;
          return str;
        };
        YAMLCBWriter2.prototype.openTagBegin = function(name) {
          var str = this._beginLine() + this._key(name);
          if (!this._rootWritten) {
            this._rootWritten = true;
          }
          this.hasData = true;
          this._additionalLevel++;
          str += this._beginLine(true) + this._key(this._builderOptions.convert.text);
          return str;
        };
        YAMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
          if (selfClosing) {
            return " " + this._val("");
          }
          return "";
        };
        YAMLCBWriter2.prototype.closeTag = function(name) {
          this._additionalLevel--;
          return "";
        };
        YAMLCBWriter2.prototype.beginElement = function(name) {
        };
        YAMLCBWriter2.prototype.endElement = function(name) {
        };
        YAMLCBWriter2.prototype._beginLine = function(suppressArray) {
          if (suppressArray === void 0) {
            suppressArray = false;
          }
          return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level, suppressArray);
        };
        YAMLCBWriter2.prototype._indent = function(level, suppressArray) {
          if (level + this._additionalLevel <= 0) {
            return "";
          } else {
            var chars = this._writerOptions.indent.repeat(level + this._additionalLevel);
            if (!suppressArray && this._rootWritten) {
              return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
            }
            return chars;
          }
        };
        YAMLCBWriter2.prototype._key = function(key) {
          return '"' + key + '":';
        };
        YAMLCBWriter2.prototype._val = function(val) {
          return JSON.stringify(val);
        };
        return YAMLCBWriter2;
      }(BaseCBWriter_1.BaseCBWriter)
    );
    exports2.YAMLCBWriter = YAMLCBWriter;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js
var require_XMLBuilderCBImpl4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js"(exports2) {
    "use strict";
    var __extends = exports2 && exports2.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (b2.hasOwnProperty(p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __values = exports2 && exports2.__values || function(o) {
      var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
      if (m)
        return m.call(o);
      if (o && typeof o.length === "number")
        return {
          next: function() {
            if (o && i >= o.length)
              o = void 0;
            return { value: o && o[i++], done: !o };
          }
        };
      throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var __read = exports2 && exports2.__read || function(o, n) {
      var m = typeof Symbol === "function" && o[Symbol.iterator];
      if (!m)
        return o;
      var i = m.call(o), r, ar = [], e;
      try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
          ar.push(r.value);
      } catch (error) {
        e = { error };
      } finally {
        try {
          if (r && !r.done && (m = i["return"]))
            m.call(i);
        } finally {
          if (e)
            throw e.error;
        }
      }
      return ar;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    var interfaces_1 = require_interfaces13();
    var util_1 = require_lib19();
    var BuilderFunctions_1 = require_BuilderFunctions4();
    var algorithm_1 = require_algorithm4();
    var infra_1 = require_lib20();
    var NamespacePrefixMap_1 = require_NamespacePrefixMap4();
    var LocalNameSet_1 = require_LocalNameSet4();
    var util_2 = require_util22();
    var XMLCBWriter_1 = require_XMLCBWriter4();
    var JSONCBWriter_1 = require_JSONCBWriter4();
    var YAMLCBWriter_1 = require_YAMLCBWriter4();
    var events_1 = require("events");
    var XMLBuilderCBImpl = (
      /** @class */
      function(_super) {
        __extends(XMLBuilderCBImpl2, _super);
        function XMLBuilderCBImpl2(options, fragment) {
          if (fragment === void 0) {
            fragment = false;
          }
          var _this = _super.call(this) || this;
          _this._hasDeclaration = false;
          _this._docTypeName = "";
          _this._hasDocumentElement = false;
          _this._currentElementSerialized = false;
          _this._openTags = [];
          _this._ended = false;
          _this._fragment = fragment;
          _this._options = util_1.applyDefaults(options || {}, interfaces_1.DefaultXMLBuilderCBOptions);
          _this._builderOptions = {
            defaultNamespace: _this._options.defaultNamespace,
            namespaceAlias: _this._options.namespaceAlias
          };
          if (_this._options.format === "json") {
            _this._writer = new JSONCBWriter_1.JSONCBWriter(_this._options);
          } else if (_this._options.format === "yaml") {
            _this._writer = new YAMLCBWriter_1.YAMLCBWriter(_this._options);
          } else {
            _this._writer = new XMLCBWriter_1.XMLCBWriter(_this._options);
          }
          if (_this._options.data !== void 0) {
            _this.on("data", _this._options.data);
          }
          if (_this._options.end !== void 0) {
            _this.on("end", _this._options.end);
          }
          if (_this._options.error !== void 0) {
            _this.on("error", _this._options.error);
          }
          _this._prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap();
          _this._prefixMap.set("xml", infra_1.namespace.XML);
          _this._prefixIndex = { value: 1 };
          _this._push(_this._writer.frontMatter());
          return _this;
        }
        XMLBuilderCBImpl2.prototype.ele = function(p1, p2, p3) {
          var e_1, _a;
          if (util_1.isObject(p1) || util_1.isString(p1) && (/^\s*</.test(p1) || /^\s*[\{\[]/.test(p1) || /^(\s*|(#.*)|(%.*))*---/.test(p1))) {
            var frag = BuilderFunctions_1.fragment().set(this._options);
            try {
              frag.ele(p1);
            } catch (err) {
              this.emit("error", err);
              return this;
            }
            try {
              for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
                var node = _c.value;
                this._fromNode(node);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_c && !_c.done && (_a = _b.return))
                  _a.call(_b);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            return this;
          }
          this._serializeOpenTag(true);
          if (!this._fragment && this._hasDocumentElement && this._writer.level === 0) {
            this.emit("error", new Error("Document cannot have multiple document element nodes."));
            return this;
          }
          try {
            this._currentElement = BuilderFunctions_1.fragment(this._builderOptions).ele(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (!this._fragment && !this._hasDocumentElement && this._docTypeName !== "" && this._currentElement.node._qualifiedName !== this._docTypeName) {
            this.emit("error", new Error("Document element name does not match DocType declaration name."));
            return this;
          }
          this._currentElementSerialized = false;
          if (!this._fragment) {
            this._hasDocumentElement = true;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.att = function(p1, p2, p3) {
          if (this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert an attribute node as child of a document node."));
            return this;
          }
          try {
            this._currentElement.att(p1, p2, p3);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.com = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).com(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
            this.emit("error", new Error("Comment data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.comment(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.txt = function(content) {
          if (!this._fragment && this._currentElement === void 0) {
            this.emit("error", new Error("Cannot insert a text node as child of a document node."));
            return this;
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).txt(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", new Error("Text data contains invalid characters (well-formed required)."));
            return this;
          }
          var markup = node.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
          this._push(this._writer.text(markup));
          return this;
        };
        XMLBuilderCBImpl2.prototype.ins = function(target, content) {
          if (content === void 0) {
            content = "";
          }
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).ins(target, content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
            this.emit("error", new Error("Processing instruction target contains invalid characters (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
            this.emit("error", Error("Processing instruction data contains invalid characters (well-formed required)."));
            return this;
          }
          this._push(this._writer.instruction(node.target, node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dat = function(content) {
          this._serializeOpenTag(true);
          var node;
          try {
            node = BuilderFunctions_1.fragment(this._builderOptions).dat(content).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          this._push(this._writer.cdata(node.data));
          return this;
        };
        XMLBuilderCBImpl2.prototype.dec = function(options) {
          if (options === void 0) {
            options = { version: "1.0" };
          }
          if (this._fragment) {
            this.emit("error", Error("Cannot insert an XML declaration into a document fragment."));
            return this;
          }
          if (this._hasDeclaration) {
            this.emit("error", Error("XML declaration is already inserted."));
            return this;
          }
          this._push(this._writer.declaration(options.version || "1.0", options.encoding, options.standalone));
          this._hasDeclaration = true;
          return this;
        };
        XMLBuilderCBImpl2.prototype.dtd = function(options) {
          if (this._fragment) {
            this.emit("error", Error("Cannot insert a DocType declaration into a document fragment."));
            return this;
          }
          if (this._docTypeName !== "") {
            this.emit("error", new Error("DocType declaration is already inserted."));
            return this;
          }
          if (this._hasDocumentElement) {
            this.emit("error", new Error("Cannot insert DocType declaration after document element."));
            return this;
          }
          var node;
          try {
            node = BuilderFunctions_1.create().dtd(options).first().node;
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          if (this._options.wellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
            this.emit("error", new Error("DocType public identifier does not match PubidChar construct (well-formed required)."));
            return this;
          }
          if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
            this.emit("error", new Error("DocType system identifier contains invalid characters (well-formed required)."));
            return this;
          }
          this._docTypeName = options.name;
          this._push(this._writer.docType(options.name, node.publicId, node.systemId));
          return this;
        };
        XMLBuilderCBImpl2.prototype.import = function(node) {
          var e_2, _a;
          var frag = BuilderFunctions_1.fragment().set(this._options);
          try {
            frag.import(node);
          } catch (err) {
            this.emit("error", err);
            return this;
          }
          try {
            for (var _b = __values(frag.node.childNodes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var node_1 = _c.value;
              this._fromNode(node_1);
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          return this;
        };
        XMLBuilderCBImpl2.prototype.up = function() {
          this._serializeOpenTag(false);
          this._serializeCloseTag();
          return this;
        };
        XMLBuilderCBImpl2.prototype.end = function() {
          this._serializeOpenTag(false);
          while (this._openTags.length > 0) {
            this._serializeCloseTag();
          }
          this._push(null);
          return this;
        };
        XMLBuilderCBImpl2.prototype._serializeOpenTag = function(hasChildren) {
          if (this._currentElementSerialized)
            return;
          if (this._currentElement === void 0)
            return;
          var node = this._currentElement.node;
          if (this._options.wellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
            this.emit("error", new Error("Node local name contains invalid characters (well-formed required)."));
            return;
          }
          var qualifiedName = "";
          var ignoreNamespaceDefinitionAttribute = false;
          var map = this._prefixMap.copy();
          var localPrefixesMap = {};
          var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
          var inheritedNS = this._openTags.length === 0 ? null : this._openTags[this._openTags.length - 1][1];
          var ns = node.namespaceURI;
          if (ns === null)
            ns = inheritedNS;
          if (inheritedNS === ns) {
            if (localDefaultNamespace !== null) {
              ignoreNamespaceDefinitionAttribute = true;
            }
            if (ns === infra_1.namespace.XML) {
              qualifiedName = "xml:" + node.localName;
            } else {
              qualifiedName = node.localName;
            }
            this._writer.beginElement(qualifiedName);
            this._push(this._writer.openTagBegin(qualifiedName));
          } else {
            var prefix = node.prefix;
            var candidatePrefix = null;
            if (prefix !== null || ns !== localDefaultNamespace) {
              candidatePrefix = map.get(prefix, ns);
            }
            if (prefix === "xmlns") {
              if (this._options.wellFormed) {
                this.emit("error", new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));
                return;
              }
              candidatePrefix = prefix;
            }
            if (candidatePrefix !== null) {
              qualifiedName = candidatePrefix + ":" + node.localName;
              if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
                inheritedNS = localDefaultNamespace || null;
              }
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            } else if (prefix !== null) {
              if (prefix in localPrefixesMap) {
                prefix = this._generatePrefix(ns, map, this._prefixIndex);
              }
              map.set(prefix, ns);
              qualifiedName += prefix + ":" + node.localName;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns:" + prefix, this._serializeAttributeValue(ns, this._options.wellFormed)));
              if (localDefaultNamespace !== null) {
                inheritedNS = localDefaultNamespace || null;
              }
            } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
              ignoreNamespaceDefinitionAttribute = true;
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
              this._push(this._writer.attribute("xmlns", this._serializeAttributeValue(ns, this._options.wellFormed)));
            } else {
              qualifiedName += node.localName;
              inheritedNS = ns;
              this._writer.beginElement(qualifiedName);
              this._push(this._writer.openTagBegin(qualifiedName));
            }
          }
          this._serializeAttributes(node, map, this._prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, this._options.wellFormed);
          var isHTML = ns === infra_1.namespace.HTML;
          if (isHTML && !hasChildren && XMLBuilderCBImpl2._VoidElementNames.has(node.localName)) {
            this._push(this._writer.openTagEnd(qualifiedName, true, true));
            this._writer.endElement(qualifiedName);
          } else if (!isHTML && !hasChildren) {
            this._push(this._writer.openTagEnd(qualifiedName, true, false));
            this._writer.endElement(qualifiedName);
          } else {
            this._push(this._writer.openTagEnd(qualifiedName, false, false));
          }
          this._currentElementSerialized = true;
          this._openTags.push([qualifiedName, inheritedNS, this._prefixMap, hasChildren]);
          if (this._isPrefixMapModified(this._prefixMap, map)) {
            this._prefixMap = map;
          }
          this._writer.level++;
        };
        XMLBuilderCBImpl2.prototype._serializeCloseTag = function() {
          this._writer.level--;
          var lastEle = this._openTags.pop();
          if (lastEle === void 0) {
            this.emit("error", new Error("Last element is undefined."));
            return;
          }
          var _a = __read(lastEle, 4), qualifiedName = _a[0], ns = _a[1], map = _a[2], hasChildren = _a[3];
          this._prefixMap = map;
          if (!hasChildren)
            return;
          this._push(this._writer.closeTag(qualifiedName));
          this._writer.endElement(qualifiedName);
        };
        XMLBuilderCBImpl2.prototype._push = function(data) {
          if (data === null) {
            this._ended = true;
            this.emit("end");
          } else if (this._ended) {
            this.emit("error", new Error("Cannot push to ended stream."));
          } else if (data.length !== 0) {
            this._writer.hasData = true;
            this.emit("data", data, this._writer.level);
          }
        };
        XMLBuilderCBImpl2.prototype._fromNode = function(node) {
          var e_3, _a, e_4, _b;
          if (util_2.Guard.isElementNode(node)) {
            var name = node.prefix ? node.prefix + ":" + node.localName : node.localName;
            if (node.namespaceURI !== null) {
              this.ele(node.namespaceURI, name);
            } else {
              this.ele(name);
            }
            try {
              for (var _c = __values(node.attributes), _d = _c.next(); !_d.done; _d = _c.next()) {
                var attr = _d.value;
                var name_1 = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
                if (attr.namespaceURI !== null) {
                  this.att(attr.namespaceURI, name_1, attr.value);
                } else {
                  this.att(name_1, attr.value);
                }
              }
            } catch (e_3_1) {
              e_3 = { error: e_3_1 };
            } finally {
              try {
                if (_d && !_d.done && (_a = _c.return))
                  _a.call(_c);
              } finally {
                if (e_3)
                  throw e_3.error;
              }
            }
            try {
              for (var _e = __values(node.childNodes), _f = _e.next(); !_f.done; _f = _e.next()) {
                var child = _f.value;
                this._fromNode(child);
              }
            } catch (e_4_1) {
              e_4 = { error: e_4_1 };
            } finally {
              try {
                if (_f && !_f.done && (_b = _e.return))
                  _b.call(_e);
              } finally {
                if (e_4)
                  throw e_4.error;
              }
            }
            this.up();
          } else if (util_2.Guard.isExclusiveTextNode(node) && node.data) {
            this.txt(node.data);
          } else if (util_2.Guard.isCommentNode(node)) {
            this.com(node.data);
          } else if (util_2.Guard.isCDATASectionNode(node)) {
            this.dat(node.data);
          } else if (util_2.Guard.isProcessingInstructionNode(node)) {
            this.ins(node.target, node.data);
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributes = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
          var e_5, _a;
          var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet() : void 0;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
                this._push(this._writer.attribute(attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
                continue;
              }
              if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
                this.emit("error", new Error("Element contains duplicate attributes (well-formed required)."));
                return;
              }
              if (requireWellFormed && localNameSet)
                localNameSet.set(attr.namespaceURI, attr.localName);
              var attributeNamespace = attr.namespaceURI;
              var candidatePrefix = null;
              if (attributeNamespace !== null) {
                candidatePrefix = map.get(attr.prefix, attributeNamespace);
                if (attributeNamespace === infra_1.namespace.XMLNS) {
                  if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                    continue;
                  if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                    this.emit("error", new Error("XMLNS namespace is reserved (well-formed required)."));
                    return;
                  }
                  if (requireWellFormed && attr.value === "") {
                    this.emit("error", new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));
                    return;
                  }
                  if (attr.prefix === "xmlns")
                    candidatePrefix = "xmlns";
                } else if (candidatePrefix === null) {
                  if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                    candidatePrefix = attr.prefix;
                  } else {
                    candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
                  }
                  this._push(this._writer.attribute("xmlns:" + candidatePrefix, this._serializeAttributeValue(attributeNamespace, this._options.wellFormed)));
                }
              }
              if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
                this.emit("error", new Error("Attribute local name contains invalid characters (well-formed required)."));
                return;
              }
              this._push(this._writer.attribute((candidatePrefix !== null ? candidatePrefix + ":" : "") + attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
            }
          } catch (e_5_1) {
            e_5 = { error: e_5_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_5)
                throw e_5.error;
            }
          }
        };
        XMLBuilderCBImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
          if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
            this.emit("error", new Error("Invalid characters in attribute value."));
            return "";
          }
          if (value === null)
            return "";
          return value.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
        };
        XMLBuilderCBImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
          var e_6, _a;
          var defaultNamespaceAttrValue = null;
          try {
            for (var _b = __values(node.attributes), _c = _b.next(); !_c.done; _c = _b.next()) {
              var attr = _c.value;
              var attributeNamespace = attr.namespaceURI;
              var attributePrefix = attr.prefix;
              if (attributeNamespace === infra_1.namespace.XMLNS) {
                if (attributePrefix === null) {
                  defaultNamespaceAttrValue = attr.value;
                  continue;
                } else {
                  var prefixDefinition = attr.localName;
                  var namespaceDefinition = attr.value;
                  if (namespaceDefinition === infra_1.namespace.XML) {
                    continue;
                  }
                  if (namespaceDefinition === "") {
                    namespaceDefinition = null;
                  }
                  if (map.has(prefixDefinition, namespaceDefinition)) {
                    continue;
                  }
                  map.set(prefixDefinition, namespaceDefinition);
                  localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
                }
              }
            }
          } catch (e_6_1) {
            e_6 = { error: e_6_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_6)
                throw e_6.error;
            }
          }
          return defaultNamespaceAttrValue;
        };
        XMLBuilderCBImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
          var generatedPrefix = "ns" + prefixIndex.value;
          prefixIndex.value++;
          prefixMap.set(generatedPrefix, newNamespace);
          return generatedPrefix;
        };
        XMLBuilderCBImpl2.prototype._isPrefixMapModified = function(originalMap, newMap) {
          var items1 = originalMap._items;
          var items2 = newMap._items;
          var nullItems1 = originalMap._nullItems;
          var nullItems2 = newMap._nullItems;
          for (var key in items2) {
            var arr1 = items1[key];
            if (arr1 === void 0)
              return true;
            var arr2 = items2[key];
            if (arr1.length !== arr2.length)
              return true;
            for (var i = 0; i < arr1.length; i++) {
              if (arr1[i] !== arr2[i])
                return true;
            }
          }
          if (nullItems1.length !== nullItems2.length)
            return true;
          for (var i = 0; i < nullItems1.length; i++) {
            if (nullItems1[i] !== nullItems2[i])
              return true;
          }
          return false;
        };
        XMLBuilderCBImpl2._VoidElementNames = /* @__PURE__ */ new Set([
          "area",
          "base",
          "basefont",
          "bgsound",
          "br",
          "col",
          "embed",
          "frame",
          "hr",
          "img",
          "input",
          "keygen",
          "link",
          "menuitem",
          "meta",
          "param",
          "source",
          "track",
          "wbr"
        ]);
        return XMLBuilderCBImpl2;
      }(events_1.EventEmitter)
    );
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js
var require_BuilderFunctionsCB4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var _1 = require_builder4();
    function createCB(options) {
      return new _1.XMLBuilderCBImpl(options);
    }
    exports2.createCB = createCB;
    function fragmentCB(options) {
      return new _1.XMLBuilderCBImpl(options, true);
    }
    exports2.fragmentCB = fragmentCB;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/builder/index.js
var require_builder4 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/builder/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var XMLBuilderImpl_1 = require_XMLBuilderImpl4();
    exports2.XMLBuilderImpl = XMLBuilderImpl_1.XMLBuilderImpl;
    var XMLBuilderCBImpl_1 = require_XMLBuilderCBImpl4();
    exports2.XMLBuilderCBImpl = XMLBuilderCBImpl_1.XMLBuilderCBImpl;
    var BuilderFunctions_1 = require_BuilderFunctions4();
    exports2.builder = BuilderFunctions_1.builder;
    exports2.create = BuilderFunctions_1.create;
    exports2.fragment = BuilderFunctions_1.fragment;
    exports2.convert = BuilderFunctions_1.convert;
    var BuilderFunctionsCB_1 = require_BuilderFunctionsCB4();
    exports2.createCB = BuilderFunctionsCB_1.createCB;
    exports2.fragmentCB = BuilderFunctionsCB_1.fragmentCB;
  }
});

// ../../components/workflows/node_modules/xmlbuilder2/lib/index.js
var require_lib22 = __commonJS({
  "../../components/workflows/node_modules/xmlbuilder2/lib/index.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    var builder_1 = require_builder4();
    exports2.builder = builder_1.builder;
    exports2.create = builder_1.create;
    exports2.fragment = builder_1.fragment;
    exports2.convert = builder_1.convert;
    exports2.createCB = builder_1.createCB;
    exports2.fragmentCB = builder_1.fragmentCB;
  }
});

// ../../components/workflows/node_modules/projen/lib/xmlfile.js
var require_xmlfile4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/xmlfile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.XmlFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var xmlbuilder2_1 = require_lib22();
    var object_file_1 = require_object_file4();
    var XmlFile = class extends object_file_1.ObjectFile {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(resolver) {
        const obj = super.synthesizeContent(resolver);
        if (!obj) {
          return void 0;
        }
        const xmlString = (0, xmlbuilder2_1.create)({ encoding: "UTF-8" }, obj).end({
          prettyPrint: true,
          indent: " ".repeat(4)
        });
        return [
          xmlString,
          ...this.marker ? [`<!-- ${this.marker} -->`] : []
        ].join("\n");
      }
    };
    exports2.XmlFile = XmlFile;
    _a = JSII_RTTI_SYMBOL_1;
    XmlFile[_a] = { fqn: "projen.XmlFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/web/tailwind.js
var require_tailwind4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/web/tailwind.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TailwindConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var json_1 = require_json7();
    var TailwindConfig = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "tailwind.config.json";
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: {
            purge: [],
            darkMode: false,
            theme: {
              extend: {}
            },
            variants: {
              extend: {}
            },
            plugins: []
          }
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.TailwindConfig = TailwindConfig;
    _a = JSII_RTTI_SYMBOL_1;
    TailwindConfig[_a] = { fqn: "projen.web.TailwindConfig", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/web/postcss.js
var require_postcss4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/web/postcss.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PostCss = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var tailwind_1 = require_tailwind4();
    var json_1 = require_json7();
    var PostCss = class {
      constructor(project, options) {
        this.fileName = options?.fileName ?? "postcss.config.json";
        project.addDeps("postcss");
        const config = { plugins: {} };
        if (options?.tailwind ?? true) {
          config.plugins.tailwindcss = {};
          config.plugins.autoprefixer = {};
          this.tailwind = new tailwind_1.TailwindConfig(project, options?.tailwindOptions);
          config.plugins.tailwindcss.config = this.tailwind.fileName;
          project.addDeps("tailwindcss", "autoprefixer");
        }
        this.file = new json_1.JsonFile(project, this.fileName, {
          obj: config,
          marker: false
        });
        project.npmignore?.exclude(`/${this.fileName}`);
      }
    };
    exports2.PostCss = PostCss;
    _a = JSII_RTTI_SYMBOL_1;
    PostCss[_a] = { fqn: "projen.web.PostCss", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/util.js
var require_util23 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.tryResolveDependencyVersion = exports2.tryResolveModuleManifest = exports2.tryResolveManifestPathFromSearch = exports2.tryResolveManifestPathFromPath = exports2.tryResolveManifestPathFromDefaultExport = exports2.tryResolveModuleManifestPath = exports2.tryResolveModule = exports2.minVersion = exports2.extractCodeArtifactDetails = exports2.codeArtifactRegex = exports2.renderBundleName = void 0;
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver14();
    var util_1 = require_util20();
    function renderBundleName(entrypoint) {
      const parts = (0, path_1.join)(entrypoint).split(path_1.sep);
      if (parts[0] === "src") {
        parts.shift();
      }
      const p = parts.join(path_1.sep);
      const dir = (0, path_1.dirname)(p);
      const base = (0, path_1.basename)(p, (0, path_1.extname)(p));
      return (0, path_1.join)(dir, base);
    }
    exports2.renderBundleName = renderBundleName;
    exports2.codeArtifactRegex = /^https:\/\/(?<registry>(?<domain>[^\.]+)-(?<accountId>\d{12})\.d\.codeartifact\.(?<region>[^\.]+).*\.amazonaws\.com\/.*\/(?<repository>[^\/.]+)\/)/;
    function extractCodeArtifactDetails(registryUrl) {
      const match = registryUrl.match(exports2.codeArtifactRegex);
      if (match?.groups) {
        const { domain, accountId, region, repository, registry } = match.groups;
        return { domain, accountId, region, repository, registry };
      }
      throw new Error("Could not get CodeArtifact details from npm Registry");
    }
    exports2.extractCodeArtifactDetails = extractCodeArtifactDetails;
    function minVersion(version) {
      if (semver.validRange(version)) {
        return semver.minVersion(version)?.version;
      } else {
        return version;
      }
    }
    exports2.minVersion = minVersion;
    function tryResolveModule(moduleId, options) {
      try {
        return require.resolve(moduleId, options);
      } catch {
        return void 0;
      }
    }
    exports2.tryResolveModule = tryResolveModule;
    function tryResolveModuleManifestPath(moduleId, options) {
      const manifestId = `${moduleId}/package.json`;
      return tryResolveModule(manifestId, options);
    }
    exports2.tryResolveModuleManifestPath = tryResolveModuleManifestPath;
    function tryResolveManifestPathFromDefaultExport(moduleId, options) {
      const defaultExportPath = tryResolveModule(moduleId, options);
      if (!defaultExportPath) {
        return void 0;
      }
      const moduleDir = (0, util_1.findUp)("package.json", defaultExportPath);
      if (!moduleDir) {
        return void 0;
      }
      return (0, path_1.join)(moduleDir, "package.json");
    }
    exports2.tryResolveManifestPathFromDefaultExport = tryResolveManifestPathFromDefaultExport;
    function tryResolveManifestPathFromPath(moduleId, basePath) {
      const base = basePath.includes("node_modules") ? basePath : (0, path_1.join)(basePath, "node_modules");
      const filePath = (0, path_1.resolve)(base, ...moduleId.split("/"), "package.json");
      if ((0, fs_1.existsSync)(filePath)) {
        return filePath;
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromPath = tryResolveManifestPathFromPath;
    function tryResolveManifestPathFromSearch(moduleId, options) {
      const searchPaths = [
        ...options?.paths ?? [],
        ...require.resolve.paths(moduleId) ?? []
      ];
      for (const path of searchPaths) {
        const result = tryResolveManifestPathFromPath(moduleId, path);
        if (result) {
          return result;
        }
      }
      return void 0;
    }
    exports2.tryResolveManifestPathFromSearch = tryResolveManifestPathFromSearch;
    function tryResolveModuleManifest(moduleId, options) {
      const strategies = [
        tryResolveModuleManifestPath,
        tryResolveManifestPathFromDefaultExport,
        tryResolveManifestPathFromSearch
      ];
      for (const strategy of strategies) {
        const result = strategy(moduleId, options);
        if (result) {
          try {
            const manifest = JSON.parse((0, fs_1.readFileSync)(result, "utf8"));
            if (manifest.name === moduleId) {
              return manifest;
            }
          } catch {
          }
        }
      }
      return void 0;
    }
    exports2.tryResolveModuleManifest = tryResolveModuleManifest;
    function tryResolveDependencyVersion(dependencyName, options) {
      const manifest = tryResolveModuleManifest(dependencyName, options);
      if (!manifest) {
        return void 0;
      }
      return manifest?.version;
    }
    exports2.tryResolveDependencyVersion = tryResolveDependencyVersion;
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/bundler.js
var require_bundler4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/bundler.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Bundler = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var util_1 = require_util23();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var Bundler = class _Bundler extends component_1.Component {
      /**
       * Returns the `Bundler` instance associated with a project or `undefined` if
       * there is no Bundler.
       * @param project The project
       * @returns A bundler
       */
      static of(project) {
        const isBundler = (o) => o instanceof _Bundler;
        return project.components.find(isBundler);
      }
      /**
       * Creates a `Bundler`.
       */
      constructor(project, options = {}) {
        super(project);
        this.esbuildVersion = options.esbuildVersion;
        this.bundledir = options.assetsDir ?? "assets";
        this.addToPreCompile = options.addToPreCompile ?? true;
        this.loaders = options.loaders;
      }
      /**
       * Gets or creates the singleton "bundle" task of the project.
       *
       * If the project doesn't have a "bundle" task, it will be created and spawned
       * during the pre-compile phase.
       */
      get bundleTask() {
        if (!this._task) {
          this.addBundlingSupport();
          this._task = this.project.tasks.addTask("bundle", {
            description: "Prepare assets"
          });
          if (this.addToPreCompile) {
            this.project.preCompileTask.spawn(this._task);
          }
        }
        return this._task;
      }
      /**
       * Adds a task to the project which bundles a specific entrypoint and all of
       * its dependencies into a single javascript output file.
       *
       * @param entrypoint The relative path of the artifact within the project
       * @param options Bundling options
       */
      addBundle(entrypoint, options) {
        const name = (0, util_1.renderBundleName)(entrypoint);
        const outdir = path.posix.join(this.bundledir, name);
        const outfile = path.posix.join(outdir, options.outfile ?? "index.js");
        const args = [
          "esbuild",
          "--bundle",
          entrypoint,
          `--target="${options.target}"`,
          `--platform="${options.platform}"`,
          `--outfile="${outfile}"`
        ];
        const tsconfig = options.tsconfigPath ?? false;
        if (tsconfig) {
          args.push(`--tsconfig="${tsconfig}"`);
        }
        for (const x of options.externals ?? []) {
          args.push(`--external:${x}`);
        }
        const sourcemap = options.sourcemap ?? false;
        if (sourcemap) {
          args.push("--sourcemap");
        }
        const loaders = options.loaders ?? false ? options.loaders : this.loaders ?? false;
        if (loaders) {
          for (let [extension, loader] of Object.entries(loaders)) {
            args.push(`--loader:.${extension}=${loader}`);
          }
        }
        const bundleTask = this.project.addTask(`bundle:${name}`, {
          description: `Create a JavaScript bundle from ${entrypoint}`,
          exec: args.join(" ")
        });
        this.bundleTask.spawn(bundleTask);
        if (options.executable ?? false) {
          bundleTask.exec(`chmod +x ${outfile}`);
        }
        let watchTask;
        const watch = options.watchTask ?? true;
        if (watch) {
          watchTask = this.project.addTask(`bundle:${name}:watch`, {
            description: `Continuously update the JavaScript bundle from ${entrypoint}`,
            exec: `${args.join(" ")} --watch`
          });
        }
        return {
          bundleTask,
          watchTask,
          outdir,
          outfile
        };
      }
      /**
       * Add bundling support to a project. This is called implicitly when
       * `bundleTask` is referenced first. It adds the dependency on `esbuild`,
       * gitignore/npmignore, etc.
       */
      addBundlingSupport() {
        const ignoreEntry = `/${this.bundledir}/`;
        this.project.addGitIgnore(ignoreEntry);
        this.project.addPackageIgnore(`!${ignoreEntry}`);
        const dep = this.esbuildVersion ? `esbuild@${this.esbuildVersion}` : "esbuild";
        this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
      }
    };
    exports2.Bundler = Bundler;
    _a = JSII_RTTI_SYMBOL_1;
    Bundler[_a] = { fqn: "projen.javascript.Bundler", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/prettier.js
var require_prettier4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/prettier.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Prettier = exports2.TrailingComma = exports2.QuoteProps = exports2.ProseWrap = exports2.HTMLWhitespaceSensitivity = exports2.EndOfLine = exports2.EmbeddedLanguageFormatting = exports2.ArrowParens = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var ignore_file_1 = require_ignore_file4();
    var json_1 = require_json7();
    var source_code_1 = require_source_code4();
    var yaml_1 = require_yaml4();
    var ArrowParens;
    (function(ArrowParens2) {
      ArrowParens2["ALWAYS"] = "always";
      ArrowParens2["AVOID"] = "avoid";
    })(ArrowParens || (exports2.ArrowParens = ArrowParens = {}));
    var EmbeddedLanguageFormatting;
    (function(EmbeddedLanguageFormatting2) {
      EmbeddedLanguageFormatting2["AUTO"] = "auto";
      EmbeddedLanguageFormatting2["OFF"] = "off";
    })(EmbeddedLanguageFormatting || (exports2.EmbeddedLanguageFormatting = EmbeddedLanguageFormatting = {}));
    var EndOfLine;
    (function(EndOfLine2) {
      EndOfLine2["AUTO"] = "auto";
      EndOfLine2["CR"] = "cr";
      EndOfLine2["CRLF"] = "crlf";
      EndOfLine2["LF"] = "lf";
    })(EndOfLine || (exports2.EndOfLine = EndOfLine = {}));
    var HTMLWhitespaceSensitivity;
    (function(HTMLWhitespaceSensitivity2) {
      HTMLWhitespaceSensitivity2["CSS"] = "css";
      HTMLWhitespaceSensitivity2["IGNORE"] = "ignore";
      HTMLWhitespaceSensitivity2["STRICT"] = "strict";
    })(HTMLWhitespaceSensitivity || (exports2.HTMLWhitespaceSensitivity = HTMLWhitespaceSensitivity = {}));
    var ProseWrap;
    (function(ProseWrap2) {
      ProseWrap2["ALWAYS"] = "always";
      ProseWrap2["NEVER"] = "never";
      ProseWrap2["PRESERVE"] = "preserve";
    })(ProseWrap || (exports2.ProseWrap = ProseWrap = {}));
    var QuoteProps;
    (function(QuoteProps2) {
      QuoteProps2["ASNEEDED"] = "as-needed";
      QuoteProps2["CONSISTENT"] = "consistent";
      QuoteProps2["PRESERVE"] = "preserve";
    })(QuoteProps || (exports2.QuoteProps = QuoteProps = {}));
    var TrailingComma;
    (function(TrailingComma2) {
      TrailingComma2["ALL"] = "all";
      TrailingComma2["ES5"] = "es5";
      TrailingComma2["NONE"] = "none";
    })(TrailingComma || (exports2.TrailingComma = TrailingComma = {}));
    var Prettier = class _Prettier extends component_1.Component {
      static of(project) {
        const isPrettier = (c) => c instanceof _Prettier;
        return project.components.find(isPrettier);
      }
      constructor(project, options) {
        super(project);
        this._overrides = options.overrides ?? [];
        if (options.ignoreFile ?? true) {
          this.ignoreFile = new ignore_file_1.IgnoreFile(project, ".prettierignore", options.ignoreFileOptions);
        }
        project.addDevDeps("prettier");
        this.settings = {
          ...options.settings
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".prettierrc.yml", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".prettierrc.json", {
            obj: () => ({ ...this.settings, overrides: [...this._overrides] }),
            marker: false
          });
        }
      }
      /**
       * Add a prettier override
       * @see https://prettier.io/docs/en/configuration.html#configuration-overrides
       * @param {PrettierOverride} override
       */
      addOverride(override) {
        this._overrides.push(override);
      }
      /**
       * Defines Prettier ignore Patterns
       * these patterns will be added to the file .prettierignore
       *
       * @param pattern filepatterns so exclude from prettier formatting
       */
      addIgnorePattern(pattern) {
        this.ignoreFile?.addPatterns(pattern);
      }
      /**
       *  Returns all Prettier overrides
       */
      get overrides() {
        return [...this._overrides];
      }
      preSynthesize() {
        const isSourceCode = (c) => c instanceof source_code_1.SourceCode;
        this.project.components.filter(isSourceCode).forEach((c) => {
          this.addIgnorePattern(c.filePath);
        });
      }
    };
    exports2.Prettier = Prettier;
    _a = JSII_RTTI_SYMBOL_1;
    Prettier[_a] = { fqn: "projen.javascript.Prettier", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/eslint.js
var require_eslint4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/eslint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Eslint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var prettier_1 = require_prettier4();
    var common_1 = require_common14();
    var component_1 = require_component4();
    var json_1 = require_json7();
    var yaml_1 = require_yaml4();
    var Eslint = class _Eslint extends component_1.Component {
      /**
       * Returns the singletone Eslint component of a project or undefined if there is none.
       */
      static of(project) {
        const isEslint = (c) => c instanceof _Eslint;
        return project.components.find(isEslint);
      }
      constructor(project, options) {
        super(project);
        this.overrides = [];
        this._plugins = new Array();
        this._extends = new Array();
        this.nodeProject = project;
        project.addDevDeps("eslint@^8", "@typescript-eslint/eslint-plugin@^5", "@typescript-eslint/parser@^5", "eslint-import-resolver-node", "eslint-import-resolver-typescript", "eslint-plugin-import");
        if (options.aliasMap) {
          project.addDevDeps("eslint-import-resolver-alias");
        }
        const lintProjenRc = options.lintProjenRc ?? true;
        const lintProjenRcFile = options.lintProjenRcFile ?? common_1.PROJEN_RC;
        const devdirs = options.devdirs ?? [];
        this._lintPatterns = [
          ...options.dirs,
          ...devdirs,
          ...lintProjenRc && lintProjenRcFile ? [lintProjenRcFile] : []
        ];
        this._fileExtensions = options.fileExtensions ?? [".ts"];
        this._allowDevDeps = new Set((devdirs ?? []).map((dir) => `**/${dir}/**`));
        this.eslintTask = project.addTask("eslint", {
          description: "Runs eslint against the codebase"
        });
        this.updateTask();
        project.testTask.spawn(this.eslintTask);
        project.npmignore?.exclude("/.eslintrc.json");
        this._formattingRules = {
          // see https://github.com/typescript-eslint/typescript-eslint/blob/master/packages/eslint-plugin/docs/rules/indent.md
          indent: ["off"],
          "@typescript-eslint/indent": ["error", 2],
          // Style
          quotes: ["error", "single", { avoidEscape: true }],
          "comma-dangle": ["error", "always-multiline"],
          "comma-spacing": ["error", { before: false, after: true }],
          "no-multi-spaces": ["error", { ignoreEOLComments: false }],
          "array-bracket-spacing": ["error", "never"],
          "array-bracket-newline": ["error", "consistent"],
          "object-curly-spacing": ["error", "always"],
          "object-curly-newline": ["error", { multiline: true, consistent: true }],
          "object-property-newline": [
            "error",
            { allowAllPropertiesOnSameLine: true }
          ],
          "keyword-spacing": ["error"],
          "brace-style": ["error", "1tbs", { allowSingleLine: true }],
          "space-before-blocks": ["error"],
          curly: ["error", "multi-line", "consistent"],
          "@typescript-eslint/member-delimiter-style": ["error"],
          // Require semicolons
          semi: ["error", "always"],
          // Max line lengths
          "max-len": [
            "error",
            {
              code: 150,
              ignoreUrls: true,
              ignoreStrings: true,
              ignoreTemplateLiterals: true,
              ignoreComments: true,
              ignoreRegExpLiterals: true
            }
          ],
          // Don't unnecessarily quote properties
          "quote-props": ["error", "consistent-as-needed"]
        };
        this.rules = {
          // Require use of the `import { foo } from 'bar';` form instead of `import foo = require('bar');`
          "@typescript-eslint/no-require-imports": ["error"],
          // Require all imported dependencies are actually declared in package.json
          "import/no-extraneous-dependencies": [
            "error",
            {
              // Only allow importing devDependencies from "devdirs".
              devDependencies: () => this.renderDevDepsAllowList(),
              optionalDependencies: false,
              peerDependencies: true
              // Allow importing peer dependencies (that aren't also direct dependencies)
            }
          ],
          // Require all imported libraries actually resolve (!!required for import/no-extraneous-dependencies to work!!)
          "import/no-unresolved": ["error"],
          // Require an ordering on all imports
          "import/order": [
            "warn",
            {
              groups: ["builtin", "external"],
              alphabetize: { order: "asc", caseInsensitive: true }
            }
          ],
          // Cannot import from the same module twice
          "no-duplicate-imports": ["error"],
          // Cannot shadow names
          "no-shadow": ["off"],
          "@typescript-eslint/no-shadow": ["error"],
          // Required spacing in property declarations (copied from TSLint, defaults are good)
          "key-spacing": ["error"],
          // No multiple empty lines
          "no-multiple-empty-lines": ["error"],
          // One of the easiest mistakes to make
          "@typescript-eslint/no-floating-promises": ["error"],
          // Make sure that inside try/catch blocks, promises are 'return await'ed
          // (must disable the base rule as it can report incorrect errors)
          "no-return-await": ["off"],
          "@typescript-eslint/return-await": ["error"],
          // Useless diff results
          "no-trailing-spaces": ["error"],
          // Must use foo.bar instead of foo['bar'] if possible
          "dot-notation": ["error"],
          // Are you sure | is not a typo for || ?
          "no-bitwise": ["error"],
          // Member ordering
          "@typescript-eslint/member-ordering": [
            "error",
            {
              default: [
                "public-static-field",
                "public-static-method",
                "protected-static-field",
                "protected-static-method",
                "private-static-field",
                "private-static-method",
                "field",
                // Constructors
                "constructor",
                // Methods
                "method"
              ]
            }
          ]
        };
        if (lintProjenRc) {
          this.overrides = [
            {
              files: [lintProjenRcFile || common_1.PROJEN_RC],
              rules: {
                "@typescript-eslint/no-require-imports": "off",
                "import/no-extraneous-dependencies": "off"
              }
            }
          ];
        }
        this.ignorePatterns = options.ignorePatterns ?? [
          "*.js",
          // @deprecated
          ...lintProjenRc ? [`!${lintProjenRcFile || common_1.PROJEN_RC}`] : [],
          "*.d.ts",
          "node_modules/",
          "*.generated.ts",
          "coverage"
        ];
        const tsconfig = options.tsconfigPath ?? "./tsconfig.json";
        this.addPlugins("@typescript-eslint");
        this.addPlugins("import");
        this.addExtends("plugin:import/typescript");
        this.config = {
          env: {
            jest: true,
            node: true
          },
          root: true,
          plugins: () => this._plugins,
          parser: "@typescript-eslint/parser",
          parserOptions: {
            ecmaVersion: 2018,
            sourceType: "module",
            project: tsconfig
          },
          extends: () => this._extends,
          settings: {
            "import/parsers": {
              "@typescript-eslint/parser": [".ts", ".tsx"]
            },
            "import/resolver": {
              ...options.aliasMap && {
                alias: {
                  map: Object.entries(options.aliasMap).map(([k, v]) => [k, v]),
                  extensions: options.aliasExtensions
                }
              },
              node: {},
              typescript: {
                project: tsconfig,
                ...options.tsAlwaysTryTypes !== false && { alwaysTryTypes: true }
              }
            }
          },
          ignorePatterns: this.ignorePatterns,
          rules: () => ({ ...this._formattingRules, ...this.rules }),
          overrides: this.overrides
        };
        if (options.yaml) {
          new yaml_1.YamlFile(project, ".eslintrc.yml", {
            obj: this.config,
            marker: true
          });
        } else {
          new json_1.JsonFile(project, ".eslintrc.json", {
            obj: this.config,
            // https://eslint.org/docs/latest/user-guide/configuring/configuration-files#comments-in-configuration-files
            marker: true,
            allowComments: true
          });
        }
        if (options.prettier || prettier_1.Prettier.of(project)) {
          this.enablePrettier();
        }
      }
      /**
       * Add a file, glob pattern or directory with source files to lint (e.g. [ "src" ])
       */
      addLintPattern(pattern) {
        this._lintPatterns.push(pattern);
        this.updateTask();
      }
      /**
       * Add an eslint rule.
       */
      addRules(rules) {
        for (const [k, v] of Object.entries(rules)) {
          this.rules[k] = v;
        }
      }
      /**
       * Adds an eslint plugin
       * @param plugins The names of plugins to add
       */
      addPlugins(...plugins) {
        this._plugins.push(...plugins);
      }
      /**
       * Add an eslint override.
       */
      addOverride(override) {
        this.overrides.push(override);
      }
      /**
       * Do not lint these files.
       */
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      /**
       * Adds an `extends` item to the eslint configuration.
       * @param extendList The list of "extends" to add.
       */
      addExtends(...extendList) {
        this._extends.push(...extendList);
      }
      /**
       * Add a glob file pattern which allows importing dev dependencies.
       * @param pattern glob pattern.
       */
      allowDevDeps(pattern) {
        this._allowDevDeps.add(pattern);
      }
      /**
       * Enables prettier for code formatting.
       */
      enablePrettier() {
        this.nodeProject.addDevDeps("prettier", "eslint-plugin-prettier", "eslint-config-prettier");
        this.addPlugins("prettier");
        this._formattingRules = {
          "prettier/prettier": ["error"]
        };
        this.addExtends("prettier", "plugin:prettier/recommended");
      }
      renderDevDepsAllowList() {
        return Array.from(this._allowDevDeps);
      }
      /**
       * Update the task with the current list of lint patterns and file extensions
       */
      updateTask() {
        this.eslintTask.reset([
          "eslint",
          `--ext ${this._fileExtensions.join(",")}`,
          "--fix",
          "--no-error-on-unmatched-pattern",
          ...this._lintPatterns
        ].join(" "));
      }
    };
    exports2.Eslint = Eslint;
    _a = JSII_RTTI_SYMBOL_1;
    Eslint[_a] = { fqn: "projen.javascript.Eslint", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/jest.js
var require_jest4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/jest.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Jest = exports2.JestReporter = exports2.UpdateSnapshot = exports2.WatchPlugin = exports2.Transform = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver14();
    var component_1 = require_component4();
    var javascript_1 = require_javascript4();
    var json_1 = require_json7();
    var DEFAULT_TEST_REPORTS_DIR = "test-reports";
    var Transform = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.Transform = Transform;
    _a = JSII_RTTI_SYMBOL_1;
    Transform[_a] = { fqn: "projen.javascript.Transform", version: "0.71.112" };
    var WatchPlugin = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options != null) {
          return [this.name, this.options];
        }
        return this.name;
      }
    };
    exports2.WatchPlugin = WatchPlugin;
    _b = JSII_RTTI_SYMBOL_1;
    WatchPlugin[_b] = { fqn: "projen.javascript.WatchPlugin", version: "0.71.112" };
    var UpdateSnapshot;
    (function(UpdateSnapshot2) {
      UpdateSnapshot2["ALWAYS"] = "always";
      UpdateSnapshot2["NEVER"] = "never";
    })(UpdateSnapshot || (exports2.UpdateSnapshot = UpdateSnapshot = {}));
    var JestReporter = class {
      constructor(name, options) {
        this.name = name;
        this.options = options;
      }
      /**
       * @jsii ignore
       * @internal
       */
      toJSON() {
        if (this.options == null) {
          return this.name;
        }
        return [this.name, this.options];
      }
    };
    exports2.JestReporter = JestReporter;
    _c = JSII_RTTI_SYMBOL_1;
    JestReporter[_c] = { fqn: "projen.javascript.JestReporter", version: "0.71.112" };
    var Jest = class _Jest extends component_1.Component {
      /**
       * Returns the singletone Jest component of a project or undefined if there is none.
       */
      static of(project) {
        const isJest = (c) => c instanceof _Jest;
        return project.components.find(isJest);
      }
      constructor(project, options = {}) {
        super(project);
        if (options.typescriptConfig) {
          throw new Error('"jestOptions.typescriptConfig" is deprecated. Use "typescriptProject.tsconfigDev" instead');
        }
        project.root.annotateGenerated("*.snap");
        this.jestVersion = options.jestVersion ? `@${options.jestVersion}` : "";
        project.addDevDeps(`jest${this.jestVersion}`);
        this.jestConfig = {
          ...options.jestConfig,
          additionalOptions: void 0,
          ...options.jestConfig?.additionalOptions
        };
        this.extraCliOptions = options.extraCliOptions ?? [];
        this.ignorePatterns = this.jestConfig?.testPathIgnorePatterns ?? options.ignorePatterns ?? ["/node_modules/"];
        this.watchIgnorePatterns = this.jestConfig?.watchPathIgnorePatterns ?? [
          "/node_modules/"
        ];
        this.coverageReporters = this.jestConfig?.coverageReporters ?? [
          "json",
          "lcov",
          "clover",
          "cobertura"
        ];
        this.testMatch = this.jestConfig?.testMatch ?? [
          "**/__tests__/**/*.[jt]s?(x)",
          "**/?(*.)+(spec|test).[tj]s?(x)"
        ];
        const coverageDirectory = this.jestConfig?.coverageDirectory ?? "coverage";
        this.reporters = [];
        if (options.preserveDefaultReporters ?? true) {
          this.reporters.unshift(new JestReporter("default"));
        }
        this.config = {
          ...this.jestConfig,
          clearMocks: this.jestConfig?.clearMocks ?? true,
          collectCoverage: options.coverage ?? this.jestConfig?.collectCoverage ?? true,
          coverageReporters: this.coverageReporters,
          coverageDirectory,
          coveragePathIgnorePatterns: this.jestConfig?.coveragePathIgnorePatterns ?? this.ignorePatterns,
          testPathIgnorePatterns: this.ignorePatterns,
          watchPathIgnorePatterns: this.watchIgnorePatterns,
          testMatch: this.testMatch,
          reporters: this.reporters,
          snapshotResolver: () => this._snapshotResolver
        };
        if (options.junitReporting ?? true) {
          const reportsDir = DEFAULT_TEST_REPORTS_DIR;
          this.addReporter(new JestReporter("jest-junit", { outputDirectory: reportsDir }));
          project.addDevDeps("jest-junit@^15");
          project.gitignore.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
          project.npmignore?.exclude("# jest-junit artifacts", `/${reportsDir}/`, "junit.xml");
        }
        if (this.jestConfig?.reporters) {
          for (const reporter of this.jestConfig.reporters) {
            this.addReporter(reporter);
          }
        }
        if (this.jestConfig?.coverageThreshold) {
          this.config.coverageThreshold = {
            global: this.jestConfig?.coverageThreshold
          };
        }
        this.configureTestCommand(options.updateSnapshot ?? UpdateSnapshot.ALWAYS);
        if (options.configFilePath) {
          this.file = new json_1.JsonFile(project, options.configFilePath, {
            obj: this.config
          });
          project.npmignore?.addPatterns(`/${this.file.path}`);
        } else {
          project.addFields({ jest: this.config });
        }
        const coverageDirectoryPath = path.posix.join("/", coverageDirectory, "/");
        project.npmignore?.exclude(coverageDirectoryPath);
        project.gitignore.exclude(coverageDirectoryPath);
        if (options.coverageText ?? true) {
          this.coverageReporters.push("text");
        }
      }
      /**
       * Adds a test match pattern.
       * @param pattern glob pattern to match for tests
       */
      addTestMatch(pattern) {
        this.testMatch.push(pattern);
      }
      /**
       * Adds a watch ignore pattern.
       * @param pattern The pattern (regular expression).
       */
      addWatchIgnorePattern(pattern) {
        this.watchIgnorePatterns.push(pattern);
      }
      addIgnorePattern(pattern) {
        this.ignorePatterns.push(pattern);
      }
      addReporter(reporter) {
        this.reporters.push(reporter);
      }
      /**
       * Adds a a setup file to Jest's setupFiles configuration.
       * @param file File path to setup file
       */
      addSetupFile(file) {
        if (!this.config.setupFiles) {
          this.config.setupFiles = [];
        }
        this.config.setupFiles.push(file);
      }
      /**
       * Adds a a setup file to Jest's setupFilesAfterEnv configuration.
       * @param file File path to setup file
       */
      addSetupFileAfterEnv(file) {
        if (!this.config.setupFilesAfterEnv) {
          this.config.setupFilesAfterEnv = [];
        }
        this.config.setupFilesAfterEnv.push(file);
      }
      addSnapshotResolver(file) {
        this._snapshotResolver = file;
      }
      configureTestCommand(updateSnapshot) {
        const jestOpts = ["--passWithNoTests", ...this.extraCliOptions];
        const jestConfigOpts = this.file && this.file.path != "jest.config.json" ? ` -c ${this.file.path}` : "";
        if (this.project instanceof javascript_1.NodeProject && this.project.package.minNodeVersion && semver.gte(this.project.package.minNodeVersion, "14.0.0")) {
          jestOpts.push("--coverageProvider=v8");
        }
        if (updateSnapshot === UpdateSnapshot.ALWAYS) {
          jestOpts.push("--updateSnapshot");
        } else {
          jestOpts.push("--ci");
          const testUpdate = this.project.tasks.tryFind("test:update");
          if (!testUpdate) {
            this.project.addTask("test:update", {
              description: "Update jest snapshots",
              exec: `jest --updateSnapshot ${jestOpts.join(" ")}${jestConfigOpts}`,
              receiveArgs: true
            });
          }
        }
        this.project.testTask.exec(`jest ${jestOpts.join(" ")}${jestConfigOpts}`, {
          receiveArgs: true
        });
        const testWatch = this.project.tasks.tryFind("test:watch");
        if (!testWatch) {
          this.project.addTask("test:watch", {
            description: "Run jest in watch mode",
            exec: `jest --watch${jestConfigOpts}`
          });
        }
      }
    };
    exports2.Jest = Jest;
    _d = JSII_RTTI_SYMBOL_1;
    Jest[_d] = { fqn: "projen.javascript.Jest", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/constants.js
var require_constants13 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/constants.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PERMISSION_BACKUP_FILE = exports2.DEFAULT_GITHUB_ACTIONS_USER = exports2.BUILD_ARTIFACT_NAME = void 0;
    exports2.BUILD_ARTIFACT_NAME = "build-artifact";
    exports2.DEFAULT_GITHUB_ACTIONS_USER = {
      name: "github-actions",
      email: "github-actions@github.com"
    };
    exports2.PERMISSION_BACKUP_FILE = "permissions-backup.acl";
  }
});

// ../../components/workflows/node_modules/projen/lib/github/workflows-model.js
var require_workflows_model4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/workflows-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AppPermission = exports2.JobPermission = void 0;
    var JobPermission;
    (function(JobPermission2) {
      JobPermission2["READ"] = "read";
      JobPermission2["WRITE"] = "write";
      JobPermission2["NONE"] = "none";
    })(JobPermission || (exports2.JobPermission = JobPermission = {}));
    var AppPermission;
    (function(AppPermission2) {
      AppPermission2["READ"] = "read";
      AppPermission2["WRITE"] = "write";
      AppPermission2["ADMIN"] = "admin";
    })(AppPermission || (exports2.AppPermission = AppPermission = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/release/publisher.js
var require_publisher4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/release/publisher.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isAwsCodeArtifactRegistry = exports2.CodeArtifactAuthProvider = exports2.Publisher = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var constants_1 = require_constants13();
    var workflows_model_1 = require_workflows_model4();
    var node_package_1 = require_node_package4();
    var PUBLIB_VERSION = "latest";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var ARTIFACTS_DOWNLOAD_DIR = "dist";
    var GITHUB_PACKAGES_MAVEN_REPOSITORY = "https://maven.pkg.github.com";
    var GITHUB_PACKAGES_NUGET_REPOSITORY = "https://nuget.pkg.github.com";
    var AWS_CODEARTIFACT_REGISTRY_REGEX = /.codeartifact.*.amazonaws.com/;
    var PUBLIB_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
    var Publisher = class _Publisher extends component_1.Component {
      constructor(project, options) {
        super(project);
        this._jobFactories = [];
        this._gitHubPrePublishing = [];
        this.buildJobId = options.buildJobId;
        this.artifactName = options.artifactName;
        this.publibVersion = options.publibVersion ?? options.jsiiReleaseVersion ?? PUBLIB_VERSION;
        this.jsiiReleaseVersion = this.publibVersion;
        this.condition = options.condition;
        this.dryRun = options.dryRun ?? false;
        this.workflowNodeVersion = options.workflowNodeVersion ?? "16.x";
        this.workflowContainerImage = options.workflowContainerImage;
        this.failureIssue = options.failureIssue ?? false;
        this.failureIssueLabel = options.failureIssueLabel ?? "failed-release";
        this.runsOn = options.workflowRunsOn ?? ["ubuntu-latest"];
        this.publishTasks = options.publishTasks ?? false;
      }
      /**
       * Called by `Release` to add the publishing jobs to a release workflow
       * associated with a specific branch.
       * @param branch The branch name
       * @param options Branch options
       *
       * @internal
       */
      _renderJobsForBranch(branch, options) {
        let jobs = {};
        for (const factory of this._jobFactories) {
          jobs = {
            ...jobs,
            ...factory(branch, options)
          };
        }
        return jobs;
      }
      /**
       * Adds pre publishing steps for the GitHub release job.
       *
       * @param steps The steps.
       */
      addGitHubPrePublishingSteps(...steps) {
        this._gitHubPrePublishing.push(...steps);
      }
      /**
       * Publish to git.
       *
       * This includes generating a project-level changelog and release tags.
       *
       * @param options Options
       */
      publishToGit(options) {
        const releaseTagFile = options.releaseTagFile;
        const versionFile = options.versionFile;
        const changelog = options.changelogFile;
        const projectChangelogFile = options.projectChangelogFile;
        const gitBranch = options.gitBranch ?? "main";
        const taskName = gitBranch === "main" || gitBranch === "master" ? _Publisher.PUBLISH_GIT_TASK_NAME : `${_Publisher.PUBLISH_GIT_TASK_NAME}:${gitBranch}`;
        const publishTask = this.project.addTask(taskName, {
          description: "Prepends the release changelog onto the project changelog, creates a release commit, and tags the release",
          env: {
            CHANGELOG: changelog,
            RELEASE_TAG_FILE: releaseTagFile,
            PROJECT_CHANGELOG_FILE: projectChangelogFile ?? "",
            VERSION_FILE: versionFile
          },
          condition: '! git log --oneline -1 | grep -q "chore(release):"'
        });
        if (projectChangelogFile) {
          publishTask.builtin("release/update-changelog");
        }
        publishTask.builtin("release/tag-version");
        if (options.gitPushCommand !== "") {
          const gitPushCommand = options.gitPushCommand || `git push --follow-tags origin ${gitBranch}`;
          publishTask.exec(gitPushCommand);
        }
        return publishTask;
      }
      /**
       * Creates a GitHub Release.
       * @param options Options
       */
      publishToGitHubReleases(options) {
        this.addPublishJob((_branch, branchOptions) => {
          return {
            name: "github",
            registryName: "GitHub Releases",
            prePublishSteps: options.prePublishSteps ?? this._gitHubPrePublishing,
            publishTools: options.publishTools,
            permissions: {
              contents: workflows_model_1.JobPermission.WRITE
            },
            workflowEnv: {
              GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}",
              GITHUB_REPOSITORY: "${{ github.repository }}",
              GITHUB_REF: "${{ github.ref }}"
            },
            run: this.githubReleaseCommand(options, branchOptions)
          };
        });
      }
      /**
       * Publishes artifacts from `js/**` to npm.
       * @param options Options
       */
      publishToNpm(options = {}) {
        const isGitHubPackages = options.registry?.startsWith(GITHUB_PACKAGES_REGISTRY);
        const isAwsCodeArtifact = isAwsCodeArtifactRegistry(options.registry);
        const isAwsCodeArtifactWithOidc = isAwsCodeArtifact && options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC;
        const npmToken = (0, node_package_1.defaultNpmToken)(options.npmTokenSecret, options.registry);
        if (options.distTag) {
          this.project.logger.warn("The `distTag` option is deprecated. Use the npmDistTag option instead.");
        }
        const prePublishSteps = options.prePublishSteps ?? [];
        if (isAwsCodeArtifactWithOidc) {
          if (options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret) {
            throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
          } else if (!options.codeArtifactOptions?.roleToAssume) {
            throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
          }
          const regionCaptureRegex = /codeartifact\.(.+)\.amazonaws\.com/;
          const region = options.registry?.match(regionCaptureRegex)?.[1];
          prePublishSteps.push({
            name: "Configure AWS Credentials via GitHub OIDC Provider",
            uses: "aws-actions/configure-aws-credentials@v2",
            with: {
              "role-to-assume": options.codeArtifactOptions.roleToAssume,
              "aws-region": region
            }
          });
        }
        this.addPublishJob((_branch, branchOptions) => {
          if (branchOptions.npmDistTag && options.distTag) {
            throw new Error("cannot set branch-level npmDistTag and npmDistTag in publishToNpm()");
          }
          return {
            name: "npm",
            publishTools: PUBLIB_TOOLCHAIN.js,
            prePublishSteps,
            run: this.publibCommand("publib-npm"),
            registryName: "npm",
            env: {
              NPM_DIST_TAG: branchOptions.npmDistTag ?? options.distTag ?? "latest",
              NPM_REGISTRY: options.registry
            },
            permissions: {
              idToken: isAwsCodeArtifactWithOidc ? workflows_model_1.JobPermission.WRITE : void 0,
              contents: workflows_model_1.JobPermission.READ,
              packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
            },
            workflowEnv: {
              NPM_TOKEN: npmToken ? secret(npmToken) : void 0,
              // if we are publishing to AWS CodeArtifact, pass AWS access keys that will be used to generate NPM_TOKEN using AWS CLI.
              AWS_ACCESS_KEY_ID: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID") : void 0,
              AWS_SECRET_ACCESS_KEY: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? secret(options.codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY") : void 0,
              AWS_ROLE_TO_ASSUME: isAwsCodeArtifact && !isAwsCodeArtifactWithOidc ? options.codeArtifactOptions?.roleToAssume : void 0
            }
          };
        });
      }
      /**
       * Publishes artifacts from `dotnet/**` to NuGet Gallery.
       * @param options Options
       */
      publishToNuget(options = {}) {
        const isGitHubPackages = options.nugetServer?.startsWith(GITHUB_PACKAGES_NUGET_REPOSITORY);
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "nuget",
          publishTools: PUBLIB_TOOLCHAIN.dotnet,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-nuget"),
          registryName: "NuGet Gallery",
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          },
          workflowEnv: {
            NUGET_API_KEY: secret(isGitHubPackages ? "GITHUB_TOKEN" : options.nugetApiKeySecret ?? "NUGET_API_KEY"),
            NUGET_SERVER: options.nugetServer ?? void 0
          }
        }));
      }
      /**
       * Publishes artifacts from `java/**` to Maven.
       * @param options Options
       */
      publishToMaven(options = {}) {
        const isGitHubPackages = options.mavenRepositoryUrl?.startsWith(GITHUB_PACKAGES_MAVEN_REPOSITORY);
        const isGitHubActor = isGitHubPackages && options.mavenUsername == void 0;
        const mavenServerId = options.mavenServerId ?? (isGitHubPackages ? "github" : void 0);
        if (isGitHubPackages && mavenServerId != "github") {
          throw new Error('publishing to GitHub Packages requires the "mavenServerId" to be "github"');
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "maven",
          registryName: "Maven Central",
          publishTools: PUBLIB_TOOLCHAIN.java,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-maven"),
          env: {
            MAVEN_ENDPOINT: options.mavenEndpoint,
            MAVEN_SERVER_ID: mavenServerId,
            MAVEN_REPOSITORY_URL: options.mavenRepositoryUrl
          },
          workflowEnv: {
            MAVEN_GPG_PRIVATE_KEY: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeySecret ?? "MAVEN_GPG_PRIVATE_KEY"),
            MAVEN_GPG_PRIVATE_KEY_PASSPHRASE: isGitHubPackages ? void 0 : secret(options.mavenGpgPrivateKeyPassphrase ?? "MAVEN_GPG_PRIVATE_KEY_PASSPHRASE"),
            MAVEN_PASSWORD: secret(options.mavenPassword ?? (isGitHubPackages ? "GITHUB_TOKEN" : "MAVEN_PASSWORD")),
            MAVEN_USERNAME: isGitHubActor ? "${{ github.actor }}" : secret(options.mavenUsername ?? "MAVEN_USERNAME"),
            MAVEN_STAGING_PROFILE_ID: isGitHubPackages ? void 0 : secret(options.mavenStagingProfileId ?? "MAVEN_STAGING_PROFILE_ID")
          },
          permissions: {
            contents: workflows_model_1.JobPermission.READ,
            packages: isGitHubPackages ? workflows_model_1.JobPermission.WRITE : void 0
          }
        }));
      }
      /**
       * Publishes wheel artifacts from `python` to PyPI.
       * @param options Options
       */
      publishToPyPi(options = {}) {
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "pypi",
          registryName: "PyPI",
          publishTools: PUBLIB_TOOLCHAIN.python,
          prePublishSteps: options.prePublishSteps ?? [],
          run: this.publibCommand("publib-pypi"),
          env: {
            TWINE_REPOSITORY_URL: options.twineRegistryUrl
          },
          workflowEnv: {
            TWINE_USERNAME: secret(options.twineUsernameSecret ?? "TWINE_USERNAME"),
            TWINE_PASSWORD: secret(options.twinePasswordSecret ?? "TWINE_PASSWORD")
          }
        }));
      }
      /**
       * Adds a go publishing job.
       * @param options Options
       */
      publishToGo(options = {}) {
        const prePublishSteps = options.prePublishSteps ?? [];
        const workflowEnv = {};
        if (options.githubUseSsh) {
          workflowEnv.GITHUB_USE_SSH = "true";
          workflowEnv.SSH_AUTH_SOCK = "/tmp/ssh_agent.sock";
          prePublishSteps.push({
            name: "Setup GitHub deploy key",
            run: 'ssh-agent -a ${SSH_AUTH_SOCK} && ssh-add - <<< "${GITHUB_DEPLOY_KEY}"',
            env: {
              GITHUB_DEPLOY_KEY: secret(options.githubDeployKeySecret ?? "GO_GITHUB_DEPLOY_KEY"),
              SSH_AUTH_SOCK: workflowEnv.SSH_AUTH_SOCK
            }
          });
        } else {
          workflowEnv.GITHUB_TOKEN = secret(options.githubTokenSecret ?? "GO_GITHUB_TOKEN");
        }
        this.addPublishJob((_branch, _branchOptions) => ({
          name: "golang",
          publishTools: PUBLIB_TOOLCHAIN.go,
          prePublishSteps,
          run: this.publibCommand("publib-golang"),
          registryName: "GitHub Go Module Repository",
          env: {
            GITHUB_REPO: options.githubRepo,
            GIT_BRANCH: options.gitBranch,
            GIT_USER_NAME: options.gitUserName ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.name,
            GIT_USER_EMAIL: options.gitUserEmail ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER.email,
            GIT_COMMIT_MESSAGE: options.gitCommitMessage
          },
          workflowEnv
        }));
      }
      addPublishJob(factory) {
        this._jobFactories.push((branch, branchOptions) => {
          const opts = factory(branch, branchOptions);
          const jobname = `release_${opts.name}`;
          if (jobname in this._jobFactories) {
            throw new Error(`Duplicate job with name "${jobname}"`);
          }
          const commandToRun = this.dryRun ? `echo "DRY RUN: ${opts.run}"` : opts.run;
          const requiredEnv = new Array();
          const jobEnv = { ...opts.env };
          const workflowEnvEntries = Object.entries(opts.workflowEnv ?? {}).filter(([_, value]) => value != void 0);
          for (const [name, expression] of workflowEnvEntries) {
            requiredEnv.push(name);
            jobEnv[name] = expression;
          }
          if (this.publishTasks) {
            const branchSuffix = branch === "main" || branch === "master" ? "" : `:${branch}`;
            const task = this.project.addTask(`publish:${opts.name.toLocaleLowerCase()}${branchSuffix}`, {
              description: `Publish this package to ${opts.registryName}`,
              env: opts.env,
              requiredEnv
            });
            task.exec(`test "$(git branch --show-current)" = "${branch}"`);
            task.exec(commandToRun);
          }
          const steps = [
            {
              name: "Download build artifacts",
              uses: "actions/download-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: ARTIFACTS_DOWNLOAD_DIR
                // this must be "dist" for publib
              }
            },
            {
              name: "Restore build artifact permissions",
              continueOnError: true,
              run: [
                `cd ${ARTIFACTS_DOWNLOAD_DIR} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
              ].join("\n")
            },
            ...opts.prePublishSteps,
            {
              name: "Release",
              // it would have been nice if we could just run "projen publish:xxx" here but that is not possible because this job does not checkout sources
              run: commandToRun,
              env: jobEnv
            }
          ];
          const perms = opts.permissions ?? { contents: workflows_model_1.JobPermission.READ };
          const container = this.workflowContainerImage ? {
            image: this.workflowContainerImage
          } : void 0;
          if (this.failureIssue) {
            steps.push(...[
              {
                name: "Extract Version",
                if: "${{ failure() }}",
                id: "extract-version",
                run: 'echo "VERSION=$(cat dist/version.txt)" >> $GITHUB_OUTPUT'
              },
              {
                name: "Create Issue",
                if: "${{ failure() }}",
                uses: "imjohnbo/issue-bot@v3",
                with: {
                  labels: this.failureIssueLabel,
                  title: `Publishing v\${{ steps.extract-version.outputs.VERSION }} to ${opts.registryName} failed`,
                  body: "See https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}"
                },
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                }
              }
            ]);
            Object.assign(perms, { issues: workflows_model_1.JobPermission.WRITE });
          }
          return {
            [jobname]: {
              tools: {
                node: { version: this.workflowNodeVersion },
                ...opts.publishTools
              },
              name: `Publish to ${opts.registryName}`,
              permissions: perms,
              if: this.condition,
              needs: [this.buildJobId],
              runsOn: this.runsOn,
              container,
              steps
            }
          };
        });
      }
      publibCommand(command) {
        return `npx -p publib@${this.publibVersion} ${command}`;
      }
      githubReleaseCommand(options, branchOptions) {
        const changelogFile = options.changelogFile;
        const releaseTagFile = options.releaseTagFile;
        const releaseTag = `$(cat ${releaseTagFile})`;
        const ghReleaseCommand = [
          `gh release create ${releaseTag}`,
          "-R $GITHUB_REPOSITORY",
          `-F ${changelogFile}`,
          `-t ${releaseTag}`,
          "--target $GITHUB_REF"
        ];
        if (branchOptions.prerelease) {
          ghReleaseCommand.push("-p");
        }
        const ghRelease = ghReleaseCommand.join(" ");
        const idempotentRelease = [
          "errout=$(mktemp);",
          `${ghRelease} 2> $errout && true;`,
          "exitcode=$?;",
          'if [ $exitcode -ne 0 ] && ! grep -q "Release.tag_name already exists" $errout; then',
          "cat $errout;",
          "exit $exitcode;",
          "fi"
        ].join(" ");
        return idempotentRelease;
      }
    };
    exports2.Publisher = Publisher;
    _a = JSII_RTTI_SYMBOL_1;
    Publisher[_a] = { fqn: "projen.release.Publisher", version: "0.71.112" };
    Publisher.PUBLISH_GIT_TASK_NAME = "publish:git";
    function secret(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    function isAwsCodeArtifactRegistry(registryUrl) {
      return registryUrl && AWS_CODEARTIFACT_REGISTRY_REGEX.test(registryUrl);
    }
    exports2.isAwsCodeArtifactRegistry = isAwsCodeArtifactRegistry;
  }
});

// ../../components/workflows/node_modules/projen/lib/release/release-trigger.js
var require_release_trigger4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/release/release-trigger.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReleaseTrigger = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var ReleaseTrigger = class _ReleaseTrigger {
      /**
       * Creates a manual release trigger.
       *
       * Use this option if you want totally manual releases.
       *
       * This will give you a release task that, in addition to the normal
       * release activities will trigger a `publish:git` task. This task will
       * handle project-level changelog management, release tagging, and pushing
       * these artifacts to origin.
       *
       * The command used for pushing can be customised by specifying
       * `gitPushCommand`. Set to an empty string to disable pushing entirely.
       *
       * Simply run `yarn release` to trigger a manual release.
       *
       * @param options release options
       */
      static manual(options = {}) {
        let changelogPath;
        if (options.changelog ?? true) {
          changelogPath = options.changelogPath ?? "CHANGELOG.md";
        }
        return new _ReleaseTrigger({
          changelogPath,
          gitPushCommand: options.gitPushCommand
        });
      }
      /**
       * Creates a scheduled release trigger.
       *
       * Automated releases will occur based on the provided cron schedule.
       *
       * @param options release options.
       */
      static scheduled(options) {
        return new _ReleaseTrigger({
          schedule: options.schedule
        });
      }
      /**
       * Creates a continuous release trigger.
       *
       * Automated releases will occur on every commit.
       */
      static continuous() {
        return new _ReleaseTrigger({
          continuous: true
        });
      }
      constructor(options = {}) {
        this.isContinuous = options.continuous ?? false;
        this.schedule = options.schedule;
        this.changelogPath = options.changelogPath;
        this.gitPushCommand = options.gitPushCommand;
      }
      /**
       * Whether or not this is a manual release trigger.
       */
      get isManual() {
        return !(this.isContinuous || this.schedule);
      }
    };
    exports2.ReleaseTrigger = ReleaseTrigger;
    _a = JSII_RTTI_SYMBOL_1;
    ReleaseTrigger[_a] = { fqn: "projen.release.ReleaseTrigger", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/actions-provider.js
var require_actions_provider4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/actions-provider.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubActionsProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var GitHubActionsProvider = class {
      constructor() {
        this.actions = /* @__PURE__ */ new Map();
      }
      /**
       * Define an override for a given action.
       *
       * Specify the action name without a version to override all usages of the action.
       * You can also override a specific action version, by providing the version string.
       * Specific overrides take precedence over overrides without a version.
       *
       * If an override for the same action name is set multiple times, the last override is used.
       *
       * @example
       * // Force any use of `actions/checkout` to use a pin a specific commit
       * project.github.actions.set("actions/checkout", "actions/checkout@aaaaaa");
       *
       * // But pin usage of `v3` to a different commit
       * project.github.actions.set("actions/checkout@v3", "actions/checkout@ffffff");
       */
      set(action, override) {
        this.actions.set(action, override);
      }
      /**
       * Resolve an action name to the version that should be used,
       * taking into account any overrides.
       */
      get(action) {
        const parts = action.split("@", 1);
        return this.actions.get(action) ?? this.actions.get(parts[0]) ?? action;
      }
    };
    exports2.GitHubActionsProvider = GitHubActionsProvider;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubActionsProvider[_a] = { fqn: "projen.github.GitHubActionsProvider", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/dependabot.js
var require_dependabot4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/dependabot.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Dependabot = exports2.VersioningStrategy = exports2.DependabotScheduleInterval = exports2.DependabotRegistryType = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var util_1 = require_util20();
    var yaml_1 = require_yaml4();
    var DependabotRegistryType;
    (function(DependabotRegistryType2) {
      DependabotRegistryType2["COMPOSER_REGISTRY"] = "composer-registry";
      DependabotRegistryType2["DOCKER_REGISTRY"] = "docker-registry";
      DependabotRegistryType2["GIT"] = "git";
      DependabotRegistryType2["HEX_ORGANIZATION"] = "hex-organization";
      DependabotRegistryType2["MAVEN_REPOSITORY"] = "maven-repository";
      DependabotRegistryType2["NPM_REGISTRY"] = "npm-registry";
      DependabotRegistryType2["NUGET_FEED"] = "nuget-feed";
      DependabotRegistryType2["PYTHON_INDEX"] = "python-index";
      DependabotRegistryType2["RUBYGEMS_SERVER"] = "rubygems-server";
      DependabotRegistryType2["TERRAFORM_REGISTRY"] = "terraform-registry";
    })(DependabotRegistryType || (exports2.DependabotRegistryType = DependabotRegistryType = {}));
    var DependabotScheduleInterval;
    (function(DependabotScheduleInterval2) {
      DependabotScheduleInterval2["DAILY"] = "daily";
      DependabotScheduleInterval2["WEEKLY"] = "weekly";
      DependabotScheduleInterval2["MONTHLY"] = "monthly";
    })(DependabotScheduleInterval || (exports2.DependabotScheduleInterval = DependabotScheduleInterval = {}));
    var VersioningStrategy;
    (function(VersioningStrategy2) {
      VersioningStrategy2["LOCKFILE_ONLY"] = "lockfile-only";
      VersioningStrategy2["AUTO"] = "auto";
      VersioningStrategy2["WIDEN"] = "widen";
      VersioningStrategy2["INCREASE"] = "increase";
      VersioningStrategy2["INCREASE_IF_NECESSARY"] = "increase-if-necessary";
    })(VersioningStrategy || (exports2.VersioningStrategy = VersioningStrategy = {}));
    var Dependabot = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const project = github.project;
        this.ignore = [];
        this.ignoresProjen = options.ignoreProjen ?? true;
        const registries = options.registries ? (0, util_1.kebabCaseKeys)(options.registries) : void 0;
        this.config = {
          version: 2,
          registries,
          updates: [
            {
              "package-ecosystem": "npm",
              "versioning-strategy": "lockfile-only",
              directory: "/",
              schedule: {
                interval: options.scheduleInterval ?? DependabotScheduleInterval.DAILY
              },
              ignore: () => this.ignore.length > 0 ? this.ignore : void 0,
              labels: options.labels ? options.labels : void 0,
              registries: registries ? Object.keys(registries) : void 0
            }
          ]
        };
        new yaml_1.YamlFile(project, ".github/dependabot.yml", {
          obj: this.config,
          committed: true
        });
        for (const i of options.ignore ?? []) {
          this.addIgnore(i.dependencyName, ...i.versions ?? []);
        }
        if (this.ignoresProjen) {
          this.addIgnore("projen");
        }
      }
      /**
       * Ignores a dependency from automatic updates.
       *
       * @param dependencyName Use to ignore updates for dependencies with matching
       * names, optionally using `*` to match zero or more characters.
       * @param versions Use to ignore specific versions or ranges of versions. If
       * you want to define a range, use the standard pattern for the package
       * manager (for example: `^1.0.0` for npm, or `~> 2.0` for Bundler).
       */
      addIgnore(dependencyName, ...versions) {
        this.ignore.push({
          "dependency-name": dependencyName,
          versions: () => versions.length > 0 ? versions : void 0
        });
      }
    };
    exports2.Dependabot = Dependabot;
    _a = JSII_RTTI_SYMBOL_1;
    Dependabot[_a] = { fqn: "projen.github.Dependabot", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/github-credentials.js
var require_github_credentials4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/github-credentials.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubCredentials = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var util_1 = require_util20();
    var GithubCredentials = class _GithubCredentials {
      /**
       * Provide API access through a GitHub personal access token.
       *
       * The token must be added as a secret to the GitHub repo, and the name of the
       * secret can be specified here.
       *
       * @see https://docs.github.com/en/authentication/keeping-your-account-and-data-secure/creating-a-personal-access-token
       * @default - a secret named "PROJEN_GITHUB_TOKEN"
       */
      static fromPersonalAccessToken(options = {}) {
        return new _GithubCredentials({
          setupSteps: [],
          tokenRef: `\${{ secrets.${options.secret ?? "PROJEN_GITHUB_TOKEN"} }}`
        });
      }
      /**
       * Provide API access through a GitHub App.
       *
       * The GitHub App must be installed on the GitHub repo, its App ID and a
       * private key must be added as secrets to the repo. The name of the secrets
       * can be specified here.
       *
       * @see https://docs.github.com/en/developers/apps/building-github-apps/creating-a-github-app
       * @see https://projen.io/github.html#github-app
       * @default - app id stored in "PROJEN_APP_ID" and private key stored in "PROJEN_APP_PRIVATE_KEY" with all permissions attached to the app
       */
      static fromApp(options = {}) {
        const appIdSecret = options.appIdSecret ?? "PROJEN_APP_ID";
        const privateKeySecret = options.privateKeySecret ?? "PROJEN_APP_PRIVATE_KEY";
        return new _GithubCredentials({
          setupSteps: [
            {
              name: "Generate token",
              id: "generate_token",
              uses: "tibdex/github-app-token@021a2405c7f990db57f5eae5397423dcc554159c",
              with: {
                app_id: `\${{ secrets.${appIdSecret} }}`,
                private_key: `\${{ secrets.${privateKeySecret} }}`,
                permissions: options.permissions ? JSON.stringify((0, util_1.snakeCaseKeys)(options.permissions)) : void 0
              }
            }
          ],
          tokenRef: "${{ steps.generate_token.outputs.token }}"
        });
      }
      constructor(options) {
        this.options = options;
      }
      /**
       * Setup steps to obtain GitHub credentials.
       */
      get setupSteps() {
        return [...this.options.setupSteps];
      }
      /**
       * The value to use in a workflow when a GitHub token is expected. This
       * typically looks like "${{ some.path.to.a.value }}".
       */
      get tokenRef() {
        return this.options.tokenRef;
      }
    };
    exports2.GithubCredentials = GithubCredentials;
    _a = JSII_RTTI_SYMBOL_1;
    GithubCredentials[_a] = { fqn: "projen.github.GithubCredentials", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/mergify.js
var require_mergify4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/mergify.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Mergify = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var util_1 = require_util20();
    var yaml_1 = require_yaml4();
    var Mergify = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.rules = new Array();
        this.queues = new Array();
        for (const rule of options.rules ?? []) {
          this.addRule(rule);
        }
        for (const queue of options.queues ?? []) {
          this.addQueue(queue);
        }
      }
      createYamlFile() {
        if (this.yamlFile == null) {
          this.yamlFile = new yaml_1.YamlFile(this.project, ".mergify.yml", {
            obj: {
              queue_rules: () => this.queues.map((q) => (0, util_1.snakeCaseKeys)(q, false)),
              pull_request_rules: this.rules
            },
            // Mergify needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      addRule(rule) {
        this.rules.push(rule);
        this.createYamlFile();
      }
      addQueue(queue) {
        this.queues.push(queue);
        this.createYamlFile();
      }
    };
    exports2.Mergify = Mergify;
    _a = JSII_RTTI_SYMBOL_1;
    Mergify[_a] = { fqn: "projen.github.Mergify", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/pr-template.js
var require_pr_template4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/pr-template.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestTemplate = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var textfile_1 = require_textfile4();
    var PullRequestTemplate = class extends textfile_1.TextFile {
      constructor(github, options = {}) {
        super(github.project, ".github/pull_request_template.md", {
          lines: options.lines && options.lines?.length > 0 ? options.lines : ["Fixes #"],
          marker: false,
          // GitHub needs to read the file from the repository in order to work.
          committed: true
        });
      }
    };
    exports2.PullRequestTemplate = PullRequestTemplate;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestTemplate[_a] = { fqn: "projen.github.PullRequestTemplate", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/pull-request-lint.js
var require_pull_request_lint4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/pull-request-lint.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PullRequestLint = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model4();
    var component_1 = require_component4();
    var PullRequestLint = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        if (options.semanticTitle ?? true) {
          const opts = options.semanticTitleOptions ?? {};
          const types = opts.types ?? ["feat", "fix", "chore"];
          const validateJob = {
            name: "Validate PR title",
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "amannn/action-semantic-pull-request@v5.0.2",
                env: {
                  GITHUB_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
                },
                with: {
                  types: types.join("\n"),
                  requireScope: opts.requireScope ?? false
                }
              }
            ]
          };
          const workflow = github.addWorkflow("pull-request-lint");
          workflow.on({
            pullRequestTarget: {
              types: [
                "labeled",
                "opened",
                "synchronize",
                "reopened",
                "ready_for_review",
                "edited"
              ]
            }
          });
          workflow.addJobs({ validate: validateJob });
        }
      }
    };
    exports2.PullRequestLint = PullRequestLint;
    _a = JSII_RTTI_SYMBOL_1;
    PullRequestLint[_a] = { fqn: "projen.github.PullRequestLint", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/workflows.js
var require_workflows4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/workflows.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GithubWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var case_1 = require_Case4();
    var _resolve_1 = require_resolve4();
    var component_1 = require_component4();
    var util_1 = require_util20();
    var yaml_1 = require_yaml4();
    var GithubWorkflow = class extends component_1.Component {
      constructor(github, name, options = {}) {
        super(github.project);
        this.events = {};
        this.jobs = {};
        this.name = name;
        this.concurrency = options.concurrency;
        this.projenCredentials = github.projenCredentials;
        this.actions = github.actions;
        const workflowsEnabled = github.workflowsEnabled || options.force;
        if (workflowsEnabled) {
          this.file = new yaml_1.YamlFile(this.project, `.github/workflows/${name.toLocaleLowerCase()}.yml`, {
            obj: () => this.renderWorkflow(),
            // GitHub needs to read the file from the repository in order to work.
            committed: true
          });
        }
      }
      /**
       * Add events to triggers the workflow.
       *
       * @param events The event(s) to trigger the workflow.
       */
      on(events) {
        this.events = {
          ...this.events,
          ...events
        };
      }
      /**
       * Adds a single job to the workflow.
       * @param id The job name (unique within the workflow)
       * @param job The job specification
       */
      addJob(id, job) {
        this.addJobs({ [id]: job });
      }
      /**
       * Add jobs to the workflow.
       *
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        verifyJobConstraints(jobs);
        this.jobs = {
          ...this.jobs,
          ...jobs
        };
      }
      /**
       * Get a single job from the workflow.
       * @param id The job name (unique within the workflow)
       */
      getJob(id) {
        return this.jobs[id];
      }
      /**
       * Updates a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      updateJob(id, job) {
        this.updateJobs({ [id]: job });
      }
      /**
       * Updates jobs for this worklow
       * Does a complete replace, it does not try to merge the jobs
       *
       * @param jobs Jobs to update.
       */
      updateJobs(jobs) {
        verifyJobConstraints(jobs);
        const newJobIds = Object.keys(jobs);
        const updatedJobs = Object.entries(this.jobs).map(([jobId, job]) => {
          if (newJobIds.includes(jobId)) {
            return [jobId, jobs[jobId]];
          }
          return [jobId, job];
        });
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      /**
       * Removes a single job to the workflow.
       * @param id The job name (unique within the workflow)
       */
      removeJob(id) {
        const updatedJobs = Object.entries(this.jobs).filter(([jobId]) => jobId !== id);
        this.jobs = {
          ...Object.fromEntries(updatedJobs)
        };
      }
      renderWorkflow() {
        return {
          name: this.name,
          "run-name": this.runName,
          on: snakeCaseKeys(this.events),
          concurrency: this.concurrency,
          jobs: renderJobs(this.jobs, this.actions)
        };
      }
    };
    exports2.GithubWorkflow = GithubWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    GithubWorkflow[_a] = { fqn: "projen.github.GithubWorkflow", version: "0.71.112" };
    function snakeCaseKeys(obj) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map(snakeCaseKeys);
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null) {
          v = snakeCaseKeys(v);
        }
        result[(0, case_1.snake)(k)] = v;
      }
      return result;
    }
    function renderJobs(jobs, actions) {
      const result = {};
      for (const [name, job] of Object.entries(jobs)) {
        result[name] = renderJob(job);
      }
      return result;
      function renderJob(job) {
        const steps = new Array();
        if ("uses" in job) {
          return {
            name: job.name,
            needs: arrayOrScalar(job.needs),
            if: job.if,
            permissions: (0, util_1.kebabCaseKeys)(job.permissions),
            concurrency: job.concurrency,
            uses: job.uses,
            with: job.with,
            secrets: job.secrets,
            strategy: renderJobStrategy(job.strategy)
          };
        }
        if (job.tools) {
          steps.push(...setupTools(job.tools));
        }
        const userDefinedSteps = (0, util_1.kebabCaseKeys)((0, _resolve_1.resolve)(job.steps), false);
        steps.push(...userDefinedSteps);
        return {
          name: job.name,
          needs: arrayOrScalar(job.needs),
          "runs-on": arrayOrScalar(job.runsOn),
          permissions: (0, util_1.kebabCaseKeys)(job.permissions),
          environment: job.environment,
          concurrency: job.concurrency,
          outputs: renderJobOutputs(job.outputs),
          env: job.env,
          defaults: (0, util_1.kebabCaseKeys)(job.defaults),
          if: job.if,
          steps: steps.map(renderStep),
          "timeout-minutes": job.timeoutMinutes,
          strategy: renderJobStrategy(job.strategy),
          "continue-on-error": job.continueOnError,
          container: job.container,
          services: job.services
        };
      }
      function renderJobOutputs(output) {
        if (output == null) {
          return void 0;
        }
        const rendered = {};
        for (const [name, { stepId, outputName }] of Object.entries(output)) {
          rendered[name] = `\${{ steps.${stepId}.outputs.${outputName} }}`;
        }
        return rendered;
      }
      function renderJobStrategy(strategy) {
        if (strategy == null) {
          return void 0;
        }
        const rendered = {
          "max-parallel": strategy.maxParallel,
          "fail-fast": strategy.failFast
        };
        if (strategy.matrix) {
          const matrix = {
            include: strategy.matrix.include,
            exclude: strategy.matrix.exclude
          };
          for (const [key, values] of Object.entries(strategy.matrix.domain ?? {})) {
            if (key in matrix) {
              throw new Error(`Illegal job strategy matrix key: ${key}`);
            }
            matrix[key] = values;
          }
          rendered.matrix = matrix;
        }
        return rendered;
      }
      function renderStep(step) {
        return {
          name: step.name,
          id: step.id,
          if: step.if,
          uses: step.uses && actions.get(step.uses),
          env: step.env,
          run: step.run,
          with: step.with,
          "continue-on-error": step.continueOnError,
          "timeout-minutes": step.timeoutMinutes,
          "working-directory": step.workingDirectory
        };
      }
    }
    function arrayOrScalar(arr) {
      if (arr == null || arr.length === 0) {
        return arr;
      }
      if (arr.length === 1) {
        return arr[0];
      }
      return arr;
    }
    function setupTools(tools) {
      const steps = [];
      if (tools.java) {
        steps.push({
          uses: "actions/setup-java@v3",
          with: { distribution: "temurin", "java-version": tools.java.version }
        });
      }
      if (tools.node) {
        steps.push({
          uses: "actions/setup-node@v3",
          with: { "node-version": tools.node.version }
        });
      }
      if (tools.python) {
        steps.push({
          uses: "actions/setup-python@v4",
          with: { "python-version": tools.python.version }
        });
      }
      if (tools.go) {
        steps.push({
          uses: "actions/setup-go@v3",
          with: { "go-version": tools.go.version }
        });
      }
      if (tools.dotnet) {
        steps.push({
          uses: "actions/setup-dotnet@v3",
          with: { "dotnet-version": tools.dotnet.version }
        });
      }
      return steps;
    }
    function verifyJobConstraints(jobs) {
      for (const [id, job] of Object.entries(jobs)) {
        if (!job.permissions) {
          throw new Error(`${id}: all workflow jobs must have a "permissions" clause to ensure workflow can operate in restricted repositories`);
        }
      }
      for (const [id, job] of Object.entries(jobs)) {
        if (!("uses" in job)) {
          if ("runsOn" in job && job.runsOn.length === 0) {
            throw new Error(`${id}: at least one runner selector labels must be provided in "runsOn" to ensure a runner instance can be selected`);
          }
        }
      }
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/github/github.js
var require_github7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/github.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHub = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var actions_provider_1 = require_actions_provider4();
    var dependabot_1 = require_dependabot4();
    var github_credentials_1 = require_github_credentials4();
    var mergify_1 = require_mergify4();
    var pr_template_1 = require_pr_template4();
    var pull_request_lint_1 = require_pull_request_lint4();
    var workflows_1 = require_workflows4();
    var component_1 = require_component4();
    var GitHub = class _GitHub extends component_1.Component {
      /**
       * Returns the `GitHub` component of a project or `undefined` if the project
       * does not have a GitHub component.
       */
      static of(project) {
        const isGitHub = (c) => c instanceof _GitHub;
        return project.components.find(isGitHub);
      }
      constructor(project, options = {}) {
        super(project);
        this.actions = new actions_provider_1.GitHubActionsProvider();
        this.workflowsEnabled = options.workflows ?? true;
        this._downloadLfs = options.downloadLfs;
        if (options.projenCredentials && options.projenTokenSecret) {
          throw new Error("projenTokenSecret is deprecated, please use projenCredentials instead");
        }
        if (options.projenTokenSecret) {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: options.projenTokenSecret
          });
        } else if (options.projenCredentials) {
          this.projenCredentials = options.projenCredentials;
        } else {
          this.projenCredentials = github_credentials_1.GithubCredentials.fromPersonalAccessToken({
            secret: "PROJEN_GITHUB_TOKEN"
          });
        }
        if (options.mergify ?? true) {
          this.mergify = new mergify_1.Mergify(this, options.mergifyOptions);
        }
        if (options.pullRequestLint ?? true) {
          new pull_request_lint_1.PullRequestLint(this, options.pullRequestLintOptions);
        }
      }
      /**
       * All workflows.
       */
      get workflows() {
        const isWorkflow = (c) => c instanceof workflows_1.GithubWorkflow;
        return this.project.components.filter(isWorkflow).sort((w1, w2) => w1.name.localeCompare(w2.name));
      }
      /**
       * Adds a workflow to the project.
       * @param name Name of the workflow
       * @returns a GithubWorkflow instance
       */
      addWorkflow(name) {
        const workflow = new workflows_1.GithubWorkflow(this, name);
        return workflow;
      }
      addPullRequestTemplate(...content) {
        return new pr_template_1.PullRequestTemplate(this, { lines: content });
      }
      addDependabot(options) {
        return new dependabot_1.Dependabot(this, options);
      }
      /**
       * Finds a GitHub workflow by name. Returns `undefined` if the workflow cannot be found.
       * @param name The name of the GitHub workflow
       */
      tryFindWorkflow(name) {
        return this.workflows.find((w) => w.name === name);
      }
      /**
       * Whether downloading from LFS is enabled for this GitHub project
       */
      get downloadLfs() {
        return this._downloadLfs ?? this.project.gitattributes.hasLfsPatterns;
      }
    };
    exports2.GitHub = GitHub;
    _a = JSII_RTTI_SYMBOL_1;
    GitHub[_a] = { fqn: "projen.github.GitHub", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/auto-merge.js
var require_auto_merge4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/auto-merge.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoMerge = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var AutoMerge = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.lazyConditions = new Array();
        const mergify = github.mergify;
        if (!mergify) {
          throw new Error("auto merging requires mergify to be enabled");
        }
        const blockingLabels = options.blockingLabels ?? ["do-not-merge"];
        const blockingCondition = blockingLabels?.length ? [`-label~=(${blockingLabels.join("|")})`] : [];
        const mergeAction = {
          delete_head_branch: {},
          queue: {
            // squash all commits into a single commit when merging
            // method: "squash",
            method: "squash",
            name: "default",
            // use PR title+body as the commit message
            commit_message_template: [
              "{{ title }} (#{{ number }})",
              "",
              "{{ body }}"
            ].join("\n")
          }
        };
        const approvedReviews = options.approvedReviews ?? 1;
        this.addConditions(`#approved-reviews-by>=${approvedReviews}`);
        this.addConditions(...blockingCondition);
        mergify.addRule({
          name: "Automatic merge on approval and successful build",
          actions: mergeAction,
          conditions: () => this.renderConditions()
        });
        mergify.addQueue({
          name: "default",
          updateMethod: "merge",
          conditions: () => this.renderConditions()
        });
        this.project.addPackageIgnore("/.mergify.yml");
      }
      /**
       * Adds conditions to the auto merge rule.
       * @param conditions The conditions to add (mergify syntax)
       */
      addConditions(...conditions) {
        this.addConditionsLater({ render: () => conditions });
      }
      /**
       * Adds conditions that will be rendered only during synthesis.
       * @param later The later
       */
      addConditionsLater(later) {
        this.lazyConditions.push(later);
      }
      renderConditions() {
        const output = new Array();
        for (const later of this.lazyConditions) {
          output.push(...later.render());
        }
        return output;
      }
    };
    exports2.AutoMerge = AutoMerge;
    _a = JSII_RTTI_SYMBOL_1;
    AutoMerge[_a] = { fqn: "projen.github.AutoMerge", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/auto-approve.js
var require_auto_approve4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/auto-approve.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoApprove = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var workflows_model_1 = require_workflows_model4();
    var component_1 = require_component4();
    var AutoApprove = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        this.label = options.label ?? "auto-approve";
        const usernames = options.allowedUsernames ?? ["github-actions[bot]"];
        let condition = `contains(github.event.pull_request.labels.*.name, '${this.label}')`;
        if (usernames.length > 0) {
          condition += " && (";
          condition += usernames.map((u) => `github.event.pull_request.user.login == '${u}'`).join(" || ");
          condition += ")";
        }
        const secret = options.secret ?? "GITHUB_TOKEN";
        const approveJob = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          permissions: {
            pullRequests: workflows_model_1.JobPermission.WRITE
          },
          if: condition,
          steps: [
            {
              uses: "hmarr/auto-approve-action@v2.2.1",
              with: {
                "github-token": `\${{ secrets.${secret} }}`
              }
            }
          ]
        };
        const workflow = github.addWorkflow("auto-approve");
        workflow.on({
          // The 'pull request' event gives the workflow 'read-only' permissions on some
          // pull requests (such as the ones from dependabot) when using the `GITHUB_TOKEN`
          // security token. This prevents the workflow from approving these pull requests.
          // Github has placed this guard so as to prevent security attacks by simply opening
          // a pull request and triggering a workflow on a commit that was not vetted to make
          // unintended changes to the repository.
          //
          // Instead use the 'pull request target' event here that gives the Github workflow
          // 'read-write' permissions. This is safe because, this event, unlike the 'pull request'
          // event references the BASE commit of the pull request and not the HEAD commit.
          pullRequestTarget: {
            types: [
              "labeled",
              "opened",
              "synchronize",
              "reopened",
              "ready_for_review"
            ]
          }
        });
        workflow.addJobs({ approve: approveJob });
      }
    };
    exports2.AutoApprove = AutoApprove;
    _a = JSII_RTTI_SYMBOL_1;
    AutoApprove[_a] = { fqn: "projen.github.AutoApprove", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/stale-util.js
var require_stale_util4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/stale-util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.renderBehavior = void 0;
    function renderBehavior(behavior, opts) {
      const enabled = behavior?.enabled ?? true;
      if (!enabled) {
        return { daysBeforeStale: -1, daysBeforeClose: -1 };
      }
      const exemptLabels = behavior?.exemptLabels ?? ["backlog"];
      const messageSuffix = exemptLabels.length > 0 ? ` If you wish to exclude this issue from being marked as stale, add the "${exemptLabels[0]}" label.` : "";
      return {
        daysBeforeStale: behavior?.daysBeforeStale ?? opts.stale,
        daysBeforeClose: behavior?.daysBeforeClose ?? opts.close,
        staleMessage: behavior?.staleMessage ?? `This ${opts.type} is now marked as stale because it hasn't seen activity for a while. Add a comment or it will be closed soon.${messageSuffix}`,
        closeMessage: behavior?.closeMessage ?? `Closing this ${opts.type} as it hasn't seen activity for a while. Please add a comment @mentioning a maintainer to reopen.${messageSuffix}`,
        staleLabel: behavior?.staleLabel ?? "stale",
        exemptLabels
      };
    }
    exports2.renderBehavior = renderBehavior;
  }
});

// ../../components/workflows/node_modules/projen/lib/github/stale.js
var require_stale4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/stale.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Stale = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var stale_util_1 = require_stale_util4();
    var workflows_model_1 = require_workflows_model4();
    var component_1 = require_component4();
    var Stale = class extends component_1.Component {
      constructor(github, options = {}) {
        super(github.project);
        const stale = github.addWorkflow("stale");
        stale.on({
          schedule: [{ cron: "0 1 * * *" }],
          workflowDispatch: {}
        });
        const pullRequests = (0, stale_util_1.renderBehavior)(options.pullRequest, {
          stale: 14,
          close: 2,
          type: "pull request"
        });
        const issues = (0, stale_util_1.renderBehavior)(options.issues, {
          stale: 60,
          close: 7,
          type: "issue"
        });
        const renderExemptLabels = (exemptLabels) => {
          if (!exemptLabels || exemptLabels.length === 0) {
            return void 0;
          }
          return exemptLabels.join(",");
        };
        stale.addJobs({
          stale: {
            runsOn: options.runsOn ?? ["ubuntu-latest"],
            permissions: {
              issues: workflows_model_1.JobPermission.WRITE,
              pullRequests: workflows_model_1.JobPermission.WRITE
            },
            steps: [
              {
                uses: "actions/stale@v4",
                with: {
                  // disable global
                  "days-before-stale": -1,
                  "days-before-close": -1,
                  // pull requests
                  "days-before-pr-stale": pullRequests.daysBeforeStale,
                  "days-before-pr-close": pullRequests.daysBeforeClose,
                  "stale-pr-message": pullRequests.staleMessage,
                  "close-pr-message": pullRequests.closeMessage,
                  "stale-pr-label": pullRequests.staleLabel,
                  "exempt-pr-labels": renderExemptLabels(pullRequests.exemptLabels),
                  // issues
                  "days-before-issue-stale": issues.daysBeforeStale,
                  "days-before-issue-close": issues.daysBeforeClose,
                  "stale-issue-message": issues.staleMessage,
                  "close-issue-message": issues.closeMessage,
                  "stale-issue-label": issues.staleLabel,
                  "exempt-issue-labels": renderExemptLabels(issues.exemptLabels)
                }
              }
            ]
          }
        });
      }
    };
    exports2.Stale = Stale;
    _a = JSII_RTTI_SYMBOL_1;
    Stale[_a] = { fqn: "projen.github.Stale", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/workflow-actions.js
var require_workflow_actions4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/workflow-actions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowActions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants13();
    function context(value) {
      return `\${{ ${value} }}`;
    }
    var REPO = context("github.repository");
    var RUN_ID = context("github.run_id");
    var RUN_URL = `https://github.com/${REPO}/actions/runs/${RUN_ID}`;
    var GIT_PATCH_FILE_DEFAULT = ".repo.patch";
    var RUNNER_TEMP = "${{ runner.temp }}";
    var WorkflowActions = class {
      /**
       * Creates a .patch file from the current git diff and uploads it as an
       * artifact. Use `checkoutWithPatch` to download and apply in another job.
       *
       * If a patch was uploaded, the action can optionally fail the job.
       *
       * @param options Options
       * @returns Job steps
       */
      static uploadGitPatch(options) {
        const MUTATIONS_FOUND = `steps.${options.stepId}.outputs.${options.outputName}`;
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        const steps = [
          {
            id: options.stepId,
            name: options.stepName ?? "Find mutations",
            run: [
              "git add .",
              `git diff --staged --patch --exit-code > ${GIT_PATCH_FILE} || echo "${options.outputName}=true" >> $GITHUB_OUTPUT`
            ].join("\n")
          },
          {
            if: MUTATIONS_FOUND,
            name: "Upload patch",
            uses: "actions/upload-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: GIT_PATCH_FILE }
          }
        ];
        if (options.mutationError) {
          steps.push({
            name: "Fail build on mutation",
            if: MUTATIONS_FOUND,
            run: [
              `echo "::error::${options.mutationError}"`,
              `cat ${GIT_PATCH_FILE}`,
              "exit 1"
            ].join("\n")
          });
        }
        return steps;
      }
      /**
       * Checks out a repository and applies a git patch that was created using
       * `uploadGitPatch`.
       *
       * @param options Options
       * @returns Job steps
       */
      static checkoutWithPatch(options = {}) {
        const GIT_PATCH_FILE = options.patchFile ?? GIT_PATCH_FILE_DEFAULT;
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              token: options.token,
              ref: options.ref,
              repository: options.repository,
              ...options.lfs ? { lfs: true } : {}
            }
          },
          {
            name: "Download patch",
            uses: "actions/download-artifact@v3",
            with: { name: GIT_PATCH_FILE, path: RUNNER_TEMP }
          },
          {
            name: "Apply patch",
            run: `[ -s ${RUNNER_TEMP}/${GIT_PATCH_FILE} ] && git apply ${RUNNER_TEMP}/${GIT_PATCH_FILE} || echo "Empty patch. Skipping."`
          }
        ];
      }
      /**
       * Configures the git identity (user name and email).
       * @param id The identity to use
       * @returns Job steps
       */
      static setupGitIdentity(id) {
        return [
          {
            name: "Set git identity",
            run: [
              `git config user.name "${id.name}"`,
              `git config user.email "${id.email}"`
            ].join("\n")
          }
        ];
      }
      /**
       * A step that creates a pull request based on the current repo state.
       *
       * @param options Options
       * @returns Job steps
       */
      static createPullRequest(options) {
        const workflowName = options.workflowName;
        const branchName = options.branchName ?? `github-actions/${workflowName}`;
        const stepId = options.stepId ?? "create-pr";
        const stepName = options.stepName ?? "Create Pull Request";
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const committer = `${gitIdentity.name} <${gitIdentity.email}>`;
        const pullRequestDescription = options.pullRequestDescription.trimEnd().endsWith(".") ? options.pullRequestDescription.trimEnd() : `${options.pullRequestDescription.trimEnd()}.`;
        const title = options.pullRequestTitle;
        const description = [
          `${pullRequestDescription} See details in [workflow run].`,
          "",
          `[Workflow Run]: ${RUN_URL}`,
          "",
          "------",
          "",
          `*Automatically created by projen via the "${workflowName}" workflow*`
        ].join("\n");
        return [
          {
            name: stepName,
            id: stepId,
            uses: "peter-evans/create-pull-request@v4",
            with: {
              token: options.credentials?.tokenRef,
              "commit-message": `${title}

${description}`,
              branch: branchName,
              base: options.baseBranch,
              title,
              labels: options.labels?.join(",") || void 0,
              assignees: options.assignees?.join(",") || void 0,
              body: description,
              author: committer,
              committer,
              signoff: options.signoff ?? true
            }
          }
        ];
      }
    };
    exports2.WorkflowActions = WorkflowActions;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowActions[_a] = { fqn: "projen.github.WorkflowActions", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/workflow-jobs.js
var require_workflow_jobs4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/workflow-jobs.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowJobs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_github8();
    var constants_1 = require_constants13();
    var WorkflowJobs = class {
      /**
       * Creates a pull request with the changes of a patch file.
       *
       * @returns Job
       */
      static pullRequestFromPatch(options) {
        const jobName = options.jobName ?? "Create Pull Request";
        const runsOn = options.runsOn ?? ["ubuntu-latest"];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        const steps = [
          ...options.credentials?.setupSteps || [],
          ..._1.WorkflowActions.checkoutWithPatch(options.patch),
          ..._1.WorkflowActions.setupGitIdentity(gitIdentity),
          ..._1.WorkflowActions.createPullRequest({
            ...options,
            gitIdentity
          })
        ];
        return {
          name: jobName,
          if: `\${{ needs.${options.patch.jobId}.outputs.${options.patch.outputName} }}`,
          needs: [options.patch.jobId],
          permissions: {
            contents: _1.workflows.JobPermission.READ
          },
          runsOn,
          steps
        };
      }
    };
    exports2.WorkflowJobs = WorkflowJobs;
    _a = JSII_RTTI_SYMBOL_1;
    WorkflowJobs[_a] = { fqn: "projen.github.WorkflowJobs", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/task-workflow.js
var require_task_workflow4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/task-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TaskWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var constants_1 = require_constants13();
    var workflow_actions_1 = require_workflow_actions4();
    var workflows_1 = require_workflows4();
    var DEFAULT_JOB_ID = "build";
    var TaskWorkflow = class extends workflows_1.GithubWorkflow {
      constructor(github, options) {
        super(github, options.name);
        this.jobId = options.jobId ?? DEFAULT_JOB_ID;
        this.github = github;
        this.artifactsDirectory = options.artifactsDirectory;
        if (options.triggers) {
          if (options.triggers.issueComment) {
            throw new Error('Trigger "issueComment" should not be used due to a security concern');
          }
          this.on(options.triggers);
        }
        this.on({
          workflowDispatch: {}
          // allow manual triggering
        });
        const preCheckoutSteps = options.preCheckoutSteps ?? [];
        const checkoutWith = {};
        if (options.downloadLfs ?? github.downloadLfs) {
          checkoutWith.lfs = true;
        }
        Object.assign(checkoutWith, options.checkoutWith ?? {});
        const preBuildSteps = options.preBuildSteps ?? [];
        const postBuildSteps = options.postBuildSteps ?? [];
        const gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        if (this.artifactsDirectory) {
          postBuildSteps.push({
            name: "Upload artifact",
            uses: "actions/upload-artifact@v3",
            // Setting to always will ensure that this step will run even if
            // the previous ones have failed (e.g. coverage report, internal logs, etc)
            if: "always()",
            with: {
              name: this.artifactsDirectory,
              path: this.artifactsDirectory
            }
          });
        }
        const job = {
          runsOn: options.runsOn ?? ["ubuntu-latest"],
          container: options.container,
          env: options.env,
          permissions: options.permissions,
          if: options.condition,
          outputs: options.outputs,
          steps: [
            ...preCheckoutSteps,
            // check out sources.
            {
              name: "Checkout",
              uses: "actions/checkout@v3",
              ...Object.keys(checkoutWith).length > 0 ? { with: checkoutWith } : {}
            },
            // sets git identity so we can push later
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(gitIdentity),
            ...preBuildSteps,
            // run the main build task
            {
              name: options.task.name,
              run: this.github.project.runTaskCommand(options.task)
            },
            ...postBuildSteps
          ]
        };
        this.addJobs({ [this.jobId]: job });
      }
    };
    exports2.TaskWorkflow = TaskWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    TaskWorkflow[_a] = { fqn: "projen.github.TaskWorkflow", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/clobber.js
var require_clobber4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/clobber.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Clobber = void 0;
    var component_1 = require_component4();
    var Clobber = class extends component_1.Component {
      constructor(project) {
        super(project);
        const task = this.project.addTask("clobber", {
          description: "hard resets to HEAD of origin and cleans the local repo",
          condition: "git diff --exit-code > /dev/null",
          env: {
            BRANCH: "$(git branch --show-current)"
          }
        });
        task.exec("git checkout -b scratch", {
          name: 'save current HEAD in "scratch" branch'
        });
        task.exec("git checkout $BRANCH");
        task.exec("git fetch origin", { name: "fetch latest changes from origin" });
        task.exec("git reset --hard origin/$BRANCH", {
          name: "hard reset to origin commit"
        });
        task.exec("git clean -fdx", { name: "clean all untracked files" });
        task.say('ready to rock! (unpushed commits are under the "scratch" branch)');
      }
    };
    exports2.Clobber = Clobber;
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/devcontainer.js
var require_devcontainer4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/devcontainer.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.DevContainer = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var json_1 = require_json7();
    var DEVCONTAINER_FILE = ".devcontainer.json";
    var DevContainer = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.postCreateTasks = new Array();
        this.ports = new Array();
        this.vscodeExtensions = new Array();
        this.features = new Array();
        this.dockerImage = options?.dockerImage;
        if (options?.tasks) {
          for (const task of options.tasks) {
            this.addTasks(task);
          }
        }
        if (options?.ports) {
          this.addPorts(...options.ports);
        }
        if (options?.vscodeExtensions) {
          this.addVscodeExtensions(...options.vscodeExtensions);
        }
        if (options.features) {
          this.addFeatures(...options.features);
        }
        this.config = {
          image: () => this.dockerImage?.image,
          build: {
            dockerfile: () => this.dockerImage?.dockerFile
          },
          postCreateCommand: () => this.renderTasks(),
          forwardPorts: this.ports,
          extensions: this.vscodeExtensions,
          features: () => this.renderFeatures()
        };
        new json_1.JsonFile(this.project, DEVCONTAINER_FILE, {
          obj: this.config,
          omitEmpty: true
        });
      }
      addDockerImage(image) {
        if (this.dockerImage) {
          throw new Error("dockerImage cannot be redefined.");
        }
        this.dockerImage = image;
      }
      /**
       * Adds tasks to run when the container starts. Tasks will be run in sequence.
       *
       * @param tasks The new tasks
       */
      addTasks(...tasks) {
        this.postCreateTasks.push(...tasks);
      }
      /**
       * Adds ports that should be exposed (forwarded) from the container.
       *
       * @param ports The new ports
       */
      addPorts(...ports) {
        this.ports.push(...ports);
      }
      /**
       * Adds a list of VSCode extensions that should be automatically installed
       * in the container.
       *
       * @param extensions The extension IDs
       */
      addVscodeExtensions(...extensions) {
        this.vscodeExtensions.push(...extensions);
      }
      /**
       * Adds a list of VSCode features that should be automatically installed
       * in the container.
       *
       * @param features featureName and version(optional default: latest)
       */
      addFeatures(...features) {
        this.features.push(...features);
      }
      renderTasks() {
        if (this.postCreateTasks.length !== 0) {
          return this.postCreateTasks.map((task) => `( npx projen ${task.name} )`).join(" && ");
        } else {
          return void 0;
        }
      }
      renderFeatures() {
        if (this.features.length === 0) {
          return void 0;
        }
        return this.features.reduce((pv, feature) => {
          pv[feature.name] = {
            version: feature.version ?? "latest"
          };
          return pv;
        }, {});
      }
    };
    exports2.DevContainer = DevContainer;
    _a = JSII_RTTI_SYMBOL_1;
    DevContainer[_a] = { fqn: "projen.vscode.DevContainer", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/extensions.js
var require_extensions4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/extensions.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeRecommendedExtensions = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var json_1 = require_json7();
    var VsCodeRecommendedExtensions = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.recommendations = [];
        this.unwantedRecommendations = [];
        new json_1.JsonFile(vscode.project, ".vscode/extensions.json", {
          omitEmpty: true,
          allowComments: true,
          obj: {
            recommendations: this.recommendations,
            unwantedRecommendations: this.unwantedRecommendations
          }
        });
      }
      /**
       * Adds a list of VS Code extensions as recommendations for this workspace.
       *
       * @param extensions The extension IDs
       */
      addRecommendations(...extensions) {
        this.recommendations.push(...extensions);
      }
      /**
       * Marks a list of VS Code extensions as unwanted recommendations for this workspace.
       * VS Code should not be recommend these extensions for users of this workspace.
       *
       * @param extensions The extension IDs
       */
      addUnwantedRecommendations(...extensions) {
        this.unwantedRecommendations.push(...extensions);
      }
    };
    exports2.VsCodeRecommendedExtensions = VsCodeRecommendedExtensions;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeRecommendedExtensions[_a] = { fqn: "projen.vscode.VsCodeRecommendedExtensions", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/launch-config.js
var require_launch_config4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/launch-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeLaunchConfig = exports2.InternalConsoleOptions = exports2.Console = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var json_1 = require_json7();
    var Console;
    (function(Console2) {
      Console2["INTERNAL_CONSOLE"] = "internalConsole";
      Console2["INTEGRATED_TERMINAL"] = "integratedTerminal";
      Console2["EXTERNAL_TERMINAL"] = "externalTerminal";
    })(Console || (exports2.Console = Console = {}));
    var InternalConsoleOptions;
    (function(InternalConsoleOptions2) {
      InternalConsoleOptions2["NEVER_OPEN"] = "neverOpen";
      InternalConsoleOptions2["OPEN_ON_FIRST_SESSION_START"] = "openOnFirstSessionStart";
      InternalConsoleOptions2["OPEN_ON_SESSION_START"] = "openOnSessionStart";
    })(InternalConsoleOptions || (exports2.InternalConsoleOptions = InternalConsoleOptions = {}));
    var VsCodeLaunchConfig = class _VsCodeLaunchConfig extends component_1.Component {
      static renderLaunchConfig(cfg) {
        if (!cfg.env) {
          return cfg;
        }
        return {
          ...cfg,
          env: Object.fromEntries(Object.entries(cfg.env).map(([key, value]) => [
            key,
            value === false ? null : value
          ]))
        };
      }
      constructor(vscode) {
        super(vscode.project);
        this.content = {
          version: "0.2.0",
          configurations: []
        };
        new json_1.JsonFile(vscode.project, ".vscode/launch.json", {
          obj: () => ({
            ...this.content,
            configurations: this.content.configurations.map(_VsCodeLaunchConfig.renderLaunchConfig)
          })
        });
      }
      /**
       * Adds a VsCodeLaunchConfigurationEntry (e.g. a node.js debugger) to `.vscode/launch.json.
       * Each configuration entry has following mandatory fields: type, request and name.
       * See https://code.visualstudio.com/docs/editor/debugging#_launchjson-attributes for details.
       * @param cfg VsCodeLaunchConfigurationEntry
       */
      addConfiguration(cfg) {
        this.content.configurations.push(cfg);
      }
    };
    exports2.VsCodeLaunchConfig = VsCodeLaunchConfig;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeLaunchConfig[_a] = { fqn: "projen.vscode.VsCodeLaunchConfig", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/settings.js
var require_settings4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/settings.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCodeSettings = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var json_1 = require_json7();
    var VsCodeSettings = class extends component_1.Component {
      constructor(vscode) {
        super(vscode.project);
        this.content = {};
        new json_1.JsonFile(vscode.project, ".vscode/settings.json", {
          omitEmpty: false,
          obj: this.content
        });
      }
      /**
       * Adds a workspace setting
       *
       * @param setting The setting ID
       * @param value The value of the setting
       * @param language Scope the setting to a specific language
       */
      addSetting(setting, value, language) {
        if (language) {
          this.content[`[${language}]`] = this.content[`[${language}]`] ?? {};
          this.content[`[${language}]`][setting] = value;
        } else {
          this.content[setting] = value;
        }
      }
      /**
       * Adds a workspace setting
       *
       * @param settings Array structure: [setting: string, value: any, languages?: string[]]
       */
      addSettings(settings, languages) {
        if (Array.isArray(languages)) {
          languages.forEach((language) => {
            Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, language));
          });
        } else {
          Object.entries(settings).forEach(([setting, value]) => this.addSetting(setting, value, languages));
        }
      }
    };
    exports2.VsCodeSettings = VsCodeSettings;
    _a = JSII_RTTI_SYMBOL_1;
    VsCodeSettings[_a] = { fqn: "projen.vscode.VsCodeSettings", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/vscode.js
var require_vscode7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/vscode.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.VsCode = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var extensions_1 = require_extensions4();
    var launch_config_1 = require_launch_config4();
    var settings_1 = require_settings4();
    var component_1 = require_component4();
    var VsCode = class extends component_1.Component {
      constructor(project) {
        super(project);
      }
      get launchConfiguration() {
        if (!this._launchConfig) {
          this._launchConfig = new launch_config_1.VsCodeLaunchConfig(this);
        }
        return this._launchConfig;
      }
      get settings() {
        if (!this._settings) {
          this._settings = new settings_1.VsCodeSettings(this);
        }
        return this._settings;
      }
      get extensions() {
        if (!this._extensions) {
          this._extensions = new extensions_1.VsCodeRecommendedExtensions(this);
        }
        return this._extensions;
      }
    };
    exports2.VsCode = VsCode;
    _a = JSII_RTTI_SYMBOL_1;
    VsCode[_a] = { fqn: "projen.vscode.VsCode", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/vscode/index.js
var require_vscode8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/vscode/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_devcontainer4(), exports2);
    __exportStar(require_extensions4(), exports2);
    __exportStar(require_launch_config4(), exports2);
    __exportStar(require_settings4(), exports2);
    __exportStar(require_vscode7(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/github/github-project.js
var require_github_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/github-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitHubProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var auto_approve_1 = require_auto_approve4();
    var github_1 = require_github7();
    var stale_1 = require_stale4();
    var clobber_1 = require_clobber4();
    var gitpod_1 = require_gitpod4();
    var project_1 = require_project4();
    var readme_1 = require_readme4();
    var vscode_1 = require_vscode8();
    var GitHubProject = class extends project_1.Project {
      constructor(options) {
        super(options);
        this.projectType = options.projectType ?? project_1.ProjectType.UNKNOWN;
        const github = options.github ?? (this.parent ? false : true);
        this.github = github ? new github_1.GitHub(this, {
          projenTokenSecret: options.projenTokenSecret,
          projenCredentials: options.projenCredentials,
          mergify: options.mergify,
          mergifyOptions: options.mergifyOptions,
          ...options.githubOptions
        }) : void 0;
        const vscode = options.vscode ?? (this.parent ? false : true);
        this.vscode = vscode ? new vscode_1.VsCode(this) : void 0;
        this.gitpod = options.gitpod ? new gitpod_1.Gitpod(this) : void 0;
        this.devContainer = options.devContainer ? new vscode_1.DevContainer(this) : void 0;
        if (options.clobber ?? !this.parent) {
          new clobber_1.Clobber(this);
        }
        new readme_1.SampleReadme(this, options.readme);
        if (options.autoApproveOptions && this.github) {
          this.autoApprove = new auto_approve_1.AutoApprove(this.github, options.autoApproveOptions);
        }
        const stale = options.stale ?? false;
        if (stale && this.github) {
          new stale_1.Stale(this.github, options.staleOptions);
        }
      }
      /**
       * Marks the provided file(s) as being generated. This is achieved using the
       * github-linguist attributes. Generated files do not count against the
       * repository statistics and language breakdown.
       *
       * @param glob the glob pattern to match (could be a file path).
       *
       * @see https://github.com/github/linguist/blob/master/docs/overrides.md
       */
      annotateGenerated(glob) {
        this.gitattributes.addAttributes(glob, "linguist-generated");
      }
    };
    exports2.GitHubProject = GitHubProject;
    _a = JSII_RTTI_SYMBOL_1;
    GitHubProject[_a] = { fqn: "projen.github.GitHubProject", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/github/index.js
var require_github8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.workflows = void 0;
    __exportStar(require_github7(), exports2);
    __exportStar(require_dependabot4(), exports2);
    __exportStar(require_workflows4(), exports2);
    __exportStar(require_actions_provider4(), exports2);
    __exportStar(require_mergify4(), exports2);
    __exportStar(require_pr_template4(), exports2);
    __exportStar(require_mergify4(), exports2);
    __exportStar(require_auto_merge4(), exports2);
    __exportStar(require_auto_approve4(), exports2);
    __exportStar(require_stale4(), exports2);
    __exportStar(require_pull_request_lint4(), exports2);
    __exportStar(require_github_credentials4(), exports2);
    __exportStar(require_workflow_actions4(), exports2);
    __exportStar(require_workflow_jobs4(), exports2);
    __exportStar(require_task_workflow4(), exports2);
    __exportStar(require_github_project4(), exports2);
    exports2.workflows = require_workflows_model4();
  }
});

// ../../components/workflows/node_modules/projen/lib/release/release.js
var require_release7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/release/release.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Release = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var publisher_1 = require_publisher4();
    var release_trigger_1 = require_release_trigger4();
    var component_1 = require_component4();
    var github_1 = require_github8();
    var constants_1 = require_constants13();
    var workflows_model_1 = require_workflows_model4();
    var version_1 = require_version4();
    var BUILD_JOBID = "release";
    var GIT_REMOTE_STEPID = "git_remote";
    var LATEST_COMMIT_OUTPUT = "latest_commit";
    var Release = class _Release extends component_1.Component {
      /**
       * Returns the `Release` component of a project or `undefined` if the project
       * does not have a Release component.
       */
      static of(project) {
        const isRelease = (c) => c instanceof _Release;
        return project.components.find(isRelease);
      }
      constructor(project, options) {
        super(project);
        this._branches = new Array();
        this.jobs = {};
        if (Array.isArray(options.releaseBranches)) {
          throw new Error('"releaseBranches" is no longer an array. See type annotations');
        }
        this.github = project.github;
        this.buildTask = options.task;
        this.preBuildSteps = options.releaseWorkflowSetupSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.versionFile = options.versionFile;
        this.releaseTrigger = options.releaseTrigger ?? release_trigger_1.ReleaseTrigger.continuous();
        this.containerImage = options.workflowContainerImage;
        this.workflowRunsOn = options.workflowRunsOn;
        this.workflowPermissions = {
          contents: workflows_model_1.JobPermission.WRITE,
          ...options.workflowPermissions
        };
        this._branchHooks = [];
        if (!((options.releaseEveryCommit ?? true) || options.releaseSchedule || options.releaseTrigger)) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.manual({ changelog: false });
        }
        if (options.releaseSchedule) {
          this.releaseTrigger = release_trigger_1.ReleaseTrigger.scheduled({
            schedule: options.releaseSchedule
          });
        }
        this.version = new version_1.Version(project, {
          versionInputFile: this.versionFile,
          artifactsDirectory: this.artifactsDirectory,
          versionrcOptions: options.versionrcOptions,
          tagPrefix: options.releaseTagPrefix
        });
        this.publisher = new publisher_1.Publisher(project, {
          artifactName: this.artifactsDirectory,
          condition: `needs.${BUILD_JOBID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha`,
          buildJobId: BUILD_JOBID,
          jsiiReleaseVersion: options.jsiiReleaseVersion,
          failureIssue: options.releaseFailureIssue,
          failureIssueLabel: options.releaseFailureIssueLabel,
          workflowRunsOn: options.workflowRunsOn,
          publishTasks: options.publishTasks,
          dryRun: options.publishDryRun,
          workflowNodeVersion: options.workflowNodeVersion,
          workflowContainerImage: options.workflowContainerImage
        });
        const githubRelease = options.githubRelease ?? true;
        if (githubRelease) {
          this.publisher.publishToGitHubReleases({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName)
          });
        }
        this.defaultBranch = this._addBranch(options.branch, {
          prerelease: options.prerelease,
          majorVersion: options.majorVersion,
          minMajorVersion: options.minMajorVersion,
          workflowName: options.releaseWorkflowName ?? "release",
          tagPrefix: options.releaseTagPrefix,
          npmDistTag: options.npmDistTag
        });
        for (const [name, opts] of Object.entries(options.releaseBranches ?? {})) {
          this.addBranch(name, opts);
        }
      }
      /**
       * Add a hook that should be run for every branch (including those that will
       * be added by future `addBranch` calls).
       * @internal
       */
      _forEachBranch(hook) {
        for (const branch of this._branches) {
          hook(branch.name);
        }
        this._branchHooks.push(hook);
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      addBranch(branch, options) {
        this._addBranch(branch, options);
        for (const hook of this._branchHooks) {
          hook(branch);
        }
      }
      /**
       * Adds a release branch.
       *
       * It is a git branch from which releases are published. If a project has more than one release
       * branch, we require that `majorVersion` is also specified for the primary branch in order to
       * ensure branches always release the correct version.
       *
       * @param branch The branch to monitor (e.g. `main`, `v2.x`)
       * @param options Branch definition
       */
      _addBranch(branch, options) {
        if (this._branches.find((b) => b.name === branch)) {
          throw new Error(`The release branch ${branch} is already defined`);
        }
        if (this.defaultBranch && options.majorVersion && this.defaultBranch.majorVersion === void 0) {
          throw new Error('you must specify "majorVersion" for the default branch when adding multiple release branches');
        }
        const releaseBranch = {
          name: branch,
          ...options,
          workflow: this.createWorkflow(branch, options)
        };
        this._branches.push(releaseBranch);
        return releaseBranch;
      }
      preSynthesize() {
        for (const branch of this._branches) {
          if (!branch.workflow) {
            continue;
          }
          branch.workflow.addJobs(this.publisher._renderJobsForBranch(branch.name, branch));
          branch.workflow.addJobs(this.jobs);
        }
      }
      /**
       * Adds jobs to all release workflows.
       * @param jobs The jobs to add (name => job)
       */
      addJobs(jobs) {
        for (const [name, job] of Object.entries(jobs)) {
          this.jobs[name] = job;
        }
      }
      /**
       * Retrieve all release branch names
       */
      get branches() {
        return this._branches.map((b) => b.name);
      }
      /**
       * @returns a workflow or `undefined` if github integration is disabled.
       */
      createWorkflow(branchName, branch) {
        const workflowName = branch.workflowName ?? `release-${branchName}`;
        const noNewCommits = `\${{ steps.${GIT_REMOTE_STEPID}.outputs.${LATEST_COMMIT_OUTPUT} == github.sha }}`;
        const preBuildSteps = [...this.preBuildSteps];
        const env = {
          RELEASE: "true"
        };
        if (branch.majorVersion !== void 0) {
          env.MAJOR = branch.majorVersion.toString();
        }
        if (branch.minMajorVersion !== void 0) {
          if (branch.majorVersion !== void 0) {
            throw new Error(`minMajorVersion and majorVersion cannot be used together.`);
          }
          env.MIN_MAJOR = branch.minMajorVersion.toString();
        }
        if (branch.prerelease) {
          env.PRERELEASE = branch.prerelease;
        }
        if (branch.tagPrefix) {
          env.RELEASE_TAG_PREFIX = branch.tagPrefix;
        }
        const releaseTaskName = branchName === "main" || branchName === "master" ? "release" : `release:${branchName}`;
        const releaseTask = this.project.addTask(releaseTaskName, {
          description: `Prepare a release from "${branchName}" branch`,
          env
        });
        releaseTask.exec(`rm -fr ${this.artifactsDirectory}`);
        releaseTask.spawn(this.version.bumpTask);
        releaseTask.spawn(this.buildTask);
        releaseTask.spawn(this.version.unbumpTask);
        releaseTask.exec(_Release.ANTI_TAMPER_CMD);
        if (this.releaseTrigger.isManual) {
          const publishTask = this.publisher.publishToGit({
            changelogFile: path.posix.join(this.artifactsDirectory, this.version.changelogFileName),
            versionFile: path.posix.join(this.artifactsDirectory, this.version.versionFileName),
            releaseTagFile: path.posix.join(this.artifactsDirectory, this.version.releaseTagFileName),
            projectChangelogFile: this.releaseTrigger.changelogPath,
            gitBranch: branchName,
            gitPushCommand: this.releaseTrigger.gitPushCommand
          });
          releaseTask.spawn(publishTask);
        }
        const postBuildSteps = [...this.postBuildSteps];
        postBuildSteps.push({
          name: "Check for new commits",
          id: GIT_REMOTE_STEPID,
          run: `echo "${LATEST_COMMIT_OUTPUT}=$(git ls-remote origin -h \${{ github.ref }} | cut -f1)" >> $GITHUB_OUTPUT`
        });
        postBuildSteps.push({
          name: "Backup artifact permissions",
          if: noNewCommits,
          continueOnError: true,
          run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
        }, {
          name: "Upload artifact",
          if: noNewCommits,
          uses: "actions/upload-artifact@v3",
          with: {
            name: constants_1.BUILD_ARTIFACT_NAME,
            path: this.artifactsDirectory
          }
        });
        if (this.github && !this.releaseTrigger.isManual) {
          return new github_1.TaskWorkflow(this.github, {
            name: workflowName,
            jobId: BUILD_JOBID,
            outputs: {
              latest_commit: {
                stepId: GIT_REMOTE_STEPID,
                outputName: LATEST_COMMIT_OUTPUT
              }
            },
            triggers: {
              schedule: this.releaseTrigger.schedule ? [{ cron: this.releaseTrigger.schedule }] : void 0,
              push: this.releaseTrigger.isContinuous ? { branches: [branchName] } : void 0
            },
            container: this.containerImage ? { image: this.containerImage } : void 0,
            env: {
              CI: "true"
            },
            permissions: this.workflowPermissions,
            checkoutWith: {
              // we must use 'fetch-depth=0' in order to fetch all tags
              // otherwise tags are not checked out
              "fetch-depth": 0
            },
            preBuildSteps,
            task: releaseTask,
            postBuildSteps,
            runsOn: this.workflowRunsOn
          });
        } else {
          return void 0;
        }
      }
    };
    exports2.Release = Release;
    _a = JSII_RTTI_SYMBOL_1;
    Release[_a] = { fqn: "projen.release.Release", version: "0.71.112" };
    Release.ANTI_TAMPER_CMD = "git diff --ignore-space-at-eol --exit-code";
  }
});

// ../../components/workflows/node_modules/projen/lib/release/index.js
var require_release8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/release/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_release7(), exports2);
    __exportStar(require_publisher4(), exports2);
    __exportStar(require_release_trigger4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/node-package.js
var require_node_package4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/node-package.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaultNpmToken = exports2.NpmAccess = exports2.NodePackageManager = exports2.NodePackage = exports2.CodeArtifactAuthProvider = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var semver = require_semver14();
    var util_1 = require_util23();
    var _resolve_1 = require_resolve4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var json_1 = require_json7();
    var release_1 = require_release8();
    var task_runtime_1 = require_task_runtime4();
    var util_2 = require_util20();
    var UNLICENSED = "UNLICENSED";
    var DEFAULT_NPM_REGISTRY_URL = "https://registry.npmjs.org/";
    var GITHUB_PACKAGES_REGISTRY = "npm.pkg.github.com";
    var DEFAULT_NPM_TOKEN_SECRET = "NPM_TOKEN";
    var DEFAULT_GITHUB_TOKEN_SECRET = "GITHUB_TOKEN";
    var CodeArtifactAuthProvider;
    (function(CodeArtifactAuthProvider2) {
      CodeArtifactAuthProvider2["ACCESS_AND_SECRET_KEY_PAIR"] = "ACCESS_AND_SECRET_KEY_PAIR";
      CodeArtifactAuthProvider2["GITHUB_OIDC"] = "GITHUB_OIDC";
    })(CodeArtifactAuthProvider || (exports2.CodeArtifactAuthProvider = CodeArtifactAuthProvider = {}));
    var NodePackage = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.scripts = {};
        this.scriptsToBeRemoved = /* @__PURE__ */ new Set();
        this.keywords = /* @__PURE__ */ new Set();
        this.bin = {};
        this.engines = {};
        this.packageName = options.packageName ?? project.name;
        this.peerDependencyOptions = {
          pinnedDevDependency: true,
          ...options.peerDependencyOptions
        };
        this.allowLibraryDependencies = options.allowLibraryDependencies ?? true;
        this.packageManager = options.packageManager ?? NodePackageManager.YARN;
        this.entrypoint = options.entrypoint ?? "lib/index.js";
        this.lockFile = determineLockfile(this.packageManager);
        this.project.annotateGenerated(`/${this.lockFile}`);
        const { npmAccess, npmRegistry, npmRegistryUrl, npmTokenSecret, codeArtifactOptions, scopedPackagesOptions } = this.parseNpmOptions(options);
        this.npmAccess = npmAccess;
        this.npmRegistry = npmRegistry;
        this.npmRegistryUrl = npmRegistryUrl;
        this.npmTokenSecret = npmTokenSecret;
        this.codeArtifactOptions = codeArtifactOptions;
        this.scopedPackagesOptions = scopedPackagesOptions;
        this.processDeps(options);
        this.addCodeArtifactLoginScript();
        const prev = this.readPackageJson() ?? {};
        this.manifest = {
          name: this.packageName,
          description: options.description,
          repository: !options.repository ? void 0 : {
            type: "git",
            url: options.repository,
            directory: options.repositoryDirectory
          },
          bin: () => this.renderBin(),
          scripts: () => this.renderScripts(),
          author: this.renderAuthor(options),
          devDependencies: {},
          peerDependencies: {},
          dependencies: {},
          bundledDependencies: [],
          ...this.renderPackageResolutions(),
          keywords: () => this.renderKeywords(),
          engines: () => this.renderEngines(),
          main: this.entrypoint !== "" ? this.entrypoint : void 0,
          license: () => this.license ?? UNLICENSED,
          homepage: options.homepage,
          publishConfig: () => this.renderPublishConfig(),
          typesVersions: prev?.typesVersions,
          // in release CI builds we bump the version before we run "build" so we want
          // to preserve the version number. otherwise, we always set it to 0.0.0
          version: this.determineVersion(prev?.version),
          bugs: options.bugsEmail || options.bugsUrl ? {
            email: options.bugsEmail,
            url: options.bugsUrl
          } : void 0
        };
        for (const [cmdname, shell] of Object.entries(options.scripts ?? {})) {
          project.addTask(cmdname, { exec: shell });
        }
        this.file = new json_1.JsonFile(this.project, "package.json", {
          obj: this.manifest,
          readonly: false,
          newline: true,
          committed: true
          // needs to be committed so users can install the dependencies
        });
        this.addKeywords(...options.keywords ?? []);
        this.addBin(options.bin ?? {});
        if (options.autoDetectBin ?? true) {
          this.autoDiscoverBinaries();
        }
        this.minNodeVersion = options.minNodeVersion;
        this.maxNodeVersion = options.maxNodeVersion;
        this.pnpmVersion = options.pnpmVersion ?? "7";
        this.addNodeEngine();
        if (options.licensed ?? true) {
          this.license = options.license ?? "Apache-2.0";
        }
        this.installTask = project.addTask("install", {
          description: "Install project dependencies and update lockfile (non-frozen)",
          exec: this.installAndUpdateLockfileCommand
        });
        this.installCiTask = project.addTask("install:ci", {
          description: "Install project dependencies using frozen lockfile",
          exec: this.installCommand
        });
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.RUNTIME);
        }
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        if (Object.keys(deps).length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add peer dependencies to an APP project: ${Object.keys(deps).join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.PEER);
        }
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        if (deps.length && !this.allowLibraryDependencies) {
          throw new Error(`cannot add bundled dependencies to an APP project: ${deps.join(",")}`);
        }
        for (const dep of deps) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUNDLED);
        }
      }
      /**
       * Adds an `engines` requirement to your package.
       * @param engine The engine (e.g. `node`)
       * @param version The semantic version requirement (e.g. `^10`)
       */
      addEngine(engine, version) {
        this.engines[engine] = version;
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        for (const k of keywords) {
          this.keywords.add(k);
        }
      }
      addBin(bins) {
        for (const [k, v] of Object.entries(bins)) {
          this.bin[k] = v;
        }
      }
      /**
       * Add a npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.scripts[name] = command;
      }
      /**
       * Removes an npm script (always successful).
       *
       * @param name The name of the script.
       */
      removeScript(name) {
        this.scriptsToBeRemoved.add(name);
        delete this.scripts[name];
      }
      /**
       * Indicates if a script by the given name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.project.tasks.tryFind(name) !== void 0;
      }
      /**
       * Directly set fields in `package.json`.
       * @escape
       * @param name field name
       * @param value field value
       */
      addField(name, value) {
        this.manifest[name] = value;
      }
      /**
       * Sets the package version.
       * @param version Package version.
       */
      addVersion(version) {
        this.manifest.version = version;
      }
      /**
       * Defines resolutions for dependencies to change the normally resolved
       * version of a dependency to something else.
       *
       * @param resolutions Names resolutions to be added. Specify a version or
       * range with this syntax:
       * `module@^7`
       */
      addPackageResolutions(...resolutions) {
        for (const resolution of resolutions) {
          this.project.deps.addDependency(resolution, dependencies_1.DependencyType.OVERRIDE);
        }
      }
      /**
       * Returns the command to execute in order to install all dependencies (always frozen).
       */
      get installCommand() {
        return this.renderInstallCommand(true);
      }
      /**
       * Renders `yarn install` or `npm install` with lockfile update (not frozen)
       */
      get installAndUpdateLockfileCommand() {
        return this.renderInstallCommand(false);
      }
      /**
       * Render a package manager specific command to upgrade all requested dependencies.
       */
      renderUpgradePackagesCommand(exclude, include) {
        const project = this.project;
        function upgradePackages(command) {
          return () => {
            if (exclude.length === 0 && !include) {
              return command;
            }
            return `${command} ${project.deps.all.filter((d) => d.type !== dependencies_1.DependencyType.OVERRIDE).map((d) => d.name).filter((d) => include ? include.includes(d) : true).filter((d) => !exclude.includes(d)).join(" ")}`;
          };
        }
        let lazy = void 0;
        switch (this.packageManager) {
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
            lazy = upgradePackages("yarn upgrade");
            break;
          case NodePackageManager.NPM:
            lazy = upgradePackages("npm update");
            break;
          case NodePackageManager.PNPM:
            lazy = upgradePackages("pnpm update");
            break;
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
        return lazy;
      }
      /**
       * Attempt to resolve the currently installed version for a given dependency.
       *
       * @remarks
       * This method will first look through the current project's dependencies.
       * If found and semantically valid (not '*'), that will be used.
       * Otherwise, it will fall back to locating a `package.json` manifest for the dependency
       * through node's internal resolution reading the version from there.
       *
       * @param dependencyName Dependency to resolve for.
       */
      tryResolveDependencyVersion(dependencyName) {
        try {
          const fromDeps = this.project.deps.tryGetDependency(dependencyName);
          const version = semver.coerce(fromDeps?.version, { loose: true });
          if (version) {
            return version.format();
          }
        } catch {
        }
        return (0, util_1.tryResolveDependencyVersion)(dependencyName, {
          paths: [this.project.outdir]
        });
      }
      // ---------------------------------------------------------------------------------------
      preSynthesize() {
        super.preSynthesize();
        this._renderedDeps = this.renderDependencies();
      }
      postSynthesize() {
        super.postSynthesize();
        if (this.file.changed || !(0, fs_1.existsSync)((0, path_1.join)(this.project.outdir, "node_modules"))) {
          this.installDependencies();
        }
        if (this.resolveDepsAndWritePackageJson()) {
          this.installDependencies();
        }
      }
      /**
       * The command which executes "projen".
       */
      get projenCommand() {
        return this.project.projenCommand;
      }
      /**
       * Returns `true` if we are running within a CI build.
       */
      get isAutomatedBuild() {
        return (0, util_2.isTruthy)(process.env.CI);
      }
      determineVersion(currVersion) {
        if (!this.isReleaseBuild) {
          return "0.0.0";
        }
        return currVersion ?? "0.0.0";
      }
      /**
       * Returns `true` if this is a CI release build.
       */
      get isReleaseBuild() {
        return (0, util_2.isTruthy)(process.env.RELEASE);
      }
      // -------------------------------------------------------------------------------------------
      parseNpmOptions(options) {
        let npmRegistryUrl = options.npmRegistryUrl;
        if (options.npmRegistry) {
          if (npmRegistryUrl) {
            throw new Error('cannot use the deprecated "npmRegistry" together with "npmRegistryUrl". please use "npmRegistryUrl" instead.');
          }
          npmRegistryUrl = `https://${options.npmRegistry}`;
        }
        const npmr = new URL(npmRegistryUrl ?? DEFAULT_NPM_REGISTRY_URL);
        if (!npmr || !npmr.hostname || !npmr.href) {
          throw new Error(`unable to determine npm registry host from url ${npmRegistryUrl}. Is this really a URL?`);
        }
        const npmAccess = options.npmAccess ?? defaultNpmAccess(this.packageName);
        if (!isScoped(this.packageName) && npmAccess === NpmAccess.RESTRICTED) {
          throw new Error(`"npmAccess" cannot be RESTRICTED for non-scoped npm package "${this.packageName}"`);
        }
        const isAwsCodeArtifact = (0, release_1.isAwsCodeArtifactRegistry)(npmRegistryUrl);
        const hasScopedPackage = options.scopedPackagesOptions && options.scopedPackagesOptions.length !== 0;
        if (isAwsCodeArtifact) {
          if (options.npmTokenSecret) {
            throw new Error('"npmTokenSecret" must not be specified when publishing AWS CodeArtifact.');
          } else if (options.codeArtifactOptions?.authProvider === CodeArtifactAuthProvider.GITHUB_OIDC) {
            if (options.codeArtifactOptions.accessKeyIdSecret || options.codeArtifactOptions.secretAccessKeySecret) {
              throw new Error("access and secret key pair should not be provided when using GITHUB_OIDC auth provider for AWS CodeArtifact");
            } else if (!options.codeArtifactOptions.roleToAssume) {
              throw new Error('"roleToAssume" property is required when using GITHUB_OIDC for AWS CodeArtifact options');
            }
          }
        } else {
          if ((options.codeArtifactOptions?.accessKeyIdSecret || options.codeArtifactOptions?.secretAccessKeySecret || options.codeArtifactOptions?.roleToAssume) && !hasScopedPackage) {
            throw new Error("codeArtifactOptions must only be specified when publishing AWS CodeArtifact or used in scoped packages.");
          }
        }
        let codeArtifactOptions;
        if (isAwsCodeArtifact || hasScopedPackage) {
          const authProvider = options.codeArtifactOptions?.authProvider ?? CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          const isAccessSecretKeyPairAuth = authProvider === CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR;
          codeArtifactOptions = {
            authProvider,
            accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret ?? (isAccessSecretKeyPairAuth ? "AWS_ACCESS_KEY_ID" : void 0),
            secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret ?? (isAccessSecretKeyPairAuth ? "AWS_SECRET_ACCESS_KEY" : void 0),
            roleToAssume: options.codeArtifactOptions?.roleToAssume
          };
        }
        return {
          npmAccess,
          npmRegistry: npmr.hostname + this.renderNpmRegistryPath(npmr.pathname),
          npmRegistryUrl: npmr.href,
          npmTokenSecret: defaultNpmToken(options.npmTokenSecret, npmr.hostname),
          codeArtifactOptions,
          scopedPackagesOptions: this.parseScopedPackagesOptions(options.scopedPackagesOptions)
        };
      }
      parseScopedPackagesOptions(scopedPackagesOptions) {
        if (!scopedPackagesOptions) {
          return void 0;
        }
        return scopedPackagesOptions.map((option) => {
          if (!isScoped(option.scope)) {
            throw new Error(`Scope must start with "@" in options, found ${option.scope}`);
          }
          if (!(0, release_1.isAwsCodeArtifactRegistry)(option.registryUrl)) {
            throw new Error(`Only AWS Code artifact scoped registry is supported for now, found ${option.registryUrl}`);
          }
          const result = {
            registryUrl: option.registryUrl,
            scope: option.scope
          };
          return result;
        });
      }
      addCodeArtifactLoginScript() {
        if (!this.scopedPackagesOptions || this.scopedPackagesOptions.length === 0) {
          return;
        }
        this.project.addTask("ca:login", {
          requiredEnv: ["AWS_ACCESS_KEY_ID", "AWS_SECRET_ACCESS_KEY"],
          steps: [
            { exec: "which aws" },
            ...this.scopedPackagesOptions.map((scopedPackagesOption) => {
              const { registryUrl, scope } = scopedPackagesOption;
              const { domain, region, accountId, registry } = (0, util_1.extractCodeArtifactDetails)(registryUrl);
              const commands = [
                `npm config set ${scope}:registry ${registryUrl}`,
                `CODEARTIFACT_AUTH_TOKEN=$(aws codeartifact get-authorization-token --domain ${domain} --region ${region} --domain-owner ${accountId} --query authorizationToken --output text)`,
                `npm config set //${registry}:_authToken=$CODEARTIFACT_AUTH_TOKEN`,
                `npm config set //${registry}:always-auth=true`
              ];
              return {
                exec: commands.join("; ")
              };
            })
          ]
        });
      }
      addNodeEngine() {
        if (!this.minNodeVersion && !this.maxNodeVersion) {
          return;
        }
        let nodeVersion = "";
        if (this.minNodeVersion) {
          nodeVersion += `>= ${this.minNodeVersion}`;
        }
        if (this.maxNodeVersion) {
          nodeVersion += ` <= ${this.maxNodeVersion}`;
        }
        this.addEngine("node", nodeVersion);
      }
      renderNpmRegistryPath(path) {
        if (!path || path == "/") {
          return "";
        } else {
          return path;
        }
      }
      renderInstallCommand(frozen) {
        switch (this.packageManager) {
          case NodePackageManager.YARN:
            return [
              "yarn install",
              "--check-files",
              ...frozen ? ["--frozen-lockfile"] : []
            ].join(" ");
          case NodePackageManager.YARN2:
            return ["yarn install", ...frozen ? ["--immutable"] : []].join(" ");
          case NodePackageManager.NPM:
            return frozen ? "npm ci" : "npm install";
          case NodePackageManager.PNPM:
            return frozen ? "pnpm i --frozen-lockfile" : "pnpm i --no-frozen-lockfile";
          default:
            throw new Error(`unexpected package manager ${this.packageManager}`);
        }
      }
      processDeps(options) {
        this.addDeps(...options.deps ?? []);
        this.addDevDeps(...options.devDeps ?? []);
        this.addPeerDeps(...options.peerDeps ?? []);
        this.addBundledDeps(...options.bundledDeps ?? []);
      }
      renderDependencies() {
        const devDependencies = {};
        const peerDependencies = {};
        const dependencies = {};
        const bundledDependencies = new Array();
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const dep of this.project.deps.all.filter((d) => d.type === dependencies_1.DependencyType.PEER)) {
            let req = dep.name;
            if (this.project.deps.tryGetDependency(dep.name, dependencies_1.DependencyType.RUNTIME)) {
              continue;
            }
            if (dep.version) {
              const ver = (0, util_1.minVersion)(dep.version);
              if (!ver) {
                throw new Error(`unable to determine minimum semver for peer dependency ${dep.name}@${dep.version}`);
              }
              req += "@" + ver;
            }
            this.addDevDeps(req);
          }
        }
        for (const dep of this.project.deps.all) {
          let version = dep.version ?? "*";
          let name = dep.name;
          if (name.startsWith("file:")) {
            const localDependencyPath = name.substring(5);
            const depPackageJson = (0, path_1.resolve)(this.project.outdir, localDependencyPath, "package.json");
            const pkgFile = (0, fs_1.readFileSync)(depPackageJson, "utf8");
            const pkg2 = JSON.parse(pkgFile);
            version = localDependencyPath;
            name = pkg2.name;
          }
          switch (dep.type) {
            case dependencies_1.DependencyType.BUNDLED:
              bundledDependencies.push(name);
              if (this.project.deps.all.find((d) => d.name === name && d.type === dependencies_1.DependencyType.PEER)) {
                throw new Error(`unable to bundle "${name}". it cannot appear as a peer dependency`);
              }
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.PEER:
              peerDependencies[name] = version;
              break;
            case dependencies_1.DependencyType.RUNTIME:
              dependencies[name] = version;
              break;
            case dependencies_1.DependencyType.TEST:
            case dependencies_1.DependencyType.DEVENV:
            case dependencies_1.DependencyType.BUILD:
              devDependencies[name] = version;
              break;
          }
        }
        const normalize = (obj) => () => (0, util_2.sorted)(obj);
        this.manifest.devDependencies = normalize(devDependencies);
        this.manifest.peerDependencies = normalize(peerDependencies);
        this.manifest.dependencies = normalize(dependencies);
        this.manifest.bundledDependencies = (0, util_2.sorted)(bundledDependencies);
        const pkg = this.readPackageJson();
        if (!pkg) {
          return { devDependencies, peerDependencies, dependencies };
        }
        const readDeps = (user, current = {}) => {
          for (const [name, userVersion] of Object.entries(user)) {
            const currentVersion = current[name];
            if (userVersion !== "*" || !currentVersion || currentVersion === "*") {
              continue;
            }
            user[name] = currentVersion;
          }
          for (const name of Object.keys(current ?? {})) {
            if (!user[name]) {
              this.project.logger.verbose(`${name}: removed`);
            }
          }
        };
        readDeps(devDependencies, pkg.devDependencies);
        readDeps(dependencies, pkg.dependencies);
        readDeps(peerDependencies, pkg.peerDependencies);
        return { devDependencies, dependencies, peerDependencies };
      }
      /**
       * Resolves any deps that do not have a specified version (e.g. `*`) and
       * update `package.json` if needed.
       *
       * @returns `true` if package.json was updated or `false` if not.
       */
      resolveDepsAndWritePackageJson() {
        const outdir = this.project.outdir;
        const rootPackageJson = (0, path_1.join)(outdir, "package.json");
        const original = (0, fs_1.readFileSync)(rootPackageJson, "utf8");
        const pkg = JSON.parse(original);
        const resolveDeps = (current, user) => {
          const result = {};
          current = current ?? {};
          user = user ?? {};
          for (const [name, currentDefinition] of Object.entries(user)) {
            let desiredVersion = currentDefinition;
            if (currentDefinition === "*") {
              const resolvedVersion = (0, util_1.tryResolveDependencyVersion)(name, {
                paths: [this.project.outdir]
              });
              if (!resolvedVersion) {
                this.project.logger.warn(`unable to resolve version for ${name} from installed modules`);
                continue;
              }
              desiredVersion = `^${resolvedVersion}`;
            }
            if (currentDefinition !== desiredVersion) {
              this.project.logger.verbose(`${name}: ${currentDefinition} => ${desiredVersion}`);
            }
            result[name] = desiredVersion;
          }
          for (const name of Object.keys(current)) {
            if (!result[name]) {
              this.project.logger.verbose(`${name} removed`);
            }
          }
          return result;
        };
        const rendered = this._renderedDeps;
        if (!rendered) {
          throw new Error("assertion failed");
        }
        const deps = resolveDeps(pkg.dependencies, rendered.dependencies);
        const devDeps = resolveDeps(pkg.devDependencies, rendered.devDependencies);
        const peerDeps = resolveDeps(pkg.peerDependencies, rendered.peerDependencies);
        if (this.peerDependencyOptions.pinnedDevDependency) {
          for (const [name, version] of Object.entries(peerDeps)) {
            if (deps[name] || rendered.devDependencies[name] !== "*") {
              continue;
            }
            const ver = (0, util_1.minVersion)(version);
            if (!ver) {
              throw new Error(`unable to determine minimum semver for peer dependency ${name}@${version}`);
            }
            devDeps[name] = ver;
          }
        }
        pkg.dependencies = (0, util_2.sorted)(deps);
        pkg.devDependencies = (0, util_2.sorted)(devDeps);
        pkg.peerDependencies = (0, util_2.sorted)(peerDeps);
        const updated = JSON.stringify(pkg, void 0, 2) + "\n";
        if (original === updated) {
          return false;
        }
        (0, util_2.writeFile)(rootPackageJson, updated);
        return true;
      }
      renderPackageResolutions() {
        const render = () => {
          const overridingDependencies = this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.OVERRIDE);
          if (!overridingDependencies.length) {
            return void 0;
          }
          return Object.fromEntries(overridingDependencies.map(({ name, version = "*" }) => [name, version]));
        };
        switch (this.packageManager) {
          case NodePackageManager.NPM:
            return { overrides: render };
          case NodePackageManager.PNPM:
            return { pnpm: { overrides: render } };
          case NodePackageManager.YARN:
          case NodePackageManager.YARN2:
          default:
            return { resolutions: render };
        }
      }
      renderPublishConfig() {
        return (0, _resolve_1.resolve)({
          registry: this.npmRegistryUrl !== DEFAULT_NPM_REGISTRY_URL ? this.npmRegistryUrl : void 0,
          access: this.npmAccess !== defaultNpmAccess(this.packageName) ? this.npmAccess : void 0
        }, { omitEmpty: true });
      }
      renderKeywords() {
        const kwds = Array.from(this.keywords);
        return (0, util_2.sorted)(kwds.sort());
      }
      renderEngines() {
        return (0, util_2.sorted)(this.engines);
      }
      autoDiscoverBinaries() {
        const binrel = "bin";
        const bindir = (0, path_1.join)(this.project.outdir, binrel);
        if ((0, fs_1.existsSync)(bindir)) {
          for (const file of (0, fs_1.readdirSync)(bindir)) {
            try {
              (0, fs_1.accessSync)((0, path_1.join)(bindir, file), fs_1.constants.X_OK);
              this.bin[file] = (0, path_1.join)(binrel, file).replace(/\\/g, "/");
            } catch (e) {
            }
          }
        }
      }
      renderAuthor(options) {
        let author;
        if (options.authorName) {
          author = {
            name: options.authorName,
            email: options.authorEmail,
            url: options.authorUrl,
            organization: options.authorOrganization ?? false
          };
        } else {
          if (options.authorEmail || options.authorUrl || options.authorOrganization !== void 0) {
            throw new Error('"authorName" is required if specifying "authorEmail" or "authorUrl"');
          }
        }
        return author;
      }
      renderBin() {
        return (0, util_2.sorted)(this.bin);
      }
      renderScripts() {
        const result = {};
        const tasks = this.project.tasks.all.filter((t) => (
          // Must remove to prevent overriding built-in npm command (which would loop)
          t.name !== this.installTask.name && t.name !== this.installCiTask.name
        )).sort((x, y) => x.name.localeCompare(y.name));
        for (const task of tasks) {
          if (this.scriptsToBeRemoved.has(task.name)) {
            continue;
          }
          result[task.name] = this.npmScriptForTask(task);
        }
        return {
          ...result,
          ...this.scripts
        };
      }
      npmScriptForTask(task) {
        return `${this.projenCommand} ${task.name}`;
      }
      readPackageJson() {
        const file = (0, path_1.join)(this.project.outdir, "package.json");
        if (!(0, fs_1.existsSync)(file)) {
          return void 0;
        }
        return JSON.parse((0, fs_1.readFileSync)(file, "utf-8"));
      }
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        const taskToRun = this.isAutomatedBuild ? this.installCiTask : this.installTask;
        runtime.runTask(taskToRun.name);
      }
    };
    exports2.NodePackage = NodePackage;
    _a = JSII_RTTI_SYMBOL_1;
    NodePackage[_a] = { fqn: "projen.javascript.NodePackage", version: "0.71.112" };
    var NodePackageManager;
    (function(NodePackageManager2) {
      NodePackageManager2["YARN"] = "yarn";
      NodePackageManager2["YARN2"] = "yarn2";
      NodePackageManager2["NPM"] = "npm";
      NodePackageManager2["PNPM"] = "pnpm";
    })(NodePackageManager || (exports2.NodePackageManager = NodePackageManager = {}));
    var NpmAccess;
    (function(NpmAccess2) {
      NpmAccess2["PUBLIC"] = "public";
      NpmAccess2["RESTRICTED"] = "restricted";
    })(NpmAccess || (exports2.NpmAccess = NpmAccess = {}));
    function isScoped(packageName) {
      return packageName.includes("@");
    }
    function defaultNpmAccess(packageName) {
      return isScoped(packageName) ? NpmAccess.RESTRICTED : NpmAccess.PUBLIC;
    }
    function defaultNpmToken(npmToken, registry) {
      if ((0, release_1.isAwsCodeArtifactRegistry)(registry)) {
        return void 0;
      }
      const isGitHubPackages = registry === GITHUB_PACKAGES_REGISTRY;
      return npmToken ?? (isGitHubPackages ? DEFAULT_GITHUB_TOKEN_SECRET : DEFAULT_NPM_TOKEN_SECRET);
    }
    exports2.defaultNpmToken = defaultNpmToken;
    function determineLockfile(packageManager) {
      if (packageManager === NodePackageManager.YARN || packageManager === NodePackageManager.YARN2) {
        return "yarn.lock";
      } else if (packageManager === NodePackageManager.NPM) {
        return "package-lock.json";
      } else if (packageManager === NodePackageManager.PNPM) {
        return "pnpm-lock.yaml";
      }
      throw new Error(`unsupported package manager ${packageManager}`);
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/projenrc.js
var require_projenrc17 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var eslint_1 = require_eslint4();
    var render_options_1 = require_render_options4();
    var projenrc_1 = require_projenrc16();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.js";
        project.defaultTask?.exec(`node ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        const eslint = eslint_1.Eslint.of(this.project);
        eslint?.addLintPattern(this.filePath);
        eslint?.addIgnorePattern(`!${this.filePath}`);
        eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          comments: bootstrap.comments,
          args: bootstrap.args,
          type: bootstrap.type
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asCjsRequire());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.javascript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/build/build-workflow.js
var require_build_workflow4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/build/build-workflow.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.BuildWorkflow = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var github_1 = require_github8();
    var constants_1 = require_constants13();
    var workflow_actions_1 = require_workflow_actions4();
    var workflows_model_1 = require_workflows_model4();
    var javascript_1 = require_javascript4();
    var PULL_REQUEST_REF = "${{ github.event.pull_request.head.ref }}";
    var PULL_REQUEST_REPOSITORY = "${{ github.event.pull_request.head.repo.full_name }}";
    var BUILD_JOBID = "build";
    var SELF_MUTATION_STEP = "self_mutation";
    var SELF_MUTATION_HAPPENED_OUTPUT = "self_mutation_happened";
    var IS_FORK = "github.event.pull_request.head.repo.full_name != github.repository";
    var NOT_FORK = `!(${IS_FORK})`;
    var SELF_MUTATION_CONDITION = `needs.${BUILD_JOBID}.outputs.${SELF_MUTATION_HAPPENED_OUTPUT}`;
    var BuildWorkflow = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.defaultRunners = ["ubuntu-latest"];
        this._postBuildJobs = [];
        const github = github_1.GitHub.of(project);
        if (!github) {
          throw new Error("BuildWorkflow is currently only supported for GitHub projects");
        }
        this.github = github;
        this.preBuildSteps = options.preBuildSteps ?? [];
        this.postBuildSteps = options.postBuildSteps ?? [];
        this.gitIdentity = options.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.buildTask = options.buildTask;
        this.artifactsDirectory = options.artifactsDirectory;
        this.name = options.name ?? "build";
        const mutableBuilds = options.mutableBuild ?? true;
        this.workflow = new github_1.GithubWorkflow(github, this.name);
        this.workflow.on(options.workflowTriggers ?? {
          pullRequest: {},
          workflowDispatch: {}
          // allow manual triggering
        });
        this.addBuildJob(options);
        if (mutableBuilds) {
          this.addSelfMutationJob(options);
        }
        if (project instanceof javascript_1.NodeProject) {
          project.addPackageIgnore(constants_1.PERMISSION_BACKUP_FILE);
        }
      }
      addBuildJob(options) {
        this.workflow.addJob(BUILD_JOBID, {
          runsOn: options.runsOn ?? this.defaultRunners,
          container: options.containerImage ? { image: options.containerImage } : void 0,
          env: {
            CI: "true",
            ...options.env
          },
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE,
            ...options.permissions
          },
          steps: () => this.renderBuildSteps(),
          outputs: {
            [SELF_MUTATION_HAPPENED_OUTPUT]: {
              stepId: SELF_MUTATION_STEP,
              outputName: SELF_MUTATION_HAPPENED_OUTPUT
            }
          }
        });
      }
      /**
       * Returns a list of job IDs that are part of the build.
       */
      get buildJobIds() {
        return [BUILD_JOBID, ...this._postBuildJobs];
      }
      /**
       * Adds steps that are executed after the build.
       * @param steps The job steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      /**
       * Adds another job to the build workflow which is executed after the build
       * job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param id The id of the new job
       * @param job The job specification
       */
      addPostBuildJob(id, job) {
        const steps = [];
        if (this.artifactsDirectory) {
          steps.push({
            name: "Download build artifacts",
            uses: "actions/download-artifact@v3",
            with: {
              name: constants_1.BUILD_ARTIFACT_NAME,
              path: this.artifactsDirectory
            }
          }, {
            name: "Restore build artifact permissions",
            continueOnError: true,
            run: [
              `cd ${this.artifactsDirectory} && setfacl --restore=${constants_1.PERMISSION_BACKUP_FILE}`
            ].join("\n")
          });
        }
        steps.push(...job.steps ?? []);
        this.workflow.addJob(id, {
          needs: [BUILD_JOBID],
          // only run if build did not self-mutate
          if: `! ${SELF_MUTATION_CONDITION}`,
          ...job,
          steps
        });
        this._postBuildJobs.push(id);
      }
      /**
       * Run a task as a job within the build workflow which is executed after the
       * build job succeeded.
       *
       * The job will have access to build artifacts and will install project
       * dependencies in order to be able to run any commands used in the tasks.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobTask(task, options = {}) {
        this.addPostBuildJobCommands(`post-build-${task.name}`, [`${this.project.projenCommand} ${task.name}`], {
          checkoutRepo: true,
          installDeps: true,
          tools: options.tools,
          runsOn: options.runsOn
        });
      }
      /**
       * Run a sequence of commands as a job within the build workflow which is
       * executed after the build job succeeded.
       *
       * Jobs are executed _only_ if the build did NOT self mutate. If the build
       * self-mutate, the branch will either be updated or the build will fail (in
       * forks), so there is no point in executing the post-build job.
       *
       * @param options Specify tools and other options
       */
      addPostBuildJobCommands(id, commands, options) {
        const steps = [];
        if (options?.checkoutRepo) {
          steps.push({
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          });
        }
        if (options?.checkoutRepo && options?.installDeps && this.project instanceof javascript_1.NodeProject) {
          steps.push({
            name: "Install dependencies",
            run: `${this.project.package.installCommand}`
          });
        }
        steps.push({ run: commands.join("\n") });
        this.addPostBuildJob(id, {
          permissions: {
            contents: workflows_model_1.JobPermission.READ
          },
          tools: options?.tools,
          runsOn: options?.runsOn ?? this.defaultRunners,
          steps
        });
      }
      addSelfMutationJob(options) {
        this.workflow.addJob("self-mutation", {
          runsOn: options.runsOn ?? this.defaultRunners,
          permissions: {
            contents: workflows_model_1.JobPermission.WRITE
          },
          needs: [BUILD_JOBID],
          if: `always() && ${SELF_MUTATION_CONDITION} && ${NOT_FORK}`,
          steps: [
            ...this.workflow.projenCredentials.setupSteps,
            ...workflow_actions_1.WorkflowActions.checkoutWithPatch({
              // we need to use a PAT so that our push will trigger the build workflow
              token: this.workflow.projenCredentials.tokenRef,
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              lfs: this.github.downloadLfs
            }),
            ...workflow_actions_1.WorkflowActions.setupGitIdentity(this.gitIdentity),
            {
              name: "Push changes",
              env: {
                PULL_REQUEST_REF
              },
              run: [
                "git add .",
                'git commit -s -m "chore: self mutation"',
                `git push origin HEAD:$PULL_REQUEST_REF`
              ].join("\n")
            }
          ]
        });
      }
      /**
       * Called (lazily) during synth to render the build job steps.
       */
      renderBuildSteps() {
        return [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: {
              ref: PULL_REQUEST_REF,
              repository: PULL_REQUEST_REPOSITORY,
              ...this.github.downloadLfs ? { lfs: true } : {}
            }
          },
          ...this.preBuildSteps,
          {
            name: this.buildTask.name,
            run: this.github.project.runTaskCommand(this.buildTask)
          },
          ...this.postBuildSteps,
          // check for mutations and upload a git patch file as an artifact
          ...workflow_actions_1.WorkflowActions.uploadGitPatch({
            stepId: SELF_MUTATION_STEP,
            outputName: SELF_MUTATION_HAPPENED_OUTPUT,
            mutationError: "Files were changed during build (see build log). If this was triggered from a fork, you will need to update your branch."
          }),
          // upload the build artifact only if we have post-build jobs (otherwise, there's no point)
          ...this._postBuildJobs.length == 0 ? [] : [
            {
              name: "Backup artifact permissions",
              continueOnError: true,
              run: `cd ${this.artifactsDirectory} && getfacl -R . > ${constants_1.PERMISSION_BACKUP_FILE}`
            },
            {
              name: "Upload artifact",
              uses: "actions/upload-artifact@v3",
              with: {
                name: constants_1.BUILD_ARTIFACT_NAME,
                path: this.artifactsDirectory
              }
            }
          ]
        ];
      }
    };
    exports2.BuildWorkflow = BuildWorkflow;
    _a = JSII_RTTI_SYMBOL_1;
    BuildWorkflow[_a] = { fqn: "projen.build.BuildWorkflow", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/build/index.js
var require_build4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/build/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_build_workflow4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/github/util.js
var require_util24 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/github/util.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.secretToString = void 0;
    function secretToString(secretName) {
      return `\${{ secrets.${secretName} }}`;
    }
    exports2.secretToString = secretToString;
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/node-project.js
var require_node_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/node-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NodeProject = exports2.AutoRelease = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var bundler_1 = require_bundler4();
    var jest_1 = require_jest4();
    var node_package_1 = require_node_package4();
    var projenrc_1 = require_projenrc17();
    var build_1 = require_build4();
    var common_1 = require_common14();
    var github_1 = require_github8();
    var constants_1 = require_constants13();
    var util_1 = require_util24();
    var workflows_model_1 = require_workflows_model4();
    var ignore_file_1 = require_ignore_file4();
    var javascript_1 = require_javascript4();
    var license_1 = require_license4();
    var release_1 = require_release8();
    var util_2 = require_util20();
    var version_1 = require_version4();
    var PROJEN_SCRIPT = "projen";
    var AutoRelease;
    (function(AutoRelease2) {
      AutoRelease2[AutoRelease2["EVERY_COMMIT"] = 0] = "EVERY_COMMIT";
      AutoRelease2[AutoRelease2["DAILY"] = 1] = "DAILY";
    })(AutoRelease || (exports2.AutoRelease = AutoRelease = {}));
    var NodeProject = class extends github_1.GitHubProject {
      /**
       * @deprecated use `package.allowLibraryDependencies`
       */
      get allowLibraryDependencies() {
        return this.package.allowLibraryDependencies;
      }
      /**
       * @deprecated use `package.entrypoint`
       */
      get entrypoint() {
        return this.package.entrypoint;
      }
      /**
       * Minimum node.js version required by this package.
       */
      get minNodeVersion() {
        return this.package.minNodeVersion;
      }
      /**
       * Maximum node version required by this package.
       */
      get maxNodeVersion() {
        return this.package.maxNodeVersion;
      }
      /**
       * The package manager to use.
       *
       * @deprecated use `package.packageManager`
       */
      get packageManager() {
        return this.package.packageManager;
      }
      /**
       * @deprecated use `package.addField(x, y)`
       */
      get manifest() {
        return this.package.manifest;
      }
      constructor(options) {
        super(options);
        this.package = new node_package_1.NodePackage(this, options);
        this.workflowBootstrapSteps = options.workflowBootstrapSteps ?? [];
        this.workflowGitIdentity = options.workflowGitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.workflowPackageCache = options.workflowPackageCache ?? false;
        this.artifactsDirectory = options.artifactsDirectory ?? "dist";
        this.artifactsJavascriptDirectory = (0, path_1.join)(this.artifactsDirectory, "js");
        this.runScriptCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.NPM:
              return "npm run";
            case node_package_1.NodePackageManager.YARN:
            case node_package_1.NodePackageManager.YARN2:
              return "yarn run";
            case node_package_1.NodePackageManager.PNPM:
              return "pnpm run";
            default:
              throw new Error(`unexpected package manager ${this.packageManager}`);
          }
        })();
        const envCommand = (() => {
          switch (this.packageManager) {
            case node_package_1.NodePackageManager.PNPM:
              return '$(pnpm -c exec "node --print process.env.PATH")';
            default:
              return '$(npx -c "node --print process.env.PATH")';
          }
        })();
        this.nodeVersion = options.workflowNodeVersion ?? this.package.minNodeVersion;
        this.tasks.addEnvironment("PATH", envCommand);
        this.addLicense(options);
        if (options.npmignoreEnabled ?? true) {
          this.npmignore = new ignore_file_1.IgnoreFile(this, ".npmignore", options.npmIgnoreOptions);
        }
        this.addDefaultGitIgnore();
        if (options.gitignore?.length) {
          for (const i of options.gitignore) {
            this.gitignore.exclude(i);
          }
        }
        if (options.npmignore?.length) {
          if (!this.npmignore) {
            throw new Error('.npmignore is not defined for an APP project type. Add "npmIgnore: true" to override this');
          }
          for (const i of options.npmignore) {
            this.npmignore.exclude(i);
          }
        }
        if (!this.ejected) {
          this.setScript(PROJEN_SCRIPT, this.package.projenCommand);
        }
        this.npmignore?.exclude(`/${common_1.PROJEN_RC}`);
        this.npmignore?.exclude(`/${common_1.PROJEN_DIR}/`);
        this.gitignore.include(`/${common_1.PROJEN_RC}`);
        const projen = options.projenDevDependency ?? true;
        if (projen && !this.ejected) {
          const postfix = options.projenVersion ? `@${options.projenVersion}` : "";
          this.addDevDeps(`projen${postfix}`);
        }
        if (!options.defaultReleaseBranch) {
          throw new Error('"defaultReleaseBranch" is temporarily a required option while we migrate its default value from "master" to "main"');
        }
        const buildEnabled = options.buildWorkflow ?? (this.parent ? false : true);
        if (options.jest ?? true) {
          this.jest = new jest_1.Jest(this, options.jestOptions);
        }
        const requiresIdTokenPermission = (options.scopedPackagesOptions ?? []).length > 0 && options.codeArtifactOptions?.authProvider === release_1.CodeArtifactAuthProvider.GITHUB_OIDC;
        const workflowPermissions = {
          idToken: requiresIdTokenPermission ? workflows_model_1.JobPermission.WRITE : void 0
        };
        if (buildEnabled && this.github) {
          this.buildWorkflow = new build_1.BuildWorkflow(this, {
            buildTask: this.buildTask,
            artifactsDirectory: this.artifactsDirectory,
            containerImage: options.workflowContainerImage,
            gitIdentity: this.workflowGitIdentity,
            mutableBuild: options.mutableBuild,
            preBuildSteps: this.renderWorkflowSetup({
              mutable: options.mutableBuild ?? true
            }),
            postBuildSteps: options.postBuildSteps,
            runsOn: options.workflowRunsOn,
            workflowTriggers: options.buildWorkflowTriggers,
            permissions: workflowPermissions
          });
          this.buildWorkflow.addPostBuildSteps(...this.renderUploadCoverageJobStep(options));
        }
        const release = options.release ?? options.releaseWorkflow ?? (this.parent ? false : true);
        if (release) {
          this.addDevDeps(version_1.Version.STANDARD_VERSION);
          this.release = new release_1.Release(this, {
            versionFile: "package.json",
            task: this.buildTask,
            branch: options.defaultReleaseBranch ?? "main",
            artifactsDirectory: this.artifactsDirectory,
            ...options,
            releaseWorkflowSetupSteps: [
              ...this.renderWorkflowSetup({ mutable: false }),
              ...options.releaseWorkflowSetupSteps ?? []
            ],
            postBuildSteps: [
              ...options.postBuildSteps ?? [],
              ...this.renderUploadCoverageJobStep(options)
            ],
            workflowNodeVersion: this.nodeVersion,
            workflowPermissions
          });
          this.publisher = this.release.publisher;
          const nodePackageToReleaseCodeArtifactAuthProviderMapping = {
            [node_package_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR]: release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR,
            [node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC]: release_1.CodeArtifactAuthProvider.GITHUB_OIDC
          };
          if (options.releaseToNpm ?? false) {
            const codeArtifactOptions = (0, release_1.isAwsCodeArtifactRegistry)(this.package.npmRegistry) ? {
              accessKeyIdSecret: options.codeArtifactOptions?.accessKeyIdSecret,
              secretAccessKeySecret: options.codeArtifactOptions?.secretAccessKeySecret,
              roleToAssume: options.codeArtifactOptions?.roleToAssume,
              authProvider: options.codeArtifactOptions?.authProvider ? nodePackageToReleaseCodeArtifactAuthProviderMapping[options.codeArtifactOptions.authProvider] : release_1.CodeArtifactAuthProvider.ACCESS_AND_SECRET_KEY_PAIR
            } : {};
            this.release.publisher.publishToNpm({
              registry: this.package.npmRegistry,
              npmTokenSecret: this.package.npmTokenSecret,
              codeArtifactOptions
            });
          }
        } else {
          if (options.releaseToNpm) {
            throw new Error('"releaseToNpm" is not supported if "release" is not set');
          }
          if (options.releaseEveryCommit) {
            throw new Error('"releaseEveryCommit" is not supported if "release" is not set');
          }
          if (options.releaseSchedule) {
            throw new Error('"releaseSchedule" is not supported if "release" is not set');
          }
        }
        if ((options.autoMerge ?? true) && this.github?.mergify && this.buildWorkflow?.buildJobIds) {
          this.autoMerge = new github_1.AutoMerge(this.github, options.autoMergeOptions);
          this.autoMerge.addConditionsLater({
            render: () => this.buildWorkflow?.buildJobIds.map((id) => `status-success=${id}`) ?? []
          });
        }
        const dependabot = options.dependabot ?? false;
        const depsUpgrade = options.depsUpgrade ?? !dependabot;
        if (dependabot && depsUpgrade) {
          throw new Error("'dependabot' cannot be configured together with 'depsUpgrade'");
        }
        const depsAutoApprove = options.autoApproveUpgrades ?? false;
        if (depsAutoApprove && !this.autoApprove && this.github) {
          throw new Error("Automatic approval of dependencies upgrades requires configuring `autoApproveOptions`");
        }
        const autoApproveLabel = (condition) => condition && this.autoApprove?.label ? [this.autoApprove.label] : void 0;
        if (dependabot) {
          const defaultOptions = {
            labels: autoApproveLabel(depsAutoApprove)
          };
          this.github?.addDependabot((0, util_2.deepMerge)([defaultOptions, options.dependabotOptions ?? {}]));
        }
        if (depsUpgrade) {
          const defaultOptions = {
            workflowOptions: {
              container: options.workflowContainerImage ? {
                image: options.workflowContainerImage
              } : void 0,
              labels: autoApproveLabel(depsAutoApprove),
              gitIdentity: this.workflowGitIdentity,
              permissions: workflowPermissions
            }
          };
          this.upgradeWorkflow = new javascript_1.UpgradeDependencies(this, (0, util_2.deepMerge)([defaultOptions, options.depsUpgradeOptions ?? {}]));
        }
        if (options.pullRequestTemplate ?? true) {
          this.github?.addPullRequestTemplate(...options.pullRequestTemplateContents ?? []);
        }
        const projenrcJs = options.projenrcJs ?? !options.projenrcJson;
        if (!this.parent && projenrcJs) {
          new projenrc_1.Projenrc(this, options.projenrcJsOptions);
        }
        this.bundler = new bundler_1.Bundler(this, options.bundlerOptions);
        if (options.package ?? true) {
          this.packageTask.exec(`mkdir -p ${this.artifactsJavascriptDirectory}`);
          this.packageTask.exec(`mv $(npm pack) ${this.artifactsJavascriptDirectory}/`);
        }
        if (options.prettier ?? false) {
          this.prettier = new javascript_1.Prettier(this, { ...options.prettierOptions });
        }
        this.npmrc = new javascript_1.NpmConfig(this, {
          omitEmpty: true
        });
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          this.npmrc.addConfig("resolution-mode", "highest");
        }
      }
      renderUploadCoverageJobStep(options) {
        if ((options.codeCov || options.codeCovTokenSecret) && this.jest?.config) {
          return [
            {
              name: "Upload coverage to Codecov",
              uses: "codecov/codecov-action@v3",
              with: options.codeCovTokenSecret ? {
                token: `\${{ secrets.${options.codeCovTokenSecret} }}`,
                directory: this.jest.config.coverageDirectory
              } : {
                directory: this.jest.config.coverageDirectory
              }
            }
          ];
        } else {
          return [];
        }
      }
      addBins(bins) {
        this.package.addBin(bins);
      }
      /**
       * Replaces the contents of an npm package.json script.
       *
       * @param name The script name
       * @param command The command to execute
       */
      setScript(name, command) {
        this.package.setScript(name, command);
      }
      /**
       * Replaces the contents of multiple npm package.json scripts.
       * @param scripts The scripts to set
       */
      addScripts(scripts) {
        for (const [name, command] of Object.entries(scripts)) {
          this.package.setScript(name, command);
        }
      }
      /**
       * Removes the npm script (always successful).
       * @param name The name of the script.
       */
      removeScript(name) {
        this.package.removeScript(name);
      }
      /**
       * Indicates if a script by the name name is defined.
       * @param name The name of the script
       * @deprecated Use `project.tasks.tryFind(name)`
       */
      hasScript(name) {
        return this.package.hasScript(name);
      }
      /**
       * DEPRECATED
       * @deprecated use `project.compileTask.exec()`
       */
      addCompileCommand(...commands) {
        for (const c of commands) {
          this.compileTask.exec(c);
        }
      }
      /**
       * DEPRECATED
       * @deprecated use `project.testTask.exec()`
       */
      addTestCommand(...commands) {
        for (const c of commands) {
          this.testTask.exec(c);
        }
      }
      /**
       * Directly set fields in `package.json`.
       * @param fields The fields to set
       */
      addFields(fields) {
        for (const [name, value] of Object.entries(fields)) {
          this.package.addField(name, value);
        }
      }
      /**
       * Adds keywords to package.json (deduplicated)
       * @param keywords The keywords to add
       */
      addKeywords(...keywords) {
        this.package.addKeywords(...keywords);
      }
      /**
       * Get steps for scoped package access
       *
       * @param codeArtifactOptions Details of logging in to AWS
       * @returns array of job steps required for each private scoped packages
       */
      getScopedPackageSteps(codeArtifactOptions) {
        const parsedCodeArtifactOptions = {
          accessKeyIdSecret: codeArtifactOptions?.accessKeyIdSecret ?? "AWS_ACCESS_KEY_ID",
          secretAccessKeySecret: codeArtifactOptions?.secretAccessKeySecret ?? "AWS_SECRET_ACCESS_KEY",
          roleToAssume: codeArtifactOptions?.roleToAssume,
          authProvider: codeArtifactOptions?.authProvider
        };
        if (parsedCodeArtifactOptions.authProvider === node_package_1.CodeArtifactAuthProvider.GITHUB_OIDC) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        if (parsedCodeArtifactOptions.roleToAssume) {
          return [
            {
              name: "Configure AWS Credentials",
              uses: "aws-actions/configure-aws-credentials@v2",
              with: {
                "aws-access-key-id": (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
                "aws-secret-access-key": (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret),
                "aws-region": "us-east-2",
                "role-to-assume": parsedCodeArtifactOptions.roleToAssume,
                "role-duration-seconds": 900
              }
            },
            {
              name: "AWS CodeArtifact Login",
              run: `${this.runScriptCommand} ca:login`
            }
          ];
        }
        return [
          {
            name: "AWS CodeArtifact Login",
            run: `${this.runScriptCommand} ca:login`,
            env: {
              AWS_ACCESS_KEY_ID: (0, util_1.secretToString)(parsedCodeArtifactOptions.accessKeyIdSecret),
              AWS_SECRET_ACCESS_KEY: (0, util_1.secretToString)(parsedCodeArtifactOptions.secretAccessKeySecret)
            }
          }
        ];
      }
      /**
       * Returns the set of workflow steps which should be executed to bootstrap a
       * workflow.
       *
       * @param options Options.
       * @returns Job steps
       */
      renderWorkflowSetup(options = {}) {
        const install = new Array();
        install.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === node_package_1.NodePackageManager.PNPM) {
          install.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        if (this.nodeVersion || this.workflowPackageCache) {
          const cache = this.package.packageManager === node_package_1.NodePackageManager.YARN ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.YARN2 ? "yarn" : this.package.packageManager === node_package_1.NodePackageManager.PNPM ? "pnpm" : "npm";
          install.push({
            name: "Setup Node.js",
            uses: "actions/setup-node@v3",
            with: {
              ...this.nodeVersion && {
                "node-version": this.nodeVersion
              },
              ...this.workflowPackageCache && {
                cache
              }
            }
          });
        }
        const mutable = options.mutable ?? false;
        if (this.package.scopedPackagesOptions) {
          install.push(...this.getScopedPackageSteps(this.package.codeArtifactOptions));
        }
        install.push({
          name: "Install dependencies",
          run: mutable ? this.package.installAndUpdateLockfileCommand : this.package.installCommand
        });
        return install;
      }
      /**
       * Defines normal dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDeps(...deps) {
        return this.package.addDeps(...deps);
      }
      /**
       * Defines development/test dependencies.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addDevDeps(...deps) {
        return this.package.addDevDeps(...deps);
      }
      /**
       * Defines peer dependencies.
       *
       * When adding peer dependencies, a devDependency will also be added on the
       * pinned version of the declared peer. This will ensure that you are testing
       * your code against the minimum version required from your consumers.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addPeerDeps(...deps) {
        return this.package.addPeerDeps(...deps);
      }
      /**
       * Defines bundled dependencies.
       *
       * Bundled dependencies will be added as normal dependencies as well as to the
       * `bundledDependencies` section of your `package.json`.
       *
       * @param deps Names modules to install. By default, the the dependency will
       * be installed in the next `npx projen` run and the version will be recorded
       * in your `package.json` file. You can upgrade manually or using `yarn
       * add/upgrade`. If you wish to specify a version range use this syntax:
       * `module@^7`.
       */
      addBundledDeps(...deps) {
        return this.package.addBundledDeps(...deps);
      }
      addPackageIgnore(pattern) {
        this.npmignore?.addPatterns(pattern);
      }
      addLicense(options) {
        if (this.package.license) {
          new license_1.License(this, {
            spdx: this.package.license,
            copyrightOwner: options.copyrightOwner ?? options.authorName,
            copyrightPeriod: options.copyrightPeriod
          });
        }
      }
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Logs", "logs", "*.log", "npm-debug.log*", "yarn-debug.log*", "yarn-error.log*", "lerna-debug.log*", "# Diagnostic reports (https://nodejs.org/api/report.html)", "report.[0-9]*.[0-9]*.[0-9]*.[0-9]*.json", "# Runtime data", "pids", "*.pid", "*.seed", "*.pid.lock", "# Directory for instrumented libs generated by jscoverage/JSCover", "lib-cov", "# Coverage directory used by tools like istanbul", "coverage", "*.lcov", "# nyc test coverage", ".nyc_output", "# Compiled binary addons (https://nodejs.org/api/addons.html)", "build/Release", "# Dependency directories", "node_modules/", "jspm_packages/", "# TypeScript cache", "*.tsbuildinfo", "# Optional eslint cache", ".eslintcache", "# Output of 'npm pack'", "*.tgz", "# Yarn Integrity file", ".yarn-integrity", "# parcel-bundler cache (https://parceljs.org/)", ".cache");
      }
      /**
       * Returns the shell command to execute in order to run a task. This will
       * typically be `npx projen TASK`.
       *
       * @param task The task for which the command is required
       */
      runTaskCommand(task) {
        return `${this.package.projenCommand} ${task.name}`;
      }
      /**
       * The job ID of the build workflow.
       */
      get buildWorkflowJobId() {
        return this.buildWorkflow?.buildJobIds[0];
      }
    };
    exports2.NodeProject = NodeProject;
    _a = JSII_RTTI_SYMBOL_1;
    NodeProject[_a] = { fqn: "projen.javascript.NodeProject", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/npm-config.js
var require_npm_config4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/npm-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NpmConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var ini_1 = require_ini8();
    var NpmConfig = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.config = {};
        new ini_1.IniFile(project, ".npmrc", {
          obj: this.config,
          omitEmpty: options.omitEmpty
        });
        if (options.registry) {
          this.addRegistry(options.registry);
        }
      }
      /**
       * configure a scoped registry
       *
       * @param url the URL of the registry to use
       * @param scope the scope the registry is used for; leave empty for the default registry
       */
      addRegistry(url, scope) {
        this.addConfig(scope ? `${scope}:registry` : "registry", url);
      }
      /**
       * configure a generic property
       *
       * @param name the name of the property
       * @param value the value of the property
       */
      addConfig(name, value) {
        this.config[name] = value;
      }
    };
    exports2.NpmConfig = NpmConfig;
    _a = JSII_RTTI_SYMBOL_1;
    NpmConfig[_a] = { fqn: "projen.javascript.NpmConfig", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/typescript-config.js
var require_typescript_config4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/typescript-config.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypescriptConfig = exports2.TypescriptConfigExtends = exports2.TypeScriptJsxMode = exports2.TypeScriptImportsNotUsedAsValues = exports2.TypeScriptModuleResolution = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver14();
    var _1 = require_javascript4();
    var component_1 = require_component4();
    var json_1 = require_json7();
    var TypeScriptModuleResolution;
    (function(TypeScriptModuleResolution2) {
      TypeScriptModuleResolution2["CLASSIC"] = "classic";
      TypeScriptModuleResolution2["NODE"] = "node";
      TypeScriptModuleResolution2["NODE16"] = "node16";
      TypeScriptModuleResolution2["NODE_NEXT"] = "nodenext";
      TypeScriptModuleResolution2["BUNDLER"] = "bundler";
    })(TypeScriptModuleResolution || (exports2.TypeScriptModuleResolution = TypeScriptModuleResolution = {}));
    var TypeScriptImportsNotUsedAsValues;
    (function(TypeScriptImportsNotUsedAsValues2) {
      TypeScriptImportsNotUsedAsValues2["REMOVE"] = "remove";
      TypeScriptImportsNotUsedAsValues2["PRESERVE"] = "preserve";
      TypeScriptImportsNotUsedAsValues2["ERROR"] = "error";
    })(TypeScriptImportsNotUsedAsValues || (exports2.TypeScriptImportsNotUsedAsValues = TypeScriptImportsNotUsedAsValues = {}));
    var TypeScriptJsxMode;
    (function(TypeScriptJsxMode2) {
      TypeScriptJsxMode2["PRESERVE"] = "preserve";
      TypeScriptJsxMode2["REACT"] = "react";
      TypeScriptJsxMode2["REACT_NATIVE"] = "react-native";
      TypeScriptJsxMode2["REACT_JSX"] = "react-jsx";
      TypeScriptJsxMode2["REACT_JSXDEV"] = "react-jsxdev";
    })(TypeScriptJsxMode || (exports2.TypeScriptJsxMode = TypeScriptJsxMode = {}));
    var TypescriptConfigExtends = class _TypescriptConfigExtends {
      /**
       * Factory for creation from array of file paths.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than one value in `paths`.
       *
       * @param paths Absolute or relative paths to base `tsconfig.json` files.
       */
      static fromPaths(paths) {
        return new _TypescriptConfigExtends(paths);
      }
      /**
       * Factory for creation from array of other `TypescriptConfig` instances.
       *
       * @remarks
       * TypeScript 5.0+ is required to specify more than on value in `configs`.
       *
       * @param configs Base `TypescriptConfig` instances.
       */
      static fromTypescriptConfigs(configs) {
        const paths = configs.map((config) => config.file.absolutePath);
        return _TypescriptConfigExtends.fromPaths(paths);
      }
      constructor(bases) {
        this.bases = bases;
      }
      toJSON() {
        return this.bases;
      }
    };
    exports2.TypescriptConfigExtends = TypescriptConfigExtends;
    _a = JSII_RTTI_SYMBOL_1;
    TypescriptConfigExtends[_a] = { fqn: "projen.javascript.TypescriptConfigExtends", version: "0.71.112" };
    var TypescriptConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const fileName = options.fileName ?? "tsconfig.json";
        this._extends = options.extends ?? TypescriptConfigExtends.fromPaths([]);
        this.include = options.include ?? ["**/*.ts"];
        this.exclude = options.exclude ?? ["node_modules"];
        this.fileName = fileName;
        this.compilerOptions = options.compilerOptions;
        this.file = new json_1.JsonFile(project, fileName, {
          allowComments: true,
          obj: {
            extends: () => this.renderExtends(),
            compilerOptions: this.compilerOptions,
            include: () => this.include,
            exclude: () => this.exclude
          }
        });
        if (project instanceof _1.NodeProject) {
          project.npmignore?.exclude(`/${fileName}`);
        }
      }
      /**
       * Render appropriate value for `extends` field.
       * @private
       */
      renderExtends() {
        if (this.extends.length <= 1) {
          return this.extends[0];
        }
        return this.extends;
      }
      /**
       * Resolve valid TypeScript extends paths relative to this config.
       *
       * @remarks
       * This will only resolve the relative path from this config to another given
       * an absolute path as input. Any non-absolute path or other string will be returned as is.
       * This is to preserve manually specified relative paths as well as npm import paths.
       *
       * @param configPath Path to resolve against.
       */
      resolveExtendsPath(configPath) {
        if (!path.isAbsolute(configPath))
          return configPath;
        const relativeConfig = path.relative(path.dirname(this.file.absolutePath), configPath);
        const { dir, ...pathParts } = path.parse(relativeConfig);
        const configDir = dir ? path.format({ dir: dir.startsWith("..") ? "" : ".", base: dir }) : ".";
        return path.format({ ...pathParts, dir: configDir });
      }
      /**
       * Validate usage of `extends` against current TypeScript version.
       * @private
       */
      validateExtends() {
        const project = this.project;
        const hasOneOrNoneExtends = this.extends.length <= 1;
        const isNodeProject = project instanceof _1.NodeProject;
        if (hasOneOrNoneExtends || !isNodeProject) {
          return;
        }
        const tsVersion = semver.coerce(project.package.tryResolveDependencyVersion("typescript"), { loose: true });
        if (tsVersion && tsVersion.major < 5) {
          this.project.logger.warn("TypeScript < 5.0.0 can only extend from a single base config.", `TypeScript Version: ${tsVersion.format()}`, `File: ${this.file.absolutePath}`, `Extends: ${this.extends}`);
        }
      }
      /**
       * Array of base `tsconfig.json` paths.
       * Any absolute paths are resolved relative to this instance,
       * while any relative paths are used as is.
       */
      get extends() {
        return this._extends.toJSON().map((value) => this.resolveExtendsPath(value));
      }
      /**
       * Extend from base `TypescriptConfig` instance.
       *
       * @remarks
       * TypeScript 5.0+ is required to extend from more than one base `TypescriptConfig`.
       *
       * @param value Base `TypescriptConfig` instance.
       */
      addExtends(value) {
        this._extends = TypescriptConfigExtends.fromPaths([
          ...this._extends.toJSON(),
          value.file.absolutePath
        ]);
      }
      addInclude(pattern) {
        this.include.push(pattern);
      }
      addExclude(pattern) {
        this.exclude.push(pattern);
      }
      preSynthesize() {
        super.preSynthesize();
        this.validateExtends();
      }
    };
    exports2.TypescriptConfig = TypescriptConfig;
    _b = JSII_RTTI_SYMBOL_1;
    TypescriptConfig[_b] = { fqn: "projen.javascript.TypescriptConfig", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/upgrade-dependencies.js
var require_upgrade_dependencies4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/upgrade-dependencies.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.UpgradeDependenciesSchedule = exports2.UpgradeDependencies = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var github_1 = require_github8();
    var constants_1 = require_constants13();
    var workflow_actions_1 = require_workflow_actions4();
    var workflows_model_1 = require_workflows_model4();
    var release_1 = require_release8();
    var CREATE_PATCH_STEP_ID = "create_patch";
    var PATCH_CREATED_OUTPUT = "patch_created";
    var UpgradeDependencies = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.workflows = [];
        this._project = project;
        this.options = options;
        this.pullRequestTitle = options.pullRequestTitle ?? "upgrade dependencies";
        this.gitIdentity = options.workflowOptions?.gitIdentity ?? constants_1.DEFAULT_GITHUB_ACTIONS_USER;
        this.permissions = {
          contents: workflows_model_1.JobPermission.READ,
          ...options.workflowOptions?.permissions
        };
        this.postBuildSteps = [];
        this.containerOptions = options.workflowOptions?.container;
        project.addDevDeps("npm-check-updates@^16");
        this.postUpgradeTask = project.tasks.tryFind("post-upgrade") ?? project.tasks.addTask("post-upgrade", {
          description: "Runs after upgrading dependencies"
        });
        this.upgradeTask = project.addTask(options.taskName ?? "upgrade", {
          // this task should not run in CI mode because its designed to
          // update package.json and lock files.
          env: { CI: "0" },
          description: this.pullRequestTitle,
          steps: { toJSON: () => this.renderTaskSteps() }
        });
        this.upgradeTask.lock();
        if (this.upgradeTask && project.github && (options.workflow ?? true)) {
          if (options.workflowOptions?.branches) {
            for (const branch of options.workflowOptions.branches) {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            }
          } else if (release_1.Release.of(project)) {
            const release = release_1.Release.of(project);
            release._forEachBranch((branch) => {
              this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, branch));
            });
          } else {
            const defaultBranch = void 0;
            this.workflows.push(this.createWorkflow(this.upgradeTask, project.github, defaultBranch));
          }
        }
      }
      /**
       * Add steps to execute a successful build.
       * @param steps workflow steps
       */
      addPostBuildSteps(...steps) {
        this.postBuildSteps.push(...steps);
      }
      renderTaskSteps() {
        const exclude = this.options.exclude ?? [];
        const ncuExcludes = [
          ...new Set(this.project.deps.all.filter((dep) => dep.version && dep.version[0] !== "^" && dep.type !== dependencies_1.DependencyType.OVERRIDE).map((dep) => dep.name).concat(exclude))
        ];
        const ncuIncludes = this.options.include?.filter((item) => !ncuExcludes.includes(item));
        const includeLength = this.options.include?.length ?? 0;
        const ncuIncludesLength = ncuIncludes?.length ?? 0;
        if (includeLength > 0 && ncuIncludesLength === 0) {
          return [{ exec: "echo No dependencies to upgrade." }];
        }
        const steps = new Array();
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand([], ["npm-check-updates"])
        });
        for (const dep of ["dev", "optional", "peer", "prod", "bundle"]) {
          const ncuCommand = [
            "npm-check-updates",
            "--dep",
            dep,
            "--upgrade",
            "--target=minor"
          ];
          if (ncuIncludes) {
            ncuCommand.push(`--filter='${ncuIncludes.join(",")}'`);
          } else if (ncuExcludes.length > 0) {
            ncuCommand.push(`--reject='${ncuExcludes.join(",")}'`);
          }
          steps.push({ exec: ncuCommand.join(" ") });
        }
        steps.push({ exec: this._project.package.installAndUpdateLockfileCommand });
        steps.push({
          exec: this._project.package.renderUpgradePackagesCommand(exclude, this.options.include)
        });
        steps.push({ exec: this._project.projenCommand });
        steps.push({ spawn: this.postUpgradeTask.name });
        return steps;
      }
      createWorkflow(task, github, branch) {
        const schedule = this.options.workflowOptions?.schedule ?? UpgradeDependenciesSchedule.DAILY;
        const workflowName = `${task.name}${branch ? `-${branch.replace(/\//g, "-")}` : ""}`;
        const workflow = github.addWorkflow(workflowName);
        const triggers = {
          workflowDispatch: {},
          schedule: schedule.cron.length > 0 ? schedule.cron.map((e) => ({ cron: e })) : void 0
        };
        workflow.on(triggers);
        const upgrade = this.createUpgrade(task, github, branch);
        const pr = this.createPr(workflow, upgrade);
        const jobs = {};
        jobs[upgrade.jobId] = upgrade.job;
        jobs[pr.jobId] = pr.job;
        workflow.addJobs(jobs);
        return workflow;
      }
      createUpgrade(task, github, branch) {
        const runsOn = this.options.workflowOptions?.runsOn ?? ["ubuntu-latest"];
        const with_ = {
          ...branch ? { ref: branch } : {},
          ...github.downloadLfs ? { lfs: true } : {}
        };
        const steps = [
          {
            name: "Checkout",
            uses: "actions/checkout@v3",
            with: Object.keys(with_).length > 0 ? with_ : void 0
          },
          ...this._project.renderWorkflowSetup({ mutable: false }),
          {
            name: "Upgrade dependencies",
            run: this._project.runTaskCommand(task)
          }
        ];
        steps.push(...this.postBuildSteps);
        steps.push(...workflow_actions_1.WorkflowActions.uploadGitPatch({
          stepId: CREATE_PATCH_STEP_ID,
          outputName: PATCH_CREATED_OUTPUT
        }));
        return {
          job: {
            name: "Upgrade",
            container: this.containerOptions,
            permissions: this.permissions,
            runsOn: runsOn ?? ["ubuntu-latest"],
            steps,
            outputs: {
              [PATCH_CREATED_OUTPUT]: {
                stepId: CREATE_PATCH_STEP_ID,
                outputName: PATCH_CREATED_OUTPUT
              }
            }
          },
          jobId: "upgrade",
          ref: branch
        };
      }
      createPr(workflow, upgrade) {
        const credentials = this.options.workflowOptions?.projenCredentials ?? workflow.projenCredentials;
        return {
          job: github_1.WorkflowJobs.pullRequestFromPatch({
            patch: {
              jobId: upgrade.jobId,
              outputName: PATCH_CREATED_OUTPUT,
              ref: upgrade.ref
            },
            workflowName: workflow.name,
            credentials,
            runsOn: this.options.workflowOptions?.runsOn,
            pullRequestTitle: `chore(deps): ${this.pullRequestTitle}`,
            pullRequestDescription: "Upgrades project dependencies.",
            gitIdentity: this.gitIdentity,
            assignees: this.options.workflowOptions?.assignees,
            labels: this.options.workflowOptions?.labels,
            signoff: this.options.signoff
          }),
          jobId: "pr"
        };
      }
    };
    exports2.UpgradeDependencies = UpgradeDependencies;
    _a = JSII_RTTI_SYMBOL_1;
    UpgradeDependencies[_a] = { fqn: "projen.javascript.UpgradeDependencies", version: "0.71.112" };
    var UpgradeDependenciesSchedule = class _UpgradeDependenciesSchedule {
      /**
       * Create a schedule from a raw cron expression.
       */
      static expressions(cron) {
        return new _UpgradeDependenciesSchedule(cron);
      }
      constructor(cron) {
        this.cron = cron;
      }
    };
    exports2.UpgradeDependenciesSchedule = UpgradeDependenciesSchedule;
    _b = JSII_RTTI_SYMBOL_1;
    UpgradeDependenciesSchedule[_b] = { fqn: "projen.javascript.UpgradeDependenciesSchedule", version: "0.71.112" };
    UpgradeDependenciesSchedule.NEVER = new UpgradeDependenciesSchedule([]);
    UpgradeDependenciesSchedule.DAILY = new UpgradeDependenciesSchedule(["0 0 * * *"]);
    UpgradeDependenciesSchedule.WEEKDAY = new UpgradeDependenciesSchedule([
      "0 0 * * 1-5"
    ]);
    UpgradeDependenciesSchedule.WEEKLY = new UpgradeDependenciesSchedule([
      "0 0 * * 1"
    ]);
    UpgradeDependenciesSchedule.MONTHLY = new UpgradeDependenciesSchedule([
      "0 0 1 * *"
    ]);
  }
});

// ../../components/workflows/node_modules/projen/lib/javascript/index.js
var require_javascript4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/javascript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_bundler4(), exports2);
    __exportStar(require_eslint4(), exports2);
    __exportStar(require_jest4(), exports2);
    __exportStar(require_node_package4(), exports2);
    __exportStar(require_node_project4(), exports2);
    __exportStar(require_npm_config4(), exports2);
    __exportStar(require_prettier4(), exports2);
    __exportStar(require_projenrc17(), exports2);
    __exportStar(require_typescript_config4(), exports2);
    __exportStar(require_upgrade_dependencies4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/typescript/projenrc.js
var require_projenrc18 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/typescript/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var render_options_1 = require_render_options4();
    var projenrc_1 = require_projenrc16();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this._tsProject = project;
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this._swc = options.swc ?? false;
        this.addDefaultTask();
        this.generateProjenrc();
      }
      addDefaultTask() {
        const deps = ["ts-node"];
        if (this._swc) {
          deps.push("@swc/core");
        }
        this._tsProject.addDevDeps(...deps);
        const tsNode = this._swc ? "ts-node --swc" : "ts-node";
        this._tsProject.defaultTask?.exec(`${tsNode} --project ${this._tsProject.tsconfigDev.fileName} ${this.filePath}`);
      }
      preSynthesize() {
        this._tsProject.tsconfigDev.addInclude(this.filePath);
        this._tsProject.tsconfigDev.addInclude(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addLintPattern(this._projenCodeDir);
        this._tsProject.eslint?.addLintPattern(this.filePath);
        this._tsProject.eslint?.allowDevDeps(this.filePath);
        this._tsProject.eslint?.allowDevDeps(`${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addIgnorePattern(`!${this.filePath}`);
        this._tsProject.eslint?.addIgnorePattern(`!${this._projenCodeDir}/**/*.ts`);
        this._tsProject.eslint?.addOverride({
          files: [this.filePath],
          rules: {
            "@typescript-eslint/no-require-imports": "off",
            "import/no-extraneous-dependencies": "off"
          }
        });
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(rcfile), { recursive: true });
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.typescript.Projenrc", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/typescript/projenrc-ts.js
var require_projenrc_ts4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/typescript/projenrc-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ProjenrcTs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var javascript_1 = require_javascript4();
    var render_options_1 = require_render_options4();
    var projenrc_1 = require_projenrc16();
    var ProjenrcTs = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        this.filePath = options.filename ?? ".projenrc.ts";
        this._projenCodeDir = options.projenCodeDir ?? "projenrc";
        this.tsconfig = new javascript_1.TypescriptConfig(project, {
          fileName: options.tsconfigFileName ?? "tsconfig.projen.json",
          compilerOptions: {}
        });
        project.defaultTask?.exec(`npx -y ts-node --project ${this.tsconfig.fileName} ${this.filePath}`);
        this.generateProjenrc();
      }
      preSynthesize() {
        this.tsconfig.addInclude(this.filePath);
        this.tsconfig.addInclude(`${this._projenCodeDir}/**/*.ts`);
      }
      generateProjenrc() {
        const rcfile = (0, path_1.resolve)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(rcfile)) {
          return;
        }
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const parts = bootstrap.fqn.split(".");
        const moduleName = parts[0];
        const importName = parts[1];
        const className = parts.slice(1).join(".");
        const { renderedOptions, imports } = (0, render_options_1.renderJavaScriptOptions)({
          args: bootstrap.args,
          type: bootstrap.type,
          comments: bootstrap.comments
        });
        imports.add(moduleName, importName);
        const lines = new Array();
        lines.push(...imports.asEsmImports());
        lines.push();
        lines.push(`const project = new ${className}(${renderedOptions});`);
        lines.push();
        lines.push("project.synth();");
        (0, fs_1.writeFileSync)(rcfile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${rcfile}`);
      }
    };
    exports2.ProjenrcTs = ProjenrcTs;
    _a = JSII_RTTI_SYMBOL_1;
    ProjenrcTs[_a] = { fqn: "projen.typescript.ProjenrcTs", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/typescript/typescript.js
var require_typescript7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/typescript/typescript.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.mergeTsconfigOptions = exports2.TypeScriptLibraryProject = exports2.TypeScriptAppProject = exports2.TypeScriptProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var semver = require_semver14();
    var common_1 = require_common14();
    var component_1 = require_component4();
    var javascript_1 = require_javascript4();
    var sample_file_1 = require_sample_file4();
    var textfile_1 = require_textfile4();
    var typescript_1 = require_typescript8();
    var util_1 = require_util20();
    var TypeScriptProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          ...options,
          // disable .projenrc.js if typescript is enabled
          projenrcJs: options.projenrcTs ? false : options.projenrcJs,
          jestOptions: {
            ...options.jestOptions,
            jestConfig: {
              ...options.jestOptions?.jestConfig,
              testMatch: options.jestOptions?.jestConfig?.testMatch ?? []
            }
          }
        });
        this.srcdir = options.srcdir ?? "src";
        this.libdir = options.libdir ?? "lib";
        this.docgen = options.docgen;
        this.docsDirectory = options.docsDirectory ?? "docs/";
        this.compileTask.exec("tsc --build");
        this.watchTask = this.addTask("watch", {
          description: "Watch & compile in the background",
          exec: "tsc --build -w"
        });
        this.testdir = options.testdir ?? "test";
        this.gitignore.include(`/${this.testdir}/`);
        this.npmignore?.exclude(`/${this.testdir}/`);
        const compiledTests = this.testdir.startsWith(this.srcdir + path.posix.sep);
        if (options.entrypointTypes || this.entrypoint !== "") {
          const entrypointTypes = options.entrypointTypes ?? `${path.join(path.dirname(this.entrypoint), path.basename(this.entrypoint, ".js")).replace(/\\/g, "/")}.d.ts`;
          this.package.addField("types", entrypointTypes);
        }
        const compilerOptionDefaults = {
          alwaysStrict: true,
          declaration: true,
          esModuleInterop: true,
          experimentalDecorators: true,
          inlineSourceMap: true,
          inlineSources: true,
          lib: ["es2019"],
          module: "CommonJS",
          noEmitOnError: false,
          noFallthroughCasesInSwitch: true,
          noImplicitAny: true,
          noImplicitReturns: true,
          noImplicitThis: true,
          noUnusedLocals: true,
          noUnusedParameters: true,
          resolveJsonModule: true,
          strict: true,
          strictNullChecks: true,
          strictPropertyInitialization: true,
          stripInternal: true,
          target: "ES2019"
        };
        if (options.disableTsconfigDev && options.disableTsconfig) {
          throw new Error("Cannot specify both 'disableTsconfigDev' and 'disableTsconfig' fields.");
        }
        if (!options.disableTsconfig) {
          this.tsconfig = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            include: [`${this.srcdir}/**/*.ts`],
            // exclude: ['node_modules'], // TODO: shouldn't we exclude node_modules?
            compilerOptions: {
              rootDir: this.srcdir,
              outDir: this.libdir,
              ...compilerOptionDefaults
            }
          }, options.tsconfig));
        }
        if (options.disableTsconfigDev) {
          this.tsconfigDev = this.tsconfig;
        } else {
          const tsconfigDevFile = options.tsconfigDevFile ?? "tsconfig.dev.json";
          this.tsconfigDev = new javascript_1.TypescriptConfig(this, mergeTsconfigOptions({
            fileName: tsconfigDevFile,
            include: [
              common_1.PROJEN_RC,
              `${this.srcdir}/**/*.ts`,
              `${this.testdir}/**/*.ts`
            ],
            exclude: ["node_modules"],
            compilerOptions: compilerOptionDefaults
          }, options.tsconfig, options.tsconfigDev));
        }
        this.gitignore.include(`/${this.srcdir}/`);
        this.npmignore?.exclude(`/${this.srcdir}/`);
        if (this.srcdir !== this.libdir) {
          this.gitignore.exclude(`/${this.libdir}`);
        } else {
          this.gitignore.exclude(`/${this.libdir}/**/*.js`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts`);
          this.gitignore.exclude(`/${this.libdir}/**/*.d.ts.map`);
        }
        this.npmignore?.include(`/${this.libdir}/`);
        this.npmignore?.include(`/${this.libdir}/**/*.js`);
        this.npmignore?.include(`/${this.libdir}/**/*.d.ts`);
        this.gitignore.exclude("/dist/");
        this.npmignore?.exclude("dist");
        this.npmignore?.exclude("/tsconfig.json");
        this.npmignore?.exclude("/.github/");
        this.npmignore?.exclude("/.vscode/");
        this.npmignore?.exclude("/.idea/");
        this.npmignore?.exclude("/.projenrc.js");
        this.npmignore?.exclude("tsconfig.tsbuildinfo");
        if (this.jest) {
          if (compiledTests) {
            this.addJestCompiled(this.jest);
          } else {
            this.addJestNoCompile(this.jest);
          }
        }
        if (options.eslint ?? true) {
          this.eslint = new javascript_1.Eslint(this, {
            tsconfigPath: `./${this.tsconfigDev.fileName}`,
            dirs: [this.srcdir],
            devdirs: [this.testdir, "build-tools"],
            fileExtensions: [".ts", ".tsx"],
            lintProjenRc: false,
            ...options.eslintOptions
          });
          this.tsconfigEslint = this.tsconfigDev;
        }
        if (!this.parent && options.projenrcTs) {
          new typescript_1.Projenrc(this, options.projenrcTsOptions);
        }
        const tsver = options.typescriptVersion ? `@${options.typescriptVersion}` : "";
        this.addDevDeps(
          `typescript${tsver}`,
          // @types/node versions numbers match the node runtime versions' major.minor, however, new
          // releases are only created when API changes are included in a node release... We might for
          // example have dependencies that require `node >= 12.22`, but as 12.21 and 12.22 did not
          // include API changes, `@types/node@12.20.x` is the "correct" version to use. As it is not
          // possible to easily determine the correct version to use, we pick up the latest version.
          //
          // Additionally, we default to tracking the 12.x line, as the current earliest LTS release of
          // node is 12.x, so this is what corresponds to the broadest compatibility with supported node
          // runtimes.
          `@types/node@^${semver.major(this.package.minNodeVersion ?? "16.0.0")}`
        );
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        if (this.docgen) {
          new typescript_1.TypedocDocgen(this);
        }
      }
      /**
       * Tests are compiled to `lib/TESTDIR`, so we don't need jest to compile them
       * for us. just run them directly from javascript.
       */
      addJestCompiled(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`);
        const testout = path.posix.relative(this.srcdir, this.testdir);
        const libtest = path.posix.join(this.libdir, testout);
        const srctest = this.testdir;
        this.npmignore?.exclude(`/${libtest}/`);
        jest.addTestMatch(`**/${libtest}/**/?(*.)+(spec|test).js?(x)`);
        jest.addWatchIgnorePattern(`/${this.srcdir}/`);
        const resolveSnapshotPath = (test, ext) => {
          const fullpath = test.replace(libtest, srctest);
          return path.join(path.dirname(fullpath), "__snapshots__", path.basename(fullpath, ".js") + ".ts" + ext);
        };
        const resolveTestPath = (snap, ext) => {
          const filename = path.basename(snap, ".ts" + ext) + ".js";
          const dir = path.dirname(path.dirname(snap)).replace(srctest, libtest);
          return path.join(dir, filename);
        };
        const resolver = new textfile_1.TextFile(this, path.posix.join(common_1.PROJEN_DIR, "jest-snapshot-resolver.js"));
        if (!resolver.marker) {
          resolver.addLine(`// ${resolver.marker}`);
        }
        resolver.addLine('const path = require("path");');
        resolver.addLine(`const libtest = "${libtest}";`);
        resolver.addLine(`const srctest= "${srctest}";`);
        resolver.addLine("module.exports = {");
        resolver.addLine(`  resolveSnapshotPath: ${resolveSnapshotPath.toString()},`);
        resolver.addLine(`  resolveTestPath: ${resolveTestPath.toString()},`);
        resolver.addLine("  testPathForConsistencyCheck: path.join('some', '__tests__', 'example.test.js')");
        resolver.addLine("};");
        jest.addSnapshotResolver(`./${resolver.path}`);
      }
      addJestNoCompile(jest) {
        this.addDevDeps(`@types/jest${jest.jestVersion}`, `ts-jest${jest.jestVersion}`);
        jest.addTestMatch(`<rootDir>/${this.srcdir}/**/__tests__/**/*.ts?(x)`);
        jest.addTestMatch(`<rootDir>/(${this.testdir}|${this.srcdir})/**/*(*.)@(spec|test).ts?(x)`);
        if (!jest.config.preset) {
          jest.config.preset = "ts-jest";
        }
        jest.config.globals = (0, util_1.deepMerge)([
          {
            "ts-jest": {
              tsconfig: this.tsconfigDev.fileName
            }
          },
          jest.config.globals
        ]);
      }
    };
    exports2.TypeScriptProject = TypeScriptProject;
    _a = JSII_RTTI_SYMBOL_1;
    TypeScriptProject[_a] = { fqn: "projen.typescript.TypeScriptProject", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        const srcCode = [
          "export class Hello {",
          "  public sayHello() {",
          "    return 'hello, world!';",
          "  }",
          "}"
        ].join("\n");
        const testCode = [
          "import { Hello } from '../src';",
          "",
          "test('hello', () => {",
          "  expect(new Hello().sayHello()).toBe('hello, world!');",
          "});"
        ].join("\n");
        new sample_file_1.SampleDir(project, project.srcdir, {
          files: {
            "index.ts": srcCode
          }
        });
        if (project.jest) {
          new sample_file_1.SampleDir(project, project.testdir, {
            files: {
              "hello.test.ts": testCode
            }
          });
        }
      }
    };
    var TypeScriptAppProject = class extends TypeScriptProject {
      constructor(options) {
        super({
          allowLibraryDependencies: false,
          releaseWorkflow: false,
          entrypoint: "",
          package: false,
          ...options
        });
      }
    };
    exports2.TypeScriptAppProject = TypeScriptAppProject;
    _b = JSII_RTTI_SYMBOL_1;
    TypeScriptAppProject[_b] = { fqn: "projen.typescript.TypeScriptAppProject", version: "0.71.112" };
    var TypeScriptLibraryProject = class extends TypeScriptProject {
    };
    exports2.TypeScriptLibraryProject = TypeScriptLibraryProject;
    _c = JSII_RTTI_SYMBOL_1;
    TypeScriptLibraryProject[_c] = { fqn: "projen.typescript.TypeScriptLibraryProject", version: "0.71.112" };
    function mergeTsconfigOptions(...options) {
      const definedOptions = options.filter(Boolean);
      return definedOptions.reduce((previous, current) => ({
        ...previous,
        ...current,
        include: [...previous.include ?? [], ...current.include ?? []],
        exclude: [...previous.exclude ?? [], ...current.exclude ?? []],
        compilerOptions: {
          ...previous.compilerOptions,
          ...current.compilerOptions
        }
      }), { compilerOptions: {} });
    }
    exports2.mergeTsconfigOptions = mergeTsconfigOptions;
  }
});

// ../../components/workflows/node_modules/projen/lib/typescript/typescript-typedoc.js
var require_typescript_typedoc4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/typescript/typescript-typedoc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TypedocDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TypedocDocgen = class {
      constructor(project) {
        project.addDevDeps("typedoc");
        const docgen = project.addTask("docgen", {
          description: `Generate TypeScript API reference ${project.docsDirectory}`,
          exec: `typedoc ${project.srcdir} --disableSources --out ${project.docsDirectory}`
        });
        project.postCompileTask.spawn(docgen);
      }
    };
    exports2.TypedocDocgen = TypedocDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    TypedocDocgen[_a] = { fqn: "projen.typescript.TypedocDocgen", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/typescript/index.js
var require_typescript8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/typescript/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_projenrc18(), exports2);
    __exportStar(require_projenrc_ts4(), exports2);
    __exportStar(require_typescript7(), exports2);
    __exportStar(require_typescript_typedoc4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/web/next.js
var require_next4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/web/next.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NextComponent = exports2.NextJsTypeScriptProject = exports2.NextJsProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var postcss_1 = require_postcss4();
    var component_1 = require_component4();
    var javascript_1 = require_javascript4();
    var sample_file_1 = require_sample_file4();
    var typescript_1 = require_typescript8();
    var util_1 = require_util20();
    var NextJsProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          minNodeVersion: "12.22.0",
          workflowNodeVersion: "16.x",
          ...options
        });
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: false, tailwind: this.tailwind });
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "js",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsProject = NextJsProject;
    _a = JSII_RTTI_SYMBOL_1;
    NextJsProject[_a] = { fqn: "projen.web.NextJsProject", version: "0.71.112" };
    var NextJsTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "pages",
          eslint: false,
          minNodeVersion: "12.22.0",
          jest: false,
          workflowNodeVersion: "16.x",
          tsconfig: {
            include: ["**/*.ts", "**/*.tsx"],
            compilerOptions: {
              // required by Next.js
              esModuleInterop: true,
              module: "CommonJS",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              isolatedModules: true,
              resolveJsonModule: true,
              jsx: javascript_1.TypeScriptJsxMode.PRESERVE,
              // recommended by Next.js
              allowJs: true,
              skipLibCheck: true,
              forceConsistentCasingInFileNames: true,
              noEmit: true,
              lib: ["dom", "dom.iterable", "esnext"],
              strict: false,
              target: "es5",
              incremental: true
            }
          }
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "pages";
        this.assetsdir = options.assetsdir ?? "public";
        this.tailwind = options.tailwind ?? true;
        new NextComponent(this, { typescript: true, tailwind: this.tailwind });
        if (this.tsconfig) {
          this.tsconfig.file.readonly = false;
        }
        if (options.sampleCode ?? true) {
          new NextSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir,
            assetsdir: this.assetsdir,
            tailwind: this.tailwind
          });
        }
      }
    };
    exports2.NextJsTypeScriptProject = NextJsTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    NextJsTypeScriptProject[_b] = { fqn: "projen.web.NextJsTypeScriptProject", version: "0.71.112" };
    var NextComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        this.tailwind = options.tailwind ?? true;
        project.addDeps("next", "react", "react-dom");
        if (this.typescript) {
          project.addDevDeps("@types/react", "@types/react-dom");
        }
        if (this.tailwind) {
          new postcss_1.PostCss(project, { tailwind: true });
        }
        project.addTask("dev", {
          description: "Starts the Next.js application in development mode",
          exec: "next dev"
        });
        project.compileTask.exec("next build");
        project.addTask("export", {
          description: "Exports the application for production deployment",
          exec: "next export"
        });
        project.addTask("server", {
          description: "Starts the Next.js application in production mode",
          exec: "next start"
        });
        project.addTask("telemetry", {
          description: "Checks the status of Next.js telemetry collection",
          exec: "next telemetry"
        });
        project.npmignore?.exclude("# Next.js", "/.next/");
        project.gitignore.exclude("# Next.js", "/.next/");
      }
    };
    exports2.NextComponent = NextComponent;
    _c = JSII_RTTI_SYMBOL_1;
    NextComponent[_c] = { fqn: "projen.web.NextComponent", version: "0.71.112" };
    var NextSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "js";
        this.srcdir = options.srcdir;
        this.assetsdir = options.assetsdir;
        this.tailwind = options.tailwind;
        const indexJs = [
          'import Head from "next/head"',
          "",
          "export default function Home() {",
          "  return (",
          '    <div className="container">',
          "      <Head>",
          "        <title>Create Next App</title>",
          "      </Head>",
          "",
          "      <main>",
          '        <h1 className="title">',
          '          Welcome to <a href="https://nextjs.org">Next.js!</a>',
          "        </h1>",
          "",
          '        <p className="description">',
          "          Get started by editing <code>pages/index.js</code>",
          "        </p>",
          "",
          '        <div className="grid">',
          '          <a href="https://nextjs.org/docs" className="card">',
          "            <h3>Documentation &rarr;</h3>",
          "            <p>Find in-depth information about Next.js features and API.</p>",
          "          </a>",
          "",
          '          <a href="https://nextjs.org/learn" className="card">',
          "            <h3>Learn &rarr;</h3>",
          "            <p>Learn about Next.js in an interactive course with quizzes!</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://github.com/vercel/next.js/tree/master/examples"',
          '            className="card"',
          "          >",
          "            <h3>Examples &rarr;</h3>",
          "            <p>Discover and deploy boilerplate example Next.js projects.</p>",
          "          </a>",
          "",
          "          <a",
          '            href="https://vercel.com/import?filter=next.js&utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '            className="card"',
          "          >",
          "            <h3>Deploy &rarr;</h3>",
          "            <p>",
          "              Instantly deploy your Next.js site to a public URL with Vercel.",
          "            </p>",
          "          </a>",
          "        </div>",
          "      </main>",
          "",
          "      <footer>",
          "        <a",
          '          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Powered by Vercel",
          '          <img src="/vercel.svg" alt="Vercel Logo" className="logo" />',
          "        </a>",
          "      </footer>",
          "",
          "      <style jsx>{`",
          "        .container {",
          "          min-height: 100vh;",
          "          padding: 0 0.5rem;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        main {",
          "          padding: 5rem 0;",
          "          flex: 1;",
          "          display: flex;",
          "          flex-direction: column;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer {",
          "          width: 100%;",
          "          height: 100px;",
          "          border-top: 1px solid #eaeaea;",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        footer img {",
          "          margin-left: 0.5rem;",
          "        }",
          "",
          "        footer a {",
          "          display: flex;",
          "          justify-content: center;",
          "          align-items: center;",
          "        }",
          "",
          "        a {",
          "          color: inherit;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a {",
          "          color: #0070f3;",
          "          text-decoration: none;",
          "        }",
          "",
          "        .title a:hover,",
          "        .title a:focus,",
          "        .title a:active {",
          "          text-decoration: underline;",
          "        }",
          "",
          "        .title {",
          "          margin: 0;",
          "          line-height: 1.15;",
          "          font-size: 4rem;",
          "        }",
          "",
          "        .title,",
          "        .description {",
          "          text-align: center;",
          "        }",
          "",
          "        .description {",
          "          line-height: 1.5;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        code {",
          "          background: #fafafa;",
          "          border-radius: 5px;",
          "          padding: 0.75rem;",
          "          font-size: 1.1rem;",
          "          font-family: Menlo, Monaco, Lucida Console, Liberation Mono,",
          "            DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace;",
          "        }",
          "",
          "        .grid {",
          "          display: flex;",
          "          align-items: center;",
          "          justify-content: center;",
          "          flex-wrap: wrap;",
          "",
          "          max-width: 800px;",
          "          margin-top: 3rem;",
          "        }",
          "",
          "        .card {",
          "          margin: 1rem;",
          "          flex-basis: 45%;",
          "          padding: 1.5rem;",
          "          text-align: left;",
          "          color: inherit;",
          "          text-decoration: none;",
          "          border: 1px solid #eaeaea;",
          "          border-radius: 10px;",
          "          transition: color 0.15s ease, border-color 0.15s ease;",
          "        }",
          "",
          "        .card:hover,",
          "        .card:focus,",
          "        .card:active {",
          "          color: #0070f3;",
          "          border-color: #0070f3;",
          "        }",
          "",
          "        .card h3 {",
          "          margin: 0 0 1rem 0;",
          "          font-size: 1.5rem;",
          "        }",
          "",
          "        .card p {",
          "          margin: 0;",
          "          font-size: 1.25rem;",
          "          line-height: 1.5;",
          "        }",
          "",
          "        .logo {",
          "          height: 1em;",
          "        }",
          "",
          "        @media (max-width: 600px) {",
          "          .grid {",
          "            width: 100%;",
          "            flex-direction: column;",
          "          }",
          "        }",
          "      `}</style>",
          "",
          "      <style jsx global>{`",
          "        html,",
          "        body {",
          "          padding: 0;",
          "          margin: 0;",
          "          font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,",
          "            Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue,",
          "            sans-serif;",
          "        }",
          "",
          "        * {",
          "          box-sizing: border-box;",
          "        }",
          "      `}</style>",
          "    </div>",
          "  )",
          "}",
          ""
        ];
        if (this.tailwind) {
          indexJs.unshift('import "tailwindcss/tailwind.css"');
        }
        const vercelSvg = [
          '<svg width="283" height="64" viewBox="0 0 283 64" fill="none" ',
          '    xmlns="http://www.w3.org/2000/svg">',
          '    <path d="M141.04 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.46 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM248.72 16c-11.04 0-19 7.2-19 18s8.96 18 20 18c6.67 0 12.55-2.64 16.19-7.09l-7.65-4.42c-2.02 2.21-5.09 3.5-8.54 3.5-4.79 0-8.86-2.5-10.37-6.5h28.02c.22-1.12.35-2.28.35-3.5 0-10.79-7.96-17.99-19-17.99zm-9.45 14.5c1.25-3.99 4.67-6.5 9.45-6.5 4.79 0 8.21 2.51 9.45 6.5h-18.9zM200.24 34c0 6 3.92 10 10 10 4.12 0 7.21-1.87 8.8-4.92l7.68 4.43c-3.18 5.3-9.14 8.49-16.48 8.49-11.05 0-19-7.2-19-18s7.96-18 19-18c7.34 0 13.29 3.19 16.48 8.49l-7.68 4.43c-1.59-3.05-4.68-4.92-8.8-4.92-6.07 0-10 4-10 10zm82.48-29v46h-9V5h9zM36.95 0L73.9 64H0L36.95 0zm92.38 5l-27.71 48L73.91 5H84.3l17.32 30 17.32-30h10.39zm58.91 12v9.69c-1-.29-2.06-.49-3.2-.49-5.81 0-10 4-10 10V51h-9V17h9v9.2c0-5.08 5.91-9.2 13.2-9.2z" fill="#000"/>',
          "</svg>"
        ];
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            ["index." + this.fileExt]: indexJs.join("\n")
          }
        });
        new sample_file_1.SampleDir(project, this.assetsdir, {
          files: {
            "vercel.svg": vercelSvg.join("\n")
          }
        });
        new sample_file_1.SampleFile(project, "next-env.d.ts", {
          contents: [
            '/// <reference types="next" />',
            '/// <reference types="next/types/global" />',
            '/// <reference types="next/image-types/global" />',
            "// NOTE: This file should not be edited",
            "// see https://nextjs.org/docs/basic-features/typescript for more information.",
            ""
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/web/react.js
var require_react4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/web/react.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ReactTypeDef = exports2.ReactComponent = exports2.ReactTypeScriptProject = exports2.ReactProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var component_1 = require_component4();
    var file_1 = require_file5();
    var javascript_1 = require_javascript4();
    var sample_file_1 = require_sample_file4();
    var source_code_1 = require_source_code4();
    var typescript_1 = require_typescript8();
    var util_1 = require_util20();
    var ReactProject = class extends javascript_1.NodeProject {
      constructor(options) {
        super({
          jest: false,
          ...options
        });
        this.srcdir = options.srcdir ?? "src";
        new ReactComponent(this, { typescript: false, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "jsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
      }
    };
    exports2.ReactProject = ReactProject;
    _a = JSII_RTTI_SYMBOL_1;
    ReactProject[_a] = { fqn: "projen.web.ReactProject", version: "0.71.112" };
    var ReactTypeScriptProject = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        const defaultOptions = {
          srcdir: "src",
          eslint: true,
          jest: false,
          tsconfig: {
            include: ["src"],
            compilerOptions: {
              target: "es5",
              lib: ["dom", "dom.iterable", "esnext"],
              allowJs: true,
              skipLibCheck: true,
              esModuleInterop: true,
              allowSyntheticDefaultImports: true,
              strict: true,
              forceConsistentCasingInFileNames: true,
              noFallthroughCasesInSwitch: true,
              module: "commonjs",
              moduleResolution: javascript_1.TypeScriptModuleResolution.NODE,
              resolveJsonModule: true,
              isolatedModules: true,
              noEmit: true,
              jsx: javascript_1.TypeScriptJsxMode.REACT_JSX
            }
          },
          typescriptVersion: options.typescriptVersion ?? "^4.0.3"
        };
        super((0, util_1.deepMerge)([
          defaultOptions,
          options,
          { sampleCode: false }
        ]));
        this.srcdir = options.srcdir ?? "src";
        this.eslint?.addRules({
          "import/no-extraneous-dependencies": [
            "error",
            {
              devDependencies: ["**/src/**/*.test.tsx", "**/src/setupTests.ts"],
              optionalDependencies: false,
              peerDependencies: true
            }
          ]
        });
        new ReactComponent(this, { typescript: true, rewire: options.rewire });
        if (options.sampleCode ?? true) {
          new ReactSampleCode(this, {
            fileExt: "tsx",
            srcdir: this.srcdir
          });
          new sample_file_1.SampleDir(this, "public", {
            sourceDir: path.join(__dirname + "/externals/projen/lib/web", "..", "..", "assets", "web", "react")
          });
        }
        this.package.addPackageResolutions(
          // https://github.com/DefinitelyTyped/DefinitelyTyped/issues/62300
          "@types/express@4.17.13",
          "@types/express-serve-static-core@4.17.30"
        );
      }
    };
    exports2.ReactTypeScriptProject = ReactTypeScriptProject;
    _b = JSII_RTTI_SYMBOL_1;
    ReactTypeScriptProject[_b] = { fqn: "projen.web.ReactTypeScriptProject", version: "0.71.112" };
    var ReactComponent = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.typescript = options.typescript ?? false;
        project.compileTask.reset();
        project.addDeps("react", "react-dom", "react-scripts@^5", "web-vitals");
        project.addDevDeps("@testing-library/jest-dom", "@testing-library/react", "@testing-library/user-event");
        if (this.typescript) {
          project.addDevDeps("@types/jest", "@types/react", "@types/react-dom");
        }
        const rewire = options.rewire ?? false;
        if (rewire) {
          const overridesPath = ".projen/react-config-overrides.js";
          project.addDevDeps("react-app-rewired");
          project.addFields({ "config-overrides-path": overridesPath });
          const configOverrides = new source_code_1.SourceCode(this.project, overridesPath);
          if (!configOverrides.marker) {
            configOverrides.line(`// ${configOverrides.marker}`);
          }
          configOverrides.line("/**");
          configOverrides.line(" * Override CRA configuration without needing to eject.");
          configOverrides.line(" *");
          configOverrides.line(" * @see https://www.npmjs.com/package/react-app-rewired");
          configOverrides.line(" */");
          configOverrides.open("module.exports = function override(config, env) {");
          for (const [key, value] of Object.entries(rewire)) {
            configOverrides.line(`config.${key} = ${JSON.stringify(value)};`);
          }
          configOverrides.line("return config;");
          configOverrides.close("};");
        }
        const reactScripts = rewire ? "react-app-rewired" : "react-scripts";
        project.addTask("dev", {
          description: "Starts the react application",
          exec: `${reactScripts} start`
        });
        project.compileTask.exec(`${reactScripts} build`);
        project.testTask.exec(`${reactScripts} test --watchAll=false`);
        const testWatch = project.tasks.tryFind("test:watch");
        testWatch?.reset(`${reactScripts} test`);
        project.npmignore?.exclude("# Build", "/build/");
        project.gitignore.exclude("# Build", "/build/");
        project.package.addField("eslintConfig", {
          extends: ["react-app", "react-app/jest"]
        });
        project.package.addField("browserslist", {
          production: [">0.2%", "not dead", "not op_mini all"],
          development: [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
          ]
        });
      }
    };
    exports2.ReactComponent = ReactComponent;
    _c = JSII_RTTI_SYMBOL_1;
    ReactComponent[_c] = { fqn: "projen.web.ReactComponent", version: "0.71.112" };
    var ReactSampleCode = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.fileExt = options.fileExt ?? "jsx";
        this.srcdir = options.srcdir;
        const logoSvg = [
          '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3">',
          '    <g fill="#61DAFB">',
          '        <path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/>',
          '        <circle cx="420.9" cy="296.5" r="45.7"/>',
          '        <path d="M520.5 78.1z"/>',
          "    </g>",
          "</svg>",
          ""
        ];
        const appJsx = [
          "import logo from './logo.svg';",
          "import './App.css'",
          "",
          "function App() {",
          "  return (",
          '   <div className="App">',
          '      <header className="App-header">',
          '        <img src={logo} className="App-logo" alt="logo" />',
          "        <p>",
          `          Edit <code>src/App.${this.fileExt}</code> and save to reload.`,
          "        </p>",
          '        <a className="App-link"',
          '          href="https://reactjs.org"',
          '          target="_blank"',
          '          rel="noopener noreferrer"',
          "        >",
          "          Learn React",
          "        </a>",
          "      </header>",
          "    </div>",
          "  );",
          "}",
          "",
          "export default App;",
          ""
        ];
        const appCss = [
          ".App {",
          "  text-align: center;",
          "}",
          "",
          ".App-logo {",
          "  height: 40vmin;",
          "  pointer-events: none;",
          "}",
          "",
          "@media (prefers-reduced-motion: no-preference) {",
          "  .App-logo {",
          "    animation: App-logo-spin infinite 20s linear;",
          "  }",
          "}",
          "",
          ".App-header {",
          "  background-color: #282c34;",
          "  min-height: 100vh;",
          "  display: flex;",
          "  flex-direction: column;",
          "  align-items: center;",
          "  justify-content: center;",
          "  font-size: calc(10px + 2vmin);",
          "  color: white;",
          "}",
          "",
          ".App-link {",
          "  color: #61dafb;",
          "}",
          "",
          "@keyframes App-logo-spin {",
          "  from {",
          "    transform: rotate(0deg);",
          "  }",
          "  to {",
          "    transform: rotate(360deg);",
          "  }",
          "}",
          ""
        ];
        const appTestJsx = [
          "import { render, screen } from '@testing-library/react';",
          "import App from './App';",
          "",
          "test('renders learn react link', () => {",
          "  render(<App />);",
          "  const linkElement = screen.getByText(/learn react/i);",
          "  expect(linkElement).toBeInTheDocument();",
          "});",
          ""
        ];
        const indexJsx = [
          "import React from 'react';",
          "import ReactDOM from 'react-dom';",
          "import './index.css';",
          "import App from './App';",
          "import reportWebVitals from './reportWebVitals';",
          "",
          "ReactDOM.render(",
          "  <React.StrictMode>",
          "    <App />",
          "  </React.StrictMode>,",
          "  document.getElementById('root')",
          ");",
          "",
          "// If you want to start measuring performance in your app, pass a function",
          "// to log results (for example: reportWebVitals(console.log))",
          "// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals",
          "reportWebVitals();",
          ""
        ];
        const indexCss = [
          "body {",
          "  margin: 0;",
          "  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',",
          "    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',",
          "    sans-serif;",
          "  -webkit-font-smoothing: antialiased;",
          "  -moz-osx-font-smoothing: grayscale;",
          "}",
          "",
          "code {",
          "  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',",
          "    monospace;",
          "}",
          ""
        ];
        const reportWebVitalsJs = [
          "import { ReportHandler } from 'web-vitals';",
          "",
          "const reportWebVitals = (onPerfEntry?: ReportHandler) => {",
          "  if (onPerfEntry && onPerfEntry instanceof Function) {",
          "    import('web-vitals').then(",
          "      ({ getCLS, getFID, getFCP, getLCP, getTTFB }) => {",
          "        getCLS(onPerfEntry);",
          "        getFID(onPerfEntry);",
          "        getFCP(onPerfEntry);",
          "        getLCP(onPerfEntry);",
          "        getTTFB(onPerfEntry);",
          "      },",
          "      () => {}",
          "    );",
          "  }",
          "};",
          "",
          "export default reportWebVitals;"
        ];
        const setupTestsJs = [
          "// jest-dom adds custom jest matchers for asserting on DOM nodes.",
          "// allows you to do things like:",
          "// expect(element).toHaveTextContent(/react/i)",
          "// learn more: https://github.com/testing-library/jest-dom",
          "import '@testing-library/jest-dom';",
          ""
        ];
        const reactTypeDef = ['/// <reference types="react-scripts" />'];
        const fileExtWithoutX = this.fileExt.replace("x", "");
        new sample_file_1.SampleDir(project, this.srcdir, {
          files: {
            "react-app-env.d.ts": reactTypeDef.join("\n"),
            "logo.svg": logoSvg.join("\n"),
            ["App." + this.fileExt]: appJsx.join("\n"),
            ["App.test." + this.fileExt]: appTestJsx.join("\n"),
            "App.css": appCss.join("\n"),
            ["index." + this.fileExt]: indexJsx.join("\n"),
            "index.css": indexCss.join("\n"),
            ["reportWebVitals." + fileExtWithoutX]: reportWebVitalsJs.join("\n"),
            ["setupTests." + fileExtWithoutX]: setupTestsJs.join("\n")
          }
        });
      }
    };
    var ReactTypeDef = class extends file_1.FileBase {
      constructor(project, filePath, options = {}) {
        super(project, filePath, options);
      }
      synthesizeContent(_) {
        return ['/// <reference types="react-scripts" />'].join("\n");
      }
    };
    exports2.ReactTypeDef = ReactTypeDef;
    _d = JSII_RTTI_SYMBOL_1;
    ReactTypeDef[_d] = { fqn: "projen.web.ReactTypeDef", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/web/index.js
var require_web4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/web/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_next4(), exports2);
    __exportStar(require_postcss4(), exports2);
    __exportStar(require_react4(), exports2);
    __exportStar(require_tailwind4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/gitlab/configuration.js
var require_configuration4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitlab/configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CiConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case4();
    var component_1 = require_component4();
    var yaml_1 = require_yaml4();
    var CiConfiguration = class extends component_1.Component {
      constructor(project, name, options) {
        super(project);
        this.defaultAfterScript = [];
        this.defaultBeforeScript = [];
        this.defaultServices = [];
        this.defaultTags = [];
        this.include = [];
        this.stages = [];
        this.variables = {};
        this.jobs = {};
        this.project = project;
        this.name = path.parse(name).name;
        this.path = this.name === "gitlab-ci" ? ".gitlab-ci.yml" : `.gitlab/ci-templates/${name.toLocaleLowerCase()}.yml`;
        this.file = new yaml_1.YamlFile(this.project, this.path, {
          obj: () => this.renderCI(),
          // GitLab needs to read the file from the repository in order to work.
          committed: true
        });
        const defaults = options?.default;
        if (defaults) {
          this.defaultAfterScript.push(...defaults.afterScript ?? []);
          this.defaultArtifacts = defaults.artifacts;
          defaults.beforeScript && this.defaultBeforeScript.push(...defaults.beforeScript);
          this.defaultCache = defaults.cache;
          this.defaultImage = defaults.image;
          this.defaultInterruptible = defaults.interruptible;
          this.defaultRetry = defaults.retry;
          defaults.services && this.addServices(...defaults.services);
          defaults.tags && this.defaultTags.push(...defaults.tags);
          this.defaultTimeout = defaults.timeout;
        }
        this.pages = options?.pages;
        this.workflow = options?.workflow;
        if (options?.stages) {
          this.addStages(...options.stages);
        }
        if (options?.variables) {
          this.addGlobalVariables(options.variables);
        }
        if (options?.jobs) {
          this.addJobs(options.jobs);
        }
      }
      /**
       * Add additional yml/yaml files to the CI includes
       * @param includes The includes to add.
       */
      addIncludes(...includes) {
        for (const additional of includes) {
          this.assertIsValidInclude(additional);
          for (const existing of this.include) {
            if (this.areEqualIncludes(existing, additional)) {
              throw new Error(`${this.name}: GitLab CI ${existing} already contains one or more templates specified in ${additional}.`);
            }
          }
          this.include.push(additional);
        }
      }
      /**
       * Throw an error if the provided Include is invalid.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param include the Include to validate.
       */
      assertIsValidInclude(include) {
        const combos = [
          include.local,
          include.file && include.project,
          include.remote,
          include.template
        ];
        const len = combos.filter((x) => Boolean(x)).length;
        if (len !== 1) {
          throw new Error(`${this.name}: GitLab CI include ${include} contains ${len} property combination(s).
        A valid include configuration specifies *one* of the following property combinations.
        * local
        * file, project
        * remote
        * template  
        `);
        }
      }
      /**
       * Check if the equality of Includes.
       * @see https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/config/external/mapper.rb
       * @param x First include to compare.
       * @param y Second include to compare.
       * @returns Whether the includes are equal.
       */
      areEqualIncludes(x, y) {
        if (x.local === y.local && x.local !== void 0) {
          return true;
        } else if (x.template === y.template && x.template !== void 0) {
          return true;
        } else if (x.remote === y.remote && x.remote !== void 0) {
          return true;
        } else if (x.project === y.project && x.ref === y.ref) {
          const xFiles = x.file ? x.file : [];
          const yFiles = y.file ? y.file : [];
          const allFiles = xFiles.concat(yFiles);
          return new Set(allFiles).size !== allFiles.length;
        }
        return false;
      }
      /**
       * Add additional services.
       * @param services The services to add.
       */
      addServices(...services) {
        for (const additional of services) {
          for (const existing of this.defaultServices) {
            if (additional.name === existing.name && additional.alias === existing.alias) {
              throw new Error(`${this.name}: GitLab CI already contains service ${additional}.`);
            }
          }
          this.defaultServices.push(additional);
        }
      }
      /**
       * Add a globally defined variable to the CI configuration.
       * @param variables The variables to add.
       */
      addGlobalVariables(variables) {
        for (const [key, value] of Object.entries(variables)) {
          if (this.variables[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains variable ${key}.`);
          }
          this.variables[key] = value;
        }
      }
      /**
       * Add stages to the CI configuration if not already present.
       * @param stages stages to add.
       */
      addStages(...stages) {
        for (const stage of stages) {
          if (!this.stages.includes(stage)) {
            this.stages.push(stage);
          }
        }
      }
      /**
       * Add jobs and their stages to the CI configuration.
       * @param jobs Jobs to add.
       */
      addJobs(jobs) {
        for (const [key, value] of Object.entries(jobs)) {
          if (this.jobs[key] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains job ${key}.`);
          }
          this.jobs[key] = value;
          if (value.stage) {
            this.addStages(value.stage);
          }
        }
      }
      renderCI() {
        return {
          default: this.renderDefault(),
          include: this.include.length > 0 ? snakeCaseKeys(this.include) : void 0,
          pages: snakeCaseKeys(this.pages),
          services: this.defaultServices.length > 0 ? snakeCaseKeys(this.defaultServices) : void 0,
          variables: Object.entries(this.variables).length > 0 ? this.variables : void 0,
          workflow: snakeCaseKeys(this.workflow),
          stages: this.stages.length > 0 ? this.stages : void 0,
          // we do not want to change job names
          // as they can be hidden (https://docs.gitlab.com/ee/ci/jobs/index.html#hide-jobs)
          // or referenced in extends
          ...snakeCaseKeys(this.jobs, true)
        };
      }
      renderDefault() {
        const defaults = {
          afterScript: this.defaultAfterScript.length > 0 ? this.defaultAfterScript : void 0,
          artifacts: this.defaultArtifacts,
          beforeScript: this.defaultBeforeScript.length > 0 ? this.defaultBeforeScript : void 0,
          cache: this.defaultCache,
          image: this.defaultImage,
          interruptible: this.defaultInterruptible,
          retry: this.defaultRetry,
          services: this.defaultServices.length > 0 ? this.defaultServices : void 0,
          tags: this.defaultTags.length > 0 ? this.defaultTags : void 0,
          timeout: this.defaultTimeout
        };
        return Object.values(defaults).filter((x) => x).length ? snakeCaseKeys(defaults) : void 0;
      }
    };
    exports2.CiConfiguration = CiConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    CiConfiguration[_a] = { fqn: "projen.gitlab.CiConfiguration", version: "0.71.112" };
    function snakeCaseKeys(obj, skipTopLevel = false) {
      if (typeof obj !== "object" || obj == null) {
        return obj;
      }
      if (Array.isArray(obj)) {
        return obj.map((o) => snakeCaseKeys(o));
      }
      const result = {};
      for (let [k, v] of Object.entries(obj)) {
        if (typeof v === "object" && v != null && k !== "variables") {
          v = snakeCaseKeys(v);
        }
        result[skipTopLevel ? k : (0, case_1.snake)(k)] = v;
      }
      return result;
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/gitlab/configuration-model.js
var require_configuration_model4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitlab/configuration-model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowWhen = exports2.Strategy = exports2.LinkType = exports2.DefaultElement = exports2.KubernetesEnum = exports2.DeploymentTier = exports2.Action = exports2.JobWhen = exports2.CacheWhen = exports2.CachePolicy = void 0;
    var CachePolicy;
    (function(CachePolicy2) {
      CachePolicy2["PULL"] = "pull";
      CachePolicy2["PUSH"] = "push";
      CachePolicy2["PULL_PUSH"] = "pull-push";
    })(CachePolicy || (exports2.CachePolicy = CachePolicy = {}));
    var CacheWhen;
    (function(CacheWhen2) {
      CacheWhen2["ALWAYS"] = "always";
      CacheWhen2["ON_FAILURE"] = "on_failure";
      CacheWhen2["ON_SUCCESS"] = "on_success";
    })(CacheWhen || (exports2.CacheWhen = CacheWhen = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["DELAYED"] = "delayed";
      JobWhen2["MANUAL"] = "manual";
      JobWhen2["NEVER"] = "never";
      JobWhen2["ON_FAILURE"] = "on_failure";
      JobWhen2["ON_SUCCESS"] = "on_success";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var Action;
    (function(Action2) {
      Action2["PREPARE"] = "prepare";
      Action2["START"] = "start";
      Action2["STOP"] = "stop";
    })(Action || (exports2.Action = Action = {}));
    var DeploymentTier;
    (function(DeploymentTier2) {
      DeploymentTier2["DEVELOPMENT"] = "development";
      DeploymentTier2["OTHER"] = "other";
      DeploymentTier2["PRODUCTION"] = "production";
      DeploymentTier2["STAGING"] = "staging";
      DeploymentTier2["TESTING"] = "testing";
    })(DeploymentTier || (exports2.DeploymentTier = DeploymentTier = {}));
    var KubernetesEnum;
    (function(KubernetesEnum2) {
      KubernetesEnum2["ACTIVE"] = "active";
    })(KubernetesEnum || (exports2.KubernetesEnum = KubernetesEnum = {}));
    var DefaultElement;
    (function(DefaultElement2) {
      DefaultElement2["AFTER_SCRIPT"] = "after_script";
      DefaultElement2["ARTIFACTS"] = "artifacts";
      DefaultElement2["BEFORE_SCRIPT"] = "before_script";
      DefaultElement2["CACHE"] = "cache";
      DefaultElement2["IMAGE"] = "image";
      DefaultElement2["INTERRUPTIBLE"] = "interruptible";
      DefaultElement2["RETRY"] = "retry";
      DefaultElement2["SERVICES"] = "services";
      DefaultElement2["TAGS"] = "tags";
      DefaultElement2["TIMEOUT"] = "timeout";
    })(DefaultElement || (exports2.DefaultElement = DefaultElement = {}));
    var LinkType;
    (function(LinkType2) {
      LinkType2["IMAGE"] = "image";
      LinkType2["OTHER"] = "other";
      LinkType2["PACKAGE"] = "package";
      LinkType2["RUNBOOK"] = "runbook";
    })(LinkType || (exports2.LinkType = LinkType = {}));
    var Strategy;
    (function(Strategy2) {
      Strategy2["DEPEND"] = "depend";
    })(Strategy || (exports2.Strategy = Strategy = {}));
    var WorkflowWhen;
    (function(WorkflowWhen2) {
      WorkflowWhen2["ALWAYS"] = "always";
      WorkflowWhen2["NEVER"] = "never";
    })(WorkflowWhen || (exports2.WorkflowWhen = WorkflowWhen = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/gitlab/nested-configuration.js
var require_nested_configuration4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitlab/nested-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NestedConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration4();
    var NestedConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, parent, name, options) {
        super(project, name, options);
        this.parent = parent;
      }
    };
    exports2.NestedConfiguration = NestedConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    NestedConfiguration[_a] = { fqn: "projen.gitlab.NestedConfiguration", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/gitlab/gitlab-configuration.js
var require_gitlab_configuration4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitlab/gitlab-configuration.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.GitlabConfiguration = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var configuration_1 = require_configuration4();
    var nested_configuration_1 = require_nested_configuration4();
    var GitlabConfiguration = class extends configuration_1.CiConfiguration {
      constructor(project, options) {
        super(project, "gitlab-ci", options);
        this.nestedTemplates = {};
      }
      /**
       * Creates and adds nested templates to the includes of the main CI.
       * Additionally adds their stages to the main CI if they are not already present.
       * You can futher customize nested templates through the `nestedTemplates` property.
       * E.g. gitlabConfig.nestedTemplates['templateName']?.addStages('stageName')
       * @param config a record the names and configuraitons of the templates.
       */
      createNestedTemplates(config) {
        for (const [name, options] of Object.entries(config)) {
          if (this.nestedTemplates[name] !== void 0) {
            throw new Error(`${this.name}: GitLab CI already contains template "${name}".`);
          }
          const template = new nested_configuration_1.NestedConfiguration(this.project, this, name, options);
          this.nestedTemplates[template.name] = template;
          this.addIncludes({ local: template.path });
          this.addStages(...template.stages);
        }
      }
    };
    exports2.GitlabConfiguration = GitlabConfiguration;
    _a = JSII_RTTI_SYMBOL_1;
    GitlabConfiguration[_a] = { fqn: "projen.gitlab.GitlabConfiguration", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/gitlab/index.js
var require_gitlab4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/gitlab/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_configuration4(), exports2);
    __exportStar(require_configuration_model4(), exports2);
    __exportStar(require_gitlab_configuration4(), exports2);
    __exportStar(require_nested_configuration4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/circleci/circleci.js
var require_circleci7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/circleci/circleci.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.isObjectContainingFieldExactly = exports2.Circleci = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var util_1 = require_util20();
    var yaml_1 = require_yaml4();
    var Circleci = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.renderJobs = (jobs = []) => {
          let result = [];
          for (const job of jobs ?? []) {
            const { identifier, orbParameters, ...reduced } = job;
            if ((0, exports2.isObjectContainingFieldExactly)(job, "identifier")) {
              result = [...result, identifier];
            } else {
              result = [
                ...result,
                { [identifier]: { ...reduced, ...orbParameters } }
              ];
            }
          }
          return result;
        };
        this.snakeCase = (input) => {
          const snakeCaseKeyWords = [
            "awsAuth",
            "workingDirectory",
            "resourceClass",
            "dockerLayerCaching",
            "noOutputTimeout"
          ];
          return (0, util_1.snakeCaseKeys)(input, true, snakeCaseKeyWords);
        };
        this.options = options;
        this.orbs = options.orbs ?? {};
        this.workflows = options.workflows ?? [];
        this.jobs = options.jobs ?? [];
        this.file = new yaml_1.YamlFile(project, ".circleci/config.yml", {
          obj: () => this.renderCircleCi()
        });
      }
      /**
       * function to prepare the rendering of the yaml file.
       * Objects with dynamic keys like workflows and jobs required the field `identifier` to be set.
       * Those object will be reduced by `identifier` field before rendering
       * @private
       */
      renderCircleCi() {
        const workflowRecords = {};
        for (const workflow of this.workflows) {
          const { identifier, ...reduced } = workflow;
          reduced.jobs = this.renderJobs(workflow.jobs);
          workflowRecords[identifier] = this.snakeCase(reduced);
        }
        const jobRecords = {};
        for (const job of this.jobs) {
          const { identifier, ...reduced } = job;
          jobRecords[identifier] = this.snakeCase(reduced);
        }
        return {
          version: this.options.version || 2.1,
          setup: this.options.setup,
          orbs: this.orbs,
          jobs: Object.keys(jobRecords).length > 0 ? jobRecords : void 0,
          workflows: workflowRecords
        };
      }
      /**
       * add new workflow to existing pipeline
       * @param workflow
       */
      addWorkflow(workflow) {
        this.workflows = [...this.workflows, workflow];
      }
      /**
       * Add a Circleci Orb to pipeline. Will throw error if the orb already exists
       * @param name
       * @param orb
       */
      addOrb(name, orb) {
        if (this.orbs[name] !== void 0) {
          throw new Error(`Circleci Config already contains an orb named ${name}.`);
        }
        this.orbs[name] = orb;
      }
    };
    exports2.Circleci = Circleci;
    _a = JSII_RTTI_SYMBOL_1;
    Circleci[_a] = { fqn: "projen.circleci.Circleci", version: "0.71.112" };
    var isObjectContainingFieldExactly = (obj, field) => {
      return Object.keys(obj).length == 1 && Object.keys(obj).includes(field);
    };
    exports2.isObjectContainingFieldExactly = isObjectContainingFieldExactly;
  }
});

// ../../components/workflows/node_modules/projen/lib/circleci/constant.js
var require_constant4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/circleci/constant.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.FilterMainBranchOnly = void 0;
    exports2.FilterMainBranchOnly = {
      branches: { only: ["master", "main"] }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/circleci/model.js
var require_model4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/circleci/model.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PipelineParameterType = exports2.JobWhen = exports2.ResourceClass = exports2.JobType = void 0;
    var JobType;
    (function(JobType2) {
      JobType2["APPROVAL"] = "approval";
    })(JobType || (exports2.JobType = JobType = {}));
    var ResourceClass;
    (function(ResourceClass2) {
      ResourceClass2["SMALL"] = "small";
      ResourceClass2["MEDIUM"] = "medium";
      ResourceClass2["MEDIUM_PLUS"] = "medium+";
      ResourceClass2["LARGE_X"] = "xlarge";
      ResourceClass2["LARGE_2X"] = "2xlarge";
      ResourceClass2["LARGE_2X_PLUS"] = "2xlarge+";
    })(ResourceClass || (exports2.ResourceClass = ResourceClass = {}));
    var JobWhen;
    (function(JobWhen2) {
      JobWhen2["ALWAYS"] = "always";
      JobWhen2["ON_SUCCESS"] = "on_success";
      JobWhen2["ON_FAIL"] = "on_fail";
    })(JobWhen || (exports2.JobWhen = JobWhen = {}));
    var PipelineParameterType;
    (function(PipelineParameterType2) {
      PipelineParameterType2["STRING"] = "string";
      PipelineParameterType2["BOOLEAN"] = "boolean";
      PipelineParameterType2["INTEGER"] = "integer";
      PipelineParameterType2["ENUM"] = "enum";
    })(PipelineParameterType || (exports2.PipelineParameterType = PipelineParameterType = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/circleci/index.js
var require_circleci8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/circleci/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_circleci7(), exports2);
    __exportStar(require_constant4(), exports2);
    __exportStar(require_model4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/util/semver.js
var require_semver16 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/util/semver.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.toReleaseVersion = exports2.toPythonVersionRange = exports2.toNuGetVersionRange = exports2.toMavenVersionRange = exports2.TargetName = void 0;
    var util_1 = require("util");
    var semver_1 = require_semver14();
    var TargetName;
    (function(TargetName2) {
      TargetName2[TargetName2["JAVA"] = 0] = "JAVA";
      TargetName2[TargetName2["DOTNET"] = 1] = "DOTNET";
      TargetName2[TargetName2["PYTHON"] = 2] = "PYTHON";
      TargetName2[TargetName2["GO"] = 3] = "GO";
      TargetName2[TargetName2["JAVASCRIPT"] = 4] = "JAVASCRIPT";
    })(TargetName || (exports2.TargetName = TargetName = {}));
    function toMavenVersionRange(semverRange, suffix) {
      return toBracketNotation(semverRange, suffix, {
        semver: false,
        target: TargetName.JAVA
      });
    }
    exports2.toMavenVersionRange = toMavenVersionRange;
    function toNuGetVersionRange(semverRange) {
      return toBracketNotation(semverRange, void 0, {
        semver: false,
        target: TargetName.DOTNET
      });
    }
    exports2.toNuGetVersionRange = toNuGetVersionRange;
    function toPythonVersionRange(semverRange) {
      const range = new semver_1.Range(semverRange);
      return range.set.map((set) => set.map((comp) => {
        const versionId = toReleaseVersion(comp.semver.raw?.replace(/-0$/, "") ?? "0.0.0", TargetName.PYTHON);
        switch (comp.operator) {
          case "":
            return comp.value === "" ? ">=0.0.0" : `==${versionId}`;
          case "=":
            return `==${versionId}`;
          default:
            return `${comp.operator}${versionId}`;
        }
      }).join(", ")).join(", ");
    }
    exports2.toPythonVersionRange = toPythonVersionRange;
    function toReleaseVersion(assemblyVersion, target) {
      const version = (0, semver_1.parse)(assemblyVersion);
      if (version == null) {
        throw new Error(`Unable to parse the provided assembly version: "${assemblyVersion}"`);
      }
      if (version.prerelease.length === 0) {
        return assemblyVersion;
      }
      switch (target) {
        case TargetName.PYTHON:
          const [label, sequence, ...rest] = version.prerelease;
          if (rest.filter((elt) => elt !== 0).length > 0 || sequence == null) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) components to python: ${(0, util_1.inspect)(version.prerelease)}. The format should be 'X.Y.Z-label.sequence', where sequence is a positive integer, and label is "dev", "pre", "alpha", beta", or "rc"`);
          }
          if (!Number.isInteger(sequence)) {
            throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as sequence ${(0, util_1.inspect)(sequence)} is not an integer`);
          }
          const baseVersion = `${version.major}.${version.minor}.${version.patch}`;
          switch (label) {
            case "dev":
            case "pre":
              return `${baseVersion}.dev${sequence}`;
            case "alpha":
              return `${baseVersion}a${sequence}`;
            case "beta":
              return `${baseVersion}b${sequence}`;
            case "rc":
              return `${baseVersion}rc${sequence}`;
            default:
              throw new Error(`Unable to map prerelease identifier (in: ${assemblyVersion}) to python, as label ${(0, util_1.inspect)(label)} is not mapped (only "dev", "pre", "alpha", "beta" and "rc" are)`);
          }
        case TargetName.DOTNET:
        case TargetName.GO:
        case TargetName.JAVA:
        case TargetName.JAVASCRIPT:
          break;
      }
      return assemblyVersion;
    }
    exports2.toReleaseVersion = toReleaseVersion;
    function toBracketNotation(semverRange, suffix, { semver = true, target = TargetName.JAVASCRIPT } = {}) {
      if (semverRange === "*") {
        semverRange = ">=0.0.0";
      }
      const range = new semver_1.Range(semverRange);
      if (semverRange === range.range) {
        return semverRange;
      }
      return range.set.map((set) => {
        if (set.length === 1) {
          const version = set[0].semver.raw;
          if (!version && range.raw === ">=0.0.0") {
            return "[0.0.0,)";
          }
          switch (set[0].operator || "=") {
            case "=":
              return `[${addSuffix(version)}]`;
            case ">":
              return `(${addSuffix(version)},)`;
            case ">=":
              return `[${addSuffix(version)},)`;
            case "<":
              return `(,${addSuffix(version, !semver)})`;
            case "<=":
              return `(,${addSuffix(version)}]`;
          }
        } else if (set.length === 2) {
          const nugetRange = toBracketRange(set[0], set[1]);
          if (nugetRange) {
            return nugetRange;
          }
        }
        throw new Error(`Unsupported SemVer range set in ${semverRange}: ${set.map((comp) => comp.value).join(", ")}`);
      }).join(", ");
      function toBracketRange(left, right) {
        if (left.operator.startsWith("<") && right.operator.startsWith(">")) {
          [left, right] = [right, left];
        }
        if (left.operator === "" && left.value === "") {
          left = new semver_1.Comparator(">=0.0.0", left.options);
        }
        if (!left.operator.startsWith(">") || !right.operator.startsWith("<")) {
          return void 0;
        }
        const leftBrace = left.operator.endsWith("=") ? "[" : "(";
        const rightBrace = right.operator.endsWith("=") ? "]" : ")";
        return `${leftBrace}${addSuffix(left.semver.raw)},${addSuffix(right.semver.raw, right.operator === "<" && !semver)}${rightBrace}`;
      }
      function addSuffix(str, trimDashZero = false) {
        if (!str) {
          return "";
        }
        if (trimDashZero) {
          str = str.replace(/-0$/, "");
        }
        return suffix ? `${str}${suffix}` : toReleaseVersion(str, target);
      }
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/java/pom.js
var require_pom4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/pom.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pom = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _resolve_1 = require_resolve4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var semver_1 = require_semver16();
    var xmlfile_1 = require_xmlfile4();
    var POM_XML_ATTRS = {
      "@xsi:schemaLocation": "http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd",
      "@xmlns": "http://maven.apache.org/POM/4.0.0",
      "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
    };
    var Pom = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.properties = {};
        this.repositories = [];
        this.fileName = "pom.xml";
        this.groupId = options.groupId;
        this.artifactId = options.artifactId;
        this.version = options.version;
        this.packaging = options.packaging ?? "jar";
        this.name = project.name;
        this.description = options.description;
        this.url = options.url;
        new xmlfile_1.XmlFile(project, this.fileName, { obj: () => this.synthPom() });
      }
      /**
       * Adds a key/value property to the pom.
       * @param key the key
       * @param value the value
       */
      addProperty(key, value) {
        this.properties[key] = value;
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.TEST);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        for (const dep of options.dependencies ?? []) {
          this.project.deps.addDependency(dep, dependencies_1.DependencyType.BUILD);
        }
        return this.project.deps.addDependency(spec, dependencies_1.DependencyType.BUILD, options);
      }
      /**
       * Adds a repository to the pom
       * @param repository the repository to add
       */
      addRepository(repository) {
        this.repositories.push(repository);
      }
      synthPom() {
        return (0, _resolve_1.resolve)({
          project: {
            ...POM_XML_ATTRS,
            modelVersion: "4.0.0",
            groupId: this.groupId,
            artifactId: this.artifactId,
            version: this.version,
            packaging: this.packaging,
            name: this.name,
            description: this.description,
            url: this.url,
            properties: this.properties,
            ...this.synthRepositories(),
            ...this.synthDependencies()
          }
        }, { omitEmpty: true });
      }
      synthDependencies() {
        const deps = this.project.deps.all;
        if (deps.length === 0) {
          return;
        }
        const dependencies = [];
        const plugins = [];
        for (const dep of deps) {
          switch (dep.type) {
            case dependencies_1.DependencyType.PEER:
            case dependencies_1.DependencyType.RUNTIME:
              dependencies.push(mavenCoords(dep));
              break;
            case dependencies_1.DependencyType.TEST:
              dependencies.push({
                ...mavenCoords(dep),
                scope: "test"
              });
              break;
            case dependencies_1.DependencyType.BUILD:
              plugins.push({
                ...mavenCoords(dep),
                ...pluginConfig(dep.metadata)
              });
              break;
            default:
              throw new Error(`unsupported dependency type: ${dep.type}`);
          }
        }
        return {
          build: { plugins: { plugin: plugins } },
          dependencies: { dependency: dependencies }
        };
      }
      synthRepositories() {
        if (this.repositories.length === 0) {
          return;
        }
        return {
          repositories: { repository: this.repositories }
        };
      }
    };
    exports2.Pom = Pom;
    _a = JSII_RTTI_SYMBOL_1;
    Pom[_a] = { fqn: "projen.java.Pom", version: "0.71.112" };
    function mavenCoords(dep) {
      const name = dep.name;
      const parts = name.split("/");
      if (parts.length !== 2) {
        throw new Error(`invalid maven coordinates in dependency named "${name}". format is "<groupId>/<artifactId>". For example "org.junit.jupiter/junit-jupiter-engine"`);
      }
      return {
        groupId: parts[0],
        artifactId: parts[1],
        version: dep.version ? (0, semver_1.toMavenVersionRange)(dep.version) : void 0
      };
    }
    function pluginConfig(options = {}) {
      return {
        configuration: options.configuration,
        dependencies: options.dependencies && options.dependencies.length > 0 ? {
          dependency: options.dependencies?.map((d) => mavenCoords(dependencies_1.Dependencies.parseDependency(d)))
        } : void 0,
        executions: options.executions?.map((e) => ({
          execution: {
            id: e.id,
            goals: e.goals.map((goal) => ({ goal })),
            phase: e.phase
          }
        }))
      };
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/java/junit.js
var require_junit4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/junit.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Junit = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component4();
    var sample_file_1 = require_sample_file4();
    var TESTDIR = (0, path_1.join)("src", "test", "java");
    var Junit = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pom = options.pom;
        const version = options.version ?? "5.7.0";
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-api@${version}`);
        pom.addTestDependency(`org.junit.jupiter/junit-jupiter-engine@${version}`);
        project.testTask.exec("mvn test");
        const javaPackage = options.sampleJavaPackage ?? "org.acme";
        const javaPackagePath = javaPackage.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)(TESTDIR, ...javaPackagePath), {
          files: {
            "MyTest.java": [
              `package ${javaPackage};`,
              "",
              "import org.junit.jupiter.api.Test;",
              "",
              "public class MyTest {",
              "  @Test",
              "  public void testHello() {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.Junit = Junit;
    _a = JSII_RTTI_SYMBOL_1;
    Junit[_a] = { fqn: "projen.java.Junit", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/java/maven-compile.js
var require_maven_compile4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/maven-compile.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenCompile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var MavenCompile = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        project.gitignore.exclude("target");
        pom.addPlugin("org.apache.maven.plugins/maven-compiler-plugin@3.8.1", {
          configuration: {
            source: options.source ?? "1.8",
            target: options.target ?? "1.8"
          }
        });
        project.compileTask.exec("mvn compiler:compile");
      }
    };
    exports2.MavenCompile = MavenCompile;
    _a = JSII_RTTI_SYMBOL_1;
    MavenCompile[_a] = { fqn: "projen.java.MavenCompile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/java/maven-packaging.js
var require_maven_packaging4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/maven-packaging.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenPackaging = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var MavenPackaging = class extends component_1.Component {
      constructor(project, pom, options = {}) {
        super(project);
        pom.addPlugin("org.apache.maven.plugins/maven-jar-plugin@3.2.0", {
          configuration: {
            archive: {
              index: true,
              manifest: {
                addDefaultImplementationEntries: true,
                addDefaultSpecificationEntries: true
              }
            }
          }
        });
        if (options.sources ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-source-plugin@3.2.1", {
            executions: [{ id: "attach-sources", goals: ["jar"] }]
          });
        }
        if (options.javadocs ?? true) {
          pom.addPlugin("org.apache.maven.plugins/maven-javadoc-plugin@3.2.0", {
            executions: [{ id: "attach-javadocs", goals: ["jar"] }],
            configuration: {
              failOnError: false,
              show: "protected",
              sourceFileExcludes: { exclude: options.javadocsExclude },
              detectJavaApiLink: false,
              additionalJOptions: {
                additionalJOption: [
                  "-J-XX:+TieredCompilation",
                  "-J-XX:TieredStopAtLevel=1"
                ]
              }
            }
          });
        }
        const env = {
          MAVEN_OPTS: "-XX:+TieredCompilation -XX:TieredStopAtLevel=1"
        };
        this.distdir = options.distdir ?? "dist/java";
        for (const [k, v] of Object.entries(env)) {
          this.project.packageTask.env(k, v);
        }
        this.project.packageTask.exec(`mkdir -p ${this.distdir}`);
        this.project.packageTask.exec(`mvn deploy -D=altDeploymentRepository=local::default::file:///$PWD/${this.distdir}`);
        project.gitignore.exclude(this.distdir);
      }
    };
    exports2.MavenPackaging = MavenPackaging;
    _a = JSII_RTTI_SYMBOL_1;
    MavenPackaging[_a] = { fqn: "projen.java.MavenPackaging", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/java/maven-sample.js
var require_maven_sample4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/maven-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.MavenSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var component_1 = require_component4();
    var sample_file_1 = require_sample_file4();
    var MavenSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const pkg = options.package.split(".");
        new sample_file_1.SampleDir(project, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            "Main.java": [
              ...options.package ? [`package ${options.package};`] : [],
              "",
              "public class Main {",
              "  public static void main(final String[] args) {",
              '    System.out.println("Hello, world!");',
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.MavenSample = MavenSample;
    _a = JSII_RTTI_SYMBOL_1;
    MavenSample[_a] = { fqn: "projen.java.MavenSample", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/java/projenrc.js
var require_projenrc19 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.getJavaImport = exports2.generateJavaOptionNames = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var common_1 = require_common14();
    var dependencies_1 = require_dependencies4();
    var inventory_1 = require_inventory4();
    var projenrc_1 = require_projenrc16();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, pom, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.className = options.className ?? "projenrc";
        this.testScope = options.testScope ?? true;
        const depType = this.testScope ? dependencies_1.DependencyType.TEST : dependencies_1.DependencyType.RUNTIME;
        const execOpts = this.testScope ? ' -Dexec.classpathScope="test"' : "";
        const compileGoal = this.testScope ? "compiler:testCompile" : "compiler:compile";
        project.deps.addDependency(`io.github.cdklabs/projen@${projenVersion}`, depType);
        pom.addPlugin("org.codehaus.mojo/exec-maven-plugin@3.0.0");
        project.defaultTask?.exec(`mvn ${compileGoal} --quiet`);
        project.defaultTask?.exec(`mvn exec:java --quiet -Dexec.mainClass=${this.className}${execOpts}`);
        this.generateProjenrc();
      }
      get javaClass() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return split[0];
        }
        return split[split.length - 1];
      }
      get javaPackage() {
        const split = this.className.split(".");
        if (split.length === 1) {
          return [];
        }
        return split.slice(0, split.length - 2);
      }
      /**
       * The path of the projenrc file.
       */
      get filePath() {
        const dir = this.testScope ? "src/test/java" : "src/main/java";
        const javaFile = (0, path_1.join)(this.project.outdir, dir, ...this.javaPackage, this.javaClass + ".java");
        return (0, path_1.relative)(this.project.outdir, javaFile);
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const javaTarget = jsiiManifest.targets.java;
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const jsiiOptionsType = jsiiManifest.types[optionsTypeFqn];
        if (!jsiiOptionsType) {
          this.project.logger.warn(`cannot find jsii type for project options: ${optionsTypeFqn}`);
          return;
        }
        if ((0, fs_1.existsSync)(this.filePath)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const openBlock = (line = "") => {
          emit(line + " {");
          indent++;
        };
        const closeBlock = () => {
          indent--;
          emit("}");
        };
        const optionFqns = generateJavaOptionNames(bootstrap.type.options, jsiiManifest);
        if (this.javaPackage.length > 0) {
          emit(`package ${this.javaPackage.join(".")};`);
          emit();
        }
        const { renderedOptions, imports } = renderJavaOptions(2, jsiiOptionsType.name, optionFqns, bootstrap.args);
        emit(`import ${getJavaImport(jsiiType, jsiiManifest)};`);
        emit(`import ${getJavaImport(jsiiOptionsType, jsiiManifest)};`);
        for (const optionTypeName of imports) {
          emit(`import ${javaTarget.package}.${optionTypeName};`);
        }
        emit();
        openBlock(`public class ${this.javaClass}`);
        openBlock("public static void main(String[] args)");
        emit(`${jsiiType.name} project = new ${jsiiType.name}(${renderedOptions});`);
        emit("project.synth();");
        closeBlock();
        closeBlock();
        const filePath = (0, path_1.join)(this.project.outdir, this.filePath);
        (0, fs_1.mkdirSync)((0, path_1.dirname)(filePath), { recursive: true });
        (0, fs_1.writeFileSync)(filePath, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${this.filePath}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.java.Projenrc", version: "0.71.112" };
    function generateJavaOptionNames(options, jsiiManifest) {
      const optionFqns = {};
      for (const option of options) {
        if (option.fqn && jsiiManifest.types[option.fqn]) {
          optionFqns[option.name] = toJavaFullTypeName(jsiiManifest.types[option.fqn]);
        }
      }
      return optionFqns;
    }
    exports2.generateJavaOptionNames = generateJavaOptionNames;
    function renderJavaOptions(indent, optionsTypeName, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [`${optionsTypeName}.builder()`];
      for (const [name, value] of Object.entries(initOptions)) {
        const { javaValue, importName } = toJavaValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`.${toJavaProperty(name)}(${javaValue})`);
      }
      lines.push(".build()");
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`);
      return { renderedOptions, imports };
    }
    function toJavaProperty(prop) {
      return prop;
    }
    function toJavaValue(value, name, optionFqns) {
      if (typeof value === "string" && optionFqns[name] !== void 0) {
        const parts = optionFqns[name].split(".");
        const base = parts[parts.length - 1];
        const choice = String(value).toUpperCase().replace(/-/g, "_");
        return { javaValue: `${base}.${choice}`, importName: optionFqns[name] };
      } else {
        return { javaValue: JSON.stringify(value) };
      }
    }
    function toJavaFullTypeName(jsiiType) {
      return [jsiiType.namespace, jsiiType.name].filter((x) => x).join(".");
    }
    function getJavaImport(jsiiType, jsiiManifest) {
      const packageName = jsiiManifest?.submodules?.[`${jsiiType.assembly}.${jsiiType?.namespace}`]?.targets?.java?.package || [jsiiManifest.targets.java.package, jsiiType.namespace].filter((x) => x).join(".");
      return `${packageName}.${jsiiType.name}`;
    }
    exports2.getJavaImport = getJavaImport;
  }
});

// ../../components/workflows/node_modules/projen/lib/java/java-project.js
var require_java_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/java-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JavaProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var junit_1 = require_junit4();
    var maven_compile_1 = require_maven_compile4();
    var maven_packaging_1 = require_maven_packaging4();
    var maven_sample_1 = require_maven_sample4();
    var pom_1 = require_pom4();
    var projenrc_1 = require_projenrc19();
    var github_1 = require_github8();
    var util_1 = require_util20();
    var JavaProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        this.distdir = options.distdir ?? "dist/java";
        this.pom = new pom_1.Pom(this, options);
        const rcFileTypeOptions = [options.projenrcJava, options.projenrcJson];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcJava and projenrcJson can be selected.");
        }
        if (!this.parent && (options.projenrcJava ?? !(0, util_1.anySelected)(rcFileTypeOptions))) {
          this.projenrc = new projenrc_1.Projenrc(this, this.pom, options.projenrcJavaOptions);
        }
        const sampleJavaPackage = options.sampleJavaPackage ?? "org.acme";
        if (options.junit ?? true) {
          this.junit = new junit_1.Junit(this, {
            pom: this.pom,
            sampleJavaPackage,
            ...options.junitOptions
          });
        }
        if (options.sample ?? true) {
          new maven_sample_1.MavenSample(this, { package: sampleJavaPackage });
        }
        this.pom.addProperty("project.build.sourceEncoding", "UTF-8");
        this.gitignore.exclude(".classpath");
        this.gitignore.exclude(".project");
        this.gitignore.exclude(".settings");
        this.compile = new maven_compile_1.MavenCompile(this, this.pom, options.compileOptions);
        this.packaging = new maven_packaging_1.MavenPackaging(this, this.pom, options.packagingOptions);
        this.addPlugin("org.apache.maven.plugins/maven-enforcer-plugin@3.0.0-M3", {
          executions: [{ id: "enforce-maven", goals: ["enforce"] }],
          configuration: {
            rules: [{ requireMavenVersion: [{ version: "3.6" }] }]
          }
        });
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.testDeps ?? []) {
          this.addTestDependency(dep);
        }
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addDependency(spec) {
        return this.pom.addDependency(spec);
      }
      /**
       * Adds a test dependency.
       *
       * @param spec Format `<groupId>/<artifactId>@<semver>`
       */
      addTestDependency(spec) {
        return this.pom.addTestDependency(spec);
      }
      /**
       * Adds a build plugin to the pom.
       *
       * The plug in is also added as a BUILD dep to the project.
       *
       * @param spec dependency spec (`group/artifact@version`)
       * @param options plugin options
       */
      addPlugin(spec, options = {}) {
        return this.pom.addPlugin(spec, options);
      }
    };
    exports2.JavaProject = JavaProject;
    _a = JSII_RTTI_SYMBOL_1;
    JavaProject[_a] = { fqn: "projen.java.JavaProject", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/java/index.js
var require_java4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/java/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pom4(), exports2);
    __exportStar(require_java_project4(), exports2);
    __exportStar(require_maven_sample4(), exports2);
    __exportStar(require_maven_compile4(), exports2);
    __exportStar(require_maven_packaging4(), exports2);
    __exportStar(require_junit4(), exports2);
    __exportStar(require_projenrc19(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/python/requirements-file.js
var require_requirements_file4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/requirements-file.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.RequirementsFile = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var dependencies_1 = require_dependencies4();
    var file_1 = require_file5();
    var semver_1 = require_semver16();
    var RequirementsFile = class extends file_1.FileBase {
      constructor(project, filePath, options) {
        super(project, filePath);
        this.packages = new Array();
        this.packageProvider = options.packageProvider;
      }
      /**
       * Adds the specified packages provided in semver format.
       *
       * Comment lines (start with `#`) are ignored.
       *
       * @param packages Package version in format `<module>@<semver>`
       */
      addPackages(...packages) {
        for (let pkg of packages) {
          if (pkg.startsWith("#")) {
            this.packages.push(pkg);
          } else {
            const { name, version } = dependencies_1.Dependencies.parseDependency(pkg);
            if (version) {
              this.packages.push(`${name}${(0, semver_1.toPythonVersionRange)(version)}`);
            } else {
              this.packages.push(name);
            }
          }
        }
      }
      formatDependency(dep) {
        if (dep.version) {
          return `${dep.name}${(0, semver_1.toPythonVersionRange)(dep.version)}`;
        } else {
          return dep.name;
        }
      }
      synthesizeContent(resolver) {
        const allPackages = [...this.packages];
        if (this.packageProvider) {
          allPackages.push(...this.packageProvider.packages.map((dep) => this.formatDependency(dep)));
        }
        return `${resolver.resolve([...this.marker ? [`# ${this.marker}`] : [], ...allPackages]).join("\n")}
`;
      }
    };
    exports2.RequirementsFile = RequirementsFile;
    _a = JSII_RTTI_SYMBOL_1;
    RequirementsFile[_a] = { fqn: "projen.python.RequirementsFile", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/pip.js
var require_pip4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/pip.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pip = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var requirements_file_1 = require_requirements_file4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var task_runtime_1 = require_task_runtime4();
    var Pip = class extends component_1.Component {
      constructor(project, _options = {}) {
        super(project);
        new requirements_file_1.RequirementsFile(project, "requirements.txt", {
          packageProvider: new RuntimeDependencyProvider(project)
        });
        new requirements_file_1.RequirementsFile(project, "requirements-dev.txt", {
          packageProvider: new DevDependencyProvider(project)
        });
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies"
        });
        this.installTask.exec("pip install --upgrade pip");
        this.installTask.exec("pip install -r requirements.txt");
        this.installTask.exec("pip install -r requirements-dev.txt");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Pip = Pip;
    _a = JSII_RTTI_SYMBOL_1;
    Pip[_a] = { fqn: "projen.python.Pip", version: "0.71.112" };
    var RuntimeDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.RUNTIME);
      }
    };
    var DevDependencyProvider = class {
      constructor(project) {
        this.project = project;
      }
      get packages() {
        return this.project.deps.all.filter((dep) => dep.type === dependencies_1.DependencyType.DEVENV);
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/poetry.js
var require_poetry4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/poetry.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PoetryPyproject = exports2.Poetry = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var TOML = require_toml7();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var task_runtime_1 = require_task_runtime4();
    var toml_1 = require_toml8();
    var util_1 = require_util20();
    var Poetry = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.installTask = project.addTask("install", {
          description: "Install and upgrade dependencies",
          exec: "poetry update"
        });
        this.project.tasks.addEnvironment("VIRTUAL_ENV", "$(poetry env info -p)");
        this.project.tasks.addEnvironment("PATH", "$(echo $(poetry env info -p)/bin:$PATH)");
        project.packageTask.exec("poetry build");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "poetry publish -r testpypi"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package to PyPI.",
          exec: "poetry publish"
        });
        new PoetryPyproject(project, {
          name: project.name,
          version: options.version,
          description: options.description ?? "",
          license: options.license,
          authors: [`${options.authorName} <${options.authorEmail}>`],
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.poetryOptions,
          dependencies: () => this.synthDependencies(),
          devDependencies: () => this.synthDevDependencies()
        });
        new toml_1.TomlFile(project, "poetry.toml", {
          committed: false,
          obj: {
            repositories: {
              testpypi: {
                url: "https://test.pypi.org/legacy/"
              }
            }
          }
        });
      }
      synthDependencies() {
        const dependencies = {};
        let pythonDefined = false;
        for (const pkg of this.project.deps.all) {
          if (pkg.name === "python") {
            pythonDefined = true;
          }
          if (pkg.type === dependencies_1.DependencyType.RUNTIME) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        if (!pythonDefined) {
          dependencies.python = "^3.7";
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      synthDevDependencies() {
        const dependencies = {};
        for (const pkg of this.project.deps.all) {
          if ([dependencies_1.DependencyType.DEVENV].includes(pkg.type)) {
            dependencies[pkg.name] = pkg.version;
          }
        }
        return this.permitDependenciesWithMetadata(dependencies);
      }
      /**
       * Allow for poetry dependencies to specify metadata, eg `mypackage@{ version="1.2.3", extras = ["my-package-extra"] }`
       * @param dependencies poetry dependencies object
       * @private
       */
      permitDependenciesWithMetadata(dependencies) {
        const parseVersionMetadata = (version) => {
          try {
            return TOML.parse(`version = ${version}`).version;
          } catch (e) {
            return version;
          }
        };
        return Object.fromEntries(Object.entries(dependencies).map(([key, value]) => [
          key,
          parseVersionMetadata(value)
        ]));
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.RUNTIME);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        this.project.deps.addDependency(spec, dependencies_1.DependencyType.DEVENV);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const result = (0, util_1.execOrUndefined)("which poetry", {
          cwd: this.project.outdir
        });
        if (!result) {
          this.project.logger.info("Unable to setup an environment since poetry is not installed. Please install poetry (https://python-poetry.org/docs/) or use a different component for managing environments such as 'venv'.");
        }
        let envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
          cwd: this.project.outdir
        });
        if (!envPath) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)("poetry env use python", { cwd: this.project.outdir });
          envPath = (0, util_1.execOrUndefined)("poetry env info -p", {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ${envPath}}).`);
        }
      }
      /**
       * Installs dependencies (called during post-synthesis).
       */
      installDependencies() {
        this.project.logger.info("Installing dependencies...");
        const runtime = new task_runtime_1.TaskRuntime(this.project.outdir);
        runtime.runTask(this.installTask.name);
      }
    };
    exports2.Poetry = Poetry;
    _a = JSII_RTTI_SYMBOL_1;
    Poetry[_a] = { fqn: "projen.python.Poetry", version: "0.71.112" };
    var PoetryPyproject = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const decamelisedOptions = (0, util_1.decamelizeKeysRecursively)(options, {
          separator: "-"
        });
        this.file = new toml_1.TomlFile(project, "pyproject.toml", {
          omitEmpty: false,
          obj: {
            "build-system": {
              requires: ["poetry_core>=1.0.0"],
              "build-backend": "poetry.core.masonry.api"
            },
            tool: {
              poetry: {
                ...decamelisedOptions
              }
            }
          }
        });
      }
    };
    exports2.PoetryPyproject = PoetryPyproject;
    _b = JSII_RTTI_SYMBOL_1;
    PoetryPyproject[_b] = { fqn: "projen.python.PoetryPyproject", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/projenrc.js
var require_projenrc20 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/projenrc.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.resolvePythonImportName = exports2.Projenrc = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs_1 = require("fs");
    var path_1 = require("path");
    var case_1 = require_Case4();
    var common_1 = require_common14();
    var dependencies_1 = require_dependencies4();
    var inventory_1 = require_inventory4();
    var projenrc_1 = require_projenrc16();
    var Projenrc = class extends projenrc_1.ProjenrcFile {
      constructor(project, options = {}) {
        super(project);
        const projenVersion = options.projenVersion ?? common_1.PROJEN_VERSION;
        this.filePath = options.filename ?? ".projenrc.py";
        this.pythonExec = options.pythonExec ?? "python";
        project.deps.addDependency(`projen@${projenVersion}`, dependencies_1.DependencyType.DEVENV);
        project.defaultTask?.exec(`${this.pythonExec} .projenrc.py`);
        this.generateProjenrc();
      }
      generateProjenrc() {
        const bootstrap = this.project.initProject;
        if (!bootstrap) {
          return;
        }
        const jsiiFqn = bootstrap.fqn;
        const jsiiManifest = (0, inventory_1.readJsiiManifest)(jsiiFqn);
        const jsiiType = jsiiManifest.types[jsiiFqn];
        const optionsTypeFqn = jsiiType.initializer?.parameters?.[0].type?.fqn;
        if (!optionsTypeFqn) {
          this.project.logger.warn("cannot determine jsii type for project options");
          return;
        }
        const pythonFile = (0, path_1.join)(this.project.outdir, this.filePath);
        if ((0, fs_1.existsSync)(pythonFile)) {
          return;
        }
        const lines = new Array();
        let indent = 0;
        const emit = (line = "") => lines.push(" ".repeat(indent * 4) + line);
        const optionFqns = {};
        for (const option of bootstrap.type.options) {
          if (option.fqn) {
            optionFqns[option.name] = option.fqn;
          }
        }
        const { renderedOptions, imports } = renderPythonOptions(indent, optionFqns, bootstrap.args);
        const importName = resolvePythonImportName(jsiiFqn, jsiiManifest);
        emit(toPythonImport(importName));
        for (const fqn of imports) {
          emit(toPythonImport(fqn));
        }
        emit();
        emit(`project = ${jsiiType.name}(${renderedOptions})`);
        emit();
        emit("project.synth()");
        (0, fs_1.mkdirSync)((0, path_1.dirname)(pythonFile), { recursive: true });
        (0, fs_1.writeFileSync)(pythonFile, lines.join("\n"));
        this.project.logger.info(`Project definition file was created at ${pythonFile}`);
      }
    };
    exports2.Projenrc = Projenrc;
    _a = JSII_RTTI_SYMBOL_1;
    Projenrc[_a] = { fqn: "projen.python.Projenrc", version: "0.71.112" };
    function resolvePythonImportName(jsiiFqn, jsiiManifest) {
      const moduleName = jsiiManifest?.targets?.python?.module;
      return moduleName ? [moduleName, ...jsiiFqn.split(".").slice(1)].join(".") : jsiiFqn;
    }
    exports2.resolvePythonImportName = resolvePythonImportName;
    function renderPythonOptions(indent, optionFqns, initOptions) {
      const imports = /* @__PURE__ */ new Set();
      if (!initOptions || Object.keys(initOptions).length === 0) {
        return { renderedOptions: "", imports };
      }
      const lines = [""];
      for (const [name, value] of Object.entries(initOptions)) {
        const { pythonValue, importName } = toPythonValue(value, name, optionFqns);
        if (importName)
          imports.add(importName);
        lines.push(`${toPythonProperty(name)}=${pythonValue},`);
      }
      const renderedOptions = lines.join(`
${" ".repeat((indent + 1) * 4)}`).concat("\n");
      return { renderedOptions, imports };
    }
    function toPythonProperty(prop) {
      return (0, case_1.snake)(prop);
    }
    function toPythonValue(value, name, optionFqns) {
      if (typeof value === "boolean") {
        return { pythonValue: value ? "True" : "False" };
      } else if (typeof value === "number") {
        return { pythonValue: JSON.stringify(value) };
      } else if (typeof value === "string") {
        if (optionFqns[name] !== void 0) {
          const parts = optionFqns[name].split(".");
          const base = parts[parts.length - 1];
          const choice = String(value).toUpperCase().replace(/-/g, "_");
          return { pythonValue: `${base}.${choice}`, importName: optionFqns[name] };
        } else {
          return { pythonValue: JSON.stringify(value) };
        }
      } else if (value === void 0 || value === null) {
        return { pythonValue: "None" };
      } else {
        return { pythonValue: JSON.stringify(value) };
      }
    }
    function toPythonImport(fqn) {
      const parts = fqn.split(".");
      if (parts.length === 1) {
        return `import ${parts[0]}`;
      } else {
        return `from ${parts.slice(0, -1).join(".")} import ${parts[parts.length - 1]}`;
      }
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/python/pytest.js
var require_pytest4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/pytest.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Pytest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var Pytest = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        const version = options.version ?? "6.2.1";
        this.testdir = options.testdir ?? "tests";
        project.deps.addDependency(`pytest@${version}`, dependencies_1.DependencyType.TEST);
        project.testTask.exec([
          "pytest",
          ...options.maxFailures ? [`--maxfail=${options.maxFailures}`] : []
        ].join(" "));
      }
    };
    exports2.Pytest = Pytest;
    _a = JSII_RTTI_SYMBOL_1;
    Pytest[_a] = { fqn: "projen.python.Pytest", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/pytest-sample.js
var require_pytest_sample4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/pytest-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PytestSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var __1 = require_lib23();
    var PytestSample = class extends __1.Component {
      constructor(project, options) {
        super(project);
        new __1.SampleDir(project, options.testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "",
              `from ${options.moduleName}.example import hello`,
              "",
              "@pytest.mark.parametrize(",
              '    ("name", "expected"),',
              "    [",
              '        ("A. Musing", "Hello A. Musing!"),',
              '        ("traveler", "Hello traveler!"),',
              '        ("projen developer", "Hello projen developer!"),',
              "    ],",
              ")",
              "def test_hello(name, expected):",
              '    """Example test with parametrization."""',
              "    assert hello(name) == expected",
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PytestSample = PytestSample;
    _a = JSII_RTTI_SYMBOL_1;
    PytestSample[_a] = { fqn: "projen.python.PytestSample", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/python-env.js
var require_python_env4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/python-env.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/projen/lib/python/python-deps.js
var require_python_deps4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/python-deps.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/projen/lib/python/python-packaging.js
var require_python_packaging4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/python-packaging.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/node_modules/projen/lib/python/python-sample.js
var require_python_sample4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/python-sample.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonSample = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var sample_file_1 = require_sample_file4();
    var PythonSample = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        new sample_file_1.SampleDir(project, options.dir, {
          files: {
            "__init__.py": '__version__ = "0.1.0"\n',
            "__main__.py": [
              "from .example import hello",
              "",
              'if __name__ == "__main__":',
              '    name = input("What is your name? ")',
              "    print(hello(name))",
              ""
            ].join("\n"),
            "example.py": [
              "def hello(name: str) -> str:",
              '    """A simple greeting.',
              "    Args:",
              "        name (str): Name to greet.",
              "    Returns:",
              "        str: greeting message",
              '    """',
              '    return f"Hello {name}!"',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.PythonSample = PythonSample;
    _a = JSII_RTTI_SYMBOL_1;
    PythonSample[_a] = { fqn: "projen.python.PythonSample", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/setuppy.js
var require_setuppy4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/setuppy.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.SetupPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var file_1 = require_file5();
    var SetupPy = class extends file_1.FileBase {
      constructor(project, options) {
        super(project, "setup.py");
        this.setupConfig = {
          name: project.name,
          packages: options.packages,
          python_requires: ">=3.7",
          classifiers: [
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3 :: Only",
            "Programming Language :: Python :: 3.7",
            "Programming Language :: Python :: 3.8",
            "Programming Language :: Python :: 3.9",
            "Programming Language :: Python :: 3.10"
          ],
          ...options ? this.renameFields(options) : []
        };
      }
      synthesizeContent(resolver) {
        const lines = [
          ...this.marker ? [`# ${this.marker}`] : [],
          "",
          "import json",
          "from setuptools import setup",
          "",
          "kwargs = json.loads(",
          '    """',
          JSON.stringify(this.setupConfig, null, 4),
          '"""',
          ")",
          "",
          "setup(**kwargs)"
        ];
        return `${resolver.resolve(lines).join("\n")}
`;
      }
      // modify some key names since JSII interfaces require fields to be camelCase
      renameFields(options) {
        const obj = {};
        for (const [key, value] of Object.entries(options)) {
          switch (key) {
            case "authorName":
              obj.author = value;
              break;
            case "authorEmail":
              obj.author_email = value;
              break;
            case "homepage":
              obj.url = value;
              break;
            case "additionalOptions":
              Object.assign(obj, this.renameFields(value));
              break;
            default:
              obj[key] = value;
          }
        }
        return obj;
      }
    };
    exports2.SetupPy = SetupPy;
    _a = JSII_RTTI_SYMBOL_1;
    SetupPy[_a] = { fqn: "projen.python.SetupPy", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/setuptools.js
var require_setuptools4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/setuptools.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Setuptools = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var setuppy_1 = require_setuppy4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var Setuptools = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        project.deps.addDependency("wheel@0.36.2", dependencies_1.DependencyType.DEVENV);
        project.deps.addDependency("twine@3.3.0", dependencies_1.DependencyType.DEVENV);
        project.packageTask.exec("python setup.py sdist bdist_wheel");
        this.publishTestTask = project.addTask("publish:test", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload --repository-url https://test.pypi.org/legacy/ dist/*"
        });
        this.publishTask = project.addTask("publish", {
          description: "Uploads the package against a test PyPI endpoint.",
          exec: "twine upload dist/*"
        });
        const packages = options.packageName ? [options.packageName] : void 0;
        new setuppy_1.SetupPy(project, {
          name: project.name,
          packages,
          authorName: options.authorName,
          authorEmail: options.authorEmail,
          version: options.version,
          description: options.description,
          license: options.license,
          homepage: options.homepage,
          classifiers: options.classifiers,
          ...options.setupConfig
        });
      }
    };
    exports2.Setuptools = Setuptools;
    _a = JSII_RTTI_SYMBOL_1;
    Setuptools[_a] = { fqn: "projen.python.Setuptools", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/venv.js
var require_venv4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/venv.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Venv = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var component_1 = require_component4();
    var util_1 = require_util20();
    var Venv = class extends component_1.Component {
      constructor(project, options = {}) {
        super(project);
        this.envdir = options.envdir ?? ".env";
        this.pythonExec = options.pythonExec ?? "python";
        this.project.addGitIgnore(`/${this.envdir}`);
        this.project.tasks.addEnvironment("VIRTUAL_ENV", `$(echo $PWD/${this.envdir})`);
        this.project.tasks.addEnvironment("PATH", `$(echo $PWD/${this.envdir}/bin:$PATH)`);
      }
      /**
       * Initializes the virtual environment if it doesn't exist (called during post-synthesis).
       */
      setupEnvironment() {
        const absoluteEnvdir = path.join(this.project.outdir, this.envdir);
        if (!fs.existsSync(absoluteEnvdir)) {
          this.project.logger.info("Setting up a virtual environment...");
          (0, util_1.exec)(`${this.pythonExec} -m venv ${this.envdir}`, {
            cwd: this.project.outdir
          });
          this.project.logger.info(`Environment successfully created (located in ./${this.envdir}).`);
        }
      }
    };
    exports2.Venv = Venv;
    _a = JSII_RTTI_SYMBOL_1;
    Venv[_a] = { fqn: "projen.python.Venv", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/python-project.js
var require_python_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/python-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.PythonProject = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var pip_1 = require_pip4();
    var poetry_1 = require_poetry4();
    var projenrc_1 = require_projenrc20();
    var pytest_1 = require_pytest4();
    var pytest_sample_1 = require_pytest_sample4();
    var python_sample_1 = require_python_sample4();
    var setuptools_1 = require_setuptools4();
    var venv_1 = require_venv4();
    var github_1 = require_github8();
    var projenrc_2 = require_projenrc17();
    var project_1 = require_project4();
    var typescript_1 = require_typescript8();
    var util_1 = require_util20();
    var PYTHON_PROJECT_NAME_REGEX = /^[A-Za-z0-9-_\.]+$/;
    var PythonProject = class extends github_1.GitHubProject {
      constructor(options) {
        super(options);
        if (!PYTHON_PROJECT_NAME_REGEX.test(options.name)) {
          throw new Error("Python projects must only consist of alphanumeric characters, hyphens, and underscores.");
        }
        this.moduleName = options.moduleName;
        this.version = options.version;
        const rcFileTypeOptions = [
          options.projenrcPython,
          options.projenrcJs,
          options.projenrcJson,
          options.projenrcTs
        ];
        if ((0, util_1.multipleSelected)(rcFileTypeOptions)) {
          throw new Error("Only one of projenrcPython, projenrcJs, projenrcTs, and projenrcJson can be selected.");
        }
        const poetry = options.poetry ?? false;
        const pip = options.pip ?? !poetry;
        const venv = options.venv ?? !poetry;
        const setuptools = options.setuptools ?? (!poetry && this.projectType === project_1.ProjectType.LIB);
        if (poetry && (pip || venv || setuptools)) {
          throw new Error("poetry is true - pip, venv, and setuptools must be undefined or false");
        }
        if (!this.parent) {
          if (options.projenrcPython ?? !(0, util_1.anySelected)(rcFileTypeOptions)) {
            new projenrc_1.Projenrc(this, {
              pythonExec: options.pythonExec,
              ...options.projenrcPythonOptions
            });
          }
          if (options.projenrcJs ?? false) {
            new projenrc_2.Projenrc(this, options.projenrcJsOptions);
          }
          if (options.projenrcTs ?? false) {
            new typescript_1.ProjenrcTs(this, options.projenrcTsOptions);
          }
        }
        if (venv) {
          this.envManager = new venv_1.Venv(this, {
            pythonExec: options.pythonExec,
            ...options.venvOptions
          });
        }
        if (pip) {
          this.depsManager = new pip_1.Pip(this);
        }
        if (setuptools) {
          this.packagingManager = new setuptools_1.Setuptools(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            setupConfig: options.setupConfig
          });
        }
        if (poetry) {
          const poetryProject = new poetry_1.Poetry(this, {
            version: options.version,
            description: options.description,
            authorName: options.authorName,
            authorEmail: options.authorEmail,
            license: options.license,
            homepage: options.homepage,
            classifiers: options.classifiers,
            poetryOptions: {
              readme: options.readme?.filename ?? "README.md",
              ...options.poetryOptions
            }
          });
          this.depsManager = poetryProject;
          this.envManager = poetryProject;
          this.packagingManager = poetryProject;
        }
        if (!this.envManager) {
          throw new Error("At least one tool must be chosen for managing the environment (venv, conda, pipenv, or poetry).");
        }
        if (!this.depsManager) {
          throw new Error("At least one tool must be chosen for managing dependencies (pip, conda, pipenv, or poetry).");
        }
        if (!this.packagingManager && this.projectType === project_1.ProjectType.LIB) {
          throw new Error("At least one tool must be chosen for managing packaging (setuptools or poetry).");
        }
        if (Number(venv) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing the environment (venv, conda, pipenv, or poetry)");
        }
        if (Number(pip) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing dependencies (pip, conda, pipenv, or poetry)");
        }
        if (Number(setuptools) + Number(poetry) > 1) {
          throw new Error("More than one component has been chosen for managing packaging (setuptools or poetry)");
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new pytest_sample_1.PytestSample(this, {
            moduleName: this.moduleName,
            testdir: this.pytest.testdir
          });
        }
        if (options.sample ?? true) {
          new python_sample_1.PythonSample(this, {
            dir: this.moduleName
          });
        }
        for (const dep of options.deps ?? []) {
          this.addDependency(dep);
        }
        for (const dep of options.devDeps ?? []) {
          this.addDevDependency(dep);
        }
        this.addDefaultGitIgnore();
      }
      /**
       * Adds default gitignore options for a Python project based on
       * https://github.com/github/gitignore/blob/master/Python.gitignore
       */
      addDefaultGitIgnore() {
        this.gitignore.exclude("# Byte-compiled / optimized / DLL files", "__pycache__/", "*.py[cod]", "*$py.class", "", "# C extensions", "*.so", "", "# Distribution / packaging", ".Python", "build/", "develop-eggs/", "dist/", "downloads/", "eggs/", ".eggs/", "lib/", "lib64/", "parts/", "sdist/", "var/", "wheels/", "share/python-wheels/", "*.egg-info/", ".installed.cfg", "*.egg", "MANIFEST", "", "# PyInstaller", "#  Usually these files are written by a python script from a template", "#  before PyInstaller builds the exe, so as to inject date/other infos into it.", "*.manifest", "*.spec", "", "# Installer logs", "pip-log.txt", "pip-delete-this-directory.txt", "", "# Unit test / coverage reports", "htmlcov/", ".tox/", ".nox/", ".coverage", ".coverage.*", ".cache", "nosetests.xml", "coverage.xml", "*.cover", "*.py,cover", ".hypothesis/", ".pytest_cache/", "cover/", "", "# Translations", "*.mo", "*.pot", "", "# Django stuff:", "*.log", "local_settings.py", "db.sqlite3", "db.sqlite3-journal", "", "# Flask stuff:", "instance/", ".webassets-cache", "", "# Scrapy stuff:", ".scrapy", "", "# Sphinx documentation", "docs/_build/", "", "# PyBuilder", ".pybuilder/", "target/", "", "# Jupyter Notebook", ".ipynb_checkpoints", "", "# IPython", "profile_default/", "ipython_config.py", "", "# PEP 582; used by e.g. github.com/David-OConnor/pyflow", "__pypackages__/", "", "# Celery stuff", "celerybeat-schedule", "celerybeat.pid", "", "# SageMath parsed files", "*.sage.py", "", "# Environments", ".env", ".venv", "env/", "venv/", "ENV/", "env.bak/", "venv.bak/", "", "# Spyder project settings", ".spyderproject", ".spyproject", "", "# Rope project settings", ".ropeproject", "", "# mkdocs documentation", "/site", "", "# mypy", ".mypy_cache/", ".dmypy.json", "dmypy.json", "", "# Pyre type checker", ".pyre/", "", "# pytype static type analyzer", ".pytype/", "", "# Cython debug symbols", "cython_debug/");
      }
      /**
       * Adds a runtime dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDependency(spec) {
        return this.depsManager.addDependency(spec);
      }
      /**
       * Adds a dev dependency.
       *
       * @param spec Format `<module>@<semver>`
       */
      addDevDependency(spec) {
        return this.depsManager.addDevDependency(spec);
      }
      postSynthesize() {
        super.postSynthesize();
        this.envManager.setupEnvironment();
        this.depsManager.installDependencies();
      }
    };
    exports2.PythonProject = PythonProject;
    _a = JSII_RTTI_SYMBOL_1;
    PythonProject[_a] = { fqn: "projen.python.PythonProject", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/python/index.js
var require_python4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/python/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_pip4(), exports2);
    __exportStar(require_poetry4(), exports2);
    __exportStar(require_projenrc20(), exports2);
    __exportStar(require_pytest4(), exports2);
    __exportStar(require_pytest_sample4(), exports2);
    __exportStar(require_python_env4(), exports2);
    __exportStar(require_python_deps4(), exports2);
    __exportStar(require_python_packaging4(), exports2);
    __exportStar(require_python_project4(), exports2);
    __exportStar(require_python_sample4(), exports2);
    __exportStar(require_requirements_file4(), exports2);
    __exportStar(require_setuppy4(), exports2);
    __exportStar(require_setuptools4(), exports2);
    __exportStar(require_venv4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/internal.js
var require_internal7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertToPosixPath = exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = exports2.TYPESCRIPT_LAMBDA_EXT = exports2.FEATURE_FLAGS = void 0;
    var path_1 = require("path");
    exports2.FEATURE_FLAGS = [
      "aws-cdk:enableDiffNoFail",
      "@aws-cdk/aws-apigateway:usagePlanKeyOrderInsensitiveId",
      "@aws-cdk/core:enableStackNameDuplicates",
      "@aws-cdk/core:stackRelativeExports",
      "@aws-cdk/aws-ecr-assets:dockerIgnoreSupport",
      "@aws-cdk/aws-secretsmanager:parseOwnedSecretName",
      "@aws-cdk/aws-kms:defaultKeyPolicies",
      "@aws-cdk/aws-s3:grantWriteWithoutAcl",
      "@aws-cdk/aws-ecs-patterns:removeDefaultDesiredCount",
      "@aws-cdk/aws-rds:lowercaseDbIdentifier",
      "@aws-cdk/aws-efs:defaultEncryptionAtRest",
      "@aws-cdk/aws-lambda:recognizeVersionProps",
      "@aws-cdk/aws-cloudfront:defaultSecurityPolicyTLSv1.2_2021"
    ];
    exports2.TYPESCRIPT_LAMBDA_EXT = ".lambda.ts";
    exports2.TYPESCRIPT_EDGE_LAMBDA_EXT = ".edge-lambda.ts";
    exports2.TYPESCRIPT_LAMBDA_EXTENSION_EXT = ".lambda-extension.ts";
    function convertToPosixPath(p) {
      return p.split(path_1.sep).join(path_1.posix.sep);
    }
    exports2.convertToPosixPath = convertToPosixPath;
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/consts.js
var require_consts4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/consts.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JSII_TOOLCHAIN = void 0;
    exports2.JSII_TOOLCHAIN = {
      js: {},
      java: { java: { version: "11.x" } },
      python: { python: { version: "3.x" } },
      go: { go: { version: "^1.16.0" } },
      dotnet: { dotnet: { version: "3.x" } }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/jsii-docgen.js
var require_jsii_docgen4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/jsii-docgen.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiDocgen = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var JsiiDocgen = class {
      constructor(project, options = {}) {
        project.addDevDeps("jsii-docgen");
        const filePath = options.filePath ?? "API.md";
        const docgen = project.addTask("docgen", {
          description: "Generate API.md from .jsii manifest",
          exec: `jsii-docgen -o ${filePath}`
        });
        project.postCompileTask.spawn(docgen);
        project.gitignore.include(`/${filePath}`);
        project.annotateGenerated(`/${filePath}`);
      }
    };
    exports2.JsiiDocgen = JsiiDocgen;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiDocgen[_a] = { fqn: "projen.cdk.JsiiDocgen", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/jsii-project.js
var require_jsii_project4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/jsii-project.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.JsiiProject = exports2.Stability = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver_1 = require_semver14();
    var consts_1 = require_consts4();
    var jsii_docgen_1 = require_jsii_docgen4();
    var javascript_1 = require_javascript4();
    var typescript_1 = require_typescript8();
    var util_1 = require_util20();
    var EMAIL_REGEX = /(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/;
    var URL_REGEX = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[\-;:&=\+\$,\w]+@)?[A-Za-z0-9\.\-]+|(?:www\.|[\-;:&=\+\$,\w]+@)[A-Za-z0-9\.\-]+)((?:\/[\+~%\/\.\w\-_]*)?\??(?:[\-\+=&;%@\.\w_]*)#?(?:[\.\!\/\\\w]*))?)/;
    var REPO_TEMP_DIRECTORY = ".repo";
    var Stability;
    (function(Stability2) {
      Stability2["EXPERIMENTAL"] = "experimental";
      Stability2["STABLE"] = "stable";
      Stability2["DEPRECATED"] = "deprecated";
    })(Stability || (exports2.Stability = Stability = {}));
    var JsiiProject = class extends typescript_1.TypeScriptProject {
      constructor(options) {
        const { authorEmail, authorUrl } = parseAuthorAddress(options);
        const usesLegacyJsii = options.jsiiVersion == null || options.jsiiVersion !== "*" && new semver_1.Range(options.jsiiVersion).intersects(new semver_1.Range("1.x"));
        const defaultOptions = {
          repository: options.repositoryUrl,
          authorName: options.author,
          authorEmail,
          authorUrl,
          jestOptions: usesLegacyJsii ? { jestVersion: "^27" } : void 0
        };
        const forcedOptions = {
          releaseToNpm: false,
          disableTsconfig: true,
          docgen: false
          // we use jsii-docgen here so disable typescript docgen
        };
        const mergedOptions = (0, util_1.deepMerge)([
          defaultOptions,
          options,
          forcedOptions
        ]);
        super(mergedOptions);
        const srcdir = this.srcdir;
        const libdir = this.libdir;
        this.addFields({ types: `${libdir}/index.d.ts` });
        const compressAssembly = options.compressAssembly ?? false;
        const jsiiFlags = ["--silence-warnings=reserved-word"];
        if (compressAssembly) {
          jsiiFlags.push("--compress-assembly");
        }
        const compatIgnore = options.compatIgnore ?? ".compatignore";
        this.addFields({ stability: options.stability ?? Stability.STABLE });
        if (options.stability === Stability.DEPRECATED) {
          this.addFields({ deprecated: true });
        }
        const compatTask = this.addTask("compat", {
          description: "Perform API compatibility check against latest version",
          exec: `jsii-diff npm:$(node -p "require('./package.json').name") -k --ignore-file ${compatIgnore} || (echo "
UNEXPECTED BREAKING CHANGES: add keys such as 'removed:constructs.Node.of' to ${compatIgnore} to skip.
" && exit 1)`
        });
        const compat = options.compat ?? false;
        if (compat) {
          this.compileTask.spawn(compatTask);
        }
        this.compileTask.reset(["jsii", ...jsiiFlags].join(" "));
        this.watchTask.reset(["jsii", "-w", ...jsiiFlags].join(" "));
        this.packageAllTask = this.addTask("package-all", {
          description: "Packages artifacts for all target languages"
        });
        const prepareRepoForCI = [
          `rsync -a . .repo --exclude .git --exclude node_modules`,
          `rm -rf ${this.artifactsDirectory}`,
          `mv .repo ${this.artifactsDirectory}`
        ].join(" && ");
        this.packageTask.reset(`if [ ! -z \${CI} ]; then ${prepareRepoForCI}; else ${this.runTaskCommand(this.packageAllTask)}; fi`);
        const targets = {};
        const jsii = {
          outdir: this.artifactsDirectory,
          targets,
          tsc: {
            outDir: libdir,
            rootDir: srcdir
          }
        };
        if (options.excludeTypescript) {
          jsii.excludeTypescript = options.excludeTypescript;
        }
        this.addFields({ jsii });
        this.release?.publisher.addGitHubPrePublishingSteps({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Collect GitHub Metadata",
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        const extraJobOptions = {
          ...options.workflowRunsOn ? { runsOn: options.workflowRunsOn } : {},
          ...options.workflowContainerImage ? { container: { image: options.workflowContainerImage } } : {}
        };
        if (options.releaseToNpm != false) {
          const task = this.addPackagingTask("js");
          this.release?.publisher.publishToNpm({
            ...this.pacmakForLanguage("js", task),
            registry: this.package.npmRegistry,
            npmTokenSecret: this.package.npmTokenSecret,
            codeArtifactOptions: options.codeArtifactOptions
          });
          this.addPackagingTarget("js", task, extraJobOptions);
        }
        if ("java" in options) {
          throw new Error('the "java" option is now called "publishToMaven"');
        }
        if (options.publishToMaven) {
          targets.java = {
            package: options.publishToMaven.javaPackage,
            maven: {
              groupId: options.publishToMaven.mavenGroupId,
              artifactId: options.publishToMaven.mavenArtifactId
            }
          };
          const task = this.addPackagingTask("java");
          this.release?.publisher.publishToMaven({
            ...this.pacmakForLanguage("java", task),
            ...options.publishToMaven
          });
          this.addPackagingTarget("java", task, extraJobOptions);
        }
        const pypi = options.publishToPypi ?? options.python;
        if (pypi) {
          targets.python = {
            distName: pypi.distName,
            module: pypi.module
          };
          const task = this.addPackagingTask("python");
          this.release?.publisher.publishToPyPi({
            ...this.pacmakForLanguage("python", task),
            ...pypi
          });
          this.addPackagingTarget("python", task, extraJobOptions);
        }
        const nuget = options.publishToNuget ?? options.dotnet;
        if (nuget) {
          targets.dotnet = {
            namespace: nuget.dotNetNamespace,
            packageId: nuget.packageId,
            iconUrl: nuget.iconUrl
          };
          const task = this.addPackagingTask("dotnet");
          this.release?.publisher.publishToNuget({
            ...this.pacmakForLanguage("dotnet", task),
            ...nuget
          });
          this.addPackagingTarget("dotnet", task, extraJobOptions);
        }
        const golang = options.publishToGo;
        if (golang) {
          targets.go = {
            moduleName: golang.moduleName,
            packageName: golang.packageName
          };
          const task = this.addPackagingTask("go");
          this.release?.publisher.publishToGo({
            ...this.pacmakForLanguage("go", task),
            ...golang
          });
          this.addPackagingTarget("go", task, extraJobOptions);
        }
        const jsiiSuffix = options.jsiiVersion === "*" ? (
          // If jsiiVersion is "*", don't specify anything so the user can manage.
          ""
        ) : (
          // Otherwise, use `jsiiVersion` or fall back to `1.x`.
          `@${options.jsiiVersion ?? "1.x"}`
        );
        this.addDevDeps(`jsii${jsiiSuffix}`, "jsii-diff", "jsii-pacmak");
        this.gitignore.exclude(".jsii", "tsconfig.json");
        this.npmignore?.include(".jsii");
        if (options.docgen ?? true) {
          new jsii_docgen_1.JsiiDocgen(this, { filePath: options.docgenFilePath });
        }
        if (this.npmignore) {
          this.npmignore.readonly = false;
        }
        if (usesLegacyJsii) {
          this.package.addPackageResolutions("@types/prettier@2.6.0");
          this.package.addPackageResolutions("@types/babel__traverse@7.18.2");
        }
      }
      /**
       * Adds a target language to the build workflow and creates a package task.
       * @param language
       * @returns
       */
      addPackagingTarget(language, packTask, extraJobOptions) {
        if (!this.buildWorkflow) {
          return;
        }
        const pacmak = this.pacmakForLanguage(language, packTask);
        this.buildWorkflow.addPostBuildJob(`package-${language}`, {
          runsOn: ["ubuntu-latest"],
          permissions: {},
          tools: {
            node: { version: this.nodeVersion ?? "16.x" },
            ...pacmak.publishTools
          },
          steps: pacmak.prePublishSteps ?? [],
          ...extraJobOptions
        });
      }
      addPackagingTask(language) {
        const packageTask = this.tasks.addTask(`package:${language}`, {
          description: `Create ${language} language bindings`
        });
        packageTask.exec(`jsii-pacmak -v --target ${language}`);
        this.packageAllTask.spawn(packageTask);
        return packageTask;
      }
      pacmakForLanguage(target, packTask) {
        const prePublishSteps = [];
        prePublishSteps.push(...this.workflowBootstrapSteps);
        if (this.package.packageManager === javascript_1.NodePackageManager.PNPM) {
          prePublishSteps.push({
            name: "Setup pnpm",
            uses: "pnpm/action-setup@v2.2.4",
            with: { version: this.package.pnpmVersion }
          });
        }
        prePublishSteps.push({
          name: "Prepare Repository",
          run: `mv ${this.artifactsDirectory} ${REPO_TEMP_DIRECTORY}`
        }, {
          name: "Install Dependencies",
          run: `cd ${REPO_TEMP_DIRECTORY} && ${this.package.installCommand}`
        }, {
          name: `Create ${target} artifact`,
          run: `cd ${REPO_TEMP_DIRECTORY} && npx projen ${packTask.name}`
        }, {
          name: `Collect ${target} Artifact`,
          run: `mv ${REPO_TEMP_DIRECTORY}/${this.artifactsDirectory} ${this.artifactsDirectory}`
        });
        return {
          publishTools: consts_1.JSII_TOOLCHAIN[target],
          prePublishSteps
        };
      }
    };
    exports2.JsiiProject = JsiiProject;
    _a = JSII_RTTI_SYMBOL_1;
    JsiiProject[_a] = { fqn: "projen.cdk.JsiiProject", version: "0.71.112" };
    function parseAuthorAddress(options) {
      let authorEmail = options.authorEmail;
      let authorUrl = options.authorUrl;
      if (options.authorAddress) {
        if (options.authorEmail && options.authorEmail !== options.authorAddress) {
          throw new Error("authorEmail is deprecated and cannot be used in conjunction with authorAddress");
        }
        if (options.authorUrl && options.authorUrl !== options.authorAddress) {
          throw new Error("authorUrl is deprecated and cannot be used in conjunction with authorAddress.");
        }
        if (EMAIL_REGEX.test(options.authorAddress)) {
          authorEmail = options.authorAddress;
        } else if (URL_REGEX.test(options.authorAddress)) {
          authorUrl = options.authorAddress;
        } else {
          throw new Error(`authorAddress must be either an email address or a URL: ${options.authorAddress}`);
        }
      }
      return { authorEmail, authorUrl };
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/construct-lib.js
var require_construct_lib4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/construct-lib.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var jsii_project_1 = require_jsii_project4();
    var ConstructLibrary = class extends jsii_project_1.JsiiProject {
      constructor(options) {
        super(options);
        this.addKeywords("cdk");
        if (options.catalog) {
          this.package.addField("awscdkio", {
            twitter: options.catalog.twitter,
            announce: options.catalog.announce
          });
        }
      }
    };
    exports2.ConstructLibrary = ConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibrary[_a] = { fqn: "projen.cdk.ConstructLibrary", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/internal.js
var require_internal8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/internal.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.TYPESCRIPT_INTEG_EXT = void 0;
    exports2.TYPESCRIPT_INTEG_EXT = ".integ.ts";
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/integration-test-base.js
var require_integration_test_base4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/integration-test-base.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal8();
    var component_1 = require_component4();
    var IntegrationTestBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const entry = options.entrypoint;
        const name = options.name ?? (0, path_1.basename)(entry, internal_1.TYPESCRIPT_INTEG_EXT);
        this.name = name;
        const dir = (0, path_1.dirname)(entry);
        const tmpRoot = (0, path_1.join)(dir, ".tmp");
        project.addGitIgnore(tmpRoot);
        project.addPackageIgnore(tmpRoot);
        this.tmpDir = (0, path_1.join)(tmpRoot, `${name}.integ`);
        this.snapshotDir = (0, path_1.join)(dir, `${name}.integ.snapshot`);
        project.addPackageIgnore(this.snapshotDir);
        this.deployTask = project.addTask(`integ:${name}:deploy`, {
          description: `deploy integration test '${name}' and capture snapshot`
        });
        this.snapshotTask = project.addTask(`integ:${name}:snapshot`, {
          description: `update snapshot for integration test "${name}"`
        });
        this.assertTask = project.addTask(`integ:${name}:assert`, {
          description: `assert the snapshot of integration test '${name}'`,
          exec: `[ -d "${this.snapshotDir}" ] || (echo "No snapshot available for integration test '${name}'. Run 'projen ${this.deployTask.name}' to capture." && exit 1)`
        });
        project.testTask.spawn(this.assertTask);
        let snapshotAllTask = project.tasks.tryFind("integ:snapshot-all");
        if (!snapshotAllTask) {
          snapshotAllTask = project.addTask("integ:snapshot-all", {
            description: "update snapshot for all integration tests"
          });
        }
        snapshotAllTask.spawn(this.snapshotTask);
      }
    };
    exports2.IntegrationTestBase = IntegrationTestBase;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestBase[_a] = { fqn: "projen.cdk.IntegrationTestBase", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/auto-discover-base.js
var require_auto_discover_base4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/auto-discover-base.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscoverBase = exports2.AutoDiscoverBase = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var glob = require_glob6();
    var internal_1 = require_internal8();
    var component_1 = require_component4();
    var AutoDiscoverBase = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const cwd = path.posix.join(this.project.outdir, options.projectdir);
        this.entrypoints = glob.sync(`**/*${options.extension}`, { cwd }).map((p) => path.posix.join(options.projectdir, p));
      }
    };
    exports2.AutoDiscoverBase = AutoDiscoverBase;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscoverBase[_a] = { fqn: "projen.cdk.AutoDiscoverBase", version: "0.71.112" };
    var IntegrationTestAutoDiscoverBase = class extends AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          extension: internal_1.TYPESCRIPT_INTEG_EXT,
          projectdir: options.testdir
        });
      }
    };
    exports2.IntegrationTestAutoDiscoverBase = IntegrationTestAutoDiscoverBase;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscoverBase[_b] = { fqn: "projen.cdk.IntegrationTestAutoDiscoverBase", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk/index.js
var require_cdk4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_construct_lib4(), exports2);
    __exportStar(require_jsii_docgen4(), exports2);
    __exportStar(require_jsii_project4(), exports2);
    __exportStar(require_integration_test_base4(), exports2);
    __exportStar(require_auto_discover_base4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/integration-test.js
var require_integration_test7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var internal_1 = require_internal7();
    var cdk_1 = require_cdk4();
    var dependencies_1 = require_dependencies4();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("aws-cdk")) {
          project.deps.addDependency(`aws-cdk@^${options.cdkDeps.cdkMajorVersion}`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        const opts = [
          `--app "${app}"`,
          "--no-notices",
          "--no-version-reporting",
          // don't inject cloudformation metadata into template
          "--no-asset-metadata"
        ];
        const pathMetadata = options.pathMetadata ?? false;
        if (!pathMetadata) {
          opts.push("--no-path-metadata");
        }
        if (options.cdkDeps.cdkMajorVersion === 1) {
          const features = [
            ...internal_1.FEATURE_FLAGS,
            "@aws-cdk/core:newStyleStackSynthesis"
            // simplifies asset coordinates in synth output
          ];
          for (const feature of features) {
            opts.push(`--context ${feature}=true`);
          }
        }
        const cdkopts = opts.join(" ");
        const stacks = options.stacks ?? ["**"];
        const stackOpts = stacks.map((stack) => `'${stack}'`).join(" ");
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk deploy ${cdkopts} ${stackOpts} --require-approval=never -o ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.watchTask = project.addTask(`integ:${this.name}:watch`, {
          description: `watch integration test '${this.name}' (without updating snapshots)`,
          exec: `cdk watch ${cdkopts} ${stackOpts} -o ${deployDir}`
        });
        this.destroyTask = project.addTask(`integ:${this.name}:destroy`, {
          description: `destroy integration test '${this.name}'`,
          exec: `cdk destroy --app ${this.snapshotDir} ${stackOpts} --no-version-reporting`
        });
        const destroyAfterDeploy = options.destroyAfterDeploy ?? true;
        if (destroyAfterDeploy) {
          this.deployTask.spawn(this.destroyTask);
        }
        this.snapshotTask.exec(`cdk synth ${cdkopts} -o ${this.snapshotDir} > /dev/null`);
        const exclude = ["asset.*", "cdk.out", "manifest.json", "tree.json"];
        this.assertTask.exec(`cdk synth ${cdkopts} -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff -r ${exclude.map((x) => `-x ${x}`).join(" ")} ${this.snapshotDir}/ ${assertDir}/`);
        for (const x of exclude) {
          project.addGitIgnore(`${this.snapshotDir}/${x}`);
          project.addGitIgnore(`${this.snapshotDir}/**/${x}`);
        }
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.awscdk.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/lambda-function.js
var require_lambda_function4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/lambda-function.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaRuntime = exports2.LambdaFunction = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path = require("path");
    var case_1 = require_Case4();
    var internal_1 = require_internal7();
    var component_1 = require_component4();
    var javascript_1 = require_javascript4();
    var source_code_1 = require_source_code4();
    var LambdaFunction = class extends component_1.Component {
      /**
       * Defines a pre-bundled AWS Lambda function construct from handler code.
       *
       * @param project The project to use
       * @param options Options
       */
      constructor(project, options) {
        super(project);
        const cdkDeps = options.cdkDeps;
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const runtime = options.runtime ?? LambdaRuntime.NODEJS_16_X;
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const entrypoint = options.entrypoint;
        if (!entrypoint.endsWith(internal_1.TYPESCRIPT_LAMBDA_EXT) && !entrypoint.endsWith(internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT)) {
          throw new Error(`${entrypoint} must have a ${internal_1.TYPESCRIPT_LAMBDA_EXT} or ${internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT} extension`);
        }
        const basePath = path.posix.join(path.dirname(entrypoint), path.basename(entrypoint, options.edgeLambda ? internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT : internal_1.TYPESCRIPT_LAMBDA_EXT));
        const constructFile = options.constructFile ?? `${basePath}-function.ts`;
        if (path.extname(constructFile) !== ".ts") {
          throw new Error(`Construct file name "${constructFile}" must have a .ts extension`);
        }
        const constructName = options.constructName ?? (0, case_1.pascal)(path.basename(basePath)) + "Function";
        const propsType = `${constructName}Props`;
        const bundle = bundler.addBundle(entrypoint, {
          target: runtime.esbuildTarget,
          platform: runtime.esbuildPlatform,
          externals: runtime.defaultExternals,
          ...options.bundlingOptions,
          tsconfigPath: project?.tsconfigDev?.fileName
        });
        const outfileAbs = path.join(project.outdir, bundle.outfile);
        const constructAbs = path.join(project.outdir, constructFile);
        const relativeOutfile = path.relative(path.dirname(constructAbs), path.dirname(outfileAbs));
        const src = new source_code_1.SourceCode(project, constructFile);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from '@aws-cdk/aws-cloudfront';");
            cdkDeps.addV1Dependencies("@aws-cdk/aws-cloudfront");
          }
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          if (options.edgeLambda) {
            src.line("import * as cloudfront from 'aws-cdk-lib/aws-cloudfront';");
          }
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export interface ${propsType} extends cloudfront.experimental.EdgeFunctionProps {`);
        } else {
          src.open(`export interface ${propsType} extends lambda.FunctionOptions {`);
        }
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * An AWS Lambda function which executes ${(0, internal_1.convertToPosixPath)(basePath)}.`);
        src.line(" */");
        if (options.edgeLambda) {
          src.open(`export class ${constructName} extends cloudfront.experimental.EdgeFunction {`);
        } else {
          src.open(`export class ${constructName} extends lambda.Function {`);
        }
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: '${(0, internal_1.convertToPosixPath)(entrypoint)}',`);
        src.line("...props,");
        src.line(`runtime: new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        src.line("handler: 'index.handler',");
        src.line(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk", '${(0, internal_1.convertToPosixPath)(relativeOutfile)}')),`);
        src.close("});");
        if ((options.awsSdkConnectionReuse ?? true) && !options.edgeLambda) {
          src.line("this.addEnvironment('AWS_NODEJS_CONNECTION_REUSE_ENABLED', '1', { removeInEdge: true });");
        }
        src.close("}");
        src.close("}");
        this.project.logger.verbose(`${basePath}: construct "${constructName}" generated under "${constructFile}"`);
        this.project.logger.verbose(`${basePath}: bundle task "${bundle.bundleTask.name}"`);
        if (bundle.watchTask) {
          this.project.logger.verbose(`${basePath}: bundle watch task "${bundle.watchTask.name}"`);
        }
      }
    };
    exports2.LambdaFunction = LambdaFunction;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaFunction[_a] = { fqn: "projen.awscdk.LambdaFunction", version: "0.71.112" };
    var LambdaRuntime = class {
      constructor(functionRuntime, esbuildTarget, options) {
        this.functionRuntime = functionRuntime;
        this.esbuildTarget = esbuildTarget;
        this.esbuildPlatform = "node";
        this.defaultExternals = options?.defaultExternals ?? ["@aws-sdk/*"];
      }
    };
    exports2.LambdaRuntime = LambdaRuntime;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaRuntime[_b] = { fqn: "projen.awscdk.LambdaRuntime", version: "0.71.112" };
    LambdaRuntime.NODEJS_10_X = new LambdaRuntime("nodejs10.x", "node10", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_12_X = new LambdaRuntime("nodejs12.x", "node12", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_14_X = new LambdaRuntime("nodejs14.x", "node14", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_16_X = new LambdaRuntime("nodejs16.x", "node16", { defaultExternals: ["aws-sdk"] });
    LambdaRuntime.NODEJS_18_X = new LambdaRuntime("nodejs18.x", "node18");
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/lambda-extension.js
var require_lambda_extension4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/lambda-extension.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.LambdaExtension = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var case_1 = require_Case4();
    var internal_1 = require_internal7();
    var lambda_function_1 = require_lambda_function4();
    var component_1 = require_component4();
    var javascript_1 = require_javascript4();
    var source_code_1 = require_source_code4();
    var LambdaExtension = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        const basePath = (0, path_1.join)((0, path_1.dirname)(options.entrypoint), (0, path_1.basename)(options.entrypoint, internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT));
        const name = options.name ?? (0, path_1.basename)(basePath);
        const bundler = javascript_1.Bundler.of(project);
        if (!bundler) {
          throw new Error("No bundler found. Please add a Bundler component to your project.");
        }
        const compatibleRuntimes = options.compatibleRuntimes ?? [
          lambda_function_1.LambdaRuntime.NODEJS_18_X,
          lambda_function_1.LambdaRuntime.NODEJS_16_X,
          lambda_function_1.LambdaRuntime.NODEJS_14_X,
          lambda_function_1.LambdaRuntime.NODEJS_12_X
        ];
        if (compatibleRuntimes.length === 0) {
          throw new Error("Compatible runtimes must include at least one runtime");
        }
        const [bundlerRuntime] = compatibleRuntimes.sort((a, b) => a.functionRuntime.localeCompare(b.functionRuntime));
        const eslint = javascript_1.Eslint.of(project);
        eslint?.allowDevDeps(options.entrypoint);
        const bundle = bundler.addBundle(options.entrypoint, {
          platform: bundlerRuntime.esbuildPlatform,
          target: bundlerRuntime.esbuildTarget,
          externals: bundlerRuntime.defaultExternals,
          outfile: `extensions/${name}`,
          // Make the output executable because Lambda expects to run
          // extensions as stand-alone programs alongside the main lambda
          // process.
          executable: true,
          ...options.bundlingOptions
        });
        const constructFile = options.constructFile ?? `${basePath}-layer-version.ts`;
        new LambdaLayerConstruct(project, {
          constructFile,
          constructName: options.constructName,
          assetDir: bundle.outdir,
          compatibleRuntimes,
          description: `Provides a Lambda Extension \`${name}\` from ${(0, internal_1.convertToPosixPath)(options.entrypoint)}`,
          cdkDeps: options.cdkDeps
        });
      }
    };
    exports2.LambdaExtension = LambdaExtension;
    _a = JSII_RTTI_SYMBOL_1;
    LambdaExtension[_a] = { fqn: "projen.awscdk.LambdaExtension", version: "0.71.112" };
    var LambdaLayerConstruct = class extends source_code_1.SourceCode {
      constructor(project, options) {
        super(project, options.constructFile);
        const src = this;
        const cdkDeps = options.cdkDeps;
        const constructName = options.constructName ?? (0, case_1.pascal)((0, path_1.basename)(options.constructFile, ".ts"));
        const propsType = `${constructName}Props`;
        const assetDir = (0, path_1.relative)((0, path_1.dirname)(options.constructFile), options.assetDir);
        if (src.marker) {
          src.line(`// ${src.marker}`);
        }
        src.line("import * as path from 'path';");
        if (cdkDeps.cdkMajorVersion === 1) {
          src.line("import * as lambda from '@aws-cdk/aws-lambda';");
          src.line("import { Construct } from '@aws-cdk/core';");
          cdkDeps.addV1Dependencies("@aws-cdk/aws-lambda");
          cdkDeps.addV1Dependencies("@aws-cdk/core");
        } else {
          src.line("import * as lambda from 'aws-cdk-lib/aws-lambda';");
          src.line("import { Construct } from 'constructs';");
        }
        src.line();
        src.line("/**");
        src.line(` * Props for ${constructName}`);
        src.line(" */");
        src.open(`export interface ${propsType} extends lambda.LayerVersionOptions {`);
        src.close("}");
        src.line();
        src.line("/**");
        src.line(` * ${options.description}`);
        src.line(" */");
        src.open(`export class ${constructName} extends lambda.LayerVersion {`);
        src.open(`constructor(scope: Construct, id: string, props?: ${propsType}) {`);
        src.open("super(scope, id, {");
        src.line(`description: ${encodeCodeString(options.description)},`);
        src.line("...props,");
        src.open("compatibleRuntimes: [");
        for (const runtime of options.compatibleRuntimes) {
          src.line(`new lambda.Runtime('${runtime.functionRuntime}', lambda.RuntimeFamily.NODEJS),`);
        }
        src.close("],");
        src.open(`code: lambda.Code.fromAsset(path.join(__dirname + "/externals/projen/lib/awscdk",`);
        src.line(`${encodeCodeString((0, internal_1.convertToPosixPath)(assetDir))})),`);
        src.close();
        src.close("});");
        src.close("}");
        src.close("}");
      }
    };
    function encodeCodeString(value) {
      const json = JSON.stringify(value);
      const escapedString = json.substring(1, json.length - 1).replace(/'/g, "\\'");
      return `'${escapedString}'`;
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/auto-discover.js
var require_auto_discover7 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    var _c;
    var _d;
    var _e;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AutoDiscover = exports2.LambdaExtensionAutoDiscover = exports2.EdgeLambdaAutoDiscover = exports2.LambdaAutoDiscover = exports2.IntegrationTestAutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test7();
    var internal_1 = require_internal7();
    var lambda_extension_1 = require_lambda_extension4();
    var lambda_function_1 = require_lambda_function4();
    var cdk_1 = require_cdk4();
    var component_1 = require_component4();
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            ...options.integrationTestOptions
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_a] = { fqn: "projen.awscdk.IntegrationTestAutoDiscover", version: "0.71.112" };
    var LambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions
          });
        }
      }
    };
    exports2.LambdaAutoDiscover = LambdaAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    LambdaAutoDiscover[_b] = { fqn: "projen.awscdk.LambdaAutoDiscover", version: "0.71.112" };
    var EdgeLambdaAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_EDGE_LAMBDA_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_function_1.LambdaFunction(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaOptions,
            edgeLambda: true
          });
        }
      }
    };
    exports2.EdgeLambdaAutoDiscover = EdgeLambdaAutoDiscover;
    _c = JSII_RTTI_SYMBOL_1;
    EdgeLambdaAutoDiscover[_c] = { fqn: "projen.awscdk.EdgeLambdaAutoDiscover", version: "0.71.112" };
    var LambdaExtensionAutoDiscover = class extends cdk_1.AutoDiscoverBase {
      constructor(project, options) {
        super(project, {
          projectdir: options.srcdir,
          extension: internal_1.TYPESCRIPT_LAMBDA_EXTENSION_EXT
        });
        for (const entrypoint of this.entrypoints) {
          new lambda_extension_1.LambdaExtension(this.project, {
            entrypoint,
            cdkDeps: options.cdkDeps,
            ...options.lambdaExtensionOptions
          });
        }
      }
    };
    exports2.LambdaExtensionAutoDiscover = LambdaExtensionAutoDiscover;
    _d = JSII_RTTI_SYMBOL_1;
    LambdaExtensionAutoDiscover[_d] = { fqn: "projen.awscdk.LambdaExtensionAutoDiscover", version: "0.71.112" };
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.lambdaAutoDiscover ?? true) {
          new LambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.edgeLambdaAutoDiscover ?? true) {
          new EdgeLambdaAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaOptions: options.lambdaOptions
          });
        }
        if (options.lambdaExtensionAutoDiscover ?? true) {
          new LambdaExtensionAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            tsconfigPath: options.tsconfigPath,
            srcdir: options.srcdir,
            lambdaExtensionOptions: options.lambdaExtensionOptions
          });
        }
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, {
            cdkDeps: options.cdkDeps,
            testdir: options.testdir,
            tsconfigPath: options.tsconfigPath,
            integrationTestOptions: options.integrationTestOptions
          });
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _e = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_e] = { fqn: "projen.awscdk.AutoDiscover", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps.js
var require_awscdk_deps4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var AwsCdkDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkDependenciesAsDeps = options.cdkDependenciesAsDeps ?? true;
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdkVersion = framework.range;
        this.cdkMajorVersion = framework.major;
        this.cdkMinimumVersion = framework.minimum;
        this.addFrameworkDependency(options);
        this.addV1AssertionLibraryDependency(options);
        this.addConstructsDependency(options.constructsVersion);
        this.addV1Dependencies(...options.cdkDependencies ?? []);
        this.addV1DevDependencies(...options.cdkTestDependencies ?? []);
      }
      preSynthesize() {
        const depNames = Array.from(new Set(this.project.deps.all.map((dep) => dep.name)));
        const v1Deps = depNames.filter((dep) => [PACKAGE_AWS_CDK_VERSION.V1].includes(cdkVersionOfPackage(dep))).sort();
        if (this.cdkMajorVersion === 2 && v1Deps.length > 0) {
          this.project.logger.warn(`WARNING: Found CDK v1 deps in your project, even though your "cdkVersion" is 2.x: [${v1Deps.join(", ")}]. Check out https://docs.aws.amazon.com/cdk/v2/guide/migrating-v2.html for more information about using CDK v2 dependencies.`);
        }
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * The type of dependency is determined by the `dependencyType` option.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1Dependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1Dependencies() is not supported for CDK 2.x and above, use addDeps() or addPeerDeps() instead");
        }
        this.addV1DependenciesByType(this.dependencyType, ...deps);
        if (this.cdkDependenciesAsDeps) {
          this.addV1DependenciesByType(dependencies_1.DependencyType.RUNTIME, ...deps);
        }
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * This method is not supported in CDK v2. Use `project.addPeerDeps()` or
       * `project.addDeps()` as appropriate.
       *
       * @param deps fully qualified names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       */
      addV1DevDependencies(...deps) {
        if (deps.length > 0 && this.cdkMajorVersion !== 1) {
          throw new Error("addV1DevDependencies() is not supported for CDK 2.x and above, use addDevDeps()/addTestDeps() instead");
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.BUILD, ...deps);
      }
      addConstructsDependency(requestedVersion) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const defaultVersion = this.cdkMajorVersion === 1 ? "3.2.27" : "10.0.5";
        const versionRequirement = `^${requestedVersion ?? defaultVersion}`;
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdkMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      /**
       * Adds a dependency on the AWS CDK framework (e.g. `@aws-cdk/core` for V1 or `aws-cdk-lib` for V1).
       */
      addFrameworkDependency(options) {
        switch (this.cdkMajorVersion) {
          case 1:
            this.addV1Dependencies(this._packageNames.coreV1);
            break;
          case 2:
            if (options.cdkDependencies !== void 0) {
              throw new Error('cdkDependencies is not used for CDK 2.x. Use "peerDeps" or "deps" instead');
            }
            if (options.cdkDependenciesAsDeps !== void 0) {
              throw new Error("cdkDependenciesAsDeps is not used for CDK 2.x");
            }
            if (options.cdkTestDependencies !== void 0) {
              throw new Error('cdkTestDependencies is not used for CDK 2.x. Use "devDeps" or "testDeps" instead');
            }
            this.project.deps.addDependency(`${this._packageNames.coreV2}@${this.cdkVersion}`, this.dependencyType);
            break;
          default:
            throw new Error(`Unsupported AWS CDK major version ${this.cdkMajorVersion}.x`);
        }
      }
      addV1AssertionLibraryDependency(options) {
        if (this.cdkMajorVersion !== 1) {
          if (options.cdkAssert !== void 0) {
            throw new Error("cdkAssert is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          if (options.cdkAssertions !== void 0) {
            throw new Error("cdkAssertion is not used for CDK 2.x. Use the assertions library that is provided in aws-cdk-lib");
          }
          return;
        }
        const testDeps = new Array();
        if ((options.cdkAssert ?? true) && this._packageNames.assert) {
          testDeps.push(this._packageNames.assert);
        }
        if (semver.gte(this.cdkMinimumVersion, "1.111.0") && (options.cdkAssertions ?? true)) {
          testDeps.push(this._packageNames.assertions);
        }
        this.addV1DependenciesByType(dependencies_1.DependencyType.TEST, ...testDeps);
      }
      /**
       * Adds a set of dependencies with the user-specified dependency type.
       * @param deps The set of dependency specifications
       */
      addV1DependenciesByType(type, ...modules) {
        for (const module3 of modules) {
          this.project.deps.addDependency(`${module3}@${this.cdkVersion}`, type);
        }
      }
    };
    exports2.AwsCdkDeps = AwsCdkDeps;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDeps[_a] = { fqn: "projen.awscdk.AwsCdkDeps", version: "0.71.112" };
    var PACKAGE_AWS_CDK_VERSION;
    (function(PACKAGE_AWS_CDK_VERSION2) {
      PACKAGE_AWS_CDK_VERSION2["V1"] = "v1";
      PACKAGE_AWS_CDK_VERSION2["V2"] = "v2";
      PACKAGE_AWS_CDK_VERSION2["EITHER"] = "either";
      PACKAGE_AWS_CDK_VERSION2["UNKNOWN"] = "unknown";
    })(PACKAGE_AWS_CDK_VERSION || (PACKAGE_AWS_CDK_VERSION = {}));
    function cdkVersionOfPackage(packageName) {
      if (packageName === "aws-cdk-lib") {
        return PACKAGE_AWS_CDK_VERSION.V2;
      } else if (packageName.startsWith("@aws-cdk/")) {
        if (packageName.endsWith("-alpha")) {
          return PACKAGE_AWS_CDK_VERSION.V2;
        } else if (AWS_CDK_V1_V2_SCOPED_PACKAGES.includes(packageName)) {
          return PACKAGE_AWS_CDK_VERSION.EITHER;
        } else {
          return PACKAGE_AWS_CDK_VERSION.V1;
        }
      } else {
        return PACKAGE_AWS_CDK_VERSION.UNKNOWN;
      }
    }
    var AWS_CDK_V1_V2_SCOPED_PACKAGES = [
      "@aws-cdk/cfnspec",
      "@aws-cdk/cx-api",
      "@aws-cdk/region-info",
      "@aws-cdk/cloud-assembly-schema",
      "@aws-cdk/assert",
      "@aws-cdk/cloudformation-diff",
      "@aws-cdk/integ-runner"
    ];
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdkVersion);
      if (!ver) {
        throw new Error(`"cdkVersion" cannot be parsed as a semver version: ${options.cdkVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdkVersionPinning ? options.cdkVersion : `^${options.cdkVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-java.js
var require_awscdk_deps_java4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJava = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps4();
    var AwsCdkDepsJava = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "software.amazon.awscdk/core",
          coreV2: "software.amazon.awscdk/aws-cdk-lib",
          constructs: "software.constructs/constructs",
          assertions: "software.amazon.awscdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJava = AwsCdkDepsJava;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJava[_a] = { fqn: "projen.awscdk.AwsCdkDepsJava", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/cdk-config.js
var require_cdk_config4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/cdk-config.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ApprovalLevel = exports2.CdkConfig = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var internal_1 = require_internal7();
    var component_1 = require_component4();
    var json_1 = require_json7();
    var CdkConfig = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.cdkout = options.cdkout ?? "cdk.out";
        this._include = options.watchIncludes ?? [];
        this._exclude = options.watchExcludes ?? [];
        const context = { ...options.context };
        const fflags = options.featureFlags ?? true;
        if (fflags) {
          for (const flag of internal_1.FEATURE_FLAGS) {
            context[flag] = true;
          }
        }
        this.json = new json_1.JsonFile(project, "cdk.json", {
          omitEmpty: true,
          obj: {
            app: options.app,
            context,
            requireApproval: options.requireApproval,
            output: this.cdkout,
            build: options.buildCommand,
            watch: {
              include: () => this._include,
              exclude: () => this._exclude
            }
          }
        });
        project.gitignore.exclude(`/${this.cdkout}/`);
        project.gitignore.exclude(".cdk.staging/");
      }
      /**
       * Add includes to `cdk.json`.
       * @param patterns The includes to add.
       */
      addIncludes(...patterns) {
        this._include.push(...patterns);
      }
      /**
       * Add excludes to `cdk.json`.
       * @param patterns The excludes to add.
       */
      addExcludes(...patterns) {
        this._exclude.push(...patterns);
      }
      /**
       * List of glob patterns to be included by CDK.
       */
      get include() {
        return [...this._include];
      }
      /**
       * List of glob patterns to be excluded by CDK.
       */
      get exclude() {
        return [...this._exclude];
      }
    };
    exports2.CdkConfig = CdkConfig;
    _a = JSII_RTTI_SYMBOL_1;
    CdkConfig[_a] = { fqn: "projen.awscdk.CdkConfig", version: "0.71.112" };
    var ApprovalLevel;
    (function(ApprovalLevel2) {
      ApprovalLevel2["NEVER"] = "never";
      ApprovalLevel2["ANY_CHANGE"] = "any-change";
      ApprovalLevel2["BROADENING"] = "broadening";
    })(ApprovalLevel || (exports2.ApprovalLevel = ApprovalLevel = {}));
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/cdk-tasks.js
var require_cdk_tasks4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/cdk-tasks.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.CdkTasks = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var component_1 = require_component4();
    var CdkTasks = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.synth = project.addTask("synth", {
          description: "Synthesizes your cdk app into cdk.out",
          exec: "cdk synth"
        });
        this.synthSilent = project.addTask("synth:silent", {
          description: 'Synthesizes your cdk app into cdk.out and suppresses the template in stdout (part of "yarn build")',
          exec: "cdk synth -q"
        });
        this.deploy = project.addTask("deploy", {
          description: "Deploys your CDK app to the AWS cloud",
          exec: "cdk deploy",
          receiveArgs: true
        });
        this.destroy = project.addTask("destroy", {
          description: "Destroys your cdk app in the AWS cloud",
          exec: "cdk destroy",
          receiveArgs: true
        });
        this.diff = project.addTask("diff", {
          description: "Diffs the currently deployed app against your code",
          exec: "cdk diff"
        });
        const watch = project.tasks.tryFind("watch") ?? project.addTask("watch");
        watch.reset();
        watch.description = "Watches changes in your source code and rebuilds and deploys to the current account";
        watch.exec("cdk deploy --hotswap");
        watch.exec("cdk watch");
        this.watch = watch;
      }
    };
    exports2.CdkTasks = CdkTasks;
    _a = JSII_RTTI_SYMBOL_1;
    CdkTasks[_a] = { fqn: "projen.awscdk.CdkTasks", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-java.js
var require_awscdk_app_java4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-java.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkJavaApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var awscdk_deps_java_1 = require_awscdk_deps_java4();
    var cdk_config_1 = require_cdk_config4();
    var cdk_tasks_1 = require_cdk_tasks4();
    var __1 = require_lib23();
    var java_1 = require_java4();
    var AwsCdkJavaApp = class extends java_1.JavaProject {
      constructor(options) {
        const mainClassComponents = options.mainClass.split(".");
        const mainPackage = mainClassComponents.slice(0, -1);
        const mainClassName = mainClassComponents[mainClassComponents.length - 1];
        super({
          ...options,
          sample: false,
          sampleJavaPackage: mainPackage.join(".")
        });
        this.mainClass = options.mainClass;
        this.mainPackage = mainPackage.join(".");
        this.mainClassName = mainClassName;
        this.cdkDeps = new awscdk_deps_java_1.AwsCdkDepsJava(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synth);
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `mvn exec:java --quiet -Dexec.mainClass=${this.mainClass}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          ...options
        });
        if (options.sample ?? true) {
          this.addSample();
        }
      }
      /**
       * Adds an AWS CDK module dependencies
       *
       * @param modules The list of modules to depend on (e.g. "software.amazon.awscdk/aws-lambda", "software.amazon.awscdk/aws-iam", etc)
       * @deprecated In CDK 2.x all modules are available by default. Alpha modules should be added using the standard 'deps'
       */
      addCdkDependency(...modules) {
        for (const m of modules) {
          this.cdkDeps.addV1Dependencies(m);
        }
      }
      addSample() {
        const pkg = this.mainPackage.split(".");
        const javaFile = `${this.mainClassName}.java`;
        new __1.SampleDir(this, (0, path_1.join)("src", "main", "java", ...pkg), {
          files: {
            [javaFile]: [
              `package ${pkg.join(".")};`,
              "",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.App;" : "import software.amazon.awscdk.App;",
              this.cdkDeps.cdkMajorVersion == 1 ? "import software.amazon.awscdk.core.Stack;" : "import software.amazon.awscdk.Stack;",
              "",
              `public class ${this.mainClassName} {`,
              "  public static void main(final String[] args) {",
              "    App app = new App();",
              `    new Stack(app, "${this.name}");`,
              "    app.synth();",
              "  }",
              "}"
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkJavaApp = AwsCdkJavaApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkJavaApp[_a] = { fqn: "projen.awscdk.AwsCdkJavaApp", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-py.js
var require_awscdk_deps_py4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps4();
    var AwsCdkDepsPy = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "aws_cdk.core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "aws_cdk.assert",
          assertions: "aws_cdk.assertions"
        };
      }
    };
    exports2.AwsCdkDepsPy = AwsCdkDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsPy[_a] = { fqn: "projen.awscdk.AwsCdkDepsPy", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js
var require_awscdk_pytest_sample4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-pytest-sample.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPytestSample = void 0;
    var __1 = require_lib23();
    var AwsCdkPytestSample = class extends __1.Component {
      constructor(project, testdir) {
        super(project);
        new __1.SampleDir(project, testdir, {
          files: {
            "__init__.py": "",
            "test_example.py": [
              "import pytest",
              "from aws_cdk import App",
              "from aws_cdk.assertions import Template",
              "",
              `from ${project.moduleName}.main import MyStack`,
              "",
              "@pytest.fixture(scope='module')",
              "def template():",
              "  app = App()",
              '  stack = MyStack(app, "my-stack-test")',
              "  template = Template.from_stack(stack)",
              "  yield template",
              "",
              `def test_no_buckets_found(template):`,
              '  template.resource_count_is("AWS::S3::Bucket", 0)',
              ""
            ].join("\n")
          }
        });
      }
    };
    exports2.AwsCdkPytestSample = AwsCdkPytestSample;
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-py.js
var require_awscdk_app_py4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var _1 = require_awscdk4();
    var awscdk_deps_py_1 = require_awscdk_deps_py4();
    var awscdk_pytest_sample_1 = require_awscdk_pytest_sample4();
    var __1 = require_lib23();
    var pytest_1 = require_pytest4();
    var python_project_1 = require_python_project4();
    var AwsCdkPythonApp = class extends python_project_1.PythonProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdkDeps = new awscdk_deps_py_1.AwsCdkDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        this.testdir = options.testdir ?? "tests";
        this.cdkTasks = new _1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        this.cdkConfig = new _1.CdkConfig(this, {
          app: `python ${this.appEntrypoint}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          watchIncludes: ["**"],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "requirements*.txt",
            "source.bat",
            "**/__init__.py",
            "python/__pycache__",
            "tests"
          ],
          ...options
        });
        if (options.sample ?? true) {
          new AppCode(this, "app.py", this.cdkDeps.cdkMajorVersion);
          new MyStackCode(this, this.moduleName, this.cdkDeps.cdkMajorVersion);
        }
        if (options.pytest ?? true) {
          this.pytest = new pytest_1.Pytest(this, options.pytestOptions);
          new awscdk_pytest_sample_1.AwsCdkPytestSample(this, this.pytest.testdir);
        }
      }
    };
    exports2.AwsCdkPythonApp = AwsCdkPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkPythonApp[_a] = { fqn: "projen.awscdk.AwsCdkPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, fileName, cdkVersion) {
        super(project);
        let versionImport;
        if (cdkVersion < 2) {
          versionImport = "from aws_cdk.core import App, Environment";
        } else {
          versionImport = "from aws_cdk import App, Environment";
        }
        new __1.SampleFile(project, fileName, {
          contents: [
            "import os",
            versionImport,
            `from ${project.moduleName}.main import MyStack`,
            "",
            "# for development, use account/region from cdk cli",
            "dev_env = Environment(",
            "  account=os.getenv('CDK_DEFAULT_ACCOUNT'),",
            "  region=os.getenv('CDK_DEFAULT_REGION')",
            ")",
            "",
            "app = App()",
            `MyStack(app, "${this.project.name}-dev", env=dev_env)`,
            `# MyStack(app, "${this.project.name}-prod", env=prod_env)`,
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
    var MyStackCode = class extends __1.Component {
      constructor(project, dir, cdkMajorVersion) {
        super(project);
        let appFile = [];
        appFile.push("import os");
        if (cdkMajorVersion < 2) {
          appFile.push("from aws_cdk.core import Construct, Stack");
        } else {
          appFile.push("from aws_cdk import Stack");
          appFile.push("from constructs import Construct");
        }
        appFile.push("");
        appFile.push("");
        appFile.push("class MyStack(Stack):");
        appFile.push("  def __init__(self, scope: Construct, construct_id: str, **kwargs) -> None:");
        appFile.push("    super().__init__(scope, construct_id, **kwargs)");
        appFile.push("");
        appFile.push("    # The code that defines your stack goes here");
        appFile.push("");
        new __1.SampleDir(project, dir, {
          files: {
            "__init__.py": "",
            "main.py": appFile.join("\n")
          }
        });
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-js.js
var require_awscdk_deps_js4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-deps-js.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkDepsJs = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var awscdk_deps_1 = require_awscdk_deps4();
    var AwsCdkDepsJs = class extends awscdk_deps_1.AwsCdkDeps {
      packageNames() {
        return {
          coreV1: "@aws-cdk/core",
          coreV2: "aws-cdk-lib",
          constructs: "constructs",
          assert: "@aws-cdk/assert",
          assertions: "@aws-cdk/assertions"
        };
      }
    };
    exports2.AwsCdkDepsJs = AwsCdkDepsJs;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkDepsJs[_a] = { fqn: "projen.awscdk.AwsCdkDepsJs", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-ts.js
var require_awscdk_app_ts4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.AwsCdkTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover7();
    var awscdk_deps_js_1 = require_awscdk_deps_js4();
    var cdk_config_1 = require_cdk_config4();
    var cdk_tasks_1 = require_cdk_tasks4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var typescript_1 = require_typescript8();
    var AwsCdkTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      /**
       * The CDK version this app is using.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      constructor(options) {
        super({
          ...options,
          sampleCode: false,
          bundlerOptions: {
            ...options.bundlerOptions,
            // we invoke the "bundle" task as part of the build step in cdk.json so
            // we don't want it to be added to the pre-compile phase.
            addToPreCompile: false
          }
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          ...options
        });
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        this.addDevDeps(`aws-cdk@${this.cdkDeps.cdkVersion}`);
        this.compileTask.reset();
        this.cdkTasks = new cdk_tasks_1.CdkTasks(this);
        this.postCompileTask.spawn(this.cdkTasks.synthSilent);
        const tsConfigFile = this.tsconfig?.fileName;
        if (!tsConfigFile) {
          throw new Error("Expecting tsconfig.json");
        }
        this.cdkConfig = new cdk_config_1.CdkConfig(this, {
          app: `npx ts-node -P ${tsConfigFile} --prefer-ts-exts ${path.posix.join(this.srcdir, this.appEntrypoint)}`,
          featureFlags: this.cdkDeps.cdkMajorVersion < 2,
          buildCommand: this.runTaskCommand(this.bundler.bundleTask),
          watchIncludes: [`${this.srcdir}/**/*.ts`, `${this.testdir}/**/*.ts`],
          watchExcludes: [
            "README.md",
            "cdk*.json",
            "**/*.d.ts",
            "**/*.js",
            "tsconfig.json",
            "package*.json",
            "yarn.lock",
            "node_modules"
          ],
          ...options
        });
        this.gitignore.exclude(".parcel-cache/");
        this.npmignore?.exclude(`${this.cdkConfig.cdkout}/`);
        this.npmignore?.exclude(".cdk.staging/");
        if (this.tsconfig) {
          this.tsconfig.exclude.push(this.cdkConfig.cdkout);
        }
        this.addDevDeps("ts-node");
        if (options.sampleCode ?? true) {
          new SampleCode(this, this.cdkDeps.cdkMajorVersion);
        }
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * Adds an AWS CDK module dependencies
       * @param modules The list of modules to depend on
       */
      addCdkDependency(...modules) {
        return this.cdkDeps.addV1Dependencies(...modules);
      }
    };
    exports2.AwsCdkTypeScriptApp = AwsCdkTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkTypeScriptApp[_a] = { fqn: "projen.awscdk.AwsCdkTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project, cdkMajorVersion) {
        super(project);
        this.cdkMajorVersion = cdkMajorVersion;
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcImports = new Array();
        if (this.cdkMajorVersion < 2) {
          srcImports.push("import { App, Construct, Stack, StackProps } from '@aws-cdk/core';");
        } else {
          srcImports.push("import { App, Stack, StackProps } from 'aws-cdk-lib';");
          srcImports.push("import { Construct } from 'constructs';");
        }
        const srcCode = `${srcImports.join("\n")}

export class MyStack extends Stack {
  constructor(scope: Construct, id: string, props: StackProps = {}) {
    super(scope, id, props);

    // define resources here...
  }
}

// for development, use account/region from cdk cli
const devEnv = {
  account: process.env.CDK_DEFAULT_ACCOUNT,
  region: process.env.CDK_DEFAULT_REGION,
};

const app = new App();

new MyStack(app, '${this.project.name}-dev', { env: devEnv });
// new MyStack(app, '${this.project.name}-prod', { env: prodEnv });

app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
        const testdir = path.join(outdir, this.appProject.testdir);
        if (fs.existsSync(testdir) && fs.readdirSync(testdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const testImports = new Array();
        if (this.cdkMajorVersion < 2) {
          testImports.push("import { App } from '@aws-cdk/core';");
          testImports.push("import { Template } from '@aws-cdk/assertions';");
        } else {
          testImports.push("import { App } from 'aws-cdk-lib';");
          testImports.push("import { Template } from 'aws-cdk-lib/assertions';");
        }
        const appEntrypointName = path.basename(this.appProject.appEntrypoint, ".ts");
        const testCode = `${testImports.join("\n")}
import { MyStack } from '../${this.appProject.srcdir}/${appEntrypointName}';

test('Snapshot', () => {
  const app = new App();
  const stack = new MyStack(app, 'test');

  const template = Template.fromStack(stack);
  expect(template.toJSON()).toMatchSnapshot();
});`;
        fs.mkdirSync(testdir, { recursive: true });
        fs.writeFileSync(path.join(testdir, `${appEntrypointName}.test.ts`), testCode);
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/awscdk-construct.js
var require_awscdk_construct4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/awscdk-construct.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryAws = exports2.AwsCdkConstructLibrary = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var auto_discover_1 = require_auto_discover7();
    var awscdk_deps_js_1 = require_awscdk_deps_js4();
    var cdk_1 = require_cdk4();
    var dependencies_1 = require_dependencies4();
    var AwsCdkConstructLibrary = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        const cdkMajorVersion = semver.parse(options.cdkVersion)?.major;
        super({
          peerDependencyOptions: cdkMajorVersion === 1 ? {
            pinnedDevDependency: false
          } : void 0,
          workflowNodeVersion: options.minNodeVersion ?? "16.x",
          ...options
        });
        this.cdkDeps = new awscdk_deps_js_1.AwsCdkDepsJs(this, {
          // since this we are a library, dependencies should be added a peers
          dependencyType: dependencies_1.DependencyType.PEER,
          ...options
        });
        new auto_discover_1.AutoDiscover(this, {
          srcdir: this.srcdir,
          testdir: this.testdir,
          lambdaOptions: options.lambdaOptions,
          tsconfigPath: this.tsconfigDev.fileName,
          cdkDeps: this.cdkDeps,
          lambdaAutoDiscover: options.lambdaAutoDiscover ?? true,
          edgeLambdaAutoDiscover: options.edgeLambdaAutoDiscover ?? true,
          lambdaExtensionAutoDiscover: options.lambdaExtensionAutoDiscover ?? true,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
      /**
       * The target CDK version for this library.
       */
      get cdkVersion() {
        return this.cdkDeps.cdkVersion;
      }
      /**
       * @deprecated use `cdkVersion`
       */
      get version() {
        return this.cdkVersion;
      }
      /**
       * Adds dependencies to AWS CDK modules.
       *
       * Since this is a library project, dependencies will be added as peer dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1Dependencies()`
       */
      addCdkDependencies(...deps) {
        return this.cdkDeps.addV1Dependencies(...deps);
      }
      /**
       * Adds AWS CDK modules as dev dependencies.
       *
       * @param deps names of cdk modules (e.g. `@aws-cdk/aws-lambda`).
       * @deprecated Not supported in v2. For v1, use `project.cdkDeps.addV1DevDependencies()`
       */
      addCdkTestDependencies(...deps) {
        return this.cdkDeps.addV1DevDependencies(...deps);
      }
    };
    exports2.AwsCdkConstructLibrary = AwsCdkConstructLibrary;
    _a = JSII_RTTI_SYMBOL_1;
    AwsCdkConstructLibrary[_a] = { fqn: "projen.awscdk.AwsCdkConstructLibrary", version: "0.71.112" };
    var ConstructLibraryAws = class extends AwsCdkConstructLibrary {
    };
    exports2.ConstructLibraryAws = ConstructLibraryAws;
    _b = JSII_RTTI_SYMBOL_1;
    ConstructLibraryAws[_b] = { fqn: "projen.awscdk.ConstructLibraryAws", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/awscdk/index.js
var require_awscdk4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/awscdk/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover7(), exports2);
    __exportStar(require_awscdk_app_java4(), exports2);
    __exportStar(require_awscdk_app_py4(), exports2);
    __exportStar(require_awscdk_app_ts4(), exports2);
    __exportStar(require_awscdk_construct4(), exports2);
    __exportStar(require_awscdk_deps4(), exports2);
    __exportStar(require_awscdk_deps_java4(), exports2);
    __exportStar(require_awscdk_deps_js4(), exports2);
    __exportStar(require_awscdk_deps_py4(), exports2);
    __exportStar(require_cdk_config4(), exports2);
    __exportStar(require_cdk_tasks4(), exports2);
    __exportStar(require_integration_test7(), exports2);
    __exportStar(require_lambda_function4(), exports2);
    __exportStar(require_lambda_extension4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/integration-test.js
var require_integration_test8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/integration-test.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTest = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var path_1 = require("path");
    var cdk_1 = require_cdk4();
    var dependencies_1 = require_dependencies4();
    var IntegrationTest = class extends cdk_1.IntegrationTestBase {
      constructor(project, options) {
        super(project, options);
        if (!project.deps.tryGetDependency("cdk8s-cli")) {
          project.deps.addDependency(`cdk8s-cli`, dependencies_1.DependencyType.BUILD);
        }
        if (!project.deps.tryGetDependency("ts-node")) {
          project.deps.addDependency("ts-node", dependencies_1.DependencyType.BUILD);
        }
        const deployDir = (0, path_1.join)(this.tmpDir, "deploy.cdk.out");
        const assertDir = (0, path_1.join)(this.tmpDir, "assert.cdk.out");
        const app = `ts-node -P ${options.tsconfigPath} ${options.entrypoint}`;
        this.deployTask.exec(`rm -fr ${deployDir}`);
        this.deployTask.exec(`cdk8s synth --app "${app}" -o ${deployDir}`);
        this.deployTask.exec(`kubectl apply -f ${deployDir}`);
        this.deployTask.exec(`rm -fr ${this.snapshotDir}`);
        this.deployTask.exec(`mv ${deployDir} ${this.snapshotDir}`);
        this.snapshotTask.exec(`rm -fr ${this.snapshotDir}`);
        this.snapshotTask.exec(`cdk8s synth --app "${app}" -o ${this.snapshotDir}`);
        this.assertTask.exec(`cdk8s synth --app "${app}" -o ${assertDir} > /dev/null`);
        this.assertTask.exec(`diff ${this.snapshotDir}/ ${assertDir}/`);
      }
    };
    exports2.IntegrationTest = IntegrationTest;
    _a = JSII_RTTI_SYMBOL_1;
    IntegrationTest[_a] = { fqn: "projen.cdk8s.IntegrationTest", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/auto-discover.js
var require_auto_discover8 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/auto-discover.js"(exports2) {
    "use strict";
    var _a;
    var _b;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.IntegrationTestAutoDiscover = exports2.AutoDiscover = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var integration_test_1 = require_integration_test8();
    var cdk_1 = require_cdk4();
    var component_1 = require_component4();
    var AutoDiscover = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        if (options.integrationTestAutoDiscover ?? true) {
          new IntegrationTestAutoDiscover(this.project, options);
        }
      }
    };
    exports2.AutoDiscover = AutoDiscover;
    _a = JSII_RTTI_SYMBOL_1;
    AutoDiscover[_a] = { fqn: "projen.cdk8s.AutoDiscover", version: "0.71.112" };
    var IntegrationTestAutoDiscover = class extends cdk_1.IntegrationTestAutoDiscoverBase {
      constructor(project, options) {
        super(project, options);
        for (const entrypoint of this.entrypoints) {
          new integration_test_1.IntegrationTest(this.project, {
            entrypoint,
            tsconfigPath: options.tsconfigPath
          });
        }
      }
    };
    exports2.IntegrationTestAutoDiscover = IntegrationTestAutoDiscover;
    _b = JSII_RTTI_SYMBOL_1;
    IntegrationTestAutoDiscover[_b] = { fqn: "projen.cdk8s.IntegrationTestAutoDiscover", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps.js
var require_cdk8s_deps4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDeps = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var Cdk8sDeps = class extends component_1.Component {
      constructor(project, options) {
        super(project);
        this.dependencyType = options.dependencyType;
        this._packageNames = this.packageNames();
        const framework = determineFrameworkVersion(options);
        this.cdk8sVersion = framework.range;
        this.cdk8sMajorVersion = framework.major;
        this.cdk8sMinimumVersion = framework.minimum;
        this.addConstructsDependency(options.constructsVersion, options.constructsVersionPinning);
        this.addFrameworkDependency(options.cdk8sVersion, options.cdk8sVersionPinning);
        if (options.cdk8sCliDependency) {
          this.addClientDependency(options.cdk8sCliVersion, options.cdk8sCliVersionPinning);
        }
        if (options.cdk8sPlus ?? true) {
          const k8MinorVersion = options.k8sMinorVersion ?? 22;
          this.addCdk8sPlusDependency(
            k8MinorVersion,
            options.cdk8sPlusVersion,
            // (project instanceof Cdk8sPythonApp) ? true : false,
            options.cdk8sPlusVersionPinning
          );
        }
      }
      getVersionRequirement(requestedVersion, v1Version, v2Version, pinning) {
        const defaultVersion = this.cdk8sMajorVersion === 1 ? v1Version : v2Version;
        const version = `${requestedVersion ?? defaultVersion}`;
        const versionRequirement = pinning ? `${version}` : `^${version}`;
        return versionRequirement;
      }
      addCdk8sPlusDependency(k8MinorVersion, requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.0.0-beta.222", "2.0.0-rc.26", pinning);
        const cdk8sPlusMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sPlusMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s-plus version '${versionRequirement}'`);
        }
        const cdk8sPlusLib = this._packageNames.cdk8sPlus.concat("-", k8MinorVersion.toString());
        this.project.deps.addDependency(`${cdk8sPlusLib}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addClientDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.1.34", "2.0.28", pinning);
        const cdk8sCliMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sCliMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8sClient}@${versionRequirement}`, dependencies_1.DependencyType.BUILD);
        return versionRequirement;
      }
      addFrameworkDependency(requestedVersion, pinning) {
        const versionRequirement = this.getVersionRequirement(requestedVersion, "1.6.33", "2.3.33", pinning);
        const cdk8sMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!cdk8sMajorVersion) {
          throw new Error(`Cannot determine major version of cdk8s version '${versionRequirement}'`);
        }
        this.project.deps.addDependency(`${this._packageNames.cdk8s}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
      addConstructsDependency(requestedVersion, pinning) {
        if (requestedVersion && !semver.parse(requestedVersion)) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${requestedVersion}`);
        }
        const versionRequirement = this.getVersionRequirement(requestedVersion, "3.4.39", "10.1.42", pinning);
        const constructsMajorVersion = semver.minVersion(versionRequirement)?.major;
        if (!constructsMajorVersion) {
          throw new Error(`Cannot determine major version of constructs version '${versionRequirement}'`);
        }
        switch (this.cdk8sMajorVersion) {
          case 1:
            if (constructsMajorVersion !== 3) {
              throw new Error("AWS CDK 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (constructsMajorVersion !== 10) {
              throw new Error("AWS CDK 2.x requires constructs 10.x");
            }
            break;
        }
        this.project.deps.addDependency(`${this._packageNames.constructs}@${versionRequirement}`, this.dependencyType);
        return versionRequirement;
      }
    };
    exports2.Cdk8sDeps = Cdk8sDeps;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDeps[_a] = { fqn: "projen.cdk8s.Cdk8sDeps", version: "0.71.112" };
    function determineFrameworkVersion(options) {
      const ver = semver.parse(options.cdk8sVersion);
      if (!ver) {
        throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
      }
      return {
        minimum: ver.format(),
        range: options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`,
        major: ver.major
      };
    }
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js
var require_cdk8s_deps_py4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsPy = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_1 = require_cdk8s_deps4();
    var Cdk8sDepsPy = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsPy = Cdk8sDepsPy;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sDepsPy[_a] = { fqn: "projen.cdk8s.Cdk8sDepsPy", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-app-py.js
var require_cdk8s_app_py4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-app-py.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sPythonApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var cdk8s_deps_py_1 = require_cdk8s_deps_py4();
    var __1 = require_lib23();
    var python_project_1 = require_python_project4();
    var Cdk8sPythonApp = class extends python_project_1.PythonProject {
      constructor(options) {
        super({ ...options, pytest: false, sample: false });
        this.cdk8sDeps = new cdk8s_deps_py_1.Cdk8sDepsPy(this, {
          dependencyType: __1.DependencyType.RUNTIME,
          cdk8sCliDependency: false,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        this.appEntrypoint = options.appEntrypoint ?? "app.py";
        const synth = this.addTask("synth", {
          description: "Synthesizes your cdk8s app into dist",
          exec: "cdk8s synth"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        new __1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "python",
            app: `python ${this.appEntrypoint}`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sample ?? true) {
          new AppCode(this, this.appEntrypoint);
        }
      }
    };
    exports2.Cdk8sPythonApp = Cdk8sPythonApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sPythonApp[_a] = { fqn: "projen.cdk8s.Cdk8sPythonApp", version: "0.71.112" };
    var AppCode = class extends __1.Component {
      constructor(project, filename) {
        super(project);
        new __1.SampleFile(project, filename, {
          contents: [
            "from constructs import Construct",
            "from cdk8s import App, Chart",
            "",
            "",
            "class MyChart(Chart):",
            "  def __init__(self, scope: Construct, id:str):",
            "    super().__init__(scope, id)",
            "",
            "",
            "app = App()",
            'MyChart(app, "${project.name}")',
            "",
            "app.synth()"
          ].join("\n")
        });
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js
var require_cdk8s_deps_js4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-deps-js.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sDepsJs = void 0;
    var cdk8s_deps_1 = require_cdk8s_deps4();
    var Cdk8sDepsJs = class extends cdk8s_deps_1.Cdk8sDeps {
      packageNames() {
        return {
          cdk8s: "cdk8s",
          cdk8sClient: "cdk8s-cli",
          constructs: "constructs",
          cdk8sPlus: "cdk8s-plus"
        };
      }
    };
    exports2.Cdk8sDepsJs = Cdk8sDepsJs;
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js
var require_cdk8s_app_ts4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-app-ts.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Cdk8sTypeScriptApp = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var fs = require("fs");
    var path = require("path");
    var auto_discover_1 = require_auto_discover8();
    var cdk8s_deps_js_1 = require_cdk8s_deps_js4();
    var component_1 = require_component4();
    var dependencies_1 = require_dependencies4();
    var typescript_1 = require_typescript8();
    var yaml_1 = require_yaml4();
    var Cdk8sTypeScriptApp = class extends typescript_1.TypeScriptAppProject {
      constructor(options) {
        super({
          ...options,
          sampleCode: false
        });
        this.cdk8sDeps = new cdk8s_deps_js_1.Cdk8sDepsJs(this, {
          dependencyType: dependencies_1.DependencyType.RUNTIME,
          cdk8sCliDependency: true,
          ...options
        });
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        if (this.srcdir !== "src") {
          throw new Error('sources are expected under the "src" directory');
        }
        if (this.testdir !== "test") {
          throw new Error('test sources are expected under the "test" directory');
        }
        this.appEntrypoint = options.appEntrypoint ?? "main.ts";
        const synth = this.addTask("synth", {
          description: 'Synthesizes your cdk8s app into dist (part of "yarn build")',
          exec: "cdk8s synth"
        });
        this.addTask("import", {
          description: "Imports API objects to your app by generating constructs.",
          exec: "cdk8s import -o src/imports"
        });
        this.postCompileTask.spawn(synth);
        const cdk8sImports = options.cdk8sImports ?? [];
        const k8sSpec = options.k8sSpecVersion ? `k8s@${options.k8sSpecVersion}` : "k8s";
        const appEntrypointBaseName = path.basename(this.appEntrypoint, ".ts");
        new yaml_1.YamlFile(this, "cdk8s.yaml", {
          committed: true,
          editGitignore: true,
          obj: {
            language: "typescript",
            app: `node lib/${appEntrypointBaseName}.js`,
            imports: [k8sSpec, ...cdk8sImports]
          }
        });
        if (options.sampleCode ?? true) {
          new SampleCode(this);
        }
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.Cdk8sTypeScriptApp = Cdk8sTypeScriptApp;
    _a = JSII_RTTI_SYMBOL_1;
    Cdk8sTypeScriptApp[_a] = { fqn: "projen.cdk8s.Cdk8sTypeScriptApp", version: "0.71.112" };
    var SampleCode = class extends component_1.Component {
      constructor(project) {
        super(project);
        this.appProject = project;
      }
      synthesize() {
        const outdir = this.project.outdir;
        const srcdir = path.join(outdir, this.appProject.srcdir);
        if (fs.existsSync(srcdir) && fs.readdirSync(srcdir).filter((x) => x.endsWith(".ts"))) {
          return;
        }
        const srcCode = `import { Construct } from 'constructs';
import { App, Chart, ChartProps, ApiObject } from 'cdk8s';

export class MyChart extends Chart {
  constructor(scope: Construct, id: string, props: ChartProps = { }) {
    super(scope, id, props);

    const label = { app: 'hello-k8s' };



    new ApiObject(this, 'deployment', {
      apiVersion: "v1",
      kind: "Pod",
      metadata: {
          namespace: "frontend",
          name: "nginx",
          labels: label,
      },
      spec: {
          containers: [{
              name: "nginx",
              image: "nginx:1.14-alpine",
              resources: {
                  limits: {
                      memory: "20Mi",
                      cpu: 0.2,
                  },
              },
          }],
      },
    });
  }
}

const app = new App();
new MyChart(app, 'hello');
app.synth();`;
        fs.mkdirSync(srcdir, { recursive: true });
        fs.writeFileSync(path.join(srcdir, this.appProject.appEntrypoint), srcCode);
      }
    };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-construct.js
var require_cdk8s_construct4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/cdk8s-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdk8s = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var auto_discover_1 = require_auto_discover8();
    var cdk_1 = require_cdk4();
    var ConstructLibraryCdk8s = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdk8sVersion) {
          throw new Error("Required field cdk8sVersion is not specified.");
        }
        const cdk8sVersion = semver.parse(options.cdk8sVersion);
        if (!cdk8sVersion) {
          throw new Error(`"cdk8sVersion" cannot be parsed as a semver version: ${options.cdk8sVersion}`);
        }
        this.cdk8sVersion = options.cdk8sVersionPinning ? options.cdk8sVersion : `^${options.cdk8sVersion}`;
        const defaultConstructsVersion = cdk8sVersion.major === 1 ? "3.3.196" : "10.0.0";
        const resolvedConstructsVersion = options.constructsVersion ?? defaultConstructsVersion;
        const resolvedMajorConstructVersion = semver.parse(resolvedConstructsVersion)?.major;
        if (!resolvedMajorConstructVersion) {
          throw new Error(`"constructsVersion" cannot be parsed as a semver version: ${options.constructsVersion}`);
        }
        switch (cdk8sVersion.major) {
          case 1:
            if (resolvedMajorConstructVersion !== 3) {
              throw new Error("cdk8s 1.x requires constructs 3.x");
            }
            break;
          case 2:
            if (resolvedMajorConstructVersion !== 10) {
              throw new Error("cdk8s 2.x requires constructs 10.x");
            }
            break;
        }
        this.constructsVersion = options.constructsVersionPinning ? resolvedConstructsVersion : `^${resolvedConstructsVersion}`;
        this.addPeerDeps(`constructs@${this.constructsVersion}`, `cdk8s@${this.cdk8sVersion}`);
        new auto_discover_1.AutoDiscover(this, {
          testdir: this.testdir,
          tsconfigPath: this.tsconfigDev.fileName,
          integrationTestAutoDiscover: options.integrationTestAutoDiscover ?? true
        });
      }
    };
    exports2.ConstructLibraryCdk8s = ConstructLibraryCdk8s;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdk8s[_a] = { fqn: "projen.cdk8s.ConstructLibraryCdk8s", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdk8s/index.js
var require_cdk8s4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdk8s/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_auto_discover8(), exports2);
    __exportStar(require_cdk8s_app_py4(), exports2);
    __exportStar(require_cdk8s_app_ts4(), exports2);
    __exportStar(require_cdk8s_construct4(), exports2);
    __exportStar(require_integration_test8(), exports2);
    __exportStar(require_cdk8s_deps4(), exports2);
    __exportStar(require_cdk8s_deps_py4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/cdktf/cdktf-construct.js
var require_cdktf_construct4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdktf/cdktf-construct.js"(exports2) {
    "use strict";
    var _a;
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.ConstructLibraryCdktf = void 0;
    var JSII_RTTI_SYMBOL_1 = Symbol.for("jsii.rtti");
    var semver = require_semver14();
    var cdk_1 = require_cdk4();
    var ConstructLibraryCdktf = class extends cdk_1.ConstructLibrary {
      constructor(options) {
        super(options);
        if (!options.cdktfVersion) {
          throw new Error("Required field cdktfVersion is not specified.");
        }
        function getDefaultConstructVersion() {
          const semverCDKTFVersion = semver.coerce(options.cdktfVersion);
          if (semverCDKTFVersion && semver.lte(semverCDKTFVersion, "0.5.0")) {
            return "^3.0.0";
          }
          return "^10.0.12";
        }
        const ver = options.cdktfVersion;
        const constructVersion = options.constructsVersion ?? getDefaultConstructVersion();
        this.addPeerDeps(`constructs@${constructVersion}`, `cdktf@${ver}`);
        this.addKeywords("cdktf");
      }
    };
    exports2.ConstructLibraryCdktf = ConstructLibraryCdktf;
    _a = JSII_RTTI_SYMBOL_1;
    ConstructLibraryCdktf[_a] = { fqn: "projen.cdktf.ConstructLibraryCdktf", version: "0.71.112" };
  }
});

// ../../components/workflows/node_modules/projen/lib/cdktf/index.js
var require_cdktf4 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/cdktf/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_cdktf_construct4(), exports2);
  }
});

// ../../components/workflows/node_modules/projen/lib/index.js
var require_lib23 = __commonJS({
  "../../components/workflows/node_modules/projen/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.build = exports2.cdk = exports2.cdktf = exports2.cdk8s = exports2.awscdk = exports2.release = exports2.javascript = exports2.typescript = exports2.python = exports2.java = exports2.vscode = exports2.circleci = exports2.gitlab = exports2.github = exports2.web = void 0;
    __exportStar(require_component4(), exports2);
    __exportStar(require_dev_env4(), exports2);
    __exportStar(require_dependencies4(), exports2);
    __exportStar(require_docker_compose8(), exports2);
    __exportStar(require_file5(), exports2);
    __exportStar(require_gitattributes4(), exports2);
    __exportStar(require_gitpod4(), exports2);
    __exportStar(require_ignore_file4(), exports2);
    __exportStar(require_ini8(), exports2);
    __exportStar(require_json7(), exports2);
    __exportStar(require_json_patch4(), exports2);
    __exportStar(require_logger4(), exports2);
    __exportStar(require_license4(), exports2);
    __exportStar(require_makefile4(), exports2);
    __exportStar(require_object_file4(), exports2);
    __exportStar(require_option_hints4(), exports2);
    __exportStar(require_project4(), exports2);
    __exportStar(require_project_build4(), exports2);
    __exportStar(require_projects4(), exports2);
    __exportStar(require_projenrc16(), exports2);
    __exportStar(require_projenrc_json4(), exports2);
    __exportStar(require_readme4(), exports2);
    __exportStar(require_renovatebot4(), exports2);
    __exportStar(require_sample_file4(), exports2);
    __exportStar(require_semver15(), exports2);
    __exportStar(require_source_code4(), exports2);
    __exportStar(require_task4(), exports2);
    __exportStar(require_tasks4(), exports2);
    __exportStar(require_task_model4(), exports2);
    __exportStar(require_task_runtime4(), exports2);
    __exportStar(require_testing4(), exports2);
    __exportStar(require_textfile4(), exports2);
    __exportStar(require_toml8(), exports2);
    __exportStar(require_version4(), exports2);
    __exportStar(require_yaml4(), exports2);
    __exportStar(require_xmlfile4(), exports2);
    exports2.web = require_web4();
    exports2.github = require_github8();
    exports2.gitlab = require_gitlab4();
    exports2.circleci = require_circleci8();
    exports2.vscode = require_vscode8();
    exports2.java = require_java4();
    exports2.python = require_python4();
    exports2.typescript = require_typescript8();
    exports2.javascript = require_javascript4();
    exports2.release = require_release8();
    exports2.awscdk = require_awscdk4();
    exports2.cdk8s = require_cdk8s4();
    exports2.cdktf = require_cdktf4();
    exports2.cdk = require_cdk4();
    exports2.build = require_build4();
  }
});

// ../../components/workflows/lib/workflow/workflow.js
var require_workflow = __commonJS({
  "../../components/workflows/lib/workflow/workflow.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports2 && exports2.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports2 && exports2.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Workflow = exports2.workflowLocation = exports2.RunModeDefiniton = void 0;
    var blueprint_component_source_repositories_1 = require_lib18();
    var projen_1 = require_lib23();
    var YAML = __importStar(require_dist4());
    var RunModeDefiniton;
    (function(RunModeDefiniton2) {
      RunModeDefiniton2["PARALLEL"] = "PARALLEL";
      RunModeDefiniton2["QUEUED"] = "QUEUED";
      RunModeDefiniton2["SUPERSEDED"] = "SUPERSEDED";
    })(RunModeDefiniton = exports2.RunModeDefiniton || (exports2.RunModeDefiniton = {}));
    exports2.workflowLocation = ".codecatalyst/workflows";
    var Workflow = class extends projen_1.Component {
      constructor(blueprint, sourceRepository, workflow, options) {
        super(blueprint);
        workflow = JSON.parse(JSON.stringify(workflow));
        let yamlContent = YAML.stringify(workflow, {
          indent: 2,
          lineWidth: 0,
          ...options === null || options === void 0 ? void 0 : options.YAMLOptions
        });
        if (options === null || options === void 0 ? void 0 : options.commented) {
          yamlContent = yamlContent.split("\n").map(commentLine).join("\n");
        }
        if (options === null || options === void 0 ? void 0 : options.additionalComments) {
          yamlContent = [options.additionalComments.map(commentLine).join("\n"), yamlContent].join("\n");
        }
        const indendedWorkflowLocation = `${exports2.workflowLocation}/${workflow.Name || "no-name-workflow"}.yaml`;
        new blueprint_component_source_repositories_1.SourceFile(sourceRepository, indendedWorkflowLocation, yamlContent);
      }
    };
    exports2.Workflow = Workflow;
    function commentLine(line) {
      return "# " + line;
    }
  }
});

// ../../components/workflows/lib/workflow/triggers.js
var require_triggers = __commonJS({
  "../../components/workflows/lib/workflow/triggers.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericPullRequestTrigger = exports2.PullRequestEvent = exports2.addGenericBranchTrigger = exports2.TriggerType = void 0;
    var TriggerType;
    (function(TriggerType2) {
      TriggerType2["MANUAL"] = "MANUAL";
      TriggerType2["PUSH"] = "PUSH";
      TriggerType2["PULLREQUEST"] = "PULLREQUEST";
    })(TriggerType = exports2.TriggerType || (exports2.TriggerType = {}));
    function addGenericBranchTrigger(workflow, branches = ["main"], filesChanged) {
      if (!workflow.Triggers) {
        workflow.Triggers = [];
      }
      workflow.Triggers.push({
        Type: TriggerType.PUSH,
        Branches: branches,
        ...filesChanged && { FilesChanged: filesChanged }
      });
    }
    exports2.addGenericBranchTrigger = addGenericBranchTrigger;
    var PullRequestEvent;
    (function(PullRequestEvent2) {
      PullRequestEvent2["DRAFT"] = "DRAFT";
      PullRequestEvent2["OPEN"] = "OPEN";
      PullRequestEvent2["CLOSED"] = "CLOSED";
      PullRequestEvent2["MERGED"] = "MERGED";
      PullRequestEvent2["REVISION"] = "REVISION";
    })(PullRequestEvent = exports2.PullRequestEvent || (exports2.PullRequestEvent = {}));
    function addGenericPullRequestTrigger(workflow, events, branches = ["main"], filesChanged) {
      if (!workflow.Triggers) {
        workflow.Triggers = [];
      }
      workflow.Triggers.push({
        Type: TriggerType.PULLREQUEST,
        Events: events,
        Branches: branches,
        ...filesChanged && { FilesChanged: filesChanged }
      });
    }
    exports2.addGenericPullRequestTrigger = addGenericPullRequestTrigger;
  }
});

// ../../components/workflows/lib/actions/action.js
var require_action = __commonJS({
  "../../components/workflows/lib/actions/action.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertInputsToJsonString = exports2.getDefaultActionIdentifier = exports2.ActionIdentifierAlias = void 0;
    var ActionIdentifierAlias;
    (function(ActionIdentifierAlias2) {
      ActionIdentifierAlias2["build"] = "build";
      ActionIdentifierAlias2["deploy"] = "deploy";
      ActionIdentifierAlias2["test"] = "test";
      ActionIdentifierAlias2["cdkDeploy"] = "cdkDeploy";
      ActionIdentifierAlias2["cdkBootstrap"] = "cdkBootstrap";
    })(ActionIdentifierAlias = exports2.ActionIdentifierAlias || (exports2.ActionIdentifierAlias = {}));
    var ACTION_IDENTIFIERS = {
      build: {
        default: "aws/build-beta@v1",
        prod: "aws/build@v1"
      },
      test: {
        default: "aws/managed-test-gamma@v1",
        prod: "aws/managed-test@v1"
      },
      deploy: {
        default: "aws/cfn-deploy-gamma@v1",
        prod: "aws/cfn-deploy@v1"
      },
      cdkDeploy: {
        default: "aws/cdk-deploy-gamma@v1",
        prod: "aws/cdk-deploy@v1"
      },
      cdkBootstrap: {
        default: "aws/cdk-bootstrap-gamma@v1",
        prod: "aws/cdk-bootstrap@v1"
      }
    };
    function getDefaultActionIdentifier(alias, environmentIdentifier = "default") {
      var _a, _b, _c;
      return (_b = (_a = ACTION_IDENTIFIERS[alias]) === null || _a === void 0 ? void 0 : _a[environmentIdentifier]) !== null && _b !== void 0 ? _b : (_c = ACTION_IDENTIFIERS[alias]) === null || _c === void 0 ? void 0 : _c.default;
    }
    exports2.getDefaultActionIdentifier = getDefaultActionIdentifier;
    function convertInputsToJsonString(input) {
      if (typeof input === "string") {
        return input;
      }
      if (input instanceof Array) {
        return JSON.stringify(input);
      }
      if (input instanceof Object) {
        return JSON.stringify(input);
      }
      return void 0;
    }
    exports2.convertInputsToJsonString = convertInputsToJsonString;
  }
});

// ../../components/workflows/lib/actions/action-build.js
var require_action_build = __commonJS({
  "../../components/workflows/lib/actions/action-build.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericBuildAction = exports2.generateInputs = exports2.generateOutput = void 0;
    var action_1 = require_action();
    var generateOutput = (params) => {
      const outputs = {
        AutoDiscoverReports: {
          Enabled: false
        },
        ...params
      };
      return outputs;
    };
    exports2.generateOutput = generateOutput;
    var generateInputs = (params) => {
      const inputs = {
        ...params,
        Variables: void 0
      };
      const Variables = Object.keys(params.Variables || {}).map((key) => {
        return {
          Name: key,
          Value: (params.Variables || {})[key]
        };
      });
      if (Variables.length) {
        inputs.Variables = Variables;
      }
      return inputs;
    };
    exports2.generateInputs = generateInputs;
    var addGenericBuildAction = (params) => {
      const { blueprint, workflow, steps, input, output } = params;
      const buildAction = {
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.build, blueprint.context.environmentId),
        Inputs: (0, exports2.generateInputs)(input),
        Outputs: (0, exports2.generateOutput)(output),
        Configuration: {
          Steps: steps.map((step) => {
            return {
              Run: step
            };
          })
        }
      };
      if (params.environment) {
        buildAction.Environment = params.environment;
      }
      if (params.dependsOn) {
        buildAction.DependsOn = params.dependsOn;
      }
      const actionName = (params.actionName || "Build").replace(new RegExp("-", "g"), "_");
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = buildAction;
      return actionName;
    };
    exports2.addGenericBuildAction = addGenericBuildAction;
  }
});

// ../../components/workflows/lib/actions/action-cdk-bootstrap.js
var require_action_cdk_bootstrap = __commonJS({
  "../../components/workflows/lib/actions/action-cdk-bootstrap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericCdkBootstrapAction = void 0;
    var action_1 = require_action();
    function addGenericCdkBootstrapAction(params) {
      const { blueprint, workflow, inputs, outputs, environment, configuration, computeName, dependsOn } = params;
      const actionName = (params.actionName || "BootstrapCdkStack").replace(new RegExp("-", "g"), "_");
      const cdkBootstrapAction = {
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.cdkBootstrap, blueprint.context.environmentId),
        Inputs: inputs,
        Outputs: outputs,
        Environment: environment,
        DependsOn: dependsOn,
        Compute: computeName,
        Configuration: configuration
      };
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = cdkBootstrapAction;
      return actionName;
    }
    exports2.addGenericCdkBootstrapAction = addGenericCdkBootstrapAction;
  }
});

// ../../components/workflows/lib/actions/action-cdk-deploy.js
var require_action_cdk_deploy = __commonJS({
  "../../components/workflows/lib/actions/action-cdk-deploy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericCdkDeployAction = exports2.convertYamlInputToString = void 0;
    var action_1 = require_action();
    var convertYamlInputToString = (paramterInput) => {
      const stringifiedInput = {
        StackName: paramterInput.StackName,
        Region: typeof paramterInput.Region === "undefined" ? void 0 : paramterInput.Region,
        CdkRootPath: typeof paramterInput.CdkRootPath === "undefined" ? void 0 : paramterInput.CdkRootPath,
        Tags: typeof paramterInput.Tags === "undefined" ? void 0 : (0, action_1.convertInputsToJsonString)(paramterInput.Tags),
        Context: typeof paramterInput.Context === "undefined" ? void 0 : (0, action_1.convertInputsToJsonString)(paramterInput.Context),
        CfnOutputVariables: typeof paramterInput.CfnOutputVariables === "undefined" ? void 0 : (0, action_1.convertInputsToJsonString)(paramterInput.CfnOutputVariables)
      };
      return stringifiedInput;
    };
    exports2.convertYamlInputToString = convertYamlInputToString;
    function addGenericCdkDeployAction(params) {
      const { blueprint, workflow, inputs, outputs, environment, configuration, computeName, dependsOn } = params;
      const actionName = (params.actionName || "DeployCdkStack").replace(new RegExp("-", "g"), "_");
      const cdkDeployAction = {
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.cdkDeploy, blueprint.context.environmentId),
        Inputs: inputs,
        Outputs: outputs,
        Environment: environment,
        DependsOn: dependsOn,
        Compute: computeName,
        Configuration: (0, exports2.convertYamlInputToString)(configuration)
      };
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = cdkDeployAction;
      return actionName;
    }
    exports2.addGenericCdkDeployAction = addGenericCdkDeployAction;
  }
});

// ../../components/workflows/lib/actions/action-cfn-cleanup.js
var require_action_cfn_cleanup = __commonJS({
  "../../components/workflows/lib/actions/action-cfn-cleanup.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericCloudFormationCleanupAction = exports2.cfnCleanupSteps = exports2.DEFAULT_DELETE_RESOURCE_WORKFLOW_NAME = void 0;
    var action_1 = require_action();
    exports2.DEFAULT_DELETE_RESOURCE_WORKFLOW_NAME = "DANGER-hard-delete-deployed-resources";
    var generateUniqueS3BucketName = () => {
      const allowedChars = "0123456789abcdefghijklmnopqrstuvwxyz";
      let bucketName = "";
      for (let i = 0; i < 63; i++) {
        const randomCharIndex = Math.floor(Math.random() * allowedChars.length);
        bucketName += allowedChars[randomCharIndex];
      }
      return bucketName;
    };
    var cfnCleanupSteps = (stackName, region) => {
      return [
        `stack_name=${stackName}`,
        `region=${region}`,
        `cfn_template_upload_bucket=${generateUniqueS3BucketName()} # we need an S3 bucket to temporarily host the updated cloudformation template because template-body has a max length of 51,200 bytes which may not be enough in some cases`,
        `echo 'Update existing cloudformation template to change resources deletion policy to "Delete", and set deletion policy for S3 buckets and Elastic Container Registry to "Retain" which will be manually cleaned up later.'`,
        "pip install cfn-flip",
        "aws cloudformation get-template --stack-name $stack_name --region $region > existing-template-$stack_name.json",
        "jq -r '.TemplateBody' ./existing-template-$stack_name.json | cfn-flip -o json > ./existing-template-body-$stack_name.json",
        `jq 'if .Resources? then (.Resources[]? | select(.Type != "AWS::S3::Bucket" and .Type != "AWS::ECR::Repository") | select(.DeletionPolicy!=null) | .DeletionPolicy) = "Delete" else . end' ./existing-template-body-$stack_name.json > ./temporary-template-body-$stack_name.json`,
        `jq 'if .Resources? then (.Resources[]? | select(.Type == "AWS::S3::Bucket" or .Type == "AWS::ECR::Repository")) |= (.DeletionPolicy = "Retain") else . end' ./temporary-template-body-$stack_name.json > ./updated-template-$stack_name.json`,
        "echo 'Create a temporary S3 bucket to host the updated cloudformation template, and this will be cleaned up afterwards.'",
        `aws s3api create-bucket --bucket $cfn_template_upload_bucket --region $region ${region === "us-east-1" ? "" : "--create-bucket-configuration LocationConstraint=$region"} || true`,
        `echo 'Update the cloudformation stack and wait for the status to no longer be "UPDATE_IN_PROGRESS" , ignoring the case when it needs not be updated.'`,
        "aws s3 cp ./updated-template-$stack_name.json s3://$cfn_template_upload_bucket/updated-template-$stack_name.json",
        "aws cloudformation update-stack --stack-name $stack_name --region $region --template-url https://s3.amazonaws.com/$cfn_template_upload_bucket/updated-template-$stack_name.json --capabilities CAPABILITY_NAMED_IAM || true",
        `timeout 300 bash -c 'while true; do status=$(aws cloudformation describe-stacks --stack-name "$stack_name" --region $region --query "Stacks[0].StackStatus" --output text); if [[ "$status" == "UPDATE_IN_PROGRESS" ]]; then sleep 10; else break; fi; done'`,
        "echo 'Store the list of associated S3 buckets and Elastic Container Registries'",
        `BUCKET_NAMES=$(aws cloudformation list-stack-resources --stack-name $stack_name --region $region | jq -r '.StackResourceSummaries[] | select(.ResourceType=="AWS::S3::Bucket") | .PhysicalResourceId')`,
        `ECR_NAMES=$(aws cloudformation list-stack-resources --stack-name $stack_name --region $region | jq -r '.StackResourceSummaries[] | select(.ResourceType=="AWS::ECR::Repository") | .PhysicalResourceId')`,
        "echo 'Initiate cloudformation delete-stack command and wait for completion.'",
        "aws cloudformation delete-stack --stack-name $stack_name --region $region",
        "aws cloudformation wait stack-delete-complete --stack-name $stack_name --region $region",
        "echo 'Cloudformation stack deletion completed.'",
        "echo 'Clean up and delete all associated S3 buckets, including the temporary bucket created. If versioning is enabled, delete all markers and versions as well.'",
        `for BUCKET_NAME in $BUCKET_NAMES; do if aws s3api head-bucket --bucket $BUCKET_NAME --region $region > /dev/null 2>&1; then if aws s3api get-bucket-versioning --bucket $BUCKET_NAME --region $region | grep -q '"Status": "Enabled"'; then aws s3api delete-objects --bucket $BUCKET_NAME --region $region  --delete "$(aws s3api list-object-versions --bucket $BUCKET_NAME --region $region  --query='{Objects: Versions[].{Key:Key,VersionId:VersionId}}')";aws s3api delete-objects --bucket $BUCKET_NAME --region $region  --delete "$(aws s3api list-object-versions --bucket $BUCKET_NAME --region $region  --query='{Objects: DeleteMarkers[].{Key:Key,VersionId:VersionId}}')";fi;aws s3 rb --force s3://$BUCKET_NAME --region $region;fi;done`,
        "aws s3 rb --force s3://$cfn_template_upload_bucket --region $region",
        "echo 'All S3 buckets cleaned up.'",
        "echo 'Clean up and delete all associated Elastic Container Registries.'",
        "for ECR_NAME in $ECR_NAMES; do aws ecr describe-repositories --repository-name $ECR_NAME --region $region > /dev/null 2>&1 && aws ecr delete-repository --repository-name $ECR_NAME --region $region --force || true; done",
        "echo 'All Elastic Container Registries cleaned up. '",
        "echo 'Cleanup action is now completed.'"
      ];
    };
    exports2.cfnCleanupSteps = cfnCleanupSteps;
    var addGenericCloudFormationCleanupAction = (params) => {
      const { blueprint, workflow, stackName, region, environment, dependsOn } = params;
      const actionName = (params.actionName || "CleanupCloudFormationStack").replace(new RegExp("-", "g"), "_");
      const buildAction = {
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.build, blueprint.context.environmentId),
        Configuration: {
          Steps: (0, exports2.cfnCleanupSteps)(stackName, region).map((step) => {
            return {
              Run: step
            };
          })
        },
        Environment: environment,
        DependsOn: dependsOn
      };
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = buildAction;
      return actionName;
    };
    exports2.addGenericCloudFormationCleanupAction = addGenericCloudFormationCleanupAction;
  }
});

// ../../components/workflows/lib/actions/action-cfn-deploy.js
var require_action_cfn_deploy = __commonJS({
  "../../components/workflows/lib/actions/action-cfn-deploy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericCloudFormationDeployAction = void 0;
    var action_1 = require_action();
    function addGenericCloudFormationDeployAction(params) {
      const { blueprint, workflow, inputs, environment, configuration } = params;
      const actionName = (params.actionName || "DeployCloudFormationStack").replace(new RegExp("-", "g"), "_");
      const capabilities = (configuration.parameters.capabilities || ["CAPABILITY_IAM", "CAPABILITY_NAMED_IAM", "CAPABILITY_AUTO_EXPAND"]).join(",");
      const ComputeName = configuration.computeName;
      const cfnDeployActionConfig = {
        Parameters: {
          ...configuration.parameters,
          capabilities
        },
        ComputeName
      };
      const cfnDeployAction = {
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.deploy, blueprint.context.environmentId),
        Inputs: inputs,
        Environment: environment,
        Configuration: cfnDeployActionConfig
      };
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = cfnDeployAction;
      return actionName;
    }
    exports2.addGenericCloudFormationDeployAction = addGenericCloudFormationDeployAction;
  }
});

// ../../components/workflows/lib/actions/action-test-reports.js
var require_action_test_reports = __commonJS({
  "../../components/workflows/lib/actions/action-test-reports.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericTestReports = void 0;
    var action_1 = require_action();
    var addGenericTestReports = (params) => {
      const { blueprint, workflow, steps, coverageArtifactName, testArtifactName, dependsOn } = params;
      const actionName = (params.actionName || "Test").replace(new RegExp("-", "g"), "_");
      const testAction = {
        DependsOn: dependsOn,
        Identifier: (0, action_1.getDefaultActionIdentifier)(action_1.ActionIdentifierAlias.test, blueprint.context.environmentId),
        Outputs: {
          Artifacts: [
            {
              Name: coverageArtifactName,
              Files: ["reports/cov.xml"]
            },
            {
              Name: testArtifactName,
              Files: ["reports/report.xml"]
            }
          ],
          Reports: [coverageArtifactName, testArtifactName]
        },
        Configuration: {
          Steps: steps
        }
      };
      workflow.Actions = workflow.Actions || {};
      workflow.Actions[actionName] = testAction;
      return actionName;
    };
    exports2.addGenericTestReports = addGenericTestReports;
  }
});

// ../../components/workflows/lib/workflow/workflow-builder.js
var require_workflow_builder = __commonJS({
  "../../components/workflows/lib/workflow/workflow-builder.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.WorkflowBuilder = void 0;
    var triggers_1 = require_triggers();
    var action_build_1 = require_action_build();
    var action_cdk_bootstrap_1 = require_action_cdk_bootstrap();
    var action_cdk_deploy_1 = require_action_cdk_deploy();
    var action_cfn_cleanup_1 = require_action_cfn_cleanup();
    var action_cfn_deploy_1 = require_action_cfn_deploy();
    var action_test_reports_1 = require_action_test_reports();
    var WorkflowBuilder = class {
      constructor(blueprint, workflowdefinition) {
        this.definition = {
          Name: "build",
          SchemaVersion: "1.0",
          Triggers: [],
          Actions: {},
          ...workflowdefinition
        };
        this.blueprint = blueprint;
      }
      setName(name) {
        this.definition.Name = name;
      }
      getDefinition() {
        return this.definition;
      }
      setDefinition(definition) {
        this.definition = definition;
      }
      addTrigger(trigger) {
        this.definition.Triggers = this.definition.Triggers || [];
        this.definition.Triggers.push(trigger);
      }
      addCompute(compute) {
        this.definition.Compute = this.definition.Compute || compute;
      }
      addBranchTrigger(branches = ["main"], filesChanged) {
        (0, triggers_1.addGenericBranchTrigger)(this.definition, branches, filesChanged);
      }
      addPullRequestTrigger(events, branches = ["main"], filesChanged) {
        (0, triggers_1.addGenericPullRequestTrigger)(this.definition, events, branches, filesChanged);
      }
      addBuildAction(configuration) {
        (0, action_build_1.addGenericBuildAction)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
      addCfnDeployAction(configuration) {
        (0, action_cfn_deploy_1.addGenericCloudFormationDeployAction)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
      addCfnCleanupAction(configuration) {
        (0, action_cfn_cleanup_1.addGenericCloudFormationCleanupAction)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
      addCdkDeployAction(configuration) {
        (0, action_cdk_deploy_1.addGenericCdkDeployAction)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
      addCdkBootstrapAction(configuration) {
        (0, action_cdk_bootstrap_1.addGenericCdkBootstrapAction)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
      addTestAction(configuration) {
        (0, action_test_reports_1.addGenericTestReports)({
          ...configuration,
          blueprint: this.blueprint,
          workflow: this.definition
        });
      }
    };
    exports2.WorkflowBuilder = WorkflowBuilder;
  }
});

// ../../components/workflows/lib/workflow/sources.js
var require_sources = __commonJS({
  "../../components/workflows/lib/workflow/sources.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
  }
});

// ../../components/workflows/lib/workflow/compute.js
var require_compute = __commonJS({
  "../../components/workflows/lib/workflow/compute.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.addGenericCompute = exports2.ComputeFleet = exports2.ComputeType = void 0;
    var ComputeType;
    (function(ComputeType2) {
      ComputeType2["LAMBDA"] = "Lambda";
      ComputeType2["EC2"] = "EC2";
    })(ComputeType = exports2.ComputeType || (exports2.ComputeType = {}));
    var ComputeFleet;
    (function(ComputeFleet2) {
      ComputeFleet2["LINUX_X86_64_LARGE"] = "Linux.x86-64.Large";
      ComputeFleet2["LINUX_X86_64_XLARGE"] = "Linux.x86-64.XLarge";
    })(ComputeFleet = exports2.ComputeFleet || (exports2.ComputeFleet = {}));
    function addGenericCompute(workflow, type, fleet) {
      const computeDefintion = {
        Type: type,
        Fleet: fleet
      };
      workflow.Compute = computeDefintion;
    }
    exports2.addGenericCompute = addGenericCompute;
  }
});

// ../../components/workflows/lib/samples/empty.js
var require_empty = __commonJS({
  "../../components/workflows/lib/samples/empty.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.emptyWorkflow = exports2.makeEmptyWorkflow = void 0;
    var compute_1 = require_compute();
    function makeEmptyWorkflow() {
      return {
        Name: "build",
        SchemaVersion: "1.0",
        Triggers: [],
        Compute: {
          Type: compute_1.ComputeType.EC2,
          Fleet: compute_1.ComputeFleet.LINUX_X86_64_LARGE
        },
        Actions: {}
      };
    }
    exports2.makeEmptyWorkflow = makeEmptyWorkflow;
    exports2.emptyWorkflow = makeEmptyWorkflow();
  }
});

// ../../components/workflows/lib/samples/node.js
var require_node = __commonJS({
  "../../components/workflows/lib/samples/node.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.NodeWorkflowDefinitionSamples = void 0;
    var triggers_1 = require_triggers();
    var NodeWorkflowDefinitionSamples = class {
    };
    exports2.NodeWorkflowDefinitionSamples = NodeWorkflowDefinitionSamples;
    NodeWorkflowDefinitionSamples.build = {
      Name: "build",
      Triggers: [
        {
          Type: triggers_1.TriggerType.PUSH,
          Branches: ["main"]
        }
      ],
      Actions: {
        Build: {
          Identifier: "aws/managed-test@v1",
          Configuration: {
            Steps: [{ Run: "npm install" }, { Run: "npm run build" }]
          }
        }
      }
    };
  }
});

// ../../components/workflows/lib/samples/cdk-bootstrap.js
var require_cdk_bootstrap = __commonJS({
  "../../components/workflows/lib/samples/cdk-bootstrap.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.makeCDKBootstrapWorkflow = void 0;
    var action_cdk_bootstrap_1 = require_action_cdk_bootstrap();
    var makeCDKBootstrapWorkflow = (blueprint, environment, options) => {
      const startingWorkflowDefinition = {
        SchemaVersion: "1.0",
        Name: (options === null || options === void 0 ? void 0 : options.workflowName) || "sample-cdk-bootstrap",
        Triggers: []
      };
      return (0, action_cdk_bootstrap_1.addGenericCdkBootstrapAction)({
        blueprint,
        workflow: startingWorkflowDefinition,
        actionName: "BootstrapAction",
        environment,
        inputs: {
          Sources: ["WorkflowSource"]
        },
        outputs: {
          AutoDiscoverReports: {
            Enabled: true,
            ReportNamePrefix: "rpt"
          },
          Artifacts: [
            {
              Name: "cdkBootstrap.ouy",
              Files: ["**/*"]
            }
          ]
        },
        configuration: (options === null || options === void 0 ? void 0 : options.cdkBootstrapActionConfiguration) || {
          Region: "us-west-2"
        }
      });
    };
    exports2.makeCDKBootstrapWorkflow = makeCDKBootstrapWorkflow;
  }
});

// ../../components/workflows/lib/samples/cdk-deploy.js
var require_cdk_deploy = __commonJS({
  "../../components/workflows/lib/samples/cdk-deploy.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.makeCDKDeployWorkflow = void 0;
    var action_cdk_deploy_1 = require_action_cdk_deploy();
    var makeCDKDeployWorkflow = (blueprint, environment, options) => {
      const startingWorkflowDefinition = {
        SchemaVersion: "1.0",
        Name: (options === null || options === void 0 ? void 0 : options.workflowName) || "sample-cdk-deploy",
        Triggers: []
      };
      return (0, action_cdk_deploy_1.addGenericCdkDeployAction)({
        blueprint,
        workflow: startingWorkflowDefinition,
        actionName: "DeployAction",
        environment,
        inputs: {
          Sources: ["WorkflowSource"]
        },
        outputs: {
          AutoDiscoverReports: {
            Enabled: true,
            ReportNamePrefix: "rpt"
          },
          Artifacts: [
            {
              Name: "cdkDeploy.out",
              Files: ["**/*"]
            }
          ]
        },
        configuration: (options === null || options === void 0 ? void 0 : options.cdkDeployActionConfiguration) || {
          StackName: "test-stack",
          Region: "us-west-2",
          CfnOutputVariables: ["cdnout1", "cdnout2"],
          Tags: { Tagkey1: "value1", Tagkey2: "value2", Tagkey3: "value2" },
          Context: { Contextkey1: "value1", Contextkey2: "value1" },
          CdkRootPath: "testing"
        }
      });
    };
    exports2.makeCDKDeployWorkflow = makeCDKDeployWorkflow;
  }
});

// ../../components/workflows/lib/environment/workflow-environment.js
var require_workflow_environment = __commonJS({
  "../../components/workflows/lib/environment/workflow-environment.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.convertToWorkflowEnvironment = void 0;
    function convertToWorkflowEnvironment(environment) {
      if (!environment) {
        return void 0;
      }
      const connections = [];
      (environment.accountKeys || []).forEach((key) => {
        const account = environment.definition[key];
        (environment.getRoles(key) || []).forEach((role) => {
          connections.push({
            Name: account.name || "",
            Role: role.name || ""
          });
        });
      });
      return {
        Name: environment.name || "",
        Connections: connections
      };
    }
    exports2.convertToWorkflowEnvironment = convertToWorkflowEnvironment;
  }
});

// ../../components/workflows/lib/index.js
var require_lib24 = __commonJS({
  "../../components/workflows/lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    __exportStar(require_workflow(), exports2);
    __exportStar(require_workflow_builder(), exports2);
    __exportStar(require_sources(), exports2);
    __exportStar(require_triggers(), exports2);
    __exportStar(require_compute(), exports2);
    __exportStar(require_empty(), exports2);
    __exportStar(require_node(), exports2);
    __exportStar(require_cdk_bootstrap(), exports2);
    __exportStar(require_cdk_deploy(), exports2);
    __exportStar(require_workflow_environment(), exports2);
    __exportStar(require_action(), exports2);
    __exportStar(require_action_build(), exports2);
    __exportStar(require_action_cfn_deploy(), exports2);
    __exportStar(require_action_test_reports(), exports2);
    __exportStar(require_action_cdk_deploy(), exports2);
    __exportStar(require_action_cdk_bootstrap(), exports2);
  }
});

// lib/create-workflow.js
var require_create_workflow = __commonJS({
  "lib/create-workflow.js"(exports2) {
    "use strict";
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.makeWorkflowDefintion = void 0;
    var blueprint_component_workflows_1 = require_lib24();
    function makeWorkflowDefintion(blueprint, accountConnection, options) {
      const workflowEnvironment = (0, blueprint_component_workflows_1.convertToWorkflowEnvironment)(accountConnection);
      const wfbuilder = new blueprint_component_workflows_1.WorkflowBuilder(blueprint, blueprint_component_workflows_1.emptyWorkflow);
      wfbuilder.setName(options.workflowName);
      wfbuilder.addBranchTrigger(["main"]);
      wfbuilder.addCompute({
        Type: blueprint_component_workflows_1.ComputeType.LAMBDA,
        Fleet: blueprint_component_workflows_1.ComputeFleet.LINUX_X86_64_LARGE
      });
      wfbuilder.addBuildAction({
        actionName: "BackendBuildAndPackage",
        input: {
          Sources: ["WorkflowSource"]
        },
        steps: ["cd backend", "mvn verify", "mvn package -Dmaven.test.skip"],
        output: {
          AutoDiscoverReports: {
            Enabled: true,
            ReportNamePrefix: "rpt",
            IncludePaths: ["cdk/target/**/*", "lambda/target/**/*"],
            ExcludePaths: ["*/.aws/workflows/*"]
          },
          Artifacts: [
            {
              Name: "backend_build_artifacts",
              Files: ["**/*"]
            }
          ]
        }
      });
      wfbuilder.addBuildAction({
        actionName: "FrontendBuildAndPackage",
        input: {
          Sources: ["WorkflowSource"]
        },
        steps: [
          "cd frontend",
          "npm install",
          "npm test -- --coverage --watchAll=false",
          'echo "REACT_APP_SERVICE_URL=/t" > ".env"',
          "npm run build",
          "cp -r canary build",
          "cp -r cdk/* ."
        ],
        output: {
          AutoDiscoverReports: {
            IncludePaths: ["frontend/coverage/*"],
            ReportNamePrefix: "rpt",
            Enabled: true
          },
          Artifacts: [
            {
              Name: "frontend_build_artifacts",
              Files: ["**/*"]
            }
          ]
        }
      });
      wfbuilder.addCdkBootstrapAction({
        actionName: "CDKBootstrapAction",
        inputs: {
          Sources: ["WorkflowSource"]
        },
        configuration: {
          Region: options.stacks.region
        },
        environment: workflowEnvironment
      });
      wfbuilder.addCdkDeployAction({
        actionName: "BackendCDKDeploy",
        inputs: {
          Artifacts: ["backend_build_artifacts"]
        },
        dependsOn: ["BackendBuildAndPackage", "CDKBootstrapAction"],
        environment: workflowEnvironment,
        configuration: {
          StackName: options.stacks.backend,
          Region: options.stacks.region,
          Context: {
            stack_name: options.stacks.backend
          },
          CdkRootPath: "backend/"
        }
      });
      wfbuilder.addCdkDeployAction({
        actionName: "FrontendCDKDeploy",
        dependsOn: ["FrontendBuildAndPackage", "BackendCDKDeploy"],
        inputs: {
          Artifacts: ["frontend_build_artifacts"]
        },
        configuration: {
          StackName: options.stacks.frontend,
          Region: options.stacks.region,
          Context: {
            stack_name: options.stacks.frontend,
            api_domain: "${BackendCDKDeploy.ApiDomain}",
            api_stage: "${BackendCDKDeploy.ApiStage}"
          },
          CdkRootPath: "frontend/"
        },
        environment: workflowEnvironment
      });
      return wfbuilder.definition;
    }
    exports2.makeWorkflowDefintion = makeWorkflowDefintion;
  }
});

// lib/defaults.json
var require_defaults2 = __commonJS({
  "lib/defaults.json"(exports2, module2) {
    module2.exports = {
      environment: {
        name: "default_environment",
        environmentType: "DEVELOPMENT"
      },
      code: {
        repositoryName: "TinyUrlApp"
      },
      advanced: {
        frontendStackName: "TinyUrlFrontend",
        backendStackName: "TinyUrlBackend",
        region: "us-west-2"
      }
    };
  }
});

// lib/blueprint.js
var require_blueprint2 = __commonJS({
  "lib/blueprint.js"(exports2) {
    "use strict";
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.Blueprint = void 0;
    var blueprint_component_environments_1 = require_lib6();
    var blueprint_component_source_repositories_1 = require_lib18();
    var blueprint_component_workflows_1 = require_lib24();
    var blueprints_blueprint_1 = require_lib17();
    var create_workflow_1 = require_create_workflow();
    var defaults_json_1 = __importDefault(require_defaults2());
    var Blueprint2 = class extends blueprints_blueprint_1.Blueprint {
      constructor(options_) {
        var _a, _b;
        super(options_);
        const typeCheck = {
          outdir: this.outdir,
          ...defaults_json_1.default,
          advanced: {
            ...defaults_json_1.default.advanced,
            region: defaults_json_1.default.advanced.region
          }
        };
        const options = Object.assign(typeCheck, options_);
        this.options = options;
        const frontendInfraSourceFolder = "frontend/infra-typescript";
        const frontendReactSourceFolder = "frontend/app-react-typescript";
        const frontendCanarySourceFolder = "frontend/canary";
        const backendSourceFolder = "backend";
        const accountId = (_b = (_a = options.environment.awsAccountConnection) === null || _a === void 0 ? void 0 : _a.id) !== null && _b !== void 0 ? _b : "<<PUT_YOUR_AWS_ACCOUNT_ID>>";
        this.sourceRepository = new blueprint_component_source_repositories_1.SourceRepository(this, {
          title: this.options.code.repositoryName
        });
        const diff = new blueprint_component_source_repositories_1.Difference(this.sourceRepository, "some-branch");
        diff.addPatch("first-set-of-changes.diff", `diff --git a/frontend/cdk/jest.config.js b/frontend/cdk/jest.config.js
deleted file mode 100644
index 08263b89..00000000
--- a/frontend/cdk/jest.config.js
+++ /dev/null
@@ -1,8 +0,0 @@
-module.exports = {
-  testEnvironment: 'node',
-  roots: ['<rootDir>/test'],
-  testMatch: ['**/*.test.ts'],
-  transform: {
-    '^.+\\\\.tsx?$': 'ts-jest'
-  }
-};
`);
        new blueprint_component_source_repositories_1.PullRequest(this, "my-amazing-pr", {
          title: "feat: amazing PR number 1",
          description: "this is some markdown",
          changes: [diff]
        });
        this.sourceRepository.setResynthStrategies([
          {
            identifier: "never_update",
            strategy: blueprints_blueprint_1.MergeStrategies.neverUpdate,
            globs: ["backend/lambda/**", "backend/public/**", "backend/src/**", "backend/canary/**", "**/README.md"]
          },
          {
            identifier: "always_update",
            strategy: blueprints_blueprint_1.MergeStrategies.alwaysUpdate,
            globs: ["**/jest.config.js", "**/*/tsconfig.json", ".codecatalyst/*"]
          },
          {
            identifier: "custom_shared_ownership",
            strategy: (_ancestor, _existingFile, _proposedFile) => {
              return void 0;
            },
            globs: ["backend/cdk/**", "frontend/cdk/**"]
          }
        ]);
        new blueprint_component_source_repositories_1.BlueprintOwnershipFile(this.sourceRepository, {
          resynthesis: {
            strategies: this.sourceRepository.getResynthStrategies()
          }
        });
        const frontendFrameworkFolder = frontendReactSourceFolder + "/**";
        blueprint_component_source_repositories_1.SubstitionAsset.findAll(frontendFrameworkFolder).forEach((asset) => {
          new blueprint_component_source_repositories_1.SourceFile(this.sourceRepository, `frontend/${asset.path().replace(`${frontendReactSourceFolder}/`, "")}`, asset.toString());
        });
        const frontendCanaryFolder = frontendCanarySourceFolder + "/**";
        blueprint_component_source_repositories_1.SubstitionAsset.findAll(frontendCanaryFolder).forEach((asset) => {
          new blueprint_component_source_repositories_1.SourceFile(this.sourceRepository, `frontend/canary/${asset.path().replace(`${frontendCanarySourceFolder}/`, "")}`, asset.toString());
        });
        const frontendInfraFolder = frontendInfraSourceFolder + "/**";
        blueprint_component_source_repositories_1.SubstitionAsset.findAll(frontendInfraFolder).forEach((asset) => {
          new blueprint_component_source_repositories_1.SourceFile(this.sourceRepository, `frontend/cdk/${asset.path().replace(`${frontendInfraSourceFolder}/`, "")}`, asset.substitute({
            frontend_stack_name: this.options.advanced.frontendStackName,
            bp_aws_account: accountId,
            bp_aws_region: this.options.advanced.region
          }));
        });
        const backendFolder = backendSourceFolder + "/**";
        blueprint_component_source_repositories_1.SubstitionAsset.findAll(backendFolder).forEach((asset) => {
          new blueprint_component_source_repositories_1.SourceFile(this.sourceRepository, `backend/${asset.path().replace(`${backendSourceFolder}/`, "")}`, asset.substitute({
            tbl_tiny_url: `${this.options.advanced.backendStackName}_tbl_tiny_url`,
            backend_stack_name: this.options.advanced.backendStackName,
            bp_aws_account: accountId,
            bp_aws_region: this.options.advanced.region
          }));
        });
        const environment = new blueprint_component_environments_1.Environment(this, this.options.environment);
        const workflowDefinition = (0, create_workflow_1.makeWorkflowDefintion)(this, environment, {
          workflowName: "main_fullstack_workflow",
          stacks: {
            frontend: options.advanced.frontendStackName,
            backend: options.advanced.backendStackName,
            region: options.advanced.region
          }
        });
        new blueprint_component_workflows_1.Workflow(this, this.sourceRepository, workflowDefinition);
      }
    };
    exports2.Blueprint = Blueprint2;
  }
});

// lib/index.js
var require_lib25 = __commonJS({
  "lib/index.js"(exports2) {
    "use strict";
    var __createBinding = exports2 && exports2.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports2 && exports2.__exportStar || function(m, exports3) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports3, p))
          __createBinding(exports3, m, p);
    };
    var __importDefault = exports2 && exports2.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports2, "__esModule", { value: true });
    exports2.defaults = void 0;
    __exportStar(require_blueprint2(), exports2);
    var defaults_json_1 = __importDefault(require_defaults2());
    exports2.defaults = defaults_json_1.default;
  }
});

// package.json
var require_package5 = __commonJS({
  "package.json"(exports2, module2) {
    module2.exports = {
      name: "@amazon-codecatalyst/blueprints.serverless-tinyurl",
      description: "This blueprint creates a serverless Tiny URL Java Web Application using AWS Lambda, Amazon S3, Amazon API Gateway and Amazon DynamoDB. This project also includes canary tests using Cloudwatch Synthetics.",
      scripts: {
        build: "npx projen build",
        bump: "npx projen bump",
        "bump:preview": "npx projen bump:preview",
        clobber: "npx projen clobber",
        compile: "npx projen compile",
        default: "npx projen default",
        eject: "npx projen eject",
        eslint: "npx projen eslint",
        package: "rm -rf ./dist/js/ && npx projen package",
        "post-compile": "npx projen post-compile",
        "post-upgrade": "npx projen post-upgrade",
        "pre-compile": "npx projen pre-compile",
        test: "npx projen test",
        "test:update": "npx projen test:update",
        "test:watch": "npx projen test:watch",
        unbump: "npx projen unbump",
        upgrade: "npx projen upgrade",
        watch: "npx projen watch",
        projen: "npx projen --no-post",
        "blueprint:build-ast": "blueprint build-ast ./lib/blueprint.d.ts --outdir ./lib/",
        "blueprint:validate-options": "blueprint validate-options ./lib/ast.json ./lib/defaults.json",
        "build:lib": "rm -rf ./lib/ && yarn build && yarn blueprint:build-ast && yarn blueprint:validate-options",
        "blueprint:package": "yarn build:lib && yarn blueprint:synth --cache --clean-up false && yarn package",
        "npm:publish": "npm publish dist/js/*.tgz",
        "blueprint:preview": "yarn bump:preview && yarn blueprint:package && blueprint publish ./ --publisher blueprints $*",
        "blueprint:generate-assessment": "yarn blueprint generate-assessment --wizard-option ./src/defaults.json $*",
        "blueprint:validate-assessment": "yarn blueprint validate-assessment $*",
        "blueprint:synth": "blueprint drive-synth --blueprint ./ --outdir ./synth --default-options ./src/defaults.json --additional-options ./src/wizard-configurations $*",
        "blueprint:resynth": "blueprint drive-resynth --blueprint ./ --outdir ./synth --default-options ./src/defaults.json --additional-options ./src/wizard-configurations $*"
      },
      author: {
        name: "Amazon Web Services",
        organization: false
      },
      devDependencies: {
        "@amazon-codecatalyst/blueprint-util.cli": "*",
        "@amazon-codecatalyst/blueprint-util.projen-blueprint": "*",
        "@types/jest": "*",
        "@types/node": "^18",
        "@types/pino": "^6.3.12",
        "@typescript-eslint/eslint-plugin": "^5",
        "@typescript-eslint/parser": "^5",
        eslint: "^8",
        "eslint-import-resolver-node": "*",
        "eslint-import-resolver-typescript": "*",
        "eslint-plugin-import": "*",
        jest: "*",
        "jest-junit": "^15",
        "npm-check-updates": "^16",
        "pino-pretty": "^4.8.0",
        projen: "0.71.112",
        "standard-version": "^9",
        "ts-jest": "*",
        "ts-node": "^10",
        typescript: "^4.x"
      },
      peerDependencies: {
        "@amazon-codecatalyst/blueprint-util.cli": "*"
      },
      dependencies: {
        "@amazon-codecatalyst/blueprint-component.dev-environments": "*",
        "@amazon-codecatalyst/blueprint-component.environments": "*",
        "@amazon-codecatalyst/blueprint-component.source-repositories": "*",
        "@amazon-codecatalyst/blueprint-component.workflows": "*",
        "@amazon-codecatalyst/blueprints.blueprint": "*",
        globule: "*",
        pino: "^6.13.4",
        projen: "0.71.112"
      },
      resolutions: {
        projen: "0.71.112"
      },
      keywords: [
        "api-gateway",
        "cdk",
        "cloudformation",
        "cloudwatch-synthetics",
        "dava",
        "dynamodb",
        "fullstack",
        "lambda",
        "s3",
        "serverless",
        "tiny-url application"
      ],
      main: "lib/index.js",
      license: "Apache-2.0",
      homepage: "",
      version: "0.3.0",
      jest: {
        testMatch: [
          "<rootDir>/src/**/__tests__/**/*.ts?(x)",
          "<rootDir>/(test|src)/**/*(*.)@(spec|test).ts?(x)"
        ],
        clearMocks: true,
        collectCoverage: true,
        coverageReporters: [
          "json",
          "lcov",
          "clover",
          "cobertura",
          "text"
        ],
        coverageDirectory: "coverage",
        coveragePathIgnorePatterns: [
          "/node_modules/"
        ],
        testPathIgnorePatterns: [
          "/node_modules/"
        ],
        watchPathIgnorePatterns: [
          "/node_modules/"
        ],
        reporters: [
          "default",
          [
            "jest-junit",
            {
              outputDirectory: "test-reports"
            }
          ]
        ],
        preset: "ts-jest",
        globals: {
          "ts-jest": {
            tsconfig: "tsconfig.dev.json"
          }
        },
        modulePathIgnorePatterns: [
          "/synth/"
        ]
      },
      types: "lib/index.d.ts",
      publishingSpace: "blueprints",
      mediaUrls: [
        "https://w7.pngwing.com/pngs/147/242/png-transparent-amazon-com-logo-amazon-web-services-amazon-elastic-compute-cloud-amazon-virtual-private-cloud-cloud-computing-text-orange-logo.png"
      ],
      displayName: "AWS Serverless Tiny URL Application in Java",
      files: [
        "static-assets",
        "lib"
      ],
      "//": '~~ Generated by projen. To modify, edit .projenrc.ts and run "npx projen".'
    };
  }
});

// lib/resynth-driver.js
var { Blueprint } = require_lib25();
var packageJson = require_package5();
(() => {
  const options = JSON.parse(process.argv[2]);
  const outputdir = process.argv[3];
  const entropy = process.argv[4] ? process.argv[4] : "";
  const ancestorBundleDirectory = process.argv[5] ? process.argv[5] : "";
  const existingBundleDirectory = process.argv[6] ? process.argv[6] : "";
  const proposedBundleDirectory = process.argv[7] ? process.argv[7] : "";
  process.env.CONTEXT_SPACENAME = process.env.CONTEXT_SPACENAME || "<<FAKE_SPACENAME>>";
  process.env.CONTEXT_PROJECTNAME = process.env.CONTEXT_PROJECTNAME || "<<FAKE_PROJECTNAME>>";
  process.env.CONTEXT_ENVIRONMENTID = process.env.CONTEXT_ENVIRONMENTID || "prod";
  process.env.PACKAGE_NAME = process.env.PACKAGE_NAME || packageJson.name || "<<FAKE_BLUEPRINT_PACKAGENAME>>";
  process.env.PACKAGE_VERSION = process.env.PACKAGE_VERSION || packageJson.version || "<<FAKE_BLUEPRINT_PACKAGEVERSION>>";
  process.env.EXISTING_BUNDLE_ABS = process.env.EXISTING_BUNDLE_ABS || "";
  process.env.BRANCH_NAME = process.env.BRANCH_NAME || "";
  console.log("===== Starting resynthesis ===== ");
  console.log("options: ", options);
  console.log("outputDir: ", outputdir);
  try {
    const bp = new Blueprint({
      ...options,
      outdir: outputdir
    });
    bp.resynth(ancestorBundleDirectory, existingBundleDirectory, proposedBundleDirectory);
    console.log("===== Ending resynthesis ===== ");
  } catch (err) {
    const errorMessage = JSON.stringify(err, Object.getOwnPropertyNames(err));
    console.error(`===== BlueprintSynthesisError-${entropy} =====`);
    console.error(`${errorMessage}`);
    console.error(`===== BlueprintSynthesisError-${entropy} =====`);
    console.log("===== RESYNTHESIS FAILED ===== ");
    throw err;
  }
})();
/*! Bundled license information:

case/dist/Case.js:
  (*! Case - v1.6.2 - 2020-03-24
  * Copyright (c) 2020 Nathan Bubna; Licensed MIT, GPL *)

fast-json-patch/commonjs/helpers.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2022 Joachim Wester
   * MIT licensed
   *)

fast-json-patch/commonjs/duplex.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2021 Joachim Wester
   * MIT license
   *)

repeat-string/index.js:
  (*!
   * repeat-string <https://github.com/jonschlinkert/repeat-string>
   *
   * Copyright (c) 2014-2015, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

case/dist/Case.js:
  (*! Case - v1.6.2 - 2020-03-24
  * Copyright (c) 2020 Nathan Bubna; Licensed MIT, GPL *)

fast-json-patch/commonjs/helpers.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2022 Joachim Wester
   * MIT licensed
   *)

fast-json-patch/commonjs/duplex.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2021 Joachim Wester
   * MIT license
   *)

repeat-string/index.js:
  (*!
   * repeat-string <https://github.com/jonschlinkert/repeat-string>
   *
   * Copyright (c) 2014-2015, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

mustache/mustache.js:
  (*!
   * mustache.js - Logic-less {{mustache}} templates with JavaScript
   * http://github.com/janl/mustache.js
   *)

case/dist/Case.js:
  (*! Case - v1.6.2 - 2020-03-24
  * Copyright (c) 2020 Nathan Bubna; Licensed MIT, GPL *)

fast-json-patch/commonjs/helpers.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2022 Joachim Wester
   * MIT licensed
   *)

fast-json-patch/commonjs/duplex.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2021 Joachim Wester
   * MIT license
   *)

repeat-string/index.js:
  (*!
   * repeat-string <https://github.com/jonschlinkert/repeat-string>
   *
   * Copyright (c) 2014-2015, Jon Schlinkert.
   * Licensed under the MIT License.
   *)

lodash/lodash.js:
  (**
   * @license
   * Lodash <https://lodash.com/>
   * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   *)

case/dist/Case.js:
  (*! Case - v1.6.2 - 2020-03-24
  * Copyright (c) 2020 Nathan Bubna; Licensed MIT, GPL *)

fast-json-patch/commonjs/helpers.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2022 Joachim Wester
   * MIT licensed
   *)

fast-json-patch/commonjs/duplex.js:
  (*!
   * https://github.com/Starcounter-Jack/JSON-Patch
   * (c) 2017-2021 Joachim Wester
   * MIT license
   *)

repeat-string/index.js:
  (*!
   * repeat-string <https://github.com/jonschlinkert/repeat-string>
   *
   * Copyright (c) 2014-2015, Jon Schlinkert.
   * Licensed under the MIT License.
   *)
*/
